#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 8308
#define LARGE_STATE_COUNT 2272
#define SYMBOL_COUNT 538
#define ALIAS_COUNT 5
#define TOKEN_COUNT 221
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 217

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_virtual = 45,
  anon_sym_extern = 46,
  anon_sym___attribute__ = 47,
  anon_sym_COLON_COLON = 48,
  anon_sym_LBRACK_LBRACK = 49,
  anon_sym_RBRACK_RBRACK = 50,
  anon_sym___declspec = 51,
  anon_sym___based = 52,
  anon_sym___cdecl = 53,
  anon_sym___clrcall = 54,
  anon_sym___stdcall = 55,
  anon_sym___fastcall = 56,
  anon_sym___thiscall = 57,
  anon_sym___vectorcall = 58,
  sym_ms_restrict_modifier = 59,
  sym_ms_unsigned_ptr_modifier = 60,
  sym_ms_signed_ptr_modifier = 61,
  anon_sym__unaligned = 62,
  anon_sym___unaligned = 63,
  anon_sym_LBRACE = 64,
  anon_sym_RBRACE = 65,
  anon_sym_signed = 66,
  anon_sym_unsigned = 67,
  anon_sym_long = 68,
  anon_sym_short = 69,
  anon_sym_LBRACK = 70,
  anon_sym_static = 71,
  anon_sym_RBRACK = 72,
  anon_sym_EQ = 73,
  anon_sym_register = 74,
  anon_sym_inline = 75,
  anon_sym___inline = 76,
  anon_sym___inline__ = 77,
  anon_sym___forceinline = 78,
  anon_sym_thread_local = 79,
  anon_sym___thread = 80,
  anon_sym_const = 81,
  anon_sym_constexpr = 82,
  anon_sym_volatile = 83,
  anon_sym_restrict = 84,
  anon_sym___restrict__ = 85,
  anon_sym__Atomic = 86,
  anon_sym__Noreturn = 87,
  anon_sym_noreturn = 88,
  anon_sym__Nonnull = 89,
  anon_sym_mutable = 90,
  anon_sym_constinit = 91,
  anon_sym_consteval = 92,
  anon_sym_PROGMEM = 93,
  anon_sym_alignas = 94,
  anon_sym__Alignas = 95,
  aux_sym_primitive_type_token1 = 96,
  anon_sym_byte = 97,
  anon_sym_word = 98,
  anon_sym_enum = 99,
  anon_sym_class = 100,
  anon_sym_struct = 101,
  anon_sym_union = 102,
  anon_sym_COLON = 103,
  anon_sym_if = 104,
  anon_sym_else = 105,
  anon_sym_switch = 106,
  anon_sym_case = 107,
  anon_sym_default = 108,
  anon_sym_while = 109,
  anon_sym_do = 110,
  anon_sym_for = 111,
  anon_sym_return = 112,
  anon_sym_break = 113,
  anon_sym_continue = 114,
  anon_sym_goto = 115,
  anon_sym___try = 116,
  anon_sym___except = 117,
  anon_sym___finally = 118,
  anon_sym___leave = 119,
  anon_sym_QMARK = 120,
  anon_sym_STAR_EQ = 121,
  anon_sym_SLASH_EQ = 122,
  anon_sym_PERCENT_EQ = 123,
  anon_sym_PLUS_EQ = 124,
  anon_sym_DASH_EQ = 125,
  anon_sym_LT_LT_EQ = 126,
  anon_sym_GT_GT_EQ = 127,
  anon_sym_AMP_EQ = 128,
  anon_sym_CARET_EQ = 129,
  anon_sym_PIPE_EQ = 130,
  anon_sym_and_eq = 131,
  anon_sym_or_eq = 132,
  anon_sym_xor_eq = 133,
  anon_sym_not = 134,
  anon_sym_compl = 135,
  anon_sym_LT_EQ_GT = 136,
  anon_sym_or = 137,
  anon_sym_and = 138,
  anon_sym_bitor = 139,
  anon_sym_xor = 140,
  anon_sym_bitand = 141,
  anon_sym_not_eq = 142,
  anon_sym_DASH_DASH = 143,
  anon_sym_PLUS_PLUS = 144,
  anon_sym_sizeof = 145,
  anon_sym___alignof__ = 146,
  anon_sym___alignof = 147,
  anon_sym__alignof = 148,
  anon_sym_alignof = 149,
  anon_sym__Alignof = 150,
  anon_sym_offsetof = 151,
  anon_sym__Generic = 152,
  anon_sym_asm = 153,
  anon_sym___asm__ = 154,
  anon_sym___asm = 155,
  anon_sym_DOT = 156,
  anon_sym_DOT_STAR = 157,
  anon_sym_DASH_GT = 158,
  aux_sym_number_literal_token1 = 159,
  aux_sym_number_literal_token2 = 160,
  anon_sym_L_SQUOTE = 161,
  anon_sym_u_SQUOTE = 162,
  anon_sym_U_SQUOTE = 163,
  anon_sym_u8_SQUOTE = 164,
  anon_sym_SQUOTE = 165,
  aux_sym_char_literal_token1 = 166,
  anon_sym_L_DQUOTE = 167,
  anon_sym_u_DQUOTE = 168,
  anon_sym_U_DQUOTE = 169,
  anon_sym_u8_DQUOTE = 170,
  anon_sym_DQUOTE = 171,
  aux_sym_string_literal_token1 = 172,
  sym_escape_sequence = 173,
  sym_system_lib_string = 174,
  sym_true = 175,
  sym_false = 176,
  anon_sym_NULL = 177,
  anon_sym_nullptr = 178,
  sym_comment = 179,
  sym_auto = 180,
  anon_sym_decltype = 181,
  anon_sym_final = 182,
  anon_sym_override = 183,
  anon_sym_explicit = 184,
  anon_sym_typename = 185,
  anon_sym_template = 186,
  anon_sym_GT2 = 187,
  anon_sym_operator = 188,
  anon_sym_try = 189,
  anon_sym_delete = 190,
  aux_sym_pure_virtual_clause_token1 = 191,
  anon_sym_friend = 192,
  anon_sym_public = 193,
  anon_sym_private = 194,
  anon_sym_protected = 195,
  anon_sym_noexcept = 196,
  anon_sym_throw = 197,
  anon_sym_namespace = 198,
  anon_sym_using = 199,
  anon_sym_static_assert = 200,
  anon_sym_concept = 201,
  anon_sym_co_return = 202,
  anon_sym_co_yield = 203,
  anon_sym_catch = 204,
  anon_sym_R_DQUOTE = 205,
  anon_sym_LR_DQUOTE = 206,
  anon_sym_uR_DQUOTE = 207,
  anon_sym_UR_DQUOTE = 208,
  anon_sym_u8R_DQUOTE = 209,
  anon_sym_co_await = 210,
  anon_sym_new = 211,
  anon_sym_requires = 212,
  anon_sym_DASH_GT_STAR = 213,
  anon_sym_LPAREN_RPAREN = 214,
  anon_sym_LBRACK_RBRACK = 215,
  anon_sym_DQUOTE_DQUOTE = 216,
  sym_this = 217,
  sym_literal_suffix = 218,
  sym_raw_string_delimiter = 219,
  sym_raw_string_content = 220,
  sym_translation_unit = 221,
  sym__top_level_item = 222,
  sym__block_item = 223,
  sym_preproc_include = 224,
  sym_preproc_def = 225,
  sym_preproc_function_def = 226,
  sym_preproc_params = 227,
  sym_preproc_call = 228,
  sym_preproc_if = 229,
  sym_preproc_ifdef = 230,
  sym_preproc_else = 231,
  sym_preproc_elif = 232,
  sym_preproc_elifdef = 233,
  sym_preproc_if_in_field_declaration_list = 234,
  sym_preproc_ifdef_in_field_declaration_list = 235,
  sym_preproc_else_in_field_declaration_list = 236,
  sym_preproc_elif_in_field_declaration_list = 237,
  sym_preproc_elifdef_in_field_declaration_list = 238,
  sym_preproc_if_in_enumerator_list = 239,
  sym_preproc_ifdef_in_enumerator_list = 240,
  sym_preproc_else_in_enumerator_list = 241,
  sym_preproc_elif_in_enumerator_list = 242,
  sym_preproc_elifdef_in_enumerator_list = 243,
  sym_preproc_if_in_enumerator_list_no_comma = 244,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 245,
  sym_preproc_else_in_enumerator_list_no_comma = 246,
  sym_preproc_elif_in_enumerator_list_no_comma = 247,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 248,
  sym__preproc_expression = 249,
  sym_preproc_parenthesized_expression = 250,
  sym_preproc_defined = 251,
  sym_preproc_unary_expression = 252,
  sym_preproc_call_expression = 253,
  sym_preproc_argument_list = 254,
  sym_preproc_binary_expression = 255,
  sym_function_definition = 256,
  sym_declaration = 257,
  sym_type_definition = 258,
  sym__type_definition_type = 259,
  sym__type_definition_declarators = 260,
  sym__declaration_modifiers = 261,
  sym__declaration_specifiers = 262,
  sym_linkage_specification = 263,
  sym_attribute_specifier = 264,
  sym_attribute = 265,
  sym_attribute_declaration = 266,
  sym_ms_declspec_modifier = 267,
  sym_ms_based_modifier = 268,
  sym_ms_call_modifier = 269,
  sym_ms_unaligned_ptr_modifier = 270,
  sym_ms_pointer_modifier = 271,
  sym_declaration_list = 272,
  sym__declarator = 273,
  sym__field_declarator = 274,
  sym__type_declarator = 275,
  sym__abstract_declarator = 276,
  sym_parenthesized_declarator = 277,
  sym_parenthesized_field_declarator = 278,
  sym_parenthesized_type_declarator = 279,
  sym_abstract_parenthesized_declarator = 280,
  sym_attributed_declarator = 281,
  sym_attributed_field_declarator = 282,
  sym_attributed_type_declarator = 283,
  sym_pointer_declarator = 284,
  sym_pointer_field_declarator = 285,
  sym_pointer_type_declarator = 286,
  sym_abstract_pointer_declarator = 287,
  sym_function_declarator = 288,
  sym_function_field_declarator = 289,
  sym_function_type_declarator = 290,
  sym_abstract_function_declarator = 291,
  sym_array_declarator = 292,
  sym_array_field_declarator = 293,
  sym_array_type_declarator = 294,
  sym_abstract_array_declarator = 295,
  sym_init_declarator = 296,
  sym_compound_statement = 297,
  sym_storage_class_specifier = 298,
  sym_type_qualifier = 299,
  sym_alignas_qualifier = 300,
  sym_type_specifier = 301,
  sym_sized_type_specifier = 302,
  sym_primitive_type = 303,
  sym_enum_specifier = 304,
  sym_enumerator_list = 305,
  sym_struct_specifier = 306,
  sym_union_specifier = 307,
  sym_field_declaration_list = 308,
  sym__field_declaration_list_item = 309,
  sym_field_declaration = 310,
  sym_bitfield_clause = 311,
  sym_enumerator = 312,
  sym_parameter_list = 313,
  sym_parameter_declaration = 314,
  sym_attributed_statement = 315,
  sym_statement = 316,
  sym__top_level_statement = 317,
  sym_labeled_statement = 318,
  sym__top_level_expression_statement = 319,
  sym_expression_statement = 320,
  sym_if_statement = 321,
  sym_else_clause = 322,
  sym_switch_statement = 323,
  sym_case_statement = 324,
  sym_while_statement = 325,
  sym_do_statement = 326,
  sym_for_statement = 327,
  sym__for_statement_body = 328,
  sym_return_statement = 329,
  sym_break_statement = 330,
  sym_continue_statement = 331,
  sym_goto_statement = 332,
  sym_seh_try_statement = 333,
  sym_seh_except_clause = 334,
  sym_seh_finally_clause = 335,
  sym_seh_leave_statement = 336,
  sym_expression = 337,
  sym__string = 338,
  sym_comma_expression = 339,
  sym_conditional_expression = 340,
  sym_assignment_expression = 341,
  sym_pointer_expression = 342,
  sym_unary_expression = 343,
  sym_binary_expression = 344,
  sym_update_expression = 345,
  sym_cast_expression = 346,
  sym_type_descriptor = 347,
  sym_sizeof_expression = 348,
  sym_alignof_expression = 349,
  sym_offsetof_expression = 350,
  sym_generic_expression = 351,
  sym_subscript_expression = 352,
  sym_call_expression = 353,
  sym_gnu_asm_expression = 354,
  sym_gnu_asm_qualifier = 355,
  sym_gnu_asm_output_operand_list = 356,
  sym_gnu_asm_output_operand = 357,
  sym_gnu_asm_input_operand_list = 358,
  sym_gnu_asm_input_operand = 359,
  sym_gnu_asm_clobber_list = 360,
  sym_gnu_asm_goto_list = 361,
  sym_extension_expression = 362,
  sym_argument_list = 363,
  sym_field_expression = 364,
  sym_compound_literal_expression = 365,
  sym_parenthesized_expression = 366,
  sym_initializer_list = 367,
  sym_initializer_pair = 368,
  sym_subscript_designator = 369,
  sym_subscript_range_designator = 370,
  sym_field_designator = 371,
  sym_number_literal = 372,
  sym_char_literal = 373,
  sym_concatenated_string = 374,
  sym_string_literal = 375,
  sym_null = 376,
  sym__empty_declaration = 377,
  sym_placeholder_type_specifier = 378,
  sym_decltype_auto = 379,
  sym_decltype = 380,
  sym__class_declaration = 381,
  sym__class_declaration_item = 382,
  sym_class_specifier = 383,
  sym__class_name = 384,
  sym_virtual_specifier = 385,
  sym_explicit_function_specifier = 386,
  sym_base_class_clause = 387,
  sym__enum_base_clause = 388,
  sym_dependent_type = 389,
  sym_template_declaration = 390,
  sym_template_instantiation = 391,
  sym_template_parameter_list = 392,
  sym_type_parameter_declaration = 393,
  sym_variadic_type_parameter_declaration = 394,
  sym_optional_type_parameter_declaration = 395,
  sym_template_template_parameter_declaration = 396,
  sym_optional_parameter_declaration = 397,
  sym_variadic_parameter_declaration = 398,
  sym_variadic_declarator = 399,
  sym_variadic_reference_declarator = 400,
  sym_operator_cast = 401,
  sym_field_initializer_list = 402,
  sym_field_initializer = 403,
  sym_inline_method_definition = 404,
  sym__constructor_specifiers = 405,
  sym_operator_cast_definition = 406,
  sym_operator_cast_declaration = 407,
  sym_constructor_try_statement = 408,
  sym_constructor_or_destructor_definition = 409,
  sym_constructor_or_destructor_declaration = 410,
  sym_default_method_clause = 411,
  sym_delete_method_clause = 412,
  sym_pure_virtual_clause = 413,
  sym_friend_declaration = 414,
  sym_access_specifier = 415,
  sym_reference_declarator = 416,
  sym_reference_field_declarator = 417,
  sym_reference_type_declarator = 418,
  sym_abstract_reference_declarator = 419,
  sym_structured_binding_declarator = 420,
  sym_ref_qualifier = 421,
  sym__function_declarator_seq = 422,
  sym__function_attributes_start = 423,
  sym__function_exception_specification = 424,
  sym__function_attributes_end = 425,
  sym__function_postfix = 426,
  sym_trailing_return_type = 427,
  sym_noexcept = 428,
  sym_throw_specifier = 429,
  sym_template_type = 430,
  sym_template_method = 431,
  sym_template_function = 432,
  sym_template_argument_list = 433,
  sym_namespace_definition = 434,
  sym_namespace_alias_definition = 435,
  sym__namespace_specifier = 436,
  sym_nested_namespace_specifier = 437,
  sym_using_declaration = 438,
  sym_alias_declaration = 439,
  sym_static_assert_declaration = 440,
  sym_concept_definition = 441,
  sym_for_range_loop = 442,
  sym__for_range_loop_body = 443,
  sym_init_statement = 444,
  sym_condition_clause = 445,
  sym_condition_declaration = 446,
  sym_co_return_statement = 447,
  sym_co_yield_statement = 448,
  sym_throw_statement = 449,
  sym_try_statement = 450,
  sym_catch_clause = 451,
  sym_raw_string_literal = 452,
  sym_subscript_argument_list = 453,
  sym_co_await_expression = 454,
  sym_new_expression = 455,
  sym_new_declarator = 456,
  sym_delete_expression = 457,
  sym_type_requirement = 458,
  sym_compound_requirement = 459,
  sym__requirement = 460,
  sym_requirement_seq = 461,
  sym_constraint_conjunction = 462,
  sym_constraint_disjunction = 463,
  sym__requirement_clause_constraint = 464,
  sym_requires_clause = 465,
  sym_requires_parameter_list = 466,
  sym_requires_expression = 467,
  sym_lambda_expression = 468,
  sym_lambda_capture_specifier = 469,
  sym_lambda_default_capture = 470,
  sym__fold_operator = 471,
  sym__binary_fold_operator = 472,
  sym__unary_left_fold = 473,
  sym__unary_right_fold = 474,
  sym__binary_fold = 475,
  sym_fold_expression = 476,
  sym_parameter_pack_expansion = 477,
  sym_type_parameter_pack_expansion = 478,
  sym_destructor_name = 479,
  sym_dependent_identifier = 480,
  sym_dependent_field_identifier = 481,
  sym_dependent_type_identifier = 482,
  sym__scope_resolution = 483,
  sym_qualified_field_identifier = 484,
  sym_qualified_identifier = 485,
  sym_qualified_type_identifier = 486,
  sym_qualified_operator_cast_identifier = 487,
  sym__assignment_expression_lhs = 488,
  sym_operator_name = 489,
  sym_user_defined_literal = 490,
  aux_sym_translation_unit_repeat1 = 491,
  aux_sym_preproc_params_repeat1 = 492,
  aux_sym_preproc_if_repeat1 = 493,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 494,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 495,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 496,
  aux_sym_preproc_argument_list_repeat1 = 497,
  aux_sym_declaration_repeat1 = 498,
  aux_sym_type_definition_repeat1 = 499,
  aux_sym__type_definition_type_repeat1 = 500,
  aux_sym__type_definition_declarators_repeat1 = 501,
  aux_sym__declaration_specifiers_repeat1 = 502,
  aux_sym_attribute_declaration_repeat1 = 503,
  aux_sym_attributed_declarator_repeat1 = 504,
  aux_sym_pointer_declarator_repeat1 = 505,
  aux_sym_array_declarator_repeat1 = 506,
  aux_sym_sized_type_specifier_repeat1 = 507,
  aux_sym_enumerator_list_repeat1 = 508,
  aux_sym_field_declaration_repeat1 = 509,
  aux_sym_parameter_list_repeat1 = 510,
  aux_sym_case_statement_repeat1 = 511,
  aux_sym_generic_expression_repeat1 = 512,
  aux_sym_gnu_asm_expression_repeat1 = 513,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 514,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 515,
  aux_sym_gnu_asm_clobber_list_repeat1 = 516,
  aux_sym_gnu_asm_goto_list_repeat1 = 517,
  aux_sym_argument_list_repeat1 = 518,
  aux_sym_initializer_list_repeat1 = 519,
  aux_sym_initializer_pair_repeat1 = 520,
  aux_sym_char_literal_repeat1 = 521,
  aux_sym_concatenated_string_repeat1 = 522,
  aux_sym_string_literal_repeat1 = 523,
  aux_sym__class_declaration_repeat1 = 524,
  aux_sym_base_class_clause_repeat1 = 525,
  aux_sym_template_parameter_list_repeat1 = 526,
  aux_sym_field_initializer_list_repeat1 = 527,
  aux_sym_operator_cast_definition_repeat1 = 528,
  aux_sym_constructor_try_statement_repeat1 = 529,
  aux_sym_structured_binding_declarator_repeat1 = 530,
  aux_sym__function_postfix_repeat1 = 531,
  aux_sym_throw_specifier_repeat1 = 532,
  aux_sym_template_argument_list_repeat1 = 533,
  aux_sym_subscript_argument_list_repeat1 = 534,
  aux_sym_requirement_seq_repeat1 = 535,
  aux_sym_requires_parameter_list_repeat1 = 536,
  aux_sym_lambda_capture_specifier_repeat1 = 537,
  alias_sym_field_identifier = 538,
  alias_sym_namespace_identifier = 539,
  alias_sym_simple_requirement = 540,
  alias_sym_statement_identifier = 541,
  alias_sym_type_identifier = 542,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_virtual] = "virtual",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_static] = "static",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym__Nonnull] = "_Nonnull",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [anon_sym_PROGMEM] = "PROGMEM",
  [anon_sym_alignas] = "alignas",
  [anon_sym__Alignas] = "_Alignas",
  [aux_sym_primitive_type_token1] = "primitive_type_token1",
  [anon_sym_byte] = "byte",
  [anon_sym_word] = "word",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_COLON] = ":",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym___asm] = "__asm",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [aux_sym_number_literal_token1] = "number_literal_token1",
  [aux_sym_number_literal_token2] = "number_literal_token2",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [aux_sym_pure_virtual_clause_token1] = "pure_virtual_clause_token1",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym__top_level_item] = "_top_level_item",
  [sym__block_item] = "_block_item",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_alignas_qualifier] = "alignas_qualifier",
  [sym_type_specifier] = "type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_primitive_type] = "primitive_type",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_statement] = "statement",
  [sym__top_level_statement] = "_top_level_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym_expression] = "expression",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_extension_expression] = "extension_expression",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_number_literal] = "number_literal",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_pure_virtual_clause] = "pure_virtual_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_reference_type_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym__Nonnull] = anon_sym__Nonnull,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [anon_sym_PROGMEM] = anon_sym_PROGMEM,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym__Alignas] = anon_sym__Alignas,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_byte] = anon_sym_byte,
  [anon_sym_word] = anon_sym_word,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym___asm] = anon_sym___asm,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [aux_sym_number_literal_token1] = aux_sym_number_literal_token1,
  [aux_sym_number_literal_token2] = aux_sym_number_literal_token2,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [aux_sym_pure_virtual_clause_token1] = aux_sym_pure_virtual_clause_token1,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym__top_level_item] = sym__top_level_item,
  [sym__block_item] = sym__block_item,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_alignas_qualifier] = sym_alignas_qualifier,
  [sym_type_specifier] = sym_type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_primitive_type] = sym_primitive_type,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_statement] = sym_statement,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym_expression] = sym_expression,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_extension_expression] = sym_extension_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_number_literal] = sym_number_literal,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_pure_virtual_clause] = sym_pure_virtual_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_reference_type_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Nonnull] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PROGMEM] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignas] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_byte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_word] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_number_literal_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pure_virtual_clause_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym__block_item] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_pure_virtual_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 1},
  [8] = {.index = 7, .length = 1},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 1},
  [13] = {.index = 14, .length = 1},
  [14] = {.index = 15, .length = 2},
  [15] = {.index = 15, .length = 2},
  [16] = {.index = 0, .length = 1},
  [18] = {.index = 17, .length = 1},
  [19] = {.index = 18, .length = 1},
  [20] = {.index = 19, .length = 1},
  [21] = {.index = 20, .length = 1},
  [22] = {.index = 21, .length = 2},
  [23] = {.index = 23, .length = 2},
  [24] = {.index = 25, .length = 1},
  [25] = {.index = 26, .length = 1},
  [26] = {.index = 27, .length = 2},
  [27] = {.index = 29, .length = 2},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 14, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 1},
  [34] = {.index = 39, .length = 2},
  [35] = {.index = 39, .length = 2},
  [36] = {.index = 17, .length = 1},
  [37] = {.index = 41, .length = 1},
  [38] = {.index = 42, .length = 2},
  [39] = {.index = 44, .length = 2},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 3},
  [55] = {.index = 69, .length = 1},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 3},
  [74] = {.index = 100, .length = 3},
  [75] = {.index = 103, .length = 2},
  [76] = {.index = 105, .length = 2},
  [77] = {.index = 107, .length = 2},
  [78] = {.index = 109, .length = 1},
  [79] = {.index = 110, .length = 2},
  [80] = {.index = 112, .length = 2},
  [81] = {.index = 114, .length = 2},
  [82] = {.index = 116, .length = 3},
  [83] = {.index = 119, .length = 2},
  [84] = {.index = 121, .length = 1},
  [85] = {.index = 122, .length = 2},
  [86] = {.index = 124, .length = 2},
  [87] = {.index = 126, .length = 2},
  [88] = {.index = 128, .length = 2},
  [89] = {.index = 130, .length = 2},
  [90] = {.index = 132, .length = 2},
  [91] = {.index = 134, .length = 2},
  [92] = {.index = 136, .length = 2},
  [93] = {.index = 138, .length = 1},
  [94] = {.index = 136, .length = 2},
  [95] = {.index = 139, .length = 2},
  [96] = {.index = 141, .length = 1},
  [97] = {.index = 141, .length = 1},
  [98] = {.index = 142, .length = 3},
  [100] = {.index = 145, .length = 2},
  [101] = {.index = 147, .length = 2},
  [102] = {.index = 149, .length = 2},
  [103] = {.index = 151, .length = 3},
  [104] = {.index = 154, .length = 1},
  [106] = {.index = 155, .length = 1},
  [108] = {.index = 156, .length = 3},
  [109] = {.index = 159, .length = 3},
  [110] = {.index = 162, .length = 3},
  [111] = {.index = 165, .length = 3},
  [112] = {.index = 168, .length = 2},
  [113] = {.index = 170, .length = 3},
  [114] = {.index = 173, .length = 3},
  [115] = {.index = 176, .length = 2},
  [116] = {.index = 178, .length = 3},
  [117] = {.index = 181, .length = 2},
  [118] = {.index = 15, .length = 2},
  [119] = {.index = 39, .length = 2},
  [120] = {.index = 183, .length = 2},
  [121] = {.index = 185, .length = 2},
  [122] = {.index = 187, .length = 1},
  [123] = {.index = 188, .length = 4},
  [124] = {.index = 192, .length = 4},
  [125] = {.index = 196, .length = 2},
  [126] = {.index = 198, .length = 3},
  [127] = {.index = 201, .length = 2},
  [128] = {.index = 203, .length = 2},
  [129] = {.index = 205, .length = 1},
  [130] = {.index = 206, .length = 2},
  [131] = {.index = 208, .length = 2},
  [132] = {.index = 210, .length = 3},
  [133] = {.index = 213, .length = 3},
  [134] = {.index = 216, .length = 3},
  [135] = {.index = 219, .length = 2},
  [136] = {.index = 219, .length = 2},
  [137] = {.index = 221, .length = 2},
  [138] = {.index = 223, .length = 3},
  [139] = {.index = 226, .length = 2},
  [140] = {.index = 228, .length = 2},
  [141] = {.index = 230, .length = 3},
  [142] = {.index = 233, .length = 2},
  [143] = {.index = 235, .length = 3},
  [144] = {.index = 238, .length = 2},
  [145] = {.index = 240, .length = 1},
  [146] = {.index = 241, .length = 2},
  [147] = {.index = 243, .length = 2},
  [148] = {.index = 245, .length = 4},
  [149] = {.index = 249, .length = 5},
  [150] = {.index = 254, .length = 2},
  [151] = {.index = 254, .length = 2},
  [152] = {.index = 256, .length = 1},
  [153] = {.index = 257, .length = 1},
  [154] = {.index = 258, .length = 2},
  [155] = {.index = 260, .length = 1},
  [157] = {.index = 261, .length = 1},
  [158] = {.index = 262, .length = 2},
  [159] = {.index = 264, .length = 2},
  [160] = {.index = 7, .length = 1},
  [161] = {.index = 7, .length = 1},
  [162] = {.index = 266, .length = 2},
  [163] = {.index = 268, .length = 1},
  [164] = {.index = 269, .length = 1},
  [165] = {.index = 270, .length = 4},
  [166] = {.index = 274, .length = 2},
  [167] = {.index = 276, .length = 4},
  [168] = {.index = 280, .length = 1},
  [169] = {.index = 281, .length = 3},
  [170] = {.index = 284, .length = 2},
  [171] = {.index = 286, .length = 3},
  [172] = {.index = 289, .length = 1},
  [173] = {.index = 290, .length = 5},
  [174] = {.index = 295, .length = 2},
  [175] = {.index = 297, .length = 2},
  [176] = {.index = 299, .length = 4},
  [177] = {.index = 303, .length = 2},
  [178] = {.index = 305, .length = 3},
  [179] = {.index = 308, .length = 4},
  [180] = {.index = 312, .length = 4},
  [181] = {.index = 316, .length = 3},
  [182] = {.index = 319, .length = 2},
  [183] = {.index = 321, .length = 3},
  [184] = {.index = 324, .length = 3},
  [185] = {.index = 327, .length = 2},
  [186] = {.index = 329, .length = 2},
  [187] = {.index = 331, .length = 2},
  [188] = {.index = 333, .length = 2},
  [189] = {.index = 335, .length = 3},
  [190] = {.index = 338, .length = 2},
  [191] = {.index = 340, .length = 2},
  [192] = {.index = 342, .length = 3},
  [193] = {.index = 345, .length = 2},
  [194] = {.index = 347, .length = 2},
  [195] = {.index = 349, .length = 4},
  [196] = {.index = 353, .length = 5},
  [197] = {.index = 358, .length = 3},
  [198] = {.index = 361, .length = 4},
  [199] = {.index = 365, .length = 2},
  [200] = {.index = 367, .length = 2},
  [201] = {.index = 369, .length = 1},
  [202] = {.index = 370, .length = 4},
  [203] = {.index = 374, .length = 3},
  [204] = {.index = 377, .length = 2},
  [205] = {.index = 379, .length = 1},
  [206] = {.index = 380, .length = 5},
  [207] = {.index = 385, .length = 2},
  [208] = {.index = 387, .length = 2},
  [209] = {.index = 65, .length = 1},
  [210] = {.index = 389, .length = 5},
  [211] = {.index = 394, .length = 4},
  [212] = {.index = 398, .length = 2},
  [213] = {.index = 400, .length = 2},
  [214] = {.index = 402, .length = 5},
  [215] = {.index = 407, .length = 2},
  [216] = {.index = 409, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_body, 1},
  [7] =
    {field_name, 1},
  [8] =
    {field_body, 0},
  [9] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [11] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [13] =
    {field_value, 1},
  [14] =
    {field_scope, 0},
  [15] =
    {field_arguments, 1},
    {field_name, 0},
  [17] =
    {field_type, 1},
  [18] =
    {field_requirements, 1},
  [19] =
    {field_constraint, 1},
  [20] =
    {field_parameters, 0},
  [21] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [23] =
    {field_body, 1},
    {field_declarator, 0},
  [25] =
    {field_declarator, 0},
  [26] =
    {field_constraint, 0},
  [27] =
    {field_arguments, 1},
    {field_function, 0},
  [29] =
    {field_type, 0},
    {field_value, 1},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_parameters, 0, .inherited = true},
  [39] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [41] =
    {field_path, 1},
  [42] =
    {field_argument, 1},
    {field_directive, 0},
  [44] =
    {field_declarator, 1},
    {field_type, 0},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [69] =
    {field_label, 0},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_value, 1},
  [89] =
    {field_body, 2},
    {field_declarator, 0},
  [91] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [94] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [97] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [100] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [103] =
    {field_body, 2},
    {field_declarator, 1},
  [105] =
    {field_name, 1},
    {field_value, 2},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
  [109] =
    {field_condition, 1},
  [110] =
    {field_alternative, 2},
    {field_name, 1},
  [112] =
    {field_declarator, 2},
    {field_type, 0},
  [114] =
    {field_left, 0},
    {field_right, 2},
  [116] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [119] =
    {field_type, 1},
    {field_value, 3},
  [121] =
    {field_declarator, 3},
  [122] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [124] =
    {field_declarator, 0},
    {field_parameters, 1},
  [126] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [128] =
    {field_arguments, 3},
    {field_type, 2},
  [130] =
    {field_declarator, 3},
    {field_type, 2},
  [132] =
    {field_placement, 2},
    {field_type, 3},
  [134] =
    {field_name, 2},
    {field_prefix, 0},
  [136] =
    {field_body, 3},
    {field_name, 2},
  [138] =
    {field_body, 3},
  [139] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [141] =
    {field_base, 1},
  [142] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [145] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [147] =
    {field_body, 2},
    {field_name, 0},
  [149] =
    {field_condition, 2},
    {field_consequence, 3},
  [151] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [154] =
    {field_initializer, 0},
  [155] =
    {field_assembly_code, 2},
  [156] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [159] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [162] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [165] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [168] =
    {field_declarator, 0},
    {field_value, 2},
  [170] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [173] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [176] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [178] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [181] =
    {field_declarator, 0},
    {field_size, 2},
  [183] =
    {field_alternative, 3},
    {field_condition, 0},
  [185] =
    {field_declarator, 0},
    {field_default_value, 2},
  [187] =
    {field_size, 1},
  [188] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [192] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [196] =
    {field_body, 3},
    {field_declarator, 1},
  [198] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [201] =
    {field_alternative, 3},
    {field_condition, 1},
  [203] =
    {field_alternative, 3},
    {field_name, 1},
  [205] =
    {field_operator, 0},
  [206] =
    {field_declarator, 3},
    {field_type, 1},
  [208] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [210] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [213] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [216] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [219] =
    {field_body, 4},
    {field_name, 3},
  [221] =
    {field_name, 0},
    {field_value, 2},
  [223] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [226] =
    {field_body, 3},
    {field_name, 0},
  [228] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [230] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [233] =
    {field_initializer, 1},
    {field_value, 2},
  [235] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [238] =
    {field_body, 1},
    {field_condition, 3},
  [240] =
    {field_update, 2},
  [241] =
    {field_initializer, 0},
    {field_update, 2},
  [243] =
    {field_condition, 1},
    {field_initializer, 0},
  [245] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [249] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [254] =
    {field_designator, 0},
    {field_value, 2},
  [256] =
    {field_value, 3},
  [257] =
    {field_operand, 1},
  [258] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [260] =
    {field_assembly_code, 3},
  [261] =
    {field_default_type, 2},
  [262] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [264] =
    {field_body, 2},
    {field_parameters, 1},
  [266] =
    {field_name, 1},
    {field_type, 3},
  [268] =
    {field_condition, 2},
  [269] =
    {field_length, 1},
  [270] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [274] =
    {field_declarator, 1},
    {field_declarator, 2},
  [276] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [280] =
    {field_declarator, 4},
  [281] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [284] =
    {field_declarator, 0},
    {field_size, 3},
  [286] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [289] =
    {field_size, 2},
  [290] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [295] =
    {field_declarator, 1},
    {field_default_value, 3},
  [297] =
    {field_alternative, 4},
    {field_condition, 1},
  [299] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [303] =
    {field_body, 2},
    {field_filter, 1},
  [305] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [308] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [312] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [316] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [319] =
    {field_condition, 1},
    {field_update, 3},
  [321] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [324] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [327] =
    {field_initializer, 0},
    {field_update, 3},
  [329] =
    {field_condition, 2},
    {field_initializer, 0},
  [331] =
    {field_member, 4},
    {field_type, 2},
  [333] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [335] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [338] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [340] =
    {field_default_type, 3},
    {field_name, 1},
  [342] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [345] =
    {field_name, 1},
    {field_type, 4},
  [347] =
    {field_declarator, 1},
    {field_default_value, 2},
  [349] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [353] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [358] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [361] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [365] =
    {field_end, 3},
    {field_start, 1},
  [367] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [369] =
    {field_register, 1},
  [370] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [374] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [377] =
    {field_condition, 2},
    {field_message, 4},
  [379] =
    {field_delimiter, 1},
  [380] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [385] =
    {field_constraint, 0},
    {field_value, 2},
  [387] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [389] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [394] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [398] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [400] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [402] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [407] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [409] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [13] = {
    [0] = alias_sym_namespace_identifier,
  },
  [14] = {
    [0] = alias_sym_type_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [17] = {
    [0] = alias_sym_namespace_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [55] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [92] = {
    [2] = alias_sym_namespace_identifier,
  },
  [96] = {
    [1] = alias_sym_type_identifier,
  },
  [99] = {
    [0] = alias_sym_field_identifier,
  },
  [105] = {
    [1] = alias_sym_field_identifier,
  },
  [107] = {
    [1] = alias_sym_type_identifier,
  },
  [118] = {
    [0] = alias_sym_field_identifier,
  },
  [119] = {
    [1] = alias_sym_field_identifier,
  },
  [135] = {
    [3] = alias_sym_namespace_identifier,
  },
  [150] = {
    [0] = alias_sym_field_identifier,
  },
  [156] = {
    [2] = alias_sym_type_identifier,
  },
  [160] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [161] = {
    [1] = alias_sym_namespace_identifier,
  },
  [162] = {
    [1] = alias_sym_type_identifier,
  },
  [187] = {
    [4] = alias_sym_field_identifier,
  },
  [191] = {
    [1] = alias_sym_type_identifier,
  },
  [193] = {
    [1] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 13,
  [14] = 14,
  [15] = 13,
  [16] = 16,
  [17] = 16,
  [18] = 18,
  [19] = 14,
  [20] = 16,
  [21] = 21,
  [22] = 18,
  [23] = 18,
  [24] = 24,
  [25] = 14,
  [26] = 14,
  [27] = 13,
  [28] = 18,
  [29] = 29,
  [30] = 30,
  [31] = 13,
  [32] = 16,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 35,
  [37] = 37,
  [38] = 35,
  [39] = 39,
  [40] = 35,
  [41] = 33,
  [42] = 35,
  [43] = 35,
  [44] = 34,
  [45] = 39,
  [46] = 34,
  [47] = 35,
  [48] = 35,
  [49] = 34,
  [50] = 37,
  [51] = 34,
  [52] = 52,
  [53] = 34,
  [54] = 37,
  [55] = 35,
  [56] = 39,
  [57] = 57,
  [58] = 33,
  [59] = 35,
  [60] = 34,
  [61] = 34,
  [62] = 35,
  [63] = 37,
  [64] = 39,
  [65] = 34,
  [66] = 34,
  [67] = 34,
  [68] = 35,
  [69] = 34,
  [70] = 34,
  [71] = 34,
  [72] = 35,
  [73] = 34,
  [74] = 35,
  [75] = 35,
  [76] = 34,
  [77] = 35,
  [78] = 35,
  [79] = 34,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 84,
  [88] = 85,
  [89] = 84,
  [90] = 82,
  [91] = 82,
  [92] = 83,
  [93] = 83,
  [94] = 86,
  [95] = 82,
  [96] = 85,
  [97] = 86,
  [98] = 86,
  [99] = 85,
  [100] = 83,
  [101] = 84,
  [102] = 102,
  [103] = 103,
  [104] = 85,
  [105] = 83,
  [106] = 103,
  [107] = 103,
  [108] = 84,
  [109] = 103,
  [110] = 103,
  [111] = 103,
  [112] = 86,
  [113] = 82,
  [114] = 114,
  [115] = 115,
  [116] = 115,
  [117] = 114,
  [118] = 114,
  [119] = 115,
  [120] = 114,
  [121] = 114,
  [122] = 114,
  [123] = 123,
  [124] = 124,
  [125] = 124,
  [126] = 126,
  [127] = 124,
  [128] = 124,
  [129] = 124,
  [130] = 124,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 133,
  [136] = 134,
  [137] = 133,
  [138] = 134,
  [139] = 133,
  [140] = 133,
  [141] = 133,
  [142] = 134,
  [143] = 134,
  [144] = 133,
  [145] = 133,
  [146] = 134,
  [147] = 147,
  [148] = 148,
  [149] = 133,
  [150] = 134,
  [151] = 134,
  [152] = 133,
  [153] = 134,
  [154] = 134,
  [155] = 132,
  [156] = 133,
  [157] = 133,
  [158] = 134,
  [159] = 134,
  [160] = 134,
  [161] = 133,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 165,
  [169] = 162,
  [170] = 163,
  [171] = 165,
  [172] = 164,
  [173] = 166,
  [174] = 164,
  [175] = 163,
  [176] = 176,
  [177] = 176,
  [178] = 178,
  [179] = 176,
  [180] = 164,
  [181] = 178,
  [182] = 167,
  [183] = 162,
  [184] = 184,
  [185] = 162,
  [186] = 176,
  [187] = 167,
  [188] = 163,
  [189] = 166,
  [190] = 184,
  [191] = 184,
  [192] = 163,
  [193] = 165,
  [194] = 167,
  [195] = 162,
  [196] = 132,
  [197] = 184,
  [198] = 164,
  [199] = 184,
  [200] = 165,
  [201] = 167,
  [202] = 167,
  [203] = 178,
  [204] = 162,
  [205] = 166,
  [206] = 176,
  [207] = 132,
  [208] = 164,
  [209] = 178,
  [210] = 184,
  [211] = 165,
  [212] = 166,
  [213] = 178,
  [214] = 166,
  [215] = 178,
  [216] = 163,
  [217] = 132,
  [218] = 132,
  [219] = 219,
  [220] = 219,
  [221] = 219,
  [222] = 219,
  [223] = 223,
  [224] = 132,
  [225] = 225,
  [226] = 226,
  [227] = 226,
  [228] = 226,
  [229] = 226,
  [230] = 226,
  [231] = 226,
  [232] = 226,
  [233] = 226,
  [234] = 226,
  [235] = 226,
  [236] = 226,
  [237] = 237,
  [238] = 238,
  [239] = 226,
  [240] = 226,
  [241] = 226,
  [242] = 226,
  [243] = 226,
  [244] = 226,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 147,
  [252] = 148,
  [253] = 246,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 258,
  [260] = 260,
  [261] = 258,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 258,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 258,
  [271] = 271,
  [272] = 272,
  [273] = 219,
  [274] = 274,
  [275] = 219,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 219,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 219,
  [286] = 286,
  [287] = 287,
  [288] = 258,
  [289] = 219,
  [290] = 290,
  [291] = 219,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 223,
  [338] = 338,
  [339] = 339,
  [340] = 223,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 225,
  [348] = 225,
  [349] = 349,
  [350] = 343,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 225,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 223,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 237,
  [390] = 385,
  [391] = 237,
  [392] = 392,
  [393] = 393,
  [394] = 388,
  [395] = 395,
  [396] = 392,
  [397] = 397,
  [398] = 392,
  [399] = 238,
  [400] = 388,
  [401] = 387,
  [402] = 385,
  [403] = 238,
  [404] = 387,
  [405] = 247,
  [406] = 248,
  [407] = 248,
  [408] = 245,
  [409] = 148,
  [410] = 248,
  [411] = 245,
  [412] = 247,
  [413] = 147,
  [414] = 148,
  [415] = 245,
  [416] = 247,
  [417] = 147,
  [418] = 282,
  [419] = 296,
  [420] = 294,
  [421] = 298,
  [422] = 278,
  [423] = 272,
  [424] = 297,
  [425] = 290,
  [426] = 304,
  [427] = 299,
  [428] = 266,
  [429] = 256,
  [430] = 303,
  [431] = 287,
  [432] = 300,
  [433] = 301,
  [434] = 302,
  [435] = 295,
  [436] = 257,
  [437] = 276,
  [438] = 305,
  [439] = 256,
  [440] = 281,
  [441] = 298,
  [442] = 305,
  [443] = 266,
  [444] = 283,
  [445] = 286,
  [446] = 257,
  [447] = 302,
  [448] = 280,
  [449] = 284,
  [450] = 293,
  [451] = 286,
  [452] = 283,
  [453] = 282,
  [454] = 301,
  [455] = 300,
  [456] = 292,
  [457] = 281,
  [458] = 295,
  [459] = 298,
  [460] = 284,
  [461] = 277,
  [462] = 269,
  [463] = 303,
  [464] = 268,
  [465] = 267,
  [466] = 284,
  [467] = 305,
  [468] = 293,
  [469] = 278,
  [470] = 271,
  [471] = 274,
  [472] = 276,
  [473] = 276,
  [474] = 299,
  [475] = 256,
  [476] = 264,
  [477] = 263,
  [478] = 292,
  [479] = 271,
  [480] = 281,
  [481] = 274,
  [482] = 260,
  [483] = 282,
  [484] = 283,
  [485] = 287,
  [486] = 262,
  [487] = 274,
  [488] = 263,
  [489] = 293,
  [490] = 264,
  [491] = 297,
  [492] = 296,
  [493] = 277,
  [494] = 280,
  [495] = 286,
  [496] = 287,
  [497] = 271,
  [498] = 292,
  [499] = 302,
  [500] = 262,
  [501] = 294,
  [502] = 257,
  [503] = 260,
  [504] = 290,
  [505] = 304,
  [506] = 280,
  [507] = 260,
  [508] = 304,
  [509] = 272,
  [510] = 266,
  [511] = 278,
  [512] = 262,
  [513] = 295,
  [514] = 269,
  [515] = 301,
  [516] = 300,
  [517] = 268,
  [518] = 303,
  [519] = 267,
  [520] = 299,
  [521] = 297,
  [522] = 296,
  [523] = 294,
  [524] = 277,
  [525] = 264,
  [526] = 290,
  [527] = 263,
  [528] = 269,
  [529] = 272,
  [530] = 268,
  [531] = 267,
  [532] = 365,
  [533] = 362,
  [534] = 318,
  [535] = 326,
  [536] = 317,
  [537] = 309,
  [538] = 351,
  [539] = 367,
  [540] = 336,
  [541] = 338,
  [542] = 315,
  [543] = 344,
  [544] = 346,
  [545] = 357,
  [546] = 366,
  [547] = 369,
  [548] = 375,
  [549] = 380,
  [550] = 307,
  [551] = 354,
  [552] = 309,
  [553] = 307,
  [554] = 310,
  [555] = 312,
  [556] = 313,
  [557] = 314,
  [558] = 314,
  [559] = 380,
  [560] = 316,
  [561] = 237,
  [562] = 369,
  [563] = 313,
  [564] = 312,
  [565] = 357,
  [566] = 317,
  [567] = 318,
  [568] = 319,
  [569] = 322,
  [570] = 382,
  [571] = 383,
  [572] = 323,
  [573] = 328,
  [574] = 329,
  [575] = 330,
  [576] = 331,
  [577] = 332,
  [578] = 334,
  [579] = 335,
  [580] = 132,
  [581] = 339,
  [582] = 332,
  [583] = 341,
  [584] = 342,
  [585] = 334,
  [586] = 586,
  [587] = 359,
  [588] = 360,
  [589] = 335,
  [590] = 372,
  [591] = 373,
  [592] = 379,
  [593] = 378,
  [594] = 377,
  [595] = 376,
  [596] = 315,
  [597] = 365,
  [598] = 349,
  [599] = 367,
  [600] = 345,
  [601] = 333,
  [602] = 327,
  [603] = 361,
  [604] = 362,
  [605] = 363,
  [606] = 370,
  [607] = 384,
  [608] = 381,
  [609] = 339,
  [610] = 341,
  [611] = 342,
  [612] = 374,
  [613] = 371,
  [614] = 308,
  [615] = 356,
  [616] = 355,
  [617] = 353,
  [618] = 352,
  [619] = 306,
  [620] = 325,
  [621] = 351,
  [622] = 324,
  [623] = 354,
  [624] = 321,
  [625] = 320,
  [626] = 364,
  [627] = 321,
  [628] = 311,
  [629] = 308,
  [630] = 238,
  [631] = 352,
  [632] = 364,
  [633] = 363,
  [634] = 361,
  [635] = 327,
  [636] = 333,
  [637] = 345,
  [638] = 353,
  [639] = 378,
  [640] = 373,
  [641] = 331,
  [642] = 329,
  [643] = 328,
  [644] = 323,
  [645] = 372,
  [646] = 322,
  [647] = 319,
  [648] = 316,
  [649] = 310,
  [650] = 311,
  [651] = 375,
  [652] = 366,
  [653] = 379,
  [654] = 346,
  [655] = 344,
  [656] = 338,
  [657] = 336,
  [658] = 284,
  [659] = 330,
  [660] = 326,
  [661] = 360,
  [662] = 359,
  [663] = 320,
  [664] = 324,
  [665] = 325,
  [666] = 306,
  [667] = 355,
  [668] = 356,
  [669] = 371,
  [670] = 374,
  [671] = 381,
  [672] = 384,
  [673] = 370,
  [674] = 349,
  [675] = 376,
  [676] = 377,
  [677] = 382,
  [678] = 383,
  [679] = 326,
  [680] = 375,
  [681] = 132,
  [682] = 322,
  [683] = 362,
  [684] = 319,
  [685] = 336,
  [686] = 351,
  [687] = 379,
  [688] = 332,
  [689] = 313,
  [690] = 317,
  [691] = 372,
  [692] = 373,
  [693] = 318,
  [694] = 338,
  [695] = 315,
  [696] = 328,
  [697] = 314,
  [698] = 342,
  [699] = 341,
  [700] = 339,
  [701] = 701,
  [702] = 323,
  [703] = 371,
  [704] = 378,
  [705] = 310,
  [706] = 311,
  [707] = 309,
  [708] = 331,
  [709] = 132,
  [710] = 377,
  [711] = 330,
  [712] = 376,
  [713] = 316,
  [714] = 365,
  [715] = 349,
  [716] = 366,
  [717] = 383,
  [718] = 324,
  [719] = 345,
  [720] = 307,
  [721] = 374,
  [722] = 333,
  [723] = 327,
  [724] = 724,
  [725] = 382,
  [726] = 344,
  [727] = 727,
  [728] = 381,
  [729] = 320,
  [730] = 329,
  [731] = 731,
  [732] = 367,
  [733] = 321,
  [734] = 334,
  [735] = 380,
  [736] = 736,
  [737] = 346,
  [738] = 325,
  [739] = 354,
  [740] = 308,
  [741] = 361,
  [742] = 335,
  [743] = 357,
  [744] = 306,
  [745] = 352,
  [746] = 353,
  [747] = 355,
  [748] = 356,
  [749] = 384,
  [750] = 359,
  [751] = 369,
  [752] = 360,
  [753] = 753,
  [754] = 312,
  [755] = 370,
  [756] = 363,
  [757] = 757,
  [758] = 757,
  [759] = 759,
  [760] = 759,
  [761] = 757,
  [762] = 132,
  [763] = 759,
  [764] = 757,
  [765] = 759,
  [766] = 757,
  [767] = 757,
  [768] = 586,
  [769] = 759,
  [770] = 770,
  [771] = 757,
  [772] = 759,
  [773] = 759,
  [774] = 757,
  [775] = 132,
  [776] = 132,
  [777] = 759,
  [778] = 778,
  [779] = 759,
  [780] = 586,
  [781] = 757,
  [782] = 759,
  [783] = 757,
  [784] = 784,
  [785] = 343,
  [786] = 343,
  [787] = 343,
  [788] = 788,
  [789] = 788,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 791,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 797,
  [802] = 802,
  [803] = 797,
  [804] = 791,
  [805] = 798,
  [806] = 806,
  [807] = 800,
  [808] = 791,
  [809] = 797,
  [810] = 810,
  [811] = 794,
  [812] = 799,
  [813] = 813,
  [814] = 813,
  [815] = 813,
  [816] = 813,
  [817] = 813,
  [818] = 813,
  [819] = 813,
  [820] = 343,
  [821] = 343,
  [822] = 822,
  [823] = 822,
  [824] = 822,
  [825] = 822,
  [826] = 343,
  [827] = 822,
  [828] = 822,
  [829] = 822,
  [830] = 830,
  [831] = 225,
  [832] = 223,
  [833] = 833,
  [834] = 833,
  [835] = 148,
  [836] = 245,
  [837] = 248,
  [838] = 147,
  [839] = 247,
  [840] = 276,
  [841] = 283,
  [842] = 272,
  [843] = 300,
  [844] = 295,
  [845] = 304,
  [846] = 267,
  [847] = 266,
  [848] = 268,
  [849] = 269,
  [850] = 810,
  [851] = 278,
  [852] = 305,
  [853] = 257,
  [854] = 293,
  [855] = 301,
  [856] = 292,
  [857] = 294,
  [858] = 286,
  [859] = 302,
  [860] = 298,
  [861] = 290,
  [862] = 282,
  [863] = 296,
  [864] = 262,
  [865] = 281,
  [866] = 297,
  [867] = 256,
  [868] = 868,
  [869] = 806,
  [870] = 274,
  [871] = 299,
  [872] = 271,
  [873] = 287,
  [874] = 280,
  [875] = 303,
  [876] = 830,
  [877] = 277,
  [878] = 264,
  [879] = 263,
  [880] = 260,
  [881] = 881,
  [882] = 881,
  [883] = 881,
  [884] = 884,
  [885] = 885,
  [886] = 884,
  [887] = 887,
  [888] = 888,
  [889] = 888,
  [890] = 884,
  [891] = 891,
  [892] = 884,
  [893] = 888,
  [894] = 884,
  [895] = 888,
  [896] = 888,
  [897] = 891,
  [898] = 884,
  [899] = 899,
  [900] = 884,
  [901] = 891,
  [902] = 891,
  [903] = 884,
  [904] = 891,
  [905] = 905,
  [906] = 888,
  [907] = 888,
  [908] = 884,
  [909] = 888,
  [910] = 888,
  [911] = 891,
  [912] = 912,
  [913] = 912,
  [914] = 912,
  [915] = 915,
  [916] = 915,
  [917] = 912,
  [918] = 912,
  [919] = 915,
  [920] = 915,
  [921] = 912,
  [922] = 915,
  [923] = 915,
  [924] = 924,
  [925] = 925,
  [926] = 925,
  [927] = 925,
  [928] = 925,
  [929] = 929,
  [930] = 925,
  [931] = 925,
  [932] = 929,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 935,
  [937] = 934,
  [938] = 933,
  [939] = 934,
  [940] = 934,
  [941] = 934,
  [942] = 933,
  [943] = 935,
  [944] = 944,
  [945] = 944,
  [946] = 944,
  [947] = 934,
  [948] = 929,
  [949] = 933,
  [950] = 933,
  [951] = 935,
  [952] = 934,
  [953] = 933,
  [954] = 935,
  [955] = 934,
  [956] = 934,
  [957] = 933,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 959,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 961,
  [967] = 967,
  [968] = 959,
  [969] = 969,
  [970] = 970,
  [971] = 967,
  [972] = 961,
  [973] = 967,
  [974] = 969,
  [975] = 975,
  [976] = 959,
  [977] = 977,
  [978] = 978,
  [979] = 967,
  [980] = 961,
  [981] = 981,
  [982] = 969,
  [983] = 959,
  [984] = 959,
  [985] = 985,
  [986] = 967,
  [987] = 959,
  [988] = 959,
  [989] = 961,
  [990] = 967,
  [991] = 969,
  [992] = 961,
  [993] = 970,
  [994] = 994,
  [995] = 959,
  [996] = 959,
  [997] = 967,
  [998] = 969,
  [999] = 961,
  [1000] = 969,
  [1001] = 959,
  [1002] = 969,
  [1003] = 961,
  [1004] = 961,
  [1005] = 969,
  [1006] = 970,
  [1007] = 967,
  [1008] = 969,
  [1009] = 967,
  [1010] = 967,
  [1011] = 969,
  [1012] = 967,
  [1013] = 969,
  [1014] = 969,
  [1015] = 961,
  [1016] = 961,
  [1017] = 959,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 967,
  [1021] = 1021,
  [1022] = 961,
  [1023] = 967,
  [1024] = 1024,
  [1025] = 969,
  [1026] = 961,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 959,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1030,
  [1034] = 1030,
  [1035] = 1030,
  [1036] = 1031,
  [1037] = 1037,
  [1038] = 1031,
  [1039] = 1037,
  [1040] = 1037,
  [1041] = 1037,
  [1042] = 1030,
  [1043] = 1031,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1031,
  [1047] = 1047,
  [1048] = 1030,
  [1049] = 1031,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1037,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1031,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1031,
  [1064] = 1030,
  [1065] = 1031,
  [1066] = 1066,
  [1067] = 1030,
  [1068] = 1030,
  [1069] = 1030,
  [1070] = 1037,
  [1071] = 1037,
  [1072] = 1030,
  [1073] = 1073,
  [1074] = 1030,
  [1075] = 1030,
  [1076] = 1031,
  [1077] = 1031,
  [1078] = 1031,
  [1079] = 1031,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1080,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1084,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1090,
  [1105] = 1105,
  [1106] = 1081,
  [1107] = 1107,
  [1108] = 1105,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1090,
  [1116] = 1109,
  [1117] = 1117,
  [1118] = 1080,
  [1119] = 1090,
  [1120] = 1103,
  [1121] = 1097,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1090,
  [1125] = 1125,
  [1126] = 1117,
  [1127] = 1113,
  [1128] = 1125,
  [1129] = 1093,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1083,
  [1133] = 1131,
  [1134] = 1134,
  [1135] = 1109,
  [1136] = 1087,
  [1137] = 1123,
  [1138] = 1130,
  [1139] = 1093,
  [1140] = 1109,
  [1141] = 1114,
  [1142] = 1086,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1089,
  [1147] = 1111,
  [1148] = 1091,
  [1149] = 1110,
  [1150] = 1080,
  [1151] = 1117,
  [1152] = 1109,
  [1153] = 1090,
  [1154] = 1145,
  [1155] = 1102,
  [1156] = 1109,
  [1157] = 1144,
  [1158] = 1090,
  [1159] = 1092,
  [1160] = 1109,
  [1161] = 1109,
  [1162] = 1095,
  [1163] = 1096,
  [1164] = 1130,
  [1165] = 1101,
  [1166] = 1100,
  [1167] = 1109,
  [1168] = 1099,
  [1169] = 1134,
  [1170] = 1170,
  [1171] = 1093,
  [1172] = 1090,
  [1173] = 1098,
  [1174] = 1109,
  [1175] = 1125,
  [1176] = 1109,
  [1177] = 1109,
  [1178] = 1109,
  [1179] = 1090,
  [1180] = 1117,
  [1181] = 1085,
  [1182] = 1088,
  [1183] = 1117,
  [1184] = 1080,
  [1185] = 1130,
  [1186] = 1090,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1190,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1190,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1199,
  [1204] = 1198,
  [1205] = 1205,
  [1206] = 1199,
  [1207] = 1207,
  [1208] = 1200,
  [1209] = 1195,
  [1210] = 1199,
  [1211] = 1211,
  [1212] = 1205,
  [1213] = 1213,
  [1214] = 1211,
  [1215] = 1215,
  [1216] = 1196,
  [1217] = 1207,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1198,
  [1225] = 1192,
  [1226] = 1189,
  [1227] = 1187,
  [1228] = 1228,
  [1229] = 1211,
  [1230] = 1200,
  [1231] = 1188,
  [1232] = 1207,
  [1233] = 1233,
  [1234] = 1190,
  [1235] = 1218,
  [1236] = 1219,
  [1237] = 1237,
  [1238] = 1237,
  [1239] = 1195,
  [1240] = 1211,
  [1241] = 1241,
  [1242] = 1189,
  [1243] = 1243,
  [1244] = 1202,
  [1245] = 1237,
  [1246] = 1195,
  [1247] = 1198,
  [1248] = 1221,
  [1249] = 1198,
  [1250] = 1200,
  [1251] = 1251,
  [1252] = 1220,
  [1253] = 1253,
  [1254] = 1201,
  [1255] = 1221,
  [1256] = 1256,
  [1257] = 1221,
  [1258] = 1258,
  [1259] = 1222,
  [1260] = 1260,
  [1261] = 1188,
  [1262] = 1223,
  [1263] = 1222,
  [1264] = 1195,
  [1265] = 1222,
  [1266] = 1221,
  [1267] = 1258,
  [1268] = 1189,
  [1269] = 1220,
  [1270] = 1223,
  [1271] = 1192,
  [1272] = 1219,
  [1273] = 1273,
  [1274] = 1205,
  [1275] = 1223,
  [1276] = 1251,
  [1277] = 1192,
  [1278] = 1201,
  [1279] = 1213,
  [1280] = 1211,
  [1281] = 1218,
  [1282] = 1251,
  [1283] = 1253,
  [1284] = 1192,
  [1285] = 1223,
  [1286] = 1189,
  [1287] = 1213,
  [1288] = 1211,
  [1289] = 1188,
  [1290] = 1222,
  [1291] = 1253,
  [1292] = 1241,
  [1293] = 1258,
  [1294] = 1188,
  [1295] = 1221,
  [1296] = 1202,
  [1297] = 1220,
  [1298] = 1237,
  [1299] = 1299,
  [1300] = 1233,
  [1301] = 1219,
  [1302] = 1189,
  [1303] = 1218,
  [1304] = 1195,
  [1305] = 1207,
  [1306] = 1196,
  [1307] = 1202,
  [1308] = 1189,
  [1309] = 1202,
  [1310] = 1200,
  [1311] = 1198,
  [1312] = 1200,
  [1313] = 1215,
  [1314] = 1201,
  [1315] = 1196,
  [1316] = 1316,
  [1317] = 1205,
  [1318] = 1196,
  [1319] = 1218,
  [1320] = 1253,
  [1321] = 1215,
  [1322] = 1192,
  [1323] = 1323,
  [1324] = 1211,
  [1325] = 1188,
  [1326] = 1213,
  [1327] = 1195,
  [1328] = 1200,
  [1329] = 1211,
  [1330] = 1199,
  [1331] = 1205,
  [1332] = 1213,
  [1333] = 1201,
  [1334] = 1215,
  [1335] = 1211,
  [1336] = 1336,
  [1337] = 1205,
  [1338] = 1207,
  [1339] = 1233,
  [1340] = 1233,
  [1341] = 1188,
  [1342] = 1253,
  [1343] = 1207,
  [1344] = 1201,
  [1345] = 1189,
  [1346] = 1228,
  [1347] = 1198,
  [1348] = 1348,
  [1349] = 1193,
  [1350] = 1191,
  [1351] = 1187,
  [1352] = 1199,
  [1353] = 1196,
  [1354] = 1237,
  [1355] = 1237,
  [1356] = 1258,
  [1357] = 1188,
  [1358] = 1215,
  [1359] = 1213,
  [1360] = 1251,
  [1361] = 1202,
  [1362] = 1205,
  [1363] = 1188,
  [1364] = 1213,
  [1365] = 1218,
  [1366] = 1199,
  [1367] = 1219,
  [1368] = 1368,
  [1369] = 1228,
  [1370] = 1189,
  [1371] = 1237,
  [1372] = 1253,
  [1373] = 1373,
  [1374] = 1220,
  [1375] = 1211,
  [1376] = 1241,
  [1377] = 1211,
  [1378] = 1237,
  [1379] = 1211,
  [1380] = 1188,
  [1381] = 1222,
  [1382] = 1195,
  [1383] = 1205,
  [1384] = 1222,
  [1385] = 1199,
  [1386] = 1200,
  [1387] = 1195,
  [1388] = 1233,
  [1389] = 1200,
  [1390] = 1223,
  [1391] = 1213,
  [1392] = 1215,
  [1393] = 1215,
  [1394] = 1196,
  [1395] = 1205,
  [1396] = 1207,
  [1397] = 1218,
  [1398] = 1219,
  [1399] = 1220,
  [1400] = 1221,
  [1401] = 1222,
  [1402] = 1189,
  [1403] = 1223,
  [1404] = 1192,
  [1405] = 1273,
  [1406] = 1192,
  [1407] = 1253,
  [1408] = 1237,
  [1409] = 1409,
  [1410] = 1199,
  [1411] = 1237,
  [1412] = 1213,
  [1413] = 1205,
  [1414] = 1215,
  [1415] = 1192,
  [1416] = 1189,
  [1417] = 1199,
  [1418] = 1222,
  [1419] = 1419,
  [1420] = 1192,
  [1421] = 1251,
  [1422] = 1200,
  [1423] = 1215,
  [1424] = 1196,
  [1425] = 1207,
  [1426] = 1258,
  [1427] = 1188,
  [1428] = 1199,
  [1429] = 1199,
  [1430] = 1196,
  [1431] = 1237,
  [1432] = 1223,
  [1433] = 1207,
  [1434] = 1221,
  [1435] = 1218,
  [1436] = 1218,
  [1437] = 1220,
  [1438] = 1219,
  [1439] = 1189,
  [1440] = 1219,
  [1441] = 1218,
  [1442] = 1220,
  [1443] = 1202,
  [1444] = 1205,
  [1445] = 1213,
  [1446] = 1199,
  [1447] = 1190,
  [1448] = 1251,
  [1449] = 1219,
  [1450] = 1200,
  [1451] = 1195,
  [1452] = 1207,
  [1453] = 1200,
  [1454] = 1196,
  [1455] = 1195,
  [1456] = 1200,
  [1457] = 1223,
  [1458] = 1228,
  [1459] = 1195,
  [1460] = 1187,
  [1461] = 1188,
  [1462] = 1222,
  [1463] = 1215,
  [1464] = 1213,
  [1465] = 1205,
  [1466] = 1189,
  [1467] = 1219,
  [1468] = 1205,
  [1469] = 1213,
  [1470] = 1211,
  [1471] = 1215,
  [1472] = 1213,
  [1473] = 1215,
  [1474] = 1196,
  [1475] = 1207,
  [1476] = 1258,
  [1477] = 1218,
  [1478] = 1219,
  [1479] = 1237,
  [1480] = 1221,
  [1481] = 1220,
  [1482] = 1221,
  [1483] = 1222,
  [1484] = 1196,
  [1485] = 1207,
  [1486] = 1223,
  [1487] = 1221,
  [1488] = 1218,
  [1489] = 1195,
  [1490] = 1188,
  [1491] = 1219,
  [1492] = 1220,
  [1493] = 1192,
  [1494] = 1221,
  [1495] = 1222,
  [1496] = 1220,
  [1497] = 1223,
  [1498] = 1228,
  [1499] = 1219,
  [1500] = 1218,
  [1501] = 1258,
  [1502] = 1220,
  [1503] = 1187,
  [1504] = 1504,
  [1505] = 1220,
  [1506] = 1506,
  [1507] = 1207,
  [1508] = 1237,
  [1509] = 1233,
  [1510] = 1316,
  [1511] = 1223,
  [1512] = 1196,
  [1513] = 1215,
  [1514] = 1192,
  [1515] = 1223,
  [1516] = 1222,
  [1517] = 1190,
  [1518] = 1192,
  [1519] = 1221,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1520,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 311,
  [1531] = 1531,
  [1532] = 353,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1534,
  [1536] = 1534,
  [1537] = 1534,
  [1538] = 1529,
  [1539] = 1529,
  [1540] = 1540,
  [1541] = 1531,
  [1542] = 1527,
  [1543] = 1531,
  [1544] = 1525,
  [1545] = 1522,
  [1546] = 929,
  [1547] = 1526,
  [1548] = 1529,
  [1549] = 1528,
  [1550] = 1521,
  [1551] = 1524,
  [1552] = 1525,
  [1553] = 929,
  [1554] = 1526,
  [1555] = 1521,
  [1556] = 1522,
  [1557] = 1531,
  [1558] = 1528,
  [1559] = 1527,
  [1560] = 1524,
  [1561] = 929,
  [1562] = 1524,
  [1563] = 1527,
  [1564] = 1526,
  [1565] = 1528,
  [1566] = 1522,
  [1567] = 1531,
  [1568] = 1521,
  [1569] = 1525,
  [1570] = 1528,
  [1571] = 1521,
  [1572] = 1522,
  [1573] = 1525,
  [1574] = 1527,
  [1575] = 1526,
  [1576] = 1524,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1577,
  [1580] = 1577,
  [1581] = 1577,
  [1582] = 1582,
  [1583] = 1582,
  [1584] = 1584,
  [1585] = 1582,
  [1586] = 1582,
  [1587] = 1582,
  [1588] = 1582,
  [1589] = 1584,
  [1590] = 1584,
  [1591] = 1582,
  [1592] = 1584,
  [1593] = 1584,
  [1594] = 1584,
  [1595] = 1584,
  [1596] = 1531,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1612,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 225,
  [1621] = 223,
  [1622] = 237,
  [1623] = 1619,
  [1624] = 238,
  [1625] = 1531,
  [1626] = 1619,
  [1627] = 1619,
  [1628] = 1525,
  [1629] = 1629,
  [1630] = 1526,
  [1631] = 1527,
  [1632] = 1521,
  [1633] = 1522,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1524,
  [1637] = 1528,
  [1638] = 1531,
  [1639] = 1525,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 147,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 247,
  [1646] = 1521,
  [1647] = 1522,
  [1648] = 1528,
  [1649] = 1527,
  [1650] = 1650,
  [1651] = 1524,
  [1652] = 1526,
  [1653] = 148,
  [1654] = 1654,
  [1655] = 284,
  [1656] = 284,
  [1657] = 319,
  [1658] = 1658,
  [1659] = 1525,
  [1660] = 326,
  [1661] = 1521,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 344,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 346,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 354,
  [1692] = 351,
  [1693] = 366,
  [1694] = 336,
  [1695] = 338,
  [1696] = 375,
  [1697] = 382,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 1703,
  [1704] = 383,
  [1705] = 308,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1529,
  [1710] = 378,
  [1711] = 267,
  [1712] = 302,
  [1713] = 321,
  [1714] = 268,
  [1715] = 269,
  [1716] = 310,
  [1717] = 359,
  [1718] = 257,
  [1719] = 316,
  [1720] = 311,
  [1721] = 324,
  [1722] = 360,
  [1723] = 325,
  [1724] = 304,
  [1725] = 295,
  [1726] = 317,
  [1727] = 318,
  [1728] = 306,
  [1729] = 352,
  [1730] = 1522,
  [1731] = 1731,
  [1732] = 353,
  [1733] = 1524,
  [1734] = 1734,
  [1735] = 274,
  [1736] = 1527,
  [1737] = 1528,
  [1738] = 271,
  [1739] = 315,
  [1740] = 322,
  [1741] = 1526,
  [1742] = 323,
  [1743] = 305,
  [1744] = 363,
  [1745] = 1745,
  [1746] = 362,
  [1747] = 1747,
  [1748] = 329,
  [1749] = 361,
  [1750] = 330,
  [1751] = 331,
  [1752] = 327,
  [1753] = 333,
  [1754] = 345,
  [1755] = 1755,
  [1756] = 349,
  [1757] = 365,
  [1758] = 1531,
  [1759] = 328,
  [1760] = 373,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 376,
  [1764] = 377,
  [1765] = 1618,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1640,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 225,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 238,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1529,
  [1793] = 238,
  [1794] = 237,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 223,
  [1805] = 1654,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 223,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 225,
  [1816] = 237,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1820,
  [1823] = 1821,
  [1824] = 1820,
  [1825] = 1821,
  [1826] = 1819,
  [1827] = 1821,
  [1828] = 1820,
  [1829] = 1829,
  [1830] = 1820,
  [1831] = 1531,
  [1832] = 1821,
  [1833] = 1833,
  [1834] = 1820,
  [1835] = 1821,
  [1836] = 1819,
  [1837] = 1820,
  [1838] = 1819,
  [1839] = 1529,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1821,
  [1843] = 1843,
  [1844] = 284,
  [1845] = 148,
  [1846] = 1578,
  [1847] = 1629,
  [1848] = 148,
  [1849] = 147,
  [1850] = 147,
  [1851] = 284,
  [1852] = 284,
  [1853] = 1843,
  [1854] = 1529,
  [1855] = 284,
  [1856] = 1843,
  [1857] = 247,
  [1858] = 1843,
  [1859] = 1531,
  [1860] = 1860,
  [1861] = 247,
  [1862] = 1618,
  [1863] = 377,
  [1864] = 351,
  [1865] = 330,
  [1866] = 331,
  [1867] = 331,
  [1868] = 1690,
  [1869] = 311,
  [1870] = 304,
  [1871] = 328,
  [1872] = 1699,
  [1873] = 353,
  [1874] = 305,
  [1875] = 362,
  [1876] = 1810,
  [1877] = 363,
  [1878] = 375,
  [1879] = 1761,
  [1880] = 359,
  [1881] = 1762,
  [1882] = 360,
  [1883] = 1698,
  [1884] = 366,
  [1885] = 382,
  [1886] = 257,
  [1887] = 269,
  [1888] = 383,
  [1889] = 382,
  [1890] = 274,
  [1891] = 271,
  [1892] = 324,
  [1893] = 325,
  [1894] = 319,
  [1895] = 329,
  [1896] = 306,
  [1897] = 267,
  [1898] = 1762,
  [1899] = 1761,
  [1900] = 346,
  [1901] = 344,
  [1902] = 1688,
  [1903] = 330,
  [1904] = 361,
  [1905] = 327,
  [1906] = 1671,
  [1907] = 315,
  [1908] = 333,
  [1909] = 305,
  [1910] = 345,
  [1911] = 338,
  [1912] = 349,
  [1913] = 365,
  [1914] = 267,
  [1915] = 1658,
  [1916] = 376,
  [1917] = 1707,
  [1918] = 322,
  [1919] = 1706,
  [1920] = 1702,
  [1921] = 378,
  [1922] = 352,
  [1923] = 306,
  [1924] = 349,
  [1925] = 365,
  [1926] = 376,
  [1927] = 377,
  [1928] = 268,
  [1929] = 1701,
  [1930] = 1707,
  [1931] = 1700,
  [1932] = 354,
  [1933] = 1687,
  [1934] = 1686,
  [1935] = 325,
  [1936] = 1699,
  [1937] = 1698,
  [1938] = 1685,
  [1939] = 336,
  [1940] = 1672,
  [1941] = 1706,
  [1942] = 1942,
  [1943] = 1670,
  [1944] = 324,
  [1945] = 1684,
  [1946] = 321,
  [1947] = 318,
  [1948] = 317,
  [1949] = 354,
  [1950] = 1669,
  [1951] = 1702,
  [1952] = 373,
  [1953] = 302,
  [1954] = 1701,
  [1955] = 1700,
  [1956] = 351,
  [1957] = 323,
  [1958] = 1673,
  [1959] = 328,
  [1960] = 323,
  [1961] = 315,
  [1962] = 1668,
  [1963] = 383,
  [1964] = 1667,
  [1965] = 1674,
  [1966] = 257,
  [1967] = 322,
  [1968] = 316,
  [1969] = 1666,
  [1970] = 310,
  [1971] = 1665,
  [1972] = 1675,
  [1973] = 1676,
  [1974] = 1690,
  [1975] = 1689,
  [1976] = 1688,
  [1977] = 308,
  [1978] = 308,
  [1979] = 1687,
  [1980] = 1686,
  [1981] = 311,
  [1982] = 1677,
  [1983] = 1678,
  [1984] = 329,
  [1985] = 304,
  [1986] = 321,
  [1987] = 1679,
  [1988] = 1680,
  [1989] = 1685,
  [1990] = 352,
  [1991] = 310,
  [1992] = 1684,
  [1993] = 353,
  [1994] = 1682,
  [1995] = 1680,
  [1996] = 1689,
  [1997] = 1679,
  [1998] = 1678,
  [1999] = 1677,
  [2000] = 1676,
  [2001] = 1675,
  [2002] = 1674,
  [2003] = 1673,
  [2004] = 1672,
  [2005] = 295,
  [2006] = 268,
  [2007] = 1658,
  [2008] = 1682,
  [2009] = 295,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 326,
  [2013] = 1531,
  [2014] = 1734,
  [2015] = 1671,
  [2016] = 1670,
  [2017] = 269,
  [2018] = 1669,
  [2019] = 274,
  [2020] = 1668,
  [2021] = 271,
  [2022] = 363,
  [2023] = 362,
  [2024] = 1667,
  [2025] = 1666,
  [2026] = 375,
  [2027] = 1665,
  [2028] = 366,
  [2029] = 1663,
  [2030] = 361,
  [2031] = 1662,
  [2032] = 1663,
  [2033] = 327,
  [2034] = 333,
  [2035] = 345,
  [2036] = 319,
  [2037] = 359,
  [2038] = 326,
  [2039] = 318,
  [2040] = 378,
  [2041] = 360,
  [2042] = 373,
  [2043] = 317,
  [2044] = 316,
  [2045] = 1662,
  [2046] = 346,
  [2047] = 336,
  [2048] = 338,
  [2049] = 344,
  [2050] = 302,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 1734,
  [2058] = 2058,
  [2059] = 1782,
  [2060] = 2060,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 1618,
  [2064] = 2064,
  [2065] = 1813,
  [2066] = 2066,
  [2067] = 1734,
  [2068] = 2068,
  [2069] = 1942,
  [2070] = 2070,
  [2071] = 2010,
  [2072] = 2072,
  [2073] = 1708,
  [2074] = 2074,
  [2075] = 1860,
  [2076] = 1782,
  [2077] = 2074,
  [2078] = 2078,
  [2079] = 1525,
  [2080] = 1703,
  [2081] = 1683,
  [2082] = 1521,
  [2083] = 1683,
  [2084] = 1629,
  [2085] = 147,
  [2086] = 1747,
  [2087] = 2087,
  [2088] = 148,
  [2089] = 2054,
  [2090] = 1578,
  [2091] = 806,
  [2092] = 1526,
  [2093] = 2093,
  [2094] = 2074,
  [2095] = 810,
  [2096] = 2093,
  [2097] = 1524,
  [2098] = 1527,
  [2099] = 1747,
  [2100] = 1528,
  [2101] = 1522,
  [2102] = 1703,
  [2103] = 1791,
  [2104] = 1782,
  [2105] = 1708,
  [2106] = 2106,
  [2107] = 1791,
  [2108] = 2064,
  [2109] = 1629,
  [2110] = 2068,
  [2111] = 2111,
  [2112] = 2111,
  [2113] = 2113,
  [2114] = 1629,
  [2115] = 1644,
  [2116] = 2116,
  [2117] = 1629,
  [2118] = 2116,
  [2119] = 1650,
  [2120] = 1650,
  [2121] = 2111,
  [2122] = 1629,
  [2123] = 1791,
  [2124] = 1683,
  [2125] = 1644,
  [2126] = 2126,
  [2127] = 2111,
  [2128] = 2064,
  [2129] = 1643,
  [2130] = 2111,
  [2131] = 2068,
  [2132] = 2111,
  [2133] = 1643,
  [2134] = 1813,
  [2135] = 2135,
  [2136] = 1703,
  [2137] = 1708,
  [2138] = 1747,
  [2139] = 1734,
  [2140] = 1745,
  [2141] = 1650,
  [2142] = 2142,
  [2143] = 1629,
  [2144] = 1841,
  [2145] = 1629,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 1644,
  [2150] = 2064,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 1840,
  [2156] = 1833,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 1818,
  [2161] = 1629,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 1731,
  [2165] = 2135,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2068,
  [2171] = 2113,
  [2172] = 1629,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2159,
  [2176] = 2176,
  [2177] = 1755,
  [2178] = 2178,
  [2179] = 2126,
  [2180] = 1643,
  [2181] = 1803,
  [2182] = 1812,
  [2183] = 1790,
  [2184] = 1529,
  [2185] = 1786,
  [2186] = 1618,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2054,
  [2190] = 1807,
  [2191] = 2178,
  [2192] = 1788,
  [2193] = 2148,
  [2194] = 2153,
  [2195] = 2195,
  [2196] = 1772,
  [2197] = 1768,
  [2198] = 2162,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 1771,
  [2202] = 2147,
  [2203] = 2174,
  [2204] = 2072,
  [2205] = 2152,
  [2206] = 2176,
  [2207] = 1773,
  [2208] = 2208,
  [2209] = 1860,
  [2210] = 2210,
  [2211] = 1778,
  [2212] = 1789,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 1806,
  [2216] = 1798,
  [2217] = 2060,
  [2218] = 1734,
  [2219] = 1734,
  [2220] = 1775,
  [2221] = 1774,
  [2222] = 1779,
  [2223] = 2223,
  [2224] = 1770,
  [2225] = 1769,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 1618,
  [2229] = 2011,
  [2230] = 1799,
  [2231] = 1782,
  [2232] = 1814,
  [2233] = 1817,
  [2234] = 2051,
  [2235] = 2054,
  [2236] = 2060,
  [2237] = 1809,
  [2238] = 2238,
  [2239] = 2168,
  [2240] = 1808,
  [2241] = 2066,
  [2242] = 2070,
  [2243] = 1766,
  [2244] = 2244,
  [2245] = 2173,
  [2246] = 2052,
  [2247] = 2158,
  [2248] = 1776,
  [2249] = 2249,
  [2250] = 2070,
  [2251] = 2053,
  [2252] = 2053,
  [2253] = 2163,
  [2254] = 1802,
  [2255] = 1796,
  [2256] = 1801,
  [2257] = 1787,
  [2258] = 2258,
  [2259] = 1784,
  [2260] = 1783,
  [2261] = 2261,
  [2262] = 1767,
  [2263] = 2066,
  [2264] = 1800,
  [2265] = 1780,
  [2266] = 1795,
  [2267] = 2052,
  [2268] = 1810,
  [2269] = 2051,
  [2270] = 1797,
  [2271] = 2072,
  [2272] = 1818,
  [2273] = 1942,
  [2274] = 2072,
  [2275] = 2051,
  [2276] = 1782,
  [2277] = 2053,
  [2278] = 2278,
  [2279] = 1782,
  [2280] = 2280,
  [2281] = 1841,
  [2282] = 2062,
  [2283] = 1833,
  [2284] = 1840,
  [2285] = 2062,
  [2286] = 2286,
  [2287] = 1840,
  [2288] = 1813,
  [2289] = 1731,
  [2290] = 1818,
  [2291] = 2060,
  [2292] = 2054,
  [2293] = 1833,
  [2294] = 2294,
  [2295] = 1755,
  [2296] = 2296,
  [2297] = 1841,
  [2298] = 2298,
  [2299] = 1531,
  [2300] = 1650,
  [2301] = 1643,
  [2302] = 2010,
  [2303] = 2062,
  [2304] = 1644,
  [2305] = 2066,
  [2306] = 2306,
  [2307] = 1745,
  [2308] = 1618,
  [2309] = 2070,
  [2310] = 2310,
  [2311] = 2052,
  [2312] = 1833,
  [2313] = 1786,
  [2314] = 2314,
  [2315] = 1806,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 1766,
  [2320] = 2320,
  [2321] = 1774,
  [2322] = 1790,
  [2323] = 1833,
  [2324] = 2324,
  [2325] = 1841,
  [2326] = 2326,
  [2327] = 1775,
  [2328] = 1796,
  [2329] = 1812,
  [2330] = 1813,
  [2331] = 810,
  [2332] = 1734,
  [2333] = 1767,
  [2334] = 806,
  [2335] = 1860,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 1770,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 1801,
  [2342] = 2342,
  [2343] = 1769,
  [2344] = 2344,
  [2345] = 1779,
  [2346] = 1778,
  [2347] = 2347,
  [2348] = 1802,
  [2349] = 2126,
  [2350] = 1768,
  [2351] = 1795,
  [2352] = 1787,
  [2353] = 1803,
  [2354] = 2126,
  [2355] = 2355,
  [2356] = 1776,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 1841,
  [2360] = 2360,
  [2361] = 1860,
  [2362] = 1840,
  [2363] = 2363,
  [2364] = 1809,
  [2365] = 1818,
  [2366] = 1773,
  [2367] = 1818,
  [2368] = 1788,
  [2369] = 1818,
  [2370] = 1798,
  [2371] = 2371,
  [2372] = 1840,
  [2373] = 1807,
  [2374] = 1772,
  [2375] = 1789,
  [2376] = 1817,
  [2377] = 1841,
  [2378] = 1808,
  [2379] = 1833,
  [2380] = 1799,
  [2381] = 1814,
  [2382] = 1780,
  [2383] = 1840,
  [2384] = 1800,
  [2385] = 1771,
  [2386] = 1784,
  [2387] = 1783,
  [2388] = 1797,
  [2389] = 2389,
  [2390] = 2390,
  [2391] = 2391,
  [2392] = 1703,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 1618,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 1708,
  [2404] = 1605,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2415,
  [2416] = 2416,
  [2417] = 1609,
  [2418] = 1601,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 1602,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2420,
  [2427] = 2135,
  [2428] = 1606,
  [2429] = 1604,
  [2430] = 1611,
  [2431] = 2431,
  [2432] = 147,
  [2433] = 1608,
  [2434] = 2087,
  [2435] = 1598,
  [2436] = 2436,
  [2437] = 1599,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 1860,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2447,
  [2448] = 1526,
  [2449] = 2296,
  [2450] = 278,
  [2451] = 1524,
  [2452] = 2452,
  [2453] = 1683,
  [2454] = 2454,
  [2455] = 1527,
  [2456] = 1528,
  [2457] = 1522,
  [2458] = 2113,
  [2459] = 1525,
  [2460] = 1683,
  [2461] = 2461,
  [2462] = 1521,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 1578,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 148,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2294,
  [2476] = 2476,
  [2477] = 2078,
  [2478] = 2478,
  [2479] = 1597,
  [2480] = 260,
  [2481] = 2481,
  [2482] = 1840,
  [2483] = 2159,
  [2484] = 1747,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 2054,
  [2488] = 1833,
  [2489] = 1747,
  [2490] = 1578,
  [2491] = 2491,
  [2492] = 2420,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 1818,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 1607,
  [2499] = 1603,
  [2500] = 1791,
  [2501] = 1841,
  [2502] = 2502,
  [2503] = 1703,
  [2504] = 1708,
  [2505] = 1600,
  [2506] = 1782,
  [2507] = 2420,
  [2508] = 1610,
  [2509] = 1521,
  [2510] = 1525,
  [2511] = 1522,
  [2512] = 2126,
  [2513] = 1528,
  [2514] = 1527,
  [2515] = 1524,
  [2516] = 2516,
  [2517] = 1526,
  [2518] = 2153,
  [2519] = 1618,
  [2520] = 1525,
  [2521] = 1522,
  [2522] = 2053,
  [2523] = 1528,
  [2524] = 1527,
  [2525] = 2052,
  [2526] = 1524,
  [2527] = 1644,
  [2528] = 2070,
  [2529] = 2163,
  [2530] = 2060,
  [2531] = 2066,
  [2532] = 2158,
  [2533] = 2070,
  [2534] = 1818,
  [2535] = 1791,
  [2536] = 1841,
  [2537] = 2066,
  [2538] = 1526,
  [2539] = 2060,
  [2540] = 2072,
  [2541] = 2010,
  [2542] = 1942,
  [2543] = 1521,
  [2544] = 1650,
  [2545] = 2168,
  [2546] = 2147,
  [2547] = 2547,
  [2548] = 2159,
  [2549] = 2072,
  [2550] = 2148,
  [2551] = 2173,
  [2552] = 2051,
  [2553] = 2051,
  [2554] = 1643,
  [2555] = 2053,
  [2556] = 2176,
  [2557] = 2178,
  [2558] = 2052,
  [2559] = 1833,
  [2560] = 1840,
  [2561] = 2152,
  [2562] = 2174,
  [2563] = 2162,
  [2564] = 2564,
  [2565] = 1731,
  [2566] = 1768,
  [2567] = 1773,
  [2568] = 1578,
  [2569] = 2010,
  [2570] = 1942,
  [2571] = 1841,
  [2572] = 1779,
  [2573] = 1755,
  [2574] = 1747,
  [2575] = 2052,
  [2576] = 1683,
  [2577] = 2294,
  [2578] = 1833,
  [2579] = 2066,
  [2580] = 1812,
  [2581] = 1734,
  [2582] = 2296,
  [2583] = 2011,
  [2584] = 1860,
  [2585] = 1796,
  [2586] = 2060,
  [2587] = 1703,
  [2588] = 2126,
  [2589] = 1786,
  [2590] = 2062,
  [2591] = 2062,
  [2592] = 2072,
  [2593] = 1840,
  [2594] = 2070,
  [2595] = 1810,
  [2596] = 1708,
  [2597] = 2051,
  [2598] = 1818,
  [2599] = 1745,
  [2600] = 1813,
  [2601] = 2053,
  [2602] = 1782,
  [2603] = 1802,
  [2604] = 2604,
  [2605] = 1803,
  [2606] = 1808,
  [2607] = 1790,
  [2608] = 1578,
  [2609] = 2604,
  [2610] = 1766,
  [2611] = 2547,
  [2612] = 2604,
  [2613] = 2604,
  [2614] = 1795,
  [2615] = 2058,
  [2616] = 2011,
  [2617] = 1654,
  [2618] = 2294,
  [2619] = 1806,
  [2620] = 1801,
  [2621] = 1788,
  [2622] = 1775,
  [2623] = 1784,
  [2624] = 1774,
  [2625] = 1783,
  [2626] = 1770,
  [2627] = 1769,
  [2628] = 2564,
  [2629] = 1578,
  [2630] = 2062,
  [2631] = 1776,
  [2632] = 1797,
  [2633] = 1708,
  [2634] = 1798,
  [2635] = 1800,
  [2636] = 1787,
  [2637] = 1807,
  [2638] = 1771,
  [2639] = 1778,
  [2640] = 2159,
  [2641] = 2604,
  [2642] = 2464,
  [2643] = 1747,
  [2644] = 1814,
  [2645] = 2516,
  [2646] = 1817,
  [2647] = 1772,
  [2648] = 1810,
  [2649] = 1813,
  [2650] = 1780,
  [2651] = 1767,
  [2652] = 1789,
  [2653] = 2604,
  [2654] = 1703,
  [2655] = 1791,
  [2656] = 1683,
  [2657] = 2604,
  [2658] = 2296,
  [2659] = 2547,
  [2660] = 2564,
  [2661] = 2061,
  [2662] = 2662,
  [2663] = 1578,
  [2664] = 2055,
  [2665] = 1799,
  [2666] = 2056,
  [2667] = 2395,
  [2668] = 1809,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 2669,
  [2672] = 1841,
  [2673] = 2056,
  [2674] = 2135,
  [2675] = 2055,
  [2676] = 1942,
  [2677] = 1818,
  [2678] = 2669,
  [2679] = 1833,
  [2680] = 2670,
  [2681] = 2010,
  [2682] = 2058,
  [2683] = 2066,
  [2684] = 1840,
  [2685] = 2669,
  [2686] = 2669,
  [2687] = 2070,
  [2688] = 2688,
  [2689] = 2052,
  [2690] = 2053,
  [2691] = 2113,
  [2692] = 2670,
  [2693] = 2061,
  [2694] = 2547,
  [2695] = 2126,
  [2696] = 2051,
  [2697] = 2072,
  [2698] = 2060,
  [2699] = 2670,
  [2700] = 2670,
  [2701] = 2135,
  [2702] = 2564,
  [2703] = 2703,
  [2704] = 2704,
  [2705] = 2705,
  [2706] = 2706,
  [2707] = 2707,
  [2708] = 2708,
  [2709] = 2709,
  [2710] = 2710,
  [2711] = 2688,
  [2712] = 2712,
  [2713] = 2670,
  [2714] = 2714,
  [2715] = 2715,
  [2716] = 2716,
  [2717] = 2717,
  [2718] = 2718,
  [2719] = 2719,
  [2720] = 2720,
  [2721] = 2721,
  [2722] = 2722,
  [2723] = 1791,
  [2724] = 2113,
  [2725] = 2670,
  [2726] = 2669,
  [2727] = 2669,
  [2728] = 2728,
  [2729] = 2729,
  [2730] = 2730,
  [2731] = 2731,
  [2732] = 2113,
  [2733] = 2733,
  [2734] = 2734,
  [2735] = 1527,
  [2736] = 1524,
  [2737] = 1526,
  [2738] = 2738,
  [2739] = 1531,
  [2740] = 2740,
  [2741] = 2152,
  [2742] = 1528,
  [2743] = 2733,
  [2744] = 2744,
  [2745] = 2734,
  [2746] = 2497,
  [2747] = 2731,
  [2748] = 2731,
  [2749] = 2733,
  [2750] = 2159,
  [2751] = 2731,
  [2752] = 2730,
  [2753] = 2753,
  [2754] = 2731,
  [2755] = 2731,
  [2756] = 2408,
  [2757] = 2738,
  [2758] = 2174,
  [2759] = 1522,
  [2760] = 1525,
  [2761] = 2761,
  [2762] = 2738,
  [2763] = 2744,
  [2764] = 2764,
  [2765] = 2135,
  [2766] = 2744,
  [2767] = 2294,
  [2768] = 2730,
  [2769] = 2414,
  [2770] = 2730,
  [2771] = 1521,
  [2772] = 2412,
  [2773] = 2733,
  [2774] = 2774,
  [2775] = 2738,
  [2776] = 2688,
  [2777] = 2688,
  [2778] = 2178,
  [2779] = 2168,
  [2780] = 2744,
  [2781] = 2740,
  [2782] = 2410,
  [2783] = 2744,
  [2784] = 2740,
  [2785] = 2409,
  [2786] = 2173,
  [2787] = 1708,
  [2788] = 2406,
  [2789] = 2153,
  [2790] = 2062,
  [2791] = 2296,
  [2792] = 2730,
  [2793] = 2148,
  [2794] = 2163,
  [2795] = 2731,
  [2796] = 1703,
  [2797] = 2730,
  [2798] = 2733,
  [2799] = 2158,
  [2800] = 2162,
  [2801] = 1747,
  [2802] = 2740,
  [2803] = 2740,
  [2804] = 2740,
  [2805] = 2733,
  [2806] = 2147,
  [2807] = 2176,
  [2808] = 1531,
  [2809] = 2744,
  [2810] = 1791,
  [2811] = 2734,
  [2812] = 1683,
  [2813] = 1813,
  [2814] = 2142,
  [2815] = 2688,
  [2816] = 2709,
  [2817] = 2157,
  [2818] = 2753,
  [2819] = 2712,
  [2820] = 2174,
  [2821] = 2715,
  [2822] = 1796,
  [2823] = 2717,
  [2824] = 1768,
  [2825] = 2148,
  [2826] = 2688,
  [2827] = 2176,
  [2828] = 1942,
  [2829] = 2688,
  [2830] = 2688,
  [2831] = 2728,
  [2832] = 2010,
  [2833] = 2688,
  [2834] = 2416,
  [2835] = 2718,
  [2836] = 806,
  [2837] = 2056,
  [2838] = 1779,
  [2839] = 2708,
  [2840] = 2168,
  [2841] = 2688,
  [2842] = 2722,
  [2843] = 2158,
  [2844] = 2173,
  [2845] = 2704,
  [2846] = 2147,
  [2847] = 2162,
  [2848] = 2848,
  [2849] = 2706,
  [2850] = 2178,
  [2851] = 2152,
  [2852] = 2163,
  [2853] = 1812,
  [2854] = 2173,
  [2855] = 2163,
  [2856] = 2152,
  [2857] = 2158,
  [2858] = 2168,
  [2859] = 2714,
  [2860] = 2774,
  [2861] = 1773,
  [2862] = 1791,
  [2863] = 2716,
  [2864] = 2176,
  [2865] = 2848,
  [2866] = 1531,
  [2867] = 2169,
  [2868] = 2174,
  [2869] = 2720,
  [2870] = 2707,
  [2871] = 2705,
  [2872] = 1731,
  [2873] = 1786,
  [2874] = 2178,
  [2875] = 2055,
  [2876] = 2061,
  [2877] = 1529,
  [2878] = 2878,
  [2879] = 2729,
  [2880] = 1745,
  [2881] = 1529,
  [2882] = 2721,
  [2883] = 810,
  [2884] = 2153,
  [2885] = 2703,
  [2886] = 2162,
  [2887] = 2848,
  [2888] = 2719,
  [2889] = 2153,
  [2890] = 2890,
  [2891] = 2688,
  [2892] = 2688,
  [2893] = 2147,
  [2894] = 2058,
  [2895] = 2167,
  [2896] = 2662,
  [2897] = 2148,
  [2898] = 2166,
  [2899] = 1755,
  [2900] = 1802,
  [2901] = 2901,
  [2902] = 2062,
  [2903] = 2053,
  [2904] = 2052,
  [2905] = 2905,
  [2906] = 2905,
  [2907] = 2226,
  [2908] = 1814,
  [2909] = 1755,
  [2910] = 1809,
  [2911] = 1807,
  [2912] = 1806,
  [2913] = 2905,
  [2914] = 2200,
  [2915] = 1789,
  [2916] = 1799,
  [2917] = 2135,
  [2918] = 1772,
  [2919] = 1810,
  [2920] = 1767,
  [2921] = 2921,
  [2922] = 2169,
  [2923] = 1775,
  [2924] = 1529,
  [2925] = 2159,
  [2926] = 2467,
  [2927] = 2927,
  [2928] = 2188,
  [2929] = 1774,
  [2930] = 1731,
  [2931] = 1796,
  [2932] = 1798,
  [2933] = 1801,
  [2934] = 2261,
  [2935] = 2491,
  [2936] = 2199,
  [2937] = 1769,
  [2938] = 2157,
  [2939] = 1817,
  [2940] = 2905,
  [2941] = 2688,
  [2942] = 2113,
  [2943] = 2688,
  [2944] = 2905,
  [2945] = 1812,
  [2946] = 2070,
  [2947] = 2011,
  [2948] = 1770,
  [2949] = 1803,
  [2950] = 2294,
  [2951] = 1640,
  [2952] = 1786,
  [2953] = 1788,
  [2954] = 1780,
  [2955] = 2060,
  [2956] = 1779,
  [2957] = 2166,
  [2958] = 2905,
  [2959] = 2296,
  [2960] = 1531,
  [2961] = 2054,
  [2962] = 1860,
  [2963] = 1773,
  [2964] = 2688,
  [2965] = 2965,
  [2966] = 2066,
  [2967] = 2688,
  [2968] = 1808,
  [2969] = 1778,
  [2970] = 1784,
  [2971] = 1771,
  [2972] = 1783,
  [2973] = 2142,
  [2974] = 2244,
  [2975] = 1734,
  [2976] = 1787,
  [2977] = 2072,
  [2978] = 2051,
  [2979] = 1768,
  [2980] = 1800,
  [2981] = 1797,
  [2982] = 2878,
  [2983] = 1795,
  [2984] = 2167,
  [2985] = 1745,
  [2986] = 1776,
  [2987] = 1766,
  [2988] = 1790,
  [2989] = 2011,
  [2990] = 2158,
  [2991] = 1814,
  [2992] = 1778,
  [2993] = 2993,
  [2994] = 1787,
  [2995] = 1766,
  [2996] = 2996,
  [2997] = 1790,
  [2998] = 1771,
  [2999] = 1769,
  [3000] = 3000,
  [3001] = 3001,
  [3002] = 2704,
  [3003] = 2244,
  [3004] = 2357,
  [3005] = 1795,
  [3006] = 2714,
  [3007] = 3007,
  [3008] = 1776,
  [3009] = 2306,
  [3010] = 2152,
  [3011] = 1800,
  [3012] = 2153,
  [3013] = 2716,
  [3014] = 1783,
  [3015] = 3000,
  [3016] = 3007,
  [3017] = 2703,
  [3018] = 1810,
  [3019] = 2705,
  [3020] = 3001,
  [3021] = 2707,
  [3022] = 2993,
  [3023] = 2188,
  [3024] = 2358,
  [3025] = 3025,
  [3026] = 2993,
  [3027] = 3001,
  [3028] = 2720,
  [3029] = 2344,
  [3030] = 2719,
  [3031] = 1784,
  [3032] = 3007,
  [3033] = 2709,
  [3034] = 1798,
  [3035] = 1807,
  [3036] = 2712,
  [3037] = 3025,
  [3038] = 2715,
  [3039] = 2717,
  [3040] = 3040,
  [3041] = 3041,
  [3042] = 2718,
  [3043] = 2708,
  [3044] = 2993,
  [3045] = 1788,
  [3046] = 1772,
  [3047] = 2344,
  [3048] = 2721,
  [3049] = 3001,
  [3050] = 1789,
  [3051] = 3000,
  [3052] = 3041,
  [3053] = 2716,
  [3054] = 2996,
  [3055] = 1801,
  [3056] = 2261,
  [3057] = 3057,
  [3058] = 3040,
  [3059] = 1808,
  [3060] = 2371,
  [3061] = 2703,
  [3062] = 2168,
  [3063] = 3007,
  [3064] = 2173,
  [3065] = 1797,
  [3066] = 2706,
  [3067] = 2162,
  [3068] = 1774,
  [3069] = 3025,
  [3070] = 3007,
  [3071] = 2176,
  [3072] = 2704,
  [3073] = 1782,
  [3074] = 3001,
  [3075] = 3025,
  [3076] = 1770,
  [3077] = 2011,
  [3078] = 1802,
  [3079] = 1803,
  [3080] = 3041,
  [3081] = 3000,
  [3082] = 2720,
  [3083] = 2721,
  [3084] = 2993,
  [3085] = 1780,
  [3086] = 2722,
  [3087] = 2728,
  [3088] = 3040,
  [3089] = 1767,
  [3090] = 1806,
  [3091] = 2010,
  [3092] = 2996,
  [3093] = 3025,
  [3094] = 2996,
  [3095] = 2339,
  [3096] = 2719,
  [3097] = 1818,
  [3098] = 1817,
  [3099] = 1775,
  [3100] = 2344,
  [3101] = 3041,
  [3102] = 3001,
  [3103] = 2199,
  [3104] = 3007,
  [3105] = 2147,
  [3106] = 2342,
  [3107] = 2148,
  [3108] = 3025,
  [3109] = 3109,
  [3110] = 2722,
  [3111] = 2163,
  [3112] = 2310,
  [3113] = 3041,
  [3114] = 2993,
  [3115] = 3025,
  [3116] = 1809,
  [3117] = 2728,
  [3118] = 1942,
  [3119] = 3025,
  [3120] = 3040,
  [3121] = 2316,
  [3122] = 3000,
  [3123] = 2764,
  [3124] = 3000,
  [3125] = 2688,
  [3126] = 2993,
  [3127] = 3007,
  [3128] = 2993,
  [3129] = 2996,
  [3130] = 3025,
  [3131] = 3001,
  [3132] = 2339,
  [3133] = 3040,
  [3134] = 3000,
  [3135] = 3007,
  [3136] = 1841,
  [3137] = 3001,
  [3138] = 2344,
  [3139] = 2688,
  [3140] = 2993,
  [3141] = 1799,
  [3142] = 2054,
  [3143] = 2174,
  [3144] = 2178,
  [3145] = 2344,
  [3146] = 3041,
  [3147] = 2326,
  [3148] = 3025,
  [3149] = 3000,
  [3150] = 3000,
  [3151] = 2714,
  [3152] = 3152,
  [3153] = 2200,
  [3154] = 2996,
  [3155] = 3040,
  [3156] = 3025,
  [3157] = 2347,
  [3158] = 2705,
  [3159] = 3007,
  [3160] = 3025,
  [3161] = 2707,
  [3162] = 2709,
  [3163] = 2712,
  [3164] = 2286,
  [3165] = 2715,
  [3166] = 1531,
  [3167] = 2717,
  [3168] = 2718,
  [3169] = 2706,
  [3170] = 2708,
  [3171] = 2226,
  [3172] = 1529,
  [3173] = 3001,
  [3174] = 2419,
  [3175] = 2719,
  [3176] = 3176,
  [3177] = 2249,
  [3178] = 1650,
  [3179] = 3179,
  [3180] = 2214,
  [3181] = 1860,
  [3182] = 3179,
  [3183] = 2339,
  [3184] = 3184,
  [3185] = 3185,
  [3186] = 1644,
  [3187] = 2729,
  [3188] = 3185,
  [3189] = 2753,
  [3190] = 2720,
  [3191] = 3185,
  [3192] = 3192,
  [3193] = 2728,
  [3194] = 2722,
  [3195] = 3184,
  [3196] = 1812,
  [3197] = 2296,
  [3198] = 2238,
  [3199] = 2416,
  [3200] = 2187,
  [3201] = 2419,
  [3202] = 3185,
  [3203] = 2721,
  [3204] = 2720,
  [3205] = 2278,
  [3206] = 2337,
  [3207] = 2704,
  [3208] = 2342,
  [3209] = 1942,
  [3210] = 3192,
  [3211] = 2706,
  [3212] = 3212,
  [3213] = 2708,
  [3214] = 2718,
  [3215] = 2722,
  [3216] = 1731,
  [3217] = 2729,
  [3218] = 3184,
  [3219] = 3192,
  [3220] = 2406,
  [3221] = 3185,
  [3222] = 2126,
  [3223] = 2408,
  [3224] = 2717,
  [3225] = 2409,
  [3226] = 2715,
  [3227] = 2705,
  [3228] = 1813,
  [3229] = 2712,
  [3230] = 2774,
  [3231] = 2709,
  [3232] = 3192,
  [3233] = 2410,
  [3234] = 3176,
  [3235] = 3192,
  [3236] = 1745,
  [3237] = 2310,
  [3238] = 2707,
  [3239] = 2705,
  [3240] = 2342,
  [3241] = 2774,
  [3242] = 2294,
  [3243] = 2412,
  [3244] = 2414,
  [3245] = 3185,
  [3246] = 1773,
  [3247] = 2497,
  [3248] = 3185,
  [3249] = 1643,
  [3250] = 806,
  [3251] = 3251,
  [3252] = 3252,
  [3253] = 1755,
  [3254] = 2390,
  [3255] = 3255,
  [3256] = 1768,
  [3257] = 3192,
  [3258] = 2195,
  [3259] = 2706,
  [3260] = 1779,
  [3261] = 2208,
  [3262] = 3185,
  [3263] = 2360,
  [3264] = 2703,
  [3265] = 3212,
  [3266] = 3192,
  [3267] = 2347,
  [3268] = 2316,
  [3269] = 2753,
  [3270] = 2402,
  [3271] = 2316,
  [3272] = 2714,
  [3273] = 3185,
  [3274] = 3185,
  [3275] = 2010,
  [3276] = 2704,
  [3277] = 2326,
  [3278] = 2344,
  [3279] = 2371,
  [3280] = 2716,
  [3281] = 810,
  [3282] = 2344,
  [3283] = 2719,
  [3284] = 2286,
  [3285] = 3285,
  [3286] = 3192,
  [3287] = 2358,
  [3288] = 2721,
  [3289] = 3185,
  [3290] = 2703,
  [3291] = 2728,
  [3292] = 3185,
  [3293] = 2314,
  [3294] = 2336,
  [3295] = 2708,
  [3296] = 3185,
  [3297] = 1531,
  [3298] = 2402,
  [3299] = 2718,
  [3300] = 2357,
  [3301] = 2717,
  [3302] = 2357,
  [3303] = 2715,
  [3304] = 2227,
  [3305] = 1786,
  [3306] = 2223,
  [3307] = 2210,
  [3308] = 1796,
  [3309] = 2213,
  [3310] = 2344,
  [3311] = 2347,
  [3312] = 2306,
  [3313] = 2258,
  [3314] = 3185,
  [3315] = 2371,
  [3316] = 2716,
  [3317] = 2714,
  [3318] = 2390,
  [3319] = 2707,
  [3320] = 3192,
  [3321] = 2709,
  [3322] = 2358,
  [3323] = 2326,
  [3324] = 2712,
  [3325] = 2454,
  [3326] = 2214,
  [3327] = 2113,
  [3328] = 2469,
  [3329] = 2502,
  [3330] = 3212,
  [3331] = 3331,
  [3332] = 1790,
  [3333] = 2443,
  [3334] = 2688,
  [3335] = 1597,
  [3336] = 1766,
  [3337] = 148,
  [3338] = 2431,
  [3339] = 2444,
  [3340] = 1643,
  [3341] = 2445,
  [3342] = 2424,
  [3343] = 1801,
  [3344] = 148,
  [3345] = 1797,
  [3346] = 1800,
  [3347] = 2337,
  [3348] = 2402,
  [3349] = 2355,
  [3350] = 2446,
  [3351] = 2226,
  [3352] = 1787,
  [3353] = 1606,
  [3354] = 1601,
  [3355] = 1602,
  [3356] = 2416,
  [3357] = 2496,
  [3358] = 2493,
  [3359] = 1609,
  [3360] = 1808,
  [3361] = 810,
  [3362] = 1809,
  [3363] = 2411,
  [3364] = 2159,
  [3365] = 2422,
  [3366] = 1600,
  [3367] = 1602,
  [3368] = 1604,
  [3369] = 147,
  [3370] = 2413,
  [3371] = 1818,
  [3372] = 2774,
  [3373] = 2336,
  [3374] = 2135,
  [3375] = 1529,
  [3376] = 2159,
  [3377] = 1610,
  [3378] = 2401,
  [3379] = 1601,
  [3380] = 1611,
  [3381] = 2363,
  [3382] = 2414,
  [3383] = 2412,
  [3384] = 2497,
  [3385] = 1606,
  [3386] = 1599,
  [3387] = 2227,
  [3388] = 2410,
  [3389] = 2409,
  [3390] = 2408,
  [3391] = 1840,
  [3392] = 2406,
  [3393] = 2213,
  [3394] = 2407,
  [3395] = 2729,
  [3396] = 2436,
  [3397] = 2249,
  [3398] = 2688,
  [3399] = 1604,
  [3400] = 2261,
  [3401] = 1806,
  [3402] = 2344,
  [3403] = 2485,
  [3404] = 2461,
  [3405] = 2159,
  [3406] = 1611,
  [3407] = 2464,
  [3408] = 1778,
  [3409] = 1771,
  [3410] = 2389,
  [3411] = 2344,
  [3412] = 2126,
  [3413] = 2391,
  [3414] = 2187,
  [3415] = 1795,
  [3416] = 1776,
  [3417] = 2463,
  [3418] = 2395,
  [3419] = 1644,
  [3420] = 2688,
  [3421] = 1798,
  [3422] = 1807,
  [3423] = 2078,
  [3424] = 1772,
  [3425] = 1597,
  [3426] = 1789,
  [3427] = 2421,
  [3428] = 2466,
  [3429] = 1775,
  [3430] = 1774,
  [3431] = 1813,
  [3432] = 3432,
  [3433] = 1770,
  [3434] = 1767,
  [3435] = 2340,
  [3436] = 2344,
  [3437] = 2442,
  [3438] = 1650,
  [3439] = 1799,
  [3440] = 1769,
  [3441] = 1841,
  [3442] = 2516,
  [3443] = 1810,
  [3444] = 2688,
  [3445] = 3176,
  [3446] = 1609,
  [3447] = 2244,
  [3448] = 147,
  [3449] = 1598,
  [3450] = 2011,
  [3451] = 1608,
  [3452] = 2478,
  [3453] = 2320,
  [3454] = 3454,
  [3455] = 2452,
  [3456] = 2447,
  [3457] = 2470,
  [3458] = 2416,
  [3459] = 1607,
  [3460] = 2317,
  [3461] = 2318,
  [3462] = 2339,
  [3463] = 1605,
  [3464] = 2324,
  [3465] = 1607,
  [3466] = 1814,
  [3467] = 1603,
  [3468] = 1603,
  [3469] = 1817,
  [3470] = 2258,
  [3471] = 1610,
  [3472] = 2439,
  [3473] = 2399,
  [3474] = 2438,
  [3475] = 2396,
  [3476] = 2471,
  [3477] = 806,
  [3478] = 2486,
  [3479] = 2481,
  [3480] = 2753,
  [3481] = 2200,
  [3482] = 2390,
  [3483] = 1599,
  [3484] = 2394,
  [3485] = 1803,
  [3486] = 1802,
  [3487] = 1598,
  [3488] = 2474,
  [3489] = 2087,
  [3490] = 2278,
  [3491] = 1788,
  [3492] = 1608,
  [3493] = 1784,
  [3494] = 1783,
  [3495] = 2425,
  [3496] = 2393,
  [3497] = 2314,
  [3498] = 2195,
  [3499] = 2360,
  [3500] = 2476,
  [3501] = 2238,
  [3502] = 2419,
  [3503] = 1780,
  [3504] = 1600,
  [3505] = 1833,
  [3506] = 2397,
  [3507] = 1605,
  [3508] = 2210,
  [3509] = 2416,
  [3510] = 2208,
  [3511] = 2223,
  [3512] = 2078,
  [3513] = 2474,
  [3514] = 2721,
  [3515] = 2476,
  [3516] = 2481,
  [3517] = 2486,
  [3518] = 2355,
  [3519] = 2469,
  [3520] = 2722,
  [3521] = 2363,
  [3522] = 3176,
  [3523] = 2087,
  [3524] = 2425,
  [3525] = 1531,
  [3526] = 2324,
  [3527] = 2318,
  [3528] = 2424,
  [3529] = 2442,
  [3530] = 2286,
  [3531] = 2340,
  [3532] = 2728,
  [3533] = 2054,
  [3534] = 2393,
  [3535] = 2471,
  [3536] = 2436,
  [3537] = 2466,
  [3538] = 2416,
  [3539] = 2010,
  [3540] = 2416,
  [3541] = 2394,
  [3542] = 1618,
  [3543] = 2317,
  [3544] = 2444,
  [3545] = 2443,
  [3546] = 2431,
  [3547] = 1602,
  [3548] = 2416,
  [3549] = 1942,
  [3550] = 2391,
  [3551] = 2390,
  [3552] = 2396,
  [3553] = 2401,
  [3554] = 2399,
  [3555] = 3555,
  [3556] = 2720,
  [3557] = 2066,
  [3558] = 2411,
  [3559] = 2407,
  [3560] = 2413,
  [3561] = 2158,
  [3562] = 2764,
  [3563] = 1609,
  [3564] = 1601,
  [3565] = 2395,
  [3566] = 2416,
  [3567] = 2070,
  [3568] = 2342,
  [3569] = 2052,
  [3570] = 2053,
  [3571] = 1526,
  [3572] = 2344,
  [3573] = 2419,
  [3574] = 2051,
  [3575] = 2706,
  [3576] = 2708,
  [3577] = 2072,
  [3578] = 2718,
  [3579] = 2717,
  [3580] = 2715,
  [3581] = 2712,
  [3582] = 2709,
  [3583] = 2707,
  [3584] = 2705,
  [3585] = 2347,
  [3586] = 2714,
  [3587] = 1598,
  [3588] = 1608,
  [3589] = 2438,
  [3590] = 2439,
  [3591] = 1599,
  [3592] = 2060,
  [3593] = 2452,
  [3594] = 2152,
  [3595] = 2153,
  [3596] = 2454,
  [3597] = 2704,
  [3598] = 1597,
  [3599] = 1524,
  [3600] = 2445,
  [3601] = 2168,
  [3602] = 2173,
  [3603] = 1527,
  [3604] = 2162,
  [3605] = 2422,
  [3606] = 2516,
  [3607] = 2421,
  [3608] = 2402,
  [3609] = 2397,
  [3610] = 2176,
  [3611] = 2446,
  [3612] = 1605,
  [3613] = 1528,
  [3614] = 2406,
  [3615] = 2147,
  [3616] = 2408,
  [3617] = 2409,
  [3618] = 2410,
  [3619] = 2703,
  [3620] = 2412,
  [3621] = 2148,
  [3622] = 2414,
  [3623] = 1522,
  [3624] = 1525,
  [3625] = 1521,
  [3626] = 2493,
  [3627] = 2496,
  [3628] = 2497,
  [3629] = 2447,
  [3630] = 1606,
  [3631] = 1604,
  [3632] = 1611,
  [3633] = 2163,
  [3634] = 1607,
  [3635] = 1603,
  [3636] = 2320,
  [3637] = 147,
  [3638] = 2174,
  [3639] = 2464,
  [3640] = 2371,
  [3641] = 2716,
  [3642] = 148,
  [3643] = 3212,
  [3644] = 1610,
  [3645] = 2358,
  [3646] = 2357,
  [3647] = 1600,
  [3648] = 2478,
  [3649] = 2389,
  [3650] = 2719,
  [3651] = 2326,
  [3652] = 2470,
  [3653] = 2461,
  [3654] = 2502,
  [3655] = 2485,
  [3656] = 2463,
  [3657] = 2178,
  [3658] = 1813,
  [3659] = 3659,
  [3660] = 1527,
  [3661] = 3661,
  [3662] = 1524,
  [3663] = 2729,
  [3664] = 1526,
  [3665] = 3176,
  [3666] = 1683,
  [3667] = 2062,
  [3668] = 3659,
  [3669] = 1703,
  [3670] = 3659,
  [3671] = 3671,
  [3672] = 1708,
  [3673] = 3661,
  [3674] = 3661,
  [3675] = 3212,
  [3676] = 2286,
  [3677] = 1531,
  [3678] = 2294,
  [3679] = 1528,
  [3680] = 1522,
  [3681] = 1525,
  [3682] = 2054,
  [3683] = 3212,
  [3684] = 1521,
  [3685] = 3685,
  [3686] = 3686,
  [3687] = 1531,
  [3688] = 3659,
  [3689] = 3659,
  [3690] = 3176,
  [3691] = 3686,
  [3692] = 3661,
  [3693] = 3685,
  [3694] = 1840,
  [3695] = 2336,
  [3696] = 1833,
  [3697] = 1747,
  [3698] = 2296,
  [3699] = 3659,
  [3700] = 3685,
  [3701] = 3686,
  [3702] = 3686,
  [3703] = 3685,
  [3704] = 3685,
  [3705] = 2753,
  [3706] = 3661,
  [3707] = 3686,
  [3708] = 3661,
  [3709] = 1841,
  [3710] = 3685,
  [3711] = 2965,
  [3712] = 2901,
  [3713] = 3686,
  [3714] = 2774,
  [3715] = 1818,
  [3716] = 3659,
  [3717] = 3686,
  [3718] = 3685,
  [3719] = 3661,
  [3720] = 2010,
  [3721] = 3721,
  [3722] = 2394,
  [3723] = 2393,
  [3724] = 2399,
  [3725] = 2391,
  [3726] = 1606,
  [3727] = 3721,
  [3728] = 3728,
  [3729] = 2055,
  [3730] = 1604,
  [3731] = 2058,
  [3732] = 1611,
  [3733] = 1602,
  [3734] = 1840,
  [3735] = 2764,
  [3736] = 2443,
  [3737] = 2395,
  [3738] = 3738,
  [3739] = 2347,
  [3740] = 2061,
  [3741] = 3738,
  [3742] = 2371,
  [3743] = 2056,
  [3744] = 2478,
  [3745] = 2326,
  [3746] = 2396,
  [3747] = 3721,
  [3748] = 2078,
  [3749] = 3728,
  [3750] = 2485,
  [3751] = 2431,
  [3752] = 3728,
  [3753] = 1605,
  [3754] = 3728,
  [3755] = 2397,
  [3756] = 2421,
  [3757] = 2443,
  [3758] = 2444,
  [3759] = 3212,
  [3760] = 1818,
  [3761] = 2446,
  [3762] = 2502,
  [3763] = 1600,
  [3764] = 1610,
  [3765] = 1599,
  [3766] = 1791,
  [3767] = 2087,
  [3768] = 1608,
  [3769] = 2399,
  [3770] = 2445,
  [3771] = 1529,
  [3772] = 2342,
  [3773] = 3738,
  [3774] = 2461,
  [3775] = 2463,
  [3776] = 2464,
  [3777] = 1603,
  [3778] = 1607,
  [3779] = 148,
  [3780] = 3721,
  [3781] = 2422,
  [3782] = 2454,
  [3783] = 1833,
  [3784] = 2358,
  [3785] = 2466,
  [3786] = 2496,
  [3787] = 2493,
  [3788] = 1841,
  [3789] = 2389,
  [3790] = 1597,
  [3791] = 3721,
  [3792] = 3728,
  [3793] = 3738,
  [3794] = 2470,
  [3795] = 3728,
  [3796] = 2516,
  [3797] = 2452,
  [3798] = 2447,
  [3799] = 2454,
  [3800] = 2471,
  [3801] = 1942,
  [3802] = 3738,
  [3803] = 2474,
  [3804] = 1841,
  [3805] = 2336,
  [3806] = 2478,
  [3807] = 2411,
  [3808] = 2413,
  [3809] = 2439,
  [3810] = 2438,
  [3811] = 147,
  [3812] = 1598,
  [3813] = 3176,
  [3814] = 3738,
  [3815] = 2401,
  [3816] = 2407,
  [3817] = 1609,
  [3818] = 1818,
  [3819] = 1601,
  [3820] = 1833,
  [3821] = 2357,
  [3822] = 1840,
  [3823] = 3721,
  [3824] = 3824,
  [3825] = 3212,
  [3826] = 2439,
  [3827] = 2407,
  [3828] = 2296,
  [3829] = 2391,
  [3830] = 1833,
  [3831] = 1840,
  [3832] = 2421,
  [3833] = 2447,
  [3834] = 2413,
  [3835] = 2411,
  [3836] = 2452,
  [3837] = 2397,
  [3838] = 2422,
  [3839] = 2296,
  [3840] = 1734,
  [3841] = 1841,
  [3842] = 2431,
  [3843] = 1531,
  [3844] = 3844,
  [3845] = 2461,
  [3846] = 2463,
  [3847] = 2135,
  [3848] = 2438,
  [3849] = 2393,
  [3850] = 1860,
  [3851] = 2485,
  [3852] = 2493,
  [3853] = 2474,
  [3854] = 2927,
  [3855] = 2294,
  [3856] = 3844,
  [3857] = 2466,
  [3858] = 2446,
  [3859] = 2496,
  [3860] = 2394,
  [3861] = 2445,
  [3862] = 2294,
  [3863] = 2126,
  [3864] = 2401,
  [3865] = 2396,
  [3866] = 2502,
  [3867] = 3176,
  [3868] = 3824,
  [3869] = 2471,
  [3870] = 2113,
  [3871] = 2389,
  [3872] = 2470,
  [3873] = 2444,
  [3874] = 1818,
  [3875] = 274,
  [3876] = 3844,
  [3877] = 2056,
  [3878] = 2226,
  [3879] = 353,
  [3880] = 2176,
  [3881] = 3824,
  [3882] = 2058,
  [3883] = 3176,
  [3884] = 1782,
  [3885] = 2174,
  [3886] = 2162,
  [3887] = 305,
  [3888] = 2159,
  [3889] = 2178,
  [3890] = 2200,
  [3891] = 2173,
  [3892] = 2168,
  [3893] = 1533,
  [3894] = 1618,
  [3895] = 3212,
  [3896] = 304,
  [3897] = 2261,
  [3898] = 2061,
  [3899] = 2148,
  [3900] = 2244,
  [3901] = 271,
  [3902] = 2147,
  [3903] = 2055,
  [3904] = 3904,
  [3905] = 311,
  [3906] = 2153,
  [3907] = 2158,
  [3908] = 2152,
  [3909] = 2163,
  [3910] = 1786,
  [3911] = 2010,
  [3912] = 3176,
  [3913] = 1812,
  [3914] = 1942,
  [3915] = 1755,
  [3916] = 1942,
  [3917] = 3844,
  [3918] = 1796,
  [3919] = 3824,
  [3920] = 2159,
  [3921] = 3212,
  [3922] = 2010,
  [3923] = 2159,
  [3924] = 1745,
  [3925] = 2126,
  [3926] = 2280,
  [3927] = 1773,
  [3928] = 1529,
  [3929] = 1768,
  [3930] = 1731,
  [3931] = 2298,
  [3932] = 1779,
  [3933] = 1766,
  [3934] = 3904,
  [3935] = 1787,
  [3936] = 1800,
  [3937] = 1797,
  [3938] = 2061,
  [3939] = 1775,
  [3940] = 3824,
  [3941] = 1774,
  [3942] = 1770,
  [3943] = 1769,
  [3944] = 1734,
  [3945] = 2294,
  [3946] = 1809,
  [3947] = 1808,
  [3948] = 1790,
  [3949] = 1814,
  [3950] = 1817,
  [3951] = 1778,
  [3952] = 1806,
  [3953] = 2296,
  [3954] = 1771,
  [3955] = 3955,
  [3956] = 3956,
  [3957] = 1795,
  [3958] = 1776,
  [3959] = 3844,
  [3960] = 3844,
  [3961] = 1798,
  [3962] = 2294,
  [3963] = 1807,
  [3964] = 3212,
  [3965] = 3965,
  [3966] = 1772,
  [3967] = 3967,
  [3968] = 1789,
  [3969] = 1799,
  [3970] = 3212,
  [3971] = 3176,
  [3972] = 1803,
  [3973] = 1802,
  [3974] = 1801,
  [3975] = 1788,
  [3976] = 1784,
  [3977] = 1783,
  [3978] = 3978,
  [3979] = 1780,
  [3980] = 1767,
  [3981] = 3824,
  [3982] = 3454,
  [3983] = 3432,
  [3984] = 2058,
  [3985] = 3985,
  [3986] = 2056,
  [3987] = 3967,
  [3988] = 3176,
  [3989] = 3955,
  [3990] = 3990,
  [3991] = 3991,
  [3992] = 2296,
  [3993] = 3991,
  [3994] = 3985,
  [3995] = 3990,
  [3996] = 3965,
  [3997] = 3956,
  [3998] = 3978,
  [3999] = 2055,
  [4000] = 2704,
  [4001] = 2728,
  [4002] = 3991,
  [4003] = 2714,
  [4004] = 2464,
  [4005] = 2061,
  [4006] = 3176,
  [4007] = 2516,
  [4008] = 2720,
  [4009] = 2703,
  [4010] = 4010,
  [4011] = 1529,
  [4012] = 3844,
  [4013] = 1782,
  [4014] = 3212,
  [4015] = 2705,
  [4016] = 3824,
  [4017] = 2721,
  [4018] = 3985,
  [4019] = 4019,
  [4020] = 2706,
  [4021] = 4021,
  [4022] = 2708,
  [4023] = 2707,
  [4024] = 3990,
  [4025] = 2058,
  [4026] = 2722,
  [4027] = 4027,
  [4028] = 2718,
  [4029] = 2055,
  [4030] = 2717,
  [4031] = 2715,
  [4032] = 3212,
  [4033] = 2712,
  [4034] = 4010,
  [4035] = 3176,
  [4036] = 1618,
  [4037] = 2395,
  [4038] = 3965,
  [4039] = 2709,
  [4040] = 2056,
  [4041] = 2719,
  [4042] = 2716,
  [4043] = 4043,
  [4044] = 3844,
  [4045] = 2070,
  [4046] = 4046,
  [4047] = 2052,
  [4048] = 2062,
  [4049] = 2296,
  [4050] = 2053,
  [4051] = 2066,
  [4052] = 2051,
  [4053] = 2244,
  [4054] = 2072,
  [4055] = 3965,
  [4056] = 2729,
  [4057] = 2261,
  [4058] = 2060,
  [4059] = 3824,
  [4060] = 2126,
  [4061] = 4061,
  [4062] = 2200,
  [4063] = 4063,
  [4064] = 2753,
  [4065] = 2294,
  [4066] = 3990,
  [4067] = 3985,
  [4068] = 4068,
  [4069] = 2468,
  [4070] = 2226,
  [4071] = 2467,
  [4072] = 2441,
  [4073] = 2774,
  [4074] = 3991,
  [4075] = 3985,
  [4076] = 4076,
  [4077] = 2159,
  [4078] = 2753,
  [4079] = 4079,
  [4080] = 3212,
  [4081] = 4081,
  [4082] = 2729,
  [4083] = 4076,
  [4084] = 4081,
  [4085] = 1860,
  [4086] = 3985,
  [4087] = 4076,
  [4088] = 4088,
  [4089] = 2774,
  [4090] = 4076,
  [4091] = 3991,
  [4092] = 4076,
  [4093] = 4079,
  [4094] = 2078,
  [4095] = 2087,
  [4096] = 3824,
  [4097] = 3965,
  [4098] = 4098,
  [4099] = 4019,
  [4100] = 1813,
  [4101] = 3176,
  [4102] = 2087,
  [4103] = 4081,
  [4104] = 1942,
  [4105] = 3990,
  [4106] = 4081,
  [4107] = 3991,
  [4108] = 3844,
  [4109] = 4079,
  [4110] = 2010,
  [4111] = 4111,
  [4112] = 3990,
  [4113] = 4076,
  [4114] = 4076,
  [4115] = 4079,
  [4116] = 2078,
  [4117] = 4079,
  [4118] = 4111,
  [4119] = 1531,
  [4120] = 4081,
  [4121] = 4019,
  [4122] = 4111,
  [4123] = 3965,
  [4124] = 4081,
  [4125] = 4081,
  [4126] = 4079,
  [4127] = 4079,
  [4128] = 2714,
  [4129] = 2337,
  [4130] = 4061,
  [4131] = 2704,
  [4132] = 2719,
  [4133] = 2706,
  [4134] = 4134,
  [4135] = 2126,
  [4136] = 2705,
  [4137] = 2707,
  [4138] = 2728,
  [4139] = 2703,
  [4140] = 2716,
  [4141] = 3991,
  [4142] = 2709,
  [4143] = 2712,
  [4144] = 1810,
  [4145] = 2715,
  [4146] = 3985,
  [4147] = 3990,
  [4148] = 2717,
  [4149] = 4043,
  [4150] = 2722,
  [4151] = 1860,
  [4152] = 2720,
  [4153] = 2360,
  [4154] = 2314,
  [4155] = 2708,
  [4156] = 2718,
  [4157] = 3965,
  [4158] = 3824,
  [4159] = 3844,
  [4160] = 2721,
  [4161] = 2296,
  [4162] = 2294,
  [4163] = 4163,
  [4164] = 1602,
  [4165] = 2200,
  [4166] = 2053,
  [4167] = 148,
  [4168] = 2052,
  [4169] = 1578,
  [4170] = 1609,
  [4171] = 1601,
  [4172] = 4172,
  [4173] = 4173,
  [4174] = 4163,
  [4175] = 4163,
  [4176] = 1608,
  [4177] = 1598,
  [4178] = 1599,
  [4179] = 2244,
  [4180] = 2070,
  [4181] = 2066,
  [4182] = 4173,
  [4183] = 4183,
  [4184] = 2719,
  [4185] = 1860,
  [4186] = 2703,
  [4187] = 4088,
  [4188] = 147,
  [4189] = 3991,
  [4190] = 2261,
  [4191] = 4191,
  [4192] = 4192,
  [4193] = 4193,
  [4194] = 2113,
  [4195] = 4163,
  [4196] = 3985,
  [4197] = 2126,
  [4198] = 1607,
  [4199] = 1603,
  [4200] = 2728,
  [4201] = 4201,
  [4202] = 4088,
  [4203] = 3990,
  [4204] = 4204,
  [4205] = 4205,
  [4206] = 3824,
  [4207] = 1747,
  [4208] = 1654,
  [4209] = 2135,
  [4210] = 4183,
  [4211] = 4173,
  [4212] = 4205,
  [4213] = 4205,
  [4214] = 1708,
  [4215] = 4163,
  [4216] = 4163,
  [4217] = 2704,
  [4218] = 2051,
  [4219] = 4173,
  [4220] = 1527,
  [4221] = 1528,
  [4222] = 1522,
  [4223] = 1525,
  [4224] = 1703,
  [4225] = 4225,
  [4226] = 2716,
  [4227] = 1521,
  [4228] = 2010,
  [4229] = 1610,
  [4230] = 2072,
  [4231] = 4173,
  [4232] = 2060,
  [4233] = 4205,
  [4234] = 2720,
  [4235] = 4163,
  [4236] = 1640,
  [4237] = 4172,
  [4238] = 1600,
  [4239] = 1683,
  [4240] = 2226,
  [4241] = 2714,
  [4242] = 4173,
  [4243] = 2705,
  [4244] = 4244,
  [4245] = 2707,
  [4246] = 4163,
  [4247] = 2709,
  [4248] = 4248,
  [4249] = 3844,
  [4250] = 2706,
  [4251] = 4183,
  [4252] = 2712,
  [4253] = 2722,
  [4254] = 4205,
  [4255] = 4255,
  [4256] = 4163,
  [4257] = 4163,
  [4258] = 1942,
  [4259] = 4259,
  [4260] = 4260,
  [4261] = 1611,
  [4262] = 1604,
  [4263] = 1606,
  [4264] = 3965,
  [4265] = 4163,
  [4266] = 2715,
  [4267] = 4205,
  [4268] = 4172,
  [4269] = 1526,
  [4270] = 2717,
  [4271] = 4163,
  [4272] = 4163,
  [4273] = 1605,
  [4274] = 1524,
  [4275] = 2718,
  [4276] = 2721,
  [4277] = 4098,
  [4278] = 2159,
  [4279] = 2708,
  [4280] = 4163,
  [4281] = 1597,
  [4282] = 4172,
  [4283] = 4205,
  [4284] = 4172,
  [4285] = 4163,
  [4286] = 4163,
  [4287] = 4163,
  [4288] = 4172,
  [4289] = 2712,
  [4290] = 4290,
  [4291] = 3824,
  [4292] = 1755,
  [4293] = 2163,
  [4294] = 4294,
  [4295] = 2706,
  [4296] = 4290,
  [4297] = 2371,
  [4298] = 2158,
  [4299] = 2708,
  [4300] = 2716,
  [4301] = 2358,
  [4302] = 4302,
  [4303] = 2718,
  [4304] = 2719,
  [4305] = 4305,
  [4306] = 4306,
  [4307] = 2326,
  [4308] = 2717,
  [4309] = 4309,
  [4310] = 2715,
  [4311] = 2712,
  [4312] = 4312,
  [4313] = 4290,
  [4314] = 4314,
  [4315] = 1531,
  [4316] = 2709,
  [4317] = 4305,
  [4318] = 2148,
  [4319] = 2774,
  [4320] = 2147,
  [4321] = 4321,
  [4322] = 2707,
  [4323] = 4323,
  [4324] = 4248,
  [4325] = 4325,
  [4326] = 4326,
  [4327] = 2753,
  [4328] = 2703,
  [4329] = 4329,
  [4330] = 4330,
  [4331] = 2703,
  [4332] = 2296,
  [4333] = 4290,
  [4334] = 4312,
  [4335] = 2704,
  [4336] = 4290,
  [4337] = 2357,
  [4338] = 2714,
  [4339] = 2705,
  [4340] = 2705,
  [4341] = 2174,
  [4342] = 2707,
  [4343] = 2714,
  [4344] = 2178,
  [4345] = 4345,
  [4346] = 2719,
  [4347] = 2720,
  [4348] = 2709,
  [4349] = 2712,
  [4350] = 2715,
  [4351] = 1791,
  [4352] = 4294,
  [4353] = 2717,
  [4354] = 2718,
  [4355] = 4290,
  [4356] = 4356,
  [4357] = 4305,
  [4358] = 2708,
  [4359] = 2714,
  [4360] = 2347,
  [4361] = 4294,
  [4362] = 4362,
  [4363] = 3824,
  [4364] = 2705,
  [4365] = 2707,
  [4366] = 2716,
  [4367] = 2706,
  [4368] = 2709,
  [4369] = 2326,
  [4370] = 4312,
  [4371] = 2715,
  [4372] = 2294,
  [4373] = 2717,
  [4374] = 2704,
  [4375] = 2720,
  [4376] = 4376,
  [4377] = 2708,
  [4378] = 2721,
  [4379] = 2722,
  [4380] = 4380,
  [4381] = 2706,
  [4382] = 4294,
  [4383] = 2704,
  [4384] = 2152,
  [4385] = 1654,
  [4386] = 2728,
  [4387] = 4387,
  [4388] = 2347,
  [4389] = 4290,
  [4390] = 2721,
  [4391] = 2176,
  [4392] = 4290,
  [4393] = 3844,
  [4394] = 4290,
  [4395] = 2371,
  [4396] = 2719,
  [4397] = 2342,
  [4398] = 4088,
  [4399] = 4399,
  [4400] = 2716,
  [4401] = 2358,
  [4402] = 3991,
  [4403] = 4403,
  [4404] = 2010,
  [4405] = 4356,
  [4406] = 4406,
  [4407] = 4406,
  [4408] = 4408,
  [4409] = 4305,
  [4410] = 1813,
  [4411] = 4294,
  [4412] = 2162,
  [4413] = 2703,
  [4414] = 4305,
  [4415] = 3179,
  [4416] = 3985,
  [4417] = 3990,
  [4418] = 3965,
  [4419] = 4294,
  [4420] = 4420,
  [4421] = 2062,
  [4422] = 2173,
  [4423] = 4399,
  [4424] = 2722,
  [4425] = 2718,
  [4426] = 4290,
  [4427] = 2168,
  [4428] = 2721,
  [4429] = 1942,
  [4430] = 1942,
  [4431] = 2722,
  [4432] = 2729,
  [4433] = 4021,
  [4434] = 2286,
  [4435] = 4290,
  [4436] = 4305,
  [4437] = 2728,
  [4438] = 2153,
  [4439] = 2728,
  [4440] = 4440,
  [4441] = 4312,
  [4442] = 2010,
  [4443] = 4443,
  [4444] = 2720,
  [4445] = 4290,
  [4446] = 1640,
  [4447] = 4312,
  [4448] = 2342,
  [4449] = 2357,
  [4450] = 4290,
  [4451] = 4294,
  [4452] = 3844,
  [4453] = 1770,
  [4454] = 4454,
  [4455] = 1776,
  [4456] = 4456,
  [4457] = 4457,
  [4458] = 4458,
  [4459] = 1773,
  [4460] = 1798,
  [4461] = 4461,
  [4462] = 4462,
  [4463] = 1807,
  [4464] = 4464,
  [4465] = 4465,
  [4466] = 1772,
  [4467] = 4467,
  [4468] = 1789,
  [4469] = 1799,
  [4470] = 4470,
  [4471] = 4471,
  [4472] = 4472,
  [4473] = 4454,
  [4474] = 4472,
  [4475] = 4475,
  [4476] = 4476,
  [4477] = 1812,
  [4478] = 4471,
  [4479] = 1803,
  [4480] = 4464,
  [4481] = 4470,
  [4482] = 1802,
  [4483] = 4462,
  [4484] = 4461,
  [4485] = 4485,
  [4486] = 4465,
  [4487] = 1788,
  [4488] = 4488,
  [4489] = 1795,
  [4490] = 4472,
  [4491] = 4491,
  [4492] = 1768,
  [4493] = 1806,
  [4494] = 4494,
  [4495] = 1771,
  [4496] = 1778,
  [4497] = 4497,
  [4498] = 1784,
  [4499] = 4499,
  [4500] = 4500,
  [4501] = 4467,
  [4502] = 4502,
  [4503] = 4494,
  [4504] = 4488,
  [4505] = 4470,
  [4506] = 4461,
  [4507] = 4462,
  [4508] = 4491,
  [4509] = 1783,
  [4510] = 4464,
  [4511] = 1779,
  [4512] = 4467,
  [4513] = 4472,
  [4514] = 4514,
  [4515] = 4488,
  [4516] = 4465,
  [4517] = 4517,
  [4518] = 1801,
  [4519] = 2126,
  [4520] = 2774,
  [4521] = 4470,
  [4522] = 4494,
  [4523] = 1809,
  [4524] = 4465,
  [4525] = 4470,
  [4526] = 4467,
  [4527] = 4471,
  [4528] = 1808,
  [4529] = 1787,
  [4530] = 4471,
  [4531] = 4531,
  [4532] = 1800,
  [4533] = 4533,
  [4534] = 4534,
  [4535] = 1797,
  [4536] = 4465,
  [4537] = 1796,
  [4538] = 2729,
  [4539] = 4467,
  [4540] = 4540,
  [4541] = 4541,
  [4542] = 4465,
  [4543] = 4461,
  [4544] = 1766,
  [4545] = 4494,
  [4546] = 4470,
  [4547] = 4462,
  [4548] = 4464,
  [4549] = 1790,
  [4550] = 1786,
  [4551] = 4551,
  [4552] = 1775,
  [4553] = 4457,
  [4554] = 1774,
  [4555] = 4465,
  [4556] = 4556,
  [4557] = 4471,
  [4558] = 1769,
  [4559] = 4494,
  [4560] = 1814,
  [4561] = 1817,
  [4562] = 2753,
  [4563] = 4457,
  [4564] = 2294,
  [4565] = 4465,
  [4566] = 1780,
  [4567] = 1767,
  [4568] = 4531,
  [4569] = 4502,
  [4570] = 2296,
  [4571] = 4494,
  [4572] = 4572,
  [4573] = 4464,
  [4574] = 4502,
  [4575] = 4467,
  [4576] = 4541,
  [4577] = 4577,
  [4578] = 4572,
  [4579] = 4579,
  [4580] = 4580,
  [4581] = 4488,
  [4582] = 3991,
  [4583] = 4491,
  [4584] = 4472,
  [4585] = 3985,
  [4586] = 3990,
  [4587] = 4467,
  [4588] = 3965,
  [4589] = 4488,
  [4590] = 2159,
  [4591] = 4491,
  [4592] = 4462,
  [4593] = 4593,
  [4594] = 4476,
  [4595] = 4595,
  [4596] = 4596,
  [4597] = 4502,
  [4598] = 4475,
  [4599] = 4502,
  [4600] = 4600,
  [4601] = 4457,
  [4602] = 4465,
  [4603] = 4461,
  [4604] = 4488,
  [4605] = 2336,
  [4606] = 4454,
  [4607] = 4472,
  [4608] = 4502,
  [4609] = 4491,
  [4610] = 4494,
  [4611] = 4491,
  [4612] = 4488,
  [4613] = 4472,
  [4614] = 4454,
  [4615] = 2485,
  [4616] = 2502,
  [4617] = 2395,
  [4618] = 3844,
  [4619] = 2113,
  [4620] = 4620,
  [4621] = 4621,
  [4622] = 2135,
  [4623] = 4623,
  [4624] = 2516,
  [4625] = 4531,
  [4626] = 4621,
  [4627] = 2159,
  [4628] = 2464,
  [4629] = 4629,
  [4630] = 4531,
  [4631] = 3965,
  [4632] = 4629,
  [4633] = 3990,
  [4634] = 3985,
  [4635] = 3991,
  [4636] = 4636,
  [4637] = 4629,
  [4638] = 4636,
  [4639] = 4629,
  [4640] = 4623,
  [4641] = 2470,
  [4642] = 4642,
  [4643] = 4629,
  [4644] = 2401,
  [4645] = 2407,
  [4646] = 2474,
  [4647] = 2471,
  [4648] = 2389,
  [4649] = 2466,
  [4650] = 2463,
  [4651] = 2461,
  [4652] = 4629,
  [4653] = 2446,
  [4654] = 2445,
  [4655] = 2444,
  [4656] = 2078,
  [4657] = 2443,
  [4658] = 2431,
  [4659] = 3991,
  [4660] = 2422,
  [4661] = 2391,
  [4662] = 2393,
  [4663] = 2394,
  [4664] = 2396,
  [4665] = 2399,
  [4666] = 2411,
  [4667] = 2413,
  [4668] = 2087,
  [4669] = 2438,
  [4670] = 2439,
  [4671] = 4671,
  [4672] = 2421,
  [4673] = 2447,
  [4674] = 2397,
  [4675] = 2452,
  [4676] = 3824,
  [4677] = 2454,
  [4678] = 2478,
  [4679] = 3990,
  [4680] = 4680,
  [4681] = 4629,
  [4682] = 2493,
  [4683] = 2496,
  [4684] = 4531,
  [4685] = 4685,
  [4686] = 3985,
  [4687] = 4685,
  [4688] = 4688,
  [4689] = 4685,
  [4690] = 3965,
  [4691] = 4531,
  [4692] = 4685,
  [4693] = 2159,
  [4694] = 2113,
  [4695] = 4695,
  [4696] = 4688,
  [4697] = 4685,
  [4698] = 2162,
  [4699] = 4688,
  [4700] = 2135,
  [4701] = 3985,
  [4702] = 2294,
  [4703] = 4531,
  [4704] = 2296,
  [4705] = 3990,
  [4706] = 3965,
  [4707] = 4685,
  [4708] = 4688,
  [4709] = 4709,
  [4710] = 3991,
  [4711] = 4711,
  [4712] = 4019,
  [4713] = 4019,
  [4714] = 3991,
  [4715] = 2173,
  [4716] = 2176,
  [4717] = 4688,
  [4718] = 4531,
  [4719] = 4688,
  [4720] = 2168,
  [4721] = 4531,
  [4722] = 3990,
  [4723] = 4685,
  [4724] = 4688,
  [4725] = 2147,
  [4726] = 4531,
  [4727] = 4688,
  [4728] = 2148,
  [4729] = 4688,
  [4730] = 4685,
  [4731] = 2178,
  [4732] = 4531,
  [4733] = 2152,
  [4734] = 2294,
  [4735] = 2174,
  [4736] = 1734,
  [4737] = 4531,
  [4738] = 2153,
  [4739] = 2163,
  [4740] = 2296,
  [4741] = 2158,
  [4742] = 4685,
  [4743] = 1796,
  [4744] = 1755,
  [4745] = 1812,
  [4746] = 2066,
  [4747] = 4747,
  [4748] = 2052,
  [4749] = 1786,
  [4750] = 2491,
  [4751] = 4747,
  [4752] = 1768,
  [4753] = 2053,
  [4754] = 1782,
  [4755] = 4531,
  [4756] = 4756,
  [4757] = 1779,
  [4758] = 4531,
  [4759] = 1745,
  [4760] = 2051,
  [4761] = 2072,
  [4762] = 2060,
  [4763] = 1773,
  [4764] = 4531,
  [4765] = 1731,
  [4766] = 4766,
  [4767] = 4531,
  [4768] = 2070,
  [4769] = 4766,
  [4770] = 4770,
  [4771] = 4531,
  [4772] = 1772,
  [4773] = 4770,
  [4774] = 1807,
  [4775] = 1798,
  [4776] = 4776,
  [4777] = 1776,
  [4778] = 1795,
  [4779] = 4770,
  [4780] = 1771,
  [4781] = 1778,
  [4782] = 4770,
  [4783] = 4770,
  [4784] = 1810,
  [4785] = 2296,
  [4786] = 3990,
  [4787] = 4776,
  [4788] = 4776,
  [4789] = 4776,
  [4790] = 2294,
  [4791] = 4791,
  [4792] = 4747,
  [4793] = 4791,
  [4794] = 1780,
  [4795] = 4766,
  [4796] = 1809,
  [4797] = 1808,
  [4798] = 4770,
  [4799] = 4776,
  [4800] = 1789,
  [4801] = 4766,
  [4802] = 1787,
  [4803] = 4776,
  [4804] = 1800,
  [4805] = 1797,
  [4806] = 1799,
  [4807] = 4770,
  [4808] = 4776,
  [4809] = 4770,
  [4810] = 1766,
  [4811] = 4791,
  [4812] = 4791,
  [4813] = 1790,
  [4814] = 1767,
  [4815] = 4791,
  [4816] = 1803,
  [4817] = 4776,
  [4818] = 4776,
  [4819] = 4791,
  [4820] = 4770,
  [4821] = 2011,
  [4822] = 1802,
  [4823] = 4776,
  [4824] = 4776,
  [4825] = 1806,
  [4826] = 4791,
  [4827] = 1801,
  [4828] = 3965,
  [4829] = 4776,
  [4830] = 4776,
  [4831] = 4791,
  [4832] = 1775,
  [4833] = 1774,
  [4834] = 1770,
  [4835] = 4776,
  [4836] = 2927,
  [4837] = 1769,
  [4838] = 4747,
  [4839] = 4839,
  [4840] = 3991,
  [4841] = 2178,
  [4842] = 2174,
  [4843] = 1788,
  [4844] = 4776,
  [4845] = 1784,
  [4846] = 2163,
  [4847] = 2158,
  [4848] = 4848,
  [4849] = 2148,
  [4850] = 2147,
  [4851] = 4776,
  [4852] = 2176,
  [4853] = 2162,
  [4854] = 2173,
  [4855] = 4791,
  [4856] = 1814,
  [4857] = 2168,
  [4858] = 1817,
  [4859] = 4531,
  [4860] = 4776,
  [4861] = 4776,
  [4862] = 3985,
  [4863] = 4776,
  [4864] = 1783,
  [4865] = 2153,
  [4866] = 2152,
  [4867] = 4747,
  [4868] = 2491,
  [4869] = 4747,
  [4870] = 4766,
  [4871] = 4747,
  [4872] = 4747,
  [4873] = 4766,
  [4874] = 2491,
  [4875] = 4747,
  [4876] = 4766,
  [4877] = 4766,
  [4878] = 4766,
  [4879] = 4766,
  [4880] = 4880,
  [4881] = 2062,
  [4882] = 4766,
  [4883] = 4883,
  [4884] = 4747,
  [4885] = 4766,
  [4886] = 4747,
  [4887] = 4747,
  [4888] = 4747,
  [4889] = 4747,
  [4890] = 4531,
  [4891] = 4766,
  [4892] = 4747,
  [4893] = 4531,
  [4894] = 4766,
  [4895] = 4766,
  [4896] = 4766,
  [4897] = 4531,
  [4898] = 4747,
  [4899] = 4531,
  [4900] = 4900,
  [4901] = 4901,
  [4902] = 4902,
  [4903] = 4903,
  [4904] = 4904,
  [4905] = 4900,
  [4906] = 4902,
  [4907] = 4907,
  [4908] = 4904,
  [4909] = 4907,
  [4910] = 4910,
  [4911] = 4901,
  [4912] = 4912,
  [4913] = 4913,
  [4914] = 4914,
  [4915] = 4903,
  [4916] = 4904,
  [4917] = 4904,
  [4918] = 4900,
  [4919] = 4904,
  [4920] = 4903,
  [4921] = 4912,
  [4922] = 4903,
  [4923] = 4904,
  [4924] = 4914,
  [4925] = 4900,
  [4926] = 4900,
  [4927] = 4900,
  [4928] = 4912,
  [4929] = 4903,
  [4930] = 4904,
  [4931] = 4913,
  [4932] = 4901,
  [4933] = 4903,
  [4934] = 4903,
  [4935] = 4903,
  [4936] = 4910,
  [4937] = 4900,
  [4938] = 4902,
  [4939] = 4904,
  [4940] = 4907,
  [4941] = 4903,
  [4942] = 4910,
  [4943] = 4904,
  [4944] = 4900,
  [4945] = 4900,
  [4946] = 4913,
  [4947] = 4912,
  [4948] = 4948,
  [4949] = 4900,
  [4950] = 4903,
  [4951] = 4904,
  [4952] = 4952,
  [4953] = 4904,
  [4954] = 4900,
  [4955] = 4914,
  [4956] = 4903,
  [4957] = 3454,
  [4958] = 4900,
  [4959] = 4900,
  [4960] = 3432,
  [4961] = 4904,
  [4962] = 4910,
  [4963] = 4901,
  [4964] = 4907,
  [4965] = 4902,
  [4966] = 4903,
  [4967] = 4913,
  [4968] = 4903,
  [4969] = 4969,
  [4970] = 4766,
  [4971] = 4904,
  [4972] = 4901,
  [4973] = 4900,
  [4974] = 4913,
  [4975] = 4904,
  [4976] = 4914,
  [4977] = 4747,
  [4978] = 4903,
  [4979] = 4914,
  [4980] = 4903,
  [4981] = 4904,
  [4982] = 4900,
  [4983] = 4910,
  [4984] = 4907,
  [4985] = 4903,
  [4986] = 4904,
  [4987] = 4900,
  [4988] = 4747,
  [4989] = 4902,
  [4990] = 4900,
  [4991] = 4902,
  [4992] = 4904,
  [4993] = 4912,
  [4994] = 4914,
  [4995] = 4903,
  [4996] = 4913,
  [4997] = 4901,
  [4998] = 4901,
  [4999] = 4902,
  [5000] = 4907,
  [5001] = 4910,
  [5002] = 4903,
  [5003] = 4907,
  [5004] = 4910,
  [5005] = 4913,
  [5006] = 4914,
  [5007] = 4900,
  [5008] = 4766,
  [5009] = 4904,
  [5010] = 5010,
  [5011] = 5011,
  [5012] = 5011,
  [5013] = 5011,
  [5014] = 5014,
  [5015] = 5015,
  [5016] = 5016,
  [5017] = 5016,
  [5018] = 5016,
  [5019] = 5019,
  [5020] = 5020,
  [5021] = 5019,
  [5022] = 5019,
  [5023] = 5011,
  [5024] = 5011,
  [5025] = 5011,
  [5026] = 5011,
  [5027] = 5011,
  [5028] = 5011,
  [5029] = 5011,
  [5030] = 5030,
  [5031] = 5030,
  [5032] = 5019,
  [5033] = 5019,
  [5034] = 5016,
  [5035] = 5011,
  [5036] = 5015,
  [5037] = 5015,
  [5038] = 5038,
  [5039] = 5010,
  [5040] = 5040,
  [5041] = 5011,
  [5042] = 5042,
  [5043] = 5016,
  [5044] = 5015,
  [5045] = 5019,
  [5046] = 5020,
  [5047] = 5011,
  [5048] = 5016,
  [5049] = 5011,
  [5050] = 5011,
  [5051] = 5038,
  [5052] = 5010,
  [5053] = 5015,
  [5054] = 2199,
  [5055] = 5030,
  [5056] = 5015,
  [5057] = 5010,
  [5058] = 5030,
  [5059] = 5015,
  [5060] = 5011,
  [5061] = 5014,
  [5062] = 2965,
  [5063] = 5011,
  [5064] = 5064,
  [5065] = 5011,
  [5066] = 5019,
  [5067] = 5038,
  [5068] = 4747,
  [5069] = 4766,
  [5070] = 4766,
  [5071] = 5038,
  [5072] = 4747,
  [5073] = 5014,
  [5074] = 2901,
  [5075] = 4747,
  [5076] = 4747,
  [5077] = 4019,
  [5078] = 5020,
  [5079] = 4766,
  [5080] = 4766,
  [5081] = 5020,
  [5082] = 5014,
  [5083] = 5038,
  [5084] = 5014,
  [5085] = 5020,
  [5086] = 5014,
  [5087] = 5014,
  [5088] = 5038,
  [5089] = 5020,
  [5090] = 5038,
  [5091] = 5020,
  [5092] = 5014,
  [5093] = 5014,
  [5094] = 5038,
  [5095] = 5014,
  [5096] = 5038,
  [5097] = 5020,
  [5098] = 5038,
  [5099] = 5014,
  [5100] = 5038,
  [5101] = 5020,
  [5102] = 5014,
  [5103] = 5020,
  [5104] = 5020,
  [5105] = 5038,
  [5106] = 5020,
  [5107] = 5038,
  [5108] = 5014,
  [5109] = 5014,
  [5110] = 5038,
  [5111] = 5038,
  [5112] = 5020,
  [5113] = 5020,
  [5114] = 5014,
  [5115] = 5020,
  [5116] = 5038,
  [5117] = 5014,
  [5118] = 5020,
  [5119] = 5119,
  [5120] = 5020,
  [5121] = 5119,
  [5122] = 5122,
  [5123] = 1640,
  [5124] = 5038,
  [5125] = 5119,
  [5126] = 5119,
  [5127] = 5038,
  [5128] = 5119,
  [5129] = 5014,
  [5130] = 5119,
  [5131] = 5020,
  [5132] = 5119,
  [5133] = 5014,
  [5134] = 1654,
  [5135] = 5122,
  [5136] = 5136,
  [5137] = 5122,
  [5138] = 5138,
  [5139] = 5139,
  [5140] = 5138,
  [5141] = 5014,
  [5142] = 5142,
  [5143] = 5143,
  [5144] = 5143,
  [5145] = 5138,
  [5146] = 5143,
  [5147] = 5143,
  [5148] = 5020,
  [5149] = 5149,
  [5150] = 5038,
  [5151] = 5149,
  [5152] = 5138,
  [5153] = 5143,
  [5154] = 5138,
  [5155] = 5014,
  [5156] = 5020,
  [5157] = 5149,
  [5158] = 5138,
  [5159] = 5138,
  [5160] = 5142,
  [5161] = 5138,
  [5162] = 5143,
  [5163] = 5020,
  [5164] = 5038,
  [5165] = 5143,
  [5166] = 5143,
  [5167] = 5038,
  [5168] = 5020,
  [5169] = 5038,
  [5170] = 5142,
  [5171] = 5171,
  [5172] = 5014,
  [5173] = 5014,
  [5174] = 5138,
  [5175] = 5143,
  [5176] = 5122,
  [5177] = 5177,
  [5178] = 5178,
  [5179] = 5179,
  [5180] = 5180,
  [5181] = 5181,
  [5182] = 5182,
  [5183] = 5183,
  [5184] = 5184,
  [5185] = 5185,
  [5186] = 5186,
  [5187] = 5182,
  [5188] = 5188,
  [5189] = 5189,
  [5190] = 5190,
  [5191] = 5191,
  [5192] = 5192,
  [5193] = 5179,
  [5194] = 5178,
  [5195] = 5195,
  [5196] = 5196,
  [5197] = 5178,
  [5198] = 5195,
  [5199] = 5183,
  [5200] = 5200,
  [5201] = 5186,
  [5202] = 5178,
  [5203] = 5191,
  [5204] = 5196,
  [5205] = 5180,
  [5206] = 5196,
  [5207] = 5186,
  [5208] = 5208,
  [5209] = 5188,
  [5210] = 5177,
  [5211] = 5182,
  [5212] = 5190,
  [5213] = 5122,
  [5214] = 5214,
  [5215] = 5186,
  [5216] = 5216,
  [5217] = 5196,
  [5218] = 5178,
  [5219] = 5189,
  [5220] = 5220,
  [5221] = 5191,
  [5222] = 5214,
  [5223] = 5223,
  [5224] = 5191,
  [5225] = 5225,
  [5226] = 5196,
  [5227] = 5227,
  [5228] = 5186,
  [5229] = 5229,
  [5230] = 5178,
  [5231] = 5178,
  [5232] = 5232,
  [5233] = 5190,
  [5234] = 5196,
  [5235] = 5178,
  [5236] = 5186,
  [5237] = 5200,
  [5238] = 5185,
  [5239] = 5191,
  [5240] = 5191,
  [5241] = 5183,
  [5242] = 5196,
  [5243] = 5178,
  [5244] = 5122,
  [5245] = 5245,
  [5246] = 5196,
  [5247] = 5196,
  [5248] = 5223,
  [5249] = 5182,
  [5250] = 5178,
  [5251] = 5178,
  [5252] = 5225,
  [5253] = 5195,
  [5254] = 5196,
  [5255] = 5190,
  [5256] = 5191,
  [5257] = 5257,
  [5258] = 5186,
  [5259] = 5259,
  [5260] = 5191,
  [5261] = 5261,
  [5262] = 5196,
  [5263] = 5227,
  [5264] = 5178,
  [5265] = 5191,
  [5266] = 5178,
  [5267] = 5196,
  [5268] = 5178,
  [5269] = 5178,
  [5270] = 5196,
  [5271] = 5196,
  [5272] = 5178,
  [5273] = 5192,
  [5274] = 5196,
  [5275] = 5196,
  [5276] = 5276,
  [5277] = 5276,
  [5278] = 5278,
  [5279] = 5279,
  [5280] = 5280,
  [5281] = 5278,
  [5282] = 5276,
  [5283] = 5283,
  [5284] = 5284,
  [5285] = 5278,
  [5286] = 5280,
  [5287] = 5284,
  [5288] = 5280,
  [5289] = 5278,
  [5290] = 5290,
  [5291] = 5283,
  [5292] = 5280,
  [5293] = 5283,
  [5294] = 5284,
  [5295] = 5279,
  [5296] = 5284,
  [5297] = 5283,
  [5298] = 5290,
  [5299] = 5284,
  [5300] = 5279,
  [5301] = 5280,
  [5302] = 5278,
  [5303] = 5122,
  [5304] = 5284,
  [5305] = 5276,
  [5306] = 5284,
  [5307] = 5283,
  [5308] = 5283,
  [5309] = 5283,
  [5310] = 5279,
  [5311] = 5284,
  [5312] = 5276,
  [5313] = 5278,
  [5314] = 5278,
  [5315] = 5276,
  [5316] = 5280,
  [5317] = 5276,
  [5318] = 5278,
  [5319] = 5283,
  [5320] = 5278,
  [5321] = 5284,
  [5322] = 5278,
  [5323] = 5276,
  [5324] = 5284,
  [5325] = 5278,
  [5326] = 5283,
  [5327] = 5280,
  [5328] = 5280,
  [5329] = 5283,
  [5330] = 5279,
  [5331] = 5284,
  [5332] = 5278,
  [5333] = 5278,
  [5334] = 5280,
  [5335] = 5276,
  [5336] = 5276,
  [5337] = 5259,
  [5338] = 5276,
  [5339] = 5276,
  [5340] = 5278,
  [5341] = 5276,
  [5342] = 5171,
  [5343] = 5279,
  [5344] = 5280,
  [5345] = 5284,
  [5346] = 5283,
  [5347] = 5276,
  [5348] = 5284,
  [5349] = 5283,
  [5350] = 5284,
  [5351] = 5283,
  [5352] = 5284,
  [5353] = 5276,
  [5354] = 5278,
  [5355] = 5280,
  [5356] = 5280,
  [5357] = 5139,
  [5358] = 5280,
  [5359] = 5280,
  [5360] = 5284,
  [5361] = 5283,
  [5362] = 5290,
  [5363] = 5280,
  [5364] = 5283,
  [5365] = 5280,
  [5366] = 5366,
  [5367] = 5278,
  [5368] = 5276,
  [5369] = 5278,
  [5370] = 5276,
  [5371] = 5283,
  [5372] = 5284,
  [5373] = 5283,
  [5374] = 5284,
  [5375] = 5280,
  [5376] = 5278,
  [5377] = 5280,
  [5378] = 5276,
  [5379] = 5279,
  [5380] = 5283,
  [5381] = 5381,
  [5382] = 5382,
  [5383] = 5381,
  [5384] = 5384,
  [5385] = 5385,
  [5386] = 5386,
  [5387] = 2087,
  [5388] = 1597,
  [5389] = 5389,
  [5390] = 1605,
  [5391] = 5391,
  [5392] = 1606,
  [5393] = 5393,
  [5394] = 1604,
  [5395] = 1611,
  [5396] = 5396,
  [5397] = 5397,
  [5398] = 5391,
  [5399] = 2078,
  [5400] = 1608,
  [5401] = 5401,
  [5402] = 5391,
  [5403] = 5391,
  [5404] = 5404,
  [5405] = 5405,
  [5406] = 5382,
  [5407] = 1600,
  [5408] = 5408,
  [5409] = 5409,
  [5410] = 5410,
  [5411] = 5411,
  [5412] = 5382,
  [5413] = 1610,
  [5414] = 5414,
  [5415] = 5415,
  [5416] = 147,
  [5417] = 1603,
  [5418] = 5418,
  [5419] = 5419,
  [5420] = 1607,
  [5421] = 5391,
  [5422] = 2753,
  [5423] = 5414,
  [5424] = 5424,
  [5425] = 5425,
  [5426] = 1598,
  [5427] = 5391,
  [5428] = 5414,
  [5429] = 5429,
  [5430] = 5396,
  [5431] = 5385,
  [5432] = 5409,
  [5433] = 5411,
  [5434] = 5434,
  [5435] = 5435,
  [5436] = 5436,
  [5437] = 5414,
  [5438] = 5425,
  [5439] = 5391,
  [5440] = 5408,
  [5441] = 1601,
  [5442] = 1609,
  [5443] = 5443,
  [5444] = 1599,
  [5445] = 5445,
  [5446] = 5410,
  [5447] = 5410,
  [5448] = 5396,
  [5449] = 5449,
  [5450] = 5450,
  [5451] = 5408,
  [5452] = 1602,
  [5453] = 5385,
  [5454] = 5454,
  [5455] = 5425,
  [5456] = 5391,
  [5457] = 5385,
  [5458] = 5382,
  [5459] = 5409,
  [5460] = 5391,
  [5461] = 5409,
  [5462] = 5396,
  [5463] = 5391,
  [5464] = 5391,
  [5465] = 5381,
  [5466] = 5391,
  [5467] = 5391,
  [5468] = 5468,
  [5469] = 5122,
  [5470] = 5411,
  [5471] = 5411,
  [5472] = 5472,
  [5473] = 2078,
  [5474] = 2774,
  [5475] = 5475,
  [5476] = 5410,
  [5477] = 5425,
  [5478] = 5478,
  [5479] = 5479,
  [5480] = 5480,
  [5481] = 5481,
  [5482] = 5482,
  [5483] = 5391,
  [5484] = 5381,
  [5485] = 2087,
  [5486] = 148,
  [5487] = 5487,
  [5488] = 5488,
  [5489] = 5488,
  [5490] = 5490,
  [5491] = 5491,
  [5492] = 5435,
  [5493] = 5393,
  [5494] = 5494,
  [5495] = 5122,
  [5496] = 5491,
  [5497] = 5468,
  [5498] = 5491,
  [5499] = 5491,
  [5500] = 5500,
  [5501] = 5401,
  [5502] = 5488,
  [5503] = 5488,
  [5504] = 5504,
  [5505] = 5404,
  [5506] = 5506,
  [5507] = 5488,
  [5508] = 5382,
  [5509] = 5488,
  [5510] = 5504,
  [5511] = 5405,
  [5512] = 5488,
  [5513] = 5513,
  [5514] = 5488,
  [5515] = 5434,
  [5516] = 5516,
  [5517] = 5397,
  [5518] = 5488,
  [5519] = 5488,
  [5520] = 5494,
  [5521] = 5488,
  [5522] = 5516,
  [5523] = 5494,
  [5524] = 5415,
  [5525] = 5381,
  [5526] = 5488,
  [5527] = 5475,
  [5528] = 5481,
  [5529] = 5436,
  [5530] = 2774,
  [5531] = 5429,
  [5532] = 5418,
  [5533] = 5410,
  [5534] = 5488,
  [5535] = 5535,
  [5536] = 5494,
  [5537] = 5450,
  [5538] = 5449,
  [5539] = 5488,
  [5540] = 2199,
  [5541] = 5488,
  [5542] = 5488,
  [5543] = 5381,
  [5544] = 5544,
  [5545] = 5491,
  [5546] = 5419,
  [5547] = 5547,
  [5548] = 5386,
  [5549] = 5389,
  [5550] = 5425,
  [5551] = 5551,
  [5552] = 5410,
  [5553] = 5488,
  [5554] = 5491,
  [5555] = 5382,
  [5556] = 5425,
  [5557] = 5487,
  [5558] = 2753,
  [5559] = 5480,
  [5560] = 5516,
  [5561] = 5488,
  [5562] = 5562,
  [5563] = 5563,
  [5564] = 5564,
  [5565] = 5410,
  [5566] = 5566,
  [5567] = 5567,
  [5568] = 5568,
  [5569] = 5569,
  [5570] = 5425,
  [5571] = 5571,
  [5572] = 5572,
  [5573] = 5410,
  [5574] = 5574,
  [5575] = 5575,
  [5576] = 5572,
  [5577] = 5577,
  [5578] = 5578,
  [5579] = 5579,
  [5580] = 5580,
  [5581] = 5381,
  [5582] = 5582,
  [5583] = 5583,
  [5584] = 5572,
  [5585] = 5585,
  [5586] = 5586,
  [5587] = 5587,
  [5588] = 5588,
  [5589] = 5572,
  [5590] = 5382,
  [5591] = 5591,
  [5592] = 5382,
  [5593] = 5593,
  [5594] = 5122,
  [5595] = 5425,
  [5596] = 5596,
  [5597] = 5381,
  [5598] = 5598,
  [5599] = 5599,
  [5600] = 5572,
  [5601] = 5601,
  [5602] = 806,
  [5603] = 5603,
  [5604] = 5604,
  [5605] = 1644,
  [5606] = 5604,
  [5607] = 5603,
  [5608] = 5608,
  [5609] = 5609,
  [5610] = 5382,
  [5611] = 5381,
  [5612] = 5425,
  [5613] = 5410,
  [5614] = 5382,
  [5615] = 2010,
  [5616] = 5604,
  [5617] = 5603,
  [5618] = 5381,
  [5619] = 5604,
  [5620] = 5410,
  [5621] = 5621,
  [5622] = 5622,
  [5623] = 5425,
  [5624] = 1643,
  [5625] = 5410,
  [5626] = 5381,
  [5627] = 5425,
  [5628] = 5604,
  [5629] = 5382,
  [5630] = 5604,
  [5631] = 5604,
  [5632] = 5632,
  [5633] = 2339,
  [5634] = 5603,
  [5635] = 5635,
  [5636] = 810,
  [5637] = 5410,
  [5638] = 5638,
  [5639] = 5604,
  [5640] = 5603,
  [5641] = 5425,
  [5642] = 5632,
  [5643] = 5603,
  [5644] = 5122,
  [5645] = 5603,
  [5646] = 5382,
  [5647] = 5603,
  [5648] = 1650,
  [5649] = 1942,
  [5650] = 5381,
  [5651] = 5122,
  [5652] = 5603,
  [5653] = 5604,
  [5654] = 5604,
  [5655] = 5603,
  [5656] = 5656,
  [5657] = 5657,
  [5658] = 1609,
  [5659] = 5409,
  [5660] = 5479,
  [5661] = 5382,
  [5662] = 5425,
  [5663] = 1606,
  [5664] = 5385,
  [5665] = 1604,
  [5666] = 1611,
  [5667] = 5414,
  [5668] = 5411,
  [5669] = 5396,
  [5670] = 1605,
  [5671] = 2078,
  [5672] = 1597,
  [5673] = 2166,
  [5674] = 5122,
  [5675] = 5414,
  [5676] = 5382,
  [5677] = 5381,
  [5678] = 5409,
  [5679] = 5122,
  [5680] = 1608,
  [5681] = 5681,
  [5682] = 1599,
  [5683] = 147,
  [5684] = 1601,
  [5685] = 2157,
  [5686] = 5385,
  [5687] = 2167,
  [5688] = 148,
  [5689] = 2199,
  [5690] = 5381,
  [5691] = 5445,
  [5692] = 1602,
  [5693] = 2087,
  [5694] = 2344,
  [5695] = 5425,
  [5696] = 1610,
  [5697] = 5410,
  [5698] = 2142,
  [5699] = 1603,
  [5700] = 5700,
  [5701] = 5410,
  [5702] = 5702,
  [5703] = 5657,
  [5704] = 5704,
  [5705] = 5705,
  [5706] = 5706,
  [5707] = 1600,
  [5708] = 5708,
  [5709] = 5709,
  [5710] = 5411,
  [5711] = 5705,
  [5712] = 5709,
  [5713] = 5708,
  [5714] = 5704,
  [5715] = 5706,
  [5716] = 2419,
  [5717] = 1607,
  [5718] = 2169,
  [5719] = 5700,
  [5720] = 5656,
  [5721] = 2390,
  [5722] = 1598,
  [5723] = 5396,
  [5724] = 5724,
  [5725] = 5725,
  [5726] = 5724,
  [5727] = 5725,
  [5728] = 5728,
  [5729] = 5656,
  [5730] = 5730,
  [5731] = 5382,
  [5732] = 5381,
  [5733] = 5733,
  [5734] = 5734,
  [5735] = 5657,
  [5736] = 5736,
  [5737] = 2188,
  [5738] = 5706,
  [5739] = 5724,
  [5740] = 5733,
  [5741] = 5724,
  [5742] = 5708,
  [5743] = 5709,
  [5744] = 5744,
  [5745] = 5733,
  [5746] = 5746,
  [5747] = 5705,
  [5748] = 5704,
  [5749] = 5700,
  [5750] = 5750,
  [5751] = 5725,
  [5752] = 5752,
  [5753] = 5724,
  [5754] = 5746,
  [5755] = 5381,
  [5756] = 5725,
  [5757] = 5746,
  [5758] = 5746,
  [5759] = 2054,
  [5760] = 5725,
  [5761] = 5761,
  [5762] = 5746,
  [5763] = 5725,
  [5764] = 5764,
  [5765] = 5765,
  [5766] = 5724,
  [5767] = 5734,
  [5768] = 5768,
  [5769] = 5761,
  [5770] = 5725,
  [5771] = 5725,
  [5772] = 5772,
  [5773] = 5725,
  [5774] = 5382,
  [5775] = 5746,
  [5776] = 5761,
  [5777] = 1531,
  [5778] = 5724,
  [5779] = 5733,
  [5780] = 5733,
  [5781] = 5425,
  [5782] = 5410,
  [5783] = 5746,
  [5784] = 5764,
  [5785] = 5725,
  [5786] = 5410,
  [5787] = 5733,
  [5788] = 5425,
  [5789] = 5768,
  [5790] = 5736,
  [5791] = 5733,
  [5792] = 5752,
  [5793] = 5761,
  [5794] = 5794,
  [5795] = 5382,
  [5796] = 2213,
  [5797] = 5797,
  [5798] = 5385,
  [5799] = 5799,
  [5800] = 1818,
  [5801] = 2195,
  [5802] = 5700,
  [5803] = 5803,
  [5804] = 5804,
  [5805] = 5803,
  [5806] = 5414,
  [5807] = 5409,
  [5808] = 5705,
  [5809] = 5803,
  [5810] = 5411,
  [5811] = 5799,
  [5812] = 5799,
  [5813] = 5813,
  [5814] = 5563,
  [5815] = 5799,
  [5816] = 5816,
  [5817] = 5586,
  [5818] = 2249,
  [5819] = 5819,
  [5820] = 5799,
  [5821] = 2238,
  [5822] = 2187,
  [5823] = 2214,
  [5824] = 5824,
  [5825] = 5396,
  [5826] = 5591,
  [5827] = 5827,
  [5828] = 5562,
  [5829] = 5799,
  [5830] = 5824,
  [5831] = 5824,
  [5832] = 5122,
  [5833] = 2167,
  [5834] = 5571,
  [5835] = 2406,
  [5836] = 5803,
  [5837] = 2142,
  [5838] = 1841,
  [5839] = 5579,
  [5840] = 5583,
  [5841] = 2408,
  [5842] = 2409,
  [5843] = 5385,
  [5844] = 2410,
  [5845] = 5845,
  [5846] = 1840,
  [5847] = 2412,
  [5848] = 5564,
  [5849] = 2414,
  [5850] = 5799,
  [5851] = 5799,
  [5852] = 2402,
  [5853] = 5582,
  [5854] = 5709,
  [5855] = 2087,
  [5856] = 5824,
  [5857] = 5824,
  [5858] = 2169,
  [5859] = 2497,
  [5860] = 5382,
  [5861] = 2208,
  [5862] = 5410,
  [5863] = 5425,
  [5864] = 5799,
  [5865] = 5865,
  [5866] = 5381,
  [5867] = 5867,
  [5868] = 5708,
  [5869] = 2223,
  [5870] = 5799,
  [5871] = 2227,
  [5872] = 5704,
  [5873] = 5803,
  [5874] = 5874,
  [5875] = 5799,
  [5876] = 5876,
  [5877] = 5824,
  [5878] = 2157,
  [5879] = 5799,
  [5880] = 5656,
  [5881] = 5799,
  [5882] = 5824,
  [5883] = 2166,
  [5884] = 5884,
  [5885] = 5706,
  [5886] = 5799,
  [5887] = 5599,
  [5888] = 5396,
  [5889] = 5799,
  [5890] = 5598,
  [5891] = 5891,
  [5892] = 5587,
  [5893] = 2210,
  [5894] = 5569,
  [5895] = 5799,
  [5896] = 5596,
  [5897] = 2087,
  [5898] = 5577,
  [5899] = 5580,
  [5900] = 5900,
  [5901] = 5381,
  [5902] = 5414,
  [5903] = 5803,
  [5904] = 5799,
  [5905] = 5425,
  [5906] = 5799,
  [5907] = 5409,
  [5908] = 5908,
  [5909] = 5585,
  [5910] = 5410,
  [5911] = 5657,
  [5912] = 5593,
  [5913] = 5411,
  [5914] = 2258,
  [5915] = 5915,
  [5916] = 5799,
  [5917] = 5803,
  [5918] = 5396,
  [5919] = 5588,
  [5920] = 5411,
  [5921] = 5575,
  [5922] = 5414,
  [5923] = 5385,
  [5924] = 5578,
  [5925] = 1833,
  [5926] = 5409,
  [5927] = 5927,
  [5928] = 5928,
  [5929] = 5414,
  [5930] = 2078,
  [5931] = 2078,
  [5932] = 5932,
  [5933] = 5411,
  [5934] = 5409,
  [5935] = 5385,
  [5936] = 5396,
  [5937] = 5937,
  [5938] = 5938,
  [5939] = 5938,
  [5940] = 5938,
  [5941] = 5941,
  [5942] = 5942,
  [5943] = 5938,
  [5944] = 5944,
  [5945] = 5410,
  [5946] = 5944,
  [5947] = 5657,
  [5948] = 5941,
  [5949] = 5706,
  [5950] = 5950,
  [5951] = 5951,
  [5952] = 5944,
  [5953] = 5944,
  [5954] = 5951,
  [5955] = 5941,
  [5956] = 5938,
  [5957] = 5410,
  [5958] = 5944,
  [5959] = 5700,
  [5960] = 5960,
  [5961] = 5941,
  [5962] = 5938,
  [5963] = 5708,
  [5964] = 5709,
  [5965] = 5950,
  [5966] = 2188,
  [5967] = 5938,
  [5968] = 5942,
  [5969] = 5704,
  [5970] = 5950,
  [5971] = 5944,
  [5972] = 5944,
  [5973] = 5944,
  [5974] = 5974,
  [5975] = 5944,
  [5976] = 5656,
  [5977] = 5951,
  [5978] = 5657,
  [5979] = 5382,
  [5980] = 5382,
  [5981] = 5381,
  [5982] = 5706,
  [5983] = 5708,
  [5984] = 5951,
  [5985] = 5709,
  [5986] = 5750,
  [5987] = 5705,
  [5988] = 5938,
  [5989] = 5938,
  [5990] = 5704,
  [5991] = 5700,
  [5992] = 5705,
  [5993] = 5938,
  [5994] = 5425,
  [5995] = 5941,
  [5996] = 5656,
  [5997] = 5950,
  [5998] = 5381,
  [5999] = 5425,
  [6000] = 5944,
  [6001] = 5411,
  [6002] = 6002,
  [6003] = 6002,
  [6004] = 6002,
  [6005] = 5396,
  [6006] = 5414,
  [6007] = 6002,
  [6008] = 5414,
  [6009] = 6002,
  [6010] = 5382,
  [6011] = 6011,
  [6012] = 6002,
  [6013] = 6013,
  [6014] = 5656,
  [6015] = 5657,
  [6016] = 6016,
  [6017] = 5706,
  [6018] = 6002,
  [6019] = 5708,
  [6020] = 5381,
  [6021] = 5425,
  [6022] = 5709,
  [6023] = 6002,
  [6024] = 5705,
  [6025] = 5704,
  [6026] = 5410,
  [6027] = 5700,
  [6028] = 2087,
  [6029] = 5764,
  [6030] = 5382,
  [6031] = 5768,
  [6032] = 6002,
  [6033] = 6002,
  [6034] = 6002,
  [6035] = 5381,
  [6036] = 6002,
  [6037] = 6002,
  [6038] = 5409,
  [6039] = 3331,
  [6040] = 2142,
  [6041] = 6002,
  [6042] = 2166,
  [6043] = 5385,
  [6044] = 2169,
  [6045] = 5425,
  [6046] = 5396,
  [6047] = 5752,
  [6048] = 6048,
  [6049] = 5734,
  [6050] = 5411,
  [6051] = 2078,
  [6052] = 6002,
  [6053] = 5409,
  [6054] = 6002,
  [6055] = 5410,
  [6056] = 6002,
  [6057] = 2167,
  [6058] = 5385,
  [6059] = 5736,
  [6060] = 6002,
  [6061] = 2157,
  [6062] = 6002,
  [6063] = 6063,
  [6064] = 6064,
  [6065] = 5736,
  [6066] = 6066,
  [6067] = 6067,
  [6068] = 6064,
  [6069] = 6069,
  [6070] = 2087,
  [6071] = 6064,
  [6072] = 5700,
  [6073] = 5414,
  [6074] = 5705,
  [6075] = 6069,
  [6076] = 5396,
  [6077] = 6063,
  [6078] = 5385,
  [6079] = 5409,
  [6080] = 6080,
  [6081] = 5411,
  [6082] = 6069,
  [6083] = 6083,
  [6084] = 6080,
  [6085] = 6080,
  [6086] = 6086,
  [6087] = 5411,
  [6088] = 5734,
  [6089] = 6089,
  [6090] = 6063,
  [6091] = 6064,
  [6092] = 6080,
  [6093] = 5706,
  [6094] = 6094,
  [6095] = 5657,
  [6096] = 6096,
  [6097] = 6097,
  [6098] = 6098,
  [6099] = 5752,
  [6100] = 6100,
  [6101] = 6069,
  [6102] = 6102,
  [6103] = 6069,
  [6104] = 6064,
  [6105] = 6105,
  [6106] = 5764,
  [6107] = 6064,
  [6108] = 2188,
  [6109] = 5414,
  [6110] = 6064,
  [6111] = 5656,
  [6112] = 2078,
  [6113] = 6113,
  [6114] = 5396,
  [6115] = 6080,
  [6116] = 5409,
  [6117] = 6117,
  [6118] = 5700,
  [6119] = 6063,
  [6120] = 6120,
  [6121] = 6121,
  [6122] = 5704,
  [6123] = 5768,
  [6124] = 6124,
  [6125] = 6125,
  [6126] = 6080,
  [6127] = 6069,
  [6128] = 6128,
  [6129] = 5385,
  [6130] = 6063,
  [6131] = 6131,
  [6132] = 6132,
  [6133] = 6069,
  [6134] = 5705,
  [6135] = 6063,
  [6136] = 6136,
  [6137] = 5657,
  [6138] = 5706,
  [6139] = 6139,
  [6140] = 2320,
  [6141] = 6141,
  [6142] = 5708,
  [6143] = 5709,
  [6144] = 6144,
  [6145] = 6063,
  [6146] = 6080,
  [6147] = 6147,
  [6148] = 6148,
  [6149] = 6149,
  [6150] = 5706,
  [6151] = 6151,
  [6152] = 6151,
  [6153] = 6151,
  [6154] = 6154,
  [6155] = 6155,
  [6156] = 6156,
  [6157] = 6157,
  [6158] = 6158,
  [6159] = 6151,
  [6160] = 1528,
  [6161] = 5656,
  [6162] = 6162,
  [6163] = 5657,
  [6164] = 6164,
  [6165] = 1527,
  [6166] = 1526,
  [6167] = 6167,
  [6168] = 6151,
  [6169] = 6151,
  [6170] = 6170,
  [6171] = 6151,
  [6172] = 6151,
  [6173] = 1524,
  [6174] = 6174,
  [6175] = 5708,
  [6176] = 6151,
  [6177] = 6151,
  [6178] = 5709,
  [6179] = 5705,
  [6180] = 5704,
  [6181] = 1521,
  [6182] = 5700,
  [6183] = 6174,
  [6184] = 6151,
  [6185] = 1525,
  [6186] = 1522,
  [6187] = 6151,
  [6188] = 6151,
  [6189] = 5706,
  [6190] = 6190,
  [6191] = 6191,
  [6192] = 6191,
  [6193] = 6193,
  [6194] = 5622,
  [6195] = 6191,
  [6196] = 6196,
  [6197] = 6191,
  [6198] = 5621,
  [6199] = 6191,
  [6200] = 6191,
  [6201] = 6191,
  [6202] = 6191,
  [6203] = 6191,
  [6204] = 6196,
  [6205] = 6205,
  [6206] = 6206,
  [6207] = 6206,
  [6208] = 6191,
  [6209] = 5700,
  [6210] = 6191,
  [6211] = 6191,
  [6212] = 6196,
  [6213] = 6213,
  [6214] = 5704,
  [6215] = 6191,
  [6216] = 6196,
  [6217] = 5705,
  [6218] = 6205,
  [6219] = 6191,
  [6220] = 6191,
  [6221] = 5709,
  [6222] = 5708,
  [6223] = 6191,
  [6224] = 6190,
  [6225] = 6191,
  [6226] = 6205,
  [6227] = 6191,
  [6228] = 2087,
  [6229] = 6206,
  [6230] = 6190,
  [6231] = 6190,
  [6232] = 5657,
  [6233] = 5656,
  [6234] = 6206,
  [6235] = 6191,
  [6236] = 6191,
  [6237] = 6196,
  [6238] = 6196,
  [6239] = 6191,
  [6240] = 6196,
  [6241] = 6205,
  [6242] = 2078,
  [6243] = 6243,
  [6244] = 6244,
  [6245] = 5816,
  [6246] = 6246,
  [6247] = 6247,
  [6248] = 6247,
  [6249] = 6249,
  [6250] = 6247,
  [6251] = 5734,
  [6252] = 6252,
  [6253] = 5656,
  [6254] = 6254,
  [6255] = 6247,
  [6256] = 6254,
  [6257] = 6247,
  [6258] = 6258,
  [6259] = 6247,
  [6260] = 6260,
  [6261] = 6261,
  [6262] = 6254,
  [6263] = 5657,
  [6264] = 5706,
  [6265] = 6265,
  [6266] = 5708,
  [6267] = 5709,
  [6268] = 2344,
  [6269] = 6265,
  [6270] = 6270,
  [6271] = 6265,
  [6272] = 6247,
  [6273] = 5884,
  [6274] = 6274,
  [6275] = 5705,
  [6276] = 6254,
  [6277] = 5622,
  [6278] = 5704,
  [6279] = 5928,
  [6280] = 5700,
  [6281] = 6281,
  [6282] = 5797,
  [6283] = 5768,
  [6284] = 5764,
  [6285] = 5621,
  [6286] = 6265,
  [6287] = 5752,
  [6288] = 5736,
  [6289] = 6289,
  [6290] = 5804,
  [6291] = 6291,
  [6292] = 5657,
  [6293] = 6293,
  [6294] = 6294,
  [6295] = 6295,
  [6296] = 6293,
  [6297] = 5704,
  [6298] = 5657,
  [6299] = 5700,
  [6300] = 2166,
  [6301] = 5656,
  [6302] = 6293,
  [6303] = 6303,
  [6304] = 6295,
  [6305] = 2344,
  [6306] = 6306,
  [6307] = 6307,
  [6308] = 6308,
  [6309] = 2169,
  [6310] = 6293,
  [6311] = 6311,
  [6312] = 2157,
  [6313] = 6313,
  [6314] = 6295,
  [6315] = 6306,
  [6316] = 2142,
  [6317] = 6306,
  [6318] = 5709,
  [6319] = 6294,
  [6320] = 5706,
  [6321] = 5705,
  [6322] = 6295,
  [6323] = 6323,
  [6324] = 2167,
  [6325] = 2154,
  [6326] = 6326,
  [6327] = 5709,
  [6328] = 5700,
  [6329] = 2151,
  [6330] = 5656,
  [6331] = 6331,
  [6332] = 5705,
  [6333] = 5708,
  [6334] = 5704,
  [6335] = 2146,
  [6336] = 6306,
  [6337] = 6294,
  [6338] = 6338,
  [6339] = 6294,
  [6340] = 5708,
  [6341] = 6341,
  [6342] = 5706,
  [6343] = 6343,
  [6344] = 6344,
  [6345] = 6345,
  [6346] = 6346,
  [6347] = 6344,
  [6348] = 6348,
  [6349] = 6346,
  [6350] = 6350,
  [6351] = 6351,
  [6352] = 6346,
  [6353] = 6353,
  [6354] = 6354,
  [6355] = 6355,
  [6356] = 6356,
  [6357] = 6344,
  [6358] = 6358,
  [6359] = 6359,
  [6360] = 6360,
  [6361] = 6344,
  [6362] = 2188,
  [6363] = 2344,
  [6364] = 6344,
  [6365] = 6365,
  [6366] = 6355,
  [6367] = 6367,
  [6368] = 6355,
  [6369] = 6369,
  [6370] = 6370,
  [6371] = 2344,
  [6372] = 6351,
  [6373] = 6013,
  [6374] = 6011,
  [6375] = 6346,
  [6376] = 6355,
  [6377] = 6344,
  [6378] = 6358,
  [6379] = 6346,
  [6380] = 6380,
  [6381] = 6355,
  [6382] = 6355,
  [6383] = 6344,
  [6384] = 6358,
  [6385] = 6016,
  [6386] = 6358,
  [6387] = 6346,
  [6388] = 6388,
  [6389] = 6358,
  [6390] = 6353,
  [6391] = 6355,
  [6392] = 6358,
  [6393] = 6346,
  [6394] = 6358,
  [6395] = 6395,
  [6396] = 6396,
  [6397] = 6397,
  [6398] = 6398,
  [6399] = 6399,
  [6400] = 6400,
  [6401] = 6401,
  [6402] = 5708,
  [6403] = 5709,
  [6404] = 6404,
  [6405] = 6404,
  [6406] = 5705,
  [6407] = 6407,
  [6408] = 5704,
  [6409] = 6409,
  [6410] = 6410,
  [6411] = 5700,
  [6412] = 6412,
  [6413] = 6399,
  [6414] = 6400,
  [6415] = 6401,
  [6416] = 5657,
  [6417] = 6417,
  [6418] = 6418,
  [6419] = 6419,
  [6420] = 5706,
  [6421] = 6421,
  [6422] = 6422,
  [6423] = 6423,
  [6424] = 6409,
  [6425] = 6410,
  [6426] = 6412,
  [6427] = 6399,
  [6428] = 6400,
  [6429] = 6401,
  [6430] = 6404,
  [6431] = 6421,
  [6432] = 6422,
  [6433] = 6423,
  [6434] = 6434,
  [6435] = 6409,
  [6436] = 6423,
  [6437] = 6397,
  [6438] = 6422,
  [6439] = 5656,
  [6440] = 2344,
  [6441] = 6396,
  [6442] = 6410,
  [6443] = 6443,
  [6444] = 6412,
  [6445] = 6412,
  [6446] = 6434,
  [6447] = 2344,
  [6448] = 2306,
  [6449] = 6421,
  [6450] = 6450,
  [6451] = 6404,
  [6452] = 6452,
  [6453] = 6453,
  [6454] = 6412,
  [6455] = 6455,
  [6456] = 6456,
  [6457] = 6457,
  [6458] = 6458,
  [6459] = 6459,
  [6460] = 6460,
  [6461] = 6461,
  [6462] = 6462,
  [6463] = 6456,
  [6464] = 6464,
  [6465] = 6455,
  [6466] = 6466,
  [6467] = 6459,
  [6468] = 6468,
  [6469] = 6469,
  [6470] = 6470,
  [6471] = 6471,
  [6472] = 6456,
  [6473] = 6473,
  [6474] = 6474,
  [6475] = 6475,
  [6476] = 6476,
  [6477] = 6459,
  [6478] = 6458,
  [6479] = 6479,
  [6480] = 6461,
  [6481] = 6456,
  [6482] = 6466,
  [6483] = 6483,
  [6484] = 6461,
  [6485] = 6470,
  [6486] = 6486,
  [6487] = 6459,
  [6488] = 6461,
  [6489] = 6469,
  [6490] = 6456,
  [6491] = 6491,
  [6492] = 6457,
  [6493] = 6457,
  [6494] = 6483,
  [6495] = 6474,
  [6496] = 6496,
  [6497] = 6497,
  [6498] = 6466,
  [6499] = 6499,
  [6500] = 6460,
  [6501] = 6456,
  [6502] = 6502,
  [6503] = 6466,
  [6504] = 6456,
  [6505] = 6456,
  [6506] = 6455,
  [6507] = 6461,
  [6508] = 6470,
  [6509] = 6459,
  [6510] = 6469,
  [6511] = 6511,
  [6512] = 6461,
  [6513] = 6456,
  [6514] = 6491,
  [6515] = 6459,
  [6516] = 6474,
  [6517] = 6474,
  [6518] = 6475,
  [6519] = 6456,
  [6520] = 6475,
  [6521] = 6499,
  [6522] = 6491,
  [6523] = 6469,
  [6524] = 6483,
  [6525] = 6466,
  [6526] = 6473,
  [6527] = 6497,
  [6528] = 6483,
  [6529] = 6466,
  [6530] = 6455,
  [6531] = 6461,
  [6532] = 6483,
  [6533] = 6461,
  [6534] = 6534,
  [6535] = 6468,
  [6536] = 6486,
  [6537] = 6473,
  [6538] = 6462,
  [6539] = 6466,
  [6540] = 6470,
  [6541] = 6470,
  [6542] = 6461,
  [6543] = 6499,
  [6544] = 6544,
  [6545] = 6456,
  [6546] = 6456,
  [6547] = 6547,
  [6548] = 6461,
  [6549] = 6502,
  [6550] = 6502,
  [6551] = 6483,
  [6552] = 6470,
  [6553] = 6457,
  [6554] = 6554,
  [6555] = 6457,
  [6556] = 6556,
  [6557] = 6483,
  [6558] = 6499,
  [6559] = 6486,
  [6560] = 6473,
  [6561] = 6456,
  [6562] = 6491,
  [6563] = 6476,
  [6564] = 6468,
  [6565] = 6565,
  [6566] = 6456,
  [6567] = 6461,
  [6568] = 6458,
  [6569] = 6457,
  [6570] = 6457,
  [6571] = 6486,
  [6572] = 6470,
  [6573] = 6461,
  [6574] = 6497,
  [6575] = 6575,
  [6576] = 6497,
  [6577] = 6577,
  [6578] = 6473,
  [6579] = 6556,
  [6580] = 6580,
  [6581] = 6469,
  [6582] = 6462,
  [6583] = 5622,
  [6584] = 6475,
  [6585] = 6458,
  [6586] = 6499,
  [6587] = 6491,
  [6588] = 6486,
  [6589] = 6458,
  [6590] = 6462,
  [6591] = 6475,
  [6592] = 6502,
  [6593] = 6474,
  [6594] = 6462,
  [6595] = 6556,
  [6596] = 6502,
  [6597] = 6499,
  [6598] = 6466,
  [6599] = 6475,
  [6600] = 6474,
  [6601] = 6601,
  [6602] = 6460,
  [6603] = 6469,
  [6604] = 6466,
  [6605] = 6605,
  [6606] = 6455,
  [6607] = 6457,
  [6608] = 6556,
  [6609] = 6497,
  [6610] = 6466,
  [6611] = 6469,
  [6612] = 6497,
  [6613] = 6613,
  [6614] = 6455,
  [6615] = 6466,
  [6616] = 6497,
  [6617] = 6556,
  [6618] = 6466,
  [6619] = 6619,
  [6620] = 6468,
  [6621] = 6486,
  [6622] = 6462,
  [6623] = 6460,
  [6624] = 6458,
  [6625] = 6461,
  [6626] = 6470,
  [6627] = 6457,
  [6628] = 6556,
  [6629] = 6468,
  [6630] = 6456,
  [6631] = 6491,
  [6632] = 6468,
  [6633] = 6461,
  [6634] = 6634,
  [6635] = 6635,
  [6636] = 6497,
  [6637] = 6469,
  [6638] = 6497,
  [6639] = 6455,
  [6640] = 6456,
  [6641] = 6474,
  [6642] = 6475,
  [6643] = 6486,
  [6644] = 6476,
  [6645] = 6491,
  [6646] = 6466,
  [6647] = 6458,
  [6648] = 6461,
  [6649] = 6470,
  [6650] = 6466,
  [6651] = 6457,
  [6652] = 6652,
  [6653] = 6653,
  [6654] = 6497,
  [6655] = 6655,
  [6656] = 6656,
  [6657] = 6458,
  [6658] = 6502,
  [6659] = 6497,
  [6660] = 6476,
  [6661] = 6466,
  [6662] = 6461,
  [6663] = 6499,
  [6664] = 6664,
  [6665] = 6502,
  [6666] = 6502,
  [6667] = 6499,
  [6668] = 6475,
  [6669] = 6474,
  [6670] = 6470,
  [6671] = 6469,
  [6672] = 6475,
  [6673] = 6461,
  [6674] = 6455,
  [6675] = 6675,
  [6676] = 6476,
  [6677] = 6486,
  [6678] = 6473,
  [6679] = 6468,
  [6680] = 6556,
  [6681] = 6681,
  [6682] = 6502,
  [6683] = 6462,
  [6684] = 6470,
  [6685] = 6499,
  [6686] = 6462,
  [6687] = 6499,
  [6688] = 6466,
  [6689] = 6689,
  [6690] = 6486,
  [6691] = 6474,
  [6692] = 6473,
  [6693] = 6693,
  [6694] = 6455,
  [6695] = 6456,
  [6696] = 6696,
  [6697] = 6456,
  [6698] = 6486,
  [6699] = 6458,
  [6700] = 6497,
  [6701] = 6456,
  [6702] = 6556,
  [6703] = 6461,
  [6704] = 6476,
  [6705] = 6461,
  [6706] = 6457,
  [6707] = 6470,
  [6708] = 6556,
  [6709] = 6466,
  [6710] = 6710,
  [6711] = 6462,
  [6712] = 6712,
  [6713] = 6457,
  [6714] = 6469,
  [6715] = 245,
  [6716] = 6716,
  [6717] = 6717,
  [6718] = 6718,
  [6719] = 6719,
  [6720] = 6720,
  [6721] = 6721,
  [6722] = 6722,
  [6723] = 6723,
  [6724] = 6724,
  [6725] = 6725,
  [6726] = 6726,
  [6727] = 6727,
  [6728] = 6728,
  [6729] = 6729,
  [6730] = 6730,
  [6731] = 6731,
  [6732] = 6732,
  [6733] = 6733,
  [6734] = 6734,
  [6735] = 6717,
  [6736] = 6736,
  [6737] = 6737,
  [6738] = 6738,
  [6739] = 6730,
  [6740] = 6740,
  [6741] = 6733,
  [6742] = 6742,
  [6743] = 6743,
  [6744] = 6720,
  [6745] = 6745,
  [6746] = 6746,
  [6747] = 6733,
  [6748] = 6736,
  [6749] = 6749,
  [6750] = 6750,
  [6751] = 6751,
  [6752] = 6752,
  [6753] = 6753,
  [6754] = 6754,
  [6755] = 6755,
  [6756] = 6756,
  [6757] = 6757,
  [6758] = 6740,
  [6759] = 6759,
  [6760] = 6760,
  [6761] = 6761,
  [6762] = 6762,
  [6763] = 6743,
  [6764] = 6764,
  [6765] = 6765,
  [6766] = 6766,
  [6767] = 6767,
  [6768] = 6768,
  [6769] = 248,
  [6770] = 6770,
  [6771] = 6771,
  [6772] = 6772,
  [6773] = 6749,
  [6774] = 6774,
  [6775] = 6751,
  [6776] = 6776,
  [6777] = 6770,
  [6778] = 6752,
  [6779] = 6738,
  [6780] = 6780,
  [6781] = 6781,
  [6782] = 6766,
  [6783] = 6765,
  [6784] = 6764,
  [6785] = 6785,
  [6786] = 6786,
  [6787] = 6787,
  [6788] = 6788,
  [6789] = 6736,
  [6790] = 6790,
  [6791] = 6791,
  [6792] = 6753,
  [6793] = 6793,
  [6794] = 6791,
  [6795] = 6795,
  [6796] = 6793,
  [6797] = 6757,
  [6798] = 6798,
  [6799] = 6786,
  [6800] = 6785,
  [6801] = 6787,
  [6802] = 6764,
  [6803] = 6765,
  [6804] = 6766,
  [6805] = 6805,
  [6806] = 6770,
  [6807] = 6753,
  [6808] = 6752,
  [6809] = 6809,
  [6810] = 6751,
  [6811] = 6776,
  [6812] = 6812,
  [6813] = 6813,
  [6814] = 6814,
  [6815] = 6755,
  [6816] = 6760,
  [6817] = 6740,
  [6818] = 6738,
  [6819] = 6819,
  [6820] = 6757,
  [6821] = 6821,
  [6822] = 6793,
  [6823] = 6823,
  [6824] = 6720,
  [6825] = 6749,
  [6826] = 6729,
  [6827] = 6772,
  [6828] = 6828,
  [6829] = 6740,
  [6830] = 6830,
  [6831] = 6722,
  [6832] = 6722,
  [6833] = 6749,
  [6834] = 6722,
  [6835] = 6722,
  [6836] = 6836,
  [6837] = 6722,
  [6838] = 6838,
  [6839] = 6839,
  [6840] = 6840,
  [6841] = 6841,
  [6842] = 6842,
  [6843] = 6767,
  [6844] = 6819,
  [6845] = 6845,
  [6846] = 6717,
  [6847] = 6722,
  [6848] = 6764,
  [6849] = 6765,
  [6850] = 6766,
  [6851] = 6851,
  [6852] = 6730,
  [6853] = 6743,
  [6854] = 6854,
  [6855] = 6819,
  [6856] = 6856,
  [6857] = 6857,
  [6858] = 6733,
  [6859] = 6722,
  [6860] = 6860,
  [6861] = 6740,
  [6862] = 6862,
  [6863] = 6760,
  [6864] = 6738,
  [6865] = 6755,
  [6866] = 6736,
  [6867] = 6867,
  [6868] = 6738,
  [6869] = 6736,
  [6870] = 6870,
  [6871] = 6819,
  [6872] = 6740,
  [6873] = 6873,
  [6874] = 6743,
  [6875] = 6767,
  [6876] = 6722,
  [6877] = 6733,
  [6878] = 6768,
  [6879] = 6771,
  [6880] = 6772,
  [6881] = 6749,
  [6882] = 6882,
  [6883] = 6743,
  [6884] = 6767,
  [6885] = 6885,
  [6886] = 6751,
  [6887] = 6752,
  [6888] = 6753,
  [6889] = 6780,
  [6890] = 6819,
  [6891] = 6787,
  [6892] = 6740,
  [6893] = 6788,
  [6894] = 6894,
  [6895] = 6895,
  [6896] = 6896,
  [6897] = 6768,
  [6898] = 6898,
  [6899] = 6791,
  [6900] = 6722,
  [6901] = 6717,
  [6902] = 6795,
  [6903] = 6249,
  [6904] = 6798,
  [6905] = 6786,
  [6906] = 6785,
  [6907] = 6749,
  [6908] = 6764,
  [6909] = 6765,
  [6910] = 6766,
  [6911] = 6770,
  [6912] = 6809,
  [6913] = 6776,
  [6914] = 6812,
  [6915] = 6814,
  [6916] = 6755,
  [6917] = 6764,
  [6918] = 6765,
  [6919] = 6766,
  [6920] = 6760,
  [6921] = 6757,
  [6922] = 6793,
  [6923] = 6819,
  [6924] = 6720,
  [6925] = 6729,
  [6926] = 6729,
  [6927] = 6720,
  [6928] = 6928,
  [6929] = 6929,
  [6930] = 6722,
  [6931] = 6717,
  [6932] = 6932,
  [6933] = 6793,
  [6934] = 6757,
  [6935] = 6814,
  [6936] = 6760,
  [6937] = 6740,
  [6938] = 2344,
  [6939] = 6788,
  [6940] = 6755,
  [6941] = 6730,
  [6942] = 6749,
  [6943] = 6764,
  [6944] = 6765,
  [6945] = 6766,
  [6946] = 6771,
  [6947] = 6812,
  [6948] = 6776,
  [6949] = 6949,
  [6950] = 6776,
  [6951] = 6770,
  [6952] = 6952,
  [6953] = 6733,
  [6954] = 6954,
  [6955] = 6738,
  [6956] = 6766,
  [6957] = 6765,
  [6958] = 6764,
  [6959] = 6785,
  [6960] = 6786,
  [6961] = 6740,
  [6962] = 6809,
  [6963] = 6740,
  [6964] = 6798,
  [6965] = 6749,
  [6966] = 6764,
  [6967] = 6765,
  [6968] = 6766,
  [6969] = 6969,
  [6970] = 6770,
  [6971] = 6743,
  [6972] = 6767,
  [6973] = 6768,
  [6974] = 6771,
  [6975] = 6772,
  [6976] = 6791,
  [6977] = 6749,
  [6978] = 6751,
  [6979] = 6772,
  [6980] = 6752,
  [6981] = 6787,
  [6982] = 6753,
  [6983] = 6740,
  [6984] = 6780,
  [6985] = 6787,
  [6986] = 6736,
  [6987] = 6749,
  [6988] = 6764,
  [6989] = 6765,
  [6990] = 6766,
  [6991] = 6791,
  [6992] = 6795,
  [6993] = 6753,
  [6994] = 6752,
  [6995] = 6751,
  [6996] = 6996,
  [6997] = 6798,
  [6998] = 6749,
  [6999] = 6772,
  [7000] = 6786,
  [7001] = 6785,
  [7002] = 6771,
  [7003] = 6764,
  [7004] = 6765,
  [7005] = 6740,
  [7006] = 6766,
  [7007] = 6770,
  [7008] = 6776,
  [7009] = 6749,
  [7010] = 6764,
  [7011] = 6765,
  [7012] = 6766,
  [7013] = 6749,
  [7014] = 6755,
  [7015] = 6760,
  [7016] = 6757,
  [7017] = 6767,
  [7018] = 6743,
  [7019] = 6793,
  [7020] = 6720,
  [7021] = 7021,
  [7022] = 6729,
  [7023] = 7023,
  [7024] = 7024,
  [7025] = 6805,
  [7026] = 6740,
  [7027] = 7027,
  [7028] = 6740,
  [7029] = 6749,
  [7030] = 6764,
  [7031] = 6765,
  [7032] = 6766,
  [7033] = 7033,
  [7034] = 7034,
  [7035] = 6787,
  [7036] = 6774,
  [7037] = 6791,
  [7038] = 6738,
  [7039] = 6766,
  [7040] = 6765,
  [7041] = 6809,
  [7042] = 6764,
  [7043] = 6785,
  [7044] = 6736,
  [7045] = 6786,
  [7046] = 6740,
  [7047] = 7047,
  [7048] = 6733,
  [7049] = 6749,
  [7050] = 6764,
  [7051] = 6765,
  [7052] = 6766,
  [7053] = 7053,
  [7054] = 7054,
  [7055] = 6798,
  [7056] = 7056,
  [7057] = 6795,
  [7058] = 6733,
  [7059] = 6736,
  [7060] = 7060,
  [7061] = 6738,
  [7062] = 7062,
  [7063] = 7063,
  [7064] = 6740,
  [7065] = 6743,
  [7066] = 6740,
  [7067] = 6767,
  [7068] = 6771,
  [7069] = 6749,
  [7070] = 6764,
  [7071] = 6765,
  [7072] = 6766,
  [7073] = 6740,
  [7074] = 6772,
  [7075] = 7075,
  [7076] = 6749,
  [7077] = 6751,
  [7078] = 6740,
  [7079] = 6751,
  [7080] = 6752,
  [7081] = 6753,
  [7082] = 6740,
  [7083] = 6752,
  [7084] = 6740,
  [7085] = 6819,
  [7086] = 6729,
  [7087] = 7087,
  [7088] = 6787,
  [7089] = 6780,
  [7090] = 6720,
  [7091] = 6753,
  [7092] = 6791,
  [7093] = 6798,
  [7094] = 6786,
  [7095] = 6785,
  [7096] = 6764,
  [7097] = 6793,
  [7098] = 6717,
  [7099] = 6765,
  [7100] = 6757,
  [7101] = 6766,
  [7102] = 6770,
  [7103] = 6722,
  [7104] = 6776,
  [7105] = 6760,
  [7106] = 6755,
  [7107] = 7107,
  [7108] = 7108,
  [7109] = 7109,
  [7110] = 7110,
  [7111] = 7111,
  [7112] = 7112,
  [7113] = 2463,
  [7114] = 7114,
  [7115] = 2389,
  [7116] = 2470,
  [7117] = 2474,
  [7118] = 2445,
  [7119] = 2446,
  [7120] = 2393,
  [7121] = 7121,
  [7122] = 7121,
  [7123] = 7121,
  [7124] = 7124,
  [7125] = 7121,
  [7126] = 7121,
  [7127] = 7121,
  [7128] = 7128,
  [7129] = 7121,
  [7130] = 7130,
  [7131] = 7121,
  [7132] = 7132,
  [7133] = 7121,
  [7134] = 7121,
  [7135] = 7135,
  [7136] = 7136,
  [7137] = 7137,
  [7138] = 7138,
  [7139] = 7121,
  [7140] = 2394,
  [7141] = 7121,
  [7142] = 7138,
  [7143] = 7143,
  [7144] = 7121,
  [7145] = 2447,
  [7146] = 2461,
  [7147] = 7121,
  [7148] = 7112,
  [7149] = 7111,
  [7150] = 7121,
  [7151] = 7151,
  [7152] = 7152,
  [7153] = 7121,
  [7154] = 7109,
  [7155] = 7155,
  [7156] = 7114,
  [7157] = 7157,
  [7158] = 7132,
  [7159] = 7159,
  [7160] = 7114,
  [7161] = 7136,
  [7162] = 7159,
  [7163] = 7163,
  [7164] = 7164,
  [7165] = 7165,
  [7166] = 7111,
  [7167] = 7109,
  [7168] = 7168,
  [7169] = 7169,
  [7170] = 7132,
  [7171] = 7107,
  [7172] = 7172,
  [7173] = 7107,
  [7174] = 7172,
  [7175] = 7159,
  [7176] = 7176,
  [7177] = 7163,
  [7178] = 7165,
  [7179] = 7109,
  [7180] = 7109,
  [7181] = 7121,
  [7182] = 7182,
  [7183] = 7183,
  [7184] = 7182,
  [7185] = 7185,
  [7186] = 7176,
  [7187] = 7165,
  [7188] = 7135,
  [7189] = 7189,
  [7190] = 7190,
  [7191] = 7191,
  [7192] = 7192,
  [7193] = 7124,
  [7194] = 7194,
  [7195] = 7172,
  [7196] = 7107,
  [7197] = 7197,
  [7198] = 7198,
  [7199] = 7128,
  [7200] = 7200,
  [7201] = 7169,
  [7202] = 7169,
  [7203] = 7194,
  [7204] = 7204,
  [7205] = 7189,
  [7206] = 7206,
  [7207] = 7207,
  [7208] = 7182,
  [7209] = 7136,
  [7210] = 7132,
  [7211] = 7190,
  [7212] = 7165,
  [7213] = 7213,
  [7214] = 7110,
  [7215] = 7215,
  [7216] = 7176,
  [7217] = 7165,
  [7218] = 7165,
  [7219] = 7172,
  [7220] = 7191,
  [7221] = 7132,
  [7222] = 7107,
  [7223] = 7107,
  [7224] = 7172,
  [7225] = 7165,
  [7226] = 7226,
  [7227] = 7135,
  [7228] = 7137,
  [7229] = 7229,
  [7230] = 7109,
  [7231] = 7190,
  [7232] = 7232,
  [7233] = 7110,
  [7234] = 7159,
  [7235] = 7226,
  [7236] = 7169,
  [7237] = 7229,
  [7238] = 7194,
  [7239] = 7132,
  [7240] = 7136,
  [7241] = 7213,
  [7242] = 7109,
  [7243] = 7137,
  [7244] = 7114,
  [7245] = 7200,
  [7246] = 7136,
  [7247] = 7132,
  [7248] = 7110,
  [7249] = 7249,
  [7250] = 7213,
  [7251] = 7189,
  [7252] = 7252,
  [7253] = 7110,
  [7254] = 7249,
  [7255] = 7197,
  [7256] = 7165,
  [7257] = 7114,
  [7258] = 7258,
  [7259] = 7169,
  [7260] = 7260,
  [7261] = 7261,
  [7262] = 7169,
  [7263] = 7182,
  [7264] = 7264,
  [7265] = 7176,
  [7266] = 7176,
  [7267] = 7194,
  [7268] = 7128,
  [7269] = 7172,
  [7270] = 7107,
  [7271] = 7108,
  [7272] = 7108,
  [7273] = 7107,
  [7274] = 7124,
  [7275] = 7124,
  [7276] = 7258,
  [7277] = 7172,
  [7278] = 7213,
  [7279] = 7172,
  [7280] = 7191,
  [7281] = 7189,
  [7282] = 7124,
  [7283] = 7152,
  [7284] = 7249,
  [7285] = 7110,
  [7286] = 7182,
  [7287] = 7107,
  [7288] = 7138,
  [7289] = 7289,
  [7290] = 7290,
  [7291] = 7206,
  [7292] = 7292,
  [7293] = 7191,
  [7294] = 7294,
  [7295] = 7295,
  [7296] = 7296,
  [7297] = 7132,
  [7298] = 7176,
  [7299] = 7136,
  [7300] = 7111,
  [7301] = 7136,
  [7302] = 7200,
  [7303] = 7124,
  [7304] = 7137,
  [7305] = 7305,
  [7306] = 7152,
  [7307] = 7132,
  [7308] = 7138,
  [7309] = 7309,
  [7310] = 7159,
  [7311] = 7213,
  [7312] = 7312,
  [7313] = 7152,
  [7314] = 7226,
  [7315] = 7206,
  [7316] = 7229,
  [7317] = 7109,
  [7318] = 7191,
  [7319] = 7182,
  [7320] = 7320,
  [7321] = 7182,
  [7322] = 7322,
  [7323] = 7182,
  [7324] = 7124,
  [7325] = 7325,
  [7326] = 7213,
  [7327] = 7165,
  [7328] = 7135,
  [7329] = 7152,
  [7330] = 7189,
  [7331] = 7138,
  [7332] = 7190,
  [7333] = 7114,
  [7334] = 7137,
  [7335] = 7194,
  [7336] = 7169,
  [7337] = 7136,
  [7338] = 7226,
  [7339] = 7206,
  [7340] = 7107,
  [7341] = 7172,
  [7342] = 7197,
  [7343] = 7176,
  [7344] = 7191,
  [7345] = 7215,
  [7346] = 7185,
  [7347] = 7347,
  [7348] = 7132,
  [7349] = 7349,
  [7350] = 7169,
  [7351] = 7182,
  [7352] = 7352,
  [7353] = 7194,
  [7354] = 7165,
  [7355] = 7189,
  [7356] = 7356,
  [7357] = 7357,
  [7358] = 7189,
  [7359] = 7128,
  [7360] = 7182,
  [7361] = 7194,
  [7362] = 7124,
  [7363] = 7110,
  [7364] = 7109,
  [7365] = 7182,
  [7366] = 7109,
  [7367] = 7169,
  [7368] = 7152,
  [7369] = 7182,
  [7370] = 7197,
  [7371] = 7112,
  [7372] = 7229,
  [7373] = 7138,
  [7374] = 7215,
  [7375] = 7176,
  [7376] = 7172,
  [7377] = 7190,
  [7378] = 7165,
  [7379] = 7107,
  [7380] = 7226,
  [7381] = 7381,
  [7382] = 7206,
  [7383] = 7383,
  [7384] = 7182,
  [7385] = 7165,
  [7386] = 7109,
  [7387] = 7191,
  [7388] = 7185,
  [7389] = 7229,
  [7390] = 7182,
  [7391] = 7213,
  [7392] = 7206,
  [7393] = 7135,
  [7394] = 7128,
  [7395] = 7124,
  [7396] = 7108,
  [7397] = 7109,
  [7398] = 7176,
  [7399] = 7258,
  [7400] = 7109,
  [7401] = 7215,
  [7402] = 7402,
  [7403] = 7159,
  [7404] = 7152,
  [7405] = 7111,
  [7406] = 7108,
  [7407] = 7114,
  [7408] = 7182,
  [7409] = 7112,
  [7410] = 7172,
  [7411] = 7411,
  [7412] = 7412,
  [7413] = 7138,
  [7414] = 7200,
  [7415] = 7136,
  [7416] = 7107,
  [7417] = 7182,
  [7418] = 7418,
  [7419] = 7185,
  [7420] = 7138,
  [7421] = 7421,
  [7422] = 7109,
  [7423] = 7112,
  [7424] = 7137,
  [7425] = 7111,
  [7426] = 7132,
  [7427] = 7176,
  [7428] = 7428,
  [7429] = 7152,
  [7430] = 7109,
  [7431] = 7110,
  [7432] = 7249,
  [7433] = 7172,
  [7434] = 7191,
  [7435] = 7108,
  [7436] = 7109,
  [7437] = 7226,
  [7438] = 7185,
  [7439] = 7132,
  [7440] = 7258,
  [7441] = 7206,
  [7442] = 7124,
  [7443] = 7128,
  [7444] = 7136,
  [7445] = 7135,
  [7446] = 7446,
  [7447] = 7447,
  [7448] = 7448,
  [7449] = 7449,
  [7450] = 7450,
  [7451] = 7451,
  [7452] = 7452,
  [7453] = 7453,
  [7454] = 7453,
  [7455] = 7455,
  [7456] = 7456,
  [7457] = 7457,
  [7458] = 7458,
  [7459] = 7459,
  [7460] = 7460,
  [7461] = 7461,
  [7462] = 7462,
  [7463] = 7463,
  [7464] = 7464,
  [7465] = 7465,
  [7466] = 7466,
  [7467] = 7467,
  [7468] = 7468,
  [7469] = 7465,
  [7470] = 7470,
  [7471] = 7471,
  [7472] = 7472,
  [7473] = 7473,
  [7474] = 7474,
  [7475] = 7475,
  [7476] = 7476,
  [7477] = 7477,
  [7478] = 7478,
  [7479] = 7479,
  [7480] = 7480,
  [7481] = 7481,
  [7482] = 7482,
  [7483] = 7483,
  [7484] = 7484,
  [7485] = 7485,
  [7486] = 6418,
  [7487] = 7487,
  [7488] = 7488,
  [7489] = 7489,
  [7490] = 7488,
  [7491] = 7481,
  [7492] = 7492,
  [7493] = 7493,
  [7494] = 7471,
  [7495] = 7495,
  [7496] = 7496,
  [7497] = 7497,
  [7498] = 7498,
  [7499] = 7485,
  [7500] = 7500,
  [7501] = 7446,
  [7502] = 7502,
  [7503] = 7503,
  [7504] = 7504,
  [7505] = 5405,
  [7506] = 7458,
  [7507] = 7507,
  [7508] = 7508,
  [7509] = 7509,
  [7510] = 7510,
  [7511] = 7511,
  [7512] = 7512,
  [7513] = 7513,
  [7514] = 7514,
  [7515] = 7515,
  [7516] = 7489,
  [7517] = 7517,
  [7518] = 7465,
  [7519] = 7519,
  [7520] = 7520,
  [7521] = 7495,
  [7522] = 7522,
  [7523] = 7467,
  [7524] = 7524,
  [7525] = 7525,
  [7526] = 7526,
  [7527] = 7525,
  [7528] = 7526,
  [7529] = 7529,
  [7530] = 7492,
  [7531] = 7498,
  [7532] = 7532,
  [7533] = 7484,
  [7534] = 7534,
  [7535] = 7477,
  [7536] = 7520,
  [7537] = 7537,
  [7538] = 7538,
  [7539] = 7539,
  [7540] = 7540,
  [7541] = 7541,
  [7542] = 7542,
  [7543] = 7543,
  [7544] = 7544,
  [7545] = 7508,
  [7546] = 7475,
  [7547] = 7487,
  [7548] = 7548,
  [7549] = 7549,
  [7550] = 7550,
  [7551] = 7476,
  [7552] = 7552,
  [7553] = 7553,
  [7554] = 7554,
  [7555] = 7555,
  [7556] = 7556,
  [7557] = 7498,
  [7558] = 7558,
  [7559] = 7510,
  [7560] = 7560,
  [7561] = 7485,
  [7562] = 7562,
  [7563] = 7563,
  [7564] = 7466,
  [7565] = 7565,
  [7566] = 7566,
  [7567] = 7567,
  [7568] = 7568,
  [7569] = 7569,
  [7570] = 7570,
  [7571] = 7571,
  [7572] = 7475,
  [7573] = 7476,
  [7574] = 7477,
  [7575] = 7548,
  [7576] = 7576,
  [7577] = 7465,
  [7578] = 7488,
  [7579] = 7579,
  [7580] = 7580,
  [7581] = 7483,
  [7582] = 7553,
  [7583] = 7558,
  [7584] = 7584,
  [7585] = 7511,
  [7586] = 7485,
  [7587] = 7502,
  [7588] = 7571,
  [7589] = 7589,
  [7590] = 7576,
  [7591] = 7591,
  [7592] = 7515,
  [7593] = 7493,
  [7594] = 7594,
  [7595] = 7595,
  [7596] = 7554,
  [7597] = 7476,
  [7598] = 7475,
  [7599] = 7599,
  [7600] = 7500,
  [7601] = 7446,
  [7602] = 7503,
  [7603] = 7480,
  [7604] = 7604,
  [7605] = 7508,
  [7606] = 7606,
  [7607] = 7534,
  [7608] = 7608,
  [7609] = 7526,
  [7610] = 7610,
  [7611] = 7611,
  [7612] = 7612,
  [7613] = 7556,
  [7614] = 7520,
  [7615] = 7615,
  [7616] = 7591,
  [7617] = 7553,
  [7618] = 7618,
  [7619] = 7619,
  [7620] = 7543,
  [7621] = 7556,
  [7622] = 7622,
  [7623] = 7515,
  [7624] = 7591,
  [7625] = 7625,
  [7626] = 7626,
  [7627] = 7514,
  [7628] = 7628,
  [7629] = 7629,
  [7630] = 7630,
  [7631] = 7629,
  [7632] = 7485,
  [7633] = 7628,
  [7634] = 7634,
  [7635] = 7466,
  [7636] = 7465,
  [7637] = 7637,
  [7638] = 7626,
  [7639] = 7556,
  [7640] = 7487,
  [7641] = 7509,
  [7642] = 7477,
  [7643] = 7643,
  [7644] = 7495,
  [7645] = 7618,
  [7646] = 7618,
  [7647] = 7534,
  [7648] = 7483,
  [7649] = 7649,
  [7650] = 7650,
  [7651] = 7508,
  [7652] = 7611,
  [7653] = 7653,
  [7654] = 7654,
  [7655] = 7554,
  [7656] = 7515,
  [7657] = 7493,
  [7658] = 7608,
  [7659] = 7659,
  [7660] = 7606,
  [7661] = 7661,
  [7662] = 7662,
  [7663] = 7500,
  [7664] = 7446,
  [7665] = 7552,
  [7666] = 7526,
  [7667] = 7628,
  [7668] = 7511,
  [7669] = 7669,
  [7670] = 7670,
  [7671] = 7579,
  [7672] = 7672,
  [7673] = 7543,
  [7674] = 7674,
  [7675] = 7599,
  [7676] = 7589,
  [7677] = 7498,
  [7678] = 7510,
  [7679] = 7563,
  [7680] = 7556,
  [7681] = 7584,
  [7682] = 7465,
  [7683] = 7683,
  [7684] = 7684,
  [7685] = 7484,
  [7686] = 7576,
  [7687] = 7466,
  [7688] = 7688,
  [7689] = 7571,
  [7690] = 7626,
  [7691] = 7558,
  [7692] = 7692,
  [7693] = 7477,
  [7694] = 7553,
  [7695] = 7567,
  [7696] = 7696,
  [7697] = 7697,
  [7698] = 7484,
  [7699] = 7483,
  [7700] = 7566,
  [7701] = 7548,
  [7702] = 7563,
  [7703] = 7500,
  [7704] = 7566,
  [7705] = 7485,
  [7706] = 7541,
  [7707] = 7510,
  [7708] = 7493,
  [7709] = 7498,
  [7710] = 7710,
  [7711] = 7711,
  [7712] = 7503,
  [7713] = 7552,
  [7714] = 7500,
  [7715] = 7446,
  [7716] = 7716,
  [7717] = 7526,
  [7718] = 7549,
  [7719] = 7719,
  [7720] = 7544,
  [7721] = 7540,
  [7722] = 7539,
  [7723] = 7567,
  [7724] = 7485,
  [7725] = 7465,
  [7726] = 7612,
  [7727] = 7495,
  [7728] = 7495,
  [7729] = 7729,
  [7730] = 7730,
  [7731] = 7731,
  [7732] = 7466,
  [7733] = 7509,
  [7734] = 7734,
  [7735] = 7508,
  [7736] = 7517,
  [7737] = 7579,
  [7738] = 7738,
  [7739] = 7498,
  [7740] = 5419,
  [7741] = 7483,
  [7742] = 7742,
  [7743] = 7511,
  [7744] = 7514,
  [7745] = 7591,
  [7746] = 7510,
  [7747] = 7747,
  [7748] = 7748,
  [7749] = 7749,
  [7750] = 7750,
  [7751] = 7751,
  [7752] = 7752,
  [7753] = 7500,
  [7754] = 7446,
  [7755] = 7515,
  [7756] = 7756,
  [7757] = 7554,
  [7758] = 7758,
  [7759] = 7504,
  [7760] = 7503,
  [7761] = 7466,
  [7762] = 7762,
  [7763] = 7502,
  [7764] = 7628,
  [7765] = 7483,
  [7766] = 7485,
  [7767] = 5468,
  [7768] = 7446,
  [7769] = 7769,
  [7770] = 7770,
  [7771] = 7508,
  [7772] = 7474,
  [7773] = 7466,
  [7774] = 7774,
  [7775] = 7775,
  [7776] = 7483,
  [7777] = 7482,
  [7778] = 7446,
  [7779] = 7511,
  [7780] = 7492,
  [7781] = 7479,
  [7782] = 7466,
  [7783] = 7483,
  [7784] = 7446,
  [7785] = 7485,
  [7786] = 7483,
  [7787] = 7446,
  [7788] = 7515,
  [7789] = 7483,
  [7790] = 7446,
  [7791] = 7483,
  [7792] = 7446,
  [7793] = 7483,
  [7794] = 7446,
  [7795] = 7483,
  [7796] = 7446,
  [7797] = 7483,
  [7798] = 7446,
  [7799] = 7483,
  [7800] = 7446,
  [7801] = 7514,
  [7802] = 7473,
  [7803] = 7472,
  [7804] = 7804,
  [7805] = 7515,
  [7806] = 7806,
  [7807] = 7807,
  [7808] = 7808,
  [7809] = 7629,
  [7810] = 7488,
  [7811] = 7811,
  [7812] = 7502,
  [7813] = 7813,
  [7814] = 7453,
  [7815] = 5481,
  [7816] = 7455,
  [7817] = 7553,
  [7818] = 7456,
  [7819] = 7508,
  [7820] = 7458,
  [7821] = 7459,
  [7822] = 7460,
  [7823] = 7461,
  [7824] = 7487,
  [7825] = 7462,
  [7826] = 7463,
  [7827] = 7465,
  [7828] = 7828,
  [7829] = 7466,
  [7830] = 7830,
  [7831] = 7467,
  [7832] = 7485,
  [7833] = 7465,
  [7834] = 7511,
  [7835] = 7835,
  [7836] = 7836,
  [7837] = 7556,
  [7838] = 7838,
  [7839] = 7472,
  [7840] = 7629,
  [7841] = 7473,
  [7842] = 7474,
  [7843] = 7511,
  [7844] = 7479,
  [7845] = 7484,
  [7846] = 7482,
  [7847] = 7484,
  [7848] = 7848,
  [7849] = 7503,
  [7850] = 7450,
  [7851] = 7515,
  [7852] = 7625,
  [7853] = 7579,
  [7854] = 7854,
  [7855] = 7487,
  [7856] = 7489,
  [7857] = 7498,
  [7858] = 7858,
  [7859] = 7488,
  [7860] = 7481,
  [7861] = 7861,
  [7862] = 7552,
  [7863] = 7863,
  [7864] = 7836,
  [7865] = 7865,
  [7866] = 7492,
  [7867] = 7534,
  [7868] = 7868,
  [7869] = 7662,
  [7870] = 7467,
  [7871] = 7465,
  [7872] = 7458,
  [7873] = 7835,
  [7874] = 7643,
  [7875] = 7618,
  [7876] = 7552,
  [7877] = 7543,
  [7878] = 7878,
  [7879] = 7556,
  [7880] = 7485,
  [7881] = 7502,
  [7882] = 7510,
  [7883] = 7503,
  [7884] = 7504,
  [7885] = 7446,
  [7886] = 7500,
  [7887] = 7887,
  [7888] = 7567,
  [7889] = 7889,
  [7890] = 7549,
  [7891] = 7566,
  [7892] = 7563,
  [7893] = 7510,
  [7894] = 7498,
  [7895] = 7514,
  [7896] = 7453,
  [7897] = 7897,
  [7898] = 7898,
  [7899] = 7517,
  [7900] = 7504,
  [7901] = 7519,
  [7902] = 7509,
  [7903] = 7576,
  [7904] = 7571,
  [7905] = 7495,
  [7906] = 7628,
  [7907] = 7629,
  [7908] = 7558,
  [7909] = 7485,
  [7910] = 7553,
  [7911] = 7612,
  [7912] = 7467,
  [7913] = 7544,
  [7914] = 7465,
  [7915] = 7549,
  [7916] = 7447,
  [7917] = 7917,
  [7918] = 7552,
  [7919] = 7539,
  [7920] = 7571,
  [7921] = 7921,
  [7922] = 7495,
  [7923] = 7498,
  [7924] = 7611,
  [7925] = 7509,
  [7926] = 7510,
  [7927] = 7540,
  [7928] = 7465,
  [7929] = 7563,
  [7930] = 7566,
  [7931] = 7567,
  [7932] = 7493,
  [7933] = 7503,
  [7934] = 7502,
  [7935] = 7485,
  [7936] = 7488,
  [7937] = 7579,
  [7938] = 7938,
  [7939] = 7465,
  [7940] = 7830,
  [7941] = 7608,
  [7942] = 7511,
  [7943] = 7606,
  [7944] = 7484,
  [7945] = 7945,
  [7946] = 7828,
  [7947] = 7591,
  [7948] = 7948,
  [7949] = 7515,
  [7950] = 7618,
  [7951] = 7951,
  [7952] = 7554,
  [7953] = 7476,
  [7954] = 7475,
  [7955] = 7955,
  [7956] = 7553,
  [7957] = 7485,
  [7958] = 7558,
  [7959] = 7571,
  [7960] = 7576,
  [7961] = 7611,
  [7962] = 7493,
  [7963] = 7584,
  [7964] = 7964,
  [7965] = 7515,
  [7966] = 7966,
  [7967] = 7480,
  [7968] = 7968,
  [7969] = 7508,
  [7970] = 7485,
  [7971] = 7534,
  [7972] = 7465,
  [7973] = 7503,
  [7974] = 7589,
  [7975] = 7580,
  [7976] = 7599,
  [7977] = 7977,
  [7978] = 7556,
  [7979] = 7979,
  [7980] = 7980,
  [7981] = 7463,
  [7982] = 7982,
  [7983] = 7495,
  [7984] = 7599,
  [7985] = 7462,
  [7986] = 7461,
  [7987] = 7804,
  [7988] = 7807,
  [7989] = 7808,
  [7990] = 7811,
  [7991] = 7460,
  [7992] = 7813,
  [7993] = 7606,
  [7994] = 7553,
  [7995] = 7459,
  [7996] = 7608,
  [7997] = 7626,
  [7998] = 7828,
  [7999] = 7484,
  [8000] = 7830,
  [8001] = 8001,
  [8002] = 7628,
  [8003] = 7611,
  [8004] = 7835,
  [8005] = 7836,
  [8006] = 7629,
  [8007] = 7515,
  [8008] = 7625,
  [8009] = 8009,
  [8010] = 7498,
  [8011] = 7510,
  [8012] = 7662,
  [8013] = 7643,
  [8014] = 7584,
  [8015] = 8015,
  [8016] = 7804,
  [8017] = 7807,
  [8018] = 7811,
  [8019] = 7611,
  [8020] = 7813,
  [8021] = 7599,
  [8022] = 7618,
  [8023] = 7828,
  [8024] = 7589,
  [8025] = 7830,
  [8026] = 8026,
  [8027] = 8027,
  [8028] = 7835,
  [8029] = 7836,
  [8030] = 7625,
  [8031] = 7618,
  [8032] = 7576,
  [8033] = 7511,
  [8034] = 7662,
  [8035] = 7643,
  [8036] = 8036,
  [8037] = 7804,
  [8038] = 7807,
  [8039] = 7811,
  [8040] = 7515,
  [8041] = 7813,
  [8042] = 8042,
  [8043] = 7483,
  [8044] = 7828,
  [8045] = 7830,
  [8046] = 7579,
  [8047] = 7553,
  [8048] = 7835,
  [8049] = 7836,
  [8050] = 7625,
  [8051] = 7508,
  [8052] = 8052,
  [8053] = 8053,
  [8054] = 7662,
  [8055] = 7643,
  [8056] = 7608,
  [8057] = 7804,
  [8058] = 7807,
  [8059] = 7811,
  [8060] = 7606,
  [8061] = 7813,
  [8062] = 7517,
  [8063] = 7558,
  [8064] = 7830,
  [8065] = 7629,
  [8066] = 7458,
  [8067] = 7835,
  [8068] = 7836,
  [8069] = 7625,
  [8070] = 7628,
  [8071] = 7477,
  [8072] = 7476,
  [8073] = 7662,
  [8074] = 7643,
  [8075] = 8075,
  [8076] = 7804,
  [8077] = 7475,
  [8078] = 7813,
  [8079] = 7599,
  [8080] = 7589,
  [8081] = 7556,
  [8082] = 8082,
  [8083] = 7835,
  [8084] = 7836,
  [8085] = 7584,
  [8086] = 8086,
  [8087] = 8087,
  [8088] = 7662,
  [8089] = 8089,
  [8090] = 7804,
  [8091] = 7813,
  [8092] = 7684,
  [8093] = 7836,
  [8094] = 7576,
  [8095] = 7571,
  [8096] = 7662,
  [8097] = 7558,
  [8098] = 7804,
  [8099] = 7813,
  [8100] = 8100,
  [8101] = 7836,
  [8102] = 7553,
  [8103] = 7662,
  [8104] = 7804,
  [8105] = 7813,
  [8106] = 7836,
  [8107] = 7662,
  [8108] = 7836,
  [8109] = 7662,
  [8110] = 7836,
  [8111] = 7662,
  [8112] = 7836,
  [8113] = 7662,
  [8114] = 7836,
  [8115] = 7662,
  [8116] = 7836,
  [8117] = 7662,
  [8118] = 7836,
  [8119] = 7662,
  [8120] = 7836,
  [8121] = 7662,
  [8122] = 7584,
  [8123] = 7697,
  [8124] = 7808,
  [8125] = 8125,
  [8126] = 8126,
  [8127] = 7556,
  [8128] = 8128,
  [8129] = 7553,
  [8130] = 8130,
  [8131] = 7548,
  [8132] = 7579,
  [8133] = 7471,
  [8134] = 7544,
  [8135] = 7541,
  [8136] = 7534,
  [8137] = 8137,
  [8138] = 8138,
  [8139] = 8139,
  [8140] = 7508,
  [8141] = 7554,
  [8142] = 7450,
  [8143] = 8143,
  [8144] = 7548,
  [8145] = 7684,
  [8146] = 7515,
  [8147] = 7576,
  [8148] = 7571,
  [8149] = 7558,
  [8150] = 8143,
  [8151] = 7540,
  [8152] = 7697,
  [8153] = 7539,
  [8154] = 7456,
  [8155] = 7748,
  [8156] = 7591,
  [8157] = 7548,
  [8158] = 7612,
  [8159] = 7485,
  [8160] = 7483,
  [8161] = 7465,
  [8162] = 8162,
  [8163] = 8163,
  [8164] = 7576,
  [8165] = 7541,
  [8166] = 7571,
  [8167] = 8167,
  [8168] = 7553,
  [8169] = 8169,
  [8170] = 8170,
  [8171] = 7558,
  [8172] = 7553,
  [8173] = 7511,
  [8174] = 1818,
  [8175] = 7498,
  [8176] = 7453,
  [8177] = 8177,
  [8178] = 8178,
  [8179] = 8179,
  [8180] = 7487,
  [8181] = 7543,
  [8182] = 8182,
  [8183] = 8183,
  [8184] = 7495,
  [8185] = 8185,
  [8186] = 7509,
  [8187] = 8126,
  [8188] = 8125,
  [8189] = 8189,
  [8190] = 8190,
  [8191] = 7519,
  [8192] = 8192,
  [8193] = 8193,
  [8194] = 7813,
  [8195] = 8195,
  [8196] = 8196,
  [8197] = 7948,
  [8198] = 8198,
  [8199] = 7453,
  [8200] = 7458,
  [8201] = 8201,
  [8202] = 8202,
  [8203] = 7811,
  [8204] = 7465,
  [8205] = 7498,
  [8206] = 7520,
  [8207] = 7540,
  [8208] = 7808,
  [8209] = 8125,
  [8210] = 8126,
  [8211] = 7466,
  [8212] = 7539,
  [8213] = 7808,
  [8214] = 7548,
  [8215] = 7450,
  [8216] = 8143,
  [8217] = 7612,
  [8218] = 7453,
  [8219] = 7467,
  [8220] = 1841,
  [8221] = 7808,
  [8222] = 8125,
  [8223] = 8126,
  [8224] = 7526,
  [8225] = 7455,
  [8226] = 7450,
  [8227] = 8143,
  [8228] = 7567,
  [8229] = 7566,
  [8230] = 7807,
  [8231] = 8125,
  [8232] = 8126,
  [8233] = 7563,
  [8234] = 7525,
  [8235] = 7450,
  [8236] = 8143,
  [8237] = 7806,
  [8238] = 7510,
  [8239] = 8125,
  [8240] = 8126,
  [8241] = 7498,
  [8242] = 7563,
  [8243] = 7450,
  [8244] = 8143,
  [8245] = 7804,
  [8246] = 8125,
  [8247] = 8126,
  [8248] = 7566,
  [8249] = 7450,
  [8250] = 8143,
  [8251] = 7552,
  [8252] = 7450,
  [8253] = 8143,
  [8254] = 7495,
  [8255] = 8143,
  [8256] = 7509,
  [8257] = 8143,
  [8258] = 7517,
  [8259] = 8143,
  [8260] = 8260,
  [8261] = 8143,
  [8262] = 8042,
  [8263] = 8143,
  [8264] = 7567,
  [8265] = 8143,
  [8266] = 7514,
  [8267] = 8143,
  [8268] = 7458,
  [8269] = 8143,
  [8270] = 7465,
  [8271] = 8143,
  [8272] = 8202,
  [8273] = 7865,
  [8274] = 7467,
  [8275] = 8202,
  [8276] = 7865,
  [8277] = 7503,
  [8278] = 8202,
  [8279] = 7865,
  [8280] = 7502,
  [8281] = 8202,
  [8282] = 7865,
  [8283] = 7485,
  [8284] = 8202,
  [8285] = 7865,
  [8286] = 7520,
  [8287] = 7865,
  [8288] = 7865,
  [8289] = 7865,
  [8290] = 7865,
  [8291] = 7865,
  [8292] = 7865,
  [8293] = 7865,
  [8294] = 7865,
  [8295] = 7865,
  [8296] = 7865,
  [8297] = 7865,
  [8298] = 7484,
  [8299] = 7543,
  [8300] = 7525,
  [8301] = 7488,
  [8302] = 7526,
  [8303] = 8201,
  [8304] = 8201,
  [8305] = 8201,
  [8306] = 8201,
  [8307] = 8201,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a},
  {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644},
  {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1},
  {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33},
  {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c},
  {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505},
  {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550},
  {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e},
  {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c},
  {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(333);
      ADVANCE_MAP(
        '!', 400,
        '"', 527,
        '#', 280,
        '%', 424,
        '&', 434,
        '\'', 518,
        '(', 337,
        ')', 340,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 403,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 641,
        '?', 469,
        'B', 630,
        'F', 567,
        'L', 541,
        'R', 544,
        'T', 571,
        'U', 545,
        '[', 460,
        '\\', 2,
        ']', 462,
        '^', 431,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 576,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        't', 618,
        'u', 548,
        'v', 610,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(331);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(159);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(159);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(168);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(168);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(167);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(167);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(170);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(170);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(169);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(169);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(171);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(171);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(172);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(172);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(162);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(162);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(163);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(163);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(234);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(234);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(190);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(190);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(235);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(235);
      if (lookahead == '\r') SKIP(23);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(165);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(165);
      if (lookahead == '\r') SKIP(25);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(183);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(183);
      if (lookahead == '\r') SKIP(27);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(179);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(179);
      if (lookahead == '\r') SKIP(29);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(191);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(191);
      if (lookahead == '\r') SKIP(31);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(189);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(189);
      if (lookahead == '\r') SKIP(33);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(180);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(180);
      if (lookahead == '\r') SKIP(35);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(220);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(220);
      if (lookahead == '\r') SKIP(37);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(184);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(184);
      if (lookahead == '\r') SKIP(39);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(174);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(174);
      if (lookahead == '\r') SKIP(41);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(192);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(192);
      if (lookahead == '\r') SKIP(43);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(200);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(200);
      if (lookahead == '\r') SKIP(45);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(204);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(204);
      if (lookahead == '\r') SKIP(47);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(211);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(211);
      if (lookahead == '\r') SKIP(49);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(175);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(175);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(221);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(221);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(199);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(199);
      if (lookahead == '\r') SKIP(55);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(225);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(225);
      if (lookahead == '\r') SKIP(57);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(233);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(233);
      if (lookahead == '\r') SKIP(59);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(236);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(236);
      if (lookahead == '\r') SKIP(61);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(181);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(181);
      if (lookahead == '\r') SKIP(63);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(207);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(207);
      if (lookahead == '\r') SKIP(65);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(185);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(185);
      if (lookahead == '\r') SKIP(67);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(224);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(224);
      if (lookahead == '\r') SKIP(69);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(198);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(198);
      if (lookahead == '\r') SKIP(71);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(228);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(228);
      if (lookahead == '\r') SKIP(73);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(239);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(239);
      if (lookahead == '\r') SKIP(75);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(237);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(237);
      if (lookahead == '\r') SKIP(77);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(166);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(166);
      if (lookahead == '\r') SKIP(79);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(214);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(214);
      if (lookahead == '\r') SKIP(81);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(206);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(206);
      if (lookahead == '\r') SKIP(83);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(213);
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(213);
      if (lookahead == '\r') SKIP(85);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(240);
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(240);
      if (lookahead == '\r') SKIP(87);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(238);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(238);
      if (lookahead == '\r') SKIP(89);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(219);
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(219);
      if (lookahead == '\r') SKIP(91);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(245);
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(245);
      if (lookahead == '\r') SKIP(93);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(173);
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(173);
      if (lookahead == '\r') SKIP(95);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(99);
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(99);
      if (lookahead == '\r') SKIP(97);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '\n', 342,
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 412,
        '-', 402,
        '/', 421,
        '<', 447,
        '=', 268,
        '>', 438,
      );
      if (lookahead == '\\') SKIP(98);
      if (lookahead == '^') ADVANCE(430);
      if (lookahead == '|') ADVANCE(429);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(229);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(229);
      if (lookahead == '\r') SKIP(100);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(244);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(244);
      if (lookahead == '\r') SKIP(102);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(230);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(230);
      if (lookahead == '\r') SKIP(104);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(231);
      if (lookahead == '"') ADVANCE(527);
      if (lookahead == '/') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(531);
      if (lookahead != 0) ADVANCE(532);
      END_STATE();
    case 107:
      if (lookahead == '\n') ADVANCE(534);
      if (lookahead == '\r') ADVANCE(533);
      if (lookahead == 'U') ADVANCE(329);
      if (lookahead == 'u') ADVANCE(321);
      if (lookahead == 'x') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(536);
      if (lookahead != 0) ADVANCE(533);
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(241);
      if (lookahead == '\'') ADVANCE(518);
      if (lookahead == '/') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(522);
      if (lookahead != 0) ADVANCE(519);
      END_STATE();
    case 109:
      if (lookahead == '\n') ADVANCE(335);
      if (lookahead == '\r') ADVANCE(113);
      if (lookahead == '(') ADVANCE(337);
      if (lookahead == '/') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(358);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(258);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 110:
      if (lookahead == '\n') ADVANCE(335);
      if (lookahead == '\r') ADVANCE(113);
      if (lookahead == '/') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(358);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(258);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 111:
      if (lookahead == '\n') ADVANCE(335);
      if (lookahead == '\r') ADVANCE(112);
      if (lookahead == '(') ADVANCE(398);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '\\') SKIP(115);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(246);
      END_STATE();
    case 112:
      if (lookahead == '\n') ADVANCE(335);
      if (lookahead == '(') ADVANCE(398);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '\\') SKIP(115);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      END_STATE();
    case 113:
      if (lookahead == '\n') ADVANCE(335);
      if (lookahead == '/') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(358);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 114:
      if (lookahead == '\n') SKIP(246);
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(246);
      if (lookahead == '\r') SKIP(114);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(160);
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(160);
      if (lookahead == '\r') SKIP(116);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(164);
      END_STATE();
    case 119:
      if (lookahead == '\n') SKIP(164);
      if (lookahead == '\r') SKIP(118);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(195);
      END_STATE();
    case 121:
      if (lookahead == '\n') SKIP(195);
      if (lookahead == '\r') SKIP(120);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(194);
      END_STATE();
    case 123:
      if (lookahead == '\n') SKIP(194);
      if (lookahead == '\r') SKIP(122);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(205);
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(205);
      if (lookahead == '\r') SKIP(124);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(177);
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(177);
      if (lookahead == '\r') SKIP(126);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(222);
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(222);
      if (lookahead == '\r') SKIP(128);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(215);
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(215);
      if (lookahead == '\r') SKIP(130);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(187);
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(187);
      if (lookahead == '\r') SKIP(132);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(223);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(223);
      if (lookahead == '\r') SKIP(134);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(197);
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(197);
      if (lookahead == '\r') SKIP(136);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(217);
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(217);
      if (lookahead == '\r') SKIP(138);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(210);
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(210);
      if (lookahead == '\r') SKIP(140);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(161);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(161);
      if (lookahead == '\r') SKIP(142);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(201);
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(201);
      if (lookahead == '\r') SKIP(144);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(212);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(212);
      if (lookahead == '\r') SKIP(146);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(203);
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(203);
      if (lookahead == '\r') SKIP(148);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(218);
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(218);
      if (lookahead == '\r') SKIP(150);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(209);
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(209);
      if (lookahead == '\r') SKIP(152);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(193);
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(193);
      if (lookahead == '\r') SKIP(154);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(227);
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(227);
      if (lookahead == '\r') SKIP(156);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 158:
      if (lookahead == '\r') ADVANCE(640);
      if (lookahead == '\\') ADVANCE(634);
      if (lookahead != 0) ADVANCE(639);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        '!', 400,
        '"', 527,
        '#', 280,
        '%', 424,
        '&', 434,
        '\'', 518,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 403,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 641,
        '?', 469,
        'B', 630,
        'F', 567,
        'L', 541,
        'R', 544,
        'T', 571,
        'U', 545,
        '[', 460,
        '\\', 2,
        ']', 462,
        '^', 431,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 576,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        't', 618,
        'u', 548,
        'v', 610,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(159);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 160:
      ADVANCE_MAP(
        '!', 400,
        '"', 527,
        '#', 289,
        '%', 424,
        '&', 434,
        '\'', 518,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 404,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'B', 630,
        'F', 567,
        'L', 541,
        'R', 544,
        'T', 571,
        'U', 545,
        '[', 458,
        '\\', 117,
        ']', 462,
        '^', 431,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 576,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        't', 618,
        'u', 548,
        'v', 610,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(160);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '!', 400,
        '"', 527,
        '#', 289,
        '%', 423,
        '&', 433,
        '\'', 518,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 405,
        '.', 484,
        '/', 421,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        'B', 630,
        'F', 567,
        'L', 541,
        'R', 544,
        'T', 571,
        'U', 545,
        '[', 458,
        '\\', 143,
        ']', 462,
        '^', 430,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 576,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        't', 618,
        'u', 548,
        'v', 610,
        '{', 456,
        '|', 429,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '!', 400,
        '"', 527,
        '%', 424,
        '&', 434,
        '\'', 518,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 403,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'B', 630,
        'F', 567,
        'L', 541,
        'R', 544,
        'T', 571,
        'U', 545,
        '[', 458,
        '\\', 16,
        '^', 431,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 576,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        't', 618,
        'u', 548,
        'v', 610,
        '{', 456,
        '|', 428,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 400,
        '"', 527,
        '%', 424,
        '&', 434,
        '\'', 518,
        '(', 398,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 404,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 641,
        '?', 469,
        'B', 630,
        'F', 567,
        'L', 541,
        'R', 544,
        'T', 571,
        'U', 545,
        '[', 458,
        '\\', 18,
        '^', 431,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 576,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        't', 618,
        'u', 548,
        'v', 610,
        '{', 456,
        '|', 428,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 400,
        '"', 527,
        '%', 423,
        '&', 433,
        '\'', 518,
        '(', 398,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 405,
        '.', 484,
        '/', 421,
        '0', 492,
        ':', 265,
        '<', 446,
        '=', 268,
        '>', 641,
        '?', 469,
        'B', 630,
        'F', 567,
        'L', 541,
        'R', 544,
        'T', 571,
        'U', 545,
        '[', 458,
        '\\', 119,
        '^', 430,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 576,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        't', 618,
        'u', 548,
        'v', 610,
        '{', 456,
        '|', 429,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '!', 400,
        '"', 232,
        '%', 424,
        '&', 434,
        '(', 247,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '/', 422,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 439,
        '[', 277,
        '\\', 26,
        '^', 431,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 605,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        'u', 598,
        'v', 610,
        '|', 428,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '!', 400,
        '"', 232,
        '%', 424,
        '&', 434,
        '(', 247,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '[', 278,
        '\\', 80,
        '^', 431,
        '|', 428,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '!', 399,
        '"', 527,
        '#', 280,
        '&', 433,
        '\'', 518,
        '(', 398,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 309,
        '/', 249,
        '0', 492,
        ':', 265,
        ';', 452,
        '<', 266,
        '>', 269,
        'B', 630,
        'F', 567,
        'L', 541,
        'R', 544,
        'T', 571,
        'U', 545,
        '[', 459,
        '\\', 6,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 576,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        't', 618,
        'u', 548,
        'v', 610,
        '{', 456,
        '|', 427,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '!', 399,
        '"', 527,
        '#', 284,
        '%', 423,
        '&', 433,
        '\'', 518,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 486,
        '/', 421,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 641,
        'B', 630,
        'F', 567,
        'L', 541,
        'R', 544,
        'T', 571,
        'U', 545,
        '[', 459,
        '\\', 4,
        ']', 279,
        '^', 430,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 576,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        't', 618,
        'u', 548,
        'v', 610,
        '{', 456,
        '|', 303,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '!', 399,
        '"', 527,
        '#', 288,
        '&', 432,
        '\'', 518,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        '-', 406,
        '.', 255,
        '/', 249,
        '0', 492,
        ':', 265,
        ';', 452,
        '>', 437,
        'B', 630,
        'F', 567,
        'L', 541,
        'R', 544,
        'T', 571,
        'U', 545,
        '[', 459,
        '\\', 10,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 576,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        't', 618,
        'u', 548,
        'v', 610,
        '{', 456,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '!', 399,
        '"', 527,
        '#', 282,
        '&', 433,
        '\'', 518,
        '(', 398,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 309,
        '/', 249,
        '0', 492,
        ':', 265,
        ';', 452,
        '>', 271,
        'B', 630,
        'F', 567,
        'L', 541,
        'R', 544,
        'T', 571,
        'U', 545,
        '[', 459,
        '\\', 8,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 576,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        't', 618,
        'u', 548,
        'v', 610,
        '{', 456,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '!', 399,
        '"', 527,
        '&', 433,
        '\'', 518,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 485,
        '/', 249,
        '0', 492,
        ':', 265,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 641,
        'B', 630,
        'F', 567,
        'L', 541,
        'R', 544,
        'T', 571,
        'U', 545,
        '[', 458,
        '\\', 12,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 576,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        't', 618,
        'u', 548,
        'v', 610,
        '{', 456,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '!', 399,
        '"', 527,
        '&', 432,
        '\'', 518,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 485,
        '/', 249,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 641,
        'B', 630,
        'F', 567,
        'L', 541,
        'R', 544,
        'T', 571,
        'U', 545,
        '[', 458,
        '\\', 14,
        ']', 462,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 576,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        't', 618,
        'u', 548,
        'v', 610,
        '{', 456,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '!', 399,
        '\'', 518,
        '(', 398,
        ')', 340,
        '+', 417,
        '-', 410,
        '.', 309,
        '/', 249,
        '0', 492,
        'B', 630,
        'L', 559,
        'U', 560,
        '\\', 96,
        'u', 561,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '!', 267,
        '"', 527,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 542,
        'R', 544,
        'U', 546,
        '[', 458,
        '\\', 42,
        ']', 462,
        '^', 431,
        'u', 549,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '!', 267,
        '"', 527,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 542,
        'R', 544,
        'U', 546,
        '[', 458,
        '\\', 52,
        ']', 462,
        '^', 431,
        'u', 549,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '!', 267,
        '"', 527,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 652,
        'R', 653,
        'U', 654,
        '[', 458,
        '\\', 52,
        ']', 462,
        '^', 431,
        'u', 655,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '!', 267,
        '"', 527,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        'L', 542,
        'R', 544,
        'U', 546,
        '[', 458,
        '\\', 127,
        ']', 462,
        '^', 430,
        'u', 549,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '!', 267,
        '"', 527,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        'L', 652,
        'R', 653,
        'U', 654,
        '[', 458,
        '\\', 127,
        ']', 462,
        '^', 430,
        'u', 655,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '!', 267,
        '"', 527,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 542,
        'R', 544,
        'U', 546,
        '[', 459,
        '\\', 30,
        '^', 431,
        'u', 549,
        '{', 456,
        '|', 428,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '!', 267,
        '"', 527,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 542,
        'R', 544,
        'U', 546,
        '[', 458,
        '\\', 36,
        '^', 431,
        'u', 549,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '!', 267,
        '"', 527,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 542,
        'R', 544,
        'U', 546,
        '[', 458,
        '\\', 64,
        '^', 431,
        'u', 549,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '!', 267,
        '"', 527,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 652,
        'R', 653,
        'U', 654,
        '[', 458,
        '\\', 64,
        '^', 431,
        'u', 655,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '!', 267,
        '"', 527,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 542,
        'R', 544,
        'U', 546,
        '[', 459,
        '\\', 28,
        '^', 431,
        'u', 549,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '!', 267,
        '"', 527,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 641,
        '?', 469,
        'L', 542,
        'R', 544,
        'U', 546,
        '[', 458,
        '\\', 40,
        '^', 431,
        'u', 549,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '!', 267,
        '"', 527,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 641,
        '?', 469,
        'L', 542,
        'R', 544,
        'U', 546,
        '[', 458,
        '\\', 68,
        '^', 431,
        'u', 549,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '!', 267,
        '"', 527,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 641,
        '?', 469,
        'L', 652,
        'R', 653,
        'U', 654,
        '[', 458,
        '\\', 68,
        '^', 431,
        'u', 655,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '!', 267,
        '"', 527,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        '<', 446,
        '=', 268,
        '>', 641,
        '?', 469,
        'L', 542,
        'R', 544,
        'U', 546,
        '[', 458,
        '\\', 133,
        '^', 430,
        'u', 549,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '!', 267,
        '"', 527,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        '<', 446,
        '=', 268,
        '>', 641,
        '?', 469,
        'L', 652,
        'R', 653,
        'U', 654,
        '[', 458,
        '\\', 133,
        '^', 430,
        'u', 655,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '!', 267,
        '#', 300,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        ':', 265,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 459,
        '\\', 34,
        '^', 431,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '!', 267,
        '#', 285,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 412,
        ',', 339,
        '-', 402,
        '/', 421,
        ':', 265,
        ';', 452,
        '<', 447,
        '=', 268,
        '>', 438,
        '[', 459,
        '\\', 22,
        '^', 430,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 605,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        'u', 598,
        'v', 610,
        '|', 429,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '0', 642,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 459,
        '\\', 32,
        '^', 431,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 44,
        ']', 462,
        '^', 431,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 459,
        '\\', 155,
        ']', 462,
        '^', 431,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 123,
        ']', 462,
        '^', 431,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 605,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        'u', 598,
        'v', 610,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 121,
        ']', 462,
        '^', 431,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 137,
        ']', 462,
        '^', 431,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 137,
        ']', 462,
        '^', 431,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 461,
        '\\', 72,
        ']', 462,
        '^', 431,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 468,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 56,
        ']', 462,
        '^', 430,
        '{', 456,
        '|', 429,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 46,
        ']', 462,
        '^', 430,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 605,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        'u', 598,
        'v', 610,
        '{', 456,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 145,
        ']', 462,
        '^', 430,
        '{', 456,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 149,
        ']', 462,
        '^', 430,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 149,
        ']', 462,
        '^', 430,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 48,
        '^', 431,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        ':', 467,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 125,
        '^', 431,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 460,
        '\\', 84,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 66,
        '^', 431,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 605,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        'u', 598,
        'v', 610,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 153,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 153,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 461,
        '\\', 141,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 468,
        '<', 444,
        '=', 464,
        '>', 641,
        '?', 469,
        '[', 458,
        '\\', 50,
        '^', 431,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        '<', 444,
        '=', 464,
        '>', 641,
        '?', 469,
        '[', 458,
        '\\', 147,
        '^', 431,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 460,
        '\\', 86,
        '^', 431,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 641,
        '?', 469,
        '[', 459,
        '\\', 82,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 641,
        '?', 469,
        '[', 458,
        '\\', 131,
        '^', 431,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 605,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        'u', 598,
        'v', 610,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 641,
        '?', 469,
        '[', 458,
        '\\', 139,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 641,
        '?', 469,
        '[', 458,
        '\\', 139,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 641,
        '?', 469,
        '[', 461,
        '\\', 151,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '*', 420,
        '+', 418,
        ',', 339,
        '-', 411,
        '.', 248,
        '/', 422,
        '<', 445,
        '=', 464,
        '>', 439,
        '\\', 92,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 468,
        ';', 452,
        '<', 446,
        '=', 464,
        '>', 438,
        '?', 469,
        '[', 459,
        '\\', 38,
        '^', 430,
        '{', 456,
        '|', 429,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 468,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 54,
        ']', 462,
        '^', 430,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 605,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        'u', 598,
        'v', 610,
        '{', 456,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 265,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 129,
        ']', 279,
        '^', 430,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 605,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        'u', 598,
        'v', 610,
        '{', 456,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 468,
        '<', 446,
        '=', 268,
        '>', 641,
        '?', 469,
        '[', 458,
        '\\', 135,
        '^', 430,
        '{', 456,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        '<', 446,
        '=', 268,
        '>', 641,
        '?', 469,
        '[', 458,
        '\\', 70,
        '^', 430,
        '{', 456,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        '<', 446,
        '=', 268,
        '>', 641,
        '?', 469,
        '[', 458,
        '\\', 58,
        '^', 430,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 605,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        'u', 598,
        'v', 610,
        '{', 456,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        '<', 446,
        '=', 268,
        '>', 641,
        '?', 469,
        '[', 458,
        '\\', 157,
        '^', 430,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        '<', 446,
        '=', 268,
        '>', 641,
        '?', 469,
        '[', 458,
        '\\', 157,
        '^', 430,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '"', 527,
        '&', 433,
        '(', 398,
        '*', 419,
        '/', 249,
        ':', 265,
        'L', 543,
        'U', 547,
        '[', 459,
        '\\', 74,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 605,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        'u', 550,
        'v', 610,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '"', 527,
        ')', 340,
        ',', 339,
        '/', 249,
        ':', 467,
        'L', 542,
        'R', 544,
        'U', 546,
        '\\', 101,
        'u', 549,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 230:
      if (lookahead == '"') ADVANCE(527);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == 'L') ADVANCE(543);
      if (lookahead == 'U') ADVANCE(547);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(551);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 231:
      if (lookahead == '"') ADVANCE(527);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '\\') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      END_STATE();
    case 232:
      if (lookahead == '"') ADVANCE(651);
      END_STATE();
    case 233:
      ADVANCE_MAP(
        '#', 289,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '-', 272,
        '.', 254,
        '/', 249,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 641,
        '[', 458,
        '\\', 60,
        '{', 456,
        '|', 303,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 234:
      ADVANCE_MAP(
        '#', 281,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 412,
        ',', 339,
        '-', 272,
        '.', 254,
        '/', 249,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 641,
        '[', 459,
        '\\', 20,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 605,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        'u', 598,
        'v', 610,
        '{', 456,
        '|', 303,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 235:
      ADVANCE_MAP(
        '#', 283,
        '&', 433,
        '(', 398,
        '*', 419,
        ',', 339,
        '/', 249,
        ':', 265,
        ';', 452,
        '[', 459,
        '\\', 24,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 605,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        'u', 598,
        'v', 610,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '-', 272,
        '.', 254,
        '/', 249,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 641,
        '[', 459,
        '\\', 62,
        '{', 456,
        '|', 303,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '-', 272,
        '.', 254,
        '/', 249,
        ':', 467,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 641,
        '[', 459,
        '\\', 78,
        '{', 456,
        '|', 303,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '.', 254,
        '/', 249,
        ':', 467,
        ';', 452,
        '=', 463,
        '>', 641,
        '[', 458,
        '\\', 90,
        '{', 456,
        '|', 303,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '/', 249,
        ':', 467,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 641,
        '[', 459,
        '\\', 76,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 605,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        'u', 598,
        'v', 610,
        '{', 456,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '/', 249,
        ';', 452,
        '=', 463,
        '>', 641,
        '[', 458,
        '\\', 88,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 605,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        'u', 598,
        'v', 610,
        '{', 456,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 241:
      if (lookahead == '\'') ADVANCE(518);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '\\') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      END_STATE();
    case 242:
      if (lookahead == '\'') ADVANCE(314);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(242);
      END_STATE();
    case 243:
      if (lookahead == '\'') ADVANCE(310);
      if (lookahead == '.') ADVANCE(499);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(243);
      END_STATE();
    case 244:
      ADVANCE_MAP(
        '(', 398,
        ')', 340,
        ',', 339,
        '/', 249,
        ':', 467,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 641,
        '[', 460,
        '\\', 103,
        '{', 456,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 245:
      ADVANCE_MAP(
        '(', 398,
        '/', 249,
        ':', 265,
        'F', 567,
        'T', 571,
        '[', 458,
        '\\', 94,
        'f', 577,
        't', 618,
        '{', 456,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 246:
      if (lookahead == '(') ADVANCE(398);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '\\') SKIP(115);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      END_STATE();
    case 247:
      if (lookahead == ')') ADVANCE(649);
      END_STATE();
    case 248:
      if (lookahead == '*') ADVANCE(487);
      END_STATE();
    case 249:
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '/') ADVANCE(639);
      END_STATE();
    case 250:
      if (lookahead == '*') ADVANCE(648);
      END_STATE();
    case 251:
      if (lookahead == '*') ADVANCE(251);
      if (lookahead == '/') ADVANCE(632);
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 252:
      if (lookahead == '*') ADVANCE(251);
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 253:
      if (lookahead == '*') ADVANCE(251);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 254:
      if (lookahead == '.') ADVANCE(256);
      END_STATE();
    case 255:
      if (lookahead == '.') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 256:
      if (lookahead == '.') ADVANCE(338);
      END_STATE();
    case 257:
      if (lookahead == '.') ADVANCE(314);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(497);
      END_STATE();
    case 258:
      if (lookahead == '/') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(358);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 259:
      if (lookahead == '1') ADVANCE(263);
      END_STATE();
    case 260:
      if (lookahead == '2') ADVANCE(490);
      END_STATE();
    case 261:
      if (lookahead == '2') ADVANCE(264);
      if (lookahead == '6') ADVANCE(490);
      END_STATE();
    case 262:
      if (lookahead == '4') ADVANCE(490);
      END_STATE();
    case 263:
      if (lookahead == '6') ADVANCE(490);
      END_STATE();
    case 264:
      if (lookahead == '8') ADVANCE(490);
      END_STATE();
    case 265:
      if (lookahead == ':') ADVANCE(453);
      END_STATE();
    case 266:
      if (lookahead == '<') ADVANCE(448);
      if (lookahead == '=') ADVANCE(441);
      END_STATE();
    case 267:
      if (lookahead == '=') ADVANCE(436);
      END_STATE();
    case 268:
      if (lookahead == '=') ADVANCE(435);
      END_STATE();
    case 269:
      if (lookahead == '=') ADVANCE(440);
      if (lookahead == '>') ADVANCE(270);
      END_STATE();
    case 270:
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 271:
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 272:
      if (lookahead == '>') ADVANCE(488);
      END_STATE();
    case 273:
      if (lookahead == '>') ADVANCE(537);
      if (lookahead == '\\') ADVANCE(274);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(273);
      END_STATE();
    case 274:
      if (lookahead == '>') ADVANCE(538);
      if (lookahead == '\\') ADVANCE(274);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(273);
      END_STATE();
    case 275:
      if (lookahead == 'F') ADVANCE(259);
      END_STATE();
    case 276:
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 277:
      if (lookahead == '[') ADVANCE(454);
      if (lookahead == ']') ADVANCE(650);
      END_STATE();
    case 278:
      if (lookahead == ']') ADVANCE(650);
      END_STATE();
    case 279:
      if (lookahead == ']') ADVANCE(455);
      END_STATE();
    case 280:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'e') ADVANCE(392);
      if (lookahead == 'i') ADVANCE(380);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(280);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 281:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'e') ADVANCE(392);
      if (lookahead == 'i') ADVANCE(381);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(281);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 282:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'e') ADVANCE(394);
      if (lookahead == 'i') ADVANCE(380);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'e') ADVANCE(394);
      if (lookahead == 'i') ADVANCE(381);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(283);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 284:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'i') ADVANCE(380);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'i') ADVANCE(381);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 286:
      if (lookahead == 'd') ADVANCE(298);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(292);
      END_STATE();
    case 288:
      if (lookahead == 'e') ADVANCE(302);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(288);
      END_STATE();
    case 289:
      if (lookahead == 'e') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(289);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(347);
      END_STATE();
    case 291:
      if (lookahead == 'e') ADVANCE(296);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 293:
      if (lookahead == 'f') ADVANCE(259);
      END_STATE();
    case 294:
      if (lookahead == 'f') ADVANCE(343);
      END_STATE();
    case 295:
      if (lookahead == 'f') ADVANCE(349);
      END_STATE();
    case 296:
      if (lookahead == 'f') ADVANCE(351);
      END_STATE();
    case 297:
      if (lookahead == 'f') ADVANCE(353);
      END_STATE();
    case 298:
      if (lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 299:
      if (lookahead == 'i') ADVANCE(295);
      if (lookahead == 's') ADVANCE(290);
      END_STATE();
    case 300:
      if (lookahead == 'i') ADVANCE(381);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(300);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 301:
      if (lookahead == 'l') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(286);
      END_STATE();
    case 302:
      if (lookahead == 'n') ADVANCE(286);
      END_STATE();
    case 303:
      if (lookahead == '|') ADVANCE(425);
      END_STATE();
    case 304:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(311);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      END_STATE();
    case 305:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(242);
      END_STATE();
    case 306:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(494);
      END_STATE();
    case 307:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(243);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(493);
      END_STATE();
    case 308:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 309:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 310:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(243);
      END_STATE();
    case 311:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      END_STATE();
    case 312:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(631);
      END_STATE();
    case 313:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(497);
      END_STATE();
    case 314:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(242);
      END_STATE();
    case 315:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(533);
      END_STATE();
    case 316:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(312);
      END_STATE();
    case 317:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(315);
      END_STATE();
    case 318:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(316);
      END_STATE();
    case 319:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(317);
      END_STATE();
    case 320:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 321:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(319);
      END_STATE();
    case 322:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(320);
      END_STATE();
    case 323:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(321);
      END_STATE();
    case 324:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(322);
      END_STATE();
    case 325:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(323);
      END_STATE();
    case 326:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(324);
      END_STATE();
    case 327:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(325);
      END_STATE();
    case 328:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(326);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(327);
      END_STATE();
    case 330:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(365);
      END_STATE();
    case 331:
      if (eof) ADVANCE(333);
      ADVANCE_MAP(
        '!', 400,
        '"', 527,
        '#', 280,
        '%', 424,
        '&', 434,
        '\'', 518,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 403,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 641,
        '?', 469,
        'B', 630,
        'F', 567,
        'L', 541,
        'R', 544,
        'T', 571,
        'U', 545,
        '[', 460,
        '\\', 2,
        ']', 462,
        '^', 431,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 576,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        't', 618,
        'u', 548,
        'v', 610,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(331);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 332:
      if (eof) ADVANCE(333);
      ADVANCE_MAP(
        '!', 399,
        '"', 527,
        '#', 284,
        '%', 423,
        '&', 433,
        '\'', 518,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 486,
        '/', 421,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 641,
        'B', 630,
        'F', 567,
        'L', 541,
        'R', 544,
        'T', 571,
        'U', 545,
        '[', 459,
        '\\', 4,
        ']', 279,
        '^', 430,
        'b', 613,
        'c', 592,
        'd', 609,
        'f', 576,
        'i', 606,
        'm', 578,
        'n', 626,
        'p', 623,
        's', 593,
        't', 618,
        'u', 548,
        'v', 610,
        '{', 456,
        '|', 303,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(332);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(631);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(376);
      if (lookahead == 'n') ADVANCE(370);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(342);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(291);
      if (lookahead == 'n') ADVANCE(287);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(378);
      if (lookahead == 'n') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(252);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '/') ADVANCE(632);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(252);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '/') ADVANCE(253);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(639);
      if (lookahead == '\r') ADVANCE(633);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(635);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(258);
      if (lookahead == '\r') ADVANCE(359);
      if (lookahead == '/') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(258);
      if (lookahead == '/') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(366);
      if (lookahead == '/') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(364);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '/') ADVANCE(253);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(638);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(635);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(365);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '/') ADVANCE(253);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(365);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(393);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(377);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(379);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(382);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(336);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(334);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(385);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(386);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(387);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(388);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(341);
      if (lookahead == 'n') ADVANCE(367);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(341);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(350);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(344);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(345);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(346);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(354);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(395);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(383);
      if (lookahead == 's') ADVANCE(373);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(384);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(390);
      if (lookahead == 'n') ADVANCE(368);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(396);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(368);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(369);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(436);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '>') ADVANCE(489);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '>') ADVANCE(488);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (lookahead == '>') ADVANCE(488);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '>') ADVANCE(489);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '>') ADVANCE(488);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '>') ADVANCE(488);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '>') ADVANCE(250);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(482);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (lookahead == '=') ADVANCE(473);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == '=') ADVANCE(473);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(473);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(470);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '/') ADVANCE(639);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '/') ADVANCE(639);
      if (lookahead == '=') ADVANCE(471);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(472);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(479);
      if (lookahead == '|') ADVANCE(425);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(425);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(478);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(426);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '=') ADVANCE(477);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(440);
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(440);
      if (lookahead == '>') ADVANCE(451);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(480);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(449);
      if (lookahead == '=') ADVANCE(442);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(449);
      if (lookahead == '=') ADVANCE(441);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(448);
      if (lookahead == '=') ADVANCE(442);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(448);
      if (lookahead == '=') ADVANCE(441);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(475);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(454);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(454);
      if (lookahead == ']') ADVANCE(650);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(650);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(435);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      if (lookahead == '1') ADVANCE(566);
      if (lookahead == '3') ADVANCE(564);
      if (lookahead == '6') ADVANCE(565);
      if (lookahead == '8') ADVANCE(575);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'p') ADVANCE(624);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(453);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(487);
      if (lookahead == '.') ADVANCE(256);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(487);
      if (lookahead == '.') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(648);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 309,
        'B', 275,
        'b', 293,
        'E', 304,
        'e', 304,
        'F', 498,
        'f', 498,
        'L', 490,
        'l', 490,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 307,
        '.', 499,
        'L', 500,
        'l', 503,
        'B', 306,
        'b', 306,
        'E', 304,
        'e', 304,
        'U', 502,
        'u', 502,
        'X', 257,
        'x', 257,
        'Z', 505,
        'z', 505,
        '8', 243,
        '9', 243,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(493);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 307,
        '.', 499,
        'L', 500,
        'l', 503,
        'E', 304,
        'e', 304,
        'U', 502,
        'u', 502,
        'Z', 505,
        'z', 505,
        '8', 243,
        '9', 243,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(493);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 306,
        'L', 500,
        'l', 503,
        'U', 502,
        'u', 502,
        'Z', 505,
        'z', 505,
        '0', 494,
        '1', 494,
      );
      END_STATE();
    case 495:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 308,
        '.', 499,
        'L', 500,
        'l', 503,
        'E', 304,
        'e', 304,
        'U', 502,
        'u', 502,
        'Z', 505,
        'z', 505,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == '\'') ADVANCE(311);
      if (lookahead == 'B') ADVANCE(275);
      if (lookahead == 'b') ADVANCE(293);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(498);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 313,
        '.', 305,
        'L', 500,
        'l', 503,
        'P', 304,
        'p', 304,
        'U', 502,
        'u', 502,
        'Z', 505,
        'z', 505,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(497);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == '1') ADVANCE(261);
      if (lookahead == '3') ADVANCE(260);
      if (lookahead == '6') ADVANCE(262);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        'B', 275,
        'b', 293,
        'E', 304,
        'e', 304,
        'F', 498,
        'f', 498,
        'L', 490,
        'l', 490,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'L') ADVANCE(505);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(490);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'L') ADVANCE(490);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'L') ADVANCE(501);
      if (lookahead == 'l') ADVANCE(504);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(490);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'l') ADVANCE(505);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(490);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'l') ADVANCE(490);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(490);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(513);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(506);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(507);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(508);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(509);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(510);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(511);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(534);
      if (lookahead == '\r') ADVANCE(533);
      if (lookahead == 'U') ADVANCE(329);
      if (lookahead == 'u') ADVANCE(321);
      if (lookahead == 'x') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(536);
      if (lookahead != 0) ADVANCE(533);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '/') ADVANCE(639);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(107);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(530);
      if (lookahead == '/') ADVANCE(532);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(532);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(529);
      if (lookahead == '/') ADVANCE(532);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(530);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(529);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(530);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(528);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(531);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(532);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(532);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(107);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(533);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(535);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(537);
      if (lookahead == '\\') ADVANCE(274);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(273);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(523);
      if (lookahead == '\'') ADVANCE(514);
      if (lookahead == 'R') ADVANCE(552);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(523);
      if (lookahead == 'R') ADVANCE(552);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(643);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(525);
      if (lookahead == '\'') ADVANCE(516);
      if (lookahead == 'R') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(525);
      if (lookahead == 'R') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(525);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(524);
      if (lookahead == '\'') ADVANCE(515);
      if (lookahead == '8') ADVANCE(554);
      if (lookahead == 'R') ADVANCE(557);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(608);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(524);
      if (lookahead == '8') ADVANCE(555);
      if (lookahead == 'R') ADVANCE(557);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(524);
      if (lookahead == '8') ADVANCE(556);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(608);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(524);
      if (lookahead == '8') ADVANCE(556);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(644);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(646);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(526);
      if (lookahead == '\'') ADVANCE(517);
      if (lookahead == 'R') ADVANCE(558);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(526);
      if (lookahead == 'R') ADVANCE(558);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(526);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(645);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(647);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(514);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(516);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(515);
      if (lookahead == '8') ADVANCE(562);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(517);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(566);
      if (lookahead == '3') ADVANCE(564);
      if (lookahead == '6') ADVANCE(565);
      if (lookahead == '8') ADVANCE(575);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'p') ADVANCE(624);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(575);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '4') ADVANCE(575);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '6') ADVANCE(575);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'A') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(539);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(540);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'L') ADVANCE(572);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'R') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'S') ADVANCE(569);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'U') ADVANCE(568);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == '_') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == '_') ADVANCE(621);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(599);
      if (lookahead == 'l') ADVANCE(611);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(599);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(628);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(621);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'b') ADVANCE(604);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'd') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'd') ADVANCE(595);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'e') ADVANCE(539);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'e') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'e') ADVANCE(540);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'e') ADVANCE(575);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'f') ADVANCE(575);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'f') ADVANCE(589);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'g') ADVANCE(607);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'h') ADVANCE(579);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(629);
      if (lookahead == 's') ADVANCE(594);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(629);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(590);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(591);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(583);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(608);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(619);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(614);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(596);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(586);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(611);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'n') ADVANCE(620);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'n') ADVANCE(575);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'n') ADVANCE(622);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'o') ADVANCE(625);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'o') ADVANCE(597);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'o') ADVANCE(580);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'o') ADVANCE(600);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'o') ADVANCE(612);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'p') ADVANCE(624);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'r') ADVANCE(465);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'r') ADVANCE(584);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'r') ADVANCE(575);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'r') ADVANCE(627);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 's') ADVANCE(587);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 't') ADVANCE(465);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 't') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 't') ADVANCE(563);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 't') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 't') ADVANCE(617);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'u') ADVANCE(582);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'u') ADVANCE(602);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'u') ADVANCE(585);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'x') ADVANCE(574);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'z') ADVANCE(588);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(512);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(639);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(640);
      if (lookahead == '\\') ADVANCE(634);
      if (lookahead != 0) ADVANCE(639);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(638);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(635);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(357);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(637);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(637);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(158);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(639);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(158);
      if (lookahead != 0) ADVANCE(639);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(aux_sym_pure_virtual_clause_token1);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(523);
      if (lookahead == 'R') ADVANCE(656);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(643);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(525);
      if (lookahead == 'R') ADVANCE(657);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(524);
      if (lookahead == '8') ADVANCE(658);
      if (lookahead == 'R') ADVANCE(659);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(644);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(646);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(526);
      if (lookahead == 'R') ADVANCE(660);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(645);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(647);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(661);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(631);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == 'P') ADVANCE(2);
      if (lookahead == '\\') SKIP(3);
      if (lookahead == '_') ADVANCE(4);
      if (lookahead == 'a') ADVANCE(5);
      if (lookahead == 'b') ADVANCE(6);
      if (lookahead == 'c') ADVANCE(7);
      if (lookahead == 'd') ADVANCE(8);
      if (lookahead == 'e') ADVANCE(9);
      if (lookahead == 'f') ADVANCE(10);
      if (lookahead == 'g') ADVANCE(11);
      if (lookahead == 'i') ADVANCE(12);
      if (lookahead == 'l') ADVANCE(13);
      if (lookahead == 'm') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      if (lookahead == 'p') ADVANCE(17);
      if (lookahead == 'r') ADVANCE(18);
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 't') ADVANCE(20);
      if (lookahead == 'u') ADVANCE(21);
      if (lookahead == 'v') ADVANCE(22);
      if (lookahead == 'w') ADVANCE(23);
      if (lookahead == 'x') ADVANCE(24);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'R') ADVANCE(26);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(27);
      END_STATE();
    case 4:
      if (lookahead == 'A') ADVANCE(28);
      if (lookahead == 'G') ADVANCE(29);
      if (lookahead == 'N') ADVANCE(30);
      if (lookahead == '_') ADVANCE(31);
      if (lookahead == 'a') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(35);
      if (lookahead == 's') ADVANCE(36);
      if (lookahead == 'u') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'y') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(41);
      if (lookahead == 'l') ADVANCE(42);
      if (lookahead == 'o') ADVANCE(43);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(44);
      if (lookahead == 'o') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == 'l') ADVANCE(46);
      if (lookahead == 'n') ADVANCE(47);
      if (lookahead == 'x') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'i') ADVANCE(49);
      if (lookahead == 'o') ADVANCE(50);
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 11:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 12:
      if (lookahead == 'f') ADVANCE(53);
      if (lookahead == 'n') ADVANCE(54);
      END_STATE();
    case 13:
      if (lookahead == 'o') ADVANCE(55);
      END_STATE();
    case 14:
      if (lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(58);
      if (lookahead == 'o') ADVANCE(59);
      if (lookahead == 'u') ADVANCE(60);
      END_STATE();
    case 16:
      if (lookahead == 'f') ADVANCE(61);
      if (lookahead == 'p') ADVANCE(62);
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'v') ADVANCE(64);
      END_STATE();
    case 17:
      if (lookahead == 'r') ADVANCE(65);
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 19:
      if (lookahead == 'h') ADVANCE(68);
      if (lookahead == 'i') ADVANCE(69);
      if (lookahead == 't') ADVANCE(70);
      if (lookahead == 'w') ADVANCE(71);
      END_STATE();
    case 20:
      if (lookahead == 'e') ADVANCE(72);
      if (lookahead == 'h') ADVANCE(73);
      if (lookahead == 'r') ADVANCE(74);
      if (lookahead == 'y') ADVANCE(75);
      END_STATE();
    case 21:
      if (lookahead == 'n') ADVANCE(76);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(78);
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 23:
      if (lookahead == 'h') ADVANCE(80);
      if (lookahead == 'o') ADVANCE(81);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 25:
      if (lookahead == 'L') ADVANCE(83);
      END_STATE();
    case 26:
      if (lookahead == 'O') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(85);
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 30:
      if (lookahead == 'o') ADVANCE(88);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        'a', 89,
        'b', 90,
        'c', 91,
        'd', 92,
        'e', 93,
        'f', 94,
        'i', 95,
        'l', 96,
        'r', 97,
        's', 98,
        't', 99,
        'u', 100,
        'v', 101,
      );
      END_STATE();
    case 32:
      if (lookahead == 'l') ADVANCE(102);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(104);
      END_STATE();
    case 35:
      if (lookahead == 'd') ADVANCE(105);
      END_STATE();
    case 36:
      if (lookahead == 'm') ADVANCE(106);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(108);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 40:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(111);
      if (lookahead == 't') ADVANCE(112);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 43:
      if (lookahead == '_') ADVANCE(114);
      if (lookahead == 'm') ADVANCE(115);
      if (lookahead == 'n') ADVANCE(116);
      END_STATE();
    case 44:
      if (lookahead == 'c') ADVANCE(117);
      if (lookahead == 'f') ADVANCE(118);
      if (lookahead == 'l') ADVANCE(119);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 46:
      if (lookahead == 's') ADVANCE(120);
      END_STATE();
    case 47:
      if (lookahead == 'u') ADVANCE(121);
      END_STATE();
    case 48:
      if (lookahead == 'p') ADVANCE(122);
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 49:
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 51:
      if (lookahead == 'i') ADVANCE(126);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(127);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 54:
      if (lookahead == 'l') ADVANCE(128);
      END_STATE();
    case 55:
      if (lookahead == 'n') ADVANCE(129);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 57:
      if (lookahead == 'm') ADVANCE(131);
      END_STATE();
    case 58:
      if (lookahead == 'w') ADVANCE(132);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(133);
      if (lookahead == 'r') ADVANCE(134);
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 60:
      if (lookahead == 'l') ADVANCE(136);
      END_STATE();
    case 61:
      if (lookahead == 'f') ADVANCE(137);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(139);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(141);
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 66:
      if (lookahead == 'b') ADVANCE(143);
      END_STATE();
    case 67:
      if (lookahead == 'g') ADVANCE(144);
      if (lookahead == 'q') ADVANCE(145);
      if (lookahead == 's') ADVANCE(146);
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(148);
      END_STATE();
    case 69:
      if (lookahead == 'g') ADVANCE(149);
      if (lookahead == 'z') ADVANCE(150);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(151);
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(153);
      END_STATE();
    case 72:
      if (lookahead == 'm') ADVANCE(154);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 74:
      if (lookahead == 'y') ADVANCE(157);
      END_STATE();
    case 75:
      if (lookahead == 'p') ADVANCE(158);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(159);
      if (lookahead == 's') ADVANCE(160);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(162);
      END_STATE();
    case 79:
      if (lookahead == 'l') ADVANCE(163);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(164);
      END_STATE();
    case 81:
      if (lookahead == 'r') ADVANCE(165);
      END_STATE();
    case 82:
      if (lookahead == 'r') ADVANCE(166);
      END_STATE();
    case 83:
      if (lookahead == 'L') ADVANCE(167);
      END_STATE();
    case 84:
      if (lookahead == 'G') ADVANCE(168);
      END_STATE();
    case 85:
      if (lookahead == 'i') ADVANCE(169);
      END_STATE();
    case 86:
      if (lookahead == 'o') ADVANCE(170);
      END_STATE();
    case 87:
      if (lookahead == 'n') ADVANCE(171);
      END_STATE();
    case 88:
      if (lookahead == 'n') ADVANCE(172);
      if (lookahead == 'r') ADVANCE(173);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(174);
      if (lookahead == 's') ADVANCE(175);
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 90:
      if (lookahead == 'a') ADVANCE(177);
      END_STATE();
    case 91:
      if (lookahead == 'd') ADVANCE(178);
      if (lookahead == 'l') ADVANCE(179);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 93:
      if (lookahead == 'x') ADVANCE(181);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(182);
      if (lookahead == 'i') ADVANCE(183);
      if (lookahead == 'o') ADVANCE(184);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(185);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 98:
      if (lookahead == 'p') ADVANCE(188);
      if (lookahead == 't') ADVANCE(189);
      END_STATE();
    case 99:
      if (lookahead == 'h') ADVANCE(190);
      if (lookahead == 'r') ADVANCE(191);
      END_STATE();
    case 100:
      if (lookahead == 'n') ADVANCE(192);
      if (lookahead == 'p') ADVANCE(193);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 102:
      if (lookahead == 'i') ADVANCE(195);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(196);
      END_STATE();
    case 104:
      if (lookahead == 'g') ADVANCE(197);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(198);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 107:
      if (lookahead == 'o') ADVANCE(199);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(200);
      if (lookahead == 'o') ADVANCE(201);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(202);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 111:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 112:
      if (lookahead == 'c') ADVANCE(205);
      END_STATE();
    case 113:
      if (lookahead == 's') ADVANCE(206);
      END_STATE();
    case 114:
      if (lookahead == 'a') ADVANCE(207);
      if (lookahead == 'r') ADVANCE(208);
      if (lookahead == 'y') ADVANCE(209);
      END_STATE();
    case 115:
      if (lookahead == 'p') ADVANCE(210);
      END_STATE();
    case 116:
      if (lookahead == 'c') ADVANCE(211);
      if (lookahead == 's') ADVANCE(212);
      if (lookahead == 't') ADVANCE(213);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(214);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(215);
      if (lookahead == 'i') ADVANCE(216);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(217);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 121:
      if (lookahead == 'm') ADVANCE(219);
      END_STATE();
    case 122:
      if (lookahead == 'l') ADVANCE(220);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(221);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(222);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 126:
      if (lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 127:
      if (lookahead == 'o') ADVANCE(224);
      END_STATE();
    case 128:
      if (lookahead == 'i') ADVANCE(225);
      END_STATE();
    case 129:
      if (lookahead == 'g') ADVANCE(226);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(227);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(228);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 133:
      if (lookahead == 'x') ADVANCE(229);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(230);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(231);
      END_STATE();
    case 136:
      if (lookahead == 'l') ADVANCE(232);
      END_STATE();
    case 137:
      if (lookahead == 's') ADVANCE(233);
      END_STATE();
    case 138:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 140:
      if (lookahead == 'r') ADVANCE(236);
      END_STATE();
    case 141:
      if (lookahead == 'v') ADVANCE(237);
      END_STATE();
    case 142:
      if (lookahead == 't') ADVANCE(238);
      END_STATE();
    case 143:
      if (lookahead == 'l') ADVANCE(239);
      END_STATE();
    case 144:
      if (lookahead == 'i') ADVANCE(240);
      END_STATE();
    case 145:
      if (lookahead == 'u') ADVANCE(241);
      END_STATE();
    case 146:
      if (lookahead == 't') ADVANCE(242);
      END_STATE();
    case 147:
      if (lookahead == 'u') ADVANCE(243);
      END_STATE();
    case 148:
      if (lookahead == 'r') ADVANCE(244);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(245);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(246);
      END_STATE();
    case 151:
      if (lookahead == 't') ADVANCE(247);
      END_STATE();
    case 152:
      if (lookahead == 'u') ADVANCE(248);
      END_STATE();
    case 153:
      if (lookahead == 't') ADVANCE(249);
      END_STATE();
    case 154:
      if (lookahead == 'p') ADVANCE(250);
      END_STATE();
    case 155:
      if (lookahead == 's') ADVANCE(251);
      END_STATE();
    case 156:
      if (lookahead == 'e') ADVANCE(252);
      if (lookahead == 'o') ADVANCE(253);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 158:
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 159:
      if (lookahead == 'o') ADVANCE(255);
      END_STATE();
    case 160:
      if (lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 161:
      if (lookahead == 'n') ADVANCE(257);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(258);
      END_STATE();
    case 163:
      if (lookahead == 'a') ADVANCE(259);
      END_STATE();
    case 164:
      if (lookahead == 'l') ADVANCE(260);
      END_STATE();
    case 165:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(262);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 168:
      if (lookahead == 'M') ADVANCE(263);
      END_STATE();
    case 169:
      if (lookahead == 'g') ADVANCE(264);
      END_STATE();
    case 170:
      if (lookahead == 'm') ADVANCE(265);
      END_STATE();
    case 171:
      if (lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 172:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 173:
      if (lookahead == 'e') ADVANCE(268);
      END_STATE();
    case 174:
      if (lookahead == 'i') ADVANCE(269);
      END_STATE();
    case 175:
      if (lookahead == 'm') ADVANCE(270);
      END_STATE();
    case 176:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 177:
      if (lookahead == 's') ADVANCE(272);
      END_STATE();
    case 178:
      if (lookahead == 'e') ADVANCE(273);
      END_STATE();
    case 179:
      if (lookahead == 'r') ADVANCE(274);
      END_STATE();
    case 180:
      if (lookahead == 'c') ADVANCE(275);
      END_STATE();
    case 181:
      if (lookahead == 'c') ADVANCE(276);
      if (lookahead == 't') ADVANCE(277);
      END_STATE();
    case 182:
      if (lookahead == 's') ADVANCE(278);
      END_STATE();
    case 183:
      if (lookahead == 'n') ADVANCE(279);
      END_STATE();
    case 184:
      if (lookahead == 'r') ADVANCE(280);
      END_STATE();
    case 185:
      if (lookahead == 'l') ADVANCE(281);
      END_STATE();
    case 186:
      if (lookahead == 'a') ADVANCE(282);
      END_STATE();
    case 187:
      if (lookahead == 's') ADVANCE(283);
      END_STATE();
    case 188:
      if (lookahead == 't') ADVANCE(284);
      END_STATE();
    case 189:
      if (lookahead == 'd') ADVANCE(285);
      END_STATE();
    case 190:
      if (lookahead == 'i') ADVANCE(286);
      if (lookahead == 'r') ADVANCE(287);
      END_STATE();
    case 191:
      if (lookahead == 'y') ADVANCE(288);
      END_STATE();
    case 192:
      if (lookahead == 'a') ADVANCE(289);
      END_STATE();
    case 193:
      if (lookahead == 't') ADVANCE(290);
      END_STATE();
    case 194:
      if (lookahead == 'c') ADVANCE(291);
      END_STATE();
    case 195:
      if (lookahead == 'g') ADVANCE(292);
      END_STATE();
    case 196:
      if (lookahead == 'l') ADVANCE(293);
      END_STATE();
    case 197:
      if (lookahead == 'n') ADVANCE(294);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(295);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 200:
      if (lookahead == 'n') ADVANCE(296);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(297);
      END_STATE();
    case 202:
      if (lookahead == 'k') ADVANCE(298);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_byte);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 205:
      if (lookahead == 'h') ADVANCE(299);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(300);
      END_STATE();
    case 207:
      if (lookahead == 'w') ADVANCE(301);
      END_STATE();
    case 208:
      if (lookahead == 'e') ADVANCE(302);
      END_STATE();
    case 209:
      if (lookahead == 'i') ADVANCE(303);
      END_STATE();
    case 210:
      if (lookahead == 'l') ADVANCE(304);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(305);
      END_STATE();
    case 212:
      if (lookahead == 't') ADVANCE(306);
      END_STATE();
    case 213:
      if (lookahead == 'i') ADVANCE(307);
      END_STATE();
    case 214:
      if (lookahead == 't') ADVANCE(308);
      END_STATE();
    case 215:
      if (lookahead == 'u') ADVANCE(309);
      END_STATE();
    case 216:
      if (lookahead == 'n') ADVANCE(310);
      END_STATE();
    case 217:
      if (lookahead == 't') ADVANCE(311);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 220:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 221:
      if (lookahead == 'r') ADVANCE(313);
      END_STATE();
    case 222:
      if (lookahead == 'l') ADVANCE(314);
      END_STATE();
    case 223:
      if (lookahead == 'n') ADVANCE(315);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 225:
      if (lookahead == 'n') ADVANCE(316);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 227:
      if (lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 228:
      if (lookahead == 's') ADVANCE(318);
      END_STATE();
    case 229:
      if (lookahead == 'c') ADVANCE(319);
      END_STATE();
    case 230:
      if (lookahead == 't') ADVANCE(320);
      END_STATE();
    case 231:
      if (lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 232:
      if (lookahead == 'p') ADVANCE(322);
      END_STATE();
    case 233:
      if (lookahead == 'e') ADVANCE(323);
      END_STATE();
    case 234:
      if (lookahead == 'a') ADVANCE(324);
      END_STATE();
    case 235:
      if (lookahead == 'q') ADVANCE(325);
      END_STATE();
    case 236:
      if (lookahead == 'r') ADVANCE(326);
      END_STATE();
    case 237:
      if (lookahead == 'a') ADVANCE(327);
      END_STATE();
    case 238:
      if (lookahead == 'e') ADVANCE(328);
      END_STATE();
    case 239:
      if (lookahead == 'i') ADVANCE(329);
      END_STATE();
    case 240:
      if (lookahead == 's') ADVANCE(330);
      END_STATE();
    case 241:
      if (lookahead == 'i') ADVANCE(331);
      END_STATE();
    case 242:
      if (lookahead == 'r') ADVANCE(332);
      END_STATE();
    case 243:
      if (lookahead == 'r') ADVANCE(333);
      END_STATE();
    case 244:
      if (lookahead == 't') ADVANCE(334);
      END_STATE();
    case 245:
      if (lookahead == 'e') ADVANCE(335);
      END_STATE();
    case 246:
      if (lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 247:
      if (lookahead == 'i') ADVANCE(337);
      END_STATE();
    case 248:
      if (lookahead == 'c') ADVANCE(338);
      END_STATE();
    case 249:
      if (lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 250:
      if (lookahead == 'l') ADVANCE(340);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 252:
      if (lookahead == 'a') ADVANCE(341);
      END_STATE();
    case 253:
      if (lookahead == 'w') ADVANCE(342);
      END_STATE();
    case 254:
      if (lookahead == 'd') ADVANCE(343);
      if (lookahead == 'n') ADVANCE(344);
      END_STATE();
    case 255:
      if (lookahead == 'n') ADVANCE(345);
      END_STATE();
    case 256:
      if (lookahead == 'g') ADVANCE(346);
      END_STATE();
    case 257:
      if (lookahead == 'g') ADVANCE(347);
      END_STATE();
    case 258:
      if (lookahead == 'u') ADVANCE(348);
      END_STATE();
    case 259:
      if (lookahead == 't') ADVANCE(349);
      END_STATE();
    case 260:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_word);
      END_STATE();
    case 262:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 263:
      if (lookahead == 'E') ADVANCE(352);
      END_STATE();
    case 264:
      if (lookahead == 'n') ADVANCE(353);
      END_STATE();
    case 265:
      if (lookahead == 'i') ADVANCE(354);
      END_STATE();
    case 266:
      if (lookahead == 'r') ADVANCE(355);
      END_STATE();
    case 267:
      if (lookahead == 'u') ADVANCE(356);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(357);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(358);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym___asm);
      if (lookahead == '_') ADVANCE(359);
      END_STATE();
    case 271:
      if (lookahead == 'r') ADVANCE(360);
      END_STATE();
    case 272:
      if (lookahead == 'e') ADVANCE(361);
      END_STATE();
    case 273:
      if (lookahead == 'c') ADVANCE(362);
      END_STATE();
    case 274:
      if (lookahead == 'c') ADVANCE(363);
      END_STATE();
    case 275:
      if (lookahead == 'l') ADVANCE(364);
      END_STATE();
    case 276:
      if (lookahead == 'e') ADVANCE(365);
      END_STATE();
    case 277:
      if (lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(367);
      END_STATE();
    case 279:
      if (lookahead == 'a') ADVANCE(368);
      END_STATE();
    case 280:
      if (lookahead == 'c') ADVANCE(369);
      END_STATE();
    case 281:
      if (lookahead == 'i') ADVANCE(370);
      END_STATE();
    case 282:
      if (lookahead == 'v') ADVANCE(371);
      END_STATE();
    case 283:
      if (lookahead == 't') ADVANCE(372);
      END_STATE();
    case 284:
      if (lookahead == 'r') ADVANCE(373);
      END_STATE();
    case 285:
      if (lookahead == 'c') ADVANCE(374);
      END_STATE();
    case 286:
      if (lookahead == 's') ADVANCE(375);
      END_STATE();
    case 287:
      if (lookahead == 'e') ADVANCE(376);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 289:
      if (lookahead == 'l') ADVANCE(377);
      END_STATE();
    case 290:
      if (lookahead == 'r') ADVANCE(378);
      END_STATE();
    case 291:
      if (lookahead == 't') ADVANCE(379);
      END_STATE();
    case 292:
      if (lookahead == 'n') ADVANCE(380);
      END_STATE();
    case 293:
      if (lookahead == 'i') ADVANCE(381);
      END_STATE();
    case 294:
      if (lookahead == 'a') ADVANCE(382);
      if (lookahead == 'o') ADVANCE(383);
      END_STATE();
    case 295:
      if (lookahead == 'q') ADVANCE(384);
      END_STATE();
    case 296:
      if (lookahead == 'd') ADVANCE(385);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 301:
      if (lookahead == 'a') ADVANCE(386);
      END_STATE();
    case 302:
      if (lookahead == 't') ADVANCE(387);
      END_STATE();
    case 303:
      if (lookahead == 'e') ADVANCE(388);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 305:
      if (lookahead == 'p') ADVANCE(389);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(390);
      if (lookahead == 'i') ADVANCE(391);
      END_STATE();
    case 307:
      if (lookahead == 'n') ADVANCE(392);
      END_STATE();
    case 308:
      if (lookahead == 'y') ADVANCE(393);
      END_STATE();
    case 309:
      if (lookahead == 'l') ADVANCE(394);
      END_STATE();
    case 310:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 311:
      if (lookahead == 'e') ADVANCE(396);
      END_STATE();
    case 312:
      if (lookahead == 'c') ADVANCE(397);
      END_STATE();
    case 313:
      if (lookahead == 'n') ADVANCE(398);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 315:
      if (lookahead == 'd') ADVANCE(399);
      END_STATE();
    case 316:
      if (lookahead == 'e') ADVANCE(400);
      END_STATE();
    case 317:
      if (lookahead == 'l') ADVANCE(401);
      END_STATE();
    case 318:
      if (lookahead == 'p') ADVANCE(402);
      END_STATE();
    case 319:
      if (lookahead == 'e') ADVANCE(403);
      END_STATE();
    case 320:
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 321:
      if (lookahead == 'q') ADVANCE(405);
      END_STATE();
    case 322:
      if (lookahead == 't') ADVANCE(406);
      END_STATE();
    case 323:
      if (lookahead == 't') ADVANCE(407);
      END_STATE();
    case 324:
      if (lookahead == 't') ADVANCE(408);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 326:
      if (lookahead == 'i') ADVANCE(409);
      END_STATE();
    case 327:
      if (lookahead == 't') ADVANCE(410);
      END_STATE();
    case 328:
      if (lookahead == 'c') ADVANCE(411);
      END_STATE();
    case 329:
      if (lookahead == 'c') ADVANCE(412);
      END_STATE();
    case 330:
      if (lookahead == 't') ADVANCE(413);
      END_STATE();
    case 331:
      if (lookahead == 'r') ADVANCE(414);
      END_STATE();
    case 332:
      if (lookahead == 'i') ADVANCE(415);
      END_STATE();
    case 333:
      if (lookahead == 'n') ADVANCE(416);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 335:
      if (lookahead == 'd') ADVANCE(417);
      END_STATE();
    case 336:
      if (lookahead == 'f') ADVANCE(418);
      END_STATE();
    case 337:
      if (lookahead == 'c') ADVANCE(419);
      END_STATE();
    case 338:
      if (lookahead == 't') ADVANCE(420);
      END_STATE();
    case 339:
      if (lookahead == 'h') ADVANCE(421);
      END_STATE();
    case 340:
      if (lookahead == 'a') ADVANCE(422);
      END_STATE();
    case 341:
      if (lookahead == 'd') ADVANCE(423);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 343:
      if (lookahead == 'e') ADVANCE(424);
      END_STATE();
    case 344:
      if (lookahead == 'a') ADVANCE(425);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 346:
      if (lookahead == 'n') ADVANCE(426);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 348:
      if (lookahead == 'a') ADVANCE(427);
      END_STATE();
    case 349:
      if (lookahead == 'i') ADVANCE(428);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 351:
      if (lookahead == 'q') ADVANCE(429);
      END_STATE();
    case 352:
      if (lookahead == 'M') ADVANCE(430);
      END_STATE();
    case 353:
      if (lookahead == 'a') ADVANCE(431);
      if (lookahead == 'o') ADVANCE(432);
      END_STATE();
    case 354:
      if (lookahead == 'c') ADVANCE(433);
      END_STATE();
    case 355:
      if (lookahead == 'i') ADVANCE(434);
      END_STATE();
    case 356:
      if (lookahead == 'l') ADVANCE(435);
      END_STATE();
    case 357:
      if (lookahead == 'u') ADVANCE(436);
      END_STATE();
    case 358:
      if (lookahead == 'n') ADVANCE(437);
      END_STATE();
    case 359:
      if (lookahead == '_') ADVANCE(438);
      END_STATE();
    case 360:
      if (lookahead == 'i') ADVANCE(439);
      END_STATE();
    case 361:
      if (lookahead == 'd') ADVANCE(440);
      END_STATE();
    case 362:
      if (lookahead == 'l') ADVANCE(441);
      END_STATE();
    case 363:
      if (lookahead == 'a') ADVANCE(442);
      END_STATE();
    case 364:
      if (lookahead == 's') ADVANCE(443);
      END_STATE();
    case 365:
      if (lookahead == 'p') ADVANCE(444);
      END_STATE();
    case 366:
      if (lookahead == 'n') ADVANCE(445);
      END_STATE();
    case 367:
      if (lookahead == 'c') ADVANCE(446);
      END_STATE();
    case 368:
      if (lookahead == 'l') ADVANCE(447);
      END_STATE();
    case 369:
      if (lookahead == 'e') ADVANCE(448);
      END_STATE();
    case 370:
      if (lookahead == 'n') ADVANCE(449);
      END_STATE();
    case 371:
      if (lookahead == 'e') ADVANCE(450);
      END_STATE();
    case 372:
      if (lookahead == 'r') ADVANCE(451);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 374:
      if (lookahead == 'a') ADVANCE(452);
      END_STATE();
    case 375:
      if (lookahead == 'c') ADVANCE(453);
      END_STATE();
    case 376:
      if (lookahead == 'a') ADVANCE(454);
      END_STATE();
    case 377:
      if (lookahead == 'i') ADVANCE(455);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 379:
      if (lookahead == 'o') ADVANCE(456);
      END_STATE();
    case 380:
      if (lookahead == 'o') ADVANCE(457);
      END_STATE();
    case 381:
      if (lookahead == 'g') ADVANCE(458);
      END_STATE();
    case 382:
      if (lookahead == 's') ADVANCE(459);
      END_STATE();
    case 383:
      if (lookahead == 'f') ADVANCE(460);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 386:
      if (lookahead == 'i') ADVANCE(461);
      END_STATE();
    case 387:
      if (lookahead == 'u') ADVANCE(462);
      END_STATE();
    case 388:
      if (lookahead == 'l') ADVANCE(463);
      END_STATE();
    case 389:
      if (lookahead == 't') ADVANCE(464);
      END_STATE();
    case 390:
      if (lookahead == 'v') ADVANCE(465);
      if (lookahead == 'x') ADVANCE(466);
      END_STATE();
    case 391:
      if (lookahead == 'n') ADVANCE(467);
      END_STATE();
    case 392:
      if (lookahead == 'u') ADVANCE(468);
      END_STATE();
    case 393:
      if (lookahead == 'p') ADVANCE(469);
      END_STATE();
    case 394:
      if (lookahead == 't') ADVANCE(470);
      END_STATE();
    case 395:
      if (lookahead == 'd') ADVANCE(471);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 397:
      if (lookahead == 'i') ADVANCE(472);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 401:
      if (lookahead == 'e') ADVANCE(473);
      END_STATE();
    case 402:
      if (lookahead == 'a') ADVANCE(474);
      END_STATE();
    case 403:
      if (lookahead == 'p') ADVANCE(475);
      END_STATE();
    case 404:
      if (lookahead == 'r') ADVANCE(476);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 406:
      if (lookahead == 'r') ADVANCE(477);
      END_STATE();
    case 407:
      if (lookahead == 'o') ADVANCE(478);
      END_STATE();
    case 408:
      if (lookahead == 'o') ADVANCE(479);
      END_STATE();
    case 409:
      if (lookahead == 'd') ADVANCE(480);
      END_STATE();
    case 410:
      if (lookahead == 'e') ADVANCE(481);
      END_STATE();
    case 411:
      if (lookahead == 't') ADVANCE(482);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 413:
      if (lookahead == 'e') ADVANCE(483);
      END_STATE();
    case 414:
      if (lookahead == 'e') ADVANCE(484);
      END_STATE();
    case 415:
      if (lookahead == 'c') ADVANCE(485);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(486);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 422:
      if (lookahead == 't') ADVANCE(487);
      END_STATE();
    case 423:
      if (lookahead == '_') ADVANCE(488);
      END_STATE();
    case 424:
      if (lookahead == 'f') ADVANCE(489);
      END_STATE();
    case 425:
      if (lookahead == 'm') ADVANCE(490);
      END_STATE();
    case 426:
      if (lookahead == 'e') ADVANCE(491);
      END_STATE();
    case 427:
      if (lookahead == 'l') ADVANCE(492);
      END_STATE();
    case 428:
      if (lookahead == 'l') ADVANCE(493);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_PROGMEM);
      END_STATE();
    case 431:
      if (lookahead == 's') ADVANCE(494);
      END_STATE();
    case 432:
      if (lookahead == 'f') ADVANCE(495);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 434:
      if (lookahead == 'c') ADVANCE(496);
      END_STATE();
    case 435:
      if (lookahead == 'l') ADVANCE(497);
      END_STATE();
    case 436:
      if (lookahead == 'r') ADVANCE(498);
      END_STATE();
    case 437:
      if (lookahead == 'o') ADVANCE(499);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 439:
      if (lookahead == 'b') ADVANCE(500);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 442:
      if (lookahead == 'l') ADVANCE(501);
      END_STATE();
    case 443:
      if (lookahead == 'p') ADVANCE(502);
      END_STATE();
    case 444:
      if (lookahead == 't') ADVANCE(503);
      END_STATE();
    case 445:
      if (lookahead == 's') ADVANCE(504);
      END_STATE();
    case 446:
      if (lookahead == 'a') ADVANCE(505);
      END_STATE();
    case 447:
      if (lookahead == 'l') ADVANCE(506);
      END_STATE();
    case 448:
      if (lookahead == 'i') ADVANCE(507);
      END_STATE();
    case 449:
      if (lookahead == 'e') ADVANCE(508);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 451:
      if (lookahead == 'i') ADVANCE(509);
      END_STATE();
    case 452:
      if (lookahead == 'l') ADVANCE(510);
      END_STATE();
    case 453:
      if (lookahead == 'a') ADVANCE(511);
      END_STATE();
    case 454:
      if (lookahead == 'd') ADVANCE(512);
      END_STATE();
    case 455:
      if (lookahead == 'g') ADVANCE(513);
      END_STATE();
    case 456:
      if (lookahead == 'r') ADVANCE(514);
      END_STATE();
    case 457:
      if (lookahead == 'f') ADVANCE(515);
      END_STATE();
    case 458:
      if (lookahead == 'n') ADVANCE(516);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 461:
      if (lookahead == 't') ADVANCE(517);
      END_STATE();
    case 462:
      if (lookahead == 'r') ADVANCE(518);
      END_STATE();
    case 463:
      if (lookahead == 'd') ADVANCE(519);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 465:
      if (lookahead == 'a') ADVANCE(520);
      END_STATE();
    case 466:
      if (lookahead == 'p') ADVANCE(521);
      END_STATE();
    case 467:
      if (lookahead == 'i') ADVANCE(522);
      END_STATE();
    case 468:
      if (lookahead == 'e') ADVANCE(523);
      END_STATE();
    case 469:
      if (lookahead == 'e') ADVANCE(524);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 472:
      if (lookahead == 't') ADVANCE(525);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 474:
      if (lookahead == 'c') ADVANCE(526);
      END_STATE();
    case 475:
      if (lookahead == 't') ADVANCE(527);
      END_STATE();
    case 476:
      if (lookahead == 'n') ADVANCE(528);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 478:
      if (lookahead == 'f') ADVANCE(529);
      END_STATE();
    case 479:
      if (lookahead == 'r') ADVANCE(530);
      END_STATE();
    case 480:
      if (lookahead == 'e') ADVANCE(531);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 482:
      if (lookahead == 'e') ADVANCE(532);
      END_STATE();
    case 483:
      if (lookahead == 'r') ADVANCE(533);
      END_STATE();
    case 484:
      if (lookahead == 's') ADVANCE(534);
      END_STATE();
    case 485:
      if (lookahead == 't') ADVANCE(535);
      END_STATE();
    case 486:
      if (lookahead == 'a') ADVANCE(536);
      END_STATE();
    case 487:
      if (lookahead == 'e') ADVANCE(537);
      END_STATE();
    case 488:
      if (lookahead == 'l') ADVANCE(538);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 490:
      if (lookahead == 'e') ADVANCE(539);
      END_STATE();
    case 491:
      if (lookahead == 'd') ADVANCE(540);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 493:
      if (lookahead == 'e') ADVANCE(541);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym__Alignas);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym__Nonnull);
      END_STATE();
    case 498:
      if (lookahead == 'n') ADVANCE(542);
      END_STATE();
    case 499:
      if (lookahead == 'f') ADVANCE(543);
      END_STATE();
    case 500:
      if (lookahead == 'u') ADVANCE(544);
      END_STATE();
    case 501:
      if (lookahead == 'l') ADVANCE(545);
      END_STATE();
    case 502:
      if (lookahead == 'e') ADVANCE(546);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 504:
      if (lookahead == 'i') ADVANCE(547);
      END_STATE();
    case 505:
      if (lookahead == 'l') ADVANCE(548);
      END_STATE();
    case 506:
      if (lookahead == 'y') ADVANCE(549);
      END_STATE();
    case 507:
      if (lookahead == 'n') ADVANCE(550);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(551);
      END_STATE();
    case 509:
      if (lookahead == 'c') ADVANCE(552);
      END_STATE();
    case 510:
      if (lookahead == 'l') ADVANCE(553);
      END_STATE();
    case 511:
      if (lookahead == 'l') ADVANCE(554);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 513:
      if (lookahead == 'n') ADVANCE(555);
      END_STATE();
    case 514:
      if (lookahead == 'c') ADVANCE(556);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 516:
      if (lookahead == 'e') ADVANCE(557);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 518:
      if (lookahead == 'n') ADVANCE(558);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 520:
      if (lookahead == 'l') ADVANCE(559);
      END_STATE();
    case 521:
      if (lookahead == 'r') ADVANCE(560);
      END_STATE();
    case 522:
      if (lookahead == 't') ADVANCE(561);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 526:
      if (lookahead == 'e') ADVANCE(562);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 532:
      if (lookahead == 'd') ADVANCE(563);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 536:
      if (lookahead == 's') ADVANCE(564);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 538:
      if (lookahead == 'o') ADVANCE(565);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(566);
      END_STATE();
    case 544:
      if (lookahead == 't') ADVANCE(567);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 546:
      if (lookahead == 'c') ADVANCE(568);
      END_STATE();
    case 547:
      if (lookahead == 'o') ADVANCE(569);
      END_STATE();
    case 548:
      if (lookahead == 'l') ADVANCE(570);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 550:
      if (lookahead == 'l') ADVANCE(571);
      END_STATE();
    case 551:
      if (lookahead == '_') ADVANCE(572);
      END_STATE();
    case 552:
      if (lookahead == 't') ADVANCE(573);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 554:
      if (lookahead == 'l') ADVANCE(574);
      END_STATE();
    case 555:
      if (lookahead == 'e') ADVANCE(575);
      END_STATE();
    case 556:
      if (lookahead == 'a') ADVANCE(576);
      END_STATE();
    case 557:
      if (lookahead == 'd') ADVANCE(577);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 564:
      if (lookahead == 's') ADVANCE(578);
      END_STATE();
    case 565:
      if (lookahead == 'c') ADVANCE(579);
      END_STATE();
    case 566:
      if (lookahead == '_') ADVANCE(580);
      END_STATE();
    case 567:
      if (lookahead == 'e') ADVANCE(581);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 569:
      if (lookahead == 'n') ADVANCE(582);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 571:
      if (lookahead == 'i') ADVANCE(583);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(584);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 575:
      if (lookahead == 'd') ADVANCE(585);
      END_STATE();
    case 576:
      if (lookahead == 'l') ADVANCE(586);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 578:
      if (lookahead == 'e') ADVANCE(587);
      END_STATE();
    case 579:
      if (lookahead == 'a') ADVANCE(588);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 581:
      if (lookahead == '_') ADVANCE(589);
      END_STATE();
    case 582:
      if (lookahead == '_') ADVANCE(590);
      END_STATE();
    case 583:
      if (lookahead == 'n') ADVANCE(591);
      END_STATE();
    case 584:
      if (lookahead == '_') ADVANCE(592);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 586:
      if (lookahead == 'l') ADVANCE(593);
      END_STATE();
    case 587:
      if (lookahead == 'r') ADVANCE(594);
      END_STATE();
    case 588:
      if (lookahead == 'l') ADVANCE(595);
      END_STATE();
    case 589:
      if (lookahead == '_') ADVANCE(596);
      END_STATE();
    case 590:
      if (lookahead == '_') ADVANCE(597);
      END_STATE();
    case 591:
      if (lookahead == 'e') ADVANCE(598);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 594:
      if (lookahead == 't') ADVANCE(599);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 332},
  [2] = {.lex_state = 332},
  [3] = {.lex_state = 332},
  [4] = {.lex_state = 332},
  [5] = {.lex_state = 332},
  [6] = {.lex_state = 332},
  [7] = {.lex_state = 332},
  [8] = {.lex_state = 332},
  [9] = {.lex_state = 332},
  [10] = {.lex_state = 332},
  [11] = {.lex_state = 332},
  [12] = {.lex_state = 332},
  [13] = {.lex_state = 167},
  [14] = {.lex_state = 167},
  [15] = {.lex_state = 167},
  [16] = {.lex_state = 167},
  [17] = {.lex_state = 167},
  [18] = {.lex_state = 167},
  [19] = {.lex_state = 167},
  [20] = {.lex_state = 167},
  [21] = {.lex_state = 167},
  [22] = {.lex_state = 167},
  [23] = {.lex_state = 167},
  [24] = {.lex_state = 167},
  [25] = {.lex_state = 167},
  [26] = {.lex_state = 167},
  [27] = {.lex_state = 167},
  [28] = {.lex_state = 167},
  [29] = {.lex_state = 167},
  [30] = {.lex_state = 167},
  [31] = {.lex_state = 167},
  [32] = {.lex_state = 167},
  [33] = {.lex_state = 167},
  [34] = {.lex_state = 332},
  [35] = {.lex_state = 332},
  [36] = {.lex_state = 332},
  [37] = {.lex_state = 332},
  [38] = {.lex_state = 332},
  [39] = {.lex_state = 332},
  [40] = {.lex_state = 332},
  [41] = {.lex_state = 332},
  [42] = {.lex_state = 332},
  [43] = {.lex_state = 332},
  [44] = {.lex_state = 332},
  [45] = {.lex_state = 332},
  [46] = {.lex_state = 332},
  [47] = {.lex_state = 332},
  [48] = {.lex_state = 332},
  [49] = {.lex_state = 332},
  [50] = {.lex_state = 332},
  [51] = {.lex_state = 332},
  [52] = {.lex_state = 170},
  [53] = {.lex_state = 332},
  [54] = {.lex_state = 332},
  [55] = {.lex_state = 332},
  [56] = {.lex_state = 332},
  [57] = {.lex_state = 170},
  [58] = {.lex_state = 170},
  [59] = {.lex_state = 332},
  [60] = {.lex_state = 332},
  [61] = {.lex_state = 332},
  [62] = {.lex_state = 332},
  [63] = {.lex_state = 332},
  [64] = {.lex_state = 332},
  [65] = {.lex_state = 332},
  [66] = {.lex_state = 332},
  [67] = {.lex_state = 332},
  [68] = {.lex_state = 332},
  [69] = {.lex_state = 332},
  [70] = {.lex_state = 332},
  [71] = {.lex_state = 332},
  [72] = {.lex_state = 332},
  [73] = {.lex_state = 332},
  [74] = {.lex_state = 332},
  [75] = {.lex_state = 332},
  [76] = {.lex_state = 332},
  [77] = {.lex_state = 332},
  [78] = {.lex_state = 332},
  [79] = {.lex_state = 332},
  [80] = {.lex_state = 332},
  [81] = {.lex_state = 332},
  [82] = {.lex_state = 167},
  [83] = {.lex_state = 167},
  [84] = {.lex_state = 167},
  [85] = {.lex_state = 167},
  [86] = {.lex_state = 167},
  [87] = {.lex_state = 170},
  [88] = {.lex_state = 332},
  [89] = {.lex_state = 332},
  [90] = {.lex_state = 332},
  [91] = {.lex_state = 332},
  [92] = {.lex_state = 332},
  [93] = {.lex_state = 332},
  [94] = {.lex_state = 170},
  [95] = {.lex_state = 170},
  [96] = {.lex_state = 170},
  [97] = {.lex_state = 332},
  [98] = {.lex_state = 332},
  [99] = {.lex_state = 332},
  [100] = {.lex_state = 170},
  [101] = {.lex_state = 332},
  [102] = {.lex_state = 169},
  [103] = {.lex_state = 169},
  [104] = {.lex_state = 169},
  [105] = {.lex_state = 169},
  [106] = {.lex_state = 169},
  [107] = {.lex_state = 169},
  [108] = {.lex_state = 169},
  [109] = {.lex_state = 169},
  [110] = {.lex_state = 169},
  [111] = {.lex_state = 169},
  [112] = {.lex_state = 169},
  [113] = {.lex_state = 169},
  [114] = {.lex_state = 169},
  [115] = {.lex_state = 171},
  [116] = {.lex_state = 171},
  [117] = {.lex_state = 169},
  [118] = {.lex_state = 169},
  [119] = {.lex_state = 171},
  [120] = {.lex_state = 169},
  [121] = {.lex_state = 169},
  [122] = {.lex_state = 169},
  [123] = {.lex_state = 169},
  [124] = {.lex_state = 169},
  [125] = {.lex_state = 169},
  [126] = {.lex_state = 169},
  [127] = {.lex_state = 169},
  [128] = {.lex_state = 169},
  [129] = {.lex_state = 169},
  [130] = {.lex_state = 169},
  [131] = {.lex_state = 169},
  [132] = {.lex_state = 160},
  [133] = {.lex_state = 172},
  [134] = {.lex_state = 172},
  [135] = {.lex_state = 172},
  [136] = {.lex_state = 172},
  [137] = {.lex_state = 172},
  [138] = {.lex_state = 172},
  [139] = {.lex_state = 172},
  [140] = {.lex_state = 172},
  [141] = {.lex_state = 172},
  [142] = {.lex_state = 172},
  [143] = {.lex_state = 172},
  [144] = {.lex_state = 172},
  [145] = {.lex_state = 172},
  [146] = {.lex_state = 172},
  [147] = {.lex_state = 332},
  [148] = {.lex_state = 332},
  [149] = {.lex_state = 172},
  [150] = {.lex_state = 172},
  [151] = {.lex_state = 172},
  [152] = {.lex_state = 172},
  [153] = {.lex_state = 172},
  [154] = {.lex_state = 172},
  [155] = {.lex_state = 160},
  [156] = {.lex_state = 172},
  [157] = {.lex_state = 172},
  [158] = {.lex_state = 172},
  [159] = {.lex_state = 172},
  [160] = {.lex_state = 172},
  [161] = {.lex_state = 172},
  [162] = {.lex_state = 169},
  [163] = {.lex_state = 169},
  [164] = {.lex_state = 169},
  [165] = {.lex_state = 169},
  [166] = {.lex_state = 169},
  [167] = {.lex_state = 169},
  [168] = {.lex_state = 169},
  [169] = {.lex_state = 169},
  [170] = {.lex_state = 169},
  [171] = {.lex_state = 169},
  [172] = {.lex_state = 169},
  [173] = {.lex_state = 169},
  [174] = {.lex_state = 169},
  [175] = {.lex_state = 169},
  [176] = {.lex_state = 169},
  [177] = {.lex_state = 169},
  [178] = {.lex_state = 169},
  [179] = {.lex_state = 169},
  [180] = {.lex_state = 169},
  [181] = {.lex_state = 169},
  [182] = {.lex_state = 169},
  [183] = {.lex_state = 169},
  [184] = {.lex_state = 169},
  [185] = {.lex_state = 169},
  [186] = {.lex_state = 169},
  [187] = {.lex_state = 169},
  [188] = {.lex_state = 169},
  [189] = {.lex_state = 169},
  [190] = {.lex_state = 169},
  [191] = {.lex_state = 169},
  [192] = {.lex_state = 169},
  [193] = {.lex_state = 169},
  [194] = {.lex_state = 169},
  [195] = {.lex_state = 169},
  [196] = {.lex_state = 162},
  [197] = {.lex_state = 169},
  [198] = {.lex_state = 169},
  [199] = {.lex_state = 169},
  [200] = {.lex_state = 169},
  [201] = {.lex_state = 169},
  [202] = {.lex_state = 169},
  [203] = {.lex_state = 169},
  [204] = {.lex_state = 169},
  [205] = {.lex_state = 169},
  [206] = {.lex_state = 169},
  [207] = {.lex_state = 160},
  [208] = {.lex_state = 169},
  [209] = {.lex_state = 169},
  [210] = {.lex_state = 169},
  [211] = {.lex_state = 169},
  [212] = {.lex_state = 169},
  [213] = {.lex_state = 169},
  [214] = {.lex_state = 169},
  [215] = {.lex_state = 169},
  [216] = {.lex_state = 169},
  [217] = {.lex_state = 163},
  [218] = {.lex_state = 160},
  [219] = {.lex_state = 332},
  [220] = {.lex_state = 332},
  [221] = {.lex_state = 332},
  [222] = {.lex_state = 332},
  [223] = {.lex_state = 167},
  [224] = {.lex_state = 162},
  [225] = {.lex_state = 167},
  [226] = {.lex_state = 172},
  [227] = {.lex_state = 172},
  [228] = {.lex_state = 172},
  [229] = {.lex_state = 172},
  [230] = {.lex_state = 172},
  [231] = {.lex_state = 172},
  [232] = {.lex_state = 172},
  [233] = {.lex_state = 172},
  [234] = {.lex_state = 172},
  [235] = {.lex_state = 172},
  [236] = {.lex_state = 172},
  [237] = {.lex_state = 167},
  [238] = {.lex_state = 167},
  [239] = {.lex_state = 172},
  [240] = {.lex_state = 172},
  [241] = {.lex_state = 172},
  [242] = {.lex_state = 172},
  [243] = {.lex_state = 172},
  [244] = {.lex_state = 172},
  [245] = {.lex_state = 167},
  [246] = {.lex_state = 171},
  [247] = {.lex_state = 167},
  [248] = {.lex_state = 167},
  [249] = {.lex_state = 169},
  [250] = {.lex_state = 169},
  [251] = {.lex_state = 167},
  [252] = {.lex_state = 167},
  [253] = {.lex_state = 171},
  [254] = {.lex_state = 172},
  [255] = {.lex_state = 169},
  [256] = {.lex_state = 167},
  [257] = {.lex_state = 167},
  [258] = {.lex_state = 172},
  [259] = {.lex_state = 172},
  [260] = {.lex_state = 167},
  [261] = {.lex_state = 172},
  [262] = {.lex_state = 167},
  [263] = {.lex_state = 167},
  [264] = {.lex_state = 167},
  [265] = {.lex_state = 172},
  [266] = {.lex_state = 167},
  [267] = {.lex_state = 167},
  [268] = {.lex_state = 167},
  [269] = {.lex_state = 167},
  [270] = {.lex_state = 172},
  [271] = {.lex_state = 167},
  [272] = {.lex_state = 167},
  [273] = {.lex_state = 169},
  [274] = {.lex_state = 167},
  [275] = {.lex_state = 169},
  [276] = {.lex_state = 167},
  [277] = {.lex_state = 167},
  [278] = {.lex_state = 167},
  [279] = {.lex_state = 169},
  [280] = {.lex_state = 167},
  [281] = {.lex_state = 167},
  [282] = {.lex_state = 167},
  [283] = {.lex_state = 167},
  [284] = {.lex_state = 167},
  [285] = {.lex_state = 169},
  [286] = {.lex_state = 167},
  [287] = {.lex_state = 167},
  [288] = {.lex_state = 172},
  [289] = {.lex_state = 169},
  [290] = {.lex_state = 167},
  [291] = {.lex_state = 169},
  [292] = {.lex_state = 167},
  [293] = {.lex_state = 167},
  [294] = {.lex_state = 167},
  [295] = {.lex_state = 167},
  [296] = {.lex_state = 167},
  [297] = {.lex_state = 167},
  [298] = {.lex_state = 167},
  [299] = {.lex_state = 167},
  [300] = {.lex_state = 167},
  [301] = {.lex_state = 167},
  [302] = {.lex_state = 167},
  [303] = {.lex_state = 167},
  [304] = {.lex_state = 167},
  [305] = {.lex_state = 167},
  [306] = {.lex_state = 167},
  [307] = {.lex_state = 167},
  [308] = {.lex_state = 167},
  [309] = {.lex_state = 167},
  [310] = {.lex_state = 167},
  [311] = {.lex_state = 167},
  [312] = {.lex_state = 167},
  [313] = {.lex_state = 167},
  [314] = {.lex_state = 167},
  [315] = {.lex_state = 167},
  [316] = {.lex_state = 167},
  [317] = {.lex_state = 167},
  [318] = {.lex_state = 167},
  [319] = {.lex_state = 167},
  [320] = {.lex_state = 167},
  [321] = {.lex_state = 167},
  [322] = {.lex_state = 167},
  [323] = {.lex_state = 167},
  [324] = {.lex_state = 167},
  [325] = {.lex_state = 167},
  [326] = {.lex_state = 167},
  [327] = {.lex_state = 167},
  [328] = {.lex_state = 167},
  [329] = {.lex_state = 167},
  [330] = {.lex_state = 167},
  [331] = {.lex_state = 167},
  [332] = {.lex_state = 167},
  [333] = {.lex_state = 167},
  [334] = {.lex_state = 167},
  [335] = {.lex_state = 167},
  [336] = {.lex_state = 167},
  [337] = {.lex_state = 170},
  [338] = {.lex_state = 167},
  [339] = {.lex_state = 167},
  [340] = {.lex_state = 332},
  [341] = {.lex_state = 167},
  [342] = {.lex_state = 167},
  [343] = {.lex_state = 169},
  [344] = {.lex_state = 167},
  [345] = {.lex_state = 167},
  [346] = {.lex_state = 167},
  [347] = {.lex_state = 170},
  [348] = {.lex_state = 332},
  [349] = {.lex_state = 167},
  [350] = {.lex_state = 169},
  [351] = {.lex_state = 167},
  [352] = {.lex_state = 167},
  [353] = {.lex_state = 167},
  [354] = {.lex_state = 167},
  [355] = {.lex_state = 167},
  [356] = {.lex_state = 167},
  [357] = {.lex_state = 167},
  [358] = {.lex_state = 332},
  [359] = {.lex_state = 167},
  [360] = {.lex_state = 167},
  [361] = {.lex_state = 167},
  [362] = {.lex_state = 167},
  [363] = {.lex_state = 167},
  [364] = {.lex_state = 167},
  [365] = {.lex_state = 167},
  [366] = {.lex_state = 167},
  [367] = {.lex_state = 167},
  [368] = {.lex_state = 332},
  [369] = {.lex_state = 167},
  [370] = {.lex_state = 167},
  [371] = {.lex_state = 167},
  [372] = {.lex_state = 167},
  [373] = {.lex_state = 167},
  [374] = {.lex_state = 167},
  [375] = {.lex_state = 167},
  [376] = {.lex_state = 167},
  [377] = {.lex_state = 167},
  [378] = {.lex_state = 167},
  [379] = {.lex_state = 167},
  [380] = {.lex_state = 167},
  [381] = {.lex_state = 167},
  [382] = {.lex_state = 167},
  [383] = {.lex_state = 167},
  [384] = {.lex_state = 167},
  [385] = {.lex_state = 234},
  [386] = {.lex_state = 234},
  [387] = {.lex_state = 234},
  [388] = {.lex_state = 234},
  [389] = {.lex_state = 332},
  [390] = {.lex_state = 234},
  [391] = {.lex_state = 170},
  [392] = {.lex_state = 234},
  [393] = {.lex_state = 234},
  [394] = {.lex_state = 234},
  [395] = {.lex_state = 234},
  [396] = {.lex_state = 234},
  [397] = {.lex_state = 234},
  [398] = {.lex_state = 234},
  [399] = {.lex_state = 170},
  [400] = {.lex_state = 234},
  [401] = {.lex_state = 234},
  [402] = {.lex_state = 234},
  [403] = {.lex_state = 332},
  [404] = {.lex_state = 234},
  [405] = {.lex_state = 332},
  [406] = {.lex_state = 170},
  [407] = {.lex_state = 332},
  [408] = {.lex_state = 170},
  [409] = {.lex_state = 170},
  [410] = {.lex_state = 332},
  [411] = {.lex_state = 332},
  [412] = {.lex_state = 332},
  [413] = {.lex_state = 170},
  [414] = {.lex_state = 332},
  [415] = {.lex_state = 332},
  [416] = {.lex_state = 170},
  [417] = {.lex_state = 332},
  [418] = {.lex_state = 170},
  [419] = {.lex_state = 332},
  [420] = {.lex_state = 332},
  [421] = {.lex_state = 332},
  [422] = {.lex_state = 332},
  [423] = {.lex_state = 332},
  [424] = {.lex_state = 332},
  [425] = {.lex_state = 332},
  [426] = {.lex_state = 332},
  [427] = {.lex_state = 332},
  [428] = {.lex_state = 332},
  [429] = {.lex_state = 332},
  [430] = {.lex_state = 332},
  [431] = {.lex_state = 332},
  [432] = {.lex_state = 332},
  [433] = {.lex_state = 332},
  [434] = {.lex_state = 332},
  [435] = {.lex_state = 332},
  [436] = {.lex_state = 332},
  [437] = {.lex_state = 170},
  [438] = {.lex_state = 170},
  [439] = {.lex_state = 170},
  [440] = {.lex_state = 170},
  [441] = {.lex_state = 332},
  [442] = {.lex_state = 332},
  [443] = {.lex_state = 332},
  [444] = {.lex_state = 170},
  [445] = {.lex_state = 170},
  [446] = {.lex_state = 332},
  [447] = {.lex_state = 332},
  [448] = {.lex_state = 332},
  [449] = {.lex_state = 332},
  [450] = {.lex_state = 332},
  [451] = {.lex_state = 332},
  [452] = {.lex_state = 332},
  [453] = {.lex_state = 332},
  [454] = {.lex_state = 332},
  [455] = {.lex_state = 332},
  [456] = {.lex_state = 332},
  [457] = {.lex_state = 332},
  [458] = {.lex_state = 170},
  [459] = {.lex_state = 170},
  [460] = {.lex_state = 170},
  [461] = {.lex_state = 332},
  [462] = {.lex_state = 332},
  [463] = {.lex_state = 332},
  [464] = {.lex_state = 332},
  [465] = {.lex_state = 332},
  [466] = {.lex_state = 332},
  [467] = {.lex_state = 332},
  [468] = {.lex_state = 332},
  [469] = {.lex_state = 170},
  [470] = {.lex_state = 332},
  [471] = {.lex_state = 332},
  [472] = {.lex_state = 332},
  [473] = {.lex_state = 332},
  [474] = {.lex_state = 332},
  [475] = {.lex_state = 332},
  [476] = {.lex_state = 332},
  [477] = {.lex_state = 332},
  [478] = {.lex_state = 170},
  [479] = {.lex_state = 170},
  [480] = {.lex_state = 332},
  [481] = {.lex_state = 170},
  [482] = {.lex_state = 170},
  [483] = {.lex_state = 332},
  [484] = {.lex_state = 332},
  [485] = {.lex_state = 332},
  [486] = {.lex_state = 170},
  [487] = {.lex_state = 332},
  [488] = {.lex_state = 170},
  [489] = {.lex_state = 170},
  [490] = {.lex_state = 170},
  [491] = {.lex_state = 332},
  [492] = {.lex_state = 332},
  [493] = {.lex_state = 170},
  [494] = {.lex_state = 170},
  [495] = {.lex_state = 332},
  [496] = {.lex_state = 170},
  [497] = {.lex_state = 332},
  [498] = {.lex_state = 332},
  [499] = {.lex_state = 170},
  [500] = {.lex_state = 332},
  [501] = {.lex_state = 332},
  [502] = {.lex_state = 170},
  [503] = {.lex_state = 332},
  [504] = {.lex_state = 332},
  [505] = {.lex_state = 170},
  [506] = {.lex_state = 332},
  [507] = {.lex_state = 332},
  [508] = {.lex_state = 332},
  [509] = {.lex_state = 332},
  [510] = {.lex_state = 170},
  [511] = {.lex_state = 332},
  [512] = {.lex_state = 332},
  [513] = {.lex_state = 332},
  [514] = {.lex_state = 170},
  [515] = {.lex_state = 170},
  [516] = {.lex_state = 170},
  [517] = {.lex_state = 170},
  [518] = {.lex_state = 170},
  [519] = {.lex_state = 170},
  [520] = {.lex_state = 170},
  [521] = {.lex_state = 170},
  [522] = {.lex_state = 170},
  [523] = {.lex_state = 170},
  [524] = {.lex_state = 332},
  [525] = {.lex_state = 332},
  [526] = {.lex_state = 170},
  [527] = {.lex_state = 332},
  [528] = {.lex_state = 332},
  [529] = {.lex_state = 170},
  [530] = {.lex_state = 332},
  [531] = {.lex_state = 332},
  [532] = {.lex_state = 170},
  [533] = {.lex_state = 170},
  [534] = {.lex_state = 170},
  [535] = {.lex_state = 332},
  [536] = {.lex_state = 170},
  [537] = {.lex_state = 170},
  [538] = {.lex_state = 170},
  [539] = {.lex_state = 332},
  [540] = {.lex_state = 332},
  [541] = {.lex_state = 332},
  [542] = {.lex_state = 332},
  [543] = {.lex_state = 332},
  [544] = {.lex_state = 332},
  [545] = {.lex_state = 332},
  [546] = {.lex_state = 332},
  [547] = {.lex_state = 332},
  [548] = {.lex_state = 332},
  [549] = {.lex_state = 332},
  [550] = {.lex_state = 332},
  [551] = {.lex_state = 170},
  [552] = {.lex_state = 332},
  [553] = {.lex_state = 170},
  [554] = {.lex_state = 332},
  [555] = {.lex_state = 332},
  [556] = {.lex_state = 332},
  [557] = {.lex_state = 332},
  [558] = {.lex_state = 170},
  [559] = {.lex_state = 170},
  [560] = {.lex_state = 332},
  [561] = {.lex_state = 332},
  [562] = {.lex_state = 170},
  [563] = {.lex_state = 170},
  [564] = {.lex_state = 170},
  [565] = {.lex_state = 170},
  [566] = {.lex_state = 332},
  [567] = {.lex_state = 332},
  [568] = {.lex_state = 332},
  [569] = {.lex_state = 332},
  [570] = {.lex_state = 170},
  [571] = {.lex_state = 170},
  [572] = {.lex_state = 332},
  [573] = {.lex_state = 332},
  [574] = {.lex_state = 332},
  [575] = {.lex_state = 332},
  [576] = {.lex_state = 332},
  [577] = {.lex_state = 332},
  [578] = {.lex_state = 332},
  [579] = {.lex_state = 332},
  [580] = {.lex_state = 161},
  [581] = {.lex_state = 332},
  [582] = {.lex_state = 170},
  [583] = {.lex_state = 332},
  [584] = {.lex_state = 332},
  [585] = {.lex_state = 170},
  [586] = {.lex_state = 234},
  [587] = {.lex_state = 170},
  [588] = {.lex_state = 170},
  [589] = {.lex_state = 170},
  [590] = {.lex_state = 332},
  [591] = {.lex_state = 332},
  [592] = {.lex_state = 332},
  [593] = {.lex_state = 332},
  [594] = {.lex_state = 332},
  [595] = {.lex_state = 332},
  [596] = {.lex_state = 170},
  [597] = {.lex_state = 332},
  [598] = {.lex_state = 332},
  [599] = {.lex_state = 170},
  [600] = {.lex_state = 332},
  [601] = {.lex_state = 332},
  [602] = {.lex_state = 332},
  [603] = {.lex_state = 332},
  [604] = {.lex_state = 332},
  [605] = {.lex_state = 332},
  [606] = {.lex_state = 332},
  [607] = {.lex_state = 332},
  [608] = {.lex_state = 332},
  [609] = {.lex_state = 170},
  [610] = {.lex_state = 170},
  [611] = {.lex_state = 170},
  [612] = {.lex_state = 332},
  [613] = {.lex_state = 332},
  [614] = {.lex_state = 170},
  [615] = {.lex_state = 332},
  [616] = {.lex_state = 332},
  [617] = {.lex_state = 332},
  [618] = {.lex_state = 332},
  [619] = {.lex_state = 332},
  [620] = {.lex_state = 332},
  [621] = {.lex_state = 332},
  [622] = {.lex_state = 332},
  [623] = {.lex_state = 332},
  [624] = {.lex_state = 332},
  [625] = {.lex_state = 332},
  [626] = {.lex_state = 332},
  [627] = {.lex_state = 170},
  [628] = {.lex_state = 332},
  [629] = {.lex_state = 332},
  [630] = {.lex_state = 332},
  [631] = {.lex_state = 170},
  [632] = {.lex_state = 170},
  [633] = {.lex_state = 170},
  [634] = {.lex_state = 170},
  [635] = {.lex_state = 170},
  [636] = {.lex_state = 170},
  [637] = {.lex_state = 170},
  [638] = {.lex_state = 170},
  [639] = {.lex_state = 170},
  [640] = {.lex_state = 170},
  [641] = {.lex_state = 170},
  [642] = {.lex_state = 170},
  [643] = {.lex_state = 170},
  [644] = {.lex_state = 170},
  [645] = {.lex_state = 170},
  [646] = {.lex_state = 170},
  [647] = {.lex_state = 170},
  [648] = {.lex_state = 170},
  [649] = {.lex_state = 170},
  [650] = {.lex_state = 170},
  [651] = {.lex_state = 170},
  [652] = {.lex_state = 170},
  [653] = {.lex_state = 170},
  [654] = {.lex_state = 170},
  [655] = {.lex_state = 170},
  [656] = {.lex_state = 170},
  [657] = {.lex_state = 170},
  [658] = {.lex_state = 332},
  [659] = {.lex_state = 170},
  [660] = {.lex_state = 170},
  [661] = {.lex_state = 332},
  [662] = {.lex_state = 332},
  [663] = {.lex_state = 170},
  [664] = {.lex_state = 170},
  [665] = {.lex_state = 170},
  [666] = {.lex_state = 170},
  [667] = {.lex_state = 170},
  [668] = {.lex_state = 170},
  [669] = {.lex_state = 170},
  [670] = {.lex_state = 170},
  [671] = {.lex_state = 170},
  [672] = {.lex_state = 170},
  [673] = {.lex_state = 170},
  [674] = {.lex_state = 170},
  [675] = {.lex_state = 170},
  [676] = {.lex_state = 170},
  [677] = {.lex_state = 332},
  [678] = {.lex_state = 332},
  [679] = {.lex_state = 332},
  [680] = {.lex_state = 332},
  [681] = {.lex_state = 161},
  [682] = {.lex_state = 332},
  [683] = {.lex_state = 332},
  [684] = {.lex_state = 332},
  [685] = {.lex_state = 332},
  [686] = {.lex_state = 332},
  [687] = {.lex_state = 332},
  [688] = {.lex_state = 332},
  [689] = {.lex_state = 332},
  [690] = {.lex_state = 332},
  [691] = {.lex_state = 332},
  [692] = {.lex_state = 332},
  [693] = {.lex_state = 332},
  [694] = {.lex_state = 332},
  [695] = {.lex_state = 332},
  [696] = {.lex_state = 332},
  [697] = {.lex_state = 332},
  [698] = {.lex_state = 332},
  [699] = {.lex_state = 332},
  [700] = {.lex_state = 332},
  [701] = {.lex_state = 332},
  [702] = {.lex_state = 332},
  [703] = {.lex_state = 332},
  [704] = {.lex_state = 332},
  [705] = {.lex_state = 332},
  [706] = {.lex_state = 332},
  [707] = {.lex_state = 332},
  [708] = {.lex_state = 332},
  [709] = {.lex_state = 161},
  [710] = {.lex_state = 332},
  [711] = {.lex_state = 332},
  [712] = {.lex_state = 332},
  [713] = {.lex_state = 332},
  [714] = {.lex_state = 332},
  [715] = {.lex_state = 332},
  [716] = {.lex_state = 332},
  [717] = {.lex_state = 332},
  [718] = {.lex_state = 332},
  [719] = {.lex_state = 332},
  [720] = {.lex_state = 332},
  [721] = {.lex_state = 332},
  [722] = {.lex_state = 332},
  [723] = {.lex_state = 332},
  [724] = {.lex_state = 332},
  [725] = {.lex_state = 332},
  [726] = {.lex_state = 332},
  [727] = {.lex_state = 332},
  [728] = {.lex_state = 332},
  [729] = {.lex_state = 332},
  [730] = {.lex_state = 332},
  [731] = {.lex_state = 332},
  [732] = {.lex_state = 332},
  [733] = {.lex_state = 332},
  [734] = {.lex_state = 332},
  [735] = {.lex_state = 332},
  [736] = {.lex_state = 332},
  [737] = {.lex_state = 332},
  [738] = {.lex_state = 332},
  [739] = {.lex_state = 332},
  [740] = {.lex_state = 332},
  [741] = {.lex_state = 332},
  [742] = {.lex_state = 332},
  [743] = {.lex_state = 332},
  [744] = {.lex_state = 332},
  [745] = {.lex_state = 332},
  [746] = {.lex_state = 332},
  [747] = {.lex_state = 332},
  [748] = {.lex_state = 332},
  [749] = {.lex_state = 332},
  [750] = {.lex_state = 332},
  [751] = {.lex_state = 332},
  [752] = {.lex_state = 332},
  [753] = {.lex_state = 332},
  [754] = {.lex_state = 332},
  [755] = {.lex_state = 332},
  [756] = {.lex_state = 332},
  [757] = {.lex_state = 190},
  [758] = {.lex_state = 190},
  [759] = {.lex_state = 190},
  [760] = {.lex_state = 190},
  [761] = {.lex_state = 190},
  [762] = {.lex_state = 164},
  [763] = {.lex_state = 190},
  [764] = {.lex_state = 190},
  [765] = {.lex_state = 190},
  [766] = {.lex_state = 190},
  [767] = {.lex_state = 190},
  [768] = {.lex_state = 235},
  [769] = {.lex_state = 190},
  [770] = {.lex_state = 235},
  [771] = {.lex_state = 190},
  [772] = {.lex_state = 190},
  [773] = {.lex_state = 190},
  [774] = {.lex_state = 190},
  [775] = {.lex_state = 161},
  [776] = {.lex_state = 161},
  [777] = {.lex_state = 190},
  [778] = {.lex_state = 235},
  [779] = {.lex_state = 190},
  [780] = {.lex_state = 190},
  [781] = {.lex_state = 190},
  [782] = {.lex_state = 190},
  [783] = {.lex_state = 190},
  [784] = {.lex_state = 161},
  [785] = {.lex_state = 172},
  [786] = {.lex_state = 172},
  [787] = {.lex_state = 172},
  [788] = {.lex_state = 165},
  [789] = {.lex_state = 165},
  [790] = {.lex_state = 172},
  [791] = {.lex_state = 172},
  [792] = {.lex_state = 172},
  [793] = {.lex_state = 172},
  [794] = {.lex_state = 172},
  [795] = {.lex_state = 172},
  [796] = {.lex_state = 172},
  [797] = {.lex_state = 172},
  [798] = {.lex_state = 172},
  [799] = {.lex_state = 172},
  [800] = {.lex_state = 172},
  [801] = {.lex_state = 172},
  [802] = {.lex_state = 172},
  [803] = {.lex_state = 172},
  [804] = {.lex_state = 172},
  [805] = {.lex_state = 172},
  [806] = {.lex_state = 332},
  [807] = {.lex_state = 172},
  [808] = {.lex_state = 172},
  [809] = {.lex_state = 172},
  [810] = {.lex_state = 332},
  [811] = {.lex_state = 172},
  [812] = {.lex_state = 172},
  [813] = {.lex_state = 234},
  [814] = {.lex_state = 234},
  [815] = {.lex_state = 234},
  [816] = {.lex_state = 234},
  [817] = {.lex_state = 234},
  [818] = {.lex_state = 234},
  [819] = {.lex_state = 234},
  [820] = {.lex_state = 171},
  [821] = {.lex_state = 171},
  [822] = {.lex_state = 234},
  [823] = {.lex_state = 234},
  [824] = {.lex_state = 234},
  [825] = {.lex_state = 234},
  [826] = {.lex_state = 172},
  [827] = {.lex_state = 234},
  [828] = {.lex_state = 234},
  [829] = {.lex_state = 234},
  [830] = {.lex_state = 332},
  [831] = {.lex_state = 169},
  [832] = {.lex_state = 169},
  [833] = {.lex_state = 171},
  [834] = {.lex_state = 171},
  [835] = {.lex_state = 169},
  [836] = {.lex_state = 169},
  [837] = {.lex_state = 169},
  [838] = {.lex_state = 169},
  [839] = {.lex_state = 169},
  [840] = {.lex_state = 169},
  [841] = {.lex_state = 169},
  [842] = {.lex_state = 169},
  [843] = {.lex_state = 169},
  [844] = {.lex_state = 169},
  [845] = {.lex_state = 169},
  [846] = {.lex_state = 169},
  [847] = {.lex_state = 169},
  [848] = {.lex_state = 169},
  [849] = {.lex_state = 169},
  [850] = {.lex_state = 169},
  [851] = {.lex_state = 169},
  [852] = {.lex_state = 169},
  [853] = {.lex_state = 169},
  [854] = {.lex_state = 169},
  [855] = {.lex_state = 169},
  [856] = {.lex_state = 169},
  [857] = {.lex_state = 169},
  [858] = {.lex_state = 169},
  [859] = {.lex_state = 169},
  [860] = {.lex_state = 169},
  [861] = {.lex_state = 169},
  [862] = {.lex_state = 169},
  [863] = {.lex_state = 169},
  [864] = {.lex_state = 169},
  [865] = {.lex_state = 169},
  [866] = {.lex_state = 169},
  [867] = {.lex_state = 169},
  [868] = {.lex_state = 183},
  [869] = {.lex_state = 169},
  [870] = {.lex_state = 169},
  [871] = {.lex_state = 169},
  [872] = {.lex_state = 169},
  [873] = {.lex_state = 169},
  [874] = {.lex_state = 169},
  [875] = {.lex_state = 169},
  [876] = {.lex_state = 169},
  [877] = {.lex_state = 169},
  [878] = {.lex_state = 169},
  [879] = {.lex_state = 169},
  [880] = {.lex_state = 169},
  [881] = {.lex_state = 183},
  [882] = {.lex_state = 183},
  [883] = {.lex_state = 183},
  [884] = {.lex_state = 172},
  [885] = {.lex_state = 234},
  [886] = {.lex_state = 172},
  [887] = {.lex_state = 172},
  [888] = {.lex_state = 172},
  [889] = {.lex_state = 172},
  [890] = {.lex_state = 172},
  [891] = {.lex_state = 172},
  [892] = {.lex_state = 172},
  [893] = {.lex_state = 172},
  [894] = {.lex_state = 172},
  [895] = {.lex_state = 172},
  [896] = {.lex_state = 172},
  [897] = {.lex_state = 172},
  [898] = {.lex_state = 172},
  [899] = {.lex_state = 172},
  [900] = {.lex_state = 172},
  [901] = {.lex_state = 172},
  [902] = {.lex_state = 172},
  [903] = {.lex_state = 172},
  [904] = {.lex_state = 172},
  [905] = {.lex_state = 183},
  [906] = {.lex_state = 172},
  [907] = {.lex_state = 172},
  [908] = {.lex_state = 172},
  [909] = {.lex_state = 172},
  [910] = {.lex_state = 172},
  [911] = {.lex_state = 172},
  [912] = {.lex_state = 172},
  [913] = {.lex_state = 172},
  [914] = {.lex_state = 172},
  [915] = {.lex_state = 172},
  [916] = {.lex_state = 172},
  [917] = {.lex_state = 172},
  [918] = {.lex_state = 172},
  [919] = {.lex_state = 172},
  [920] = {.lex_state = 172},
  [921] = {.lex_state = 172},
  [922] = {.lex_state = 172},
  [923] = {.lex_state = 172},
  [924] = {.lex_state = 172},
  [925] = {.lex_state = 183},
  [926] = {.lex_state = 183},
  [927] = {.lex_state = 183},
  [928] = {.lex_state = 183},
  [929] = {.lex_state = 183},
  [930] = {.lex_state = 183},
  [931] = {.lex_state = 183},
  [932] = {.lex_state = 179},
  [933] = {.lex_state = 172},
  [934] = {.lex_state = 172},
  [935] = {.lex_state = 172},
  [936] = {.lex_state = 172},
  [937] = {.lex_state = 172},
  [938] = {.lex_state = 172},
  [939] = {.lex_state = 172},
  [940] = {.lex_state = 172},
  [941] = {.lex_state = 172},
  [942] = {.lex_state = 172},
  [943] = {.lex_state = 172},
  [944] = {.lex_state = 172},
  [945] = {.lex_state = 172},
  [946] = {.lex_state = 172},
  [947] = {.lex_state = 172},
  [948] = {.lex_state = 183},
  [949] = {.lex_state = 172},
  [950] = {.lex_state = 172},
  [951] = {.lex_state = 172},
  [952] = {.lex_state = 172},
  [953] = {.lex_state = 172},
  [954] = {.lex_state = 172},
  [955] = {.lex_state = 172},
  [956] = {.lex_state = 172},
  [957] = {.lex_state = 172},
  [958] = {.lex_state = 172},
  [959] = {.lex_state = 172},
  [960] = {.lex_state = 172},
  [961] = {.lex_state = 171},
  [962] = {.lex_state = 172},
  [963] = {.lex_state = 172},
  [964] = {.lex_state = 172},
  [965] = {.lex_state = 172},
  [966] = {.lex_state = 171},
  [967] = {.lex_state = 172},
  [968] = {.lex_state = 172},
  [969] = {.lex_state = 171},
  [970] = {.lex_state = 172},
  [971] = {.lex_state = 172},
  [972] = {.lex_state = 171},
  [973] = {.lex_state = 172},
  [974] = {.lex_state = 171},
  [975] = {.lex_state = 172},
  [976] = {.lex_state = 172},
  [977] = {.lex_state = 172},
  [978] = {.lex_state = 172},
  [979] = {.lex_state = 172},
  [980] = {.lex_state = 171},
  [981] = {.lex_state = 172},
  [982] = {.lex_state = 171},
  [983] = {.lex_state = 172},
  [984] = {.lex_state = 172},
  [985] = {.lex_state = 172},
  [986] = {.lex_state = 172},
  [987] = {.lex_state = 172},
  [988] = {.lex_state = 172},
  [989] = {.lex_state = 171},
  [990] = {.lex_state = 172},
  [991] = {.lex_state = 171},
  [992] = {.lex_state = 171},
  [993] = {.lex_state = 172},
  [994] = {.lex_state = 172},
  [995] = {.lex_state = 172},
  [996] = {.lex_state = 172},
  [997] = {.lex_state = 172},
  [998] = {.lex_state = 171},
  [999] = {.lex_state = 171},
  [1000] = {.lex_state = 171},
  [1001] = {.lex_state = 172},
  [1002] = {.lex_state = 171},
  [1003] = {.lex_state = 171},
  [1004] = {.lex_state = 171},
  [1005] = {.lex_state = 171},
  [1006] = {.lex_state = 172},
  [1007] = {.lex_state = 172},
  [1008] = {.lex_state = 171},
  [1009] = {.lex_state = 172},
  [1010] = {.lex_state = 172},
  [1011] = {.lex_state = 171},
  [1012] = {.lex_state = 172},
  [1013] = {.lex_state = 171},
  [1014] = {.lex_state = 171},
  [1015] = {.lex_state = 171},
  [1016] = {.lex_state = 171},
  [1017] = {.lex_state = 172},
  [1018] = {.lex_state = 172},
  [1019] = {.lex_state = 172},
  [1020] = {.lex_state = 172},
  [1021] = {.lex_state = 172},
  [1022] = {.lex_state = 171},
  [1023] = {.lex_state = 172},
  [1024] = {.lex_state = 172},
  [1025] = {.lex_state = 171},
  [1026] = {.lex_state = 171},
  [1027] = {.lex_state = 172},
  [1028] = {.lex_state = 172},
  [1029] = {.lex_state = 172},
  [1030] = {.lex_state = 172},
  [1031] = {.lex_state = 172},
  [1032] = {.lex_state = 172},
  [1033] = {.lex_state = 172},
  [1034] = {.lex_state = 172},
  [1035] = {.lex_state = 172},
  [1036] = {.lex_state = 172},
  [1037] = {.lex_state = 172},
  [1038] = {.lex_state = 172},
  [1039] = {.lex_state = 172},
  [1040] = {.lex_state = 172},
  [1041] = {.lex_state = 172},
  [1042] = {.lex_state = 172},
  [1043] = {.lex_state = 172},
  [1044] = {.lex_state = 172},
  [1045] = {.lex_state = 172},
  [1046] = {.lex_state = 172},
  [1047] = {.lex_state = 172},
  [1048] = {.lex_state = 172},
  [1049] = {.lex_state = 172},
  [1050] = {.lex_state = 172},
  [1051] = {.lex_state = 172},
  [1052] = {.lex_state = 172},
  [1053] = {.lex_state = 172},
  [1054] = {.lex_state = 172},
  [1055] = {.lex_state = 172},
  [1056] = {.lex_state = 172},
  [1057] = {.lex_state = 172},
  [1058] = {.lex_state = 172},
  [1059] = {.lex_state = 172},
  [1060] = {.lex_state = 172},
  [1061] = {.lex_state = 172},
  [1062] = {.lex_state = 172},
  [1063] = {.lex_state = 172},
  [1064] = {.lex_state = 172},
  [1065] = {.lex_state = 172},
  [1066] = {.lex_state = 172},
  [1067] = {.lex_state = 172},
  [1068] = {.lex_state = 172},
  [1069] = {.lex_state = 172},
  [1070] = {.lex_state = 172},
  [1071] = {.lex_state = 172},
  [1072] = {.lex_state = 172},
  [1073] = {.lex_state = 172},
  [1074] = {.lex_state = 172},
  [1075] = {.lex_state = 172},
  [1076] = {.lex_state = 172},
  [1077] = {.lex_state = 172},
  [1078] = {.lex_state = 172},
  [1079] = {.lex_state = 172},
  [1080] = {.lex_state = 172},
  [1081] = {.lex_state = 172},
  [1082] = {.lex_state = 172},
  [1083] = {.lex_state = 172},
  [1084] = {.lex_state = 172},
  [1085] = {.lex_state = 172},
  [1086] = {.lex_state = 172},
  [1087] = {.lex_state = 172},
  [1088] = {.lex_state = 172},
  [1089] = {.lex_state = 172},
  [1090] = {.lex_state = 172},
  [1091] = {.lex_state = 172},
  [1092] = {.lex_state = 172},
  [1093] = {.lex_state = 172},
  [1094] = {.lex_state = 172},
  [1095] = {.lex_state = 172},
  [1096] = {.lex_state = 172},
  [1097] = {.lex_state = 172},
  [1098] = {.lex_state = 172},
  [1099] = {.lex_state = 172},
  [1100] = {.lex_state = 172},
  [1101] = {.lex_state = 172},
  [1102] = {.lex_state = 172},
  [1103] = {.lex_state = 172},
  [1104] = {.lex_state = 172},
  [1105] = {.lex_state = 172},
  [1106] = {.lex_state = 172},
  [1107] = {.lex_state = 172},
  [1108] = {.lex_state = 172},
  [1109] = {.lex_state = 172},
  [1110] = {.lex_state = 172},
  [1111] = {.lex_state = 172},
  [1112] = {.lex_state = 172},
  [1113] = {.lex_state = 172},
  [1114] = {.lex_state = 172},
  [1115] = {.lex_state = 172},
  [1116] = {.lex_state = 172},
  [1117] = {.lex_state = 172},
  [1118] = {.lex_state = 172},
  [1119] = {.lex_state = 172},
  [1120] = {.lex_state = 172},
  [1121] = {.lex_state = 172},
  [1122] = {.lex_state = 172},
  [1123] = {.lex_state = 172},
  [1124] = {.lex_state = 172},
  [1125] = {.lex_state = 172},
  [1126] = {.lex_state = 172},
  [1127] = {.lex_state = 172},
  [1128] = {.lex_state = 172},
  [1129] = {.lex_state = 172},
  [1130] = {.lex_state = 172},
  [1131] = {.lex_state = 172},
  [1132] = {.lex_state = 172},
  [1133] = {.lex_state = 172},
  [1134] = {.lex_state = 172},
  [1135] = {.lex_state = 172},
  [1136] = {.lex_state = 172},
  [1137] = {.lex_state = 172},
  [1138] = {.lex_state = 172},
  [1139] = {.lex_state = 172},
  [1140] = {.lex_state = 172},
  [1141] = {.lex_state = 172},
  [1142] = {.lex_state = 172},
  [1143] = {.lex_state = 172},
  [1144] = {.lex_state = 172},
  [1145] = {.lex_state = 172},
  [1146] = {.lex_state = 172},
  [1147] = {.lex_state = 172},
  [1148] = {.lex_state = 172},
  [1149] = {.lex_state = 172},
  [1150] = {.lex_state = 172},
  [1151] = {.lex_state = 172},
  [1152] = {.lex_state = 172},
  [1153] = {.lex_state = 172},
  [1154] = {.lex_state = 172},
  [1155] = {.lex_state = 172},
  [1156] = {.lex_state = 172},
  [1157] = {.lex_state = 172},
  [1158] = {.lex_state = 172},
  [1159] = {.lex_state = 172},
  [1160] = {.lex_state = 172},
  [1161] = {.lex_state = 172},
  [1162] = {.lex_state = 172},
  [1163] = {.lex_state = 172},
  [1164] = {.lex_state = 172},
  [1165] = {.lex_state = 172},
  [1166] = {.lex_state = 172},
  [1167] = {.lex_state = 172},
  [1168] = {.lex_state = 172},
  [1169] = {.lex_state = 172},
  [1170] = {.lex_state = 172},
  [1171] = {.lex_state = 172},
  [1172] = {.lex_state = 172},
  [1173] = {.lex_state = 172},
  [1174] = {.lex_state = 172},
  [1175] = {.lex_state = 172},
  [1176] = {.lex_state = 172},
  [1177] = {.lex_state = 172},
  [1178] = {.lex_state = 172},
  [1179] = {.lex_state = 172},
  [1180] = {.lex_state = 172},
  [1181] = {.lex_state = 172},
  [1182] = {.lex_state = 172},
  [1183] = {.lex_state = 172},
  [1184] = {.lex_state = 172},
  [1185] = {.lex_state = 172},
  [1186] = {.lex_state = 172},
  [1187] = {.lex_state = 172},
  [1188] = {.lex_state = 172},
  [1189] = {.lex_state = 172},
  [1190] = {.lex_state = 172},
  [1191] = {.lex_state = 172},
  [1192] = {.lex_state = 172},
  [1193] = {.lex_state = 172},
  [1194] = {.lex_state = 172},
  [1195] = {.lex_state = 172},
  [1196] = {.lex_state = 172},
  [1197] = {.lex_state = 172},
  [1198] = {.lex_state = 172},
  [1199] = {.lex_state = 172},
  [1200] = {.lex_state = 172},
  [1201] = {.lex_state = 172},
  [1202] = {.lex_state = 172},
  [1203] = {.lex_state = 172},
  [1204] = {.lex_state = 172},
  [1205] = {.lex_state = 172},
  [1206] = {.lex_state = 172},
  [1207] = {.lex_state = 172},
  [1208] = {.lex_state = 172},
  [1209] = {.lex_state = 172},
  [1210] = {.lex_state = 172},
  [1211] = {.lex_state = 172},
  [1212] = {.lex_state = 172},
  [1213] = {.lex_state = 172},
  [1214] = {.lex_state = 172},
  [1215] = {.lex_state = 172},
  [1216] = {.lex_state = 172},
  [1217] = {.lex_state = 172},
  [1218] = {.lex_state = 172},
  [1219] = {.lex_state = 172},
  [1220] = {.lex_state = 172},
  [1221] = {.lex_state = 172},
  [1222] = {.lex_state = 172},
  [1223] = {.lex_state = 172},
  [1224] = {.lex_state = 172},
  [1225] = {.lex_state = 172},
  [1226] = {.lex_state = 172},
  [1227] = {.lex_state = 172},
  [1228] = {.lex_state = 172},
  [1229] = {.lex_state = 172},
  [1230] = {.lex_state = 172},
  [1231] = {.lex_state = 172},
  [1232] = {.lex_state = 172},
  [1233] = {.lex_state = 172},
  [1234] = {.lex_state = 172},
  [1235] = {.lex_state = 172},
  [1236] = {.lex_state = 172},
  [1237] = {.lex_state = 172},
  [1238] = {.lex_state = 172},
  [1239] = {.lex_state = 172},
  [1240] = {.lex_state = 172},
  [1241] = {.lex_state = 172},
  [1242] = {.lex_state = 172},
  [1243] = {.lex_state = 172},
  [1244] = {.lex_state = 172},
  [1245] = {.lex_state = 172},
  [1246] = {.lex_state = 172},
  [1247] = {.lex_state = 172},
  [1248] = {.lex_state = 172},
  [1249] = {.lex_state = 172},
  [1250] = {.lex_state = 172},
  [1251] = {.lex_state = 172},
  [1252] = {.lex_state = 172},
  [1253] = {.lex_state = 172},
  [1254] = {.lex_state = 172},
  [1255] = {.lex_state = 172},
  [1256] = {.lex_state = 172},
  [1257] = {.lex_state = 172},
  [1258] = {.lex_state = 172},
  [1259] = {.lex_state = 172},
  [1260] = {.lex_state = 172},
  [1261] = {.lex_state = 172},
  [1262] = {.lex_state = 172},
  [1263] = {.lex_state = 172},
  [1264] = {.lex_state = 172},
  [1265] = {.lex_state = 172},
  [1266] = {.lex_state = 172},
  [1267] = {.lex_state = 172},
  [1268] = {.lex_state = 172},
  [1269] = {.lex_state = 172},
  [1270] = {.lex_state = 172},
  [1271] = {.lex_state = 172},
  [1272] = {.lex_state = 172},
  [1273] = {.lex_state = 172},
  [1274] = {.lex_state = 172},
  [1275] = {.lex_state = 172},
  [1276] = {.lex_state = 172},
  [1277] = {.lex_state = 172},
  [1278] = {.lex_state = 172},
  [1279] = {.lex_state = 172},
  [1280] = {.lex_state = 172},
  [1281] = {.lex_state = 172},
  [1282] = {.lex_state = 172},
  [1283] = {.lex_state = 172},
  [1284] = {.lex_state = 172},
  [1285] = {.lex_state = 172},
  [1286] = {.lex_state = 172},
  [1287] = {.lex_state = 172},
  [1288] = {.lex_state = 172},
  [1289] = {.lex_state = 172},
  [1290] = {.lex_state = 172},
  [1291] = {.lex_state = 172},
  [1292] = {.lex_state = 172},
  [1293] = {.lex_state = 172},
  [1294] = {.lex_state = 172},
  [1295] = {.lex_state = 172},
  [1296] = {.lex_state = 172},
  [1297] = {.lex_state = 172},
  [1298] = {.lex_state = 172},
  [1299] = {.lex_state = 172},
  [1300] = {.lex_state = 172},
  [1301] = {.lex_state = 172},
  [1302] = {.lex_state = 172},
  [1303] = {.lex_state = 172},
  [1304] = {.lex_state = 172},
  [1305] = {.lex_state = 172},
  [1306] = {.lex_state = 172},
  [1307] = {.lex_state = 172},
  [1308] = {.lex_state = 172},
  [1309] = {.lex_state = 172},
  [1310] = {.lex_state = 172},
  [1311] = {.lex_state = 172},
  [1312] = {.lex_state = 172},
  [1313] = {.lex_state = 172},
  [1314] = {.lex_state = 172},
  [1315] = {.lex_state = 172},
  [1316] = {.lex_state = 172},
  [1317] = {.lex_state = 172},
  [1318] = {.lex_state = 172},
  [1319] = {.lex_state = 172},
  [1320] = {.lex_state = 172},
  [1321] = {.lex_state = 172},
  [1322] = {.lex_state = 172},
  [1323] = {.lex_state = 172},
  [1324] = {.lex_state = 172},
  [1325] = {.lex_state = 172},
  [1326] = {.lex_state = 172},
  [1327] = {.lex_state = 172},
  [1328] = {.lex_state = 172},
  [1329] = {.lex_state = 172},
  [1330] = {.lex_state = 172},
  [1331] = {.lex_state = 172},
  [1332] = {.lex_state = 172},
  [1333] = {.lex_state = 172},
  [1334] = {.lex_state = 172},
  [1335] = {.lex_state = 172},
  [1336] = {.lex_state = 172},
  [1337] = {.lex_state = 172},
  [1338] = {.lex_state = 172},
  [1339] = {.lex_state = 172},
  [1340] = {.lex_state = 172},
  [1341] = {.lex_state = 172},
  [1342] = {.lex_state = 172},
  [1343] = {.lex_state = 172},
  [1344] = {.lex_state = 172},
  [1345] = {.lex_state = 172},
  [1346] = {.lex_state = 172},
  [1347] = {.lex_state = 172},
  [1348] = {.lex_state = 172},
  [1349] = {.lex_state = 172},
  [1350] = {.lex_state = 172},
  [1351] = {.lex_state = 172},
  [1352] = {.lex_state = 172},
  [1353] = {.lex_state = 172},
  [1354] = {.lex_state = 172},
  [1355] = {.lex_state = 172},
  [1356] = {.lex_state = 172},
  [1357] = {.lex_state = 172},
  [1358] = {.lex_state = 172},
  [1359] = {.lex_state = 172},
  [1360] = {.lex_state = 172},
  [1361] = {.lex_state = 172},
  [1362] = {.lex_state = 172},
  [1363] = {.lex_state = 172},
  [1364] = {.lex_state = 172},
  [1365] = {.lex_state = 172},
  [1366] = {.lex_state = 172},
  [1367] = {.lex_state = 172},
  [1368] = {.lex_state = 172},
  [1369] = {.lex_state = 172},
  [1370] = {.lex_state = 172},
  [1371] = {.lex_state = 172},
  [1372] = {.lex_state = 172},
  [1373] = {.lex_state = 172},
  [1374] = {.lex_state = 172},
  [1375] = {.lex_state = 172},
  [1376] = {.lex_state = 172},
  [1377] = {.lex_state = 172},
  [1378] = {.lex_state = 172},
  [1379] = {.lex_state = 172},
  [1380] = {.lex_state = 172},
  [1381] = {.lex_state = 172},
  [1382] = {.lex_state = 172},
  [1383] = {.lex_state = 172},
  [1384] = {.lex_state = 172},
  [1385] = {.lex_state = 172},
  [1386] = {.lex_state = 172},
  [1387] = {.lex_state = 172},
  [1388] = {.lex_state = 172},
  [1389] = {.lex_state = 172},
  [1390] = {.lex_state = 172},
  [1391] = {.lex_state = 172},
  [1392] = {.lex_state = 172},
  [1393] = {.lex_state = 172},
  [1394] = {.lex_state = 172},
  [1395] = {.lex_state = 172},
  [1396] = {.lex_state = 172},
  [1397] = {.lex_state = 172},
  [1398] = {.lex_state = 172},
  [1399] = {.lex_state = 172},
  [1400] = {.lex_state = 172},
  [1401] = {.lex_state = 172},
  [1402] = {.lex_state = 172},
  [1403] = {.lex_state = 172},
  [1404] = {.lex_state = 172},
  [1405] = {.lex_state = 172},
  [1406] = {.lex_state = 172},
  [1407] = {.lex_state = 172},
  [1408] = {.lex_state = 172},
  [1409] = {.lex_state = 172},
  [1410] = {.lex_state = 172},
  [1411] = {.lex_state = 172},
  [1412] = {.lex_state = 172},
  [1413] = {.lex_state = 172},
  [1414] = {.lex_state = 172},
  [1415] = {.lex_state = 172},
  [1416] = {.lex_state = 172},
  [1417] = {.lex_state = 172},
  [1418] = {.lex_state = 172},
  [1419] = {.lex_state = 172},
  [1420] = {.lex_state = 172},
  [1421] = {.lex_state = 172},
  [1422] = {.lex_state = 172},
  [1423] = {.lex_state = 172},
  [1424] = {.lex_state = 172},
  [1425] = {.lex_state = 172},
  [1426] = {.lex_state = 172},
  [1427] = {.lex_state = 172},
  [1428] = {.lex_state = 172},
  [1429] = {.lex_state = 172},
  [1430] = {.lex_state = 172},
  [1431] = {.lex_state = 172},
  [1432] = {.lex_state = 172},
  [1433] = {.lex_state = 172},
  [1434] = {.lex_state = 172},
  [1435] = {.lex_state = 172},
  [1436] = {.lex_state = 172},
  [1437] = {.lex_state = 172},
  [1438] = {.lex_state = 172},
  [1439] = {.lex_state = 172},
  [1440] = {.lex_state = 172},
  [1441] = {.lex_state = 172},
  [1442] = {.lex_state = 172},
  [1443] = {.lex_state = 172},
  [1444] = {.lex_state = 172},
  [1445] = {.lex_state = 172},
  [1446] = {.lex_state = 172},
  [1447] = {.lex_state = 172},
  [1448] = {.lex_state = 172},
  [1449] = {.lex_state = 172},
  [1450] = {.lex_state = 172},
  [1451] = {.lex_state = 172},
  [1452] = {.lex_state = 172},
  [1453] = {.lex_state = 172},
  [1454] = {.lex_state = 172},
  [1455] = {.lex_state = 172},
  [1456] = {.lex_state = 172},
  [1457] = {.lex_state = 172},
  [1458] = {.lex_state = 172},
  [1459] = {.lex_state = 172},
  [1460] = {.lex_state = 172},
  [1461] = {.lex_state = 172},
  [1462] = {.lex_state = 172},
  [1463] = {.lex_state = 172},
  [1464] = {.lex_state = 172},
  [1465] = {.lex_state = 172},
  [1466] = {.lex_state = 172},
  [1467] = {.lex_state = 172},
  [1468] = {.lex_state = 172},
  [1469] = {.lex_state = 172},
  [1470] = {.lex_state = 172},
  [1471] = {.lex_state = 172},
  [1472] = {.lex_state = 172},
  [1473] = {.lex_state = 172},
  [1474] = {.lex_state = 172},
  [1475] = {.lex_state = 172},
  [1476] = {.lex_state = 172},
  [1477] = {.lex_state = 172},
  [1478] = {.lex_state = 172},
  [1479] = {.lex_state = 172},
  [1480] = {.lex_state = 172},
  [1481] = {.lex_state = 172},
  [1482] = {.lex_state = 172},
  [1483] = {.lex_state = 172},
  [1484] = {.lex_state = 172},
  [1485] = {.lex_state = 172},
  [1486] = {.lex_state = 172},
  [1487] = {.lex_state = 172},
  [1488] = {.lex_state = 172},
  [1489] = {.lex_state = 172},
  [1490] = {.lex_state = 172},
  [1491] = {.lex_state = 172},
  [1492] = {.lex_state = 172},
  [1493] = {.lex_state = 172},
  [1494] = {.lex_state = 172},
  [1495] = {.lex_state = 172},
  [1496] = {.lex_state = 172},
  [1497] = {.lex_state = 172},
  [1498] = {.lex_state = 172},
  [1499] = {.lex_state = 172},
  [1500] = {.lex_state = 172},
  [1501] = {.lex_state = 172},
  [1502] = {.lex_state = 172},
  [1503] = {.lex_state = 172},
  [1504] = {.lex_state = 172},
  [1505] = {.lex_state = 172},
  [1506] = {.lex_state = 172},
  [1507] = {.lex_state = 172},
  [1508] = {.lex_state = 172},
  [1509] = {.lex_state = 172},
  [1510] = {.lex_state = 172},
  [1511] = {.lex_state = 172},
  [1512] = {.lex_state = 172},
  [1513] = {.lex_state = 172},
  [1514] = {.lex_state = 172},
  [1515] = {.lex_state = 172},
  [1516] = {.lex_state = 172},
  [1517] = {.lex_state = 172},
  [1518] = {.lex_state = 172},
  [1519] = {.lex_state = 172},
  [1520] = {.lex_state = 234},
  [1521] = {.lex_state = 191},
  [1522] = {.lex_state = 191},
  [1523] = {.lex_state = 234},
  [1524] = {.lex_state = 191},
  [1525] = {.lex_state = 191},
  [1526] = {.lex_state = 191},
  [1527] = {.lex_state = 191},
  [1528] = {.lex_state = 191},
  [1529] = {.lex_state = 191},
  [1530] = {.lex_state = 169},
  [1531] = {.lex_state = 191},
  [1532] = {.lex_state = 169},
  [1533] = {.lex_state = 169},
  [1534] = {.lex_state = 234},
  [1535] = {.lex_state = 234},
  [1536] = {.lex_state = 234},
  [1537] = {.lex_state = 234},
  [1538] = {.lex_state = 191},
  [1539] = {.lex_state = 189},
  [1540] = {.lex_state = 179},
  [1541] = {.lex_state = 191},
  [1542] = {.lex_state = 189},
  [1543] = {.lex_state = 189},
  [1544] = {.lex_state = 189},
  [1545] = {.lex_state = 189},
  [1546] = {.lex_state = 180},
  [1547] = {.lex_state = 189},
  [1548] = {.lex_state = 191},
  [1549] = {.lex_state = 189},
  [1550] = {.lex_state = 189},
  [1551] = {.lex_state = 189},
  [1552] = {.lex_state = 220},
  [1553] = {.lex_state = 184},
  [1554] = {.lex_state = 220},
  [1555] = {.lex_state = 220},
  [1556] = {.lex_state = 220},
  [1557] = {.lex_state = 191},
  [1558] = {.lex_state = 220},
  [1559] = {.lex_state = 220},
  [1560] = {.lex_state = 220},
  [1561] = {.lex_state = 174},
  [1562] = {.lex_state = 189},
  [1563] = {.lex_state = 189},
  [1564] = {.lex_state = 189},
  [1565] = {.lex_state = 189},
  [1566] = {.lex_state = 189},
  [1567] = {.lex_state = 189},
  [1568] = {.lex_state = 189},
  [1569] = {.lex_state = 189},
  [1570] = {.lex_state = 192},
  [1571] = {.lex_state = 192},
  [1572] = {.lex_state = 192},
  [1573] = {.lex_state = 192},
  [1574] = {.lex_state = 192},
  [1575] = {.lex_state = 192},
  [1576] = {.lex_state = 192},
  [1577] = {.lex_state = 234},
  [1578] = {.lex_state = 234},
  [1579] = {.lex_state = 234},
  [1580] = {.lex_state = 234},
  [1581] = {.lex_state = 234},
  [1582] = {.lex_state = 234},
  [1583] = {.lex_state = 234},
  [1584] = {.lex_state = 234},
  [1585] = {.lex_state = 234},
  [1586] = {.lex_state = 234},
  [1587] = {.lex_state = 234},
  [1588] = {.lex_state = 234},
  [1589] = {.lex_state = 234},
  [1590] = {.lex_state = 234},
  [1591] = {.lex_state = 234},
  [1592] = {.lex_state = 234},
  [1593] = {.lex_state = 234},
  [1594] = {.lex_state = 234},
  [1595] = {.lex_state = 234},
  [1596] = {.lex_state = 220},
  [1597] = {.lex_state = 234},
  [1598] = {.lex_state = 234},
  [1599] = {.lex_state = 234},
  [1600] = {.lex_state = 234},
  [1601] = {.lex_state = 234},
  [1602] = {.lex_state = 234},
  [1603] = {.lex_state = 234},
  [1604] = {.lex_state = 234},
  [1605] = {.lex_state = 234},
  [1606] = {.lex_state = 234},
  [1607] = {.lex_state = 234},
  [1608] = {.lex_state = 234},
  [1609] = {.lex_state = 234},
  [1610] = {.lex_state = 234},
  [1611] = {.lex_state = 234},
  [1612] = {.lex_state = 234},
  [1613] = {.lex_state = 234},
  [1614] = {.lex_state = 234},
  [1615] = {.lex_state = 169},
  [1616] = {.lex_state = 169},
  [1617] = {.lex_state = 172},
  [1618] = {.lex_state = 200},
  [1619] = {.lex_state = 234},
  [1620] = {.lex_state = 234},
  [1621] = {.lex_state = 234},
  [1622] = {.lex_state = 234},
  [1623] = {.lex_state = 234},
  [1624] = {.lex_state = 234},
  [1625] = {.lex_state = 220},
  [1626] = {.lex_state = 234},
  [1627] = {.lex_state = 234},
  [1628] = {.lex_state = 204},
  [1629] = {.lex_state = 174},
  [1630] = {.lex_state = 204},
  [1631] = {.lex_state = 204},
  [1632] = {.lex_state = 204},
  [1633] = {.lex_state = 204},
  [1634] = {.lex_state = 234},
  [1635] = {.lex_state = 234},
  [1636] = {.lex_state = 204},
  [1637] = {.lex_state = 204},
  [1638] = {.lex_state = 220},
  [1639] = {.lex_state = 211},
  [1640] = {.lex_state = 172},
  [1641] = {.lex_state = 234},
  [1642] = {.lex_state = 234},
  [1643] = {.lex_state = 176},
  [1644] = {.lex_state = 176},
  [1645] = {.lex_state = 234},
  [1646] = {.lex_state = 211},
  [1647] = {.lex_state = 211},
  [1648] = {.lex_state = 211},
  [1649] = {.lex_state = 211},
  [1650] = {.lex_state = 176},
  [1651] = {.lex_state = 211},
  [1652] = {.lex_state = 211},
  [1653] = {.lex_state = 234},
  [1654] = {.lex_state = 172},
  [1655] = {.lex_state = 234},
  [1656] = {.lex_state = 234},
  [1657] = {.lex_state = 234},
  [1658] = {.lex_state = 234},
  [1659] = {.lex_state = 221},
  [1660] = {.lex_state = 234},
  [1661] = {.lex_state = 221},
  [1662] = {.lex_state = 234},
  [1663] = {.lex_state = 234},
  [1664] = {.lex_state = 234},
  [1665] = {.lex_state = 234},
  [1666] = {.lex_state = 234},
  [1667] = {.lex_state = 234},
  [1668] = {.lex_state = 234},
  [1669] = {.lex_state = 234},
  [1670] = {.lex_state = 234},
  [1671] = {.lex_state = 234},
  [1672] = {.lex_state = 234},
  [1673] = {.lex_state = 234},
  [1674] = {.lex_state = 234},
  [1675] = {.lex_state = 234},
  [1676] = {.lex_state = 234},
  [1677] = {.lex_state = 234},
  [1678] = {.lex_state = 234},
  [1679] = {.lex_state = 234},
  [1680] = {.lex_state = 234},
  [1681] = {.lex_state = 234},
  [1682] = {.lex_state = 234},
  [1683] = {.lex_state = 221},
  [1684] = {.lex_state = 234},
  [1685] = {.lex_state = 234},
  [1686] = {.lex_state = 234},
  [1687] = {.lex_state = 234},
  [1688] = {.lex_state = 234},
  [1689] = {.lex_state = 234},
  [1690] = {.lex_state = 234},
  [1691] = {.lex_state = 234},
  [1692] = {.lex_state = 234},
  [1693] = {.lex_state = 234},
  [1694] = {.lex_state = 234},
  [1695] = {.lex_state = 234},
  [1696] = {.lex_state = 234},
  [1697] = {.lex_state = 234},
  [1698] = {.lex_state = 234},
  [1699] = {.lex_state = 234},
  [1700] = {.lex_state = 234},
  [1701] = {.lex_state = 234},
  [1702] = {.lex_state = 234},
  [1703] = {.lex_state = 221},
  [1704] = {.lex_state = 234},
  [1705] = {.lex_state = 234},
  [1706] = {.lex_state = 234},
  [1707] = {.lex_state = 234},
  [1708] = {.lex_state = 221},
  [1709] = {.lex_state = 189},
  [1710] = {.lex_state = 234},
  [1711] = {.lex_state = 234},
  [1712] = {.lex_state = 234},
  [1713] = {.lex_state = 234},
  [1714] = {.lex_state = 234},
  [1715] = {.lex_state = 234},
  [1716] = {.lex_state = 234},
  [1717] = {.lex_state = 234},
  [1718] = {.lex_state = 234},
  [1719] = {.lex_state = 234},
  [1720] = {.lex_state = 234},
  [1721] = {.lex_state = 234},
  [1722] = {.lex_state = 234},
  [1723] = {.lex_state = 234},
  [1724] = {.lex_state = 234},
  [1725] = {.lex_state = 234},
  [1726] = {.lex_state = 234},
  [1727] = {.lex_state = 234},
  [1728] = {.lex_state = 234},
  [1729] = {.lex_state = 234},
  [1730] = {.lex_state = 221},
  [1731] = {.lex_state = 221},
  [1732] = {.lex_state = 234},
  [1733] = {.lex_state = 221},
  [1734] = {.lex_state = 200},
  [1735] = {.lex_state = 234},
  [1736] = {.lex_state = 221},
  [1737] = {.lex_state = 221},
  [1738] = {.lex_state = 234},
  [1739] = {.lex_state = 234},
  [1740] = {.lex_state = 234},
  [1741] = {.lex_state = 221},
  [1742] = {.lex_state = 234},
  [1743] = {.lex_state = 234},
  [1744] = {.lex_state = 234},
  [1745] = {.lex_state = 221},
  [1746] = {.lex_state = 234},
  [1747] = {.lex_state = 221},
  [1748] = {.lex_state = 234},
  [1749] = {.lex_state = 234},
  [1750] = {.lex_state = 234},
  [1751] = {.lex_state = 234},
  [1752] = {.lex_state = 234},
  [1753] = {.lex_state = 234},
  [1754] = {.lex_state = 234},
  [1755] = {.lex_state = 200},
  [1756] = {.lex_state = 234},
  [1757] = {.lex_state = 234},
  [1758] = {.lex_state = 189},
  [1759] = {.lex_state = 234},
  [1760] = {.lex_state = 234},
  [1761] = {.lex_state = 234},
  [1762] = {.lex_state = 234},
  [1763] = {.lex_state = 234},
  [1764] = {.lex_state = 234},
  [1765] = {.lex_state = 194},
  [1766] = {.lex_state = 200},
  [1767] = {.lex_state = 200},
  [1768] = {.lex_state = 200},
  [1769] = {.lex_state = 200},
  [1770] = {.lex_state = 200},
  [1771] = {.lex_state = 200},
  [1772] = {.lex_state = 200},
  [1773] = {.lex_state = 200},
  [1774] = {.lex_state = 200},
  [1775] = {.lex_state = 200},
  [1776] = {.lex_state = 200},
  [1777] = {.lex_state = 234},
  [1778] = {.lex_state = 200},
  [1779] = {.lex_state = 200},
  [1780] = {.lex_state = 200},
  [1781] = {.lex_state = 235},
  [1782] = {.lex_state = 200},
  [1783] = {.lex_state = 200},
  [1784] = {.lex_state = 200},
  [1785] = {.lex_state = 190},
  [1786] = {.lex_state = 200},
  [1787] = {.lex_state = 200},
  [1788] = {.lex_state = 200},
  [1789] = {.lex_state = 200},
  [1790] = {.lex_state = 200},
  [1791] = {.lex_state = 200},
  [1792] = {.lex_state = 204},
  [1793] = {.lex_state = 235},
  [1794] = {.lex_state = 190},
  [1795] = {.lex_state = 200},
  [1796] = {.lex_state = 200},
  [1797] = {.lex_state = 200},
  [1798] = {.lex_state = 200},
  [1799] = {.lex_state = 200},
  [1800] = {.lex_state = 200},
  [1801] = {.lex_state = 200},
  [1802] = {.lex_state = 200},
  [1803] = {.lex_state = 200},
  [1804] = {.lex_state = 235},
  [1805] = {.lex_state = 234},
  [1806] = {.lex_state = 200},
  [1807] = {.lex_state = 200},
  [1808] = {.lex_state = 200},
  [1809] = {.lex_state = 200},
  [1810] = {.lex_state = 234},
  [1811] = {.lex_state = 190},
  [1812] = {.lex_state = 200},
  [1813] = {.lex_state = 200},
  [1814] = {.lex_state = 200},
  [1815] = {.lex_state = 190},
  [1816] = {.lex_state = 235},
  [1817] = {.lex_state = 200},
  [1818] = {.lex_state = 176},
  [1819] = {.lex_state = 220},
  [1820] = {.lex_state = 220},
  [1821] = {.lex_state = 234},
  [1822] = {.lex_state = 220},
  [1823] = {.lex_state = 234},
  [1824] = {.lex_state = 220},
  [1825] = {.lex_state = 234},
  [1826] = {.lex_state = 220},
  [1827] = {.lex_state = 234},
  [1828] = {.lex_state = 220},
  [1829] = {.lex_state = 234},
  [1830] = {.lex_state = 220},
  [1831] = {.lex_state = 204},
  [1832] = {.lex_state = 234},
  [1833] = {.lex_state = 176},
  [1834] = {.lex_state = 220},
  [1835] = {.lex_state = 234},
  [1836] = {.lex_state = 220},
  [1837] = {.lex_state = 220},
  [1838] = {.lex_state = 220},
  [1839] = {.lex_state = 211},
  [1840] = {.lex_state = 176},
  [1841] = {.lex_state = 176},
  [1842] = {.lex_state = 234},
  [1843] = {.lex_state = 234},
  [1844] = {.lex_state = 190},
  [1845] = {.lex_state = 235},
  [1846] = {.lex_state = 199},
  [1847] = {.lex_state = 174},
  [1848] = {.lex_state = 190},
  [1849] = {.lex_state = 235},
  [1850] = {.lex_state = 190},
  [1851] = {.lex_state = 190},
  [1852] = {.lex_state = 235},
  [1853] = {.lex_state = 234},
  [1854] = {.lex_state = 192},
  [1855] = {.lex_state = 235},
  [1856] = {.lex_state = 234},
  [1857] = {.lex_state = 190},
  [1858] = {.lex_state = 234},
  [1859] = {.lex_state = 211},
  [1860] = {.lex_state = 195},
  [1861] = {.lex_state = 235},
  [1862] = {.lex_state = 234},
  [1863] = {.lex_state = 235},
  [1864] = {.lex_state = 190},
  [1865] = {.lex_state = 190},
  [1866] = {.lex_state = 190},
  [1867] = {.lex_state = 235},
  [1868] = {.lex_state = 190},
  [1869] = {.lex_state = 235},
  [1870] = {.lex_state = 235},
  [1871] = {.lex_state = 235},
  [1872] = {.lex_state = 190},
  [1873] = {.lex_state = 235},
  [1874] = {.lex_state = 190},
  [1875] = {.lex_state = 235},
  [1876] = {.lex_state = 201},
  [1877] = {.lex_state = 235},
  [1878] = {.lex_state = 235},
  [1879] = {.lex_state = 190},
  [1880] = {.lex_state = 190},
  [1881] = {.lex_state = 190},
  [1882] = {.lex_state = 190},
  [1883] = {.lex_state = 190},
  [1884] = {.lex_state = 235},
  [1885] = {.lex_state = 190},
  [1886] = {.lex_state = 235},
  [1887] = {.lex_state = 235},
  [1888] = {.lex_state = 235},
  [1889] = {.lex_state = 235},
  [1890] = {.lex_state = 235},
  [1891] = {.lex_state = 235},
  [1892] = {.lex_state = 190},
  [1893] = {.lex_state = 190},
  [1894] = {.lex_state = 190},
  [1895] = {.lex_state = 235},
  [1896] = {.lex_state = 190},
  [1897] = {.lex_state = 190},
  [1898] = {.lex_state = 235},
  [1899] = {.lex_state = 235},
  [1900] = {.lex_state = 235},
  [1901] = {.lex_state = 235},
  [1902] = {.lex_state = 190},
  [1903] = {.lex_state = 235},
  [1904] = {.lex_state = 235},
  [1905] = {.lex_state = 235},
  [1906] = {.lex_state = 190},
  [1907] = {.lex_state = 235},
  [1908] = {.lex_state = 235},
  [1909] = {.lex_state = 235},
  [1910] = {.lex_state = 235},
  [1911] = {.lex_state = 235},
  [1912] = {.lex_state = 235},
  [1913] = {.lex_state = 235},
  [1914] = {.lex_state = 235},
  [1915] = {.lex_state = 235},
  [1916] = {.lex_state = 235},
  [1917] = {.lex_state = 235},
  [1918] = {.lex_state = 190},
  [1919] = {.lex_state = 235},
  [1920] = {.lex_state = 235},
  [1921] = {.lex_state = 235},
  [1922] = {.lex_state = 235},
  [1923] = {.lex_state = 235},
  [1924] = {.lex_state = 190},
  [1925] = {.lex_state = 190},
  [1926] = {.lex_state = 190},
  [1927] = {.lex_state = 190},
  [1928] = {.lex_state = 235},
  [1929] = {.lex_state = 235},
  [1930] = {.lex_state = 190},
  [1931] = {.lex_state = 235},
  [1932] = {.lex_state = 190},
  [1933] = {.lex_state = 190},
  [1934] = {.lex_state = 190},
  [1935] = {.lex_state = 235},
  [1936] = {.lex_state = 235},
  [1937] = {.lex_state = 235},
  [1938] = {.lex_state = 190},
  [1939] = {.lex_state = 235},
  [1940] = {.lex_state = 190},
  [1941] = {.lex_state = 190},
  [1942] = {.lex_state = 234},
  [1943] = {.lex_state = 190},
  [1944] = {.lex_state = 235},
  [1945] = {.lex_state = 190},
  [1946] = {.lex_state = 235},
  [1947] = {.lex_state = 190},
  [1948] = {.lex_state = 190},
  [1949] = {.lex_state = 235},
  [1950] = {.lex_state = 190},
  [1951] = {.lex_state = 190},
  [1952] = {.lex_state = 235},
  [1953] = {.lex_state = 190},
  [1954] = {.lex_state = 190},
  [1955] = {.lex_state = 190},
  [1956] = {.lex_state = 235},
  [1957] = {.lex_state = 190},
  [1958] = {.lex_state = 190},
  [1959] = {.lex_state = 190},
  [1960] = {.lex_state = 235},
  [1961] = {.lex_state = 190},
  [1962] = {.lex_state = 190},
  [1963] = {.lex_state = 190},
  [1964] = {.lex_state = 190},
  [1965] = {.lex_state = 190},
  [1966] = {.lex_state = 190},
  [1967] = {.lex_state = 235},
  [1968] = {.lex_state = 190},
  [1969] = {.lex_state = 190},
  [1970] = {.lex_state = 190},
  [1971] = {.lex_state = 190},
  [1972] = {.lex_state = 190},
  [1973] = {.lex_state = 190},
  [1974] = {.lex_state = 235},
  [1975] = {.lex_state = 235},
  [1976] = {.lex_state = 235},
  [1977] = {.lex_state = 235},
  [1978] = {.lex_state = 190},
  [1979] = {.lex_state = 235},
  [1980] = {.lex_state = 235},
  [1981] = {.lex_state = 190},
  [1982] = {.lex_state = 190},
  [1983] = {.lex_state = 190},
  [1984] = {.lex_state = 190},
  [1985] = {.lex_state = 190},
  [1986] = {.lex_state = 190},
  [1987] = {.lex_state = 190},
  [1988] = {.lex_state = 190},
  [1989] = {.lex_state = 235},
  [1990] = {.lex_state = 190},
  [1991] = {.lex_state = 235},
  [1992] = {.lex_state = 235},
  [1993] = {.lex_state = 190},
  [1994] = {.lex_state = 235},
  [1995] = {.lex_state = 235},
  [1996] = {.lex_state = 190},
  [1997] = {.lex_state = 235},
  [1998] = {.lex_state = 235},
  [1999] = {.lex_state = 235},
  [2000] = {.lex_state = 235},
  [2001] = {.lex_state = 235},
  [2002] = {.lex_state = 235},
  [2003] = {.lex_state = 235},
  [2004] = {.lex_state = 235},
  [2005] = {.lex_state = 235},
  [2006] = {.lex_state = 190},
  [2007] = {.lex_state = 190},
  [2008] = {.lex_state = 190},
  [2009] = {.lex_state = 190},
  [2010] = {.lex_state = 234},
  [2011] = {.lex_state = 201},
  [2012] = {.lex_state = 235},
  [2013] = {.lex_state = 192},
  [2014] = {.lex_state = 225},
  [2015] = {.lex_state = 235},
  [2016] = {.lex_state = 235},
  [2017] = {.lex_state = 190},
  [2018] = {.lex_state = 235},
  [2019] = {.lex_state = 190},
  [2020] = {.lex_state = 235},
  [2021] = {.lex_state = 190},
  [2022] = {.lex_state = 190},
  [2023] = {.lex_state = 190},
  [2024] = {.lex_state = 235},
  [2025] = {.lex_state = 235},
  [2026] = {.lex_state = 190},
  [2027] = {.lex_state = 235},
  [2028] = {.lex_state = 190},
  [2029] = {.lex_state = 235},
  [2030] = {.lex_state = 190},
  [2031] = {.lex_state = 235},
  [2032] = {.lex_state = 190},
  [2033] = {.lex_state = 190},
  [2034] = {.lex_state = 190},
  [2035] = {.lex_state = 190},
  [2036] = {.lex_state = 235},
  [2037] = {.lex_state = 235},
  [2038] = {.lex_state = 190},
  [2039] = {.lex_state = 235},
  [2040] = {.lex_state = 190},
  [2041] = {.lex_state = 235},
  [2042] = {.lex_state = 190},
  [2043] = {.lex_state = 235},
  [2044] = {.lex_state = 235},
  [2045] = {.lex_state = 190},
  [2046] = {.lex_state = 190},
  [2047] = {.lex_state = 190},
  [2048] = {.lex_state = 190},
  [2049] = {.lex_state = 190},
  [2050] = {.lex_state = 235},
  [2051] = {.lex_state = 201},
  [2052] = {.lex_state = 201},
  [2053] = {.lex_state = 201},
  [2054] = {.lex_state = 176},
  [2055] = {.lex_state = 195},
  [2056] = {.lex_state = 195},
  [2057] = {.lex_state = 194},
  [2058] = {.lex_state = 195},
  [2059] = {.lex_state = 225},
  [2060] = {.lex_state = 201},
  [2061] = {.lex_state = 195},
  [2062] = {.lex_state = 201},
  [2063] = {.lex_state = 225},
  [2064] = {.lex_state = 233},
  [2065] = {.lex_state = 195},
  [2066] = {.lex_state = 201},
  [2067] = {.lex_state = 194},
  [2068] = {.lex_state = 233},
  [2069] = {.lex_state = 192},
  [2070] = {.lex_state = 201},
  [2071] = {.lex_state = 192},
  [2072] = {.lex_state = 201},
  [2073] = {.lex_state = 234},
  [2074] = {.lex_state = 183},
  [2075] = {.lex_state = 201},
  [2076] = {.lex_state = 194},
  [2077] = {.lex_state = 183},
  [2078] = {.lex_state = 234},
  [2079] = {.lex_state = 234},
  [2080] = {.lex_state = 234},
  [2081] = {.lex_state = 234},
  [2082] = {.lex_state = 234},
  [2083] = {.lex_state = 192},
  [2084] = {.lex_state = 174},
  [2085] = {.lex_state = 234},
  [2086] = {.lex_state = 192},
  [2087] = {.lex_state = 234},
  [2088] = {.lex_state = 234},
  [2089] = {.lex_state = 176},
  [2090] = {.lex_state = 192},
  [2091] = {.lex_state = 236},
  [2092] = {.lex_state = 234},
  [2093] = {.lex_state = 179},
  [2094] = {.lex_state = 179},
  [2095] = {.lex_state = 236},
  [2096] = {.lex_state = 183},
  [2097] = {.lex_state = 234},
  [2098] = {.lex_state = 234},
  [2099] = {.lex_state = 234},
  [2100] = {.lex_state = 234},
  [2101] = {.lex_state = 234},
  [2102] = {.lex_state = 192},
  [2103] = {.lex_state = 234},
  [2104] = {.lex_state = 194},
  [2105] = {.lex_state = 192},
  [2106] = {.lex_state = 174},
  [2107] = {.lex_state = 236},
  [2108] = {.lex_state = 199},
  [2109] = {.lex_state = 174},
  [2110] = {.lex_state = 199},
  [2111] = {.lex_state = 174},
  [2112] = {.lex_state = 174},
  [2113] = {.lex_state = 195},
  [2114] = {.lex_state = 174},
  [2115] = {.lex_state = 176},
  [2116] = {.lex_state = 174},
  [2117] = {.lex_state = 180},
  [2118] = {.lex_state = 174},
  [2119] = {.lex_state = 182},
  [2120] = {.lex_state = 176},
  [2121] = {.lex_state = 174},
  [2122] = {.lex_state = 180},
  [2123] = {.lex_state = 195},
  [2124] = {.lex_state = 236},
  [2125] = {.lex_state = 182},
  [2126] = {.lex_state = 192},
  [2127] = {.lex_state = 174},
  [2128] = {.lex_state = 233},
  [2129] = {.lex_state = 176},
  [2130] = {.lex_state = 174},
  [2131] = {.lex_state = 233},
  [2132] = {.lex_state = 174},
  [2133] = {.lex_state = 182},
  [2134] = {.lex_state = 236},
  [2135] = {.lex_state = 195},
  [2136] = {.lex_state = 236},
  [2137] = {.lex_state = 236},
  [2138] = {.lex_state = 236},
  [2139] = {.lex_state = 207},
  [2140] = {.lex_state = 192},
  [2141] = {.lex_state = 186},
  [2142] = {.lex_state = 193},
  [2143] = {.lex_state = 184},
  [2144] = {.lex_state = 176},
  [2145] = {.lex_state = 174},
  [2146] = {.lex_state = 234},
  [2147] = {.lex_state = 195},
  [2148] = {.lex_state = 195},
  [2149] = {.lex_state = 186},
  [2150] = {.lex_state = 199},
  [2151] = {.lex_state = 234},
  [2152] = {.lex_state = 195},
  [2153] = {.lex_state = 195},
  [2154] = {.lex_state = 234},
  [2155] = {.lex_state = 176},
  [2156] = {.lex_state = 176},
  [2157] = {.lex_state = 193},
  [2158] = {.lex_state = 195},
  [2159] = {.lex_state = 192},
  [2160] = {.lex_state = 176},
  [2161] = {.lex_state = 184},
  [2162] = {.lex_state = 195},
  [2163] = {.lex_state = 195},
  [2164] = {.lex_state = 192},
  [2165] = {.lex_state = 201},
  [2166] = {.lex_state = 193},
  [2167] = {.lex_state = 193},
  [2168] = {.lex_state = 195},
  [2169] = {.lex_state = 193},
  [2170] = {.lex_state = 199},
  [2171] = {.lex_state = 201},
  [2172] = {.lex_state = 174},
  [2173] = {.lex_state = 195},
  [2174] = {.lex_state = 195},
  [2175] = {.lex_state = 192},
  [2176] = {.lex_state = 195},
  [2177] = {.lex_state = 195},
  [2178] = {.lex_state = 195},
  [2179] = {.lex_state = 192},
  [2180] = {.lex_state = 186},
  [2181] = {.lex_state = 195},
  [2182] = {.lex_state = 195},
  [2183] = {.lex_state = 195},
  [2184] = {.lex_state = 192},
  [2185] = {.lex_state = 195},
  [2186] = {.lex_state = 192},
  [2187] = {.lex_state = 193},
  [2188] = {.lex_state = 193},
  [2189] = {.lex_state = 176},
  [2190] = {.lex_state = 195},
  [2191] = {.lex_state = 201},
  [2192] = {.lex_state = 195},
  [2193] = {.lex_state = 201},
  [2194] = {.lex_state = 201},
  [2195] = {.lex_state = 193},
  [2196] = {.lex_state = 195},
  [2197] = {.lex_state = 195},
  [2198] = {.lex_state = 201},
  [2199] = {.lex_state = 193},
  [2200] = {.lex_state = 195},
  [2201] = {.lex_state = 195},
  [2202] = {.lex_state = 201},
  [2203] = {.lex_state = 201},
  [2204] = {.lex_state = 224},
  [2205] = {.lex_state = 201},
  [2206] = {.lex_state = 201},
  [2207] = {.lex_state = 195},
  [2208] = {.lex_state = 193},
  [2209] = {.lex_state = 224},
  [2210] = {.lex_state = 193},
  [2211] = {.lex_state = 195},
  [2212] = {.lex_state = 195},
  [2213] = {.lex_state = 193},
  [2214] = {.lex_state = 193},
  [2215] = {.lex_state = 195},
  [2216] = {.lex_state = 195},
  [2217] = {.lex_state = 224},
  [2218] = {.lex_state = 234},
  [2219] = {.lex_state = 215},
  [2220] = {.lex_state = 195},
  [2221] = {.lex_state = 195},
  [2222] = {.lex_state = 195},
  [2223] = {.lex_state = 193},
  [2224] = {.lex_state = 195},
  [2225] = {.lex_state = 195},
  [2226] = {.lex_state = 195},
  [2227] = {.lex_state = 193},
  [2228] = {.lex_state = 207},
  [2229] = {.lex_state = 195},
  [2230] = {.lex_state = 195},
  [2231] = {.lex_state = 207},
  [2232] = {.lex_state = 195},
  [2233] = {.lex_state = 195},
  [2234] = {.lex_state = 224},
  [2235] = {.lex_state = 182},
  [2236] = {.lex_state = 192},
  [2237] = {.lex_state = 195},
  [2238] = {.lex_state = 193},
  [2239] = {.lex_state = 201},
  [2240] = {.lex_state = 195},
  [2241] = {.lex_state = 192},
  [2242] = {.lex_state = 192},
  [2243] = {.lex_state = 195},
  [2244] = {.lex_state = 195},
  [2245] = {.lex_state = 201},
  [2246] = {.lex_state = 192},
  [2247] = {.lex_state = 201},
  [2248] = {.lex_state = 195},
  [2249] = {.lex_state = 193},
  [2250] = {.lex_state = 224},
  [2251] = {.lex_state = 192},
  [2252] = {.lex_state = 224},
  [2253] = {.lex_state = 201},
  [2254] = {.lex_state = 195},
  [2255] = {.lex_state = 195},
  [2256] = {.lex_state = 195},
  [2257] = {.lex_state = 195},
  [2258] = {.lex_state = 193},
  [2259] = {.lex_state = 195},
  [2260] = {.lex_state = 195},
  [2261] = {.lex_state = 195},
  [2262] = {.lex_state = 195},
  [2263] = {.lex_state = 224},
  [2264] = {.lex_state = 195},
  [2265] = {.lex_state = 195},
  [2266] = {.lex_state = 195},
  [2267] = {.lex_state = 224},
  [2268] = {.lex_state = 195},
  [2269] = {.lex_state = 192},
  [2270] = {.lex_state = 195},
  [2271] = {.lex_state = 192},
  [2272] = {.lex_state = 176},
  [2273] = {.lex_state = 172},
  [2274] = {.lex_state = 195},
  [2275] = {.lex_state = 195},
  [2276] = {.lex_state = 215},
  [2277] = {.lex_state = 195},
  [2278] = {.lex_state = 192},
  [2279] = {.lex_state = 234},
  [2280] = {.lex_state = 236},
  [2281] = {.lex_state = 176},
  [2282] = {.lex_state = 224},
  [2283] = {.lex_state = 176},
  [2284] = {.lex_state = 182},
  [2285] = {.lex_state = 192},
  [2286] = {.lex_state = 195},
  [2287] = {.lex_state = 176},
  [2288] = {.lex_state = 224},
  [2289] = {.lex_state = 236},
  [2290] = {.lex_state = 182},
  [2291] = {.lex_state = 195},
  [2292] = {.lex_state = 186},
  [2293] = {.lex_state = 182},
  [2294] = {.lex_state = 195},
  [2295] = {.lex_state = 236},
  [2296] = {.lex_state = 195},
  [2297] = {.lex_state = 182},
  [2298] = {.lex_state = 236},
  [2299] = {.lex_state = 192},
  [2300] = {.lex_state = 182},
  [2301] = {.lex_state = 182},
  [2302] = {.lex_state = 172},
  [2303] = {.lex_state = 195},
  [2304] = {.lex_state = 182},
  [2305] = {.lex_state = 195},
  [2306] = {.lex_state = 192},
  [2307] = {.lex_state = 236},
  [2308] = {.lex_state = 215},
  [2309] = {.lex_state = 195},
  [2310] = {.lex_state = 192},
  [2311] = {.lex_state = 195},
  [2312] = {.lex_state = 182},
  [2313] = {.lex_state = 236},
  [2314] = {.lex_state = 193},
  [2315] = {.lex_state = 236},
  [2316] = {.lex_state = 192},
  [2317] = {.lex_state = 195},
  [2318] = {.lex_state = 195},
  [2319] = {.lex_state = 236},
  [2320] = {.lex_state = 195},
  [2321] = {.lex_state = 236},
  [2322] = {.lex_state = 236},
  [2323] = {.lex_state = 176},
  [2324] = {.lex_state = 195},
  [2325] = {.lex_state = 186},
  [2326] = {.lex_state = 192},
  [2327] = {.lex_state = 236},
  [2328] = {.lex_state = 236},
  [2329] = {.lex_state = 236},
  [2330] = {.lex_state = 193},
  [2331] = {.lex_state = 193},
  [2332] = {.lex_state = 207},
  [2333] = {.lex_state = 236},
  [2334] = {.lex_state = 193},
  [2335] = {.lex_state = 236},
  [2336] = {.lex_state = 195},
  [2337] = {.lex_state = 193},
  [2338] = {.lex_state = 236},
  [2339] = {.lex_state = 198},
  [2340] = {.lex_state = 195},
  [2341] = {.lex_state = 236},
  [2342] = {.lex_state = 192},
  [2343] = {.lex_state = 236},
  [2344] = {.lex_state = 195},
  [2345] = {.lex_state = 236},
  [2346] = {.lex_state = 236},
  [2347] = {.lex_state = 192},
  [2348] = {.lex_state = 236},
  [2349] = {.lex_state = 236},
  [2350] = {.lex_state = 236},
  [2351] = {.lex_state = 236},
  [2352] = {.lex_state = 236},
  [2353] = {.lex_state = 236},
  [2354] = {.lex_state = 204},
  [2355] = {.lex_state = 195},
  [2356] = {.lex_state = 236},
  [2357] = {.lex_state = 192},
  [2358] = {.lex_state = 192},
  [2359] = {.lex_state = 182},
  [2360] = {.lex_state = 193},
  [2361] = {.lex_state = 205},
  [2362] = {.lex_state = 182},
  [2363] = {.lex_state = 195},
  [2364] = {.lex_state = 236},
  [2365] = {.lex_state = 186},
  [2366] = {.lex_state = 236},
  [2367] = {.lex_state = 176},
  [2368] = {.lex_state = 236},
  [2369] = {.lex_state = 182},
  [2370] = {.lex_state = 236},
  [2371] = {.lex_state = 192},
  [2372] = {.lex_state = 186},
  [2373] = {.lex_state = 236},
  [2374] = {.lex_state = 236},
  [2375] = {.lex_state = 236},
  [2376] = {.lex_state = 236},
  [2377] = {.lex_state = 176},
  [2378] = {.lex_state = 236},
  [2379] = {.lex_state = 186},
  [2380] = {.lex_state = 236},
  [2381] = {.lex_state = 236},
  [2382] = {.lex_state = 236},
  [2383] = {.lex_state = 176},
  [2384] = {.lex_state = 236},
  [2385] = {.lex_state = 236},
  [2386] = {.lex_state = 236},
  [2387] = {.lex_state = 236},
  [2388] = {.lex_state = 236},
  [2389] = {.lex_state = 195},
  [2390] = {.lex_state = 195},
  [2391] = {.lex_state = 195},
  [2392] = {.lex_state = 223},
  [2393] = {.lex_state = 195},
  [2394] = {.lex_state = 195},
  [2395] = {.lex_state = 195},
  [2396] = {.lex_state = 195},
  [2397] = {.lex_state = 195},
  [2398] = {.lex_state = 207},
  [2399] = {.lex_state = 195},
  [2400] = {.lex_state = 172},
  [2401] = {.lex_state = 195},
  [2402] = {.lex_state = 195},
  [2403] = {.lex_state = 223},
  [2404] = {.lex_state = 195},
  [2405] = {.lex_state = 172},
  [2406] = {.lex_state = 195},
  [2407] = {.lex_state = 195},
  [2408] = {.lex_state = 195},
  [2409] = {.lex_state = 195},
  [2410] = {.lex_state = 195},
  [2411] = {.lex_state = 195},
  [2412] = {.lex_state = 195},
  [2413] = {.lex_state = 195},
  [2414] = {.lex_state = 195},
  [2415] = {.lex_state = 172},
  [2416] = {.lex_state = 195},
  [2417] = {.lex_state = 195},
  [2418] = {.lex_state = 195},
  [2419] = {.lex_state = 195},
  [2420] = {.lex_state = 228},
  [2421] = {.lex_state = 195},
  [2422] = {.lex_state = 195},
  [2423] = {.lex_state = 195},
  [2424] = {.lex_state = 195},
  [2425] = {.lex_state = 195},
  [2426] = {.lex_state = 228},
  [2427] = {.lex_state = 224},
  [2428] = {.lex_state = 195},
  [2429] = {.lex_state = 195},
  [2430] = {.lex_state = 195},
  [2431] = {.lex_state = 195},
  [2432] = {.lex_state = 195},
  [2433] = {.lex_state = 195},
  [2434] = {.lex_state = 195},
  [2435] = {.lex_state = 195},
  [2436] = {.lex_state = 195},
  [2437] = {.lex_state = 195},
  [2438] = {.lex_state = 195},
  [2439] = {.lex_state = 195},
  [2440] = {.lex_state = 212},
  [2441] = {.lex_state = 236},
  [2442] = {.lex_state = 195},
  [2443] = {.lex_state = 195},
  [2444] = {.lex_state = 195},
  [2445] = {.lex_state = 195},
  [2446] = {.lex_state = 195},
  [2447] = {.lex_state = 195},
  [2448] = {.lex_state = 172},
  [2449] = {.lex_state = 195},
  [2450] = {.lex_state = 172},
  [2451] = {.lex_state = 172},
  [2452] = {.lex_state = 195},
  [2453] = {.lex_state = 172},
  [2454] = {.lex_state = 195},
  [2455] = {.lex_state = 172},
  [2456] = {.lex_state = 172},
  [2457] = {.lex_state = 172},
  [2458] = {.lex_state = 224},
  [2459] = {.lex_state = 172},
  [2460] = {.lex_state = 223},
  [2461] = {.lex_state = 195},
  [2462] = {.lex_state = 172},
  [2463] = {.lex_state = 195},
  [2464] = {.lex_state = 195},
  [2465] = {.lex_state = 172},
  [2466] = {.lex_state = 195},
  [2467] = {.lex_state = 236},
  [2468] = {.lex_state = 236},
  [2469] = {.lex_state = 195},
  [2470] = {.lex_state = 195},
  [2471] = {.lex_state = 195},
  [2472] = {.lex_state = 195},
  [2473] = {.lex_state = 172},
  [2474] = {.lex_state = 195},
  [2475] = {.lex_state = 195},
  [2476] = {.lex_state = 195},
  [2477] = {.lex_state = 195},
  [2478] = {.lex_state = 195},
  [2479] = {.lex_state = 195},
  [2480] = {.lex_state = 172},
  [2481] = {.lex_state = 195},
  [2482] = {.lex_state = 186},
  [2483] = {.lex_state = 204},
  [2484] = {.lex_state = 223},
  [2485] = {.lex_state = 195},
  [2486] = {.lex_state = 195},
  [2487] = {.lex_state = 182},
  [2488] = {.lex_state = 186},
  [2489] = {.lex_state = 172},
  [2490] = {.lex_state = 223},
  [2491] = {.lex_state = 236},
  [2492] = {.lex_state = 228},
  [2493] = {.lex_state = 195},
  [2494] = {.lex_state = 172},
  [2495] = {.lex_state = 186},
  [2496] = {.lex_state = 195},
  [2497] = {.lex_state = 195},
  [2498] = {.lex_state = 195},
  [2499] = {.lex_state = 195},
  [2500] = {.lex_state = 172},
  [2501] = {.lex_state = 186},
  [2502] = {.lex_state = 195},
  [2503] = {.lex_state = 172},
  [2504] = {.lex_state = 172},
  [2505] = {.lex_state = 195},
  [2506] = {.lex_state = 207},
  [2507] = {.lex_state = 228},
  [2508] = {.lex_state = 195},
  [2509] = {.lex_state = 223},
  [2510] = {.lex_state = 223},
  [2511] = {.lex_state = 223},
  [2512] = {.lex_state = 211},
  [2513] = {.lex_state = 223},
  [2514] = {.lex_state = 223},
  [2515] = {.lex_state = 223},
  [2516] = {.lex_state = 195},
  [2517] = {.lex_state = 223},
  [2518] = {.lex_state = 224},
  [2519] = {.lex_state = 236},
  [2520] = {.lex_state = 236},
  [2521] = {.lex_state = 236},
  [2522] = {.lex_state = 204},
  [2523] = {.lex_state = 236},
  [2524] = {.lex_state = 236},
  [2525] = {.lex_state = 204},
  [2526] = {.lex_state = 236},
  [2527] = {.lex_state = 178},
  [2528] = {.lex_state = 204},
  [2529] = {.lex_state = 224},
  [2530] = {.lex_state = 236},
  [2531] = {.lex_state = 204},
  [2532] = {.lex_state = 224},
  [2533] = {.lex_state = 236},
  [2534] = {.lex_state = 182},
  [2535] = {.lex_state = 224},
  [2536] = {.lex_state = 182},
  [2537] = {.lex_state = 236},
  [2538] = {.lex_state = 236},
  [2539] = {.lex_state = 204},
  [2540] = {.lex_state = 204},
  [2541] = {.lex_state = 204},
  [2542] = {.lex_state = 204},
  [2543] = {.lex_state = 236},
  [2544] = {.lex_state = 178},
  [2545] = {.lex_state = 224},
  [2546] = {.lex_state = 224},
  [2547] = {.lex_state = 233},
  [2548] = {.lex_state = 211},
  [2549] = {.lex_state = 236},
  [2550] = {.lex_state = 224},
  [2551] = {.lex_state = 224},
  [2552] = {.lex_state = 204},
  [2553] = {.lex_state = 236},
  [2554] = {.lex_state = 178},
  [2555] = {.lex_state = 236},
  [2556] = {.lex_state = 224},
  [2557] = {.lex_state = 224},
  [2558] = {.lex_state = 236},
  [2559] = {.lex_state = 182},
  [2560] = {.lex_state = 182},
  [2561] = {.lex_state = 224},
  [2562] = {.lex_state = 224},
  [2563] = {.lex_state = 224},
  [2564] = {.lex_state = 233},
  [2565] = {.lex_state = 223},
  [2566] = {.lex_state = 224},
  [2567] = {.lex_state = 224},
  [2568] = {.lex_state = 204},
  [2569] = {.lex_state = 211},
  [2570] = {.lex_state = 211},
  [2571] = {.lex_state = 182},
  [2572] = {.lex_state = 224},
  [2573] = {.lex_state = 224},
  [2574] = {.lex_state = 204},
  [2575] = {.lex_state = 211},
  [2576] = {.lex_state = 204},
  [2577] = {.lex_state = 205},
  [2578] = {.lex_state = 182},
  [2579] = {.lex_state = 211},
  [2580] = {.lex_state = 224},
  [2581] = {.lex_state = 234},
  [2582] = {.lex_state = 205},
  [2583] = {.lex_state = 239},
  [2584] = {.lex_state = 205},
  [2585] = {.lex_state = 224},
  [2586] = {.lex_state = 211},
  [2587] = {.lex_state = 204},
  [2588] = {.lex_state = 204},
  [2589] = {.lex_state = 224},
  [2590] = {.lex_state = 204},
  [2591] = {.lex_state = 236},
  [2592] = {.lex_state = 211},
  [2593] = {.lex_state = 182},
  [2594] = {.lex_state = 211},
  [2595] = {.lex_state = 236},
  [2596] = {.lex_state = 204},
  [2597] = {.lex_state = 211},
  [2598] = {.lex_state = 182},
  [2599] = {.lex_state = 223},
  [2600] = {.lex_state = 204},
  [2601] = {.lex_state = 211},
  [2602] = {.lex_state = 234},
  [2603] = {.lex_state = 224},
  [2604] = {.lex_state = 220},
  [2605] = {.lex_state = 224},
  [2606] = {.lex_state = 224},
  [2607] = {.lex_state = 224},
  [2608] = {.lex_state = 204},
  [2609] = {.lex_state = 220},
  [2610] = {.lex_state = 224},
  [2611] = {.lex_state = 233},
  [2612] = {.lex_state = 220},
  [2613] = {.lex_state = 220},
  [2614] = {.lex_state = 224},
  [2615] = {.lex_state = 204},
  [2616] = {.lex_state = 224},
  [2617] = {.lex_state = 236},
  [2618] = {.lex_state = 212},
  [2619] = {.lex_state = 224},
  [2620] = {.lex_state = 224},
  [2621] = {.lex_state = 224},
  [2622] = {.lex_state = 224},
  [2623] = {.lex_state = 224},
  [2624] = {.lex_state = 224},
  [2625] = {.lex_state = 224},
  [2626] = {.lex_state = 224},
  [2627] = {.lex_state = 224},
  [2628] = {.lex_state = 199},
  [2629] = {.lex_state = 211},
  [2630] = {.lex_state = 211},
  [2631] = {.lex_state = 224},
  [2632] = {.lex_state = 224},
  [2633] = {.lex_state = 211},
  [2634] = {.lex_state = 224},
  [2635] = {.lex_state = 224},
  [2636] = {.lex_state = 224},
  [2637] = {.lex_state = 224},
  [2638] = {.lex_state = 224},
  [2639] = {.lex_state = 224},
  [2640] = {.lex_state = 204},
  [2641] = {.lex_state = 220},
  [2642] = {.lex_state = 222},
  [2643] = {.lex_state = 211},
  [2644] = {.lex_state = 224},
  [2645] = {.lex_state = 222},
  [2646] = {.lex_state = 224},
  [2647] = {.lex_state = 224},
  [2648] = {.lex_state = 224},
  [2649] = {.lex_state = 211},
  [2650] = {.lex_state = 224},
  [2651] = {.lex_state = 224},
  [2652] = {.lex_state = 224},
  [2653] = {.lex_state = 220},
  [2654] = {.lex_state = 211},
  [2655] = {.lex_state = 205},
  [2656] = {.lex_state = 211},
  [2657] = {.lex_state = 220},
  [2658] = {.lex_state = 212},
  [2659] = {.lex_state = 199},
  [2660] = {.lex_state = 233},
  [2661] = {.lex_state = 204},
  [2662] = {.lex_state = 236},
  [2663] = {.lex_state = 236},
  [2664] = {.lex_state = 204},
  [2665] = {.lex_state = 224},
  [2666] = {.lex_state = 204},
  [2667] = {.lex_state = 222},
  [2668] = {.lex_state = 224},
  [2669] = {.lex_state = 220},
  [2670] = {.lex_state = 220},
  [2671] = {.lex_state = 220},
  [2672] = {.lex_state = 178},
  [2673] = {.lex_state = 211},
  [2674] = {.lex_state = 204},
  [2675] = {.lex_state = 211},
  [2676] = {.lex_state = 204},
  [2677] = {.lex_state = 178},
  [2678] = {.lex_state = 220},
  [2679] = {.lex_state = 178},
  [2680] = {.lex_state = 220},
  [2681] = {.lex_state = 204},
  [2682] = {.lex_state = 211},
  [2683] = {.lex_state = 204},
  [2684] = {.lex_state = 178},
  [2685] = {.lex_state = 220},
  [2686] = {.lex_state = 220},
  [2687] = {.lex_state = 204},
  [2688] = {.lex_state = 236},
  [2689] = {.lex_state = 204},
  [2690] = {.lex_state = 204},
  [2691] = {.lex_state = 236},
  [2692] = {.lex_state = 220},
  [2693] = {.lex_state = 211},
  [2694] = {.lex_state = 199},
  [2695] = {.lex_state = 236},
  [2696] = {.lex_state = 204},
  [2697] = {.lex_state = 204},
  [2698] = {.lex_state = 204},
  [2699] = {.lex_state = 220},
  [2700] = {.lex_state = 220},
  [2701] = {.lex_state = 236},
  [2702] = {.lex_state = 199},
  [2703] = {.lex_state = 192},
  [2704] = {.lex_state = 192},
  [2705] = {.lex_state = 192},
  [2706] = {.lex_state = 192},
  [2707] = {.lex_state = 192},
  [2708] = {.lex_state = 192},
  [2709] = {.lex_state = 192},
  [2710] = {.lex_state = 172},
  [2711] = {.lex_state = 236},
  [2712] = {.lex_state = 192},
  [2713] = {.lex_state = 220},
  [2714] = {.lex_state = 192},
  [2715] = {.lex_state = 192},
  [2716] = {.lex_state = 192},
  [2717] = {.lex_state = 192},
  [2718] = {.lex_state = 192},
  [2719] = {.lex_state = 192},
  [2720] = {.lex_state = 192},
  [2721] = {.lex_state = 192},
  [2722] = {.lex_state = 192},
  [2723] = {.lex_state = 212},
  [2724] = {.lex_state = 204},
  [2725] = {.lex_state = 220},
  [2726] = {.lex_state = 220},
  [2727] = {.lex_state = 220},
  [2728] = {.lex_state = 192},
  [2729] = {.lex_state = 196},
  [2730] = {.lex_state = 199},
  [2731] = {.lex_state = 234},
  [2732] = {.lex_state = 211},
  [2733] = {.lex_state = 199},
  [2734] = {.lex_state = 234},
  [2735] = {.lex_state = 204},
  [2736] = {.lex_state = 204},
  [2737] = {.lex_state = 204},
  [2738] = {.lex_state = 234},
  [2739] = {.lex_state = 223},
  [2740] = {.lex_state = 199},
  [2741] = {.lex_state = 204},
  [2742] = {.lex_state = 204},
  [2743] = {.lex_state = 199},
  [2744] = {.lex_state = 199},
  [2745] = {.lex_state = 234},
  [2746] = {.lex_state = 193},
  [2747] = {.lex_state = 234},
  [2748] = {.lex_state = 234},
  [2749] = {.lex_state = 199},
  [2750] = {.lex_state = 236},
  [2751] = {.lex_state = 234},
  [2752] = {.lex_state = 199},
  [2753] = {.lex_state = 196},
  [2754] = {.lex_state = 234},
  [2755] = {.lex_state = 234},
  [2756] = {.lex_state = 193},
  [2757] = {.lex_state = 234},
  [2758] = {.lex_state = 204},
  [2759] = {.lex_state = 204},
  [2760] = {.lex_state = 204},
  [2761] = {.lex_state = 236},
  [2762] = {.lex_state = 234},
  [2763] = {.lex_state = 199},
  [2764] = {.lex_state = 236},
  [2765] = {.lex_state = 211},
  [2766] = {.lex_state = 199},
  [2767] = {.lex_state = 205},
  [2768] = {.lex_state = 199},
  [2769] = {.lex_state = 193},
  [2770] = {.lex_state = 199},
  [2771] = {.lex_state = 204},
  [2772] = {.lex_state = 193},
  [2773] = {.lex_state = 199},
  [2774] = {.lex_state = 196},
  [2775] = {.lex_state = 234},
  [2776] = {.lex_state = 237},
  [2777] = {.lex_state = 237},
  [2778] = {.lex_state = 204},
  [2779] = {.lex_state = 204},
  [2780] = {.lex_state = 199},
  [2781] = {.lex_state = 199},
  [2782] = {.lex_state = 193},
  [2783] = {.lex_state = 199},
  [2784] = {.lex_state = 199},
  [2785] = {.lex_state = 193},
  [2786] = {.lex_state = 204},
  [2787] = {.lex_state = 204},
  [2788] = {.lex_state = 193},
  [2789] = {.lex_state = 204},
  [2790] = {.lex_state = 204},
  [2791] = {.lex_state = 205},
  [2792] = {.lex_state = 199},
  [2793] = {.lex_state = 204},
  [2794] = {.lex_state = 204},
  [2795] = {.lex_state = 234},
  [2796] = {.lex_state = 204},
  [2797] = {.lex_state = 199},
  [2798] = {.lex_state = 199},
  [2799] = {.lex_state = 204},
  [2800] = {.lex_state = 204},
  [2801] = {.lex_state = 204},
  [2802] = {.lex_state = 199},
  [2803] = {.lex_state = 199},
  [2804] = {.lex_state = 199},
  [2805] = {.lex_state = 199},
  [2806] = {.lex_state = 204},
  [2807] = {.lex_state = 204},
  [2808] = {.lex_state = 191},
  [2809] = {.lex_state = 199},
  [2810] = {.lex_state = 237},
  [2811] = {.lex_state = 234},
  [2812] = {.lex_state = 204},
  [2813] = {.lex_state = 204},
  [2814] = {.lex_state = 189},
  [2815] = {.lex_state = 236},
  [2816] = {.lex_state = 192},
  [2817] = {.lex_state = 189},
  [2818] = {.lex_state = 196},
  [2819] = {.lex_state = 192},
  [2820] = {.lex_state = 236},
  [2821] = {.lex_state = 192},
  [2822] = {.lex_state = 204},
  [2823] = {.lex_state = 192},
  [2824] = {.lex_state = 204},
  [2825] = {.lex_state = 211},
  [2826] = {.lex_state = 236},
  [2827] = {.lex_state = 211},
  [2828] = {.lex_state = 236},
  [2829] = {.lex_state = 237},
  [2830] = {.lex_state = 237},
  [2831] = {.lex_state = 192},
  [2832] = {.lex_state = 236},
  [2833] = {.lex_state = 236},
  [2834] = {.lex_state = 192},
  [2835] = {.lex_state = 192},
  [2836] = {.lex_state = 234},
  [2837] = {.lex_state = 204},
  [2838] = {.lex_state = 204},
  [2839] = {.lex_state = 192},
  [2840] = {.lex_state = 236},
  [2841] = {.lex_state = 236},
  [2842] = {.lex_state = 192},
  [2843] = {.lex_state = 211},
  [2844] = {.lex_state = 236},
  [2845] = {.lex_state = 192},
  [2846] = {.lex_state = 211},
  [2847] = {.lex_state = 211},
  [2848] = {.lex_state = 204},
  [2849] = {.lex_state = 192},
  [2850] = {.lex_state = 236},
  [2851] = {.lex_state = 211},
  [2852] = {.lex_state = 236},
  [2853] = {.lex_state = 204},
  [2854] = {.lex_state = 211},
  [2855] = {.lex_state = 211},
  [2856] = {.lex_state = 236},
  [2857] = {.lex_state = 236},
  [2858] = {.lex_state = 211},
  [2859] = {.lex_state = 192},
  [2860] = {.lex_state = 196},
  [2861] = {.lex_state = 204},
  [2862] = {.lex_state = 205},
  [2863] = {.lex_state = 192},
  [2864] = {.lex_state = 236},
  [2865] = {.lex_state = 204},
  [2866] = {.lex_state = 199},
  [2867] = {.lex_state = 189},
  [2868] = {.lex_state = 211},
  [2869] = {.lex_state = 192},
  [2870] = {.lex_state = 192},
  [2871] = {.lex_state = 192},
  [2872] = {.lex_state = 204},
  [2873] = {.lex_state = 204},
  [2874] = {.lex_state = 211},
  [2875] = {.lex_state = 204},
  [2876] = {.lex_state = 204},
  [2877] = {.lex_state = 191},
  [2878] = {.lex_state = 234},
  [2879] = {.lex_state = 196},
  [2880] = {.lex_state = 204},
  [2881] = {.lex_state = 189},
  [2882] = {.lex_state = 192},
  [2883] = {.lex_state = 234},
  [2884] = {.lex_state = 236},
  [2885] = {.lex_state = 192},
  [2886] = {.lex_state = 236},
  [2887] = {.lex_state = 204},
  [2888] = {.lex_state = 192},
  [2889] = {.lex_state = 211},
  [2890] = {.lex_state = 234},
  [2891] = {.lex_state = 237},
  [2892] = {.lex_state = 237},
  [2893] = {.lex_state = 236},
  [2894] = {.lex_state = 204},
  [2895] = {.lex_state = 189},
  [2896] = {.lex_state = 234},
  [2897] = {.lex_state = 236},
  [2898] = {.lex_state = 189},
  [2899] = {.lex_state = 204},
  [2900] = {.lex_state = 204},
  [2901] = {.lex_state = 236},
  [2902] = {.lex_state = 236},
  [2903] = {.lex_state = 236},
  [2904] = {.lex_state = 236},
  [2905] = {.lex_state = 166},
  [2906] = {.lex_state = 166},
  [2907] = {.lex_state = 204},
  [2908] = {.lex_state = 204},
  [2909] = {.lex_state = 211},
  [2910] = {.lex_state = 204},
  [2911] = {.lex_state = 204},
  [2912] = {.lex_state = 204},
  [2913] = {.lex_state = 166},
  [2914] = {.lex_state = 204},
  [2915] = {.lex_state = 204},
  [2916] = {.lex_state = 204},
  [2917] = {.lex_state = 204},
  [2918] = {.lex_state = 204},
  [2919] = {.lex_state = 204},
  [2920] = {.lex_state = 204},
  [2921] = {.lex_state = 234},
  [2922] = {.lex_state = 214},
  [2923] = {.lex_state = 204},
  [2924] = {.lex_state = 204},
  [2925] = {.lex_state = 236},
  [2926] = {.lex_state = 234},
  [2927] = {.lex_state = 239},
  [2928] = {.lex_state = 189},
  [2929] = {.lex_state = 204},
  [2930] = {.lex_state = 211},
  [2931] = {.lex_state = 211},
  [2932] = {.lex_state = 204},
  [2933] = {.lex_state = 204},
  [2934] = {.lex_state = 204},
  [2935] = {.lex_state = 236},
  [2936] = {.lex_state = 189},
  [2937] = {.lex_state = 204},
  [2938] = {.lex_state = 214},
  [2939] = {.lex_state = 204},
  [2940] = {.lex_state = 166},
  [2941] = {.lex_state = 220},
  [2942] = {.lex_state = 204},
  [2943] = {.lex_state = 220},
  [2944] = {.lex_state = 166},
  [2945] = {.lex_state = 211},
  [2946] = {.lex_state = 236},
  [2947] = {.lex_state = 236},
  [2948] = {.lex_state = 204},
  [2949] = {.lex_state = 204},
  [2950] = {.lex_state = 220},
  [2951] = {.lex_state = 236},
  [2952] = {.lex_state = 211},
  [2953] = {.lex_state = 204},
  [2954] = {.lex_state = 204},
  [2955] = {.lex_state = 236},
  [2956] = {.lex_state = 211},
  [2957] = {.lex_state = 214},
  [2958] = {.lex_state = 166},
  [2959] = {.lex_state = 220},
  [2960] = {.lex_state = 189},
  [2961] = {.lex_state = 178},
  [2962] = {.lex_state = 237},
  [2963] = {.lex_state = 211},
  [2964] = {.lex_state = 220},
  [2965] = {.lex_state = 236},
  [2966] = {.lex_state = 236},
  [2967] = {.lex_state = 220},
  [2968] = {.lex_state = 204},
  [2969] = {.lex_state = 204},
  [2970] = {.lex_state = 204},
  [2971] = {.lex_state = 204},
  [2972] = {.lex_state = 204},
  [2973] = {.lex_state = 214},
  [2974] = {.lex_state = 204},
  [2975] = {.lex_state = 200},
  [2976] = {.lex_state = 204},
  [2977] = {.lex_state = 236},
  [2978] = {.lex_state = 236},
  [2979] = {.lex_state = 211},
  [2980] = {.lex_state = 204},
  [2981] = {.lex_state = 204},
  [2982] = {.lex_state = 236},
  [2983] = {.lex_state = 204},
  [2984] = {.lex_state = 214},
  [2985] = {.lex_state = 211},
  [2986] = {.lex_state = 204},
  [2987] = {.lex_state = 204},
  [2988] = {.lex_state = 204},
  [2989] = {.lex_state = 204},
  [2990] = {.lex_state = 204},
  [2991] = {.lex_state = 211},
  [2992] = {.lex_state = 211},
  [2993] = {.lex_state = 234},
  [2994] = {.lex_state = 211},
  [2995] = {.lex_state = 211},
  [2996] = {.lex_state = 234},
  [2997] = {.lex_state = 211},
  [2998] = {.lex_state = 211},
  [2999] = {.lex_state = 211},
  [3000] = {.lex_state = 234},
  [3001] = {.lex_state = 234},
  [3002] = {.lex_state = 192},
  [3003] = {.lex_state = 211},
  [3004] = {.lex_state = 204},
  [3005] = {.lex_state = 211},
  [3006] = {.lex_state = 192},
  [3007] = {.lex_state = 234},
  [3008] = {.lex_state = 211},
  [3009] = {.lex_state = 204},
  [3010] = {.lex_state = 204},
  [3011] = {.lex_state = 211},
  [3012] = {.lex_state = 204},
  [3013] = {.lex_state = 192},
  [3014] = {.lex_state = 211},
  [3015] = {.lex_state = 234},
  [3016] = {.lex_state = 234},
  [3017] = {.lex_state = 204},
  [3018] = {.lex_state = 211},
  [3019] = {.lex_state = 192},
  [3020] = {.lex_state = 234},
  [3021] = {.lex_state = 192},
  [3022] = {.lex_state = 234},
  [3023] = {.lex_state = 214},
  [3024] = {.lex_state = 204},
  [3025] = {.lex_state = 234},
  [3026] = {.lex_state = 234},
  [3027] = {.lex_state = 234},
  [3028] = {.lex_state = 204},
  [3029] = {.lex_state = 191},
  [3030] = {.lex_state = 192},
  [3031] = {.lex_state = 211},
  [3032] = {.lex_state = 234},
  [3033] = {.lex_state = 192},
  [3034] = {.lex_state = 211},
  [3035] = {.lex_state = 211},
  [3036] = {.lex_state = 192},
  [3037] = {.lex_state = 234},
  [3038] = {.lex_state = 192},
  [3039] = {.lex_state = 192},
  [3040] = {.lex_state = 234},
  [3041] = {.lex_state = 234},
  [3042] = {.lex_state = 192},
  [3043] = {.lex_state = 192},
  [3044] = {.lex_state = 234},
  [3045] = {.lex_state = 211},
  [3046] = {.lex_state = 211},
  [3047] = {.lex_state = 191},
  [3048] = {.lex_state = 204},
  [3049] = {.lex_state = 234},
  [3050] = {.lex_state = 211},
  [3051] = {.lex_state = 234},
  [3052] = {.lex_state = 234},
  [3053] = {.lex_state = 204},
  [3054] = {.lex_state = 234},
  [3055] = {.lex_state = 211},
  [3056] = {.lex_state = 211},
  [3057] = {.lex_state = 236},
  [3058] = {.lex_state = 234},
  [3059] = {.lex_state = 211},
  [3060] = {.lex_state = 204},
  [3061] = {.lex_state = 192},
  [3062] = {.lex_state = 204},
  [3063] = {.lex_state = 234},
  [3064] = {.lex_state = 204},
  [3065] = {.lex_state = 211},
  [3066] = {.lex_state = 192},
  [3067] = {.lex_state = 204},
  [3068] = {.lex_state = 211},
  [3069] = {.lex_state = 234},
  [3070] = {.lex_state = 234},
  [3071] = {.lex_state = 204},
  [3072] = {.lex_state = 204},
  [3073] = {.lex_state = 200},
  [3074] = {.lex_state = 234},
  [3075] = {.lex_state = 234},
  [3076] = {.lex_state = 211},
  [3077] = {.lex_state = 211},
  [3078] = {.lex_state = 211},
  [3079] = {.lex_state = 211},
  [3080] = {.lex_state = 234},
  [3081] = {.lex_state = 234},
  [3082] = {.lex_state = 192},
  [3083] = {.lex_state = 192},
  [3084] = {.lex_state = 234},
  [3085] = {.lex_state = 211},
  [3086] = {.lex_state = 192},
  [3087] = {.lex_state = 192},
  [3088] = {.lex_state = 234},
  [3089] = {.lex_state = 211},
  [3090] = {.lex_state = 211},
  [3091] = {.lex_state = 236},
  [3092] = {.lex_state = 234},
  [3093] = {.lex_state = 234},
  [3094] = {.lex_state = 234},
  [3095] = {.lex_state = 206},
  [3096] = {.lex_state = 204},
  [3097] = {.lex_state = 234},
  [3098] = {.lex_state = 211},
  [3099] = {.lex_state = 211},
  [3100] = {.lex_state = 189},
  [3101] = {.lex_state = 234},
  [3102] = {.lex_state = 234},
  [3103] = {.lex_state = 214},
  [3104] = {.lex_state = 234},
  [3105] = {.lex_state = 204},
  [3106] = {.lex_state = 204},
  [3107] = {.lex_state = 204},
  [3108] = {.lex_state = 234},
  [3109] = {.lex_state = 234},
  [3110] = {.lex_state = 204},
  [3111] = {.lex_state = 204},
  [3112] = {.lex_state = 204},
  [3113] = {.lex_state = 234},
  [3114] = {.lex_state = 234},
  [3115] = {.lex_state = 234},
  [3116] = {.lex_state = 211},
  [3117] = {.lex_state = 204},
  [3118] = {.lex_state = 236},
  [3119] = {.lex_state = 234},
  [3120] = {.lex_state = 234},
  [3121] = {.lex_state = 204},
  [3122] = {.lex_state = 234},
  [3123] = {.lex_state = 236},
  [3124] = {.lex_state = 234},
  [3125] = {.lex_state = 236},
  [3126] = {.lex_state = 234},
  [3127] = {.lex_state = 234},
  [3128] = {.lex_state = 234},
  [3129] = {.lex_state = 234},
  [3130] = {.lex_state = 234},
  [3131] = {.lex_state = 234},
  [3132] = {.lex_state = 213},
  [3133] = {.lex_state = 234},
  [3134] = {.lex_state = 234},
  [3135] = {.lex_state = 234},
  [3136] = {.lex_state = 234},
  [3137] = {.lex_state = 234},
  [3138] = {.lex_state = 189},
  [3139] = {.lex_state = 236},
  [3140] = {.lex_state = 234},
  [3141] = {.lex_state = 211},
  [3142] = {.lex_state = 178},
  [3143] = {.lex_state = 204},
  [3144] = {.lex_state = 204},
  [3145] = {.lex_state = 192},
  [3146] = {.lex_state = 234},
  [3147] = {.lex_state = 204},
  [3148] = {.lex_state = 234},
  [3149] = {.lex_state = 234},
  [3150] = {.lex_state = 234},
  [3151] = {.lex_state = 204},
  [3152] = {.lex_state = 234},
  [3153] = {.lex_state = 211},
  [3154] = {.lex_state = 234},
  [3155] = {.lex_state = 234},
  [3156] = {.lex_state = 234},
  [3157] = {.lex_state = 204},
  [3158] = {.lex_state = 204},
  [3159] = {.lex_state = 234},
  [3160] = {.lex_state = 234},
  [3161] = {.lex_state = 204},
  [3162] = {.lex_state = 204},
  [3163] = {.lex_state = 204},
  [3164] = {.lex_state = 204},
  [3165] = {.lex_state = 204},
  [3166] = {.lex_state = 204},
  [3167] = {.lex_state = 204},
  [3168] = {.lex_state = 204},
  [3169] = {.lex_state = 204},
  [3170] = {.lex_state = 204},
  [3171] = {.lex_state = 211},
  [3172] = {.lex_state = 211},
  [3173] = {.lex_state = 234},
  [3174] = {.lex_state = 191},
  [3175] = {.lex_state = 195},
  [3176] = {.lex_state = 236},
  [3177] = {.lex_state = 189},
  [3178] = {.lex_state = 178},
  [3179] = {.lex_state = 191},
  [3180] = {.lex_state = 189},
  [3181] = {.lex_state = 201},
  [3182] = {.lex_state = 189},
  [3183] = {.lex_state = 210},
  [3184] = {.lex_state = 189},
  [3185] = {.lex_state = 234},
  [3186] = {.lex_state = 178},
  [3187] = {.lex_state = 208},
  [3188] = {.lex_state = 234},
  [3189] = {.lex_state = 208},
  [3190] = {.lex_state = 211},
  [3191] = {.lex_state = 234},
  [3192] = {.lex_state = 204},
  [3193] = {.lex_state = 195},
  [3194] = {.lex_state = 195},
  [3195] = {.lex_state = 191},
  [3196] = {.lex_state = 204},
  [3197] = {.lex_state = 236},
  [3198] = {.lex_state = 189},
  [3199] = {.lex_state = 192},
  [3200] = {.lex_state = 189},
  [3201] = {.lex_state = 189},
  [3202] = {.lex_state = 234},
  [3203] = {.lex_state = 195},
  [3204] = {.lex_state = 195},
  [3205] = {.lex_state = 204},
  [3206] = {.lex_state = 189},
  [3207] = {.lex_state = 211},
  [3208] = {.lex_state = 195},
  [3209] = {.lex_state = 236},
  [3210] = {.lex_state = 204},
  [3211] = {.lex_state = 195},
  [3212] = {.lex_state = 237},
  [3213] = {.lex_state = 195},
  [3214] = {.lex_state = 195},
  [3215] = {.lex_state = 211},
  [3216] = {.lex_state = 204},
  [3217] = {.lex_state = 196},
  [3218] = {.lex_state = 191},
  [3219] = {.lex_state = 204},
  [3220] = {.lex_state = 189},
  [3221] = {.lex_state = 234},
  [3222] = {.lex_state = 199},
  [3223] = {.lex_state = 189},
  [3224] = {.lex_state = 195},
  [3225] = {.lex_state = 189},
  [3226] = {.lex_state = 195},
  [3227] = {.lex_state = 211},
  [3228] = {.lex_state = 189},
  [3229] = {.lex_state = 195},
  [3230] = {.lex_state = 208},
  [3231] = {.lex_state = 195},
  [3232] = {.lex_state = 204},
  [3233] = {.lex_state = 189},
  [3234] = {.lex_state = 237},
  [3235] = {.lex_state = 204},
  [3236] = {.lex_state = 204},
  [3237] = {.lex_state = 211},
  [3238] = {.lex_state = 195},
  [3239] = {.lex_state = 195},
  [3240] = {.lex_state = 211},
  [3241] = {.lex_state = 196},
  [3242] = {.lex_state = 236},
  [3243] = {.lex_state = 189},
  [3244] = {.lex_state = 189},
  [3245] = {.lex_state = 234},
  [3246] = {.lex_state = 204},
  [3247] = {.lex_state = 189},
  [3248] = {.lex_state = 234},
  [3249] = {.lex_state = 178},
  [3250] = {.lex_state = 189},
  [3251] = {.lex_state = 220},
  [3252] = {.lex_state = 192},
  [3253] = {.lex_state = 204},
  [3254] = {.lex_state = 191},
  [3255] = {.lex_state = 236},
  [3256] = {.lex_state = 204},
  [3257] = {.lex_state = 204},
  [3258] = {.lex_state = 189},
  [3259] = {.lex_state = 211},
  [3260] = {.lex_state = 204},
  [3261] = {.lex_state = 189},
  [3262] = {.lex_state = 234},
  [3263] = {.lex_state = 189},
  [3264] = {.lex_state = 211},
  [3265] = {.lex_state = 236},
  [3266] = {.lex_state = 204},
  [3267] = {.lex_state = 195},
  [3268] = {.lex_state = 195},
  [3269] = {.lex_state = 196},
  [3270] = {.lex_state = 189},
  [3271] = {.lex_state = 211},
  [3272] = {.lex_state = 195},
  [3273] = {.lex_state = 234},
  [3274] = {.lex_state = 234},
  [3275] = {.lex_state = 236},
  [3276] = {.lex_state = 195},
  [3277] = {.lex_state = 211},
  [3278] = {.lex_state = 204},
  [3279] = {.lex_state = 195},
  [3280] = {.lex_state = 195},
  [3281] = {.lex_state = 189},
  [3282] = {.lex_state = 204},
  [3283] = {.lex_state = 211},
  [3284] = {.lex_state = 211},
  [3285] = {.lex_state = 234},
  [3286] = {.lex_state = 204},
  [3287] = {.lex_state = 195},
  [3288] = {.lex_state = 211},
  [3289] = {.lex_state = 234},
  [3290] = {.lex_state = 195},
  [3291] = {.lex_state = 211},
  [3292] = {.lex_state = 234},
  [3293] = {.lex_state = 189},
  [3294] = {.lex_state = 204},
  [3295] = {.lex_state = 211},
  [3296] = {.lex_state = 234},
  [3297] = {.lex_state = 211},
  [3298] = {.lex_state = 191},
  [3299] = {.lex_state = 211},
  [3300] = {.lex_state = 195},
  [3301] = {.lex_state = 211},
  [3302] = {.lex_state = 211},
  [3303] = {.lex_state = 211},
  [3304] = {.lex_state = 189},
  [3305] = {.lex_state = 204},
  [3306] = {.lex_state = 189},
  [3307] = {.lex_state = 189},
  [3308] = {.lex_state = 204},
  [3309] = {.lex_state = 189},
  [3310] = {.lex_state = 204},
  [3311] = {.lex_state = 211},
  [3312] = {.lex_state = 211},
  [3313] = {.lex_state = 189},
  [3314] = {.lex_state = 234},
  [3315] = {.lex_state = 211},
  [3316] = {.lex_state = 211},
  [3317] = {.lex_state = 211},
  [3318] = {.lex_state = 189},
  [3319] = {.lex_state = 211},
  [3320] = {.lex_state = 204},
  [3321] = {.lex_state = 211},
  [3322] = {.lex_state = 211},
  [3323] = {.lex_state = 195},
  [3324] = {.lex_state = 211},
  [3325] = {.lex_state = 204},
  [3326] = {.lex_state = 214},
  [3327] = {.lex_state = 236},
  [3328] = {.lex_state = 204},
  [3329] = {.lex_state = 204},
  [3330] = {.lex_state = 237},
  [3331] = {.lex_state = 234},
  [3332] = {.lex_state = 204},
  [3333] = {.lex_state = 204},
  [3334] = {.lex_state = 237},
  [3335] = {.lex_state = 201},
  [3336] = {.lex_state = 204},
  [3337] = {.lex_state = 201},
  [3338] = {.lex_state = 204},
  [3339] = {.lex_state = 204},
  [3340] = {.lex_state = 188},
  [3341] = {.lex_state = 204},
  [3342] = {.lex_state = 204},
  [3343] = {.lex_state = 204},
  [3344] = {.lex_state = 204},
  [3345] = {.lex_state = 204},
  [3346] = {.lex_state = 204},
  [3347] = {.lex_state = 214},
  [3348] = {.lex_state = 204},
  [3349] = {.lex_state = 204},
  [3350] = {.lex_state = 204},
  [3351] = {.lex_state = 204},
  [3352] = {.lex_state = 204},
  [3353] = {.lex_state = 204},
  [3354] = {.lex_state = 201},
  [3355] = {.lex_state = 201},
  [3356] = {.lex_state = 192},
  [3357] = {.lex_state = 204},
  [3358] = {.lex_state = 204},
  [3359] = {.lex_state = 204},
  [3360] = {.lex_state = 204},
  [3361] = {.lex_state = 214},
  [3362] = {.lex_state = 204},
  [3363] = {.lex_state = 204},
  [3364] = {.lex_state = 236},
  [3365] = {.lex_state = 204},
  [3366] = {.lex_state = 204},
  [3367] = {.lex_state = 204},
  [3368] = {.lex_state = 204},
  [3369] = {.lex_state = 201},
  [3370] = {.lex_state = 204},
  [3371] = {.lex_state = 178},
  [3372] = {.lex_state = 216},
  [3373] = {.lex_state = 211},
  [3374] = {.lex_state = 236},
  [3375] = {.lex_state = 236},
  [3376] = {.lex_state = 199},
  [3377] = {.lex_state = 204},
  [3378] = {.lex_state = 204},
  [3379] = {.lex_state = 204},
  [3380] = {.lex_state = 204},
  [3381] = {.lex_state = 204},
  [3382] = {.lex_state = 204},
  [3383] = {.lex_state = 204},
  [3384] = {.lex_state = 204},
  [3385] = {.lex_state = 201},
  [3386] = {.lex_state = 201},
  [3387] = {.lex_state = 214},
  [3388] = {.lex_state = 204},
  [3389] = {.lex_state = 204},
  [3390] = {.lex_state = 204},
  [3391] = {.lex_state = 178},
  [3392] = {.lex_state = 204},
  [3393] = {.lex_state = 214},
  [3394] = {.lex_state = 204},
  [3395] = {.lex_state = 216},
  [3396] = {.lex_state = 204},
  [3397] = {.lex_state = 214},
  [3398] = {.lex_state = 237},
  [3399] = {.lex_state = 201},
  [3400] = {.lex_state = 204},
  [3401] = {.lex_state = 204},
  [3402] = {.lex_state = 211},
  [3403] = {.lex_state = 204},
  [3404] = {.lex_state = 204},
  [3405] = {.lex_state = 199},
  [3406] = {.lex_state = 201},
  [3407] = {.lex_state = 204},
  [3408] = {.lex_state = 204},
  [3409] = {.lex_state = 204},
  [3410] = {.lex_state = 204},
  [3411] = {.lex_state = 211},
  [3412] = {.lex_state = 199},
  [3413] = {.lex_state = 204},
  [3414] = {.lex_state = 214},
  [3415] = {.lex_state = 204},
  [3416] = {.lex_state = 204},
  [3417] = {.lex_state = 204},
  [3418] = {.lex_state = 204},
  [3419] = {.lex_state = 188},
  [3420] = {.lex_state = 237},
  [3421] = {.lex_state = 204},
  [3422] = {.lex_state = 204},
  [3423] = {.lex_state = 204},
  [3424] = {.lex_state = 204},
  [3425] = {.lex_state = 204},
  [3426] = {.lex_state = 204},
  [3427] = {.lex_state = 204},
  [3428] = {.lex_state = 204},
  [3429] = {.lex_state = 204},
  [3430] = {.lex_state = 204},
  [3431] = {.lex_state = 214},
  [3432] = {.lex_state = 239},
  [3433] = {.lex_state = 204},
  [3434] = {.lex_state = 204},
  [3435] = {.lex_state = 204},
  [3436] = {.lex_state = 192},
  [3437] = {.lex_state = 204},
  [3438] = {.lex_state = 188},
  [3439] = {.lex_state = 204},
  [3440] = {.lex_state = 204},
  [3441] = {.lex_state = 178},
  [3442] = {.lex_state = 204},
  [3443] = {.lex_state = 204},
  [3444] = {.lex_state = 237},
  [3445] = {.lex_state = 237},
  [3446] = {.lex_state = 201},
  [3447] = {.lex_state = 204},
  [3448] = {.lex_state = 204},
  [3449] = {.lex_state = 201},
  [3450] = {.lex_state = 204},
  [3451] = {.lex_state = 201},
  [3452] = {.lex_state = 204},
  [3453] = {.lex_state = 204},
  [3454] = {.lex_state = 239},
  [3455] = {.lex_state = 204},
  [3456] = {.lex_state = 204},
  [3457] = {.lex_state = 204},
  [3458] = {.lex_state = 204},
  [3459] = {.lex_state = 201},
  [3460] = {.lex_state = 204},
  [3461] = {.lex_state = 204},
  [3462] = {.lex_state = 218},
  [3463] = {.lex_state = 204},
  [3464] = {.lex_state = 204},
  [3465] = {.lex_state = 204},
  [3466] = {.lex_state = 204},
  [3467] = {.lex_state = 201},
  [3468] = {.lex_state = 204},
  [3469] = {.lex_state = 204},
  [3470] = {.lex_state = 214},
  [3471] = {.lex_state = 201},
  [3472] = {.lex_state = 204},
  [3473] = {.lex_state = 204},
  [3474] = {.lex_state = 204},
  [3475] = {.lex_state = 204},
  [3476] = {.lex_state = 204},
  [3477] = {.lex_state = 214},
  [3478] = {.lex_state = 204},
  [3479] = {.lex_state = 204},
  [3480] = {.lex_state = 216},
  [3481] = {.lex_state = 204},
  [3482] = {.lex_state = 204},
  [3483] = {.lex_state = 204},
  [3484] = {.lex_state = 204},
  [3485] = {.lex_state = 204},
  [3486] = {.lex_state = 204},
  [3487] = {.lex_state = 204},
  [3488] = {.lex_state = 204},
  [3489] = {.lex_state = 204},
  [3490] = {.lex_state = 211},
  [3491] = {.lex_state = 204},
  [3492] = {.lex_state = 204},
  [3493] = {.lex_state = 204},
  [3494] = {.lex_state = 204},
  [3495] = {.lex_state = 204},
  [3496] = {.lex_state = 204},
  [3497] = {.lex_state = 214},
  [3498] = {.lex_state = 214},
  [3499] = {.lex_state = 214},
  [3500] = {.lex_state = 204},
  [3501] = {.lex_state = 214},
  [3502] = {.lex_state = 204},
  [3503] = {.lex_state = 204},
  [3504] = {.lex_state = 201},
  [3505] = {.lex_state = 178},
  [3506] = {.lex_state = 204},
  [3507] = {.lex_state = 201},
  [3508] = {.lex_state = 214},
  [3509] = {.lex_state = 204},
  [3510] = {.lex_state = 214},
  [3511] = {.lex_state = 214},
  [3512] = {.lex_state = 211},
  [3513] = {.lex_state = 211},
  [3514] = {.lex_state = 204},
  [3515] = {.lex_state = 211},
  [3516] = {.lex_state = 211},
  [3517] = {.lex_state = 211},
  [3518] = {.lex_state = 211},
  [3519] = {.lex_state = 211},
  [3520] = {.lex_state = 204},
  [3521] = {.lex_state = 211},
  [3522] = {.lex_state = 233},
  [3523] = {.lex_state = 211},
  [3524] = {.lex_state = 211},
  [3525] = {.lex_state = 204},
  [3526] = {.lex_state = 211},
  [3527] = {.lex_state = 211},
  [3528] = {.lex_state = 211},
  [3529] = {.lex_state = 211},
  [3530] = {.lex_state = 204},
  [3531] = {.lex_state = 211},
  [3532] = {.lex_state = 204},
  [3533] = {.lex_state = 178},
  [3534] = {.lex_state = 211},
  [3535] = {.lex_state = 211},
  [3536] = {.lex_state = 211},
  [3537] = {.lex_state = 211},
  [3538] = {.lex_state = 192},
  [3539] = {.lex_state = 199},
  [3540] = {.lex_state = 195},
  [3541] = {.lex_state = 211},
  [3542] = {.lex_state = 199},
  [3543] = {.lex_state = 211},
  [3544] = {.lex_state = 211},
  [3545] = {.lex_state = 211},
  [3546] = {.lex_state = 211},
  [3547] = {.lex_state = 211},
  [3548] = {.lex_state = 211},
  [3549] = {.lex_state = 199},
  [3550] = {.lex_state = 211},
  [3551] = {.lex_state = 211},
  [3552] = {.lex_state = 211},
  [3553] = {.lex_state = 211},
  [3554] = {.lex_state = 211},
  [3555] = {.lex_state = 191},
  [3556] = {.lex_state = 204},
  [3557] = {.lex_state = 199},
  [3558] = {.lex_state = 211},
  [3559] = {.lex_state = 211},
  [3560] = {.lex_state = 211},
  [3561] = {.lex_state = 236},
  [3562] = {.lex_state = 236},
  [3563] = {.lex_state = 211},
  [3564] = {.lex_state = 211},
  [3565] = {.lex_state = 211},
  [3566] = {.lex_state = 211},
  [3567] = {.lex_state = 199},
  [3568] = {.lex_state = 204},
  [3569] = {.lex_state = 199},
  [3570] = {.lex_state = 199},
  [3571] = {.lex_state = 195},
  [3572] = {.lex_state = 192},
  [3573] = {.lex_state = 211},
  [3574] = {.lex_state = 199},
  [3575] = {.lex_state = 204},
  [3576] = {.lex_state = 204},
  [3577] = {.lex_state = 199},
  [3578] = {.lex_state = 204},
  [3579] = {.lex_state = 204},
  [3580] = {.lex_state = 204},
  [3581] = {.lex_state = 204},
  [3582] = {.lex_state = 204},
  [3583] = {.lex_state = 204},
  [3584] = {.lex_state = 204},
  [3585] = {.lex_state = 204},
  [3586] = {.lex_state = 204},
  [3587] = {.lex_state = 211},
  [3588] = {.lex_state = 211},
  [3589] = {.lex_state = 211},
  [3590] = {.lex_state = 211},
  [3591] = {.lex_state = 211},
  [3592] = {.lex_state = 199},
  [3593] = {.lex_state = 211},
  [3594] = {.lex_state = 236},
  [3595] = {.lex_state = 236},
  [3596] = {.lex_state = 211},
  [3597] = {.lex_state = 204},
  [3598] = {.lex_state = 211},
  [3599] = {.lex_state = 195},
  [3600] = {.lex_state = 211},
  [3601] = {.lex_state = 236},
  [3602] = {.lex_state = 236},
  [3603] = {.lex_state = 195},
  [3604] = {.lex_state = 236},
  [3605] = {.lex_state = 211},
  [3606] = {.lex_state = 211},
  [3607] = {.lex_state = 211},
  [3608] = {.lex_state = 211},
  [3609] = {.lex_state = 211},
  [3610] = {.lex_state = 236},
  [3611] = {.lex_state = 211},
  [3612] = {.lex_state = 211},
  [3613] = {.lex_state = 195},
  [3614] = {.lex_state = 211},
  [3615] = {.lex_state = 236},
  [3616] = {.lex_state = 211},
  [3617] = {.lex_state = 211},
  [3618] = {.lex_state = 211},
  [3619] = {.lex_state = 204},
  [3620] = {.lex_state = 211},
  [3621] = {.lex_state = 236},
  [3622] = {.lex_state = 211},
  [3623] = {.lex_state = 195},
  [3624] = {.lex_state = 195},
  [3625] = {.lex_state = 195},
  [3626] = {.lex_state = 211},
  [3627] = {.lex_state = 211},
  [3628] = {.lex_state = 211},
  [3629] = {.lex_state = 211},
  [3630] = {.lex_state = 211},
  [3631] = {.lex_state = 211},
  [3632] = {.lex_state = 211},
  [3633] = {.lex_state = 236},
  [3634] = {.lex_state = 211},
  [3635] = {.lex_state = 211},
  [3636] = {.lex_state = 211},
  [3637] = {.lex_state = 211},
  [3638] = {.lex_state = 236},
  [3639] = {.lex_state = 211},
  [3640] = {.lex_state = 204},
  [3641] = {.lex_state = 204},
  [3642] = {.lex_state = 211},
  [3643] = {.lex_state = 233},
  [3644] = {.lex_state = 211},
  [3645] = {.lex_state = 204},
  [3646] = {.lex_state = 204},
  [3647] = {.lex_state = 211},
  [3648] = {.lex_state = 211},
  [3649] = {.lex_state = 211},
  [3650] = {.lex_state = 204},
  [3651] = {.lex_state = 204},
  [3652] = {.lex_state = 211},
  [3653] = {.lex_state = 211},
  [3654] = {.lex_state = 211},
  [3655] = {.lex_state = 211},
  [3656] = {.lex_state = 211},
  [3657] = {.lex_state = 236},
  [3658] = {.lex_state = 199},
  [3659] = {.lex_state = 234},
  [3660] = {.lex_state = 199},
  [3661] = {.lex_state = 234},
  [3662] = {.lex_state = 199},
  [3663] = {.lex_state = 208},
  [3664] = {.lex_state = 199},
  [3665] = {.lex_state = 237},
  [3666] = {.lex_state = 199},
  [3667] = {.lex_state = 199},
  [3668] = {.lex_state = 234},
  [3669] = {.lex_state = 199},
  [3670] = {.lex_state = 234},
  [3671] = {.lex_state = 192},
  [3672] = {.lex_state = 199},
  [3673] = {.lex_state = 234},
  [3674] = {.lex_state = 234},
  [3675] = {.lex_state = 236},
  [3676] = {.lex_state = 201},
  [3677] = {.lex_state = 220},
  [3678] = {.lex_state = 201},
  [3679] = {.lex_state = 199},
  [3680] = {.lex_state = 199},
  [3681] = {.lex_state = 199},
  [3682] = {.lex_state = 188},
  [3683] = {.lex_state = 237},
  [3684] = {.lex_state = 199},
  [3685] = {.lex_state = 234},
  [3686] = {.lex_state = 234},
  [3687] = {.lex_state = 199},
  [3688] = {.lex_state = 234},
  [3689] = {.lex_state = 234},
  [3690] = {.lex_state = 236},
  [3691] = {.lex_state = 234},
  [3692] = {.lex_state = 234},
  [3693] = {.lex_state = 234},
  [3694] = {.lex_state = 178},
  [3695] = {.lex_state = 204},
  [3696] = {.lex_state = 178},
  [3697] = {.lex_state = 199},
  [3698] = {.lex_state = 201},
  [3699] = {.lex_state = 234},
  [3700] = {.lex_state = 234},
  [3701] = {.lex_state = 234},
  [3702] = {.lex_state = 234},
  [3703] = {.lex_state = 234},
  [3704] = {.lex_state = 234},
  [3705] = {.lex_state = 208},
  [3706] = {.lex_state = 234},
  [3707] = {.lex_state = 234},
  [3708] = {.lex_state = 234},
  [3709] = {.lex_state = 178},
  [3710] = {.lex_state = 234},
  [3711] = {.lex_state = 220},
  [3712] = {.lex_state = 220},
  [3713] = {.lex_state = 234},
  [3714] = {.lex_state = 208},
  [3715] = {.lex_state = 178},
  [3716] = {.lex_state = 234},
  [3717] = {.lex_state = 234},
  [3718] = {.lex_state = 234},
  [3719] = {.lex_state = 234},
  [3720] = {.lex_state = 199},
  [3721] = {.lex_state = 199},
  [3722] = {.lex_state = 204},
  [3723] = {.lex_state = 204},
  [3724] = {.lex_state = 201},
  [3725] = {.lex_state = 204},
  [3726] = {.lex_state = 204},
  [3727] = {.lex_state = 199},
  [3728] = {.lex_state = 199},
  [3729] = {.lex_state = 199},
  [3730] = {.lex_state = 204},
  [3731] = {.lex_state = 199},
  [3732] = {.lex_state = 204},
  [3733] = {.lex_state = 204},
  [3734] = {.lex_state = 188},
  [3735] = {.lex_state = 236},
  [3736] = {.lex_state = 201},
  [3737] = {.lex_state = 204},
  [3738] = {.lex_state = 199},
  [3739] = {.lex_state = 199},
  [3740] = {.lex_state = 199},
  [3741] = {.lex_state = 199},
  [3742] = {.lex_state = 199},
  [3743] = {.lex_state = 199},
  [3744] = {.lex_state = 204},
  [3745] = {.lex_state = 199},
  [3746] = {.lex_state = 204},
  [3747] = {.lex_state = 199},
  [3748] = {.lex_state = 204},
  [3749] = {.lex_state = 199},
  [3750] = {.lex_state = 204},
  [3751] = {.lex_state = 204},
  [3752] = {.lex_state = 199},
  [3753] = {.lex_state = 204},
  [3754] = {.lex_state = 199},
  [3755] = {.lex_state = 204},
  [3756] = {.lex_state = 204},
  [3757] = {.lex_state = 204},
  [3758] = {.lex_state = 204},
  [3759] = {.lex_state = 220},
  [3760] = {.lex_state = 188},
  [3761] = {.lex_state = 204},
  [3762] = {.lex_state = 204},
  [3763] = {.lex_state = 204},
  [3764] = {.lex_state = 204},
  [3765] = {.lex_state = 204},
  [3766] = {.lex_state = 201},
  [3767] = {.lex_state = 204},
  [3768] = {.lex_state = 204},
  [3769] = {.lex_state = 204},
  [3770] = {.lex_state = 204},
  [3771] = {.lex_state = 236},
  [3772] = {.lex_state = 199},
  [3773] = {.lex_state = 199},
  [3774] = {.lex_state = 204},
  [3775] = {.lex_state = 204},
  [3776] = {.lex_state = 204},
  [3777] = {.lex_state = 204},
  [3778] = {.lex_state = 204},
  [3779] = {.lex_state = 204},
  [3780] = {.lex_state = 199},
  [3781] = {.lex_state = 204},
  [3782] = {.lex_state = 204},
  [3783] = {.lex_state = 188},
  [3784] = {.lex_state = 199},
  [3785] = {.lex_state = 204},
  [3786] = {.lex_state = 204},
  [3787] = {.lex_state = 204},
  [3788] = {.lex_state = 188},
  [3789] = {.lex_state = 204},
  [3790] = {.lex_state = 204},
  [3791] = {.lex_state = 199},
  [3792] = {.lex_state = 199},
  [3793] = {.lex_state = 199},
  [3794] = {.lex_state = 204},
  [3795] = {.lex_state = 199},
  [3796] = {.lex_state = 204},
  [3797] = {.lex_state = 204},
  [3798] = {.lex_state = 204},
  [3799] = {.lex_state = 201},
  [3800] = {.lex_state = 204},
  [3801] = {.lex_state = 199},
  [3802] = {.lex_state = 199},
  [3803] = {.lex_state = 204},
  [3804] = {.lex_state = 178},
  [3805] = {.lex_state = 201},
  [3806] = {.lex_state = 201},
  [3807] = {.lex_state = 204},
  [3808] = {.lex_state = 204},
  [3809] = {.lex_state = 204},
  [3810] = {.lex_state = 204},
  [3811] = {.lex_state = 204},
  [3812] = {.lex_state = 204},
  [3813] = {.lex_state = 220},
  [3814] = {.lex_state = 199},
  [3815] = {.lex_state = 204},
  [3816] = {.lex_state = 204},
  [3817] = {.lex_state = 204},
  [3818] = {.lex_state = 178},
  [3819] = {.lex_state = 204},
  [3820] = {.lex_state = 178},
  [3821] = {.lex_state = 199},
  [3822] = {.lex_state = 178},
  [3823] = {.lex_state = 199},
  [3824] = {.lex_state = 237},
  [3825] = {.lex_state = 199},
  [3826] = {.lex_state = 201},
  [3827] = {.lex_state = 201},
  [3828] = {.lex_state = 201},
  [3829] = {.lex_state = 201},
  [3830] = {.lex_state = 188},
  [3831] = {.lex_state = 188},
  [3832] = {.lex_state = 201},
  [3833] = {.lex_state = 201},
  [3834] = {.lex_state = 201},
  [3835] = {.lex_state = 201},
  [3836] = {.lex_state = 201},
  [3837] = {.lex_state = 201},
  [3838] = {.lex_state = 201},
  [3839] = {.lex_state = 237},
  [3840] = {.lex_state = 239},
  [3841] = {.lex_state = 188},
  [3842] = {.lex_state = 201},
  [3843] = {.lex_state = 236},
  [3844] = {.lex_state = 237},
  [3845] = {.lex_state = 201},
  [3846] = {.lex_state = 201},
  [3847] = {.lex_state = 199},
  [3848] = {.lex_state = 201},
  [3849] = {.lex_state = 201},
  [3850] = {.lex_state = 237},
  [3851] = {.lex_state = 201},
  [3852] = {.lex_state = 201},
  [3853] = {.lex_state = 201},
  [3854] = {.lex_state = 233},
  [3855] = {.lex_state = 237},
  [3856] = {.lex_state = 236},
  [3857] = {.lex_state = 201},
  [3858] = {.lex_state = 201},
  [3859] = {.lex_state = 201},
  [3860] = {.lex_state = 201},
  [3861] = {.lex_state = 201},
  [3862] = {.lex_state = 201},
  [3863] = {.lex_state = 223},
  [3864] = {.lex_state = 201},
  [3865] = {.lex_state = 201},
  [3866] = {.lex_state = 201},
  [3867] = {.lex_state = 199},
  [3868] = {.lex_state = 236},
  [3869] = {.lex_state = 201},
  [3870] = {.lex_state = 199},
  [3871] = {.lex_state = 201},
  [3872] = {.lex_state = 201},
  [3873] = {.lex_state = 201},
  [3874] = {.lex_state = 188},
  [3875] = {.lex_state = 234},
  [3876] = {.lex_state = 237},
  [3877] = {.lex_state = 199},
  [3878] = {.lex_state = 201},
  [3879] = {.lex_state = 234},
  [3880] = {.lex_state = 199},
  [3881] = {.lex_state = 237},
  [3882] = {.lex_state = 199},
  [3883] = {.lex_state = 233},
  [3884] = {.lex_state = 239},
  [3885] = {.lex_state = 199},
  [3886] = {.lex_state = 199},
  [3887] = {.lex_state = 234},
  [3888] = {.lex_state = 223},
  [3889] = {.lex_state = 199},
  [3890] = {.lex_state = 201},
  [3891] = {.lex_state = 199},
  [3892] = {.lex_state = 199},
  [3893] = {.lex_state = 234},
  [3894] = {.lex_state = 239},
  [3895] = {.lex_state = 233},
  [3896] = {.lex_state = 234},
  [3897] = {.lex_state = 201},
  [3898] = {.lex_state = 199},
  [3899] = {.lex_state = 199},
  [3900] = {.lex_state = 201},
  [3901] = {.lex_state = 234},
  [3902] = {.lex_state = 199},
  [3903] = {.lex_state = 199},
  [3904] = {.lex_state = 236},
  [3905] = {.lex_state = 234},
  [3906] = {.lex_state = 199},
  [3907] = {.lex_state = 199},
  [3908] = {.lex_state = 199},
  [3909] = {.lex_state = 199},
  [3910] = {.lex_state = 199},
  [3911] = {.lex_state = 223},
  [3912] = {.lex_state = 237},
  [3913] = {.lex_state = 199},
  [3914] = {.lex_state = 236},
  [3915] = {.lex_state = 199},
  [3916] = {.lex_state = 223},
  [3917] = {.lex_state = 233},
  [3918] = {.lex_state = 199},
  [3919] = {.lex_state = 233},
  [3920] = {.lex_state = 236},
  [3921] = {.lex_state = 237},
  [3922] = {.lex_state = 236},
  [3923] = {.lex_state = 236},
  [3924] = {.lex_state = 199},
  [3925] = {.lex_state = 236},
  [3926] = {.lex_state = 220},
  [3927] = {.lex_state = 199},
  [3928] = {.lex_state = 236},
  [3929] = {.lex_state = 199},
  [3930] = {.lex_state = 199},
  [3931] = {.lex_state = 220},
  [3932] = {.lex_state = 199},
  [3933] = {.lex_state = 199},
  [3934] = {.lex_state = 237},
  [3935] = {.lex_state = 199},
  [3936] = {.lex_state = 199},
  [3937] = {.lex_state = 199},
  [3938] = {.lex_state = 201},
  [3939] = {.lex_state = 199},
  [3940] = {.lex_state = 237},
  [3941] = {.lex_state = 199},
  [3942] = {.lex_state = 199},
  [3943] = {.lex_state = 199},
  [3944] = {.lex_state = 240},
  [3945] = {.lex_state = 224},
  [3946] = {.lex_state = 199},
  [3947] = {.lex_state = 199},
  [3948] = {.lex_state = 199},
  [3949] = {.lex_state = 199},
  [3950] = {.lex_state = 199},
  [3951] = {.lex_state = 199},
  [3952] = {.lex_state = 199},
  [3953] = {.lex_state = 224},
  [3954] = {.lex_state = 199},
  [3955] = {.lex_state = 220},
  [3956] = {.lex_state = 220},
  [3957] = {.lex_state = 199},
  [3958] = {.lex_state = 199},
  [3959] = {.lex_state = 236},
  [3960] = {.lex_state = 237},
  [3961] = {.lex_state = 199},
  [3962] = {.lex_state = 237},
  [3963] = {.lex_state = 199},
  [3964] = {.lex_state = 201},
  [3965] = {.lex_state = 236},
  [3966] = {.lex_state = 199},
  [3967] = {.lex_state = 220},
  [3968] = {.lex_state = 199},
  [3969] = {.lex_state = 199},
  [3970] = {.lex_state = 233},
  [3971] = {.lex_state = 201},
  [3972] = {.lex_state = 199},
  [3973] = {.lex_state = 199},
  [3974] = {.lex_state = 199},
  [3975] = {.lex_state = 199},
  [3976] = {.lex_state = 199},
  [3977] = {.lex_state = 199},
  [3978] = {.lex_state = 220},
  [3979] = {.lex_state = 199},
  [3980] = {.lex_state = 199},
  [3981] = {.lex_state = 236},
  [3982] = {.lex_state = 233},
  [3983] = {.lex_state = 233},
  [3984] = {.lex_state = 201},
  [3985] = {.lex_state = 236},
  [3986] = {.lex_state = 201},
  [3987] = {.lex_state = 220},
  [3988] = {.lex_state = 233},
  [3989] = {.lex_state = 220},
  [3990] = {.lex_state = 236},
  [3991] = {.lex_state = 236},
  [3992] = {.lex_state = 237},
  [3993] = {.lex_state = 237},
  [3994] = {.lex_state = 237},
  [3995] = {.lex_state = 237},
  [3996] = {.lex_state = 237},
  [3997] = {.lex_state = 220},
  [3998] = {.lex_state = 220},
  [3999] = {.lex_state = 201},
  [4000] = {.lex_state = 199},
  [4001] = {.lex_state = 199},
  [4002] = {.lex_state = 237},
  [4003] = {.lex_state = 199},
  [4004] = {.lex_state = 201},
  [4005] = {.lex_state = 224},
  [4006] = {.lex_state = 199},
  [4007] = {.lex_state = 201},
  [4008] = {.lex_state = 199},
  [4009] = {.lex_state = 199},
  [4010] = {.lex_state = 233},
  [4011] = {.lex_state = 236},
  [4012] = {.lex_state = 220},
  [4013] = {.lex_state = 240},
  [4014] = {.lex_state = 199},
  [4015] = {.lex_state = 199},
  [4016] = {.lex_state = 220},
  [4017] = {.lex_state = 199},
  [4018] = {.lex_state = 237},
  [4019] = {.lex_state = 236},
  [4020] = {.lex_state = 199},
  [4021] = {.lex_state = 199},
  [4022] = {.lex_state = 199},
  [4023] = {.lex_state = 199},
  [4024] = {.lex_state = 237},
  [4025] = {.lex_state = 224},
  [4026] = {.lex_state = 199},
  [4027] = {.lex_state = 233},
  [4028] = {.lex_state = 199},
  [4029] = {.lex_state = 224},
  [4030] = {.lex_state = 199},
  [4031] = {.lex_state = 199},
  [4032] = {.lex_state = 233},
  [4033] = {.lex_state = 199},
  [4034] = {.lex_state = 233},
  [4035] = {.lex_state = 233},
  [4036] = {.lex_state = 240},
  [4037] = {.lex_state = 201},
  [4038] = {.lex_state = 237},
  [4039] = {.lex_state = 199},
  [4040] = {.lex_state = 224},
  [4041] = {.lex_state = 199},
  [4042] = {.lex_state = 199},
  [4043] = {.lex_state = 236},
  [4044] = {.lex_state = 199},
  [4045] = {.lex_state = 237},
  [4046] = {.lex_state = 220},
  [4047] = {.lex_state = 237},
  [4048] = {.lex_state = 237},
  [4049] = {.lex_state = 237},
  [4050] = {.lex_state = 237},
  [4051] = {.lex_state = 237},
  [4052] = {.lex_state = 237},
  [4053] = {.lex_state = 199},
  [4054] = {.lex_state = 237},
  [4055] = {.lex_state = 233},
  [4056] = {.lex_state = 202},
  [4057] = {.lex_state = 199},
  [4058] = {.lex_state = 237},
  [4059] = {.lex_state = 199},
  [4060] = {.lex_state = 233},
  [4061] = {.lex_state = 236},
  [4062] = {.lex_state = 199},
  [4063] = {.lex_state = 220},
  [4064] = {.lex_state = 202},
  [4065] = {.lex_state = 237},
  [4066] = {.lex_state = 233},
  [4067] = {.lex_state = 233},
  [4068] = {.lex_state = 220},
  [4069] = {.lex_state = 220},
  [4070] = {.lex_state = 199},
  [4071] = {.lex_state = 220},
  [4072] = {.lex_state = 220},
  [4073] = {.lex_state = 202},
  [4074] = {.lex_state = 233},
  [4075] = {.lex_state = 236},
  [4076] = {.lex_state = 234},
  [4077] = {.lex_state = 233},
  [4078] = {.lex_state = 202},
  [4079] = {.lex_state = 234},
  [4080] = {.lex_state = 201},
  [4081] = {.lex_state = 234},
  [4082] = {.lex_state = 202},
  [4083] = {.lex_state = 234},
  [4084] = {.lex_state = 234},
  [4085] = {.lex_state = 237},
  [4086] = {.lex_state = 237},
  [4087] = {.lex_state = 234},
  [4088] = {.lex_state = 233},
  [4089] = {.lex_state = 202},
  [4090] = {.lex_state = 234},
  [4091] = {.lex_state = 237},
  [4092] = {.lex_state = 234},
  [4093] = {.lex_state = 234},
  [4094] = {.lex_state = 201},
  [4095] = {.lex_state = 201},
  [4096] = {.lex_state = 233},
  [4097] = {.lex_state = 236},
  [4098] = {.lex_state = 236},
  [4099] = {.lex_state = 234},
  [4100] = {.lex_state = 237},
  [4101] = {.lex_state = 201},
  [4102] = {.lex_state = 199},
  [4103] = {.lex_state = 234},
  [4104] = {.lex_state = 233},
  [4105] = {.lex_state = 236},
  [4106] = {.lex_state = 234},
  [4107] = {.lex_state = 236},
  [4108] = {.lex_state = 233},
  [4109] = {.lex_state = 234},
  [4110] = {.lex_state = 233},
  [4111] = {.lex_state = 199},
  [4112] = {.lex_state = 237},
  [4113] = {.lex_state = 234},
  [4114] = {.lex_state = 234},
  [4115] = {.lex_state = 234},
  [4116] = {.lex_state = 199},
  [4117] = {.lex_state = 234},
  [4118] = {.lex_state = 199},
  [4119] = {.lex_state = 220},
  [4120] = {.lex_state = 234},
  [4121] = {.lex_state = 237},
  [4122] = {.lex_state = 199},
  [4123] = {.lex_state = 237},
  [4124] = {.lex_state = 234},
  [4125] = {.lex_state = 234},
  [4126] = {.lex_state = 234},
  [4127] = {.lex_state = 234},
  [4128] = {.lex_state = 199},
  [4129] = {.lex_state = 237},
  [4130] = {.lex_state = 237},
  [4131] = {.lex_state = 199},
  [4132] = {.lex_state = 199},
  [4133] = {.lex_state = 199},
  [4134] = {.lex_state = 199},
  [4135] = {.lex_state = 233},
  [4136] = {.lex_state = 199},
  [4137] = {.lex_state = 199},
  [4138] = {.lex_state = 199},
  [4139] = {.lex_state = 199},
  [4140] = {.lex_state = 199},
  [4141] = {.lex_state = 220},
  [4142] = {.lex_state = 199},
  [4143] = {.lex_state = 199},
  [4144] = {.lex_state = 237},
  [4145] = {.lex_state = 199},
  [4146] = {.lex_state = 220},
  [4147] = {.lex_state = 220},
  [4148] = {.lex_state = 199},
  [4149] = {.lex_state = 237},
  [4150] = {.lex_state = 199},
  [4151] = {.lex_state = 200},
  [4152] = {.lex_state = 199},
  [4153] = {.lex_state = 237},
  [4154] = {.lex_state = 237},
  [4155] = {.lex_state = 199},
  [4156] = {.lex_state = 199},
  [4157] = {.lex_state = 220},
  [4158] = {.lex_state = 237},
  [4159] = {.lex_state = 237},
  [4160] = {.lex_state = 199},
  [4161] = {.lex_state = 237},
  [4162] = {.lex_state = 237},
  [4163] = {.lex_state = 224},
  [4164] = {.lex_state = 224},
  [4165] = {.lex_state = 224},
  [4166] = {.lex_state = 233},
  [4167] = {.lex_state = 224},
  [4168] = {.lex_state = 233},
  [4169] = {.lex_state = 233},
  [4170] = {.lex_state = 224},
  [4171] = {.lex_state = 224},
  [4172] = {.lex_state = 199},
  [4173] = {.lex_state = 199},
  [4174] = {.lex_state = 224},
  [4175] = {.lex_state = 224},
  [4176] = {.lex_state = 224},
  [4177] = {.lex_state = 224},
  [4178] = {.lex_state = 224},
  [4179] = {.lex_state = 224},
  [4180] = {.lex_state = 233},
  [4181] = {.lex_state = 233},
  [4182] = {.lex_state = 199},
  [4183] = {.lex_state = 199},
  [4184] = {.lex_state = 199},
  [4185] = {.lex_state = 238},
  [4186] = {.lex_state = 199},
  [4187] = {.lex_state = 199},
  [4188] = {.lex_state = 224},
  [4189] = {.lex_state = 199},
  [4190] = {.lex_state = 224},
  [4191] = {.lex_state = 199},
  [4192] = {.lex_state = 199},
  [4193] = {.lex_state = 199},
  [4194] = {.lex_state = 237},
  [4195] = {.lex_state = 224},
  [4196] = {.lex_state = 199},
  [4197] = {.lex_state = 233},
  [4198] = {.lex_state = 224},
  [4199] = {.lex_state = 224},
  [4200] = {.lex_state = 199},
  [4201] = {.lex_state = 219},
  [4202] = {.lex_state = 233},
  [4203] = {.lex_state = 199},
  [4204] = {.lex_state = 199},
  [4205] = {.lex_state = 199},
  [4206] = {.lex_state = 201},
  [4207] = {.lex_state = 233},
  [4208] = {.lex_state = 233},
  [4209] = {.lex_state = 237},
  [4210] = {.lex_state = 199},
  [4211] = {.lex_state = 199},
  [4212] = {.lex_state = 199},
  [4213] = {.lex_state = 199},
  [4214] = {.lex_state = 233},
  [4215] = {.lex_state = 224},
  [4216] = {.lex_state = 224},
  [4217] = {.lex_state = 199},
  [4218] = {.lex_state = 233},
  [4219] = {.lex_state = 199},
  [4220] = {.lex_state = 233},
  [4221] = {.lex_state = 233},
  [4222] = {.lex_state = 233},
  [4223] = {.lex_state = 233},
  [4224] = {.lex_state = 233},
  [4225] = {.lex_state = 199},
  [4226] = {.lex_state = 199},
  [4227] = {.lex_state = 233},
  [4228] = {.lex_state = 234},
  [4229] = {.lex_state = 224},
  [4230] = {.lex_state = 233},
  [4231] = {.lex_state = 199},
  [4232] = {.lex_state = 233},
  [4233] = {.lex_state = 199},
  [4234] = {.lex_state = 199},
  [4235] = {.lex_state = 224},
  [4236] = {.lex_state = 233},
  [4237] = {.lex_state = 199},
  [4238] = {.lex_state = 224},
  [4239] = {.lex_state = 233},
  [4240] = {.lex_state = 224},
  [4241] = {.lex_state = 199},
  [4242] = {.lex_state = 199},
  [4243] = {.lex_state = 199},
  [4244] = {.lex_state = 199},
  [4245] = {.lex_state = 199},
  [4246] = {.lex_state = 224},
  [4247] = {.lex_state = 199},
  [4248] = {.lex_state = 199},
  [4249] = {.lex_state = 201},
  [4250] = {.lex_state = 199},
  [4251] = {.lex_state = 199},
  [4252] = {.lex_state = 199},
  [4253] = {.lex_state = 199},
  [4254] = {.lex_state = 199},
  [4255] = {.lex_state = 199},
  [4256] = {.lex_state = 224},
  [4257] = {.lex_state = 224},
  [4258] = {.lex_state = 234},
  [4259] = {.lex_state = 199},
  [4260] = {.lex_state = 199},
  [4261] = {.lex_state = 224},
  [4262] = {.lex_state = 224},
  [4263] = {.lex_state = 224},
  [4264] = {.lex_state = 199},
  [4265] = {.lex_state = 224},
  [4266] = {.lex_state = 199},
  [4267] = {.lex_state = 199},
  [4268] = {.lex_state = 199},
  [4269] = {.lex_state = 233},
  [4270] = {.lex_state = 199},
  [4271] = {.lex_state = 224},
  [4272] = {.lex_state = 224},
  [4273] = {.lex_state = 224},
  [4274] = {.lex_state = 233},
  [4275] = {.lex_state = 199},
  [4276] = {.lex_state = 199},
  [4277] = {.lex_state = 237},
  [4278] = {.lex_state = 233},
  [4279] = {.lex_state = 199},
  [4280] = {.lex_state = 224},
  [4281] = {.lex_state = 224},
  [4282] = {.lex_state = 199},
  [4283] = {.lex_state = 199},
  [4284] = {.lex_state = 199},
  [4285] = {.lex_state = 224},
  [4286] = {.lex_state = 224},
  [4287] = {.lex_state = 224},
  [4288] = {.lex_state = 199},
  [4289] = {.lex_state = 224},
  [4290] = {.lex_state = 201},
  [4291] = {.lex_state = 199},
  [4292] = {.lex_state = 237},
  [4293] = {.lex_state = 237},
  [4294] = {.lex_state = 199},
  [4295] = {.lex_state = 199},
  [4296] = {.lex_state = 201},
  [4297] = {.lex_state = 224},
  [4298] = {.lex_state = 237},
  [4299] = {.lex_state = 199},
  [4300] = {.lex_state = 224},
  [4301] = {.lex_state = 224},
  [4302] = {.lex_state = 199},
  [4303] = {.lex_state = 199},
  [4304] = {.lex_state = 224},
  [4305] = {.lex_state = 199},
  [4306] = {.lex_state = 199},
  [4307] = {.lex_state = 224},
  [4308] = {.lex_state = 199},
  [4309] = {.lex_state = 199},
  [4310] = {.lex_state = 199},
  [4311] = {.lex_state = 199},
  [4312] = {.lex_state = 199},
  [4313] = {.lex_state = 201},
  [4314] = {.lex_state = 199},
  [4315] = {.lex_state = 223},
  [4316] = {.lex_state = 199},
  [4317] = {.lex_state = 199},
  [4318] = {.lex_state = 237},
  [4319] = {.lex_state = 202},
  [4320] = {.lex_state = 237},
  [4321] = {.lex_state = 224},
  [4322] = {.lex_state = 199},
  [4323] = {.lex_state = 199},
  [4324] = {.lex_state = 201},
  [4325] = {.lex_state = 199},
  [4326] = {.lex_state = 199},
  [4327] = {.lex_state = 202},
  [4328] = {.lex_state = 224},
  [4329] = {.lex_state = 199},
  [4330] = {.lex_state = 199},
  [4331] = {.lex_state = 201},
  [4332] = {.lex_state = 238},
  [4333] = {.lex_state = 201},
  [4334] = {.lex_state = 199},
  [4335] = {.lex_state = 201},
  [4336] = {.lex_state = 201},
  [4337] = {.lex_state = 224},
  [4338] = {.lex_state = 201},
  [4339] = {.lex_state = 199},
  [4340] = {.lex_state = 201},
  [4341] = {.lex_state = 237},
  [4342] = {.lex_state = 201},
  [4343] = {.lex_state = 199},
  [4344] = {.lex_state = 237},
  [4345] = {.lex_state = 199},
  [4346] = {.lex_state = 199},
  [4347] = {.lex_state = 199},
  [4348] = {.lex_state = 201},
  [4349] = {.lex_state = 201},
  [4350] = {.lex_state = 201},
  [4351] = {.lex_state = 238},
  [4352] = {.lex_state = 199},
  [4353] = {.lex_state = 201},
  [4354] = {.lex_state = 201},
  [4355] = {.lex_state = 201},
  [4356] = {.lex_state = 224},
  [4357] = {.lex_state = 199},
  [4358] = {.lex_state = 201},
  [4359] = {.lex_state = 224},
  [4360] = {.lex_state = 224},
  [4361] = {.lex_state = 199},
  [4362] = {.lex_state = 199},
  [4363] = {.lex_state = 233},
  [4364] = {.lex_state = 224},
  [4365] = {.lex_state = 224},
  [4366] = {.lex_state = 199},
  [4367] = {.lex_state = 201},
  [4368] = {.lex_state = 224},
  [4369] = {.lex_state = 201},
  [4370] = {.lex_state = 199},
  [4371] = {.lex_state = 224},
  [4372] = {.lex_state = 238},
  [4373] = {.lex_state = 224},
  [4374] = {.lex_state = 224},
  [4375] = {.lex_state = 201},
  [4376] = {.lex_state = 199},
  [4377] = {.lex_state = 224},
  [4378] = {.lex_state = 201},
  [4379] = {.lex_state = 201},
  [4380] = {.lex_state = 199},
  [4381] = {.lex_state = 224},
  [4382] = {.lex_state = 199},
  [4383] = {.lex_state = 199},
  [4384] = {.lex_state = 237},
  [4385] = {.lex_state = 237},
  [4386] = {.lex_state = 201},
  [4387] = {.lex_state = 199},
  [4388] = {.lex_state = 201},
  [4389] = {.lex_state = 201},
  [4390] = {.lex_state = 199},
  [4391] = {.lex_state = 237},
  [4392] = {.lex_state = 201},
  [4393] = {.lex_state = 199},
  [4394] = {.lex_state = 201},
  [4395] = {.lex_state = 201},
  [4396] = {.lex_state = 201},
  [4397] = {.lex_state = 224},
  [4398] = {.lex_state = 199},
  [4399] = {.lex_state = 224},
  [4400] = {.lex_state = 201},
  [4401] = {.lex_state = 201},
  [4402] = {.lex_state = 233},
  [4403] = {.lex_state = 199},
  [4404] = {.lex_state = 233},
  [4405] = {.lex_state = 199},
  [4406] = {.lex_state = 224},
  [4407] = {.lex_state = 199},
  [4408] = {.lex_state = 199},
  [4409] = {.lex_state = 199},
  [4410] = {.lex_state = 233},
  [4411] = {.lex_state = 199},
  [4412] = {.lex_state = 237},
  [4413] = {.lex_state = 199},
  [4414] = {.lex_state = 199},
  [4415] = {.lex_state = 220},
  [4416] = {.lex_state = 233},
  [4417] = {.lex_state = 233},
  [4418] = {.lex_state = 233},
  [4419] = {.lex_state = 199},
  [4420] = {.lex_state = 199},
  [4421] = {.lex_state = 233},
  [4422] = {.lex_state = 237},
  [4423] = {.lex_state = 199},
  [4424] = {.lex_state = 199},
  [4425] = {.lex_state = 224},
  [4426] = {.lex_state = 201},
  [4427] = {.lex_state = 237},
  [4428] = {.lex_state = 224},
  [4429] = {.lex_state = 233},
  [4430] = {.lex_state = 233},
  [4431] = {.lex_state = 224},
  [4432] = {.lex_state = 202},
  [4433] = {.lex_state = 199},
  [4434] = {.lex_state = 224},
  [4435] = {.lex_state = 201},
  [4436] = {.lex_state = 199},
  [4437] = {.lex_state = 224},
  [4438] = {.lex_state = 237},
  [4439] = {.lex_state = 199},
  [4440] = {.lex_state = 199},
  [4441] = {.lex_state = 199},
  [4442] = {.lex_state = 233},
  [4443] = {.lex_state = 199},
  [4444] = {.lex_state = 224},
  [4445] = {.lex_state = 201},
  [4446] = {.lex_state = 237},
  [4447] = {.lex_state = 199},
  [4448] = {.lex_state = 201},
  [4449] = {.lex_state = 201},
  [4450] = {.lex_state = 201},
  [4451] = {.lex_state = 199},
  [4452] = {.lex_state = 233},
  [4453] = {.lex_state = 237},
  [4454] = {.lex_state = 199},
  [4455] = {.lex_state = 237},
  [4456] = {.lex_state = 199},
  [4457] = {.lex_state = 199},
  [4458] = {.lex_state = 199},
  [4459] = {.lex_state = 237},
  [4460] = {.lex_state = 237},
  [4461] = {.lex_state = 199},
  [4462] = {.lex_state = 199},
  [4463] = {.lex_state = 237},
  [4464] = {.lex_state = 199},
  [4465] = {.lex_state = 199},
  [4466] = {.lex_state = 237},
  [4467] = {.lex_state = 199},
  [4468] = {.lex_state = 237},
  [4469] = {.lex_state = 237},
  [4470] = {.lex_state = 199},
  [4471] = {.lex_state = 201},
  [4472] = {.lex_state = 199},
  [4473] = {.lex_state = 199},
  [4474] = {.lex_state = 199},
  [4475] = {.lex_state = 199},
  [4476] = {.lex_state = 199},
  [4477] = {.lex_state = 237},
  [4478] = {.lex_state = 201},
  [4479] = {.lex_state = 237},
  [4480] = {.lex_state = 199},
  [4481] = {.lex_state = 199},
  [4482] = {.lex_state = 237},
  [4483] = {.lex_state = 199},
  [4484] = {.lex_state = 199},
  [4485] = {.lex_state = 199},
  [4486] = {.lex_state = 199},
  [4487] = {.lex_state = 237},
  [4488] = {.lex_state = 199},
  [4489] = {.lex_state = 237},
  [4490] = {.lex_state = 199},
  [4491] = {.lex_state = 199},
  [4492] = {.lex_state = 237},
  [4493] = {.lex_state = 237},
  [4494] = {.lex_state = 199},
  [4495] = {.lex_state = 237},
  [4496] = {.lex_state = 237},
  [4497] = {.lex_state = 199},
  [4498] = {.lex_state = 237},
  [4499] = {.lex_state = 199},
  [4500] = {.lex_state = 237},
  [4501] = {.lex_state = 199},
  [4502] = {.lex_state = 199},
  [4503] = {.lex_state = 199},
  [4504] = {.lex_state = 199},
  [4505] = {.lex_state = 199},
  [4506] = {.lex_state = 199},
  [4507] = {.lex_state = 199},
  [4508] = {.lex_state = 199},
  [4509] = {.lex_state = 237},
  [4510] = {.lex_state = 199},
  [4511] = {.lex_state = 237},
  [4512] = {.lex_state = 199},
  [4513] = {.lex_state = 199},
  [4514] = {.lex_state = 199},
  [4515] = {.lex_state = 199},
  [4516] = {.lex_state = 199},
  [4517] = {.lex_state = 199},
  [4518] = {.lex_state = 237},
  [4519] = {.lex_state = 234},
  [4520] = {.lex_state = 226},
  [4521] = {.lex_state = 199},
  [4522] = {.lex_state = 199},
  [4523] = {.lex_state = 237},
  [4524] = {.lex_state = 199},
  [4525] = {.lex_state = 199},
  [4526] = {.lex_state = 199},
  [4527] = {.lex_state = 201},
  [4528] = {.lex_state = 237},
  [4529] = {.lex_state = 237},
  [4530] = {.lex_state = 201},
  [4531] = {.lex_state = 236},
  [4532] = {.lex_state = 237},
  [4533] = {.lex_state = 199},
  [4534] = {.lex_state = 199},
  [4535] = {.lex_state = 237},
  [4536] = {.lex_state = 199},
  [4537] = {.lex_state = 237},
  [4538] = {.lex_state = 226},
  [4539] = {.lex_state = 199},
  [4540] = {.lex_state = 199},
  [4541] = {.lex_state = 199},
  [4542] = {.lex_state = 199},
  [4543] = {.lex_state = 199},
  [4544] = {.lex_state = 237},
  [4545] = {.lex_state = 199},
  [4546] = {.lex_state = 199},
  [4547] = {.lex_state = 199},
  [4548] = {.lex_state = 199},
  [4549] = {.lex_state = 237},
  [4550] = {.lex_state = 237},
  [4551] = {.lex_state = 199},
  [4552] = {.lex_state = 237},
  [4553] = {.lex_state = 199},
  [4554] = {.lex_state = 237},
  [4555] = {.lex_state = 199},
  [4556] = {.lex_state = 199},
  [4557] = {.lex_state = 201},
  [4558] = {.lex_state = 237},
  [4559] = {.lex_state = 199},
  [4560] = {.lex_state = 237},
  [4561] = {.lex_state = 237},
  [4562] = {.lex_state = 226},
  [4563] = {.lex_state = 199},
  [4564] = {.lex_state = 200},
  [4565] = {.lex_state = 199},
  [4566] = {.lex_state = 237},
  [4567] = {.lex_state = 237},
  [4568] = {.lex_state = 236},
  [4569] = {.lex_state = 199},
  [4570] = {.lex_state = 200},
  [4571] = {.lex_state = 199},
  [4572] = {.lex_state = 199},
  [4573] = {.lex_state = 199},
  [4574] = {.lex_state = 199},
  [4575] = {.lex_state = 199},
  [4576] = {.lex_state = 199},
  [4577] = {.lex_state = 199},
  [4578] = {.lex_state = 199},
  [4579] = {.lex_state = 199},
  [4580] = {.lex_state = 234},
  [4581] = {.lex_state = 199},
  [4582] = {.lex_state = 237},
  [4583] = {.lex_state = 199},
  [4584] = {.lex_state = 199},
  [4585] = {.lex_state = 237},
  [4586] = {.lex_state = 237},
  [4587] = {.lex_state = 199},
  [4588] = {.lex_state = 237},
  [4589] = {.lex_state = 199},
  [4590] = {.lex_state = 233},
  [4591] = {.lex_state = 199},
  [4592] = {.lex_state = 199},
  [4593] = {.lex_state = 199},
  [4594] = {.lex_state = 199},
  [4595] = {.lex_state = 199},
  [4596] = {.lex_state = 199},
  [4597] = {.lex_state = 199},
  [4598] = {.lex_state = 199},
  [4599] = {.lex_state = 199},
  [4600] = {.lex_state = 199},
  [4601] = {.lex_state = 199},
  [4602] = {.lex_state = 199},
  [4603] = {.lex_state = 199},
  [4604] = {.lex_state = 199},
  [4605] = {.lex_state = 224},
  [4606] = {.lex_state = 199},
  [4607] = {.lex_state = 199},
  [4608] = {.lex_state = 199},
  [4609] = {.lex_state = 199},
  [4610] = {.lex_state = 199},
  [4611] = {.lex_state = 199},
  [4612] = {.lex_state = 199},
  [4613] = {.lex_state = 199},
  [4614] = {.lex_state = 199},
  [4615] = {.lex_state = 224},
  [4616] = {.lex_state = 224},
  [4617] = {.lex_state = 224},
  [4618] = {.lex_state = 201},
  [4619] = {.lex_state = 233},
  [4620] = {.lex_state = 199},
  [4621] = {.lex_state = 220},
  [4622] = {.lex_state = 233},
  [4623] = {.lex_state = 220},
  [4624] = {.lex_state = 224},
  [4625] = {.lex_state = 237},
  [4626] = {.lex_state = 220},
  [4627] = {.lex_state = 236},
  [4628] = {.lex_state = 224},
  [4629] = {.lex_state = 199},
  [4630] = {.lex_state = 237},
  [4631] = {.lex_state = 201},
  [4632] = {.lex_state = 199},
  [4633] = {.lex_state = 201},
  [4634] = {.lex_state = 201},
  [4635] = {.lex_state = 201},
  [4636] = {.lex_state = 220},
  [4637] = {.lex_state = 199},
  [4638] = {.lex_state = 220},
  [4639] = {.lex_state = 199},
  [4640] = {.lex_state = 220},
  [4641] = {.lex_state = 224},
  [4642] = {.lex_state = 202},
  [4643] = {.lex_state = 199},
  [4644] = {.lex_state = 224},
  [4645] = {.lex_state = 224},
  [4646] = {.lex_state = 224},
  [4647] = {.lex_state = 224},
  [4648] = {.lex_state = 224},
  [4649] = {.lex_state = 224},
  [4650] = {.lex_state = 224},
  [4651] = {.lex_state = 224},
  [4652] = {.lex_state = 199},
  [4653] = {.lex_state = 224},
  [4654] = {.lex_state = 224},
  [4655] = {.lex_state = 224},
  [4656] = {.lex_state = 224},
  [4657] = {.lex_state = 224},
  [4658] = {.lex_state = 224},
  [4659] = {.lex_state = 233},
  [4660] = {.lex_state = 224},
  [4661] = {.lex_state = 224},
  [4662] = {.lex_state = 224},
  [4663] = {.lex_state = 224},
  [4664] = {.lex_state = 224},
  [4665] = {.lex_state = 224},
  [4666] = {.lex_state = 224},
  [4667] = {.lex_state = 224},
  [4668] = {.lex_state = 224},
  [4669] = {.lex_state = 224},
  [4670] = {.lex_state = 224},
  [4671] = {.lex_state = 220},
  [4672] = {.lex_state = 224},
  [4673] = {.lex_state = 224},
  [4674] = {.lex_state = 224},
  [4675] = {.lex_state = 224},
  [4676] = {.lex_state = 201},
  [4677] = {.lex_state = 224},
  [4678] = {.lex_state = 224},
  [4679] = {.lex_state = 233},
  [4680] = {.lex_state = 199},
  [4681] = {.lex_state = 199},
  [4682] = {.lex_state = 224},
  [4683] = {.lex_state = 224},
  [4684] = {.lex_state = 237},
  [4685] = {.lex_state = 234},
  [4686] = {.lex_state = 233},
  [4687] = {.lex_state = 234},
  [4688] = {.lex_state = 234},
  [4689] = {.lex_state = 234},
  [4690] = {.lex_state = 199},
  [4691] = {.lex_state = 237},
  [4692] = {.lex_state = 234},
  [4693] = {.lex_state = 234},
  [4694] = {.lex_state = 234},
  [4695] = {.lex_state = 199},
  [4696] = {.lex_state = 234},
  [4697] = {.lex_state = 234},
  [4698] = {.lex_state = 233},
  [4699] = {.lex_state = 234},
  [4700] = {.lex_state = 234},
  [4701] = {.lex_state = 199},
  [4702] = {.lex_state = 201},
  [4703] = {.lex_state = 236},
  [4704] = {.lex_state = 201},
  [4705] = {.lex_state = 199},
  [4706] = {.lex_state = 233},
  [4707] = {.lex_state = 234},
  [4708] = {.lex_state = 234},
  [4709] = {.lex_state = 234},
  [4710] = {.lex_state = 233},
  [4711] = {.lex_state = 234},
  [4712] = {.lex_state = 233},
  [4713] = {.lex_state = 233},
  [4714] = {.lex_state = 199},
  [4715] = {.lex_state = 233},
  [4716] = {.lex_state = 233},
  [4717] = {.lex_state = 234},
  [4718] = {.lex_state = 236},
  [4719] = {.lex_state = 234},
  [4720] = {.lex_state = 233},
  [4721] = {.lex_state = 237},
  [4722] = {.lex_state = 233},
  [4723] = {.lex_state = 234},
  [4724] = {.lex_state = 234},
  [4725] = {.lex_state = 233},
  [4726] = {.lex_state = 236},
  [4727] = {.lex_state = 234},
  [4728] = {.lex_state = 233},
  [4729] = {.lex_state = 234},
  [4730] = {.lex_state = 234},
  [4731] = {.lex_state = 233},
  [4732] = {.lex_state = 236},
  [4733] = {.lex_state = 233},
  [4734] = {.lex_state = 224},
  [4735] = {.lex_state = 233},
  [4736] = {.lex_state = 234},
  [4737] = {.lex_state = 237},
  [4738] = {.lex_state = 233},
  [4739] = {.lex_state = 233},
  [4740] = {.lex_state = 224},
  [4741] = {.lex_state = 233},
  [4742] = {.lex_state = 234},
  [4743] = {.lex_state = 233},
  [4744] = {.lex_state = 233},
  [4745] = {.lex_state = 233},
  [4746] = {.lex_state = 234},
  [4747] = {.lex_state = 236},
  [4748] = {.lex_state = 234},
  [4749] = {.lex_state = 233},
  [4750] = {.lex_state = 233},
  [4751] = {.lex_state = 236},
  [4752] = {.lex_state = 233},
  [4753] = {.lex_state = 234},
  [4754] = {.lex_state = 234},
  [4755] = {.lex_state = 220},
  [4756] = {.lex_state = 236},
  [4757] = {.lex_state = 233},
  [4758] = {.lex_state = 220},
  [4759] = {.lex_state = 233},
  [4760] = {.lex_state = 234},
  [4761] = {.lex_state = 234},
  [4762] = {.lex_state = 234},
  [4763] = {.lex_state = 233},
  [4764] = {.lex_state = 220},
  [4765] = {.lex_state = 233},
  [4766] = {.lex_state = 236},
  [4767] = {.lex_state = 220},
  [4768] = {.lex_state = 234},
  [4769] = {.lex_state = 236},
  [4770] = {.lex_state = 234},
  [4771] = {.lex_state = 236},
  [4772] = {.lex_state = 233},
  [4773] = {.lex_state = 234},
  [4774] = {.lex_state = 233},
  [4775] = {.lex_state = 233},
  [4776] = {.lex_state = 234},
  [4777] = {.lex_state = 233},
  [4778] = {.lex_state = 233},
  [4779] = {.lex_state = 234},
  [4780] = {.lex_state = 233},
  [4781] = {.lex_state = 233},
  [4782] = {.lex_state = 234},
  [4783] = {.lex_state = 234},
  [4784] = {.lex_state = 233},
  [4785] = {.lex_state = 237},
  [4786] = {.lex_state = 201},
  [4787] = {.lex_state = 234},
  [4788] = {.lex_state = 234},
  [4789] = {.lex_state = 234},
  [4790] = {.lex_state = 237},
  [4791] = {.lex_state = 234},
  [4792] = {.lex_state = 237},
  [4793] = {.lex_state = 234},
  [4794] = {.lex_state = 233},
  [4795] = {.lex_state = 237},
  [4796] = {.lex_state = 233},
  [4797] = {.lex_state = 233},
  [4798] = {.lex_state = 234},
  [4799] = {.lex_state = 234},
  [4800] = {.lex_state = 233},
  [4801] = {.lex_state = 237},
  [4802] = {.lex_state = 233},
  [4803] = {.lex_state = 234},
  [4804] = {.lex_state = 233},
  [4805] = {.lex_state = 233},
  [4806] = {.lex_state = 233},
  [4807] = {.lex_state = 234},
  [4808] = {.lex_state = 234},
  [4809] = {.lex_state = 234},
  [4810] = {.lex_state = 233},
  [4811] = {.lex_state = 234},
  [4812] = {.lex_state = 234},
  [4813] = {.lex_state = 233},
  [4814] = {.lex_state = 233},
  [4815] = {.lex_state = 234},
  [4816] = {.lex_state = 233},
  [4817] = {.lex_state = 234},
  [4818] = {.lex_state = 234},
  [4819] = {.lex_state = 234},
  [4820] = {.lex_state = 234},
  [4821] = {.lex_state = 233},
  [4822] = {.lex_state = 233},
  [4823] = {.lex_state = 234},
  [4824] = {.lex_state = 234},
  [4825] = {.lex_state = 233},
  [4826] = {.lex_state = 234},
  [4827] = {.lex_state = 233},
  [4828] = {.lex_state = 201},
  [4829] = {.lex_state = 234},
  [4830] = {.lex_state = 234},
  [4831] = {.lex_state = 234},
  [4832] = {.lex_state = 233},
  [4833] = {.lex_state = 233},
  [4834] = {.lex_state = 233},
  [4835] = {.lex_state = 234},
  [4836] = {.lex_state = 201},
  [4837] = {.lex_state = 233},
  [4838] = {.lex_state = 237},
  [4839] = {.lex_state = 234},
  [4840] = {.lex_state = 201},
  [4841] = {.lex_state = 234},
  [4842] = {.lex_state = 234},
  [4843] = {.lex_state = 233},
  [4844] = {.lex_state = 234},
  [4845] = {.lex_state = 233},
  [4846] = {.lex_state = 234},
  [4847] = {.lex_state = 234},
  [4848] = {.lex_state = 234},
  [4849] = {.lex_state = 234},
  [4850] = {.lex_state = 234},
  [4851] = {.lex_state = 234},
  [4852] = {.lex_state = 234},
  [4853] = {.lex_state = 234},
  [4854] = {.lex_state = 234},
  [4855] = {.lex_state = 234},
  [4856] = {.lex_state = 233},
  [4857] = {.lex_state = 234},
  [4858] = {.lex_state = 233},
  [4859] = {.lex_state = 236},
  [4860] = {.lex_state = 234},
  [4861] = {.lex_state = 234},
  [4862] = {.lex_state = 201},
  [4863] = {.lex_state = 234},
  [4864] = {.lex_state = 233},
  [4865] = {.lex_state = 234},
  [4866] = {.lex_state = 234},
  [4867] = {.lex_state = 237},
  [4868] = {.lex_state = 199},
  [4869] = {.lex_state = 237},
  [4870] = {.lex_state = 236},
  [4871] = {.lex_state = 236},
  [4872] = {.lex_state = 237},
  [4873] = {.lex_state = 237},
  [4874] = {.lex_state = 199},
  [4875] = {.lex_state = 236},
  [4876] = {.lex_state = 237},
  [4877] = {.lex_state = 236},
  [4878] = {.lex_state = 236},
  [4879] = {.lex_state = 237},
  [4880] = {.lex_state = 234},
  [4881] = {.lex_state = 234},
  [4882] = {.lex_state = 236},
  [4883] = {.lex_state = 234},
  [4884] = {.lex_state = 236},
  [4885] = {.lex_state = 237},
  [4886] = {.lex_state = 237},
  [4887] = {.lex_state = 236},
  [4888] = {.lex_state = 191},
  [4889] = {.lex_state = 191},
  [4890] = {.lex_state = 237},
  [4891] = {.lex_state = 191},
  [4892] = {.lex_state = 191},
  [4893] = {.lex_state = 237},
  [4894] = {.lex_state = 191},
  [4895] = {.lex_state = 191},
  [4896] = {.lex_state = 191},
  [4897] = {.lex_state = 237},
  [4898] = {.lex_state = 191},
  [4899] = {.lex_state = 237},
  [4900] = {.lex_state = 191},
  [4901] = {.lex_state = 191},
  [4902] = {.lex_state = 191},
  [4903] = {.lex_state = 191},
  [4904] = {.lex_state = 191},
  [4905] = {.lex_state = 191},
  [4906] = {.lex_state = 191},
  [4907] = {.lex_state = 191},
  [4908] = {.lex_state = 191},
  [4909] = {.lex_state = 191},
  [4910] = {.lex_state = 191},
  [4911] = {.lex_state = 191},
  [4912] = {.lex_state = 199},
  [4913] = {.lex_state = 191},
  [4914] = {.lex_state = 191},
  [4915] = {.lex_state = 191},
  [4916] = {.lex_state = 191},
  [4917] = {.lex_state = 191},
  [4918] = {.lex_state = 191},
  [4919] = {.lex_state = 191},
  [4920] = {.lex_state = 191},
  [4921] = {.lex_state = 199},
  [4922] = {.lex_state = 191},
  [4923] = {.lex_state = 191},
  [4924] = {.lex_state = 191},
  [4925] = {.lex_state = 191},
  [4926] = {.lex_state = 191},
  [4927] = {.lex_state = 191},
  [4928] = {.lex_state = 199},
  [4929] = {.lex_state = 191},
  [4930] = {.lex_state = 191},
  [4931] = {.lex_state = 191},
  [4932] = {.lex_state = 191},
  [4933] = {.lex_state = 191},
  [4934] = {.lex_state = 191},
  [4935] = {.lex_state = 191},
  [4936] = {.lex_state = 191},
  [4937] = {.lex_state = 191},
  [4938] = {.lex_state = 191},
  [4939] = {.lex_state = 191},
  [4940] = {.lex_state = 191},
  [4941] = {.lex_state = 191},
  [4942] = {.lex_state = 191},
  [4943] = {.lex_state = 191},
  [4944] = {.lex_state = 191},
  [4945] = {.lex_state = 191},
  [4946] = {.lex_state = 191},
  [4947] = {.lex_state = 199},
  [4948] = {.lex_state = 199},
  [4949] = {.lex_state = 191},
  [4950] = {.lex_state = 191},
  [4951] = {.lex_state = 191},
  [4952] = {.lex_state = 199},
  [4953] = {.lex_state = 191},
  [4954] = {.lex_state = 191},
  [4955] = {.lex_state = 191},
  [4956] = {.lex_state = 191},
  [4957] = {.lex_state = 201},
  [4958] = {.lex_state = 191},
  [4959] = {.lex_state = 191},
  [4960] = {.lex_state = 201},
  [4961] = {.lex_state = 191},
  [4962] = {.lex_state = 191},
  [4963] = {.lex_state = 191},
  [4964] = {.lex_state = 191},
  [4965] = {.lex_state = 191},
  [4966] = {.lex_state = 191},
  [4967] = {.lex_state = 191},
  [4968] = {.lex_state = 191},
  [4969] = {.lex_state = 199},
  [4970] = {.lex_state = 236},
  [4971] = {.lex_state = 191},
  [4972] = {.lex_state = 191},
  [4973] = {.lex_state = 191},
  [4974] = {.lex_state = 191},
  [4975] = {.lex_state = 191},
  [4976] = {.lex_state = 191},
  [4977] = {.lex_state = 236},
  [4978] = {.lex_state = 191},
  [4979] = {.lex_state = 191},
  [4980] = {.lex_state = 191},
  [4981] = {.lex_state = 191},
  [4982] = {.lex_state = 191},
  [4983] = {.lex_state = 191},
  [4984] = {.lex_state = 191},
  [4985] = {.lex_state = 191},
  [4986] = {.lex_state = 191},
  [4987] = {.lex_state = 191},
  [4988] = {.lex_state = 236},
  [4989] = {.lex_state = 191},
  [4990] = {.lex_state = 191},
  [4991] = {.lex_state = 191},
  [4992] = {.lex_state = 191},
  [4993] = {.lex_state = 199},
  [4994] = {.lex_state = 191},
  [4995] = {.lex_state = 191},
  [4996] = {.lex_state = 191},
  [4997] = {.lex_state = 191},
  [4998] = {.lex_state = 191},
  [4999] = {.lex_state = 191},
  [5000] = {.lex_state = 191},
  [5001] = {.lex_state = 191},
  [5002] = {.lex_state = 191},
  [5003] = {.lex_state = 191},
  [5004] = {.lex_state = 191},
  [5005] = {.lex_state = 191},
  [5006] = {.lex_state = 191},
  [5007] = {.lex_state = 191},
  [5008] = {.lex_state = 236},
  [5009] = {.lex_state = 191},
  [5010] = {.lex_state = 234},
  [5011] = {.lex_state = 191},
  [5012] = {.lex_state = 191},
  [5013] = {.lex_state = 191},
  [5014] = {.lex_state = 236},
  [5015] = {.lex_state = 199},
  [5016] = {.lex_state = 199},
  [5017] = {.lex_state = 199},
  [5018] = {.lex_state = 199},
  [5019] = {.lex_state = 199},
  [5020] = {.lex_state = 236},
  [5021] = {.lex_state = 199},
  [5022] = {.lex_state = 199},
  [5023] = {.lex_state = 191},
  [5024] = {.lex_state = 191},
  [5025] = {.lex_state = 191},
  [5026] = {.lex_state = 191},
  [5027] = {.lex_state = 191},
  [5028] = {.lex_state = 191},
  [5029] = {.lex_state = 191},
  [5030] = {.lex_state = 199},
  [5031] = {.lex_state = 199},
  [5032] = {.lex_state = 199},
  [5033] = {.lex_state = 199},
  [5034] = {.lex_state = 199},
  [5035] = {.lex_state = 191},
  [5036] = {.lex_state = 199},
  [5037] = {.lex_state = 199},
  [5038] = {.lex_state = 236},
  [5039] = {.lex_state = 234},
  [5040] = {.lex_state = 199},
  [5041] = {.lex_state = 191},
  [5042] = {.lex_state = 199},
  [5043] = {.lex_state = 199},
  [5044] = {.lex_state = 199},
  [5045] = {.lex_state = 199},
  [5046] = {.lex_state = 236},
  [5047] = {.lex_state = 191},
  [5048] = {.lex_state = 199},
  [5049] = {.lex_state = 191},
  [5050] = {.lex_state = 191},
  [5051] = {.lex_state = 236},
  [5052] = {.lex_state = 234},
  [5053] = {.lex_state = 199},
  [5054] = {.lex_state = 236},
  [5055] = {.lex_state = 199},
  [5056] = {.lex_state = 199},
  [5057] = {.lex_state = 234},
  [5058] = {.lex_state = 199},
  [5059] = {.lex_state = 199},
  [5060] = {.lex_state = 191},
  [5061] = {.lex_state = 236},
  [5062] = {.lex_state = 233},
  [5063] = {.lex_state = 191},
  [5064] = {.lex_state = 199},
  [5065] = {.lex_state = 191},
  [5066] = {.lex_state = 199},
  [5067] = {.lex_state = 237},
  [5068] = {.lex_state = 193},
  [5069] = {.lex_state = 193},
  [5070] = {.lex_state = 193},
  [5071] = {.lex_state = 237},
  [5072] = {.lex_state = 193},
  [5073] = {.lex_state = 237},
  [5074] = {.lex_state = 233},
  [5075] = {.lex_state = 193},
  [5076] = {.lex_state = 193},
  [5077] = {.lex_state = 201},
  [5078] = {.lex_state = 237},
  [5079] = {.lex_state = 193},
  [5080] = {.lex_state = 193},
  [5081] = {.lex_state = 237},
  [5082] = {.lex_state = 237},
  [5083] = {.lex_state = 236},
  [5084] = {.lex_state = 237},
  [5085] = {.lex_state = 236},
  [5086] = {.lex_state = 236},
  [5087] = {.lex_state = 236},
  [5088] = {.lex_state = 237},
  [5089] = {.lex_state = 236},
  [5090] = {.lex_state = 236},
  [5091] = {.lex_state = 237},
  [5092] = {.lex_state = 237},
  [5093] = {.lex_state = 236},
  [5094] = {.lex_state = 237},
  [5095] = {.lex_state = 237},
  [5096] = {.lex_state = 237},
  [5097] = {.lex_state = 237},
  [5098] = {.lex_state = 236},
  [5099] = {.lex_state = 236},
  [5100] = {.lex_state = 237},
  [5101] = {.lex_state = 236},
  [5102] = {.lex_state = 237},
  [5103] = {.lex_state = 236},
  [5104] = {.lex_state = 237},
  [5105] = {.lex_state = 236},
  [5106] = {.lex_state = 237},
  [5107] = {.lex_state = 191},
  [5108] = {.lex_state = 191},
  [5109] = {.lex_state = 191},
  [5110] = {.lex_state = 191},
  [5111] = {.lex_state = 191},
  [5112] = {.lex_state = 191},
  [5113] = {.lex_state = 191},
  [5114] = {.lex_state = 191},
  [5115] = {.lex_state = 191},
  [5116] = {.lex_state = 191},
  [5117] = {.lex_state = 191},
  [5118] = {.lex_state = 191},
  [5119] = {.lex_state = 245},
  [5120] = {.lex_state = 236},
  [5121] = {.lex_state = 245},
  [5122] = {.lex_state = 237},
  [5123] = {.lex_state = 201},
  [5124] = {.lex_state = 236},
  [5125] = {.lex_state = 245},
  [5126] = {.lex_state = 245},
  [5127] = {.lex_state = 236},
  [5128] = {.lex_state = 245},
  [5129] = {.lex_state = 236},
  [5130] = {.lex_state = 245},
  [5131] = {.lex_state = 236},
  [5132] = {.lex_state = 245},
  [5133] = {.lex_state = 236},
  [5134] = {.lex_state = 201},
  [5135] = {.lex_state = 236},
  [5136] = {.lex_state = 220},
  [5137] = {.lex_state = 237},
  [5138] = {.lex_state = 234},
  [5139] = {.lex_state = 236},
  [5140] = {.lex_state = 234},
  [5141] = {.lex_state = 193},
  [5142] = {.lex_state = 173},
  [5143] = {.lex_state = 234},
  [5144] = {.lex_state = 234},
  [5145] = {.lex_state = 234},
  [5146] = {.lex_state = 234},
  [5147] = {.lex_state = 234},
  [5148] = {.lex_state = 193},
  [5149] = {.lex_state = 237},
  [5150] = {.lex_state = 193},
  [5151] = {.lex_state = 237},
  [5152] = {.lex_state = 234},
  [5153] = {.lex_state = 234},
  [5154] = {.lex_state = 234},
  [5155] = {.lex_state = 193},
  [5156] = {.lex_state = 193},
  [5157] = {.lex_state = 237},
  [5158] = {.lex_state = 234},
  [5159] = {.lex_state = 234},
  [5160] = {.lex_state = 173},
  [5161] = {.lex_state = 234},
  [5162] = {.lex_state = 234},
  [5163] = {.lex_state = 193},
  [5164] = {.lex_state = 193},
  [5165] = {.lex_state = 234},
  [5166] = {.lex_state = 234},
  [5167] = {.lex_state = 193},
  [5168] = {.lex_state = 193},
  [5169] = {.lex_state = 193},
  [5170] = {.lex_state = 173},
  [5171] = {.lex_state = 236},
  [5172] = {.lex_state = 193},
  [5173] = {.lex_state = 193},
  [5174] = {.lex_state = 234},
  [5175] = {.lex_state = 234},
  [5176] = {.lex_state = 233},
  [5177] = {.lex_state = 173},
  [5178] = {.lex_state = 245},
  [5179] = {.lex_state = 173},
  [5180] = {.lex_state = 173},
  [5181] = {.lex_state = 173},
  [5182] = {.lex_state = 173},
  [5183] = {.lex_state = 220},
  [5184] = {.lex_state = 173},
  [5185] = {.lex_state = 173},
  [5186] = {.lex_state = 234},
  [5187] = {.lex_state = 173},
  [5188] = {.lex_state = 173},
  [5189] = {.lex_state = 173},
  [5190] = {.lex_state = 234},
  [5191] = {.lex_state = 245},
  [5192] = {.lex_state = 173},
  [5193] = {.lex_state = 173},
  [5194] = {.lex_state = 245},
  [5195] = {.lex_state = 173},
  [5196] = {.lex_state = 245},
  [5197] = {.lex_state = 245},
  [5198] = {.lex_state = 173},
  [5199] = {.lex_state = 220},
  [5200] = {.lex_state = 173},
  [5201] = {.lex_state = 234},
  [5202] = {.lex_state = 245},
  [5203] = {.lex_state = 245},
  [5204] = {.lex_state = 245},
  [5205] = {.lex_state = 173},
  [5206] = {.lex_state = 245},
  [5207] = {.lex_state = 234},
  [5208] = {.lex_state = 237},
  [5209] = {.lex_state = 173},
  [5210] = {.lex_state = 173},
  [5211] = {.lex_state = 173},
  [5212] = {.lex_state = 234},
  [5213] = {.lex_state = 236},
  [5214] = {.lex_state = 173},
  [5215] = {.lex_state = 234},
  [5216] = {.lex_state = 173},
  [5217] = {.lex_state = 245},
  [5218] = {.lex_state = 245},
  [5219] = {.lex_state = 173},
  [5220] = {.lex_state = 234},
  [5221] = {.lex_state = 245},
  [5222] = {.lex_state = 173},
  [5223] = {.lex_state = 173},
  [5224] = {.lex_state = 245},
  [5225] = {.lex_state = 173},
  [5226] = {.lex_state = 245},
  [5227] = {.lex_state = 173},
  [5228] = {.lex_state = 234},
  [5229] = {.lex_state = 173},
  [5230] = {.lex_state = 245},
  [5231] = {.lex_state = 245},
  [5232] = {.lex_state = 173},
  [5233] = {.lex_state = 234},
  [5234] = {.lex_state = 245},
  [5235] = {.lex_state = 245},
  [5236] = {.lex_state = 234},
  [5237] = {.lex_state = 173},
  [5238] = {.lex_state = 173},
  [5239] = {.lex_state = 245},
  [5240] = {.lex_state = 245},
  [5241] = {.lex_state = 220},
  [5242] = {.lex_state = 245},
  [5243] = {.lex_state = 245},
  [5244] = {.lex_state = 237},
  [5245] = {.lex_state = 173},
  [5246] = {.lex_state = 245},
  [5247] = {.lex_state = 245},
  [5248] = {.lex_state = 173},
  [5249] = {.lex_state = 173},
  [5250] = {.lex_state = 245},
  [5251] = {.lex_state = 245},
  [5252] = {.lex_state = 173},
  [5253] = {.lex_state = 173},
  [5254] = {.lex_state = 245},
  [5255] = {.lex_state = 234},
  [5256] = {.lex_state = 245},
  [5257] = {.lex_state = 173},
  [5258] = {.lex_state = 234},
  [5259] = {.lex_state = 190},
  [5260] = {.lex_state = 245},
  [5261] = {.lex_state = 173},
  [5262] = {.lex_state = 245},
  [5263] = {.lex_state = 173},
  [5264] = {.lex_state = 245},
  [5265] = {.lex_state = 245},
  [5266] = {.lex_state = 245},
  [5267] = {.lex_state = 245},
  [5268] = {.lex_state = 245},
  [5269] = {.lex_state = 245},
  [5270] = {.lex_state = 245},
  [5271] = {.lex_state = 245},
  [5272] = {.lex_state = 245},
  [5273] = {.lex_state = 173},
  [5274] = {.lex_state = 245},
  [5275] = {.lex_state = 245},
  [5276] = {.lex_state = 191},
  [5277] = {.lex_state = 191},
  [5278] = {.lex_state = 191},
  [5279] = {.lex_state = 236},
  [5280] = {.lex_state = 191},
  [5281] = {.lex_state = 191},
  [5282] = {.lex_state = 191},
  [5283] = {.lex_state = 191},
  [5284] = {.lex_state = 191},
  [5285] = {.lex_state = 191},
  [5286] = {.lex_state = 191},
  [5287] = {.lex_state = 191},
  [5288] = {.lex_state = 191},
  [5289] = {.lex_state = 191},
  [5290] = {.lex_state = 190},
  [5291] = {.lex_state = 191},
  [5292] = {.lex_state = 191},
  [5293] = {.lex_state = 191},
  [5294] = {.lex_state = 191},
  [5295] = {.lex_state = 236},
  [5296] = {.lex_state = 191},
  [5297] = {.lex_state = 191},
  [5298] = {.lex_state = 190},
  [5299] = {.lex_state = 191},
  [5300] = {.lex_state = 236},
  [5301] = {.lex_state = 191},
  [5302] = {.lex_state = 191},
  [5303] = {.lex_state = 220},
  [5304] = {.lex_state = 191},
  [5305] = {.lex_state = 191},
  [5306] = {.lex_state = 191},
  [5307] = {.lex_state = 191},
  [5308] = {.lex_state = 191},
  [5309] = {.lex_state = 191},
  [5310] = {.lex_state = 236},
  [5311] = {.lex_state = 191},
  [5312] = {.lex_state = 191},
  [5313] = {.lex_state = 191},
  [5314] = {.lex_state = 191},
  [5315] = {.lex_state = 191},
  [5316] = {.lex_state = 191},
  [5317] = {.lex_state = 191},
  [5318] = {.lex_state = 191},
  [5319] = {.lex_state = 191},
  [5320] = {.lex_state = 191},
  [5321] = {.lex_state = 191},
  [5322] = {.lex_state = 191},
  [5323] = {.lex_state = 191},
  [5324] = {.lex_state = 191},
  [5325] = {.lex_state = 191},
  [5326] = {.lex_state = 191},
  [5327] = {.lex_state = 191},
  [5328] = {.lex_state = 191},
  [5329] = {.lex_state = 191},
  [5330] = {.lex_state = 236},
  [5331] = {.lex_state = 191},
  [5332] = {.lex_state = 191},
  [5333] = {.lex_state = 191},
  [5334] = {.lex_state = 191},
  [5335] = {.lex_state = 191},
  [5336] = {.lex_state = 191},
  [5337] = {.lex_state = 99},
  [5338] = {.lex_state = 191},
  [5339] = {.lex_state = 191},
  [5340] = {.lex_state = 191},
  [5341] = {.lex_state = 191},
  [5342] = {.lex_state = 237},
  [5343] = {.lex_state = 236},
  [5344] = {.lex_state = 191},
  [5345] = {.lex_state = 191},
  [5346] = {.lex_state = 191},
  [5347] = {.lex_state = 191},
  [5348] = {.lex_state = 191},
  [5349] = {.lex_state = 191},
  [5350] = {.lex_state = 191},
  [5351] = {.lex_state = 191},
  [5352] = {.lex_state = 191},
  [5353] = {.lex_state = 191},
  [5354] = {.lex_state = 191},
  [5355] = {.lex_state = 191},
  [5356] = {.lex_state = 191},
  [5357] = {.lex_state = 237},
  [5358] = {.lex_state = 191},
  [5359] = {.lex_state = 191},
  [5360] = {.lex_state = 191},
  [5361] = {.lex_state = 191},
  [5362] = {.lex_state = 190},
  [5363] = {.lex_state = 191},
  [5364] = {.lex_state = 191},
  [5365] = {.lex_state = 191},
  [5366] = {.lex_state = 220},
  [5367] = {.lex_state = 191},
  [5368] = {.lex_state = 191},
  [5369] = {.lex_state = 191},
  [5370] = {.lex_state = 191},
  [5371] = {.lex_state = 191},
  [5372] = {.lex_state = 191},
  [5373] = {.lex_state = 191},
  [5374] = {.lex_state = 191},
  [5375] = {.lex_state = 191},
  [5376] = {.lex_state = 191},
  [5377] = {.lex_state = 191},
  [5378] = {.lex_state = 191},
  [5379] = {.lex_state = 236},
  [5380] = {.lex_state = 191},
  [5381] = {.lex_state = 236},
  [5382] = {.lex_state = 237},
  [5383] = {.lex_state = 236},
  [5384] = {.lex_state = 237},
  [5385] = {.lex_state = 237},
  [5386] = {.lex_state = 190},
  [5387] = {.lex_state = 237},
  [5388] = {.lex_state = 237},
  [5389] = {.lex_state = 190},
  [5390] = {.lex_state = 237},
  [5391] = {.lex_state = 220},
  [5392] = {.lex_state = 237},
  [5393] = {.lex_state = 190},
  [5394] = {.lex_state = 237},
  [5395] = {.lex_state = 237},
  [5396] = {.lex_state = 237},
  [5397] = {.lex_state = 190},
  [5398] = {.lex_state = 220},
  [5399] = {.lex_state = 237},
  [5400] = {.lex_state = 237},
  [5401] = {.lex_state = 190},
  [5402] = {.lex_state = 220},
  [5403] = {.lex_state = 220},
  [5404] = {.lex_state = 190},
  [5405] = {.lex_state = 190},
  [5406] = {.lex_state = 236},
  [5407] = {.lex_state = 237},
  [5408] = {.lex_state = 220},
  [5409] = {.lex_state = 237},
  [5410] = {.lex_state = 236},
  [5411] = {.lex_state = 237},
  [5412] = {.lex_state = 237},
  [5413] = {.lex_state = 237},
  [5414] = {.lex_state = 236},
  [5415] = {.lex_state = 236},
  [5416] = {.lex_state = 237},
  [5417] = {.lex_state = 237},
  [5418] = {.lex_state = 190},
  [5419] = {.lex_state = 190},
  [5420] = {.lex_state = 237},
  [5421] = {.lex_state = 220},
  [5422] = {.lex_state = 190},
  [5423] = {.lex_state = 237},
  [5424] = {.lex_state = 237},
  [5425] = {.lex_state = 236},
  [5426] = {.lex_state = 237},
  [5427] = {.lex_state = 220},
  [5428] = {.lex_state = 236},
  [5429] = {.lex_state = 190},
  [5430] = {.lex_state = 236},
  [5431] = {.lex_state = 236},
  [5432] = {.lex_state = 236},
  [5433] = {.lex_state = 236},
  [5434] = {.lex_state = 236},
  [5435] = {.lex_state = 190},
  [5436] = {.lex_state = 190},
  [5437] = {.lex_state = 237},
  [5438] = {.lex_state = 236},
  [5439] = {.lex_state = 220},
  [5440] = {.lex_state = 220},
  [5441] = {.lex_state = 237},
  [5442] = {.lex_state = 237},
  [5443] = {.lex_state = 237},
  [5444] = {.lex_state = 237},
  [5445] = {.lex_state = 237},
  [5446] = {.lex_state = 236},
  [5447] = {.lex_state = 237},
  [5448] = {.lex_state = 236},
  [5449] = {.lex_state = 190},
  [5450] = {.lex_state = 190},
  [5451] = {.lex_state = 220},
  [5452] = {.lex_state = 237},
  [5453] = {.lex_state = 237},
  [5454] = {.lex_state = 237},
  [5455] = {.lex_state = 237},
  [5456] = {.lex_state = 220},
  [5457] = {.lex_state = 236},
  [5458] = {.lex_state = 236},
  [5459] = {.lex_state = 237},
  [5460] = {.lex_state = 220},
  [5461] = {.lex_state = 236},
  [5462] = {.lex_state = 237},
  [5463] = {.lex_state = 220},
  [5464] = {.lex_state = 220},
  [5465] = {.lex_state = 237},
  [5466] = {.lex_state = 220},
  [5467] = {.lex_state = 220},
  [5468] = {.lex_state = 190},
  [5469] = {.lex_state = 199},
  [5470] = {.lex_state = 237},
  [5471] = {.lex_state = 236},
  [5472] = {.lex_state = 190},
  [5473] = {.lex_state = 236},
  [5474] = {.lex_state = 190},
  [5475] = {.lex_state = 236},
  [5476] = {.lex_state = 237},
  [5477] = {.lex_state = 237},
  [5478] = {.lex_state = 237},
  [5479] = {.lex_state = 237},
  [5480] = {.lex_state = 190},
  [5481] = {.lex_state = 190},
  [5482] = {.lex_state = 237},
  [5483] = {.lex_state = 220},
  [5484] = {.lex_state = 237},
  [5485] = {.lex_state = 236},
  [5486] = {.lex_state = 237},
  [5487] = {.lex_state = 190},
  [5488] = {.lex_state = 234},
  [5489] = {.lex_state = 234},
  [5490] = {.lex_state = 99},
  [5491] = {.lex_state = 220},
  [5492] = {.lex_state = 99},
  [5493] = {.lex_state = 99},
  [5494] = {.lex_state = 99},
  [5495] = {.lex_state = 233},
  [5496] = {.lex_state = 220},
  [5497] = {.lex_state = 99},
  [5498] = {.lex_state = 220},
  [5499] = {.lex_state = 220},
  [5500] = {.lex_state = 99},
  [5501] = {.lex_state = 99},
  [5502] = {.lex_state = 234},
  [5503] = {.lex_state = 234},
  [5504] = {.lex_state = 190},
  [5505] = {.lex_state = 99},
  [5506] = {.lex_state = 237},
  [5507] = {.lex_state = 234},
  [5508] = {.lex_state = 237},
  [5509] = {.lex_state = 234},
  [5510] = {.lex_state = 190},
  [5511] = {.lex_state = 99},
  [5512] = {.lex_state = 234},
  [5513] = {.lex_state = 99},
  [5514] = {.lex_state = 234},
  [5515] = {.lex_state = 237},
  [5516] = {.lex_state = 99},
  [5517] = {.lex_state = 99},
  [5518] = {.lex_state = 234},
  [5519] = {.lex_state = 234},
  [5520] = {.lex_state = 99},
  [5521] = {.lex_state = 234},
  [5522] = {.lex_state = 99},
  [5523] = {.lex_state = 99},
  [5524] = {.lex_state = 237},
  [5525] = {.lex_state = 237},
  [5526] = {.lex_state = 234},
  [5527] = {.lex_state = 237},
  [5528] = {.lex_state = 99},
  [5529] = {.lex_state = 99},
  [5530] = {.lex_state = 99},
  [5531] = {.lex_state = 99},
  [5532] = {.lex_state = 99},
  [5533] = {.lex_state = 237},
  [5534] = {.lex_state = 234},
  [5535] = {.lex_state = 99},
  [5536] = {.lex_state = 99},
  [5537] = {.lex_state = 99},
  [5538] = {.lex_state = 99},
  [5539] = {.lex_state = 234},
  [5540] = {.lex_state = 237},
  [5541] = {.lex_state = 234},
  [5542] = {.lex_state = 234},
  [5543] = {.lex_state = 237},
  [5544] = {.lex_state = 99},
  [5545] = {.lex_state = 220},
  [5546] = {.lex_state = 99},
  [5547] = {.lex_state = 99},
  [5548] = {.lex_state = 99},
  [5549] = {.lex_state = 99},
  [5550] = {.lex_state = 237},
  [5551] = {.lex_state = 99},
  [5552] = {.lex_state = 237},
  [5553] = {.lex_state = 234},
  [5554] = {.lex_state = 220},
  [5555] = {.lex_state = 237},
  [5556] = {.lex_state = 237},
  [5557] = {.lex_state = 99},
  [5558] = {.lex_state = 99},
  [5559] = {.lex_state = 99},
  [5560] = {.lex_state = 99},
  [5561] = {.lex_state = 234},
  [5562] = {.lex_state = 237},
  [5563] = {.lex_state = 237},
  [5564] = {.lex_state = 237},
  [5565] = {.lex_state = 233},
  [5566] = {.lex_state = 191},
  [5567] = {.lex_state = 191},
  [5568] = {.lex_state = 191},
  [5569] = {.lex_state = 237},
  [5570] = {.lex_state = 233},
  [5571] = {.lex_state = 237},
  [5572] = {.lex_state = 236},
  [5573] = {.lex_state = 233},
  [5574] = {.lex_state = 191},
  [5575] = {.lex_state = 237},
  [5576] = {.lex_state = 236},
  [5577] = {.lex_state = 237},
  [5578] = {.lex_state = 237},
  [5579] = {.lex_state = 237},
  [5580] = {.lex_state = 237},
  [5581] = {.lex_state = 233},
  [5582] = {.lex_state = 237},
  [5583] = {.lex_state = 237},
  [5584] = {.lex_state = 236},
  [5585] = {.lex_state = 237},
  [5586] = {.lex_state = 237},
  [5587] = {.lex_state = 237},
  [5588] = {.lex_state = 237},
  [5589] = {.lex_state = 236},
  [5590] = {.lex_state = 233},
  [5591] = {.lex_state = 237},
  [5592] = {.lex_state = 233},
  [5593] = {.lex_state = 237},
  [5594] = {.lex_state = 237},
  [5595] = {.lex_state = 233},
  [5596] = {.lex_state = 237},
  [5597] = {.lex_state = 233},
  [5598] = {.lex_state = 237},
  [5599] = {.lex_state = 237},
  [5600] = {.lex_state = 236},
  [5601] = {.lex_state = 236},
  [5602] = {.lex_state = 237},
  [5603] = {.lex_state = 171},
  [5604] = {.lex_state = 199},
  [5605] = {.lex_state = 229},
  [5606] = {.lex_state = 199},
  [5607] = {.lex_state = 171},
  [5608] = {.lex_state = 236},
  [5609] = {.lex_state = 220},
  [5610] = {.lex_state = 237},
  [5611] = {.lex_state = 236},
  [5612] = {.lex_state = 236},
  [5613] = {.lex_state = 236},
  [5614] = {.lex_state = 236},
  [5615] = {.lex_state = 233},
  [5616] = {.lex_state = 199},
  [5617] = {.lex_state = 171},
  [5618] = {.lex_state = 237},
  [5619] = {.lex_state = 199},
  [5620] = {.lex_state = 236},
  [5621] = {.lex_state = 236},
  [5622] = {.lex_state = 236},
  [5623] = {.lex_state = 236},
  [5624] = {.lex_state = 229},
  [5625] = {.lex_state = 237},
  [5626] = {.lex_state = 236},
  [5627] = {.lex_state = 237},
  [5628] = {.lex_state = 199},
  [5629] = {.lex_state = 236},
  [5630] = {.lex_state = 199},
  [5631] = {.lex_state = 199},
  [5632] = {.lex_state = 220},
  [5633] = {.lex_state = 244},
  [5634] = {.lex_state = 171},
  [5635] = {.lex_state = 220},
  [5636] = {.lex_state = 237},
  [5637] = {.lex_state = 237},
  [5638] = {.lex_state = 229},
  [5639] = {.lex_state = 199},
  [5640] = {.lex_state = 171},
  [5641] = {.lex_state = 237},
  [5642] = {.lex_state = 220},
  [5643] = {.lex_state = 171},
  [5644] = {.lex_state = 233},
  [5645] = {.lex_state = 171},
  [5646] = {.lex_state = 237},
  [5647] = {.lex_state = 171},
  [5648] = {.lex_state = 229},
  [5649] = {.lex_state = 233},
  [5650] = {.lex_state = 237},
  [5651] = {.lex_state = 201},
  [5652] = {.lex_state = 171},
  [5653] = {.lex_state = 199},
  [5654] = {.lex_state = 199},
  [5655] = {.lex_state = 171},
  [5656] = {.lex_state = 237},
  [5657] = {.lex_state = 236},
  [5658] = {.lex_state = 233},
  [5659] = {.lex_state = 233},
  [5660] = {.lex_state = 238},
  [5661] = {.lex_state = 191},
  [5662] = {.lex_state = 191},
  [5663] = {.lex_state = 233},
  [5664] = {.lex_state = 233},
  [5665] = {.lex_state = 233},
  [5666] = {.lex_state = 233},
  [5667] = {.lex_state = 233},
  [5668] = {.lex_state = 233},
  [5669] = {.lex_state = 233},
  [5670] = {.lex_state = 233},
  [5671] = {.lex_state = 233},
  [5672] = {.lex_state = 233},
  [5673] = {.lex_state = 236},
  [5674] = {.lex_state = 171},
  [5675] = {.lex_state = 233},
  [5676] = {.lex_state = 191},
  [5677] = {.lex_state = 191},
  [5678] = {.lex_state = 233},
  [5679] = {.lex_state = 171},
  [5680] = {.lex_state = 233},
  [5681] = {.lex_state = 191},
  [5682] = {.lex_state = 233},
  [5683] = {.lex_state = 233},
  [5684] = {.lex_state = 233},
  [5685] = {.lex_state = 236},
  [5686] = {.lex_state = 233},
  [5687] = {.lex_state = 236},
  [5688] = {.lex_state = 233},
  [5689] = {.lex_state = 236},
  [5690] = {.lex_state = 191},
  [5691] = {.lex_state = 238},
  [5692] = {.lex_state = 233},
  [5693] = {.lex_state = 233},
  [5694] = {.lex_state = 237},
  [5695] = {.lex_state = 191},
  [5696] = {.lex_state = 233},
  [5697] = {.lex_state = 191},
  [5698] = {.lex_state = 236},
  [5699] = {.lex_state = 233},
  [5700] = {.lex_state = 236},
  [5701] = {.lex_state = 191},
  [5702] = {.lex_state = 191},
  [5703] = {.lex_state = 237},
  [5704] = {.lex_state = 236},
  [5705] = {.lex_state = 236},
  [5706] = {.lex_state = 237},
  [5707] = {.lex_state = 233},
  [5708] = {.lex_state = 237},
  [5709] = {.lex_state = 237},
  [5710] = {.lex_state = 233},
  [5711] = {.lex_state = 237},
  [5712] = {.lex_state = 236},
  [5713] = {.lex_state = 236},
  [5714] = {.lex_state = 237},
  [5715] = {.lex_state = 236},
  [5716] = {.lex_state = 237},
  [5717] = {.lex_state = 233},
  [5718] = {.lex_state = 236},
  [5719] = {.lex_state = 237},
  [5720] = {.lex_state = 236},
  [5721] = {.lex_state = 237},
  [5722] = {.lex_state = 233},
  [5723] = {.lex_state = 233},
  [5724] = {.lex_state = 183},
  [5725] = {.lex_state = 171},
  [5726] = {.lex_state = 183},
  [5727] = {.lex_state = 171},
  [5728] = {.lex_state = 191},
  [5729] = {.lex_state = 237},
  [5730] = {.lex_state = 183},
  [5731] = {.lex_state = 192},
  [5732] = {.lex_state = 192},
  [5733] = {.lex_state = 183},
  [5734] = {.lex_state = 237},
  [5735] = {.lex_state = 237},
  [5736] = {.lex_state = 236},
  [5737] = {.lex_state = 236},
  [5738] = {.lex_state = 237},
  [5739] = {.lex_state = 183},
  [5740] = {.lex_state = 183},
  [5741] = {.lex_state = 183},
  [5742] = {.lex_state = 237},
  [5743] = {.lex_state = 237},
  [5744] = {.lex_state = 191},
  [5745] = {.lex_state = 183},
  [5746] = {.lex_state = 183},
  [5747] = {.lex_state = 237},
  [5748] = {.lex_state = 237},
  [5749] = {.lex_state = 237},
  [5750] = {.lex_state = 236},
  [5751] = {.lex_state = 171},
  [5752] = {.lex_state = 236},
  [5753] = {.lex_state = 183},
  [5754] = {.lex_state = 183},
  [5755] = {.lex_state = 192},
  [5756] = {.lex_state = 171},
  [5757] = {.lex_state = 183},
  [5758] = {.lex_state = 183},
  [5759] = {.lex_state = 176},
  [5760] = {.lex_state = 171},
  [5761] = {.lex_state = 191},
  [5762] = {.lex_state = 183},
  [5763] = {.lex_state = 171},
  [5764] = {.lex_state = 237},
  [5765] = {.lex_state = 191},
  [5766] = {.lex_state = 183},
  [5767] = {.lex_state = 236},
  [5768] = {.lex_state = 237},
  [5769] = {.lex_state = 191},
  [5770] = {.lex_state = 171},
  [5771] = {.lex_state = 171},
  [5772] = {.lex_state = 191},
  [5773] = {.lex_state = 171},
  [5774] = {.lex_state = 192},
  [5775] = {.lex_state = 183},
  [5776] = {.lex_state = 191},
  [5777] = {.lex_state = 236},
  [5778] = {.lex_state = 183},
  [5779] = {.lex_state = 183},
  [5780] = {.lex_state = 183},
  [5781] = {.lex_state = 192},
  [5782] = {.lex_state = 192},
  [5783] = {.lex_state = 183},
  [5784] = {.lex_state = 236},
  [5785] = {.lex_state = 171},
  [5786] = {.lex_state = 192},
  [5787] = {.lex_state = 183},
  [5788] = {.lex_state = 192},
  [5789] = {.lex_state = 236},
  [5790] = {.lex_state = 237},
  [5791] = {.lex_state = 183},
  [5792] = {.lex_state = 237},
  [5793] = {.lex_state = 191},
  [5794] = {.lex_state = 237},
  [5795] = {.lex_state = 211},
  [5796] = {.lex_state = 237},
  [5797] = {.lex_state = 237},
  [5798] = {.lex_state = 191},
  [5799] = {.lex_state = 191},
  [5800] = {.lex_state = 229},
  [5801] = {.lex_state = 237},
  [5802] = {.lex_state = 233},
  [5803] = {.lex_state = 237},
  [5804] = {.lex_state = 237},
  [5805] = {.lex_state = 237},
  [5806] = {.lex_state = 191},
  [5807] = {.lex_state = 191},
  [5808] = {.lex_state = 233},
  [5809] = {.lex_state = 237},
  [5810] = {.lex_state = 191},
  [5811] = {.lex_state = 191},
  [5812] = {.lex_state = 191},
  [5813] = {.lex_state = 237},
  [5814] = {.lex_state = 238},
  [5815] = {.lex_state = 191},
  [5816] = {.lex_state = 237},
  [5817] = {.lex_state = 238},
  [5818] = {.lex_state = 237},
  [5819] = {.lex_state = 191},
  [5820] = {.lex_state = 191},
  [5821] = {.lex_state = 237},
  [5822] = {.lex_state = 237},
  [5823] = {.lex_state = 237},
  [5824] = {.lex_state = 237},
  [5825] = {.lex_state = 195},
  [5826] = {.lex_state = 238},
  [5827] = {.lex_state = 237},
  [5828] = {.lex_state = 238},
  [5829] = {.lex_state = 191},
  [5830] = {.lex_state = 237},
  [5831] = {.lex_state = 237},
  [5832] = {.lex_state = 200},
  [5833] = {.lex_state = 237},
  [5834] = {.lex_state = 238},
  [5835] = {.lex_state = 237},
  [5836] = {.lex_state = 237},
  [5837] = {.lex_state = 237},
  [5838] = {.lex_state = 229},
  [5839] = {.lex_state = 238},
  [5840] = {.lex_state = 238},
  [5841] = {.lex_state = 237},
  [5842] = {.lex_state = 237},
  [5843] = {.lex_state = 195},
  [5844] = {.lex_state = 237},
  [5845] = {.lex_state = 237},
  [5846] = {.lex_state = 229},
  [5847] = {.lex_state = 237},
  [5848] = {.lex_state = 238},
  [5849] = {.lex_state = 237},
  [5850] = {.lex_state = 191},
  [5851] = {.lex_state = 191},
  [5852] = {.lex_state = 237},
  [5853] = {.lex_state = 238},
  [5854] = {.lex_state = 233},
  [5855] = {.lex_state = 191},
  [5856] = {.lex_state = 237},
  [5857] = {.lex_state = 237},
  [5858] = {.lex_state = 237},
  [5859] = {.lex_state = 237},
  [5860] = {.lex_state = 211},
  [5861] = {.lex_state = 237},
  [5862] = {.lex_state = 211},
  [5863] = {.lex_state = 211},
  [5864] = {.lex_state = 191},
  [5865] = {.lex_state = 237},
  [5866] = {.lex_state = 211},
  [5867] = {.lex_state = 237},
  [5868] = {.lex_state = 233},
  [5869] = {.lex_state = 237},
  [5870] = {.lex_state = 191},
  [5871] = {.lex_state = 237},
  [5872] = {.lex_state = 233},
  [5873] = {.lex_state = 237},
  [5874] = {.lex_state = 237},
  [5875] = {.lex_state = 191},
  [5876] = {.lex_state = 237},
  [5877] = {.lex_state = 237},
  [5878] = {.lex_state = 237},
  [5879] = {.lex_state = 191},
  [5880] = {.lex_state = 233},
  [5881] = {.lex_state = 191},
  [5882] = {.lex_state = 237},
  [5883] = {.lex_state = 237},
  [5884] = {.lex_state = 237},
  [5885] = {.lex_state = 233},
  [5886] = {.lex_state = 191},
  [5887] = {.lex_state = 238},
  [5888] = {.lex_state = 191},
  [5889] = {.lex_state = 191},
  [5890] = {.lex_state = 238},
  [5891] = {.lex_state = 237},
  [5892] = {.lex_state = 238},
  [5893] = {.lex_state = 237},
  [5894] = {.lex_state = 238},
  [5895] = {.lex_state = 191},
  [5896] = {.lex_state = 238},
  [5897] = {.lex_state = 195},
  [5898] = {.lex_state = 238},
  [5899] = {.lex_state = 238},
  [5900] = {.lex_state = 191},
  [5901] = {.lex_state = 211},
  [5902] = {.lex_state = 195},
  [5903] = {.lex_state = 237},
  [5904] = {.lex_state = 191},
  [5905] = {.lex_state = 211},
  [5906] = {.lex_state = 191},
  [5907] = {.lex_state = 195},
  [5908] = {.lex_state = 237},
  [5909] = {.lex_state = 238},
  [5910] = {.lex_state = 211},
  [5911] = {.lex_state = 233},
  [5912] = {.lex_state = 238},
  [5913] = {.lex_state = 195},
  [5914] = {.lex_state = 237},
  [5915] = {.lex_state = 191},
  [5916] = {.lex_state = 191},
  [5917] = {.lex_state = 237},
  [5918] = {.lex_state = 195},
  [5919] = {.lex_state = 238},
  [5920] = {.lex_state = 195},
  [5921] = {.lex_state = 238},
  [5922] = {.lex_state = 195},
  [5923] = {.lex_state = 195},
  [5924] = {.lex_state = 238},
  [5925] = {.lex_state = 229},
  [5926] = {.lex_state = 195},
  [5927] = {.lex_state = 191},
  [5928] = {.lex_state = 237},
  [5929] = {.lex_state = 191},
  [5930] = {.lex_state = 191},
  [5931] = {.lex_state = 195},
  [5932] = {.lex_state = 237},
  [5933] = {.lex_state = 191},
  [5934] = {.lex_state = 191},
  [5935] = {.lex_state = 191},
  [5936] = {.lex_state = 191},
  [5937] = {.lex_state = 191},
  [5938] = {.lex_state = 189},
  [5939] = {.lex_state = 189},
  [5940] = {.lex_state = 189},
  [5941] = {.lex_state = 191},
  [5942] = {.lex_state = 171},
  [5943] = {.lex_state = 189},
  [5944] = {.lex_state = 189},
  [5945] = {.lex_state = 193},
  [5946] = {.lex_state = 189},
  [5947] = {.lex_state = 237},
  [5948] = {.lex_state = 191},
  [5949] = {.lex_state = 237},
  [5950] = {.lex_state = 237},
  [5951] = {.lex_state = 237},
  [5952] = {.lex_state = 189},
  [5953] = {.lex_state = 189},
  [5954] = {.lex_state = 237},
  [5955] = {.lex_state = 191},
  [5956] = {.lex_state = 189},
  [5957] = {.lex_state = 193},
  [5958] = {.lex_state = 189},
  [5959] = {.lex_state = 237},
  [5960] = {.lex_state = 171},
  [5961] = {.lex_state = 191},
  [5962] = {.lex_state = 189},
  [5963] = {.lex_state = 237},
  [5964] = {.lex_state = 237},
  [5965] = {.lex_state = 237},
  [5966] = {.lex_state = 237},
  [5967] = {.lex_state = 189},
  [5968] = {.lex_state = 171},
  [5969] = {.lex_state = 237},
  [5970] = {.lex_state = 237},
  [5971] = {.lex_state = 189},
  [5972] = {.lex_state = 189},
  [5973] = {.lex_state = 189},
  [5974] = {.lex_state = 191},
  [5975] = {.lex_state = 189},
  [5976] = {.lex_state = 236},
  [5977] = {.lex_state = 237},
  [5978] = {.lex_state = 236},
  [5979] = {.lex_state = 193},
  [5980] = {.lex_state = 193},
  [5981] = {.lex_state = 193},
  [5982] = {.lex_state = 236},
  [5983] = {.lex_state = 236},
  [5984] = {.lex_state = 237},
  [5985] = {.lex_state = 236},
  [5986] = {.lex_state = 237},
  [5987] = {.lex_state = 236},
  [5988] = {.lex_state = 189},
  [5989] = {.lex_state = 189},
  [5990] = {.lex_state = 236},
  [5991] = {.lex_state = 236},
  [5992] = {.lex_state = 237},
  [5993] = {.lex_state = 189},
  [5994] = {.lex_state = 193},
  [5995] = {.lex_state = 191},
  [5996] = {.lex_state = 237},
  [5997] = {.lex_state = 237},
  [5998] = {.lex_state = 193},
  [5999] = {.lex_state = 193},
  [6000] = {.lex_state = 189},
  [6001] = {.lex_state = 211},
  [6002] = {.lex_state = 191},
  [6003] = {.lex_state = 191},
  [6004] = {.lex_state = 191},
  [6005] = {.lex_state = 211},
  [6006] = {.lex_state = 211},
  [6007] = {.lex_state = 191},
  [6008] = {.lex_state = 211},
  [6009] = {.lex_state = 191},
  [6010] = {.lex_state = 195},
  [6011] = {.lex_state = 237},
  [6012] = {.lex_state = 191},
  [6013] = {.lex_state = 237},
  [6014] = {.lex_state = 191},
  [6015] = {.lex_state = 191},
  [6016] = {.lex_state = 237},
  [6017] = {.lex_state = 191},
  [6018] = {.lex_state = 191},
  [6019] = {.lex_state = 191},
  [6020] = {.lex_state = 195},
  [6021] = {.lex_state = 195},
  [6022] = {.lex_state = 191},
  [6023] = {.lex_state = 191},
  [6024] = {.lex_state = 191},
  [6025] = {.lex_state = 191},
  [6026] = {.lex_state = 195},
  [6027] = {.lex_state = 191},
  [6028] = {.lex_state = 211},
  [6029] = {.lex_state = 332},
  [6030] = {.lex_state = 195},
  [6031] = {.lex_state = 332},
  [6032] = {.lex_state = 191},
  [6033] = {.lex_state = 191},
  [6034] = {.lex_state = 191},
  [6035] = {.lex_state = 195},
  [6036] = {.lex_state = 191},
  [6037] = {.lex_state = 191},
  [6038] = {.lex_state = 211},
  [6039] = {.lex_state = 199},
  [6040] = {.lex_state = 191},
  [6041] = {.lex_state = 191},
  [6042] = {.lex_state = 191},
  [6043] = {.lex_state = 211},
  [6044] = {.lex_state = 191},
  [6045] = {.lex_state = 195},
  [6046] = {.lex_state = 211},
  [6047] = {.lex_state = 332},
  [6048] = {.lex_state = 0},
  [6049] = {.lex_state = 332},
  [6050] = {.lex_state = 211},
  [6051] = {.lex_state = 211},
  [6052] = {.lex_state = 191},
  [6053] = {.lex_state = 211},
  [6054] = {.lex_state = 191},
  [6055] = {.lex_state = 195},
  [6056] = {.lex_state = 191},
  [6057] = {.lex_state = 191},
  [6058] = {.lex_state = 211},
  [6059] = {.lex_state = 332},
  [6060] = {.lex_state = 191},
  [6061] = {.lex_state = 191},
  [6062] = {.lex_state = 191},
  [6063] = {.lex_state = 191},
  [6064] = {.lex_state = 191},
  [6065] = {.lex_state = 191},
  [6066] = {.lex_state = 191},
  [6067] = {.lex_state = 237},
  [6068] = {.lex_state = 191},
  [6069] = {.lex_state = 191},
  [6070] = {.lex_state = 193},
  [6071] = {.lex_state = 191},
  [6072] = {.lex_state = 233},
  [6073] = {.lex_state = 193},
  [6074] = {.lex_state = 233},
  [6075] = {.lex_state = 191},
  [6076] = {.lex_state = 193},
  [6077] = {.lex_state = 191},
  [6078] = {.lex_state = 193},
  [6079] = {.lex_state = 193},
  [6080] = {.lex_state = 191},
  [6081] = {.lex_state = 193},
  [6082] = {.lex_state = 191},
  [6083] = {.lex_state = 191},
  [6084] = {.lex_state = 191},
  [6085] = {.lex_state = 191},
  [6086] = {.lex_state = 237},
  [6087] = {.lex_state = 193},
  [6088] = {.lex_state = 191},
  [6089] = {.lex_state = 237},
  [6090] = {.lex_state = 191},
  [6091] = {.lex_state = 191},
  [6092] = {.lex_state = 191},
  [6093] = {.lex_state = 233},
  [6094] = {.lex_state = 191},
  [6095] = {.lex_state = 233},
  [6096] = {.lex_state = 191},
  [6097] = {.lex_state = 191},
  [6098] = {.lex_state = 191},
  [6099] = {.lex_state = 191},
  [6100] = {.lex_state = 191},
  [6101] = {.lex_state = 191},
  [6102] = {.lex_state = 191},
  [6103] = {.lex_state = 191},
  [6104] = {.lex_state = 191},
  [6105] = {.lex_state = 191},
  [6106] = {.lex_state = 191},
  [6107] = {.lex_state = 191},
  [6108] = {.lex_state = 191},
  [6109] = {.lex_state = 193},
  [6110] = {.lex_state = 191},
  [6111] = {.lex_state = 192},
  [6112] = {.lex_state = 193},
  [6113] = {.lex_state = 191},
  [6114] = {.lex_state = 193},
  [6115] = {.lex_state = 191},
  [6116] = {.lex_state = 193},
  [6117] = {.lex_state = 237},
  [6118] = {.lex_state = 192},
  [6119] = {.lex_state = 191},
  [6120] = {.lex_state = 191},
  [6121] = {.lex_state = 191},
  [6122] = {.lex_state = 192},
  [6123] = {.lex_state = 191},
  [6124] = {.lex_state = 191},
  [6125] = {.lex_state = 191},
  [6126] = {.lex_state = 191},
  [6127] = {.lex_state = 191},
  [6128] = {.lex_state = 191},
  [6129] = {.lex_state = 193},
  [6130] = {.lex_state = 191},
  [6131] = {.lex_state = 191},
  [6132] = {.lex_state = 191},
  [6133] = {.lex_state = 191},
  [6134] = {.lex_state = 192},
  [6135] = {.lex_state = 191},
  [6136] = {.lex_state = 189},
  [6137] = {.lex_state = 192},
  [6138] = {.lex_state = 192},
  [6139] = {.lex_state = 237},
  [6140] = {.lex_state = 237},
  [6141] = {.lex_state = 237},
  [6142] = {.lex_state = 192},
  [6143] = {.lex_state = 192},
  [6144] = {.lex_state = 237},
  [6145] = {.lex_state = 191},
  [6146] = {.lex_state = 191},
  [6147] = {.lex_state = 191},
  [6148] = {.lex_state = 237},
  [6149] = {.lex_state = 237},
  [6150] = {.lex_state = 211},
  [6151] = {.lex_state = 220},
  [6152] = {.lex_state = 220},
  [6153] = {.lex_state = 220},
  [6154] = {.lex_state = 191},
  [6155] = {.lex_state = 176},
  [6156] = {.lex_state = 191},
  [6157] = {.lex_state = 191},
  [6158] = {.lex_state = 191},
  [6159] = {.lex_state = 220},
  [6160] = {.lex_state = 237},
  [6161] = {.lex_state = 211},
  [6162] = {.lex_state = 332},
  [6163] = {.lex_state = 211},
  [6164] = {.lex_state = 191},
  [6165] = {.lex_state = 237},
  [6166] = {.lex_state = 237},
  [6167] = {.lex_state = 176},
  [6168] = {.lex_state = 220},
  [6169] = {.lex_state = 220},
  [6170] = {.lex_state = 191},
  [6171] = {.lex_state = 220},
  [6172] = {.lex_state = 220},
  [6173] = {.lex_state = 237},
  [6174] = {.lex_state = 332},
  [6175] = {.lex_state = 211},
  [6176] = {.lex_state = 220},
  [6177] = {.lex_state = 220},
  [6178] = {.lex_state = 211},
  [6179] = {.lex_state = 211},
  [6180] = {.lex_state = 211},
  [6181] = {.lex_state = 237},
  [6182] = {.lex_state = 211},
  [6183] = {.lex_state = 332},
  [6184] = {.lex_state = 220},
  [6185] = {.lex_state = 237},
  [6186] = {.lex_state = 237},
  [6187] = {.lex_state = 220},
  [6188] = {.lex_state = 220},
  [6189] = {.lex_state = 193},
  [6190] = {.lex_state = 191},
  [6191] = {.lex_state = 191},
  [6192] = {.lex_state = 191},
  [6193] = {.lex_state = 171},
  [6194] = {.lex_state = 332},
  [6195] = {.lex_state = 191},
  [6196] = {.lex_state = 191},
  [6197] = {.lex_state = 191},
  [6198] = {.lex_state = 332},
  [6199] = {.lex_state = 191},
  [6200] = {.lex_state = 191},
  [6201] = {.lex_state = 191},
  [6202] = {.lex_state = 191},
  [6203] = {.lex_state = 191},
  [6204] = {.lex_state = 191},
  [6205] = {.lex_state = 230},
  [6206] = {.lex_state = 191},
  [6207] = {.lex_state = 191},
  [6208] = {.lex_state = 191},
  [6209] = {.lex_state = 193},
  [6210] = {.lex_state = 191},
  [6211] = {.lex_state = 191},
  [6212] = {.lex_state = 191},
  [6213] = {.lex_state = 191},
  [6214] = {.lex_state = 193},
  [6215] = {.lex_state = 191},
  [6216] = {.lex_state = 191},
  [6217] = {.lex_state = 193},
  [6218] = {.lex_state = 230},
  [6219] = {.lex_state = 191},
  [6220] = {.lex_state = 191},
  [6221] = {.lex_state = 193},
  [6222] = {.lex_state = 193},
  [6223] = {.lex_state = 191},
  [6224] = {.lex_state = 191},
  [6225] = {.lex_state = 191},
  [6226] = {.lex_state = 230},
  [6227] = {.lex_state = 191},
  [6228] = {.lex_state = 199},
  [6229] = {.lex_state = 191},
  [6230] = {.lex_state = 191},
  [6231] = {.lex_state = 191},
  [6232] = {.lex_state = 193},
  [6233] = {.lex_state = 193},
  [6234] = {.lex_state = 191},
  [6235] = {.lex_state = 191},
  [6236] = {.lex_state = 191},
  [6237] = {.lex_state = 191},
  [6238] = {.lex_state = 191},
  [6239] = {.lex_state = 191},
  [6240] = {.lex_state = 191},
  [6241] = {.lex_state = 230},
  [6242] = {.lex_state = 199},
  [6243] = {.lex_state = 171},
  [6244] = {.lex_state = 332},
  [6245] = {.lex_state = 332},
  [6246] = {.lex_state = 193},
  [6247] = {.lex_state = 332},
  [6248] = {.lex_state = 332},
  [6249] = {.lex_state = 233},
  [6250] = {.lex_state = 332},
  [6251] = {.lex_state = 193},
  [6252] = {.lex_state = 191},
  [6253] = {.lex_state = 195},
  [6254] = {.lex_state = 332},
  [6255] = {.lex_state = 332},
  [6256] = {.lex_state = 332},
  [6257] = {.lex_state = 332},
  [6258] = {.lex_state = 220},
  [6259] = {.lex_state = 332},
  [6260] = {.lex_state = 171},
  [6261] = {.lex_state = 233},
  [6262] = {.lex_state = 332},
  [6263] = {.lex_state = 195},
  [6264] = {.lex_state = 195},
  [6265] = {.lex_state = 332},
  [6266] = {.lex_state = 195},
  [6267] = {.lex_state = 195},
  [6268] = {.lex_state = 239},
  [6269] = {.lex_state = 332},
  [6270] = {.lex_state = 191},
  [6271] = {.lex_state = 332},
  [6272] = {.lex_state = 332},
  [6273] = {.lex_state = 332},
  [6274] = {.lex_state = 332},
  [6275] = {.lex_state = 195},
  [6276] = {.lex_state = 332},
  [6277] = {.lex_state = 236},
  [6278] = {.lex_state = 195},
  [6279] = {.lex_state = 332},
  [6280] = {.lex_state = 195},
  [6281] = {.lex_state = 332},
  [6282] = {.lex_state = 332},
  [6283] = {.lex_state = 193},
  [6284] = {.lex_state = 193},
  [6285] = {.lex_state = 236},
  [6286] = {.lex_state = 332},
  [6287] = {.lex_state = 193},
  [6288] = {.lex_state = 193},
  [6289] = {.lex_state = 220},
  [6290] = {.lex_state = 332},
  [6291] = {.lex_state = 332},
  [6292] = {.lex_state = 171},
  [6293] = {.lex_state = 191},
  [6294] = {.lex_state = 332},
  [6295] = {.lex_state = 191},
  [6296] = {.lex_state = 191},
  [6297] = {.lex_state = 171},
  [6298] = {.lex_state = 171},
  [6299] = {.lex_state = 171},
  [6300] = {.lex_state = 193},
  [6301] = {.lex_state = 171},
  [6302] = {.lex_state = 191},
  [6303] = {.lex_state = 171},
  [6304] = {.lex_state = 191},
  [6305] = {.lex_state = 236},
  [6306] = {.lex_state = 332},
  [6307] = {.lex_state = 171},
  [6308] = {.lex_state = 171},
  [6309] = {.lex_state = 193},
  [6310] = {.lex_state = 191},
  [6311] = {.lex_state = 171},
  [6312] = {.lex_state = 193},
  [6313] = {.lex_state = 171},
  [6314] = {.lex_state = 191},
  [6315] = {.lex_state = 332},
  [6316] = {.lex_state = 193},
  [6317] = {.lex_state = 332},
  [6318] = {.lex_state = 171},
  [6319] = {.lex_state = 332},
  [6320] = {.lex_state = 171},
  [6321] = {.lex_state = 171},
  [6322] = {.lex_state = 191},
  [6323] = {.lex_state = 171},
  [6324] = {.lex_state = 193},
  [6325] = {.lex_state = 199},
  [6326] = {.lex_state = 332},
  [6327] = {.lex_state = 171},
  [6328] = {.lex_state = 171},
  [6329] = {.lex_state = 199},
  [6330] = {.lex_state = 171},
  [6331] = {.lex_state = 191},
  [6332] = {.lex_state = 171},
  [6333] = {.lex_state = 171},
  [6334] = {.lex_state = 171},
  [6335] = {.lex_state = 199},
  [6336] = {.lex_state = 332},
  [6337] = {.lex_state = 332},
  [6338] = {.lex_state = 171},
  [6339] = {.lex_state = 332},
  [6340] = {.lex_state = 171},
  [6341] = {.lex_state = 332},
  [6342] = {.lex_state = 171},
  [6343] = {.lex_state = 189},
  [6344] = {.lex_state = 233},
  [6345] = {.lex_state = 189},
  [6346] = {.lex_state = 233},
  [6347] = {.lex_state = 233},
  [6348] = {.lex_state = 191},
  [6349] = {.lex_state = 233},
  [6350] = {.lex_state = 189},
  [6351] = {.lex_state = 171},
  [6352] = {.lex_state = 233},
  [6353] = {.lex_state = 191},
  [6354] = {.lex_state = 189},
  [6355] = {.lex_state = 191},
  [6356] = {.lex_state = 189},
  [6357] = {.lex_state = 233},
  [6358] = {.lex_state = 191},
  [6359] = {.lex_state = 189},
  [6360] = {.lex_state = 189},
  [6361] = {.lex_state = 233},
  [6362] = {.lex_state = 193},
  [6363] = {.lex_state = 332},
  [6364] = {.lex_state = 233},
  [6365] = {.lex_state = 0},
  [6366] = {.lex_state = 191},
  [6367] = {.lex_state = 189},
  [6368] = {.lex_state = 191},
  [6369] = {.lex_state = 0},
  [6370] = {.lex_state = 189},
  [6371] = {.lex_state = 332},
  [6372] = {.lex_state = 171},
  [6373] = {.lex_state = 332},
  [6374] = {.lex_state = 332},
  [6375] = {.lex_state = 233},
  [6376] = {.lex_state = 191},
  [6377] = {.lex_state = 233},
  [6378] = {.lex_state = 191},
  [6379] = {.lex_state = 233},
  [6380] = {.lex_state = 189},
  [6381] = {.lex_state = 191},
  [6382] = {.lex_state = 191},
  [6383] = {.lex_state = 233},
  [6384] = {.lex_state = 191},
  [6385] = {.lex_state = 332},
  [6386] = {.lex_state = 191},
  [6387] = {.lex_state = 233},
  [6388] = {.lex_state = 189},
  [6389] = {.lex_state = 191},
  [6390] = {.lex_state = 191},
  [6391] = {.lex_state = 191},
  [6392] = {.lex_state = 191},
  [6393] = {.lex_state = 233},
  [6394] = {.lex_state = 191},
  [6395] = {.lex_state = 191},
  [6396] = {.lex_state = 171},
  [6397] = {.lex_state = 171},
  [6398] = {.lex_state = 191},
  [6399] = {.lex_state = 191},
  [6400] = {.lex_state = 191},
  [6401] = {.lex_state = 191},
  [6402] = {.lex_state = 200},
  [6403] = {.lex_state = 200},
  [6404] = {.lex_state = 191},
  [6405] = {.lex_state = 191},
  [6406] = {.lex_state = 200},
  [6407] = {.lex_state = 191},
  [6408] = {.lex_state = 200},
  [6409] = {.lex_state = 191},
  [6410] = {.lex_state = 191},
  [6411] = {.lex_state = 200},
  [6412] = {.lex_state = 191},
  [6413] = {.lex_state = 191},
  [6414] = {.lex_state = 191},
  [6415] = {.lex_state = 191},
  [6416] = {.lex_state = 200},
  [6417] = {.lex_state = 191},
  [6418] = {.lex_state = 191},
  [6419] = {.lex_state = 191},
  [6420] = {.lex_state = 200},
  [6421] = {.lex_state = 191},
  [6422] = {.lex_state = 191},
  [6423] = {.lex_state = 191},
  [6424] = {.lex_state = 191},
  [6425] = {.lex_state = 191},
  [6426] = {.lex_state = 191},
  [6427] = {.lex_state = 191},
  [6428] = {.lex_state = 191},
  [6429] = {.lex_state = 191},
  [6430] = {.lex_state = 191},
  [6431] = {.lex_state = 191},
  [6432] = {.lex_state = 191},
  [6433] = {.lex_state = 191},
  [6434] = {.lex_state = 171},
  [6435] = {.lex_state = 191},
  [6436] = {.lex_state = 191},
  [6437] = {.lex_state = 171},
  [6438] = {.lex_state = 191},
  [6439] = {.lex_state = 200},
  [6440] = {.lex_state = 332},
  [6441] = {.lex_state = 171},
  [6442] = {.lex_state = 191},
  [6443] = {.lex_state = 211},
  [6444] = {.lex_state = 191},
  [6445] = {.lex_state = 191},
  [6446] = {.lex_state = 171},
  [6447] = {.lex_state = 332},
  [6448] = {.lex_state = 332},
  [6449] = {.lex_state = 191},
  [6450] = {.lex_state = 211},
  [6451] = {.lex_state = 191},
  [6452] = {.lex_state = 233},
  [6453] = {.lex_state = 332},
  [6454] = {.lex_state = 191},
  [6455] = {.lex_state = 332},
  [6456] = {.lex_state = 106},
  [6457] = {.lex_state = 200},
  [6458] = {.lex_state = 332},
  [6459] = {.lex_state = 332},
  [6460] = {.lex_state = 332},
  [6461] = {.lex_state = 106},
  [6462] = {.lex_state = 332},
  [6463] = {.lex_state = 106},
  [6464] = {.lex_state = 200},
  [6465] = {.lex_state = 332},
  [6466] = {.lex_state = 0},
  [6467] = {.lex_state = 332},
  [6468] = {.lex_state = 332},
  [6469] = {.lex_state = 171},
  [6470] = {.lex_state = 108},
  [6471] = {.lex_state = 332},
  [6472] = {.lex_state = 106},
  [6473] = {.lex_state = 233},
  [6474] = {.lex_state = 191},
  [6475] = {.lex_state = 191},
  [6476] = {.lex_state = 191},
  [6477] = {.lex_state = 332},
  [6478] = {.lex_state = 332},
  [6479] = {.lex_state = 0},
  [6480] = {.lex_state = 106},
  [6481] = {.lex_state = 106},
  [6482] = {.lex_state = 0},
  [6483] = {.lex_state = 109},
  [6484] = {.lex_state = 106},
  [6485] = {.lex_state = 108},
  [6486] = {.lex_state = 171},
  [6487] = {.lex_state = 332},
  [6488] = {.lex_state = 106},
  [6489] = {.lex_state = 171},
  [6490] = {.lex_state = 106},
  [6491] = {.lex_state = 200},
  [6492] = {.lex_state = 200},
  [6493] = {.lex_state = 200},
  [6494] = {.lex_state = 109},
  [6495] = {.lex_state = 191},
  [6496] = {.lex_state = 211},
  [6497] = {.lex_state = 200},
  [6498] = {.lex_state = 0},
  [6499] = {.lex_state = 171},
  [6500] = {.lex_state = 332},
  [6501] = {.lex_state = 106},
  [6502] = {.lex_state = 191},
  [6503] = {.lex_state = 0},
  [6504] = {.lex_state = 106},
  [6505] = {.lex_state = 106},
  [6506] = {.lex_state = 332},
  [6507] = {.lex_state = 106},
  [6508] = {.lex_state = 108},
  [6509] = {.lex_state = 332},
  [6510] = {.lex_state = 171},
  [6511] = {.lex_state = 191},
  [6512] = {.lex_state = 106},
  [6513] = {.lex_state = 106},
  [6514] = {.lex_state = 200},
  [6515] = {.lex_state = 332},
  [6516] = {.lex_state = 191},
  [6517] = {.lex_state = 191},
  [6518] = {.lex_state = 191},
  [6519] = {.lex_state = 106},
  [6520] = {.lex_state = 191},
  [6521] = {.lex_state = 171},
  [6522] = {.lex_state = 200},
  [6523] = {.lex_state = 171},
  [6524] = {.lex_state = 109},
  [6525] = {.lex_state = 0},
  [6526] = {.lex_state = 233},
  [6527] = {.lex_state = 200},
  [6528] = {.lex_state = 109},
  [6529] = {.lex_state = 0},
  [6530] = {.lex_state = 332},
  [6531] = {.lex_state = 106},
  [6532] = {.lex_state = 109},
  [6533] = {.lex_state = 106},
  [6534] = {.lex_state = 191},
  [6535] = {.lex_state = 332},
  [6536] = {.lex_state = 171},
  [6537] = {.lex_state = 233},
  [6538] = {.lex_state = 332},
  [6539] = {.lex_state = 0},
  [6540] = {.lex_state = 108},
  [6541] = {.lex_state = 108},
  [6542] = {.lex_state = 106},
  [6543] = {.lex_state = 171},
  [6544] = {.lex_state = 191},
  [6545] = {.lex_state = 106},
  [6546] = {.lex_state = 106},
  [6547] = {.lex_state = 0},
  [6548] = {.lex_state = 106},
  [6549] = {.lex_state = 191},
  [6550] = {.lex_state = 191},
  [6551] = {.lex_state = 109},
  [6552] = {.lex_state = 108},
  [6553] = {.lex_state = 200},
  [6554] = {.lex_state = 200},
  [6555] = {.lex_state = 200},
  [6556] = {.lex_state = 191},
  [6557] = {.lex_state = 109},
  [6558] = {.lex_state = 171},
  [6559] = {.lex_state = 171},
  [6560] = {.lex_state = 233},
  [6561] = {.lex_state = 106},
  [6562] = {.lex_state = 200},
  [6563] = {.lex_state = 191},
  [6564] = {.lex_state = 332},
  [6565] = {.lex_state = 200},
  [6566] = {.lex_state = 106},
  [6567] = {.lex_state = 106},
  [6568] = {.lex_state = 332},
  [6569] = {.lex_state = 200},
  [6570] = {.lex_state = 200},
  [6571] = {.lex_state = 171},
  [6572] = {.lex_state = 108},
  [6573] = {.lex_state = 106},
  [6574] = {.lex_state = 200},
  [6575] = {.lex_state = 200},
  [6576] = {.lex_state = 200},
  [6577] = {.lex_state = 200},
  [6578] = {.lex_state = 233},
  [6579] = {.lex_state = 191},
  [6580] = {.lex_state = 0},
  [6581] = {.lex_state = 171},
  [6582] = {.lex_state = 332},
  [6583] = {.lex_state = 332},
  [6584] = {.lex_state = 191},
  [6585] = {.lex_state = 332},
  [6586] = {.lex_state = 171},
  [6587] = {.lex_state = 200},
  [6588] = {.lex_state = 171},
  [6589] = {.lex_state = 332},
  [6590] = {.lex_state = 332},
  [6591] = {.lex_state = 191},
  [6592] = {.lex_state = 191},
  [6593] = {.lex_state = 191},
  [6594] = {.lex_state = 332},
  [6595] = {.lex_state = 191},
  [6596] = {.lex_state = 191},
  [6597] = {.lex_state = 171},
  [6598] = {.lex_state = 0},
  [6599] = {.lex_state = 191},
  [6600] = {.lex_state = 191},
  [6601] = {.lex_state = 191},
  [6602] = {.lex_state = 332},
  [6603] = {.lex_state = 171},
  [6604] = {.lex_state = 0},
  [6605] = {.lex_state = 332},
  [6606] = {.lex_state = 332},
  [6607] = {.lex_state = 200},
  [6608] = {.lex_state = 191},
  [6609] = {.lex_state = 200},
  [6610] = {.lex_state = 0},
  [6611] = {.lex_state = 171},
  [6612] = {.lex_state = 200},
  [6613] = {.lex_state = 233},
  [6614] = {.lex_state = 332},
  [6615] = {.lex_state = 0},
  [6616] = {.lex_state = 200},
  [6617] = {.lex_state = 191},
  [6618] = {.lex_state = 0},
  [6619] = {.lex_state = 0},
  [6620] = {.lex_state = 332},
  [6621] = {.lex_state = 171},
  [6622] = {.lex_state = 332},
  [6623] = {.lex_state = 332},
  [6624] = {.lex_state = 332},
  [6625] = {.lex_state = 106},
  [6626] = {.lex_state = 108},
  [6627] = {.lex_state = 200},
  [6628] = {.lex_state = 191},
  [6629] = {.lex_state = 332},
  [6630] = {.lex_state = 106},
  [6631] = {.lex_state = 200},
  [6632] = {.lex_state = 332},
  [6633] = {.lex_state = 106},
  [6634] = {.lex_state = 200},
  [6635] = {.lex_state = 200},
  [6636] = {.lex_state = 200},
  [6637] = {.lex_state = 171},
  [6638] = {.lex_state = 200},
  [6639] = {.lex_state = 332},
  [6640] = {.lex_state = 106},
  [6641] = {.lex_state = 191},
  [6642] = {.lex_state = 191},
  [6643] = {.lex_state = 171},
  [6644] = {.lex_state = 191},
  [6645] = {.lex_state = 200},
  [6646] = {.lex_state = 0},
  [6647] = {.lex_state = 332},
  [6648] = {.lex_state = 106},
  [6649] = {.lex_state = 108},
  [6650] = {.lex_state = 0},
  [6651] = {.lex_state = 200},
  [6652] = {.lex_state = 200},
  [6653] = {.lex_state = 200},
  [6654] = {.lex_state = 200},
  [6655] = {.lex_state = 191},
  [6656] = {.lex_state = 191},
  [6657] = {.lex_state = 332},
  [6658] = {.lex_state = 191},
  [6659] = {.lex_state = 200},
  [6660] = {.lex_state = 191},
  [6661] = {.lex_state = 0},
  [6662] = {.lex_state = 106},
  [6663] = {.lex_state = 171},
  [6664] = {.lex_state = 191},
  [6665] = {.lex_state = 191},
  [6666] = {.lex_state = 191},
  [6667] = {.lex_state = 171},
  [6668] = {.lex_state = 191},
  [6669] = {.lex_state = 191},
  [6670] = {.lex_state = 108},
  [6671] = {.lex_state = 171},
  [6672] = {.lex_state = 191},
  [6673] = {.lex_state = 106},
  [6674] = {.lex_state = 332},
  [6675] = {.lex_state = 171},
  [6676] = {.lex_state = 191},
  [6677] = {.lex_state = 171},
  [6678] = {.lex_state = 233},
  [6679] = {.lex_state = 332},
  [6680] = {.lex_state = 191},
  [6681] = {.lex_state = 191},
  [6682] = {.lex_state = 191},
  [6683] = {.lex_state = 332},
  [6684] = {.lex_state = 108},
  [6685] = {.lex_state = 171},
  [6686] = {.lex_state = 332},
  [6687] = {.lex_state = 171},
  [6688] = {.lex_state = 0},
  [6689] = {.lex_state = 233},
  [6690] = {.lex_state = 171},
  [6691] = {.lex_state = 191},
  [6692] = {.lex_state = 233},
  [6693] = {.lex_state = 106},
  [6694] = {.lex_state = 332},
  [6695] = {.lex_state = 106},
  [6696] = {.lex_state = 108},
  [6697] = {.lex_state = 106},
  [6698] = {.lex_state = 171},
  [6699] = {.lex_state = 332},
  [6700] = {.lex_state = 200},
  [6701] = {.lex_state = 106},
  [6702] = {.lex_state = 191},
  [6703] = {.lex_state = 106},
  [6704] = {.lex_state = 191},
  [6705] = {.lex_state = 106},
  [6706] = {.lex_state = 200},
  [6707] = {.lex_state = 108},
  [6708] = {.lex_state = 191},
  [6709] = {.lex_state = 0},
  [6710] = {.lex_state = 191},
  [6711] = {.lex_state = 332},
  [6712] = {.lex_state = 233},
  [6713] = {.lex_state = 200},
  [6714] = {.lex_state = 171},
  [6715] = {.lex_state = 191},
  [6716] = {.lex_state = 332},
  [6717] = {.lex_state = 191},
  [6718] = {.lex_state = 200},
  [6719] = {.lex_state = 200},
  [6720] = {.lex_state = 200},
  [6721] = {.lex_state = 0},
  [6722] = {.lex_state = 108},
  [6723] = {.lex_state = 0},
  [6724] = {.lex_state = 200},
  [6725] = {.lex_state = 200},
  [6726] = {.lex_state = 0},
  [6727] = {.lex_state = 200},
  [6728] = {.lex_state = 0},
  [6729] = {.lex_state = 0},
  [6730] = {.lex_state = 111},
  [6731] = {.lex_state = 0},
  [6732] = {.lex_state = 200},
  [6733] = {.lex_state = 332},
  [6734] = {.lex_state = 0},
  [6735] = {.lex_state = 191},
  [6736] = {.lex_state = 191},
  [6737] = {.lex_state = 191},
  [6738] = {.lex_state = 0},
  [6739] = {.lex_state = 111},
  [6740] = {.lex_state = 191},
  [6741] = {.lex_state = 332},
  [6742] = {.lex_state = 0},
  [6743] = {.lex_state = 332},
  [6744] = {.lex_state = 200},
  [6745] = {.lex_state = 200},
  [6746] = {.lex_state = 200},
  [6747] = {.lex_state = 332},
  [6748] = {.lex_state = 191},
  [6749] = {.lex_state = 0},
  [6750] = {.lex_state = 171},
  [6751] = {.lex_state = 0},
  [6752] = {.lex_state = 0},
  [6753] = {.lex_state = 0},
  [6754] = {.lex_state = 0},
  [6755] = {.lex_state = 200},
  [6756] = {.lex_state = 0},
  [6757] = {.lex_state = 200},
  [6758] = {.lex_state = 191},
  [6759] = {.lex_state = 0},
  [6760] = {.lex_state = 200},
  [6761] = {.lex_state = 191},
  [6762] = {.lex_state = 191},
  [6763] = {.lex_state = 332},
  [6764] = {.lex_state = 0},
  [6765] = {.lex_state = 0},
  [6766] = {.lex_state = 0},
  [6767] = {.lex_state = 0},
  [6768] = {.lex_state = 0},
  [6769] = {.lex_state = 191},
  [6770] = {.lex_state = 0},
  [6771] = {.lex_state = 0},
  [6772] = {.lex_state = 200},
  [6773] = {.lex_state = 0},
  [6774] = {.lex_state = 0},
  [6775] = {.lex_state = 0},
  [6776] = {.lex_state = 191},
  [6777] = {.lex_state = 0},
  [6778] = {.lex_state = 0},
  [6779] = {.lex_state = 0},
  [6780] = {.lex_state = 0},
  [6781] = {.lex_state = 0},
  [6782] = {.lex_state = 0},
  [6783] = {.lex_state = 0},
  [6784] = {.lex_state = 0},
  [6785] = {.lex_state = 200},
  [6786] = {.lex_state = 200},
  [6787] = {.lex_state = 191},
  [6788] = {.lex_state = 0},
  [6789] = {.lex_state = 191},
  [6790] = {.lex_state = 160},
  [6791] = {.lex_state = 0},
  [6792] = {.lex_state = 0},
  [6793] = {.lex_state = 200},
  [6794] = {.lex_state = 0},
  [6795] = {.lex_state = 0},
  [6796] = {.lex_state = 200},
  [6797] = {.lex_state = 200},
  [6798] = {.lex_state = 0},
  [6799] = {.lex_state = 200},
  [6800] = {.lex_state = 200},
  [6801] = {.lex_state = 191},
  [6802] = {.lex_state = 0},
  [6803] = {.lex_state = 0},
  [6804] = {.lex_state = 0},
  [6805] = {.lex_state = 0},
  [6806] = {.lex_state = 0},
  [6807] = {.lex_state = 0},
  [6808] = {.lex_state = 0},
  [6809] = {.lex_state = 0},
  [6810] = {.lex_state = 0},
  [6811] = {.lex_state = 191},
  [6812] = {.lex_state = 0},
  [6813] = {.lex_state = 171},
  [6814] = {.lex_state = 0},
  [6815] = {.lex_state = 200},
  [6816] = {.lex_state = 200},
  [6817] = {.lex_state = 191},
  [6818] = {.lex_state = 0},
  [6819] = {.lex_state = 191},
  [6820] = {.lex_state = 200},
  [6821] = {.lex_state = 0},
  [6822] = {.lex_state = 200},
  [6823] = {.lex_state = 0},
  [6824] = {.lex_state = 200},
  [6825] = {.lex_state = 0},
  [6826] = {.lex_state = 0},
  [6827] = {.lex_state = 200},
  [6828] = {.lex_state = 0},
  [6829] = {.lex_state = 191},
  [6830] = {.lex_state = 0},
  [6831] = {.lex_state = 108},
  [6832] = {.lex_state = 108},
  [6833] = {.lex_state = 0},
  [6834] = {.lex_state = 108},
  [6835] = {.lex_state = 108},
  [6836] = {.lex_state = 191},
  [6837] = {.lex_state = 108},
  [6838] = {.lex_state = 0},
  [6839] = {.lex_state = 0},
  [6840] = {.lex_state = 0},
  [6841] = {.lex_state = 0},
  [6842] = {.lex_state = 0},
  [6843] = {.lex_state = 0},
  [6844] = {.lex_state = 191},
  [6845] = {.lex_state = 0},
  [6846] = {.lex_state = 191},
  [6847] = {.lex_state = 108},
  [6848] = {.lex_state = 0},
  [6849] = {.lex_state = 0},
  [6850] = {.lex_state = 0},
  [6851] = {.lex_state = 0},
  [6852] = {.lex_state = 111},
  [6853] = {.lex_state = 332},
  [6854] = {.lex_state = 0},
  [6855] = {.lex_state = 191},
  [6856] = {.lex_state = 0},
  [6857] = {.lex_state = 0},
  [6858] = {.lex_state = 332},
  [6859] = {.lex_state = 108},
  [6860] = {.lex_state = 0},
  [6861] = {.lex_state = 191},
  [6862] = {.lex_state = 0},
  [6863] = {.lex_state = 200},
  [6864] = {.lex_state = 0},
  [6865] = {.lex_state = 200},
  [6866] = {.lex_state = 191},
  [6867] = {.lex_state = 0},
  [6868] = {.lex_state = 0},
  [6869] = {.lex_state = 191},
  [6870] = {.lex_state = 0},
  [6871] = {.lex_state = 191},
  [6872] = {.lex_state = 191},
  [6873] = {.lex_state = 0},
  [6874] = {.lex_state = 332},
  [6875] = {.lex_state = 0},
  [6876] = {.lex_state = 108},
  [6877] = {.lex_state = 332},
  [6878] = {.lex_state = 0},
  [6879] = {.lex_state = 0},
  [6880] = {.lex_state = 200},
  [6881] = {.lex_state = 0},
  [6882] = {.lex_state = 0},
  [6883] = {.lex_state = 332},
  [6884] = {.lex_state = 0},
  [6885] = {.lex_state = 0},
  [6886] = {.lex_state = 0},
  [6887] = {.lex_state = 0},
  [6888] = {.lex_state = 0},
  [6889] = {.lex_state = 0},
  [6890] = {.lex_state = 191},
  [6891] = {.lex_state = 191},
  [6892] = {.lex_state = 191},
  [6893] = {.lex_state = 0},
  [6894] = {.lex_state = 0},
  [6895] = {.lex_state = 0},
  [6896] = {.lex_state = 0},
  [6897] = {.lex_state = 0},
  [6898] = {.lex_state = 0},
  [6899] = {.lex_state = 0},
  [6900] = {.lex_state = 108},
  [6901] = {.lex_state = 191},
  [6902] = {.lex_state = 0},
  [6903] = {.lex_state = 332},
  [6904] = {.lex_state = 0},
  [6905] = {.lex_state = 200},
  [6906] = {.lex_state = 200},
  [6907] = {.lex_state = 0},
  [6908] = {.lex_state = 0},
  [6909] = {.lex_state = 0},
  [6910] = {.lex_state = 0},
  [6911] = {.lex_state = 0},
  [6912] = {.lex_state = 0},
  [6913] = {.lex_state = 191},
  [6914] = {.lex_state = 0},
  [6915] = {.lex_state = 0},
  [6916] = {.lex_state = 200},
  [6917] = {.lex_state = 0},
  [6918] = {.lex_state = 0},
  [6919] = {.lex_state = 0},
  [6920] = {.lex_state = 200},
  [6921] = {.lex_state = 200},
  [6922] = {.lex_state = 200},
  [6923] = {.lex_state = 191},
  [6924] = {.lex_state = 200},
  [6925] = {.lex_state = 0},
  [6926] = {.lex_state = 0},
  [6927] = {.lex_state = 200},
  [6928] = {.lex_state = 0},
  [6929] = {.lex_state = 0},
  [6930] = {.lex_state = 108},
  [6931] = {.lex_state = 191},
  [6932] = {.lex_state = 0},
  [6933] = {.lex_state = 200},
  [6934] = {.lex_state = 200},
  [6935] = {.lex_state = 0},
  [6936] = {.lex_state = 200},
  [6937] = {.lex_state = 191},
  [6938] = {.lex_state = 332},
  [6939] = {.lex_state = 0},
  [6940] = {.lex_state = 200},
  [6941] = {.lex_state = 111},
  [6942] = {.lex_state = 0},
  [6943] = {.lex_state = 0},
  [6944] = {.lex_state = 0},
  [6945] = {.lex_state = 0},
  [6946] = {.lex_state = 0},
  [6947] = {.lex_state = 0},
  [6948] = {.lex_state = 191},
  [6949] = {.lex_state = 0},
  [6950] = {.lex_state = 191},
  [6951] = {.lex_state = 0},
  [6952] = {.lex_state = 0},
  [6953] = {.lex_state = 332},
  [6954] = {.lex_state = 0},
  [6955] = {.lex_state = 0},
  [6956] = {.lex_state = 0},
  [6957] = {.lex_state = 0},
  [6958] = {.lex_state = 0},
  [6959] = {.lex_state = 200},
  [6960] = {.lex_state = 200},
  [6961] = {.lex_state = 191},
  [6962] = {.lex_state = 0},
  [6963] = {.lex_state = 191},
  [6964] = {.lex_state = 0},
  [6965] = {.lex_state = 0},
  [6966] = {.lex_state = 0},
  [6967] = {.lex_state = 0},
  [6968] = {.lex_state = 0},
  [6969] = {.lex_state = 0},
  [6970] = {.lex_state = 0},
  [6971] = {.lex_state = 332},
  [6972] = {.lex_state = 0},
  [6973] = {.lex_state = 0},
  [6974] = {.lex_state = 0},
  [6975] = {.lex_state = 200},
  [6976] = {.lex_state = 0},
  [6977] = {.lex_state = 0},
  [6978] = {.lex_state = 0},
  [6979] = {.lex_state = 200},
  [6980] = {.lex_state = 0},
  [6981] = {.lex_state = 191},
  [6982] = {.lex_state = 0},
  [6983] = {.lex_state = 191},
  [6984] = {.lex_state = 0},
  [6985] = {.lex_state = 191},
  [6986] = {.lex_state = 191},
  [6987] = {.lex_state = 0},
  [6988] = {.lex_state = 0},
  [6989] = {.lex_state = 0},
  [6990] = {.lex_state = 0},
  [6991] = {.lex_state = 0},
  [6992] = {.lex_state = 0},
  [6993] = {.lex_state = 0},
  [6994] = {.lex_state = 0},
  [6995] = {.lex_state = 0},
  [6996] = {.lex_state = 0},
  [6997] = {.lex_state = 0},
  [6998] = {.lex_state = 0},
  [6999] = {.lex_state = 200},
  [7000] = {.lex_state = 200},
  [7001] = {.lex_state = 200},
  [7002] = {.lex_state = 0},
  [7003] = {.lex_state = 0},
  [7004] = {.lex_state = 0},
  [7005] = {.lex_state = 191},
  [7006] = {.lex_state = 0},
  [7007] = {.lex_state = 0},
  [7008] = {.lex_state = 191},
  [7009] = {.lex_state = 0},
  [7010] = {.lex_state = 0},
  [7011] = {.lex_state = 0},
  [7012] = {.lex_state = 0},
  [7013] = {.lex_state = 0},
  [7014] = {.lex_state = 200},
  [7015] = {.lex_state = 200},
  [7016] = {.lex_state = 200},
  [7017] = {.lex_state = 0},
  [7018] = {.lex_state = 332},
  [7019] = {.lex_state = 200},
  [7020] = {.lex_state = 200},
  [7021] = {.lex_state = 332},
  [7022] = {.lex_state = 0},
  [7023] = {.lex_state = 0},
  [7024] = {.lex_state = 0},
  [7025] = {.lex_state = 0},
  [7026] = {.lex_state = 191},
  [7027] = {.lex_state = 0},
  [7028] = {.lex_state = 191},
  [7029] = {.lex_state = 0},
  [7030] = {.lex_state = 0},
  [7031] = {.lex_state = 0},
  [7032] = {.lex_state = 0},
  [7033] = {.lex_state = 0},
  [7034] = {.lex_state = 211},
  [7035] = {.lex_state = 191},
  [7036] = {.lex_state = 0},
  [7037] = {.lex_state = 0},
  [7038] = {.lex_state = 0},
  [7039] = {.lex_state = 0},
  [7040] = {.lex_state = 0},
  [7041] = {.lex_state = 0},
  [7042] = {.lex_state = 0},
  [7043] = {.lex_state = 200},
  [7044] = {.lex_state = 191},
  [7045] = {.lex_state = 200},
  [7046] = {.lex_state = 191},
  [7047] = {.lex_state = 0},
  [7048] = {.lex_state = 332},
  [7049] = {.lex_state = 0},
  [7050] = {.lex_state = 0},
  [7051] = {.lex_state = 0},
  [7052] = {.lex_state = 0},
  [7053] = {.lex_state = 0},
  [7054] = {.lex_state = 0},
  [7055] = {.lex_state = 0},
  [7056] = {.lex_state = 171},
  [7057] = {.lex_state = 0},
  [7058] = {.lex_state = 332},
  [7059] = {.lex_state = 191},
  [7060] = {.lex_state = 0},
  [7061] = {.lex_state = 0},
  [7062] = {.lex_state = 0},
  [7063] = {.lex_state = 0},
  [7064] = {.lex_state = 191},
  [7065] = {.lex_state = 332},
  [7066] = {.lex_state = 191},
  [7067] = {.lex_state = 0},
  [7068] = {.lex_state = 0},
  [7069] = {.lex_state = 0},
  [7070] = {.lex_state = 0},
  [7071] = {.lex_state = 0},
  [7072] = {.lex_state = 0},
  [7073] = {.lex_state = 191},
  [7074] = {.lex_state = 200},
  [7075] = {.lex_state = 0},
  [7076] = {.lex_state = 0},
  [7077] = {.lex_state = 0},
  [7078] = {.lex_state = 191},
  [7079] = {.lex_state = 0},
  [7080] = {.lex_state = 0},
  [7081] = {.lex_state = 0},
  [7082] = {.lex_state = 191},
  [7083] = {.lex_state = 0},
  [7084] = {.lex_state = 191},
  [7085] = {.lex_state = 191},
  [7086] = {.lex_state = 0},
  [7087] = {.lex_state = 0},
  [7088] = {.lex_state = 191},
  [7089] = {.lex_state = 0},
  [7090] = {.lex_state = 200},
  [7091] = {.lex_state = 0},
  [7092] = {.lex_state = 0},
  [7093] = {.lex_state = 0},
  [7094] = {.lex_state = 200},
  [7095] = {.lex_state = 200},
  [7096] = {.lex_state = 0},
  [7097] = {.lex_state = 200},
  [7098] = {.lex_state = 191},
  [7099] = {.lex_state = 0},
  [7100] = {.lex_state = 200},
  [7101] = {.lex_state = 0},
  [7102] = {.lex_state = 0},
  [7103] = {.lex_state = 108},
  [7104] = {.lex_state = 191},
  [7105] = {.lex_state = 200},
  [7106] = {.lex_state = 200},
  [7107] = {.lex_state = 0},
  [7108] = {.lex_state = 0},
  [7109] = {.lex_state = 191},
  [7110] = {.lex_state = 0},
  [7111] = {.lex_state = 332},
  [7112] = {.lex_state = 332},
  [7113] = {.lex_state = 191},
  [7114] = {.lex_state = 110},
  [7115] = {.lex_state = 191},
  [7116] = {.lex_state = 191},
  [7117] = {.lex_state = 191},
  [7118] = {.lex_state = 191},
  [7119] = {.lex_state = 191},
  [7120] = {.lex_state = 191},
  [7121] = {.lex_state = 332, .external_lex_state = 2},
  [7122] = {.lex_state = 332, .external_lex_state = 2},
  [7123] = {.lex_state = 332, .external_lex_state = 2},
  [7124] = {.lex_state = 332},
  [7125] = {.lex_state = 332, .external_lex_state = 2},
  [7126] = {.lex_state = 332, .external_lex_state = 2},
  [7127] = {.lex_state = 332, .external_lex_state = 2},
  [7128] = {.lex_state = 0},
  [7129] = {.lex_state = 332, .external_lex_state = 2},
  [7130] = {.lex_state = 0},
  [7131] = {.lex_state = 332, .external_lex_state = 2},
  [7132] = {.lex_state = 0},
  [7133] = {.lex_state = 332, .external_lex_state = 2},
  [7134] = {.lex_state = 332, .external_lex_state = 2},
  [7135] = {.lex_state = 332},
  [7136] = {.lex_state = 0},
  [7137] = {.lex_state = 0},
  [7138] = {.lex_state = 191},
  [7139] = {.lex_state = 332, .external_lex_state = 2},
  [7140] = {.lex_state = 191},
  [7141] = {.lex_state = 332, .external_lex_state = 2},
  [7142] = {.lex_state = 191},
  [7143] = {.lex_state = 332},
  [7144] = {.lex_state = 332, .external_lex_state = 2},
  [7145] = {.lex_state = 191},
  [7146] = {.lex_state = 191},
  [7147] = {.lex_state = 332, .external_lex_state = 2},
  [7148] = {.lex_state = 332},
  [7149] = {.lex_state = 332},
  [7150] = {.lex_state = 332, .external_lex_state = 2},
  [7151] = {.lex_state = 0},
  [7152] = {.lex_state = 0},
  [7153] = {.lex_state = 332, .external_lex_state = 2},
  [7154] = {.lex_state = 191},
  [7155] = {.lex_state = 0},
  [7156] = {.lex_state = 110},
  [7157] = {.lex_state = 0},
  [7158] = {.lex_state = 0},
  [7159] = {.lex_state = 0},
  [7160] = {.lex_state = 110},
  [7161] = {.lex_state = 0},
  [7162] = {.lex_state = 0},
  [7163] = {.lex_state = 191},
  [7164] = {.lex_state = 0},
  [7165] = {.lex_state = 0},
  [7166] = {.lex_state = 332},
  [7167] = {.lex_state = 191},
  [7168] = {.lex_state = 0},
  [7169] = {.lex_state = 0},
  [7170] = {.lex_state = 0},
  [7171] = {.lex_state = 0},
  [7172] = {.lex_state = 0},
  [7173] = {.lex_state = 0},
  [7174] = {.lex_state = 0},
  [7175] = {.lex_state = 0},
  [7176] = {.lex_state = 0},
  [7177] = {.lex_state = 191},
  [7178] = {.lex_state = 0},
  [7179] = {.lex_state = 191},
  [7180] = {.lex_state = 191},
  [7181] = {.lex_state = 332, .external_lex_state = 2},
  [7182] = {.lex_state = 332},
  [7183] = {.lex_state = 0},
  [7184] = {.lex_state = 332},
  [7185] = {.lex_state = 332},
  [7186] = {.lex_state = 0},
  [7187] = {.lex_state = 0},
  [7188] = {.lex_state = 332},
  [7189] = {.lex_state = 110},
  [7190] = {.lex_state = 0},
  [7191] = {.lex_state = 332},
  [7192] = {.lex_state = 191},
  [7193] = {.lex_state = 332},
  [7194] = {.lex_state = 0},
  [7195] = {.lex_state = 0},
  [7196] = {.lex_state = 0},
  [7197] = {.lex_state = 0},
  [7198] = {.lex_state = 0},
  [7199] = {.lex_state = 0},
  [7200] = {.lex_state = 0},
  [7201] = {.lex_state = 0},
  [7202] = {.lex_state = 0},
  [7203] = {.lex_state = 0},
  [7204] = {.lex_state = 0},
  [7205] = {.lex_state = 110},
  [7206] = {.lex_state = 0},
  [7207] = {.lex_state = 0},
  [7208] = {.lex_state = 332},
  [7209] = {.lex_state = 0},
  [7210] = {.lex_state = 0},
  [7211] = {.lex_state = 0},
  [7212] = {.lex_state = 0},
  [7213] = {.lex_state = 0},
  [7214] = {.lex_state = 0},
  [7215] = {.lex_state = 0},
  [7216] = {.lex_state = 0},
  [7217] = {.lex_state = 0},
  [7218] = {.lex_state = 0},
  [7219] = {.lex_state = 0},
  [7220] = {.lex_state = 332},
  [7221] = {.lex_state = 0},
  [7222] = {.lex_state = 0},
  [7223] = {.lex_state = 0},
  [7224] = {.lex_state = 0},
  [7225] = {.lex_state = 0},
  [7226] = {.lex_state = 332},
  [7227] = {.lex_state = 332},
  [7228] = {.lex_state = 0},
  [7229] = {.lex_state = 332},
  [7230] = {.lex_state = 191},
  [7231] = {.lex_state = 0},
  [7232] = {.lex_state = 0},
  [7233] = {.lex_state = 0},
  [7234] = {.lex_state = 0},
  [7235] = {.lex_state = 332},
  [7236] = {.lex_state = 0},
  [7237] = {.lex_state = 332},
  [7238] = {.lex_state = 0},
  [7239] = {.lex_state = 0},
  [7240] = {.lex_state = 0},
  [7241] = {.lex_state = 0},
  [7242] = {.lex_state = 191},
  [7243] = {.lex_state = 0},
  [7244] = {.lex_state = 110},
  [7245] = {.lex_state = 0},
  [7246] = {.lex_state = 0},
  [7247] = {.lex_state = 0},
  [7248] = {.lex_state = 0},
  [7249] = {.lex_state = 0},
  [7250] = {.lex_state = 0},
  [7251] = {.lex_state = 110},
  [7252] = {.lex_state = 0},
  [7253] = {.lex_state = 0},
  [7254] = {.lex_state = 0},
  [7255] = {.lex_state = 0},
  [7256] = {.lex_state = 0},
  [7257] = {.lex_state = 110},
  [7258] = {.lex_state = 332},
  [7259] = {.lex_state = 0},
  [7260] = {.lex_state = 110},
  [7261] = {.lex_state = 332},
  [7262] = {.lex_state = 0},
  [7263] = {.lex_state = 332},
  [7264] = {.lex_state = 0},
  [7265] = {.lex_state = 0},
  [7266] = {.lex_state = 0},
  [7267] = {.lex_state = 0},
  [7268] = {.lex_state = 0},
  [7269] = {.lex_state = 0},
  [7270] = {.lex_state = 0},
  [7271] = {.lex_state = 0},
  [7272] = {.lex_state = 0},
  [7273] = {.lex_state = 0},
  [7274] = {.lex_state = 332},
  [7275] = {.lex_state = 332},
  [7276] = {.lex_state = 332},
  [7277] = {.lex_state = 0},
  [7278] = {.lex_state = 0},
  [7279] = {.lex_state = 0},
  [7280] = {.lex_state = 332},
  [7281] = {.lex_state = 110},
  [7282] = {.lex_state = 332},
  [7283] = {.lex_state = 0},
  [7284] = {.lex_state = 0},
  [7285] = {.lex_state = 0},
  [7286] = {.lex_state = 332},
  [7287] = {.lex_state = 0},
  [7288] = {.lex_state = 191},
  [7289] = {.lex_state = 110},
  [7290] = {.lex_state = 0},
  [7291] = {.lex_state = 0},
  [7292] = {.lex_state = 0},
  [7293] = {.lex_state = 332},
  [7294] = {.lex_state = 0},
  [7295] = {.lex_state = 0},
  [7296] = {.lex_state = 0},
  [7297] = {.lex_state = 0},
  [7298] = {.lex_state = 0},
  [7299] = {.lex_state = 0},
  [7300] = {.lex_state = 332},
  [7301] = {.lex_state = 0},
  [7302] = {.lex_state = 0},
  [7303] = {.lex_state = 332},
  [7304] = {.lex_state = 0},
  [7305] = {.lex_state = 0},
  [7306] = {.lex_state = 0},
  [7307] = {.lex_state = 0},
  [7308] = {.lex_state = 191},
  [7309] = {.lex_state = 0},
  [7310] = {.lex_state = 0},
  [7311] = {.lex_state = 0},
  [7312] = {.lex_state = 0},
  [7313] = {.lex_state = 0},
  [7314] = {.lex_state = 332},
  [7315] = {.lex_state = 0},
  [7316] = {.lex_state = 332},
  [7317] = {.lex_state = 191},
  [7318] = {.lex_state = 332},
  [7319] = {.lex_state = 332},
  [7320] = {.lex_state = 0},
  [7321] = {.lex_state = 332},
  [7322] = {.lex_state = 0},
  [7323] = {.lex_state = 332},
  [7324] = {.lex_state = 332},
  [7325] = {.lex_state = 0},
  [7326] = {.lex_state = 0},
  [7327] = {.lex_state = 0},
  [7328] = {.lex_state = 332},
  [7329] = {.lex_state = 0},
  [7330] = {.lex_state = 110},
  [7331] = {.lex_state = 191},
  [7332] = {.lex_state = 0},
  [7333] = {.lex_state = 110},
  [7334] = {.lex_state = 0},
  [7335] = {.lex_state = 0},
  [7336] = {.lex_state = 0},
  [7337] = {.lex_state = 0},
  [7338] = {.lex_state = 332},
  [7339] = {.lex_state = 0},
  [7340] = {.lex_state = 0},
  [7341] = {.lex_state = 0},
  [7342] = {.lex_state = 0},
  [7343] = {.lex_state = 0},
  [7344] = {.lex_state = 332},
  [7345] = {.lex_state = 0},
  [7346] = {.lex_state = 332},
  [7347] = {.lex_state = 0},
  [7348] = {.lex_state = 0},
  [7349] = {.lex_state = 0},
  [7350] = {.lex_state = 0},
  [7351] = {.lex_state = 332},
  [7352] = {.lex_state = 0},
  [7353] = {.lex_state = 0},
  [7354] = {.lex_state = 0},
  [7355] = {.lex_state = 110},
  [7356] = {.lex_state = 0},
  [7357] = {.lex_state = 0},
  [7358] = {.lex_state = 110},
  [7359] = {.lex_state = 0},
  [7360] = {.lex_state = 332},
  [7361] = {.lex_state = 0},
  [7362] = {.lex_state = 332},
  [7363] = {.lex_state = 0},
  [7364] = {.lex_state = 191},
  [7365] = {.lex_state = 332},
  [7366] = {.lex_state = 191},
  [7367] = {.lex_state = 0},
  [7368] = {.lex_state = 0},
  [7369] = {.lex_state = 332},
  [7370] = {.lex_state = 0},
  [7371] = {.lex_state = 332},
  [7372] = {.lex_state = 332},
  [7373] = {.lex_state = 191},
  [7374] = {.lex_state = 0},
  [7375] = {.lex_state = 0},
  [7376] = {.lex_state = 0},
  [7377] = {.lex_state = 0},
  [7378] = {.lex_state = 0},
  [7379] = {.lex_state = 0},
  [7380] = {.lex_state = 332},
  [7381] = {.lex_state = 332},
  [7382] = {.lex_state = 0},
  [7383] = {.lex_state = 191},
  [7384] = {.lex_state = 332},
  [7385] = {.lex_state = 0},
  [7386] = {.lex_state = 191},
  [7387] = {.lex_state = 332},
  [7388] = {.lex_state = 332},
  [7389] = {.lex_state = 332},
  [7390] = {.lex_state = 332},
  [7391] = {.lex_state = 0},
  [7392] = {.lex_state = 0},
  [7393] = {.lex_state = 332},
  [7394] = {.lex_state = 0},
  [7395] = {.lex_state = 332},
  [7396] = {.lex_state = 0},
  [7397] = {.lex_state = 191},
  [7398] = {.lex_state = 0},
  [7399] = {.lex_state = 332},
  [7400] = {.lex_state = 191},
  [7401] = {.lex_state = 0},
  [7402] = {.lex_state = 0},
  [7403] = {.lex_state = 0},
  [7404] = {.lex_state = 0},
  [7405] = {.lex_state = 332},
  [7406] = {.lex_state = 0},
  [7407] = {.lex_state = 110},
  [7408] = {.lex_state = 332},
  [7409] = {.lex_state = 332},
  [7410] = {.lex_state = 0},
  [7411] = {.lex_state = 191},
  [7412] = {.lex_state = 110},
  [7413] = {.lex_state = 191},
  [7414] = {.lex_state = 0},
  [7415] = {.lex_state = 0},
  [7416] = {.lex_state = 0},
  [7417] = {.lex_state = 332},
  [7418] = {.lex_state = 332},
  [7419] = {.lex_state = 332},
  [7420] = {.lex_state = 191},
  [7421] = {.lex_state = 0},
  [7422] = {.lex_state = 191},
  [7423] = {.lex_state = 332},
  [7424] = {.lex_state = 0},
  [7425] = {.lex_state = 332},
  [7426] = {.lex_state = 0},
  [7427] = {.lex_state = 0},
  [7428] = {.lex_state = 0},
  [7429] = {.lex_state = 0},
  [7430] = {.lex_state = 191},
  [7431] = {.lex_state = 0},
  [7432] = {.lex_state = 0},
  [7433] = {.lex_state = 0},
  [7434] = {.lex_state = 332},
  [7435] = {.lex_state = 0},
  [7436] = {.lex_state = 191},
  [7437] = {.lex_state = 332},
  [7438] = {.lex_state = 332},
  [7439] = {.lex_state = 0},
  [7440] = {.lex_state = 332},
  [7441] = {.lex_state = 0},
  [7442] = {.lex_state = 332},
  [7443] = {.lex_state = 0},
  [7444] = {.lex_state = 0},
  [7445] = {.lex_state = 332},
  [7446] = {.lex_state = 0, .external_lex_state = 2},
  [7447] = {.lex_state = 0},
  [7448] = {.lex_state = 191},
  [7449] = {.lex_state = 169},
  [7450] = {.lex_state = 191},
  [7451] = {.lex_state = 169},
  [7452] = {.lex_state = 191},
  [7453] = {.lex_state = 0},
  [7454] = {.lex_state = 0},
  [7455] = {.lex_state = 0},
  [7456] = {.lex_state = 0},
  [7457] = {.lex_state = 167},
  [7458] = {.lex_state = 0},
  [7459] = {.lex_state = 0},
  [7460] = {.lex_state = 0},
  [7461] = {.lex_state = 0},
  [7462] = {.lex_state = 0},
  [7463] = {.lex_state = 169},
  [7464] = {.lex_state = 0},
  [7465] = {.lex_state = 0},
  [7466] = {.lex_state = 332},
  [7467] = {.lex_state = 0},
  [7468] = {.lex_state = 0},
  [7469] = {.lex_state = 0},
  [7470] = {.lex_state = 0},
  [7471] = {.lex_state = 191},
  [7472] = {.lex_state = 0},
  [7473] = {.lex_state = 0},
  [7474] = {.lex_state = 0},
  [7475] = {.lex_state = 0},
  [7476] = {.lex_state = 0},
  [7477] = {.lex_state = 191},
  [7478] = {.lex_state = 191},
  [7479] = {.lex_state = 169},
  [7480] = {.lex_state = 200},
  [7481] = {.lex_state = 169},
  [7482] = {.lex_state = 169},
  [7483] = {.lex_state = 0},
  [7484] = {.lex_state = 0},
  [7485] = {.lex_state = 0},
  [7486] = {.lex_state = 200},
  [7487] = {.lex_state = 0},
  [7488] = {.lex_state = 0},
  [7489] = {.lex_state = 0},
  [7490] = {.lex_state = 0},
  [7491] = {.lex_state = 169},
  [7492] = {.lex_state = 169},
  [7493] = {.lex_state = 191},
  [7494] = {.lex_state = 191},
  [7495] = {.lex_state = 0},
  [7496] = {.lex_state = 0},
  [7497] = {.lex_state = 191},
  [7498] = {.lex_state = 200},
  [7499] = {.lex_state = 0},
  [7500] = {.lex_state = 0},
  [7501] = {.lex_state = 0, .external_lex_state = 2},
  [7502] = {.lex_state = 0},
  [7503] = {.lex_state = 0},
  [7504] = {.lex_state = 0},
  [7505] = {.lex_state = 111},
  [7506] = {.lex_state = 0},
  [7507] = {.lex_state = 191},
  [7508] = {.lex_state = 0},
  [7509] = {.lex_state = 0},
  [7510] = {.lex_state = 191},
  [7511] = {.lex_state = 0},
  [7512] = {.lex_state = 191},
  [7513] = {.lex_state = 191},
  [7514] = {.lex_state = 0},
  [7515] = {.lex_state = 0},
  [7516] = {.lex_state = 0},
  [7517] = {.lex_state = 0},
  [7518] = {.lex_state = 0},
  [7519] = {.lex_state = 0},
  [7520] = {.lex_state = 191},
  [7521] = {.lex_state = 0},
  [7522] = {.lex_state = 0},
  [7523] = {.lex_state = 0},
  [7524] = {.lex_state = 169},
  [7525] = {.lex_state = 191},
  [7526] = {.lex_state = 191},
  [7527] = {.lex_state = 191},
  [7528] = {.lex_state = 191},
  [7529] = {.lex_state = 191},
  [7530] = {.lex_state = 169},
  [7531] = {.lex_state = 200},
  [7532] = {.lex_state = 191},
  [7533] = {.lex_state = 0},
  [7534] = {.lex_state = 0},
  [7535] = {.lex_state = 191},
  [7536] = {.lex_state = 191},
  [7537] = {.lex_state = 191},
  [7538] = {.lex_state = 191},
  [7539] = {.lex_state = 0},
  [7540] = {.lex_state = 0},
  [7541] = {.lex_state = 111},
  [7542] = {.lex_state = 0},
  [7543] = {.lex_state = 332},
  [7544] = {.lex_state = 169},
  [7545] = {.lex_state = 0},
  [7546] = {.lex_state = 0},
  [7547] = {.lex_state = 0},
  [7548] = {.lex_state = 111},
  [7549] = {.lex_state = 169},
  [7550] = {.lex_state = 0},
  [7551] = {.lex_state = 0},
  [7552] = {.lex_state = 111},
  [7553] = {.lex_state = 0},
  [7554] = {.lex_state = 0},
  [7555] = {.lex_state = 191},
  [7556] = {.lex_state = 0},
  [7557] = {.lex_state = 200},
  [7558] = {.lex_state = 0},
  [7559] = {.lex_state = 191},
  [7560] = {.lex_state = 0},
  [7561] = {.lex_state = 0},
  [7562] = {.lex_state = 0},
  [7563] = {.lex_state = 0},
  [7564] = {.lex_state = 332},
  [7565] = {.lex_state = 0},
  [7566] = {.lex_state = 0},
  [7567] = {.lex_state = 0},
  [7568] = {.lex_state = 167},
  [7569] = {.lex_state = 0},
  [7570] = {.lex_state = 0},
  [7571] = {.lex_state = 0},
  [7572] = {.lex_state = 0},
  [7573] = {.lex_state = 0},
  [7574] = {.lex_state = 191},
  [7575] = {.lex_state = 111},
  [7576] = {.lex_state = 0},
  [7577] = {.lex_state = 0},
  [7578] = {.lex_state = 0},
  [7579] = {.lex_state = 0},
  [7580] = {.lex_state = 0},
  [7581] = {.lex_state = 0},
  [7582] = {.lex_state = 0},
  [7583] = {.lex_state = 0},
  [7584] = {.lex_state = 191},
  [7585] = {.lex_state = 0},
  [7586] = {.lex_state = 0},
  [7587] = {.lex_state = 0},
  [7588] = {.lex_state = 0},
  [7589] = {.lex_state = 0},
  [7590] = {.lex_state = 0},
  [7591] = {.lex_state = 0},
  [7592] = {.lex_state = 0},
  [7593] = {.lex_state = 191},
  [7594] = {.lex_state = 191},
  [7595] = {.lex_state = 0},
  [7596] = {.lex_state = 0},
  [7597] = {.lex_state = 0},
  [7598] = {.lex_state = 0},
  [7599] = {.lex_state = 0},
  [7600] = {.lex_state = 0},
  [7601] = {.lex_state = 0, .external_lex_state = 2},
  [7602] = {.lex_state = 0},
  [7603] = {.lex_state = 200},
  [7604] = {.lex_state = 0},
  [7605] = {.lex_state = 0},
  [7606] = {.lex_state = 0},
  [7607] = {.lex_state = 0},
  [7608] = {.lex_state = 0},
  [7609] = {.lex_state = 191},
  [7610] = {.lex_state = 0},
  [7611] = {.lex_state = 191},
  [7612] = {.lex_state = 200},
  [7613] = {.lex_state = 0},
  [7614] = {.lex_state = 191},
  [7615] = {.lex_state = 0},
  [7616] = {.lex_state = 0},
  [7617] = {.lex_state = 0},
  [7618] = {.lex_state = 0},
  [7619] = {.lex_state = 0},
  [7620] = {.lex_state = 332},
  [7621] = {.lex_state = 0},
  [7622] = {.lex_state = 0},
  [7623] = {.lex_state = 0},
  [7624] = {.lex_state = 0},
  [7625] = {.lex_state = 0},
  [7626] = {.lex_state = 169},
  [7627] = {.lex_state = 0},
  [7628] = {.lex_state = 111},
  [7629] = {.lex_state = 332},
  [7630] = {.lex_state = 0},
  [7631] = {.lex_state = 332},
  [7632] = {.lex_state = 0},
  [7633] = {.lex_state = 111},
  [7634] = {.lex_state = 332},
  [7635] = {.lex_state = 332},
  [7636] = {.lex_state = 0},
  [7637] = {.lex_state = 170},
  [7638] = {.lex_state = 169},
  [7639] = {.lex_state = 0},
  [7640] = {.lex_state = 0},
  [7641] = {.lex_state = 0},
  [7642] = {.lex_state = 191},
  [7643] = {.lex_state = 200},
  [7644] = {.lex_state = 0},
  [7645] = {.lex_state = 0},
  [7646] = {.lex_state = 0},
  [7647] = {.lex_state = 0},
  [7648] = {.lex_state = 0},
  [7649] = {.lex_state = 191},
  [7650] = {.lex_state = 167},
  [7651] = {.lex_state = 0},
  [7652] = {.lex_state = 191},
  [7653] = {.lex_state = 0},
  [7654] = {.lex_state = 332},
  [7655] = {.lex_state = 0},
  [7656] = {.lex_state = 0},
  [7657] = {.lex_state = 191},
  [7658] = {.lex_state = 0},
  [7659] = {.lex_state = 0},
  [7660] = {.lex_state = 0},
  [7661] = {.lex_state = 332},
  [7662] = {.lex_state = 0},
  [7663] = {.lex_state = 0},
  [7664] = {.lex_state = 0, .external_lex_state = 2},
  [7665] = {.lex_state = 111},
  [7666] = {.lex_state = 191},
  [7667] = {.lex_state = 111},
  [7668] = {.lex_state = 0},
  [7669] = {.lex_state = 0},
  [7670] = {.lex_state = 0},
  [7671] = {.lex_state = 0},
  [7672] = {.lex_state = 0},
  [7673] = {.lex_state = 332},
  [7674] = {.lex_state = 0},
  [7675] = {.lex_state = 0},
  [7676] = {.lex_state = 0},
  [7677] = {.lex_state = 200},
  [7678] = {.lex_state = 191},
  [7679] = {.lex_state = 0},
  [7680] = {.lex_state = 0},
  [7681] = {.lex_state = 191},
  [7682] = {.lex_state = 0},
  [7683] = {.lex_state = 0},
  [7684] = {.lex_state = 0},
  [7685] = {.lex_state = 0},
  [7686] = {.lex_state = 0},
  [7687] = {.lex_state = 332},
  [7688] = {.lex_state = 0},
  [7689] = {.lex_state = 0},
  [7690] = {.lex_state = 169},
  [7691] = {.lex_state = 0},
  [7692] = {.lex_state = 191},
  [7693] = {.lex_state = 191},
  [7694] = {.lex_state = 0},
  [7695] = {.lex_state = 0},
  [7696] = {.lex_state = 167},
  [7697] = {.lex_state = 0},
  [7698] = {.lex_state = 0},
  [7699] = {.lex_state = 0},
  [7700] = {.lex_state = 0},
  [7701] = {.lex_state = 111},
  [7702] = {.lex_state = 0},
  [7703] = {.lex_state = 0},
  [7704] = {.lex_state = 0},
  [7705] = {.lex_state = 0},
  [7706] = {.lex_state = 111},
  [7707] = {.lex_state = 191},
  [7708] = {.lex_state = 191},
  [7709] = {.lex_state = 200},
  [7710] = {.lex_state = 0},
  [7711] = {.lex_state = 0},
  [7712] = {.lex_state = 0},
  [7713] = {.lex_state = 111},
  [7714] = {.lex_state = 0},
  [7715] = {.lex_state = 0, .external_lex_state = 2},
  [7716] = {.lex_state = 0},
  [7717] = {.lex_state = 191},
  [7718] = {.lex_state = 169},
  [7719] = {.lex_state = 0},
  [7720] = {.lex_state = 169},
  [7721] = {.lex_state = 0},
  [7722] = {.lex_state = 0},
  [7723] = {.lex_state = 0},
  [7724] = {.lex_state = 0},
  [7725] = {.lex_state = 0},
  [7726] = {.lex_state = 200},
  [7727] = {.lex_state = 0},
  [7728] = {.lex_state = 0},
  [7729] = {.lex_state = 0},
  [7730] = {.lex_state = 167},
  [7731] = {.lex_state = 0},
  [7732] = {.lex_state = 332},
  [7733] = {.lex_state = 0},
  [7734] = {.lex_state = 0},
  [7735] = {.lex_state = 0},
  [7736] = {.lex_state = 0},
  [7737] = {.lex_state = 0},
  [7738] = {.lex_state = 0},
  [7739] = {.lex_state = 200},
  [7740] = {.lex_state = 111},
  [7741] = {.lex_state = 0},
  [7742] = {.lex_state = 169},
  [7743] = {.lex_state = 0},
  [7744] = {.lex_state = 0},
  [7745] = {.lex_state = 0},
  [7746] = {.lex_state = 191},
  [7747] = {.lex_state = 169},
  [7748] = {.lex_state = 191},
  [7749] = {.lex_state = 169},
  [7750] = {.lex_state = 169},
  [7751] = {.lex_state = 169},
  [7752] = {.lex_state = 0},
  [7753] = {.lex_state = 0},
  [7754] = {.lex_state = 0, .external_lex_state = 2},
  [7755] = {.lex_state = 0},
  [7756] = {.lex_state = 0},
  [7757] = {.lex_state = 0},
  [7758] = {.lex_state = 191},
  [7759] = {.lex_state = 0},
  [7760] = {.lex_state = 0},
  [7761] = {.lex_state = 332},
  [7762] = {.lex_state = 169},
  [7763] = {.lex_state = 0},
  [7764] = {.lex_state = 111},
  [7765] = {.lex_state = 0},
  [7766] = {.lex_state = 0},
  [7767] = {.lex_state = 111},
  [7768] = {.lex_state = 0, .external_lex_state = 2},
  [7769] = {.lex_state = 0},
  [7770] = {.lex_state = 0},
  [7771] = {.lex_state = 0},
  [7772] = {.lex_state = 0},
  [7773] = {.lex_state = 332},
  [7774] = {.lex_state = 191},
  [7775] = {.lex_state = 169},
  [7776] = {.lex_state = 0},
  [7777] = {.lex_state = 169},
  [7778] = {.lex_state = 0, .external_lex_state = 2},
  [7779] = {.lex_state = 0},
  [7780] = {.lex_state = 169},
  [7781] = {.lex_state = 169},
  [7782] = {.lex_state = 332},
  [7783] = {.lex_state = 0},
  [7784] = {.lex_state = 0, .external_lex_state = 2},
  [7785] = {.lex_state = 0},
  [7786] = {.lex_state = 0},
  [7787] = {.lex_state = 0, .external_lex_state = 2},
  [7788] = {.lex_state = 0},
  [7789] = {.lex_state = 0},
  [7790] = {.lex_state = 0, .external_lex_state = 2},
  [7791] = {.lex_state = 0},
  [7792] = {.lex_state = 0, .external_lex_state = 2},
  [7793] = {.lex_state = 0},
  [7794] = {.lex_state = 0, .external_lex_state = 2},
  [7795] = {.lex_state = 0},
  [7796] = {.lex_state = 0, .external_lex_state = 2},
  [7797] = {.lex_state = 0},
  [7798] = {.lex_state = 0, .external_lex_state = 2},
  [7799] = {.lex_state = 0},
  [7800] = {.lex_state = 0, .external_lex_state = 2},
  [7801] = {.lex_state = 0},
  [7802] = {.lex_state = 0},
  [7803] = {.lex_state = 0},
  [7804] = {.lex_state = 332},
  [7805] = {.lex_state = 0},
  [7806] = {.lex_state = 332},
  [7807] = {.lex_state = 332},
  [7808] = {.lex_state = 332},
  [7809] = {.lex_state = 332},
  [7810] = {.lex_state = 0},
  [7811] = {.lex_state = 332},
  [7812] = {.lex_state = 0},
  [7813] = {.lex_state = 332},
  [7814] = {.lex_state = 0},
  [7815] = {.lex_state = 111},
  [7816] = {.lex_state = 0},
  [7817] = {.lex_state = 0},
  [7818] = {.lex_state = 0},
  [7819] = {.lex_state = 0},
  [7820] = {.lex_state = 0},
  [7821] = {.lex_state = 0},
  [7822] = {.lex_state = 0},
  [7823] = {.lex_state = 0},
  [7824] = {.lex_state = 0},
  [7825] = {.lex_state = 0},
  [7826] = {.lex_state = 169},
  [7827] = {.lex_state = 0},
  [7828] = {.lex_state = 191},
  [7829] = {.lex_state = 332},
  [7830] = {.lex_state = 332},
  [7831] = {.lex_state = 0},
  [7832] = {.lex_state = 0},
  [7833] = {.lex_state = 0},
  [7834] = {.lex_state = 0},
  [7835] = {.lex_state = 332},
  [7836] = {.lex_state = 0, .external_lex_state = 3},
  [7837] = {.lex_state = 0},
  [7838] = {.lex_state = 0},
  [7839] = {.lex_state = 0},
  [7840] = {.lex_state = 332},
  [7841] = {.lex_state = 0},
  [7842] = {.lex_state = 0},
  [7843] = {.lex_state = 0},
  [7844] = {.lex_state = 169},
  [7845] = {.lex_state = 0},
  [7846] = {.lex_state = 169},
  [7847] = {.lex_state = 0},
  [7848] = {.lex_state = 0},
  [7849] = {.lex_state = 0},
  [7850] = {.lex_state = 191},
  [7851] = {.lex_state = 0},
  [7852] = {.lex_state = 0},
  [7853] = {.lex_state = 0},
  [7854] = {.lex_state = 169},
  [7855] = {.lex_state = 0},
  [7856] = {.lex_state = 0},
  [7857] = {.lex_state = 200},
  [7858] = {.lex_state = 0},
  [7859] = {.lex_state = 0},
  [7860] = {.lex_state = 169},
  [7861] = {.lex_state = 0},
  [7862] = {.lex_state = 111},
  [7863] = {.lex_state = 0},
  [7864] = {.lex_state = 0, .external_lex_state = 3},
  [7865] = {.lex_state = 332},
  [7866] = {.lex_state = 169},
  [7867] = {.lex_state = 0},
  [7868] = {.lex_state = 0},
  [7869] = {.lex_state = 0},
  [7870] = {.lex_state = 0},
  [7871] = {.lex_state = 0},
  [7872] = {.lex_state = 0},
  [7873] = {.lex_state = 332},
  [7874] = {.lex_state = 200},
  [7875] = {.lex_state = 0},
  [7876] = {.lex_state = 111},
  [7877] = {.lex_state = 332},
  [7878] = {.lex_state = 0},
  [7879] = {.lex_state = 0},
  [7880] = {.lex_state = 0},
  [7881] = {.lex_state = 0},
  [7882] = {.lex_state = 191},
  [7883] = {.lex_state = 0},
  [7884] = {.lex_state = 0},
  [7885] = {.lex_state = 0, .external_lex_state = 2},
  [7886] = {.lex_state = 0},
  [7887] = {.lex_state = 0},
  [7888] = {.lex_state = 0},
  [7889] = {.lex_state = 191},
  [7890] = {.lex_state = 169},
  [7891] = {.lex_state = 0},
  [7892] = {.lex_state = 0},
  [7893] = {.lex_state = 191},
  [7894] = {.lex_state = 200},
  [7895] = {.lex_state = 0},
  [7896] = {.lex_state = 0},
  [7897] = {.lex_state = 191},
  [7898] = {.lex_state = 332},
  [7899] = {.lex_state = 0},
  [7900] = {.lex_state = 0},
  [7901] = {.lex_state = 0},
  [7902] = {.lex_state = 0},
  [7903] = {.lex_state = 0},
  [7904] = {.lex_state = 0},
  [7905] = {.lex_state = 0},
  [7906] = {.lex_state = 111},
  [7907] = {.lex_state = 332},
  [7908] = {.lex_state = 0},
  [7909] = {.lex_state = 0},
  [7910] = {.lex_state = 0},
  [7911] = {.lex_state = 200},
  [7912] = {.lex_state = 0},
  [7913] = {.lex_state = 169},
  [7914] = {.lex_state = 0},
  [7915] = {.lex_state = 169},
  [7916] = {.lex_state = 0},
  [7917] = {.lex_state = 191},
  [7918] = {.lex_state = 111},
  [7919] = {.lex_state = 0},
  [7920] = {.lex_state = 0},
  [7921] = {.lex_state = 0},
  [7922] = {.lex_state = 0},
  [7923] = {.lex_state = 200},
  [7924] = {.lex_state = 191},
  [7925] = {.lex_state = 0},
  [7926] = {.lex_state = 191},
  [7927] = {.lex_state = 0},
  [7928] = {.lex_state = 0},
  [7929] = {.lex_state = 0},
  [7930] = {.lex_state = 0},
  [7931] = {.lex_state = 0},
  [7932] = {.lex_state = 191},
  [7933] = {.lex_state = 0},
  [7934] = {.lex_state = 0},
  [7935] = {.lex_state = 0},
  [7936] = {.lex_state = 0},
  [7937] = {.lex_state = 0},
  [7938] = {.lex_state = 169},
  [7939] = {.lex_state = 0},
  [7940] = {.lex_state = 332},
  [7941] = {.lex_state = 0},
  [7942] = {.lex_state = 0},
  [7943] = {.lex_state = 0},
  [7944] = {.lex_state = 0},
  [7945] = {.lex_state = 0},
  [7946] = {.lex_state = 191},
  [7947] = {.lex_state = 0},
  [7948] = {.lex_state = 332},
  [7949] = {.lex_state = 0},
  [7950] = {.lex_state = 0},
  [7951] = {.lex_state = 332},
  [7952] = {.lex_state = 0},
  [7953] = {.lex_state = 0},
  [7954] = {.lex_state = 0},
  [7955] = {.lex_state = 0},
  [7956] = {.lex_state = 0},
  [7957] = {.lex_state = 0},
  [7958] = {.lex_state = 0},
  [7959] = {.lex_state = 0},
  [7960] = {.lex_state = 0},
  [7961] = {.lex_state = 191},
  [7962] = {.lex_state = 191},
  [7963] = {.lex_state = 191},
  [7964] = {.lex_state = 169},
  [7965] = {.lex_state = 0},
  [7966] = {.lex_state = 0},
  [7967] = {.lex_state = 200},
  [7968] = {.lex_state = 169},
  [7969] = {.lex_state = 0},
  [7970] = {.lex_state = 0},
  [7971] = {.lex_state = 0},
  [7972] = {.lex_state = 0},
  [7973] = {.lex_state = 0},
  [7974] = {.lex_state = 0},
  [7975] = {.lex_state = 0},
  [7976] = {.lex_state = 0},
  [7977] = {.lex_state = 169},
  [7978] = {.lex_state = 0},
  [7979] = {.lex_state = 169},
  [7980] = {.lex_state = 0},
  [7981] = {.lex_state = 169},
  [7982] = {.lex_state = 169},
  [7983] = {.lex_state = 0},
  [7984] = {.lex_state = 0},
  [7985] = {.lex_state = 0},
  [7986] = {.lex_state = 0},
  [7987] = {.lex_state = 332},
  [7988] = {.lex_state = 332},
  [7989] = {.lex_state = 332},
  [7990] = {.lex_state = 332},
  [7991] = {.lex_state = 0},
  [7992] = {.lex_state = 332},
  [7993] = {.lex_state = 0},
  [7994] = {.lex_state = 0},
  [7995] = {.lex_state = 0},
  [7996] = {.lex_state = 0},
  [7997] = {.lex_state = 169},
  [7998] = {.lex_state = 191},
  [7999] = {.lex_state = 0},
  [8000] = {.lex_state = 332},
  [8001] = {.lex_state = 0},
  [8002] = {.lex_state = 111},
  [8003] = {.lex_state = 191},
  [8004] = {.lex_state = 332},
  [8005] = {.lex_state = 0, .external_lex_state = 3},
  [8006] = {.lex_state = 332},
  [8007] = {.lex_state = 0},
  [8008] = {.lex_state = 0},
  [8009] = {.lex_state = 0},
  [8010] = {.lex_state = 200},
  [8011] = {.lex_state = 191},
  [8012] = {.lex_state = 0},
  [8013] = {.lex_state = 200},
  [8014] = {.lex_state = 191},
  [8015] = {.lex_state = 0},
  [8016] = {.lex_state = 332},
  [8017] = {.lex_state = 332},
  [8018] = {.lex_state = 332},
  [8019] = {.lex_state = 191},
  [8020] = {.lex_state = 332},
  [8021] = {.lex_state = 0},
  [8022] = {.lex_state = 0},
  [8023] = {.lex_state = 191},
  [8024] = {.lex_state = 0},
  [8025] = {.lex_state = 332},
  [8026] = {.lex_state = 0},
  [8027] = {.lex_state = 0},
  [8028] = {.lex_state = 332},
  [8029] = {.lex_state = 0, .external_lex_state = 3},
  [8030] = {.lex_state = 0},
  [8031] = {.lex_state = 0},
  [8032] = {.lex_state = 0},
  [8033] = {.lex_state = 0},
  [8034] = {.lex_state = 0},
  [8035] = {.lex_state = 200},
  [8036] = {.lex_state = 332},
  [8037] = {.lex_state = 332},
  [8038] = {.lex_state = 332},
  [8039] = {.lex_state = 332},
  [8040] = {.lex_state = 0},
  [8041] = {.lex_state = 332},
  [8042] = {.lex_state = 191},
  [8043] = {.lex_state = 0},
  [8044] = {.lex_state = 191},
  [8045] = {.lex_state = 332},
  [8046] = {.lex_state = 0},
  [8047] = {.lex_state = 0},
  [8048] = {.lex_state = 332},
  [8049] = {.lex_state = 0, .external_lex_state = 3},
  [8050] = {.lex_state = 0},
  [8051] = {.lex_state = 0},
  [8052] = {.lex_state = 0},
  [8053] = {.lex_state = 0},
  [8054] = {.lex_state = 0},
  [8055] = {.lex_state = 200},
  [8056] = {.lex_state = 0},
  [8057] = {.lex_state = 332},
  [8058] = {.lex_state = 332},
  [8059] = {.lex_state = 332},
  [8060] = {.lex_state = 0},
  [8061] = {.lex_state = 332},
  [8062] = {.lex_state = 0},
  [8063] = {.lex_state = 0},
  [8064] = {.lex_state = 332},
  [8065] = {.lex_state = 332},
  [8066] = {.lex_state = 0},
  [8067] = {.lex_state = 332},
  [8068] = {.lex_state = 0, .external_lex_state = 3},
  [8069] = {.lex_state = 0},
  [8070] = {.lex_state = 111},
  [8071] = {.lex_state = 191},
  [8072] = {.lex_state = 0},
  [8073] = {.lex_state = 0},
  [8074] = {.lex_state = 200},
  [8075] = {.lex_state = 0},
  [8076] = {.lex_state = 332},
  [8077] = {.lex_state = 0},
  [8078] = {.lex_state = 332},
  [8079] = {.lex_state = 0},
  [8080] = {.lex_state = 0},
  [8081] = {.lex_state = 0},
  [8082] = {.lex_state = 0},
  [8083] = {.lex_state = 332},
  [8084] = {.lex_state = 0, .external_lex_state = 3},
  [8085] = {.lex_state = 191},
  [8086] = {.lex_state = 0},
  [8087] = {.lex_state = 169},
  [8088] = {.lex_state = 0},
  [8089] = {.lex_state = 169},
  [8090] = {.lex_state = 332},
  [8091] = {.lex_state = 332},
  [8092] = {.lex_state = 0},
  [8093] = {.lex_state = 0, .external_lex_state = 3},
  [8094] = {.lex_state = 0},
  [8095] = {.lex_state = 0},
  [8096] = {.lex_state = 0},
  [8097] = {.lex_state = 0},
  [8098] = {.lex_state = 332},
  [8099] = {.lex_state = 332},
  [8100] = {.lex_state = 191},
  [8101] = {.lex_state = 0, .external_lex_state = 3},
  [8102] = {.lex_state = 0},
  [8103] = {.lex_state = 0},
  [8104] = {.lex_state = 332},
  [8105] = {.lex_state = 332},
  [8106] = {.lex_state = 0, .external_lex_state = 3},
  [8107] = {.lex_state = 0},
  [8108] = {.lex_state = 0, .external_lex_state = 3},
  [8109] = {.lex_state = 0},
  [8110] = {.lex_state = 0, .external_lex_state = 3},
  [8111] = {.lex_state = 0},
  [8112] = {.lex_state = 0, .external_lex_state = 3},
  [8113] = {.lex_state = 0},
  [8114] = {.lex_state = 0, .external_lex_state = 3},
  [8115] = {.lex_state = 0},
  [8116] = {.lex_state = 0, .external_lex_state = 3},
  [8117] = {.lex_state = 0},
  [8118] = {.lex_state = 0, .external_lex_state = 3},
  [8119] = {.lex_state = 0},
  [8120] = {.lex_state = 0, .external_lex_state = 3},
  [8121] = {.lex_state = 0},
  [8122] = {.lex_state = 191},
  [8123] = {.lex_state = 0},
  [8124] = {.lex_state = 332},
  [8125] = {.lex_state = 332},
  [8126] = {.lex_state = 191},
  [8127] = {.lex_state = 0},
  [8128] = {.lex_state = 169},
  [8129] = {.lex_state = 0},
  [8130] = {.lex_state = 169},
  [8131] = {.lex_state = 111},
  [8132] = {.lex_state = 0},
  [8133] = {.lex_state = 191},
  [8134] = {.lex_state = 169},
  [8135] = {.lex_state = 111},
  [8136] = {.lex_state = 0},
  [8137] = {.lex_state = 169},
  [8138] = {.lex_state = 332},
  [8139] = {.lex_state = 169},
  [8140] = {.lex_state = 0},
  [8141] = {.lex_state = 0},
  [8142] = {.lex_state = 191},
  [8143] = {.lex_state = 0, .external_lex_state = 3},
  [8144] = {.lex_state = 111},
  [8145] = {.lex_state = 0},
  [8146] = {.lex_state = 0},
  [8147] = {.lex_state = 0},
  [8148] = {.lex_state = 0},
  [8149] = {.lex_state = 0},
  [8150] = {.lex_state = 0, .external_lex_state = 3},
  [8151] = {.lex_state = 0},
  [8152] = {.lex_state = 0},
  [8153] = {.lex_state = 0},
  [8154] = {.lex_state = 0},
  [8155] = {.lex_state = 191},
  [8156] = {.lex_state = 0},
  [8157] = {.lex_state = 111},
  [8158] = {.lex_state = 200},
  [8159] = {.lex_state = 0},
  [8160] = {.lex_state = 0},
  [8161] = {.lex_state = 0},
  [8162] = {.lex_state = 0},
  [8163] = {.lex_state = 190},
  [8164] = {.lex_state = 0},
  [8165] = {.lex_state = 111},
  [8166] = {.lex_state = 0},
  [8167] = {.lex_state = 332},
  [8168] = {.lex_state = 0},
  [8169] = {.lex_state = 0},
  [8170] = {.lex_state = 0},
  [8171] = {.lex_state = 0},
  [8172] = {.lex_state = 0},
  [8173] = {.lex_state = 0},
  [8174] = {.lex_state = 111},
  [8175] = {.lex_state = 200},
  [8176] = {.lex_state = 0},
  [8177] = {.lex_state = 169},
  [8178] = {.lex_state = 169},
  [8179] = {.lex_state = 169},
  [8180] = {.lex_state = 0},
  [8181] = {.lex_state = 332},
  [8182] = {.lex_state = 200},
  [8183] = {.lex_state = 0},
  [8184] = {.lex_state = 0},
  [8185] = {.lex_state = 191},
  [8186] = {.lex_state = 0},
  [8187] = {.lex_state = 191},
  [8188] = {.lex_state = 332},
  [8189] = {.lex_state = 332},
  [8190] = {.lex_state = 234},
  [8191] = {.lex_state = 0},
  [8192] = {.lex_state = 332},
  [8193] = {.lex_state = 191},
  [8194] = {.lex_state = 332},
  [8195] = {.lex_state = 332},
  [8196] = {.lex_state = 0},
  [8197] = {.lex_state = 332},
  [8198] = {.lex_state = 332},
  [8199] = {.lex_state = 0},
  [8200] = {.lex_state = 0},
  [8201] = {.lex_state = 332},
  [8202] = {.lex_state = 332},
  [8203] = {.lex_state = 332},
  [8204] = {.lex_state = 0},
  [8205] = {.lex_state = 200},
  [8206] = {.lex_state = 191},
  [8207] = {.lex_state = 0},
  [8208] = {.lex_state = 332},
  [8209] = {.lex_state = 332},
  [8210] = {.lex_state = 191},
  [8211] = {.lex_state = 332},
  [8212] = {.lex_state = 0},
  [8213] = {.lex_state = 332},
  [8214] = {.lex_state = 111},
  [8215] = {.lex_state = 191},
  [8216] = {.lex_state = 0, .external_lex_state = 3},
  [8217] = {.lex_state = 200},
  [8218] = {.lex_state = 0},
  [8219] = {.lex_state = 0},
  [8220] = {.lex_state = 111},
  [8221] = {.lex_state = 332},
  [8222] = {.lex_state = 332},
  [8223] = {.lex_state = 191},
  [8224] = {.lex_state = 191},
  [8225] = {.lex_state = 0},
  [8226] = {.lex_state = 191},
  [8227] = {.lex_state = 0, .external_lex_state = 3},
  [8228] = {.lex_state = 0},
  [8229] = {.lex_state = 0},
  [8230] = {.lex_state = 332},
  [8231] = {.lex_state = 332},
  [8232] = {.lex_state = 191},
  [8233] = {.lex_state = 0},
  [8234] = {.lex_state = 191},
  [8235] = {.lex_state = 191},
  [8236] = {.lex_state = 0, .external_lex_state = 3},
  [8237] = {.lex_state = 332},
  [8238] = {.lex_state = 191},
  [8239] = {.lex_state = 332},
  [8240] = {.lex_state = 191},
  [8241] = {.lex_state = 200},
  [8242] = {.lex_state = 0},
  [8243] = {.lex_state = 191},
  [8244] = {.lex_state = 0, .external_lex_state = 3},
  [8245] = {.lex_state = 332},
  [8246] = {.lex_state = 332},
  [8247] = {.lex_state = 191},
  [8248] = {.lex_state = 0},
  [8249] = {.lex_state = 191},
  [8250] = {.lex_state = 0, .external_lex_state = 3},
  [8251] = {.lex_state = 111},
  [8252] = {.lex_state = 191},
  [8253] = {.lex_state = 0, .external_lex_state = 3},
  [8254] = {.lex_state = 0},
  [8255] = {.lex_state = 0, .external_lex_state = 3},
  [8256] = {.lex_state = 0},
  [8257] = {.lex_state = 0, .external_lex_state = 3},
  [8258] = {.lex_state = 0},
  [8259] = {.lex_state = 0, .external_lex_state = 3},
  [8260] = {.lex_state = 332},
  [8261] = {.lex_state = 0, .external_lex_state = 3},
  [8262] = {.lex_state = 191},
  [8263] = {.lex_state = 0, .external_lex_state = 3},
  [8264] = {.lex_state = 0},
  [8265] = {.lex_state = 0, .external_lex_state = 3},
  [8266] = {.lex_state = 0},
  [8267] = {.lex_state = 0, .external_lex_state = 3},
  [8268] = {.lex_state = 0},
  [8269] = {.lex_state = 0, .external_lex_state = 3},
  [8270] = {.lex_state = 0},
  [8271] = {.lex_state = 0, .external_lex_state = 3},
  [8272] = {.lex_state = 332},
  [8273] = {.lex_state = 332},
  [8274] = {.lex_state = 0},
  [8275] = {.lex_state = 332},
  [8276] = {.lex_state = 332},
  [8277] = {.lex_state = 0},
  [8278] = {.lex_state = 332},
  [8279] = {.lex_state = 332},
  [8280] = {.lex_state = 0},
  [8281] = {.lex_state = 332},
  [8282] = {.lex_state = 332},
  [8283] = {.lex_state = 0},
  [8284] = {.lex_state = 332},
  [8285] = {.lex_state = 332},
  [8286] = {.lex_state = 191},
  [8287] = {.lex_state = 332},
  [8288] = {.lex_state = 332},
  [8289] = {.lex_state = 332},
  [8290] = {.lex_state = 332},
  [8291] = {.lex_state = 332},
  [8292] = {.lex_state = 332},
  [8293] = {.lex_state = 332},
  [8294] = {.lex_state = 332},
  [8295] = {.lex_state = 332},
  [8296] = {.lex_state = 332},
  [8297] = {.lex_state = 332},
  [8298] = {.lex_state = 0},
  [8299] = {.lex_state = 332},
  [8300] = {.lex_state = 191},
  [8301] = {.lex_state = 0},
  [8302] = {.lex_state = 191},
  [8303] = {.lex_state = 332},
  [8304] = {.lex_state = 332},
  [8305] = {.lex_state = 332},
  [8306] = {.lex_state = 332},
  [8307] = {.lex_state = 332},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym__Nonnull] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [anon_sym_PROGMEM] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym__Alignas] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_byte] = ACTIONS(1),
    [anon_sym_word] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym___asm] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [aux_sym_number_literal_token1] = ACTIONS(1),
    [aux_sym_number_literal_token2] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(8183),
    [sym__top_level_item] = STATE(81),
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4539),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1835),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5977),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2613),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(727),
    [sym__top_level_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym__top_level_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_expression] = STATE(4680),
    [sym__string] = STATE(4642),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(3671),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(3671),
    [sym_call_expression] = STATE(3671),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_extension_expression] = STATE(4695),
    [sym_field_expression] = STATE(3671),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(3671),
    [sym_number_literal] = STATE(4642),
    [sym_char_literal] = STATE(4642),
    [sym_concatenated_string] = STATE(4642),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(4695),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1836),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(6379),
    [sym__constructor_specifiers] = STATE(1836),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4671),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3555),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6379),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3671),
    [aux_sym_translation_unit_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(214),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1836),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(119),
    [sym_false] = ACTIONS(119),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(131),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(141),
    [anon_sym_using] = ACTIONS(143),
    [anon_sym_static_assert] = ACTIONS(145),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(119),
  },
  [2] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4134),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6946),
    [sym_initializer_pair] = STATE(6946),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(62),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(62),
    [sym_template_instantiation] = STATE(62),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(62),
    [sym_operator_cast_declaration] = STATE(62),
    [sym_constructor_or_destructor_definition] = STATE(62),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(62),
    [sym_namespace_alias_definition] = STATE(62),
    [sym_using_declaration] = STATE(62),
    [sym_alias_declaration] = STATE(62),
    [sym_static_assert_declaration] = STATE(62),
    [sym_concept_definition] = STATE(62),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(62),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [3] = {
    [sym__block_item] = STATE(59),
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(59),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4134),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6946),
    [sym_initializer_pair] = STATE(6946),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [4] = {
    [sym__block_item] = STATE(48),
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(48),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4134),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6946),
    [sym_initializer_pair] = STATE(6946),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(48),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(48),
    [sym_template_instantiation] = STATE(48),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(48),
    [sym_operator_cast_declaration] = STATE(48),
    [sym_constructor_or_destructor_definition] = STATE(48),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(48),
    [sym_namespace_alias_definition] = STATE(48),
    [sym_using_declaration] = STATE(48),
    [sym_alias_declaration] = STATE(48),
    [sym_static_assert_declaration] = STATE(48),
    [sym_concept_definition] = STATE(48),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [5] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4134),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6946),
    [sym_initializer_pair] = STATE(6946),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [6] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4134),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6946),
    [sym_initializer_pair] = STATE(6946),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [7] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4134),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6946),
    [sym_initializer_pair] = STATE(6946),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [8] = {
    [sym__block_item] = STATE(59),
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(59),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4134),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6946),
    [sym_initializer_pair] = STATE(6946),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [9] = {
    [sym__block_item] = STATE(68),
    [sym_preproc_include] = STATE(68),
    [sym_preproc_def] = STATE(68),
    [sym_preproc_function_def] = STATE(68),
    [sym_preproc_call] = STATE(68),
    [sym_preproc_if] = STATE(68),
    [sym_preproc_ifdef] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(68),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(68),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4134),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6946),
    [sym_initializer_pair] = STATE(6946),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(68),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(68),
    [sym_template_instantiation] = STATE(68),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(68),
    [sym_operator_cast_declaration] = STATE(68),
    [sym_constructor_or_destructor_definition] = STATE(68),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(68),
    [sym_namespace_alias_definition] = STATE(68),
    [sym_using_declaration] = STATE(68),
    [sym_alias_declaration] = STATE(68),
    [sym_static_assert_declaration] = STATE(68),
    [sym_concept_definition] = STATE(68),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(68),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [10] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4134),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6946),
    [sym_initializer_pair] = STATE(6946),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [11] = {
    [sym__block_item] = STATE(68),
    [sym_preproc_include] = STATE(68),
    [sym_preproc_def] = STATE(68),
    [sym_preproc_function_def] = STATE(68),
    [sym_preproc_call] = STATE(68),
    [sym_preproc_if] = STATE(68),
    [sym_preproc_ifdef] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(68),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(68),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4134),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6946),
    [sym_initializer_pair] = STATE(6946),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(68),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(68),
    [sym_template_instantiation] = STATE(68),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(68),
    [sym_operator_cast_declaration] = STATE(68),
    [sym_constructor_or_destructor_definition] = STATE(68),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(68),
    [sym_namespace_alias_definition] = STATE(68),
    [sym_using_declaration] = STATE(68),
    [sym_alias_declaration] = STATE(68),
    [sym_static_assert_declaration] = STATE(68),
    [sym_concept_definition] = STATE(68),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(68),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [12] = {
    [sym__block_item] = STATE(48),
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(48),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4134),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6946),
    [sym_initializer_pair] = STATE(6946),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(48),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(48),
    [sym_template_instantiation] = STATE(48),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(48),
    [sym_operator_cast_declaration] = STATE(48),
    [sym_constructor_or_destructor_definition] = STATE(48),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(48),
    [sym_namespace_alias_definition] = STATE(48),
    [sym_using_declaration] = STATE(48),
    [sym_alias_declaration] = STATE(48),
    [sym_static_assert_declaration] = STATE(48),
    [sym_concept_definition] = STATE(48),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(161),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [13] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7780),
    [sym_preproc_elif] = STATE(7780),
    [sym_preproc_elifdef] = STATE(7780),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [14] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8134),
    [sym_preproc_elif] = STATE(8134),
    [sym_preproc_elifdef] = STATE(8134),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [15] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7530),
    [sym_preproc_elif] = STATE(7530),
    [sym_preproc_elifdef] = STATE(7530),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [16] = {
    [sym__block_item] = STATE(25),
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(7997),
    [sym_preproc_elif] = STATE(7997),
    [sym_preproc_elifdef] = STATE(7997),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(25),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(25),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(25),
    [sym_template_instantiation] = STATE(25),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(25),
    [sym_operator_cast_declaration] = STATE(25),
    [sym_constructor_or_destructor_definition] = STATE(25),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(25),
    [sym_namespace_alias_definition] = STATE(25),
    [sym_using_declaration] = STATE(25),
    [sym_alias_declaration] = STATE(25),
    [sym_static_assert_declaration] = STATE(25),
    [sym_concept_definition] = STATE(25),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [17] = {
    [sym__block_item] = STATE(14),
    [sym_preproc_include] = STATE(14),
    [sym_preproc_def] = STATE(14),
    [sym_preproc_function_def] = STATE(14),
    [sym_preproc_call] = STATE(14),
    [sym_preproc_if] = STATE(14),
    [sym_preproc_ifdef] = STATE(14),
    [sym_preproc_else] = STATE(7690),
    [sym_preproc_elif] = STATE(7690),
    [sym_preproc_elifdef] = STATE(7690),
    [sym_function_definition] = STATE(14),
    [sym_declaration] = STATE(14),
    [sym_type_definition] = STATE(14),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(14),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(14),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(14),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(14),
    [sym_template_instantiation] = STATE(14),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(14),
    [sym_operator_cast_declaration] = STATE(14),
    [sym_constructor_or_destructor_definition] = STATE(14),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(14),
    [sym_namespace_alias_definition] = STATE(14),
    [sym_using_declaration] = STATE(14),
    [sym_alias_declaration] = STATE(14),
    [sym_static_assert_declaration] = STATE(14),
    [sym_concept_definition] = STATE(14),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(14),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [18] = {
    [sym__block_item] = STATE(27),
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(7549),
    [sym_preproc_elif] = STATE(7549),
    [sym_preproc_elifdef] = STATE(7549),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(27),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(27),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(27),
    [sym_template_instantiation] = STATE(27),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(27),
    [sym_operator_cast_declaration] = STATE(27),
    [sym_constructor_or_destructor_definition] = STATE(27),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(27),
    [sym_namespace_alias_definition] = STATE(27),
    [sym_using_declaration] = STATE(27),
    [sym_alias_declaration] = STATE(27),
    [sym_static_assert_declaration] = STATE(27),
    [sym_concept_definition] = STATE(27),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [19] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7544),
    [sym_preproc_elif] = STATE(7544),
    [sym_preproc_elifdef] = STATE(7544),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [20] = {
    [sym__block_item] = STATE(19),
    [sym_preproc_include] = STATE(19),
    [sym_preproc_def] = STATE(19),
    [sym_preproc_function_def] = STATE(19),
    [sym_preproc_call] = STATE(19),
    [sym_preproc_if] = STATE(19),
    [sym_preproc_ifdef] = STATE(19),
    [sym_preproc_else] = STATE(7626),
    [sym_preproc_elif] = STATE(7626),
    [sym_preproc_elifdef] = STATE(7626),
    [sym_function_definition] = STATE(19),
    [sym_declaration] = STATE(19),
    [sym_type_definition] = STATE(19),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(19),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(19),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(19),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(19),
    [sym_template_instantiation] = STATE(19),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(19),
    [sym_operator_cast_declaration] = STATE(19),
    [sym_constructor_or_destructor_definition] = STATE(19),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(19),
    [sym_namespace_alias_definition] = STATE(19),
    [sym_using_declaration] = STATE(19),
    [sym_alias_declaration] = STATE(19),
    [sym_static_assert_declaration] = STATE(19),
    [sym_concept_definition] = STATE(19),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(19),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [21] = {
    [sym__block_item] = STATE(29),
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(7524),
    [sym_preproc_elif] = STATE(7524),
    [sym_preproc_elifdef] = STATE(7524),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(29),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(29),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(29),
    [sym_template_instantiation] = STATE(29),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(29),
    [sym_operator_cast_declaration] = STATE(29),
    [sym_constructor_or_destructor_definition] = STATE(29),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(29),
    [sym_namespace_alias_definition] = STATE(29),
    [sym_using_declaration] = STATE(29),
    [sym_alias_declaration] = STATE(29),
    [sym_static_assert_declaration] = STATE(29),
    [sym_concept_definition] = STATE(29),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [22] = {
    [sym__block_item] = STATE(15),
    [sym_preproc_include] = STATE(15),
    [sym_preproc_def] = STATE(15),
    [sym_preproc_function_def] = STATE(15),
    [sym_preproc_call] = STATE(15),
    [sym_preproc_if] = STATE(15),
    [sym_preproc_ifdef] = STATE(15),
    [sym_preproc_else] = STATE(7890),
    [sym_preproc_elif] = STATE(7890),
    [sym_preproc_elifdef] = STATE(7890),
    [sym_function_definition] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_type_definition] = STATE(15),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(15),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(15),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(15),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(15),
    [sym_template_instantiation] = STATE(15),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(15),
    [sym_operator_cast_declaration] = STATE(15),
    [sym_constructor_or_destructor_definition] = STATE(15),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(15),
    [sym_namespace_alias_definition] = STATE(15),
    [sym_using_declaration] = STATE(15),
    [sym_alias_declaration] = STATE(15),
    [sym_static_assert_declaration] = STATE(15),
    [sym_concept_definition] = STATE(15),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(15),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [23] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_preproc_else] = STATE(7915),
    [sym_preproc_elif] = STATE(7915),
    [sym_preproc_elifdef] = STATE(7915),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(31),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(31),
    [sym_template_instantiation] = STATE(31),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(31),
    [sym_operator_cast_declaration] = STATE(31),
    [sym_constructor_or_destructor_definition] = STATE(31),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(31),
    [sym_namespace_alias_definition] = STATE(31),
    [sym_using_declaration] = STATE(31),
    [sym_alias_declaration] = STATE(31),
    [sym_static_assert_declaration] = STATE(31),
    [sym_concept_definition] = STATE(31),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [24] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7938),
    [sym_preproc_elif] = STATE(7938),
    [sym_preproc_elifdef] = STATE(7938),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [25] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7913),
    [sym_preproc_elif] = STATE(7913),
    [sym_preproc_elifdef] = STATE(7913),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [26] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7720),
    [sym_preproc_elif] = STATE(7720),
    [sym_preproc_elifdef] = STATE(7720),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [27] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7492),
    [sym_preproc_elif] = STATE(7492),
    [sym_preproc_elifdef] = STATE(7492),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [28] = {
    [sym__block_item] = STATE(13),
    [sym_preproc_include] = STATE(13),
    [sym_preproc_def] = STATE(13),
    [sym_preproc_function_def] = STATE(13),
    [sym_preproc_call] = STATE(13),
    [sym_preproc_if] = STATE(13),
    [sym_preproc_ifdef] = STATE(13),
    [sym_preproc_else] = STATE(7718),
    [sym_preproc_elif] = STATE(7718),
    [sym_preproc_elifdef] = STATE(7718),
    [sym_function_definition] = STATE(13),
    [sym_declaration] = STATE(13),
    [sym_type_definition] = STATE(13),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(13),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(13),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(13),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(13),
    [sym_template_instantiation] = STATE(13),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(13),
    [sym_operator_cast_declaration] = STATE(13),
    [sym_constructor_or_destructor_definition] = STATE(13),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(13),
    [sym_namespace_alias_definition] = STATE(13),
    [sym_using_declaration] = STATE(13),
    [sym_alias_declaration] = STATE(13),
    [sym_static_assert_declaration] = STATE(13),
    [sym_concept_definition] = STATE(13),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(13),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [29] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7749),
    [sym_preproc_elif] = STATE(7749),
    [sym_preproc_elifdef] = STATE(7749),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [30] = {
    [sym__block_item] = STATE(24),
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(7747),
    [sym_preproc_elif] = STATE(7747),
    [sym_preproc_elifdef] = STATE(7747),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(24),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(24),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(24),
    [sym_template_instantiation] = STATE(24),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(24),
    [sym_operator_cast_declaration] = STATE(24),
    [sym_constructor_or_destructor_definition] = STATE(24),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(24),
    [sym_namespace_alias_definition] = STATE(24),
    [sym_using_declaration] = STATE(24),
    [sym_alias_declaration] = STATE(24),
    [sym_static_assert_declaration] = STATE(24),
    [sym_concept_definition] = STATE(24),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [31] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7866),
    [sym_preproc_elif] = STATE(7866),
    [sym_preproc_elifdef] = STATE(7866),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [32] = {
    [sym__block_item] = STATE(26),
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(7638),
    [sym_preproc_elif] = STATE(7638),
    [sym_preproc_elifdef] = STATE(7638),
    [sym_function_definition] = STATE(26),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(26),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(26),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(26),
    [sym_template_instantiation] = STATE(26),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(26),
    [sym_operator_cast_declaration] = STATE(26),
    [sym_constructor_or_destructor_definition] = STATE(26),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(26),
    [sym_namespace_alias_definition] = STATE(26),
    [sym_using_declaration] = STATE(26),
    [sym_alias_declaration] = STATE(26),
    [sym_static_assert_declaration] = STATE(26),
    [sym_concept_definition] = STATE(26),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [33] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5954),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(364),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1819),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1819),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1819),
    [sym_identifier] = ACTIONS(373),
    [aux_sym_preproc_include_token1] = ACTIONS(376),
    [aux_sym_preproc_def_token1] = ACTIONS(379),
    [aux_sym_preproc_if_token1] = ACTIONS(382),
    [aux_sym_preproc_if_token2] = ACTIONS(385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(387),
    [aux_sym_preproc_else_token1] = ACTIONS(385),
    [aux_sym_preproc_elif_token1] = ACTIONS(385),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(385),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(385),
    [sym_preproc_directive] = ACTIONS(390),
    [anon_sym_LPAREN2] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_AMP_AMP] = ACTIONS(408),
    [anon_sym_AMP] = ACTIONS(411),
    [anon_sym_SEMI] = ACTIONS(414),
    [anon_sym___extension__] = ACTIONS(417),
    [anon_sym_typedef] = ACTIONS(420),
    [anon_sym_virtual] = ACTIONS(423),
    [anon_sym_extern] = ACTIONS(426),
    [anon_sym___attribute__] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(435),
    [anon_sym___declspec] = ACTIONS(438),
    [anon_sym___based] = ACTIONS(441),
    [anon_sym___cdecl] = ACTIONS(444),
    [anon_sym___clrcall] = ACTIONS(444),
    [anon_sym___stdcall] = ACTIONS(444),
    [anon_sym___fastcall] = ACTIONS(444),
    [anon_sym___thiscall] = ACTIONS(444),
    [anon_sym___vectorcall] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(447),
    [anon_sym_signed] = ACTIONS(450),
    [anon_sym_unsigned] = ACTIONS(450),
    [anon_sym_long] = ACTIONS(450),
    [anon_sym_short] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(453),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_register] = ACTIONS(456),
    [anon_sym_inline] = ACTIONS(459),
    [anon_sym___inline] = ACTIONS(456),
    [anon_sym___inline__] = ACTIONS(456),
    [anon_sym___forceinline] = ACTIONS(456),
    [anon_sym_thread_local] = ACTIONS(456),
    [anon_sym___thread] = ACTIONS(456),
    [anon_sym_const] = ACTIONS(462),
    [anon_sym_constexpr] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_restrict] = ACTIONS(462),
    [anon_sym___restrict__] = ACTIONS(462),
    [anon_sym__Atomic] = ACTIONS(462),
    [anon_sym__Noreturn] = ACTIONS(462),
    [anon_sym_noreturn] = ACTIONS(462),
    [anon_sym__Nonnull] = ACTIONS(462),
    [anon_sym_mutable] = ACTIONS(462),
    [anon_sym_constinit] = ACTIONS(462),
    [anon_sym_consteval] = ACTIONS(462),
    [anon_sym_PROGMEM] = ACTIONS(462),
    [anon_sym_alignas] = ACTIONS(465),
    [anon_sym__Alignas] = ACTIONS(465),
    [aux_sym_primitive_type_token1] = ACTIONS(468),
    [anon_sym_byte] = ACTIONS(468),
    [anon_sym_word] = ACTIONS(468),
    [anon_sym_enum] = ACTIONS(471),
    [anon_sym_class] = ACTIONS(474),
    [anon_sym_struct] = ACTIONS(477),
    [anon_sym_union] = ACTIONS(480),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(486),
    [anon_sym_case] = ACTIONS(489),
    [anon_sym_default] = ACTIONS(492),
    [anon_sym_while] = ACTIONS(495),
    [anon_sym_do] = ACTIONS(498),
    [anon_sym_for] = ACTIONS(501),
    [anon_sym_return] = ACTIONS(504),
    [anon_sym_break] = ACTIONS(507),
    [anon_sym_continue] = ACTIONS(510),
    [anon_sym_goto] = ACTIONS(513),
    [anon_sym___try] = ACTIONS(516),
    [anon_sym___leave] = ACTIONS(519),
    [anon_sym_not] = ACTIONS(402),
    [anon_sym_compl] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_sizeof] = ACTIONS(525),
    [anon_sym___alignof__] = ACTIONS(528),
    [anon_sym___alignof] = ACTIONS(528),
    [anon_sym__alignof] = ACTIONS(528),
    [anon_sym_alignof] = ACTIONS(528),
    [anon_sym__Alignof] = ACTIONS(528),
    [anon_sym_offsetof] = ACTIONS(531),
    [anon_sym__Generic] = ACTIONS(534),
    [anon_sym_asm] = ACTIONS(537),
    [anon_sym___asm__] = ACTIONS(537),
    [anon_sym___asm] = ACTIONS(537),
    [aux_sym_number_literal_token1] = ACTIONS(540),
    [aux_sym_number_literal_token2] = ACTIONS(543),
    [anon_sym_L_SQUOTE] = ACTIONS(546),
    [anon_sym_u_SQUOTE] = ACTIONS(546),
    [anon_sym_U_SQUOTE] = ACTIONS(546),
    [anon_sym_u8_SQUOTE] = ACTIONS(546),
    [anon_sym_SQUOTE] = ACTIONS(546),
    [anon_sym_L_DQUOTE] = ACTIONS(549),
    [anon_sym_u_DQUOTE] = ACTIONS(549),
    [anon_sym_U_DQUOTE] = ACTIONS(549),
    [anon_sym_u8_DQUOTE] = ACTIONS(549),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_true] = ACTIONS(552),
    [sym_false] = ACTIONS(552),
    [anon_sym_NULL] = ACTIONS(555),
    [anon_sym_nullptr] = ACTIONS(555),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(558),
    [anon_sym_decltype] = ACTIONS(561),
    [anon_sym_explicit] = ACTIONS(564),
    [anon_sym_typename] = ACTIONS(567),
    [anon_sym_template] = ACTIONS(570),
    [anon_sym_operator] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(576),
    [anon_sym_delete] = ACTIONS(579),
    [anon_sym_throw] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(585),
    [anon_sym_using] = ACTIONS(588),
    [anon_sym_static_assert] = ACTIONS(591),
    [anon_sym_concept] = ACTIONS(594),
    [anon_sym_co_return] = ACTIONS(597),
    [anon_sym_co_yield] = ACTIONS(600),
    [anon_sym_R_DQUOTE] = ACTIONS(603),
    [anon_sym_LR_DQUOTE] = ACTIONS(603),
    [anon_sym_uR_DQUOTE] = ACTIONS(603),
    [anon_sym_UR_DQUOTE] = ACTIONS(603),
    [anon_sym_u8R_DQUOTE] = ACTIONS(603),
    [anon_sym_co_await] = ACTIONS(606),
    [anon_sym_new] = ACTIONS(609),
    [anon_sym_requires] = ACTIONS(612),
    [sym_this] = ACTIONS(552),
  },
  [34] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(619),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [35] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(621),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [36] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(623),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [37] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(625),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [38] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(627),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [39] = {
    [sym__block_item] = STATE(50),
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_function_definition] = STATE(50),
    [sym_declaration] = STATE(50),
    [sym_type_definition] = STATE(50),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(50),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(50),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(50),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(50),
    [sym_template_instantiation] = STATE(50),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(50),
    [sym_operator_cast_declaration] = STATE(50),
    [sym_constructor_or_destructor_definition] = STATE(50),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(50),
    [sym_namespace_alias_definition] = STATE(50),
    [sym_using_declaration] = STATE(50),
    [sym_alias_declaration] = STATE(50),
    [sym_static_assert_declaration] = STATE(50),
    [sym_concept_definition] = STATE(50),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(50),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(629),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [40] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [41] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(636),
    [aux_sym_preproc_def_token1] = ACTIONS(639),
    [aux_sym_preproc_if_token1] = ACTIONS(642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(645),
    [sym_preproc_directive] = ACTIONS(648),
    [anon_sym_LPAREN2] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_AMP_AMP] = ACTIONS(408),
    [anon_sym_AMP] = ACTIONS(411),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym___extension__] = ACTIONS(654),
    [anon_sym_typedef] = ACTIONS(657),
    [anon_sym_virtual] = ACTIONS(423),
    [anon_sym_extern] = ACTIONS(660),
    [anon_sym___attribute__] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(435),
    [anon_sym___declspec] = ACTIONS(438),
    [anon_sym___based] = ACTIONS(441),
    [anon_sym___cdecl] = ACTIONS(444),
    [anon_sym___clrcall] = ACTIONS(444),
    [anon_sym___stdcall] = ACTIONS(444),
    [anon_sym___fastcall] = ACTIONS(444),
    [anon_sym___thiscall] = ACTIONS(444),
    [anon_sym___vectorcall] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(666),
    [anon_sym_signed] = ACTIONS(450),
    [anon_sym_unsigned] = ACTIONS(450),
    [anon_sym_long] = ACTIONS(450),
    [anon_sym_short] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(453),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_register] = ACTIONS(456),
    [anon_sym_inline] = ACTIONS(668),
    [anon_sym___inline] = ACTIONS(456),
    [anon_sym___inline__] = ACTIONS(456),
    [anon_sym___forceinline] = ACTIONS(456),
    [anon_sym_thread_local] = ACTIONS(456),
    [anon_sym___thread] = ACTIONS(456),
    [anon_sym_const] = ACTIONS(462),
    [anon_sym_constexpr] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_restrict] = ACTIONS(462),
    [anon_sym___restrict__] = ACTIONS(462),
    [anon_sym__Atomic] = ACTIONS(462),
    [anon_sym__Noreturn] = ACTIONS(462),
    [anon_sym_noreturn] = ACTIONS(462),
    [anon_sym__Nonnull] = ACTIONS(462),
    [anon_sym_mutable] = ACTIONS(462),
    [anon_sym_constinit] = ACTIONS(462),
    [anon_sym_consteval] = ACTIONS(462),
    [anon_sym_PROGMEM] = ACTIONS(462),
    [anon_sym_alignas] = ACTIONS(465),
    [anon_sym__Alignas] = ACTIONS(465),
    [aux_sym_primitive_type_token1] = ACTIONS(468),
    [anon_sym_byte] = ACTIONS(468),
    [anon_sym_word] = ACTIONS(468),
    [anon_sym_enum] = ACTIONS(471),
    [anon_sym_class] = ACTIONS(474),
    [anon_sym_struct] = ACTIONS(477),
    [anon_sym_union] = ACTIONS(480),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_switch] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(677),
    [anon_sym_default] = ACTIONS(680),
    [anon_sym_while] = ACTIONS(683),
    [anon_sym_do] = ACTIONS(686),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_return] = ACTIONS(692),
    [anon_sym_break] = ACTIONS(695),
    [anon_sym_continue] = ACTIONS(698),
    [anon_sym_goto] = ACTIONS(701),
    [anon_sym___try] = ACTIONS(704),
    [anon_sym___leave] = ACTIONS(707),
    [anon_sym_not] = ACTIONS(402),
    [anon_sym_compl] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_sizeof] = ACTIONS(525),
    [anon_sym___alignof__] = ACTIONS(528),
    [anon_sym___alignof] = ACTIONS(528),
    [anon_sym__alignof] = ACTIONS(528),
    [anon_sym_alignof] = ACTIONS(528),
    [anon_sym__Alignof] = ACTIONS(528),
    [anon_sym_offsetof] = ACTIONS(531),
    [anon_sym__Generic] = ACTIONS(534),
    [anon_sym_asm] = ACTIONS(537),
    [anon_sym___asm__] = ACTIONS(537),
    [anon_sym___asm] = ACTIONS(537),
    [aux_sym_number_literal_token1] = ACTIONS(540),
    [aux_sym_number_literal_token2] = ACTIONS(543),
    [anon_sym_L_SQUOTE] = ACTIONS(546),
    [anon_sym_u_SQUOTE] = ACTIONS(546),
    [anon_sym_U_SQUOTE] = ACTIONS(546),
    [anon_sym_u8_SQUOTE] = ACTIONS(546),
    [anon_sym_SQUOTE] = ACTIONS(546),
    [anon_sym_L_DQUOTE] = ACTIONS(549),
    [anon_sym_u_DQUOTE] = ACTIONS(549),
    [anon_sym_U_DQUOTE] = ACTIONS(549),
    [anon_sym_u8_DQUOTE] = ACTIONS(549),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_true] = ACTIONS(552),
    [sym_false] = ACTIONS(552),
    [anon_sym_NULL] = ACTIONS(555),
    [anon_sym_nullptr] = ACTIONS(555),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(558),
    [anon_sym_decltype] = ACTIONS(561),
    [anon_sym_explicit] = ACTIONS(564),
    [anon_sym_typename] = ACTIONS(567),
    [anon_sym_template] = ACTIONS(710),
    [anon_sym_operator] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_delete] = ACTIONS(579),
    [anon_sym_throw] = ACTIONS(716),
    [anon_sym_namespace] = ACTIONS(719),
    [anon_sym_using] = ACTIONS(722),
    [anon_sym_static_assert] = ACTIONS(725),
    [anon_sym_concept] = ACTIONS(728),
    [anon_sym_co_return] = ACTIONS(731),
    [anon_sym_co_yield] = ACTIONS(734),
    [anon_sym_R_DQUOTE] = ACTIONS(603),
    [anon_sym_LR_DQUOTE] = ACTIONS(603),
    [anon_sym_uR_DQUOTE] = ACTIONS(603),
    [anon_sym_UR_DQUOTE] = ACTIONS(603),
    [anon_sym_u8R_DQUOTE] = ACTIONS(603),
    [anon_sym_co_await] = ACTIONS(606),
    [anon_sym_new] = ACTIONS(609),
    [anon_sym_requires] = ACTIONS(612),
    [sym_this] = ACTIONS(552),
  },
  [42] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(737),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [43] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(739),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [44] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(741),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [45] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(743),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [46] = {
    [sym__block_item] = STATE(36),
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(36),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(36),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(36),
    [sym_template_instantiation] = STATE(36),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(36),
    [sym_operator_cast_declaration] = STATE(36),
    [sym_constructor_or_destructor_definition] = STATE(36),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(36),
    [sym_namespace_alias_definition] = STATE(36),
    [sym_using_declaration] = STATE(36),
    [sym_alias_declaration] = STATE(36),
    [sym_static_assert_declaration] = STATE(36),
    [sym_concept_definition] = STATE(36),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(745),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [47] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [48] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(749),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [49] = {
    [sym__block_item] = STATE(43),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(43),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(751),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [50] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(753),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [51] = {
    [sym__block_item] = STATE(55),
    [sym_preproc_include] = STATE(55),
    [sym_preproc_def] = STATE(55),
    [sym_preproc_function_def] = STATE(55),
    [sym_preproc_call] = STATE(55),
    [sym_preproc_if] = STATE(55),
    [sym_preproc_ifdef] = STATE(55),
    [sym_function_definition] = STATE(55),
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(55),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(55),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(55),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(55),
    [sym_template_instantiation] = STATE(55),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(55),
    [sym_operator_cast_declaration] = STATE(55),
    [sym_constructor_or_destructor_definition] = STATE(55),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(55),
    [sym_namespace_alias_definition] = STATE(55),
    [sym_using_declaration] = STATE(55),
    [sym_alias_declaration] = STATE(55),
    [sym_static_assert_declaration] = STATE(55),
    [sym_concept_definition] = STATE(55),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(55),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(755),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [52] = {
    [sym__block_item] = STATE(58),
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4501),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1827),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5984),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(486),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2609),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(632),
    [sym_statement] = STATE(58),
    [sym_labeled_statement] = STATE(486),
    [sym_expression_statement] = STATE(486),
    [sym_if_statement] = STATE(486),
    [sym_switch_statement] = STATE(486),
    [sym_case_statement] = STATE(486),
    [sym_while_statement] = STATE(486),
    [sym_do_statement] = STATE(486),
    [sym_for_statement] = STATE(486),
    [sym_return_statement] = STATE(486),
    [sym_break_statement] = STATE(486),
    [sym_continue_statement] = STATE(486),
    [sym_goto_statement] = STATE(486),
    [sym_seh_try_statement] = STATE(486),
    [sym_seh_leave_statement] = STATE(486),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1826),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(6393),
    [sym__constructor_specifiers] = STATE(1826),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(486),
    [sym_co_return_statement] = STATE(486),
    [sym_co_yield_statement] = STATE(486),
    [sym_throw_statement] = STATE(486),
    [sym_try_statement] = STATE(486),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6393),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(757),
    [aux_sym_preproc_include_token1] = ACTIONS(759),
    [aux_sym_preproc_def_token1] = ACTIONS(761),
    [aux_sym_preproc_if_token1] = ACTIONS(763),
    [aux_sym_preproc_if_token2] = ACTIONS(765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(767),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(767),
    [sym_preproc_directive] = ACTIONS(769),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym___extension__] = ACTIONS(773),
    [anon_sym_typedef] = ACTIONS(775),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(777),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(781),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_case] = ACTIONS(787),
    [anon_sym_default] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(797),
    [anon_sym_break] = ACTIONS(799),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_goto] = ACTIONS(803),
    [anon_sym___try] = ACTIONS(805),
    [anon_sym___leave] = ACTIONS(807),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(809),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(813),
    [anon_sym_namespace] = ACTIONS(815),
    [anon_sym_using] = ACTIONS(817),
    [anon_sym_static_assert] = ACTIONS(819),
    [anon_sym_concept] = ACTIONS(821),
    [anon_sym_co_return] = ACTIONS(823),
    [anon_sym_co_yield] = ACTIONS(825),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [53] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(827),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [54] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(829),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [55] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [56] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [57] = {
    [sym__block_item] = STATE(52),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4501),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1827),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5984),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(486),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2609),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(632),
    [sym_statement] = STATE(52),
    [sym_labeled_statement] = STATE(486),
    [sym_expression_statement] = STATE(486),
    [sym_if_statement] = STATE(486),
    [sym_switch_statement] = STATE(486),
    [sym_case_statement] = STATE(486),
    [sym_while_statement] = STATE(486),
    [sym_do_statement] = STATE(486),
    [sym_for_statement] = STATE(486),
    [sym_return_statement] = STATE(486),
    [sym_break_statement] = STATE(486),
    [sym_continue_statement] = STATE(486),
    [sym_goto_statement] = STATE(486),
    [sym_seh_try_statement] = STATE(486),
    [sym_seh_leave_statement] = STATE(486),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(52),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1826),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(52),
    [sym_template_instantiation] = STATE(52),
    [sym_operator_cast] = STATE(6393),
    [sym__constructor_specifiers] = STATE(1826),
    [sym_operator_cast_definition] = STATE(52),
    [sym_operator_cast_declaration] = STATE(52),
    [sym_constructor_or_destructor_definition] = STATE(52),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(52),
    [sym_namespace_alias_definition] = STATE(52),
    [sym_using_declaration] = STATE(52),
    [sym_alias_declaration] = STATE(52),
    [sym_static_assert_declaration] = STATE(52),
    [sym_concept_definition] = STATE(52),
    [sym_for_range_loop] = STATE(486),
    [sym_co_return_statement] = STATE(486),
    [sym_co_yield_statement] = STATE(486),
    [sym_throw_statement] = STATE(486),
    [sym_try_statement] = STATE(486),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6393),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(757),
    [aux_sym_preproc_include_token1] = ACTIONS(759),
    [aux_sym_preproc_def_token1] = ACTIONS(761),
    [aux_sym_preproc_if_token1] = ACTIONS(763),
    [aux_sym_preproc_if_token2] = ACTIONS(835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(767),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(767),
    [sym_preproc_directive] = ACTIONS(769),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym___extension__] = ACTIONS(773),
    [anon_sym_typedef] = ACTIONS(775),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(777),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(781),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_case] = ACTIONS(787),
    [anon_sym_default] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(797),
    [anon_sym_break] = ACTIONS(799),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_goto] = ACTIONS(803),
    [anon_sym___try] = ACTIONS(805),
    [anon_sym___leave] = ACTIONS(807),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(809),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(813),
    [anon_sym_namespace] = ACTIONS(815),
    [anon_sym_using] = ACTIONS(817),
    [anon_sym_static_assert] = ACTIONS(819),
    [anon_sym_concept] = ACTIONS(821),
    [anon_sym_co_return] = ACTIONS(823),
    [anon_sym_co_yield] = ACTIONS(825),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [58] = {
    [sym__block_item] = STATE(58),
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4501),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1827),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5984),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(486),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2609),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(632),
    [sym_statement] = STATE(58),
    [sym_labeled_statement] = STATE(486),
    [sym_expression_statement] = STATE(486),
    [sym_if_statement] = STATE(486),
    [sym_switch_statement] = STATE(486),
    [sym_case_statement] = STATE(486),
    [sym_while_statement] = STATE(486),
    [sym_do_statement] = STATE(486),
    [sym_for_statement] = STATE(486),
    [sym_return_statement] = STATE(486),
    [sym_break_statement] = STATE(486),
    [sym_continue_statement] = STATE(486),
    [sym_goto_statement] = STATE(486),
    [sym_seh_try_statement] = STATE(486),
    [sym_seh_leave_statement] = STATE(486),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1826),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(6393),
    [sym__constructor_specifiers] = STATE(1826),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(486),
    [sym_co_return_statement] = STATE(486),
    [sym_co_yield_statement] = STATE(486),
    [sym_throw_statement] = STATE(486),
    [sym_try_statement] = STATE(486),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6393),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(837),
    [aux_sym_preproc_include_token1] = ACTIONS(840),
    [aux_sym_preproc_def_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token1] = ACTIONS(846),
    [aux_sym_preproc_if_token2] = ACTIONS(385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(852),
    [anon_sym_LPAREN2] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_AMP_AMP] = ACTIONS(408),
    [anon_sym_AMP] = ACTIONS(411),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym___extension__] = ACTIONS(858),
    [anon_sym_typedef] = ACTIONS(861),
    [anon_sym_virtual] = ACTIONS(423),
    [anon_sym_extern] = ACTIONS(864),
    [anon_sym___attribute__] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(435),
    [anon_sym___declspec] = ACTIONS(438),
    [anon_sym___based] = ACTIONS(441),
    [anon_sym___cdecl] = ACTIONS(444),
    [anon_sym___clrcall] = ACTIONS(444),
    [anon_sym___stdcall] = ACTIONS(444),
    [anon_sym___fastcall] = ACTIONS(444),
    [anon_sym___thiscall] = ACTIONS(444),
    [anon_sym___vectorcall] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_signed] = ACTIONS(450),
    [anon_sym_unsigned] = ACTIONS(450),
    [anon_sym_long] = ACTIONS(450),
    [anon_sym_short] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(453),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_register] = ACTIONS(456),
    [anon_sym_inline] = ACTIONS(870),
    [anon_sym___inline] = ACTIONS(456),
    [anon_sym___inline__] = ACTIONS(456),
    [anon_sym___forceinline] = ACTIONS(456),
    [anon_sym_thread_local] = ACTIONS(456),
    [anon_sym___thread] = ACTIONS(456),
    [anon_sym_const] = ACTIONS(462),
    [anon_sym_constexpr] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_restrict] = ACTIONS(462),
    [anon_sym___restrict__] = ACTIONS(462),
    [anon_sym__Atomic] = ACTIONS(462),
    [anon_sym__Noreturn] = ACTIONS(462),
    [anon_sym_noreturn] = ACTIONS(462),
    [anon_sym__Nonnull] = ACTIONS(462),
    [anon_sym_mutable] = ACTIONS(462),
    [anon_sym_constinit] = ACTIONS(462),
    [anon_sym_consteval] = ACTIONS(462),
    [anon_sym_PROGMEM] = ACTIONS(462),
    [anon_sym_alignas] = ACTIONS(465),
    [anon_sym__Alignas] = ACTIONS(465),
    [aux_sym_primitive_type_token1] = ACTIONS(468),
    [anon_sym_byte] = ACTIONS(468),
    [anon_sym_word] = ACTIONS(468),
    [anon_sym_enum] = ACTIONS(471),
    [anon_sym_class] = ACTIONS(474),
    [anon_sym_struct] = ACTIONS(477),
    [anon_sym_union] = ACTIONS(480),
    [anon_sym_if] = ACTIONS(873),
    [anon_sym_switch] = ACTIONS(876),
    [anon_sym_case] = ACTIONS(879),
    [anon_sym_default] = ACTIONS(882),
    [anon_sym_while] = ACTIONS(885),
    [anon_sym_do] = ACTIONS(888),
    [anon_sym_for] = ACTIONS(891),
    [anon_sym_return] = ACTIONS(894),
    [anon_sym_break] = ACTIONS(897),
    [anon_sym_continue] = ACTIONS(900),
    [anon_sym_goto] = ACTIONS(903),
    [anon_sym___try] = ACTIONS(906),
    [anon_sym___leave] = ACTIONS(909),
    [anon_sym_not] = ACTIONS(402),
    [anon_sym_compl] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_sizeof] = ACTIONS(525),
    [anon_sym___alignof__] = ACTIONS(528),
    [anon_sym___alignof] = ACTIONS(528),
    [anon_sym__alignof] = ACTIONS(528),
    [anon_sym_alignof] = ACTIONS(528),
    [anon_sym__Alignof] = ACTIONS(528),
    [anon_sym_offsetof] = ACTIONS(531),
    [anon_sym__Generic] = ACTIONS(534),
    [anon_sym_asm] = ACTIONS(537),
    [anon_sym___asm__] = ACTIONS(537),
    [anon_sym___asm] = ACTIONS(537),
    [aux_sym_number_literal_token1] = ACTIONS(540),
    [aux_sym_number_literal_token2] = ACTIONS(543),
    [anon_sym_L_SQUOTE] = ACTIONS(546),
    [anon_sym_u_SQUOTE] = ACTIONS(546),
    [anon_sym_U_SQUOTE] = ACTIONS(546),
    [anon_sym_u8_SQUOTE] = ACTIONS(546),
    [anon_sym_SQUOTE] = ACTIONS(546),
    [anon_sym_L_DQUOTE] = ACTIONS(549),
    [anon_sym_u_DQUOTE] = ACTIONS(549),
    [anon_sym_U_DQUOTE] = ACTIONS(549),
    [anon_sym_u8_DQUOTE] = ACTIONS(549),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [sym_true] = ACTIONS(552),
    [sym_false] = ACTIONS(552),
    [anon_sym_NULL] = ACTIONS(555),
    [anon_sym_nullptr] = ACTIONS(555),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(558),
    [anon_sym_decltype] = ACTIONS(561),
    [anon_sym_explicit] = ACTIONS(564),
    [anon_sym_typename] = ACTIONS(567),
    [anon_sym_template] = ACTIONS(912),
    [anon_sym_operator] = ACTIONS(573),
    [anon_sym_try] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(579),
    [anon_sym_throw] = ACTIONS(918),
    [anon_sym_namespace] = ACTIONS(921),
    [anon_sym_using] = ACTIONS(924),
    [anon_sym_static_assert] = ACTIONS(927),
    [anon_sym_concept] = ACTIONS(930),
    [anon_sym_co_return] = ACTIONS(933),
    [anon_sym_co_yield] = ACTIONS(936),
    [anon_sym_R_DQUOTE] = ACTIONS(603),
    [anon_sym_LR_DQUOTE] = ACTIONS(603),
    [anon_sym_uR_DQUOTE] = ACTIONS(603),
    [anon_sym_UR_DQUOTE] = ACTIONS(603),
    [anon_sym_u8R_DQUOTE] = ACTIONS(603),
    [anon_sym_co_await] = ACTIONS(606),
    [anon_sym_new] = ACTIONS(609),
    [anon_sym_requires] = ACTIONS(612),
    [sym_this] = ACTIONS(552),
  },
  [59] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [60] = {
    [sym__block_item] = STATE(59),
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(59),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(941),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [61] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(62),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(62),
    [sym_template_instantiation] = STATE(62),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(62),
    [sym_operator_cast_declaration] = STATE(62),
    [sym_constructor_or_destructor_definition] = STATE(62),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(62),
    [sym_namespace_alias_definition] = STATE(62),
    [sym_using_declaration] = STATE(62),
    [sym_alias_declaration] = STATE(62),
    [sym_static_assert_declaration] = STATE(62),
    [sym_concept_definition] = STATE(62),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(62),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(943),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [62] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(945),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [63] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(947),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [64] = {
    [sym__block_item] = STATE(63),
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(63),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(949),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [65] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(951),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [66] = {
    [sym__block_item] = STATE(78),
    [sym_preproc_include] = STATE(78),
    [sym_preproc_def] = STATE(78),
    [sym_preproc_function_def] = STATE(78),
    [sym_preproc_call] = STATE(78),
    [sym_preproc_if] = STATE(78),
    [sym_preproc_ifdef] = STATE(78),
    [sym_function_definition] = STATE(78),
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(78),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(78),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(78),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(78),
    [sym_template_instantiation] = STATE(78),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(78),
    [sym_operator_cast_declaration] = STATE(78),
    [sym_constructor_or_destructor_definition] = STATE(78),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(78),
    [sym_namespace_alias_definition] = STATE(78),
    [sym_using_declaration] = STATE(78),
    [sym_alias_declaration] = STATE(78),
    [sym_static_assert_declaration] = STATE(78),
    [sym_concept_definition] = STATE(78),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(78),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(953),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [67] = {
    [sym__block_item] = STATE(72),
    [sym_preproc_include] = STATE(72),
    [sym_preproc_def] = STATE(72),
    [sym_preproc_function_def] = STATE(72),
    [sym_preproc_call] = STATE(72),
    [sym_preproc_if] = STATE(72),
    [sym_preproc_ifdef] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(72),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(72),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(72),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(72),
    [sym_template_instantiation] = STATE(72),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(72),
    [sym_operator_cast_declaration] = STATE(72),
    [sym_constructor_or_destructor_definition] = STATE(72),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(72),
    [sym_namespace_alias_definition] = STATE(72),
    [sym_using_declaration] = STATE(72),
    [sym_alias_declaration] = STATE(72),
    [sym_static_assert_declaration] = STATE(72),
    [sym_concept_definition] = STATE(72),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(72),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(955),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [68] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(957),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [69] = {
    [sym__block_item] = STATE(68),
    [sym_preproc_include] = STATE(68),
    [sym_preproc_def] = STATE(68),
    [sym_preproc_function_def] = STATE(68),
    [sym_preproc_call] = STATE(68),
    [sym_preproc_if] = STATE(68),
    [sym_preproc_ifdef] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(68),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(68),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(68),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(68),
    [sym_template_instantiation] = STATE(68),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(68),
    [sym_operator_cast_declaration] = STATE(68),
    [sym_constructor_or_destructor_definition] = STATE(68),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(68),
    [sym_namespace_alias_definition] = STATE(68),
    [sym_using_declaration] = STATE(68),
    [sym_alias_declaration] = STATE(68),
    [sym_static_assert_declaration] = STATE(68),
    [sym_concept_definition] = STATE(68),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(68),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(959),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [70] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(961),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [71] = {
    [sym__block_item] = STATE(48),
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(48),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(48),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(48),
    [sym_template_instantiation] = STATE(48),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(48),
    [sym_operator_cast_declaration] = STATE(48),
    [sym_constructor_or_destructor_definition] = STATE(48),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(48),
    [sym_namespace_alias_definition] = STATE(48),
    [sym_using_declaration] = STATE(48),
    [sym_alias_declaration] = STATE(48),
    [sym_static_assert_declaration] = STATE(48),
    [sym_concept_definition] = STATE(48),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(963),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [72] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(965),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [73] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(967),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [74] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(969),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [75] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(971),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [76] = {
    [sym__block_item] = STATE(74),
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(74),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(973),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [77] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(975),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [78] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(977),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [79] = {
    [sym__block_item] = STATE(77),
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if] = STATE(77),
    [sym_preproc_ifdef] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_linkage_specification] = STATE(77),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5951),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(626),
    [sym_statement] = STATE(77),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym__empty_declaration] = STATE(77),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1838),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(77),
    [sym_template_instantiation] = STATE(77),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1838),
    [sym_operator_cast_definition] = STATE(77),
    [sym_operator_cast_declaration] = STATE(77),
    [sym_constructor_or_destructor_definition] = STATE(77),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4415),
    [sym_namespace_definition] = STATE(77),
    [sym_namespace_alias_definition] = STATE(77),
    [sym_using_declaration] = STATE(77),
    [sym_alias_declaration] = STATE(77),
    [sym_static_assert_declaration] = STATE(77),
    [sym_concept_definition] = STATE(77),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3218),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_preproc_if_repeat1] = STATE(77),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1838),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(163),
    [aux_sym_preproc_def_token1] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(171),
    [sym_preproc_directive] = ACTIONS(173),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(177),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(181),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(979),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(189),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [80] = {
    [sym__top_level_item] = STATE(80),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4539),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1835),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5977),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2613),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(727),
    [sym__top_level_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_expression] = STATE(4680),
    [sym__string] = STATE(4642),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(3671),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(3671),
    [sym_call_expression] = STATE(3671),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_extension_expression] = STATE(4695),
    [sym_field_expression] = STATE(3671),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(3671),
    [sym_number_literal] = STATE(4642),
    [sym_char_literal] = STATE(4642),
    [sym_concatenated_string] = STATE(4642),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(4695),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1836),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6379),
    [sym__constructor_specifiers] = STATE(1836),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4671),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3555),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6379),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3671),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(214),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1836),
    [ts_builtin_sym_end] = ACTIONS(981),
    [sym_identifier] = ACTIONS(983),
    [aux_sym_preproc_include_token1] = ACTIONS(986),
    [aux_sym_preproc_def_token1] = ACTIONS(989),
    [aux_sym_preproc_if_token1] = ACTIONS(992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(995),
    [sym_preproc_directive] = ACTIONS(998),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_BANG] = ACTIONS(1004),
    [anon_sym_TILDE] = ACTIONS(1007),
    [anon_sym_DASH] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1010),
    [anon_sym_STAR] = ACTIONS(1013),
    [anon_sym_AMP_AMP] = ACTIONS(1016),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym___extension__] = ACTIONS(1022),
    [anon_sym_typedef] = ACTIONS(1025),
    [anon_sym_virtual] = ACTIONS(1028),
    [anon_sym_extern] = ACTIONS(1031),
    [anon_sym___attribute__] = ACTIONS(1034),
    [anon_sym_COLON_COLON] = ACTIONS(1037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1040),
    [anon_sym___declspec] = ACTIONS(1043),
    [anon_sym___based] = ACTIONS(1046),
    [anon_sym___cdecl] = ACTIONS(1049),
    [anon_sym___clrcall] = ACTIONS(1049),
    [anon_sym___stdcall] = ACTIONS(1049),
    [anon_sym___fastcall] = ACTIONS(1049),
    [anon_sym___thiscall] = ACTIONS(1049),
    [anon_sym___vectorcall] = ACTIONS(1049),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_signed] = ACTIONS(1055),
    [anon_sym_unsigned] = ACTIONS(1055),
    [anon_sym_long] = ACTIONS(1055),
    [anon_sym_short] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_register] = ACTIONS(1061),
    [anon_sym_inline] = ACTIONS(1064),
    [anon_sym___inline] = ACTIONS(1061),
    [anon_sym___inline__] = ACTIONS(1061),
    [anon_sym___forceinline] = ACTIONS(1061),
    [anon_sym_thread_local] = ACTIONS(1061),
    [anon_sym___thread] = ACTIONS(1061),
    [anon_sym_const] = ACTIONS(1067),
    [anon_sym_constexpr] = ACTIONS(1067),
    [anon_sym_volatile] = ACTIONS(1067),
    [anon_sym_restrict] = ACTIONS(1067),
    [anon_sym___restrict__] = ACTIONS(1067),
    [anon_sym__Atomic] = ACTIONS(1067),
    [anon_sym__Noreturn] = ACTIONS(1067),
    [anon_sym_noreturn] = ACTIONS(1067),
    [anon_sym__Nonnull] = ACTIONS(1067),
    [anon_sym_mutable] = ACTIONS(1067),
    [anon_sym_constinit] = ACTIONS(1067),
    [anon_sym_consteval] = ACTIONS(1067),
    [anon_sym_PROGMEM] = ACTIONS(1067),
    [anon_sym_alignas] = ACTIONS(1070),
    [anon_sym__Alignas] = ACTIONS(1070),
    [aux_sym_primitive_type_token1] = ACTIONS(1073),
    [anon_sym_byte] = ACTIONS(1073),
    [anon_sym_word] = ACTIONS(1073),
    [anon_sym_enum] = ACTIONS(1076),
    [anon_sym_class] = ACTIONS(1079),
    [anon_sym_struct] = ACTIONS(1082),
    [anon_sym_union] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1094),
    [anon_sym_default] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(1100),
    [anon_sym_do] = ACTIONS(1103),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_return] = ACTIONS(1109),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1115),
    [anon_sym_goto] = ACTIONS(1118),
    [anon_sym_not] = ACTIONS(1010),
    [anon_sym_compl] = ACTIONS(1010),
    [anon_sym_DASH_DASH] = ACTIONS(1121),
    [anon_sym_PLUS_PLUS] = ACTIONS(1121),
    [anon_sym_sizeof] = ACTIONS(1124),
    [anon_sym___alignof__] = ACTIONS(1127),
    [anon_sym___alignof] = ACTIONS(1127),
    [anon_sym__alignof] = ACTIONS(1127),
    [anon_sym_alignof] = ACTIONS(1127),
    [anon_sym__Alignof] = ACTIONS(1127),
    [anon_sym_offsetof] = ACTIONS(1130),
    [anon_sym__Generic] = ACTIONS(1133),
    [anon_sym_asm] = ACTIONS(1136),
    [anon_sym___asm__] = ACTIONS(1136),
    [anon_sym___asm] = ACTIONS(1136),
    [aux_sym_number_literal_token1] = ACTIONS(1139),
    [aux_sym_number_literal_token2] = ACTIONS(1142),
    [anon_sym_L_SQUOTE] = ACTIONS(1145),
    [anon_sym_u_SQUOTE] = ACTIONS(1145),
    [anon_sym_U_SQUOTE] = ACTIONS(1145),
    [anon_sym_u8_SQUOTE] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [anon_sym_L_DQUOTE] = ACTIONS(1148),
    [anon_sym_u_DQUOTE] = ACTIONS(1148),
    [anon_sym_U_DQUOTE] = ACTIONS(1148),
    [anon_sym_u8_DQUOTE] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [anon_sym_NULL] = ACTIONS(1154),
    [anon_sym_nullptr] = ACTIONS(1154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1157),
    [anon_sym_decltype] = ACTIONS(1160),
    [anon_sym_explicit] = ACTIONS(1163),
    [anon_sym_typename] = ACTIONS(1166),
    [anon_sym_template] = ACTIONS(1169),
    [anon_sym_operator] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1175),
    [anon_sym_delete] = ACTIONS(1178),
    [anon_sym_throw] = ACTIONS(1181),
    [anon_sym_namespace] = ACTIONS(1184),
    [anon_sym_using] = ACTIONS(1187),
    [anon_sym_static_assert] = ACTIONS(1190),
    [anon_sym_concept] = ACTIONS(1193),
    [anon_sym_co_return] = ACTIONS(1196),
    [anon_sym_co_yield] = ACTIONS(1199),
    [anon_sym_R_DQUOTE] = ACTIONS(1202),
    [anon_sym_LR_DQUOTE] = ACTIONS(1202),
    [anon_sym_uR_DQUOTE] = ACTIONS(1202),
    [anon_sym_UR_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1202),
    [anon_sym_co_await] = ACTIONS(1205),
    [anon_sym_new] = ACTIONS(1208),
    [anon_sym_requires] = ACTIONS(1211),
    [sym_this] = ACTIONS(1151),
  },
  [81] = {
    [sym__top_level_item] = STATE(80),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4539),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(830),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1835),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5977),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2613),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(727),
    [sym__top_level_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_expression] = STATE(4680),
    [sym__string] = STATE(4642),
    [sym_conditional_expression] = STATE(4695),
    [sym_assignment_expression] = STATE(4695),
    [sym_pointer_expression] = STATE(3671),
    [sym_unary_expression] = STATE(4695),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(4695),
    [sym_cast_expression] = STATE(4695),
    [sym_sizeof_expression] = STATE(4695),
    [sym_alignof_expression] = STATE(4695),
    [sym_offsetof_expression] = STATE(4695),
    [sym_generic_expression] = STATE(4695),
    [sym_subscript_expression] = STATE(3671),
    [sym_call_expression] = STATE(3671),
    [sym_gnu_asm_expression] = STATE(4695),
    [sym_extension_expression] = STATE(4695),
    [sym_field_expression] = STATE(3671),
    [sym_compound_literal_expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(3671),
    [sym_number_literal] = STATE(4642),
    [sym_char_literal] = STATE(4642),
    [sym_concatenated_string] = STATE(4642),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(4695),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_explicit_function_specifier] = STATE(1836),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6379),
    [sym__constructor_specifiers] = STATE(1836),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(4671),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(4695),
    [sym_new_expression] = STATE(4695),
    [sym_delete_expression] = STATE(4695),
    [sym_requires_clause] = STATE(4695),
    [sym_requires_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(4695),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(4695),
    [sym_parameter_pack_expansion] = STATE(4695),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5241),
    [sym_qualified_identifier] = STATE(3555),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_qualified_operator_cast_identifier] = STATE(6379),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3671),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(214),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1836),
    [ts_builtin_sym_end] = ACTIONS(1214),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(119),
    [sym_false] = ACTIONS(119),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(131),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(141),
    [anon_sym_using] = ACTIONS(143),
    [anon_sym_static_assert] = ACTIONS(145),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(119),
  },
  [82] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4993),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1216),
    [aux_sym_preproc_include_token1] = ACTIONS(1219),
    [aux_sym_preproc_def_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token2] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [aux_sym_preproc_else_token1] = ACTIONS(1219),
    [aux_sym_preproc_elif_token1] = ACTIONS(1219),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1219),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP_AMP] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(1238),
    [anon_sym___extension__] = ACTIONS(1241),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_virtual] = ACTIONS(1247),
    [anon_sym_extern] = ACTIONS(1250),
    [anon_sym___attribute__] = ACTIONS(1253),
    [anon_sym_COLON_COLON] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1259),
    [anon_sym___declspec] = ACTIONS(1262),
    [anon_sym___based] = ACTIONS(1219),
    [anon_sym___cdecl] = ACTIONS(1219),
    [anon_sym___clrcall] = ACTIONS(1219),
    [anon_sym___stdcall] = ACTIONS(1219),
    [anon_sym___fastcall] = ACTIONS(1219),
    [anon_sym___thiscall] = ACTIONS(1219),
    [anon_sym___vectorcall] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1265),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_register] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(1250),
    [anon_sym___inline] = ACTIONS(1250),
    [anon_sym___inline__] = ACTIONS(1250),
    [anon_sym___forceinline] = ACTIONS(1250),
    [anon_sym_thread_local] = ACTIONS(1250),
    [anon_sym___thread] = ACTIONS(1250),
    [anon_sym_const] = ACTIONS(1274),
    [anon_sym_constexpr] = ACTIONS(1274),
    [anon_sym_volatile] = ACTIONS(1274),
    [anon_sym_restrict] = ACTIONS(1274),
    [anon_sym___restrict__] = ACTIONS(1274),
    [anon_sym__Atomic] = ACTIONS(1274),
    [anon_sym__Noreturn] = ACTIONS(1274),
    [anon_sym_noreturn] = ACTIONS(1274),
    [anon_sym__Nonnull] = ACTIONS(1274),
    [anon_sym_mutable] = ACTIONS(1274),
    [anon_sym_constinit] = ACTIONS(1274),
    [anon_sym_consteval] = ACTIONS(1274),
    [anon_sym_PROGMEM] = ACTIONS(1274),
    [anon_sym_alignas] = ACTIONS(1277),
    [anon_sym__Alignas] = ACTIONS(1277),
    [aux_sym_primitive_type_token1] = ACTIONS(1280),
    [anon_sym_byte] = ACTIONS(1280),
    [anon_sym_word] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1283),
    [anon_sym_class] = ACTIONS(1286),
    [anon_sym_struct] = ACTIONS(1289),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1301),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1313),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1319),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1325),
    [anon_sym_not] = ACTIONS(1227),
    [anon_sym_compl] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1331),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1337),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1343),
    [anon_sym___asm__] = ACTIONS(1343),
    [anon_sym___asm] = ACTIONS(1343),
    [aux_sym_number_literal_token1] = ACTIONS(1346),
    [aux_sym_number_literal_token2] = ACTIONS(1349),
    [anon_sym_L_SQUOTE] = ACTIONS(1352),
    [anon_sym_u_SQUOTE] = ACTIONS(1352),
    [anon_sym_U_SQUOTE] = ACTIONS(1352),
    [anon_sym_u8_SQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_L_DQUOTE] = ACTIONS(1355),
    [anon_sym_u_DQUOTE] = ACTIONS(1355),
    [anon_sym_U_DQUOTE] = ACTIONS(1355),
    [anon_sym_u8_DQUOTE] = ACTIONS(1355),
    [anon_sym_DQUOTE] = ACTIONS(1355),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1361),
    [anon_sym_nullptr] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1364),
    [anon_sym_decltype] = ACTIONS(1367),
    [anon_sym_explicit] = ACTIONS(1219),
    [anon_sym_typename] = ACTIONS(1370),
    [anon_sym_template] = ACTIONS(1373),
    [anon_sym_operator] = ACTIONS(1219),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_delete] = ACTIONS(1379),
    [anon_sym_throw] = ACTIONS(1382),
    [anon_sym_namespace] = ACTIONS(1219),
    [anon_sym_using] = ACTIONS(1219),
    [anon_sym_static_assert] = ACTIONS(1219),
    [anon_sym_concept] = ACTIONS(1219),
    [anon_sym_co_return] = ACTIONS(1385),
    [anon_sym_co_yield] = ACTIONS(1388),
    [anon_sym_R_DQUOTE] = ACTIONS(1391),
    [anon_sym_LR_DQUOTE] = ACTIONS(1391),
    [anon_sym_uR_DQUOTE] = ACTIONS(1391),
    [anon_sym_UR_DQUOTE] = ACTIONS(1391),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1391),
    [anon_sym_co_await] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1397),
    [anon_sym_requires] = ACTIONS(1400),
    [sym_this] = ACTIONS(1358),
  },
  [83] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4993),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1403),
    [aux_sym_preproc_include_token1] = ACTIONS(1405),
    [aux_sym_preproc_def_token1] = ACTIONS(1405),
    [aux_sym_preproc_if_token1] = ACTIONS(1405),
    [aux_sym_preproc_if_token2] = ACTIONS(1405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1405),
    [aux_sym_preproc_else_token1] = ACTIONS(1405),
    [aux_sym_preproc_elif_token1] = ACTIONS(1405),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1405),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1405),
    [sym_preproc_directive] = ACTIONS(1405),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1415),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1405),
    [anon_sym___cdecl] = ACTIONS(1405),
    [anon_sym___clrcall] = ACTIONS(1405),
    [anon_sym___stdcall] = ACTIONS(1405),
    [anon_sym___fastcall] = ACTIONS(1405),
    [anon_sym___thiscall] = ACTIONS(1405),
    [anon_sym___vectorcall] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1405),
    [anon_sym_default] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1405),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1405),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1405),
    [anon_sym_using] = ACTIONS(1405),
    [anon_sym_static_assert] = ACTIONS(1405),
    [anon_sym_concept] = ACTIONS(1405),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [84] = {
    [sym_declaration] = STATE(86),
    [sym_type_definition] = STATE(86),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4993),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(86),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(86),
    [sym_labeled_statement] = STATE(86),
    [sym_expression_statement] = STATE(86),
    [sym_if_statement] = STATE(86),
    [sym_switch_statement] = STATE(86),
    [sym_while_statement] = STATE(86),
    [sym_do_statement] = STATE(86),
    [sym_for_statement] = STATE(86),
    [sym_return_statement] = STATE(86),
    [sym_break_statement] = STATE(86),
    [sym_continue_statement] = STATE(86),
    [sym_goto_statement] = STATE(86),
    [sym_seh_try_statement] = STATE(86),
    [sym_seh_leave_statement] = STATE(86),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(86),
    [sym_co_return_statement] = STATE(86),
    [sym_co_yield_statement] = STATE(86),
    [sym_throw_statement] = STATE(86),
    [sym_try_statement] = STATE(86),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(86),
    [sym_identifier] = ACTIONS(1403),
    [aux_sym_preproc_include_token1] = ACTIONS(1425),
    [aux_sym_preproc_def_token1] = ACTIONS(1425),
    [aux_sym_preproc_if_token1] = ACTIONS(1425),
    [aux_sym_preproc_if_token2] = ACTIONS(1425),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1425),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1425),
    [aux_sym_preproc_else_token1] = ACTIONS(1425),
    [aux_sym_preproc_elif_token1] = ACTIONS(1425),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1425),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1425),
    [sym_preproc_directive] = ACTIONS(1425),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1427),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1415),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1425),
    [anon_sym___cdecl] = ACTIONS(1425),
    [anon_sym___clrcall] = ACTIONS(1425),
    [anon_sym___stdcall] = ACTIONS(1425),
    [anon_sym___fastcall] = ACTIONS(1425),
    [anon_sym___thiscall] = ACTIONS(1425),
    [anon_sym___vectorcall] = ACTIONS(1425),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1425),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1425),
    [anon_sym_default] = ACTIONS(1425),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1425),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1425),
    [anon_sym_using] = ACTIONS(1425),
    [anon_sym_static_assert] = ACTIONS(1425),
    [anon_sym_concept] = ACTIONS(1425),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [85] = {
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4993),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(1403),
    [aux_sym_preproc_include_token1] = ACTIONS(1429),
    [aux_sym_preproc_def_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token2] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1429),
    [aux_sym_preproc_else_token1] = ACTIONS(1429),
    [aux_sym_preproc_elif_token1] = ACTIONS(1429),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1429),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1429),
    [sym_preproc_directive] = ACTIONS(1429),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1415),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1429),
    [anon_sym___cdecl] = ACTIONS(1429),
    [anon_sym___clrcall] = ACTIONS(1429),
    [anon_sym___stdcall] = ACTIONS(1429),
    [anon_sym___fastcall] = ACTIONS(1429),
    [anon_sym___thiscall] = ACTIONS(1429),
    [anon_sym___vectorcall] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_default] = ACTIONS(1429),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1429),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1429),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_using] = ACTIONS(1429),
    [anon_sym_static_assert] = ACTIONS(1429),
    [anon_sym_concept] = ACTIONS(1429),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [86] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4993),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1403),
    [aux_sym_preproc_include_token1] = ACTIONS(1433),
    [aux_sym_preproc_def_token1] = ACTIONS(1433),
    [aux_sym_preproc_if_token1] = ACTIONS(1433),
    [aux_sym_preproc_if_token2] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1433),
    [aux_sym_preproc_else_token1] = ACTIONS(1433),
    [aux_sym_preproc_elif_token1] = ACTIONS(1433),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1433),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1433),
    [sym_preproc_directive] = ACTIONS(1433),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1435),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1415),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1433),
    [anon_sym___cdecl] = ACTIONS(1433),
    [anon_sym___clrcall] = ACTIONS(1433),
    [anon_sym___stdcall] = ACTIONS(1433),
    [anon_sym___fastcall] = ACTIONS(1433),
    [anon_sym___thiscall] = ACTIONS(1433),
    [anon_sym___vectorcall] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1433),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1433),
    [anon_sym_default] = ACTIONS(1433),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1433),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1433),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_using] = ACTIONS(1433),
    [anon_sym_static_assert] = ACTIONS(1433),
    [anon_sym_concept] = ACTIONS(1433),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [87] = {
    [sym_declaration] = STATE(94),
    [sym_type_definition] = STATE(94),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4921),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(94),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(94),
    [sym_labeled_statement] = STATE(94),
    [sym_expression_statement] = STATE(94),
    [sym_if_statement] = STATE(94),
    [sym_switch_statement] = STATE(94),
    [sym_while_statement] = STATE(94),
    [sym_do_statement] = STATE(94),
    [sym_for_statement] = STATE(94),
    [sym_return_statement] = STATE(94),
    [sym_break_statement] = STATE(94),
    [sym_continue_statement] = STATE(94),
    [sym_goto_statement] = STATE(94),
    [sym_seh_try_statement] = STATE(94),
    [sym_seh_leave_statement] = STATE(94),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(94),
    [sym_co_return_statement] = STATE(94),
    [sym_co_yield_statement] = STATE(94),
    [sym_throw_statement] = STATE(94),
    [sym_try_statement] = STATE(94),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(94),
    [sym_identifier] = ACTIONS(1437),
    [aux_sym_preproc_include_token1] = ACTIONS(1425),
    [aux_sym_preproc_def_token1] = ACTIONS(1425),
    [aux_sym_preproc_if_token1] = ACTIONS(1425),
    [aux_sym_preproc_if_token2] = ACTIONS(1425),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1425),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1425),
    [sym_preproc_directive] = ACTIONS(1425),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1427),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym___extension__] = ACTIONS(1439),
    [anon_sym_typedef] = ACTIONS(775),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1425),
    [anon_sym___cdecl] = ACTIONS(1425),
    [anon_sym___clrcall] = ACTIONS(1425),
    [anon_sym___stdcall] = ACTIONS(1425),
    [anon_sym___fastcall] = ACTIONS(1425),
    [anon_sym___thiscall] = ACTIONS(1425),
    [anon_sym___vectorcall] = ACTIONS(1425),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_else] = ACTIONS(1425),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_case] = ACTIONS(1425),
    [anon_sym_default] = ACTIONS(1425),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(797),
    [anon_sym_break] = ACTIONS(799),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_goto] = ACTIONS(803),
    [anon_sym___try] = ACTIONS(805),
    [anon_sym___leave] = ACTIONS(807),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1425),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(813),
    [anon_sym_namespace] = ACTIONS(1425),
    [anon_sym_using] = ACTIONS(1425),
    [anon_sym_static_assert] = ACTIONS(1425),
    [anon_sym_concept] = ACTIONS(1425),
    [anon_sym_co_return] = ACTIONS(823),
    [anon_sym_co_yield] = ACTIONS(825),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [88] = {
    [sym_declaration] = STATE(93),
    [sym_type_definition] = STATE(93),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4928),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(93),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(93),
    [sym_co_return_statement] = STATE(93),
    [sym_co_yield_statement] = STATE(93),
    [sym_throw_statement] = STATE(93),
    [sym_try_statement] = STATE(93),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(93),
    [sym_identifier] = ACTIONS(1441),
    [aux_sym_preproc_include_token1] = ACTIONS(1429),
    [aux_sym_preproc_def_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1429),
    [sym_preproc_directive] = ACTIONS(1429),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1443),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1429),
    [anon_sym___cdecl] = ACTIONS(1429),
    [anon_sym___clrcall] = ACTIONS(1429),
    [anon_sym___stdcall] = ACTIONS(1429),
    [anon_sym___fastcall] = ACTIONS(1429),
    [anon_sym___thiscall] = ACTIONS(1429),
    [anon_sym___vectorcall] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(1431),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_default] = ACTIONS(1429),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1429),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1429),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_using] = ACTIONS(1429),
    [anon_sym_static_assert] = ACTIONS(1429),
    [anon_sym_concept] = ACTIONS(1429),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [89] = {
    [sym_declaration] = STATE(97),
    [sym_type_definition] = STATE(97),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4947),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(97),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(97),
    [sym_labeled_statement] = STATE(97),
    [sym_expression_statement] = STATE(97),
    [sym_if_statement] = STATE(97),
    [sym_switch_statement] = STATE(97),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(97),
    [sym_for_statement] = STATE(97),
    [sym_return_statement] = STATE(97),
    [sym_break_statement] = STATE(97),
    [sym_continue_statement] = STATE(97),
    [sym_goto_statement] = STATE(97),
    [sym_seh_try_statement] = STATE(97),
    [sym_seh_leave_statement] = STATE(97),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8079),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(97),
    [sym_co_return_statement] = STATE(97),
    [sym_co_yield_statement] = STATE(97),
    [sym_throw_statement] = STATE(97),
    [sym_try_statement] = STATE(97),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(214),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(97),
    [ts_builtin_sym_end] = ACTIONS(1427),
    [sym_identifier] = ACTIONS(1445),
    [aux_sym_preproc_include_token1] = ACTIONS(1425),
    [aux_sym_preproc_def_token1] = ACTIONS(1425),
    [aux_sym_preproc_if_token1] = ACTIONS(1425),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1425),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1425),
    [sym_preproc_directive] = ACTIONS(1425),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1427),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(1449),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1425),
    [anon_sym___cdecl] = ACTIONS(1425),
    [anon_sym___clrcall] = ACTIONS(1425),
    [anon_sym___stdcall] = ACTIONS(1425),
    [anon_sym___fastcall] = ACTIONS(1425),
    [anon_sym___thiscall] = ACTIONS(1425),
    [anon_sym___vectorcall] = ACTIONS(1425),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(1425),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1425),
    [anon_sym_default] = ACTIONS(1425),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1451),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1425),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1425),
    [anon_sym_using] = ACTIONS(1425),
    [anon_sym_static_assert] = ACTIONS(1425),
    [anon_sym_concept] = ACTIONS(1425),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [90] = {
    [sym_declaration] = STATE(90),
    [sym_type_definition] = STATE(90),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4947),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(90),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8079),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(90),
    [sym_co_return_statement] = STATE(90),
    [sym_co_yield_statement] = STATE(90),
    [sym_throw_statement] = STATE(90),
    [sym_try_statement] = STATE(90),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(214),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(90),
    [ts_builtin_sym_end] = ACTIONS(1233),
    [sym_identifier] = ACTIONS(1455),
    [aux_sym_preproc_include_token1] = ACTIONS(1219),
    [aux_sym_preproc_def_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1219),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP_AMP] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym___extension__] = ACTIONS(1461),
    [anon_sym_typedef] = ACTIONS(1464),
    [anon_sym_virtual] = ACTIONS(1247),
    [anon_sym_extern] = ACTIONS(1250),
    [anon_sym___attribute__] = ACTIONS(1253),
    [anon_sym_COLON_COLON] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1259),
    [anon_sym___declspec] = ACTIONS(1262),
    [anon_sym___based] = ACTIONS(1219),
    [anon_sym___cdecl] = ACTIONS(1219),
    [anon_sym___clrcall] = ACTIONS(1219),
    [anon_sym___stdcall] = ACTIONS(1219),
    [anon_sym___fastcall] = ACTIONS(1219),
    [anon_sym___thiscall] = ACTIONS(1219),
    [anon_sym___vectorcall] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1467),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_register] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(1250),
    [anon_sym___inline] = ACTIONS(1250),
    [anon_sym___inline__] = ACTIONS(1250),
    [anon_sym___forceinline] = ACTIONS(1250),
    [anon_sym_thread_local] = ACTIONS(1250),
    [anon_sym___thread] = ACTIONS(1250),
    [anon_sym_const] = ACTIONS(1274),
    [anon_sym_constexpr] = ACTIONS(1274),
    [anon_sym_volatile] = ACTIONS(1274),
    [anon_sym_restrict] = ACTIONS(1274),
    [anon_sym___restrict__] = ACTIONS(1274),
    [anon_sym__Atomic] = ACTIONS(1274),
    [anon_sym__Noreturn] = ACTIONS(1274),
    [anon_sym_noreturn] = ACTIONS(1274),
    [anon_sym__Nonnull] = ACTIONS(1274),
    [anon_sym_mutable] = ACTIONS(1274),
    [anon_sym_constinit] = ACTIONS(1274),
    [anon_sym_consteval] = ACTIONS(1274),
    [anon_sym_PROGMEM] = ACTIONS(1274),
    [anon_sym_alignas] = ACTIONS(1277),
    [anon_sym__Alignas] = ACTIONS(1277),
    [aux_sym_primitive_type_token1] = ACTIONS(1280),
    [anon_sym_byte] = ACTIONS(1280),
    [anon_sym_word] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1283),
    [anon_sym_class] = ACTIONS(1286),
    [anon_sym_struct] = ACTIONS(1289),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1473),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_do] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_return] = ACTIONS(1485),
    [anon_sym_break] = ACTIONS(1488),
    [anon_sym_continue] = ACTIONS(1491),
    [anon_sym_goto] = ACTIONS(1494),
    [anon_sym___try] = ACTIONS(1497),
    [anon_sym___leave] = ACTIONS(1500),
    [anon_sym_not] = ACTIONS(1227),
    [anon_sym_compl] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1331),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1337),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1343),
    [anon_sym___asm__] = ACTIONS(1343),
    [anon_sym___asm] = ACTIONS(1343),
    [aux_sym_number_literal_token1] = ACTIONS(1346),
    [aux_sym_number_literal_token2] = ACTIONS(1349),
    [anon_sym_L_SQUOTE] = ACTIONS(1352),
    [anon_sym_u_SQUOTE] = ACTIONS(1352),
    [anon_sym_U_SQUOTE] = ACTIONS(1352),
    [anon_sym_u8_SQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_L_DQUOTE] = ACTIONS(1355),
    [anon_sym_u_DQUOTE] = ACTIONS(1355),
    [anon_sym_U_DQUOTE] = ACTIONS(1355),
    [anon_sym_u8_DQUOTE] = ACTIONS(1355),
    [anon_sym_DQUOTE] = ACTIONS(1355),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1361),
    [anon_sym_nullptr] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1364),
    [anon_sym_decltype] = ACTIONS(1367),
    [anon_sym_explicit] = ACTIONS(1219),
    [anon_sym_typename] = ACTIONS(1370),
    [anon_sym_template] = ACTIONS(1373),
    [anon_sym_operator] = ACTIONS(1219),
    [anon_sym_try] = ACTIONS(1503),
    [anon_sym_delete] = ACTIONS(1379),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_namespace] = ACTIONS(1219),
    [anon_sym_using] = ACTIONS(1219),
    [anon_sym_static_assert] = ACTIONS(1219),
    [anon_sym_concept] = ACTIONS(1219),
    [anon_sym_co_return] = ACTIONS(1509),
    [anon_sym_co_yield] = ACTIONS(1512),
    [anon_sym_R_DQUOTE] = ACTIONS(1391),
    [anon_sym_LR_DQUOTE] = ACTIONS(1391),
    [anon_sym_uR_DQUOTE] = ACTIONS(1391),
    [anon_sym_UR_DQUOTE] = ACTIONS(1391),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1391),
    [anon_sym_co_await] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1397),
    [anon_sym_requires] = ACTIONS(1400),
    [sym_this] = ACTIONS(1358),
  },
  [91] = {
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4928),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(91),
    [sym_identifier] = ACTIONS(1515),
    [aux_sym_preproc_include_token1] = ACTIONS(1219),
    [aux_sym_preproc_def_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1219),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP_AMP] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym___extension__] = ACTIONS(1521),
    [anon_sym_typedef] = ACTIONS(1524),
    [anon_sym_virtual] = ACTIONS(1247),
    [anon_sym_extern] = ACTIONS(1250),
    [anon_sym___attribute__] = ACTIONS(1253),
    [anon_sym_COLON_COLON] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1259),
    [anon_sym___declspec] = ACTIONS(1262),
    [anon_sym___based] = ACTIONS(1219),
    [anon_sym___cdecl] = ACTIONS(1219),
    [anon_sym___clrcall] = ACTIONS(1219),
    [anon_sym___stdcall] = ACTIONS(1219),
    [anon_sym___fastcall] = ACTIONS(1219),
    [anon_sym___thiscall] = ACTIONS(1219),
    [anon_sym___vectorcall] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_RBRACE] = ACTIONS(1233),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_register] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(1250),
    [anon_sym___inline] = ACTIONS(1250),
    [anon_sym___inline__] = ACTIONS(1250),
    [anon_sym___forceinline] = ACTIONS(1250),
    [anon_sym_thread_local] = ACTIONS(1250),
    [anon_sym___thread] = ACTIONS(1250),
    [anon_sym_const] = ACTIONS(1274),
    [anon_sym_constexpr] = ACTIONS(1274),
    [anon_sym_volatile] = ACTIONS(1274),
    [anon_sym_restrict] = ACTIONS(1274),
    [anon_sym___restrict__] = ACTIONS(1274),
    [anon_sym__Atomic] = ACTIONS(1274),
    [anon_sym__Noreturn] = ACTIONS(1274),
    [anon_sym_noreturn] = ACTIONS(1274),
    [anon_sym__Nonnull] = ACTIONS(1274),
    [anon_sym_mutable] = ACTIONS(1274),
    [anon_sym_constinit] = ACTIONS(1274),
    [anon_sym_consteval] = ACTIONS(1274),
    [anon_sym_PROGMEM] = ACTIONS(1274),
    [anon_sym_alignas] = ACTIONS(1277),
    [anon_sym__Alignas] = ACTIONS(1277),
    [aux_sym_primitive_type_token1] = ACTIONS(1280),
    [anon_sym_byte] = ACTIONS(1280),
    [anon_sym_word] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1283),
    [anon_sym_class] = ACTIONS(1286),
    [anon_sym_struct] = ACTIONS(1289),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1530),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1533),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1536),
    [anon_sym_do] = ACTIONS(1539),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1545),
    [anon_sym_break] = ACTIONS(1548),
    [anon_sym_continue] = ACTIONS(1551),
    [anon_sym_goto] = ACTIONS(1554),
    [anon_sym___try] = ACTIONS(1557),
    [anon_sym___leave] = ACTIONS(1560),
    [anon_sym_not] = ACTIONS(1227),
    [anon_sym_compl] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1331),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1337),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1343),
    [anon_sym___asm__] = ACTIONS(1343),
    [anon_sym___asm] = ACTIONS(1343),
    [aux_sym_number_literal_token1] = ACTIONS(1346),
    [aux_sym_number_literal_token2] = ACTIONS(1349),
    [anon_sym_L_SQUOTE] = ACTIONS(1352),
    [anon_sym_u_SQUOTE] = ACTIONS(1352),
    [anon_sym_U_SQUOTE] = ACTIONS(1352),
    [anon_sym_u8_SQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_L_DQUOTE] = ACTIONS(1355),
    [anon_sym_u_DQUOTE] = ACTIONS(1355),
    [anon_sym_U_DQUOTE] = ACTIONS(1355),
    [anon_sym_u8_DQUOTE] = ACTIONS(1355),
    [anon_sym_DQUOTE] = ACTIONS(1355),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1361),
    [anon_sym_nullptr] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1364),
    [anon_sym_decltype] = ACTIONS(1367),
    [anon_sym_explicit] = ACTIONS(1219),
    [anon_sym_typename] = ACTIONS(1370),
    [anon_sym_template] = ACTIONS(1373),
    [anon_sym_operator] = ACTIONS(1219),
    [anon_sym_try] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1379),
    [anon_sym_throw] = ACTIONS(1566),
    [anon_sym_namespace] = ACTIONS(1219),
    [anon_sym_using] = ACTIONS(1219),
    [anon_sym_static_assert] = ACTIONS(1219),
    [anon_sym_concept] = ACTIONS(1219),
    [anon_sym_co_return] = ACTIONS(1569),
    [anon_sym_co_yield] = ACTIONS(1572),
    [anon_sym_R_DQUOTE] = ACTIONS(1391),
    [anon_sym_LR_DQUOTE] = ACTIONS(1391),
    [anon_sym_uR_DQUOTE] = ACTIONS(1391),
    [anon_sym_UR_DQUOTE] = ACTIONS(1391),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1391),
    [anon_sym_co_await] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1397),
    [anon_sym_requires] = ACTIONS(1400),
    [sym_this] = ACTIONS(1358),
  },
  [92] = {
    [sym_declaration] = STATE(90),
    [sym_type_definition] = STATE(90),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4947),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(90),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8079),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(90),
    [sym_co_return_statement] = STATE(90),
    [sym_co_yield_statement] = STATE(90),
    [sym_throw_statement] = STATE(90),
    [sym_try_statement] = STATE(90),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(214),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(90),
    [ts_builtin_sym_end] = ACTIONS(1411),
    [sym_identifier] = ACTIONS(1445),
    [aux_sym_preproc_include_token1] = ACTIONS(1405),
    [aux_sym_preproc_def_token1] = ACTIONS(1405),
    [aux_sym_preproc_if_token1] = ACTIONS(1405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1405),
    [sym_preproc_directive] = ACTIONS(1405),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(1449),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1405),
    [anon_sym___cdecl] = ACTIONS(1405),
    [anon_sym___clrcall] = ACTIONS(1405),
    [anon_sym___stdcall] = ACTIONS(1405),
    [anon_sym___fastcall] = ACTIONS(1405),
    [anon_sym___thiscall] = ACTIONS(1405),
    [anon_sym___vectorcall] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1405),
    [anon_sym_default] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1451),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1405),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1405),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1405),
    [anon_sym_using] = ACTIONS(1405),
    [anon_sym_static_assert] = ACTIONS(1405),
    [anon_sym_concept] = ACTIONS(1405),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [93] = {
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4928),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(91),
    [sym_identifier] = ACTIONS(1441),
    [aux_sym_preproc_include_token1] = ACTIONS(1405),
    [aux_sym_preproc_def_token1] = ACTIONS(1405),
    [aux_sym_preproc_if_token1] = ACTIONS(1405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1405),
    [sym_preproc_directive] = ACTIONS(1405),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1443),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1405),
    [anon_sym___cdecl] = ACTIONS(1405),
    [anon_sym___clrcall] = ACTIONS(1405),
    [anon_sym___stdcall] = ACTIONS(1405),
    [anon_sym___fastcall] = ACTIONS(1405),
    [anon_sym___thiscall] = ACTIONS(1405),
    [anon_sym___vectorcall] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(1411),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(1405),
    [anon_sym_default] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1405),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1405),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1405),
    [anon_sym_using] = ACTIONS(1405),
    [anon_sym_static_assert] = ACTIONS(1405),
    [anon_sym_concept] = ACTIONS(1405),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [94] = {
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4921),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(95),
    [sym_identifier] = ACTIONS(1437),
    [aux_sym_preproc_include_token1] = ACTIONS(1433),
    [aux_sym_preproc_def_token1] = ACTIONS(1433),
    [aux_sym_preproc_if_token1] = ACTIONS(1433),
    [aux_sym_preproc_if_token2] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1433),
    [sym_preproc_directive] = ACTIONS(1433),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1435),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym___extension__] = ACTIONS(1439),
    [anon_sym_typedef] = ACTIONS(775),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1433),
    [anon_sym___cdecl] = ACTIONS(1433),
    [anon_sym___clrcall] = ACTIONS(1433),
    [anon_sym___stdcall] = ACTIONS(1433),
    [anon_sym___fastcall] = ACTIONS(1433),
    [anon_sym___thiscall] = ACTIONS(1433),
    [anon_sym___vectorcall] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_else] = ACTIONS(1433),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_case] = ACTIONS(1433),
    [anon_sym_default] = ACTIONS(1433),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(797),
    [anon_sym_break] = ACTIONS(799),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_goto] = ACTIONS(803),
    [anon_sym___try] = ACTIONS(805),
    [anon_sym___leave] = ACTIONS(807),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1433),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1433),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(813),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_using] = ACTIONS(1433),
    [anon_sym_static_assert] = ACTIONS(1433),
    [anon_sym_concept] = ACTIONS(1433),
    [anon_sym_co_return] = ACTIONS(823),
    [anon_sym_co_yield] = ACTIONS(825),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [95] = {
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4921),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(95),
    [sym_identifier] = ACTIONS(1575),
    [aux_sym_preproc_include_token1] = ACTIONS(1219),
    [aux_sym_preproc_def_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token2] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1219),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP_AMP] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(1578),
    [anon_sym___extension__] = ACTIONS(1581),
    [anon_sym_typedef] = ACTIONS(1584),
    [anon_sym_virtual] = ACTIONS(1247),
    [anon_sym_extern] = ACTIONS(1250),
    [anon_sym___attribute__] = ACTIONS(1253),
    [anon_sym_COLON_COLON] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1259),
    [anon_sym___declspec] = ACTIONS(1262),
    [anon_sym___based] = ACTIONS(1219),
    [anon_sym___cdecl] = ACTIONS(1219),
    [anon_sym___clrcall] = ACTIONS(1219),
    [anon_sym___stdcall] = ACTIONS(1219),
    [anon_sym___fastcall] = ACTIONS(1219),
    [anon_sym___thiscall] = ACTIONS(1219),
    [anon_sym___vectorcall] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_register] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(1250),
    [anon_sym___inline] = ACTIONS(1250),
    [anon_sym___inline__] = ACTIONS(1250),
    [anon_sym___forceinline] = ACTIONS(1250),
    [anon_sym_thread_local] = ACTIONS(1250),
    [anon_sym___thread] = ACTIONS(1250),
    [anon_sym_const] = ACTIONS(1274),
    [anon_sym_constexpr] = ACTIONS(1274),
    [anon_sym_volatile] = ACTIONS(1274),
    [anon_sym_restrict] = ACTIONS(1274),
    [anon_sym___restrict__] = ACTIONS(1274),
    [anon_sym__Atomic] = ACTIONS(1274),
    [anon_sym__Noreturn] = ACTIONS(1274),
    [anon_sym_noreturn] = ACTIONS(1274),
    [anon_sym__Nonnull] = ACTIONS(1274),
    [anon_sym_mutable] = ACTIONS(1274),
    [anon_sym_constinit] = ACTIONS(1274),
    [anon_sym_consteval] = ACTIONS(1274),
    [anon_sym_PROGMEM] = ACTIONS(1274),
    [anon_sym_alignas] = ACTIONS(1277),
    [anon_sym__Alignas] = ACTIONS(1277),
    [aux_sym_primitive_type_token1] = ACTIONS(1280),
    [anon_sym_byte] = ACTIONS(1280),
    [anon_sym_word] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1283),
    [anon_sym_class] = ACTIONS(1286),
    [anon_sym_struct] = ACTIONS(1289),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1590),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1599),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1605),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_continue] = ACTIONS(1611),
    [anon_sym_goto] = ACTIONS(1614),
    [anon_sym___try] = ACTIONS(1617),
    [anon_sym___leave] = ACTIONS(1620),
    [anon_sym_not] = ACTIONS(1227),
    [anon_sym_compl] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1331),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1337),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1343),
    [anon_sym___asm__] = ACTIONS(1343),
    [anon_sym___asm] = ACTIONS(1343),
    [aux_sym_number_literal_token1] = ACTIONS(1346),
    [aux_sym_number_literal_token2] = ACTIONS(1349),
    [anon_sym_L_SQUOTE] = ACTIONS(1352),
    [anon_sym_u_SQUOTE] = ACTIONS(1352),
    [anon_sym_U_SQUOTE] = ACTIONS(1352),
    [anon_sym_u8_SQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_L_DQUOTE] = ACTIONS(1355),
    [anon_sym_u_DQUOTE] = ACTIONS(1355),
    [anon_sym_U_DQUOTE] = ACTIONS(1355),
    [anon_sym_u8_DQUOTE] = ACTIONS(1355),
    [anon_sym_DQUOTE] = ACTIONS(1355),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1361),
    [anon_sym_nullptr] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1364),
    [anon_sym_decltype] = ACTIONS(1367),
    [anon_sym_explicit] = ACTIONS(1219),
    [anon_sym_typename] = ACTIONS(1370),
    [anon_sym_template] = ACTIONS(1373),
    [anon_sym_operator] = ACTIONS(1219),
    [anon_sym_try] = ACTIONS(1623),
    [anon_sym_delete] = ACTIONS(1379),
    [anon_sym_throw] = ACTIONS(1626),
    [anon_sym_namespace] = ACTIONS(1219),
    [anon_sym_using] = ACTIONS(1219),
    [anon_sym_static_assert] = ACTIONS(1219),
    [anon_sym_concept] = ACTIONS(1219),
    [anon_sym_co_return] = ACTIONS(1629),
    [anon_sym_co_yield] = ACTIONS(1632),
    [anon_sym_R_DQUOTE] = ACTIONS(1391),
    [anon_sym_LR_DQUOTE] = ACTIONS(1391),
    [anon_sym_uR_DQUOTE] = ACTIONS(1391),
    [anon_sym_UR_DQUOTE] = ACTIONS(1391),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1391),
    [anon_sym_co_await] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1397),
    [anon_sym_requires] = ACTIONS(1400),
    [sym_this] = ACTIONS(1358),
  },
  [96] = {
    [sym_declaration] = STATE(100),
    [sym_type_definition] = STATE(100),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4921),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(100),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(100),
    [sym_labeled_statement] = STATE(100),
    [sym_expression_statement] = STATE(100),
    [sym_if_statement] = STATE(100),
    [sym_switch_statement] = STATE(100),
    [sym_while_statement] = STATE(100),
    [sym_do_statement] = STATE(100),
    [sym_for_statement] = STATE(100),
    [sym_return_statement] = STATE(100),
    [sym_break_statement] = STATE(100),
    [sym_continue_statement] = STATE(100),
    [sym_goto_statement] = STATE(100),
    [sym_seh_try_statement] = STATE(100),
    [sym_seh_leave_statement] = STATE(100),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(100),
    [sym_co_return_statement] = STATE(100),
    [sym_co_yield_statement] = STATE(100),
    [sym_throw_statement] = STATE(100),
    [sym_try_statement] = STATE(100),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(100),
    [sym_identifier] = ACTIONS(1437),
    [aux_sym_preproc_include_token1] = ACTIONS(1429),
    [aux_sym_preproc_def_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token2] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1429),
    [sym_preproc_directive] = ACTIONS(1429),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym___extension__] = ACTIONS(1439),
    [anon_sym_typedef] = ACTIONS(775),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1429),
    [anon_sym___cdecl] = ACTIONS(1429),
    [anon_sym___clrcall] = ACTIONS(1429),
    [anon_sym___stdcall] = ACTIONS(1429),
    [anon_sym___fastcall] = ACTIONS(1429),
    [anon_sym___thiscall] = ACTIONS(1429),
    [anon_sym___vectorcall] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_default] = ACTIONS(1429),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(797),
    [anon_sym_break] = ACTIONS(799),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_goto] = ACTIONS(803),
    [anon_sym___try] = ACTIONS(805),
    [anon_sym___leave] = ACTIONS(807),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1429),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1429),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(813),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_using] = ACTIONS(1429),
    [anon_sym_static_assert] = ACTIONS(1429),
    [anon_sym_concept] = ACTIONS(1429),
    [anon_sym_co_return] = ACTIONS(823),
    [anon_sym_co_yield] = ACTIONS(825),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [97] = {
    [sym_declaration] = STATE(90),
    [sym_type_definition] = STATE(90),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4947),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(90),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8079),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(90),
    [sym_co_return_statement] = STATE(90),
    [sym_co_yield_statement] = STATE(90),
    [sym_throw_statement] = STATE(90),
    [sym_try_statement] = STATE(90),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(214),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(90),
    [ts_builtin_sym_end] = ACTIONS(1435),
    [sym_identifier] = ACTIONS(1445),
    [aux_sym_preproc_include_token1] = ACTIONS(1433),
    [aux_sym_preproc_def_token1] = ACTIONS(1433),
    [aux_sym_preproc_if_token1] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1433),
    [sym_preproc_directive] = ACTIONS(1433),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1435),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(1449),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1433),
    [anon_sym___cdecl] = ACTIONS(1433),
    [anon_sym___clrcall] = ACTIONS(1433),
    [anon_sym___stdcall] = ACTIONS(1433),
    [anon_sym___fastcall] = ACTIONS(1433),
    [anon_sym___thiscall] = ACTIONS(1433),
    [anon_sym___vectorcall] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(1433),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1433),
    [anon_sym_default] = ACTIONS(1433),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1451),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1433),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1433),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_using] = ACTIONS(1433),
    [anon_sym_static_assert] = ACTIONS(1433),
    [anon_sym_concept] = ACTIONS(1433),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [98] = {
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4928),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(91),
    [sym_identifier] = ACTIONS(1441),
    [aux_sym_preproc_include_token1] = ACTIONS(1433),
    [aux_sym_preproc_def_token1] = ACTIONS(1433),
    [aux_sym_preproc_if_token1] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1433),
    [sym_preproc_directive] = ACTIONS(1433),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1435),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1443),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1433),
    [anon_sym___cdecl] = ACTIONS(1433),
    [anon_sym___clrcall] = ACTIONS(1433),
    [anon_sym___stdcall] = ACTIONS(1433),
    [anon_sym___fastcall] = ACTIONS(1433),
    [anon_sym___thiscall] = ACTIONS(1433),
    [anon_sym___vectorcall] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(1433),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(1433),
    [anon_sym_default] = ACTIONS(1433),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1433),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1433),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_using] = ACTIONS(1433),
    [anon_sym_static_assert] = ACTIONS(1433),
    [anon_sym_concept] = ACTIONS(1433),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [99] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4947),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8079),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(214),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [ts_builtin_sym_end] = ACTIONS(1431),
    [sym_identifier] = ACTIONS(1445),
    [aux_sym_preproc_include_token1] = ACTIONS(1429),
    [aux_sym_preproc_def_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1429),
    [sym_preproc_directive] = ACTIONS(1429),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(1449),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1429),
    [anon_sym___cdecl] = ACTIONS(1429),
    [anon_sym___clrcall] = ACTIONS(1429),
    [anon_sym___stdcall] = ACTIONS(1429),
    [anon_sym___fastcall] = ACTIONS(1429),
    [anon_sym___thiscall] = ACTIONS(1429),
    [anon_sym___vectorcall] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_default] = ACTIONS(1429),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1451),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1429),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1429),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_using] = ACTIONS(1429),
    [anon_sym_static_assert] = ACTIONS(1429),
    [anon_sym_concept] = ACTIONS(1429),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [100] = {
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4921),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(95),
    [sym_identifier] = ACTIONS(1437),
    [aux_sym_preproc_include_token1] = ACTIONS(1405),
    [aux_sym_preproc_def_token1] = ACTIONS(1405),
    [aux_sym_preproc_if_token1] = ACTIONS(1405),
    [aux_sym_preproc_if_token2] = ACTIONS(1405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1405),
    [sym_preproc_directive] = ACTIONS(1405),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym___extension__] = ACTIONS(1439),
    [anon_sym_typedef] = ACTIONS(775),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1405),
    [anon_sym___cdecl] = ACTIONS(1405),
    [anon_sym___clrcall] = ACTIONS(1405),
    [anon_sym___stdcall] = ACTIONS(1405),
    [anon_sym___fastcall] = ACTIONS(1405),
    [anon_sym___thiscall] = ACTIONS(1405),
    [anon_sym___vectorcall] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_else] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_case] = ACTIONS(1405),
    [anon_sym_default] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(797),
    [anon_sym_break] = ACTIONS(799),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_goto] = ACTIONS(803),
    [anon_sym___try] = ACTIONS(805),
    [anon_sym___leave] = ACTIONS(807),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1405),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1405),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(813),
    [anon_sym_namespace] = ACTIONS(1405),
    [anon_sym_using] = ACTIONS(1405),
    [anon_sym_static_assert] = ACTIONS(1405),
    [anon_sym_concept] = ACTIONS(1405),
    [anon_sym_co_return] = ACTIONS(823),
    [anon_sym_co_yield] = ACTIONS(825),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [101] = {
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4928),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym_seh_try_statement] = STATE(98),
    [sym_seh_leave_statement] = STATE(98),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(98),
    [sym_identifier] = ACTIONS(1441),
    [aux_sym_preproc_include_token1] = ACTIONS(1425),
    [aux_sym_preproc_def_token1] = ACTIONS(1425),
    [aux_sym_preproc_if_token1] = ACTIONS(1425),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1425),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1425),
    [sym_preproc_directive] = ACTIONS(1425),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1427),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1443),
    [anon_sym_typedef] = ACTIONS(179),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1425),
    [anon_sym___cdecl] = ACTIONS(1425),
    [anon_sym___clrcall] = ACTIONS(1425),
    [anon_sym___stdcall] = ACTIONS(1425),
    [anon_sym___fastcall] = ACTIONS(1425),
    [anon_sym___thiscall] = ACTIONS(1425),
    [anon_sym___vectorcall] = ACTIONS(1425),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(1427),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(1425),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(1425),
    [anon_sym_default] = ACTIONS(1425),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(1425),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1425),
    [anon_sym_using] = ACTIONS(1425),
    [anon_sym_static_assert] = ACTIONS(1425),
    [anon_sym_concept] = ACTIONS(1425),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [102] = {
    [sym_declaration] = STATE(427),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4928),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(427),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4244),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7402),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1635),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [103] = {
    [sym_declaration] = STATE(474),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4947),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(474),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1637),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1635),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1649),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [104] = {
    [sym_declaration] = STATE(105),
    [sym_type_definition] = STATE(105),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4912),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(105),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7984),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(105),
    [sym_co_return_statement] = STATE(105),
    [sym_co_yield_statement] = STATE(105),
    [sym_throw_statement] = STATE(105),
    [sym_try_statement] = STATE(105),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(105),
    [sym_identifier] = ACTIONS(1651),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym___extension__] = ACTIONS(1655),
    [anon_sym_typedef] = ACTIONS(1657),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1665),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1669),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1673),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1677),
    [anon_sym___try] = ACTIONS(1679),
    [anon_sym___leave] = ACTIONS(1681),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1685),
    [anon_sym_co_return] = ACTIONS(1687),
    [anon_sym_co_yield] = ACTIONS(1689),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [105] = {
    [sym_declaration] = STATE(113),
    [sym_type_definition] = STATE(113),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4912),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(113),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(113),
    [sym_labeled_statement] = STATE(113),
    [sym_expression_statement] = STATE(113),
    [sym_if_statement] = STATE(113),
    [sym_switch_statement] = STATE(113),
    [sym_while_statement] = STATE(113),
    [sym_do_statement] = STATE(113),
    [sym_for_statement] = STATE(113),
    [sym_return_statement] = STATE(113),
    [sym_break_statement] = STATE(113),
    [sym_continue_statement] = STATE(113),
    [sym_goto_statement] = STATE(113),
    [sym_seh_try_statement] = STATE(113),
    [sym_seh_leave_statement] = STATE(113),
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7984),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(113),
    [sym_co_return_statement] = STATE(113),
    [sym_co_yield_statement] = STATE(113),
    [sym_throw_statement] = STATE(113),
    [sym_try_statement] = STATE(113),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(113),
    [sym_identifier] = ACTIONS(1651),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym___extension__] = ACTIONS(1655),
    [anon_sym_typedef] = ACTIONS(1657),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_else] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1665),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1669),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1673),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1677),
    [anon_sym___try] = ACTIONS(1679),
    [anon_sym___leave] = ACTIONS(1681),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1685),
    [anon_sym_co_return] = ACTIONS(1687),
    [anon_sym_co_yield] = ACTIONS(1689),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [106] = {
    [sym_declaration] = STATE(299),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4993),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(262),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(262),
    [sym_statement] = STATE(299),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1403),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1635),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [107] = {
    [sym_declaration] = STATE(871),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4912),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(864),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(864),
    [sym_statement] = STATE(871),
    [sym_labeled_statement] = STATE(864),
    [sym_expression_statement] = STATE(864),
    [sym_if_statement] = STATE(864),
    [sym_switch_statement] = STATE(864),
    [sym_case_statement] = STATE(864),
    [sym_while_statement] = STATE(864),
    [sym_do_statement] = STATE(864),
    [sym_for_statement] = STATE(864),
    [sym_return_statement] = STATE(864),
    [sym_break_statement] = STATE(864),
    [sym_continue_statement] = STATE(864),
    [sym_goto_statement] = STATE(864),
    [sym_seh_try_statement] = STATE(864),
    [sym_seh_leave_statement] = STATE(864),
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7984),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(864),
    [sym_co_return_statement] = STATE(864),
    [sym_co_yield_statement] = STATE(864),
    [sym_throw_statement] = STATE(864),
    [sym_try_statement] = STATE(864),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1651),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym___extension__] = ACTIONS(1635),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1665),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1669),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1673),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1677),
    [anon_sym___try] = ACTIONS(1679),
    [anon_sym___leave] = ACTIONS(1681),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1685),
    [anon_sym_co_return] = ACTIONS(1687),
    [anon_sym_co_yield] = ACTIONS(1689),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [108] = {
    [sym_declaration] = STATE(112),
    [sym_type_definition] = STATE(112),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4912),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(112),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7984),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(112),
    [sym_co_return_statement] = STATE(112),
    [sym_co_yield_statement] = STATE(112),
    [sym_throw_statement] = STATE(112),
    [sym_try_statement] = STATE(112),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(112),
    [sym_identifier] = ACTIONS(1651),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym___extension__] = ACTIONS(1655),
    [anon_sym_typedef] = ACTIONS(1657),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_else] = ACTIONS(1425),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1665),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1669),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1673),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1677),
    [anon_sym___try] = ACTIONS(1679),
    [anon_sym___leave] = ACTIONS(1681),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1685),
    [anon_sym_co_return] = ACTIONS(1687),
    [anon_sym_co_yield] = ACTIONS(1689),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [109] = {
    [sym_declaration] = STATE(427),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4928),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(512),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(427),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(1635),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [110] = {
    [sym_declaration] = STATE(520),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4921),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(486),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(486),
    [sym_statement] = STATE(520),
    [sym_labeled_statement] = STATE(486),
    [sym_expression_statement] = STATE(486),
    [sym_if_statement] = STATE(486),
    [sym_switch_statement] = STATE(486),
    [sym_case_statement] = STATE(486),
    [sym_while_statement] = STATE(486),
    [sym_do_statement] = STATE(486),
    [sym_for_statement] = STATE(486),
    [sym_return_statement] = STATE(486),
    [sym_break_statement] = STATE(486),
    [sym_continue_statement] = STATE(486),
    [sym_goto_statement] = STATE(486),
    [sym_seh_try_statement] = STATE(486),
    [sym_seh_leave_statement] = STATE(486),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(486),
    [sym_co_return_statement] = STATE(486),
    [sym_co_yield_statement] = STATE(486),
    [sym_throw_statement] = STATE(486),
    [sym_try_statement] = STATE(486),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1437),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym___extension__] = ACTIONS(1635),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_case] = ACTIONS(787),
    [anon_sym_default] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(797),
    [anon_sym_break] = ACTIONS(799),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_goto] = ACTIONS(803),
    [anon_sym___try] = ACTIONS(805),
    [anon_sym___leave] = ACTIONS(807),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(813),
    [anon_sym_co_return] = ACTIONS(823),
    [anon_sym_co_yield] = ACTIONS(825),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [111] = {
    [sym_declaration] = STATE(474),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4947),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(500),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(500),
    [sym_statement] = STATE(474),
    [sym_labeled_statement] = STATE(500),
    [sym_expression_statement] = STATE(500),
    [sym_if_statement] = STATE(500),
    [sym_switch_statement] = STATE(500),
    [sym_case_statement] = STATE(500),
    [sym_while_statement] = STATE(500),
    [sym_do_statement] = STATE(500),
    [sym_for_statement] = STATE(500),
    [sym_return_statement] = STATE(500),
    [sym_break_statement] = STATE(500),
    [sym_continue_statement] = STATE(500),
    [sym_goto_statement] = STATE(500),
    [sym_seh_try_statement] = STATE(500),
    [sym_seh_leave_statement] = STATE(500),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8079),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(500),
    [sym_co_return_statement] = STATE(500),
    [sym_co_yield_statement] = STATE(500),
    [sym_throw_statement] = STATE(500),
    [sym_try_statement] = STATE(500),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(214),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1445),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(1635),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1451),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [112] = {
    [sym_declaration] = STATE(113),
    [sym_type_definition] = STATE(113),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4912),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(113),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(113),
    [sym_labeled_statement] = STATE(113),
    [sym_expression_statement] = STATE(113),
    [sym_if_statement] = STATE(113),
    [sym_switch_statement] = STATE(113),
    [sym_while_statement] = STATE(113),
    [sym_do_statement] = STATE(113),
    [sym_for_statement] = STATE(113),
    [sym_return_statement] = STATE(113),
    [sym_break_statement] = STATE(113),
    [sym_continue_statement] = STATE(113),
    [sym_goto_statement] = STATE(113),
    [sym_seh_try_statement] = STATE(113),
    [sym_seh_leave_statement] = STATE(113),
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7984),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(113),
    [sym_co_return_statement] = STATE(113),
    [sym_co_yield_statement] = STATE(113),
    [sym_throw_statement] = STATE(113),
    [sym_try_statement] = STATE(113),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(113),
    [sym_identifier] = ACTIONS(1651),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym___extension__] = ACTIONS(1655),
    [anon_sym_typedef] = ACTIONS(1657),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_else] = ACTIONS(1433),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1665),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1669),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1673),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1677),
    [anon_sym___try] = ACTIONS(1679),
    [anon_sym___leave] = ACTIONS(1681),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1685),
    [anon_sym_co_return] = ACTIONS(1687),
    [anon_sym_co_yield] = ACTIONS(1689),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [113] = {
    [sym_declaration] = STATE(113),
    [sym_type_definition] = STATE(113),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4912),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(876),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_compound_statement] = STATE(113),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_attributed_statement] = STATE(113),
    [sym_labeled_statement] = STATE(113),
    [sym_expression_statement] = STATE(113),
    [sym_if_statement] = STATE(113),
    [sym_switch_statement] = STATE(113),
    [sym_while_statement] = STATE(113),
    [sym_do_statement] = STATE(113),
    [sym_for_statement] = STATE(113),
    [sym_return_statement] = STATE(113),
    [sym_break_statement] = STATE(113),
    [sym_continue_statement] = STATE(113),
    [sym_goto_statement] = STATE(113),
    [sym_seh_try_statement] = STATE(113),
    [sym_seh_leave_statement] = STATE(113),
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7984),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(113),
    [sym_co_return_statement] = STATE(113),
    [sym_co_yield_statement] = STATE(113),
    [sym_throw_statement] = STATE(113),
    [sym_try_statement] = STATE(113),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_case_statement_repeat1] = STATE(113),
    [sym_identifier] = ACTIONS(1691),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1694),
    [anon_sym___extension__] = ACTIONS(1697),
    [anon_sym_typedef] = ACTIONS(1700),
    [anon_sym_virtual] = ACTIONS(1247),
    [anon_sym_extern] = ACTIONS(1250),
    [anon_sym___attribute__] = ACTIONS(1253),
    [anon_sym_COLON_COLON] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1259),
    [anon_sym___declspec] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_register] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(1250),
    [anon_sym___inline] = ACTIONS(1250),
    [anon_sym___inline__] = ACTIONS(1250),
    [anon_sym___forceinline] = ACTIONS(1250),
    [anon_sym_thread_local] = ACTIONS(1250),
    [anon_sym___thread] = ACTIONS(1250),
    [anon_sym_const] = ACTIONS(1274),
    [anon_sym_constexpr] = ACTIONS(1274),
    [anon_sym_volatile] = ACTIONS(1274),
    [anon_sym_restrict] = ACTIONS(1274),
    [anon_sym___restrict__] = ACTIONS(1274),
    [anon_sym__Atomic] = ACTIONS(1274),
    [anon_sym__Noreturn] = ACTIONS(1274),
    [anon_sym_noreturn] = ACTIONS(1274),
    [anon_sym__Nonnull] = ACTIONS(1274),
    [anon_sym_mutable] = ACTIONS(1274),
    [anon_sym_constinit] = ACTIONS(1274),
    [anon_sym_consteval] = ACTIONS(1274),
    [anon_sym_PROGMEM] = ACTIONS(1274),
    [anon_sym_alignas] = ACTIONS(1277),
    [anon_sym__Alignas] = ACTIONS(1277),
    [aux_sym_primitive_type_token1] = ACTIONS(1280),
    [anon_sym_byte] = ACTIONS(1280),
    [anon_sym_word] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1283),
    [anon_sym_class] = ACTIONS(1286),
    [anon_sym_struct] = ACTIONS(1289),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1706),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1709),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_do] = ACTIONS(1715),
    [anon_sym_for] = ACTIONS(1718),
    [anon_sym_return] = ACTIONS(1721),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_continue] = ACTIONS(1727),
    [anon_sym_goto] = ACTIONS(1730),
    [anon_sym___try] = ACTIONS(1733),
    [anon_sym___leave] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1227),
    [anon_sym_compl] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1331),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1337),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1343),
    [anon_sym___asm__] = ACTIONS(1343),
    [anon_sym___asm] = ACTIONS(1343),
    [aux_sym_number_literal_token1] = ACTIONS(1346),
    [aux_sym_number_literal_token2] = ACTIONS(1349),
    [anon_sym_L_SQUOTE] = ACTIONS(1352),
    [anon_sym_u_SQUOTE] = ACTIONS(1352),
    [anon_sym_U_SQUOTE] = ACTIONS(1352),
    [anon_sym_u8_SQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_L_DQUOTE] = ACTIONS(1355),
    [anon_sym_u_DQUOTE] = ACTIONS(1355),
    [anon_sym_U_DQUOTE] = ACTIONS(1355),
    [anon_sym_u8_DQUOTE] = ACTIONS(1355),
    [anon_sym_DQUOTE] = ACTIONS(1355),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1361),
    [anon_sym_nullptr] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1364),
    [anon_sym_decltype] = ACTIONS(1367),
    [anon_sym_typename] = ACTIONS(1370),
    [anon_sym_template] = ACTIONS(1373),
    [anon_sym_try] = ACTIONS(1739),
    [anon_sym_delete] = ACTIONS(1379),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_co_return] = ACTIONS(1745),
    [anon_sym_co_yield] = ACTIONS(1748),
    [anon_sym_R_DQUOTE] = ACTIONS(1391),
    [anon_sym_LR_DQUOTE] = ACTIONS(1391),
    [anon_sym_uR_DQUOTE] = ACTIONS(1391),
    [anon_sym_UR_DQUOTE] = ACTIONS(1391),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1391),
    [anon_sym_co_await] = ACTIONS(1394),
    [anon_sym_new] = ACTIONS(1397),
    [anon_sym_requires] = ACTIONS(1400),
    [sym_this] = ACTIONS(1358),
  },
  [114] = {
    [sym_declaration] = STATE(249),
    [sym_type_definition] = STATE(3893),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4969),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_expression_statement] = STATE(3893),
    [sym__for_statement_body] = STATE(7954),
    [sym_expression] = STATE(4420),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7550),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_alias_declaration] = STATE(3893),
    [sym__for_range_loop_body] = STATE(7953),
    [sym_init_statement] = STATE(1829),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1751),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1753),
    [anon_sym___extension__] = ACTIONS(1755),
    [anon_sym_typedef] = ACTIONS(1757),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1761),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [115] = {
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(5042),
    [sym__declarator] = STATE(6281),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5932),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(8047),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3182),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(8149),
    [sym__unary_right_fold] = STATE(8148),
    [sym__binary_fold] = STATE(8147),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5466),
    [sym_qualified_identifier] = STATE(3184),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1767),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1783),
    [anon_sym___clrcall] = ACTIONS(1783),
    [anon_sym___stdcall] = ACTIONS(1783),
    [anon_sym___fastcall] = ACTIONS(1783),
    [anon_sym___thiscall] = ACTIONS(1783),
    [anon_sym___vectorcall] = ACTIONS(1783),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1829),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [116] = {
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(5042),
    [sym__declarator] = STATE(6281),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5932),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(8123),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2848),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(8102),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3182),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(8097),
    [sym__unary_right_fold] = STATE(8095),
    [sym__binary_fold] = STATE(8094),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5466),
    [sym_qualified_identifier] = STATE(3184),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8092),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1767),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1783),
    [anon_sym___clrcall] = ACTIONS(1783),
    [anon_sym___stdcall] = ACTIONS(1783),
    [anon_sym___fastcall] = ACTIONS(1783),
    [anon_sym___thiscall] = ACTIONS(1783),
    [anon_sym___vectorcall] = ACTIONS(1783),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1829),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [117] = {
    [sym_declaration] = STATE(249),
    [sym_type_definition] = STATE(3893),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4969),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_expression_statement] = STATE(3893),
    [sym__for_statement_body] = STATE(7598),
    [sym_expression] = STATE(4420),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7550),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_alias_declaration] = STATE(3893),
    [sym__for_range_loop_body] = STATE(7597),
    [sym_init_statement] = STATE(1829),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1751),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1753),
    [anon_sym___extension__] = ACTIONS(1755),
    [anon_sym_typedef] = ACTIONS(1757),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1761),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [118] = {
    [sym_declaration] = STATE(249),
    [sym_type_definition] = STATE(3893),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4969),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_expression_statement] = STATE(3893),
    [sym__for_statement_body] = STATE(8077),
    [sym_expression] = STATE(4420),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7550),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_alias_declaration] = STATE(3893),
    [sym__for_range_loop_body] = STATE(8072),
    [sym_init_statement] = STATE(1829),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1751),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1753),
    [anon_sym___extension__] = ACTIONS(1755),
    [anon_sym_typedef] = ACTIONS(1757),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1761),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [119] = {
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(5042),
    [sym__declarator] = STATE(6281),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5932),
    [sym_array_declarator] = STATE(5932),
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7694),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3182),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(7691),
    [sym__unary_right_fold] = STATE(7689),
    [sym__binary_fold] = STATE(7686),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5466),
    [sym_qualified_identifier] = STATE(3184),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1767),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1783),
    [anon_sym___clrcall] = ACTIONS(1783),
    [anon_sym___stdcall] = ACTIONS(1783),
    [anon_sym___fastcall] = ACTIONS(1783),
    [anon_sym___thiscall] = ACTIONS(1783),
    [anon_sym___vectorcall] = ACTIONS(1783),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1829),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [120] = {
    [sym_declaration] = STATE(249),
    [sym_type_definition] = STATE(3893),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4969),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_expression_statement] = STATE(3893),
    [sym__for_statement_body] = STATE(7572),
    [sym_expression] = STATE(4420),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7550),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_alias_declaration] = STATE(3893),
    [sym__for_range_loop_body] = STATE(7573),
    [sym_init_statement] = STATE(1829),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1751),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1753),
    [anon_sym___extension__] = ACTIONS(1755),
    [anon_sym_typedef] = ACTIONS(1757),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1761),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [121] = {
    [sym_declaration] = STATE(249),
    [sym_type_definition] = STATE(3893),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4969),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_expression_statement] = STATE(3893),
    [sym__for_statement_body] = STATE(7546),
    [sym_expression] = STATE(4420),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7550),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_alias_declaration] = STATE(3893),
    [sym__for_range_loop_body] = STATE(7551),
    [sym_init_statement] = STATE(1829),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1751),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1753),
    [anon_sym___extension__] = ACTIONS(1755),
    [anon_sym_typedef] = ACTIONS(1757),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1761),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [122] = {
    [sym_declaration] = STATE(249),
    [sym_type_definition] = STATE(3893),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4969),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_expression_statement] = STATE(3893),
    [sym__for_statement_body] = STATE(7475),
    [sym_expression] = STATE(4420),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7550),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_alias_declaration] = STATE(3893),
    [sym__for_range_loop_body] = STATE(7476),
    [sym_init_statement] = STATE(1829),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1751),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1753),
    [anon_sym___extension__] = ACTIONS(1755),
    [anon_sym_typedef] = ACTIONS(1757),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1761),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [123] = {
    [sym_declaration] = STATE(1533),
    [sym_type_definition] = STATE(1533),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4948),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_expression_statement] = STATE(1533),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7428),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_alias_declaration] = STATE(1533),
    [sym_init_statement] = STATE(131),
    [sym_condition_declaration] = STATE(7522),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1751),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym___extension__] = ACTIONS(1655),
    [anon_sym_typedef] = ACTIONS(1657),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_using] = ACTIONS(1841),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [124] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2935),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(7075),
    [sym_expression] = STATE(3266),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7234),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(7075),
    [sym_variadic_parameter_declaration] = STATE(7075),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym__unary_left_fold] = STATE(8063),
    [sym__unary_right_fold] = STATE(7920),
    [sym__binary_fold] = STATE(8032),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5403),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3458),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [125] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2935),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(7075),
    [sym_expression] = STATE(3219),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7234),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(7075),
    [sym_variadic_parameter_declaration] = STATE(7075),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym__unary_left_fold] = STATE(7691),
    [sym__unary_right_fold] = STATE(7689),
    [sym__binary_fold] = STATE(7686),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5403),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3458),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [126] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_compound_statement] = STATE(6884),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(7089),
    [sym_expression] = STATE(4213),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6884),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(7089),
    [sym_variadic_parameter_declaration] = STATE(7089),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5439),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1907),
    [anon_sym_RPAREN] = ACTIONS(1909),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1635),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [127] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2935),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(7075),
    [sym_expression] = STATE(3192),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7234),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(7075),
    [sym_variadic_parameter_declaration] = STATE(7075),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym__unary_left_fold] = STATE(8149),
    [sym__unary_right_fold] = STATE(8148),
    [sym__binary_fold] = STATE(8147),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5403),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3458),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [128] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2935),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(7075),
    [sym_expression] = STATE(3210),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7234),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(7075),
    [sym_variadic_parameter_declaration] = STATE(7075),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym__unary_left_fold] = STATE(7958),
    [sym__unary_right_fold] = STATE(7959),
    [sym__binary_fold] = STATE(7960),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5403),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3458),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [129] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2935),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(7075),
    [sym_expression] = STATE(3286),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7234),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(7075),
    [sym_variadic_parameter_declaration] = STATE(7075),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym__unary_left_fold] = STATE(8097),
    [sym__unary_right_fold] = STATE(8095),
    [sym__binary_fold] = STATE(8094),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5403),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3458),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [130] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2935),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(7075),
    [sym_expression] = STATE(3257),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7234),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(7075),
    [sym_variadic_parameter_declaration] = STATE(7075),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym__unary_left_fold] = STATE(7558),
    [sym__unary_right_fold] = STATE(7571),
    [sym__binary_fold] = STATE(7576),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5403),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3458),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1855),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [131] = {
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(5040),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2491),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_expression] = STATE(4387),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2965),
    [sym_template_function] = STATE(3827),
    [sym_condition_declaration] = STATE(8082),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5398),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(2901),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(1751),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1635),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [132] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2342),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_initializer_list] = STATE(2496),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [aux_sym_preproc_if_token2] = ACTIONS(1915),
    [aux_sym_preproc_else_token1] = ACTIONS(1915),
    [aux_sym_preproc_elif_token1] = ACTIONS(1913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1915),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(1917),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_EQ] = ACTIONS(1913),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_STAR_EQ] = ACTIONS(1915),
    [anon_sym_SLASH_EQ] = ACTIONS(1915),
    [anon_sym_PERCENT_EQ] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1915),
    [anon_sym_DASH_EQ] = ACTIONS(1915),
    [anon_sym_LT_LT_EQ] = ACTIONS(1915),
    [anon_sym_GT_GT_EQ] = ACTIONS(1915),
    [anon_sym_AMP_EQ] = ACTIONS(1915),
    [anon_sym_CARET_EQ] = ACTIONS(1915),
    [anon_sym_PIPE_EQ] = ACTIONS(1915),
    [anon_sym_and_eq] = ACTIONS(1913),
    [anon_sym_or_eq] = ACTIONS(1913),
    [anon_sym_xor_eq] = ACTIONS(1913),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [133] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7994),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(8149),
    [sym__unary_right_fold] = STATE(8148),
    [sym__binary_fold] = STATE(8147),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [134] = {
    [sym_compound_statement] = STATE(8123),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2848),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(8146),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(7958),
    [sym__unary_right_fold] = STATE(7959),
    [sym__binary_fold] = STATE(7960),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8092),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [135] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(8172),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(8149),
    [sym__unary_right_fold] = STATE(8148),
    [sym__binary_fold] = STATE(8147),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [136] = {
    [sym_compound_statement] = STATE(7697),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2887),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(7697),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7656),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(7558),
    [sym__unary_right_fold] = STATE(7571),
    [sym__binary_fold] = STATE(7576),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(7684),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [137] = {
    [sym_compound_statement] = STATE(8123),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2848),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(8102),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(8097),
    [sym__unary_right_fold] = STATE(8095),
    [sym__binary_fold] = STATE(8094),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8092),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [138] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7515),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(7691),
    [sym__unary_right_fold] = STATE(7689),
    [sym__binary_fold] = STATE(7686),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [139] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7617),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(7691),
    [sym__unary_right_fold] = STATE(7689),
    [sym__binary_fold] = STATE(7686),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [140] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(8047),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(8149),
    [sym__unary_right_fold] = STATE(8148),
    [sym__binary_fold] = STATE(8147),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [141] = {
    [sym_compound_statement] = STATE(7697),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2887),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(7697),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7553),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(7558),
    [sym__unary_right_fold] = STATE(7571),
    [sym__binary_fold] = STATE(7576),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(7684),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [142] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7592),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(7691),
    [sym__unary_right_fold] = STATE(7689),
    [sym__binary_fold] = STATE(7686),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [143] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7965),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(7691),
    [sym__unary_right_fold] = STATE(7689),
    [sym__binary_fold] = STATE(7686),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [144] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7817),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(8149),
    [sym__unary_right_fold] = STATE(8148),
    [sym__binary_fold] = STATE(8147),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [145] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(8168),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(7691),
    [sym__unary_right_fold] = STATE(7689),
    [sym__binary_fold] = STATE(7686),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [146] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7851),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(8149),
    [sym__unary_right_fold] = STATE(8148),
    [sym__binary_fold] = STATE(8147),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [147] = {
    [ts_builtin_sym_end] = ACTIONS(1967),
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_include_token1] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(1967),
    [anon_sym_RPAREN] = ACTIONS(1967),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_PIPE_PIPE] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(1967),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym___cdecl] = ACTIONS(1969),
    [anon_sym___clrcall] = ACTIONS(1969),
    [anon_sym___stdcall] = ACTIONS(1969),
    [anon_sym___fastcall] = ACTIONS(1969),
    [anon_sym___thiscall] = ACTIONS(1969),
    [anon_sym___vectorcall] = ACTIONS(1969),
    [anon_sym_LBRACE] = ACTIONS(1967),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_EQ] = ACTIONS(1967),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [anon_sym_if] = ACTIONS(1969),
    [anon_sym_else] = ACTIONS(1969),
    [anon_sym_switch] = ACTIONS(1969),
    [anon_sym_case] = ACTIONS(1969),
    [anon_sym_default] = ACTIONS(1969),
    [anon_sym_while] = ACTIONS(1969),
    [anon_sym_do] = ACTIONS(1969),
    [anon_sym_for] = ACTIONS(1969),
    [anon_sym_return] = ACTIONS(1969),
    [anon_sym_break] = ACTIONS(1969),
    [anon_sym_continue] = ACTIONS(1969),
    [anon_sym_goto] = ACTIONS(1969),
    [anon_sym___try] = ACTIONS(1969),
    [anon_sym___except] = ACTIONS(1969),
    [anon_sym___finally] = ACTIONS(1969),
    [anon_sym___leave] = ACTIONS(1969),
    [anon_sym_not] = ACTIONS(1969),
    [anon_sym_compl] = ACTIONS(1969),
    [anon_sym_or] = ACTIONS(1969),
    [anon_sym_and] = ACTIONS(1969),
    [anon_sym_DASH_DASH] = ACTIONS(1967),
    [anon_sym_PLUS_PLUS] = ACTIONS(1967),
    [anon_sym_sizeof] = ACTIONS(1969),
    [anon_sym___alignof__] = ACTIONS(1969),
    [anon_sym___alignof] = ACTIONS(1969),
    [anon_sym__alignof] = ACTIONS(1969),
    [anon_sym_alignof] = ACTIONS(1969),
    [anon_sym__Alignof] = ACTIONS(1969),
    [anon_sym_offsetof] = ACTIONS(1969),
    [anon_sym__Generic] = ACTIONS(1969),
    [anon_sym_asm] = ACTIONS(1969),
    [anon_sym___asm__] = ACTIONS(1969),
    [anon_sym___asm] = ACTIONS(1969),
    [aux_sym_number_literal_token1] = ACTIONS(1967),
    [aux_sym_number_literal_token2] = ACTIONS(1969),
    [anon_sym_L_SQUOTE] = ACTIONS(1967),
    [anon_sym_u_SQUOTE] = ACTIONS(1967),
    [anon_sym_U_SQUOTE] = ACTIONS(1967),
    [anon_sym_u8_SQUOTE] = ACTIONS(1967),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_L_DQUOTE] = ACTIONS(1967),
    [anon_sym_u_DQUOTE] = ACTIONS(1967),
    [anon_sym_U_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8_DQUOTE] = ACTIONS(1967),
    [anon_sym_DQUOTE] = ACTIONS(1967),
    [sym_true] = ACTIONS(1969),
    [sym_false] = ACTIONS(1969),
    [anon_sym_NULL] = ACTIONS(1969),
    [anon_sym_nullptr] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_final] = ACTIONS(1969),
    [anon_sym_override] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_GT2] = ACTIONS(1967),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_delete] = ACTIONS(1969),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_namespace] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
    [anon_sym_concept] = ACTIONS(1969),
    [anon_sym_co_return] = ACTIONS(1969),
    [anon_sym_co_yield] = ACTIONS(1969),
    [anon_sym_catch] = ACTIONS(1969),
    [anon_sym_R_DQUOTE] = ACTIONS(1967),
    [anon_sym_LR_DQUOTE] = ACTIONS(1967),
    [anon_sym_uR_DQUOTE] = ACTIONS(1967),
    [anon_sym_UR_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1967),
    [anon_sym_co_await] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_requires] = ACTIONS(1969),
    [sym_this] = ACTIONS(1969),
  },
  [148] = {
    [ts_builtin_sym_end] = ACTIONS(1971),
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_include_token1] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(1971),
    [anon_sym_RPAREN] = ACTIONS(1971),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym___cdecl] = ACTIONS(1973),
    [anon_sym___clrcall] = ACTIONS(1973),
    [anon_sym___stdcall] = ACTIONS(1973),
    [anon_sym___fastcall] = ACTIONS(1973),
    [anon_sym___thiscall] = ACTIONS(1973),
    [anon_sym___vectorcall] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(1971),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_PROGMEM] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [aux_sym_primitive_type_token1] = ACTIONS(1973),
    [anon_sym_byte] = ACTIONS(1973),
    [anon_sym_word] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_else] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_case] = ACTIONS(1973),
    [anon_sym_default] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_goto] = ACTIONS(1973),
    [anon_sym___try] = ACTIONS(1973),
    [anon_sym___except] = ACTIONS(1973),
    [anon_sym___finally] = ACTIONS(1973),
    [anon_sym___leave] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1973),
    [anon_sym_compl] = ACTIONS(1973),
    [anon_sym_or] = ACTIONS(1973),
    [anon_sym_and] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1973),
    [anon_sym___alignof] = ACTIONS(1973),
    [anon_sym__alignof] = ACTIONS(1973),
    [anon_sym_alignof] = ACTIONS(1973),
    [anon_sym__Alignof] = ACTIONS(1973),
    [anon_sym_offsetof] = ACTIONS(1973),
    [anon_sym__Generic] = ACTIONS(1973),
    [anon_sym_asm] = ACTIONS(1973),
    [anon_sym___asm__] = ACTIONS(1973),
    [anon_sym___asm] = ACTIONS(1973),
    [aux_sym_number_literal_token1] = ACTIONS(1971),
    [aux_sym_number_literal_token2] = ACTIONS(1973),
    [anon_sym_L_SQUOTE] = ACTIONS(1971),
    [anon_sym_u_SQUOTE] = ACTIONS(1971),
    [anon_sym_U_SQUOTE] = ACTIONS(1971),
    [anon_sym_u8_SQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [anon_sym_L_DQUOTE] = ACTIONS(1971),
    [anon_sym_u_DQUOTE] = ACTIONS(1971),
    [anon_sym_U_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8_DQUOTE] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [anon_sym_NULL] = ACTIONS(1973),
    [anon_sym_nullptr] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_final] = ACTIONS(1973),
    [anon_sym_override] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_GT2] = ACTIONS(1971),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_concept] = ACTIONS(1973),
    [anon_sym_co_return] = ACTIONS(1973),
    [anon_sym_co_yield] = ACTIONS(1973),
    [anon_sym_catch] = ACTIONS(1973),
    [anon_sym_R_DQUOTE] = ACTIONS(1971),
    [anon_sym_LR_DQUOTE] = ACTIONS(1971),
    [anon_sym_uR_DQUOTE] = ACTIONS(1971),
    [anon_sym_UR_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1971),
    [anon_sym_co_await] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_requires] = ACTIONS(1973),
    [sym_this] = ACTIONS(1973),
  },
  [149] = {
    [sym_compound_statement] = STATE(8123),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2848),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7956),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(7958),
    [sym__unary_right_fold] = STATE(7959),
    [sym__binary_fold] = STATE(7960),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8092),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [150] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(8007),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(8149),
    [sym__unary_right_fold] = STATE(8148),
    [sym__binary_fold] = STATE(8147),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [151] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7623),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(8149),
    [sym__unary_right_fold] = STATE(8148),
    [sym__binary_fold] = STATE(8147),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [152] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7582),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(8149),
    [sym__unary_right_fold] = STATE(8148),
    [sym__binary_fold] = STATE(8147),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [153] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7805),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(7691),
    [sym__unary_right_fold] = STATE(7689),
    [sym__binary_fold] = STATE(7686),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [154] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(8040),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(8149),
    [sym__unary_right_fold] = STATE(8148),
    [sym__binary_fold] = STATE(8147),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [155] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2342),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_initializer_list] = STATE(2496),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_RPAREN] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_RBRACE] = ACTIONS(1915),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_RBRACK] = ACTIONS(1915),
    [anon_sym_EQ] = ACTIONS(1913),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_STAR_EQ] = ACTIONS(1915),
    [anon_sym_SLASH_EQ] = ACTIONS(1915),
    [anon_sym_PERCENT_EQ] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1915),
    [anon_sym_DASH_EQ] = ACTIONS(1915),
    [anon_sym_LT_LT_EQ] = ACTIONS(1915),
    [anon_sym_GT_GT_EQ] = ACTIONS(1915),
    [anon_sym_AMP_EQ] = ACTIONS(1915),
    [anon_sym_CARET_EQ] = ACTIONS(1915),
    [anon_sym_PIPE_EQ] = ACTIONS(1915),
    [anon_sym_and_eq] = ACTIONS(1913),
    [anon_sym_or_eq] = ACTIONS(1913),
    [anon_sym_xor_eq] = ACTIONS(1913),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [156] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7694),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(7691),
    [sym__unary_right_fold] = STATE(7689),
    [sym__binary_fold] = STATE(7686),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [157] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7910),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(7691),
    [sym__unary_right_fold] = STATE(7689),
    [sym__binary_fold] = STATE(7686),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [158] = {
    [sym_compound_statement] = STATE(8123),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2848),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8123),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7949),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(8097),
    [sym__unary_right_fold] = STATE(8095),
    [sym__binary_fold] = STATE(8094),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8092),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [159] = {
    [sym_compound_statement] = STATE(7697),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2887),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(7697),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7755),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(8063),
    [sym__unary_right_fold] = STATE(7920),
    [sym__binary_fold] = STATE(8032),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(7684),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [160] = {
    [sym_compound_statement] = STATE(8152),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2865),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(7788),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(8149),
    [sym__unary_right_fold] = STATE(8148),
    [sym__binary_fold] = STATE(8147),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [161] = {
    [sym_compound_statement] = STATE(7697),
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4874),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(2887),
    [sym__string] = STATE(3187),
    [sym_comma_expression] = STATE(7697),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_type_descriptor] = STATE(8129),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7175),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym__unary_left_fold] = STATE(8063),
    [sym__unary_right_fold] = STATE(7920),
    [sym__binary_fold] = STATE(8032),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5456),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym__assignment_expression_lhs] = STATE(7684),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(1779),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [162] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(452),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1649),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [163] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(457),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1649),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [164] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(6769),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1649),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [165] = {
    [sym_attribute_declaration] = STATE(214),
    [sym_compound_statement] = STATE(500),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(500),
    [sym_statement] = STATE(501),
    [sym_labeled_statement] = STATE(500),
    [sym_expression_statement] = STATE(500),
    [sym_if_statement] = STATE(500),
    [sym_switch_statement] = STATE(500),
    [sym_case_statement] = STATE(500),
    [sym_while_statement] = STATE(500),
    [sym_do_statement] = STATE(500),
    [sym_for_statement] = STATE(500),
    [sym_return_statement] = STATE(500),
    [sym_break_statement] = STATE(500),
    [sym_continue_statement] = STATE(500),
    [sym_goto_statement] = STATE(500),
    [sym_seh_try_statement] = STATE(500),
    [sym_seh_leave_statement] = STATE(500),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8079),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(500),
    [sym_co_return_statement] = STATE(500),
    [sym_co_yield_statement] = STATE(500),
    [sym_throw_statement] = STATE(500),
    [sym_try_statement] = STATE(500),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(214),
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1451),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [166] = {
    [sym_attribute_declaration] = STATE(213),
    [sym_compound_statement] = STATE(864),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(864),
    [sym_statement] = STATE(847),
    [sym_labeled_statement] = STATE(864),
    [sym_expression_statement] = STATE(864),
    [sym_if_statement] = STATE(864),
    [sym_switch_statement] = STATE(864),
    [sym_case_statement] = STATE(864),
    [sym_while_statement] = STATE(864),
    [sym_do_statement] = STATE(864),
    [sym_for_statement] = STATE(864),
    [sym_return_statement] = STATE(864),
    [sym_break_statement] = STATE(864),
    [sym_continue_statement] = STATE(864),
    [sym_goto_statement] = STATE(864),
    [sym_seh_try_statement] = STATE(864),
    [sym_seh_leave_statement] = STATE(864),
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7984),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(864),
    [sym_co_return_statement] = STATE(864),
    [sym_co_yield_statement] = STATE(864),
    [sym_throw_statement] = STATE(864),
    [sym_try_statement] = STATE(864),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1665),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1669),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1673),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1677),
    [anon_sym___try] = ACTIONS(1679),
    [anon_sym___leave] = ACTIONS(1681),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1685),
    [anon_sym_co_return] = ACTIONS(1687),
    [anon_sym_co_yield] = ACTIONS(1689),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [167] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(262),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(262),
    [sym_statement] = STATE(286),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2011),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [168] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(486),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(486),
    [sym_statement] = STATE(523),
    [sym_labeled_statement] = STATE(486),
    [sym_expression_statement] = STATE(486),
    [sym_if_statement] = STATE(486),
    [sym_switch_statement] = STATE(486),
    [sym_case_statement] = STATE(486),
    [sym_while_statement] = STATE(486),
    [sym_do_statement] = STATE(486),
    [sym_for_statement] = STATE(486),
    [sym_return_statement] = STATE(486),
    [sym_break_statement] = STATE(486),
    [sym_continue_statement] = STATE(486),
    [sym_goto_statement] = STATE(486),
    [sym_seh_try_statement] = STATE(486),
    [sym_seh_leave_statement] = STATE(486),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(486),
    [sym_co_return_statement] = STATE(486),
    [sym_co_yield_statement] = STATE(486),
    [sym_throw_statement] = STATE(486),
    [sym_try_statement] = STATE(486),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2013),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_case] = ACTIONS(787),
    [anon_sym_default] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(797),
    [anon_sym_break] = ACTIONS(799),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_goto] = ACTIONS(803),
    [anon_sym___try] = ACTIONS(805),
    [anon_sym___leave] = ACTIONS(807),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(813),
    [anon_sym_co_return] = ACTIONS(823),
    [anon_sym_co_yield] = ACTIONS(825),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [169] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(262),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(262),
    [sym_statement] = STATE(283),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2011),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [170] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(262),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(262),
    [sym_statement] = STATE(281),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2011),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [171] = {
    [sym_attribute_declaration] = STATE(173),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(420),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [172] = {
    [sym_attribute_declaration] = STATE(173),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(410),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [173] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(428),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [174] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(262),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(262),
    [sym_statement] = STATE(248),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2011),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [175] = {
    [sym_attribute_declaration] = STATE(214),
    [sym_compound_statement] = STATE(500),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(500),
    [sym_statement] = STATE(457),
    [sym_labeled_statement] = STATE(500),
    [sym_expression_statement] = STATE(500),
    [sym_if_statement] = STATE(500),
    [sym_switch_statement] = STATE(500),
    [sym_case_statement] = STATE(500),
    [sym_while_statement] = STATE(500),
    [sym_do_statement] = STATE(500),
    [sym_for_statement] = STATE(500),
    [sym_return_statement] = STATE(500),
    [sym_break_statement] = STATE(500),
    [sym_continue_statement] = STATE(500),
    [sym_goto_statement] = STATE(500),
    [sym_seh_try_statement] = STATE(500),
    [sym_seh_leave_statement] = STATE(500),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8079),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(500),
    [sym_co_return_statement] = STATE(500),
    [sym_co_yield_statement] = STATE(500),
    [sym_throw_statement] = STATE(500),
    [sym_try_statement] = STATE(500),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(214),
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1451),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [176] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(7998),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1649),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [177] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(7828),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1649),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [178] = {
    [sym_attribute_declaration] = STATE(178),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(443),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(178),
    [sym_identifier] = ACTIONS(2017),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2023),
    [anon_sym_TILDE] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(2029),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_SEMI] = ACTIONS(2032),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2041),
    [anon_sym_LBRACE] = ACTIONS(2044),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [aux_sym_primitive_type_token1] = ACTIONS(2050),
    [anon_sym_byte] = ACTIONS(2050),
    [anon_sym_word] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_switch] = ACTIONS(2056),
    [anon_sym_case] = ACTIONS(2059),
    [anon_sym_default] = ACTIONS(2062),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2068),
    [anon_sym_for] = ACTIONS(2071),
    [anon_sym_return] = ACTIONS(2074),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2080),
    [anon_sym_goto] = ACTIONS(2083),
    [anon_sym___try] = ACTIONS(2086),
    [anon_sym___leave] = ACTIONS(2089),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_compl] = ACTIONS(2026),
    [anon_sym_DASH_DASH] = ACTIONS(2092),
    [anon_sym_PLUS_PLUS] = ACTIONS(2092),
    [anon_sym_sizeof] = ACTIONS(2095),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2101),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2107),
    [anon_sym___asm__] = ACTIONS(2107),
    [anon_sym___asm] = ACTIONS(2107),
    [aux_sym_number_literal_token1] = ACTIONS(2110),
    [aux_sym_number_literal_token2] = ACTIONS(2113),
    [anon_sym_L_SQUOTE] = ACTIONS(2116),
    [anon_sym_u_SQUOTE] = ACTIONS(2116),
    [anon_sym_U_SQUOTE] = ACTIONS(2116),
    [anon_sym_u8_SQUOTE] = ACTIONS(2116),
    [anon_sym_SQUOTE] = ACTIONS(2116),
    [anon_sym_L_DQUOTE] = ACTIONS(2119),
    [anon_sym_u_DQUOTE] = ACTIONS(2119),
    [anon_sym_U_DQUOTE] = ACTIONS(2119),
    [anon_sym_u8_DQUOTE] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [sym_true] = ACTIONS(2122),
    [sym_false] = ACTIONS(2122),
    [anon_sym_NULL] = ACTIONS(2125),
    [anon_sym_nullptr] = ACTIONS(2125),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2128),
    [anon_sym_template] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2134),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_co_return] = ACTIONS(2143),
    [anon_sym_co_yield] = ACTIONS(2146),
    [anon_sym_R_DQUOTE] = ACTIONS(2149),
    [anon_sym_LR_DQUOTE] = ACTIONS(2149),
    [anon_sym_uR_DQUOTE] = ACTIONS(2149),
    [anon_sym_UR_DQUOTE] = ACTIONS(2149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2149),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_requires] = ACTIONS(2158),
    [sym_this] = ACTIONS(2122),
  },
  [179] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(7946),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1649),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [180] = {
    [sym_attribute_declaration] = STATE(214),
    [sym_compound_statement] = STATE(500),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(500),
    [sym_statement] = STATE(407),
    [sym_labeled_statement] = STATE(500),
    [sym_expression_statement] = STATE(500),
    [sym_if_statement] = STATE(500),
    [sym_switch_statement] = STATE(500),
    [sym_case_statement] = STATE(500),
    [sym_while_statement] = STATE(500),
    [sym_do_statement] = STATE(500),
    [sym_for_statement] = STATE(500),
    [sym_return_statement] = STATE(500),
    [sym_break_statement] = STATE(500),
    [sym_continue_statement] = STATE(500),
    [sym_goto_statement] = STATE(500),
    [sym_seh_try_statement] = STATE(500),
    [sym_seh_leave_statement] = STATE(500),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8079),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(500),
    [sym_co_return_statement] = STATE(500),
    [sym_co_yield_statement] = STATE(500),
    [sym_throw_statement] = STATE(500),
    [sym_try_statement] = STATE(500),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(214),
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1451),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [181] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(428),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2161),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2023),
    [anon_sym_TILDE] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(2029),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_SEMI] = ACTIONS(2032),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2041),
    [anon_sym_LBRACE] = ACTIONS(2164),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [aux_sym_primitive_type_token1] = ACTIONS(2050),
    [anon_sym_byte] = ACTIONS(2050),
    [anon_sym_word] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2167),
    [anon_sym_switch] = ACTIONS(2170),
    [anon_sym_case] = ACTIONS(2173),
    [anon_sym_default] = ACTIONS(2176),
    [anon_sym_while] = ACTIONS(2179),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_break] = ACTIONS(2191),
    [anon_sym_continue] = ACTIONS(2194),
    [anon_sym_goto] = ACTIONS(2197),
    [anon_sym___try] = ACTIONS(2200),
    [anon_sym___leave] = ACTIONS(2089),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_compl] = ACTIONS(2026),
    [anon_sym_DASH_DASH] = ACTIONS(2092),
    [anon_sym_PLUS_PLUS] = ACTIONS(2092),
    [anon_sym_sizeof] = ACTIONS(2095),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2101),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2107),
    [anon_sym___asm__] = ACTIONS(2107),
    [anon_sym___asm] = ACTIONS(2107),
    [aux_sym_number_literal_token1] = ACTIONS(2110),
    [aux_sym_number_literal_token2] = ACTIONS(2113),
    [anon_sym_L_SQUOTE] = ACTIONS(2116),
    [anon_sym_u_SQUOTE] = ACTIONS(2116),
    [anon_sym_U_SQUOTE] = ACTIONS(2116),
    [anon_sym_u8_SQUOTE] = ACTIONS(2116),
    [anon_sym_SQUOTE] = ACTIONS(2116),
    [anon_sym_L_DQUOTE] = ACTIONS(2119),
    [anon_sym_u_DQUOTE] = ACTIONS(2119),
    [anon_sym_U_DQUOTE] = ACTIONS(2119),
    [anon_sym_u8_DQUOTE] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [sym_true] = ACTIONS(2122),
    [sym_false] = ACTIONS(2122),
    [anon_sym_NULL] = ACTIONS(2125),
    [anon_sym_nullptr] = ACTIONS(2125),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2128),
    [anon_sym_template] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_throw] = ACTIONS(2206),
    [anon_sym_co_return] = ACTIONS(2209),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2149),
    [anon_sym_LR_DQUOTE] = ACTIONS(2149),
    [anon_sym_uR_DQUOTE] = ACTIONS(2149),
    [anon_sym_UR_DQUOTE] = ACTIONS(2149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2149),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_requires] = ACTIONS(2158),
    [sym_this] = ACTIONS(2122),
  },
  [182] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(486),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(486),
    [sym_statement] = STATE(445),
    [sym_labeled_statement] = STATE(486),
    [sym_expression_statement] = STATE(486),
    [sym_if_statement] = STATE(486),
    [sym_switch_statement] = STATE(486),
    [sym_case_statement] = STATE(486),
    [sym_while_statement] = STATE(486),
    [sym_do_statement] = STATE(486),
    [sym_for_statement] = STATE(486),
    [sym_return_statement] = STATE(486),
    [sym_break_statement] = STATE(486),
    [sym_continue_statement] = STATE(486),
    [sym_goto_statement] = STATE(486),
    [sym_seh_try_statement] = STATE(486),
    [sym_seh_leave_statement] = STATE(486),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(486),
    [sym_co_return_statement] = STATE(486),
    [sym_co_yield_statement] = STATE(486),
    [sym_throw_statement] = STATE(486),
    [sym_try_statement] = STATE(486),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2013),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_case] = ACTIONS(787),
    [anon_sym_default] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(797),
    [anon_sym_break] = ACTIONS(799),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_goto] = ACTIONS(803),
    [anon_sym___try] = ACTIONS(805),
    [anon_sym___leave] = ACTIONS(807),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(813),
    [anon_sym_co_return] = ACTIONS(823),
    [anon_sym_co_yield] = ACTIONS(825),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [183] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(486),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(486),
    [sym_statement] = STATE(444),
    [sym_labeled_statement] = STATE(486),
    [sym_expression_statement] = STATE(486),
    [sym_if_statement] = STATE(486),
    [sym_switch_statement] = STATE(486),
    [sym_case_statement] = STATE(486),
    [sym_while_statement] = STATE(486),
    [sym_do_statement] = STATE(486),
    [sym_for_statement] = STATE(486),
    [sym_return_statement] = STATE(486),
    [sym_break_statement] = STATE(486),
    [sym_continue_statement] = STATE(486),
    [sym_goto_statement] = STATE(486),
    [sym_seh_try_statement] = STATE(486),
    [sym_seh_leave_statement] = STATE(486),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(486),
    [sym_co_return_statement] = STATE(486),
    [sym_co_yield_statement] = STATE(486),
    [sym_throw_statement] = STATE(486),
    [sym_try_statement] = STATE(486),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2013),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_case] = ACTIONS(787),
    [anon_sym_default] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(797),
    [anon_sym_break] = ACTIONS(799),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_goto] = ACTIONS(803),
    [anon_sym___try] = ACTIONS(805),
    [anon_sym___leave] = ACTIONS(807),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(813),
    [anon_sym_co_return] = ACTIONS(823),
    [anon_sym_co_yield] = ACTIONS(825),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [184] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(6715),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1649),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [185] = {
    [sym_attribute_declaration] = STATE(214),
    [sym_compound_statement] = STATE(500),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(500),
    [sym_statement] = STATE(452),
    [sym_labeled_statement] = STATE(500),
    [sym_expression_statement] = STATE(500),
    [sym_if_statement] = STATE(500),
    [sym_switch_statement] = STATE(500),
    [sym_case_statement] = STATE(500),
    [sym_while_statement] = STATE(500),
    [sym_do_statement] = STATE(500),
    [sym_for_statement] = STATE(500),
    [sym_return_statement] = STATE(500),
    [sym_break_statement] = STATE(500),
    [sym_continue_statement] = STATE(500),
    [sym_goto_statement] = STATE(500),
    [sym_seh_try_statement] = STATE(500),
    [sym_seh_leave_statement] = STATE(500),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8079),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(500),
    [sym_co_return_statement] = STATE(500),
    [sym_co_yield_statement] = STATE(500),
    [sym_throw_statement] = STATE(500),
    [sym_try_statement] = STATE(500),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(214),
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1451),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [186] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(8023),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1649),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [187] = {
    [sym_attribute_declaration] = STATE(214),
    [sym_compound_statement] = STATE(500),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(500),
    [sym_statement] = STATE(451),
    [sym_labeled_statement] = STATE(500),
    [sym_expression_statement] = STATE(500),
    [sym_if_statement] = STATE(500),
    [sym_switch_statement] = STATE(500),
    [sym_case_statement] = STATE(500),
    [sym_while_statement] = STATE(500),
    [sym_do_statement] = STATE(500),
    [sym_for_statement] = STATE(500),
    [sym_return_statement] = STATE(500),
    [sym_break_statement] = STATE(500),
    [sym_continue_statement] = STATE(500),
    [sym_goto_statement] = STATE(500),
    [sym_seh_try_statement] = STATE(500),
    [sym_seh_leave_statement] = STATE(500),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8079),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(500),
    [sym_co_return_statement] = STATE(500),
    [sym_co_yield_statement] = STATE(500),
    [sym_throw_statement] = STATE(500),
    [sym_try_statement] = STATE(500),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(214),
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1451),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [188] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(864),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(864),
    [sym_statement] = STATE(865),
    [sym_labeled_statement] = STATE(864),
    [sym_expression_statement] = STATE(864),
    [sym_if_statement] = STATE(864),
    [sym_switch_statement] = STATE(864),
    [sym_case_statement] = STATE(864),
    [sym_while_statement] = STATE(864),
    [sym_do_statement] = STATE(864),
    [sym_for_statement] = STATE(864),
    [sym_return_statement] = STATE(864),
    [sym_break_statement] = STATE(864),
    [sym_continue_statement] = STATE(864),
    [sym_goto_statement] = STATE(864),
    [sym_seh_try_statement] = STATE(864),
    [sym_seh_leave_statement] = STATE(864),
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7984),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(864),
    [sym_co_return_statement] = STATE(864),
    [sym_co_yield_statement] = STATE(864),
    [sym_throw_statement] = STATE(864),
    [sym_try_statement] = STATE(864),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1665),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1669),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1673),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1677),
    [anon_sym___try] = ACTIONS(1679),
    [anon_sym___leave] = ACTIONS(1681),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1685),
    [anon_sym_co_return] = ACTIONS(1687),
    [anon_sym_co_yield] = ACTIONS(1689),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [189] = {
    [sym_attribute_declaration] = STATE(209),
    [sym_compound_statement] = STATE(262),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(262),
    [sym_statement] = STATE(266),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(209),
    [sym_identifier] = ACTIONS(2011),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [190] = {
    [sym_attribute_declaration] = STATE(214),
    [sym_compound_statement] = STATE(500),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(500),
    [sym_statement] = STATE(411),
    [sym_labeled_statement] = STATE(500),
    [sym_expression_statement] = STATE(500),
    [sym_if_statement] = STATE(500),
    [sym_switch_statement] = STATE(500),
    [sym_case_statement] = STATE(500),
    [sym_while_statement] = STATE(500),
    [sym_do_statement] = STATE(500),
    [sym_for_statement] = STATE(500),
    [sym_return_statement] = STATE(500),
    [sym_break_statement] = STATE(500),
    [sym_continue_statement] = STATE(500),
    [sym_goto_statement] = STATE(500),
    [sym_seh_try_statement] = STATE(500),
    [sym_seh_leave_statement] = STATE(500),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8079),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(500),
    [sym_co_return_statement] = STATE(500),
    [sym_co_yield_statement] = STATE(500),
    [sym_throw_statement] = STATE(500),
    [sym_try_statement] = STATE(500),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(214),
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1451),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [191] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(262),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(262),
    [sym_statement] = STATE(245),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2011),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [192] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(486),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(486),
    [sym_statement] = STATE(440),
    [sym_labeled_statement] = STATE(486),
    [sym_expression_statement] = STATE(486),
    [sym_if_statement] = STATE(486),
    [sym_switch_statement] = STATE(486),
    [sym_case_statement] = STATE(486),
    [sym_while_statement] = STATE(486),
    [sym_do_statement] = STATE(486),
    [sym_for_statement] = STATE(486),
    [sym_return_statement] = STATE(486),
    [sym_break_statement] = STATE(486),
    [sym_continue_statement] = STATE(486),
    [sym_goto_statement] = STATE(486),
    [sym_seh_try_statement] = STATE(486),
    [sym_seh_leave_statement] = STATE(486),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(486),
    [sym_co_return_statement] = STATE(486),
    [sym_co_yield_statement] = STATE(486),
    [sym_throw_statement] = STATE(486),
    [sym_try_statement] = STATE(486),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2013),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_case] = ACTIONS(787),
    [anon_sym_default] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(797),
    [anon_sym_break] = ACTIONS(799),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_goto] = ACTIONS(803),
    [anon_sym___try] = ACTIONS(805),
    [anon_sym___leave] = ACTIONS(807),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(813),
    [anon_sym_co_return] = ACTIONS(823),
    [anon_sym_co_yield] = ACTIONS(825),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [193] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(501),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1649),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [194] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(451),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1649),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [195] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(864),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(864),
    [sym_statement] = STATE(841),
    [sym_labeled_statement] = STATE(864),
    [sym_expression_statement] = STATE(864),
    [sym_if_statement] = STATE(864),
    [sym_switch_statement] = STATE(864),
    [sym_case_statement] = STATE(864),
    [sym_while_statement] = STATE(864),
    [sym_do_statement] = STATE(864),
    [sym_for_statement] = STATE(864),
    [sym_return_statement] = STATE(864),
    [sym_break_statement] = STATE(864),
    [sym_continue_statement] = STATE(864),
    [sym_goto_statement] = STATE(864),
    [sym_seh_try_statement] = STATE(864),
    [sym_seh_leave_statement] = STATE(864),
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7984),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(864),
    [sym_co_return_statement] = STATE(864),
    [sym_co_yield_statement] = STATE(864),
    [sym_throw_statement] = STATE(864),
    [sym_try_statement] = STATE(864),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1665),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1669),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1673),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1677),
    [anon_sym___try] = ACTIONS(1679),
    [anon_sym___leave] = ACTIONS(1681),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1685),
    [anon_sym_co_return] = ACTIONS(1687),
    [anon_sym_co_yield] = ACTIONS(1689),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [196] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3106),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_initializer_list] = STATE(3357),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_RPAREN] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_EQ] = ACTIONS(1913),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_STAR_EQ] = ACTIONS(1915),
    [anon_sym_SLASH_EQ] = ACTIONS(1915),
    [anon_sym_PERCENT_EQ] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1915),
    [anon_sym_DASH_EQ] = ACTIONS(1915),
    [anon_sym_LT_LT_EQ] = ACTIONS(1915),
    [anon_sym_GT_GT_EQ] = ACTIONS(1915),
    [anon_sym_AMP_EQ] = ACTIONS(1915),
    [anon_sym_CARET_EQ] = ACTIONS(1915),
    [anon_sym_PIPE_EQ] = ACTIONS(1915),
    [anon_sym_and_eq] = ACTIONS(1913),
    [anon_sym_or_eq] = ACTIONS(1913),
    [anon_sym_xor_eq] = ACTIONS(1913),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1913),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1915),
    [sym_this] = ACTIONS(1819),
  },
  [197] = {
    [sym_attribute_declaration] = STATE(173),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(415),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [198] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(864),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(864),
    [sym_statement] = STATE(837),
    [sym_labeled_statement] = STATE(864),
    [sym_expression_statement] = STATE(864),
    [sym_if_statement] = STATE(864),
    [sym_switch_statement] = STATE(864),
    [sym_case_statement] = STATE(864),
    [sym_while_statement] = STATE(864),
    [sym_do_statement] = STATE(864),
    [sym_for_statement] = STATE(864),
    [sym_return_statement] = STATE(864),
    [sym_break_statement] = STATE(864),
    [sym_continue_statement] = STATE(864),
    [sym_goto_statement] = STATE(864),
    [sym_seh_try_statement] = STATE(864),
    [sym_seh_leave_statement] = STATE(864),
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7984),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(864),
    [sym_co_return_statement] = STATE(864),
    [sym_co_yield_statement] = STATE(864),
    [sym_throw_statement] = STATE(864),
    [sym_try_statement] = STATE(864),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1665),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1669),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1673),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1677),
    [anon_sym___try] = ACTIONS(1679),
    [anon_sym___leave] = ACTIONS(1681),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1685),
    [anon_sym_co_return] = ACTIONS(1687),
    [anon_sym_co_yield] = ACTIONS(1689),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [199] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(864),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(864),
    [sym_statement] = STATE(836),
    [sym_labeled_statement] = STATE(864),
    [sym_expression_statement] = STATE(864),
    [sym_if_statement] = STATE(864),
    [sym_switch_statement] = STATE(864),
    [sym_case_statement] = STATE(864),
    [sym_while_statement] = STATE(864),
    [sym_do_statement] = STATE(864),
    [sym_for_statement] = STATE(864),
    [sym_return_statement] = STATE(864),
    [sym_break_statement] = STATE(864),
    [sym_continue_statement] = STATE(864),
    [sym_goto_statement] = STATE(864),
    [sym_seh_try_statement] = STATE(864),
    [sym_seh_leave_statement] = STATE(864),
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7984),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(864),
    [sym_co_return_statement] = STATE(864),
    [sym_co_yield_statement] = STATE(864),
    [sym_throw_statement] = STATE(864),
    [sym_try_statement] = STATE(864),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1665),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1669),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1673),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1677),
    [anon_sym___try] = ACTIONS(1679),
    [anon_sym___leave] = ACTIONS(1681),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1685),
    [anon_sym_co_return] = ACTIONS(1687),
    [anon_sym_co_yield] = ACTIONS(1689),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [200] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(864),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(864),
    [sym_statement] = STATE(857),
    [sym_labeled_statement] = STATE(864),
    [sym_expression_statement] = STATE(864),
    [sym_if_statement] = STATE(864),
    [sym_switch_statement] = STATE(864),
    [sym_case_statement] = STATE(864),
    [sym_while_statement] = STATE(864),
    [sym_do_statement] = STATE(864),
    [sym_for_statement] = STATE(864),
    [sym_return_statement] = STATE(864),
    [sym_break_statement] = STATE(864),
    [sym_continue_statement] = STATE(864),
    [sym_goto_statement] = STATE(864),
    [sym_seh_try_statement] = STATE(864),
    [sym_seh_leave_statement] = STATE(864),
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7984),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(864),
    [sym_co_return_statement] = STATE(864),
    [sym_co_yield_statement] = STATE(864),
    [sym_throw_statement] = STATE(864),
    [sym_try_statement] = STATE(864),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1665),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1669),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1673),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1677),
    [anon_sym___try] = ACTIONS(1679),
    [anon_sym___leave] = ACTIONS(1681),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1685),
    [anon_sym_co_return] = ACTIONS(1687),
    [anon_sym_co_yield] = ACTIONS(1689),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [201] = {
    [sym_attribute_declaration] = STATE(173),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(495),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [202] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(864),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(864),
    [sym_statement] = STATE(858),
    [sym_labeled_statement] = STATE(864),
    [sym_expression_statement] = STATE(864),
    [sym_if_statement] = STATE(864),
    [sym_switch_statement] = STATE(864),
    [sym_case_statement] = STATE(864),
    [sym_while_statement] = STATE(864),
    [sym_do_statement] = STATE(864),
    [sym_for_statement] = STATE(864),
    [sym_return_statement] = STATE(864),
    [sym_break_statement] = STATE(864),
    [sym_continue_statement] = STATE(864),
    [sym_goto_statement] = STATE(864),
    [sym_seh_try_statement] = STATE(864),
    [sym_seh_leave_statement] = STATE(864),
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7984),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(864),
    [sym_co_return_statement] = STATE(864),
    [sym_co_yield_statement] = STATE(864),
    [sym_throw_statement] = STATE(864),
    [sym_try_statement] = STATE(864),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1661),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1665),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1669),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1673),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1677),
    [anon_sym___try] = ACTIONS(1679),
    [anon_sym___leave] = ACTIONS(1681),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(1685),
    [anon_sym_co_return] = ACTIONS(1687),
    [anon_sym_co_yield] = ACTIONS(1689),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [203] = {
    [sym_attribute_declaration] = STATE(203),
    [sym_compound_statement] = STATE(486),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(486),
    [sym_statement] = STATE(510),
    [sym_labeled_statement] = STATE(486),
    [sym_expression_statement] = STATE(486),
    [sym_if_statement] = STATE(486),
    [sym_switch_statement] = STATE(486),
    [sym_case_statement] = STATE(486),
    [sym_while_statement] = STATE(486),
    [sym_do_statement] = STATE(486),
    [sym_for_statement] = STATE(486),
    [sym_return_statement] = STATE(486),
    [sym_break_statement] = STATE(486),
    [sym_continue_statement] = STATE(486),
    [sym_goto_statement] = STATE(486),
    [sym_seh_try_statement] = STATE(486),
    [sym_seh_leave_statement] = STATE(486),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(486),
    [sym_co_return_statement] = STATE(486),
    [sym_co_yield_statement] = STATE(486),
    [sym_throw_statement] = STATE(486),
    [sym_try_statement] = STATE(486),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(203),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2023),
    [anon_sym_TILDE] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(2029),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_SEMI] = ACTIONS(2224),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2041),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [aux_sym_primitive_type_token1] = ACTIONS(2050),
    [anon_sym_byte] = ACTIONS(2050),
    [anon_sym_word] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2233),
    [anon_sym_case] = ACTIONS(2236),
    [anon_sym_default] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2248),
    [anon_sym_return] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2254),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_goto] = ACTIONS(2260),
    [anon_sym___try] = ACTIONS(2263),
    [anon_sym___leave] = ACTIONS(2266),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_compl] = ACTIONS(2026),
    [anon_sym_DASH_DASH] = ACTIONS(2092),
    [anon_sym_PLUS_PLUS] = ACTIONS(2092),
    [anon_sym_sizeof] = ACTIONS(2095),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2101),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2107),
    [anon_sym___asm__] = ACTIONS(2107),
    [anon_sym___asm] = ACTIONS(2107),
    [aux_sym_number_literal_token1] = ACTIONS(2110),
    [aux_sym_number_literal_token2] = ACTIONS(2113),
    [anon_sym_L_SQUOTE] = ACTIONS(2116),
    [anon_sym_u_SQUOTE] = ACTIONS(2116),
    [anon_sym_U_SQUOTE] = ACTIONS(2116),
    [anon_sym_u8_SQUOTE] = ACTIONS(2116),
    [anon_sym_SQUOTE] = ACTIONS(2116),
    [anon_sym_L_DQUOTE] = ACTIONS(2119),
    [anon_sym_u_DQUOTE] = ACTIONS(2119),
    [anon_sym_U_DQUOTE] = ACTIONS(2119),
    [anon_sym_u8_DQUOTE] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [sym_true] = ACTIONS(2122),
    [sym_false] = ACTIONS(2122),
    [anon_sym_NULL] = ACTIONS(2125),
    [anon_sym_nullptr] = ACTIONS(2125),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2128),
    [anon_sym_template] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2269),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_co_return] = ACTIONS(2275),
    [anon_sym_co_yield] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2149),
    [anon_sym_LR_DQUOTE] = ACTIONS(2149),
    [anon_sym_uR_DQUOTE] = ACTIONS(2149),
    [anon_sym_UR_DQUOTE] = ACTIONS(2149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2149),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_requires] = ACTIONS(2158),
    [sym_this] = ACTIONS(2122),
  },
  [204] = {
    [sym_attribute_declaration] = STATE(173),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(484),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [205] = {
    [sym_attribute_declaration] = STATE(203),
    [sym_compound_statement] = STATE(486),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(486),
    [sym_statement] = STATE(510),
    [sym_labeled_statement] = STATE(486),
    [sym_expression_statement] = STATE(486),
    [sym_if_statement] = STATE(486),
    [sym_switch_statement] = STATE(486),
    [sym_case_statement] = STATE(486),
    [sym_while_statement] = STATE(486),
    [sym_do_statement] = STATE(486),
    [sym_for_statement] = STATE(486),
    [sym_return_statement] = STATE(486),
    [sym_break_statement] = STATE(486),
    [sym_continue_statement] = STATE(486),
    [sym_goto_statement] = STATE(486),
    [sym_seh_try_statement] = STATE(486),
    [sym_seh_leave_statement] = STATE(486),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(486),
    [sym_co_return_statement] = STATE(486),
    [sym_co_yield_statement] = STATE(486),
    [sym_throw_statement] = STATE(486),
    [sym_try_statement] = STATE(486),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(203),
    [sym_identifier] = ACTIONS(2013),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_case] = ACTIONS(787),
    [anon_sym_default] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(797),
    [anon_sym_break] = ACTIONS(799),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_goto] = ACTIONS(803),
    [anon_sym___try] = ACTIONS(805),
    [anon_sym___leave] = ACTIONS(807),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(813),
    [anon_sym_co_return] = ACTIONS(823),
    [anon_sym_co_yield] = ACTIONS(825),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [206] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(8044),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1649),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [207] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2342),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_initializer_list] = STATE(2496),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(2283),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_EQ] = ACTIONS(1913),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_STAR_EQ] = ACTIONS(1915),
    [anon_sym_SLASH_EQ] = ACTIONS(1915),
    [anon_sym_PERCENT_EQ] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1915),
    [anon_sym_DASH_EQ] = ACTIONS(1915),
    [anon_sym_LT_LT_EQ] = ACTIONS(1915),
    [anon_sym_GT_GT_EQ] = ACTIONS(1915),
    [anon_sym_AMP_EQ] = ACTIONS(1915),
    [anon_sym_CARET_EQ] = ACTIONS(1915),
    [anon_sym_PIPE_EQ] = ACTIONS(1915),
    [anon_sym_and_eq] = ACTIONS(1913),
    [anon_sym_or_eq] = ACTIONS(1913),
    [anon_sym_xor_eq] = ACTIONS(1913),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [208] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(486),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(486),
    [sym_statement] = STATE(406),
    [sym_labeled_statement] = STATE(486),
    [sym_expression_statement] = STATE(486),
    [sym_if_statement] = STATE(486),
    [sym_switch_statement] = STATE(486),
    [sym_case_statement] = STATE(486),
    [sym_while_statement] = STATE(486),
    [sym_do_statement] = STATE(486),
    [sym_for_statement] = STATE(486),
    [sym_return_statement] = STATE(486),
    [sym_break_statement] = STATE(486),
    [sym_continue_statement] = STATE(486),
    [sym_goto_statement] = STATE(486),
    [sym_seh_try_statement] = STATE(486),
    [sym_seh_leave_statement] = STATE(486),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(486),
    [sym_co_return_statement] = STATE(486),
    [sym_co_yield_statement] = STATE(486),
    [sym_throw_statement] = STATE(486),
    [sym_try_statement] = STATE(486),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2013),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_case] = ACTIONS(787),
    [anon_sym_default] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(797),
    [anon_sym_break] = ACTIONS(799),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_goto] = ACTIONS(803),
    [anon_sym___try] = ACTIONS(805),
    [anon_sym___leave] = ACTIONS(807),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(813),
    [anon_sym_co_return] = ACTIONS(823),
    [anon_sym_co_yield] = ACTIONS(825),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [209] = {
    [sym_attribute_declaration] = STATE(209),
    [sym_compound_statement] = STATE(262),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(262),
    [sym_statement] = STATE(266),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(209),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2023),
    [anon_sym_TILDE] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(2029),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2041),
    [anon_sym_LBRACE] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [aux_sym_primitive_type_token1] = ACTIONS(2050),
    [anon_sym_byte] = ACTIONS(2050),
    [anon_sym_word] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_switch] = ACTIONS(2319),
    [anon_sym_case] = ACTIONS(2322),
    [anon_sym_default] = ACTIONS(2325),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2331),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_break] = ACTIONS(2340),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym___try] = ACTIONS(2349),
    [anon_sym___leave] = ACTIONS(2352),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_compl] = ACTIONS(2026),
    [anon_sym_DASH_DASH] = ACTIONS(2092),
    [anon_sym_PLUS_PLUS] = ACTIONS(2092),
    [anon_sym_sizeof] = ACTIONS(2095),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2101),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2107),
    [anon_sym___asm__] = ACTIONS(2107),
    [anon_sym___asm] = ACTIONS(2107),
    [aux_sym_number_literal_token1] = ACTIONS(2110),
    [aux_sym_number_literal_token2] = ACTIONS(2113),
    [anon_sym_L_SQUOTE] = ACTIONS(2116),
    [anon_sym_u_SQUOTE] = ACTIONS(2116),
    [anon_sym_U_SQUOTE] = ACTIONS(2116),
    [anon_sym_u8_SQUOTE] = ACTIONS(2116),
    [anon_sym_SQUOTE] = ACTIONS(2116),
    [anon_sym_L_DQUOTE] = ACTIONS(2119),
    [anon_sym_u_DQUOTE] = ACTIONS(2119),
    [anon_sym_U_DQUOTE] = ACTIONS(2119),
    [anon_sym_u8_DQUOTE] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [sym_true] = ACTIONS(2122),
    [sym_false] = ACTIONS(2122),
    [anon_sym_NULL] = ACTIONS(2125),
    [anon_sym_nullptr] = ACTIONS(2125),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2128),
    [anon_sym_template] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2355),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_throw] = ACTIONS(2358),
    [anon_sym_co_return] = ACTIONS(2361),
    [anon_sym_co_yield] = ACTIONS(2364),
    [anon_sym_R_DQUOTE] = ACTIONS(2149),
    [anon_sym_LR_DQUOTE] = ACTIONS(2149),
    [anon_sym_uR_DQUOTE] = ACTIONS(2149),
    [anon_sym_UR_DQUOTE] = ACTIONS(2149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2149),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_requires] = ACTIONS(2158),
    [sym_this] = ACTIONS(2122),
  },
  [210] = {
    [sym_attribute_declaration] = STATE(205),
    [sym_compound_statement] = STATE(486),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(486),
    [sym_statement] = STATE(408),
    [sym_labeled_statement] = STATE(486),
    [sym_expression_statement] = STATE(486),
    [sym_if_statement] = STATE(486),
    [sym_switch_statement] = STATE(486),
    [sym_case_statement] = STATE(486),
    [sym_while_statement] = STATE(486),
    [sym_do_statement] = STATE(486),
    [sym_for_statement] = STATE(486),
    [sym_return_statement] = STATE(486),
    [sym_break_statement] = STATE(486),
    [sym_continue_statement] = STATE(486),
    [sym_goto_statement] = STATE(486),
    [sym_seh_try_statement] = STATE(486),
    [sym_seh_leave_statement] = STATE(486),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7976),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(486),
    [sym_co_return_statement] = STATE(486),
    [sym_co_yield_statement] = STATE(486),
    [sym_throw_statement] = STATE(486),
    [sym_try_statement] = STATE(486),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(205),
    [sym_identifier] = ACTIONS(2013),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(783),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_case] = ACTIONS(787),
    [anon_sym_default] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_return] = ACTIONS(797),
    [anon_sym_break] = ACTIONS(799),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_goto] = ACTIONS(803),
    [anon_sym___try] = ACTIONS(805),
    [anon_sym___leave] = ACTIONS(807),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(811),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(813),
    [anon_sym_co_return] = ACTIONS(823),
    [anon_sym_co_yield] = ACTIONS(825),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [211] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(262),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(262),
    [sym_statement] = STATE(294),
    [sym_labeled_statement] = STATE(262),
    [sym_expression_statement] = STATE(262),
    [sym_if_statement] = STATE(262),
    [sym_switch_statement] = STATE(262),
    [sym_case_statement] = STATE(262),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(262),
    [sym_for_statement] = STATE(262),
    [sym_return_statement] = STATE(262),
    [sym_break_statement] = STATE(262),
    [sym_continue_statement] = STATE(262),
    [sym_goto_statement] = STATE(262),
    [sym_seh_try_statement] = STATE(262),
    [sym_seh_leave_statement] = STATE(262),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7675),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(262),
    [sym_co_return_statement] = STATE(262),
    [sym_co_yield_statement] = STATE(262),
    [sym_throw_statement] = STATE(262),
    [sym_try_statement] = STATE(262),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2011),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [212] = {
    [sym_attribute_declaration] = STATE(178),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(443),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(178),
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1645),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1649),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [213] = {
    [sym_attribute_declaration] = STATE(213),
    [sym_compound_statement] = STATE(864),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(864),
    [sym_statement] = STATE(847),
    [sym_labeled_statement] = STATE(864),
    [sym_expression_statement] = STATE(864),
    [sym_if_statement] = STATE(864),
    [sym_switch_statement] = STATE(864),
    [sym_case_statement] = STATE(864),
    [sym_while_statement] = STATE(864),
    [sym_do_statement] = STATE(864),
    [sym_for_statement] = STATE(864),
    [sym_return_statement] = STATE(864),
    [sym_break_statement] = STATE(864),
    [sym_continue_statement] = STATE(864),
    [sym_goto_statement] = STATE(864),
    [sym_seh_try_statement] = STATE(864),
    [sym_seh_leave_statement] = STATE(864),
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7984),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(864),
    [sym_co_return_statement] = STATE(864),
    [sym_co_yield_statement] = STATE(864),
    [sym_throw_statement] = STATE(864),
    [sym_try_statement] = STATE(864),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(2367),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2023),
    [anon_sym_TILDE] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(2029),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2041),
    [anon_sym_LBRACE] = ACTIONS(2373),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [aux_sym_primitive_type_token1] = ACTIONS(2050),
    [anon_sym_byte] = ACTIONS(2050),
    [anon_sym_word] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_switch] = ACTIONS(2379),
    [anon_sym_case] = ACTIONS(2059),
    [anon_sym_default] = ACTIONS(2062),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2385),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_return] = ACTIONS(2391),
    [anon_sym_break] = ACTIONS(2394),
    [anon_sym_continue] = ACTIONS(2397),
    [anon_sym_goto] = ACTIONS(2400),
    [anon_sym___try] = ACTIONS(2403),
    [anon_sym___leave] = ACTIONS(2406),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_compl] = ACTIONS(2026),
    [anon_sym_DASH_DASH] = ACTIONS(2092),
    [anon_sym_PLUS_PLUS] = ACTIONS(2092),
    [anon_sym_sizeof] = ACTIONS(2095),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2101),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2107),
    [anon_sym___asm__] = ACTIONS(2107),
    [anon_sym___asm] = ACTIONS(2107),
    [aux_sym_number_literal_token1] = ACTIONS(2110),
    [aux_sym_number_literal_token2] = ACTIONS(2113),
    [anon_sym_L_SQUOTE] = ACTIONS(2116),
    [anon_sym_u_SQUOTE] = ACTIONS(2116),
    [anon_sym_U_SQUOTE] = ACTIONS(2116),
    [anon_sym_u8_SQUOTE] = ACTIONS(2116),
    [anon_sym_SQUOTE] = ACTIONS(2116),
    [anon_sym_L_DQUOTE] = ACTIONS(2119),
    [anon_sym_u_DQUOTE] = ACTIONS(2119),
    [anon_sym_U_DQUOTE] = ACTIONS(2119),
    [anon_sym_u8_DQUOTE] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [sym_true] = ACTIONS(2122),
    [sym_false] = ACTIONS(2122),
    [anon_sym_NULL] = ACTIONS(2125),
    [anon_sym_nullptr] = ACTIONS(2125),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2128),
    [anon_sym_template] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2409),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_throw] = ACTIONS(2412),
    [anon_sym_co_return] = ACTIONS(2415),
    [anon_sym_co_yield] = ACTIONS(2418),
    [anon_sym_R_DQUOTE] = ACTIONS(2149),
    [anon_sym_LR_DQUOTE] = ACTIONS(2149),
    [anon_sym_uR_DQUOTE] = ACTIONS(2149),
    [anon_sym_UR_DQUOTE] = ACTIONS(2149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2149),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_requires] = ACTIONS(2158),
    [sym_this] = ACTIONS(2122),
  },
  [214] = {
    [sym_attribute_declaration] = STATE(215),
    [sym_compound_statement] = STATE(500),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(500),
    [sym_statement] = STATE(443),
    [sym_labeled_statement] = STATE(500),
    [sym_expression_statement] = STATE(500),
    [sym_if_statement] = STATE(500),
    [sym_switch_statement] = STATE(500),
    [sym_case_statement] = STATE(500),
    [sym_while_statement] = STATE(500),
    [sym_do_statement] = STATE(500),
    [sym_for_statement] = STATE(500),
    [sym_return_statement] = STATE(500),
    [sym_break_statement] = STATE(500),
    [sym_continue_statement] = STATE(500),
    [sym_goto_statement] = STATE(500),
    [sym_seh_try_statement] = STATE(500),
    [sym_seh_leave_statement] = STATE(500),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8079),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(500),
    [sym_co_return_statement] = STATE(500),
    [sym_co_yield_statement] = STATE(500),
    [sym_throw_statement] = STATE(500),
    [sym_try_statement] = STATE(500),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(215),
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1451),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(139),
    [anon_sym_co_return] = ACTIONS(149),
    [anon_sym_co_yield] = ACTIONS(151),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [215] = {
    [sym_attribute_declaration] = STATE(215),
    [sym_compound_statement] = STATE(500),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(500),
    [sym_statement] = STATE(443),
    [sym_labeled_statement] = STATE(500),
    [sym_expression_statement] = STATE(500),
    [sym_if_statement] = STATE(500),
    [sym_switch_statement] = STATE(500),
    [sym_case_statement] = STATE(500),
    [sym_while_statement] = STATE(500),
    [sym_do_statement] = STATE(500),
    [sym_for_statement] = STATE(500),
    [sym_return_statement] = STATE(500),
    [sym_break_statement] = STATE(500),
    [sym_continue_statement] = STATE(500),
    [sym_goto_statement] = STATE(500),
    [sym_seh_try_statement] = STATE(500),
    [sym_seh_leave_statement] = STATE(500),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8079),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(500),
    [sym_co_return_statement] = STATE(500),
    [sym_co_yield_statement] = STATE(500),
    [sym_throw_statement] = STATE(500),
    [sym_try_statement] = STATE(500),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(215),
    [sym_identifier] = ACTIONS(2421),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2023),
    [anon_sym_TILDE] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_PLUS] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(2029),
    [anon_sym_AMP] = ACTIONS(2029),
    [anon_sym_SEMI] = ACTIONS(2424),
    [anon_sym___extension__] = ACTIONS(2035),
    [anon_sym_COLON_COLON] = ACTIONS(2038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2041),
    [anon_sym_LBRACE] = ACTIONS(2044),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [aux_sym_primitive_type_token1] = ACTIONS(2050),
    [anon_sym_byte] = ACTIONS(2050),
    [anon_sym_word] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_switch] = ACTIONS(2056),
    [anon_sym_case] = ACTIONS(2430),
    [anon_sym_default] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2068),
    [anon_sym_for] = ACTIONS(2439),
    [anon_sym_return] = ACTIONS(2074),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2080),
    [anon_sym_goto] = ACTIONS(2083),
    [anon_sym___try] = ACTIONS(2442),
    [anon_sym___leave] = ACTIONS(2445),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_compl] = ACTIONS(2026),
    [anon_sym_DASH_DASH] = ACTIONS(2092),
    [anon_sym_PLUS_PLUS] = ACTIONS(2092),
    [anon_sym_sizeof] = ACTIONS(2095),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2101),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2107),
    [anon_sym___asm__] = ACTIONS(2107),
    [anon_sym___asm] = ACTIONS(2107),
    [aux_sym_number_literal_token1] = ACTIONS(2110),
    [aux_sym_number_literal_token2] = ACTIONS(2113),
    [anon_sym_L_SQUOTE] = ACTIONS(2116),
    [anon_sym_u_SQUOTE] = ACTIONS(2116),
    [anon_sym_U_SQUOTE] = ACTIONS(2116),
    [anon_sym_u8_SQUOTE] = ACTIONS(2116),
    [anon_sym_SQUOTE] = ACTIONS(2116),
    [anon_sym_L_DQUOTE] = ACTIONS(2119),
    [anon_sym_u_DQUOTE] = ACTIONS(2119),
    [anon_sym_U_DQUOTE] = ACTIONS(2119),
    [anon_sym_u8_DQUOTE] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [sym_true] = ACTIONS(2122),
    [sym_false] = ACTIONS(2122),
    [anon_sym_NULL] = ACTIONS(2125),
    [anon_sym_nullptr] = ACTIONS(2125),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2128),
    [anon_sym_template] = ACTIONS(2131),
    [anon_sym_try] = ACTIONS(2134),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_throw] = ACTIONS(2140),
    [anon_sym_co_return] = ACTIONS(2143),
    [anon_sym_co_yield] = ACTIONS(2146),
    [anon_sym_R_DQUOTE] = ACTIONS(2149),
    [anon_sym_LR_DQUOTE] = ACTIONS(2149),
    [anon_sym_uR_DQUOTE] = ACTIONS(2149),
    [anon_sym_UR_DQUOTE] = ACTIONS(2149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2149),
    [anon_sym_co_await] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2155),
    [anon_sym_requires] = ACTIONS(2158),
    [sym_this] = ACTIONS(2122),
  },
  [216] = {
    [sym_attribute_declaration] = STATE(173),
    [sym_compound_statement] = STATE(512),
    [sym_primitive_type] = STATE(6487),
    [sym_attributed_statement] = STATE(512),
    [sym_statement] = STATE(480),
    [sym_labeled_statement] = STATE(512),
    [sym_expression_statement] = STATE(512),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(512),
    [sym_case_statement] = STATE(512),
    [sym_while_statement] = STATE(512),
    [sym_do_statement] = STATE(512),
    [sym_for_statement] = STATE(512),
    [sym_return_statement] = STATE(512),
    [sym_break_statement] = STATE(512),
    [sym_continue_statement] = STATE(512),
    [sym_goto_statement] = STATE(512),
    [sym_seh_try_statement] = STATE(512),
    [sym_seh_leave_statement] = STATE(512),
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8021),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_for_range_loop] = STATE(512),
    [sym_co_return_statement] = STATE(512),
    [sym_co_yield_statement] = STATE(512),
    [sym_throw_statement] = STATE(512),
    [sym_try_statement] = STATE(512),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym___try] = ACTIONS(213),
    [anon_sym___leave] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [217] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3240),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_initializer_list] = STATE(3627),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1913),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_EQ] = ACTIONS(1913),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_STAR_EQ] = ACTIONS(1915),
    [anon_sym_SLASH_EQ] = ACTIONS(1915),
    [anon_sym_PERCENT_EQ] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1915),
    [anon_sym_DASH_EQ] = ACTIONS(1915),
    [anon_sym_LT_LT_EQ] = ACTIONS(1915),
    [anon_sym_GT_GT_EQ] = ACTIONS(1913),
    [anon_sym_AMP_EQ] = ACTIONS(1915),
    [anon_sym_CARET_EQ] = ACTIONS(1915),
    [anon_sym_PIPE_EQ] = ACTIONS(1915),
    [anon_sym_and_eq] = ACTIONS(1913),
    [anon_sym_or_eq] = ACTIONS(1913),
    [anon_sym_xor_eq] = ACTIONS(1913),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(1915),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [218] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3208),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_initializer_list] = STATE(2496),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_EQ] = ACTIONS(1913),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_STAR_EQ] = ACTIONS(1915),
    [anon_sym_SLASH_EQ] = ACTIONS(1915),
    [anon_sym_PERCENT_EQ] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1915),
    [anon_sym_DASH_EQ] = ACTIONS(1915),
    [anon_sym_LT_LT_EQ] = ACTIONS(1915),
    [anon_sym_GT_GT_EQ] = ACTIONS(1915),
    [anon_sym_AMP_EQ] = ACTIONS(1915),
    [anon_sym_CARET_EQ] = ACTIONS(1915),
    [anon_sym_PIPE_EQ] = ACTIONS(1915),
    [anon_sym_and_eq] = ACTIONS(1913),
    [anon_sym_or_eq] = ACTIONS(1913),
    [anon_sym_xor_eq] = ACTIONS(1913),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [219] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4132),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2523),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2536),
    [anon_sym_byte] = ACTIONS(2536),
    [anon_sym_word] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [220] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4132),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2523),
    [anon_sym_typedef] = ACTIONS(2545),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2536),
    [anon_sym_byte] = ACTIONS(2536),
    [anon_sym_word] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [221] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4132),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2523),
    [anon_sym_typedef] = ACTIONS(2547),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2536),
    [anon_sym_byte] = ACTIONS(2536),
    [anon_sym_word] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [222] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4132),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2523),
    [anon_sym_typedef] = ACTIONS(2549),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2533),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2536),
    [anon_sym_byte] = ACTIONS(2536),
    [anon_sym_word] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [223] = {
    [sym_catch_clause] = STATE(223),
    [aux_sym_constructor_try_statement_repeat1] = STATE(223),
    [sym_identifier] = ACTIONS(2551),
    [aux_sym_preproc_include_token1] = ACTIONS(2551),
    [aux_sym_preproc_def_token1] = ACTIONS(2551),
    [aux_sym_preproc_if_token1] = ACTIONS(2551),
    [aux_sym_preproc_if_token2] = ACTIONS(2551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2551),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2551),
    [aux_sym_preproc_else_token1] = ACTIONS(2551),
    [aux_sym_preproc_elif_token1] = ACTIONS(2551),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2551),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2551),
    [sym_preproc_directive] = ACTIONS(2551),
    [anon_sym_LPAREN2] = ACTIONS(2553),
    [anon_sym_BANG] = ACTIONS(2553),
    [anon_sym_TILDE] = ACTIONS(2553),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_STAR] = ACTIONS(2553),
    [anon_sym_AMP_AMP] = ACTIONS(2553),
    [anon_sym_AMP] = ACTIONS(2551),
    [anon_sym_SEMI] = ACTIONS(2553),
    [anon_sym___extension__] = ACTIONS(2551),
    [anon_sym_typedef] = ACTIONS(2551),
    [anon_sym_virtual] = ACTIONS(2551),
    [anon_sym_extern] = ACTIONS(2551),
    [anon_sym___attribute__] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2553),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2553),
    [anon_sym___declspec] = ACTIONS(2551),
    [anon_sym___based] = ACTIONS(2551),
    [anon_sym___cdecl] = ACTIONS(2551),
    [anon_sym___clrcall] = ACTIONS(2551),
    [anon_sym___stdcall] = ACTIONS(2551),
    [anon_sym___fastcall] = ACTIONS(2551),
    [anon_sym___thiscall] = ACTIONS(2551),
    [anon_sym___vectorcall] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(2553),
    [anon_sym_signed] = ACTIONS(2551),
    [anon_sym_unsigned] = ACTIONS(2551),
    [anon_sym_long] = ACTIONS(2551),
    [anon_sym_short] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2551),
    [anon_sym_static] = ACTIONS(2551),
    [anon_sym_register] = ACTIONS(2551),
    [anon_sym_inline] = ACTIONS(2551),
    [anon_sym___inline] = ACTIONS(2551),
    [anon_sym___inline__] = ACTIONS(2551),
    [anon_sym___forceinline] = ACTIONS(2551),
    [anon_sym_thread_local] = ACTIONS(2551),
    [anon_sym___thread] = ACTIONS(2551),
    [anon_sym_const] = ACTIONS(2551),
    [anon_sym_constexpr] = ACTIONS(2551),
    [anon_sym_volatile] = ACTIONS(2551),
    [anon_sym_restrict] = ACTIONS(2551),
    [anon_sym___restrict__] = ACTIONS(2551),
    [anon_sym__Atomic] = ACTIONS(2551),
    [anon_sym__Noreturn] = ACTIONS(2551),
    [anon_sym_noreturn] = ACTIONS(2551),
    [anon_sym__Nonnull] = ACTIONS(2551),
    [anon_sym_mutable] = ACTIONS(2551),
    [anon_sym_constinit] = ACTIONS(2551),
    [anon_sym_consteval] = ACTIONS(2551),
    [anon_sym_PROGMEM] = ACTIONS(2551),
    [anon_sym_alignas] = ACTIONS(2551),
    [anon_sym__Alignas] = ACTIONS(2551),
    [aux_sym_primitive_type_token1] = ACTIONS(2551),
    [anon_sym_byte] = ACTIONS(2551),
    [anon_sym_word] = ACTIONS(2551),
    [anon_sym_enum] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2551),
    [anon_sym_struct] = ACTIONS(2551),
    [anon_sym_union] = ACTIONS(2551),
    [anon_sym_if] = ACTIONS(2551),
    [anon_sym_else] = ACTIONS(2551),
    [anon_sym_switch] = ACTIONS(2551),
    [anon_sym_case] = ACTIONS(2551),
    [anon_sym_default] = ACTIONS(2551),
    [anon_sym_while] = ACTIONS(2551),
    [anon_sym_do] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2551),
    [anon_sym_return] = ACTIONS(2551),
    [anon_sym_break] = ACTIONS(2551),
    [anon_sym_continue] = ACTIONS(2551),
    [anon_sym_goto] = ACTIONS(2551),
    [anon_sym___try] = ACTIONS(2551),
    [anon_sym___leave] = ACTIONS(2551),
    [anon_sym_not] = ACTIONS(2551),
    [anon_sym_compl] = ACTIONS(2551),
    [anon_sym_DASH_DASH] = ACTIONS(2553),
    [anon_sym_PLUS_PLUS] = ACTIONS(2553),
    [anon_sym_sizeof] = ACTIONS(2551),
    [anon_sym___alignof__] = ACTIONS(2551),
    [anon_sym___alignof] = ACTIONS(2551),
    [anon_sym__alignof] = ACTIONS(2551),
    [anon_sym_alignof] = ACTIONS(2551),
    [anon_sym__Alignof] = ACTIONS(2551),
    [anon_sym_offsetof] = ACTIONS(2551),
    [anon_sym__Generic] = ACTIONS(2551),
    [anon_sym_asm] = ACTIONS(2551),
    [anon_sym___asm__] = ACTIONS(2551),
    [anon_sym___asm] = ACTIONS(2551),
    [aux_sym_number_literal_token1] = ACTIONS(2553),
    [aux_sym_number_literal_token2] = ACTIONS(2551),
    [anon_sym_L_SQUOTE] = ACTIONS(2553),
    [anon_sym_u_SQUOTE] = ACTIONS(2553),
    [anon_sym_U_SQUOTE] = ACTIONS(2553),
    [anon_sym_u8_SQUOTE] = ACTIONS(2553),
    [anon_sym_SQUOTE] = ACTIONS(2553),
    [anon_sym_L_DQUOTE] = ACTIONS(2553),
    [anon_sym_u_DQUOTE] = ACTIONS(2553),
    [anon_sym_U_DQUOTE] = ACTIONS(2553),
    [anon_sym_u8_DQUOTE] = ACTIONS(2553),
    [anon_sym_DQUOTE] = ACTIONS(2553),
    [sym_true] = ACTIONS(2551),
    [sym_false] = ACTIONS(2551),
    [anon_sym_NULL] = ACTIONS(2551),
    [anon_sym_nullptr] = ACTIONS(2551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2551),
    [anon_sym_decltype] = ACTIONS(2551),
    [anon_sym_explicit] = ACTIONS(2551),
    [anon_sym_typename] = ACTIONS(2551),
    [anon_sym_template] = ACTIONS(2551),
    [anon_sym_operator] = ACTIONS(2551),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_delete] = ACTIONS(2551),
    [anon_sym_throw] = ACTIONS(2551),
    [anon_sym_namespace] = ACTIONS(2551),
    [anon_sym_using] = ACTIONS(2551),
    [anon_sym_static_assert] = ACTIONS(2551),
    [anon_sym_concept] = ACTIONS(2551),
    [anon_sym_co_return] = ACTIONS(2551),
    [anon_sym_co_yield] = ACTIONS(2551),
    [anon_sym_catch] = ACTIONS(2555),
    [anon_sym_R_DQUOTE] = ACTIONS(2553),
    [anon_sym_LR_DQUOTE] = ACTIONS(2553),
    [anon_sym_uR_DQUOTE] = ACTIONS(2553),
    [anon_sym_UR_DQUOTE] = ACTIONS(2553),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2553),
    [anon_sym_co_await] = ACTIONS(2551),
    [anon_sym_new] = ACTIONS(2551),
    [anon_sym_requires] = ACTIONS(2551),
    [sym_this] = ACTIONS(2551),
  },
  [224] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3568),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_initializer_list] = STATE(3786),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_RPAREN] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(1851),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_EQ] = ACTIONS(1913),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_STAR_EQ] = ACTIONS(1915),
    [anon_sym_SLASH_EQ] = ACTIONS(1915),
    [anon_sym_PERCENT_EQ] = ACTIONS(1915),
    [anon_sym_PLUS_EQ] = ACTIONS(1915),
    [anon_sym_DASH_EQ] = ACTIONS(1915),
    [anon_sym_LT_LT_EQ] = ACTIONS(1915),
    [anon_sym_GT_GT_EQ] = ACTIONS(1915),
    [anon_sym_AMP_EQ] = ACTIONS(1915),
    [anon_sym_CARET_EQ] = ACTIONS(1915),
    [anon_sym_PIPE_EQ] = ACTIONS(1915),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1913),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1915),
    [sym_this] = ACTIONS(1889),
  },
  [225] = {
    [sym_catch_clause] = STATE(223),
    [aux_sym_constructor_try_statement_repeat1] = STATE(223),
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [aux_sym_preproc_else_token1] = ACTIONS(2564),
    [aux_sym_preproc_elif_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_virtual] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_PROGMEM] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [aux_sym_primitive_type_token1] = ACTIONS(2564),
    [anon_sym_byte] = ACTIONS(2564),
    [anon_sym_word] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [aux_sym_number_literal_token1] = ACTIONS(2566),
    [aux_sym_number_literal_token2] = ACTIONS(2564),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_catch] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [226] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6525),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(6907),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2626),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [227] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4287),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6466),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2638),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [228] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4286),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6650),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(7029),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2640),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [229] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6598),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(7009),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2642),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [230] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4235),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6529),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(6987),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2644),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [231] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4195),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6482),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(6965),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2646),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [232] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4265),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6618),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(6977),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2648),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [233] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4174),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6646),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(7076),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2650),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [234] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4175),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6503),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(6942),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [235] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4285),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6604),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(6773),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2654),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [236] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4257),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6498),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(7069),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2656),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [237] = {
    [sym_catch_clause] = STATE(223),
    [aux_sym_constructor_try_statement_repeat1] = STATE(223),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token2] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [aux_sym_preproc_else_token1] = ACTIONS(2658),
    [aux_sym_preproc_elif_token1] = ACTIONS(2658),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___based] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_PROGMEM] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [aux_sym_primitive_type_token1] = ACTIONS(2658),
    [anon_sym_byte] = ACTIONS(2658),
    [anon_sym_word] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym___leave] = ACTIONS(2658),
    [anon_sym_not] = ACTIONS(2658),
    [anon_sym_compl] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [aux_sym_number_literal_token1] = ACTIONS(2660),
    [aux_sym_number_literal_token2] = ACTIONS(2658),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_explicit] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_namespace] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(2658),
    [anon_sym_static_assert] = ACTIONS(2658),
    [anon_sym_concept] = ACTIONS(2658),
    [anon_sym_co_return] = ACTIONS(2658),
    [anon_sym_co_yield] = ACTIONS(2658),
    [anon_sym_catch] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2660),
    [anon_sym_LR_DQUOTE] = ACTIONS(2660),
    [anon_sym_uR_DQUOTE] = ACTIONS(2660),
    [anon_sym_UR_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2660),
    [anon_sym_co_await] = ACTIONS(2658),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_requires] = ACTIONS(2658),
    [sym_this] = ACTIONS(2658),
  },
  [238] = {
    [sym_catch_clause] = STATE(223),
    [aux_sym_constructor_try_statement_repeat1] = STATE(223),
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_include_token1] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [aux_sym_preproc_else_token1] = ACTIONS(2662),
    [aux_sym_preproc_elif_token1] = ACTIONS(2662),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_virtual] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___based] = ACTIONS(2662),
    [anon_sym___cdecl] = ACTIONS(2662),
    [anon_sym___clrcall] = ACTIONS(2662),
    [anon_sym___stdcall] = ACTIONS(2662),
    [anon_sym___fastcall] = ACTIONS(2662),
    [anon_sym___thiscall] = ACTIONS(2662),
    [anon_sym___vectorcall] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_mutable] = ACTIONS(2662),
    [anon_sym_constinit] = ACTIONS(2662),
    [anon_sym_consteval] = ACTIONS(2662),
    [anon_sym_PROGMEM] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [aux_sym_primitive_type_token1] = ACTIONS(2662),
    [anon_sym_byte] = ACTIONS(2662),
    [anon_sym_word] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_class] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2662),
    [anon_sym_case] = ACTIONS(2662),
    [anon_sym_default] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_break] = ACTIONS(2662),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_goto] = ACTIONS(2662),
    [anon_sym___try] = ACTIONS(2662),
    [anon_sym___leave] = ACTIONS(2662),
    [anon_sym_not] = ACTIONS(2662),
    [anon_sym_compl] = ACTIONS(2662),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_sizeof] = ACTIONS(2662),
    [anon_sym___alignof__] = ACTIONS(2662),
    [anon_sym___alignof] = ACTIONS(2662),
    [anon_sym__alignof] = ACTIONS(2662),
    [anon_sym_alignof] = ACTIONS(2662),
    [anon_sym__Alignof] = ACTIONS(2662),
    [anon_sym_offsetof] = ACTIONS(2662),
    [anon_sym__Generic] = ACTIONS(2662),
    [anon_sym_asm] = ACTIONS(2662),
    [anon_sym___asm__] = ACTIONS(2662),
    [anon_sym___asm] = ACTIONS(2662),
    [aux_sym_number_literal_token1] = ACTIONS(2664),
    [aux_sym_number_literal_token2] = ACTIONS(2662),
    [anon_sym_L_SQUOTE] = ACTIONS(2664),
    [anon_sym_u_SQUOTE] = ACTIONS(2664),
    [anon_sym_U_SQUOTE] = ACTIONS(2664),
    [anon_sym_u8_SQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_L_DQUOTE] = ACTIONS(2664),
    [anon_sym_u_DQUOTE] = ACTIONS(2664),
    [anon_sym_U_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE] = ACTIONS(2664),
    [sym_true] = ACTIONS(2662),
    [sym_false] = ACTIONS(2662),
    [anon_sym_NULL] = ACTIONS(2662),
    [anon_sym_nullptr] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2662),
    [anon_sym_decltype] = ACTIONS(2662),
    [anon_sym_explicit] = ACTIONS(2662),
    [anon_sym_typename] = ACTIONS(2662),
    [anon_sym_template] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_delete] = ACTIONS(2662),
    [anon_sym_throw] = ACTIONS(2662),
    [anon_sym_namespace] = ACTIONS(2662),
    [anon_sym_using] = ACTIONS(2662),
    [anon_sym_static_assert] = ACTIONS(2662),
    [anon_sym_concept] = ACTIONS(2662),
    [anon_sym_co_return] = ACTIONS(2662),
    [anon_sym_co_yield] = ACTIONS(2662),
    [anon_sym_catch] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2664),
    [anon_sym_LR_DQUOTE] = ACTIONS(2664),
    [anon_sym_uR_DQUOTE] = ACTIONS(2664),
    [anon_sym_UR_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2664),
    [anon_sym_co_await] = ACTIONS(2662),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_requires] = ACTIONS(2662),
    [sym_this] = ACTIONS(2662),
  },
  [239] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4280),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6610),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(6833),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2666),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [240] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4215),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6709),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(6881),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [241] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4246),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6661),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(7013),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2670),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [242] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6539),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(6998),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2672),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [243] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4163),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6688),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(6749),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2674),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [244] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6615),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(6825),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(2676),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [245] = {
    [sym_else_clause] = STATE(256),
    [sym_identifier] = ACTIONS(2678),
    [aux_sym_preproc_include_token1] = ACTIONS(2678),
    [aux_sym_preproc_def_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token2] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [aux_sym_preproc_else_token1] = ACTIONS(2678),
    [aux_sym_preproc_elif_token1] = ACTIONS(2678),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2678),
    [anon_sym_LPAREN2] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym___extension__] = ACTIONS(2678),
    [anon_sym_typedef] = ACTIONS(2678),
    [anon_sym_virtual] = ACTIONS(2678),
    [anon_sym_extern] = ACTIONS(2678),
    [anon_sym___attribute__] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2680),
    [anon_sym___declspec] = ACTIONS(2678),
    [anon_sym___based] = ACTIONS(2678),
    [anon_sym___cdecl] = ACTIONS(2678),
    [anon_sym___clrcall] = ACTIONS(2678),
    [anon_sym___stdcall] = ACTIONS(2678),
    [anon_sym___fastcall] = ACTIONS(2678),
    [anon_sym___thiscall] = ACTIONS(2678),
    [anon_sym___vectorcall] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_signed] = ACTIONS(2678),
    [anon_sym_unsigned] = ACTIONS(2678),
    [anon_sym_long] = ACTIONS(2678),
    [anon_sym_short] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_register] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(2678),
    [anon_sym___inline] = ACTIONS(2678),
    [anon_sym___inline__] = ACTIONS(2678),
    [anon_sym___forceinline] = ACTIONS(2678),
    [anon_sym_thread_local] = ACTIONS(2678),
    [anon_sym___thread] = ACTIONS(2678),
    [anon_sym_const] = ACTIONS(2678),
    [anon_sym_constexpr] = ACTIONS(2678),
    [anon_sym_volatile] = ACTIONS(2678),
    [anon_sym_restrict] = ACTIONS(2678),
    [anon_sym___restrict__] = ACTIONS(2678),
    [anon_sym__Atomic] = ACTIONS(2678),
    [anon_sym__Noreturn] = ACTIONS(2678),
    [anon_sym_noreturn] = ACTIONS(2678),
    [anon_sym__Nonnull] = ACTIONS(2678),
    [anon_sym_mutable] = ACTIONS(2678),
    [anon_sym_constinit] = ACTIONS(2678),
    [anon_sym_consteval] = ACTIONS(2678),
    [anon_sym_PROGMEM] = ACTIONS(2678),
    [anon_sym_alignas] = ACTIONS(2678),
    [anon_sym__Alignas] = ACTIONS(2678),
    [aux_sym_primitive_type_token1] = ACTIONS(2678),
    [anon_sym_byte] = ACTIONS(2678),
    [anon_sym_word] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2678),
    [anon_sym_class] = ACTIONS(2678),
    [anon_sym_struct] = ACTIONS(2678),
    [anon_sym_union] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2678),
    [anon_sym_else] = ACTIONS(2682),
    [anon_sym_switch] = ACTIONS(2678),
    [anon_sym_case] = ACTIONS(2678),
    [anon_sym_default] = ACTIONS(2678),
    [anon_sym_while] = ACTIONS(2678),
    [anon_sym_do] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2678),
    [anon_sym_return] = ACTIONS(2678),
    [anon_sym_break] = ACTIONS(2678),
    [anon_sym_continue] = ACTIONS(2678),
    [anon_sym_goto] = ACTIONS(2678),
    [anon_sym___try] = ACTIONS(2678),
    [anon_sym___leave] = ACTIONS(2678),
    [anon_sym_not] = ACTIONS(2678),
    [anon_sym_compl] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_sizeof] = ACTIONS(2678),
    [anon_sym___alignof__] = ACTIONS(2678),
    [anon_sym___alignof] = ACTIONS(2678),
    [anon_sym__alignof] = ACTIONS(2678),
    [anon_sym_alignof] = ACTIONS(2678),
    [anon_sym__Alignof] = ACTIONS(2678),
    [anon_sym_offsetof] = ACTIONS(2678),
    [anon_sym__Generic] = ACTIONS(2678),
    [anon_sym_asm] = ACTIONS(2678),
    [anon_sym___asm__] = ACTIONS(2678),
    [anon_sym___asm] = ACTIONS(2678),
    [aux_sym_number_literal_token1] = ACTIONS(2680),
    [aux_sym_number_literal_token2] = ACTIONS(2678),
    [anon_sym_L_SQUOTE] = ACTIONS(2680),
    [anon_sym_u_SQUOTE] = ACTIONS(2680),
    [anon_sym_U_SQUOTE] = ACTIONS(2680),
    [anon_sym_u8_SQUOTE] = ACTIONS(2680),
    [anon_sym_SQUOTE] = ACTIONS(2680),
    [anon_sym_L_DQUOTE] = ACTIONS(2680),
    [anon_sym_u_DQUOTE] = ACTIONS(2680),
    [anon_sym_U_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [sym_true] = ACTIONS(2678),
    [sym_false] = ACTIONS(2678),
    [anon_sym_NULL] = ACTIONS(2678),
    [anon_sym_nullptr] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2678),
    [anon_sym_decltype] = ACTIONS(2678),
    [anon_sym_explicit] = ACTIONS(2678),
    [anon_sym_typename] = ACTIONS(2678),
    [anon_sym_template] = ACTIONS(2678),
    [anon_sym_operator] = ACTIONS(2678),
    [anon_sym_try] = ACTIONS(2678),
    [anon_sym_delete] = ACTIONS(2678),
    [anon_sym_throw] = ACTIONS(2678),
    [anon_sym_namespace] = ACTIONS(2678),
    [anon_sym_using] = ACTIONS(2678),
    [anon_sym_static_assert] = ACTIONS(2678),
    [anon_sym_concept] = ACTIONS(2678),
    [anon_sym_co_return] = ACTIONS(2678),
    [anon_sym_co_yield] = ACTIONS(2678),
    [anon_sym_R_DQUOTE] = ACTIONS(2680),
    [anon_sym_LR_DQUOTE] = ACTIONS(2680),
    [anon_sym_uR_DQUOTE] = ACTIONS(2680),
    [anon_sym_UR_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2680),
    [anon_sym_co_await] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2678),
    [anon_sym_requires] = ACTIONS(2678),
    [sym_this] = ACTIONS(2678),
  },
  [246] = {
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_unaligned_ptr_modifier] = STATE(3982),
    [sym_ms_pointer_modifier] = STATE(2798),
    [sym__declarator] = STATE(6106),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5932),
    [sym_array_declarator] = STATE(5932),
    [sym_type_qualifier] = STATE(3814),
    [sym_alignas_qualifier] = STATE(4236),
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3121),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3182),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5402),
    [sym_qualified_identifier] = STATE(3184),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3509),
    [aux_sym__type_definition_type_repeat1] = STATE(3814),
    [aux_sym_pointer_declarator_repeat1] = STATE(2798),
    [sym_identifier] = ACTIONS(2684),
    [anon_sym_LPAREN2] = ACTIONS(1767),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2688),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2688),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2688),
    [anon_sym__unaligned] = ACTIONS(2690),
    [anon_sym___unaligned] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym__Nonnull] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_PROGMEM] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym__Alignas] = ACTIONS(2694),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1829),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [247] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_include_token1] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token2] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [aux_sym_preproc_else_token1] = ACTIONS(2696),
    [aux_sym_preproc_elif_token1] = ACTIONS(2696),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym___cdecl] = ACTIONS(2696),
    [anon_sym___clrcall] = ACTIONS(2696),
    [anon_sym___stdcall] = ACTIONS(2696),
    [anon_sym___fastcall] = ACTIONS(2696),
    [anon_sym___thiscall] = ACTIONS(2696),
    [anon_sym___vectorcall] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_PROGMEM] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [aux_sym_primitive_type_token1] = ACTIONS(2696),
    [anon_sym_byte] = ACTIONS(2696),
    [anon_sym_word] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [anon_sym___asm] = ACTIONS(2696),
    [aux_sym_number_literal_token1] = ACTIONS(2698),
    [aux_sym_number_literal_token2] = ACTIONS(2696),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_concept] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_catch] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [248] = {
    [sym_else_clause] = STATE(292),
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token2] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [aux_sym_preproc_else_token1] = ACTIONS(2700),
    [aux_sym_preproc_elif_token1] = ACTIONS(2700),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_PROGMEM] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [aux_sym_primitive_type_token1] = ACTIONS(2700),
    [anon_sym_byte] = ACTIONS(2700),
    [anon_sym_word] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(2682),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [anon_sym___asm] = ACTIONS(2700),
    [aux_sym_number_literal_token1] = ACTIONS(2702),
    [aux_sym_number_literal_token2] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [249] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4362),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8001),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(2707),
    [anon_sym___extension__] = ACTIONS(2709),
    [anon_sym_virtual] = ACTIONS(2712),
    [anon_sym_extern] = ACTIONS(2712),
    [anon_sym___attribute__] = ACTIONS(2712),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2717),
    [anon_sym___declspec] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2712),
    [anon_sym_unsigned] = ACTIONS(2712),
    [anon_sym_long] = ACTIONS(2712),
    [anon_sym_short] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(2712),
    [anon_sym_register] = ACTIONS(2712),
    [anon_sym_inline] = ACTIONS(2712),
    [anon_sym___inline] = ACTIONS(2712),
    [anon_sym___inline__] = ACTIONS(2712),
    [anon_sym___forceinline] = ACTIONS(2712),
    [anon_sym_thread_local] = ACTIONS(2712),
    [anon_sym___thread] = ACTIONS(2712),
    [anon_sym_const] = ACTIONS(2712),
    [anon_sym_constexpr] = ACTIONS(2712),
    [anon_sym_volatile] = ACTIONS(2712),
    [anon_sym_restrict] = ACTIONS(2712),
    [anon_sym___restrict__] = ACTIONS(2712),
    [anon_sym__Atomic] = ACTIONS(2712),
    [anon_sym__Noreturn] = ACTIONS(2712),
    [anon_sym_noreturn] = ACTIONS(2712),
    [anon_sym__Nonnull] = ACTIONS(2712),
    [anon_sym_mutable] = ACTIONS(2712),
    [anon_sym_constinit] = ACTIONS(2712),
    [anon_sym_consteval] = ACTIONS(2712),
    [anon_sym_PROGMEM] = ACTIONS(2712),
    [anon_sym_alignas] = ACTIONS(2712),
    [anon_sym__Alignas] = ACTIONS(2712),
    [aux_sym_primitive_type_token1] = ACTIONS(2719),
    [anon_sym_byte] = ACTIONS(2719),
    [anon_sym_word] = ACTIONS(2719),
    [anon_sym_enum] = ACTIONS(2712),
    [anon_sym_class] = ACTIONS(2712),
    [anon_sym_struct] = ACTIONS(2712),
    [anon_sym_union] = ACTIONS(2712),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2712),
    [anon_sym_decltype] = ACTIONS(2722),
    [anon_sym_typename] = ACTIONS(2712),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [250] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4325),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7716),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(2731),
    [anon_sym___extension__] = ACTIONS(2733),
    [anon_sym_virtual] = ACTIONS(2736),
    [anon_sym_extern] = ACTIONS(2736),
    [anon_sym___attribute__] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2741),
    [anon_sym___declspec] = ACTIONS(2736),
    [anon_sym_signed] = ACTIONS(2736),
    [anon_sym_unsigned] = ACTIONS(2736),
    [anon_sym_long] = ACTIONS(2736),
    [anon_sym_short] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_register] = ACTIONS(2736),
    [anon_sym_inline] = ACTIONS(2736),
    [anon_sym___inline] = ACTIONS(2736),
    [anon_sym___inline__] = ACTIONS(2736),
    [anon_sym___forceinline] = ACTIONS(2736),
    [anon_sym_thread_local] = ACTIONS(2736),
    [anon_sym___thread] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_constexpr] = ACTIONS(2736),
    [anon_sym_volatile] = ACTIONS(2736),
    [anon_sym_restrict] = ACTIONS(2736),
    [anon_sym___restrict__] = ACTIONS(2736),
    [anon_sym__Atomic] = ACTIONS(2736),
    [anon_sym__Noreturn] = ACTIONS(2736),
    [anon_sym_noreturn] = ACTIONS(2736),
    [anon_sym__Nonnull] = ACTIONS(2736),
    [anon_sym_mutable] = ACTIONS(2736),
    [anon_sym_constinit] = ACTIONS(2736),
    [anon_sym_consteval] = ACTIONS(2736),
    [anon_sym_PROGMEM] = ACTIONS(2736),
    [anon_sym_alignas] = ACTIONS(2736),
    [anon_sym__Alignas] = ACTIONS(2736),
    [aux_sym_primitive_type_token1] = ACTIONS(2743),
    [anon_sym_byte] = ACTIONS(2743),
    [anon_sym_word] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_struct] = ACTIONS(2736),
    [anon_sym_union] = ACTIONS(2736),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2736),
    [anon_sym_decltype] = ACTIONS(2746),
    [anon_sym_typename] = ACTIONS(2736),
    [anon_sym_template] = ACTIONS(2749),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [251] = {
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_include_token1] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_if_token2] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [aux_sym_preproc_else_token1] = ACTIONS(1969),
    [aux_sym_preproc_elif_token1] = ACTIONS(1969),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(1967),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym___cdecl] = ACTIONS(1969),
    [anon_sym___clrcall] = ACTIONS(1969),
    [anon_sym___stdcall] = ACTIONS(1969),
    [anon_sym___fastcall] = ACTIONS(1969),
    [anon_sym___thiscall] = ACTIONS(1969),
    [anon_sym___vectorcall] = ACTIONS(1969),
    [anon_sym_LBRACE] = ACTIONS(1967),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [anon_sym_if] = ACTIONS(1969),
    [anon_sym_else] = ACTIONS(1969),
    [anon_sym_switch] = ACTIONS(1969),
    [anon_sym_case] = ACTIONS(1969),
    [anon_sym_default] = ACTIONS(1969),
    [anon_sym_while] = ACTIONS(1969),
    [anon_sym_do] = ACTIONS(1969),
    [anon_sym_for] = ACTIONS(1969),
    [anon_sym_return] = ACTIONS(1969),
    [anon_sym_break] = ACTIONS(1969),
    [anon_sym_continue] = ACTIONS(1969),
    [anon_sym_goto] = ACTIONS(1969),
    [anon_sym___try] = ACTIONS(1969),
    [anon_sym___leave] = ACTIONS(1969),
    [anon_sym_not] = ACTIONS(1969),
    [anon_sym_compl] = ACTIONS(1969),
    [anon_sym_DASH_DASH] = ACTIONS(1967),
    [anon_sym_PLUS_PLUS] = ACTIONS(1967),
    [anon_sym_sizeof] = ACTIONS(1969),
    [anon_sym___alignof__] = ACTIONS(1969),
    [anon_sym___alignof] = ACTIONS(1969),
    [anon_sym__alignof] = ACTIONS(1969),
    [anon_sym_alignof] = ACTIONS(1969),
    [anon_sym__Alignof] = ACTIONS(1969),
    [anon_sym_offsetof] = ACTIONS(1969),
    [anon_sym__Generic] = ACTIONS(1969),
    [anon_sym_asm] = ACTIONS(1969),
    [anon_sym___asm__] = ACTIONS(1969),
    [anon_sym___asm] = ACTIONS(1969),
    [aux_sym_number_literal_token1] = ACTIONS(1967),
    [aux_sym_number_literal_token2] = ACTIONS(1969),
    [anon_sym_L_SQUOTE] = ACTIONS(1967),
    [anon_sym_u_SQUOTE] = ACTIONS(1967),
    [anon_sym_U_SQUOTE] = ACTIONS(1967),
    [anon_sym_u8_SQUOTE] = ACTIONS(1967),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_L_DQUOTE] = ACTIONS(1967),
    [anon_sym_u_DQUOTE] = ACTIONS(1967),
    [anon_sym_U_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8_DQUOTE] = ACTIONS(1967),
    [anon_sym_DQUOTE] = ACTIONS(1967),
    [sym_true] = ACTIONS(1969),
    [sym_false] = ACTIONS(1969),
    [anon_sym_NULL] = ACTIONS(1969),
    [anon_sym_nullptr] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_delete] = ACTIONS(1969),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_namespace] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
    [anon_sym_concept] = ACTIONS(1969),
    [anon_sym_co_return] = ACTIONS(1969),
    [anon_sym_co_yield] = ACTIONS(1969),
    [anon_sym_catch] = ACTIONS(1969),
    [anon_sym_R_DQUOTE] = ACTIONS(1967),
    [anon_sym_LR_DQUOTE] = ACTIONS(1967),
    [anon_sym_uR_DQUOTE] = ACTIONS(1967),
    [anon_sym_UR_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1967),
    [anon_sym_co_await] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_requires] = ACTIONS(1969),
    [sym_this] = ACTIONS(1969),
  },
  [252] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_include_token1] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token2] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [aux_sym_preproc_else_token1] = ACTIONS(1973),
    [aux_sym_preproc_elif_token1] = ACTIONS(1973),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym___cdecl] = ACTIONS(1973),
    [anon_sym___clrcall] = ACTIONS(1973),
    [anon_sym___stdcall] = ACTIONS(1973),
    [anon_sym___fastcall] = ACTIONS(1973),
    [anon_sym___thiscall] = ACTIONS(1973),
    [anon_sym___vectorcall] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_PROGMEM] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [aux_sym_primitive_type_token1] = ACTIONS(1973),
    [anon_sym_byte] = ACTIONS(1973),
    [anon_sym_word] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_else] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_case] = ACTIONS(1973),
    [anon_sym_default] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_goto] = ACTIONS(1973),
    [anon_sym___try] = ACTIONS(1973),
    [anon_sym___leave] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1973),
    [anon_sym_compl] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1973),
    [anon_sym___alignof] = ACTIONS(1973),
    [anon_sym__alignof] = ACTIONS(1973),
    [anon_sym_alignof] = ACTIONS(1973),
    [anon_sym__Alignof] = ACTIONS(1973),
    [anon_sym_offsetof] = ACTIONS(1973),
    [anon_sym__Generic] = ACTIONS(1973),
    [anon_sym_asm] = ACTIONS(1973),
    [anon_sym___asm__] = ACTIONS(1973),
    [anon_sym___asm] = ACTIONS(1973),
    [aux_sym_number_literal_token1] = ACTIONS(1971),
    [aux_sym_number_literal_token2] = ACTIONS(1973),
    [anon_sym_L_SQUOTE] = ACTIONS(1971),
    [anon_sym_u_SQUOTE] = ACTIONS(1971),
    [anon_sym_U_SQUOTE] = ACTIONS(1971),
    [anon_sym_u8_SQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [anon_sym_L_DQUOTE] = ACTIONS(1971),
    [anon_sym_u_DQUOTE] = ACTIONS(1971),
    [anon_sym_U_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8_DQUOTE] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [anon_sym_NULL] = ACTIONS(1973),
    [anon_sym_nullptr] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_concept] = ACTIONS(1973),
    [anon_sym_co_return] = ACTIONS(1973),
    [anon_sym_co_yield] = ACTIONS(1973),
    [anon_sym_catch] = ACTIONS(1973),
    [anon_sym_R_DQUOTE] = ACTIONS(1971),
    [anon_sym_LR_DQUOTE] = ACTIONS(1971),
    [anon_sym_uR_DQUOTE] = ACTIONS(1971),
    [anon_sym_UR_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1971),
    [anon_sym_co_await] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_requires] = ACTIONS(1973),
    [sym_this] = ACTIONS(1973),
  },
  [253] = {
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_unaligned_ptr_modifier] = STATE(3982),
    [sym_ms_pointer_modifier] = STATE(2798),
    [sym__declarator] = STATE(6106),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5932),
    [sym_array_declarator] = STATE(5932),
    [sym_type_qualifier] = STATE(3814),
    [sym_alignas_qualifier] = STATE(4236),
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3179),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5391),
    [sym_qualified_identifier] = STATE(3195),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(2416),
    [aux_sym__type_definition_type_repeat1] = STATE(3814),
    [aux_sym_pointer_declarator_repeat1] = STATE(2798),
    [sym_identifier] = ACTIONS(2752),
    [anon_sym_LPAREN2] = ACTIONS(2754),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2688),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2688),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2688),
    [anon_sym__unaligned] = ACTIONS(2690),
    [anon_sym___unaligned] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym__Nonnull] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_PROGMEM] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym__Alignas] = ACTIONS(2694),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1829),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [254] = {
    [sym_type_qualifier] = STATE(3296),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4452),
    [sym_sized_type_specifier] = STATE(2644),
    [sym_primitive_type] = STATE(4750),
    [sym_enum_specifier] = STATE(2644),
    [sym_struct_specifier] = STATE(2644),
    [sym_union_specifier] = STATE(2644),
    [sym_expression] = STATE(4321),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_type_descriptor] = STATE(6862),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_placeholder_type_specifier] = STATE(2644),
    [sym_decltype_auto] = STATE(2646),
    [sym_decltype] = STATE(2565),
    [sym_class_specifier] = STATE(2644),
    [sym__class_name] = STATE(7403),
    [sym_dependent_type] = STATE(2644),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_type_parameter_pack_expansion] = STATE(7357),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5460),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3548),
    [aux_sym__type_definition_type_repeat1] = STATE(3296),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2014),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2622),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [255] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8027),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2767),
    [anon_sym_virtual] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2772),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [anon_sym_PROGMEM] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [aux_sym_primitive_type_token1] = ACTIONS(2777),
    [anon_sym_byte] = ACTIONS(2777),
    [anon_sym_word] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2780),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2783),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [256] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token2] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [aux_sym_preproc_else_token1] = ACTIONS(2786),
    [aux_sym_preproc_elif_token1] = ACTIONS(2786),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_virtual] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [anon_sym_PROGMEM] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [aux_sym_primitive_type_token1] = ACTIONS(2786),
    [anon_sym_byte] = ACTIONS(2786),
    [anon_sym_word] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [aux_sym_number_literal_token1] = ACTIONS(2788),
    [aux_sym_number_literal_token2] = ACTIONS(2786),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
    [anon_sym_concept] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [257] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [aux_sym_preproc_else_token1] = ACTIONS(2790),
    [aux_sym_preproc_elif_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_PROGMEM] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [aux_sym_primitive_type_token1] = ACTIONS(2790),
    [anon_sym_byte] = ACTIONS(2790),
    [anon_sym_word] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [aux_sym_number_literal_token1] = ACTIONS(2792),
    [aux_sym_number_literal_token2] = ACTIONS(2790),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
    [anon_sym_concept] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [258] = {
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4868),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(4470),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_type_descriptor] = STATE(7534),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5427),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [259] = {
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4868),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(4546),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_type_descriptor] = STATE(7867),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5427),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [260] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token2] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [aux_sym_preproc_else_token1] = ACTIONS(2770),
    [aux_sym_preproc_elif_token1] = ACTIONS(2770),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_virtual] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___based] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [anon_sym_PROGMEM] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [aux_sym_primitive_type_token1] = ACTIONS(2770),
    [anon_sym_byte] = ACTIONS(2770),
    [anon_sym_word] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_else] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym___leave] = ACTIONS(2770),
    [anon_sym_not] = ACTIONS(2770),
    [anon_sym_compl] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [anon_sym___asm] = ACTIONS(2770),
    [aux_sym_number_literal_token1] = ACTIONS(2775),
    [aux_sym_number_literal_token2] = ACTIONS(2770),
    [anon_sym_L_SQUOTE] = ACTIONS(2775),
    [anon_sym_u_SQUOTE] = ACTIONS(2775),
    [anon_sym_U_SQUOTE] = ACTIONS(2775),
    [anon_sym_u8_SQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_L_DQUOTE] = ACTIONS(2775),
    [anon_sym_u_DQUOTE] = ACTIONS(2775),
    [anon_sym_U_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [anon_sym_explicit] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_operator] = ACTIONS(2770),
    [anon_sym_try] = ACTIONS(2770),
    [anon_sym_delete] = ACTIONS(2770),
    [anon_sym_throw] = ACTIONS(2770),
    [anon_sym_namespace] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_static_assert] = ACTIONS(2770),
    [anon_sym_concept] = ACTIONS(2770),
    [anon_sym_co_return] = ACTIONS(2770),
    [anon_sym_co_yield] = ACTIONS(2770),
    [anon_sym_R_DQUOTE] = ACTIONS(2775),
    [anon_sym_LR_DQUOTE] = ACTIONS(2775),
    [anon_sym_uR_DQUOTE] = ACTIONS(2775),
    [anon_sym_UR_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2775),
    [anon_sym_co_await] = ACTIONS(2770),
    [anon_sym_new] = ACTIONS(2770),
    [anon_sym_requires] = ACTIONS(2770),
    [sym_this] = ACTIONS(2770),
  },
  [261] = {
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4868),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(4505),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_type_descriptor] = STATE(7647),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5427),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [262] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [aux_sym_preproc_else_token1] = ACTIONS(2798),
    [aux_sym_preproc_elif_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_PROGMEM] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [aux_sym_primitive_type_token1] = ACTIONS(2798),
    [anon_sym_byte] = ACTIONS(2798),
    [anon_sym_word] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [aux_sym_number_literal_token1] = ACTIONS(2800),
    [aux_sym_number_literal_token2] = ACTIONS(2798),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [263] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_include_token1] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token2] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [aux_sym_preproc_else_token1] = ACTIONS(2802),
    [aux_sym_preproc_elif_token1] = ACTIONS(2802),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2804),
    [anon_sym_TILDE] = ACTIONS(2804),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_AMP_AMP] = ACTIONS(2804),
    [anon_sym_AMP] = ACTIONS(2802),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_virtual] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym_COLON_COLON] = ACTIONS(2804),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___based] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2804),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym__Nonnull] = ACTIONS(2802),
    [anon_sym_mutable] = ACTIONS(2802),
    [anon_sym_constinit] = ACTIONS(2802),
    [anon_sym_consteval] = ACTIONS(2802),
    [anon_sym_PROGMEM] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [aux_sym_primitive_type_token1] = ACTIONS(2802),
    [anon_sym_byte] = ACTIONS(2802),
    [anon_sym_word] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_class] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_else] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym___try] = ACTIONS(2802),
    [anon_sym___leave] = ACTIONS(2802),
    [anon_sym_not] = ACTIONS(2802),
    [anon_sym_compl] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [anon_sym___asm] = ACTIONS(2802),
    [aux_sym_number_literal_token1] = ACTIONS(2804),
    [aux_sym_number_literal_token2] = ACTIONS(2802),
    [anon_sym_L_SQUOTE] = ACTIONS(2804),
    [anon_sym_u_SQUOTE] = ACTIONS(2804),
    [anon_sym_U_SQUOTE] = ACTIONS(2804),
    [anon_sym_u8_SQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [anon_sym_L_DQUOTE] = ACTIONS(2804),
    [anon_sym_u_DQUOTE] = ACTIONS(2804),
    [anon_sym_U_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8_DQUOTE] = ACTIONS(2804),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2802),
    [anon_sym_decltype] = ACTIONS(2802),
    [anon_sym_explicit] = ACTIONS(2802),
    [anon_sym_typename] = ACTIONS(2802),
    [anon_sym_template] = ACTIONS(2802),
    [anon_sym_operator] = ACTIONS(2802),
    [anon_sym_try] = ACTIONS(2802),
    [anon_sym_delete] = ACTIONS(2802),
    [anon_sym_throw] = ACTIONS(2802),
    [anon_sym_namespace] = ACTIONS(2802),
    [anon_sym_using] = ACTIONS(2802),
    [anon_sym_static_assert] = ACTIONS(2802),
    [anon_sym_concept] = ACTIONS(2802),
    [anon_sym_co_return] = ACTIONS(2802),
    [anon_sym_co_yield] = ACTIONS(2802),
    [anon_sym_R_DQUOTE] = ACTIONS(2804),
    [anon_sym_LR_DQUOTE] = ACTIONS(2804),
    [anon_sym_uR_DQUOTE] = ACTIONS(2804),
    [anon_sym_UR_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2804),
    [anon_sym_co_await] = ACTIONS(2802),
    [anon_sym_new] = ACTIONS(2802),
    [anon_sym_requires] = ACTIONS(2802),
    [sym_this] = ACTIONS(2802),
  },
  [264] = {
    [sym_identifier] = ACTIONS(2806),
    [aux_sym_preproc_include_token1] = ACTIONS(2806),
    [aux_sym_preproc_def_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token2] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2806),
    [aux_sym_preproc_else_token1] = ACTIONS(2806),
    [aux_sym_preproc_elif_token1] = ACTIONS(2806),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2806),
    [sym_preproc_directive] = ACTIONS(2806),
    [anon_sym_LPAREN2] = ACTIONS(2808),
    [anon_sym_BANG] = ACTIONS(2808),
    [anon_sym_TILDE] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2808),
    [anon_sym_AMP_AMP] = ACTIONS(2808),
    [anon_sym_AMP] = ACTIONS(2806),
    [anon_sym_SEMI] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2806),
    [anon_sym_typedef] = ACTIONS(2806),
    [anon_sym_virtual] = ACTIONS(2806),
    [anon_sym_extern] = ACTIONS(2806),
    [anon_sym___attribute__] = ACTIONS(2806),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2808),
    [anon_sym___declspec] = ACTIONS(2806),
    [anon_sym___based] = ACTIONS(2806),
    [anon_sym___cdecl] = ACTIONS(2806),
    [anon_sym___clrcall] = ACTIONS(2806),
    [anon_sym___stdcall] = ACTIONS(2806),
    [anon_sym___fastcall] = ACTIONS(2806),
    [anon_sym___thiscall] = ACTIONS(2806),
    [anon_sym___vectorcall] = ACTIONS(2806),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2806),
    [anon_sym_unsigned] = ACTIONS(2806),
    [anon_sym_long] = ACTIONS(2806),
    [anon_sym_short] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_register] = ACTIONS(2806),
    [anon_sym_inline] = ACTIONS(2806),
    [anon_sym___inline] = ACTIONS(2806),
    [anon_sym___inline__] = ACTIONS(2806),
    [anon_sym___forceinline] = ACTIONS(2806),
    [anon_sym_thread_local] = ACTIONS(2806),
    [anon_sym___thread] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_constexpr] = ACTIONS(2806),
    [anon_sym_volatile] = ACTIONS(2806),
    [anon_sym_restrict] = ACTIONS(2806),
    [anon_sym___restrict__] = ACTIONS(2806),
    [anon_sym__Atomic] = ACTIONS(2806),
    [anon_sym__Noreturn] = ACTIONS(2806),
    [anon_sym_noreturn] = ACTIONS(2806),
    [anon_sym__Nonnull] = ACTIONS(2806),
    [anon_sym_mutable] = ACTIONS(2806),
    [anon_sym_constinit] = ACTIONS(2806),
    [anon_sym_consteval] = ACTIONS(2806),
    [anon_sym_PROGMEM] = ACTIONS(2806),
    [anon_sym_alignas] = ACTIONS(2806),
    [anon_sym__Alignas] = ACTIONS(2806),
    [aux_sym_primitive_type_token1] = ACTIONS(2806),
    [anon_sym_byte] = ACTIONS(2806),
    [anon_sym_word] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [anon_sym_class] = ACTIONS(2806),
    [anon_sym_struct] = ACTIONS(2806),
    [anon_sym_union] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2806),
    [anon_sym_else] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2806),
    [anon_sym_case] = ACTIONS(2806),
    [anon_sym_default] = ACTIONS(2806),
    [anon_sym_while] = ACTIONS(2806),
    [anon_sym_do] = ACTIONS(2806),
    [anon_sym_for] = ACTIONS(2806),
    [anon_sym_return] = ACTIONS(2806),
    [anon_sym_break] = ACTIONS(2806),
    [anon_sym_continue] = ACTIONS(2806),
    [anon_sym_goto] = ACTIONS(2806),
    [anon_sym___try] = ACTIONS(2806),
    [anon_sym___leave] = ACTIONS(2806),
    [anon_sym_not] = ACTIONS(2806),
    [anon_sym_compl] = ACTIONS(2806),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_sizeof] = ACTIONS(2806),
    [anon_sym___alignof__] = ACTIONS(2806),
    [anon_sym___alignof] = ACTIONS(2806),
    [anon_sym__alignof] = ACTIONS(2806),
    [anon_sym_alignof] = ACTIONS(2806),
    [anon_sym__Alignof] = ACTIONS(2806),
    [anon_sym_offsetof] = ACTIONS(2806),
    [anon_sym__Generic] = ACTIONS(2806),
    [anon_sym_asm] = ACTIONS(2806),
    [anon_sym___asm__] = ACTIONS(2806),
    [anon_sym___asm] = ACTIONS(2806),
    [aux_sym_number_literal_token1] = ACTIONS(2808),
    [aux_sym_number_literal_token2] = ACTIONS(2806),
    [anon_sym_L_SQUOTE] = ACTIONS(2808),
    [anon_sym_u_SQUOTE] = ACTIONS(2808),
    [anon_sym_U_SQUOTE] = ACTIONS(2808),
    [anon_sym_u8_SQUOTE] = ACTIONS(2808),
    [anon_sym_SQUOTE] = ACTIONS(2808),
    [anon_sym_L_DQUOTE] = ACTIONS(2808),
    [anon_sym_u_DQUOTE] = ACTIONS(2808),
    [anon_sym_U_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8_DQUOTE] = ACTIONS(2808),
    [anon_sym_DQUOTE] = ACTIONS(2808),
    [sym_true] = ACTIONS(2806),
    [sym_false] = ACTIONS(2806),
    [anon_sym_NULL] = ACTIONS(2806),
    [anon_sym_nullptr] = ACTIONS(2806),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2806),
    [anon_sym_decltype] = ACTIONS(2806),
    [anon_sym_explicit] = ACTIONS(2806),
    [anon_sym_typename] = ACTIONS(2806),
    [anon_sym_template] = ACTIONS(2806),
    [anon_sym_operator] = ACTIONS(2806),
    [anon_sym_try] = ACTIONS(2806),
    [anon_sym_delete] = ACTIONS(2806),
    [anon_sym_throw] = ACTIONS(2806),
    [anon_sym_namespace] = ACTIONS(2806),
    [anon_sym_using] = ACTIONS(2806),
    [anon_sym_static_assert] = ACTIONS(2806),
    [anon_sym_concept] = ACTIONS(2806),
    [anon_sym_co_return] = ACTIONS(2806),
    [anon_sym_co_yield] = ACTIONS(2806),
    [anon_sym_R_DQUOTE] = ACTIONS(2808),
    [anon_sym_LR_DQUOTE] = ACTIONS(2808),
    [anon_sym_uR_DQUOTE] = ACTIONS(2808),
    [anon_sym_UR_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2808),
    [anon_sym_co_await] = ACTIONS(2806),
    [anon_sym_new] = ACTIONS(2806),
    [anon_sym_requires] = ACTIONS(2806),
    [sym_this] = ACTIONS(2806),
  },
  [265] = {
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4868),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(4525),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_type_descriptor] = STATE(7607),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5427),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [266] = {
    [sym_identifier] = ACTIONS(2810),
    [aux_sym_preproc_include_token1] = ACTIONS(2810),
    [aux_sym_preproc_def_token1] = ACTIONS(2810),
    [aux_sym_preproc_if_token1] = ACTIONS(2810),
    [aux_sym_preproc_if_token2] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2810),
    [aux_sym_preproc_else_token1] = ACTIONS(2810),
    [aux_sym_preproc_elif_token1] = ACTIONS(2810),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2810),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2810),
    [sym_preproc_directive] = ACTIONS(2810),
    [anon_sym_LPAREN2] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2812),
    [anon_sym_TILDE] = ACTIONS(2812),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_AMP_AMP] = ACTIONS(2812),
    [anon_sym_AMP] = ACTIONS(2810),
    [anon_sym_SEMI] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2810),
    [anon_sym_typedef] = ACTIONS(2810),
    [anon_sym_virtual] = ACTIONS(2810),
    [anon_sym_extern] = ACTIONS(2810),
    [anon_sym___attribute__] = ACTIONS(2810),
    [anon_sym_COLON_COLON] = ACTIONS(2812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2812),
    [anon_sym___declspec] = ACTIONS(2810),
    [anon_sym___based] = ACTIONS(2810),
    [anon_sym___cdecl] = ACTIONS(2810),
    [anon_sym___clrcall] = ACTIONS(2810),
    [anon_sym___stdcall] = ACTIONS(2810),
    [anon_sym___fastcall] = ACTIONS(2810),
    [anon_sym___thiscall] = ACTIONS(2810),
    [anon_sym___vectorcall] = ACTIONS(2810),
    [anon_sym_LBRACE] = ACTIONS(2812),
    [anon_sym_signed] = ACTIONS(2810),
    [anon_sym_unsigned] = ACTIONS(2810),
    [anon_sym_long] = ACTIONS(2810),
    [anon_sym_short] = ACTIONS(2810),
    [anon_sym_LBRACK] = ACTIONS(2810),
    [anon_sym_static] = ACTIONS(2810),
    [anon_sym_register] = ACTIONS(2810),
    [anon_sym_inline] = ACTIONS(2810),
    [anon_sym___inline] = ACTIONS(2810),
    [anon_sym___inline__] = ACTIONS(2810),
    [anon_sym___forceinline] = ACTIONS(2810),
    [anon_sym_thread_local] = ACTIONS(2810),
    [anon_sym___thread] = ACTIONS(2810),
    [anon_sym_const] = ACTIONS(2810),
    [anon_sym_constexpr] = ACTIONS(2810),
    [anon_sym_volatile] = ACTIONS(2810),
    [anon_sym_restrict] = ACTIONS(2810),
    [anon_sym___restrict__] = ACTIONS(2810),
    [anon_sym__Atomic] = ACTIONS(2810),
    [anon_sym__Noreturn] = ACTIONS(2810),
    [anon_sym_noreturn] = ACTIONS(2810),
    [anon_sym__Nonnull] = ACTIONS(2810),
    [anon_sym_mutable] = ACTIONS(2810),
    [anon_sym_constinit] = ACTIONS(2810),
    [anon_sym_consteval] = ACTIONS(2810),
    [anon_sym_PROGMEM] = ACTIONS(2810),
    [anon_sym_alignas] = ACTIONS(2810),
    [anon_sym__Alignas] = ACTIONS(2810),
    [aux_sym_primitive_type_token1] = ACTIONS(2810),
    [anon_sym_byte] = ACTIONS(2810),
    [anon_sym_word] = ACTIONS(2810),
    [anon_sym_enum] = ACTIONS(2810),
    [anon_sym_class] = ACTIONS(2810),
    [anon_sym_struct] = ACTIONS(2810),
    [anon_sym_union] = ACTIONS(2810),
    [anon_sym_if] = ACTIONS(2810),
    [anon_sym_else] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2810),
    [anon_sym_case] = ACTIONS(2810),
    [anon_sym_default] = ACTIONS(2810),
    [anon_sym_while] = ACTIONS(2810),
    [anon_sym_do] = ACTIONS(2810),
    [anon_sym_for] = ACTIONS(2810),
    [anon_sym_return] = ACTIONS(2810),
    [anon_sym_break] = ACTIONS(2810),
    [anon_sym_continue] = ACTIONS(2810),
    [anon_sym_goto] = ACTIONS(2810),
    [anon_sym___try] = ACTIONS(2810),
    [anon_sym___leave] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(2810),
    [anon_sym_compl] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2812),
    [anon_sym_PLUS_PLUS] = ACTIONS(2812),
    [anon_sym_sizeof] = ACTIONS(2810),
    [anon_sym___alignof__] = ACTIONS(2810),
    [anon_sym___alignof] = ACTIONS(2810),
    [anon_sym__alignof] = ACTIONS(2810),
    [anon_sym_alignof] = ACTIONS(2810),
    [anon_sym__Alignof] = ACTIONS(2810),
    [anon_sym_offsetof] = ACTIONS(2810),
    [anon_sym__Generic] = ACTIONS(2810),
    [anon_sym_asm] = ACTIONS(2810),
    [anon_sym___asm__] = ACTIONS(2810),
    [anon_sym___asm] = ACTIONS(2810),
    [aux_sym_number_literal_token1] = ACTIONS(2812),
    [aux_sym_number_literal_token2] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2812),
    [anon_sym_u_SQUOTE] = ACTIONS(2812),
    [anon_sym_U_SQUOTE] = ACTIONS(2812),
    [anon_sym_u8_SQUOTE] = ACTIONS(2812),
    [anon_sym_SQUOTE] = ACTIONS(2812),
    [anon_sym_L_DQUOTE] = ACTIONS(2812),
    [anon_sym_u_DQUOTE] = ACTIONS(2812),
    [anon_sym_U_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8_DQUOTE] = ACTIONS(2812),
    [anon_sym_DQUOTE] = ACTIONS(2812),
    [sym_true] = ACTIONS(2810),
    [sym_false] = ACTIONS(2810),
    [anon_sym_NULL] = ACTIONS(2810),
    [anon_sym_nullptr] = ACTIONS(2810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2810),
    [anon_sym_decltype] = ACTIONS(2810),
    [anon_sym_explicit] = ACTIONS(2810),
    [anon_sym_typename] = ACTIONS(2810),
    [anon_sym_template] = ACTIONS(2810),
    [anon_sym_operator] = ACTIONS(2810),
    [anon_sym_try] = ACTIONS(2810),
    [anon_sym_delete] = ACTIONS(2810),
    [anon_sym_throw] = ACTIONS(2810),
    [anon_sym_namespace] = ACTIONS(2810),
    [anon_sym_using] = ACTIONS(2810),
    [anon_sym_static_assert] = ACTIONS(2810),
    [anon_sym_concept] = ACTIONS(2810),
    [anon_sym_co_return] = ACTIONS(2810),
    [anon_sym_co_yield] = ACTIONS(2810),
    [anon_sym_R_DQUOTE] = ACTIONS(2812),
    [anon_sym_LR_DQUOTE] = ACTIONS(2812),
    [anon_sym_uR_DQUOTE] = ACTIONS(2812),
    [anon_sym_UR_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2812),
    [anon_sym_co_await] = ACTIONS(2810),
    [anon_sym_new] = ACTIONS(2810),
    [anon_sym_requires] = ACTIONS(2810),
    [sym_this] = ACTIONS(2810),
  },
  [267] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [aux_sym_preproc_else_token1] = ACTIONS(2814),
    [aux_sym_preproc_elif_token1] = ACTIONS(2814),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_PROGMEM] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [aux_sym_primitive_type_token1] = ACTIONS(2814),
    [anon_sym_byte] = ACTIONS(2814),
    [anon_sym_word] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [aux_sym_number_literal_token1] = ACTIONS(2816),
    [aux_sym_number_literal_token2] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [268] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [aux_sym_preproc_else_token1] = ACTIONS(2814),
    [aux_sym_preproc_elif_token1] = ACTIONS(2814),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_PROGMEM] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [aux_sym_primitive_type_token1] = ACTIONS(2814),
    [anon_sym_byte] = ACTIONS(2814),
    [anon_sym_word] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [aux_sym_number_literal_token1] = ACTIONS(2816),
    [aux_sym_number_literal_token2] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [269] = {
    [sym_identifier] = ACTIONS(2818),
    [aux_sym_preproc_include_token1] = ACTIONS(2818),
    [aux_sym_preproc_def_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token2] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2818),
    [aux_sym_preproc_else_token1] = ACTIONS(2818),
    [aux_sym_preproc_elif_token1] = ACTIONS(2818),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2818),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2818),
    [sym_preproc_directive] = ACTIONS(2818),
    [anon_sym_LPAREN2] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2820),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_AMP_AMP] = ACTIONS(2820),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym___extension__] = ACTIONS(2818),
    [anon_sym_typedef] = ACTIONS(2818),
    [anon_sym_virtual] = ACTIONS(2818),
    [anon_sym_extern] = ACTIONS(2818),
    [anon_sym___attribute__] = ACTIONS(2818),
    [anon_sym_COLON_COLON] = ACTIONS(2820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2820),
    [anon_sym___declspec] = ACTIONS(2818),
    [anon_sym___based] = ACTIONS(2818),
    [anon_sym___cdecl] = ACTIONS(2818),
    [anon_sym___clrcall] = ACTIONS(2818),
    [anon_sym___stdcall] = ACTIONS(2818),
    [anon_sym___fastcall] = ACTIONS(2818),
    [anon_sym___thiscall] = ACTIONS(2818),
    [anon_sym___vectorcall] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(2820),
    [anon_sym_signed] = ACTIONS(2818),
    [anon_sym_unsigned] = ACTIONS(2818),
    [anon_sym_long] = ACTIONS(2818),
    [anon_sym_short] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_register] = ACTIONS(2818),
    [anon_sym_inline] = ACTIONS(2818),
    [anon_sym___inline] = ACTIONS(2818),
    [anon_sym___inline__] = ACTIONS(2818),
    [anon_sym___forceinline] = ACTIONS(2818),
    [anon_sym_thread_local] = ACTIONS(2818),
    [anon_sym___thread] = ACTIONS(2818),
    [anon_sym_const] = ACTIONS(2818),
    [anon_sym_constexpr] = ACTIONS(2818),
    [anon_sym_volatile] = ACTIONS(2818),
    [anon_sym_restrict] = ACTIONS(2818),
    [anon_sym___restrict__] = ACTIONS(2818),
    [anon_sym__Atomic] = ACTIONS(2818),
    [anon_sym__Noreturn] = ACTIONS(2818),
    [anon_sym_noreturn] = ACTIONS(2818),
    [anon_sym__Nonnull] = ACTIONS(2818),
    [anon_sym_mutable] = ACTIONS(2818),
    [anon_sym_constinit] = ACTIONS(2818),
    [anon_sym_consteval] = ACTIONS(2818),
    [anon_sym_PROGMEM] = ACTIONS(2818),
    [anon_sym_alignas] = ACTIONS(2818),
    [anon_sym__Alignas] = ACTIONS(2818),
    [aux_sym_primitive_type_token1] = ACTIONS(2818),
    [anon_sym_byte] = ACTIONS(2818),
    [anon_sym_word] = ACTIONS(2818),
    [anon_sym_enum] = ACTIONS(2818),
    [anon_sym_class] = ACTIONS(2818),
    [anon_sym_struct] = ACTIONS(2818),
    [anon_sym_union] = ACTIONS(2818),
    [anon_sym_if] = ACTIONS(2818),
    [anon_sym_else] = ACTIONS(2818),
    [anon_sym_switch] = ACTIONS(2818),
    [anon_sym_case] = ACTIONS(2818),
    [anon_sym_default] = ACTIONS(2818),
    [anon_sym_while] = ACTIONS(2818),
    [anon_sym_do] = ACTIONS(2818),
    [anon_sym_for] = ACTIONS(2818),
    [anon_sym_return] = ACTIONS(2818),
    [anon_sym_break] = ACTIONS(2818),
    [anon_sym_continue] = ACTIONS(2818),
    [anon_sym_goto] = ACTIONS(2818),
    [anon_sym___try] = ACTIONS(2818),
    [anon_sym___leave] = ACTIONS(2818),
    [anon_sym_not] = ACTIONS(2818),
    [anon_sym_compl] = ACTIONS(2818),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_sizeof] = ACTIONS(2818),
    [anon_sym___alignof__] = ACTIONS(2818),
    [anon_sym___alignof] = ACTIONS(2818),
    [anon_sym__alignof] = ACTIONS(2818),
    [anon_sym_alignof] = ACTIONS(2818),
    [anon_sym__Alignof] = ACTIONS(2818),
    [anon_sym_offsetof] = ACTIONS(2818),
    [anon_sym__Generic] = ACTIONS(2818),
    [anon_sym_asm] = ACTIONS(2818),
    [anon_sym___asm__] = ACTIONS(2818),
    [anon_sym___asm] = ACTIONS(2818),
    [aux_sym_number_literal_token1] = ACTIONS(2820),
    [aux_sym_number_literal_token2] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2820),
    [anon_sym_u_SQUOTE] = ACTIONS(2820),
    [anon_sym_U_SQUOTE] = ACTIONS(2820),
    [anon_sym_u8_SQUOTE] = ACTIONS(2820),
    [anon_sym_SQUOTE] = ACTIONS(2820),
    [anon_sym_L_DQUOTE] = ACTIONS(2820),
    [anon_sym_u_DQUOTE] = ACTIONS(2820),
    [anon_sym_U_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8_DQUOTE] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2820),
    [sym_true] = ACTIONS(2818),
    [sym_false] = ACTIONS(2818),
    [anon_sym_NULL] = ACTIONS(2818),
    [anon_sym_nullptr] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2818),
    [anon_sym_decltype] = ACTIONS(2818),
    [anon_sym_explicit] = ACTIONS(2818),
    [anon_sym_typename] = ACTIONS(2818),
    [anon_sym_template] = ACTIONS(2818),
    [anon_sym_operator] = ACTIONS(2818),
    [anon_sym_try] = ACTIONS(2818),
    [anon_sym_delete] = ACTIONS(2818),
    [anon_sym_throw] = ACTIONS(2818),
    [anon_sym_namespace] = ACTIONS(2818),
    [anon_sym_using] = ACTIONS(2818),
    [anon_sym_static_assert] = ACTIONS(2818),
    [anon_sym_concept] = ACTIONS(2818),
    [anon_sym_co_return] = ACTIONS(2818),
    [anon_sym_co_yield] = ACTIONS(2818),
    [anon_sym_R_DQUOTE] = ACTIONS(2820),
    [anon_sym_LR_DQUOTE] = ACTIONS(2820),
    [anon_sym_uR_DQUOTE] = ACTIONS(2820),
    [anon_sym_UR_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2820),
    [anon_sym_co_await] = ACTIONS(2818),
    [anon_sym_new] = ACTIONS(2818),
    [anon_sym_requires] = ACTIONS(2818),
    [sym_this] = ACTIONS(2818),
  },
  [270] = {
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4868),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(4521),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_type_descriptor] = STATE(7971),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5427),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [271] = {
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_include_token1] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token2] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [aux_sym_preproc_else_token1] = ACTIONS(2822),
    [aux_sym_preproc_elif_token1] = ACTIONS(2822),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_virtual] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym___cdecl] = ACTIONS(2822),
    [anon_sym___clrcall] = ACTIONS(2822),
    [anon_sym___stdcall] = ACTIONS(2822),
    [anon_sym___fastcall] = ACTIONS(2822),
    [anon_sym___thiscall] = ACTIONS(2822),
    [anon_sym___vectorcall] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym__Nonnull] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [anon_sym_PROGMEM] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym__Alignas] = ACTIONS(2822),
    [aux_sym_primitive_type_token1] = ACTIONS(2822),
    [anon_sym_byte] = ACTIONS(2822),
    [anon_sym_word] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_goto] = ACTIONS(2822),
    [anon_sym___try] = ACTIONS(2822),
    [anon_sym___leave] = ACTIONS(2822),
    [anon_sym_not] = ACTIONS(2822),
    [anon_sym_compl] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_sizeof] = ACTIONS(2822),
    [anon_sym___alignof__] = ACTIONS(2822),
    [anon_sym___alignof] = ACTIONS(2822),
    [anon_sym__alignof] = ACTIONS(2822),
    [anon_sym_alignof] = ACTIONS(2822),
    [anon_sym__Alignof] = ACTIONS(2822),
    [anon_sym_offsetof] = ACTIONS(2822),
    [anon_sym__Generic] = ACTIONS(2822),
    [anon_sym_asm] = ACTIONS(2822),
    [anon_sym___asm__] = ACTIONS(2822),
    [anon_sym___asm] = ACTIONS(2822),
    [aux_sym_number_literal_token1] = ACTIONS(2824),
    [aux_sym_number_literal_token2] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2824),
    [anon_sym_u_SQUOTE] = ACTIONS(2824),
    [anon_sym_U_SQUOTE] = ACTIONS(2824),
    [anon_sym_u8_SQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [anon_sym_L_DQUOTE] = ACTIONS(2824),
    [anon_sym_u_DQUOTE] = ACTIONS(2824),
    [anon_sym_U_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8_DQUOTE] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_NULL] = ACTIONS(2822),
    [anon_sym_nullptr] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
    [anon_sym_concept] = ACTIONS(2822),
    [anon_sym_co_return] = ACTIONS(2822),
    [anon_sym_co_yield] = ACTIONS(2822),
    [anon_sym_R_DQUOTE] = ACTIONS(2824),
    [anon_sym_LR_DQUOTE] = ACTIONS(2824),
    [anon_sym_uR_DQUOTE] = ACTIONS(2824),
    [anon_sym_UR_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2824),
    [anon_sym_co_await] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_requires] = ACTIONS(2822),
    [sym_this] = ACTIONS(2822),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token2] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [aux_sym_preproc_else_token1] = ACTIONS(2826),
    [aux_sym_preproc_elif_token1] = ACTIONS(2826),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_PROGMEM] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [aux_sym_primitive_type_token1] = ACTIONS(2826),
    [anon_sym_byte] = ACTIONS(2826),
    [anon_sym_word] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_else] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [anon_sym___asm] = ACTIONS(2826),
    [aux_sym_number_literal_token1] = ACTIONS(2828),
    [aux_sym_number_literal_token2] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [273] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4132),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2523),
    [anon_sym_typedef] = ACTIONS(2547),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2536),
    [anon_sym_byte] = ACTIONS(2536),
    [anon_sym_word] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [274] = {
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token2] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [aux_sym_preproc_else_token1] = ACTIONS(2830),
    [aux_sym_preproc_elif_token1] = ACTIONS(2830),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym__Nonnull] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [anon_sym_PROGMEM] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym__Alignas] = ACTIONS(2830),
    [aux_sym_primitive_type_token1] = ACTIONS(2830),
    [anon_sym_byte] = ACTIONS(2830),
    [anon_sym_word] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_else] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [anon_sym___asm] = ACTIONS(2830),
    [aux_sym_number_literal_token1] = ACTIONS(2832),
    [aux_sym_number_literal_token2] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [275] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4132),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2523),
    [anon_sym_typedef] = ACTIONS(2549),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2536),
    [anon_sym_byte] = ACTIONS(2536),
    [anon_sym_word] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [276] = {
    [sym_identifier] = ACTIONS(2834),
    [aux_sym_preproc_include_token1] = ACTIONS(2834),
    [aux_sym_preproc_def_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token2] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2834),
    [aux_sym_preproc_else_token1] = ACTIONS(2834),
    [aux_sym_preproc_elif_token1] = ACTIONS(2834),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2834),
    [sym_preproc_directive] = ACTIONS(2834),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2834),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_virtual] = ACTIONS(2834),
    [anon_sym_extern] = ACTIONS(2834),
    [anon_sym___attribute__] = ACTIONS(2834),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2836),
    [anon_sym___declspec] = ACTIONS(2834),
    [anon_sym___based] = ACTIONS(2834),
    [anon_sym___cdecl] = ACTIONS(2834),
    [anon_sym___clrcall] = ACTIONS(2834),
    [anon_sym___stdcall] = ACTIONS(2834),
    [anon_sym___fastcall] = ACTIONS(2834),
    [anon_sym___thiscall] = ACTIONS(2834),
    [anon_sym___vectorcall] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_signed] = ACTIONS(2834),
    [anon_sym_unsigned] = ACTIONS(2834),
    [anon_sym_long] = ACTIONS(2834),
    [anon_sym_short] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_register] = ACTIONS(2834),
    [anon_sym_inline] = ACTIONS(2834),
    [anon_sym___inline] = ACTIONS(2834),
    [anon_sym___inline__] = ACTIONS(2834),
    [anon_sym___forceinline] = ACTIONS(2834),
    [anon_sym_thread_local] = ACTIONS(2834),
    [anon_sym___thread] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_constexpr] = ACTIONS(2834),
    [anon_sym_volatile] = ACTIONS(2834),
    [anon_sym_restrict] = ACTIONS(2834),
    [anon_sym___restrict__] = ACTIONS(2834),
    [anon_sym__Atomic] = ACTIONS(2834),
    [anon_sym__Noreturn] = ACTIONS(2834),
    [anon_sym_noreturn] = ACTIONS(2834),
    [anon_sym__Nonnull] = ACTIONS(2834),
    [anon_sym_mutable] = ACTIONS(2834),
    [anon_sym_constinit] = ACTIONS(2834),
    [anon_sym_consteval] = ACTIONS(2834),
    [anon_sym_PROGMEM] = ACTIONS(2834),
    [anon_sym_alignas] = ACTIONS(2834),
    [anon_sym__Alignas] = ACTIONS(2834),
    [aux_sym_primitive_type_token1] = ACTIONS(2834),
    [anon_sym_byte] = ACTIONS(2834),
    [anon_sym_word] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_struct] = ACTIONS(2834),
    [anon_sym_union] = ACTIONS(2834),
    [anon_sym_if] = ACTIONS(2834),
    [anon_sym_else] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2834),
    [anon_sym_case] = ACTIONS(2834),
    [anon_sym_default] = ACTIONS(2834),
    [anon_sym_while] = ACTIONS(2834),
    [anon_sym_do] = ACTIONS(2834),
    [anon_sym_for] = ACTIONS(2834),
    [anon_sym_return] = ACTIONS(2834),
    [anon_sym_break] = ACTIONS(2834),
    [anon_sym_continue] = ACTIONS(2834),
    [anon_sym_goto] = ACTIONS(2834),
    [anon_sym___try] = ACTIONS(2834),
    [anon_sym___leave] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_compl] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_sizeof] = ACTIONS(2834),
    [anon_sym___alignof__] = ACTIONS(2834),
    [anon_sym___alignof] = ACTIONS(2834),
    [anon_sym__alignof] = ACTIONS(2834),
    [anon_sym_alignof] = ACTIONS(2834),
    [anon_sym__Alignof] = ACTIONS(2834),
    [anon_sym_offsetof] = ACTIONS(2834),
    [anon_sym__Generic] = ACTIONS(2834),
    [anon_sym_asm] = ACTIONS(2834),
    [anon_sym___asm__] = ACTIONS(2834),
    [anon_sym___asm] = ACTIONS(2834),
    [aux_sym_number_literal_token1] = ACTIONS(2836),
    [aux_sym_number_literal_token2] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2836),
    [anon_sym_u_SQUOTE] = ACTIONS(2836),
    [anon_sym_U_SQUOTE] = ACTIONS(2836),
    [anon_sym_u8_SQUOTE] = ACTIONS(2836),
    [anon_sym_SQUOTE] = ACTIONS(2836),
    [anon_sym_L_DQUOTE] = ACTIONS(2836),
    [anon_sym_u_DQUOTE] = ACTIONS(2836),
    [anon_sym_U_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8_DQUOTE] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2836),
    [sym_true] = ACTIONS(2834),
    [sym_false] = ACTIONS(2834),
    [anon_sym_NULL] = ACTIONS(2834),
    [anon_sym_nullptr] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2834),
    [anon_sym_decltype] = ACTIONS(2834),
    [anon_sym_explicit] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2834),
    [anon_sym_template] = ACTIONS(2834),
    [anon_sym_operator] = ACTIONS(2834),
    [anon_sym_try] = ACTIONS(2834),
    [anon_sym_delete] = ACTIONS(2834),
    [anon_sym_throw] = ACTIONS(2834),
    [anon_sym_namespace] = ACTIONS(2834),
    [anon_sym_using] = ACTIONS(2834),
    [anon_sym_static_assert] = ACTIONS(2834),
    [anon_sym_concept] = ACTIONS(2834),
    [anon_sym_co_return] = ACTIONS(2834),
    [anon_sym_co_yield] = ACTIONS(2834),
    [anon_sym_R_DQUOTE] = ACTIONS(2836),
    [anon_sym_LR_DQUOTE] = ACTIONS(2836),
    [anon_sym_uR_DQUOTE] = ACTIONS(2836),
    [anon_sym_UR_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2836),
    [anon_sym_co_await] = ACTIONS(2834),
    [anon_sym_new] = ACTIONS(2834),
    [anon_sym_requires] = ACTIONS(2834),
    [sym_this] = ACTIONS(2834),
  },
  [277] = {
    [sym_identifier] = ACTIONS(2838),
    [aux_sym_preproc_include_token1] = ACTIONS(2838),
    [aux_sym_preproc_def_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token2] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2838),
    [aux_sym_preproc_else_token1] = ACTIONS(2838),
    [aux_sym_preproc_elif_token1] = ACTIONS(2838),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2838),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2838),
    [sym_preproc_directive] = ACTIONS(2838),
    [anon_sym_LPAREN2] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_TILDE] = ACTIONS(2840),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP_AMP] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2838),
    [anon_sym_typedef] = ACTIONS(2838),
    [anon_sym_virtual] = ACTIONS(2838),
    [anon_sym_extern] = ACTIONS(2838),
    [anon_sym___attribute__] = ACTIONS(2838),
    [anon_sym_COLON_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2840),
    [anon_sym___declspec] = ACTIONS(2838),
    [anon_sym___based] = ACTIONS(2838),
    [anon_sym___cdecl] = ACTIONS(2838),
    [anon_sym___clrcall] = ACTIONS(2838),
    [anon_sym___stdcall] = ACTIONS(2838),
    [anon_sym___fastcall] = ACTIONS(2838),
    [anon_sym___thiscall] = ACTIONS(2838),
    [anon_sym___vectorcall] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_signed] = ACTIONS(2838),
    [anon_sym_unsigned] = ACTIONS(2838),
    [anon_sym_long] = ACTIONS(2838),
    [anon_sym_short] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_register] = ACTIONS(2838),
    [anon_sym_inline] = ACTIONS(2838),
    [anon_sym___inline] = ACTIONS(2838),
    [anon_sym___inline__] = ACTIONS(2838),
    [anon_sym___forceinline] = ACTIONS(2838),
    [anon_sym_thread_local] = ACTIONS(2838),
    [anon_sym___thread] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_constexpr] = ACTIONS(2838),
    [anon_sym_volatile] = ACTIONS(2838),
    [anon_sym_restrict] = ACTIONS(2838),
    [anon_sym___restrict__] = ACTIONS(2838),
    [anon_sym__Atomic] = ACTIONS(2838),
    [anon_sym__Noreturn] = ACTIONS(2838),
    [anon_sym_noreturn] = ACTIONS(2838),
    [anon_sym__Nonnull] = ACTIONS(2838),
    [anon_sym_mutable] = ACTIONS(2838),
    [anon_sym_constinit] = ACTIONS(2838),
    [anon_sym_consteval] = ACTIONS(2838),
    [anon_sym_PROGMEM] = ACTIONS(2838),
    [anon_sym_alignas] = ACTIONS(2838),
    [anon_sym__Alignas] = ACTIONS(2838),
    [aux_sym_primitive_type_token1] = ACTIONS(2838),
    [anon_sym_byte] = ACTIONS(2838),
    [anon_sym_word] = ACTIONS(2838),
    [anon_sym_enum] = ACTIONS(2838),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_struct] = ACTIONS(2838),
    [anon_sym_union] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(2838),
    [anon_sym_else] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2838),
    [anon_sym_case] = ACTIONS(2838),
    [anon_sym_default] = ACTIONS(2838),
    [anon_sym_while] = ACTIONS(2838),
    [anon_sym_do] = ACTIONS(2838),
    [anon_sym_for] = ACTIONS(2838),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_break] = ACTIONS(2838),
    [anon_sym_continue] = ACTIONS(2838),
    [anon_sym_goto] = ACTIONS(2838),
    [anon_sym___try] = ACTIONS(2838),
    [anon_sym___leave] = ACTIONS(2838),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_sizeof] = ACTIONS(2838),
    [anon_sym___alignof__] = ACTIONS(2838),
    [anon_sym___alignof] = ACTIONS(2838),
    [anon_sym__alignof] = ACTIONS(2838),
    [anon_sym_alignof] = ACTIONS(2838),
    [anon_sym__Alignof] = ACTIONS(2838),
    [anon_sym_offsetof] = ACTIONS(2838),
    [anon_sym__Generic] = ACTIONS(2838),
    [anon_sym_asm] = ACTIONS(2838),
    [anon_sym___asm__] = ACTIONS(2838),
    [anon_sym___asm] = ACTIONS(2838),
    [aux_sym_number_literal_token1] = ACTIONS(2840),
    [aux_sym_number_literal_token2] = ACTIONS(2838),
    [anon_sym_L_SQUOTE] = ACTIONS(2840),
    [anon_sym_u_SQUOTE] = ACTIONS(2840),
    [anon_sym_U_SQUOTE] = ACTIONS(2840),
    [anon_sym_u8_SQUOTE] = ACTIONS(2840),
    [anon_sym_SQUOTE] = ACTIONS(2840),
    [anon_sym_L_DQUOTE] = ACTIONS(2840),
    [anon_sym_u_DQUOTE] = ACTIONS(2840),
    [anon_sym_U_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8_DQUOTE] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2840),
    [sym_true] = ACTIONS(2838),
    [sym_false] = ACTIONS(2838),
    [anon_sym_NULL] = ACTIONS(2838),
    [anon_sym_nullptr] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2838),
    [anon_sym_decltype] = ACTIONS(2838),
    [anon_sym_explicit] = ACTIONS(2838),
    [anon_sym_typename] = ACTIONS(2838),
    [anon_sym_template] = ACTIONS(2838),
    [anon_sym_operator] = ACTIONS(2838),
    [anon_sym_try] = ACTIONS(2838),
    [anon_sym_delete] = ACTIONS(2838),
    [anon_sym_throw] = ACTIONS(2838),
    [anon_sym_namespace] = ACTIONS(2838),
    [anon_sym_using] = ACTIONS(2838),
    [anon_sym_static_assert] = ACTIONS(2838),
    [anon_sym_concept] = ACTIONS(2838),
    [anon_sym_co_return] = ACTIONS(2838),
    [anon_sym_co_yield] = ACTIONS(2838),
    [anon_sym_R_DQUOTE] = ACTIONS(2840),
    [anon_sym_LR_DQUOTE] = ACTIONS(2840),
    [anon_sym_uR_DQUOTE] = ACTIONS(2840),
    [anon_sym_UR_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2840),
    [anon_sym_co_await] = ACTIONS(2838),
    [anon_sym_new] = ACTIONS(2838),
    [anon_sym_requires] = ACTIONS(2838),
    [sym_this] = ACTIONS(2838),
  },
  [278] = {
    [sym_identifier] = ACTIONS(2736),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token2] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2736),
    [aux_sym_preproc_else_token1] = ACTIONS(2736),
    [aux_sym_preproc_elif_token1] = ACTIONS(2736),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2736),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2736),
    [sym_preproc_directive] = ACTIONS(2736),
    [anon_sym_LPAREN2] = ACTIONS(2741),
    [anon_sym_BANG] = ACTIONS(2741),
    [anon_sym_TILDE] = ACTIONS(2741),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2741),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2741),
    [anon_sym___extension__] = ACTIONS(2736),
    [anon_sym_typedef] = ACTIONS(2736),
    [anon_sym_virtual] = ACTIONS(2736),
    [anon_sym_extern] = ACTIONS(2736),
    [anon_sym___attribute__] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2741),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2741),
    [anon_sym___declspec] = ACTIONS(2736),
    [anon_sym___based] = ACTIONS(2736),
    [anon_sym___cdecl] = ACTIONS(2736),
    [anon_sym___clrcall] = ACTIONS(2736),
    [anon_sym___stdcall] = ACTIONS(2736),
    [anon_sym___fastcall] = ACTIONS(2736),
    [anon_sym___thiscall] = ACTIONS(2736),
    [anon_sym___vectorcall] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2741),
    [anon_sym_signed] = ACTIONS(2736),
    [anon_sym_unsigned] = ACTIONS(2736),
    [anon_sym_long] = ACTIONS(2736),
    [anon_sym_short] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_register] = ACTIONS(2736),
    [anon_sym_inline] = ACTIONS(2736),
    [anon_sym___inline] = ACTIONS(2736),
    [anon_sym___inline__] = ACTIONS(2736),
    [anon_sym___forceinline] = ACTIONS(2736),
    [anon_sym_thread_local] = ACTIONS(2736),
    [anon_sym___thread] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_constexpr] = ACTIONS(2736),
    [anon_sym_volatile] = ACTIONS(2736),
    [anon_sym_restrict] = ACTIONS(2736),
    [anon_sym___restrict__] = ACTIONS(2736),
    [anon_sym__Atomic] = ACTIONS(2736),
    [anon_sym__Noreturn] = ACTIONS(2736),
    [anon_sym_noreturn] = ACTIONS(2736),
    [anon_sym__Nonnull] = ACTIONS(2736),
    [anon_sym_mutable] = ACTIONS(2736),
    [anon_sym_constinit] = ACTIONS(2736),
    [anon_sym_consteval] = ACTIONS(2736),
    [anon_sym_PROGMEM] = ACTIONS(2736),
    [anon_sym_alignas] = ACTIONS(2736),
    [anon_sym__Alignas] = ACTIONS(2736),
    [aux_sym_primitive_type_token1] = ACTIONS(2736),
    [anon_sym_byte] = ACTIONS(2736),
    [anon_sym_word] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_struct] = ACTIONS(2736),
    [anon_sym_union] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_else] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_case] = ACTIONS(2736),
    [anon_sym_default] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_goto] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2736),
    [anon_sym___leave] = ACTIONS(2736),
    [anon_sym_not] = ACTIONS(2736),
    [anon_sym_compl] = ACTIONS(2736),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_sizeof] = ACTIONS(2736),
    [anon_sym___alignof__] = ACTIONS(2736),
    [anon_sym___alignof] = ACTIONS(2736),
    [anon_sym__alignof] = ACTIONS(2736),
    [anon_sym_alignof] = ACTIONS(2736),
    [anon_sym__Alignof] = ACTIONS(2736),
    [anon_sym_offsetof] = ACTIONS(2736),
    [anon_sym__Generic] = ACTIONS(2736),
    [anon_sym_asm] = ACTIONS(2736),
    [anon_sym___asm__] = ACTIONS(2736),
    [anon_sym___asm] = ACTIONS(2736),
    [aux_sym_number_literal_token1] = ACTIONS(2741),
    [aux_sym_number_literal_token2] = ACTIONS(2736),
    [anon_sym_L_SQUOTE] = ACTIONS(2741),
    [anon_sym_u_SQUOTE] = ACTIONS(2741),
    [anon_sym_U_SQUOTE] = ACTIONS(2741),
    [anon_sym_u8_SQUOTE] = ACTIONS(2741),
    [anon_sym_SQUOTE] = ACTIONS(2741),
    [anon_sym_L_DQUOTE] = ACTIONS(2741),
    [anon_sym_u_DQUOTE] = ACTIONS(2741),
    [anon_sym_U_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8_DQUOTE] = ACTIONS(2741),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [anon_sym_NULL] = ACTIONS(2736),
    [anon_sym_nullptr] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2736),
    [anon_sym_decltype] = ACTIONS(2736),
    [anon_sym_explicit] = ACTIONS(2736),
    [anon_sym_typename] = ACTIONS(2736),
    [anon_sym_template] = ACTIONS(2736),
    [anon_sym_operator] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_namespace] = ACTIONS(2736),
    [anon_sym_using] = ACTIONS(2736),
    [anon_sym_static_assert] = ACTIONS(2736),
    [anon_sym_concept] = ACTIONS(2736),
    [anon_sym_co_return] = ACTIONS(2736),
    [anon_sym_co_yield] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2741),
    [anon_sym_LR_DQUOTE] = ACTIONS(2741),
    [anon_sym_uR_DQUOTE] = ACTIONS(2741),
    [anon_sym_UR_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2741),
    [anon_sym_co_await] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2736),
    [sym_this] = ACTIONS(2736),
  },
  [279] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4132),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2523),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2536),
    [anon_sym_byte] = ACTIONS(2536),
    [anon_sym_word] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [280] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [aux_sym_preproc_else_token1] = ACTIONS(2844),
    [aux_sym_preproc_elif_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_PROGMEM] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [aux_sym_primitive_type_token1] = ACTIONS(2844),
    [anon_sym_byte] = ACTIONS(2844),
    [anon_sym_word] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_else] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [aux_sym_number_literal_token1] = ACTIONS(2846),
    [aux_sym_number_literal_token2] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [281] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token2] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [aux_sym_preproc_else_token1] = ACTIONS(2848),
    [aux_sym_preproc_elif_token1] = ACTIONS(2848),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [anon_sym_PROGMEM] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [aux_sym_primitive_type_token1] = ACTIONS(2848),
    [anon_sym_byte] = ACTIONS(2848),
    [anon_sym_word] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_else] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym___leave] = ACTIONS(2848),
    [anon_sym_not] = ACTIONS(2848),
    [anon_sym_compl] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [anon_sym___asm] = ACTIONS(2848),
    [aux_sym_number_literal_token1] = ACTIONS(2850),
    [aux_sym_number_literal_token2] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_namespace] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_concept] = ACTIONS(2848),
    [anon_sym_co_return] = ACTIONS(2848),
    [anon_sym_co_yield] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2850),
    [anon_sym_LR_DQUOTE] = ACTIONS(2850),
    [anon_sym_uR_DQUOTE] = ACTIONS(2850),
    [anon_sym_UR_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2850),
    [anon_sym_co_await] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_requires] = ACTIONS(2848),
    [sym_this] = ACTIONS(2848),
  },
  [282] = {
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token2] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [aux_sym_preproc_else_token1] = ACTIONS(2852),
    [aux_sym_preproc_elif_token1] = ACTIONS(2852),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP_AMP] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___based] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [anon_sym_PROGMEM] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [aux_sym_primitive_type_token1] = ACTIONS(2852),
    [anon_sym_byte] = ACTIONS(2852),
    [anon_sym_word] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_else] = ACTIONS(2852),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym___leave] = ACTIONS(2852),
    [anon_sym_not] = ACTIONS(2852),
    [anon_sym_compl] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [anon_sym___asm] = ACTIONS(2852),
    [aux_sym_number_literal_token1] = ACTIONS(2854),
    [aux_sym_number_literal_token2] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_explicit] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_operator] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_namespace] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_static_assert] = ACTIONS(2852),
    [anon_sym_concept] = ACTIONS(2852),
    [anon_sym_co_return] = ACTIONS(2852),
    [anon_sym_co_yield] = ACTIONS(2852),
    [anon_sym_R_DQUOTE] = ACTIONS(2854),
    [anon_sym_LR_DQUOTE] = ACTIONS(2854),
    [anon_sym_uR_DQUOTE] = ACTIONS(2854),
    [anon_sym_UR_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2854),
    [anon_sym_co_await] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_requires] = ACTIONS(2852),
    [sym_this] = ACTIONS(2852),
  },
  [283] = {
    [sym_identifier] = ACTIONS(2856),
    [aux_sym_preproc_include_token1] = ACTIONS(2856),
    [aux_sym_preproc_def_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token2] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2856),
    [aux_sym_preproc_else_token1] = ACTIONS(2856),
    [aux_sym_preproc_elif_token1] = ACTIONS(2856),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2856),
    [sym_preproc_directive] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_AMP_AMP] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2856),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_virtual] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym_COLON_COLON] = ACTIONS(2858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym___based] = ACTIONS(2856),
    [anon_sym___cdecl] = ACTIONS(2856),
    [anon_sym___clrcall] = ACTIONS(2856),
    [anon_sym___stdcall] = ACTIONS(2856),
    [anon_sym___fastcall] = ACTIONS(2856),
    [anon_sym___thiscall] = ACTIONS(2856),
    [anon_sym___vectorcall] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_mutable] = ACTIONS(2856),
    [anon_sym_constinit] = ACTIONS(2856),
    [anon_sym_consteval] = ACTIONS(2856),
    [anon_sym_PROGMEM] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [aux_sym_primitive_type_token1] = ACTIONS(2856),
    [anon_sym_byte] = ACTIONS(2856),
    [anon_sym_word] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [anon_sym_if] = ACTIONS(2856),
    [anon_sym_else] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_case] = ACTIONS(2856),
    [anon_sym_default] = ACTIONS(2856),
    [anon_sym_while] = ACTIONS(2856),
    [anon_sym_do] = ACTIONS(2856),
    [anon_sym_for] = ACTIONS(2856),
    [anon_sym_return] = ACTIONS(2856),
    [anon_sym_break] = ACTIONS(2856),
    [anon_sym_continue] = ACTIONS(2856),
    [anon_sym_goto] = ACTIONS(2856),
    [anon_sym___try] = ACTIONS(2856),
    [anon_sym___leave] = ACTIONS(2856),
    [anon_sym_not] = ACTIONS(2856),
    [anon_sym_compl] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2858),
    [anon_sym_sizeof] = ACTIONS(2856),
    [anon_sym___alignof__] = ACTIONS(2856),
    [anon_sym___alignof] = ACTIONS(2856),
    [anon_sym__alignof] = ACTIONS(2856),
    [anon_sym_alignof] = ACTIONS(2856),
    [anon_sym__Alignof] = ACTIONS(2856),
    [anon_sym_offsetof] = ACTIONS(2856),
    [anon_sym__Generic] = ACTIONS(2856),
    [anon_sym_asm] = ACTIONS(2856),
    [anon_sym___asm__] = ACTIONS(2856),
    [anon_sym___asm] = ACTIONS(2856),
    [aux_sym_number_literal_token1] = ACTIONS(2858),
    [aux_sym_number_literal_token2] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2858),
    [anon_sym_u_SQUOTE] = ACTIONS(2858),
    [anon_sym_U_SQUOTE] = ACTIONS(2858),
    [anon_sym_u8_SQUOTE] = ACTIONS(2858),
    [anon_sym_SQUOTE] = ACTIONS(2858),
    [anon_sym_L_DQUOTE] = ACTIONS(2858),
    [anon_sym_u_DQUOTE] = ACTIONS(2858),
    [anon_sym_U_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8_DQUOTE] = ACTIONS(2858),
    [anon_sym_DQUOTE] = ACTIONS(2858),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [anon_sym_NULL] = ACTIONS(2856),
    [anon_sym_nullptr] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2856),
    [anon_sym_decltype] = ACTIONS(2856),
    [anon_sym_explicit] = ACTIONS(2856),
    [anon_sym_typename] = ACTIONS(2856),
    [anon_sym_template] = ACTIONS(2856),
    [anon_sym_operator] = ACTIONS(2856),
    [anon_sym_try] = ACTIONS(2856),
    [anon_sym_delete] = ACTIONS(2856),
    [anon_sym_throw] = ACTIONS(2856),
    [anon_sym_namespace] = ACTIONS(2856),
    [anon_sym_using] = ACTIONS(2856),
    [anon_sym_static_assert] = ACTIONS(2856),
    [anon_sym_concept] = ACTIONS(2856),
    [anon_sym_co_return] = ACTIONS(2856),
    [anon_sym_co_yield] = ACTIONS(2856),
    [anon_sym_R_DQUOTE] = ACTIONS(2858),
    [anon_sym_LR_DQUOTE] = ACTIONS(2858),
    [anon_sym_uR_DQUOTE] = ACTIONS(2858),
    [anon_sym_UR_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2858),
    [anon_sym_co_await] = ACTIONS(2856),
    [anon_sym_new] = ACTIONS(2856),
    [anon_sym_requires] = ACTIONS(2856),
    [sym_this] = ACTIONS(2856),
  },
  [284] = {
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_include_token1] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_if_token2] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [aux_sym_preproc_else_token1] = ACTIONS(1969),
    [aux_sym_preproc_elif_token1] = ACTIONS(1969),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym___cdecl] = ACTIONS(1969),
    [anon_sym___clrcall] = ACTIONS(1969),
    [anon_sym___stdcall] = ACTIONS(1969),
    [anon_sym___fastcall] = ACTIONS(1969),
    [anon_sym___thiscall] = ACTIONS(1969),
    [anon_sym___vectorcall] = ACTIONS(1969),
    [anon_sym_LBRACE] = ACTIONS(1967),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [anon_sym_if] = ACTIONS(1969),
    [anon_sym_switch] = ACTIONS(1969),
    [anon_sym_case] = ACTIONS(1969),
    [anon_sym_default] = ACTIONS(1969),
    [anon_sym_while] = ACTIONS(1969),
    [anon_sym_do] = ACTIONS(1969),
    [anon_sym_for] = ACTIONS(1969),
    [anon_sym_return] = ACTIONS(1969),
    [anon_sym_break] = ACTIONS(1969),
    [anon_sym_continue] = ACTIONS(1969),
    [anon_sym_goto] = ACTIONS(1969),
    [anon_sym___try] = ACTIONS(1969),
    [anon_sym___leave] = ACTIONS(1969),
    [anon_sym_not] = ACTIONS(1969),
    [anon_sym_compl] = ACTIONS(1969),
    [anon_sym_DASH_DASH] = ACTIONS(1967),
    [anon_sym_PLUS_PLUS] = ACTIONS(1967),
    [anon_sym_sizeof] = ACTIONS(1969),
    [anon_sym___alignof__] = ACTIONS(1969),
    [anon_sym___alignof] = ACTIONS(1969),
    [anon_sym__alignof] = ACTIONS(1969),
    [anon_sym_alignof] = ACTIONS(1969),
    [anon_sym__Alignof] = ACTIONS(1969),
    [anon_sym_offsetof] = ACTIONS(1969),
    [anon_sym__Generic] = ACTIONS(1969),
    [anon_sym_asm] = ACTIONS(1969),
    [anon_sym___asm__] = ACTIONS(1969),
    [anon_sym___asm] = ACTIONS(1969),
    [aux_sym_number_literal_token1] = ACTIONS(1967),
    [aux_sym_number_literal_token2] = ACTIONS(1969),
    [anon_sym_L_SQUOTE] = ACTIONS(1967),
    [anon_sym_u_SQUOTE] = ACTIONS(1967),
    [anon_sym_U_SQUOTE] = ACTIONS(1967),
    [anon_sym_u8_SQUOTE] = ACTIONS(1967),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_L_DQUOTE] = ACTIONS(1967),
    [anon_sym_u_DQUOTE] = ACTIONS(1967),
    [anon_sym_U_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8_DQUOTE] = ACTIONS(1967),
    [anon_sym_DQUOTE] = ACTIONS(1967),
    [sym_true] = ACTIONS(1969),
    [sym_false] = ACTIONS(1969),
    [anon_sym_NULL] = ACTIONS(1969),
    [anon_sym_nullptr] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_delete] = ACTIONS(1969),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_namespace] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
    [anon_sym_concept] = ACTIONS(1969),
    [anon_sym_co_return] = ACTIONS(1969),
    [anon_sym_co_yield] = ACTIONS(1969),
    [anon_sym_R_DQUOTE] = ACTIONS(1967),
    [anon_sym_LR_DQUOTE] = ACTIONS(1967),
    [anon_sym_uR_DQUOTE] = ACTIONS(1967),
    [anon_sym_UR_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1967),
    [anon_sym_co_await] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_requires] = ACTIONS(1969),
    [sym_this] = ACTIONS(1969),
  },
  [285] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4132),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2523),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2536),
    [anon_sym_byte] = ACTIONS(2536),
    [anon_sym_word] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [286] = {
    [sym_identifier] = ACTIONS(2862),
    [aux_sym_preproc_include_token1] = ACTIONS(2862),
    [aux_sym_preproc_def_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token2] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2862),
    [aux_sym_preproc_else_token1] = ACTIONS(2862),
    [aux_sym_preproc_elif_token1] = ACTIONS(2862),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2862),
    [sym_preproc_directive] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(2864),
    [anon_sym_BANG] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2862),
    [anon_sym_PLUS] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2864),
    [anon_sym___extension__] = ACTIONS(2862),
    [anon_sym_typedef] = ACTIONS(2862),
    [anon_sym_virtual] = ACTIONS(2862),
    [anon_sym_extern] = ACTIONS(2862),
    [anon_sym___attribute__] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2864),
    [anon_sym___declspec] = ACTIONS(2862),
    [anon_sym___based] = ACTIONS(2862),
    [anon_sym___cdecl] = ACTIONS(2862),
    [anon_sym___clrcall] = ACTIONS(2862),
    [anon_sym___stdcall] = ACTIONS(2862),
    [anon_sym___fastcall] = ACTIONS(2862),
    [anon_sym___thiscall] = ACTIONS(2862),
    [anon_sym___vectorcall] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2862),
    [anon_sym_unsigned] = ACTIONS(2862),
    [anon_sym_long] = ACTIONS(2862),
    [anon_sym_short] = ACTIONS(2862),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_register] = ACTIONS(2862),
    [anon_sym_inline] = ACTIONS(2862),
    [anon_sym___inline] = ACTIONS(2862),
    [anon_sym___inline__] = ACTIONS(2862),
    [anon_sym___forceinline] = ACTIONS(2862),
    [anon_sym_thread_local] = ACTIONS(2862),
    [anon_sym___thread] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2862),
    [anon_sym_constexpr] = ACTIONS(2862),
    [anon_sym_volatile] = ACTIONS(2862),
    [anon_sym_restrict] = ACTIONS(2862),
    [anon_sym___restrict__] = ACTIONS(2862),
    [anon_sym__Atomic] = ACTIONS(2862),
    [anon_sym__Noreturn] = ACTIONS(2862),
    [anon_sym_noreturn] = ACTIONS(2862),
    [anon_sym__Nonnull] = ACTIONS(2862),
    [anon_sym_mutable] = ACTIONS(2862),
    [anon_sym_constinit] = ACTIONS(2862),
    [anon_sym_consteval] = ACTIONS(2862),
    [anon_sym_PROGMEM] = ACTIONS(2862),
    [anon_sym_alignas] = ACTIONS(2862),
    [anon_sym__Alignas] = ACTIONS(2862),
    [aux_sym_primitive_type_token1] = ACTIONS(2862),
    [anon_sym_byte] = ACTIONS(2862),
    [anon_sym_word] = ACTIONS(2862),
    [anon_sym_enum] = ACTIONS(2862),
    [anon_sym_class] = ACTIONS(2862),
    [anon_sym_struct] = ACTIONS(2862),
    [anon_sym_union] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(2862),
    [anon_sym_else] = ACTIONS(2862),
    [anon_sym_switch] = ACTIONS(2862),
    [anon_sym_case] = ACTIONS(2862),
    [anon_sym_default] = ACTIONS(2862),
    [anon_sym_while] = ACTIONS(2862),
    [anon_sym_do] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2862),
    [anon_sym_return] = ACTIONS(2862),
    [anon_sym_break] = ACTIONS(2862),
    [anon_sym_continue] = ACTIONS(2862),
    [anon_sym_goto] = ACTIONS(2862),
    [anon_sym___try] = ACTIONS(2862),
    [anon_sym___leave] = ACTIONS(2862),
    [anon_sym_not] = ACTIONS(2862),
    [anon_sym_compl] = ACTIONS(2862),
    [anon_sym_DASH_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_PLUS] = ACTIONS(2864),
    [anon_sym_sizeof] = ACTIONS(2862),
    [anon_sym___alignof__] = ACTIONS(2862),
    [anon_sym___alignof] = ACTIONS(2862),
    [anon_sym__alignof] = ACTIONS(2862),
    [anon_sym_alignof] = ACTIONS(2862),
    [anon_sym__Alignof] = ACTIONS(2862),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2862),
    [anon_sym_asm] = ACTIONS(2862),
    [anon_sym___asm__] = ACTIONS(2862),
    [anon_sym___asm] = ACTIONS(2862),
    [aux_sym_number_literal_token1] = ACTIONS(2864),
    [aux_sym_number_literal_token2] = ACTIONS(2862),
    [anon_sym_L_SQUOTE] = ACTIONS(2864),
    [anon_sym_u_SQUOTE] = ACTIONS(2864),
    [anon_sym_U_SQUOTE] = ACTIONS(2864),
    [anon_sym_u8_SQUOTE] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2864),
    [anon_sym_L_DQUOTE] = ACTIONS(2864),
    [anon_sym_u_DQUOTE] = ACTIONS(2864),
    [anon_sym_U_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [sym_true] = ACTIONS(2862),
    [sym_false] = ACTIONS(2862),
    [anon_sym_NULL] = ACTIONS(2862),
    [anon_sym_nullptr] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2862),
    [anon_sym_decltype] = ACTIONS(2862),
    [anon_sym_explicit] = ACTIONS(2862),
    [anon_sym_typename] = ACTIONS(2862),
    [anon_sym_template] = ACTIONS(2862),
    [anon_sym_operator] = ACTIONS(2862),
    [anon_sym_try] = ACTIONS(2862),
    [anon_sym_delete] = ACTIONS(2862),
    [anon_sym_throw] = ACTIONS(2862),
    [anon_sym_namespace] = ACTIONS(2862),
    [anon_sym_using] = ACTIONS(2862),
    [anon_sym_static_assert] = ACTIONS(2862),
    [anon_sym_concept] = ACTIONS(2862),
    [anon_sym_co_return] = ACTIONS(2862),
    [anon_sym_co_yield] = ACTIONS(2862),
    [anon_sym_R_DQUOTE] = ACTIONS(2864),
    [anon_sym_LR_DQUOTE] = ACTIONS(2864),
    [anon_sym_uR_DQUOTE] = ACTIONS(2864),
    [anon_sym_UR_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2864),
    [anon_sym_co_await] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2862),
    [anon_sym_requires] = ACTIONS(2862),
    [sym_this] = ACTIONS(2862),
  },
  [287] = {
    [sym_identifier] = ACTIONS(2866),
    [aux_sym_preproc_include_token1] = ACTIONS(2866),
    [aux_sym_preproc_def_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token2] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2866),
    [aux_sym_preproc_else_token1] = ACTIONS(2866),
    [aux_sym_preproc_elif_token1] = ACTIONS(2866),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2866),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2866),
    [sym_preproc_directive] = ACTIONS(2866),
    [anon_sym_LPAREN2] = ACTIONS(2868),
    [anon_sym_BANG] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2866),
    [anon_sym_STAR] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_AMP] = ACTIONS(2866),
    [anon_sym_SEMI] = ACTIONS(2868),
    [anon_sym___extension__] = ACTIONS(2866),
    [anon_sym_typedef] = ACTIONS(2866),
    [anon_sym_virtual] = ACTIONS(2866),
    [anon_sym_extern] = ACTIONS(2866),
    [anon_sym___attribute__] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2868),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2868),
    [anon_sym___declspec] = ACTIONS(2866),
    [anon_sym___based] = ACTIONS(2866),
    [anon_sym___cdecl] = ACTIONS(2866),
    [anon_sym___clrcall] = ACTIONS(2866),
    [anon_sym___stdcall] = ACTIONS(2866),
    [anon_sym___fastcall] = ACTIONS(2866),
    [anon_sym___thiscall] = ACTIONS(2866),
    [anon_sym___vectorcall] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2866),
    [anon_sym_unsigned] = ACTIONS(2866),
    [anon_sym_long] = ACTIONS(2866),
    [anon_sym_short] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_register] = ACTIONS(2866),
    [anon_sym_inline] = ACTIONS(2866),
    [anon_sym___inline] = ACTIONS(2866),
    [anon_sym___inline__] = ACTIONS(2866),
    [anon_sym___forceinline] = ACTIONS(2866),
    [anon_sym_thread_local] = ACTIONS(2866),
    [anon_sym___thread] = ACTIONS(2866),
    [anon_sym_const] = ACTIONS(2866),
    [anon_sym_constexpr] = ACTIONS(2866),
    [anon_sym_volatile] = ACTIONS(2866),
    [anon_sym_restrict] = ACTIONS(2866),
    [anon_sym___restrict__] = ACTIONS(2866),
    [anon_sym__Atomic] = ACTIONS(2866),
    [anon_sym__Noreturn] = ACTIONS(2866),
    [anon_sym_noreturn] = ACTIONS(2866),
    [anon_sym__Nonnull] = ACTIONS(2866),
    [anon_sym_mutable] = ACTIONS(2866),
    [anon_sym_constinit] = ACTIONS(2866),
    [anon_sym_consteval] = ACTIONS(2866),
    [anon_sym_PROGMEM] = ACTIONS(2866),
    [anon_sym_alignas] = ACTIONS(2866),
    [anon_sym__Alignas] = ACTIONS(2866),
    [aux_sym_primitive_type_token1] = ACTIONS(2866),
    [anon_sym_byte] = ACTIONS(2866),
    [anon_sym_word] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_union] = ACTIONS(2866),
    [anon_sym_if] = ACTIONS(2866),
    [anon_sym_else] = ACTIONS(2866),
    [anon_sym_switch] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_default] = ACTIONS(2866),
    [anon_sym_while] = ACTIONS(2866),
    [anon_sym_do] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2866),
    [anon_sym_return] = ACTIONS(2866),
    [anon_sym_break] = ACTIONS(2866),
    [anon_sym_continue] = ACTIONS(2866),
    [anon_sym_goto] = ACTIONS(2866),
    [anon_sym___try] = ACTIONS(2866),
    [anon_sym___leave] = ACTIONS(2866),
    [anon_sym_not] = ACTIONS(2866),
    [anon_sym_compl] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_PLUS] = ACTIONS(2868),
    [anon_sym_sizeof] = ACTIONS(2866),
    [anon_sym___alignof__] = ACTIONS(2866),
    [anon_sym___alignof] = ACTIONS(2866),
    [anon_sym__alignof] = ACTIONS(2866),
    [anon_sym_alignof] = ACTIONS(2866),
    [anon_sym__Alignof] = ACTIONS(2866),
    [anon_sym_offsetof] = ACTIONS(2866),
    [anon_sym__Generic] = ACTIONS(2866),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [anon_sym___asm] = ACTIONS(2866),
    [aux_sym_number_literal_token1] = ACTIONS(2868),
    [aux_sym_number_literal_token2] = ACTIONS(2866),
    [anon_sym_L_SQUOTE] = ACTIONS(2868),
    [anon_sym_u_SQUOTE] = ACTIONS(2868),
    [anon_sym_U_SQUOTE] = ACTIONS(2868),
    [anon_sym_u8_SQUOTE] = ACTIONS(2868),
    [anon_sym_SQUOTE] = ACTIONS(2868),
    [anon_sym_L_DQUOTE] = ACTIONS(2868),
    [anon_sym_u_DQUOTE] = ACTIONS(2868),
    [anon_sym_U_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [sym_true] = ACTIONS(2866),
    [sym_false] = ACTIONS(2866),
    [anon_sym_NULL] = ACTIONS(2866),
    [anon_sym_nullptr] = ACTIONS(2866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2866),
    [anon_sym_decltype] = ACTIONS(2866),
    [anon_sym_explicit] = ACTIONS(2866),
    [anon_sym_typename] = ACTIONS(2866),
    [anon_sym_template] = ACTIONS(2866),
    [anon_sym_operator] = ACTIONS(2866),
    [anon_sym_try] = ACTIONS(2866),
    [anon_sym_delete] = ACTIONS(2866),
    [anon_sym_throw] = ACTIONS(2866),
    [anon_sym_namespace] = ACTIONS(2866),
    [anon_sym_using] = ACTIONS(2866),
    [anon_sym_static_assert] = ACTIONS(2866),
    [anon_sym_concept] = ACTIONS(2866),
    [anon_sym_co_return] = ACTIONS(2866),
    [anon_sym_co_yield] = ACTIONS(2866),
    [anon_sym_R_DQUOTE] = ACTIONS(2868),
    [anon_sym_LR_DQUOTE] = ACTIONS(2868),
    [anon_sym_uR_DQUOTE] = ACTIONS(2868),
    [anon_sym_UR_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2868),
    [anon_sym_co_await] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2866),
    [anon_sym_requires] = ACTIONS(2866),
    [sym_this] = ACTIONS(2866),
  },
  [288] = {
    [sym_type_qualifier] = STATE(3248),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(4393),
    [sym_sized_type_specifier] = STATE(1814),
    [sym_primitive_type] = STATE(4868),
    [sym_enum_specifier] = STATE(1814),
    [sym_struct_specifier] = STATE(1814),
    [sym_union_specifier] = STATE(1814),
    [sym_expression] = STATE(4481),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_type_descriptor] = STATE(8136),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_placeholder_type_specifier] = STATE(1814),
    [sym_decltype_auto] = STATE(1817),
    [sym_decltype] = STATE(1731),
    [sym_class_specifier] = STATE(1814),
    [sym__class_name] = STATE(7159),
    [sym_dependent_type] = STATE(1814),
    [sym_template_type] = STATE(5062),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5427),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(5074),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym__type_definition_type_repeat1] = STATE(3248),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1734),
    [sym_identifier] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_struct] = ACTIONS(1795),
    [anon_sym_union] = ACTIONS(1797),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1823),
    [anon_sym_decltype] = ACTIONS(1825),
    [anon_sym_typename] = ACTIONS(1827),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [289] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4132),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2523),
    [anon_sym_typedef] = ACTIONS(2545),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2536),
    [anon_sym_byte] = ACTIONS(2536),
    [anon_sym_word] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [290] = {
    [sym_identifier] = ACTIONS(2870),
    [aux_sym_preproc_include_token1] = ACTIONS(2870),
    [aux_sym_preproc_def_token1] = ACTIONS(2870),
    [aux_sym_preproc_if_token1] = ACTIONS(2870),
    [aux_sym_preproc_if_token2] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2870),
    [aux_sym_preproc_else_token1] = ACTIONS(2870),
    [aux_sym_preproc_elif_token1] = ACTIONS(2870),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2870),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2870),
    [sym_preproc_directive] = ACTIONS(2870),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_AMP] = ACTIONS(2870),
    [anon_sym_SEMI] = ACTIONS(2872),
    [anon_sym___extension__] = ACTIONS(2870),
    [anon_sym_typedef] = ACTIONS(2870),
    [anon_sym_virtual] = ACTIONS(2870),
    [anon_sym_extern] = ACTIONS(2870),
    [anon_sym___attribute__] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2872),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2872),
    [anon_sym___declspec] = ACTIONS(2870),
    [anon_sym___based] = ACTIONS(2870),
    [anon_sym___cdecl] = ACTIONS(2870),
    [anon_sym___clrcall] = ACTIONS(2870),
    [anon_sym___stdcall] = ACTIONS(2870),
    [anon_sym___fastcall] = ACTIONS(2870),
    [anon_sym___thiscall] = ACTIONS(2870),
    [anon_sym___vectorcall] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_signed] = ACTIONS(2870),
    [anon_sym_unsigned] = ACTIONS(2870),
    [anon_sym_long] = ACTIONS(2870),
    [anon_sym_short] = ACTIONS(2870),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym_static] = ACTIONS(2870),
    [anon_sym_register] = ACTIONS(2870),
    [anon_sym_inline] = ACTIONS(2870),
    [anon_sym___inline] = ACTIONS(2870),
    [anon_sym___inline__] = ACTIONS(2870),
    [anon_sym___forceinline] = ACTIONS(2870),
    [anon_sym_thread_local] = ACTIONS(2870),
    [anon_sym___thread] = ACTIONS(2870),
    [anon_sym_const] = ACTIONS(2870),
    [anon_sym_constexpr] = ACTIONS(2870),
    [anon_sym_volatile] = ACTIONS(2870),
    [anon_sym_restrict] = ACTIONS(2870),
    [anon_sym___restrict__] = ACTIONS(2870),
    [anon_sym__Atomic] = ACTIONS(2870),
    [anon_sym__Noreturn] = ACTIONS(2870),
    [anon_sym_noreturn] = ACTIONS(2870),
    [anon_sym__Nonnull] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2870),
    [anon_sym_constinit] = ACTIONS(2870),
    [anon_sym_consteval] = ACTIONS(2870),
    [anon_sym_PROGMEM] = ACTIONS(2870),
    [anon_sym_alignas] = ACTIONS(2870),
    [anon_sym__Alignas] = ACTIONS(2870),
    [aux_sym_primitive_type_token1] = ACTIONS(2870),
    [anon_sym_byte] = ACTIONS(2870),
    [anon_sym_word] = ACTIONS(2870),
    [anon_sym_enum] = ACTIONS(2870),
    [anon_sym_class] = ACTIONS(2870),
    [anon_sym_struct] = ACTIONS(2870),
    [anon_sym_union] = ACTIONS(2870),
    [anon_sym_if] = ACTIONS(2870),
    [anon_sym_else] = ACTIONS(2870),
    [anon_sym_switch] = ACTIONS(2870),
    [anon_sym_case] = ACTIONS(2870),
    [anon_sym_default] = ACTIONS(2870),
    [anon_sym_while] = ACTIONS(2870),
    [anon_sym_do] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2870),
    [anon_sym_return] = ACTIONS(2870),
    [anon_sym_break] = ACTIONS(2870),
    [anon_sym_continue] = ACTIONS(2870),
    [anon_sym_goto] = ACTIONS(2870),
    [anon_sym___try] = ACTIONS(2870),
    [anon_sym___leave] = ACTIONS(2870),
    [anon_sym_not] = ACTIONS(2870),
    [anon_sym_compl] = ACTIONS(2870),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_sizeof] = ACTIONS(2870),
    [anon_sym___alignof__] = ACTIONS(2870),
    [anon_sym___alignof] = ACTIONS(2870),
    [anon_sym__alignof] = ACTIONS(2870),
    [anon_sym_alignof] = ACTIONS(2870),
    [anon_sym__Alignof] = ACTIONS(2870),
    [anon_sym_offsetof] = ACTIONS(2870),
    [anon_sym__Generic] = ACTIONS(2870),
    [anon_sym_asm] = ACTIONS(2870),
    [anon_sym___asm__] = ACTIONS(2870),
    [anon_sym___asm] = ACTIONS(2870),
    [aux_sym_number_literal_token1] = ACTIONS(2872),
    [aux_sym_number_literal_token2] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2872),
    [anon_sym_u_SQUOTE] = ACTIONS(2872),
    [anon_sym_U_SQUOTE] = ACTIONS(2872),
    [anon_sym_u8_SQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2870),
    [sym_false] = ACTIONS(2870),
    [anon_sym_NULL] = ACTIONS(2870),
    [anon_sym_nullptr] = ACTIONS(2870),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2870),
    [anon_sym_decltype] = ACTIONS(2870),
    [anon_sym_explicit] = ACTIONS(2870),
    [anon_sym_typename] = ACTIONS(2870),
    [anon_sym_template] = ACTIONS(2870),
    [anon_sym_operator] = ACTIONS(2870),
    [anon_sym_try] = ACTIONS(2870),
    [anon_sym_delete] = ACTIONS(2870),
    [anon_sym_throw] = ACTIONS(2870),
    [anon_sym_namespace] = ACTIONS(2870),
    [anon_sym_using] = ACTIONS(2870),
    [anon_sym_static_assert] = ACTIONS(2870),
    [anon_sym_concept] = ACTIONS(2870),
    [anon_sym_co_return] = ACTIONS(2870),
    [anon_sym_co_yield] = ACTIONS(2870),
    [anon_sym_R_DQUOTE] = ACTIONS(2872),
    [anon_sym_LR_DQUOTE] = ACTIONS(2872),
    [anon_sym_uR_DQUOTE] = ACTIONS(2872),
    [anon_sym_UR_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2872),
    [anon_sym_co_await] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2870),
    [anon_sym_requires] = ACTIONS(2870),
    [sym_this] = ACTIONS(2870),
  },
  [291] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4132),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2523),
    [anon_sym_typedef] = ACTIONS(2874),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2536),
    [anon_sym_byte] = ACTIONS(2536),
    [anon_sym_word] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [292] = {
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_include_token1] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token2] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [aux_sym_preproc_else_token1] = ACTIONS(2876),
    [aux_sym_preproc_elif_token1] = ACTIONS(2876),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym___cdecl] = ACTIONS(2876),
    [anon_sym___clrcall] = ACTIONS(2876),
    [anon_sym___stdcall] = ACTIONS(2876),
    [anon_sym___fastcall] = ACTIONS(2876),
    [anon_sym___thiscall] = ACTIONS(2876),
    [anon_sym___vectorcall] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_PROGMEM] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [aux_sym_primitive_type_token1] = ACTIONS(2876),
    [anon_sym_byte] = ACTIONS(2876),
    [anon_sym_word] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_else] = ACTIONS(2876),
    [anon_sym_switch] = ACTIONS(2876),
    [anon_sym_case] = ACTIONS(2876),
    [anon_sym_default] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_break] = ACTIONS(2876),
    [anon_sym_continue] = ACTIONS(2876),
    [anon_sym_goto] = ACTIONS(2876),
    [anon_sym___try] = ACTIONS(2876),
    [anon_sym___leave] = ACTIONS(2876),
    [anon_sym_not] = ACTIONS(2876),
    [anon_sym_compl] = ACTIONS(2876),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_sizeof] = ACTIONS(2876),
    [anon_sym___alignof__] = ACTIONS(2876),
    [anon_sym___alignof] = ACTIONS(2876),
    [anon_sym__alignof] = ACTIONS(2876),
    [anon_sym_alignof] = ACTIONS(2876),
    [anon_sym__Alignof] = ACTIONS(2876),
    [anon_sym_offsetof] = ACTIONS(2876),
    [anon_sym__Generic] = ACTIONS(2876),
    [anon_sym_asm] = ACTIONS(2876),
    [anon_sym___asm__] = ACTIONS(2876),
    [anon_sym___asm] = ACTIONS(2876),
    [aux_sym_number_literal_token1] = ACTIONS(2878),
    [aux_sym_number_literal_token2] = ACTIONS(2876),
    [anon_sym_L_SQUOTE] = ACTIONS(2878),
    [anon_sym_u_SQUOTE] = ACTIONS(2878),
    [anon_sym_U_SQUOTE] = ACTIONS(2878),
    [anon_sym_u8_SQUOTE] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_L_DQUOTE] = ACTIONS(2878),
    [anon_sym_u_DQUOTE] = ACTIONS(2878),
    [anon_sym_U_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE] = ACTIONS(2878),
    [sym_true] = ACTIONS(2876),
    [sym_false] = ACTIONS(2876),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_delete] = ACTIONS(2876),
    [anon_sym_throw] = ACTIONS(2876),
    [anon_sym_namespace] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
    [anon_sym_concept] = ACTIONS(2876),
    [anon_sym_co_return] = ACTIONS(2876),
    [anon_sym_co_yield] = ACTIONS(2876),
    [anon_sym_R_DQUOTE] = ACTIONS(2878),
    [anon_sym_LR_DQUOTE] = ACTIONS(2878),
    [anon_sym_uR_DQUOTE] = ACTIONS(2878),
    [anon_sym_UR_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2878),
    [anon_sym_co_await] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_requires] = ACTIONS(2876),
    [sym_this] = ACTIONS(2876),
  },
  [293] = {
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_include_token1] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token2] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [aux_sym_preproc_else_token1] = ACTIONS(2880),
    [aux_sym_preproc_elif_token1] = ACTIONS(2880),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym___cdecl] = ACTIONS(2880),
    [anon_sym___clrcall] = ACTIONS(2880),
    [anon_sym___stdcall] = ACTIONS(2880),
    [anon_sym___fastcall] = ACTIONS(2880),
    [anon_sym___thiscall] = ACTIONS(2880),
    [anon_sym___vectorcall] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_PROGMEM] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [aux_sym_primitive_type_token1] = ACTIONS(2880),
    [anon_sym_byte] = ACTIONS(2880),
    [anon_sym_word] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_else] = ACTIONS(2880),
    [anon_sym_switch] = ACTIONS(2880),
    [anon_sym_case] = ACTIONS(2880),
    [anon_sym_default] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_break] = ACTIONS(2880),
    [anon_sym_continue] = ACTIONS(2880),
    [anon_sym_goto] = ACTIONS(2880),
    [anon_sym___try] = ACTIONS(2880),
    [anon_sym___leave] = ACTIONS(2880),
    [anon_sym_not] = ACTIONS(2880),
    [anon_sym_compl] = ACTIONS(2880),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_sizeof] = ACTIONS(2880),
    [anon_sym___alignof__] = ACTIONS(2880),
    [anon_sym___alignof] = ACTIONS(2880),
    [anon_sym__alignof] = ACTIONS(2880),
    [anon_sym_alignof] = ACTIONS(2880),
    [anon_sym__Alignof] = ACTIONS(2880),
    [anon_sym_offsetof] = ACTIONS(2880),
    [anon_sym__Generic] = ACTIONS(2880),
    [anon_sym_asm] = ACTIONS(2880),
    [anon_sym___asm__] = ACTIONS(2880),
    [anon_sym___asm] = ACTIONS(2880),
    [aux_sym_number_literal_token1] = ACTIONS(2882),
    [aux_sym_number_literal_token2] = ACTIONS(2880),
    [anon_sym_L_SQUOTE] = ACTIONS(2882),
    [anon_sym_u_SQUOTE] = ACTIONS(2882),
    [anon_sym_U_SQUOTE] = ACTIONS(2882),
    [anon_sym_u8_SQUOTE] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_L_DQUOTE] = ACTIONS(2882),
    [anon_sym_u_DQUOTE] = ACTIONS(2882),
    [anon_sym_U_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2880),
    [sym_false] = ACTIONS(2880),
    [anon_sym_NULL] = ACTIONS(2880),
    [anon_sym_nullptr] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_delete] = ACTIONS(2880),
    [anon_sym_throw] = ACTIONS(2880),
    [anon_sym_namespace] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
    [anon_sym_concept] = ACTIONS(2880),
    [anon_sym_co_return] = ACTIONS(2880),
    [anon_sym_co_yield] = ACTIONS(2880),
    [anon_sym_R_DQUOTE] = ACTIONS(2882),
    [anon_sym_LR_DQUOTE] = ACTIONS(2882),
    [anon_sym_uR_DQUOTE] = ACTIONS(2882),
    [anon_sym_UR_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2882),
    [anon_sym_co_await] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_requires] = ACTIONS(2880),
    [sym_this] = ACTIONS(2880),
  },
  [294] = {
    [sym_identifier] = ACTIONS(2884),
    [aux_sym_preproc_include_token1] = ACTIONS(2884),
    [aux_sym_preproc_def_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token2] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2884),
    [aux_sym_preproc_else_token1] = ACTIONS(2884),
    [aux_sym_preproc_elif_token1] = ACTIONS(2884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2884),
    [sym_preproc_directive] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_BANG] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2886),
    [anon_sym_AMP_AMP] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2884),
    [anon_sym_typedef] = ACTIONS(2884),
    [anon_sym_virtual] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(2884),
    [anon_sym___attribute__] = ACTIONS(2884),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2886),
    [anon_sym___declspec] = ACTIONS(2884),
    [anon_sym___based] = ACTIONS(2884),
    [anon_sym___cdecl] = ACTIONS(2884),
    [anon_sym___clrcall] = ACTIONS(2884),
    [anon_sym___stdcall] = ACTIONS(2884),
    [anon_sym___fastcall] = ACTIONS(2884),
    [anon_sym___thiscall] = ACTIONS(2884),
    [anon_sym___vectorcall] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2886),
    [anon_sym_signed] = ACTIONS(2884),
    [anon_sym_unsigned] = ACTIONS(2884),
    [anon_sym_long] = ACTIONS(2884),
    [anon_sym_short] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_register] = ACTIONS(2884),
    [anon_sym_inline] = ACTIONS(2884),
    [anon_sym___inline] = ACTIONS(2884),
    [anon_sym___inline__] = ACTIONS(2884),
    [anon_sym___forceinline] = ACTIONS(2884),
    [anon_sym_thread_local] = ACTIONS(2884),
    [anon_sym___thread] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_constexpr] = ACTIONS(2884),
    [anon_sym_volatile] = ACTIONS(2884),
    [anon_sym_restrict] = ACTIONS(2884),
    [anon_sym___restrict__] = ACTIONS(2884),
    [anon_sym__Atomic] = ACTIONS(2884),
    [anon_sym__Noreturn] = ACTIONS(2884),
    [anon_sym_noreturn] = ACTIONS(2884),
    [anon_sym__Nonnull] = ACTIONS(2884),
    [anon_sym_mutable] = ACTIONS(2884),
    [anon_sym_constinit] = ACTIONS(2884),
    [anon_sym_consteval] = ACTIONS(2884),
    [anon_sym_PROGMEM] = ACTIONS(2884),
    [anon_sym_alignas] = ACTIONS(2884),
    [anon_sym__Alignas] = ACTIONS(2884),
    [aux_sym_primitive_type_token1] = ACTIONS(2884),
    [anon_sym_byte] = ACTIONS(2884),
    [anon_sym_word] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_struct] = ACTIONS(2884),
    [anon_sym_union] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_else] = ACTIONS(2884),
    [anon_sym_switch] = ACTIONS(2884),
    [anon_sym_case] = ACTIONS(2884),
    [anon_sym_default] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_break] = ACTIONS(2884),
    [anon_sym_continue] = ACTIONS(2884),
    [anon_sym_goto] = ACTIONS(2884),
    [anon_sym___try] = ACTIONS(2884),
    [anon_sym___leave] = ACTIONS(2884),
    [anon_sym_not] = ACTIONS(2884),
    [anon_sym_compl] = ACTIONS(2884),
    [anon_sym_DASH_DASH] = ACTIONS(2886),
    [anon_sym_PLUS_PLUS] = ACTIONS(2886),
    [anon_sym_sizeof] = ACTIONS(2884),
    [anon_sym___alignof__] = ACTIONS(2884),
    [anon_sym___alignof] = ACTIONS(2884),
    [anon_sym__alignof] = ACTIONS(2884),
    [anon_sym_alignof] = ACTIONS(2884),
    [anon_sym__Alignof] = ACTIONS(2884),
    [anon_sym_offsetof] = ACTIONS(2884),
    [anon_sym__Generic] = ACTIONS(2884),
    [anon_sym_asm] = ACTIONS(2884),
    [anon_sym___asm__] = ACTIONS(2884),
    [anon_sym___asm] = ACTIONS(2884),
    [aux_sym_number_literal_token1] = ACTIONS(2886),
    [aux_sym_number_literal_token2] = ACTIONS(2884),
    [anon_sym_L_SQUOTE] = ACTIONS(2886),
    [anon_sym_u_SQUOTE] = ACTIONS(2886),
    [anon_sym_U_SQUOTE] = ACTIONS(2886),
    [anon_sym_u8_SQUOTE] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_L_DQUOTE] = ACTIONS(2886),
    [anon_sym_u_DQUOTE] = ACTIONS(2886),
    [anon_sym_U_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE] = ACTIONS(2886),
    [sym_true] = ACTIONS(2884),
    [sym_false] = ACTIONS(2884),
    [anon_sym_NULL] = ACTIONS(2884),
    [anon_sym_nullptr] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2884),
    [anon_sym_decltype] = ACTIONS(2884),
    [anon_sym_explicit] = ACTIONS(2884),
    [anon_sym_typename] = ACTIONS(2884),
    [anon_sym_template] = ACTIONS(2884),
    [anon_sym_operator] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_delete] = ACTIONS(2884),
    [anon_sym_throw] = ACTIONS(2884),
    [anon_sym_namespace] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_static_assert] = ACTIONS(2884),
    [anon_sym_concept] = ACTIONS(2884),
    [anon_sym_co_return] = ACTIONS(2884),
    [anon_sym_co_yield] = ACTIONS(2884),
    [anon_sym_R_DQUOTE] = ACTIONS(2886),
    [anon_sym_LR_DQUOTE] = ACTIONS(2886),
    [anon_sym_uR_DQUOTE] = ACTIONS(2886),
    [anon_sym_UR_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2886),
    [anon_sym_co_await] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_requires] = ACTIONS(2884),
    [sym_this] = ACTIONS(2884),
  },
  [295] = {
    [sym_identifier] = ACTIONS(2888),
    [aux_sym_preproc_include_token1] = ACTIONS(2888),
    [aux_sym_preproc_def_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token2] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2888),
    [aux_sym_preproc_else_token1] = ACTIONS(2888),
    [aux_sym_preproc_elif_token1] = ACTIONS(2888),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2888),
    [sym_preproc_directive] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_BANG] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_AMP_AMP] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2890),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2890),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym___based] = ACTIONS(2888),
    [anon_sym___cdecl] = ACTIONS(2888),
    [anon_sym___clrcall] = ACTIONS(2888),
    [anon_sym___stdcall] = ACTIONS(2888),
    [anon_sym___fastcall] = ACTIONS(2888),
    [anon_sym___thiscall] = ACTIONS(2888),
    [anon_sym___vectorcall] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_PROGMEM] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym__Alignas] = ACTIONS(2888),
    [aux_sym_primitive_type_token1] = ACTIONS(2888),
    [anon_sym_byte] = ACTIONS(2888),
    [anon_sym_word] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_else] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_default] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_goto] = ACTIONS(2888),
    [anon_sym___try] = ACTIONS(2888),
    [anon_sym___leave] = ACTIONS(2888),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_compl] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2890),
    [anon_sym_sizeof] = ACTIONS(2888),
    [anon_sym___alignof__] = ACTIONS(2888),
    [anon_sym___alignof] = ACTIONS(2888),
    [anon_sym__alignof] = ACTIONS(2888),
    [anon_sym_alignof] = ACTIONS(2888),
    [anon_sym__Alignof] = ACTIONS(2888),
    [anon_sym_offsetof] = ACTIONS(2888),
    [anon_sym__Generic] = ACTIONS(2888),
    [anon_sym_asm] = ACTIONS(2888),
    [anon_sym___asm__] = ACTIONS(2888),
    [anon_sym___asm] = ACTIONS(2888),
    [aux_sym_number_literal_token1] = ACTIONS(2890),
    [aux_sym_number_literal_token2] = ACTIONS(2888),
    [anon_sym_L_SQUOTE] = ACTIONS(2890),
    [anon_sym_u_SQUOTE] = ACTIONS(2890),
    [anon_sym_U_SQUOTE] = ACTIONS(2890),
    [anon_sym_u8_SQUOTE] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_L_DQUOTE] = ACTIONS(2890),
    [anon_sym_u_DQUOTE] = ACTIONS(2890),
    [anon_sym_U_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE] = ACTIONS(2890),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [anon_sym_NULL] = ACTIONS(2888),
    [anon_sym_nullptr] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_operator] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_static_assert] = ACTIONS(2888),
    [anon_sym_concept] = ACTIONS(2888),
    [anon_sym_co_return] = ACTIONS(2888),
    [anon_sym_co_yield] = ACTIONS(2888),
    [anon_sym_R_DQUOTE] = ACTIONS(2890),
    [anon_sym_LR_DQUOTE] = ACTIONS(2890),
    [anon_sym_uR_DQUOTE] = ACTIONS(2890),
    [anon_sym_UR_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2890),
    [anon_sym_co_await] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_requires] = ACTIONS(2888),
    [sym_this] = ACTIONS(2888),
  },
  [296] = {
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_include_token1] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token2] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [aux_sym_preproc_else_token1] = ACTIONS(2892),
    [aux_sym_preproc_elif_token1] = ACTIONS(2892),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_SEMI] = ACTIONS(2894),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_virtual] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym___cdecl] = ACTIONS(2892),
    [anon_sym___clrcall] = ACTIONS(2892),
    [anon_sym___stdcall] = ACTIONS(2892),
    [anon_sym___fastcall] = ACTIONS(2892),
    [anon_sym___thiscall] = ACTIONS(2892),
    [anon_sym___vectorcall] = ACTIONS(2892),
    [anon_sym_LBRACE] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym__Nonnull] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_PROGMEM] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [aux_sym_primitive_type_token1] = ACTIONS(2892),
    [anon_sym_byte] = ACTIONS(2892),
    [anon_sym_word] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_else] = ACTIONS(2892),
    [anon_sym_switch] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_default] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_break] = ACTIONS(2892),
    [anon_sym_continue] = ACTIONS(2892),
    [anon_sym_goto] = ACTIONS(2892),
    [anon_sym___try] = ACTIONS(2892),
    [anon_sym___leave] = ACTIONS(2892),
    [anon_sym_not] = ACTIONS(2892),
    [anon_sym_compl] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2894),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(2892),
    [anon_sym___alignof] = ACTIONS(2892),
    [anon_sym__alignof] = ACTIONS(2892),
    [anon_sym_alignof] = ACTIONS(2892),
    [anon_sym__Alignof] = ACTIONS(2892),
    [anon_sym_offsetof] = ACTIONS(2892),
    [anon_sym__Generic] = ACTIONS(2892),
    [anon_sym_asm] = ACTIONS(2892),
    [anon_sym___asm__] = ACTIONS(2892),
    [anon_sym___asm] = ACTIONS(2892),
    [aux_sym_number_literal_token1] = ACTIONS(2894),
    [aux_sym_number_literal_token2] = ACTIONS(2892),
    [anon_sym_L_SQUOTE] = ACTIONS(2894),
    [anon_sym_u_SQUOTE] = ACTIONS(2894),
    [anon_sym_U_SQUOTE] = ACTIONS(2894),
    [anon_sym_u8_SQUOTE] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_L_DQUOTE] = ACTIONS(2894),
    [anon_sym_u_DQUOTE] = ACTIONS(2894),
    [anon_sym_U_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2894),
    [sym_true] = ACTIONS(2892),
    [sym_false] = ACTIONS(2892),
    [anon_sym_NULL] = ACTIONS(2892),
    [anon_sym_nullptr] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_delete] = ACTIONS(2892),
    [anon_sym_throw] = ACTIONS(2892),
    [anon_sym_namespace] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
    [anon_sym_concept] = ACTIONS(2892),
    [anon_sym_co_return] = ACTIONS(2892),
    [anon_sym_co_yield] = ACTIONS(2892),
    [anon_sym_R_DQUOTE] = ACTIONS(2894),
    [anon_sym_LR_DQUOTE] = ACTIONS(2894),
    [anon_sym_uR_DQUOTE] = ACTIONS(2894),
    [anon_sym_UR_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2894),
    [anon_sym_co_await] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2892),
    [sym_this] = ACTIONS(2892),
  },
  [297] = {
    [sym_identifier] = ACTIONS(2896),
    [aux_sym_preproc_include_token1] = ACTIONS(2896),
    [aux_sym_preproc_def_token1] = ACTIONS(2896),
    [aux_sym_preproc_if_token1] = ACTIONS(2896),
    [aux_sym_preproc_if_token2] = ACTIONS(2896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2896),
    [aux_sym_preproc_else_token1] = ACTIONS(2896),
    [aux_sym_preproc_elif_token1] = ACTIONS(2896),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2896),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2896),
    [sym_preproc_directive] = ACTIONS(2896),
    [anon_sym_LPAREN2] = ACTIONS(2898),
    [anon_sym_BANG] = ACTIONS(2898),
    [anon_sym_TILDE] = ACTIONS(2898),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_STAR] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2898),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_SEMI] = ACTIONS(2898),
    [anon_sym___extension__] = ACTIONS(2896),
    [anon_sym_typedef] = ACTIONS(2896),
    [anon_sym_virtual] = ACTIONS(2896),
    [anon_sym_extern] = ACTIONS(2896),
    [anon_sym___attribute__] = ACTIONS(2896),
    [anon_sym_COLON_COLON] = ACTIONS(2898),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2898),
    [anon_sym___declspec] = ACTIONS(2896),
    [anon_sym___based] = ACTIONS(2896),
    [anon_sym___cdecl] = ACTIONS(2896),
    [anon_sym___clrcall] = ACTIONS(2896),
    [anon_sym___stdcall] = ACTIONS(2896),
    [anon_sym___fastcall] = ACTIONS(2896),
    [anon_sym___thiscall] = ACTIONS(2896),
    [anon_sym___vectorcall] = ACTIONS(2896),
    [anon_sym_LBRACE] = ACTIONS(2898),
    [anon_sym_signed] = ACTIONS(2896),
    [anon_sym_unsigned] = ACTIONS(2896),
    [anon_sym_long] = ACTIONS(2896),
    [anon_sym_short] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_static] = ACTIONS(2896),
    [anon_sym_register] = ACTIONS(2896),
    [anon_sym_inline] = ACTIONS(2896),
    [anon_sym___inline] = ACTIONS(2896),
    [anon_sym___inline__] = ACTIONS(2896),
    [anon_sym___forceinline] = ACTIONS(2896),
    [anon_sym_thread_local] = ACTIONS(2896),
    [anon_sym___thread] = ACTIONS(2896),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_constexpr] = ACTIONS(2896),
    [anon_sym_volatile] = ACTIONS(2896),
    [anon_sym_restrict] = ACTIONS(2896),
    [anon_sym___restrict__] = ACTIONS(2896),
    [anon_sym__Atomic] = ACTIONS(2896),
    [anon_sym__Noreturn] = ACTIONS(2896),
    [anon_sym_noreturn] = ACTIONS(2896),
    [anon_sym__Nonnull] = ACTIONS(2896),
    [anon_sym_mutable] = ACTIONS(2896),
    [anon_sym_constinit] = ACTIONS(2896),
    [anon_sym_consteval] = ACTIONS(2896),
    [anon_sym_PROGMEM] = ACTIONS(2896),
    [anon_sym_alignas] = ACTIONS(2896),
    [anon_sym__Alignas] = ACTIONS(2896),
    [aux_sym_primitive_type_token1] = ACTIONS(2896),
    [anon_sym_byte] = ACTIONS(2896),
    [anon_sym_word] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2896),
    [anon_sym_class] = ACTIONS(2896),
    [anon_sym_struct] = ACTIONS(2896),
    [anon_sym_union] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_else] = ACTIONS(2896),
    [anon_sym_switch] = ACTIONS(2896),
    [anon_sym_case] = ACTIONS(2896),
    [anon_sym_default] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_break] = ACTIONS(2896),
    [anon_sym_continue] = ACTIONS(2896),
    [anon_sym_goto] = ACTIONS(2896),
    [anon_sym___try] = ACTIONS(2896),
    [anon_sym___leave] = ACTIONS(2896),
    [anon_sym_not] = ACTIONS(2896),
    [anon_sym_compl] = ACTIONS(2896),
    [anon_sym_DASH_DASH] = ACTIONS(2898),
    [anon_sym_PLUS_PLUS] = ACTIONS(2898),
    [anon_sym_sizeof] = ACTIONS(2896),
    [anon_sym___alignof__] = ACTIONS(2896),
    [anon_sym___alignof] = ACTIONS(2896),
    [anon_sym__alignof] = ACTIONS(2896),
    [anon_sym_alignof] = ACTIONS(2896),
    [anon_sym__Alignof] = ACTIONS(2896),
    [anon_sym_offsetof] = ACTIONS(2896),
    [anon_sym__Generic] = ACTIONS(2896),
    [anon_sym_asm] = ACTIONS(2896),
    [anon_sym___asm__] = ACTIONS(2896),
    [anon_sym___asm] = ACTIONS(2896),
    [aux_sym_number_literal_token1] = ACTIONS(2898),
    [aux_sym_number_literal_token2] = ACTIONS(2896),
    [anon_sym_L_SQUOTE] = ACTIONS(2898),
    [anon_sym_u_SQUOTE] = ACTIONS(2898),
    [anon_sym_U_SQUOTE] = ACTIONS(2898),
    [anon_sym_u8_SQUOTE] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_L_DQUOTE] = ACTIONS(2898),
    [anon_sym_u_DQUOTE] = ACTIONS(2898),
    [anon_sym_U_DQUOTE] = ACTIONS(2898),
    [anon_sym_u8_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE] = ACTIONS(2898),
    [sym_true] = ACTIONS(2896),
    [sym_false] = ACTIONS(2896),
    [anon_sym_NULL] = ACTIONS(2896),
    [anon_sym_nullptr] = ACTIONS(2896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2896),
    [anon_sym_decltype] = ACTIONS(2896),
    [anon_sym_explicit] = ACTIONS(2896),
    [anon_sym_typename] = ACTIONS(2896),
    [anon_sym_template] = ACTIONS(2896),
    [anon_sym_operator] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_delete] = ACTIONS(2896),
    [anon_sym_throw] = ACTIONS(2896),
    [anon_sym_namespace] = ACTIONS(2896),
    [anon_sym_using] = ACTIONS(2896),
    [anon_sym_static_assert] = ACTIONS(2896),
    [anon_sym_concept] = ACTIONS(2896),
    [anon_sym_co_return] = ACTIONS(2896),
    [anon_sym_co_yield] = ACTIONS(2896),
    [anon_sym_R_DQUOTE] = ACTIONS(2898),
    [anon_sym_LR_DQUOTE] = ACTIONS(2898),
    [anon_sym_uR_DQUOTE] = ACTIONS(2898),
    [anon_sym_UR_DQUOTE] = ACTIONS(2898),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2898),
    [anon_sym_co_await] = ACTIONS(2896),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_requires] = ACTIONS(2896),
    [sym_this] = ACTIONS(2896),
  },
  [298] = {
    [sym_identifier] = ACTIONS(2900),
    [aux_sym_preproc_include_token1] = ACTIONS(2900),
    [aux_sym_preproc_def_token1] = ACTIONS(2900),
    [aux_sym_preproc_if_token1] = ACTIONS(2900),
    [aux_sym_preproc_if_token2] = ACTIONS(2900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2900),
    [aux_sym_preproc_else_token1] = ACTIONS(2900),
    [aux_sym_preproc_elif_token1] = ACTIONS(2900),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2900),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2900),
    [sym_preproc_directive] = ACTIONS(2900),
    [anon_sym_LPAREN2] = ACTIONS(2902),
    [anon_sym_BANG] = ACTIONS(2902),
    [anon_sym_TILDE] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2902),
    [anon_sym_AMP_AMP] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_SEMI] = ACTIONS(2902),
    [anon_sym___extension__] = ACTIONS(2900),
    [anon_sym_typedef] = ACTIONS(2900),
    [anon_sym_virtual] = ACTIONS(2900),
    [anon_sym_extern] = ACTIONS(2900),
    [anon_sym___attribute__] = ACTIONS(2900),
    [anon_sym_COLON_COLON] = ACTIONS(2902),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2902),
    [anon_sym___declspec] = ACTIONS(2900),
    [anon_sym___based] = ACTIONS(2900),
    [anon_sym___cdecl] = ACTIONS(2900),
    [anon_sym___clrcall] = ACTIONS(2900),
    [anon_sym___stdcall] = ACTIONS(2900),
    [anon_sym___fastcall] = ACTIONS(2900),
    [anon_sym___thiscall] = ACTIONS(2900),
    [anon_sym___vectorcall] = ACTIONS(2900),
    [anon_sym_LBRACE] = ACTIONS(2902),
    [anon_sym_signed] = ACTIONS(2900),
    [anon_sym_unsigned] = ACTIONS(2900),
    [anon_sym_long] = ACTIONS(2900),
    [anon_sym_short] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_register] = ACTIONS(2900),
    [anon_sym_inline] = ACTIONS(2900),
    [anon_sym___inline] = ACTIONS(2900),
    [anon_sym___inline__] = ACTIONS(2900),
    [anon_sym___forceinline] = ACTIONS(2900),
    [anon_sym_thread_local] = ACTIONS(2900),
    [anon_sym___thread] = ACTIONS(2900),
    [anon_sym_const] = ACTIONS(2900),
    [anon_sym_constexpr] = ACTIONS(2900),
    [anon_sym_volatile] = ACTIONS(2900),
    [anon_sym_restrict] = ACTIONS(2900),
    [anon_sym___restrict__] = ACTIONS(2900),
    [anon_sym__Atomic] = ACTIONS(2900),
    [anon_sym__Noreturn] = ACTIONS(2900),
    [anon_sym_noreturn] = ACTIONS(2900),
    [anon_sym__Nonnull] = ACTIONS(2900),
    [anon_sym_mutable] = ACTIONS(2900),
    [anon_sym_constinit] = ACTIONS(2900),
    [anon_sym_consteval] = ACTIONS(2900),
    [anon_sym_PROGMEM] = ACTIONS(2900),
    [anon_sym_alignas] = ACTIONS(2900),
    [anon_sym__Alignas] = ACTIONS(2900),
    [aux_sym_primitive_type_token1] = ACTIONS(2900),
    [anon_sym_byte] = ACTIONS(2900),
    [anon_sym_word] = ACTIONS(2900),
    [anon_sym_enum] = ACTIONS(2900),
    [anon_sym_class] = ACTIONS(2900),
    [anon_sym_struct] = ACTIONS(2900),
    [anon_sym_union] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_else] = ACTIONS(2900),
    [anon_sym_switch] = ACTIONS(2900),
    [anon_sym_case] = ACTIONS(2900),
    [anon_sym_default] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_break] = ACTIONS(2900),
    [anon_sym_continue] = ACTIONS(2900),
    [anon_sym_goto] = ACTIONS(2900),
    [anon_sym___try] = ACTIONS(2900),
    [anon_sym___leave] = ACTIONS(2900),
    [anon_sym_not] = ACTIONS(2900),
    [anon_sym_compl] = ACTIONS(2900),
    [anon_sym_DASH_DASH] = ACTIONS(2902),
    [anon_sym_PLUS_PLUS] = ACTIONS(2902),
    [anon_sym_sizeof] = ACTIONS(2900),
    [anon_sym___alignof__] = ACTIONS(2900),
    [anon_sym___alignof] = ACTIONS(2900),
    [anon_sym__alignof] = ACTIONS(2900),
    [anon_sym_alignof] = ACTIONS(2900),
    [anon_sym__Alignof] = ACTIONS(2900),
    [anon_sym_offsetof] = ACTIONS(2900),
    [anon_sym__Generic] = ACTIONS(2900),
    [anon_sym_asm] = ACTIONS(2900),
    [anon_sym___asm__] = ACTIONS(2900),
    [anon_sym___asm] = ACTIONS(2900),
    [aux_sym_number_literal_token1] = ACTIONS(2902),
    [aux_sym_number_literal_token2] = ACTIONS(2900),
    [anon_sym_L_SQUOTE] = ACTIONS(2902),
    [anon_sym_u_SQUOTE] = ACTIONS(2902),
    [anon_sym_U_SQUOTE] = ACTIONS(2902),
    [anon_sym_u8_SQUOTE] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [anon_sym_L_DQUOTE] = ACTIONS(2902),
    [anon_sym_u_DQUOTE] = ACTIONS(2902),
    [anon_sym_U_DQUOTE] = ACTIONS(2902),
    [anon_sym_u8_DQUOTE] = ACTIONS(2902),
    [anon_sym_DQUOTE] = ACTIONS(2902),
    [sym_true] = ACTIONS(2900),
    [sym_false] = ACTIONS(2900),
    [anon_sym_NULL] = ACTIONS(2900),
    [anon_sym_nullptr] = ACTIONS(2900),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2900),
    [anon_sym_decltype] = ACTIONS(2900),
    [anon_sym_explicit] = ACTIONS(2900),
    [anon_sym_typename] = ACTIONS(2900),
    [anon_sym_template] = ACTIONS(2900),
    [anon_sym_operator] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_delete] = ACTIONS(2900),
    [anon_sym_throw] = ACTIONS(2900),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_using] = ACTIONS(2900),
    [anon_sym_static_assert] = ACTIONS(2900),
    [anon_sym_concept] = ACTIONS(2900),
    [anon_sym_co_return] = ACTIONS(2900),
    [anon_sym_co_yield] = ACTIONS(2900),
    [anon_sym_R_DQUOTE] = ACTIONS(2902),
    [anon_sym_LR_DQUOTE] = ACTIONS(2902),
    [anon_sym_uR_DQUOTE] = ACTIONS(2902),
    [anon_sym_UR_DQUOTE] = ACTIONS(2902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2902),
    [anon_sym_co_await] = ACTIONS(2900),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_requires] = ACTIONS(2900),
    [sym_this] = ACTIONS(2900),
  },
  [299] = {
    [sym_identifier] = ACTIONS(2904),
    [aux_sym_preproc_include_token1] = ACTIONS(2904),
    [aux_sym_preproc_def_token1] = ACTIONS(2904),
    [aux_sym_preproc_if_token1] = ACTIONS(2904),
    [aux_sym_preproc_if_token2] = ACTIONS(2904),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2904),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2904),
    [aux_sym_preproc_else_token1] = ACTIONS(2904),
    [aux_sym_preproc_elif_token1] = ACTIONS(2904),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2904),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2904),
    [sym_preproc_directive] = ACTIONS(2904),
    [anon_sym_LPAREN2] = ACTIONS(2906),
    [anon_sym_BANG] = ACTIONS(2906),
    [anon_sym_TILDE] = ACTIONS(2906),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_AMP_AMP] = ACTIONS(2906),
    [anon_sym_AMP] = ACTIONS(2904),
    [anon_sym_SEMI] = ACTIONS(2906),
    [anon_sym___extension__] = ACTIONS(2904),
    [anon_sym_typedef] = ACTIONS(2904),
    [anon_sym_virtual] = ACTIONS(2904),
    [anon_sym_extern] = ACTIONS(2904),
    [anon_sym___attribute__] = ACTIONS(2904),
    [anon_sym_COLON_COLON] = ACTIONS(2906),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2906),
    [anon_sym___declspec] = ACTIONS(2904),
    [anon_sym___based] = ACTIONS(2904),
    [anon_sym___cdecl] = ACTIONS(2904),
    [anon_sym___clrcall] = ACTIONS(2904),
    [anon_sym___stdcall] = ACTIONS(2904),
    [anon_sym___fastcall] = ACTIONS(2904),
    [anon_sym___thiscall] = ACTIONS(2904),
    [anon_sym___vectorcall] = ACTIONS(2904),
    [anon_sym_LBRACE] = ACTIONS(2906),
    [anon_sym_signed] = ACTIONS(2904),
    [anon_sym_unsigned] = ACTIONS(2904),
    [anon_sym_long] = ACTIONS(2904),
    [anon_sym_short] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_static] = ACTIONS(2904),
    [anon_sym_register] = ACTIONS(2904),
    [anon_sym_inline] = ACTIONS(2904),
    [anon_sym___inline] = ACTIONS(2904),
    [anon_sym___inline__] = ACTIONS(2904),
    [anon_sym___forceinline] = ACTIONS(2904),
    [anon_sym_thread_local] = ACTIONS(2904),
    [anon_sym___thread] = ACTIONS(2904),
    [anon_sym_const] = ACTIONS(2904),
    [anon_sym_constexpr] = ACTIONS(2904),
    [anon_sym_volatile] = ACTIONS(2904),
    [anon_sym_restrict] = ACTIONS(2904),
    [anon_sym___restrict__] = ACTIONS(2904),
    [anon_sym__Atomic] = ACTIONS(2904),
    [anon_sym__Noreturn] = ACTIONS(2904),
    [anon_sym_noreturn] = ACTIONS(2904),
    [anon_sym__Nonnull] = ACTIONS(2904),
    [anon_sym_mutable] = ACTIONS(2904),
    [anon_sym_constinit] = ACTIONS(2904),
    [anon_sym_consteval] = ACTIONS(2904),
    [anon_sym_PROGMEM] = ACTIONS(2904),
    [anon_sym_alignas] = ACTIONS(2904),
    [anon_sym__Alignas] = ACTIONS(2904),
    [aux_sym_primitive_type_token1] = ACTIONS(2904),
    [anon_sym_byte] = ACTIONS(2904),
    [anon_sym_word] = ACTIONS(2904),
    [anon_sym_enum] = ACTIONS(2904),
    [anon_sym_class] = ACTIONS(2904),
    [anon_sym_struct] = ACTIONS(2904),
    [anon_sym_union] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_else] = ACTIONS(2904),
    [anon_sym_switch] = ACTIONS(2904),
    [anon_sym_case] = ACTIONS(2904),
    [anon_sym_default] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_break] = ACTIONS(2904),
    [anon_sym_continue] = ACTIONS(2904),
    [anon_sym_goto] = ACTIONS(2904),
    [anon_sym___try] = ACTIONS(2904),
    [anon_sym___leave] = ACTIONS(2904),
    [anon_sym_not] = ACTIONS(2904),
    [anon_sym_compl] = ACTIONS(2904),
    [anon_sym_DASH_DASH] = ACTIONS(2906),
    [anon_sym_PLUS_PLUS] = ACTIONS(2906),
    [anon_sym_sizeof] = ACTIONS(2904),
    [anon_sym___alignof__] = ACTIONS(2904),
    [anon_sym___alignof] = ACTIONS(2904),
    [anon_sym__alignof] = ACTIONS(2904),
    [anon_sym_alignof] = ACTIONS(2904),
    [anon_sym__Alignof] = ACTIONS(2904),
    [anon_sym_offsetof] = ACTIONS(2904),
    [anon_sym__Generic] = ACTIONS(2904),
    [anon_sym_asm] = ACTIONS(2904),
    [anon_sym___asm__] = ACTIONS(2904),
    [anon_sym___asm] = ACTIONS(2904),
    [aux_sym_number_literal_token1] = ACTIONS(2906),
    [aux_sym_number_literal_token2] = ACTIONS(2904),
    [anon_sym_L_SQUOTE] = ACTIONS(2906),
    [anon_sym_u_SQUOTE] = ACTIONS(2906),
    [anon_sym_U_SQUOTE] = ACTIONS(2906),
    [anon_sym_u8_SQUOTE] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [anon_sym_L_DQUOTE] = ACTIONS(2906),
    [anon_sym_u_DQUOTE] = ACTIONS(2906),
    [anon_sym_U_DQUOTE] = ACTIONS(2906),
    [anon_sym_u8_DQUOTE] = ACTIONS(2906),
    [anon_sym_DQUOTE] = ACTIONS(2906),
    [sym_true] = ACTIONS(2904),
    [sym_false] = ACTIONS(2904),
    [anon_sym_NULL] = ACTIONS(2904),
    [anon_sym_nullptr] = ACTIONS(2904),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2904),
    [anon_sym_decltype] = ACTIONS(2904),
    [anon_sym_explicit] = ACTIONS(2904),
    [anon_sym_typename] = ACTIONS(2904),
    [anon_sym_template] = ACTIONS(2904),
    [anon_sym_operator] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_delete] = ACTIONS(2904),
    [anon_sym_throw] = ACTIONS(2904),
    [anon_sym_namespace] = ACTIONS(2904),
    [anon_sym_using] = ACTIONS(2904),
    [anon_sym_static_assert] = ACTIONS(2904),
    [anon_sym_concept] = ACTIONS(2904),
    [anon_sym_co_return] = ACTIONS(2904),
    [anon_sym_co_yield] = ACTIONS(2904),
    [anon_sym_R_DQUOTE] = ACTIONS(2906),
    [anon_sym_LR_DQUOTE] = ACTIONS(2906),
    [anon_sym_uR_DQUOTE] = ACTIONS(2906),
    [anon_sym_UR_DQUOTE] = ACTIONS(2906),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2906),
    [anon_sym_co_await] = ACTIONS(2904),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_requires] = ACTIONS(2904),
    [sym_this] = ACTIONS(2904),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2908),
    [aux_sym_preproc_include_token1] = ACTIONS(2908),
    [aux_sym_preproc_def_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token2] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2908),
    [aux_sym_preproc_else_token1] = ACTIONS(2908),
    [aux_sym_preproc_elif_token1] = ACTIONS(2908),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2908),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2908),
    [sym_preproc_directive] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(2910),
    [anon_sym_AMP_AMP] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym___extension__] = ACTIONS(2908),
    [anon_sym_typedef] = ACTIONS(2908),
    [anon_sym_virtual] = ACTIONS(2908),
    [anon_sym_extern] = ACTIONS(2908),
    [anon_sym___attribute__] = ACTIONS(2908),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2910),
    [anon_sym___declspec] = ACTIONS(2908),
    [anon_sym___based] = ACTIONS(2908),
    [anon_sym___cdecl] = ACTIONS(2908),
    [anon_sym___clrcall] = ACTIONS(2908),
    [anon_sym___stdcall] = ACTIONS(2908),
    [anon_sym___fastcall] = ACTIONS(2908),
    [anon_sym___thiscall] = ACTIONS(2908),
    [anon_sym___vectorcall] = ACTIONS(2908),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_signed] = ACTIONS(2908),
    [anon_sym_unsigned] = ACTIONS(2908),
    [anon_sym_long] = ACTIONS(2908),
    [anon_sym_short] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_static] = ACTIONS(2908),
    [anon_sym_register] = ACTIONS(2908),
    [anon_sym_inline] = ACTIONS(2908),
    [anon_sym___inline] = ACTIONS(2908),
    [anon_sym___inline__] = ACTIONS(2908),
    [anon_sym___forceinline] = ACTIONS(2908),
    [anon_sym_thread_local] = ACTIONS(2908),
    [anon_sym___thread] = ACTIONS(2908),
    [anon_sym_const] = ACTIONS(2908),
    [anon_sym_constexpr] = ACTIONS(2908),
    [anon_sym_volatile] = ACTIONS(2908),
    [anon_sym_restrict] = ACTIONS(2908),
    [anon_sym___restrict__] = ACTIONS(2908),
    [anon_sym__Atomic] = ACTIONS(2908),
    [anon_sym__Noreturn] = ACTIONS(2908),
    [anon_sym_noreturn] = ACTIONS(2908),
    [anon_sym__Nonnull] = ACTIONS(2908),
    [anon_sym_mutable] = ACTIONS(2908),
    [anon_sym_constinit] = ACTIONS(2908),
    [anon_sym_consteval] = ACTIONS(2908),
    [anon_sym_PROGMEM] = ACTIONS(2908),
    [anon_sym_alignas] = ACTIONS(2908),
    [anon_sym__Alignas] = ACTIONS(2908),
    [aux_sym_primitive_type_token1] = ACTIONS(2908),
    [anon_sym_byte] = ACTIONS(2908),
    [anon_sym_word] = ACTIONS(2908),
    [anon_sym_enum] = ACTIONS(2908),
    [anon_sym_class] = ACTIONS(2908),
    [anon_sym_struct] = ACTIONS(2908),
    [anon_sym_union] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_else] = ACTIONS(2908),
    [anon_sym_switch] = ACTIONS(2908),
    [anon_sym_case] = ACTIONS(2908),
    [anon_sym_default] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_break] = ACTIONS(2908),
    [anon_sym_continue] = ACTIONS(2908),
    [anon_sym_goto] = ACTIONS(2908),
    [anon_sym___try] = ACTIONS(2908),
    [anon_sym___leave] = ACTIONS(2908),
    [anon_sym_not] = ACTIONS(2908),
    [anon_sym_compl] = ACTIONS(2908),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_sizeof] = ACTIONS(2908),
    [anon_sym___alignof__] = ACTIONS(2908),
    [anon_sym___alignof] = ACTIONS(2908),
    [anon_sym__alignof] = ACTIONS(2908),
    [anon_sym_alignof] = ACTIONS(2908),
    [anon_sym__Alignof] = ACTIONS(2908),
    [anon_sym_offsetof] = ACTIONS(2908),
    [anon_sym__Generic] = ACTIONS(2908),
    [anon_sym_asm] = ACTIONS(2908),
    [anon_sym___asm__] = ACTIONS(2908),
    [anon_sym___asm] = ACTIONS(2908),
    [aux_sym_number_literal_token1] = ACTIONS(2910),
    [aux_sym_number_literal_token2] = ACTIONS(2908),
    [anon_sym_L_SQUOTE] = ACTIONS(2910),
    [anon_sym_u_SQUOTE] = ACTIONS(2910),
    [anon_sym_U_SQUOTE] = ACTIONS(2910),
    [anon_sym_u8_SQUOTE] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_L_DQUOTE] = ACTIONS(2910),
    [anon_sym_u_DQUOTE] = ACTIONS(2910),
    [anon_sym_U_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE] = ACTIONS(2910),
    [sym_true] = ACTIONS(2908),
    [sym_false] = ACTIONS(2908),
    [anon_sym_NULL] = ACTIONS(2908),
    [anon_sym_nullptr] = ACTIONS(2908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2908),
    [anon_sym_decltype] = ACTIONS(2908),
    [anon_sym_explicit] = ACTIONS(2908),
    [anon_sym_typename] = ACTIONS(2908),
    [anon_sym_template] = ACTIONS(2908),
    [anon_sym_operator] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_delete] = ACTIONS(2908),
    [anon_sym_throw] = ACTIONS(2908),
    [anon_sym_namespace] = ACTIONS(2908),
    [anon_sym_using] = ACTIONS(2908),
    [anon_sym_static_assert] = ACTIONS(2908),
    [anon_sym_concept] = ACTIONS(2908),
    [anon_sym_co_return] = ACTIONS(2908),
    [anon_sym_co_yield] = ACTIONS(2908),
    [anon_sym_R_DQUOTE] = ACTIONS(2910),
    [anon_sym_LR_DQUOTE] = ACTIONS(2910),
    [anon_sym_uR_DQUOTE] = ACTIONS(2910),
    [anon_sym_UR_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2910),
    [anon_sym_co_await] = ACTIONS(2908),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_requires] = ACTIONS(2908),
    [sym_this] = ACTIONS(2908),
  },
  [301] = {
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_include_token1] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token2] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [aux_sym_preproc_else_token1] = ACTIONS(2912),
    [aux_sym_preproc_elif_token1] = ACTIONS(2912),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym___cdecl] = ACTIONS(2912),
    [anon_sym___clrcall] = ACTIONS(2912),
    [anon_sym___stdcall] = ACTIONS(2912),
    [anon_sym___fastcall] = ACTIONS(2912),
    [anon_sym___thiscall] = ACTIONS(2912),
    [anon_sym___vectorcall] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_PROGMEM] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [aux_sym_primitive_type_token1] = ACTIONS(2912),
    [anon_sym_byte] = ACTIONS(2912),
    [anon_sym_word] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_else] = ACTIONS(2912),
    [anon_sym_switch] = ACTIONS(2912),
    [anon_sym_case] = ACTIONS(2912),
    [anon_sym_default] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_break] = ACTIONS(2912),
    [anon_sym_continue] = ACTIONS(2912),
    [anon_sym_goto] = ACTIONS(2912),
    [anon_sym___try] = ACTIONS(2912),
    [anon_sym___leave] = ACTIONS(2912),
    [anon_sym_not] = ACTIONS(2912),
    [anon_sym_compl] = ACTIONS(2912),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(2912),
    [anon_sym___alignof] = ACTIONS(2912),
    [anon_sym__alignof] = ACTIONS(2912),
    [anon_sym_alignof] = ACTIONS(2912),
    [anon_sym__Alignof] = ACTIONS(2912),
    [anon_sym_offsetof] = ACTIONS(2912),
    [anon_sym__Generic] = ACTIONS(2912),
    [anon_sym_asm] = ACTIONS(2912),
    [anon_sym___asm__] = ACTIONS(2912),
    [anon_sym___asm] = ACTIONS(2912),
    [aux_sym_number_literal_token1] = ACTIONS(2914),
    [aux_sym_number_literal_token2] = ACTIONS(2912),
    [anon_sym_L_SQUOTE] = ACTIONS(2914),
    [anon_sym_u_SQUOTE] = ACTIONS(2914),
    [anon_sym_U_SQUOTE] = ACTIONS(2914),
    [anon_sym_u8_SQUOTE] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_L_DQUOTE] = ACTIONS(2914),
    [anon_sym_u_DQUOTE] = ACTIONS(2914),
    [anon_sym_U_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(2914),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [anon_sym_NULL] = ACTIONS(2912),
    [anon_sym_nullptr] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_delete] = ACTIONS(2912),
    [anon_sym_throw] = ACTIONS(2912),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
    [anon_sym_concept] = ACTIONS(2912),
    [anon_sym_co_return] = ACTIONS(2912),
    [anon_sym_co_yield] = ACTIONS(2912),
    [anon_sym_R_DQUOTE] = ACTIONS(2914),
    [anon_sym_LR_DQUOTE] = ACTIONS(2914),
    [anon_sym_uR_DQUOTE] = ACTIONS(2914),
    [anon_sym_UR_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2914),
    [anon_sym_co_await] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_requires] = ACTIONS(2912),
    [sym_this] = ACTIONS(2912),
  },
  [302] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [aux_sym_preproc_else_token1] = ACTIONS(2790),
    [aux_sym_preproc_elif_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_PROGMEM] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [aux_sym_primitive_type_token1] = ACTIONS(2790),
    [anon_sym_byte] = ACTIONS(2790),
    [anon_sym_word] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [aux_sym_number_literal_token1] = ACTIONS(2792),
    [aux_sym_number_literal_token2] = ACTIONS(2790),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
    [anon_sym_concept] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [303] = {
    [sym_identifier] = ACTIONS(2916),
    [aux_sym_preproc_include_token1] = ACTIONS(2916),
    [aux_sym_preproc_def_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token2] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2916),
    [aux_sym_preproc_else_token1] = ACTIONS(2916),
    [aux_sym_preproc_elif_token1] = ACTIONS(2916),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2916),
    [sym_preproc_directive] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_STAR] = ACTIONS(2918),
    [anon_sym_AMP_AMP] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym___extension__] = ACTIONS(2916),
    [anon_sym_typedef] = ACTIONS(2916),
    [anon_sym_virtual] = ACTIONS(2916),
    [anon_sym_extern] = ACTIONS(2916),
    [anon_sym___attribute__] = ACTIONS(2916),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2918),
    [anon_sym___declspec] = ACTIONS(2916),
    [anon_sym___based] = ACTIONS(2916),
    [anon_sym___cdecl] = ACTIONS(2916),
    [anon_sym___clrcall] = ACTIONS(2916),
    [anon_sym___stdcall] = ACTIONS(2916),
    [anon_sym___fastcall] = ACTIONS(2916),
    [anon_sym___thiscall] = ACTIONS(2916),
    [anon_sym___vectorcall] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_signed] = ACTIONS(2916),
    [anon_sym_unsigned] = ACTIONS(2916),
    [anon_sym_long] = ACTIONS(2916),
    [anon_sym_short] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_register] = ACTIONS(2916),
    [anon_sym_inline] = ACTIONS(2916),
    [anon_sym___inline] = ACTIONS(2916),
    [anon_sym___inline__] = ACTIONS(2916),
    [anon_sym___forceinline] = ACTIONS(2916),
    [anon_sym_thread_local] = ACTIONS(2916),
    [anon_sym___thread] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_constexpr] = ACTIONS(2916),
    [anon_sym_volatile] = ACTIONS(2916),
    [anon_sym_restrict] = ACTIONS(2916),
    [anon_sym___restrict__] = ACTIONS(2916),
    [anon_sym__Atomic] = ACTIONS(2916),
    [anon_sym__Noreturn] = ACTIONS(2916),
    [anon_sym_noreturn] = ACTIONS(2916),
    [anon_sym__Nonnull] = ACTIONS(2916),
    [anon_sym_mutable] = ACTIONS(2916),
    [anon_sym_constinit] = ACTIONS(2916),
    [anon_sym_consteval] = ACTIONS(2916),
    [anon_sym_PROGMEM] = ACTIONS(2916),
    [anon_sym_alignas] = ACTIONS(2916),
    [anon_sym__Alignas] = ACTIONS(2916),
    [aux_sym_primitive_type_token1] = ACTIONS(2916),
    [anon_sym_byte] = ACTIONS(2916),
    [anon_sym_word] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_struct] = ACTIONS(2916),
    [anon_sym_union] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_else] = ACTIONS(2916),
    [anon_sym_switch] = ACTIONS(2916),
    [anon_sym_case] = ACTIONS(2916),
    [anon_sym_default] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_break] = ACTIONS(2916),
    [anon_sym_continue] = ACTIONS(2916),
    [anon_sym_goto] = ACTIONS(2916),
    [anon_sym___try] = ACTIONS(2916),
    [anon_sym___leave] = ACTIONS(2916),
    [anon_sym_not] = ACTIONS(2916),
    [anon_sym_compl] = ACTIONS(2916),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_sizeof] = ACTIONS(2916),
    [anon_sym___alignof__] = ACTIONS(2916),
    [anon_sym___alignof] = ACTIONS(2916),
    [anon_sym__alignof] = ACTIONS(2916),
    [anon_sym_alignof] = ACTIONS(2916),
    [anon_sym__Alignof] = ACTIONS(2916),
    [anon_sym_offsetof] = ACTIONS(2916),
    [anon_sym__Generic] = ACTIONS(2916),
    [anon_sym_asm] = ACTIONS(2916),
    [anon_sym___asm__] = ACTIONS(2916),
    [anon_sym___asm] = ACTIONS(2916),
    [aux_sym_number_literal_token1] = ACTIONS(2918),
    [aux_sym_number_literal_token2] = ACTIONS(2916),
    [anon_sym_L_SQUOTE] = ACTIONS(2918),
    [anon_sym_u_SQUOTE] = ACTIONS(2918),
    [anon_sym_U_SQUOTE] = ACTIONS(2918),
    [anon_sym_u8_SQUOTE] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_L_DQUOTE] = ACTIONS(2918),
    [anon_sym_u_DQUOTE] = ACTIONS(2918),
    [anon_sym_U_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE] = ACTIONS(2918),
    [sym_true] = ACTIONS(2916),
    [sym_false] = ACTIONS(2916),
    [anon_sym_NULL] = ACTIONS(2916),
    [anon_sym_nullptr] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2916),
    [anon_sym_decltype] = ACTIONS(2916),
    [anon_sym_explicit] = ACTIONS(2916),
    [anon_sym_typename] = ACTIONS(2916),
    [anon_sym_template] = ACTIONS(2916),
    [anon_sym_operator] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_delete] = ACTIONS(2916),
    [anon_sym_throw] = ACTIONS(2916),
    [anon_sym_namespace] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_static_assert] = ACTIONS(2916),
    [anon_sym_concept] = ACTIONS(2916),
    [anon_sym_co_return] = ACTIONS(2916),
    [anon_sym_co_yield] = ACTIONS(2916),
    [anon_sym_R_DQUOTE] = ACTIONS(2918),
    [anon_sym_LR_DQUOTE] = ACTIONS(2918),
    [anon_sym_uR_DQUOTE] = ACTIONS(2918),
    [anon_sym_UR_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2918),
    [anon_sym_co_await] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_requires] = ACTIONS(2916),
    [sym_this] = ACTIONS(2916),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_include_token1] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token2] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [aux_sym_preproc_else_token1] = ACTIONS(2920),
    [aux_sym_preproc_elif_token1] = ACTIONS(2920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym___cdecl] = ACTIONS(2920),
    [anon_sym___clrcall] = ACTIONS(2920),
    [anon_sym___stdcall] = ACTIONS(2920),
    [anon_sym___fastcall] = ACTIONS(2920),
    [anon_sym___thiscall] = ACTIONS(2920),
    [anon_sym___vectorcall] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_PROGMEM] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [aux_sym_primitive_type_token1] = ACTIONS(2920),
    [anon_sym_byte] = ACTIONS(2920),
    [anon_sym_word] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_else] = ACTIONS(2920),
    [anon_sym_switch] = ACTIONS(2920),
    [anon_sym_case] = ACTIONS(2920),
    [anon_sym_default] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_break] = ACTIONS(2920),
    [anon_sym_continue] = ACTIONS(2920),
    [anon_sym_goto] = ACTIONS(2920),
    [anon_sym___try] = ACTIONS(2920),
    [anon_sym___leave] = ACTIONS(2920),
    [anon_sym_not] = ACTIONS(2920),
    [anon_sym_compl] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_sizeof] = ACTIONS(2920),
    [anon_sym___alignof__] = ACTIONS(2920),
    [anon_sym___alignof] = ACTIONS(2920),
    [anon_sym__alignof] = ACTIONS(2920),
    [anon_sym_alignof] = ACTIONS(2920),
    [anon_sym__Alignof] = ACTIONS(2920),
    [anon_sym_offsetof] = ACTIONS(2920),
    [anon_sym__Generic] = ACTIONS(2920),
    [anon_sym_asm] = ACTIONS(2920),
    [anon_sym___asm__] = ACTIONS(2920),
    [anon_sym___asm] = ACTIONS(2920),
    [aux_sym_number_literal_token1] = ACTIONS(2922),
    [aux_sym_number_literal_token2] = ACTIONS(2920),
    [anon_sym_L_SQUOTE] = ACTIONS(2922),
    [anon_sym_u_SQUOTE] = ACTIONS(2922),
    [anon_sym_U_SQUOTE] = ACTIONS(2922),
    [anon_sym_u8_SQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_L_DQUOTE] = ACTIONS(2922),
    [anon_sym_u_DQUOTE] = ACTIONS(2922),
    [anon_sym_U_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [sym_true] = ACTIONS(2920),
    [sym_false] = ACTIONS(2920),
    [anon_sym_NULL] = ACTIONS(2920),
    [anon_sym_nullptr] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_delete] = ACTIONS(2920),
    [anon_sym_throw] = ACTIONS(2920),
    [anon_sym_namespace] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
    [anon_sym_concept] = ACTIONS(2920),
    [anon_sym_co_return] = ACTIONS(2920),
    [anon_sym_co_yield] = ACTIONS(2920),
    [anon_sym_R_DQUOTE] = ACTIONS(2922),
    [anon_sym_LR_DQUOTE] = ACTIONS(2922),
    [anon_sym_uR_DQUOTE] = ACTIONS(2922),
    [anon_sym_UR_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2922),
    [anon_sym_co_await] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_requires] = ACTIONS(2920),
    [sym_this] = ACTIONS(2920),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_include_token1] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token2] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [aux_sym_preproc_else_token1] = ACTIONS(2924),
    [aux_sym_preproc_elif_token1] = ACTIONS(2924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym___cdecl] = ACTIONS(2924),
    [anon_sym___clrcall] = ACTIONS(2924),
    [anon_sym___stdcall] = ACTIONS(2924),
    [anon_sym___fastcall] = ACTIONS(2924),
    [anon_sym___thiscall] = ACTIONS(2924),
    [anon_sym___vectorcall] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_PROGMEM] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [aux_sym_primitive_type_token1] = ACTIONS(2924),
    [anon_sym_byte] = ACTIONS(2924),
    [anon_sym_word] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_else] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym___try] = ACTIONS(2924),
    [anon_sym___leave] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [anon_sym___asm] = ACTIONS(2924),
    [aux_sym_number_literal_token1] = ACTIONS(2926),
    [aux_sym_number_literal_token2] = ACTIONS(2924),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
    [anon_sym_concept] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [306] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [aux_sym_preproc_else_token1] = ACTIONS(2928),
    [aux_sym_preproc_elif_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_PROGMEM] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [aux_sym_primitive_type_token1] = ACTIONS(2928),
    [anon_sym_byte] = ACTIONS(2928),
    [anon_sym_word] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym___try] = ACTIONS(2928),
    [anon_sym___leave] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [anon_sym___asm] = ACTIONS(2928),
    [aux_sym_number_literal_token1] = ACTIONS(2930),
    [aux_sym_number_literal_token2] = ACTIONS(2928),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [307] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_include_token1] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token2] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [aux_sym_preproc_else_token1] = ACTIONS(2932),
    [aux_sym_preproc_elif_token1] = ACTIONS(2932),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym___cdecl] = ACTIONS(2932),
    [anon_sym___clrcall] = ACTIONS(2932),
    [anon_sym___stdcall] = ACTIONS(2932),
    [anon_sym___fastcall] = ACTIONS(2932),
    [anon_sym___thiscall] = ACTIONS(2932),
    [anon_sym___vectorcall] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_PROGMEM] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [aux_sym_primitive_type_token1] = ACTIONS(2932),
    [anon_sym_byte] = ACTIONS(2932),
    [anon_sym_word] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_goto] = ACTIONS(2932),
    [anon_sym___try] = ACTIONS(2932),
    [anon_sym___leave] = ACTIONS(2932),
    [anon_sym_not] = ACTIONS(2932),
    [anon_sym_compl] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_sizeof] = ACTIONS(2932),
    [anon_sym___alignof__] = ACTIONS(2932),
    [anon_sym___alignof] = ACTIONS(2932),
    [anon_sym__alignof] = ACTIONS(2932),
    [anon_sym_alignof] = ACTIONS(2932),
    [anon_sym__Alignof] = ACTIONS(2932),
    [anon_sym_offsetof] = ACTIONS(2932),
    [anon_sym__Generic] = ACTIONS(2932),
    [anon_sym_asm] = ACTIONS(2932),
    [anon_sym___asm__] = ACTIONS(2932),
    [anon_sym___asm] = ACTIONS(2932),
    [aux_sym_number_literal_token1] = ACTIONS(2934),
    [aux_sym_number_literal_token2] = ACTIONS(2932),
    [anon_sym_L_SQUOTE] = ACTIONS(2934),
    [anon_sym_u_SQUOTE] = ACTIONS(2934),
    [anon_sym_U_SQUOTE] = ACTIONS(2934),
    [anon_sym_u8_SQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_L_DQUOTE] = ACTIONS(2934),
    [anon_sym_u_DQUOTE] = ACTIONS(2934),
    [anon_sym_U_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8_DQUOTE] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [anon_sym_NULL] = ACTIONS(2932),
    [anon_sym_nullptr] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
    [anon_sym_concept] = ACTIONS(2932),
    [anon_sym_co_return] = ACTIONS(2932),
    [anon_sym_co_yield] = ACTIONS(2932),
    [anon_sym_R_DQUOTE] = ACTIONS(2934),
    [anon_sym_LR_DQUOTE] = ACTIONS(2934),
    [anon_sym_uR_DQUOTE] = ACTIONS(2934),
    [anon_sym_UR_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2934),
    [anon_sym_co_await] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_requires] = ACTIONS(2932),
    [sym_this] = ACTIONS(2932),
  },
  [308] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_include_token1] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token2] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [aux_sym_preproc_else_token1] = ACTIONS(2936),
    [aux_sym_preproc_elif_token1] = ACTIONS(2936),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym___cdecl] = ACTIONS(2936),
    [anon_sym___clrcall] = ACTIONS(2936),
    [anon_sym___stdcall] = ACTIONS(2936),
    [anon_sym___fastcall] = ACTIONS(2936),
    [anon_sym___thiscall] = ACTIONS(2936),
    [anon_sym___vectorcall] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_PROGMEM] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [aux_sym_primitive_type_token1] = ACTIONS(2936),
    [anon_sym_byte] = ACTIONS(2936),
    [anon_sym_word] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_goto] = ACTIONS(2936),
    [anon_sym___try] = ACTIONS(2936),
    [anon_sym___leave] = ACTIONS(2936),
    [anon_sym_not] = ACTIONS(2936),
    [anon_sym_compl] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_sizeof] = ACTIONS(2936),
    [anon_sym___alignof__] = ACTIONS(2936),
    [anon_sym___alignof] = ACTIONS(2936),
    [anon_sym__alignof] = ACTIONS(2936),
    [anon_sym_alignof] = ACTIONS(2936),
    [anon_sym__Alignof] = ACTIONS(2936),
    [anon_sym_offsetof] = ACTIONS(2936),
    [anon_sym__Generic] = ACTIONS(2936),
    [anon_sym_asm] = ACTIONS(2936),
    [anon_sym___asm__] = ACTIONS(2936),
    [anon_sym___asm] = ACTIONS(2936),
    [aux_sym_number_literal_token1] = ACTIONS(2938),
    [aux_sym_number_literal_token2] = ACTIONS(2936),
    [anon_sym_L_SQUOTE] = ACTIONS(2938),
    [anon_sym_u_SQUOTE] = ACTIONS(2938),
    [anon_sym_U_SQUOTE] = ACTIONS(2938),
    [anon_sym_u8_SQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [anon_sym_L_DQUOTE] = ACTIONS(2938),
    [anon_sym_u_DQUOTE] = ACTIONS(2938),
    [anon_sym_U_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8_DQUOTE] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [anon_sym_NULL] = ACTIONS(2936),
    [anon_sym_nullptr] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
    [anon_sym_concept] = ACTIONS(2936),
    [anon_sym_co_return] = ACTIONS(2936),
    [anon_sym_co_yield] = ACTIONS(2936),
    [anon_sym_R_DQUOTE] = ACTIONS(2938),
    [anon_sym_LR_DQUOTE] = ACTIONS(2938),
    [anon_sym_uR_DQUOTE] = ACTIONS(2938),
    [anon_sym_UR_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2938),
    [anon_sym_co_await] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_requires] = ACTIONS(2936),
    [sym_this] = ACTIONS(2936),
  },
  [309] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_include_token1] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token2] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [aux_sym_preproc_else_token1] = ACTIONS(2940),
    [aux_sym_preproc_elif_token1] = ACTIONS(2940),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym___cdecl] = ACTIONS(2940),
    [anon_sym___clrcall] = ACTIONS(2940),
    [anon_sym___stdcall] = ACTIONS(2940),
    [anon_sym___fastcall] = ACTIONS(2940),
    [anon_sym___thiscall] = ACTIONS(2940),
    [anon_sym___vectorcall] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_PROGMEM] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [aux_sym_primitive_type_token1] = ACTIONS(2940),
    [anon_sym_byte] = ACTIONS(2940),
    [anon_sym_word] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_goto] = ACTIONS(2940),
    [anon_sym___try] = ACTIONS(2940),
    [anon_sym___leave] = ACTIONS(2940),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_compl] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_sizeof] = ACTIONS(2940),
    [anon_sym___alignof__] = ACTIONS(2940),
    [anon_sym___alignof] = ACTIONS(2940),
    [anon_sym__alignof] = ACTIONS(2940),
    [anon_sym_alignof] = ACTIONS(2940),
    [anon_sym__Alignof] = ACTIONS(2940),
    [anon_sym_offsetof] = ACTIONS(2940),
    [anon_sym__Generic] = ACTIONS(2940),
    [anon_sym_asm] = ACTIONS(2940),
    [anon_sym___asm__] = ACTIONS(2940),
    [anon_sym___asm] = ACTIONS(2940),
    [aux_sym_number_literal_token1] = ACTIONS(2942),
    [aux_sym_number_literal_token2] = ACTIONS(2940),
    [anon_sym_L_SQUOTE] = ACTIONS(2942),
    [anon_sym_u_SQUOTE] = ACTIONS(2942),
    [anon_sym_U_SQUOTE] = ACTIONS(2942),
    [anon_sym_u8_SQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [anon_sym_L_DQUOTE] = ACTIONS(2942),
    [anon_sym_u_DQUOTE] = ACTIONS(2942),
    [anon_sym_U_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8_DQUOTE] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [anon_sym_NULL] = ACTIONS(2940),
    [anon_sym_nullptr] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
    [anon_sym_concept] = ACTIONS(2940),
    [anon_sym_co_return] = ACTIONS(2940),
    [anon_sym_co_yield] = ACTIONS(2940),
    [anon_sym_R_DQUOTE] = ACTIONS(2942),
    [anon_sym_LR_DQUOTE] = ACTIONS(2942),
    [anon_sym_uR_DQUOTE] = ACTIONS(2942),
    [anon_sym_UR_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2942),
    [anon_sym_co_await] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_requires] = ACTIONS(2940),
    [sym_this] = ACTIONS(2940),
  },
  [310] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [aux_sym_preproc_else_token1] = ACTIONS(2944),
    [aux_sym_preproc_elif_token1] = ACTIONS(2944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_PROGMEM] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [aux_sym_primitive_type_token1] = ACTIONS(2944),
    [anon_sym_byte] = ACTIONS(2944),
    [anon_sym_word] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [anon_sym___asm] = ACTIONS(2944),
    [aux_sym_number_literal_token1] = ACTIONS(2946),
    [aux_sym_number_literal_token2] = ACTIONS(2944),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [311] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token2] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [aux_sym_preproc_else_token1] = ACTIONS(2948),
    [aux_sym_preproc_elif_token1] = ACTIONS(2948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym__Nonnull] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_PROGMEM] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym__Alignas] = ACTIONS(2948),
    [aux_sym_primitive_type_token1] = ACTIONS(2948),
    [anon_sym_byte] = ACTIONS(2948),
    [anon_sym_word] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym___try] = ACTIONS(2948),
    [anon_sym___leave] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [anon_sym___asm] = ACTIONS(2948),
    [aux_sym_number_literal_token1] = ACTIONS(2950),
    [aux_sym_number_literal_token2] = ACTIONS(2948),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [312] = {
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token2] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [aux_sym_preproc_else_token1] = ACTIONS(2952),
    [aux_sym_preproc_elif_token1] = ACTIONS(2952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_virtual] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym__Nonnull] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [anon_sym_PROGMEM] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym__Alignas] = ACTIONS(2952),
    [aux_sym_primitive_type_token1] = ACTIONS(2952),
    [anon_sym_byte] = ACTIONS(2952),
    [anon_sym_word] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym___try] = ACTIONS(2952),
    [anon_sym___leave] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [anon_sym___asm] = ACTIONS(2952),
    [aux_sym_number_literal_token1] = ACTIONS(2954),
    [aux_sym_number_literal_token2] = ACTIONS(2952),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [313] = {
    [sym_identifier] = ACTIONS(2956),
    [aux_sym_preproc_include_token1] = ACTIONS(2956),
    [aux_sym_preproc_def_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token2] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2956),
    [aux_sym_preproc_else_token1] = ACTIONS(2956),
    [aux_sym_preproc_elif_token1] = ACTIONS(2956),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2956),
    [sym_preproc_directive] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2956),
    [anon_sym_PLUS] = ACTIONS(2956),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2956),
    [anon_sym_SEMI] = ACTIONS(2958),
    [anon_sym___extension__] = ACTIONS(2956),
    [anon_sym_typedef] = ACTIONS(2956),
    [anon_sym_virtual] = ACTIONS(2956),
    [anon_sym_extern] = ACTIONS(2956),
    [anon_sym___attribute__] = ACTIONS(2956),
    [anon_sym_COLON_COLON] = ACTIONS(2958),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2958),
    [anon_sym___declspec] = ACTIONS(2956),
    [anon_sym___based] = ACTIONS(2956),
    [anon_sym___cdecl] = ACTIONS(2956),
    [anon_sym___clrcall] = ACTIONS(2956),
    [anon_sym___stdcall] = ACTIONS(2956),
    [anon_sym___fastcall] = ACTIONS(2956),
    [anon_sym___thiscall] = ACTIONS(2956),
    [anon_sym___vectorcall] = ACTIONS(2956),
    [anon_sym_LBRACE] = ACTIONS(2958),
    [anon_sym_signed] = ACTIONS(2956),
    [anon_sym_unsigned] = ACTIONS(2956),
    [anon_sym_long] = ACTIONS(2956),
    [anon_sym_short] = ACTIONS(2956),
    [anon_sym_LBRACK] = ACTIONS(2956),
    [anon_sym_static] = ACTIONS(2956),
    [anon_sym_register] = ACTIONS(2956),
    [anon_sym_inline] = ACTIONS(2956),
    [anon_sym___inline] = ACTIONS(2956),
    [anon_sym___inline__] = ACTIONS(2956),
    [anon_sym___forceinline] = ACTIONS(2956),
    [anon_sym_thread_local] = ACTIONS(2956),
    [anon_sym___thread] = ACTIONS(2956),
    [anon_sym_const] = ACTIONS(2956),
    [anon_sym_constexpr] = ACTIONS(2956),
    [anon_sym_volatile] = ACTIONS(2956),
    [anon_sym_restrict] = ACTIONS(2956),
    [anon_sym___restrict__] = ACTIONS(2956),
    [anon_sym__Atomic] = ACTIONS(2956),
    [anon_sym__Noreturn] = ACTIONS(2956),
    [anon_sym_noreturn] = ACTIONS(2956),
    [anon_sym__Nonnull] = ACTIONS(2956),
    [anon_sym_mutable] = ACTIONS(2956),
    [anon_sym_constinit] = ACTIONS(2956),
    [anon_sym_consteval] = ACTIONS(2956),
    [anon_sym_PROGMEM] = ACTIONS(2956),
    [anon_sym_alignas] = ACTIONS(2956),
    [anon_sym__Alignas] = ACTIONS(2956),
    [aux_sym_primitive_type_token1] = ACTIONS(2956),
    [anon_sym_byte] = ACTIONS(2956),
    [anon_sym_word] = ACTIONS(2956),
    [anon_sym_enum] = ACTIONS(2956),
    [anon_sym_class] = ACTIONS(2956),
    [anon_sym_struct] = ACTIONS(2956),
    [anon_sym_union] = ACTIONS(2956),
    [anon_sym_if] = ACTIONS(2956),
    [anon_sym_switch] = ACTIONS(2956),
    [anon_sym_case] = ACTIONS(2956),
    [anon_sym_default] = ACTIONS(2956),
    [anon_sym_while] = ACTIONS(2956),
    [anon_sym_do] = ACTIONS(2956),
    [anon_sym_for] = ACTIONS(2956),
    [anon_sym_return] = ACTIONS(2956),
    [anon_sym_break] = ACTIONS(2956),
    [anon_sym_continue] = ACTIONS(2956),
    [anon_sym_goto] = ACTIONS(2956),
    [anon_sym___try] = ACTIONS(2956),
    [anon_sym___leave] = ACTIONS(2956),
    [anon_sym_not] = ACTIONS(2956),
    [anon_sym_compl] = ACTIONS(2956),
    [anon_sym_DASH_DASH] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2958),
    [anon_sym_sizeof] = ACTIONS(2956),
    [anon_sym___alignof__] = ACTIONS(2956),
    [anon_sym___alignof] = ACTIONS(2956),
    [anon_sym__alignof] = ACTIONS(2956),
    [anon_sym_alignof] = ACTIONS(2956),
    [anon_sym__Alignof] = ACTIONS(2956),
    [anon_sym_offsetof] = ACTIONS(2956),
    [anon_sym__Generic] = ACTIONS(2956),
    [anon_sym_asm] = ACTIONS(2956),
    [anon_sym___asm__] = ACTIONS(2956),
    [anon_sym___asm] = ACTIONS(2956),
    [aux_sym_number_literal_token1] = ACTIONS(2958),
    [aux_sym_number_literal_token2] = ACTIONS(2956),
    [anon_sym_L_SQUOTE] = ACTIONS(2958),
    [anon_sym_u_SQUOTE] = ACTIONS(2958),
    [anon_sym_U_SQUOTE] = ACTIONS(2958),
    [anon_sym_u8_SQUOTE] = ACTIONS(2958),
    [anon_sym_SQUOTE] = ACTIONS(2958),
    [anon_sym_L_DQUOTE] = ACTIONS(2958),
    [anon_sym_u_DQUOTE] = ACTIONS(2958),
    [anon_sym_U_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8_DQUOTE] = ACTIONS(2958),
    [anon_sym_DQUOTE] = ACTIONS(2958),
    [sym_true] = ACTIONS(2956),
    [sym_false] = ACTIONS(2956),
    [anon_sym_NULL] = ACTIONS(2956),
    [anon_sym_nullptr] = ACTIONS(2956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2956),
    [anon_sym_decltype] = ACTIONS(2956),
    [anon_sym_explicit] = ACTIONS(2956),
    [anon_sym_typename] = ACTIONS(2956),
    [anon_sym_template] = ACTIONS(2956),
    [anon_sym_operator] = ACTIONS(2956),
    [anon_sym_try] = ACTIONS(2956),
    [anon_sym_delete] = ACTIONS(2956),
    [anon_sym_throw] = ACTIONS(2956),
    [anon_sym_namespace] = ACTIONS(2956),
    [anon_sym_using] = ACTIONS(2956),
    [anon_sym_static_assert] = ACTIONS(2956),
    [anon_sym_concept] = ACTIONS(2956),
    [anon_sym_co_return] = ACTIONS(2956),
    [anon_sym_co_yield] = ACTIONS(2956),
    [anon_sym_R_DQUOTE] = ACTIONS(2958),
    [anon_sym_LR_DQUOTE] = ACTIONS(2958),
    [anon_sym_uR_DQUOTE] = ACTIONS(2958),
    [anon_sym_UR_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2958),
    [anon_sym_co_await] = ACTIONS(2956),
    [anon_sym_new] = ACTIONS(2956),
    [anon_sym_requires] = ACTIONS(2956),
    [sym_this] = ACTIONS(2956),
  },
  [314] = {
    [sym_identifier] = ACTIONS(2960),
    [aux_sym_preproc_include_token1] = ACTIONS(2960),
    [aux_sym_preproc_def_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token2] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2960),
    [aux_sym_preproc_else_token1] = ACTIONS(2960),
    [aux_sym_preproc_elif_token1] = ACTIONS(2960),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2960),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2960),
    [sym_preproc_directive] = ACTIONS(2960),
    [anon_sym_LPAREN2] = ACTIONS(2962),
    [anon_sym_BANG] = ACTIONS(2962),
    [anon_sym_TILDE] = ACTIONS(2962),
    [anon_sym_DASH] = ACTIONS(2960),
    [anon_sym_PLUS] = ACTIONS(2960),
    [anon_sym_STAR] = ACTIONS(2962),
    [anon_sym_AMP_AMP] = ACTIONS(2962),
    [anon_sym_AMP] = ACTIONS(2960),
    [anon_sym_SEMI] = ACTIONS(2962),
    [anon_sym___extension__] = ACTIONS(2960),
    [anon_sym_typedef] = ACTIONS(2960),
    [anon_sym_virtual] = ACTIONS(2960),
    [anon_sym_extern] = ACTIONS(2960),
    [anon_sym___attribute__] = ACTIONS(2960),
    [anon_sym_COLON_COLON] = ACTIONS(2962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2962),
    [anon_sym___declspec] = ACTIONS(2960),
    [anon_sym___based] = ACTIONS(2960),
    [anon_sym___cdecl] = ACTIONS(2960),
    [anon_sym___clrcall] = ACTIONS(2960),
    [anon_sym___stdcall] = ACTIONS(2960),
    [anon_sym___fastcall] = ACTIONS(2960),
    [anon_sym___thiscall] = ACTIONS(2960),
    [anon_sym___vectorcall] = ACTIONS(2960),
    [anon_sym_LBRACE] = ACTIONS(2962),
    [anon_sym_signed] = ACTIONS(2960),
    [anon_sym_unsigned] = ACTIONS(2960),
    [anon_sym_long] = ACTIONS(2960),
    [anon_sym_short] = ACTIONS(2960),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2960),
    [anon_sym_register] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(2960),
    [anon_sym___inline] = ACTIONS(2960),
    [anon_sym___inline__] = ACTIONS(2960),
    [anon_sym___forceinline] = ACTIONS(2960),
    [anon_sym_thread_local] = ACTIONS(2960),
    [anon_sym___thread] = ACTIONS(2960),
    [anon_sym_const] = ACTIONS(2960),
    [anon_sym_constexpr] = ACTIONS(2960),
    [anon_sym_volatile] = ACTIONS(2960),
    [anon_sym_restrict] = ACTIONS(2960),
    [anon_sym___restrict__] = ACTIONS(2960),
    [anon_sym__Atomic] = ACTIONS(2960),
    [anon_sym__Noreturn] = ACTIONS(2960),
    [anon_sym_noreturn] = ACTIONS(2960),
    [anon_sym__Nonnull] = ACTIONS(2960),
    [anon_sym_mutable] = ACTIONS(2960),
    [anon_sym_constinit] = ACTIONS(2960),
    [anon_sym_consteval] = ACTIONS(2960),
    [anon_sym_PROGMEM] = ACTIONS(2960),
    [anon_sym_alignas] = ACTIONS(2960),
    [anon_sym__Alignas] = ACTIONS(2960),
    [aux_sym_primitive_type_token1] = ACTIONS(2960),
    [anon_sym_byte] = ACTIONS(2960),
    [anon_sym_word] = ACTIONS(2960),
    [anon_sym_enum] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2960),
    [anon_sym_struct] = ACTIONS(2960),
    [anon_sym_union] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2960),
    [anon_sym_switch] = ACTIONS(2960),
    [anon_sym_case] = ACTIONS(2960),
    [anon_sym_default] = ACTIONS(2960),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_do] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2960),
    [anon_sym_return] = ACTIONS(2960),
    [anon_sym_break] = ACTIONS(2960),
    [anon_sym_continue] = ACTIONS(2960),
    [anon_sym_goto] = ACTIONS(2960),
    [anon_sym___try] = ACTIONS(2960),
    [anon_sym___leave] = ACTIONS(2960),
    [anon_sym_not] = ACTIONS(2960),
    [anon_sym_compl] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2962),
    [anon_sym_PLUS_PLUS] = ACTIONS(2962),
    [anon_sym_sizeof] = ACTIONS(2960),
    [anon_sym___alignof__] = ACTIONS(2960),
    [anon_sym___alignof] = ACTIONS(2960),
    [anon_sym__alignof] = ACTIONS(2960),
    [anon_sym_alignof] = ACTIONS(2960),
    [anon_sym__Alignof] = ACTIONS(2960),
    [anon_sym_offsetof] = ACTIONS(2960),
    [anon_sym__Generic] = ACTIONS(2960),
    [anon_sym_asm] = ACTIONS(2960),
    [anon_sym___asm__] = ACTIONS(2960),
    [anon_sym___asm] = ACTIONS(2960),
    [aux_sym_number_literal_token1] = ACTIONS(2962),
    [aux_sym_number_literal_token2] = ACTIONS(2960),
    [anon_sym_L_SQUOTE] = ACTIONS(2962),
    [anon_sym_u_SQUOTE] = ACTIONS(2962),
    [anon_sym_U_SQUOTE] = ACTIONS(2962),
    [anon_sym_u8_SQUOTE] = ACTIONS(2962),
    [anon_sym_SQUOTE] = ACTIONS(2962),
    [anon_sym_L_DQUOTE] = ACTIONS(2962),
    [anon_sym_u_DQUOTE] = ACTIONS(2962),
    [anon_sym_U_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8_DQUOTE] = ACTIONS(2962),
    [anon_sym_DQUOTE] = ACTIONS(2962),
    [sym_true] = ACTIONS(2960),
    [sym_false] = ACTIONS(2960),
    [anon_sym_NULL] = ACTIONS(2960),
    [anon_sym_nullptr] = ACTIONS(2960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2960),
    [anon_sym_decltype] = ACTIONS(2960),
    [anon_sym_explicit] = ACTIONS(2960),
    [anon_sym_typename] = ACTIONS(2960),
    [anon_sym_template] = ACTIONS(2960),
    [anon_sym_operator] = ACTIONS(2960),
    [anon_sym_try] = ACTIONS(2960),
    [anon_sym_delete] = ACTIONS(2960),
    [anon_sym_throw] = ACTIONS(2960),
    [anon_sym_namespace] = ACTIONS(2960),
    [anon_sym_using] = ACTIONS(2960),
    [anon_sym_static_assert] = ACTIONS(2960),
    [anon_sym_concept] = ACTIONS(2960),
    [anon_sym_co_return] = ACTIONS(2960),
    [anon_sym_co_yield] = ACTIONS(2960),
    [anon_sym_R_DQUOTE] = ACTIONS(2962),
    [anon_sym_LR_DQUOTE] = ACTIONS(2962),
    [anon_sym_uR_DQUOTE] = ACTIONS(2962),
    [anon_sym_UR_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2962),
    [anon_sym_co_await] = ACTIONS(2960),
    [anon_sym_new] = ACTIONS(2960),
    [anon_sym_requires] = ACTIONS(2960),
    [sym_this] = ACTIONS(2960),
  },
  [315] = {
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_include_token1] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token2] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [aux_sym_preproc_else_token1] = ACTIONS(2964),
    [aux_sym_preproc_elif_token1] = ACTIONS(2964),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_virtual] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym___cdecl] = ACTIONS(2964),
    [anon_sym___clrcall] = ACTIONS(2964),
    [anon_sym___stdcall] = ACTIONS(2964),
    [anon_sym___fastcall] = ACTIONS(2964),
    [anon_sym___thiscall] = ACTIONS(2964),
    [anon_sym___vectorcall] = ACTIONS(2964),
    [anon_sym_LBRACE] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym__Nonnull] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [anon_sym_PROGMEM] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym__Alignas] = ACTIONS(2964),
    [aux_sym_primitive_type_token1] = ACTIONS(2964),
    [anon_sym_byte] = ACTIONS(2964),
    [anon_sym_word] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_switch] = ACTIONS(2964),
    [anon_sym_case] = ACTIONS(2964),
    [anon_sym_default] = ACTIONS(2964),
    [anon_sym_while] = ACTIONS(2964),
    [anon_sym_do] = ACTIONS(2964),
    [anon_sym_for] = ACTIONS(2964),
    [anon_sym_return] = ACTIONS(2964),
    [anon_sym_break] = ACTIONS(2964),
    [anon_sym_continue] = ACTIONS(2964),
    [anon_sym_goto] = ACTIONS(2964),
    [anon_sym___try] = ACTIONS(2964),
    [anon_sym___leave] = ACTIONS(2964),
    [anon_sym_not] = ACTIONS(2964),
    [anon_sym_compl] = ACTIONS(2964),
    [anon_sym_DASH_DASH] = ACTIONS(2966),
    [anon_sym_PLUS_PLUS] = ACTIONS(2966),
    [anon_sym_sizeof] = ACTIONS(2964),
    [anon_sym___alignof__] = ACTIONS(2964),
    [anon_sym___alignof] = ACTIONS(2964),
    [anon_sym__alignof] = ACTIONS(2964),
    [anon_sym_alignof] = ACTIONS(2964),
    [anon_sym__Alignof] = ACTIONS(2964),
    [anon_sym_offsetof] = ACTIONS(2964),
    [anon_sym__Generic] = ACTIONS(2964),
    [anon_sym_asm] = ACTIONS(2964),
    [anon_sym___asm__] = ACTIONS(2964),
    [anon_sym___asm] = ACTIONS(2964),
    [aux_sym_number_literal_token1] = ACTIONS(2966),
    [aux_sym_number_literal_token2] = ACTIONS(2964),
    [anon_sym_L_SQUOTE] = ACTIONS(2966),
    [anon_sym_u_SQUOTE] = ACTIONS(2966),
    [anon_sym_U_SQUOTE] = ACTIONS(2966),
    [anon_sym_u8_SQUOTE] = ACTIONS(2966),
    [anon_sym_SQUOTE] = ACTIONS(2966),
    [anon_sym_L_DQUOTE] = ACTIONS(2966),
    [anon_sym_u_DQUOTE] = ACTIONS(2966),
    [anon_sym_U_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8_DQUOTE] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2966),
    [sym_true] = ACTIONS(2964),
    [sym_false] = ACTIONS(2964),
    [anon_sym_NULL] = ACTIONS(2964),
    [anon_sym_nullptr] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_delete] = ACTIONS(2964),
    [anon_sym_throw] = ACTIONS(2964),
    [anon_sym_namespace] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
    [anon_sym_concept] = ACTIONS(2964),
    [anon_sym_co_return] = ACTIONS(2964),
    [anon_sym_co_yield] = ACTIONS(2964),
    [anon_sym_R_DQUOTE] = ACTIONS(2966),
    [anon_sym_LR_DQUOTE] = ACTIONS(2966),
    [anon_sym_uR_DQUOTE] = ACTIONS(2966),
    [anon_sym_UR_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2966),
    [anon_sym_co_await] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(2964),
    [anon_sym_requires] = ACTIONS(2964),
    [sym_this] = ACTIONS(2964),
  },
  [316] = {
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_include_token1] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token2] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2968),
    [aux_sym_preproc_else_token1] = ACTIONS(2968),
    [aux_sym_preproc_elif_token1] = ACTIONS(2968),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2968),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2968),
    [sym_preproc_directive] = ACTIONS(2968),
    [anon_sym_LPAREN2] = ACTIONS(2970),
    [anon_sym_BANG] = ACTIONS(2970),
    [anon_sym_TILDE] = ACTIONS(2970),
    [anon_sym_DASH] = ACTIONS(2968),
    [anon_sym_PLUS] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(2970),
    [anon_sym_AMP_AMP] = ACTIONS(2970),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2970),
    [anon_sym___extension__] = ACTIONS(2968),
    [anon_sym_typedef] = ACTIONS(2968),
    [anon_sym_virtual] = ACTIONS(2968),
    [anon_sym_extern] = ACTIONS(2968),
    [anon_sym___attribute__] = ACTIONS(2968),
    [anon_sym_COLON_COLON] = ACTIONS(2970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2970),
    [anon_sym___declspec] = ACTIONS(2968),
    [anon_sym___based] = ACTIONS(2968),
    [anon_sym___cdecl] = ACTIONS(2968),
    [anon_sym___clrcall] = ACTIONS(2968),
    [anon_sym___stdcall] = ACTIONS(2968),
    [anon_sym___fastcall] = ACTIONS(2968),
    [anon_sym___thiscall] = ACTIONS(2968),
    [anon_sym___vectorcall] = ACTIONS(2968),
    [anon_sym_LBRACE] = ACTIONS(2970),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_register] = ACTIONS(2968),
    [anon_sym_inline] = ACTIONS(2968),
    [anon_sym___inline] = ACTIONS(2968),
    [anon_sym___inline__] = ACTIONS(2968),
    [anon_sym___forceinline] = ACTIONS(2968),
    [anon_sym_thread_local] = ACTIONS(2968),
    [anon_sym___thread] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2968),
    [anon_sym_constexpr] = ACTIONS(2968),
    [anon_sym_volatile] = ACTIONS(2968),
    [anon_sym_restrict] = ACTIONS(2968),
    [anon_sym___restrict__] = ACTIONS(2968),
    [anon_sym__Atomic] = ACTIONS(2968),
    [anon_sym__Noreturn] = ACTIONS(2968),
    [anon_sym_noreturn] = ACTIONS(2968),
    [anon_sym__Nonnull] = ACTIONS(2968),
    [anon_sym_mutable] = ACTIONS(2968),
    [anon_sym_constinit] = ACTIONS(2968),
    [anon_sym_consteval] = ACTIONS(2968),
    [anon_sym_PROGMEM] = ACTIONS(2968),
    [anon_sym_alignas] = ACTIONS(2968),
    [anon_sym__Alignas] = ACTIONS(2968),
    [aux_sym_primitive_type_token1] = ACTIONS(2968),
    [anon_sym_byte] = ACTIONS(2968),
    [anon_sym_word] = ACTIONS(2968),
    [anon_sym_enum] = ACTIONS(2968),
    [anon_sym_class] = ACTIONS(2968),
    [anon_sym_struct] = ACTIONS(2968),
    [anon_sym_union] = ACTIONS(2968),
    [anon_sym_if] = ACTIONS(2968),
    [anon_sym_switch] = ACTIONS(2968),
    [anon_sym_case] = ACTIONS(2968),
    [anon_sym_default] = ACTIONS(2968),
    [anon_sym_while] = ACTIONS(2968),
    [anon_sym_do] = ACTIONS(2968),
    [anon_sym_for] = ACTIONS(2968),
    [anon_sym_return] = ACTIONS(2968),
    [anon_sym_break] = ACTIONS(2968),
    [anon_sym_continue] = ACTIONS(2968),
    [anon_sym_goto] = ACTIONS(2968),
    [anon_sym___try] = ACTIONS(2968),
    [anon_sym___leave] = ACTIONS(2968),
    [anon_sym_not] = ACTIONS(2968),
    [anon_sym_compl] = ACTIONS(2968),
    [anon_sym_DASH_DASH] = ACTIONS(2970),
    [anon_sym_PLUS_PLUS] = ACTIONS(2970),
    [anon_sym_sizeof] = ACTIONS(2968),
    [anon_sym___alignof__] = ACTIONS(2968),
    [anon_sym___alignof] = ACTIONS(2968),
    [anon_sym__alignof] = ACTIONS(2968),
    [anon_sym_alignof] = ACTIONS(2968),
    [anon_sym__Alignof] = ACTIONS(2968),
    [anon_sym_offsetof] = ACTIONS(2968),
    [anon_sym__Generic] = ACTIONS(2968),
    [anon_sym_asm] = ACTIONS(2968),
    [anon_sym___asm__] = ACTIONS(2968),
    [anon_sym___asm] = ACTIONS(2968),
    [aux_sym_number_literal_token1] = ACTIONS(2970),
    [aux_sym_number_literal_token2] = ACTIONS(2968),
    [anon_sym_L_SQUOTE] = ACTIONS(2970),
    [anon_sym_u_SQUOTE] = ACTIONS(2970),
    [anon_sym_U_SQUOTE] = ACTIONS(2970),
    [anon_sym_u8_SQUOTE] = ACTIONS(2970),
    [anon_sym_SQUOTE] = ACTIONS(2970),
    [anon_sym_L_DQUOTE] = ACTIONS(2970),
    [anon_sym_u_DQUOTE] = ACTIONS(2970),
    [anon_sym_U_DQUOTE] = ACTIONS(2970),
    [anon_sym_u8_DQUOTE] = ACTIONS(2970),
    [anon_sym_DQUOTE] = ACTIONS(2970),
    [sym_true] = ACTIONS(2968),
    [sym_false] = ACTIONS(2968),
    [anon_sym_NULL] = ACTIONS(2968),
    [anon_sym_nullptr] = ACTIONS(2968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2968),
    [anon_sym_decltype] = ACTIONS(2968),
    [anon_sym_explicit] = ACTIONS(2968),
    [anon_sym_typename] = ACTIONS(2968),
    [anon_sym_template] = ACTIONS(2968),
    [anon_sym_operator] = ACTIONS(2968),
    [anon_sym_try] = ACTIONS(2968),
    [anon_sym_delete] = ACTIONS(2968),
    [anon_sym_throw] = ACTIONS(2968),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_using] = ACTIONS(2968),
    [anon_sym_static_assert] = ACTIONS(2968),
    [anon_sym_concept] = ACTIONS(2968),
    [anon_sym_co_return] = ACTIONS(2968),
    [anon_sym_co_yield] = ACTIONS(2968),
    [anon_sym_R_DQUOTE] = ACTIONS(2970),
    [anon_sym_LR_DQUOTE] = ACTIONS(2970),
    [anon_sym_uR_DQUOTE] = ACTIONS(2970),
    [anon_sym_UR_DQUOTE] = ACTIONS(2970),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2970),
    [anon_sym_co_await] = ACTIONS(2968),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_requires] = ACTIONS(2968),
    [sym_this] = ACTIONS(2968),
  },
  [317] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_include_token1] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [aux_sym_preproc_else_token1] = ACTIONS(2972),
    [aux_sym_preproc_elif_token1] = ACTIONS(2972),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_BANG] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym___cdecl] = ACTIONS(2972),
    [anon_sym___clrcall] = ACTIONS(2972),
    [anon_sym___stdcall] = ACTIONS(2972),
    [anon_sym___fastcall] = ACTIONS(2972),
    [anon_sym___thiscall] = ACTIONS(2972),
    [anon_sym___vectorcall] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2974),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [anon_sym_if] = ACTIONS(2972),
    [anon_sym_switch] = ACTIONS(2972),
    [anon_sym_case] = ACTIONS(2972),
    [anon_sym_default] = ACTIONS(2972),
    [anon_sym_while] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2972),
    [anon_sym_for] = ACTIONS(2972),
    [anon_sym_return] = ACTIONS(2972),
    [anon_sym_break] = ACTIONS(2972),
    [anon_sym_continue] = ACTIONS(2972),
    [anon_sym_goto] = ACTIONS(2972),
    [anon_sym___try] = ACTIONS(2972),
    [anon_sym___leave] = ACTIONS(2972),
    [anon_sym_not] = ACTIONS(2972),
    [anon_sym_compl] = ACTIONS(2972),
    [anon_sym_DASH_DASH] = ACTIONS(2974),
    [anon_sym_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_sizeof] = ACTIONS(2972),
    [anon_sym___alignof__] = ACTIONS(2972),
    [anon_sym___alignof] = ACTIONS(2972),
    [anon_sym__alignof] = ACTIONS(2972),
    [anon_sym_alignof] = ACTIONS(2972),
    [anon_sym__Alignof] = ACTIONS(2972),
    [anon_sym_offsetof] = ACTIONS(2972),
    [anon_sym__Generic] = ACTIONS(2972),
    [anon_sym_asm] = ACTIONS(2972),
    [anon_sym___asm__] = ACTIONS(2972),
    [anon_sym___asm] = ACTIONS(2972),
    [aux_sym_number_literal_token1] = ACTIONS(2974),
    [aux_sym_number_literal_token2] = ACTIONS(2972),
    [anon_sym_L_SQUOTE] = ACTIONS(2974),
    [anon_sym_u_SQUOTE] = ACTIONS(2974),
    [anon_sym_U_SQUOTE] = ACTIONS(2974),
    [anon_sym_u8_SQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [anon_sym_L_DQUOTE] = ACTIONS(2974),
    [anon_sym_u_DQUOTE] = ACTIONS(2974),
    [anon_sym_U_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8_DQUOTE] = ACTIONS(2974),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [anon_sym_NULL] = ACTIONS(2972),
    [anon_sym_nullptr] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_try] = ACTIONS(2972),
    [anon_sym_delete] = ACTIONS(2972),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_namespace] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
    [anon_sym_concept] = ACTIONS(2972),
    [anon_sym_co_return] = ACTIONS(2972),
    [anon_sym_co_yield] = ACTIONS(2972),
    [anon_sym_R_DQUOTE] = ACTIONS(2974),
    [anon_sym_LR_DQUOTE] = ACTIONS(2974),
    [anon_sym_uR_DQUOTE] = ACTIONS(2974),
    [anon_sym_UR_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2974),
    [anon_sym_co_await] = ACTIONS(2972),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_requires] = ACTIONS(2972),
    [sym_this] = ACTIONS(2972),
  },
  [318] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_include_token1] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [aux_sym_preproc_else_token1] = ACTIONS(2972),
    [aux_sym_preproc_elif_token1] = ACTIONS(2972),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_BANG] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym___cdecl] = ACTIONS(2972),
    [anon_sym___clrcall] = ACTIONS(2972),
    [anon_sym___stdcall] = ACTIONS(2972),
    [anon_sym___fastcall] = ACTIONS(2972),
    [anon_sym___thiscall] = ACTIONS(2972),
    [anon_sym___vectorcall] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2974),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [anon_sym_if] = ACTIONS(2972),
    [anon_sym_switch] = ACTIONS(2972),
    [anon_sym_case] = ACTIONS(2972),
    [anon_sym_default] = ACTIONS(2972),
    [anon_sym_while] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2972),
    [anon_sym_for] = ACTIONS(2972),
    [anon_sym_return] = ACTIONS(2972),
    [anon_sym_break] = ACTIONS(2972),
    [anon_sym_continue] = ACTIONS(2972),
    [anon_sym_goto] = ACTIONS(2972),
    [anon_sym___try] = ACTIONS(2972),
    [anon_sym___leave] = ACTIONS(2972),
    [anon_sym_not] = ACTIONS(2972),
    [anon_sym_compl] = ACTIONS(2972),
    [anon_sym_DASH_DASH] = ACTIONS(2974),
    [anon_sym_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_sizeof] = ACTIONS(2972),
    [anon_sym___alignof__] = ACTIONS(2972),
    [anon_sym___alignof] = ACTIONS(2972),
    [anon_sym__alignof] = ACTIONS(2972),
    [anon_sym_alignof] = ACTIONS(2972),
    [anon_sym__Alignof] = ACTIONS(2972),
    [anon_sym_offsetof] = ACTIONS(2972),
    [anon_sym__Generic] = ACTIONS(2972),
    [anon_sym_asm] = ACTIONS(2972),
    [anon_sym___asm__] = ACTIONS(2972),
    [anon_sym___asm] = ACTIONS(2972),
    [aux_sym_number_literal_token1] = ACTIONS(2974),
    [aux_sym_number_literal_token2] = ACTIONS(2972),
    [anon_sym_L_SQUOTE] = ACTIONS(2974),
    [anon_sym_u_SQUOTE] = ACTIONS(2974),
    [anon_sym_U_SQUOTE] = ACTIONS(2974),
    [anon_sym_u8_SQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [anon_sym_L_DQUOTE] = ACTIONS(2974),
    [anon_sym_u_DQUOTE] = ACTIONS(2974),
    [anon_sym_U_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8_DQUOTE] = ACTIONS(2974),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [anon_sym_NULL] = ACTIONS(2972),
    [anon_sym_nullptr] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_try] = ACTIONS(2972),
    [anon_sym_delete] = ACTIONS(2972),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_namespace] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
    [anon_sym_concept] = ACTIONS(2972),
    [anon_sym_co_return] = ACTIONS(2972),
    [anon_sym_co_yield] = ACTIONS(2972),
    [anon_sym_R_DQUOTE] = ACTIONS(2974),
    [anon_sym_LR_DQUOTE] = ACTIONS(2974),
    [anon_sym_uR_DQUOTE] = ACTIONS(2974),
    [anon_sym_UR_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2974),
    [anon_sym_co_await] = ACTIONS(2972),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_requires] = ACTIONS(2972),
    [sym_this] = ACTIONS(2972),
  },
  [319] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token2] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2976),
    [aux_sym_preproc_elif_token1] = ACTIONS(2976),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_PROGMEM] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [aux_sym_primitive_type_token1] = ACTIONS(2976),
    [anon_sym_byte] = ACTIONS(2976),
    [anon_sym_word] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym___try] = ACTIONS(2976),
    [anon_sym___leave] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [aux_sym_number_literal_token1] = ACTIONS(2978),
    [aux_sym_number_literal_token2] = ACTIONS(2976),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [320] = {
    [sym_identifier] = ACTIONS(2980),
    [aux_sym_preproc_include_token1] = ACTIONS(2980),
    [aux_sym_preproc_def_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token2] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2980),
    [aux_sym_preproc_else_token1] = ACTIONS(2980),
    [aux_sym_preproc_elif_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2980),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2980),
    [sym_preproc_directive] = ACTIONS(2980),
    [anon_sym_LPAREN2] = ACTIONS(2982),
    [anon_sym_BANG] = ACTIONS(2982),
    [anon_sym_TILDE] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2980),
    [anon_sym_PLUS] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_AMP] = ACTIONS(2980),
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym___extension__] = ACTIONS(2980),
    [anon_sym_typedef] = ACTIONS(2980),
    [anon_sym_virtual] = ACTIONS(2980),
    [anon_sym_extern] = ACTIONS(2980),
    [anon_sym___attribute__] = ACTIONS(2980),
    [anon_sym_COLON_COLON] = ACTIONS(2982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2982),
    [anon_sym___declspec] = ACTIONS(2980),
    [anon_sym___based] = ACTIONS(2980),
    [anon_sym___cdecl] = ACTIONS(2980),
    [anon_sym___clrcall] = ACTIONS(2980),
    [anon_sym___stdcall] = ACTIONS(2980),
    [anon_sym___fastcall] = ACTIONS(2980),
    [anon_sym___thiscall] = ACTIONS(2980),
    [anon_sym___vectorcall] = ACTIONS(2980),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_signed] = ACTIONS(2980),
    [anon_sym_unsigned] = ACTIONS(2980),
    [anon_sym_long] = ACTIONS(2980),
    [anon_sym_short] = ACTIONS(2980),
    [anon_sym_LBRACK] = ACTIONS(2980),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_register] = ACTIONS(2980),
    [anon_sym_inline] = ACTIONS(2980),
    [anon_sym___inline] = ACTIONS(2980),
    [anon_sym___inline__] = ACTIONS(2980),
    [anon_sym___forceinline] = ACTIONS(2980),
    [anon_sym_thread_local] = ACTIONS(2980),
    [anon_sym___thread] = ACTIONS(2980),
    [anon_sym_const] = ACTIONS(2980),
    [anon_sym_constexpr] = ACTIONS(2980),
    [anon_sym_volatile] = ACTIONS(2980),
    [anon_sym_restrict] = ACTIONS(2980),
    [anon_sym___restrict__] = ACTIONS(2980),
    [anon_sym__Atomic] = ACTIONS(2980),
    [anon_sym__Noreturn] = ACTIONS(2980),
    [anon_sym_noreturn] = ACTIONS(2980),
    [anon_sym__Nonnull] = ACTIONS(2980),
    [anon_sym_mutable] = ACTIONS(2980),
    [anon_sym_constinit] = ACTIONS(2980),
    [anon_sym_consteval] = ACTIONS(2980),
    [anon_sym_PROGMEM] = ACTIONS(2980),
    [anon_sym_alignas] = ACTIONS(2980),
    [anon_sym__Alignas] = ACTIONS(2980),
    [aux_sym_primitive_type_token1] = ACTIONS(2980),
    [anon_sym_byte] = ACTIONS(2980),
    [anon_sym_word] = ACTIONS(2980),
    [anon_sym_enum] = ACTIONS(2980),
    [anon_sym_class] = ACTIONS(2980),
    [anon_sym_struct] = ACTIONS(2980),
    [anon_sym_union] = ACTIONS(2980),
    [anon_sym_if] = ACTIONS(2980),
    [anon_sym_switch] = ACTIONS(2980),
    [anon_sym_case] = ACTIONS(2980),
    [anon_sym_default] = ACTIONS(2980),
    [anon_sym_while] = ACTIONS(2980),
    [anon_sym_do] = ACTIONS(2980),
    [anon_sym_for] = ACTIONS(2980),
    [anon_sym_return] = ACTIONS(2980),
    [anon_sym_break] = ACTIONS(2980),
    [anon_sym_continue] = ACTIONS(2980),
    [anon_sym_goto] = ACTIONS(2980),
    [anon_sym___try] = ACTIONS(2980),
    [anon_sym___leave] = ACTIONS(2980),
    [anon_sym_not] = ACTIONS(2980),
    [anon_sym_compl] = ACTIONS(2980),
    [anon_sym_DASH_DASH] = ACTIONS(2982),
    [anon_sym_PLUS_PLUS] = ACTIONS(2982),
    [anon_sym_sizeof] = ACTIONS(2980),
    [anon_sym___alignof__] = ACTIONS(2980),
    [anon_sym___alignof] = ACTIONS(2980),
    [anon_sym__alignof] = ACTIONS(2980),
    [anon_sym_alignof] = ACTIONS(2980),
    [anon_sym__Alignof] = ACTIONS(2980),
    [anon_sym_offsetof] = ACTIONS(2980),
    [anon_sym__Generic] = ACTIONS(2980),
    [anon_sym_asm] = ACTIONS(2980),
    [anon_sym___asm__] = ACTIONS(2980),
    [anon_sym___asm] = ACTIONS(2980),
    [aux_sym_number_literal_token1] = ACTIONS(2982),
    [aux_sym_number_literal_token2] = ACTIONS(2980),
    [anon_sym_L_SQUOTE] = ACTIONS(2982),
    [anon_sym_u_SQUOTE] = ACTIONS(2982),
    [anon_sym_U_SQUOTE] = ACTIONS(2982),
    [anon_sym_u8_SQUOTE] = ACTIONS(2982),
    [anon_sym_SQUOTE] = ACTIONS(2982),
    [anon_sym_L_DQUOTE] = ACTIONS(2982),
    [anon_sym_u_DQUOTE] = ACTIONS(2982),
    [anon_sym_U_DQUOTE] = ACTIONS(2982),
    [anon_sym_u8_DQUOTE] = ACTIONS(2982),
    [anon_sym_DQUOTE] = ACTIONS(2982),
    [sym_true] = ACTIONS(2980),
    [sym_false] = ACTIONS(2980),
    [anon_sym_NULL] = ACTIONS(2980),
    [anon_sym_nullptr] = ACTIONS(2980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2980),
    [anon_sym_decltype] = ACTIONS(2980),
    [anon_sym_explicit] = ACTIONS(2980),
    [anon_sym_typename] = ACTIONS(2980),
    [anon_sym_template] = ACTIONS(2980),
    [anon_sym_operator] = ACTIONS(2980),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_delete] = ACTIONS(2980),
    [anon_sym_throw] = ACTIONS(2980),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_using] = ACTIONS(2980),
    [anon_sym_static_assert] = ACTIONS(2980),
    [anon_sym_concept] = ACTIONS(2980),
    [anon_sym_co_return] = ACTIONS(2980),
    [anon_sym_co_yield] = ACTIONS(2980),
    [anon_sym_R_DQUOTE] = ACTIONS(2982),
    [anon_sym_LR_DQUOTE] = ACTIONS(2982),
    [anon_sym_uR_DQUOTE] = ACTIONS(2982),
    [anon_sym_UR_DQUOTE] = ACTIONS(2982),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2982),
    [anon_sym_co_await] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_requires] = ACTIONS(2980),
    [sym_this] = ACTIONS(2980),
  },
  [321] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_include_token1] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token2] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [aux_sym_preproc_else_token1] = ACTIONS(2984),
    [aux_sym_preproc_elif_token1] = ACTIONS(2984),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_BANG] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym___cdecl] = ACTIONS(2984),
    [anon_sym___clrcall] = ACTIONS(2984),
    [anon_sym___stdcall] = ACTIONS(2984),
    [anon_sym___fastcall] = ACTIONS(2984),
    [anon_sym___thiscall] = ACTIONS(2984),
    [anon_sym___vectorcall] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2984),
    [anon_sym_case] = ACTIONS(2984),
    [anon_sym_default] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_for] = ACTIONS(2984),
    [anon_sym_return] = ACTIONS(2984),
    [anon_sym_break] = ACTIONS(2984),
    [anon_sym_continue] = ACTIONS(2984),
    [anon_sym_goto] = ACTIONS(2984),
    [anon_sym___try] = ACTIONS(2984),
    [anon_sym___leave] = ACTIONS(2984),
    [anon_sym_not] = ACTIONS(2984),
    [anon_sym_compl] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2986),
    [anon_sym_PLUS_PLUS] = ACTIONS(2986),
    [anon_sym_sizeof] = ACTIONS(2984),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2984),
    [anon_sym__Generic] = ACTIONS(2984),
    [anon_sym_asm] = ACTIONS(2984),
    [anon_sym___asm__] = ACTIONS(2984),
    [anon_sym___asm] = ACTIONS(2984),
    [aux_sym_number_literal_token1] = ACTIONS(2986),
    [aux_sym_number_literal_token2] = ACTIONS(2984),
    [anon_sym_L_SQUOTE] = ACTIONS(2986),
    [anon_sym_u_SQUOTE] = ACTIONS(2986),
    [anon_sym_U_SQUOTE] = ACTIONS(2986),
    [anon_sym_u8_SQUOTE] = ACTIONS(2986),
    [anon_sym_SQUOTE] = ACTIONS(2986),
    [anon_sym_L_DQUOTE] = ACTIONS(2986),
    [anon_sym_u_DQUOTE] = ACTIONS(2986),
    [anon_sym_U_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8_DQUOTE] = ACTIONS(2986),
    [anon_sym_DQUOTE] = ACTIONS(2986),
    [sym_true] = ACTIONS(2984),
    [sym_false] = ACTIONS(2984),
    [anon_sym_NULL] = ACTIONS(2984),
    [anon_sym_nullptr] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_try] = ACTIONS(2984),
    [anon_sym_delete] = ACTIONS(2984),
    [anon_sym_throw] = ACTIONS(2984),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
    [anon_sym_concept] = ACTIONS(2984),
    [anon_sym_co_return] = ACTIONS(2984),
    [anon_sym_co_yield] = ACTIONS(2984),
    [anon_sym_R_DQUOTE] = ACTIONS(2986),
    [anon_sym_LR_DQUOTE] = ACTIONS(2986),
    [anon_sym_uR_DQUOTE] = ACTIONS(2986),
    [anon_sym_UR_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2986),
    [anon_sym_co_await] = ACTIONS(2984),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_requires] = ACTIONS(2984),
    [sym_this] = ACTIONS(2984),
  },
  [322] = {
    [sym_identifier] = ACTIONS(2988),
    [aux_sym_preproc_include_token1] = ACTIONS(2988),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token2] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2988),
    [aux_sym_preproc_else_token1] = ACTIONS(2988),
    [aux_sym_preproc_elif_token1] = ACTIONS(2988),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2988),
    [sym_preproc_directive] = ACTIONS(2988),
    [anon_sym_LPAREN2] = ACTIONS(2990),
    [anon_sym_BANG] = ACTIONS(2990),
    [anon_sym_TILDE] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2988),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2990),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_typedef] = ACTIONS(2988),
    [anon_sym_virtual] = ACTIONS(2988),
    [anon_sym_extern] = ACTIONS(2988),
    [anon_sym___attribute__] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(2990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2990),
    [anon_sym___declspec] = ACTIONS(2988),
    [anon_sym___based] = ACTIONS(2988),
    [anon_sym___cdecl] = ACTIONS(2988),
    [anon_sym___clrcall] = ACTIONS(2988),
    [anon_sym___stdcall] = ACTIONS(2988),
    [anon_sym___fastcall] = ACTIONS(2988),
    [anon_sym___thiscall] = ACTIONS(2988),
    [anon_sym___vectorcall] = ACTIONS(2988),
    [anon_sym_LBRACE] = ACTIONS(2990),
    [anon_sym_signed] = ACTIONS(2988),
    [anon_sym_unsigned] = ACTIONS(2988),
    [anon_sym_long] = ACTIONS(2988),
    [anon_sym_short] = ACTIONS(2988),
    [anon_sym_LBRACK] = ACTIONS(2988),
    [anon_sym_static] = ACTIONS(2988),
    [anon_sym_register] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(2988),
    [anon_sym___inline] = ACTIONS(2988),
    [anon_sym___inline__] = ACTIONS(2988),
    [anon_sym___forceinline] = ACTIONS(2988),
    [anon_sym_thread_local] = ACTIONS(2988),
    [anon_sym___thread] = ACTIONS(2988),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_PROGMEM] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2988),
    [anon_sym__Alignas] = ACTIONS(2988),
    [aux_sym_primitive_type_token1] = ACTIONS(2988),
    [anon_sym_byte] = ACTIONS(2988),
    [anon_sym_word] = ACTIONS(2988),
    [anon_sym_enum] = ACTIONS(2988),
    [anon_sym_class] = ACTIONS(2988),
    [anon_sym_struct] = ACTIONS(2988),
    [anon_sym_union] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2988),
    [anon_sym_switch] = ACTIONS(2988),
    [anon_sym_case] = ACTIONS(2988),
    [anon_sym_default] = ACTIONS(2988),
    [anon_sym_while] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2988),
    [anon_sym_for] = ACTIONS(2988),
    [anon_sym_return] = ACTIONS(2988),
    [anon_sym_break] = ACTIONS(2988),
    [anon_sym_continue] = ACTIONS(2988),
    [anon_sym_goto] = ACTIONS(2988),
    [anon_sym___try] = ACTIONS(2988),
    [anon_sym___leave] = ACTIONS(2988),
    [anon_sym_not] = ACTIONS(2988),
    [anon_sym_compl] = ACTIONS(2988),
    [anon_sym_DASH_DASH] = ACTIONS(2990),
    [anon_sym_PLUS_PLUS] = ACTIONS(2990),
    [anon_sym_sizeof] = ACTIONS(2988),
    [anon_sym___alignof__] = ACTIONS(2988),
    [anon_sym___alignof] = ACTIONS(2988),
    [anon_sym__alignof] = ACTIONS(2988),
    [anon_sym_alignof] = ACTIONS(2988),
    [anon_sym__Alignof] = ACTIONS(2988),
    [anon_sym_offsetof] = ACTIONS(2988),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2988),
    [anon_sym___asm__] = ACTIONS(2988),
    [anon_sym___asm] = ACTIONS(2988),
    [aux_sym_number_literal_token1] = ACTIONS(2990),
    [aux_sym_number_literal_token2] = ACTIONS(2988),
    [anon_sym_L_SQUOTE] = ACTIONS(2990),
    [anon_sym_u_SQUOTE] = ACTIONS(2990),
    [anon_sym_U_SQUOTE] = ACTIONS(2990),
    [anon_sym_u8_SQUOTE] = ACTIONS(2990),
    [anon_sym_SQUOTE] = ACTIONS(2990),
    [anon_sym_L_DQUOTE] = ACTIONS(2990),
    [anon_sym_u_DQUOTE] = ACTIONS(2990),
    [anon_sym_U_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8_DQUOTE] = ACTIONS(2990),
    [anon_sym_DQUOTE] = ACTIONS(2990),
    [sym_true] = ACTIONS(2988),
    [sym_false] = ACTIONS(2988),
    [anon_sym_NULL] = ACTIONS(2988),
    [anon_sym_nullptr] = ACTIONS(2988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2988),
    [anon_sym_decltype] = ACTIONS(2988),
    [anon_sym_explicit] = ACTIONS(2988),
    [anon_sym_typename] = ACTIONS(2988),
    [anon_sym_template] = ACTIONS(2988),
    [anon_sym_operator] = ACTIONS(2988),
    [anon_sym_try] = ACTIONS(2988),
    [anon_sym_delete] = ACTIONS(2988),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_namespace] = ACTIONS(2988),
    [anon_sym_using] = ACTIONS(2988),
    [anon_sym_static_assert] = ACTIONS(2988),
    [anon_sym_concept] = ACTIONS(2988),
    [anon_sym_co_return] = ACTIONS(2988),
    [anon_sym_co_yield] = ACTIONS(2988),
    [anon_sym_R_DQUOTE] = ACTIONS(2990),
    [anon_sym_LR_DQUOTE] = ACTIONS(2990),
    [anon_sym_uR_DQUOTE] = ACTIONS(2990),
    [anon_sym_UR_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2990),
    [anon_sym_co_await] = ACTIONS(2988),
    [anon_sym_new] = ACTIONS(2988),
    [anon_sym_requires] = ACTIONS(2988),
    [sym_this] = ACTIONS(2988),
  },
  [323] = {
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_include_token1] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token2] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [aux_sym_preproc_else_token1] = ACTIONS(2992),
    [aux_sym_preproc_elif_token1] = ACTIONS(2992),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym___cdecl] = ACTIONS(2992),
    [anon_sym___clrcall] = ACTIONS(2992),
    [anon_sym___stdcall] = ACTIONS(2992),
    [anon_sym___fastcall] = ACTIONS(2992),
    [anon_sym___thiscall] = ACTIONS(2992),
    [anon_sym___vectorcall] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_PROGMEM] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [aux_sym_primitive_type_token1] = ACTIONS(2992),
    [anon_sym_byte] = ACTIONS(2992),
    [anon_sym_word] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_case] = ACTIONS(2992),
    [anon_sym_default] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_goto] = ACTIONS(2992),
    [anon_sym___try] = ACTIONS(2992),
    [anon_sym___leave] = ACTIONS(2992),
    [anon_sym_not] = ACTIONS(2992),
    [anon_sym_compl] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_sizeof] = ACTIONS(2992),
    [anon_sym___alignof__] = ACTIONS(2992),
    [anon_sym___alignof] = ACTIONS(2992),
    [anon_sym__alignof] = ACTIONS(2992),
    [anon_sym_alignof] = ACTIONS(2992),
    [anon_sym__Alignof] = ACTIONS(2992),
    [anon_sym_offsetof] = ACTIONS(2992),
    [anon_sym__Generic] = ACTIONS(2992),
    [anon_sym_asm] = ACTIONS(2992),
    [anon_sym___asm__] = ACTIONS(2992),
    [anon_sym___asm] = ACTIONS(2992),
    [aux_sym_number_literal_token1] = ACTIONS(2994),
    [aux_sym_number_literal_token2] = ACTIONS(2992),
    [anon_sym_L_SQUOTE] = ACTIONS(2994),
    [anon_sym_u_SQUOTE] = ACTIONS(2994),
    [anon_sym_U_SQUOTE] = ACTIONS(2994),
    [anon_sym_u8_SQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_L_DQUOTE] = ACTIONS(2994),
    [anon_sym_u_DQUOTE] = ACTIONS(2994),
    [anon_sym_U_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8_DQUOTE] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [anon_sym_NULL] = ACTIONS(2992),
    [anon_sym_nullptr] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
    [anon_sym_concept] = ACTIONS(2992),
    [anon_sym_co_return] = ACTIONS(2992),
    [anon_sym_co_yield] = ACTIONS(2992),
    [anon_sym_R_DQUOTE] = ACTIONS(2994),
    [anon_sym_LR_DQUOTE] = ACTIONS(2994),
    [anon_sym_uR_DQUOTE] = ACTIONS(2994),
    [anon_sym_UR_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2994),
    [anon_sym_co_await] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_requires] = ACTIONS(2992),
    [sym_this] = ACTIONS(2992),
  },
  [324] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_include_token1] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token2] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [aux_sym_preproc_else_token1] = ACTIONS(2996),
    [aux_sym_preproc_elif_token1] = ACTIONS(2996),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym___cdecl] = ACTIONS(2996),
    [anon_sym___clrcall] = ACTIONS(2996),
    [anon_sym___stdcall] = ACTIONS(2996),
    [anon_sym___fastcall] = ACTIONS(2996),
    [anon_sym___thiscall] = ACTIONS(2996),
    [anon_sym___vectorcall] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym___try] = ACTIONS(2996),
    [anon_sym___leave] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2996),
    [anon_sym_compl] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [anon_sym___alignof__] = ACTIONS(2996),
    [anon_sym___alignof] = ACTIONS(2996),
    [anon_sym__alignof] = ACTIONS(2996),
    [anon_sym_alignof] = ACTIONS(2996),
    [anon_sym__Alignof] = ACTIONS(2996),
    [anon_sym_offsetof] = ACTIONS(2996),
    [anon_sym__Generic] = ACTIONS(2996),
    [anon_sym_asm] = ACTIONS(2996),
    [anon_sym___asm__] = ACTIONS(2996),
    [anon_sym___asm] = ACTIONS(2996),
    [aux_sym_number_literal_token1] = ACTIONS(2998),
    [aux_sym_number_literal_token2] = ACTIONS(2996),
    [anon_sym_L_SQUOTE] = ACTIONS(2998),
    [anon_sym_u_SQUOTE] = ACTIONS(2998),
    [anon_sym_U_SQUOTE] = ACTIONS(2998),
    [anon_sym_u8_SQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [anon_sym_NULL] = ACTIONS(2996),
    [anon_sym_nullptr] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
    [anon_sym_concept] = ACTIONS(2996),
    [anon_sym_co_return] = ACTIONS(2996),
    [anon_sym_co_yield] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2998),
    [anon_sym_LR_DQUOTE] = ACTIONS(2998),
    [anon_sym_uR_DQUOTE] = ACTIONS(2998),
    [anon_sym_UR_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2998),
    [anon_sym_co_await] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_requires] = ACTIONS(2996),
    [sym_this] = ACTIONS(2996),
  },
  [325] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_include_token1] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token2] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [aux_sym_preproc_else_token1] = ACTIONS(2996),
    [aux_sym_preproc_elif_token1] = ACTIONS(2996),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym___cdecl] = ACTIONS(2996),
    [anon_sym___clrcall] = ACTIONS(2996),
    [anon_sym___stdcall] = ACTIONS(2996),
    [anon_sym___fastcall] = ACTIONS(2996),
    [anon_sym___thiscall] = ACTIONS(2996),
    [anon_sym___vectorcall] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym___try] = ACTIONS(2996),
    [anon_sym___leave] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2996),
    [anon_sym_compl] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [anon_sym___alignof__] = ACTIONS(2996),
    [anon_sym___alignof] = ACTIONS(2996),
    [anon_sym__alignof] = ACTIONS(2996),
    [anon_sym_alignof] = ACTIONS(2996),
    [anon_sym__Alignof] = ACTIONS(2996),
    [anon_sym_offsetof] = ACTIONS(2996),
    [anon_sym__Generic] = ACTIONS(2996),
    [anon_sym_asm] = ACTIONS(2996),
    [anon_sym___asm__] = ACTIONS(2996),
    [anon_sym___asm] = ACTIONS(2996),
    [aux_sym_number_literal_token1] = ACTIONS(2998),
    [aux_sym_number_literal_token2] = ACTIONS(2996),
    [anon_sym_L_SQUOTE] = ACTIONS(2998),
    [anon_sym_u_SQUOTE] = ACTIONS(2998),
    [anon_sym_U_SQUOTE] = ACTIONS(2998),
    [anon_sym_u8_SQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [anon_sym_NULL] = ACTIONS(2996),
    [anon_sym_nullptr] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
    [anon_sym_concept] = ACTIONS(2996),
    [anon_sym_co_return] = ACTIONS(2996),
    [anon_sym_co_yield] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2998),
    [anon_sym_LR_DQUOTE] = ACTIONS(2998),
    [anon_sym_uR_DQUOTE] = ACTIONS(2998),
    [anon_sym_UR_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2998),
    [anon_sym_co_await] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_requires] = ACTIONS(2996),
    [sym_this] = ACTIONS(2996),
  },
  [326] = {
    [sym_identifier] = ACTIONS(3000),
    [aux_sym_preproc_include_token1] = ACTIONS(3000),
    [aux_sym_preproc_def_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token2] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3000),
    [aux_sym_preproc_else_token1] = ACTIONS(3000),
    [aux_sym_preproc_elif_token1] = ACTIONS(3000),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3000),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(3002),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3000),
    [anon_sym_PLUS] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3000),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3000),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_virtual] = ACTIONS(3000),
    [anon_sym_extern] = ACTIONS(3000),
    [anon_sym___attribute__] = ACTIONS(3000),
    [anon_sym_COLON_COLON] = ACTIONS(3002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3002),
    [anon_sym___declspec] = ACTIONS(3000),
    [anon_sym___based] = ACTIONS(3000),
    [anon_sym___cdecl] = ACTIONS(3000),
    [anon_sym___clrcall] = ACTIONS(3000),
    [anon_sym___stdcall] = ACTIONS(3000),
    [anon_sym___fastcall] = ACTIONS(3000),
    [anon_sym___thiscall] = ACTIONS(3000),
    [anon_sym___vectorcall] = ACTIONS(3000),
    [anon_sym_LBRACE] = ACTIONS(3002),
    [anon_sym_signed] = ACTIONS(3000),
    [anon_sym_unsigned] = ACTIONS(3000),
    [anon_sym_long] = ACTIONS(3000),
    [anon_sym_short] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_register] = ACTIONS(3000),
    [anon_sym_inline] = ACTIONS(3000),
    [anon_sym___inline] = ACTIONS(3000),
    [anon_sym___inline__] = ACTIONS(3000),
    [anon_sym___forceinline] = ACTIONS(3000),
    [anon_sym_thread_local] = ACTIONS(3000),
    [anon_sym___thread] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_constexpr] = ACTIONS(3000),
    [anon_sym_volatile] = ACTIONS(3000),
    [anon_sym_restrict] = ACTIONS(3000),
    [anon_sym___restrict__] = ACTIONS(3000),
    [anon_sym__Atomic] = ACTIONS(3000),
    [anon_sym__Noreturn] = ACTIONS(3000),
    [anon_sym_noreturn] = ACTIONS(3000),
    [anon_sym__Nonnull] = ACTIONS(3000),
    [anon_sym_mutable] = ACTIONS(3000),
    [anon_sym_constinit] = ACTIONS(3000),
    [anon_sym_consteval] = ACTIONS(3000),
    [anon_sym_PROGMEM] = ACTIONS(3000),
    [anon_sym_alignas] = ACTIONS(3000),
    [anon_sym__Alignas] = ACTIONS(3000),
    [aux_sym_primitive_type_token1] = ACTIONS(3000),
    [anon_sym_byte] = ACTIONS(3000),
    [anon_sym_word] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_struct] = ACTIONS(3000),
    [anon_sym_union] = ACTIONS(3000),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_switch] = ACTIONS(3000),
    [anon_sym_case] = ACTIONS(3000),
    [anon_sym_default] = ACTIONS(3000),
    [anon_sym_while] = ACTIONS(3000),
    [anon_sym_do] = ACTIONS(3000),
    [anon_sym_for] = ACTIONS(3000),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_break] = ACTIONS(3000),
    [anon_sym_continue] = ACTIONS(3000),
    [anon_sym_goto] = ACTIONS(3000),
    [anon_sym___try] = ACTIONS(3000),
    [anon_sym___leave] = ACTIONS(3000),
    [anon_sym_not] = ACTIONS(3000),
    [anon_sym_compl] = ACTIONS(3000),
    [anon_sym_DASH_DASH] = ACTIONS(3002),
    [anon_sym_PLUS_PLUS] = ACTIONS(3002),
    [anon_sym_sizeof] = ACTIONS(3000),
    [anon_sym___alignof__] = ACTIONS(3000),
    [anon_sym___alignof] = ACTIONS(3000),
    [anon_sym__alignof] = ACTIONS(3000),
    [anon_sym_alignof] = ACTIONS(3000),
    [anon_sym__Alignof] = ACTIONS(3000),
    [anon_sym_offsetof] = ACTIONS(3000),
    [anon_sym__Generic] = ACTIONS(3000),
    [anon_sym_asm] = ACTIONS(3000),
    [anon_sym___asm__] = ACTIONS(3000),
    [anon_sym___asm] = ACTIONS(3000),
    [aux_sym_number_literal_token1] = ACTIONS(3002),
    [aux_sym_number_literal_token2] = ACTIONS(3000),
    [anon_sym_L_SQUOTE] = ACTIONS(3002),
    [anon_sym_u_SQUOTE] = ACTIONS(3002),
    [anon_sym_U_SQUOTE] = ACTIONS(3002),
    [anon_sym_u8_SQUOTE] = ACTIONS(3002),
    [anon_sym_SQUOTE] = ACTIONS(3002),
    [anon_sym_L_DQUOTE] = ACTIONS(3002),
    [anon_sym_u_DQUOTE] = ACTIONS(3002),
    [anon_sym_U_DQUOTE] = ACTIONS(3002),
    [anon_sym_u8_DQUOTE] = ACTIONS(3002),
    [anon_sym_DQUOTE] = ACTIONS(3002),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3000),
    [anon_sym_nullptr] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3000),
    [anon_sym_decltype] = ACTIONS(3000),
    [anon_sym_explicit] = ACTIONS(3000),
    [anon_sym_typename] = ACTIONS(3000),
    [anon_sym_template] = ACTIONS(3000),
    [anon_sym_operator] = ACTIONS(3000),
    [anon_sym_try] = ACTIONS(3000),
    [anon_sym_delete] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3000),
    [anon_sym_namespace] = ACTIONS(3000),
    [anon_sym_using] = ACTIONS(3000),
    [anon_sym_static_assert] = ACTIONS(3000),
    [anon_sym_concept] = ACTIONS(3000),
    [anon_sym_co_return] = ACTIONS(3000),
    [anon_sym_co_yield] = ACTIONS(3000),
    [anon_sym_R_DQUOTE] = ACTIONS(3002),
    [anon_sym_LR_DQUOTE] = ACTIONS(3002),
    [anon_sym_uR_DQUOTE] = ACTIONS(3002),
    [anon_sym_UR_DQUOTE] = ACTIONS(3002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3002),
    [anon_sym_co_await] = ACTIONS(3000),
    [anon_sym_new] = ACTIONS(3000),
    [anon_sym_requires] = ACTIONS(3000),
    [sym_this] = ACTIONS(3000),
  },
  [327] = {
    [sym_identifier] = ACTIONS(3004),
    [aux_sym_preproc_include_token1] = ACTIONS(3004),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token2] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3004),
    [aux_sym_preproc_else_token1] = ACTIONS(3004),
    [aux_sym_preproc_elif_token1] = ACTIONS(3004),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3004),
    [sym_preproc_directive] = ACTIONS(3004),
    [anon_sym_LPAREN2] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(3006),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3004),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3006),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3004),
    [anon_sym_virtual] = ACTIONS(3004),
    [anon_sym_extern] = ACTIONS(3004),
    [anon_sym___attribute__] = ACTIONS(3004),
    [anon_sym_COLON_COLON] = ACTIONS(3006),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3006),
    [anon_sym___declspec] = ACTIONS(3004),
    [anon_sym___based] = ACTIONS(3004),
    [anon_sym___cdecl] = ACTIONS(3004),
    [anon_sym___clrcall] = ACTIONS(3004),
    [anon_sym___stdcall] = ACTIONS(3004),
    [anon_sym___fastcall] = ACTIONS(3004),
    [anon_sym___thiscall] = ACTIONS(3004),
    [anon_sym___vectorcall] = ACTIONS(3004),
    [anon_sym_LBRACE] = ACTIONS(3006),
    [anon_sym_signed] = ACTIONS(3004),
    [anon_sym_unsigned] = ACTIONS(3004),
    [anon_sym_long] = ACTIONS(3004),
    [anon_sym_short] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_register] = ACTIONS(3004),
    [anon_sym_inline] = ACTIONS(3004),
    [anon_sym___inline] = ACTIONS(3004),
    [anon_sym___inline__] = ACTIONS(3004),
    [anon_sym___forceinline] = ACTIONS(3004),
    [anon_sym_thread_local] = ACTIONS(3004),
    [anon_sym___thread] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_constexpr] = ACTIONS(3004),
    [anon_sym_volatile] = ACTIONS(3004),
    [anon_sym_restrict] = ACTIONS(3004),
    [anon_sym___restrict__] = ACTIONS(3004),
    [anon_sym__Atomic] = ACTIONS(3004),
    [anon_sym__Noreturn] = ACTIONS(3004),
    [anon_sym_noreturn] = ACTIONS(3004),
    [anon_sym__Nonnull] = ACTIONS(3004),
    [anon_sym_mutable] = ACTIONS(3004),
    [anon_sym_constinit] = ACTIONS(3004),
    [anon_sym_consteval] = ACTIONS(3004),
    [anon_sym_PROGMEM] = ACTIONS(3004),
    [anon_sym_alignas] = ACTIONS(3004),
    [anon_sym__Alignas] = ACTIONS(3004),
    [aux_sym_primitive_type_token1] = ACTIONS(3004),
    [anon_sym_byte] = ACTIONS(3004),
    [anon_sym_word] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_union] = ACTIONS(3004),
    [anon_sym_if] = ACTIONS(3004),
    [anon_sym_switch] = ACTIONS(3004),
    [anon_sym_case] = ACTIONS(3004),
    [anon_sym_default] = ACTIONS(3004),
    [anon_sym_while] = ACTIONS(3004),
    [anon_sym_do] = ACTIONS(3004),
    [anon_sym_for] = ACTIONS(3004),
    [anon_sym_return] = ACTIONS(3004),
    [anon_sym_break] = ACTIONS(3004),
    [anon_sym_continue] = ACTIONS(3004),
    [anon_sym_goto] = ACTIONS(3004),
    [anon_sym___try] = ACTIONS(3004),
    [anon_sym___leave] = ACTIONS(3004),
    [anon_sym_not] = ACTIONS(3004),
    [anon_sym_compl] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3006),
    [anon_sym_sizeof] = ACTIONS(3004),
    [anon_sym___alignof__] = ACTIONS(3004),
    [anon_sym___alignof] = ACTIONS(3004),
    [anon_sym__alignof] = ACTIONS(3004),
    [anon_sym_alignof] = ACTIONS(3004),
    [anon_sym__Alignof] = ACTIONS(3004),
    [anon_sym_offsetof] = ACTIONS(3004),
    [anon_sym__Generic] = ACTIONS(3004),
    [anon_sym_asm] = ACTIONS(3004),
    [anon_sym___asm__] = ACTIONS(3004),
    [anon_sym___asm] = ACTIONS(3004),
    [aux_sym_number_literal_token1] = ACTIONS(3006),
    [aux_sym_number_literal_token2] = ACTIONS(3004),
    [anon_sym_L_SQUOTE] = ACTIONS(3006),
    [anon_sym_u_SQUOTE] = ACTIONS(3006),
    [anon_sym_U_SQUOTE] = ACTIONS(3006),
    [anon_sym_u8_SQUOTE] = ACTIONS(3006),
    [anon_sym_SQUOTE] = ACTIONS(3006),
    [anon_sym_L_DQUOTE] = ACTIONS(3006),
    [anon_sym_u_DQUOTE] = ACTIONS(3006),
    [anon_sym_U_DQUOTE] = ACTIONS(3006),
    [anon_sym_u8_DQUOTE] = ACTIONS(3006),
    [anon_sym_DQUOTE] = ACTIONS(3006),
    [sym_true] = ACTIONS(3004),
    [sym_false] = ACTIONS(3004),
    [anon_sym_NULL] = ACTIONS(3004),
    [anon_sym_nullptr] = ACTIONS(3004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3004),
    [anon_sym_explicit] = ACTIONS(3004),
    [anon_sym_typename] = ACTIONS(3004),
    [anon_sym_template] = ACTIONS(3004),
    [anon_sym_operator] = ACTIONS(3004),
    [anon_sym_try] = ACTIONS(3004),
    [anon_sym_delete] = ACTIONS(3004),
    [anon_sym_throw] = ACTIONS(3004),
    [anon_sym_namespace] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(3004),
    [anon_sym_static_assert] = ACTIONS(3004),
    [anon_sym_concept] = ACTIONS(3004),
    [anon_sym_co_return] = ACTIONS(3004),
    [anon_sym_co_yield] = ACTIONS(3004),
    [anon_sym_R_DQUOTE] = ACTIONS(3006),
    [anon_sym_LR_DQUOTE] = ACTIONS(3006),
    [anon_sym_uR_DQUOTE] = ACTIONS(3006),
    [anon_sym_UR_DQUOTE] = ACTIONS(3006),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3006),
    [anon_sym_co_await] = ACTIONS(3004),
    [anon_sym_new] = ACTIONS(3004),
    [anon_sym_requires] = ACTIONS(3004),
    [sym_this] = ACTIONS(3004),
  },
  [328] = {
    [sym_identifier] = ACTIONS(3008),
    [aux_sym_preproc_include_token1] = ACTIONS(3008),
    [aux_sym_preproc_def_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token2] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [aux_sym_preproc_else_token1] = ACTIONS(3008),
    [aux_sym_preproc_elif_token1] = ACTIONS(3008),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3008),
    [anon_sym_LPAREN2] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(3010),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(3008),
    [anon_sym_typedef] = ACTIONS(3008),
    [anon_sym_virtual] = ACTIONS(3008),
    [anon_sym_extern] = ACTIONS(3008),
    [anon_sym___attribute__] = ACTIONS(3008),
    [anon_sym_COLON_COLON] = ACTIONS(3010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3010),
    [anon_sym___declspec] = ACTIONS(3008),
    [anon_sym___based] = ACTIONS(3008),
    [anon_sym___cdecl] = ACTIONS(3008),
    [anon_sym___clrcall] = ACTIONS(3008),
    [anon_sym___stdcall] = ACTIONS(3008),
    [anon_sym___fastcall] = ACTIONS(3008),
    [anon_sym___thiscall] = ACTIONS(3008),
    [anon_sym___vectorcall] = ACTIONS(3008),
    [anon_sym_LBRACE] = ACTIONS(3010),
    [anon_sym_signed] = ACTIONS(3008),
    [anon_sym_unsigned] = ACTIONS(3008),
    [anon_sym_long] = ACTIONS(3008),
    [anon_sym_short] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_register] = ACTIONS(3008),
    [anon_sym_inline] = ACTIONS(3008),
    [anon_sym___inline] = ACTIONS(3008),
    [anon_sym___inline__] = ACTIONS(3008),
    [anon_sym___forceinline] = ACTIONS(3008),
    [anon_sym_thread_local] = ACTIONS(3008),
    [anon_sym___thread] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_constexpr] = ACTIONS(3008),
    [anon_sym_volatile] = ACTIONS(3008),
    [anon_sym_restrict] = ACTIONS(3008),
    [anon_sym___restrict__] = ACTIONS(3008),
    [anon_sym__Atomic] = ACTIONS(3008),
    [anon_sym__Noreturn] = ACTIONS(3008),
    [anon_sym_noreturn] = ACTIONS(3008),
    [anon_sym__Nonnull] = ACTIONS(3008),
    [anon_sym_mutable] = ACTIONS(3008),
    [anon_sym_constinit] = ACTIONS(3008),
    [anon_sym_consteval] = ACTIONS(3008),
    [anon_sym_PROGMEM] = ACTIONS(3008),
    [anon_sym_alignas] = ACTIONS(3008),
    [anon_sym__Alignas] = ACTIONS(3008),
    [aux_sym_primitive_type_token1] = ACTIONS(3008),
    [anon_sym_byte] = ACTIONS(3008),
    [anon_sym_word] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3008),
    [anon_sym_if] = ACTIONS(3008),
    [anon_sym_switch] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3008),
    [anon_sym_default] = ACTIONS(3008),
    [anon_sym_while] = ACTIONS(3008),
    [anon_sym_do] = ACTIONS(3008),
    [anon_sym_for] = ACTIONS(3008),
    [anon_sym_return] = ACTIONS(3008),
    [anon_sym_break] = ACTIONS(3008),
    [anon_sym_continue] = ACTIONS(3008),
    [anon_sym_goto] = ACTIONS(3008),
    [anon_sym___try] = ACTIONS(3008),
    [anon_sym___leave] = ACTIONS(3008),
    [anon_sym_not] = ACTIONS(3008),
    [anon_sym_compl] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3010),
    [anon_sym_sizeof] = ACTIONS(3008),
    [anon_sym___alignof__] = ACTIONS(3008),
    [anon_sym___alignof] = ACTIONS(3008),
    [anon_sym__alignof] = ACTIONS(3008),
    [anon_sym_alignof] = ACTIONS(3008),
    [anon_sym__Alignof] = ACTIONS(3008),
    [anon_sym_offsetof] = ACTIONS(3008),
    [anon_sym__Generic] = ACTIONS(3008),
    [anon_sym_asm] = ACTIONS(3008),
    [anon_sym___asm__] = ACTIONS(3008),
    [anon_sym___asm] = ACTIONS(3008),
    [aux_sym_number_literal_token1] = ACTIONS(3010),
    [aux_sym_number_literal_token2] = ACTIONS(3008),
    [anon_sym_L_SQUOTE] = ACTIONS(3010),
    [anon_sym_u_SQUOTE] = ACTIONS(3010),
    [anon_sym_U_SQUOTE] = ACTIONS(3010),
    [anon_sym_u8_SQUOTE] = ACTIONS(3010),
    [anon_sym_SQUOTE] = ACTIONS(3010),
    [anon_sym_L_DQUOTE] = ACTIONS(3010),
    [anon_sym_u_DQUOTE] = ACTIONS(3010),
    [anon_sym_U_DQUOTE] = ACTIONS(3010),
    [anon_sym_u8_DQUOTE] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3010),
    [sym_true] = ACTIONS(3008),
    [sym_false] = ACTIONS(3008),
    [anon_sym_NULL] = ACTIONS(3008),
    [anon_sym_nullptr] = ACTIONS(3008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3008),
    [anon_sym_decltype] = ACTIONS(3008),
    [anon_sym_explicit] = ACTIONS(3008),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(3008),
    [anon_sym_operator] = ACTIONS(3008),
    [anon_sym_try] = ACTIONS(3008),
    [anon_sym_delete] = ACTIONS(3008),
    [anon_sym_throw] = ACTIONS(3008),
    [anon_sym_namespace] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_concept] = ACTIONS(3008),
    [anon_sym_co_return] = ACTIONS(3008),
    [anon_sym_co_yield] = ACTIONS(3008),
    [anon_sym_R_DQUOTE] = ACTIONS(3010),
    [anon_sym_LR_DQUOTE] = ACTIONS(3010),
    [anon_sym_uR_DQUOTE] = ACTIONS(3010),
    [anon_sym_UR_DQUOTE] = ACTIONS(3010),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3010),
    [anon_sym_co_await] = ACTIONS(3008),
    [anon_sym_new] = ACTIONS(3008),
    [anon_sym_requires] = ACTIONS(3008),
    [sym_this] = ACTIONS(3008),
  },
  [329] = {
    [sym_identifier] = ACTIONS(3012),
    [aux_sym_preproc_include_token1] = ACTIONS(3012),
    [aux_sym_preproc_def_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token2] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3012),
    [aux_sym_preproc_else_token1] = ACTIONS(3012),
    [aux_sym_preproc_elif_token1] = ACTIONS(3012),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3012),
    [sym_preproc_directive] = ACTIONS(3012),
    [anon_sym_LPAREN2] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(3014),
    [anon_sym_TILDE] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3012),
    [anon_sym_typedef] = ACTIONS(3012),
    [anon_sym_virtual] = ACTIONS(3012),
    [anon_sym_extern] = ACTIONS(3012),
    [anon_sym___attribute__] = ACTIONS(3012),
    [anon_sym_COLON_COLON] = ACTIONS(3014),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3014),
    [anon_sym___declspec] = ACTIONS(3012),
    [anon_sym___based] = ACTIONS(3012),
    [anon_sym___cdecl] = ACTIONS(3012),
    [anon_sym___clrcall] = ACTIONS(3012),
    [anon_sym___stdcall] = ACTIONS(3012),
    [anon_sym___fastcall] = ACTIONS(3012),
    [anon_sym___thiscall] = ACTIONS(3012),
    [anon_sym___vectorcall] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_signed] = ACTIONS(3012),
    [anon_sym_unsigned] = ACTIONS(3012),
    [anon_sym_long] = ACTIONS(3012),
    [anon_sym_short] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_static] = ACTIONS(3012),
    [anon_sym_register] = ACTIONS(3012),
    [anon_sym_inline] = ACTIONS(3012),
    [anon_sym___inline] = ACTIONS(3012),
    [anon_sym___inline__] = ACTIONS(3012),
    [anon_sym___forceinline] = ACTIONS(3012),
    [anon_sym_thread_local] = ACTIONS(3012),
    [anon_sym___thread] = ACTIONS(3012),
    [anon_sym_const] = ACTIONS(3012),
    [anon_sym_constexpr] = ACTIONS(3012),
    [anon_sym_volatile] = ACTIONS(3012),
    [anon_sym_restrict] = ACTIONS(3012),
    [anon_sym___restrict__] = ACTIONS(3012),
    [anon_sym__Atomic] = ACTIONS(3012),
    [anon_sym__Noreturn] = ACTIONS(3012),
    [anon_sym_noreturn] = ACTIONS(3012),
    [anon_sym__Nonnull] = ACTIONS(3012),
    [anon_sym_mutable] = ACTIONS(3012),
    [anon_sym_constinit] = ACTIONS(3012),
    [anon_sym_consteval] = ACTIONS(3012),
    [anon_sym_PROGMEM] = ACTIONS(3012),
    [anon_sym_alignas] = ACTIONS(3012),
    [anon_sym__Alignas] = ACTIONS(3012),
    [aux_sym_primitive_type_token1] = ACTIONS(3012),
    [anon_sym_byte] = ACTIONS(3012),
    [anon_sym_word] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3012),
    [anon_sym_struct] = ACTIONS(3012),
    [anon_sym_union] = ACTIONS(3012),
    [anon_sym_if] = ACTIONS(3012),
    [anon_sym_switch] = ACTIONS(3012),
    [anon_sym_case] = ACTIONS(3012),
    [anon_sym_default] = ACTIONS(3012),
    [anon_sym_while] = ACTIONS(3012),
    [anon_sym_do] = ACTIONS(3012),
    [anon_sym_for] = ACTIONS(3012),
    [anon_sym_return] = ACTIONS(3012),
    [anon_sym_break] = ACTIONS(3012),
    [anon_sym_continue] = ACTIONS(3012),
    [anon_sym_goto] = ACTIONS(3012),
    [anon_sym___try] = ACTIONS(3012),
    [anon_sym___leave] = ACTIONS(3012),
    [anon_sym_not] = ACTIONS(3012),
    [anon_sym_compl] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3014),
    [anon_sym_PLUS_PLUS] = ACTIONS(3014),
    [anon_sym_sizeof] = ACTIONS(3012),
    [anon_sym___alignof__] = ACTIONS(3012),
    [anon_sym___alignof] = ACTIONS(3012),
    [anon_sym__alignof] = ACTIONS(3012),
    [anon_sym_alignof] = ACTIONS(3012),
    [anon_sym__Alignof] = ACTIONS(3012),
    [anon_sym_offsetof] = ACTIONS(3012),
    [anon_sym__Generic] = ACTIONS(3012),
    [anon_sym_asm] = ACTIONS(3012),
    [anon_sym___asm__] = ACTIONS(3012),
    [anon_sym___asm] = ACTIONS(3012),
    [aux_sym_number_literal_token1] = ACTIONS(3014),
    [aux_sym_number_literal_token2] = ACTIONS(3012),
    [anon_sym_L_SQUOTE] = ACTIONS(3014),
    [anon_sym_u_SQUOTE] = ACTIONS(3014),
    [anon_sym_U_SQUOTE] = ACTIONS(3014),
    [anon_sym_u8_SQUOTE] = ACTIONS(3014),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [anon_sym_L_DQUOTE] = ACTIONS(3014),
    [anon_sym_u_DQUOTE] = ACTIONS(3014),
    [anon_sym_U_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8_DQUOTE] = ACTIONS(3014),
    [anon_sym_DQUOTE] = ACTIONS(3014),
    [sym_true] = ACTIONS(3012),
    [sym_false] = ACTIONS(3012),
    [anon_sym_NULL] = ACTIONS(3012),
    [anon_sym_nullptr] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3012),
    [anon_sym_decltype] = ACTIONS(3012),
    [anon_sym_explicit] = ACTIONS(3012),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(3012),
    [anon_sym_try] = ACTIONS(3012),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_throw] = ACTIONS(3012),
    [anon_sym_namespace] = ACTIONS(3012),
    [anon_sym_using] = ACTIONS(3012),
    [anon_sym_static_assert] = ACTIONS(3012),
    [anon_sym_concept] = ACTIONS(3012),
    [anon_sym_co_return] = ACTIONS(3012),
    [anon_sym_co_yield] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3012),
    [anon_sym_new] = ACTIONS(3012),
    [anon_sym_requires] = ACTIONS(3012),
    [sym_this] = ACTIONS(3012),
  },
  [330] = {
    [sym_identifier] = ACTIONS(3016),
    [aux_sym_preproc_include_token1] = ACTIONS(3016),
    [aux_sym_preproc_def_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token2] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3016),
    [aux_sym_preproc_else_token1] = ACTIONS(3016),
    [aux_sym_preproc_elif_token1] = ACTIONS(3016),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3016),
    [sym_preproc_directive] = ACTIONS(3016),
    [anon_sym_LPAREN2] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym___extension__] = ACTIONS(3016),
    [anon_sym_typedef] = ACTIONS(3016),
    [anon_sym_virtual] = ACTIONS(3016),
    [anon_sym_extern] = ACTIONS(3016),
    [anon_sym___attribute__] = ACTIONS(3016),
    [anon_sym_COLON_COLON] = ACTIONS(3018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3018),
    [anon_sym___declspec] = ACTIONS(3016),
    [anon_sym___based] = ACTIONS(3016),
    [anon_sym___cdecl] = ACTIONS(3016),
    [anon_sym___clrcall] = ACTIONS(3016),
    [anon_sym___stdcall] = ACTIONS(3016),
    [anon_sym___fastcall] = ACTIONS(3016),
    [anon_sym___thiscall] = ACTIONS(3016),
    [anon_sym___vectorcall] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3018),
    [anon_sym_signed] = ACTIONS(3016),
    [anon_sym_unsigned] = ACTIONS(3016),
    [anon_sym_long] = ACTIONS(3016),
    [anon_sym_short] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_register] = ACTIONS(3016),
    [anon_sym_inline] = ACTIONS(3016),
    [anon_sym___inline] = ACTIONS(3016),
    [anon_sym___inline__] = ACTIONS(3016),
    [anon_sym___forceinline] = ACTIONS(3016),
    [anon_sym_thread_local] = ACTIONS(3016),
    [anon_sym___thread] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_constexpr] = ACTIONS(3016),
    [anon_sym_volatile] = ACTIONS(3016),
    [anon_sym_restrict] = ACTIONS(3016),
    [anon_sym___restrict__] = ACTIONS(3016),
    [anon_sym__Atomic] = ACTIONS(3016),
    [anon_sym__Noreturn] = ACTIONS(3016),
    [anon_sym_noreturn] = ACTIONS(3016),
    [anon_sym__Nonnull] = ACTIONS(3016),
    [anon_sym_mutable] = ACTIONS(3016),
    [anon_sym_constinit] = ACTIONS(3016),
    [anon_sym_consteval] = ACTIONS(3016),
    [anon_sym_PROGMEM] = ACTIONS(3016),
    [anon_sym_alignas] = ACTIONS(3016),
    [anon_sym__Alignas] = ACTIONS(3016),
    [aux_sym_primitive_type_token1] = ACTIONS(3016),
    [anon_sym_byte] = ACTIONS(3016),
    [anon_sym_word] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_struct] = ACTIONS(3016),
    [anon_sym_union] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_switch] = ACTIONS(3016),
    [anon_sym_case] = ACTIONS(3016),
    [anon_sym_default] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3016),
    [anon_sym_return] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3016),
    [anon_sym_continue] = ACTIONS(3016),
    [anon_sym_goto] = ACTIONS(3016),
    [anon_sym___try] = ACTIONS(3016),
    [anon_sym___leave] = ACTIONS(3016),
    [anon_sym_not] = ACTIONS(3016),
    [anon_sym_compl] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3018),
    [anon_sym_sizeof] = ACTIONS(3016),
    [anon_sym___alignof__] = ACTIONS(3016),
    [anon_sym___alignof] = ACTIONS(3016),
    [anon_sym__alignof] = ACTIONS(3016),
    [anon_sym_alignof] = ACTIONS(3016),
    [anon_sym__Alignof] = ACTIONS(3016),
    [anon_sym_offsetof] = ACTIONS(3016),
    [anon_sym__Generic] = ACTIONS(3016),
    [anon_sym_asm] = ACTIONS(3016),
    [anon_sym___asm__] = ACTIONS(3016),
    [anon_sym___asm] = ACTIONS(3016),
    [aux_sym_number_literal_token1] = ACTIONS(3018),
    [aux_sym_number_literal_token2] = ACTIONS(3016),
    [anon_sym_L_SQUOTE] = ACTIONS(3018),
    [anon_sym_u_SQUOTE] = ACTIONS(3018),
    [anon_sym_U_SQUOTE] = ACTIONS(3018),
    [anon_sym_u8_SQUOTE] = ACTIONS(3018),
    [anon_sym_SQUOTE] = ACTIONS(3018),
    [anon_sym_L_DQUOTE] = ACTIONS(3018),
    [anon_sym_u_DQUOTE] = ACTIONS(3018),
    [anon_sym_U_DQUOTE] = ACTIONS(3018),
    [anon_sym_u8_DQUOTE] = ACTIONS(3018),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [sym_true] = ACTIONS(3016),
    [sym_false] = ACTIONS(3016),
    [anon_sym_NULL] = ACTIONS(3016),
    [anon_sym_nullptr] = ACTIONS(3016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3016),
    [anon_sym_decltype] = ACTIONS(3016),
    [anon_sym_explicit] = ACTIONS(3016),
    [anon_sym_typename] = ACTIONS(3016),
    [anon_sym_template] = ACTIONS(3016),
    [anon_sym_operator] = ACTIONS(3016),
    [anon_sym_try] = ACTIONS(3016),
    [anon_sym_delete] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3016),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3016),
    [anon_sym_concept] = ACTIONS(3016),
    [anon_sym_co_return] = ACTIONS(3016),
    [anon_sym_co_yield] = ACTIONS(3016),
    [anon_sym_R_DQUOTE] = ACTIONS(3018),
    [anon_sym_LR_DQUOTE] = ACTIONS(3018),
    [anon_sym_uR_DQUOTE] = ACTIONS(3018),
    [anon_sym_UR_DQUOTE] = ACTIONS(3018),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3018),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_requires] = ACTIONS(3016),
    [sym_this] = ACTIONS(3016),
  },
  [331] = {
    [sym_identifier] = ACTIONS(3020),
    [aux_sym_preproc_include_token1] = ACTIONS(3020),
    [aux_sym_preproc_def_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token2] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3020),
    [aux_sym_preproc_else_token1] = ACTIONS(3020),
    [aux_sym_preproc_elif_token1] = ACTIONS(3020),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3020),
    [sym_preproc_directive] = ACTIONS(3020),
    [anon_sym_LPAREN2] = ACTIONS(3022),
    [anon_sym_BANG] = ACTIONS(3022),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3022),
    [anon_sym_AMP] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym___extension__] = ACTIONS(3020),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_virtual] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(3020),
    [anon_sym___attribute__] = ACTIONS(3020),
    [anon_sym_COLON_COLON] = ACTIONS(3022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(3020),
    [anon_sym___based] = ACTIONS(3020),
    [anon_sym___cdecl] = ACTIONS(3020),
    [anon_sym___clrcall] = ACTIONS(3020),
    [anon_sym___stdcall] = ACTIONS(3020),
    [anon_sym___fastcall] = ACTIONS(3020),
    [anon_sym___thiscall] = ACTIONS(3020),
    [anon_sym___vectorcall] = ACTIONS(3020),
    [anon_sym_LBRACE] = ACTIONS(3022),
    [anon_sym_signed] = ACTIONS(3020),
    [anon_sym_unsigned] = ACTIONS(3020),
    [anon_sym_long] = ACTIONS(3020),
    [anon_sym_short] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_register] = ACTIONS(3020),
    [anon_sym_inline] = ACTIONS(3020),
    [anon_sym___inline] = ACTIONS(3020),
    [anon_sym___inline__] = ACTIONS(3020),
    [anon_sym___forceinline] = ACTIONS(3020),
    [anon_sym_thread_local] = ACTIONS(3020),
    [anon_sym___thread] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_constexpr] = ACTIONS(3020),
    [anon_sym_volatile] = ACTIONS(3020),
    [anon_sym_restrict] = ACTIONS(3020),
    [anon_sym___restrict__] = ACTIONS(3020),
    [anon_sym__Atomic] = ACTIONS(3020),
    [anon_sym__Noreturn] = ACTIONS(3020),
    [anon_sym_noreturn] = ACTIONS(3020),
    [anon_sym__Nonnull] = ACTIONS(3020),
    [anon_sym_mutable] = ACTIONS(3020),
    [anon_sym_constinit] = ACTIONS(3020),
    [anon_sym_consteval] = ACTIONS(3020),
    [anon_sym_PROGMEM] = ACTIONS(3020),
    [anon_sym_alignas] = ACTIONS(3020),
    [anon_sym__Alignas] = ACTIONS(3020),
    [aux_sym_primitive_type_token1] = ACTIONS(3020),
    [anon_sym_byte] = ACTIONS(3020),
    [anon_sym_word] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_struct] = ACTIONS(3020),
    [anon_sym_union] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(3020),
    [anon_sym_switch] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3020),
    [anon_sym_default] = ACTIONS(3020),
    [anon_sym_while] = ACTIONS(3020),
    [anon_sym_do] = ACTIONS(3020),
    [anon_sym_for] = ACTIONS(3020),
    [anon_sym_return] = ACTIONS(3020),
    [anon_sym_break] = ACTIONS(3020),
    [anon_sym_continue] = ACTIONS(3020),
    [anon_sym_goto] = ACTIONS(3020),
    [anon_sym___try] = ACTIONS(3020),
    [anon_sym___leave] = ACTIONS(3020),
    [anon_sym_not] = ACTIONS(3020),
    [anon_sym_compl] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3022),
    [anon_sym_sizeof] = ACTIONS(3020),
    [anon_sym___alignof__] = ACTIONS(3020),
    [anon_sym___alignof] = ACTIONS(3020),
    [anon_sym__alignof] = ACTIONS(3020),
    [anon_sym_alignof] = ACTIONS(3020),
    [anon_sym__Alignof] = ACTIONS(3020),
    [anon_sym_offsetof] = ACTIONS(3020),
    [anon_sym__Generic] = ACTIONS(3020),
    [anon_sym_asm] = ACTIONS(3020),
    [anon_sym___asm__] = ACTIONS(3020),
    [anon_sym___asm] = ACTIONS(3020),
    [aux_sym_number_literal_token1] = ACTIONS(3022),
    [aux_sym_number_literal_token2] = ACTIONS(3020),
    [anon_sym_L_SQUOTE] = ACTIONS(3022),
    [anon_sym_u_SQUOTE] = ACTIONS(3022),
    [anon_sym_U_SQUOTE] = ACTIONS(3022),
    [anon_sym_u8_SQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3022),
    [anon_sym_L_DQUOTE] = ACTIONS(3022),
    [anon_sym_u_DQUOTE] = ACTIONS(3022),
    [anon_sym_U_DQUOTE] = ACTIONS(3022),
    [anon_sym_u8_DQUOTE] = ACTIONS(3022),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [sym_true] = ACTIONS(3020),
    [sym_false] = ACTIONS(3020),
    [anon_sym_NULL] = ACTIONS(3020),
    [anon_sym_nullptr] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3020),
    [anon_sym_decltype] = ACTIONS(3020),
    [anon_sym_explicit] = ACTIONS(3020),
    [anon_sym_typename] = ACTIONS(3020),
    [anon_sym_template] = ACTIONS(3020),
    [anon_sym_operator] = ACTIONS(3020),
    [anon_sym_try] = ACTIONS(3020),
    [anon_sym_delete] = ACTIONS(3020),
    [anon_sym_throw] = ACTIONS(3020),
    [anon_sym_namespace] = ACTIONS(3020),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3020),
    [anon_sym_concept] = ACTIONS(3020),
    [anon_sym_co_return] = ACTIONS(3020),
    [anon_sym_co_yield] = ACTIONS(3020),
    [anon_sym_R_DQUOTE] = ACTIONS(3022),
    [anon_sym_LR_DQUOTE] = ACTIONS(3022),
    [anon_sym_uR_DQUOTE] = ACTIONS(3022),
    [anon_sym_UR_DQUOTE] = ACTIONS(3022),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3022),
    [anon_sym_co_await] = ACTIONS(3020),
    [anon_sym_new] = ACTIONS(3020),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3020),
  },
  [332] = {
    [sym_identifier] = ACTIONS(3024),
    [aux_sym_preproc_include_token1] = ACTIONS(3024),
    [aux_sym_preproc_def_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token2] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3024),
    [aux_sym_preproc_else_token1] = ACTIONS(3024),
    [aux_sym_preproc_elif_token1] = ACTIONS(3024),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3024),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3024),
    [sym_preproc_directive] = ACTIONS(3024),
    [anon_sym_LPAREN2] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP_AMP] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(3024),
    [anon_sym_typedef] = ACTIONS(3024),
    [anon_sym_virtual] = ACTIONS(3024),
    [anon_sym_extern] = ACTIONS(3024),
    [anon_sym___attribute__] = ACTIONS(3024),
    [anon_sym_COLON_COLON] = ACTIONS(3026),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3026),
    [anon_sym___declspec] = ACTIONS(3024),
    [anon_sym___based] = ACTIONS(3024),
    [anon_sym___cdecl] = ACTIONS(3024),
    [anon_sym___clrcall] = ACTIONS(3024),
    [anon_sym___stdcall] = ACTIONS(3024),
    [anon_sym___fastcall] = ACTIONS(3024),
    [anon_sym___thiscall] = ACTIONS(3024),
    [anon_sym___vectorcall] = ACTIONS(3024),
    [anon_sym_LBRACE] = ACTIONS(3026),
    [anon_sym_signed] = ACTIONS(3024),
    [anon_sym_unsigned] = ACTIONS(3024),
    [anon_sym_long] = ACTIONS(3024),
    [anon_sym_short] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_static] = ACTIONS(3024),
    [anon_sym_register] = ACTIONS(3024),
    [anon_sym_inline] = ACTIONS(3024),
    [anon_sym___inline] = ACTIONS(3024),
    [anon_sym___inline__] = ACTIONS(3024),
    [anon_sym___forceinline] = ACTIONS(3024),
    [anon_sym_thread_local] = ACTIONS(3024),
    [anon_sym___thread] = ACTIONS(3024),
    [anon_sym_const] = ACTIONS(3024),
    [anon_sym_constexpr] = ACTIONS(3024),
    [anon_sym_volatile] = ACTIONS(3024),
    [anon_sym_restrict] = ACTIONS(3024),
    [anon_sym___restrict__] = ACTIONS(3024),
    [anon_sym__Atomic] = ACTIONS(3024),
    [anon_sym__Noreturn] = ACTIONS(3024),
    [anon_sym_noreturn] = ACTIONS(3024),
    [anon_sym__Nonnull] = ACTIONS(3024),
    [anon_sym_mutable] = ACTIONS(3024),
    [anon_sym_constinit] = ACTIONS(3024),
    [anon_sym_consteval] = ACTIONS(3024),
    [anon_sym_PROGMEM] = ACTIONS(3024),
    [anon_sym_alignas] = ACTIONS(3024),
    [anon_sym__Alignas] = ACTIONS(3024),
    [aux_sym_primitive_type_token1] = ACTIONS(3024),
    [anon_sym_byte] = ACTIONS(3024),
    [anon_sym_word] = ACTIONS(3024),
    [anon_sym_enum] = ACTIONS(3024),
    [anon_sym_class] = ACTIONS(3024),
    [anon_sym_struct] = ACTIONS(3024),
    [anon_sym_union] = ACTIONS(3024),
    [anon_sym_if] = ACTIONS(3024),
    [anon_sym_switch] = ACTIONS(3024),
    [anon_sym_case] = ACTIONS(3024),
    [anon_sym_default] = ACTIONS(3024),
    [anon_sym_while] = ACTIONS(3024),
    [anon_sym_do] = ACTIONS(3024),
    [anon_sym_for] = ACTIONS(3024),
    [anon_sym_return] = ACTIONS(3024),
    [anon_sym_break] = ACTIONS(3024),
    [anon_sym_continue] = ACTIONS(3024),
    [anon_sym_goto] = ACTIONS(3024),
    [anon_sym___try] = ACTIONS(3024),
    [anon_sym___leave] = ACTIONS(3024),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_compl] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3026),
    [anon_sym_PLUS_PLUS] = ACTIONS(3026),
    [anon_sym_sizeof] = ACTIONS(3024),
    [anon_sym___alignof__] = ACTIONS(3024),
    [anon_sym___alignof] = ACTIONS(3024),
    [anon_sym__alignof] = ACTIONS(3024),
    [anon_sym_alignof] = ACTIONS(3024),
    [anon_sym__Alignof] = ACTIONS(3024),
    [anon_sym_offsetof] = ACTIONS(3024),
    [anon_sym__Generic] = ACTIONS(3024),
    [anon_sym_asm] = ACTIONS(3024),
    [anon_sym___asm__] = ACTIONS(3024),
    [anon_sym___asm] = ACTIONS(3024),
    [aux_sym_number_literal_token1] = ACTIONS(3026),
    [aux_sym_number_literal_token2] = ACTIONS(3024),
    [anon_sym_L_SQUOTE] = ACTIONS(3026),
    [anon_sym_u_SQUOTE] = ACTIONS(3026),
    [anon_sym_U_SQUOTE] = ACTIONS(3026),
    [anon_sym_u8_SQUOTE] = ACTIONS(3026),
    [anon_sym_SQUOTE] = ACTIONS(3026),
    [anon_sym_L_DQUOTE] = ACTIONS(3026),
    [anon_sym_u_DQUOTE] = ACTIONS(3026),
    [anon_sym_U_DQUOTE] = ACTIONS(3026),
    [anon_sym_u8_DQUOTE] = ACTIONS(3026),
    [anon_sym_DQUOTE] = ACTIONS(3026),
    [sym_true] = ACTIONS(3024),
    [sym_false] = ACTIONS(3024),
    [anon_sym_NULL] = ACTIONS(3024),
    [anon_sym_nullptr] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3024),
    [anon_sym_decltype] = ACTIONS(3024),
    [anon_sym_explicit] = ACTIONS(3024),
    [anon_sym_typename] = ACTIONS(3024),
    [anon_sym_template] = ACTIONS(3024),
    [anon_sym_operator] = ACTIONS(3024),
    [anon_sym_try] = ACTIONS(3024),
    [anon_sym_delete] = ACTIONS(3024),
    [anon_sym_throw] = ACTIONS(3024),
    [anon_sym_namespace] = ACTIONS(3024),
    [anon_sym_using] = ACTIONS(3024),
    [anon_sym_static_assert] = ACTIONS(3024),
    [anon_sym_concept] = ACTIONS(3024),
    [anon_sym_co_return] = ACTIONS(3024),
    [anon_sym_co_yield] = ACTIONS(3024),
    [anon_sym_R_DQUOTE] = ACTIONS(3026),
    [anon_sym_LR_DQUOTE] = ACTIONS(3026),
    [anon_sym_uR_DQUOTE] = ACTIONS(3026),
    [anon_sym_UR_DQUOTE] = ACTIONS(3026),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3026),
    [anon_sym_co_await] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3024),
    [anon_sym_requires] = ACTIONS(3024),
    [sym_this] = ACTIONS(3024),
  },
  [333] = {
    [sym_identifier] = ACTIONS(3028),
    [aux_sym_preproc_include_token1] = ACTIONS(3028),
    [aux_sym_preproc_def_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token2] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3028),
    [aux_sym_preproc_else_token1] = ACTIONS(3028),
    [aux_sym_preproc_elif_token1] = ACTIONS(3028),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3028),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym___based] = ACTIONS(3028),
    [anon_sym___cdecl] = ACTIONS(3028),
    [anon_sym___clrcall] = ACTIONS(3028),
    [anon_sym___stdcall] = ACTIONS(3028),
    [anon_sym___fastcall] = ACTIONS(3028),
    [anon_sym___thiscall] = ACTIONS(3028),
    [anon_sym___vectorcall] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym__Nonnull] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym__Alignas] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_switch] = ACTIONS(3028),
    [anon_sym_case] = ACTIONS(3028),
    [anon_sym_default] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_do] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_return] = ACTIONS(3028),
    [anon_sym_break] = ACTIONS(3028),
    [anon_sym_continue] = ACTIONS(3028),
    [anon_sym_goto] = ACTIONS(3028),
    [anon_sym___try] = ACTIONS(3028),
    [anon_sym___leave] = ACTIONS(3028),
    [anon_sym_not] = ACTIONS(3028),
    [anon_sym_compl] = ACTIONS(3028),
    [anon_sym_DASH_DASH] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3030),
    [anon_sym_sizeof] = ACTIONS(3028),
    [anon_sym___alignof__] = ACTIONS(3028),
    [anon_sym___alignof] = ACTIONS(3028),
    [anon_sym__alignof] = ACTIONS(3028),
    [anon_sym_alignof] = ACTIONS(3028),
    [anon_sym__Alignof] = ACTIONS(3028),
    [anon_sym_offsetof] = ACTIONS(3028),
    [anon_sym__Generic] = ACTIONS(3028),
    [anon_sym_asm] = ACTIONS(3028),
    [anon_sym___asm__] = ACTIONS(3028),
    [anon_sym___asm] = ACTIONS(3028),
    [aux_sym_number_literal_token1] = ACTIONS(3030),
    [aux_sym_number_literal_token2] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3030),
    [anon_sym_u_SQUOTE] = ACTIONS(3030),
    [anon_sym_U_SQUOTE] = ACTIONS(3030),
    [anon_sym_u8_SQUOTE] = ACTIONS(3030),
    [anon_sym_SQUOTE] = ACTIONS(3030),
    [anon_sym_L_DQUOTE] = ACTIONS(3030),
    [anon_sym_u_DQUOTE] = ACTIONS(3030),
    [anon_sym_U_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8_DQUOTE] = ACTIONS(3030),
    [anon_sym_DQUOTE] = ACTIONS(3030),
    [sym_true] = ACTIONS(3028),
    [sym_false] = ACTIONS(3028),
    [anon_sym_NULL] = ACTIONS(3028),
    [anon_sym_nullptr] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_explicit] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_operator] = ACTIONS(3028),
    [anon_sym_try] = ACTIONS(3028),
    [anon_sym_delete] = ACTIONS(3028),
    [anon_sym_throw] = ACTIONS(3028),
    [anon_sym_namespace] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_static_assert] = ACTIONS(3028),
    [anon_sym_concept] = ACTIONS(3028),
    [anon_sym_co_return] = ACTIONS(3028),
    [anon_sym_co_yield] = ACTIONS(3028),
    [anon_sym_R_DQUOTE] = ACTIONS(3030),
    [anon_sym_LR_DQUOTE] = ACTIONS(3030),
    [anon_sym_uR_DQUOTE] = ACTIONS(3030),
    [anon_sym_UR_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3030),
    [anon_sym_co_await] = ACTIONS(3028),
    [anon_sym_new] = ACTIONS(3028),
    [anon_sym_requires] = ACTIONS(3028),
    [sym_this] = ACTIONS(3028),
  },
  [334] = {
    [sym_identifier] = ACTIONS(3032),
    [aux_sym_preproc_include_token1] = ACTIONS(3032),
    [aux_sym_preproc_def_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token2] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3032),
    [aux_sym_preproc_else_token1] = ACTIONS(3032),
    [aux_sym_preproc_elif_token1] = ACTIONS(3032),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3032),
    [sym_preproc_directive] = ACTIONS(3032),
    [anon_sym_LPAREN2] = ACTIONS(3034),
    [anon_sym_BANG] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym___extension__] = ACTIONS(3032),
    [anon_sym_typedef] = ACTIONS(3032),
    [anon_sym_virtual] = ACTIONS(3032),
    [anon_sym_extern] = ACTIONS(3032),
    [anon_sym___attribute__] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3034),
    [anon_sym___declspec] = ACTIONS(3032),
    [anon_sym___based] = ACTIONS(3032),
    [anon_sym___cdecl] = ACTIONS(3032),
    [anon_sym___clrcall] = ACTIONS(3032),
    [anon_sym___stdcall] = ACTIONS(3032),
    [anon_sym___fastcall] = ACTIONS(3032),
    [anon_sym___thiscall] = ACTIONS(3032),
    [anon_sym___vectorcall] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_signed] = ACTIONS(3032),
    [anon_sym_unsigned] = ACTIONS(3032),
    [anon_sym_long] = ACTIONS(3032),
    [anon_sym_short] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_register] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym___inline] = ACTIONS(3032),
    [anon_sym___inline__] = ACTIONS(3032),
    [anon_sym___forceinline] = ACTIONS(3032),
    [anon_sym_thread_local] = ACTIONS(3032),
    [anon_sym___thread] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_constexpr] = ACTIONS(3032),
    [anon_sym_volatile] = ACTIONS(3032),
    [anon_sym_restrict] = ACTIONS(3032),
    [anon_sym___restrict__] = ACTIONS(3032),
    [anon_sym__Atomic] = ACTIONS(3032),
    [anon_sym__Noreturn] = ACTIONS(3032),
    [anon_sym_noreturn] = ACTIONS(3032),
    [anon_sym__Nonnull] = ACTIONS(3032),
    [anon_sym_mutable] = ACTIONS(3032),
    [anon_sym_constinit] = ACTIONS(3032),
    [anon_sym_consteval] = ACTIONS(3032),
    [anon_sym_PROGMEM] = ACTIONS(3032),
    [anon_sym_alignas] = ACTIONS(3032),
    [anon_sym__Alignas] = ACTIONS(3032),
    [aux_sym_primitive_type_token1] = ACTIONS(3032),
    [anon_sym_byte] = ACTIONS(3032),
    [anon_sym_word] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_class] = ACTIONS(3032),
    [anon_sym_struct] = ACTIONS(3032),
    [anon_sym_union] = ACTIONS(3032),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_switch] = ACTIONS(3032),
    [anon_sym_case] = ACTIONS(3032),
    [anon_sym_default] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_do] = ACTIONS(3032),
    [anon_sym_for] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_break] = ACTIONS(3032),
    [anon_sym_continue] = ACTIONS(3032),
    [anon_sym_goto] = ACTIONS(3032),
    [anon_sym___try] = ACTIONS(3032),
    [anon_sym___leave] = ACTIONS(3032),
    [anon_sym_not] = ACTIONS(3032),
    [anon_sym_compl] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_sizeof] = ACTIONS(3032),
    [anon_sym___alignof__] = ACTIONS(3032),
    [anon_sym___alignof] = ACTIONS(3032),
    [anon_sym__alignof] = ACTIONS(3032),
    [anon_sym_alignof] = ACTIONS(3032),
    [anon_sym__Alignof] = ACTIONS(3032),
    [anon_sym_offsetof] = ACTIONS(3032),
    [anon_sym__Generic] = ACTIONS(3032),
    [anon_sym_asm] = ACTIONS(3032),
    [anon_sym___asm__] = ACTIONS(3032),
    [anon_sym___asm] = ACTIONS(3032),
    [aux_sym_number_literal_token1] = ACTIONS(3034),
    [aux_sym_number_literal_token2] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3034),
    [anon_sym_u_SQUOTE] = ACTIONS(3034),
    [anon_sym_U_SQUOTE] = ACTIONS(3034),
    [anon_sym_u8_SQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [anon_sym_L_DQUOTE] = ACTIONS(3034),
    [anon_sym_u_DQUOTE] = ACTIONS(3034),
    [anon_sym_U_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8_DQUOTE] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [anon_sym_NULL] = ACTIONS(3032),
    [anon_sym_nullptr] = ACTIONS(3032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3032),
    [anon_sym_decltype] = ACTIONS(3032),
    [anon_sym_explicit] = ACTIONS(3032),
    [anon_sym_typename] = ACTIONS(3032),
    [anon_sym_template] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_delete] = ACTIONS(3032),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_namespace] = ACTIONS(3032),
    [anon_sym_using] = ACTIONS(3032),
    [anon_sym_static_assert] = ACTIONS(3032),
    [anon_sym_concept] = ACTIONS(3032),
    [anon_sym_co_return] = ACTIONS(3032),
    [anon_sym_co_yield] = ACTIONS(3032),
    [anon_sym_R_DQUOTE] = ACTIONS(3034),
    [anon_sym_LR_DQUOTE] = ACTIONS(3034),
    [anon_sym_uR_DQUOTE] = ACTIONS(3034),
    [anon_sym_UR_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3034),
    [anon_sym_co_await] = ACTIONS(3032),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_requires] = ACTIONS(3032),
    [sym_this] = ACTIONS(3032),
  },
  [335] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token2] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [aux_sym_preproc_else_token1] = ACTIONS(3036),
    [aux_sym_preproc_elif_token1] = ACTIONS(3036),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym__Nonnull] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym__Alignas] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym___try] = ACTIONS(3036),
    [anon_sym___leave] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [anon_sym___asm] = ACTIONS(3036),
    [aux_sym_number_literal_token1] = ACTIONS(3038),
    [aux_sym_number_literal_token2] = ACTIONS(3036),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [336] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [aux_sym_preproc_else_token1] = ACTIONS(3040),
    [aux_sym_preproc_elif_token1] = ACTIONS(3040),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym___try] = ACTIONS(3040),
    [anon_sym___leave] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [anon_sym___asm] = ACTIONS(3040),
    [aux_sym_number_literal_token1] = ACTIONS(3042),
    [aux_sym_number_literal_token2] = ACTIONS(3040),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [337] = {
    [sym_catch_clause] = STATE(337),
    [aux_sym_constructor_try_statement_repeat1] = STATE(337),
    [sym_identifier] = ACTIONS(2551),
    [aux_sym_preproc_include_token1] = ACTIONS(2551),
    [aux_sym_preproc_def_token1] = ACTIONS(2551),
    [aux_sym_preproc_if_token1] = ACTIONS(2551),
    [aux_sym_preproc_if_token2] = ACTIONS(2551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2551),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2551),
    [sym_preproc_directive] = ACTIONS(2551),
    [anon_sym_LPAREN2] = ACTIONS(2553),
    [anon_sym_BANG] = ACTIONS(2553),
    [anon_sym_TILDE] = ACTIONS(2553),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_STAR] = ACTIONS(2553),
    [anon_sym_AMP_AMP] = ACTIONS(2553),
    [anon_sym_AMP] = ACTIONS(2551),
    [anon_sym_SEMI] = ACTIONS(2553),
    [anon_sym___extension__] = ACTIONS(2551),
    [anon_sym_typedef] = ACTIONS(2551),
    [anon_sym_virtual] = ACTIONS(2551),
    [anon_sym_extern] = ACTIONS(2551),
    [anon_sym___attribute__] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2553),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2553),
    [anon_sym___declspec] = ACTIONS(2551),
    [anon_sym___based] = ACTIONS(2551),
    [anon_sym___cdecl] = ACTIONS(2551),
    [anon_sym___clrcall] = ACTIONS(2551),
    [anon_sym___stdcall] = ACTIONS(2551),
    [anon_sym___fastcall] = ACTIONS(2551),
    [anon_sym___thiscall] = ACTIONS(2551),
    [anon_sym___vectorcall] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(2553),
    [anon_sym_signed] = ACTIONS(2551),
    [anon_sym_unsigned] = ACTIONS(2551),
    [anon_sym_long] = ACTIONS(2551),
    [anon_sym_short] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2551),
    [anon_sym_static] = ACTIONS(2551),
    [anon_sym_register] = ACTIONS(2551),
    [anon_sym_inline] = ACTIONS(2551),
    [anon_sym___inline] = ACTIONS(2551),
    [anon_sym___inline__] = ACTIONS(2551),
    [anon_sym___forceinline] = ACTIONS(2551),
    [anon_sym_thread_local] = ACTIONS(2551),
    [anon_sym___thread] = ACTIONS(2551),
    [anon_sym_const] = ACTIONS(2551),
    [anon_sym_constexpr] = ACTIONS(2551),
    [anon_sym_volatile] = ACTIONS(2551),
    [anon_sym_restrict] = ACTIONS(2551),
    [anon_sym___restrict__] = ACTIONS(2551),
    [anon_sym__Atomic] = ACTIONS(2551),
    [anon_sym__Noreturn] = ACTIONS(2551),
    [anon_sym_noreturn] = ACTIONS(2551),
    [anon_sym__Nonnull] = ACTIONS(2551),
    [anon_sym_mutable] = ACTIONS(2551),
    [anon_sym_constinit] = ACTIONS(2551),
    [anon_sym_consteval] = ACTIONS(2551),
    [anon_sym_PROGMEM] = ACTIONS(2551),
    [anon_sym_alignas] = ACTIONS(2551),
    [anon_sym__Alignas] = ACTIONS(2551),
    [aux_sym_primitive_type_token1] = ACTIONS(2551),
    [anon_sym_byte] = ACTIONS(2551),
    [anon_sym_word] = ACTIONS(2551),
    [anon_sym_enum] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2551),
    [anon_sym_struct] = ACTIONS(2551),
    [anon_sym_union] = ACTIONS(2551),
    [anon_sym_if] = ACTIONS(2551),
    [anon_sym_else] = ACTIONS(2551),
    [anon_sym_switch] = ACTIONS(2551),
    [anon_sym_case] = ACTIONS(2551),
    [anon_sym_default] = ACTIONS(2551),
    [anon_sym_while] = ACTIONS(2551),
    [anon_sym_do] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2551),
    [anon_sym_return] = ACTIONS(2551),
    [anon_sym_break] = ACTIONS(2551),
    [anon_sym_continue] = ACTIONS(2551),
    [anon_sym_goto] = ACTIONS(2551),
    [anon_sym___try] = ACTIONS(2551),
    [anon_sym___leave] = ACTIONS(2551),
    [anon_sym_not] = ACTIONS(2551),
    [anon_sym_compl] = ACTIONS(2551),
    [anon_sym_DASH_DASH] = ACTIONS(2553),
    [anon_sym_PLUS_PLUS] = ACTIONS(2553),
    [anon_sym_sizeof] = ACTIONS(2551),
    [anon_sym___alignof__] = ACTIONS(2551),
    [anon_sym___alignof] = ACTIONS(2551),
    [anon_sym__alignof] = ACTIONS(2551),
    [anon_sym_alignof] = ACTIONS(2551),
    [anon_sym__Alignof] = ACTIONS(2551),
    [anon_sym_offsetof] = ACTIONS(2551),
    [anon_sym__Generic] = ACTIONS(2551),
    [anon_sym_asm] = ACTIONS(2551),
    [anon_sym___asm__] = ACTIONS(2551),
    [anon_sym___asm] = ACTIONS(2551),
    [aux_sym_number_literal_token1] = ACTIONS(2553),
    [aux_sym_number_literal_token2] = ACTIONS(2551),
    [anon_sym_L_SQUOTE] = ACTIONS(2553),
    [anon_sym_u_SQUOTE] = ACTIONS(2553),
    [anon_sym_U_SQUOTE] = ACTIONS(2553),
    [anon_sym_u8_SQUOTE] = ACTIONS(2553),
    [anon_sym_SQUOTE] = ACTIONS(2553),
    [anon_sym_L_DQUOTE] = ACTIONS(2553),
    [anon_sym_u_DQUOTE] = ACTIONS(2553),
    [anon_sym_U_DQUOTE] = ACTIONS(2553),
    [anon_sym_u8_DQUOTE] = ACTIONS(2553),
    [anon_sym_DQUOTE] = ACTIONS(2553),
    [sym_true] = ACTIONS(2551),
    [sym_false] = ACTIONS(2551),
    [anon_sym_NULL] = ACTIONS(2551),
    [anon_sym_nullptr] = ACTIONS(2551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2551),
    [anon_sym_decltype] = ACTIONS(2551),
    [anon_sym_explicit] = ACTIONS(2551),
    [anon_sym_typename] = ACTIONS(2551),
    [anon_sym_template] = ACTIONS(2551),
    [anon_sym_operator] = ACTIONS(2551),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_delete] = ACTIONS(2551),
    [anon_sym_throw] = ACTIONS(2551),
    [anon_sym_namespace] = ACTIONS(2551),
    [anon_sym_using] = ACTIONS(2551),
    [anon_sym_static_assert] = ACTIONS(2551),
    [anon_sym_concept] = ACTIONS(2551),
    [anon_sym_co_return] = ACTIONS(2551),
    [anon_sym_co_yield] = ACTIONS(2551),
    [anon_sym_catch] = ACTIONS(3044),
    [anon_sym_R_DQUOTE] = ACTIONS(2553),
    [anon_sym_LR_DQUOTE] = ACTIONS(2553),
    [anon_sym_uR_DQUOTE] = ACTIONS(2553),
    [anon_sym_UR_DQUOTE] = ACTIONS(2553),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2553),
    [anon_sym_co_await] = ACTIONS(2551),
    [anon_sym_new] = ACTIONS(2551),
    [anon_sym_requires] = ACTIONS(2551),
    [sym_this] = ACTIONS(2551),
  },
  [338] = {
    [sym_identifier] = ACTIONS(3047),
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token2] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [aux_sym_preproc_else_token1] = ACTIONS(3047),
    [aux_sym_preproc_elif_token1] = ACTIONS(3047),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3049),
    [anon_sym_BANG] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3047),
    [anon_sym_SEMI] = ACTIONS(3049),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3047),
    [anon_sym_virtual] = ACTIONS(3047),
    [anon_sym_extern] = ACTIONS(3047),
    [anon_sym___attribute__] = ACTIONS(3047),
    [anon_sym_COLON_COLON] = ACTIONS(3049),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3049),
    [anon_sym___declspec] = ACTIONS(3047),
    [anon_sym___based] = ACTIONS(3047),
    [anon_sym___cdecl] = ACTIONS(3047),
    [anon_sym___clrcall] = ACTIONS(3047),
    [anon_sym___stdcall] = ACTIONS(3047),
    [anon_sym___fastcall] = ACTIONS(3047),
    [anon_sym___thiscall] = ACTIONS(3047),
    [anon_sym___vectorcall] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(3049),
    [anon_sym_signed] = ACTIONS(3047),
    [anon_sym_unsigned] = ACTIONS(3047),
    [anon_sym_long] = ACTIONS(3047),
    [anon_sym_short] = ACTIONS(3047),
    [anon_sym_LBRACK] = ACTIONS(3047),
    [anon_sym_static] = ACTIONS(3047),
    [anon_sym_register] = ACTIONS(3047),
    [anon_sym_inline] = ACTIONS(3047),
    [anon_sym___inline] = ACTIONS(3047),
    [anon_sym___inline__] = ACTIONS(3047),
    [anon_sym___forceinline] = ACTIONS(3047),
    [anon_sym_thread_local] = ACTIONS(3047),
    [anon_sym___thread] = ACTIONS(3047),
    [anon_sym_const] = ACTIONS(3047),
    [anon_sym_constexpr] = ACTIONS(3047),
    [anon_sym_volatile] = ACTIONS(3047),
    [anon_sym_restrict] = ACTIONS(3047),
    [anon_sym___restrict__] = ACTIONS(3047),
    [anon_sym__Atomic] = ACTIONS(3047),
    [anon_sym__Noreturn] = ACTIONS(3047),
    [anon_sym_noreturn] = ACTIONS(3047),
    [anon_sym__Nonnull] = ACTIONS(3047),
    [anon_sym_mutable] = ACTIONS(3047),
    [anon_sym_constinit] = ACTIONS(3047),
    [anon_sym_consteval] = ACTIONS(3047),
    [anon_sym_PROGMEM] = ACTIONS(3047),
    [anon_sym_alignas] = ACTIONS(3047),
    [anon_sym__Alignas] = ACTIONS(3047),
    [aux_sym_primitive_type_token1] = ACTIONS(3047),
    [anon_sym_byte] = ACTIONS(3047),
    [anon_sym_word] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3047),
    [anon_sym_class] = ACTIONS(3047),
    [anon_sym_struct] = ACTIONS(3047),
    [anon_sym_union] = ACTIONS(3047),
    [anon_sym_if] = ACTIONS(3047),
    [anon_sym_switch] = ACTIONS(3047),
    [anon_sym_case] = ACTIONS(3047),
    [anon_sym_default] = ACTIONS(3047),
    [anon_sym_while] = ACTIONS(3047),
    [anon_sym_do] = ACTIONS(3047),
    [anon_sym_for] = ACTIONS(3047),
    [anon_sym_return] = ACTIONS(3047),
    [anon_sym_break] = ACTIONS(3047),
    [anon_sym_continue] = ACTIONS(3047),
    [anon_sym_goto] = ACTIONS(3047),
    [anon_sym___try] = ACTIONS(3047),
    [anon_sym___leave] = ACTIONS(3047),
    [anon_sym_not] = ACTIONS(3047),
    [anon_sym_compl] = ACTIONS(3047),
    [anon_sym_DASH_DASH] = ACTIONS(3049),
    [anon_sym_PLUS_PLUS] = ACTIONS(3049),
    [anon_sym_sizeof] = ACTIONS(3047),
    [anon_sym___alignof__] = ACTIONS(3047),
    [anon_sym___alignof] = ACTIONS(3047),
    [anon_sym__alignof] = ACTIONS(3047),
    [anon_sym_alignof] = ACTIONS(3047),
    [anon_sym__Alignof] = ACTIONS(3047),
    [anon_sym_offsetof] = ACTIONS(3047),
    [anon_sym__Generic] = ACTIONS(3047),
    [anon_sym_asm] = ACTIONS(3047),
    [anon_sym___asm__] = ACTIONS(3047),
    [anon_sym___asm] = ACTIONS(3047),
    [aux_sym_number_literal_token1] = ACTIONS(3049),
    [aux_sym_number_literal_token2] = ACTIONS(3047),
    [anon_sym_L_SQUOTE] = ACTIONS(3049),
    [anon_sym_u_SQUOTE] = ACTIONS(3049),
    [anon_sym_U_SQUOTE] = ACTIONS(3049),
    [anon_sym_u8_SQUOTE] = ACTIONS(3049),
    [anon_sym_SQUOTE] = ACTIONS(3049),
    [anon_sym_L_DQUOTE] = ACTIONS(3049),
    [anon_sym_u_DQUOTE] = ACTIONS(3049),
    [anon_sym_U_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8_DQUOTE] = ACTIONS(3049),
    [anon_sym_DQUOTE] = ACTIONS(3049),
    [sym_true] = ACTIONS(3047),
    [sym_false] = ACTIONS(3047),
    [anon_sym_NULL] = ACTIONS(3047),
    [anon_sym_nullptr] = ACTIONS(3047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3047),
    [anon_sym_decltype] = ACTIONS(3047),
    [anon_sym_explicit] = ACTIONS(3047),
    [anon_sym_typename] = ACTIONS(3047),
    [anon_sym_template] = ACTIONS(3047),
    [anon_sym_operator] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_delete] = ACTIONS(3047),
    [anon_sym_throw] = ACTIONS(3047),
    [anon_sym_namespace] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3047),
    [anon_sym_static_assert] = ACTIONS(3047),
    [anon_sym_concept] = ACTIONS(3047),
    [anon_sym_co_return] = ACTIONS(3047),
    [anon_sym_co_yield] = ACTIONS(3047),
    [anon_sym_R_DQUOTE] = ACTIONS(3049),
    [anon_sym_LR_DQUOTE] = ACTIONS(3049),
    [anon_sym_uR_DQUOTE] = ACTIONS(3049),
    [anon_sym_UR_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3049),
    [anon_sym_co_await] = ACTIONS(3047),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_requires] = ACTIONS(3047),
    [sym_this] = ACTIONS(3047),
  },
  [339] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [aux_sym_preproc_else_token1] = ACTIONS(3051),
    [aux_sym_preproc_elif_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_PROGMEM] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [aux_sym_primitive_type_token1] = ACTIONS(3051),
    [anon_sym_byte] = ACTIONS(3051),
    [anon_sym_word] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym___try] = ACTIONS(3051),
    [anon_sym___leave] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [anon_sym___asm] = ACTIONS(3051),
    [aux_sym_number_literal_token1] = ACTIONS(3053),
    [aux_sym_number_literal_token2] = ACTIONS(3051),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [340] = {
    [sym_catch_clause] = STATE(340),
    [aux_sym_constructor_try_statement_repeat1] = STATE(340),
    [ts_builtin_sym_end] = ACTIONS(2553),
    [sym_identifier] = ACTIONS(2551),
    [aux_sym_preproc_include_token1] = ACTIONS(2551),
    [aux_sym_preproc_def_token1] = ACTIONS(2551),
    [aux_sym_preproc_if_token1] = ACTIONS(2551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2551),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2551),
    [sym_preproc_directive] = ACTIONS(2551),
    [anon_sym_LPAREN2] = ACTIONS(2553),
    [anon_sym_BANG] = ACTIONS(2553),
    [anon_sym_TILDE] = ACTIONS(2553),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_STAR] = ACTIONS(2553),
    [anon_sym_AMP_AMP] = ACTIONS(2553),
    [anon_sym_AMP] = ACTIONS(2551),
    [anon_sym_SEMI] = ACTIONS(2553),
    [anon_sym___extension__] = ACTIONS(2551),
    [anon_sym_typedef] = ACTIONS(2551),
    [anon_sym_virtual] = ACTIONS(2551),
    [anon_sym_extern] = ACTIONS(2551),
    [anon_sym___attribute__] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2553),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2553),
    [anon_sym___declspec] = ACTIONS(2551),
    [anon_sym___based] = ACTIONS(2551),
    [anon_sym___cdecl] = ACTIONS(2551),
    [anon_sym___clrcall] = ACTIONS(2551),
    [anon_sym___stdcall] = ACTIONS(2551),
    [anon_sym___fastcall] = ACTIONS(2551),
    [anon_sym___thiscall] = ACTIONS(2551),
    [anon_sym___vectorcall] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(2553),
    [anon_sym_signed] = ACTIONS(2551),
    [anon_sym_unsigned] = ACTIONS(2551),
    [anon_sym_long] = ACTIONS(2551),
    [anon_sym_short] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2551),
    [anon_sym_static] = ACTIONS(2551),
    [anon_sym_register] = ACTIONS(2551),
    [anon_sym_inline] = ACTIONS(2551),
    [anon_sym___inline] = ACTIONS(2551),
    [anon_sym___inline__] = ACTIONS(2551),
    [anon_sym___forceinline] = ACTIONS(2551),
    [anon_sym_thread_local] = ACTIONS(2551),
    [anon_sym___thread] = ACTIONS(2551),
    [anon_sym_const] = ACTIONS(2551),
    [anon_sym_constexpr] = ACTIONS(2551),
    [anon_sym_volatile] = ACTIONS(2551),
    [anon_sym_restrict] = ACTIONS(2551),
    [anon_sym___restrict__] = ACTIONS(2551),
    [anon_sym__Atomic] = ACTIONS(2551),
    [anon_sym__Noreturn] = ACTIONS(2551),
    [anon_sym_noreturn] = ACTIONS(2551),
    [anon_sym__Nonnull] = ACTIONS(2551),
    [anon_sym_mutable] = ACTIONS(2551),
    [anon_sym_constinit] = ACTIONS(2551),
    [anon_sym_consteval] = ACTIONS(2551),
    [anon_sym_PROGMEM] = ACTIONS(2551),
    [anon_sym_alignas] = ACTIONS(2551),
    [anon_sym__Alignas] = ACTIONS(2551),
    [aux_sym_primitive_type_token1] = ACTIONS(2551),
    [anon_sym_byte] = ACTIONS(2551),
    [anon_sym_word] = ACTIONS(2551),
    [anon_sym_enum] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2551),
    [anon_sym_struct] = ACTIONS(2551),
    [anon_sym_union] = ACTIONS(2551),
    [anon_sym_if] = ACTIONS(2551),
    [anon_sym_else] = ACTIONS(2551),
    [anon_sym_switch] = ACTIONS(2551),
    [anon_sym_case] = ACTIONS(2551),
    [anon_sym_default] = ACTIONS(2551),
    [anon_sym_while] = ACTIONS(2551),
    [anon_sym_do] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2551),
    [anon_sym_return] = ACTIONS(2551),
    [anon_sym_break] = ACTIONS(2551),
    [anon_sym_continue] = ACTIONS(2551),
    [anon_sym_goto] = ACTIONS(2551),
    [anon_sym___try] = ACTIONS(2551),
    [anon_sym___leave] = ACTIONS(2551),
    [anon_sym_not] = ACTIONS(2551),
    [anon_sym_compl] = ACTIONS(2551),
    [anon_sym_DASH_DASH] = ACTIONS(2553),
    [anon_sym_PLUS_PLUS] = ACTIONS(2553),
    [anon_sym_sizeof] = ACTIONS(2551),
    [anon_sym___alignof__] = ACTIONS(2551),
    [anon_sym___alignof] = ACTIONS(2551),
    [anon_sym__alignof] = ACTIONS(2551),
    [anon_sym_alignof] = ACTIONS(2551),
    [anon_sym__Alignof] = ACTIONS(2551),
    [anon_sym_offsetof] = ACTIONS(2551),
    [anon_sym__Generic] = ACTIONS(2551),
    [anon_sym_asm] = ACTIONS(2551),
    [anon_sym___asm__] = ACTIONS(2551),
    [anon_sym___asm] = ACTIONS(2551),
    [aux_sym_number_literal_token1] = ACTIONS(2553),
    [aux_sym_number_literal_token2] = ACTIONS(2551),
    [anon_sym_L_SQUOTE] = ACTIONS(2553),
    [anon_sym_u_SQUOTE] = ACTIONS(2553),
    [anon_sym_U_SQUOTE] = ACTIONS(2553),
    [anon_sym_u8_SQUOTE] = ACTIONS(2553),
    [anon_sym_SQUOTE] = ACTIONS(2553),
    [anon_sym_L_DQUOTE] = ACTIONS(2553),
    [anon_sym_u_DQUOTE] = ACTIONS(2553),
    [anon_sym_U_DQUOTE] = ACTIONS(2553),
    [anon_sym_u8_DQUOTE] = ACTIONS(2553),
    [anon_sym_DQUOTE] = ACTIONS(2553),
    [sym_true] = ACTIONS(2551),
    [sym_false] = ACTIONS(2551),
    [anon_sym_NULL] = ACTIONS(2551),
    [anon_sym_nullptr] = ACTIONS(2551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2551),
    [anon_sym_decltype] = ACTIONS(2551),
    [anon_sym_explicit] = ACTIONS(2551),
    [anon_sym_typename] = ACTIONS(2551),
    [anon_sym_template] = ACTIONS(2551),
    [anon_sym_operator] = ACTIONS(2551),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_delete] = ACTIONS(2551),
    [anon_sym_throw] = ACTIONS(2551),
    [anon_sym_namespace] = ACTIONS(2551),
    [anon_sym_using] = ACTIONS(2551),
    [anon_sym_static_assert] = ACTIONS(2551),
    [anon_sym_concept] = ACTIONS(2551),
    [anon_sym_co_return] = ACTIONS(2551),
    [anon_sym_co_yield] = ACTIONS(2551),
    [anon_sym_catch] = ACTIONS(3055),
    [anon_sym_R_DQUOTE] = ACTIONS(2553),
    [anon_sym_LR_DQUOTE] = ACTIONS(2553),
    [anon_sym_uR_DQUOTE] = ACTIONS(2553),
    [anon_sym_UR_DQUOTE] = ACTIONS(2553),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2553),
    [anon_sym_co_await] = ACTIONS(2551),
    [anon_sym_new] = ACTIONS(2551),
    [anon_sym_requires] = ACTIONS(2551),
    [sym_this] = ACTIONS(2551),
  },
  [341] = {
    [sym_identifier] = ACTIONS(3058),
    [aux_sym_preproc_include_token1] = ACTIONS(3058),
    [aux_sym_preproc_def_token1] = ACTIONS(3058),
    [aux_sym_preproc_if_token1] = ACTIONS(3058),
    [aux_sym_preproc_if_token2] = ACTIONS(3058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3058),
    [aux_sym_preproc_else_token1] = ACTIONS(3058),
    [aux_sym_preproc_elif_token1] = ACTIONS(3058),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3058),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3058),
    [sym_preproc_directive] = ACTIONS(3058),
    [anon_sym_LPAREN2] = ACTIONS(3060),
    [anon_sym_BANG] = ACTIONS(3060),
    [anon_sym_TILDE] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3058),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_AMP_AMP] = ACTIONS(3060),
    [anon_sym_AMP] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3060),
    [anon_sym___extension__] = ACTIONS(3058),
    [anon_sym_typedef] = ACTIONS(3058),
    [anon_sym_virtual] = ACTIONS(3058),
    [anon_sym_extern] = ACTIONS(3058),
    [anon_sym___attribute__] = ACTIONS(3058),
    [anon_sym_COLON_COLON] = ACTIONS(3060),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3060),
    [anon_sym___declspec] = ACTIONS(3058),
    [anon_sym___based] = ACTIONS(3058),
    [anon_sym___cdecl] = ACTIONS(3058),
    [anon_sym___clrcall] = ACTIONS(3058),
    [anon_sym___stdcall] = ACTIONS(3058),
    [anon_sym___fastcall] = ACTIONS(3058),
    [anon_sym___thiscall] = ACTIONS(3058),
    [anon_sym___vectorcall] = ACTIONS(3058),
    [anon_sym_LBRACE] = ACTIONS(3060),
    [anon_sym_signed] = ACTIONS(3058),
    [anon_sym_unsigned] = ACTIONS(3058),
    [anon_sym_long] = ACTIONS(3058),
    [anon_sym_short] = ACTIONS(3058),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_static] = ACTIONS(3058),
    [anon_sym_register] = ACTIONS(3058),
    [anon_sym_inline] = ACTIONS(3058),
    [anon_sym___inline] = ACTIONS(3058),
    [anon_sym___inline__] = ACTIONS(3058),
    [anon_sym___forceinline] = ACTIONS(3058),
    [anon_sym_thread_local] = ACTIONS(3058),
    [anon_sym___thread] = ACTIONS(3058),
    [anon_sym_const] = ACTIONS(3058),
    [anon_sym_constexpr] = ACTIONS(3058),
    [anon_sym_volatile] = ACTIONS(3058),
    [anon_sym_restrict] = ACTIONS(3058),
    [anon_sym___restrict__] = ACTIONS(3058),
    [anon_sym__Atomic] = ACTIONS(3058),
    [anon_sym__Noreturn] = ACTIONS(3058),
    [anon_sym_noreturn] = ACTIONS(3058),
    [anon_sym__Nonnull] = ACTIONS(3058),
    [anon_sym_mutable] = ACTIONS(3058),
    [anon_sym_constinit] = ACTIONS(3058),
    [anon_sym_consteval] = ACTIONS(3058),
    [anon_sym_PROGMEM] = ACTIONS(3058),
    [anon_sym_alignas] = ACTIONS(3058),
    [anon_sym__Alignas] = ACTIONS(3058),
    [aux_sym_primitive_type_token1] = ACTIONS(3058),
    [anon_sym_byte] = ACTIONS(3058),
    [anon_sym_word] = ACTIONS(3058),
    [anon_sym_enum] = ACTIONS(3058),
    [anon_sym_class] = ACTIONS(3058),
    [anon_sym_struct] = ACTIONS(3058),
    [anon_sym_union] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3058),
    [anon_sym_switch] = ACTIONS(3058),
    [anon_sym_case] = ACTIONS(3058),
    [anon_sym_default] = ACTIONS(3058),
    [anon_sym_while] = ACTIONS(3058),
    [anon_sym_do] = ACTIONS(3058),
    [anon_sym_for] = ACTIONS(3058),
    [anon_sym_return] = ACTIONS(3058),
    [anon_sym_break] = ACTIONS(3058),
    [anon_sym_continue] = ACTIONS(3058),
    [anon_sym_goto] = ACTIONS(3058),
    [anon_sym___try] = ACTIONS(3058),
    [anon_sym___leave] = ACTIONS(3058),
    [anon_sym_not] = ACTIONS(3058),
    [anon_sym_compl] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3060),
    [anon_sym_PLUS_PLUS] = ACTIONS(3060),
    [anon_sym_sizeof] = ACTIONS(3058),
    [anon_sym___alignof__] = ACTIONS(3058),
    [anon_sym___alignof] = ACTIONS(3058),
    [anon_sym__alignof] = ACTIONS(3058),
    [anon_sym_alignof] = ACTIONS(3058),
    [anon_sym__Alignof] = ACTIONS(3058),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3058),
    [anon_sym_asm] = ACTIONS(3058),
    [anon_sym___asm__] = ACTIONS(3058),
    [anon_sym___asm] = ACTIONS(3058),
    [aux_sym_number_literal_token1] = ACTIONS(3060),
    [aux_sym_number_literal_token2] = ACTIONS(3058),
    [anon_sym_L_SQUOTE] = ACTIONS(3060),
    [anon_sym_u_SQUOTE] = ACTIONS(3060),
    [anon_sym_U_SQUOTE] = ACTIONS(3060),
    [anon_sym_u8_SQUOTE] = ACTIONS(3060),
    [anon_sym_SQUOTE] = ACTIONS(3060),
    [anon_sym_L_DQUOTE] = ACTIONS(3060),
    [anon_sym_u_DQUOTE] = ACTIONS(3060),
    [anon_sym_U_DQUOTE] = ACTIONS(3060),
    [anon_sym_u8_DQUOTE] = ACTIONS(3060),
    [anon_sym_DQUOTE] = ACTIONS(3060),
    [sym_true] = ACTIONS(3058),
    [sym_false] = ACTIONS(3058),
    [anon_sym_NULL] = ACTIONS(3058),
    [anon_sym_nullptr] = ACTIONS(3058),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3058),
    [anon_sym_decltype] = ACTIONS(3058),
    [anon_sym_explicit] = ACTIONS(3058),
    [anon_sym_typename] = ACTIONS(3058),
    [anon_sym_template] = ACTIONS(3058),
    [anon_sym_operator] = ACTIONS(3058),
    [anon_sym_try] = ACTIONS(3058),
    [anon_sym_delete] = ACTIONS(3058),
    [anon_sym_throw] = ACTIONS(3058),
    [anon_sym_namespace] = ACTIONS(3058),
    [anon_sym_using] = ACTIONS(3058),
    [anon_sym_static_assert] = ACTIONS(3058),
    [anon_sym_concept] = ACTIONS(3058),
    [anon_sym_co_return] = ACTIONS(3058),
    [anon_sym_co_yield] = ACTIONS(3058),
    [anon_sym_R_DQUOTE] = ACTIONS(3060),
    [anon_sym_LR_DQUOTE] = ACTIONS(3060),
    [anon_sym_uR_DQUOTE] = ACTIONS(3060),
    [anon_sym_UR_DQUOTE] = ACTIONS(3060),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3060),
    [anon_sym_co_await] = ACTIONS(3058),
    [anon_sym_new] = ACTIONS(3058),
    [anon_sym_requires] = ACTIONS(3058),
    [sym_this] = ACTIONS(3058),
  },
  [342] = {
    [sym_identifier] = ACTIONS(3062),
    [aux_sym_preproc_include_token1] = ACTIONS(3062),
    [aux_sym_preproc_def_token1] = ACTIONS(3062),
    [aux_sym_preproc_if_token1] = ACTIONS(3062),
    [aux_sym_preproc_if_token2] = ACTIONS(3062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3062),
    [aux_sym_preproc_else_token1] = ACTIONS(3062),
    [aux_sym_preproc_elif_token1] = ACTIONS(3062),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3062),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3062),
    [sym_preproc_directive] = ACTIONS(3062),
    [anon_sym_LPAREN2] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_TILDE] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_AMP_AMP] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3064),
    [anon_sym___extension__] = ACTIONS(3062),
    [anon_sym_typedef] = ACTIONS(3062),
    [anon_sym_virtual] = ACTIONS(3062),
    [anon_sym_extern] = ACTIONS(3062),
    [anon_sym___attribute__] = ACTIONS(3062),
    [anon_sym_COLON_COLON] = ACTIONS(3064),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3064),
    [anon_sym___declspec] = ACTIONS(3062),
    [anon_sym___based] = ACTIONS(3062),
    [anon_sym___cdecl] = ACTIONS(3062),
    [anon_sym___clrcall] = ACTIONS(3062),
    [anon_sym___stdcall] = ACTIONS(3062),
    [anon_sym___fastcall] = ACTIONS(3062),
    [anon_sym___thiscall] = ACTIONS(3062),
    [anon_sym___vectorcall] = ACTIONS(3062),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_signed] = ACTIONS(3062),
    [anon_sym_unsigned] = ACTIONS(3062),
    [anon_sym_long] = ACTIONS(3062),
    [anon_sym_short] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_static] = ACTIONS(3062),
    [anon_sym_register] = ACTIONS(3062),
    [anon_sym_inline] = ACTIONS(3062),
    [anon_sym___inline] = ACTIONS(3062),
    [anon_sym___inline__] = ACTIONS(3062),
    [anon_sym___forceinline] = ACTIONS(3062),
    [anon_sym_thread_local] = ACTIONS(3062),
    [anon_sym___thread] = ACTIONS(3062),
    [anon_sym_const] = ACTIONS(3062),
    [anon_sym_constexpr] = ACTIONS(3062),
    [anon_sym_volatile] = ACTIONS(3062),
    [anon_sym_restrict] = ACTIONS(3062),
    [anon_sym___restrict__] = ACTIONS(3062),
    [anon_sym__Atomic] = ACTIONS(3062),
    [anon_sym__Noreturn] = ACTIONS(3062),
    [anon_sym_noreturn] = ACTIONS(3062),
    [anon_sym__Nonnull] = ACTIONS(3062),
    [anon_sym_mutable] = ACTIONS(3062),
    [anon_sym_constinit] = ACTIONS(3062),
    [anon_sym_consteval] = ACTIONS(3062),
    [anon_sym_PROGMEM] = ACTIONS(3062),
    [anon_sym_alignas] = ACTIONS(3062),
    [anon_sym__Alignas] = ACTIONS(3062),
    [aux_sym_primitive_type_token1] = ACTIONS(3062),
    [anon_sym_byte] = ACTIONS(3062),
    [anon_sym_word] = ACTIONS(3062),
    [anon_sym_enum] = ACTIONS(3062),
    [anon_sym_class] = ACTIONS(3062),
    [anon_sym_struct] = ACTIONS(3062),
    [anon_sym_union] = ACTIONS(3062),
    [anon_sym_if] = ACTIONS(3062),
    [anon_sym_switch] = ACTIONS(3062),
    [anon_sym_case] = ACTIONS(3062),
    [anon_sym_default] = ACTIONS(3062),
    [anon_sym_while] = ACTIONS(3062),
    [anon_sym_do] = ACTIONS(3062),
    [anon_sym_for] = ACTIONS(3062),
    [anon_sym_return] = ACTIONS(3062),
    [anon_sym_break] = ACTIONS(3062),
    [anon_sym_continue] = ACTIONS(3062),
    [anon_sym_goto] = ACTIONS(3062),
    [anon_sym___try] = ACTIONS(3062),
    [anon_sym___leave] = ACTIONS(3062),
    [anon_sym_not] = ACTIONS(3062),
    [anon_sym_compl] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3064),
    [anon_sym_sizeof] = ACTIONS(3062),
    [anon_sym___alignof__] = ACTIONS(3062),
    [anon_sym___alignof] = ACTIONS(3062),
    [anon_sym__alignof] = ACTIONS(3062),
    [anon_sym_alignof] = ACTIONS(3062),
    [anon_sym__Alignof] = ACTIONS(3062),
    [anon_sym_offsetof] = ACTIONS(3062),
    [anon_sym__Generic] = ACTIONS(3062),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [anon_sym___asm] = ACTIONS(3062),
    [aux_sym_number_literal_token1] = ACTIONS(3064),
    [aux_sym_number_literal_token2] = ACTIONS(3062),
    [anon_sym_L_SQUOTE] = ACTIONS(3064),
    [anon_sym_u_SQUOTE] = ACTIONS(3064),
    [anon_sym_U_SQUOTE] = ACTIONS(3064),
    [anon_sym_u8_SQUOTE] = ACTIONS(3064),
    [anon_sym_SQUOTE] = ACTIONS(3064),
    [anon_sym_L_DQUOTE] = ACTIONS(3064),
    [anon_sym_u_DQUOTE] = ACTIONS(3064),
    [anon_sym_U_DQUOTE] = ACTIONS(3064),
    [anon_sym_u8_DQUOTE] = ACTIONS(3064),
    [anon_sym_DQUOTE] = ACTIONS(3064),
    [sym_true] = ACTIONS(3062),
    [sym_false] = ACTIONS(3062),
    [anon_sym_NULL] = ACTIONS(3062),
    [anon_sym_nullptr] = ACTIONS(3062),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3062),
    [anon_sym_decltype] = ACTIONS(3062),
    [anon_sym_explicit] = ACTIONS(3062),
    [anon_sym_typename] = ACTIONS(3062),
    [anon_sym_template] = ACTIONS(3062),
    [anon_sym_operator] = ACTIONS(3062),
    [anon_sym_try] = ACTIONS(3062),
    [anon_sym_delete] = ACTIONS(3062),
    [anon_sym_throw] = ACTIONS(3062),
    [anon_sym_namespace] = ACTIONS(3062),
    [anon_sym_using] = ACTIONS(3062),
    [anon_sym_static_assert] = ACTIONS(3062),
    [anon_sym_concept] = ACTIONS(3062),
    [anon_sym_co_return] = ACTIONS(3062),
    [anon_sym_co_yield] = ACTIONS(3062),
    [anon_sym_R_DQUOTE] = ACTIONS(3064),
    [anon_sym_LR_DQUOTE] = ACTIONS(3064),
    [anon_sym_uR_DQUOTE] = ACTIONS(3064),
    [anon_sym_UR_DQUOTE] = ACTIONS(3064),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3064),
    [anon_sym_co_await] = ACTIONS(3062),
    [anon_sym_new] = ACTIONS(3062),
    [anon_sym_requires] = ACTIONS(3062),
    [sym_this] = ACTIONS(3062),
  },
  [343] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4132),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2523),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2536),
    [anon_sym_byte] = ACTIONS(2536),
    [anon_sym_word] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [344] = {
    [sym_identifier] = ACTIONS(3066),
    [aux_sym_preproc_include_token1] = ACTIONS(3066),
    [aux_sym_preproc_def_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token2] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3066),
    [aux_sym_preproc_else_token1] = ACTIONS(3066),
    [aux_sym_preproc_elif_token1] = ACTIONS(3066),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3066),
    [sym_preproc_directive] = ACTIONS(3066),
    [anon_sym_LPAREN2] = ACTIONS(3068),
    [anon_sym_BANG] = ACTIONS(3068),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3068),
    [anon_sym___extension__] = ACTIONS(3066),
    [anon_sym_typedef] = ACTIONS(3066),
    [anon_sym_virtual] = ACTIONS(3066),
    [anon_sym_extern] = ACTIONS(3066),
    [anon_sym___attribute__] = ACTIONS(3066),
    [anon_sym_COLON_COLON] = ACTIONS(3068),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3068),
    [anon_sym___declspec] = ACTIONS(3066),
    [anon_sym___based] = ACTIONS(3066),
    [anon_sym___cdecl] = ACTIONS(3066),
    [anon_sym___clrcall] = ACTIONS(3066),
    [anon_sym___stdcall] = ACTIONS(3066),
    [anon_sym___fastcall] = ACTIONS(3066),
    [anon_sym___thiscall] = ACTIONS(3066),
    [anon_sym___vectorcall] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3068),
    [anon_sym_signed] = ACTIONS(3066),
    [anon_sym_unsigned] = ACTIONS(3066),
    [anon_sym_long] = ACTIONS(3066),
    [anon_sym_short] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_register] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(3066),
    [anon_sym___inline] = ACTIONS(3066),
    [anon_sym___inline__] = ACTIONS(3066),
    [anon_sym___forceinline] = ACTIONS(3066),
    [anon_sym_thread_local] = ACTIONS(3066),
    [anon_sym___thread] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_constexpr] = ACTIONS(3066),
    [anon_sym_volatile] = ACTIONS(3066),
    [anon_sym_restrict] = ACTIONS(3066),
    [anon_sym___restrict__] = ACTIONS(3066),
    [anon_sym__Atomic] = ACTIONS(3066),
    [anon_sym__Noreturn] = ACTIONS(3066),
    [anon_sym_noreturn] = ACTIONS(3066),
    [anon_sym__Nonnull] = ACTIONS(3066),
    [anon_sym_mutable] = ACTIONS(3066),
    [anon_sym_constinit] = ACTIONS(3066),
    [anon_sym_consteval] = ACTIONS(3066),
    [anon_sym_PROGMEM] = ACTIONS(3066),
    [anon_sym_alignas] = ACTIONS(3066),
    [anon_sym__Alignas] = ACTIONS(3066),
    [aux_sym_primitive_type_token1] = ACTIONS(3066),
    [anon_sym_byte] = ACTIONS(3066),
    [anon_sym_word] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_struct] = ACTIONS(3066),
    [anon_sym_union] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_default] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_goto] = ACTIONS(3066),
    [anon_sym___try] = ACTIONS(3066),
    [anon_sym___leave] = ACTIONS(3066),
    [anon_sym_not] = ACTIONS(3066),
    [anon_sym_compl] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3068),
    [anon_sym_sizeof] = ACTIONS(3066),
    [anon_sym___alignof__] = ACTIONS(3066),
    [anon_sym___alignof] = ACTIONS(3066),
    [anon_sym__alignof] = ACTIONS(3066),
    [anon_sym_alignof] = ACTIONS(3066),
    [anon_sym__Alignof] = ACTIONS(3066),
    [anon_sym_offsetof] = ACTIONS(3066),
    [anon_sym__Generic] = ACTIONS(3066),
    [anon_sym_asm] = ACTIONS(3066),
    [anon_sym___asm__] = ACTIONS(3066),
    [anon_sym___asm] = ACTIONS(3066),
    [aux_sym_number_literal_token1] = ACTIONS(3068),
    [aux_sym_number_literal_token2] = ACTIONS(3066),
    [anon_sym_L_SQUOTE] = ACTIONS(3068),
    [anon_sym_u_SQUOTE] = ACTIONS(3068),
    [anon_sym_U_SQUOTE] = ACTIONS(3068),
    [anon_sym_u8_SQUOTE] = ACTIONS(3068),
    [anon_sym_SQUOTE] = ACTIONS(3068),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [anon_sym_NULL] = ACTIONS(3066),
    [anon_sym_nullptr] = ACTIONS(3066),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3066),
    [anon_sym_decltype] = ACTIONS(3066),
    [anon_sym_explicit] = ACTIONS(3066),
    [anon_sym_typename] = ACTIONS(3066),
    [anon_sym_template] = ACTIONS(3066),
    [anon_sym_operator] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_static_assert] = ACTIONS(3066),
    [anon_sym_concept] = ACTIONS(3066),
    [anon_sym_co_return] = ACTIONS(3066),
    [anon_sym_co_yield] = ACTIONS(3066),
    [anon_sym_R_DQUOTE] = ACTIONS(3068),
    [anon_sym_LR_DQUOTE] = ACTIONS(3068),
    [anon_sym_uR_DQUOTE] = ACTIONS(3068),
    [anon_sym_UR_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3068),
    [anon_sym_co_await] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_requires] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
  },
  [345] = {
    [sym_identifier] = ACTIONS(3070),
    [aux_sym_preproc_include_token1] = ACTIONS(3070),
    [aux_sym_preproc_def_token1] = ACTIONS(3070),
    [aux_sym_preproc_if_token1] = ACTIONS(3070),
    [aux_sym_preproc_if_token2] = ACTIONS(3070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3070),
    [aux_sym_preproc_else_token1] = ACTIONS(3070),
    [aux_sym_preproc_elif_token1] = ACTIONS(3070),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3070),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3070),
    [sym_preproc_directive] = ACTIONS(3070),
    [anon_sym_LPAREN2] = ACTIONS(3072),
    [anon_sym_BANG] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym___extension__] = ACTIONS(3070),
    [anon_sym_typedef] = ACTIONS(3070),
    [anon_sym_virtual] = ACTIONS(3070),
    [anon_sym_extern] = ACTIONS(3070),
    [anon_sym___attribute__] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3072),
    [anon_sym___declspec] = ACTIONS(3070),
    [anon_sym___based] = ACTIONS(3070),
    [anon_sym___cdecl] = ACTIONS(3070),
    [anon_sym___clrcall] = ACTIONS(3070),
    [anon_sym___stdcall] = ACTIONS(3070),
    [anon_sym___fastcall] = ACTIONS(3070),
    [anon_sym___thiscall] = ACTIONS(3070),
    [anon_sym___vectorcall] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_signed] = ACTIONS(3070),
    [anon_sym_unsigned] = ACTIONS(3070),
    [anon_sym_long] = ACTIONS(3070),
    [anon_sym_short] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(3070),
    [anon_sym_static] = ACTIONS(3070),
    [anon_sym_register] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym___inline] = ACTIONS(3070),
    [anon_sym___inline__] = ACTIONS(3070),
    [anon_sym___forceinline] = ACTIONS(3070),
    [anon_sym_thread_local] = ACTIONS(3070),
    [anon_sym___thread] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_constexpr] = ACTIONS(3070),
    [anon_sym_volatile] = ACTIONS(3070),
    [anon_sym_restrict] = ACTIONS(3070),
    [anon_sym___restrict__] = ACTIONS(3070),
    [anon_sym__Atomic] = ACTIONS(3070),
    [anon_sym__Noreturn] = ACTIONS(3070),
    [anon_sym_noreturn] = ACTIONS(3070),
    [anon_sym__Nonnull] = ACTIONS(3070),
    [anon_sym_mutable] = ACTIONS(3070),
    [anon_sym_constinit] = ACTIONS(3070),
    [anon_sym_consteval] = ACTIONS(3070),
    [anon_sym_PROGMEM] = ACTIONS(3070),
    [anon_sym_alignas] = ACTIONS(3070),
    [anon_sym__Alignas] = ACTIONS(3070),
    [aux_sym_primitive_type_token1] = ACTIONS(3070),
    [anon_sym_byte] = ACTIONS(3070),
    [anon_sym_word] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_class] = ACTIONS(3070),
    [anon_sym_struct] = ACTIONS(3070),
    [anon_sym_union] = ACTIONS(3070),
    [anon_sym_if] = ACTIONS(3070),
    [anon_sym_switch] = ACTIONS(3070),
    [anon_sym_case] = ACTIONS(3070),
    [anon_sym_default] = ACTIONS(3070),
    [anon_sym_while] = ACTIONS(3070),
    [anon_sym_do] = ACTIONS(3070),
    [anon_sym_for] = ACTIONS(3070),
    [anon_sym_return] = ACTIONS(3070),
    [anon_sym_break] = ACTIONS(3070),
    [anon_sym_continue] = ACTIONS(3070),
    [anon_sym_goto] = ACTIONS(3070),
    [anon_sym___try] = ACTIONS(3070),
    [anon_sym___leave] = ACTIONS(3070),
    [anon_sym_not] = ACTIONS(3070),
    [anon_sym_compl] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_sizeof] = ACTIONS(3070),
    [anon_sym___alignof__] = ACTIONS(3070),
    [anon_sym___alignof] = ACTIONS(3070),
    [anon_sym__alignof] = ACTIONS(3070),
    [anon_sym_alignof] = ACTIONS(3070),
    [anon_sym__Alignof] = ACTIONS(3070),
    [anon_sym_offsetof] = ACTIONS(3070),
    [anon_sym__Generic] = ACTIONS(3070),
    [anon_sym_asm] = ACTIONS(3070),
    [anon_sym___asm__] = ACTIONS(3070),
    [anon_sym___asm] = ACTIONS(3070),
    [aux_sym_number_literal_token1] = ACTIONS(3072),
    [aux_sym_number_literal_token2] = ACTIONS(3070),
    [anon_sym_L_SQUOTE] = ACTIONS(3072),
    [anon_sym_u_SQUOTE] = ACTIONS(3072),
    [anon_sym_U_SQUOTE] = ACTIONS(3072),
    [anon_sym_u8_SQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3072),
    [anon_sym_L_DQUOTE] = ACTIONS(3072),
    [anon_sym_u_DQUOTE] = ACTIONS(3072),
    [anon_sym_U_DQUOTE] = ACTIONS(3072),
    [anon_sym_u8_DQUOTE] = ACTIONS(3072),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3070),
    [anon_sym_nullptr] = ACTIONS(3070),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3070),
    [anon_sym_decltype] = ACTIONS(3070),
    [anon_sym_explicit] = ACTIONS(3070),
    [anon_sym_typename] = ACTIONS(3070),
    [anon_sym_template] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_try] = ACTIONS(3070),
    [anon_sym_delete] = ACTIONS(3070),
    [anon_sym_throw] = ACTIONS(3070),
    [anon_sym_namespace] = ACTIONS(3070),
    [anon_sym_using] = ACTIONS(3070),
    [anon_sym_static_assert] = ACTIONS(3070),
    [anon_sym_concept] = ACTIONS(3070),
    [anon_sym_co_return] = ACTIONS(3070),
    [anon_sym_co_yield] = ACTIONS(3070),
    [anon_sym_R_DQUOTE] = ACTIONS(3072),
    [anon_sym_LR_DQUOTE] = ACTIONS(3072),
    [anon_sym_uR_DQUOTE] = ACTIONS(3072),
    [anon_sym_UR_DQUOTE] = ACTIONS(3072),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3072),
    [anon_sym_co_await] = ACTIONS(3070),
    [anon_sym_new] = ACTIONS(3070),
    [anon_sym_requires] = ACTIONS(3070),
    [sym_this] = ACTIONS(3070),
  },
  [346] = {
    [sym_identifier] = ACTIONS(3074),
    [aux_sym_preproc_include_token1] = ACTIONS(3074),
    [aux_sym_preproc_def_token1] = ACTIONS(3074),
    [aux_sym_preproc_if_token1] = ACTIONS(3074),
    [aux_sym_preproc_if_token2] = ACTIONS(3074),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3074),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3074),
    [aux_sym_preproc_else_token1] = ACTIONS(3074),
    [aux_sym_preproc_elif_token1] = ACTIONS(3074),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3074),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3074),
    [sym_preproc_directive] = ACTIONS(3074),
    [anon_sym_LPAREN2] = ACTIONS(3076),
    [anon_sym_BANG] = ACTIONS(3076),
    [anon_sym_TILDE] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym___extension__] = ACTIONS(3074),
    [anon_sym_typedef] = ACTIONS(3074),
    [anon_sym_virtual] = ACTIONS(3074),
    [anon_sym_extern] = ACTIONS(3074),
    [anon_sym___attribute__] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3076),
    [anon_sym___declspec] = ACTIONS(3074),
    [anon_sym___based] = ACTIONS(3074),
    [anon_sym___cdecl] = ACTIONS(3074),
    [anon_sym___clrcall] = ACTIONS(3074),
    [anon_sym___stdcall] = ACTIONS(3074),
    [anon_sym___fastcall] = ACTIONS(3074),
    [anon_sym___thiscall] = ACTIONS(3074),
    [anon_sym___vectorcall] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_signed] = ACTIONS(3074),
    [anon_sym_unsigned] = ACTIONS(3074),
    [anon_sym_long] = ACTIONS(3074),
    [anon_sym_short] = ACTIONS(3074),
    [anon_sym_LBRACK] = ACTIONS(3074),
    [anon_sym_static] = ACTIONS(3074),
    [anon_sym_register] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym___inline] = ACTIONS(3074),
    [anon_sym___inline__] = ACTIONS(3074),
    [anon_sym___forceinline] = ACTIONS(3074),
    [anon_sym_thread_local] = ACTIONS(3074),
    [anon_sym___thread] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_constexpr] = ACTIONS(3074),
    [anon_sym_volatile] = ACTIONS(3074),
    [anon_sym_restrict] = ACTIONS(3074),
    [anon_sym___restrict__] = ACTIONS(3074),
    [anon_sym__Atomic] = ACTIONS(3074),
    [anon_sym__Noreturn] = ACTIONS(3074),
    [anon_sym_noreturn] = ACTIONS(3074),
    [anon_sym__Nonnull] = ACTIONS(3074),
    [anon_sym_mutable] = ACTIONS(3074),
    [anon_sym_constinit] = ACTIONS(3074),
    [anon_sym_consteval] = ACTIONS(3074),
    [anon_sym_PROGMEM] = ACTIONS(3074),
    [anon_sym_alignas] = ACTIONS(3074),
    [anon_sym__Alignas] = ACTIONS(3074),
    [aux_sym_primitive_type_token1] = ACTIONS(3074),
    [anon_sym_byte] = ACTIONS(3074),
    [anon_sym_word] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_class] = ACTIONS(3074),
    [anon_sym_struct] = ACTIONS(3074),
    [anon_sym_union] = ACTIONS(3074),
    [anon_sym_if] = ACTIONS(3074),
    [anon_sym_switch] = ACTIONS(3074),
    [anon_sym_case] = ACTIONS(3074),
    [anon_sym_default] = ACTIONS(3074),
    [anon_sym_while] = ACTIONS(3074),
    [anon_sym_do] = ACTIONS(3074),
    [anon_sym_for] = ACTIONS(3074),
    [anon_sym_return] = ACTIONS(3074),
    [anon_sym_break] = ACTIONS(3074),
    [anon_sym_continue] = ACTIONS(3074),
    [anon_sym_goto] = ACTIONS(3074),
    [anon_sym___try] = ACTIONS(3074),
    [anon_sym___leave] = ACTIONS(3074),
    [anon_sym_not] = ACTIONS(3074),
    [anon_sym_compl] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_sizeof] = ACTIONS(3074),
    [anon_sym___alignof__] = ACTIONS(3074),
    [anon_sym___alignof] = ACTIONS(3074),
    [anon_sym__alignof] = ACTIONS(3074),
    [anon_sym_alignof] = ACTIONS(3074),
    [anon_sym__Alignof] = ACTIONS(3074),
    [anon_sym_offsetof] = ACTIONS(3074),
    [anon_sym__Generic] = ACTIONS(3074),
    [anon_sym_asm] = ACTIONS(3074),
    [anon_sym___asm__] = ACTIONS(3074),
    [anon_sym___asm] = ACTIONS(3074),
    [aux_sym_number_literal_token1] = ACTIONS(3076),
    [aux_sym_number_literal_token2] = ACTIONS(3074),
    [anon_sym_L_SQUOTE] = ACTIONS(3076),
    [anon_sym_u_SQUOTE] = ACTIONS(3076),
    [anon_sym_U_SQUOTE] = ACTIONS(3076),
    [anon_sym_u8_SQUOTE] = ACTIONS(3076),
    [anon_sym_SQUOTE] = ACTIONS(3076),
    [anon_sym_L_DQUOTE] = ACTIONS(3076),
    [anon_sym_u_DQUOTE] = ACTIONS(3076),
    [anon_sym_U_DQUOTE] = ACTIONS(3076),
    [anon_sym_u8_DQUOTE] = ACTIONS(3076),
    [anon_sym_DQUOTE] = ACTIONS(3076),
    [sym_true] = ACTIONS(3074),
    [sym_false] = ACTIONS(3074),
    [anon_sym_NULL] = ACTIONS(3074),
    [anon_sym_nullptr] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3074),
    [anon_sym_explicit] = ACTIONS(3074),
    [anon_sym_typename] = ACTIONS(3074),
    [anon_sym_template] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_try] = ACTIONS(3074),
    [anon_sym_delete] = ACTIONS(3074),
    [anon_sym_throw] = ACTIONS(3074),
    [anon_sym_namespace] = ACTIONS(3074),
    [anon_sym_using] = ACTIONS(3074),
    [anon_sym_static_assert] = ACTIONS(3074),
    [anon_sym_concept] = ACTIONS(3074),
    [anon_sym_co_return] = ACTIONS(3074),
    [anon_sym_co_yield] = ACTIONS(3074),
    [anon_sym_R_DQUOTE] = ACTIONS(3076),
    [anon_sym_LR_DQUOTE] = ACTIONS(3076),
    [anon_sym_uR_DQUOTE] = ACTIONS(3076),
    [anon_sym_UR_DQUOTE] = ACTIONS(3076),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3076),
    [anon_sym_co_await] = ACTIONS(3074),
    [anon_sym_new] = ACTIONS(3074),
    [anon_sym_requires] = ACTIONS(3074),
    [sym_this] = ACTIONS(3074),
  },
  [347] = {
    [sym_catch_clause] = STATE(337),
    [aux_sym_constructor_try_statement_repeat1] = STATE(337),
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_virtual] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_PROGMEM] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [aux_sym_primitive_type_token1] = ACTIONS(2564),
    [anon_sym_byte] = ACTIONS(2564),
    [anon_sym_word] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [aux_sym_number_literal_token1] = ACTIONS(2566),
    [aux_sym_number_literal_token2] = ACTIONS(2564),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_catch] = ACTIONS(3078),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [348] = {
    [sym_catch_clause] = STATE(340),
    [aux_sym_constructor_try_statement_repeat1] = STATE(340),
    [ts_builtin_sym_end] = ACTIONS(2566),
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_virtual] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_PROGMEM] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [aux_sym_primitive_type_token1] = ACTIONS(2564),
    [anon_sym_byte] = ACTIONS(2564),
    [anon_sym_word] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [aux_sym_number_literal_token1] = ACTIONS(2566),
    [aux_sym_number_literal_token2] = ACTIONS(2564),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_catch] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [349] = {
    [sym_identifier] = ACTIONS(3082),
    [aux_sym_preproc_include_token1] = ACTIONS(3082),
    [aux_sym_preproc_def_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token2] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3082),
    [aux_sym_preproc_else_token1] = ACTIONS(3082),
    [aux_sym_preproc_elif_token1] = ACTIONS(3082),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3082),
    [sym_preproc_directive] = ACTIONS(3082),
    [anon_sym_LPAREN2] = ACTIONS(3084),
    [anon_sym_BANG] = ACTIONS(3084),
    [anon_sym_TILDE] = ACTIONS(3084),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym___extension__] = ACTIONS(3082),
    [anon_sym_typedef] = ACTIONS(3082),
    [anon_sym_virtual] = ACTIONS(3082),
    [anon_sym_extern] = ACTIONS(3082),
    [anon_sym___attribute__] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3084),
    [anon_sym___declspec] = ACTIONS(3082),
    [anon_sym___based] = ACTIONS(3082),
    [anon_sym___cdecl] = ACTIONS(3082),
    [anon_sym___clrcall] = ACTIONS(3082),
    [anon_sym___stdcall] = ACTIONS(3082),
    [anon_sym___fastcall] = ACTIONS(3082),
    [anon_sym___thiscall] = ACTIONS(3082),
    [anon_sym___vectorcall] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_signed] = ACTIONS(3082),
    [anon_sym_unsigned] = ACTIONS(3082),
    [anon_sym_long] = ACTIONS(3082),
    [anon_sym_short] = ACTIONS(3082),
    [anon_sym_LBRACK] = ACTIONS(3082),
    [anon_sym_static] = ACTIONS(3082),
    [anon_sym_register] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym___inline] = ACTIONS(3082),
    [anon_sym___inline__] = ACTIONS(3082),
    [anon_sym___forceinline] = ACTIONS(3082),
    [anon_sym_thread_local] = ACTIONS(3082),
    [anon_sym___thread] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_constexpr] = ACTIONS(3082),
    [anon_sym_volatile] = ACTIONS(3082),
    [anon_sym_restrict] = ACTIONS(3082),
    [anon_sym___restrict__] = ACTIONS(3082),
    [anon_sym__Atomic] = ACTIONS(3082),
    [anon_sym__Noreturn] = ACTIONS(3082),
    [anon_sym_noreturn] = ACTIONS(3082),
    [anon_sym__Nonnull] = ACTIONS(3082),
    [anon_sym_mutable] = ACTIONS(3082),
    [anon_sym_constinit] = ACTIONS(3082),
    [anon_sym_consteval] = ACTIONS(3082),
    [anon_sym_PROGMEM] = ACTIONS(3082),
    [anon_sym_alignas] = ACTIONS(3082),
    [anon_sym__Alignas] = ACTIONS(3082),
    [aux_sym_primitive_type_token1] = ACTIONS(3082),
    [anon_sym_byte] = ACTIONS(3082),
    [anon_sym_word] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3082),
    [anon_sym_struct] = ACTIONS(3082),
    [anon_sym_union] = ACTIONS(3082),
    [anon_sym_if] = ACTIONS(3082),
    [anon_sym_switch] = ACTIONS(3082),
    [anon_sym_case] = ACTIONS(3082),
    [anon_sym_default] = ACTIONS(3082),
    [anon_sym_while] = ACTIONS(3082),
    [anon_sym_do] = ACTIONS(3082),
    [anon_sym_for] = ACTIONS(3082),
    [anon_sym_return] = ACTIONS(3082),
    [anon_sym_break] = ACTIONS(3082),
    [anon_sym_continue] = ACTIONS(3082),
    [anon_sym_goto] = ACTIONS(3082),
    [anon_sym___try] = ACTIONS(3082),
    [anon_sym___leave] = ACTIONS(3082),
    [anon_sym_not] = ACTIONS(3082),
    [anon_sym_compl] = ACTIONS(3082),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_sizeof] = ACTIONS(3082),
    [anon_sym___alignof__] = ACTIONS(3082),
    [anon_sym___alignof] = ACTIONS(3082),
    [anon_sym__alignof] = ACTIONS(3082),
    [anon_sym_alignof] = ACTIONS(3082),
    [anon_sym__Alignof] = ACTIONS(3082),
    [anon_sym_offsetof] = ACTIONS(3082),
    [anon_sym__Generic] = ACTIONS(3082),
    [anon_sym_asm] = ACTIONS(3082),
    [anon_sym___asm__] = ACTIONS(3082),
    [anon_sym___asm] = ACTIONS(3082),
    [aux_sym_number_literal_token1] = ACTIONS(3084),
    [aux_sym_number_literal_token2] = ACTIONS(3082),
    [anon_sym_L_SQUOTE] = ACTIONS(3084),
    [anon_sym_u_SQUOTE] = ACTIONS(3084),
    [anon_sym_U_SQUOTE] = ACTIONS(3084),
    [anon_sym_u8_SQUOTE] = ACTIONS(3084),
    [anon_sym_SQUOTE] = ACTIONS(3084),
    [anon_sym_L_DQUOTE] = ACTIONS(3084),
    [anon_sym_u_DQUOTE] = ACTIONS(3084),
    [anon_sym_U_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8_DQUOTE] = ACTIONS(3084),
    [anon_sym_DQUOTE] = ACTIONS(3084),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_NULL] = ACTIONS(3082),
    [anon_sym_nullptr] = ACTIONS(3082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3082),
    [anon_sym_decltype] = ACTIONS(3082),
    [anon_sym_explicit] = ACTIONS(3082),
    [anon_sym_typename] = ACTIONS(3082),
    [anon_sym_template] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_try] = ACTIONS(3082),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_throw] = ACTIONS(3082),
    [anon_sym_namespace] = ACTIONS(3082),
    [anon_sym_using] = ACTIONS(3082),
    [anon_sym_static_assert] = ACTIONS(3082),
    [anon_sym_concept] = ACTIONS(3082),
    [anon_sym_co_return] = ACTIONS(3082),
    [anon_sym_co_yield] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3082),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_requires] = ACTIONS(3082),
    [sym_this] = ACTIONS(3082),
  },
  [350] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3650),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(3086),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2536),
    [anon_sym_byte] = ACTIONS(2536),
    [anon_sym_word] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [351] = {
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_include_token1] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token2] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [aux_sym_preproc_else_token1] = ACTIONS(3095),
    [aux_sym_preproc_elif_token1] = ACTIONS(3095),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_BANG] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym___cdecl] = ACTIONS(3095),
    [anon_sym___clrcall] = ACTIONS(3095),
    [anon_sym___stdcall] = ACTIONS(3095),
    [anon_sym___fastcall] = ACTIONS(3095),
    [anon_sym___thiscall] = ACTIONS(3095),
    [anon_sym___vectorcall] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym__Nonnull] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [anon_sym_PROGMEM] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym__Alignas] = ACTIONS(3095),
    [aux_sym_primitive_type_token1] = ACTIONS(3095),
    [anon_sym_byte] = ACTIONS(3095),
    [anon_sym_word] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_switch] = ACTIONS(3095),
    [anon_sym_case] = ACTIONS(3095),
    [anon_sym_default] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(3095),
    [anon_sym_do] = ACTIONS(3095),
    [anon_sym_for] = ACTIONS(3095),
    [anon_sym_return] = ACTIONS(3095),
    [anon_sym_break] = ACTIONS(3095),
    [anon_sym_continue] = ACTIONS(3095),
    [anon_sym_goto] = ACTIONS(3095),
    [anon_sym___try] = ACTIONS(3095),
    [anon_sym___leave] = ACTIONS(3095),
    [anon_sym_not] = ACTIONS(3095),
    [anon_sym_compl] = ACTIONS(3095),
    [anon_sym_DASH_DASH] = ACTIONS(3097),
    [anon_sym_PLUS_PLUS] = ACTIONS(3097),
    [anon_sym_sizeof] = ACTIONS(3095),
    [anon_sym___alignof__] = ACTIONS(3095),
    [anon_sym___alignof] = ACTIONS(3095),
    [anon_sym__alignof] = ACTIONS(3095),
    [anon_sym_alignof] = ACTIONS(3095),
    [anon_sym__Alignof] = ACTIONS(3095),
    [anon_sym_offsetof] = ACTIONS(3095),
    [anon_sym__Generic] = ACTIONS(3095),
    [anon_sym_asm] = ACTIONS(3095),
    [anon_sym___asm__] = ACTIONS(3095),
    [anon_sym___asm] = ACTIONS(3095),
    [aux_sym_number_literal_token1] = ACTIONS(3097),
    [aux_sym_number_literal_token2] = ACTIONS(3095),
    [anon_sym_L_SQUOTE] = ACTIONS(3097),
    [anon_sym_u_SQUOTE] = ACTIONS(3097),
    [anon_sym_U_SQUOTE] = ACTIONS(3097),
    [anon_sym_u8_SQUOTE] = ACTIONS(3097),
    [anon_sym_SQUOTE] = ACTIONS(3097),
    [anon_sym_L_DQUOTE] = ACTIONS(3097),
    [anon_sym_u_DQUOTE] = ACTIONS(3097),
    [anon_sym_U_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8_DQUOTE] = ACTIONS(3097),
    [anon_sym_DQUOTE] = ACTIONS(3097),
    [sym_true] = ACTIONS(3095),
    [sym_false] = ACTIONS(3095),
    [anon_sym_NULL] = ACTIONS(3095),
    [anon_sym_nullptr] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_try] = ACTIONS(3095),
    [anon_sym_delete] = ACTIONS(3095),
    [anon_sym_throw] = ACTIONS(3095),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
    [anon_sym_concept] = ACTIONS(3095),
    [anon_sym_co_return] = ACTIONS(3095),
    [anon_sym_co_yield] = ACTIONS(3095),
    [anon_sym_R_DQUOTE] = ACTIONS(3097),
    [anon_sym_LR_DQUOTE] = ACTIONS(3097),
    [anon_sym_uR_DQUOTE] = ACTIONS(3097),
    [anon_sym_UR_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3097),
    [anon_sym_co_await] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_requires] = ACTIONS(3095),
    [sym_this] = ACTIONS(3095),
  },
  [352] = {
    [sym_identifier] = ACTIONS(3099),
    [aux_sym_preproc_include_token1] = ACTIONS(3099),
    [aux_sym_preproc_def_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token2] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3099),
    [aux_sym_preproc_else_token1] = ACTIONS(3099),
    [aux_sym_preproc_elif_token1] = ACTIONS(3099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3099),
    [anon_sym_LPAREN2] = ACTIONS(3101),
    [anon_sym_BANG] = ACTIONS(3101),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_DASH] = ACTIONS(3099),
    [anon_sym_PLUS] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_AMP_AMP] = ACTIONS(3101),
    [anon_sym_AMP] = ACTIONS(3099),
    [anon_sym_SEMI] = ACTIONS(3101),
    [anon_sym___extension__] = ACTIONS(3099),
    [anon_sym_typedef] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym___attribute__] = ACTIONS(3099),
    [anon_sym_COLON_COLON] = ACTIONS(3101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3101),
    [anon_sym___declspec] = ACTIONS(3099),
    [anon_sym___based] = ACTIONS(3099),
    [anon_sym___cdecl] = ACTIONS(3099),
    [anon_sym___clrcall] = ACTIONS(3099),
    [anon_sym___stdcall] = ACTIONS(3099),
    [anon_sym___fastcall] = ACTIONS(3099),
    [anon_sym___thiscall] = ACTIONS(3099),
    [anon_sym___vectorcall] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3099),
    [anon_sym_unsigned] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_register] = ACTIONS(3099),
    [anon_sym_inline] = ACTIONS(3099),
    [anon_sym___inline] = ACTIONS(3099),
    [anon_sym___inline__] = ACTIONS(3099),
    [anon_sym___forceinline] = ACTIONS(3099),
    [anon_sym_thread_local] = ACTIONS(3099),
    [anon_sym___thread] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_constexpr] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_restrict] = ACTIONS(3099),
    [anon_sym___restrict__] = ACTIONS(3099),
    [anon_sym__Atomic] = ACTIONS(3099),
    [anon_sym__Noreturn] = ACTIONS(3099),
    [anon_sym_noreturn] = ACTIONS(3099),
    [anon_sym__Nonnull] = ACTIONS(3099),
    [anon_sym_mutable] = ACTIONS(3099),
    [anon_sym_constinit] = ACTIONS(3099),
    [anon_sym_consteval] = ACTIONS(3099),
    [anon_sym_PROGMEM] = ACTIONS(3099),
    [anon_sym_alignas] = ACTIONS(3099),
    [anon_sym__Alignas] = ACTIONS(3099),
    [aux_sym_primitive_type_token1] = ACTIONS(3099),
    [anon_sym_byte] = ACTIONS(3099),
    [anon_sym_word] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_union] = ACTIONS(3099),
    [anon_sym_if] = ACTIONS(3099),
    [anon_sym_switch] = ACTIONS(3099),
    [anon_sym_case] = ACTIONS(3099),
    [anon_sym_default] = ACTIONS(3099),
    [anon_sym_while] = ACTIONS(3099),
    [anon_sym_do] = ACTIONS(3099),
    [anon_sym_for] = ACTIONS(3099),
    [anon_sym_return] = ACTIONS(3099),
    [anon_sym_break] = ACTIONS(3099),
    [anon_sym_continue] = ACTIONS(3099),
    [anon_sym_goto] = ACTIONS(3099),
    [anon_sym___try] = ACTIONS(3099),
    [anon_sym___leave] = ACTIONS(3099),
    [anon_sym_not] = ACTIONS(3099),
    [anon_sym_compl] = ACTIONS(3099),
    [anon_sym_DASH_DASH] = ACTIONS(3101),
    [anon_sym_PLUS_PLUS] = ACTIONS(3101),
    [anon_sym_sizeof] = ACTIONS(3099),
    [anon_sym___alignof__] = ACTIONS(3099),
    [anon_sym___alignof] = ACTIONS(3099),
    [anon_sym__alignof] = ACTIONS(3099),
    [anon_sym_alignof] = ACTIONS(3099),
    [anon_sym__Alignof] = ACTIONS(3099),
    [anon_sym_offsetof] = ACTIONS(3099),
    [anon_sym__Generic] = ACTIONS(3099),
    [anon_sym_asm] = ACTIONS(3099),
    [anon_sym___asm__] = ACTIONS(3099),
    [anon_sym___asm] = ACTIONS(3099),
    [aux_sym_number_literal_token1] = ACTIONS(3101),
    [aux_sym_number_literal_token2] = ACTIONS(3099),
    [anon_sym_L_SQUOTE] = ACTIONS(3101),
    [anon_sym_u_SQUOTE] = ACTIONS(3101),
    [anon_sym_U_SQUOTE] = ACTIONS(3101),
    [anon_sym_u8_SQUOTE] = ACTIONS(3101),
    [anon_sym_SQUOTE] = ACTIONS(3101),
    [anon_sym_L_DQUOTE] = ACTIONS(3101),
    [anon_sym_u_DQUOTE] = ACTIONS(3101),
    [anon_sym_U_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8_DQUOTE] = ACTIONS(3101),
    [anon_sym_DQUOTE] = ACTIONS(3101),
    [sym_true] = ACTIONS(3099),
    [sym_false] = ACTIONS(3099),
    [anon_sym_NULL] = ACTIONS(3099),
    [anon_sym_nullptr] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3099),
    [anon_sym_decltype] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_typename] = ACTIONS(3099),
    [anon_sym_template] = ACTIONS(3099),
    [anon_sym_operator] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_delete] = ACTIONS(3099),
    [anon_sym_throw] = ACTIONS(3099),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static_assert] = ACTIONS(3099),
    [anon_sym_concept] = ACTIONS(3099),
    [anon_sym_co_return] = ACTIONS(3099),
    [anon_sym_co_yield] = ACTIONS(3099),
    [anon_sym_R_DQUOTE] = ACTIONS(3101),
    [anon_sym_LR_DQUOTE] = ACTIONS(3101),
    [anon_sym_uR_DQUOTE] = ACTIONS(3101),
    [anon_sym_UR_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3101),
    [anon_sym_co_await] = ACTIONS(3099),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_requires] = ACTIONS(3099),
    [sym_this] = ACTIONS(3099),
  },
  [353] = {
    [sym_identifier] = ACTIONS(3103),
    [aux_sym_preproc_include_token1] = ACTIONS(3103),
    [aux_sym_preproc_def_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token2] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3103),
    [aux_sym_preproc_else_token1] = ACTIONS(3103),
    [aux_sym_preproc_elif_token1] = ACTIONS(3103),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3103),
    [sym_preproc_directive] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3103),
    [anon_sym_PLUS] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP_AMP] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3103),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_typedef] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym___based] = ACTIONS(3103),
    [anon_sym___cdecl] = ACTIONS(3103),
    [anon_sym___clrcall] = ACTIONS(3103),
    [anon_sym___stdcall] = ACTIONS(3103),
    [anon_sym___fastcall] = ACTIONS(3103),
    [anon_sym___thiscall] = ACTIONS(3103),
    [anon_sym___vectorcall] = ACTIONS(3103),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym__Nonnull] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [anon_sym_PROGMEM] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym__Alignas] = ACTIONS(3103),
    [aux_sym_primitive_type_token1] = ACTIONS(3103),
    [anon_sym_byte] = ACTIONS(3103),
    [anon_sym_word] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [anon_sym_if] = ACTIONS(3103),
    [anon_sym_switch] = ACTIONS(3103),
    [anon_sym_case] = ACTIONS(3103),
    [anon_sym_default] = ACTIONS(3103),
    [anon_sym_while] = ACTIONS(3103),
    [anon_sym_do] = ACTIONS(3103),
    [anon_sym_for] = ACTIONS(3103),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_break] = ACTIONS(3103),
    [anon_sym_continue] = ACTIONS(3103),
    [anon_sym_goto] = ACTIONS(3103),
    [anon_sym___try] = ACTIONS(3103),
    [anon_sym___leave] = ACTIONS(3103),
    [anon_sym_not] = ACTIONS(3103),
    [anon_sym_compl] = ACTIONS(3103),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3103),
    [anon_sym___alignof__] = ACTIONS(3103),
    [anon_sym___alignof] = ACTIONS(3103),
    [anon_sym__alignof] = ACTIONS(3103),
    [anon_sym_alignof] = ACTIONS(3103),
    [anon_sym__Alignof] = ACTIONS(3103),
    [anon_sym_offsetof] = ACTIONS(3103),
    [anon_sym__Generic] = ACTIONS(3103),
    [anon_sym_asm] = ACTIONS(3103),
    [anon_sym___asm__] = ACTIONS(3103),
    [anon_sym___asm] = ACTIONS(3103),
    [aux_sym_number_literal_token1] = ACTIONS(3105),
    [aux_sym_number_literal_token2] = ACTIONS(3103),
    [anon_sym_L_SQUOTE] = ACTIONS(3105),
    [anon_sym_u_SQUOTE] = ACTIONS(3105),
    [anon_sym_U_SQUOTE] = ACTIONS(3105),
    [anon_sym_u8_SQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_L_DQUOTE] = ACTIONS(3105),
    [anon_sym_u_DQUOTE] = ACTIONS(3105),
    [anon_sym_U_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8_DQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [sym_true] = ACTIONS(3103),
    [sym_false] = ACTIONS(3103),
    [anon_sym_NULL] = ACTIONS(3103),
    [anon_sym_nullptr] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(3103),
    [anon_sym_try] = ACTIONS(3103),
    [anon_sym_delete] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static_assert] = ACTIONS(3103),
    [anon_sym_concept] = ACTIONS(3103),
    [anon_sym_co_return] = ACTIONS(3103),
    [anon_sym_co_yield] = ACTIONS(3103),
    [anon_sym_R_DQUOTE] = ACTIONS(3105),
    [anon_sym_LR_DQUOTE] = ACTIONS(3105),
    [anon_sym_uR_DQUOTE] = ACTIONS(3105),
    [anon_sym_UR_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3105),
    [anon_sym_co_await] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_requires] = ACTIONS(3103),
    [sym_this] = ACTIONS(3103),
  },
  [354] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_include_token1] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token2] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [aux_sym_preproc_else_token1] = ACTIONS(3107),
    [aux_sym_preproc_elif_token1] = ACTIONS(3107),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3109),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym___cdecl] = ACTIONS(3107),
    [anon_sym___clrcall] = ACTIONS(3107),
    [anon_sym___stdcall] = ACTIONS(3107),
    [anon_sym___fastcall] = ACTIONS(3107),
    [anon_sym___thiscall] = ACTIONS(3107),
    [anon_sym___vectorcall] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym__Nonnull] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [anon_sym_PROGMEM] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym__Alignas] = ACTIONS(3107),
    [aux_sym_primitive_type_token1] = ACTIONS(3107),
    [anon_sym_byte] = ACTIONS(3107),
    [anon_sym_word] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_goto] = ACTIONS(3107),
    [anon_sym___try] = ACTIONS(3107),
    [anon_sym___leave] = ACTIONS(3107),
    [anon_sym_not] = ACTIONS(3107),
    [anon_sym_compl] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3107),
    [anon_sym___alignof__] = ACTIONS(3107),
    [anon_sym___alignof] = ACTIONS(3107),
    [anon_sym__alignof] = ACTIONS(3107),
    [anon_sym_alignof] = ACTIONS(3107),
    [anon_sym__Alignof] = ACTIONS(3107),
    [anon_sym_offsetof] = ACTIONS(3107),
    [anon_sym__Generic] = ACTIONS(3107),
    [anon_sym_asm] = ACTIONS(3107),
    [anon_sym___asm__] = ACTIONS(3107),
    [anon_sym___asm] = ACTIONS(3107),
    [aux_sym_number_literal_token1] = ACTIONS(3109),
    [aux_sym_number_literal_token2] = ACTIONS(3107),
    [anon_sym_L_SQUOTE] = ACTIONS(3109),
    [anon_sym_u_SQUOTE] = ACTIONS(3109),
    [anon_sym_U_SQUOTE] = ACTIONS(3109),
    [anon_sym_u8_SQUOTE] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3109),
    [anon_sym_L_DQUOTE] = ACTIONS(3109),
    [anon_sym_u_DQUOTE] = ACTIONS(3109),
    [anon_sym_U_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8_DQUOTE] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3109),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [anon_sym_NULL] = ACTIONS(3107),
    [anon_sym_nullptr] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
    [anon_sym_concept] = ACTIONS(3107),
    [anon_sym_co_return] = ACTIONS(3107),
    [anon_sym_co_yield] = ACTIONS(3107),
    [anon_sym_R_DQUOTE] = ACTIONS(3109),
    [anon_sym_LR_DQUOTE] = ACTIONS(3109),
    [anon_sym_uR_DQUOTE] = ACTIONS(3109),
    [anon_sym_UR_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3109),
    [anon_sym_co_await] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_requires] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
  },
  [355] = {
    [sym_identifier] = ACTIONS(3111),
    [aux_sym_preproc_include_token1] = ACTIONS(3111),
    [aux_sym_preproc_def_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token2] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3111),
    [aux_sym_preproc_else_token1] = ACTIONS(3111),
    [aux_sym_preproc_elif_token1] = ACTIONS(3111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3111),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3111),
    [sym_preproc_directive] = ACTIONS(3111),
    [anon_sym_LPAREN2] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(3113),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3111),
    [anon_sym_PLUS] = ACTIONS(3111),
    [anon_sym_STAR] = ACTIONS(3113),
    [anon_sym_AMP_AMP] = ACTIONS(3113),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_SEMI] = ACTIONS(3113),
    [anon_sym___extension__] = ACTIONS(3111),
    [anon_sym_typedef] = ACTIONS(3111),
    [anon_sym_virtual] = ACTIONS(3111),
    [anon_sym_extern] = ACTIONS(3111),
    [anon_sym___attribute__] = ACTIONS(3111),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3113),
    [anon_sym___declspec] = ACTIONS(3111),
    [anon_sym___based] = ACTIONS(3111),
    [anon_sym___cdecl] = ACTIONS(3111),
    [anon_sym___clrcall] = ACTIONS(3111),
    [anon_sym___stdcall] = ACTIONS(3111),
    [anon_sym___fastcall] = ACTIONS(3111),
    [anon_sym___thiscall] = ACTIONS(3111),
    [anon_sym___vectorcall] = ACTIONS(3111),
    [anon_sym_LBRACE] = ACTIONS(3113),
    [anon_sym_signed] = ACTIONS(3111),
    [anon_sym_unsigned] = ACTIONS(3111),
    [anon_sym_long] = ACTIONS(3111),
    [anon_sym_short] = ACTIONS(3111),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_static] = ACTIONS(3111),
    [anon_sym_register] = ACTIONS(3111),
    [anon_sym_inline] = ACTIONS(3111),
    [anon_sym___inline] = ACTIONS(3111),
    [anon_sym___inline__] = ACTIONS(3111),
    [anon_sym___forceinline] = ACTIONS(3111),
    [anon_sym_thread_local] = ACTIONS(3111),
    [anon_sym___thread] = ACTIONS(3111),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_constexpr] = ACTIONS(3111),
    [anon_sym_volatile] = ACTIONS(3111),
    [anon_sym_restrict] = ACTIONS(3111),
    [anon_sym___restrict__] = ACTIONS(3111),
    [anon_sym__Atomic] = ACTIONS(3111),
    [anon_sym__Noreturn] = ACTIONS(3111),
    [anon_sym_noreturn] = ACTIONS(3111),
    [anon_sym__Nonnull] = ACTIONS(3111),
    [anon_sym_mutable] = ACTIONS(3111),
    [anon_sym_constinit] = ACTIONS(3111),
    [anon_sym_consteval] = ACTIONS(3111),
    [anon_sym_PROGMEM] = ACTIONS(3111),
    [anon_sym_alignas] = ACTIONS(3111),
    [anon_sym__Alignas] = ACTIONS(3111),
    [aux_sym_primitive_type_token1] = ACTIONS(3111),
    [anon_sym_byte] = ACTIONS(3111),
    [anon_sym_word] = ACTIONS(3111),
    [anon_sym_enum] = ACTIONS(3111),
    [anon_sym_class] = ACTIONS(3111),
    [anon_sym_struct] = ACTIONS(3111),
    [anon_sym_union] = ACTIONS(3111),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_switch] = ACTIONS(3111),
    [anon_sym_case] = ACTIONS(3111),
    [anon_sym_default] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3111),
    [anon_sym_do] = ACTIONS(3111),
    [anon_sym_for] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3111),
    [anon_sym_break] = ACTIONS(3111),
    [anon_sym_continue] = ACTIONS(3111),
    [anon_sym_goto] = ACTIONS(3111),
    [anon_sym___try] = ACTIONS(3111),
    [anon_sym___leave] = ACTIONS(3111),
    [anon_sym_not] = ACTIONS(3111),
    [anon_sym_compl] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3113),
    [anon_sym_PLUS_PLUS] = ACTIONS(3113),
    [anon_sym_sizeof] = ACTIONS(3111),
    [anon_sym___alignof__] = ACTIONS(3111),
    [anon_sym___alignof] = ACTIONS(3111),
    [anon_sym__alignof] = ACTIONS(3111),
    [anon_sym_alignof] = ACTIONS(3111),
    [anon_sym__Alignof] = ACTIONS(3111),
    [anon_sym_offsetof] = ACTIONS(3111),
    [anon_sym__Generic] = ACTIONS(3111),
    [anon_sym_asm] = ACTIONS(3111),
    [anon_sym___asm__] = ACTIONS(3111),
    [anon_sym___asm] = ACTIONS(3111),
    [aux_sym_number_literal_token1] = ACTIONS(3113),
    [aux_sym_number_literal_token2] = ACTIONS(3111),
    [anon_sym_L_SQUOTE] = ACTIONS(3113),
    [anon_sym_u_SQUOTE] = ACTIONS(3113),
    [anon_sym_U_SQUOTE] = ACTIONS(3113),
    [anon_sym_u8_SQUOTE] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(3113),
    [anon_sym_L_DQUOTE] = ACTIONS(3113),
    [anon_sym_u_DQUOTE] = ACTIONS(3113),
    [anon_sym_U_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8_DQUOTE] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3113),
    [sym_true] = ACTIONS(3111),
    [sym_false] = ACTIONS(3111),
    [anon_sym_NULL] = ACTIONS(3111),
    [anon_sym_nullptr] = ACTIONS(3111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3111),
    [anon_sym_decltype] = ACTIONS(3111),
    [anon_sym_explicit] = ACTIONS(3111),
    [anon_sym_typename] = ACTIONS(3111),
    [anon_sym_template] = ACTIONS(3111),
    [anon_sym_operator] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3111),
    [anon_sym_delete] = ACTIONS(3111),
    [anon_sym_throw] = ACTIONS(3111),
    [anon_sym_namespace] = ACTIONS(3111),
    [anon_sym_using] = ACTIONS(3111),
    [anon_sym_static_assert] = ACTIONS(3111),
    [anon_sym_concept] = ACTIONS(3111),
    [anon_sym_co_return] = ACTIONS(3111),
    [anon_sym_co_yield] = ACTIONS(3111),
    [anon_sym_R_DQUOTE] = ACTIONS(3113),
    [anon_sym_LR_DQUOTE] = ACTIONS(3113),
    [anon_sym_uR_DQUOTE] = ACTIONS(3113),
    [anon_sym_UR_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3113),
    [anon_sym_co_await] = ACTIONS(3111),
    [anon_sym_new] = ACTIONS(3111),
    [anon_sym_requires] = ACTIONS(3111),
    [sym_this] = ACTIONS(3111),
  },
  [356] = {
    [sym_identifier] = ACTIONS(3115),
    [aux_sym_preproc_include_token1] = ACTIONS(3115),
    [aux_sym_preproc_def_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token2] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [aux_sym_preproc_else_token1] = ACTIONS(3115),
    [aux_sym_preproc_elif_token1] = ACTIONS(3115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3117),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_PLUS] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym_SEMI] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3115),
    [anon_sym_typedef] = ACTIONS(3115),
    [anon_sym_virtual] = ACTIONS(3115),
    [anon_sym_extern] = ACTIONS(3115),
    [anon_sym___attribute__] = ACTIONS(3115),
    [anon_sym_COLON_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3117),
    [anon_sym___declspec] = ACTIONS(3115),
    [anon_sym___based] = ACTIONS(3115),
    [anon_sym___cdecl] = ACTIONS(3115),
    [anon_sym___clrcall] = ACTIONS(3115),
    [anon_sym___stdcall] = ACTIONS(3115),
    [anon_sym___fastcall] = ACTIONS(3115),
    [anon_sym___thiscall] = ACTIONS(3115),
    [anon_sym___vectorcall] = ACTIONS(3115),
    [anon_sym_LBRACE] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3115),
    [anon_sym_unsigned] = ACTIONS(3115),
    [anon_sym_long] = ACTIONS(3115),
    [anon_sym_short] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_register] = ACTIONS(3115),
    [anon_sym_inline] = ACTIONS(3115),
    [anon_sym___inline] = ACTIONS(3115),
    [anon_sym___inline__] = ACTIONS(3115),
    [anon_sym___forceinline] = ACTIONS(3115),
    [anon_sym_thread_local] = ACTIONS(3115),
    [anon_sym___thread] = ACTIONS(3115),
    [anon_sym_const] = ACTIONS(3115),
    [anon_sym_constexpr] = ACTIONS(3115),
    [anon_sym_volatile] = ACTIONS(3115),
    [anon_sym_restrict] = ACTIONS(3115),
    [anon_sym___restrict__] = ACTIONS(3115),
    [anon_sym__Atomic] = ACTIONS(3115),
    [anon_sym__Noreturn] = ACTIONS(3115),
    [anon_sym_noreturn] = ACTIONS(3115),
    [anon_sym__Nonnull] = ACTIONS(3115),
    [anon_sym_mutable] = ACTIONS(3115),
    [anon_sym_constinit] = ACTIONS(3115),
    [anon_sym_consteval] = ACTIONS(3115),
    [anon_sym_PROGMEM] = ACTIONS(3115),
    [anon_sym_alignas] = ACTIONS(3115),
    [anon_sym__Alignas] = ACTIONS(3115),
    [aux_sym_primitive_type_token1] = ACTIONS(3115),
    [anon_sym_byte] = ACTIONS(3115),
    [anon_sym_word] = ACTIONS(3115),
    [anon_sym_enum] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(3115),
    [anon_sym_union] = ACTIONS(3115),
    [anon_sym_if] = ACTIONS(3115),
    [anon_sym_switch] = ACTIONS(3115),
    [anon_sym_case] = ACTIONS(3115),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_while] = ACTIONS(3115),
    [anon_sym_do] = ACTIONS(3115),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_return] = ACTIONS(3115),
    [anon_sym_break] = ACTIONS(3115),
    [anon_sym_continue] = ACTIONS(3115),
    [anon_sym_goto] = ACTIONS(3115),
    [anon_sym___try] = ACTIONS(3115),
    [anon_sym___leave] = ACTIONS(3115),
    [anon_sym_not] = ACTIONS(3115),
    [anon_sym_compl] = ACTIONS(3115),
    [anon_sym_DASH_DASH] = ACTIONS(3117),
    [anon_sym_PLUS_PLUS] = ACTIONS(3117),
    [anon_sym_sizeof] = ACTIONS(3115),
    [anon_sym___alignof__] = ACTIONS(3115),
    [anon_sym___alignof] = ACTIONS(3115),
    [anon_sym__alignof] = ACTIONS(3115),
    [anon_sym_alignof] = ACTIONS(3115),
    [anon_sym__Alignof] = ACTIONS(3115),
    [anon_sym_offsetof] = ACTIONS(3115),
    [anon_sym__Generic] = ACTIONS(3115),
    [anon_sym_asm] = ACTIONS(3115),
    [anon_sym___asm__] = ACTIONS(3115),
    [anon_sym___asm] = ACTIONS(3115),
    [aux_sym_number_literal_token1] = ACTIONS(3117),
    [aux_sym_number_literal_token2] = ACTIONS(3115),
    [anon_sym_L_SQUOTE] = ACTIONS(3117),
    [anon_sym_u_SQUOTE] = ACTIONS(3117),
    [anon_sym_U_SQUOTE] = ACTIONS(3117),
    [anon_sym_u8_SQUOTE] = ACTIONS(3117),
    [anon_sym_SQUOTE] = ACTIONS(3117),
    [anon_sym_L_DQUOTE] = ACTIONS(3117),
    [anon_sym_u_DQUOTE] = ACTIONS(3117),
    [anon_sym_U_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8_DQUOTE] = ACTIONS(3117),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_true] = ACTIONS(3115),
    [sym_false] = ACTIONS(3115),
    [anon_sym_NULL] = ACTIONS(3115),
    [anon_sym_nullptr] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3115),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_explicit] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(3115),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3115),
    [anon_sym_delete] = ACTIONS(3115),
    [anon_sym_throw] = ACTIONS(3115),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_using] = ACTIONS(3115),
    [anon_sym_static_assert] = ACTIONS(3115),
    [anon_sym_concept] = ACTIONS(3115),
    [anon_sym_co_return] = ACTIONS(3115),
    [anon_sym_co_yield] = ACTIONS(3115),
    [anon_sym_R_DQUOTE] = ACTIONS(3117),
    [anon_sym_LR_DQUOTE] = ACTIONS(3117),
    [anon_sym_uR_DQUOTE] = ACTIONS(3117),
    [anon_sym_UR_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3117),
    [anon_sym_co_await] = ACTIONS(3115),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_requires] = ACTIONS(3115),
    [sym_this] = ACTIONS(3115),
  },
  [357] = {
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_include_token1] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token2] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [aux_sym_preproc_else_token1] = ACTIONS(3119),
    [aux_sym_preproc_elif_token1] = ACTIONS(3119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_DASH] = ACTIONS(3119),
    [anon_sym_PLUS] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3121),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym___cdecl] = ACTIONS(3119),
    [anon_sym___clrcall] = ACTIONS(3119),
    [anon_sym___stdcall] = ACTIONS(3119),
    [anon_sym___fastcall] = ACTIONS(3119),
    [anon_sym___thiscall] = ACTIONS(3119),
    [anon_sym___vectorcall] = ACTIONS(3119),
    [anon_sym_LBRACE] = ACTIONS(3121),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_PROGMEM] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [aux_sym_primitive_type_token1] = ACTIONS(3119),
    [anon_sym_byte] = ACTIONS(3119),
    [anon_sym_word] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [anon_sym_if] = ACTIONS(3119),
    [anon_sym_switch] = ACTIONS(3119),
    [anon_sym_case] = ACTIONS(3119),
    [anon_sym_default] = ACTIONS(3119),
    [anon_sym_while] = ACTIONS(3119),
    [anon_sym_do] = ACTIONS(3119),
    [anon_sym_for] = ACTIONS(3119),
    [anon_sym_return] = ACTIONS(3119),
    [anon_sym_break] = ACTIONS(3119),
    [anon_sym_continue] = ACTIONS(3119),
    [anon_sym_goto] = ACTIONS(3119),
    [anon_sym___try] = ACTIONS(3119),
    [anon_sym___leave] = ACTIONS(3119),
    [anon_sym_not] = ACTIONS(3119),
    [anon_sym_compl] = ACTIONS(3119),
    [anon_sym_DASH_DASH] = ACTIONS(3121),
    [anon_sym_PLUS_PLUS] = ACTIONS(3121),
    [anon_sym_sizeof] = ACTIONS(3119),
    [anon_sym___alignof__] = ACTIONS(3119),
    [anon_sym___alignof] = ACTIONS(3119),
    [anon_sym__alignof] = ACTIONS(3119),
    [anon_sym_alignof] = ACTIONS(3119),
    [anon_sym__Alignof] = ACTIONS(3119),
    [anon_sym_offsetof] = ACTIONS(3119),
    [anon_sym__Generic] = ACTIONS(3119),
    [anon_sym_asm] = ACTIONS(3119),
    [anon_sym___asm__] = ACTIONS(3119),
    [anon_sym___asm] = ACTIONS(3119),
    [aux_sym_number_literal_token1] = ACTIONS(3121),
    [aux_sym_number_literal_token2] = ACTIONS(3119),
    [anon_sym_L_SQUOTE] = ACTIONS(3121),
    [anon_sym_u_SQUOTE] = ACTIONS(3121),
    [anon_sym_U_SQUOTE] = ACTIONS(3121),
    [anon_sym_u8_SQUOTE] = ACTIONS(3121),
    [anon_sym_SQUOTE] = ACTIONS(3121),
    [anon_sym_L_DQUOTE] = ACTIONS(3121),
    [anon_sym_u_DQUOTE] = ACTIONS(3121),
    [anon_sym_U_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8_DQUOTE] = ACTIONS(3121),
    [anon_sym_DQUOTE] = ACTIONS(3121),
    [sym_true] = ACTIONS(3119),
    [sym_false] = ACTIONS(3119),
    [anon_sym_NULL] = ACTIONS(3119),
    [anon_sym_nullptr] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_try] = ACTIONS(3119),
    [anon_sym_delete] = ACTIONS(3119),
    [anon_sym_throw] = ACTIONS(3119),
    [anon_sym_namespace] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
    [anon_sym_concept] = ACTIONS(3119),
    [anon_sym_co_return] = ACTIONS(3119),
    [anon_sym_co_yield] = ACTIONS(3119),
    [anon_sym_R_DQUOTE] = ACTIONS(3121),
    [anon_sym_LR_DQUOTE] = ACTIONS(3121),
    [anon_sym_uR_DQUOTE] = ACTIONS(3121),
    [anon_sym_UR_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3121),
    [anon_sym_co_await] = ACTIONS(3119),
    [anon_sym_new] = ACTIONS(3119),
    [anon_sym_requires] = ACTIONS(3119),
    [sym_this] = ACTIONS(3119),
  },
  [358] = {
    [sym_catch_clause] = STATE(368),
    [aux_sym_constructor_try_statement_repeat1] = STATE(368),
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_virtual] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_RBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_PROGMEM] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [aux_sym_primitive_type_token1] = ACTIONS(2564),
    [anon_sym_byte] = ACTIONS(2564),
    [anon_sym_word] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [aux_sym_number_literal_token1] = ACTIONS(2566),
    [aux_sym_number_literal_token2] = ACTIONS(2564),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_catch] = ACTIONS(3123),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [359] = {
    [sym_identifier] = ACTIONS(3125),
    [aux_sym_preproc_include_token1] = ACTIONS(3125),
    [aux_sym_preproc_def_token1] = ACTIONS(3125),
    [aux_sym_preproc_if_token1] = ACTIONS(3125),
    [aux_sym_preproc_if_token2] = ACTIONS(3125),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3125),
    [aux_sym_preproc_else_token1] = ACTIONS(3125),
    [aux_sym_preproc_elif_token1] = ACTIONS(3125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3125),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3125),
    [sym_preproc_directive] = ACTIONS(3125),
    [anon_sym_LPAREN2] = ACTIONS(3127),
    [anon_sym_BANG] = ACTIONS(3127),
    [anon_sym_TILDE] = ACTIONS(3127),
    [anon_sym_DASH] = ACTIONS(3125),
    [anon_sym_PLUS] = ACTIONS(3125),
    [anon_sym_STAR] = ACTIONS(3127),
    [anon_sym_AMP_AMP] = ACTIONS(3127),
    [anon_sym_AMP] = ACTIONS(3125),
    [anon_sym_SEMI] = ACTIONS(3127),
    [anon_sym___extension__] = ACTIONS(3125),
    [anon_sym_typedef] = ACTIONS(3125),
    [anon_sym_virtual] = ACTIONS(3125),
    [anon_sym_extern] = ACTIONS(3125),
    [anon_sym___attribute__] = ACTIONS(3125),
    [anon_sym_COLON_COLON] = ACTIONS(3127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3127),
    [anon_sym___declspec] = ACTIONS(3125),
    [anon_sym___based] = ACTIONS(3125),
    [anon_sym___cdecl] = ACTIONS(3125),
    [anon_sym___clrcall] = ACTIONS(3125),
    [anon_sym___stdcall] = ACTIONS(3125),
    [anon_sym___fastcall] = ACTIONS(3125),
    [anon_sym___thiscall] = ACTIONS(3125),
    [anon_sym___vectorcall] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_signed] = ACTIONS(3125),
    [anon_sym_unsigned] = ACTIONS(3125),
    [anon_sym_long] = ACTIONS(3125),
    [anon_sym_short] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3125),
    [anon_sym_static] = ACTIONS(3125),
    [anon_sym_register] = ACTIONS(3125),
    [anon_sym_inline] = ACTIONS(3125),
    [anon_sym___inline] = ACTIONS(3125),
    [anon_sym___inline__] = ACTIONS(3125),
    [anon_sym___forceinline] = ACTIONS(3125),
    [anon_sym_thread_local] = ACTIONS(3125),
    [anon_sym___thread] = ACTIONS(3125),
    [anon_sym_const] = ACTIONS(3125),
    [anon_sym_constexpr] = ACTIONS(3125),
    [anon_sym_volatile] = ACTIONS(3125),
    [anon_sym_restrict] = ACTIONS(3125),
    [anon_sym___restrict__] = ACTIONS(3125),
    [anon_sym__Atomic] = ACTIONS(3125),
    [anon_sym__Noreturn] = ACTIONS(3125),
    [anon_sym_noreturn] = ACTIONS(3125),
    [anon_sym__Nonnull] = ACTIONS(3125),
    [anon_sym_mutable] = ACTIONS(3125),
    [anon_sym_constinit] = ACTIONS(3125),
    [anon_sym_consteval] = ACTIONS(3125),
    [anon_sym_PROGMEM] = ACTIONS(3125),
    [anon_sym_alignas] = ACTIONS(3125),
    [anon_sym__Alignas] = ACTIONS(3125),
    [aux_sym_primitive_type_token1] = ACTIONS(3125),
    [anon_sym_byte] = ACTIONS(3125),
    [anon_sym_word] = ACTIONS(3125),
    [anon_sym_enum] = ACTIONS(3125),
    [anon_sym_class] = ACTIONS(3125),
    [anon_sym_struct] = ACTIONS(3125),
    [anon_sym_union] = ACTIONS(3125),
    [anon_sym_if] = ACTIONS(3125),
    [anon_sym_switch] = ACTIONS(3125),
    [anon_sym_case] = ACTIONS(3125),
    [anon_sym_default] = ACTIONS(3125),
    [anon_sym_while] = ACTIONS(3125),
    [anon_sym_do] = ACTIONS(3125),
    [anon_sym_for] = ACTIONS(3125),
    [anon_sym_return] = ACTIONS(3125),
    [anon_sym_break] = ACTIONS(3125),
    [anon_sym_continue] = ACTIONS(3125),
    [anon_sym_goto] = ACTIONS(3125),
    [anon_sym___try] = ACTIONS(3125),
    [anon_sym___leave] = ACTIONS(3125),
    [anon_sym_not] = ACTIONS(3125),
    [anon_sym_compl] = ACTIONS(3125),
    [anon_sym_DASH_DASH] = ACTIONS(3127),
    [anon_sym_PLUS_PLUS] = ACTIONS(3127),
    [anon_sym_sizeof] = ACTIONS(3125),
    [anon_sym___alignof__] = ACTIONS(3125),
    [anon_sym___alignof] = ACTIONS(3125),
    [anon_sym__alignof] = ACTIONS(3125),
    [anon_sym_alignof] = ACTIONS(3125),
    [anon_sym__Alignof] = ACTIONS(3125),
    [anon_sym_offsetof] = ACTIONS(3125),
    [anon_sym__Generic] = ACTIONS(3125),
    [anon_sym_asm] = ACTIONS(3125),
    [anon_sym___asm__] = ACTIONS(3125),
    [anon_sym___asm] = ACTIONS(3125),
    [aux_sym_number_literal_token1] = ACTIONS(3127),
    [aux_sym_number_literal_token2] = ACTIONS(3125),
    [anon_sym_L_SQUOTE] = ACTIONS(3127),
    [anon_sym_u_SQUOTE] = ACTIONS(3127),
    [anon_sym_U_SQUOTE] = ACTIONS(3127),
    [anon_sym_u8_SQUOTE] = ACTIONS(3127),
    [anon_sym_SQUOTE] = ACTIONS(3127),
    [anon_sym_L_DQUOTE] = ACTIONS(3127),
    [anon_sym_u_DQUOTE] = ACTIONS(3127),
    [anon_sym_U_DQUOTE] = ACTIONS(3127),
    [anon_sym_u8_DQUOTE] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3127),
    [sym_true] = ACTIONS(3125),
    [sym_false] = ACTIONS(3125),
    [anon_sym_NULL] = ACTIONS(3125),
    [anon_sym_nullptr] = ACTIONS(3125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3125),
    [anon_sym_decltype] = ACTIONS(3125),
    [anon_sym_explicit] = ACTIONS(3125),
    [anon_sym_typename] = ACTIONS(3125),
    [anon_sym_template] = ACTIONS(3125),
    [anon_sym_operator] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3125),
    [anon_sym_delete] = ACTIONS(3125),
    [anon_sym_throw] = ACTIONS(3125),
    [anon_sym_namespace] = ACTIONS(3125),
    [anon_sym_using] = ACTIONS(3125),
    [anon_sym_static_assert] = ACTIONS(3125),
    [anon_sym_concept] = ACTIONS(3125),
    [anon_sym_co_return] = ACTIONS(3125),
    [anon_sym_co_yield] = ACTIONS(3125),
    [anon_sym_R_DQUOTE] = ACTIONS(3127),
    [anon_sym_LR_DQUOTE] = ACTIONS(3127),
    [anon_sym_uR_DQUOTE] = ACTIONS(3127),
    [anon_sym_UR_DQUOTE] = ACTIONS(3127),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3127),
    [anon_sym_co_await] = ACTIONS(3125),
    [anon_sym_new] = ACTIONS(3125),
    [anon_sym_requires] = ACTIONS(3125),
    [sym_this] = ACTIONS(3125),
  },
  [360] = {
    [sym_identifier] = ACTIONS(3129),
    [aux_sym_preproc_include_token1] = ACTIONS(3129),
    [aux_sym_preproc_def_token1] = ACTIONS(3129),
    [aux_sym_preproc_if_token1] = ACTIONS(3129),
    [aux_sym_preproc_if_token2] = ACTIONS(3129),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3129),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3129),
    [aux_sym_preproc_else_token1] = ACTIONS(3129),
    [aux_sym_preproc_elif_token1] = ACTIONS(3129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3129),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3129),
    [sym_preproc_directive] = ACTIONS(3129),
    [anon_sym_LPAREN2] = ACTIONS(3131),
    [anon_sym_BANG] = ACTIONS(3131),
    [anon_sym_TILDE] = ACTIONS(3131),
    [anon_sym_DASH] = ACTIONS(3129),
    [anon_sym_PLUS] = ACTIONS(3129),
    [anon_sym_STAR] = ACTIONS(3131),
    [anon_sym_AMP_AMP] = ACTIONS(3131),
    [anon_sym_AMP] = ACTIONS(3129),
    [anon_sym_SEMI] = ACTIONS(3131),
    [anon_sym___extension__] = ACTIONS(3129),
    [anon_sym_typedef] = ACTIONS(3129),
    [anon_sym_virtual] = ACTIONS(3129),
    [anon_sym_extern] = ACTIONS(3129),
    [anon_sym___attribute__] = ACTIONS(3129),
    [anon_sym_COLON_COLON] = ACTIONS(3131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3131),
    [anon_sym___declspec] = ACTIONS(3129),
    [anon_sym___based] = ACTIONS(3129),
    [anon_sym___cdecl] = ACTIONS(3129),
    [anon_sym___clrcall] = ACTIONS(3129),
    [anon_sym___stdcall] = ACTIONS(3129),
    [anon_sym___fastcall] = ACTIONS(3129),
    [anon_sym___thiscall] = ACTIONS(3129),
    [anon_sym___vectorcall] = ACTIONS(3129),
    [anon_sym_LBRACE] = ACTIONS(3131),
    [anon_sym_signed] = ACTIONS(3129),
    [anon_sym_unsigned] = ACTIONS(3129),
    [anon_sym_long] = ACTIONS(3129),
    [anon_sym_short] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(3129),
    [anon_sym_static] = ACTIONS(3129),
    [anon_sym_register] = ACTIONS(3129),
    [anon_sym_inline] = ACTIONS(3129),
    [anon_sym___inline] = ACTIONS(3129),
    [anon_sym___inline__] = ACTIONS(3129),
    [anon_sym___forceinline] = ACTIONS(3129),
    [anon_sym_thread_local] = ACTIONS(3129),
    [anon_sym___thread] = ACTIONS(3129),
    [anon_sym_const] = ACTIONS(3129),
    [anon_sym_constexpr] = ACTIONS(3129),
    [anon_sym_volatile] = ACTIONS(3129),
    [anon_sym_restrict] = ACTIONS(3129),
    [anon_sym___restrict__] = ACTIONS(3129),
    [anon_sym__Atomic] = ACTIONS(3129),
    [anon_sym__Noreturn] = ACTIONS(3129),
    [anon_sym_noreturn] = ACTIONS(3129),
    [anon_sym__Nonnull] = ACTIONS(3129),
    [anon_sym_mutable] = ACTIONS(3129),
    [anon_sym_constinit] = ACTIONS(3129),
    [anon_sym_consteval] = ACTIONS(3129),
    [anon_sym_PROGMEM] = ACTIONS(3129),
    [anon_sym_alignas] = ACTIONS(3129),
    [anon_sym__Alignas] = ACTIONS(3129),
    [aux_sym_primitive_type_token1] = ACTIONS(3129),
    [anon_sym_byte] = ACTIONS(3129),
    [anon_sym_word] = ACTIONS(3129),
    [anon_sym_enum] = ACTIONS(3129),
    [anon_sym_class] = ACTIONS(3129),
    [anon_sym_struct] = ACTIONS(3129),
    [anon_sym_union] = ACTIONS(3129),
    [anon_sym_if] = ACTIONS(3129),
    [anon_sym_switch] = ACTIONS(3129),
    [anon_sym_case] = ACTIONS(3129),
    [anon_sym_default] = ACTIONS(3129),
    [anon_sym_while] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(3129),
    [anon_sym_for] = ACTIONS(3129),
    [anon_sym_return] = ACTIONS(3129),
    [anon_sym_break] = ACTIONS(3129),
    [anon_sym_continue] = ACTIONS(3129),
    [anon_sym_goto] = ACTIONS(3129),
    [anon_sym___try] = ACTIONS(3129),
    [anon_sym___leave] = ACTIONS(3129),
    [anon_sym_not] = ACTIONS(3129),
    [anon_sym_compl] = ACTIONS(3129),
    [anon_sym_DASH_DASH] = ACTIONS(3131),
    [anon_sym_PLUS_PLUS] = ACTIONS(3131),
    [anon_sym_sizeof] = ACTIONS(3129),
    [anon_sym___alignof__] = ACTIONS(3129),
    [anon_sym___alignof] = ACTIONS(3129),
    [anon_sym__alignof] = ACTIONS(3129),
    [anon_sym_alignof] = ACTIONS(3129),
    [anon_sym__Alignof] = ACTIONS(3129),
    [anon_sym_offsetof] = ACTIONS(3129),
    [anon_sym__Generic] = ACTIONS(3129),
    [anon_sym_asm] = ACTIONS(3129),
    [anon_sym___asm__] = ACTIONS(3129),
    [anon_sym___asm] = ACTIONS(3129),
    [aux_sym_number_literal_token1] = ACTIONS(3131),
    [aux_sym_number_literal_token2] = ACTIONS(3129),
    [anon_sym_L_SQUOTE] = ACTIONS(3131),
    [anon_sym_u_SQUOTE] = ACTIONS(3131),
    [anon_sym_U_SQUOTE] = ACTIONS(3131),
    [anon_sym_u8_SQUOTE] = ACTIONS(3131),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_L_DQUOTE] = ACTIONS(3131),
    [anon_sym_u_DQUOTE] = ACTIONS(3131),
    [anon_sym_U_DQUOTE] = ACTIONS(3131),
    [anon_sym_u8_DQUOTE] = ACTIONS(3131),
    [anon_sym_DQUOTE] = ACTIONS(3131),
    [sym_true] = ACTIONS(3129),
    [sym_false] = ACTIONS(3129),
    [anon_sym_NULL] = ACTIONS(3129),
    [anon_sym_nullptr] = ACTIONS(3129),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3129),
    [anon_sym_decltype] = ACTIONS(3129),
    [anon_sym_explicit] = ACTIONS(3129),
    [anon_sym_typename] = ACTIONS(3129),
    [anon_sym_template] = ACTIONS(3129),
    [anon_sym_operator] = ACTIONS(3129),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_delete] = ACTIONS(3129),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_namespace] = ACTIONS(3129),
    [anon_sym_using] = ACTIONS(3129),
    [anon_sym_static_assert] = ACTIONS(3129),
    [anon_sym_concept] = ACTIONS(3129),
    [anon_sym_co_return] = ACTIONS(3129),
    [anon_sym_co_yield] = ACTIONS(3129),
    [anon_sym_R_DQUOTE] = ACTIONS(3131),
    [anon_sym_LR_DQUOTE] = ACTIONS(3131),
    [anon_sym_uR_DQUOTE] = ACTIONS(3131),
    [anon_sym_UR_DQUOTE] = ACTIONS(3131),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3131),
    [anon_sym_co_await] = ACTIONS(3129),
    [anon_sym_new] = ACTIONS(3129),
    [anon_sym_requires] = ACTIONS(3129),
    [sym_this] = ACTIONS(3129),
  },
  [361] = {
    [sym_identifier] = ACTIONS(3133),
    [aux_sym_preproc_include_token1] = ACTIONS(3133),
    [aux_sym_preproc_def_token1] = ACTIONS(3133),
    [aux_sym_preproc_if_token1] = ACTIONS(3133),
    [aux_sym_preproc_if_token2] = ACTIONS(3133),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3133),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3133),
    [aux_sym_preproc_else_token1] = ACTIONS(3133),
    [aux_sym_preproc_elif_token1] = ACTIONS(3133),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3133),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3133),
    [sym_preproc_directive] = ACTIONS(3133),
    [anon_sym_LPAREN2] = ACTIONS(3135),
    [anon_sym_BANG] = ACTIONS(3135),
    [anon_sym_TILDE] = ACTIONS(3135),
    [anon_sym_DASH] = ACTIONS(3133),
    [anon_sym_PLUS] = ACTIONS(3133),
    [anon_sym_STAR] = ACTIONS(3135),
    [anon_sym_AMP_AMP] = ACTIONS(3135),
    [anon_sym_AMP] = ACTIONS(3133),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym___extension__] = ACTIONS(3133),
    [anon_sym_typedef] = ACTIONS(3133),
    [anon_sym_virtual] = ACTIONS(3133),
    [anon_sym_extern] = ACTIONS(3133),
    [anon_sym___attribute__] = ACTIONS(3133),
    [anon_sym_COLON_COLON] = ACTIONS(3135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3135),
    [anon_sym___declspec] = ACTIONS(3133),
    [anon_sym___based] = ACTIONS(3133),
    [anon_sym___cdecl] = ACTIONS(3133),
    [anon_sym___clrcall] = ACTIONS(3133),
    [anon_sym___stdcall] = ACTIONS(3133),
    [anon_sym___fastcall] = ACTIONS(3133),
    [anon_sym___thiscall] = ACTIONS(3133),
    [anon_sym___vectorcall] = ACTIONS(3133),
    [anon_sym_LBRACE] = ACTIONS(3135),
    [anon_sym_signed] = ACTIONS(3133),
    [anon_sym_unsigned] = ACTIONS(3133),
    [anon_sym_long] = ACTIONS(3133),
    [anon_sym_short] = ACTIONS(3133),
    [anon_sym_LBRACK] = ACTIONS(3133),
    [anon_sym_static] = ACTIONS(3133),
    [anon_sym_register] = ACTIONS(3133),
    [anon_sym_inline] = ACTIONS(3133),
    [anon_sym___inline] = ACTIONS(3133),
    [anon_sym___inline__] = ACTIONS(3133),
    [anon_sym___forceinline] = ACTIONS(3133),
    [anon_sym_thread_local] = ACTIONS(3133),
    [anon_sym___thread] = ACTIONS(3133),
    [anon_sym_const] = ACTIONS(3133),
    [anon_sym_constexpr] = ACTIONS(3133),
    [anon_sym_volatile] = ACTIONS(3133),
    [anon_sym_restrict] = ACTIONS(3133),
    [anon_sym___restrict__] = ACTIONS(3133),
    [anon_sym__Atomic] = ACTIONS(3133),
    [anon_sym__Noreturn] = ACTIONS(3133),
    [anon_sym_noreturn] = ACTIONS(3133),
    [anon_sym__Nonnull] = ACTIONS(3133),
    [anon_sym_mutable] = ACTIONS(3133),
    [anon_sym_constinit] = ACTIONS(3133),
    [anon_sym_consteval] = ACTIONS(3133),
    [anon_sym_PROGMEM] = ACTIONS(3133),
    [anon_sym_alignas] = ACTIONS(3133),
    [anon_sym__Alignas] = ACTIONS(3133),
    [aux_sym_primitive_type_token1] = ACTIONS(3133),
    [anon_sym_byte] = ACTIONS(3133),
    [anon_sym_word] = ACTIONS(3133),
    [anon_sym_enum] = ACTIONS(3133),
    [anon_sym_class] = ACTIONS(3133),
    [anon_sym_struct] = ACTIONS(3133),
    [anon_sym_union] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3133),
    [anon_sym_switch] = ACTIONS(3133),
    [anon_sym_case] = ACTIONS(3133),
    [anon_sym_default] = ACTIONS(3133),
    [anon_sym_while] = ACTIONS(3133),
    [anon_sym_do] = ACTIONS(3133),
    [anon_sym_for] = ACTIONS(3133),
    [anon_sym_return] = ACTIONS(3133),
    [anon_sym_break] = ACTIONS(3133),
    [anon_sym_continue] = ACTIONS(3133),
    [anon_sym_goto] = ACTIONS(3133),
    [anon_sym___try] = ACTIONS(3133),
    [anon_sym___leave] = ACTIONS(3133),
    [anon_sym_not] = ACTIONS(3133),
    [anon_sym_compl] = ACTIONS(3133),
    [anon_sym_DASH_DASH] = ACTIONS(3135),
    [anon_sym_PLUS_PLUS] = ACTIONS(3135),
    [anon_sym_sizeof] = ACTIONS(3133),
    [anon_sym___alignof__] = ACTIONS(3133),
    [anon_sym___alignof] = ACTIONS(3133),
    [anon_sym__alignof] = ACTIONS(3133),
    [anon_sym_alignof] = ACTIONS(3133),
    [anon_sym__Alignof] = ACTIONS(3133),
    [anon_sym_offsetof] = ACTIONS(3133),
    [anon_sym__Generic] = ACTIONS(3133),
    [anon_sym_asm] = ACTIONS(3133),
    [anon_sym___asm__] = ACTIONS(3133),
    [anon_sym___asm] = ACTIONS(3133),
    [aux_sym_number_literal_token1] = ACTIONS(3135),
    [aux_sym_number_literal_token2] = ACTIONS(3133),
    [anon_sym_L_SQUOTE] = ACTIONS(3135),
    [anon_sym_u_SQUOTE] = ACTIONS(3135),
    [anon_sym_U_SQUOTE] = ACTIONS(3135),
    [anon_sym_u8_SQUOTE] = ACTIONS(3135),
    [anon_sym_SQUOTE] = ACTIONS(3135),
    [anon_sym_L_DQUOTE] = ACTIONS(3135),
    [anon_sym_u_DQUOTE] = ACTIONS(3135),
    [anon_sym_U_DQUOTE] = ACTIONS(3135),
    [anon_sym_u8_DQUOTE] = ACTIONS(3135),
    [anon_sym_DQUOTE] = ACTIONS(3135),
    [sym_true] = ACTIONS(3133),
    [sym_false] = ACTIONS(3133),
    [anon_sym_NULL] = ACTIONS(3133),
    [anon_sym_nullptr] = ACTIONS(3133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3133),
    [anon_sym_decltype] = ACTIONS(3133),
    [anon_sym_explicit] = ACTIONS(3133),
    [anon_sym_typename] = ACTIONS(3133),
    [anon_sym_template] = ACTIONS(3133),
    [anon_sym_operator] = ACTIONS(3133),
    [anon_sym_try] = ACTIONS(3133),
    [anon_sym_delete] = ACTIONS(3133),
    [anon_sym_throw] = ACTIONS(3133),
    [anon_sym_namespace] = ACTIONS(3133),
    [anon_sym_using] = ACTIONS(3133),
    [anon_sym_static_assert] = ACTIONS(3133),
    [anon_sym_concept] = ACTIONS(3133),
    [anon_sym_co_return] = ACTIONS(3133),
    [anon_sym_co_yield] = ACTIONS(3133),
    [anon_sym_R_DQUOTE] = ACTIONS(3135),
    [anon_sym_LR_DQUOTE] = ACTIONS(3135),
    [anon_sym_uR_DQUOTE] = ACTIONS(3135),
    [anon_sym_UR_DQUOTE] = ACTIONS(3135),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3135),
    [anon_sym_co_await] = ACTIONS(3133),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_requires] = ACTIONS(3133),
    [sym_this] = ACTIONS(3133),
  },
  [362] = {
    [sym_identifier] = ACTIONS(3137),
    [aux_sym_preproc_include_token1] = ACTIONS(3137),
    [aux_sym_preproc_def_token1] = ACTIONS(3137),
    [aux_sym_preproc_if_token1] = ACTIONS(3137),
    [aux_sym_preproc_if_token2] = ACTIONS(3137),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3137),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3137),
    [aux_sym_preproc_else_token1] = ACTIONS(3137),
    [aux_sym_preproc_elif_token1] = ACTIONS(3137),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3137),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3137),
    [sym_preproc_directive] = ACTIONS(3137),
    [anon_sym_LPAREN2] = ACTIONS(3139),
    [anon_sym_BANG] = ACTIONS(3139),
    [anon_sym_TILDE] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3137),
    [anon_sym_STAR] = ACTIONS(3139),
    [anon_sym_AMP_AMP] = ACTIONS(3139),
    [anon_sym_AMP] = ACTIONS(3137),
    [anon_sym_SEMI] = ACTIONS(3139),
    [anon_sym___extension__] = ACTIONS(3137),
    [anon_sym_typedef] = ACTIONS(3137),
    [anon_sym_virtual] = ACTIONS(3137),
    [anon_sym_extern] = ACTIONS(3137),
    [anon_sym___attribute__] = ACTIONS(3137),
    [anon_sym_COLON_COLON] = ACTIONS(3139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3139),
    [anon_sym___declspec] = ACTIONS(3137),
    [anon_sym___based] = ACTIONS(3137),
    [anon_sym___cdecl] = ACTIONS(3137),
    [anon_sym___clrcall] = ACTIONS(3137),
    [anon_sym___stdcall] = ACTIONS(3137),
    [anon_sym___fastcall] = ACTIONS(3137),
    [anon_sym___thiscall] = ACTIONS(3137),
    [anon_sym___vectorcall] = ACTIONS(3137),
    [anon_sym_LBRACE] = ACTIONS(3139),
    [anon_sym_signed] = ACTIONS(3137),
    [anon_sym_unsigned] = ACTIONS(3137),
    [anon_sym_long] = ACTIONS(3137),
    [anon_sym_short] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_static] = ACTIONS(3137),
    [anon_sym_register] = ACTIONS(3137),
    [anon_sym_inline] = ACTIONS(3137),
    [anon_sym___inline] = ACTIONS(3137),
    [anon_sym___inline__] = ACTIONS(3137),
    [anon_sym___forceinline] = ACTIONS(3137),
    [anon_sym_thread_local] = ACTIONS(3137),
    [anon_sym___thread] = ACTIONS(3137),
    [anon_sym_const] = ACTIONS(3137),
    [anon_sym_constexpr] = ACTIONS(3137),
    [anon_sym_volatile] = ACTIONS(3137),
    [anon_sym_restrict] = ACTIONS(3137),
    [anon_sym___restrict__] = ACTIONS(3137),
    [anon_sym__Atomic] = ACTIONS(3137),
    [anon_sym__Noreturn] = ACTIONS(3137),
    [anon_sym_noreturn] = ACTIONS(3137),
    [anon_sym__Nonnull] = ACTIONS(3137),
    [anon_sym_mutable] = ACTIONS(3137),
    [anon_sym_constinit] = ACTIONS(3137),
    [anon_sym_consteval] = ACTIONS(3137),
    [anon_sym_PROGMEM] = ACTIONS(3137),
    [anon_sym_alignas] = ACTIONS(3137),
    [anon_sym__Alignas] = ACTIONS(3137),
    [aux_sym_primitive_type_token1] = ACTIONS(3137),
    [anon_sym_byte] = ACTIONS(3137),
    [anon_sym_word] = ACTIONS(3137),
    [anon_sym_enum] = ACTIONS(3137),
    [anon_sym_class] = ACTIONS(3137),
    [anon_sym_struct] = ACTIONS(3137),
    [anon_sym_union] = ACTIONS(3137),
    [anon_sym_if] = ACTIONS(3137),
    [anon_sym_switch] = ACTIONS(3137),
    [anon_sym_case] = ACTIONS(3137),
    [anon_sym_default] = ACTIONS(3137),
    [anon_sym_while] = ACTIONS(3137),
    [anon_sym_do] = ACTIONS(3137),
    [anon_sym_for] = ACTIONS(3137),
    [anon_sym_return] = ACTIONS(3137),
    [anon_sym_break] = ACTIONS(3137),
    [anon_sym_continue] = ACTIONS(3137),
    [anon_sym_goto] = ACTIONS(3137),
    [anon_sym___try] = ACTIONS(3137),
    [anon_sym___leave] = ACTIONS(3137),
    [anon_sym_not] = ACTIONS(3137),
    [anon_sym_compl] = ACTIONS(3137),
    [anon_sym_DASH_DASH] = ACTIONS(3139),
    [anon_sym_PLUS_PLUS] = ACTIONS(3139),
    [anon_sym_sizeof] = ACTIONS(3137),
    [anon_sym___alignof__] = ACTIONS(3137),
    [anon_sym___alignof] = ACTIONS(3137),
    [anon_sym__alignof] = ACTIONS(3137),
    [anon_sym_alignof] = ACTIONS(3137),
    [anon_sym__Alignof] = ACTIONS(3137),
    [anon_sym_offsetof] = ACTIONS(3137),
    [anon_sym__Generic] = ACTIONS(3137),
    [anon_sym_asm] = ACTIONS(3137),
    [anon_sym___asm__] = ACTIONS(3137),
    [anon_sym___asm] = ACTIONS(3137),
    [aux_sym_number_literal_token1] = ACTIONS(3139),
    [aux_sym_number_literal_token2] = ACTIONS(3137),
    [anon_sym_L_SQUOTE] = ACTIONS(3139),
    [anon_sym_u_SQUOTE] = ACTIONS(3139),
    [anon_sym_U_SQUOTE] = ACTIONS(3139),
    [anon_sym_u8_SQUOTE] = ACTIONS(3139),
    [anon_sym_SQUOTE] = ACTIONS(3139),
    [anon_sym_L_DQUOTE] = ACTIONS(3139),
    [anon_sym_u_DQUOTE] = ACTIONS(3139),
    [anon_sym_U_DQUOTE] = ACTIONS(3139),
    [anon_sym_u8_DQUOTE] = ACTIONS(3139),
    [anon_sym_DQUOTE] = ACTIONS(3139),
    [sym_true] = ACTIONS(3137),
    [sym_false] = ACTIONS(3137),
    [anon_sym_NULL] = ACTIONS(3137),
    [anon_sym_nullptr] = ACTIONS(3137),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3137),
    [anon_sym_decltype] = ACTIONS(3137),
    [anon_sym_explicit] = ACTIONS(3137),
    [anon_sym_typename] = ACTIONS(3137),
    [anon_sym_template] = ACTIONS(3137),
    [anon_sym_operator] = ACTIONS(3137),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_delete] = ACTIONS(3137),
    [anon_sym_throw] = ACTIONS(3137),
    [anon_sym_namespace] = ACTIONS(3137),
    [anon_sym_using] = ACTIONS(3137),
    [anon_sym_static_assert] = ACTIONS(3137),
    [anon_sym_concept] = ACTIONS(3137),
    [anon_sym_co_return] = ACTIONS(3137),
    [anon_sym_co_yield] = ACTIONS(3137),
    [anon_sym_R_DQUOTE] = ACTIONS(3139),
    [anon_sym_LR_DQUOTE] = ACTIONS(3139),
    [anon_sym_uR_DQUOTE] = ACTIONS(3139),
    [anon_sym_UR_DQUOTE] = ACTIONS(3139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3139),
    [anon_sym_co_await] = ACTIONS(3137),
    [anon_sym_new] = ACTIONS(3137),
    [anon_sym_requires] = ACTIONS(3137),
    [sym_this] = ACTIONS(3137),
  },
  [363] = {
    [sym_identifier] = ACTIONS(3141),
    [aux_sym_preproc_include_token1] = ACTIONS(3141),
    [aux_sym_preproc_def_token1] = ACTIONS(3141),
    [aux_sym_preproc_if_token1] = ACTIONS(3141),
    [aux_sym_preproc_if_token2] = ACTIONS(3141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3141),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3141),
    [aux_sym_preproc_else_token1] = ACTIONS(3141),
    [aux_sym_preproc_elif_token1] = ACTIONS(3141),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3141),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3141),
    [sym_preproc_directive] = ACTIONS(3141),
    [anon_sym_LPAREN2] = ACTIONS(3143),
    [anon_sym_BANG] = ACTIONS(3143),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3141),
    [anon_sym_PLUS] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3143),
    [anon_sym_AMP_AMP] = ACTIONS(3143),
    [anon_sym_AMP] = ACTIONS(3141),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym___extension__] = ACTIONS(3141),
    [anon_sym_typedef] = ACTIONS(3141),
    [anon_sym_virtual] = ACTIONS(3141),
    [anon_sym_extern] = ACTIONS(3141),
    [anon_sym___attribute__] = ACTIONS(3141),
    [anon_sym_COLON_COLON] = ACTIONS(3143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3143),
    [anon_sym___declspec] = ACTIONS(3141),
    [anon_sym___based] = ACTIONS(3141),
    [anon_sym___cdecl] = ACTIONS(3141),
    [anon_sym___clrcall] = ACTIONS(3141),
    [anon_sym___stdcall] = ACTIONS(3141),
    [anon_sym___fastcall] = ACTIONS(3141),
    [anon_sym___thiscall] = ACTIONS(3141),
    [anon_sym___vectorcall] = ACTIONS(3141),
    [anon_sym_LBRACE] = ACTIONS(3143),
    [anon_sym_signed] = ACTIONS(3141),
    [anon_sym_unsigned] = ACTIONS(3141),
    [anon_sym_long] = ACTIONS(3141),
    [anon_sym_short] = ACTIONS(3141),
    [anon_sym_LBRACK] = ACTIONS(3141),
    [anon_sym_static] = ACTIONS(3141),
    [anon_sym_register] = ACTIONS(3141),
    [anon_sym_inline] = ACTIONS(3141),
    [anon_sym___inline] = ACTIONS(3141),
    [anon_sym___inline__] = ACTIONS(3141),
    [anon_sym___forceinline] = ACTIONS(3141),
    [anon_sym_thread_local] = ACTIONS(3141),
    [anon_sym___thread] = ACTIONS(3141),
    [anon_sym_const] = ACTIONS(3141),
    [anon_sym_constexpr] = ACTIONS(3141),
    [anon_sym_volatile] = ACTIONS(3141),
    [anon_sym_restrict] = ACTIONS(3141),
    [anon_sym___restrict__] = ACTIONS(3141),
    [anon_sym__Atomic] = ACTIONS(3141),
    [anon_sym__Noreturn] = ACTIONS(3141),
    [anon_sym_noreturn] = ACTIONS(3141),
    [anon_sym__Nonnull] = ACTIONS(3141),
    [anon_sym_mutable] = ACTIONS(3141),
    [anon_sym_constinit] = ACTIONS(3141),
    [anon_sym_consteval] = ACTIONS(3141),
    [anon_sym_PROGMEM] = ACTIONS(3141),
    [anon_sym_alignas] = ACTIONS(3141),
    [anon_sym__Alignas] = ACTIONS(3141),
    [aux_sym_primitive_type_token1] = ACTIONS(3141),
    [anon_sym_byte] = ACTIONS(3141),
    [anon_sym_word] = ACTIONS(3141),
    [anon_sym_enum] = ACTIONS(3141),
    [anon_sym_class] = ACTIONS(3141),
    [anon_sym_struct] = ACTIONS(3141),
    [anon_sym_union] = ACTIONS(3141),
    [anon_sym_if] = ACTIONS(3141),
    [anon_sym_switch] = ACTIONS(3141),
    [anon_sym_case] = ACTIONS(3141),
    [anon_sym_default] = ACTIONS(3141),
    [anon_sym_while] = ACTIONS(3141),
    [anon_sym_do] = ACTIONS(3141),
    [anon_sym_for] = ACTIONS(3141),
    [anon_sym_return] = ACTIONS(3141),
    [anon_sym_break] = ACTIONS(3141),
    [anon_sym_continue] = ACTIONS(3141),
    [anon_sym_goto] = ACTIONS(3141),
    [anon_sym___try] = ACTIONS(3141),
    [anon_sym___leave] = ACTIONS(3141),
    [anon_sym_not] = ACTIONS(3141),
    [anon_sym_compl] = ACTIONS(3141),
    [anon_sym_DASH_DASH] = ACTIONS(3143),
    [anon_sym_PLUS_PLUS] = ACTIONS(3143),
    [anon_sym_sizeof] = ACTIONS(3141),
    [anon_sym___alignof__] = ACTIONS(3141),
    [anon_sym___alignof] = ACTIONS(3141),
    [anon_sym__alignof] = ACTIONS(3141),
    [anon_sym_alignof] = ACTIONS(3141),
    [anon_sym__Alignof] = ACTIONS(3141),
    [anon_sym_offsetof] = ACTIONS(3141),
    [anon_sym__Generic] = ACTIONS(3141),
    [anon_sym_asm] = ACTIONS(3141),
    [anon_sym___asm__] = ACTIONS(3141),
    [anon_sym___asm] = ACTIONS(3141),
    [aux_sym_number_literal_token1] = ACTIONS(3143),
    [aux_sym_number_literal_token2] = ACTIONS(3141),
    [anon_sym_L_SQUOTE] = ACTIONS(3143),
    [anon_sym_u_SQUOTE] = ACTIONS(3143),
    [anon_sym_U_SQUOTE] = ACTIONS(3143),
    [anon_sym_u8_SQUOTE] = ACTIONS(3143),
    [anon_sym_SQUOTE] = ACTIONS(3143),
    [anon_sym_L_DQUOTE] = ACTIONS(3143),
    [anon_sym_u_DQUOTE] = ACTIONS(3143),
    [anon_sym_U_DQUOTE] = ACTIONS(3143),
    [anon_sym_u8_DQUOTE] = ACTIONS(3143),
    [anon_sym_DQUOTE] = ACTIONS(3143),
    [sym_true] = ACTIONS(3141),
    [sym_false] = ACTIONS(3141),
    [anon_sym_NULL] = ACTIONS(3141),
    [anon_sym_nullptr] = ACTIONS(3141),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3141),
    [anon_sym_decltype] = ACTIONS(3141),
    [anon_sym_explicit] = ACTIONS(3141),
    [anon_sym_typename] = ACTIONS(3141),
    [anon_sym_template] = ACTIONS(3141),
    [anon_sym_operator] = ACTIONS(3141),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_delete] = ACTIONS(3141),
    [anon_sym_throw] = ACTIONS(3141),
    [anon_sym_namespace] = ACTIONS(3141),
    [anon_sym_using] = ACTIONS(3141),
    [anon_sym_static_assert] = ACTIONS(3141),
    [anon_sym_concept] = ACTIONS(3141),
    [anon_sym_co_return] = ACTIONS(3141),
    [anon_sym_co_yield] = ACTIONS(3141),
    [anon_sym_R_DQUOTE] = ACTIONS(3143),
    [anon_sym_LR_DQUOTE] = ACTIONS(3143),
    [anon_sym_uR_DQUOTE] = ACTIONS(3143),
    [anon_sym_UR_DQUOTE] = ACTIONS(3143),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3143),
    [anon_sym_co_await] = ACTIONS(3141),
    [anon_sym_new] = ACTIONS(3141),
    [anon_sym_requires] = ACTIONS(3141),
    [sym_this] = ACTIONS(3141),
  },
  [364] = {
    [sym_identifier] = ACTIONS(3145),
    [aux_sym_preproc_include_token1] = ACTIONS(3145),
    [aux_sym_preproc_def_token1] = ACTIONS(3145),
    [aux_sym_preproc_if_token1] = ACTIONS(3145),
    [aux_sym_preproc_if_token2] = ACTIONS(3145),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3145),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3145),
    [aux_sym_preproc_else_token1] = ACTIONS(3145),
    [aux_sym_preproc_elif_token1] = ACTIONS(3145),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3145),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3145),
    [sym_preproc_directive] = ACTIONS(3145),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_PLUS] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3145),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3145),
    [anon_sym_typedef] = ACTIONS(3145),
    [anon_sym_virtual] = ACTIONS(3145),
    [anon_sym_extern] = ACTIONS(3145),
    [anon_sym___attribute__] = ACTIONS(3145),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3145),
    [anon_sym___based] = ACTIONS(3145),
    [anon_sym___cdecl] = ACTIONS(3145),
    [anon_sym___clrcall] = ACTIONS(3145),
    [anon_sym___stdcall] = ACTIONS(3145),
    [anon_sym___fastcall] = ACTIONS(3145),
    [anon_sym___thiscall] = ACTIONS(3145),
    [anon_sym___vectorcall] = ACTIONS(3145),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3145),
    [anon_sym_unsigned] = ACTIONS(3145),
    [anon_sym_long] = ACTIONS(3145),
    [anon_sym_short] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3145),
    [anon_sym_static] = ACTIONS(3145),
    [anon_sym_register] = ACTIONS(3145),
    [anon_sym_inline] = ACTIONS(3145),
    [anon_sym___inline] = ACTIONS(3145),
    [anon_sym___inline__] = ACTIONS(3145),
    [anon_sym___forceinline] = ACTIONS(3145),
    [anon_sym_thread_local] = ACTIONS(3145),
    [anon_sym___thread] = ACTIONS(3145),
    [anon_sym_const] = ACTIONS(3145),
    [anon_sym_constexpr] = ACTIONS(3145),
    [anon_sym_volatile] = ACTIONS(3145),
    [anon_sym_restrict] = ACTIONS(3145),
    [anon_sym___restrict__] = ACTIONS(3145),
    [anon_sym__Atomic] = ACTIONS(3145),
    [anon_sym__Noreturn] = ACTIONS(3145),
    [anon_sym_noreturn] = ACTIONS(3145),
    [anon_sym__Nonnull] = ACTIONS(3145),
    [anon_sym_mutable] = ACTIONS(3145),
    [anon_sym_constinit] = ACTIONS(3145),
    [anon_sym_consteval] = ACTIONS(3145),
    [anon_sym_PROGMEM] = ACTIONS(3145),
    [anon_sym_alignas] = ACTIONS(3145),
    [anon_sym__Alignas] = ACTIONS(3145),
    [aux_sym_primitive_type_token1] = ACTIONS(3145),
    [anon_sym_byte] = ACTIONS(3145),
    [anon_sym_word] = ACTIONS(3145),
    [anon_sym_enum] = ACTIONS(3145),
    [anon_sym_class] = ACTIONS(3145),
    [anon_sym_struct] = ACTIONS(3145),
    [anon_sym_union] = ACTIONS(3145),
    [anon_sym_if] = ACTIONS(3145),
    [anon_sym_switch] = ACTIONS(3145),
    [anon_sym_case] = ACTIONS(3145),
    [anon_sym_default] = ACTIONS(3145),
    [anon_sym_while] = ACTIONS(3145),
    [anon_sym_do] = ACTIONS(3145),
    [anon_sym_for] = ACTIONS(3145),
    [anon_sym_return] = ACTIONS(3145),
    [anon_sym_break] = ACTIONS(3145),
    [anon_sym_continue] = ACTIONS(3145),
    [anon_sym_goto] = ACTIONS(3145),
    [anon_sym___try] = ACTIONS(3145),
    [anon_sym___leave] = ACTIONS(3145),
    [anon_sym_not] = ACTIONS(3145),
    [anon_sym_compl] = ACTIONS(3145),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3145),
    [anon_sym___alignof__] = ACTIONS(3145),
    [anon_sym___alignof] = ACTIONS(3145),
    [anon_sym__alignof] = ACTIONS(3145),
    [anon_sym_alignof] = ACTIONS(3145),
    [anon_sym__Alignof] = ACTIONS(3145),
    [anon_sym_offsetof] = ACTIONS(3145),
    [anon_sym__Generic] = ACTIONS(3145),
    [anon_sym_asm] = ACTIONS(3145),
    [anon_sym___asm__] = ACTIONS(3145),
    [anon_sym___asm] = ACTIONS(3145),
    [aux_sym_number_literal_token1] = ACTIONS(3148),
    [aux_sym_number_literal_token2] = ACTIONS(3145),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3145),
    [sym_false] = ACTIONS(3145),
    [anon_sym_NULL] = ACTIONS(3145),
    [anon_sym_nullptr] = ACTIONS(3145),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3145),
    [anon_sym_decltype] = ACTIONS(3145),
    [anon_sym_explicit] = ACTIONS(3145),
    [anon_sym_typename] = ACTIONS(3145),
    [anon_sym_template] = ACTIONS(3145),
    [anon_sym_operator] = ACTIONS(3145),
    [anon_sym_try] = ACTIONS(3145),
    [anon_sym_delete] = ACTIONS(3145),
    [anon_sym_throw] = ACTIONS(3145),
    [anon_sym_namespace] = ACTIONS(3145),
    [anon_sym_using] = ACTIONS(3145),
    [anon_sym_static_assert] = ACTIONS(3145),
    [anon_sym_concept] = ACTIONS(3145),
    [anon_sym_co_return] = ACTIONS(3145),
    [anon_sym_co_yield] = ACTIONS(3145),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3145),
    [anon_sym_new] = ACTIONS(3145),
    [anon_sym_requires] = ACTIONS(3145),
    [sym_this] = ACTIONS(3145),
  },
  [365] = {
    [sym_identifier] = ACTIONS(3082),
    [aux_sym_preproc_include_token1] = ACTIONS(3082),
    [aux_sym_preproc_def_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token2] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3082),
    [aux_sym_preproc_else_token1] = ACTIONS(3082),
    [aux_sym_preproc_elif_token1] = ACTIONS(3082),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3082),
    [sym_preproc_directive] = ACTIONS(3082),
    [anon_sym_LPAREN2] = ACTIONS(3084),
    [anon_sym_BANG] = ACTIONS(3084),
    [anon_sym_TILDE] = ACTIONS(3084),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym___extension__] = ACTIONS(3082),
    [anon_sym_typedef] = ACTIONS(3082),
    [anon_sym_virtual] = ACTIONS(3082),
    [anon_sym_extern] = ACTIONS(3082),
    [anon_sym___attribute__] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3084),
    [anon_sym___declspec] = ACTIONS(3082),
    [anon_sym___based] = ACTIONS(3082),
    [anon_sym___cdecl] = ACTIONS(3082),
    [anon_sym___clrcall] = ACTIONS(3082),
    [anon_sym___stdcall] = ACTIONS(3082),
    [anon_sym___fastcall] = ACTIONS(3082),
    [anon_sym___thiscall] = ACTIONS(3082),
    [anon_sym___vectorcall] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_signed] = ACTIONS(3082),
    [anon_sym_unsigned] = ACTIONS(3082),
    [anon_sym_long] = ACTIONS(3082),
    [anon_sym_short] = ACTIONS(3082),
    [anon_sym_LBRACK] = ACTIONS(3082),
    [anon_sym_static] = ACTIONS(3082),
    [anon_sym_register] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym___inline] = ACTIONS(3082),
    [anon_sym___inline__] = ACTIONS(3082),
    [anon_sym___forceinline] = ACTIONS(3082),
    [anon_sym_thread_local] = ACTIONS(3082),
    [anon_sym___thread] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_constexpr] = ACTIONS(3082),
    [anon_sym_volatile] = ACTIONS(3082),
    [anon_sym_restrict] = ACTIONS(3082),
    [anon_sym___restrict__] = ACTIONS(3082),
    [anon_sym__Atomic] = ACTIONS(3082),
    [anon_sym__Noreturn] = ACTIONS(3082),
    [anon_sym_noreturn] = ACTIONS(3082),
    [anon_sym__Nonnull] = ACTIONS(3082),
    [anon_sym_mutable] = ACTIONS(3082),
    [anon_sym_constinit] = ACTIONS(3082),
    [anon_sym_consteval] = ACTIONS(3082),
    [anon_sym_PROGMEM] = ACTIONS(3082),
    [anon_sym_alignas] = ACTIONS(3082),
    [anon_sym__Alignas] = ACTIONS(3082),
    [aux_sym_primitive_type_token1] = ACTIONS(3082),
    [anon_sym_byte] = ACTIONS(3082),
    [anon_sym_word] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3082),
    [anon_sym_struct] = ACTIONS(3082),
    [anon_sym_union] = ACTIONS(3082),
    [anon_sym_if] = ACTIONS(3082),
    [anon_sym_switch] = ACTIONS(3082),
    [anon_sym_case] = ACTIONS(3082),
    [anon_sym_default] = ACTIONS(3082),
    [anon_sym_while] = ACTIONS(3082),
    [anon_sym_do] = ACTIONS(3082),
    [anon_sym_for] = ACTIONS(3082),
    [anon_sym_return] = ACTIONS(3082),
    [anon_sym_break] = ACTIONS(3082),
    [anon_sym_continue] = ACTIONS(3082),
    [anon_sym_goto] = ACTIONS(3082),
    [anon_sym___try] = ACTIONS(3082),
    [anon_sym___leave] = ACTIONS(3082),
    [anon_sym_not] = ACTIONS(3082),
    [anon_sym_compl] = ACTIONS(3082),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_sizeof] = ACTIONS(3082),
    [anon_sym___alignof__] = ACTIONS(3082),
    [anon_sym___alignof] = ACTIONS(3082),
    [anon_sym__alignof] = ACTIONS(3082),
    [anon_sym_alignof] = ACTIONS(3082),
    [anon_sym__Alignof] = ACTIONS(3082),
    [anon_sym_offsetof] = ACTIONS(3082),
    [anon_sym__Generic] = ACTIONS(3082),
    [anon_sym_asm] = ACTIONS(3082),
    [anon_sym___asm__] = ACTIONS(3082),
    [anon_sym___asm] = ACTIONS(3082),
    [aux_sym_number_literal_token1] = ACTIONS(3084),
    [aux_sym_number_literal_token2] = ACTIONS(3082),
    [anon_sym_L_SQUOTE] = ACTIONS(3084),
    [anon_sym_u_SQUOTE] = ACTIONS(3084),
    [anon_sym_U_SQUOTE] = ACTIONS(3084),
    [anon_sym_u8_SQUOTE] = ACTIONS(3084),
    [anon_sym_SQUOTE] = ACTIONS(3084),
    [anon_sym_L_DQUOTE] = ACTIONS(3084),
    [anon_sym_u_DQUOTE] = ACTIONS(3084),
    [anon_sym_U_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8_DQUOTE] = ACTIONS(3084),
    [anon_sym_DQUOTE] = ACTIONS(3084),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_NULL] = ACTIONS(3082),
    [anon_sym_nullptr] = ACTIONS(3082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3082),
    [anon_sym_decltype] = ACTIONS(3082),
    [anon_sym_explicit] = ACTIONS(3082),
    [anon_sym_typename] = ACTIONS(3082),
    [anon_sym_template] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_try] = ACTIONS(3082),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_throw] = ACTIONS(3082),
    [anon_sym_namespace] = ACTIONS(3082),
    [anon_sym_using] = ACTIONS(3082),
    [anon_sym_static_assert] = ACTIONS(3082),
    [anon_sym_concept] = ACTIONS(3082),
    [anon_sym_co_return] = ACTIONS(3082),
    [anon_sym_co_yield] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3082),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_requires] = ACTIONS(3082),
    [sym_this] = ACTIONS(3082),
  },
  [366] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [aux_sym_preproc_else_token1] = ACTIONS(3151),
    [aux_sym_preproc_elif_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_PROGMEM] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [aux_sym_primitive_type_token1] = ACTIONS(3151),
    [anon_sym_byte] = ACTIONS(3151),
    [anon_sym_word] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym___try] = ACTIONS(3151),
    [anon_sym___leave] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [aux_sym_number_literal_token1] = ACTIONS(3153),
    [aux_sym_number_literal_token2] = ACTIONS(3151),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [367] = {
    [sym_identifier] = ACTIONS(3155),
    [aux_sym_preproc_include_token1] = ACTIONS(3155),
    [aux_sym_preproc_def_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token2] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3155),
    [aux_sym_preproc_else_token1] = ACTIONS(3155),
    [aux_sym_preproc_elif_token1] = ACTIONS(3155),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3155),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3155),
    [sym_preproc_directive] = ACTIONS(3155),
    [anon_sym_LPAREN2] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(3155),
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_AMP_AMP] = ACTIONS(3157),
    [anon_sym_AMP] = ACTIONS(3155),
    [anon_sym_SEMI] = ACTIONS(3157),
    [anon_sym___extension__] = ACTIONS(3155),
    [anon_sym_typedef] = ACTIONS(3155),
    [anon_sym_virtual] = ACTIONS(3155),
    [anon_sym_extern] = ACTIONS(3155),
    [anon_sym___attribute__] = ACTIONS(3155),
    [anon_sym_COLON_COLON] = ACTIONS(3157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3157),
    [anon_sym___declspec] = ACTIONS(3155),
    [anon_sym___based] = ACTIONS(3155),
    [anon_sym___cdecl] = ACTIONS(3155),
    [anon_sym___clrcall] = ACTIONS(3155),
    [anon_sym___stdcall] = ACTIONS(3155),
    [anon_sym___fastcall] = ACTIONS(3155),
    [anon_sym___thiscall] = ACTIONS(3155),
    [anon_sym___vectorcall] = ACTIONS(3155),
    [anon_sym_LBRACE] = ACTIONS(3157),
    [anon_sym_signed] = ACTIONS(3155),
    [anon_sym_unsigned] = ACTIONS(3155),
    [anon_sym_long] = ACTIONS(3155),
    [anon_sym_short] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_static] = ACTIONS(3155),
    [anon_sym_register] = ACTIONS(3155),
    [anon_sym_inline] = ACTIONS(3155),
    [anon_sym___inline] = ACTIONS(3155),
    [anon_sym___inline__] = ACTIONS(3155),
    [anon_sym___forceinline] = ACTIONS(3155),
    [anon_sym_thread_local] = ACTIONS(3155),
    [anon_sym___thread] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3155),
    [anon_sym_constexpr] = ACTIONS(3155),
    [anon_sym_volatile] = ACTIONS(3155),
    [anon_sym_restrict] = ACTIONS(3155),
    [anon_sym___restrict__] = ACTIONS(3155),
    [anon_sym__Atomic] = ACTIONS(3155),
    [anon_sym__Noreturn] = ACTIONS(3155),
    [anon_sym_noreturn] = ACTIONS(3155),
    [anon_sym__Nonnull] = ACTIONS(3155),
    [anon_sym_mutable] = ACTIONS(3155),
    [anon_sym_constinit] = ACTIONS(3155),
    [anon_sym_consteval] = ACTIONS(3155),
    [anon_sym_PROGMEM] = ACTIONS(3155),
    [anon_sym_alignas] = ACTIONS(3155),
    [anon_sym__Alignas] = ACTIONS(3155),
    [aux_sym_primitive_type_token1] = ACTIONS(3155),
    [anon_sym_byte] = ACTIONS(3155),
    [anon_sym_word] = ACTIONS(3155),
    [anon_sym_enum] = ACTIONS(3155),
    [anon_sym_class] = ACTIONS(3155),
    [anon_sym_struct] = ACTIONS(3155),
    [anon_sym_union] = ACTIONS(3155),
    [anon_sym_if] = ACTIONS(3155),
    [anon_sym_switch] = ACTIONS(3155),
    [anon_sym_case] = ACTIONS(3155),
    [anon_sym_default] = ACTIONS(3155),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3155),
    [anon_sym_break] = ACTIONS(3155),
    [anon_sym_continue] = ACTIONS(3155),
    [anon_sym_goto] = ACTIONS(3155),
    [anon_sym___try] = ACTIONS(3155),
    [anon_sym___leave] = ACTIONS(3155),
    [anon_sym_not] = ACTIONS(3155),
    [anon_sym_compl] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3157),
    [anon_sym_PLUS_PLUS] = ACTIONS(3157),
    [anon_sym_sizeof] = ACTIONS(3155),
    [anon_sym___alignof__] = ACTIONS(3155),
    [anon_sym___alignof] = ACTIONS(3155),
    [anon_sym__alignof] = ACTIONS(3155),
    [anon_sym_alignof] = ACTIONS(3155),
    [anon_sym__Alignof] = ACTIONS(3155),
    [anon_sym_offsetof] = ACTIONS(3155),
    [anon_sym__Generic] = ACTIONS(3155),
    [anon_sym_asm] = ACTIONS(3155),
    [anon_sym___asm__] = ACTIONS(3155),
    [anon_sym___asm] = ACTIONS(3155),
    [aux_sym_number_literal_token1] = ACTIONS(3157),
    [aux_sym_number_literal_token2] = ACTIONS(3155),
    [anon_sym_L_SQUOTE] = ACTIONS(3157),
    [anon_sym_u_SQUOTE] = ACTIONS(3157),
    [anon_sym_U_SQUOTE] = ACTIONS(3157),
    [anon_sym_u8_SQUOTE] = ACTIONS(3157),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_L_DQUOTE] = ACTIONS(3157),
    [anon_sym_u_DQUOTE] = ACTIONS(3157),
    [anon_sym_U_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8_DQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3157),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [anon_sym_NULL] = ACTIONS(3155),
    [anon_sym_nullptr] = ACTIONS(3155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3155),
    [anon_sym_decltype] = ACTIONS(3155),
    [anon_sym_explicit] = ACTIONS(3155),
    [anon_sym_typename] = ACTIONS(3155),
    [anon_sym_template] = ACTIONS(3155),
    [anon_sym_operator] = ACTIONS(3155),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_delete] = ACTIONS(3155),
    [anon_sym_throw] = ACTIONS(3155),
    [anon_sym_namespace] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3155),
    [anon_sym_static_assert] = ACTIONS(3155),
    [anon_sym_concept] = ACTIONS(3155),
    [anon_sym_co_return] = ACTIONS(3155),
    [anon_sym_co_yield] = ACTIONS(3155),
    [anon_sym_R_DQUOTE] = ACTIONS(3157),
    [anon_sym_LR_DQUOTE] = ACTIONS(3157),
    [anon_sym_uR_DQUOTE] = ACTIONS(3157),
    [anon_sym_UR_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3157),
    [anon_sym_co_await] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3155),
    [anon_sym_requires] = ACTIONS(3155),
    [sym_this] = ACTIONS(3155),
  },
  [368] = {
    [sym_catch_clause] = STATE(368),
    [aux_sym_constructor_try_statement_repeat1] = STATE(368),
    [sym_identifier] = ACTIONS(2551),
    [aux_sym_preproc_include_token1] = ACTIONS(2551),
    [aux_sym_preproc_def_token1] = ACTIONS(2551),
    [aux_sym_preproc_if_token1] = ACTIONS(2551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2551),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2551),
    [sym_preproc_directive] = ACTIONS(2551),
    [anon_sym_LPAREN2] = ACTIONS(2553),
    [anon_sym_BANG] = ACTIONS(2553),
    [anon_sym_TILDE] = ACTIONS(2553),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_STAR] = ACTIONS(2553),
    [anon_sym_AMP_AMP] = ACTIONS(2553),
    [anon_sym_AMP] = ACTIONS(2551),
    [anon_sym_SEMI] = ACTIONS(2553),
    [anon_sym___extension__] = ACTIONS(2551),
    [anon_sym_typedef] = ACTIONS(2551),
    [anon_sym_virtual] = ACTIONS(2551),
    [anon_sym_extern] = ACTIONS(2551),
    [anon_sym___attribute__] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2553),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2553),
    [anon_sym___declspec] = ACTIONS(2551),
    [anon_sym___based] = ACTIONS(2551),
    [anon_sym___cdecl] = ACTIONS(2551),
    [anon_sym___clrcall] = ACTIONS(2551),
    [anon_sym___stdcall] = ACTIONS(2551),
    [anon_sym___fastcall] = ACTIONS(2551),
    [anon_sym___thiscall] = ACTIONS(2551),
    [anon_sym___vectorcall] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(2553),
    [anon_sym_RBRACE] = ACTIONS(2553),
    [anon_sym_signed] = ACTIONS(2551),
    [anon_sym_unsigned] = ACTIONS(2551),
    [anon_sym_long] = ACTIONS(2551),
    [anon_sym_short] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2551),
    [anon_sym_static] = ACTIONS(2551),
    [anon_sym_register] = ACTIONS(2551),
    [anon_sym_inline] = ACTIONS(2551),
    [anon_sym___inline] = ACTIONS(2551),
    [anon_sym___inline__] = ACTIONS(2551),
    [anon_sym___forceinline] = ACTIONS(2551),
    [anon_sym_thread_local] = ACTIONS(2551),
    [anon_sym___thread] = ACTIONS(2551),
    [anon_sym_const] = ACTIONS(2551),
    [anon_sym_constexpr] = ACTIONS(2551),
    [anon_sym_volatile] = ACTIONS(2551),
    [anon_sym_restrict] = ACTIONS(2551),
    [anon_sym___restrict__] = ACTIONS(2551),
    [anon_sym__Atomic] = ACTIONS(2551),
    [anon_sym__Noreturn] = ACTIONS(2551),
    [anon_sym_noreturn] = ACTIONS(2551),
    [anon_sym__Nonnull] = ACTIONS(2551),
    [anon_sym_mutable] = ACTIONS(2551),
    [anon_sym_constinit] = ACTIONS(2551),
    [anon_sym_consteval] = ACTIONS(2551),
    [anon_sym_PROGMEM] = ACTIONS(2551),
    [anon_sym_alignas] = ACTIONS(2551),
    [anon_sym__Alignas] = ACTIONS(2551),
    [aux_sym_primitive_type_token1] = ACTIONS(2551),
    [anon_sym_byte] = ACTIONS(2551),
    [anon_sym_word] = ACTIONS(2551),
    [anon_sym_enum] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2551),
    [anon_sym_struct] = ACTIONS(2551),
    [anon_sym_union] = ACTIONS(2551),
    [anon_sym_if] = ACTIONS(2551),
    [anon_sym_else] = ACTIONS(2551),
    [anon_sym_switch] = ACTIONS(2551),
    [anon_sym_case] = ACTIONS(2551),
    [anon_sym_default] = ACTIONS(2551),
    [anon_sym_while] = ACTIONS(2551),
    [anon_sym_do] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2551),
    [anon_sym_return] = ACTIONS(2551),
    [anon_sym_break] = ACTIONS(2551),
    [anon_sym_continue] = ACTIONS(2551),
    [anon_sym_goto] = ACTIONS(2551),
    [anon_sym___try] = ACTIONS(2551),
    [anon_sym___leave] = ACTIONS(2551),
    [anon_sym_not] = ACTIONS(2551),
    [anon_sym_compl] = ACTIONS(2551),
    [anon_sym_DASH_DASH] = ACTIONS(2553),
    [anon_sym_PLUS_PLUS] = ACTIONS(2553),
    [anon_sym_sizeof] = ACTIONS(2551),
    [anon_sym___alignof__] = ACTIONS(2551),
    [anon_sym___alignof] = ACTIONS(2551),
    [anon_sym__alignof] = ACTIONS(2551),
    [anon_sym_alignof] = ACTIONS(2551),
    [anon_sym__Alignof] = ACTIONS(2551),
    [anon_sym_offsetof] = ACTIONS(2551),
    [anon_sym__Generic] = ACTIONS(2551),
    [anon_sym_asm] = ACTIONS(2551),
    [anon_sym___asm__] = ACTIONS(2551),
    [anon_sym___asm] = ACTIONS(2551),
    [aux_sym_number_literal_token1] = ACTIONS(2553),
    [aux_sym_number_literal_token2] = ACTIONS(2551),
    [anon_sym_L_SQUOTE] = ACTIONS(2553),
    [anon_sym_u_SQUOTE] = ACTIONS(2553),
    [anon_sym_U_SQUOTE] = ACTIONS(2553),
    [anon_sym_u8_SQUOTE] = ACTIONS(2553),
    [anon_sym_SQUOTE] = ACTIONS(2553),
    [anon_sym_L_DQUOTE] = ACTIONS(2553),
    [anon_sym_u_DQUOTE] = ACTIONS(2553),
    [anon_sym_U_DQUOTE] = ACTIONS(2553),
    [anon_sym_u8_DQUOTE] = ACTIONS(2553),
    [anon_sym_DQUOTE] = ACTIONS(2553),
    [sym_true] = ACTIONS(2551),
    [sym_false] = ACTIONS(2551),
    [anon_sym_NULL] = ACTIONS(2551),
    [anon_sym_nullptr] = ACTIONS(2551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2551),
    [anon_sym_decltype] = ACTIONS(2551),
    [anon_sym_explicit] = ACTIONS(2551),
    [anon_sym_typename] = ACTIONS(2551),
    [anon_sym_template] = ACTIONS(2551),
    [anon_sym_operator] = ACTIONS(2551),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_delete] = ACTIONS(2551),
    [anon_sym_throw] = ACTIONS(2551),
    [anon_sym_namespace] = ACTIONS(2551),
    [anon_sym_using] = ACTIONS(2551),
    [anon_sym_static_assert] = ACTIONS(2551),
    [anon_sym_concept] = ACTIONS(2551),
    [anon_sym_co_return] = ACTIONS(2551),
    [anon_sym_co_yield] = ACTIONS(2551),
    [anon_sym_catch] = ACTIONS(3159),
    [anon_sym_R_DQUOTE] = ACTIONS(2553),
    [anon_sym_LR_DQUOTE] = ACTIONS(2553),
    [anon_sym_uR_DQUOTE] = ACTIONS(2553),
    [anon_sym_UR_DQUOTE] = ACTIONS(2553),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2553),
    [anon_sym_co_await] = ACTIONS(2551),
    [anon_sym_new] = ACTIONS(2551),
    [anon_sym_requires] = ACTIONS(2551),
    [sym_this] = ACTIONS(2551),
  },
  [369] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [aux_sym_preproc_else_token1] = ACTIONS(3162),
    [aux_sym_preproc_elif_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [anon_sym___asm] = ACTIONS(3162),
    [aux_sym_number_literal_token1] = ACTIONS(3164),
    [aux_sym_number_literal_token2] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [370] = {
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token2] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [aux_sym_preproc_else_token1] = ACTIONS(3166),
    [aux_sym_preproc_elif_token1] = ACTIONS(3166),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym___cdecl] = ACTIONS(3166),
    [anon_sym___clrcall] = ACTIONS(3166),
    [anon_sym___stdcall] = ACTIONS(3166),
    [anon_sym___fastcall] = ACTIONS(3166),
    [anon_sym___thiscall] = ACTIONS(3166),
    [anon_sym___vectorcall] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym__Nonnull] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_PROGMEM] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym__Alignas] = ACTIONS(3166),
    [aux_sym_primitive_type_token1] = ACTIONS(3166),
    [anon_sym_byte] = ACTIONS(3166),
    [anon_sym_word] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_goto] = ACTIONS(3166),
    [anon_sym___try] = ACTIONS(3166),
    [anon_sym___leave] = ACTIONS(3166),
    [anon_sym_not] = ACTIONS(3166),
    [anon_sym_compl] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_sizeof] = ACTIONS(3166),
    [anon_sym___alignof__] = ACTIONS(3166),
    [anon_sym___alignof] = ACTIONS(3166),
    [anon_sym__alignof] = ACTIONS(3166),
    [anon_sym_alignof] = ACTIONS(3166),
    [anon_sym__Alignof] = ACTIONS(3166),
    [anon_sym_offsetof] = ACTIONS(3166),
    [anon_sym__Generic] = ACTIONS(3166),
    [anon_sym_asm] = ACTIONS(3166),
    [anon_sym___asm__] = ACTIONS(3166),
    [anon_sym___asm] = ACTIONS(3166),
    [aux_sym_number_literal_token1] = ACTIONS(3168),
    [aux_sym_number_literal_token2] = ACTIONS(3166),
    [anon_sym_L_SQUOTE] = ACTIONS(3168),
    [anon_sym_u_SQUOTE] = ACTIONS(3168),
    [anon_sym_U_SQUOTE] = ACTIONS(3168),
    [anon_sym_u8_SQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_L_DQUOTE] = ACTIONS(3168),
    [anon_sym_u_DQUOTE] = ACTIONS(3168),
    [anon_sym_U_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8_DQUOTE] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [anon_sym_NULL] = ACTIONS(3166),
    [anon_sym_nullptr] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
    [anon_sym_concept] = ACTIONS(3166),
    [anon_sym_co_return] = ACTIONS(3166),
    [anon_sym_co_yield] = ACTIONS(3166),
    [anon_sym_R_DQUOTE] = ACTIONS(3168),
    [anon_sym_LR_DQUOTE] = ACTIONS(3168),
    [anon_sym_uR_DQUOTE] = ACTIONS(3168),
    [anon_sym_UR_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3168),
    [anon_sym_co_await] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_requires] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
  },
  [371] = {
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_include_token1] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token2] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3170),
    [aux_sym_preproc_elif_token1] = ACTIONS(3170),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym___cdecl] = ACTIONS(3170),
    [anon_sym___clrcall] = ACTIONS(3170),
    [anon_sym___stdcall] = ACTIONS(3170),
    [anon_sym___fastcall] = ACTIONS(3170),
    [anon_sym___thiscall] = ACTIONS(3170),
    [anon_sym___vectorcall] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym__Nonnull] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [anon_sym_PROGMEM] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym__Alignas] = ACTIONS(3170),
    [aux_sym_primitive_type_token1] = ACTIONS(3170),
    [anon_sym_byte] = ACTIONS(3170),
    [anon_sym_word] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_goto] = ACTIONS(3170),
    [anon_sym___try] = ACTIONS(3170),
    [anon_sym___leave] = ACTIONS(3170),
    [anon_sym_not] = ACTIONS(3170),
    [anon_sym_compl] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_sizeof] = ACTIONS(3170),
    [anon_sym___alignof__] = ACTIONS(3170),
    [anon_sym___alignof] = ACTIONS(3170),
    [anon_sym__alignof] = ACTIONS(3170),
    [anon_sym_alignof] = ACTIONS(3170),
    [anon_sym__Alignof] = ACTIONS(3170),
    [anon_sym_offsetof] = ACTIONS(3170),
    [anon_sym__Generic] = ACTIONS(3170),
    [anon_sym_asm] = ACTIONS(3170),
    [anon_sym___asm__] = ACTIONS(3170),
    [anon_sym___asm] = ACTIONS(3170),
    [aux_sym_number_literal_token1] = ACTIONS(3172),
    [aux_sym_number_literal_token2] = ACTIONS(3170),
    [anon_sym_L_SQUOTE] = ACTIONS(3172),
    [anon_sym_u_SQUOTE] = ACTIONS(3172),
    [anon_sym_U_SQUOTE] = ACTIONS(3172),
    [anon_sym_u8_SQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_L_DQUOTE] = ACTIONS(3172),
    [anon_sym_u_DQUOTE] = ACTIONS(3172),
    [anon_sym_U_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8_DQUOTE] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [anon_sym_NULL] = ACTIONS(3170),
    [anon_sym_nullptr] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
    [anon_sym_concept] = ACTIONS(3170),
    [anon_sym_co_return] = ACTIONS(3170),
    [anon_sym_co_yield] = ACTIONS(3170),
    [anon_sym_R_DQUOTE] = ACTIONS(3172),
    [anon_sym_LR_DQUOTE] = ACTIONS(3172),
    [anon_sym_uR_DQUOTE] = ACTIONS(3172),
    [anon_sym_UR_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3172),
    [anon_sym_co_await] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_requires] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
  },
  [372] = {
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_include_token1] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token2] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3174),
    [aux_sym_preproc_else_token1] = ACTIONS(3174),
    [aux_sym_preproc_elif_token1] = ACTIONS(3174),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3174),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3174),
    [sym_preproc_directive] = ACTIONS(3174),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3174),
    [anon_sym_typedef] = ACTIONS(3174),
    [anon_sym_virtual] = ACTIONS(3174),
    [anon_sym_extern] = ACTIONS(3174),
    [anon_sym___attribute__] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3176),
    [anon_sym___declspec] = ACTIONS(3174),
    [anon_sym___based] = ACTIONS(3174),
    [anon_sym___cdecl] = ACTIONS(3174),
    [anon_sym___clrcall] = ACTIONS(3174),
    [anon_sym___stdcall] = ACTIONS(3174),
    [anon_sym___fastcall] = ACTIONS(3174),
    [anon_sym___thiscall] = ACTIONS(3174),
    [anon_sym___vectorcall] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3174),
    [anon_sym_unsigned] = ACTIONS(3174),
    [anon_sym_long] = ACTIONS(3174),
    [anon_sym_short] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_register] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym___inline] = ACTIONS(3174),
    [anon_sym___inline__] = ACTIONS(3174),
    [anon_sym___forceinline] = ACTIONS(3174),
    [anon_sym_thread_local] = ACTIONS(3174),
    [anon_sym___thread] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_constexpr] = ACTIONS(3174),
    [anon_sym_volatile] = ACTIONS(3174),
    [anon_sym_restrict] = ACTIONS(3174),
    [anon_sym___restrict__] = ACTIONS(3174),
    [anon_sym__Atomic] = ACTIONS(3174),
    [anon_sym__Noreturn] = ACTIONS(3174),
    [anon_sym_noreturn] = ACTIONS(3174),
    [anon_sym__Nonnull] = ACTIONS(3174),
    [anon_sym_mutable] = ACTIONS(3174),
    [anon_sym_constinit] = ACTIONS(3174),
    [anon_sym_consteval] = ACTIONS(3174),
    [anon_sym_PROGMEM] = ACTIONS(3174),
    [anon_sym_alignas] = ACTIONS(3174),
    [anon_sym__Alignas] = ACTIONS(3174),
    [aux_sym_primitive_type_token1] = ACTIONS(3174),
    [anon_sym_byte] = ACTIONS(3174),
    [anon_sym_word] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_struct] = ACTIONS(3174),
    [anon_sym_union] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_case] = ACTIONS(3174),
    [anon_sym_default] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_goto] = ACTIONS(3174),
    [anon_sym___try] = ACTIONS(3174),
    [anon_sym___leave] = ACTIONS(3174),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_compl] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_sizeof] = ACTIONS(3174),
    [anon_sym___alignof__] = ACTIONS(3174),
    [anon_sym___alignof] = ACTIONS(3174),
    [anon_sym__alignof] = ACTIONS(3174),
    [anon_sym_alignof] = ACTIONS(3174),
    [anon_sym__Alignof] = ACTIONS(3174),
    [anon_sym_offsetof] = ACTIONS(3174),
    [anon_sym__Generic] = ACTIONS(3174),
    [anon_sym_asm] = ACTIONS(3174),
    [anon_sym___asm__] = ACTIONS(3174),
    [anon_sym___asm] = ACTIONS(3174),
    [aux_sym_number_literal_token1] = ACTIONS(3176),
    [aux_sym_number_literal_token2] = ACTIONS(3174),
    [anon_sym_L_SQUOTE] = ACTIONS(3176),
    [anon_sym_u_SQUOTE] = ACTIONS(3176),
    [anon_sym_U_SQUOTE] = ACTIONS(3176),
    [anon_sym_u8_SQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_L_DQUOTE] = ACTIONS(3176),
    [anon_sym_u_DQUOTE] = ACTIONS(3176),
    [anon_sym_U_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8_DQUOTE] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [anon_sym_NULL] = ACTIONS(3174),
    [anon_sym_nullptr] = ACTIONS(3174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3174),
    [anon_sym_decltype] = ACTIONS(3174),
    [anon_sym_explicit] = ACTIONS(3174),
    [anon_sym_typename] = ACTIONS(3174),
    [anon_sym_template] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_static_assert] = ACTIONS(3174),
    [anon_sym_concept] = ACTIONS(3174),
    [anon_sym_co_return] = ACTIONS(3174),
    [anon_sym_co_yield] = ACTIONS(3174),
    [anon_sym_R_DQUOTE] = ACTIONS(3176),
    [anon_sym_LR_DQUOTE] = ACTIONS(3176),
    [anon_sym_uR_DQUOTE] = ACTIONS(3176),
    [anon_sym_UR_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3176),
    [anon_sym_co_await] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_requires] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
  },
  [373] = {
    [sym_identifier] = ACTIONS(3178),
    [aux_sym_preproc_include_token1] = ACTIONS(3178),
    [aux_sym_preproc_def_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3178),
    [aux_sym_preproc_else_token1] = ACTIONS(3178),
    [aux_sym_preproc_elif_token1] = ACTIONS(3178),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3178),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3178),
    [sym_preproc_directive] = ACTIONS(3178),
    [anon_sym_LPAREN2] = ACTIONS(3180),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3178),
    [anon_sym_typedef] = ACTIONS(3178),
    [anon_sym_virtual] = ACTIONS(3178),
    [anon_sym_extern] = ACTIONS(3178),
    [anon_sym___attribute__] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3180),
    [anon_sym___declspec] = ACTIONS(3178),
    [anon_sym___based] = ACTIONS(3178),
    [anon_sym___cdecl] = ACTIONS(3178),
    [anon_sym___clrcall] = ACTIONS(3178),
    [anon_sym___stdcall] = ACTIONS(3178),
    [anon_sym___fastcall] = ACTIONS(3178),
    [anon_sym___thiscall] = ACTIONS(3178),
    [anon_sym___vectorcall] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_signed] = ACTIONS(3178),
    [anon_sym_unsigned] = ACTIONS(3178),
    [anon_sym_long] = ACTIONS(3178),
    [anon_sym_short] = ACTIONS(3178),
    [anon_sym_LBRACK] = ACTIONS(3178),
    [anon_sym_static] = ACTIONS(3178),
    [anon_sym_register] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym___inline] = ACTIONS(3178),
    [anon_sym___inline__] = ACTIONS(3178),
    [anon_sym___forceinline] = ACTIONS(3178),
    [anon_sym_thread_local] = ACTIONS(3178),
    [anon_sym___thread] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_constexpr] = ACTIONS(3178),
    [anon_sym_volatile] = ACTIONS(3178),
    [anon_sym_restrict] = ACTIONS(3178),
    [anon_sym___restrict__] = ACTIONS(3178),
    [anon_sym__Atomic] = ACTIONS(3178),
    [anon_sym__Noreturn] = ACTIONS(3178),
    [anon_sym_noreturn] = ACTIONS(3178),
    [anon_sym__Nonnull] = ACTIONS(3178),
    [anon_sym_mutable] = ACTIONS(3178),
    [anon_sym_constinit] = ACTIONS(3178),
    [anon_sym_consteval] = ACTIONS(3178),
    [anon_sym_PROGMEM] = ACTIONS(3178),
    [anon_sym_alignas] = ACTIONS(3178),
    [anon_sym__Alignas] = ACTIONS(3178),
    [aux_sym_primitive_type_token1] = ACTIONS(3178),
    [anon_sym_byte] = ACTIONS(3178),
    [anon_sym_word] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_class] = ACTIONS(3178),
    [anon_sym_struct] = ACTIONS(3178),
    [anon_sym_union] = ACTIONS(3178),
    [anon_sym_if] = ACTIONS(3178),
    [anon_sym_switch] = ACTIONS(3178),
    [anon_sym_case] = ACTIONS(3178),
    [anon_sym_default] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_do] = ACTIONS(3178),
    [anon_sym_for] = ACTIONS(3178),
    [anon_sym_return] = ACTIONS(3178),
    [anon_sym_break] = ACTIONS(3178),
    [anon_sym_continue] = ACTIONS(3178),
    [anon_sym_goto] = ACTIONS(3178),
    [anon_sym___try] = ACTIONS(3178),
    [anon_sym___leave] = ACTIONS(3178),
    [anon_sym_not] = ACTIONS(3178),
    [anon_sym_compl] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_sizeof] = ACTIONS(3178),
    [anon_sym___alignof__] = ACTIONS(3178),
    [anon_sym___alignof] = ACTIONS(3178),
    [anon_sym__alignof] = ACTIONS(3178),
    [anon_sym_alignof] = ACTIONS(3178),
    [anon_sym__Alignof] = ACTIONS(3178),
    [anon_sym_offsetof] = ACTIONS(3178),
    [anon_sym__Generic] = ACTIONS(3178),
    [anon_sym_asm] = ACTIONS(3178),
    [anon_sym___asm__] = ACTIONS(3178),
    [anon_sym___asm] = ACTIONS(3178),
    [aux_sym_number_literal_token1] = ACTIONS(3180),
    [aux_sym_number_literal_token2] = ACTIONS(3178),
    [anon_sym_L_SQUOTE] = ACTIONS(3180),
    [anon_sym_u_SQUOTE] = ACTIONS(3180),
    [anon_sym_U_SQUOTE] = ACTIONS(3180),
    [anon_sym_u8_SQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [anon_sym_L_DQUOTE] = ACTIONS(3180),
    [anon_sym_u_DQUOTE] = ACTIONS(3180),
    [anon_sym_U_DQUOTE] = ACTIONS(3180),
    [anon_sym_u8_DQUOTE] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [sym_true] = ACTIONS(3178),
    [sym_false] = ACTIONS(3178),
    [anon_sym_NULL] = ACTIONS(3178),
    [anon_sym_nullptr] = ACTIONS(3178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3178),
    [anon_sym_decltype] = ACTIONS(3178),
    [anon_sym_explicit] = ACTIONS(3178),
    [anon_sym_typename] = ACTIONS(3178),
    [anon_sym_template] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_try] = ACTIONS(3178),
    [anon_sym_delete] = ACTIONS(3178),
    [anon_sym_throw] = ACTIONS(3178),
    [anon_sym_namespace] = ACTIONS(3178),
    [anon_sym_using] = ACTIONS(3178),
    [anon_sym_static_assert] = ACTIONS(3178),
    [anon_sym_concept] = ACTIONS(3178),
    [anon_sym_co_return] = ACTIONS(3178),
    [anon_sym_co_yield] = ACTIONS(3178),
    [anon_sym_R_DQUOTE] = ACTIONS(3180),
    [anon_sym_LR_DQUOTE] = ACTIONS(3180),
    [anon_sym_uR_DQUOTE] = ACTIONS(3180),
    [anon_sym_UR_DQUOTE] = ACTIONS(3180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3180),
    [anon_sym_co_await] = ACTIONS(3178),
    [anon_sym_new] = ACTIONS(3178),
    [anon_sym_requires] = ACTIONS(3178),
    [sym_this] = ACTIONS(3178),
  },
  [374] = {
    [sym_identifier] = ACTIONS(3182),
    [aux_sym_preproc_include_token1] = ACTIONS(3182),
    [aux_sym_preproc_def_token1] = ACTIONS(3182),
    [aux_sym_preproc_if_token1] = ACTIONS(3182),
    [aux_sym_preproc_if_token2] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [aux_sym_preproc_else_token1] = ACTIONS(3182),
    [aux_sym_preproc_elif_token1] = ACTIONS(3182),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3182),
    [sym_preproc_directive] = ACTIONS(3182),
    [anon_sym_LPAREN2] = ACTIONS(3184),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3184),
    [anon_sym_AMP_AMP] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3184),
    [anon_sym___extension__] = ACTIONS(3182),
    [anon_sym_typedef] = ACTIONS(3182),
    [anon_sym_virtual] = ACTIONS(3182),
    [anon_sym_extern] = ACTIONS(3182),
    [anon_sym___attribute__] = ACTIONS(3182),
    [anon_sym_COLON_COLON] = ACTIONS(3184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3184),
    [anon_sym___declspec] = ACTIONS(3182),
    [anon_sym___based] = ACTIONS(3182),
    [anon_sym___cdecl] = ACTIONS(3182),
    [anon_sym___clrcall] = ACTIONS(3182),
    [anon_sym___stdcall] = ACTIONS(3182),
    [anon_sym___fastcall] = ACTIONS(3182),
    [anon_sym___thiscall] = ACTIONS(3182),
    [anon_sym___vectorcall] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_signed] = ACTIONS(3182),
    [anon_sym_unsigned] = ACTIONS(3182),
    [anon_sym_long] = ACTIONS(3182),
    [anon_sym_short] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_register] = ACTIONS(3182),
    [anon_sym_inline] = ACTIONS(3182),
    [anon_sym___inline] = ACTIONS(3182),
    [anon_sym___inline__] = ACTIONS(3182),
    [anon_sym___forceinline] = ACTIONS(3182),
    [anon_sym_thread_local] = ACTIONS(3182),
    [anon_sym___thread] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_constexpr] = ACTIONS(3182),
    [anon_sym_volatile] = ACTIONS(3182),
    [anon_sym_restrict] = ACTIONS(3182),
    [anon_sym___restrict__] = ACTIONS(3182),
    [anon_sym__Atomic] = ACTIONS(3182),
    [anon_sym__Noreturn] = ACTIONS(3182),
    [anon_sym_noreturn] = ACTIONS(3182),
    [anon_sym__Nonnull] = ACTIONS(3182),
    [anon_sym_mutable] = ACTIONS(3182),
    [anon_sym_constinit] = ACTIONS(3182),
    [anon_sym_consteval] = ACTIONS(3182),
    [anon_sym_PROGMEM] = ACTIONS(3182),
    [anon_sym_alignas] = ACTIONS(3182),
    [anon_sym__Alignas] = ACTIONS(3182),
    [aux_sym_primitive_type_token1] = ACTIONS(3182),
    [anon_sym_byte] = ACTIONS(3182),
    [anon_sym_word] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_struct] = ACTIONS(3182),
    [anon_sym_union] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(3182),
    [anon_sym_case] = ACTIONS(3182),
    [anon_sym_default] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3182),
    [anon_sym_return] = ACTIONS(3182),
    [anon_sym_break] = ACTIONS(3182),
    [anon_sym_continue] = ACTIONS(3182),
    [anon_sym_goto] = ACTIONS(3182),
    [anon_sym___try] = ACTIONS(3182),
    [anon_sym___leave] = ACTIONS(3182),
    [anon_sym_not] = ACTIONS(3182),
    [anon_sym_compl] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_sizeof] = ACTIONS(3182),
    [anon_sym___alignof__] = ACTIONS(3182),
    [anon_sym___alignof] = ACTIONS(3182),
    [anon_sym__alignof] = ACTIONS(3182),
    [anon_sym_alignof] = ACTIONS(3182),
    [anon_sym__Alignof] = ACTIONS(3182),
    [anon_sym_offsetof] = ACTIONS(3182),
    [anon_sym__Generic] = ACTIONS(3182),
    [anon_sym_asm] = ACTIONS(3182),
    [anon_sym___asm__] = ACTIONS(3182),
    [anon_sym___asm] = ACTIONS(3182),
    [aux_sym_number_literal_token1] = ACTIONS(3184),
    [aux_sym_number_literal_token2] = ACTIONS(3182),
    [anon_sym_L_SQUOTE] = ACTIONS(3184),
    [anon_sym_u_SQUOTE] = ACTIONS(3184),
    [anon_sym_U_SQUOTE] = ACTIONS(3184),
    [anon_sym_u8_SQUOTE] = ACTIONS(3184),
    [anon_sym_SQUOTE] = ACTIONS(3184),
    [anon_sym_L_DQUOTE] = ACTIONS(3184),
    [anon_sym_u_DQUOTE] = ACTIONS(3184),
    [anon_sym_U_DQUOTE] = ACTIONS(3184),
    [anon_sym_u8_DQUOTE] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [anon_sym_NULL] = ACTIONS(3182),
    [anon_sym_nullptr] = ACTIONS(3182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3182),
    [anon_sym_decltype] = ACTIONS(3182),
    [anon_sym_explicit] = ACTIONS(3182),
    [anon_sym_typename] = ACTIONS(3182),
    [anon_sym_template] = ACTIONS(3182),
    [anon_sym_operator] = ACTIONS(3182),
    [anon_sym_try] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3182),
    [anon_sym_namespace] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_static_assert] = ACTIONS(3182),
    [anon_sym_concept] = ACTIONS(3182),
    [anon_sym_co_return] = ACTIONS(3182),
    [anon_sym_co_yield] = ACTIONS(3182),
    [anon_sym_R_DQUOTE] = ACTIONS(3184),
    [anon_sym_LR_DQUOTE] = ACTIONS(3184),
    [anon_sym_uR_DQUOTE] = ACTIONS(3184),
    [anon_sym_UR_DQUOTE] = ACTIONS(3184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3184),
    [anon_sym_co_await] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_requires] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
  },
  [375] = {
    [sym_identifier] = ACTIONS(3186),
    [aux_sym_preproc_include_token1] = ACTIONS(3186),
    [aux_sym_preproc_def_token1] = ACTIONS(3186),
    [aux_sym_preproc_if_token1] = ACTIONS(3186),
    [aux_sym_preproc_if_token2] = ACTIONS(3186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3186),
    [aux_sym_preproc_else_token1] = ACTIONS(3186),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3186),
    [sym_preproc_directive] = ACTIONS(3186),
    [anon_sym_LPAREN2] = ACTIONS(3188),
    [anon_sym_BANG] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym___extension__] = ACTIONS(3186),
    [anon_sym_typedef] = ACTIONS(3186),
    [anon_sym_virtual] = ACTIONS(3186),
    [anon_sym_extern] = ACTIONS(3186),
    [anon_sym___attribute__] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3188),
    [anon_sym___declspec] = ACTIONS(3186),
    [anon_sym___based] = ACTIONS(3186),
    [anon_sym___cdecl] = ACTIONS(3186),
    [anon_sym___clrcall] = ACTIONS(3186),
    [anon_sym___stdcall] = ACTIONS(3186),
    [anon_sym___fastcall] = ACTIONS(3186),
    [anon_sym___thiscall] = ACTIONS(3186),
    [anon_sym___vectorcall] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_signed] = ACTIONS(3186),
    [anon_sym_unsigned] = ACTIONS(3186),
    [anon_sym_long] = ACTIONS(3186),
    [anon_sym_short] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_register] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym___inline] = ACTIONS(3186),
    [anon_sym___inline__] = ACTIONS(3186),
    [anon_sym___forceinline] = ACTIONS(3186),
    [anon_sym_thread_local] = ACTIONS(3186),
    [anon_sym___thread] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_constexpr] = ACTIONS(3186),
    [anon_sym_volatile] = ACTIONS(3186),
    [anon_sym_restrict] = ACTIONS(3186),
    [anon_sym___restrict__] = ACTIONS(3186),
    [anon_sym__Atomic] = ACTIONS(3186),
    [anon_sym__Noreturn] = ACTIONS(3186),
    [anon_sym_noreturn] = ACTIONS(3186),
    [anon_sym__Nonnull] = ACTIONS(3186),
    [anon_sym_mutable] = ACTIONS(3186),
    [anon_sym_constinit] = ACTIONS(3186),
    [anon_sym_consteval] = ACTIONS(3186),
    [anon_sym_PROGMEM] = ACTIONS(3186),
    [anon_sym_alignas] = ACTIONS(3186),
    [anon_sym__Alignas] = ACTIONS(3186),
    [aux_sym_primitive_type_token1] = ACTIONS(3186),
    [anon_sym_byte] = ACTIONS(3186),
    [anon_sym_word] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_struct] = ACTIONS(3186),
    [anon_sym_union] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(3186),
    [anon_sym_case] = ACTIONS(3186),
    [anon_sym_default] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_break] = ACTIONS(3186),
    [anon_sym_continue] = ACTIONS(3186),
    [anon_sym_goto] = ACTIONS(3186),
    [anon_sym___try] = ACTIONS(3186),
    [anon_sym___leave] = ACTIONS(3186),
    [anon_sym_not] = ACTIONS(3186),
    [anon_sym_compl] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_sizeof] = ACTIONS(3186),
    [anon_sym___alignof__] = ACTIONS(3186),
    [anon_sym___alignof] = ACTIONS(3186),
    [anon_sym__alignof] = ACTIONS(3186),
    [anon_sym_alignof] = ACTIONS(3186),
    [anon_sym__Alignof] = ACTIONS(3186),
    [anon_sym_offsetof] = ACTIONS(3186),
    [anon_sym__Generic] = ACTIONS(3186),
    [anon_sym_asm] = ACTIONS(3186),
    [anon_sym___asm__] = ACTIONS(3186),
    [anon_sym___asm] = ACTIONS(3186),
    [aux_sym_number_literal_token1] = ACTIONS(3188),
    [aux_sym_number_literal_token2] = ACTIONS(3186),
    [anon_sym_L_SQUOTE] = ACTIONS(3188),
    [anon_sym_u_SQUOTE] = ACTIONS(3188),
    [anon_sym_U_SQUOTE] = ACTIONS(3188),
    [anon_sym_u8_SQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [anon_sym_L_DQUOTE] = ACTIONS(3188),
    [anon_sym_u_DQUOTE] = ACTIONS(3188),
    [anon_sym_U_DQUOTE] = ACTIONS(3188),
    [anon_sym_u8_DQUOTE] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3188),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [anon_sym_NULL] = ACTIONS(3186),
    [anon_sym_nullptr] = ACTIONS(3186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3186),
    [anon_sym_decltype] = ACTIONS(3186),
    [anon_sym_explicit] = ACTIONS(3186),
    [anon_sym_typename] = ACTIONS(3186),
    [anon_sym_template] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_delete] = ACTIONS(3186),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_namespace] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_static_assert] = ACTIONS(3186),
    [anon_sym_concept] = ACTIONS(3186),
    [anon_sym_co_return] = ACTIONS(3186),
    [anon_sym_co_yield] = ACTIONS(3186),
    [anon_sym_R_DQUOTE] = ACTIONS(3188),
    [anon_sym_LR_DQUOTE] = ACTIONS(3188),
    [anon_sym_uR_DQUOTE] = ACTIONS(3188),
    [anon_sym_UR_DQUOTE] = ACTIONS(3188),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3188),
    [anon_sym_co_await] = ACTIONS(3186),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_requires] = ACTIONS(3186),
    [sym_this] = ACTIONS(3186),
  },
  [376] = {
    [sym_identifier] = ACTIONS(3190),
    [aux_sym_preproc_include_token1] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token2] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [aux_sym_preproc_else_token1] = ACTIONS(3190),
    [aux_sym_preproc_elif_token1] = ACTIONS(3190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3190),
    [anon_sym_typedef] = ACTIONS(3190),
    [anon_sym_virtual] = ACTIONS(3190),
    [anon_sym_extern] = ACTIONS(3190),
    [anon_sym___attribute__] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3192),
    [anon_sym___declspec] = ACTIONS(3190),
    [anon_sym___based] = ACTIONS(3190),
    [anon_sym___cdecl] = ACTIONS(3190),
    [anon_sym___clrcall] = ACTIONS(3190),
    [anon_sym___stdcall] = ACTIONS(3190),
    [anon_sym___fastcall] = ACTIONS(3190),
    [anon_sym___thiscall] = ACTIONS(3190),
    [anon_sym___vectorcall] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3190),
    [anon_sym_unsigned] = ACTIONS(3190),
    [anon_sym_long] = ACTIONS(3190),
    [anon_sym_short] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_register] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym___inline] = ACTIONS(3190),
    [anon_sym___inline__] = ACTIONS(3190),
    [anon_sym___forceinline] = ACTIONS(3190),
    [anon_sym_thread_local] = ACTIONS(3190),
    [anon_sym___thread] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_constexpr] = ACTIONS(3190),
    [anon_sym_volatile] = ACTIONS(3190),
    [anon_sym_restrict] = ACTIONS(3190),
    [anon_sym___restrict__] = ACTIONS(3190),
    [anon_sym__Atomic] = ACTIONS(3190),
    [anon_sym__Noreturn] = ACTIONS(3190),
    [anon_sym_noreturn] = ACTIONS(3190),
    [anon_sym__Nonnull] = ACTIONS(3190),
    [anon_sym_mutable] = ACTIONS(3190),
    [anon_sym_constinit] = ACTIONS(3190),
    [anon_sym_consteval] = ACTIONS(3190),
    [anon_sym_PROGMEM] = ACTIONS(3190),
    [anon_sym_alignas] = ACTIONS(3190),
    [anon_sym__Alignas] = ACTIONS(3190),
    [aux_sym_primitive_type_token1] = ACTIONS(3190),
    [anon_sym_byte] = ACTIONS(3190),
    [anon_sym_word] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_struct] = ACTIONS(3190),
    [anon_sym_union] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_case] = ACTIONS(3190),
    [anon_sym_default] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_goto] = ACTIONS(3190),
    [anon_sym___try] = ACTIONS(3190),
    [anon_sym___leave] = ACTIONS(3190),
    [anon_sym_not] = ACTIONS(3190),
    [anon_sym_compl] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_sizeof] = ACTIONS(3190),
    [anon_sym___alignof__] = ACTIONS(3190),
    [anon_sym___alignof] = ACTIONS(3190),
    [anon_sym__alignof] = ACTIONS(3190),
    [anon_sym_alignof] = ACTIONS(3190),
    [anon_sym__Alignof] = ACTIONS(3190),
    [anon_sym_offsetof] = ACTIONS(3190),
    [anon_sym__Generic] = ACTIONS(3190),
    [anon_sym_asm] = ACTIONS(3190),
    [anon_sym___asm__] = ACTIONS(3190),
    [anon_sym___asm] = ACTIONS(3190),
    [aux_sym_number_literal_token1] = ACTIONS(3192),
    [aux_sym_number_literal_token2] = ACTIONS(3190),
    [anon_sym_L_SQUOTE] = ACTIONS(3192),
    [anon_sym_u_SQUOTE] = ACTIONS(3192),
    [anon_sym_U_SQUOTE] = ACTIONS(3192),
    [anon_sym_u8_SQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [anon_sym_L_DQUOTE] = ACTIONS(3192),
    [anon_sym_u_DQUOTE] = ACTIONS(3192),
    [anon_sym_U_DQUOTE] = ACTIONS(3192),
    [anon_sym_u8_DQUOTE] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [anon_sym_NULL] = ACTIONS(3190),
    [anon_sym_nullptr] = ACTIONS(3190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3190),
    [anon_sym_decltype] = ACTIONS(3190),
    [anon_sym_explicit] = ACTIONS(3190),
    [anon_sym_typename] = ACTIONS(3190),
    [anon_sym_template] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_static_assert] = ACTIONS(3190),
    [anon_sym_concept] = ACTIONS(3190),
    [anon_sym_co_return] = ACTIONS(3190),
    [anon_sym_co_yield] = ACTIONS(3190),
    [anon_sym_R_DQUOTE] = ACTIONS(3192),
    [anon_sym_LR_DQUOTE] = ACTIONS(3192),
    [anon_sym_uR_DQUOTE] = ACTIONS(3192),
    [anon_sym_UR_DQUOTE] = ACTIONS(3192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3192),
    [anon_sym_co_await] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_requires] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
  },
  [377] = {
    [sym_identifier] = ACTIONS(3190),
    [aux_sym_preproc_include_token1] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token2] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [aux_sym_preproc_else_token1] = ACTIONS(3190),
    [aux_sym_preproc_elif_token1] = ACTIONS(3190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3190),
    [anon_sym_typedef] = ACTIONS(3190),
    [anon_sym_virtual] = ACTIONS(3190),
    [anon_sym_extern] = ACTIONS(3190),
    [anon_sym___attribute__] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3192),
    [anon_sym___declspec] = ACTIONS(3190),
    [anon_sym___based] = ACTIONS(3190),
    [anon_sym___cdecl] = ACTIONS(3190),
    [anon_sym___clrcall] = ACTIONS(3190),
    [anon_sym___stdcall] = ACTIONS(3190),
    [anon_sym___fastcall] = ACTIONS(3190),
    [anon_sym___thiscall] = ACTIONS(3190),
    [anon_sym___vectorcall] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3190),
    [anon_sym_unsigned] = ACTIONS(3190),
    [anon_sym_long] = ACTIONS(3190),
    [anon_sym_short] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_register] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym___inline] = ACTIONS(3190),
    [anon_sym___inline__] = ACTIONS(3190),
    [anon_sym___forceinline] = ACTIONS(3190),
    [anon_sym_thread_local] = ACTIONS(3190),
    [anon_sym___thread] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_constexpr] = ACTIONS(3190),
    [anon_sym_volatile] = ACTIONS(3190),
    [anon_sym_restrict] = ACTIONS(3190),
    [anon_sym___restrict__] = ACTIONS(3190),
    [anon_sym__Atomic] = ACTIONS(3190),
    [anon_sym__Noreturn] = ACTIONS(3190),
    [anon_sym_noreturn] = ACTIONS(3190),
    [anon_sym__Nonnull] = ACTIONS(3190),
    [anon_sym_mutable] = ACTIONS(3190),
    [anon_sym_constinit] = ACTIONS(3190),
    [anon_sym_consteval] = ACTIONS(3190),
    [anon_sym_PROGMEM] = ACTIONS(3190),
    [anon_sym_alignas] = ACTIONS(3190),
    [anon_sym__Alignas] = ACTIONS(3190),
    [aux_sym_primitive_type_token1] = ACTIONS(3190),
    [anon_sym_byte] = ACTIONS(3190),
    [anon_sym_word] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_struct] = ACTIONS(3190),
    [anon_sym_union] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_case] = ACTIONS(3190),
    [anon_sym_default] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_goto] = ACTIONS(3190),
    [anon_sym___try] = ACTIONS(3190),
    [anon_sym___leave] = ACTIONS(3190),
    [anon_sym_not] = ACTIONS(3190),
    [anon_sym_compl] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_sizeof] = ACTIONS(3190),
    [anon_sym___alignof__] = ACTIONS(3190),
    [anon_sym___alignof] = ACTIONS(3190),
    [anon_sym__alignof] = ACTIONS(3190),
    [anon_sym_alignof] = ACTIONS(3190),
    [anon_sym__Alignof] = ACTIONS(3190),
    [anon_sym_offsetof] = ACTIONS(3190),
    [anon_sym__Generic] = ACTIONS(3190),
    [anon_sym_asm] = ACTIONS(3190),
    [anon_sym___asm__] = ACTIONS(3190),
    [anon_sym___asm] = ACTIONS(3190),
    [aux_sym_number_literal_token1] = ACTIONS(3192),
    [aux_sym_number_literal_token2] = ACTIONS(3190),
    [anon_sym_L_SQUOTE] = ACTIONS(3192),
    [anon_sym_u_SQUOTE] = ACTIONS(3192),
    [anon_sym_U_SQUOTE] = ACTIONS(3192),
    [anon_sym_u8_SQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [anon_sym_L_DQUOTE] = ACTIONS(3192),
    [anon_sym_u_DQUOTE] = ACTIONS(3192),
    [anon_sym_U_DQUOTE] = ACTIONS(3192),
    [anon_sym_u8_DQUOTE] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [anon_sym_NULL] = ACTIONS(3190),
    [anon_sym_nullptr] = ACTIONS(3190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3190),
    [anon_sym_decltype] = ACTIONS(3190),
    [anon_sym_explicit] = ACTIONS(3190),
    [anon_sym_typename] = ACTIONS(3190),
    [anon_sym_template] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_static_assert] = ACTIONS(3190),
    [anon_sym_concept] = ACTIONS(3190),
    [anon_sym_co_return] = ACTIONS(3190),
    [anon_sym_co_yield] = ACTIONS(3190),
    [anon_sym_R_DQUOTE] = ACTIONS(3192),
    [anon_sym_LR_DQUOTE] = ACTIONS(3192),
    [anon_sym_uR_DQUOTE] = ACTIONS(3192),
    [anon_sym_UR_DQUOTE] = ACTIONS(3192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3192),
    [anon_sym_co_await] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_requires] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
  },
  [378] = {
    [sym_identifier] = ACTIONS(3194),
    [aux_sym_preproc_include_token1] = ACTIONS(3194),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token2] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3194),
    [aux_sym_preproc_else_token1] = ACTIONS(3194),
    [aux_sym_preproc_elif_token1] = ACTIONS(3194),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3194),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3194),
    [sym_preproc_directive] = ACTIONS(3194),
    [anon_sym_LPAREN2] = ACTIONS(3196),
    [anon_sym_BANG] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym___extension__] = ACTIONS(3194),
    [anon_sym_typedef] = ACTIONS(3194),
    [anon_sym_virtual] = ACTIONS(3194),
    [anon_sym_extern] = ACTIONS(3194),
    [anon_sym___attribute__] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3196),
    [anon_sym___declspec] = ACTIONS(3194),
    [anon_sym___based] = ACTIONS(3194),
    [anon_sym___cdecl] = ACTIONS(3194),
    [anon_sym___clrcall] = ACTIONS(3194),
    [anon_sym___stdcall] = ACTIONS(3194),
    [anon_sym___fastcall] = ACTIONS(3194),
    [anon_sym___thiscall] = ACTIONS(3194),
    [anon_sym___vectorcall] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_signed] = ACTIONS(3194),
    [anon_sym_unsigned] = ACTIONS(3194),
    [anon_sym_long] = ACTIONS(3194),
    [anon_sym_short] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_register] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym___inline] = ACTIONS(3194),
    [anon_sym___inline__] = ACTIONS(3194),
    [anon_sym___forceinline] = ACTIONS(3194),
    [anon_sym_thread_local] = ACTIONS(3194),
    [anon_sym___thread] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_constexpr] = ACTIONS(3194),
    [anon_sym_volatile] = ACTIONS(3194),
    [anon_sym_restrict] = ACTIONS(3194),
    [anon_sym___restrict__] = ACTIONS(3194),
    [anon_sym__Atomic] = ACTIONS(3194),
    [anon_sym__Noreturn] = ACTIONS(3194),
    [anon_sym_noreturn] = ACTIONS(3194),
    [anon_sym__Nonnull] = ACTIONS(3194),
    [anon_sym_mutable] = ACTIONS(3194),
    [anon_sym_constinit] = ACTIONS(3194),
    [anon_sym_consteval] = ACTIONS(3194),
    [anon_sym_PROGMEM] = ACTIONS(3194),
    [anon_sym_alignas] = ACTIONS(3194),
    [anon_sym__Alignas] = ACTIONS(3194),
    [aux_sym_primitive_type_token1] = ACTIONS(3194),
    [anon_sym_byte] = ACTIONS(3194),
    [anon_sym_word] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_struct] = ACTIONS(3194),
    [anon_sym_union] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_case] = ACTIONS(3194),
    [anon_sym_default] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_goto] = ACTIONS(3194),
    [anon_sym___try] = ACTIONS(3194),
    [anon_sym___leave] = ACTIONS(3194),
    [anon_sym_not] = ACTIONS(3194),
    [anon_sym_compl] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_sizeof] = ACTIONS(3194),
    [anon_sym___alignof__] = ACTIONS(3194),
    [anon_sym___alignof] = ACTIONS(3194),
    [anon_sym__alignof] = ACTIONS(3194),
    [anon_sym_alignof] = ACTIONS(3194),
    [anon_sym__Alignof] = ACTIONS(3194),
    [anon_sym_offsetof] = ACTIONS(3194),
    [anon_sym__Generic] = ACTIONS(3194),
    [anon_sym_asm] = ACTIONS(3194),
    [anon_sym___asm__] = ACTIONS(3194),
    [anon_sym___asm] = ACTIONS(3194),
    [aux_sym_number_literal_token1] = ACTIONS(3196),
    [aux_sym_number_literal_token2] = ACTIONS(3194),
    [anon_sym_L_SQUOTE] = ACTIONS(3196),
    [anon_sym_u_SQUOTE] = ACTIONS(3196),
    [anon_sym_U_SQUOTE] = ACTIONS(3196),
    [anon_sym_u8_SQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [anon_sym_L_DQUOTE] = ACTIONS(3196),
    [anon_sym_u_DQUOTE] = ACTIONS(3196),
    [anon_sym_U_DQUOTE] = ACTIONS(3196),
    [anon_sym_u8_DQUOTE] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3196),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [anon_sym_NULL] = ACTIONS(3194),
    [anon_sym_nullptr] = ACTIONS(3194),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3194),
    [anon_sym_decltype] = ACTIONS(3194),
    [anon_sym_explicit] = ACTIONS(3194),
    [anon_sym_typename] = ACTIONS(3194),
    [anon_sym_template] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_static_assert] = ACTIONS(3194),
    [anon_sym_concept] = ACTIONS(3194),
    [anon_sym_co_return] = ACTIONS(3194),
    [anon_sym_co_yield] = ACTIONS(3194),
    [anon_sym_R_DQUOTE] = ACTIONS(3196),
    [anon_sym_LR_DQUOTE] = ACTIONS(3196),
    [anon_sym_uR_DQUOTE] = ACTIONS(3196),
    [anon_sym_UR_DQUOTE] = ACTIONS(3196),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3196),
    [anon_sym_co_await] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_requires] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
  },
  [379] = {
    [sym_identifier] = ACTIONS(3198),
    [aux_sym_preproc_include_token1] = ACTIONS(3198),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token2] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [aux_sym_preproc_else_token1] = ACTIONS(3198),
    [aux_sym_preproc_elif_token1] = ACTIONS(3198),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3198),
    [anon_sym_LPAREN2] = ACTIONS(3200),
    [anon_sym_BANG] = ACTIONS(3200),
    [anon_sym_TILDE] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3200),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym___extension__] = ACTIONS(3198),
    [anon_sym_typedef] = ACTIONS(3198),
    [anon_sym_virtual] = ACTIONS(3198),
    [anon_sym_extern] = ACTIONS(3198),
    [anon_sym___attribute__] = ACTIONS(3198),
    [anon_sym_COLON_COLON] = ACTIONS(3200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3200),
    [anon_sym___declspec] = ACTIONS(3198),
    [anon_sym___based] = ACTIONS(3198),
    [anon_sym___cdecl] = ACTIONS(3198),
    [anon_sym___clrcall] = ACTIONS(3198),
    [anon_sym___stdcall] = ACTIONS(3198),
    [anon_sym___fastcall] = ACTIONS(3198),
    [anon_sym___thiscall] = ACTIONS(3198),
    [anon_sym___vectorcall] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_signed] = ACTIONS(3198),
    [anon_sym_unsigned] = ACTIONS(3198),
    [anon_sym_long] = ACTIONS(3198),
    [anon_sym_short] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_register] = ACTIONS(3198),
    [anon_sym_inline] = ACTIONS(3198),
    [anon_sym___inline] = ACTIONS(3198),
    [anon_sym___inline__] = ACTIONS(3198),
    [anon_sym___forceinline] = ACTIONS(3198),
    [anon_sym_thread_local] = ACTIONS(3198),
    [anon_sym___thread] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_constexpr] = ACTIONS(3198),
    [anon_sym_volatile] = ACTIONS(3198),
    [anon_sym_restrict] = ACTIONS(3198),
    [anon_sym___restrict__] = ACTIONS(3198),
    [anon_sym__Atomic] = ACTIONS(3198),
    [anon_sym__Noreturn] = ACTIONS(3198),
    [anon_sym_noreturn] = ACTIONS(3198),
    [anon_sym__Nonnull] = ACTIONS(3198),
    [anon_sym_mutable] = ACTIONS(3198),
    [anon_sym_constinit] = ACTIONS(3198),
    [anon_sym_consteval] = ACTIONS(3198),
    [anon_sym_PROGMEM] = ACTIONS(3198),
    [anon_sym_alignas] = ACTIONS(3198),
    [anon_sym__Alignas] = ACTIONS(3198),
    [aux_sym_primitive_type_token1] = ACTIONS(3198),
    [anon_sym_byte] = ACTIONS(3198),
    [anon_sym_word] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_struct] = ACTIONS(3198),
    [anon_sym_union] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_case] = ACTIONS(3198),
    [anon_sym_default] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_goto] = ACTIONS(3198),
    [anon_sym___try] = ACTIONS(3198),
    [anon_sym___leave] = ACTIONS(3198),
    [anon_sym_not] = ACTIONS(3198),
    [anon_sym_compl] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_sizeof] = ACTIONS(3198),
    [anon_sym___alignof__] = ACTIONS(3198),
    [anon_sym___alignof] = ACTIONS(3198),
    [anon_sym__alignof] = ACTIONS(3198),
    [anon_sym_alignof] = ACTIONS(3198),
    [anon_sym__Alignof] = ACTIONS(3198),
    [anon_sym_offsetof] = ACTIONS(3198),
    [anon_sym__Generic] = ACTIONS(3198),
    [anon_sym_asm] = ACTIONS(3198),
    [anon_sym___asm__] = ACTIONS(3198),
    [anon_sym___asm] = ACTIONS(3198),
    [aux_sym_number_literal_token1] = ACTIONS(3200),
    [aux_sym_number_literal_token2] = ACTIONS(3198),
    [anon_sym_L_SQUOTE] = ACTIONS(3200),
    [anon_sym_u_SQUOTE] = ACTIONS(3200),
    [anon_sym_U_SQUOTE] = ACTIONS(3200),
    [anon_sym_u8_SQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [anon_sym_L_DQUOTE] = ACTIONS(3200),
    [anon_sym_u_DQUOTE] = ACTIONS(3200),
    [anon_sym_U_DQUOTE] = ACTIONS(3200),
    [anon_sym_u8_DQUOTE] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3200),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [anon_sym_NULL] = ACTIONS(3198),
    [anon_sym_nullptr] = ACTIONS(3198),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3198),
    [anon_sym_decltype] = ACTIONS(3198),
    [anon_sym_explicit] = ACTIONS(3198),
    [anon_sym_typename] = ACTIONS(3198),
    [anon_sym_template] = ACTIONS(3198),
    [anon_sym_operator] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_static_assert] = ACTIONS(3198),
    [anon_sym_concept] = ACTIONS(3198),
    [anon_sym_co_return] = ACTIONS(3198),
    [anon_sym_co_yield] = ACTIONS(3198),
    [anon_sym_R_DQUOTE] = ACTIONS(3200),
    [anon_sym_LR_DQUOTE] = ACTIONS(3200),
    [anon_sym_uR_DQUOTE] = ACTIONS(3200),
    [anon_sym_UR_DQUOTE] = ACTIONS(3200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3200),
    [anon_sym_co_await] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_requires] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
  },
  [380] = {
    [sym_identifier] = ACTIONS(3202),
    [aux_sym_preproc_include_token1] = ACTIONS(3202),
    [aux_sym_preproc_def_token1] = ACTIONS(3202),
    [aux_sym_preproc_if_token1] = ACTIONS(3202),
    [aux_sym_preproc_if_token2] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [aux_sym_preproc_else_token1] = ACTIONS(3202),
    [aux_sym_preproc_elif_token1] = ACTIONS(3202),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3202),
    [anon_sym_LPAREN2] = ACTIONS(3204),
    [anon_sym_BANG] = ACTIONS(3204),
    [anon_sym_TILDE] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3204),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3202),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3202),
    [anon_sym_virtual] = ACTIONS(3202),
    [anon_sym_extern] = ACTIONS(3202),
    [anon_sym___attribute__] = ACTIONS(3202),
    [anon_sym_COLON_COLON] = ACTIONS(3204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3204),
    [anon_sym___declspec] = ACTIONS(3202),
    [anon_sym___based] = ACTIONS(3202),
    [anon_sym___cdecl] = ACTIONS(3202),
    [anon_sym___clrcall] = ACTIONS(3202),
    [anon_sym___stdcall] = ACTIONS(3202),
    [anon_sym___fastcall] = ACTIONS(3202),
    [anon_sym___thiscall] = ACTIONS(3202),
    [anon_sym___vectorcall] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_signed] = ACTIONS(3202),
    [anon_sym_unsigned] = ACTIONS(3202),
    [anon_sym_long] = ACTIONS(3202),
    [anon_sym_short] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [anon_sym_static] = ACTIONS(3202),
    [anon_sym_register] = ACTIONS(3202),
    [anon_sym_inline] = ACTIONS(3202),
    [anon_sym___inline] = ACTIONS(3202),
    [anon_sym___inline__] = ACTIONS(3202),
    [anon_sym___forceinline] = ACTIONS(3202),
    [anon_sym_thread_local] = ACTIONS(3202),
    [anon_sym___thread] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_constexpr] = ACTIONS(3202),
    [anon_sym_volatile] = ACTIONS(3202),
    [anon_sym_restrict] = ACTIONS(3202),
    [anon_sym___restrict__] = ACTIONS(3202),
    [anon_sym__Atomic] = ACTIONS(3202),
    [anon_sym__Noreturn] = ACTIONS(3202),
    [anon_sym_noreturn] = ACTIONS(3202),
    [anon_sym__Nonnull] = ACTIONS(3202),
    [anon_sym_mutable] = ACTIONS(3202),
    [anon_sym_constinit] = ACTIONS(3202),
    [anon_sym_consteval] = ACTIONS(3202),
    [anon_sym_PROGMEM] = ACTIONS(3202),
    [anon_sym_alignas] = ACTIONS(3202),
    [anon_sym__Alignas] = ACTIONS(3202),
    [aux_sym_primitive_type_token1] = ACTIONS(3202),
    [anon_sym_byte] = ACTIONS(3202),
    [anon_sym_word] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [anon_sym_class] = ACTIONS(3202),
    [anon_sym_struct] = ACTIONS(3202),
    [anon_sym_union] = ACTIONS(3202),
    [anon_sym_if] = ACTIONS(3202),
    [anon_sym_switch] = ACTIONS(3202),
    [anon_sym_case] = ACTIONS(3202),
    [anon_sym_default] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_do] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3202),
    [anon_sym_return] = ACTIONS(3202),
    [anon_sym_break] = ACTIONS(3202),
    [anon_sym_continue] = ACTIONS(3202),
    [anon_sym_goto] = ACTIONS(3202),
    [anon_sym___try] = ACTIONS(3202),
    [anon_sym___leave] = ACTIONS(3202),
    [anon_sym_not] = ACTIONS(3202),
    [anon_sym_compl] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_sizeof] = ACTIONS(3202),
    [anon_sym___alignof__] = ACTIONS(3202),
    [anon_sym___alignof] = ACTIONS(3202),
    [anon_sym__alignof] = ACTIONS(3202),
    [anon_sym_alignof] = ACTIONS(3202),
    [anon_sym__Alignof] = ACTIONS(3202),
    [anon_sym_offsetof] = ACTIONS(3202),
    [anon_sym__Generic] = ACTIONS(3202),
    [anon_sym_asm] = ACTIONS(3202),
    [anon_sym___asm__] = ACTIONS(3202),
    [anon_sym___asm] = ACTIONS(3202),
    [aux_sym_number_literal_token1] = ACTIONS(3204),
    [aux_sym_number_literal_token2] = ACTIONS(3202),
    [anon_sym_L_SQUOTE] = ACTIONS(3204),
    [anon_sym_u_SQUOTE] = ACTIONS(3204),
    [anon_sym_U_SQUOTE] = ACTIONS(3204),
    [anon_sym_u8_SQUOTE] = ACTIONS(3204),
    [anon_sym_SQUOTE] = ACTIONS(3204),
    [anon_sym_L_DQUOTE] = ACTIONS(3204),
    [anon_sym_u_DQUOTE] = ACTIONS(3204),
    [anon_sym_U_DQUOTE] = ACTIONS(3204),
    [anon_sym_u8_DQUOTE] = ACTIONS(3204),
    [anon_sym_DQUOTE] = ACTIONS(3204),
    [sym_true] = ACTIONS(3202),
    [sym_false] = ACTIONS(3202),
    [anon_sym_NULL] = ACTIONS(3202),
    [anon_sym_nullptr] = ACTIONS(3202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3202),
    [anon_sym_decltype] = ACTIONS(3202),
    [anon_sym_explicit] = ACTIONS(3202),
    [anon_sym_typename] = ACTIONS(3202),
    [anon_sym_template] = ACTIONS(3202),
    [anon_sym_operator] = ACTIONS(3202),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_delete] = ACTIONS(3202),
    [anon_sym_throw] = ACTIONS(3202),
    [anon_sym_namespace] = ACTIONS(3202),
    [anon_sym_using] = ACTIONS(3202),
    [anon_sym_static_assert] = ACTIONS(3202),
    [anon_sym_concept] = ACTIONS(3202),
    [anon_sym_co_return] = ACTIONS(3202),
    [anon_sym_co_yield] = ACTIONS(3202),
    [anon_sym_R_DQUOTE] = ACTIONS(3204),
    [anon_sym_LR_DQUOTE] = ACTIONS(3204),
    [anon_sym_uR_DQUOTE] = ACTIONS(3204),
    [anon_sym_UR_DQUOTE] = ACTIONS(3204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3204),
    [anon_sym_co_await] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(3202),
    [anon_sym_requires] = ACTIONS(3202),
    [sym_this] = ACTIONS(3202),
  },
  [381] = {
    [sym_identifier] = ACTIONS(3206),
    [aux_sym_preproc_include_token1] = ACTIONS(3206),
    [aux_sym_preproc_def_token1] = ACTIONS(3206),
    [aux_sym_preproc_if_token1] = ACTIONS(3206),
    [aux_sym_preproc_if_token2] = ACTIONS(3206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3206),
    [aux_sym_preproc_else_token1] = ACTIONS(3206),
    [aux_sym_preproc_elif_token1] = ACTIONS(3206),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3206),
    [sym_preproc_directive] = ACTIONS(3206),
    [anon_sym_LPAREN2] = ACTIONS(3208),
    [anon_sym_BANG] = ACTIONS(3208),
    [anon_sym_TILDE] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym___extension__] = ACTIONS(3206),
    [anon_sym_typedef] = ACTIONS(3206),
    [anon_sym_virtual] = ACTIONS(3206),
    [anon_sym_extern] = ACTIONS(3206),
    [anon_sym___attribute__] = ACTIONS(3206),
    [anon_sym_COLON_COLON] = ACTIONS(3208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3208),
    [anon_sym___declspec] = ACTIONS(3206),
    [anon_sym___based] = ACTIONS(3206),
    [anon_sym___cdecl] = ACTIONS(3206),
    [anon_sym___clrcall] = ACTIONS(3206),
    [anon_sym___stdcall] = ACTIONS(3206),
    [anon_sym___fastcall] = ACTIONS(3206),
    [anon_sym___thiscall] = ACTIONS(3206),
    [anon_sym___vectorcall] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_signed] = ACTIONS(3206),
    [anon_sym_unsigned] = ACTIONS(3206),
    [anon_sym_long] = ACTIONS(3206),
    [anon_sym_short] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3206),
    [anon_sym_static] = ACTIONS(3206),
    [anon_sym_register] = ACTIONS(3206),
    [anon_sym_inline] = ACTIONS(3206),
    [anon_sym___inline] = ACTIONS(3206),
    [anon_sym___inline__] = ACTIONS(3206),
    [anon_sym___forceinline] = ACTIONS(3206),
    [anon_sym_thread_local] = ACTIONS(3206),
    [anon_sym___thread] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_constexpr] = ACTIONS(3206),
    [anon_sym_volatile] = ACTIONS(3206),
    [anon_sym_restrict] = ACTIONS(3206),
    [anon_sym___restrict__] = ACTIONS(3206),
    [anon_sym__Atomic] = ACTIONS(3206),
    [anon_sym__Noreturn] = ACTIONS(3206),
    [anon_sym_noreturn] = ACTIONS(3206),
    [anon_sym__Nonnull] = ACTIONS(3206),
    [anon_sym_mutable] = ACTIONS(3206),
    [anon_sym_constinit] = ACTIONS(3206),
    [anon_sym_consteval] = ACTIONS(3206),
    [anon_sym_PROGMEM] = ACTIONS(3206),
    [anon_sym_alignas] = ACTIONS(3206),
    [anon_sym__Alignas] = ACTIONS(3206),
    [aux_sym_primitive_type_token1] = ACTIONS(3206),
    [anon_sym_byte] = ACTIONS(3206),
    [anon_sym_word] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_struct] = ACTIONS(3206),
    [anon_sym_union] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_switch] = ACTIONS(3206),
    [anon_sym_case] = ACTIONS(3206),
    [anon_sym_default] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_do] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_goto] = ACTIONS(3206),
    [anon_sym___try] = ACTIONS(3206),
    [anon_sym___leave] = ACTIONS(3206),
    [anon_sym_not] = ACTIONS(3206),
    [anon_sym_compl] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_sizeof] = ACTIONS(3206),
    [anon_sym___alignof__] = ACTIONS(3206),
    [anon_sym___alignof] = ACTIONS(3206),
    [anon_sym__alignof] = ACTIONS(3206),
    [anon_sym_alignof] = ACTIONS(3206),
    [anon_sym__Alignof] = ACTIONS(3206),
    [anon_sym_offsetof] = ACTIONS(3206),
    [anon_sym__Generic] = ACTIONS(3206),
    [anon_sym_asm] = ACTIONS(3206),
    [anon_sym___asm__] = ACTIONS(3206),
    [anon_sym___asm] = ACTIONS(3206),
    [aux_sym_number_literal_token1] = ACTIONS(3208),
    [aux_sym_number_literal_token2] = ACTIONS(3206),
    [anon_sym_L_SQUOTE] = ACTIONS(3208),
    [anon_sym_u_SQUOTE] = ACTIONS(3208),
    [anon_sym_U_SQUOTE] = ACTIONS(3208),
    [anon_sym_u8_SQUOTE] = ACTIONS(3208),
    [anon_sym_SQUOTE] = ACTIONS(3208),
    [anon_sym_L_DQUOTE] = ACTIONS(3208),
    [anon_sym_u_DQUOTE] = ACTIONS(3208),
    [anon_sym_U_DQUOTE] = ACTIONS(3208),
    [anon_sym_u8_DQUOTE] = ACTIONS(3208),
    [anon_sym_DQUOTE] = ACTIONS(3208),
    [sym_true] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [anon_sym_NULL] = ACTIONS(3206),
    [anon_sym_nullptr] = ACTIONS(3206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3206),
    [anon_sym_decltype] = ACTIONS(3206),
    [anon_sym_explicit] = ACTIONS(3206),
    [anon_sym_typename] = ACTIONS(3206),
    [anon_sym_template] = ACTIONS(3206),
    [anon_sym_operator] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_delete] = ACTIONS(3206),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_static_assert] = ACTIONS(3206),
    [anon_sym_concept] = ACTIONS(3206),
    [anon_sym_co_return] = ACTIONS(3206),
    [anon_sym_co_yield] = ACTIONS(3206),
    [anon_sym_R_DQUOTE] = ACTIONS(3208),
    [anon_sym_LR_DQUOTE] = ACTIONS(3208),
    [anon_sym_uR_DQUOTE] = ACTIONS(3208),
    [anon_sym_UR_DQUOTE] = ACTIONS(3208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3208),
    [anon_sym_co_await] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(3206),
    [anon_sym_requires] = ACTIONS(3206),
    [sym_this] = ACTIONS(3206),
  },
  [382] = {
    [sym_identifier] = ACTIONS(3210),
    [aux_sym_preproc_include_token1] = ACTIONS(3210),
    [aux_sym_preproc_def_token1] = ACTIONS(3210),
    [aux_sym_preproc_if_token1] = ACTIONS(3210),
    [aux_sym_preproc_if_token2] = ACTIONS(3210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3210),
    [aux_sym_preproc_else_token1] = ACTIONS(3210),
    [aux_sym_preproc_elif_token1] = ACTIONS(3210),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3210),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3210),
    [sym_preproc_directive] = ACTIONS(3210),
    [anon_sym_LPAREN2] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym___extension__] = ACTIONS(3210),
    [anon_sym_typedef] = ACTIONS(3210),
    [anon_sym_virtual] = ACTIONS(3210),
    [anon_sym_extern] = ACTIONS(3210),
    [anon_sym___attribute__] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3212),
    [anon_sym___declspec] = ACTIONS(3210),
    [anon_sym___based] = ACTIONS(3210),
    [anon_sym___cdecl] = ACTIONS(3210),
    [anon_sym___clrcall] = ACTIONS(3210),
    [anon_sym___stdcall] = ACTIONS(3210),
    [anon_sym___fastcall] = ACTIONS(3210),
    [anon_sym___thiscall] = ACTIONS(3210),
    [anon_sym___vectorcall] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_signed] = ACTIONS(3210),
    [anon_sym_unsigned] = ACTIONS(3210),
    [anon_sym_long] = ACTIONS(3210),
    [anon_sym_short] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_register] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym___inline] = ACTIONS(3210),
    [anon_sym___inline__] = ACTIONS(3210),
    [anon_sym___forceinline] = ACTIONS(3210),
    [anon_sym_thread_local] = ACTIONS(3210),
    [anon_sym___thread] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(3210),
    [anon_sym_restrict] = ACTIONS(3210),
    [anon_sym___restrict__] = ACTIONS(3210),
    [anon_sym__Atomic] = ACTIONS(3210),
    [anon_sym__Noreturn] = ACTIONS(3210),
    [anon_sym_noreturn] = ACTIONS(3210),
    [anon_sym__Nonnull] = ACTIONS(3210),
    [anon_sym_mutable] = ACTIONS(3210),
    [anon_sym_constinit] = ACTIONS(3210),
    [anon_sym_consteval] = ACTIONS(3210),
    [anon_sym_PROGMEM] = ACTIONS(3210),
    [anon_sym_alignas] = ACTIONS(3210),
    [anon_sym__Alignas] = ACTIONS(3210),
    [aux_sym_primitive_type_token1] = ACTIONS(3210),
    [anon_sym_byte] = ACTIONS(3210),
    [anon_sym_word] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_struct] = ACTIONS(3210),
    [anon_sym_union] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_switch] = ACTIONS(3210),
    [anon_sym_case] = ACTIONS(3210),
    [anon_sym_default] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_break] = ACTIONS(3210),
    [anon_sym_continue] = ACTIONS(3210),
    [anon_sym_goto] = ACTIONS(3210),
    [anon_sym___try] = ACTIONS(3210),
    [anon_sym___leave] = ACTIONS(3210),
    [anon_sym_not] = ACTIONS(3210),
    [anon_sym_compl] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_sizeof] = ACTIONS(3210),
    [anon_sym___alignof__] = ACTIONS(3210),
    [anon_sym___alignof] = ACTIONS(3210),
    [anon_sym__alignof] = ACTIONS(3210),
    [anon_sym_alignof] = ACTIONS(3210),
    [anon_sym__Alignof] = ACTIONS(3210),
    [anon_sym_offsetof] = ACTIONS(3210),
    [anon_sym__Generic] = ACTIONS(3210),
    [anon_sym_asm] = ACTIONS(3210),
    [anon_sym___asm__] = ACTIONS(3210),
    [anon_sym___asm] = ACTIONS(3210),
    [aux_sym_number_literal_token1] = ACTIONS(3212),
    [aux_sym_number_literal_token2] = ACTIONS(3210),
    [anon_sym_L_SQUOTE] = ACTIONS(3212),
    [anon_sym_u_SQUOTE] = ACTIONS(3212),
    [anon_sym_U_SQUOTE] = ACTIONS(3212),
    [anon_sym_u8_SQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [anon_sym_L_DQUOTE] = ACTIONS(3212),
    [anon_sym_u_DQUOTE] = ACTIONS(3212),
    [anon_sym_U_DQUOTE] = ACTIONS(3212),
    [anon_sym_u8_DQUOTE] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3212),
    [sym_true] = ACTIONS(3210),
    [sym_false] = ACTIONS(3210),
    [anon_sym_NULL] = ACTIONS(3210),
    [anon_sym_nullptr] = ACTIONS(3210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3210),
    [anon_sym_decltype] = ACTIONS(3210),
    [anon_sym_explicit] = ACTIONS(3210),
    [anon_sym_typename] = ACTIONS(3210),
    [anon_sym_template] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_delete] = ACTIONS(3210),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_namespace] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_static_assert] = ACTIONS(3210),
    [anon_sym_concept] = ACTIONS(3210),
    [anon_sym_co_return] = ACTIONS(3210),
    [anon_sym_co_yield] = ACTIONS(3210),
    [anon_sym_R_DQUOTE] = ACTIONS(3212),
    [anon_sym_LR_DQUOTE] = ACTIONS(3212),
    [anon_sym_uR_DQUOTE] = ACTIONS(3212),
    [anon_sym_UR_DQUOTE] = ACTIONS(3212),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3212),
    [anon_sym_co_await] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3210),
    [anon_sym_requires] = ACTIONS(3210),
    [sym_this] = ACTIONS(3210),
  },
  [383] = {
    [sym_identifier] = ACTIONS(3214),
    [aux_sym_preproc_include_token1] = ACTIONS(3214),
    [aux_sym_preproc_def_token1] = ACTIONS(3214),
    [aux_sym_preproc_if_token1] = ACTIONS(3214),
    [aux_sym_preproc_if_token2] = ACTIONS(3214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3214),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3214),
    [aux_sym_preproc_else_token1] = ACTIONS(3214),
    [aux_sym_preproc_elif_token1] = ACTIONS(3214),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3214),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3214),
    [sym_preproc_directive] = ACTIONS(3214),
    [anon_sym_LPAREN2] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_typedef] = ACTIONS(3214),
    [anon_sym_virtual] = ACTIONS(3214),
    [anon_sym_extern] = ACTIONS(3214),
    [anon_sym___attribute__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3216),
    [anon_sym___declspec] = ACTIONS(3214),
    [anon_sym___based] = ACTIONS(3214),
    [anon_sym___cdecl] = ACTIONS(3214),
    [anon_sym___clrcall] = ACTIONS(3214),
    [anon_sym___stdcall] = ACTIONS(3214),
    [anon_sym___fastcall] = ACTIONS(3214),
    [anon_sym___thiscall] = ACTIONS(3214),
    [anon_sym___vectorcall] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_signed] = ACTIONS(3214),
    [anon_sym_unsigned] = ACTIONS(3214),
    [anon_sym_long] = ACTIONS(3214),
    [anon_sym_short] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_register] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym___inline] = ACTIONS(3214),
    [anon_sym___inline__] = ACTIONS(3214),
    [anon_sym___forceinline] = ACTIONS(3214),
    [anon_sym_thread_local] = ACTIONS(3214),
    [anon_sym___thread] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_constexpr] = ACTIONS(3214),
    [anon_sym_volatile] = ACTIONS(3214),
    [anon_sym_restrict] = ACTIONS(3214),
    [anon_sym___restrict__] = ACTIONS(3214),
    [anon_sym__Atomic] = ACTIONS(3214),
    [anon_sym__Noreturn] = ACTIONS(3214),
    [anon_sym_noreturn] = ACTIONS(3214),
    [anon_sym__Nonnull] = ACTIONS(3214),
    [anon_sym_mutable] = ACTIONS(3214),
    [anon_sym_constinit] = ACTIONS(3214),
    [anon_sym_consteval] = ACTIONS(3214),
    [anon_sym_PROGMEM] = ACTIONS(3214),
    [anon_sym_alignas] = ACTIONS(3214),
    [anon_sym__Alignas] = ACTIONS(3214),
    [aux_sym_primitive_type_token1] = ACTIONS(3214),
    [anon_sym_byte] = ACTIONS(3214),
    [anon_sym_word] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_struct] = ACTIONS(3214),
    [anon_sym_union] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_switch] = ACTIONS(3214),
    [anon_sym_case] = ACTIONS(3214),
    [anon_sym_default] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_do] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_break] = ACTIONS(3214),
    [anon_sym_continue] = ACTIONS(3214),
    [anon_sym_goto] = ACTIONS(3214),
    [anon_sym___try] = ACTIONS(3214),
    [anon_sym___leave] = ACTIONS(3214),
    [anon_sym_not] = ACTIONS(3214),
    [anon_sym_compl] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_sizeof] = ACTIONS(3214),
    [anon_sym___alignof__] = ACTIONS(3214),
    [anon_sym___alignof] = ACTIONS(3214),
    [anon_sym__alignof] = ACTIONS(3214),
    [anon_sym_alignof] = ACTIONS(3214),
    [anon_sym__Alignof] = ACTIONS(3214),
    [anon_sym_offsetof] = ACTIONS(3214),
    [anon_sym__Generic] = ACTIONS(3214),
    [anon_sym_asm] = ACTIONS(3214),
    [anon_sym___asm__] = ACTIONS(3214),
    [anon_sym___asm] = ACTIONS(3214),
    [aux_sym_number_literal_token1] = ACTIONS(3216),
    [aux_sym_number_literal_token2] = ACTIONS(3214),
    [anon_sym_L_SQUOTE] = ACTIONS(3216),
    [anon_sym_u_SQUOTE] = ACTIONS(3216),
    [anon_sym_U_SQUOTE] = ACTIONS(3216),
    [anon_sym_u8_SQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_L_DQUOTE] = ACTIONS(3216),
    [anon_sym_u_DQUOTE] = ACTIONS(3216),
    [anon_sym_U_DQUOTE] = ACTIONS(3216),
    [anon_sym_u8_DQUOTE] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [sym_true] = ACTIONS(3214),
    [sym_false] = ACTIONS(3214),
    [anon_sym_NULL] = ACTIONS(3214),
    [anon_sym_nullptr] = ACTIONS(3214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3214),
    [anon_sym_decltype] = ACTIONS(3214),
    [anon_sym_explicit] = ACTIONS(3214),
    [anon_sym_typename] = ACTIONS(3214),
    [anon_sym_template] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_delete] = ACTIONS(3214),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_namespace] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_concept] = ACTIONS(3214),
    [anon_sym_co_return] = ACTIONS(3214),
    [anon_sym_co_yield] = ACTIONS(3214),
    [anon_sym_R_DQUOTE] = ACTIONS(3216),
    [anon_sym_LR_DQUOTE] = ACTIONS(3216),
    [anon_sym_uR_DQUOTE] = ACTIONS(3216),
    [anon_sym_UR_DQUOTE] = ACTIONS(3216),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3216),
    [anon_sym_co_await] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_requires] = ACTIONS(3214),
    [sym_this] = ACTIONS(3214),
  },
  [384] = {
    [sym_identifier] = ACTIONS(3218),
    [aux_sym_preproc_include_token1] = ACTIONS(3218),
    [aux_sym_preproc_def_token1] = ACTIONS(3218),
    [aux_sym_preproc_if_token1] = ACTIONS(3218),
    [aux_sym_preproc_if_token2] = ACTIONS(3218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3218),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3218),
    [aux_sym_preproc_else_token1] = ACTIONS(3218),
    [aux_sym_preproc_elif_token1] = ACTIONS(3218),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3218),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3218),
    [sym_preproc_directive] = ACTIONS(3218),
    [anon_sym_LPAREN2] = ACTIONS(3220),
    [anon_sym_BANG] = ACTIONS(3220),
    [anon_sym_TILDE] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_AMP] = ACTIONS(3218),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym___extension__] = ACTIONS(3218),
    [anon_sym_typedef] = ACTIONS(3218),
    [anon_sym_virtual] = ACTIONS(3218),
    [anon_sym_extern] = ACTIONS(3218),
    [anon_sym___attribute__] = ACTIONS(3218),
    [anon_sym_COLON_COLON] = ACTIONS(3220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3220),
    [anon_sym___declspec] = ACTIONS(3218),
    [anon_sym___based] = ACTIONS(3218),
    [anon_sym___cdecl] = ACTIONS(3218),
    [anon_sym___clrcall] = ACTIONS(3218),
    [anon_sym___stdcall] = ACTIONS(3218),
    [anon_sym___fastcall] = ACTIONS(3218),
    [anon_sym___thiscall] = ACTIONS(3218),
    [anon_sym___vectorcall] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_signed] = ACTIONS(3218),
    [anon_sym_unsigned] = ACTIONS(3218),
    [anon_sym_long] = ACTIONS(3218),
    [anon_sym_short] = ACTIONS(3218),
    [anon_sym_LBRACK] = ACTIONS(3218),
    [anon_sym_static] = ACTIONS(3218),
    [anon_sym_register] = ACTIONS(3218),
    [anon_sym_inline] = ACTIONS(3218),
    [anon_sym___inline] = ACTIONS(3218),
    [anon_sym___inline__] = ACTIONS(3218),
    [anon_sym___forceinline] = ACTIONS(3218),
    [anon_sym_thread_local] = ACTIONS(3218),
    [anon_sym___thread] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_constexpr] = ACTIONS(3218),
    [anon_sym_volatile] = ACTIONS(3218),
    [anon_sym_restrict] = ACTIONS(3218),
    [anon_sym___restrict__] = ACTIONS(3218),
    [anon_sym__Atomic] = ACTIONS(3218),
    [anon_sym__Noreturn] = ACTIONS(3218),
    [anon_sym_noreturn] = ACTIONS(3218),
    [anon_sym__Nonnull] = ACTIONS(3218),
    [anon_sym_mutable] = ACTIONS(3218),
    [anon_sym_constinit] = ACTIONS(3218),
    [anon_sym_consteval] = ACTIONS(3218),
    [anon_sym_PROGMEM] = ACTIONS(3218),
    [anon_sym_alignas] = ACTIONS(3218),
    [anon_sym__Alignas] = ACTIONS(3218),
    [aux_sym_primitive_type_token1] = ACTIONS(3218),
    [anon_sym_byte] = ACTIONS(3218),
    [anon_sym_word] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [anon_sym_class] = ACTIONS(3218),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3218),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_switch] = ACTIONS(3218),
    [anon_sym_case] = ACTIONS(3218),
    [anon_sym_default] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_do] = ACTIONS(3218),
    [anon_sym_for] = ACTIONS(3218),
    [anon_sym_return] = ACTIONS(3218),
    [anon_sym_break] = ACTIONS(3218),
    [anon_sym_continue] = ACTIONS(3218),
    [anon_sym_goto] = ACTIONS(3218),
    [anon_sym___try] = ACTIONS(3218),
    [anon_sym___leave] = ACTIONS(3218),
    [anon_sym_not] = ACTIONS(3218),
    [anon_sym_compl] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_sizeof] = ACTIONS(3218),
    [anon_sym___alignof__] = ACTIONS(3218),
    [anon_sym___alignof] = ACTIONS(3218),
    [anon_sym__alignof] = ACTIONS(3218),
    [anon_sym_alignof] = ACTIONS(3218),
    [anon_sym__Alignof] = ACTIONS(3218),
    [anon_sym_offsetof] = ACTIONS(3218),
    [anon_sym__Generic] = ACTIONS(3218),
    [anon_sym_asm] = ACTIONS(3218),
    [anon_sym___asm__] = ACTIONS(3218),
    [anon_sym___asm] = ACTIONS(3218),
    [aux_sym_number_literal_token1] = ACTIONS(3220),
    [aux_sym_number_literal_token2] = ACTIONS(3218),
    [anon_sym_L_SQUOTE] = ACTIONS(3220),
    [anon_sym_u_SQUOTE] = ACTIONS(3220),
    [anon_sym_U_SQUOTE] = ACTIONS(3220),
    [anon_sym_u8_SQUOTE] = ACTIONS(3220),
    [anon_sym_SQUOTE] = ACTIONS(3220),
    [anon_sym_L_DQUOTE] = ACTIONS(3220),
    [anon_sym_u_DQUOTE] = ACTIONS(3220),
    [anon_sym_U_DQUOTE] = ACTIONS(3220),
    [anon_sym_u8_DQUOTE] = ACTIONS(3220),
    [anon_sym_DQUOTE] = ACTIONS(3220),
    [sym_true] = ACTIONS(3218),
    [sym_false] = ACTIONS(3218),
    [anon_sym_NULL] = ACTIONS(3218),
    [anon_sym_nullptr] = ACTIONS(3218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3218),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_explicit] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(3218),
    [anon_sym_operator] = ACTIONS(3218),
    [anon_sym_try] = ACTIONS(3218),
    [anon_sym_delete] = ACTIONS(3218),
    [anon_sym_throw] = ACTIONS(3218),
    [anon_sym_namespace] = ACTIONS(3218),
    [anon_sym_using] = ACTIONS(3218),
    [anon_sym_static_assert] = ACTIONS(3218),
    [anon_sym_concept] = ACTIONS(3218),
    [anon_sym_co_return] = ACTIONS(3218),
    [anon_sym_co_yield] = ACTIONS(3218),
    [anon_sym_R_DQUOTE] = ACTIONS(3220),
    [anon_sym_LR_DQUOTE] = ACTIONS(3220),
    [anon_sym_uR_DQUOTE] = ACTIONS(3220),
    [anon_sym_UR_DQUOTE] = ACTIONS(3220),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3220),
    [anon_sym_co_await] = ACTIONS(3218),
    [anon_sym_new] = ACTIONS(3218),
    [anon_sym_requires] = ACTIONS(3218),
    [sym_this] = ACTIONS(3218),
  },
  [385] = {
    [sym_preproc_def] = STATE(586),
    [sym_preproc_function_def] = STATE(586),
    [sym_preproc_call] = STATE(586),
    [sym_preproc_if_in_field_declaration_list] = STATE(586),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(586),
    [sym_preproc_else_in_field_declaration_list] = STATE(7463),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7463),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7463),
    [sym_type_definition] = STATE(586),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(586),
    [sym_field_declaration] = STATE(586),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(586),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(586),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(586),
    [sym_operator_cast_declaration] = STATE(586),
    [sym_constructor_or_destructor_definition] = STATE(586),
    [sym_constructor_or_destructor_declaration] = STATE(586),
    [sym_friend_declaration] = STATE(586),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(586),
    [sym_alias_declaration] = STATE(586),
    [sym_static_assert_declaration] = STATE(586),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3238),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [386] = {
    [sym_preproc_def] = STATE(393),
    [sym_preproc_function_def] = STATE(393),
    [sym_preproc_call] = STATE(393),
    [sym_preproc_if_in_field_declaration_list] = STATE(393),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(393),
    [sym_preproc_else_in_field_declaration_list] = STATE(7982),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7982),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7982),
    [sym_type_definition] = STATE(393),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(393),
    [sym_field_declaration] = STATE(393),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(393),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(393),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(393),
    [sym_operator_cast_declaration] = STATE(393),
    [sym_constructor_or_destructor_definition] = STATE(393),
    [sym_constructor_or_destructor_declaration] = STATE(393),
    [sym_friend_declaration] = STATE(393),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(393),
    [sym_alias_declaration] = STATE(393),
    [sym_static_assert_declaration] = STATE(393),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(393),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3238),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [387] = {
    [sym_preproc_def] = STATE(586),
    [sym_preproc_function_def] = STATE(586),
    [sym_preproc_call] = STATE(586),
    [sym_preproc_if_in_field_declaration_list] = STATE(586),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(586),
    [sym_preproc_else_in_field_declaration_list] = STATE(7844),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7844),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7844),
    [sym_type_definition] = STATE(586),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(586),
    [sym_field_declaration] = STATE(586),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(586),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(586),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(586),
    [sym_operator_cast_declaration] = STATE(586),
    [sym_constructor_or_destructor_definition] = STATE(586),
    [sym_constructor_or_destructor_declaration] = STATE(586),
    [sym_friend_declaration] = STATE(586),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(586),
    [sym_alias_declaration] = STATE(586),
    [sym_static_assert_declaration] = STATE(586),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3238),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [388] = {
    [sym_preproc_def] = STATE(402),
    [sym_preproc_function_def] = STATE(402),
    [sym_preproc_call] = STATE(402),
    [sym_preproc_if_in_field_declaration_list] = STATE(402),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(402),
    [sym_preproc_else_in_field_declaration_list] = STATE(7846),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7846),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7846),
    [sym_type_definition] = STATE(402),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(402),
    [sym_field_declaration] = STATE(402),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(402),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(402),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(402),
    [sym_operator_cast_declaration] = STATE(402),
    [sym_constructor_or_destructor_definition] = STATE(402),
    [sym_constructor_or_destructor_declaration] = STATE(402),
    [sym_friend_declaration] = STATE(402),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(402),
    [sym_alias_declaration] = STATE(402),
    [sym_static_assert_declaration] = STATE(402),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(402),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3286),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3238),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [389] = {
    [sym_catch_clause] = STATE(368),
    [aux_sym_constructor_try_statement_repeat1] = STATE(368),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___based] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_PROGMEM] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [aux_sym_primitive_type_token1] = ACTIONS(2658),
    [anon_sym_byte] = ACTIONS(2658),
    [anon_sym_word] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym___leave] = ACTIONS(2658),
    [anon_sym_not] = ACTIONS(2658),
    [anon_sym_compl] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [aux_sym_number_literal_token1] = ACTIONS(2660),
    [aux_sym_number_literal_token2] = ACTIONS(2658),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_explicit] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_namespace] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(2658),
    [anon_sym_static_assert] = ACTIONS(2658),
    [anon_sym_concept] = ACTIONS(2658),
    [anon_sym_co_return] = ACTIONS(2658),
    [anon_sym_co_yield] = ACTIONS(2658),
    [anon_sym_catch] = ACTIONS(3123),
    [anon_sym_R_DQUOTE] = ACTIONS(2660),
    [anon_sym_LR_DQUOTE] = ACTIONS(2660),
    [anon_sym_uR_DQUOTE] = ACTIONS(2660),
    [anon_sym_UR_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2660),
    [anon_sym_co_await] = ACTIONS(2658),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_requires] = ACTIONS(2658),
    [sym_this] = ACTIONS(2658),
  },
  [390] = {
    [sym_preproc_def] = STATE(586),
    [sym_preproc_function_def] = STATE(586),
    [sym_preproc_call] = STATE(586),
    [sym_preproc_if_in_field_declaration_list] = STATE(586),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(586),
    [sym_preproc_else_in_field_declaration_list] = STATE(7981),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7981),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7981),
    [sym_type_definition] = STATE(586),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(586),
    [sym_field_declaration] = STATE(586),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(586),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(586),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(586),
    [sym_operator_cast_declaration] = STATE(586),
    [sym_constructor_or_destructor_definition] = STATE(586),
    [sym_constructor_or_destructor_declaration] = STATE(586),
    [sym_friend_declaration] = STATE(586),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(586),
    [sym_alias_declaration] = STATE(586),
    [sym_static_assert_declaration] = STATE(586),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3238),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [391] = {
    [sym_catch_clause] = STATE(337),
    [aux_sym_constructor_try_statement_repeat1] = STATE(337),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token2] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___based] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_PROGMEM] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [aux_sym_primitive_type_token1] = ACTIONS(2658),
    [anon_sym_byte] = ACTIONS(2658),
    [anon_sym_word] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym___leave] = ACTIONS(2658),
    [anon_sym_not] = ACTIONS(2658),
    [anon_sym_compl] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [aux_sym_number_literal_token1] = ACTIONS(2660),
    [aux_sym_number_literal_token2] = ACTIONS(2658),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_explicit] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_namespace] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(2658),
    [anon_sym_static_assert] = ACTIONS(2658),
    [anon_sym_concept] = ACTIONS(2658),
    [anon_sym_co_return] = ACTIONS(2658),
    [anon_sym_co_yield] = ACTIONS(2658),
    [anon_sym_catch] = ACTIONS(3078),
    [anon_sym_R_DQUOTE] = ACTIONS(2660),
    [anon_sym_LR_DQUOTE] = ACTIONS(2660),
    [anon_sym_uR_DQUOTE] = ACTIONS(2660),
    [anon_sym_UR_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2660),
    [anon_sym_co_await] = ACTIONS(2658),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_requires] = ACTIONS(2658),
    [sym_this] = ACTIONS(2658),
  },
  [392] = {
    [sym_preproc_def] = STATE(404),
    [sym_preproc_function_def] = STATE(404),
    [sym_preproc_call] = STATE(404),
    [sym_preproc_if_in_field_declaration_list] = STATE(404),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(404),
    [sym_preproc_else_in_field_declaration_list] = STATE(7481),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7481),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7481),
    [sym_type_definition] = STATE(404),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(404),
    [sym_field_declaration] = STATE(404),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(404),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(404),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(404),
    [sym_operator_cast_declaration] = STATE(404),
    [sym_constructor_or_destructor_definition] = STATE(404),
    [sym_constructor_or_destructor_declaration] = STATE(404),
    [sym_friend_declaration] = STATE(404),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(404),
    [sym_alias_declaration] = STATE(404),
    [sym_static_assert_declaration] = STATE(404),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(404),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3238),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [393] = {
    [sym_preproc_def] = STATE(586),
    [sym_preproc_function_def] = STATE(586),
    [sym_preproc_call] = STATE(586),
    [sym_preproc_if_in_field_declaration_list] = STATE(586),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(586),
    [sym_preproc_else_in_field_declaration_list] = STATE(8139),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8139),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8139),
    [sym_type_definition] = STATE(586),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(586),
    [sym_field_declaration] = STATE(586),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(586),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(586),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(586),
    [sym_operator_cast_declaration] = STATE(586),
    [sym_constructor_or_destructor_definition] = STATE(586),
    [sym_constructor_or_destructor_declaration] = STATE(586),
    [sym_friend_declaration] = STATE(586),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(586),
    [sym_alias_declaration] = STATE(586),
    [sym_static_assert_declaration] = STATE(586),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3238),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [394] = {
    [sym_preproc_def] = STATE(390),
    [sym_preproc_function_def] = STATE(390),
    [sym_preproc_call] = STATE(390),
    [sym_preproc_if_in_field_declaration_list] = STATE(390),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(390),
    [sym_preproc_else_in_field_declaration_list] = STATE(7777),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7777),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7777),
    [sym_type_definition] = STATE(390),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(390),
    [sym_field_declaration] = STATE(390),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(390),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(390),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(390),
    [sym_operator_cast_declaration] = STATE(390),
    [sym_constructor_or_destructor_definition] = STATE(390),
    [sym_constructor_or_destructor_declaration] = STATE(390),
    [sym_friend_declaration] = STATE(390),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(390),
    [sym_alias_declaration] = STATE(390),
    [sym_static_assert_declaration] = STATE(390),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(390),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3238),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3300),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [395] = {
    [sym_preproc_def] = STATE(397),
    [sym_preproc_function_def] = STATE(397),
    [sym_preproc_call] = STATE(397),
    [sym_preproc_if_in_field_declaration_list] = STATE(397),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(397),
    [sym_preproc_else_in_field_declaration_list] = STATE(8137),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8137),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8137),
    [sym_type_definition] = STATE(397),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(397),
    [sym_field_declaration] = STATE(397),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(397),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(397),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(397),
    [sym_operator_cast_declaration] = STATE(397),
    [sym_constructor_or_destructor_definition] = STATE(397),
    [sym_constructor_or_destructor_declaration] = STATE(397),
    [sym_friend_declaration] = STATE(397),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(397),
    [sym_alias_declaration] = STATE(397),
    [sym_static_assert_declaration] = STATE(397),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(397),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3238),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [396] = {
    [sym_preproc_def] = STATE(387),
    [sym_preproc_function_def] = STATE(387),
    [sym_preproc_call] = STATE(387),
    [sym_preproc_if_in_field_declaration_list] = STATE(387),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(387),
    [sym_preproc_else_in_field_declaration_list] = STATE(7860),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7860),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7860),
    [sym_type_definition] = STATE(387),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(387),
    [sym_field_declaration] = STATE(387),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(387),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(387),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(387),
    [sym_operator_cast_declaration] = STATE(387),
    [sym_constructor_or_destructor_definition] = STATE(387),
    [sym_constructor_or_destructor_declaration] = STATE(387),
    [sym_friend_declaration] = STATE(387),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(387),
    [sym_alias_declaration] = STATE(387),
    [sym_static_assert_declaration] = STATE(387),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(387),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3238),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3308),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [397] = {
    [sym_preproc_def] = STATE(586),
    [sym_preproc_function_def] = STATE(586),
    [sym_preproc_call] = STATE(586),
    [sym_preproc_if_in_field_declaration_list] = STATE(586),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(586),
    [sym_preproc_else_in_field_declaration_list] = STATE(8179),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8179),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8179),
    [sym_type_definition] = STATE(586),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(586),
    [sym_field_declaration] = STATE(586),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(586),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(586),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(586),
    [sym_operator_cast_declaration] = STATE(586),
    [sym_constructor_or_destructor_definition] = STATE(586),
    [sym_constructor_or_destructor_declaration] = STATE(586),
    [sym_friend_declaration] = STATE(586),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(586),
    [sym_alias_declaration] = STATE(586),
    [sym_static_assert_declaration] = STATE(586),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3238),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [398] = {
    [sym_preproc_def] = STATE(401),
    [sym_preproc_function_def] = STATE(401),
    [sym_preproc_call] = STATE(401),
    [sym_preproc_if_in_field_declaration_list] = STATE(401),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(401),
    [sym_preproc_else_in_field_declaration_list] = STATE(7491),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7491),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7491),
    [sym_type_definition] = STATE(401),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(401),
    [sym_field_declaration] = STATE(401),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(401),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(401),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(401),
    [sym_operator_cast_declaration] = STATE(401),
    [sym_constructor_or_destructor_definition] = STATE(401),
    [sym_constructor_or_destructor_declaration] = STATE(401),
    [sym_friend_declaration] = STATE(401),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(401),
    [sym_alias_declaration] = STATE(401),
    [sym_static_assert_declaration] = STATE(401),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(401),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3238),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [399] = {
    [sym_catch_clause] = STATE(337),
    [aux_sym_constructor_try_statement_repeat1] = STATE(337),
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_include_token1] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_virtual] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___based] = ACTIONS(2662),
    [anon_sym___cdecl] = ACTIONS(2662),
    [anon_sym___clrcall] = ACTIONS(2662),
    [anon_sym___stdcall] = ACTIONS(2662),
    [anon_sym___fastcall] = ACTIONS(2662),
    [anon_sym___thiscall] = ACTIONS(2662),
    [anon_sym___vectorcall] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_mutable] = ACTIONS(2662),
    [anon_sym_constinit] = ACTIONS(2662),
    [anon_sym_consteval] = ACTIONS(2662),
    [anon_sym_PROGMEM] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [aux_sym_primitive_type_token1] = ACTIONS(2662),
    [anon_sym_byte] = ACTIONS(2662),
    [anon_sym_word] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_class] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2662),
    [anon_sym_case] = ACTIONS(2662),
    [anon_sym_default] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_break] = ACTIONS(2662),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_goto] = ACTIONS(2662),
    [anon_sym___try] = ACTIONS(2662),
    [anon_sym___leave] = ACTIONS(2662),
    [anon_sym_not] = ACTIONS(2662),
    [anon_sym_compl] = ACTIONS(2662),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_sizeof] = ACTIONS(2662),
    [anon_sym___alignof__] = ACTIONS(2662),
    [anon_sym___alignof] = ACTIONS(2662),
    [anon_sym__alignof] = ACTIONS(2662),
    [anon_sym_alignof] = ACTIONS(2662),
    [anon_sym__Alignof] = ACTIONS(2662),
    [anon_sym_offsetof] = ACTIONS(2662),
    [anon_sym__Generic] = ACTIONS(2662),
    [anon_sym_asm] = ACTIONS(2662),
    [anon_sym___asm__] = ACTIONS(2662),
    [anon_sym___asm] = ACTIONS(2662),
    [aux_sym_number_literal_token1] = ACTIONS(2664),
    [aux_sym_number_literal_token2] = ACTIONS(2662),
    [anon_sym_L_SQUOTE] = ACTIONS(2664),
    [anon_sym_u_SQUOTE] = ACTIONS(2664),
    [anon_sym_U_SQUOTE] = ACTIONS(2664),
    [anon_sym_u8_SQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_L_DQUOTE] = ACTIONS(2664),
    [anon_sym_u_DQUOTE] = ACTIONS(2664),
    [anon_sym_U_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE] = ACTIONS(2664),
    [sym_true] = ACTIONS(2662),
    [sym_false] = ACTIONS(2662),
    [anon_sym_NULL] = ACTIONS(2662),
    [anon_sym_nullptr] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2662),
    [anon_sym_decltype] = ACTIONS(2662),
    [anon_sym_explicit] = ACTIONS(2662),
    [anon_sym_typename] = ACTIONS(2662),
    [anon_sym_template] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_delete] = ACTIONS(2662),
    [anon_sym_throw] = ACTIONS(2662),
    [anon_sym_namespace] = ACTIONS(2662),
    [anon_sym_using] = ACTIONS(2662),
    [anon_sym_static_assert] = ACTIONS(2662),
    [anon_sym_concept] = ACTIONS(2662),
    [anon_sym_co_return] = ACTIONS(2662),
    [anon_sym_co_yield] = ACTIONS(2662),
    [anon_sym_catch] = ACTIONS(3078),
    [anon_sym_R_DQUOTE] = ACTIONS(2664),
    [anon_sym_LR_DQUOTE] = ACTIONS(2664),
    [anon_sym_uR_DQUOTE] = ACTIONS(2664),
    [anon_sym_UR_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2664),
    [anon_sym_co_await] = ACTIONS(2662),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_requires] = ACTIONS(2662),
    [sym_this] = ACTIONS(2662),
  },
  [400] = {
    [sym_preproc_def] = STATE(385),
    [sym_preproc_function_def] = STATE(385),
    [sym_preproc_call] = STATE(385),
    [sym_preproc_if_in_field_declaration_list] = STATE(385),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(385),
    [sym_preproc_else_in_field_declaration_list] = STATE(7482),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7482),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7482),
    [sym_type_definition] = STATE(385),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(385),
    [sym_field_declaration] = STATE(385),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(385),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(385),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(385),
    [sym_operator_cast_declaration] = STATE(385),
    [sym_constructor_or_destructor_definition] = STATE(385),
    [sym_constructor_or_destructor_declaration] = STATE(385),
    [sym_friend_declaration] = STATE(385),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(385),
    [sym_alias_declaration] = STATE(385),
    [sym_static_assert_declaration] = STATE(385),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(385),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3238),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3318),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [401] = {
    [sym_preproc_def] = STATE(586),
    [sym_preproc_function_def] = STATE(586),
    [sym_preproc_call] = STATE(586),
    [sym_preproc_if_in_field_declaration_list] = STATE(586),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(586),
    [sym_preproc_else_in_field_declaration_list] = STATE(7479),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7479),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7479),
    [sym_type_definition] = STATE(586),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(586),
    [sym_field_declaration] = STATE(586),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(586),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(586),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(586),
    [sym_operator_cast_declaration] = STATE(586),
    [sym_constructor_or_destructor_definition] = STATE(586),
    [sym_constructor_or_destructor_declaration] = STATE(586),
    [sym_friend_declaration] = STATE(586),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(586),
    [sym_alias_declaration] = STATE(586),
    [sym_static_assert_declaration] = STATE(586),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3238),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [402] = {
    [sym_preproc_def] = STATE(586),
    [sym_preproc_function_def] = STATE(586),
    [sym_preproc_call] = STATE(586),
    [sym_preproc_if_in_field_declaration_list] = STATE(586),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(586),
    [sym_preproc_else_in_field_declaration_list] = STATE(7826),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7826),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7826),
    [sym_type_definition] = STATE(586),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(586),
    [sym_field_declaration] = STATE(586),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(586),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(586),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(586),
    [sym_operator_cast_declaration] = STATE(586),
    [sym_constructor_or_destructor_definition] = STATE(586),
    [sym_constructor_or_destructor_declaration] = STATE(586),
    [sym_friend_declaration] = STATE(586),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(586),
    [sym_alias_declaration] = STATE(586),
    [sym_static_assert_declaration] = STATE(586),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3238),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [403] = {
    [sym_catch_clause] = STATE(368),
    [aux_sym_constructor_try_statement_repeat1] = STATE(368),
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_include_token1] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_virtual] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___based] = ACTIONS(2662),
    [anon_sym___cdecl] = ACTIONS(2662),
    [anon_sym___clrcall] = ACTIONS(2662),
    [anon_sym___stdcall] = ACTIONS(2662),
    [anon_sym___fastcall] = ACTIONS(2662),
    [anon_sym___thiscall] = ACTIONS(2662),
    [anon_sym___vectorcall] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_mutable] = ACTIONS(2662),
    [anon_sym_constinit] = ACTIONS(2662),
    [anon_sym_consteval] = ACTIONS(2662),
    [anon_sym_PROGMEM] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [aux_sym_primitive_type_token1] = ACTIONS(2662),
    [anon_sym_byte] = ACTIONS(2662),
    [anon_sym_word] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_class] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2662),
    [anon_sym_case] = ACTIONS(2662),
    [anon_sym_default] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_break] = ACTIONS(2662),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_goto] = ACTIONS(2662),
    [anon_sym___try] = ACTIONS(2662),
    [anon_sym___leave] = ACTIONS(2662),
    [anon_sym_not] = ACTIONS(2662),
    [anon_sym_compl] = ACTIONS(2662),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_sizeof] = ACTIONS(2662),
    [anon_sym___alignof__] = ACTIONS(2662),
    [anon_sym___alignof] = ACTIONS(2662),
    [anon_sym__alignof] = ACTIONS(2662),
    [anon_sym_alignof] = ACTIONS(2662),
    [anon_sym__Alignof] = ACTIONS(2662),
    [anon_sym_offsetof] = ACTIONS(2662),
    [anon_sym__Generic] = ACTIONS(2662),
    [anon_sym_asm] = ACTIONS(2662),
    [anon_sym___asm__] = ACTIONS(2662),
    [anon_sym___asm] = ACTIONS(2662),
    [aux_sym_number_literal_token1] = ACTIONS(2664),
    [aux_sym_number_literal_token2] = ACTIONS(2662),
    [anon_sym_L_SQUOTE] = ACTIONS(2664),
    [anon_sym_u_SQUOTE] = ACTIONS(2664),
    [anon_sym_U_SQUOTE] = ACTIONS(2664),
    [anon_sym_u8_SQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_L_DQUOTE] = ACTIONS(2664),
    [anon_sym_u_DQUOTE] = ACTIONS(2664),
    [anon_sym_U_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE] = ACTIONS(2664),
    [sym_true] = ACTIONS(2662),
    [sym_false] = ACTIONS(2662),
    [anon_sym_NULL] = ACTIONS(2662),
    [anon_sym_nullptr] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2662),
    [anon_sym_decltype] = ACTIONS(2662),
    [anon_sym_explicit] = ACTIONS(2662),
    [anon_sym_typename] = ACTIONS(2662),
    [anon_sym_template] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_delete] = ACTIONS(2662),
    [anon_sym_throw] = ACTIONS(2662),
    [anon_sym_namespace] = ACTIONS(2662),
    [anon_sym_using] = ACTIONS(2662),
    [anon_sym_static_assert] = ACTIONS(2662),
    [anon_sym_concept] = ACTIONS(2662),
    [anon_sym_co_return] = ACTIONS(2662),
    [anon_sym_co_yield] = ACTIONS(2662),
    [anon_sym_catch] = ACTIONS(3123),
    [anon_sym_R_DQUOTE] = ACTIONS(2664),
    [anon_sym_LR_DQUOTE] = ACTIONS(2664),
    [anon_sym_uR_DQUOTE] = ACTIONS(2664),
    [anon_sym_UR_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2664),
    [anon_sym_co_await] = ACTIONS(2662),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_requires] = ACTIONS(2662),
    [sym_this] = ACTIONS(2662),
  },
  [404] = {
    [sym_preproc_def] = STATE(586),
    [sym_preproc_function_def] = STATE(586),
    [sym_preproc_call] = STATE(586),
    [sym_preproc_if_in_field_declaration_list] = STATE(586),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(586),
    [sym_preproc_else_in_field_declaration_list] = STATE(7781),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7781),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7781),
    [sym_type_definition] = STATE(586),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(586),
    [sym_field_declaration] = STATE(586),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(586),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(586),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(586),
    [sym_operator_cast_declaration] = STATE(586),
    [sym_constructor_or_destructor_definition] = STATE(586),
    [sym_constructor_or_destructor_declaration] = STATE(586),
    [sym_friend_declaration] = STATE(586),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(586),
    [sym_alias_declaration] = STATE(586),
    [sym_static_assert_declaration] = STATE(586),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3238),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3250),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3276),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [405] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_include_token1] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym___cdecl] = ACTIONS(2696),
    [anon_sym___clrcall] = ACTIONS(2696),
    [anon_sym___stdcall] = ACTIONS(2696),
    [anon_sym___fastcall] = ACTIONS(2696),
    [anon_sym___thiscall] = ACTIONS(2696),
    [anon_sym___vectorcall] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_RBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_PROGMEM] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [aux_sym_primitive_type_token1] = ACTIONS(2696),
    [anon_sym_byte] = ACTIONS(2696),
    [anon_sym_word] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [anon_sym___asm] = ACTIONS(2696),
    [aux_sym_number_literal_token1] = ACTIONS(2698),
    [aux_sym_number_literal_token2] = ACTIONS(2696),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_concept] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_catch] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [406] = {
    [sym_else_clause] = STATE(478),
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token2] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_PROGMEM] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [aux_sym_primitive_type_token1] = ACTIONS(2700),
    [anon_sym_byte] = ACTIONS(2700),
    [anon_sym_word] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [anon_sym___asm] = ACTIONS(2700),
    [aux_sym_number_literal_token1] = ACTIONS(2702),
    [aux_sym_number_literal_token2] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [407] = {
    [sym_else_clause] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(2702),
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_PROGMEM] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [aux_sym_primitive_type_token1] = ACTIONS(2700),
    [anon_sym_byte] = ACTIONS(2700),
    [anon_sym_word] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(3328),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [anon_sym___asm] = ACTIONS(2700),
    [aux_sym_number_literal_token1] = ACTIONS(2702),
    [aux_sym_number_literal_token2] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [408] = {
    [sym_else_clause] = STATE(439),
    [sym_identifier] = ACTIONS(2678),
    [aux_sym_preproc_include_token1] = ACTIONS(2678),
    [aux_sym_preproc_def_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token2] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2678),
    [anon_sym_LPAREN2] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym___extension__] = ACTIONS(2678),
    [anon_sym_typedef] = ACTIONS(2678),
    [anon_sym_virtual] = ACTIONS(2678),
    [anon_sym_extern] = ACTIONS(2678),
    [anon_sym___attribute__] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2680),
    [anon_sym___declspec] = ACTIONS(2678),
    [anon_sym___based] = ACTIONS(2678),
    [anon_sym___cdecl] = ACTIONS(2678),
    [anon_sym___clrcall] = ACTIONS(2678),
    [anon_sym___stdcall] = ACTIONS(2678),
    [anon_sym___fastcall] = ACTIONS(2678),
    [anon_sym___thiscall] = ACTIONS(2678),
    [anon_sym___vectorcall] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_signed] = ACTIONS(2678),
    [anon_sym_unsigned] = ACTIONS(2678),
    [anon_sym_long] = ACTIONS(2678),
    [anon_sym_short] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_register] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(2678),
    [anon_sym___inline] = ACTIONS(2678),
    [anon_sym___inline__] = ACTIONS(2678),
    [anon_sym___forceinline] = ACTIONS(2678),
    [anon_sym_thread_local] = ACTIONS(2678),
    [anon_sym___thread] = ACTIONS(2678),
    [anon_sym_const] = ACTIONS(2678),
    [anon_sym_constexpr] = ACTIONS(2678),
    [anon_sym_volatile] = ACTIONS(2678),
    [anon_sym_restrict] = ACTIONS(2678),
    [anon_sym___restrict__] = ACTIONS(2678),
    [anon_sym__Atomic] = ACTIONS(2678),
    [anon_sym__Noreturn] = ACTIONS(2678),
    [anon_sym_noreturn] = ACTIONS(2678),
    [anon_sym__Nonnull] = ACTIONS(2678),
    [anon_sym_mutable] = ACTIONS(2678),
    [anon_sym_constinit] = ACTIONS(2678),
    [anon_sym_consteval] = ACTIONS(2678),
    [anon_sym_PROGMEM] = ACTIONS(2678),
    [anon_sym_alignas] = ACTIONS(2678),
    [anon_sym__Alignas] = ACTIONS(2678),
    [aux_sym_primitive_type_token1] = ACTIONS(2678),
    [anon_sym_byte] = ACTIONS(2678),
    [anon_sym_word] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2678),
    [anon_sym_class] = ACTIONS(2678),
    [anon_sym_struct] = ACTIONS(2678),
    [anon_sym_union] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2678),
    [anon_sym_else] = ACTIONS(3326),
    [anon_sym_switch] = ACTIONS(2678),
    [anon_sym_case] = ACTIONS(2678),
    [anon_sym_default] = ACTIONS(2678),
    [anon_sym_while] = ACTIONS(2678),
    [anon_sym_do] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2678),
    [anon_sym_return] = ACTIONS(2678),
    [anon_sym_break] = ACTIONS(2678),
    [anon_sym_continue] = ACTIONS(2678),
    [anon_sym_goto] = ACTIONS(2678),
    [anon_sym___try] = ACTIONS(2678),
    [anon_sym___leave] = ACTIONS(2678),
    [anon_sym_not] = ACTIONS(2678),
    [anon_sym_compl] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_sizeof] = ACTIONS(2678),
    [anon_sym___alignof__] = ACTIONS(2678),
    [anon_sym___alignof] = ACTIONS(2678),
    [anon_sym__alignof] = ACTIONS(2678),
    [anon_sym_alignof] = ACTIONS(2678),
    [anon_sym__Alignof] = ACTIONS(2678),
    [anon_sym_offsetof] = ACTIONS(2678),
    [anon_sym__Generic] = ACTIONS(2678),
    [anon_sym_asm] = ACTIONS(2678),
    [anon_sym___asm__] = ACTIONS(2678),
    [anon_sym___asm] = ACTIONS(2678),
    [aux_sym_number_literal_token1] = ACTIONS(2680),
    [aux_sym_number_literal_token2] = ACTIONS(2678),
    [anon_sym_L_SQUOTE] = ACTIONS(2680),
    [anon_sym_u_SQUOTE] = ACTIONS(2680),
    [anon_sym_U_SQUOTE] = ACTIONS(2680),
    [anon_sym_u8_SQUOTE] = ACTIONS(2680),
    [anon_sym_SQUOTE] = ACTIONS(2680),
    [anon_sym_L_DQUOTE] = ACTIONS(2680),
    [anon_sym_u_DQUOTE] = ACTIONS(2680),
    [anon_sym_U_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [sym_true] = ACTIONS(2678),
    [sym_false] = ACTIONS(2678),
    [anon_sym_NULL] = ACTIONS(2678),
    [anon_sym_nullptr] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2678),
    [anon_sym_decltype] = ACTIONS(2678),
    [anon_sym_explicit] = ACTIONS(2678),
    [anon_sym_typename] = ACTIONS(2678),
    [anon_sym_template] = ACTIONS(2678),
    [anon_sym_operator] = ACTIONS(2678),
    [anon_sym_try] = ACTIONS(2678),
    [anon_sym_delete] = ACTIONS(2678),
    [anon_sym_throw] = ACTIONS(2678),
    [anon_sym_namespace] = ACTIONS(2678),
    [anon_sym_using] = ACTIONS(2678),
    [anon_sym_static_assert] = ACTIONS(2678),
    [anon_sym_concept] = ACTIONS(2678),
    [anon_sym_co_return] = ACTIONS(2678),
    [anon_sym_co_yield] = ACTIONS(2678),
    [anon_sym_R_DQUOTE] = ACTIONS(2680),
    [anon_sym_LR_DQUOTE] = ACTIONS(2680),
    [anon_sym_uR_DQUOTE] = ACTIONS(2680),
    [anon_sym_UR_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2680),
    [anon_sym_co_await] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2678),
    [anon_sym_requires] = ACTIONS(2678),
    [sym_this] = ACTIONS(2678),
  },
  [409] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_include_token1] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token2] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym___cdecl] = ACTIONS(1973),
    [anon_sym___clrcall] = ACTIONS(1973),
    [anon_sym___stdcall] = ACTIONS(1973),
    [anon_sym___fastcall] = ACTIONS(1973),
    [anon_sym___thiscall] = ACTIONS(1973),
    [anon_sym___vectorcall] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_PROGMEM] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [aux_sym_primitive_type_token1] = ACTIONS(1973),
    [anon_sym_byte] = ACTIONS(1973),
    [anon_sym_word] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_else] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_case] = ACTIONS(1973),
    [anon_sym_default] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_goto] = ACTIONS(1973),
    [anon_sym___try] = ACTIONS(1973),
    [anon_sym___leave] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1973),
    [anon_sym_compl] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1973),
    [anon_sym___alignof] = ACTIONS(1973),
    [anon_sym__alignof] = ACTIONS(1973),
    [anon_sym_alignof] = ACTIONS(1973),
    [anon_sym__Alignof] = ACTIONS(1973),
    [anon_sym_offsetof] = ACTIONS(1973),
    [anon_sym__Generic] = ACTIONS(1973),
    [anon_sym_asm] = ACTIONS(1973),
    [anon_sym___asm__] = ACTIONS(1973),
    [anon_sym___asm] = ACTIONS(1973),
    [aux_sym_number_literal_token1] = ACTIONS(1971),
    [aux_sym_number_literal_token2] = ACTIONS(1973),
    [anon_sym_L_SQUOTE] = ACTIONS(1971),
    [anon_sym_u_SQUOTE] = ACTIONS(1971),
    [anon_sym_U_SQUOTE] = ACTIONS(1971),
    [anon_sym_u8_SQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [anon_sym_L_DQUOTE] = ACTIONS(1971),
    [anon_sym_u_DQUOTE] = ACTIONS(1971),
    [anon_sym_U_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8_DQUOTE] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [anon_sym_NULL] = ACTIONS(1973),
    [anon_sym_nullptr] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_concept] = ACTIONS(1973),
    [anon_sym_co_return] = ACTIONS(1973),
    [anon_sym_co_yield] = ACTIONS(1973),
    [anon_sym_catch] = ACTIONS(1973),
    [anon_sym_R_DQUOTE] = ACTIONS(1971),
    [anon_sym_LR_DQUOTE] = ACTIONS(1971),
    [anon_sym_uR_DQUOTE] = ACTIONS(1971),
    [anon_sym_UR_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1971),
    [anon_sym_co_await] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_requires] = ACTIONS(1973),
    [sym_this] = ACTIONS(1973),
  },
  [410] = {
    [sym_else_clause] = STATE(456),
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_PROGMEM] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [aux_sym_primitive_type_token1] = ACTIONS(2700),
    [anon_sym_byte] = ACTIONS(2700),
    [anon_sym_word] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [anon_sym___asm] = ACTIONS(2700),
    [aux_sym_number_literal_token1] = ACTIONS(2702),
    [aux_sym_number_literal_token2] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [411] = {
    [sym_else_clause] = STATE(429),
    [ts_builtin_sym_end] = ACTIONS(2680),
    [sym_identifier] = ACTIONS(2678),
    [aux_sym_preproc_include_token1] = ACTIONS(2678),
    [aux_sym_preproc_def_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2678),
    [anon_sym_LPAREN2] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym___extension__] = ACTIONS(2678),
    [anon_sym_typedef] = ACTIONS(2678),
    [anon_sym_virtual] = ACTIONS(2678),
    [anon_sym_extern] = ACTIONS(2678),
    [anon_sym___attribute__] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2680),
    [anon_sym___declspec] = ACTIONS(2678),
    [anon_sym___based] = ACTIONS(2678),
    [anon_sym___cdecl] = ACTIONS(2678),
    [anon_sym___clrcall] = ACTIONS(2678),
    [anon_sym___stdcall] = ACTIONS(2678),
    [anon_sym___fastcall] = ACTIONS(2678),
    [anon_sym___thiscall] = ACTIONS(2678),
    [anon_sym___vectorcall] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_signed] = ACTIONS(2678),
    [anon_sym_unsigned] = ACTIONS(2678),
    [anon_sym_long] = ACTIONS(2678),
    [anon_sym_short] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_register] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(2678),
    [anon_sym___inline] = ACTIONS(2678),
    [anon_sym___inline__] = ACTIONS(2678),
    [anon_sym___forceinline] = ACTIONS(2678),
    [anon_sym_thread_local] = ACTIONS(2678),
    [anon_sym___thread] = ACTIONS(2678),
    [anon_sym_const] = ACTIONS(2678),
    [anon_sym_constexpr] = ACTIONS(2678),
    [anon_sym_volatile] = ACTIONS(2678),
    [anon_sym_restrict] = ACTIONS(2678),
    [anon_sym___restrict__] = ACTIONS(2678),
    [anon_sym__Atomic] = ACTIONS(2678),
    [anon_sym__Noreturn] = ACTIONS(2678),
    [anon_sym_noreturn] = ACTIONS(2678),
    [anon_sym__Nonnull] = ACTIONS(2678),
    [anon_sym_mutable] = ACTIONS(2678),
    [anon_sym_constinit] = ACTIONS(2678),
    [anon_sym_consteval] = ACTIONS(2678),
    [anon_sym_PROGMEM] = ACTIONS(2678),
    [anon_sym_alignas] = ACTIONS(2678),
    [anon_sym__Alignas] = ACTIONS(2678),
    [aux_sym_primitive_type_token1] = ACTIONS(2678),
    [anon_sym_byte] = ACTIONS(2678),
    [anon_sym_word] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2678),
    [anon_sym_class] = ACTIONS(2678),
    [anon_sym_struct] = ACTIONS(2678),
    [anon_sym_union] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2678),
    [anon_sym_else] = ACTIONS(3328),
    [anon_sym_switch] = ACTIONS(2678),
    [anon_sym_case] = ACTIONS(2678),
    [anon_sym_default] = ACTIONS(2678),
    [anon_sym_while] = ACTIONS(2678),
    [anon_sym_do] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2678),
    [anon_sym_return] = ACTIONS(2678),
    [anon_sym_break] = ACTIONS(2678),
    [anon_sym_continue] = ACTIONS(2678),
    [anon_sym_goto] = ACTIONS(2678),
    [anon_sym___try] = ACTIONS(2678),
    [anon_sym___leave] = ACTIONS(2678),
    [anon_sym_not] = ACTIONS(2678),
    [anon_sym_compl] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_sizeof] = ACTIONS(2678),
    [anon_sym___alignof__] = ACTIONS(2678),
    [anon_sym___alignof] = ACTIONS(2678),
    [anon_sym__alignof] = ACTIONS(2678),
    [anon_sym_alignof] = ACTIONS(2678),
    [anon_sym__Alignof] = ACTIONS(2678),
    [anon_sym_offsetof] = ACTIONS(2678),
    [anon_sym__Generic] = ACTIONS(2678),
    [anon_sym_asm] = ACTIONS(2678),
    [anon_sym___asm__] = ACTIONS(2678),
    [anon_sym___asm] = ACTIONS(2678),
    [aux_sym_number_literal_token1] = ACTIONS(2680),
    [aux_sym_number_literal_token2] = ACTIONS(2678),
    [anon_sym_L_SQUOTE] = ACTIONS(2680),
    [anon_sym_u_SQUOTE] = ACTIONS(2680),
    [anon_sym_U_SQUOTE] = ACTIONS(2680),
    [anon_sym_u8_SQUOTE] = ACTIONS(2680),
    [anon_sym_SQUOTE] = ACTIONS(2680),
    [anon_sym_L_DQUOTE] = ACTIONS(2680),
    [anon_sym_u_DQUOTE] = ACTIONS(2680),
    [anon_sym_U_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [sym_true] = ACTIONS(2678),
    [sym_false] = ACTIONS(2678),
    [anon_sym_NULL] = ACTIONS(2678),
    [anon_sym_nullptr] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2678),
    [anon_sym_decltype] = ACTIONS(2678),
    [anon_sym_explicit] = ACTIONS(2678),
    [anon_sym_typename] = ACTIONS(2678),
    [anon_sym_template] = ACTIONS(2678),
    [anon_sym_operator] = ACTIONS(2678),
    [anon_sym_try] = ACTIONS(2678),
    [anon_sym_delete] = ACTIONS(2678),
    [anon_sym_throw] = ACTIONS(2678),
    [anon_sym_namespace] = ACTIONS(2678),
    [anon_sym_using] = ACTIONS(2678),
    [anon_sym_static_assert] = ACTIONS(2678),
    [anon_sym_concept] = ACTIONS(2678),
    [anon_sym_co_return] = ACTIONS(2678),
    [anon_sym_co_yield] = ACTIONS(2678),
    [anon_sym_R_DQUOTE] = ACTIONS(2680),
    [anon_sym_LR_DQUOTE] = ACTIONS(2680),
    [anon_sym_uR_DQUOTE] = ACTIONS(2680),
    [anon_sym_UR_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2680),
    [anon_sym_co_await] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2678),
    [anon_sym_requires] = ACTIONS(2678),
    [sym_this] = ACTIONS(2678),
  },
  [412] = {
    [ts_builtin_sym_end] = ACTIONS(2698),
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_include_token1] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym___cdecl] = ACTIONS(2696),
    [anon_sym___clrcall] = ACTIONS(2696),
    [anon_sym___stdcall] = ACTIONS(2696),
    [anon_sym___fastcall] = ACTIONS(2696),
    [anon_sym___thiscall] = ACTIONS(2696),
    [anon_sym___vectorcall] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_PROGMEM] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [aux_sym_primitive_type_token1] = ACTIONS(2696),
    [anon_sym_byte] = ACTIONS(2696),
    [anon_sym_word] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [anon_sym___asm] = ACTIONS(2696),
    [aux_sym_number_literal_token1] = ACTIONS(2698),
    [aux_sym_number_literal_token2] = ACTIONS(2696),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_concept] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_catch] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [413] = {
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_include_token1] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_if_token2] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(1967),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym___cdecl] = ACTIONS(1969),
    [anon_sym___clrcall] = ACTIONS(1969),
    [anon_sym___stdcall] = ACTIONS(1969),
    [anon_sym___fastcall] = ACTIONS(1969),
    [anon_sym___thiscall] = ACTIONS(1969),
    [anon_sym___vectorcall] = ACTIONS(1969),
    [anon_sym_LBRACE] = ACTIONS(1967),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [anon_sym_if] = ACTIONS(1969),
    [anon_sym_else] = ACTIONS(1969),
    [anon_sym_switch] = ACTIONS(1969),
    [anon_sym_case] = ACTIONS(1969),
    [anon_sym_default] = ACTIONS(1969),
    [anon_sym_while] = ACTIONS(1969),
    [anon_sym_do] = ACTIONS(1969),
    [anon_sym_for] = ACTIONS(1969),
    [anon_sym_return] = ACTIONS(1969),
    [anon_sym_break] = ACTIONS(1969),
    [anon_sym_continue] = ACTIONS(1969),
    [anon_sym_goto] = ACTIONS(1969),
    [anon_sym___try] = ACTIONS(1969),
    [anon_sym___leave] = ACTIONS(1969),
    [anon_sym_not] = ACTIONS(1969),
    [anon_sym_compl] = ACTIONS(1969),
    [anon_sym_DASH_DASH] = ACTIONS(1967),
    [anon_sym_PLUS_PLUS] = ACTIONS(1967),
    [anon_sym_sizeof] = ACTIONS(1969),
    [anon_sym___alignof__] = ACTIONS(1969),
    [anon_sym___alignof] = ACTIONS(1969),
    [anon_sym__alignof] = ACTIONS(1969),
    [anon_sym_alignof] = ACTIONS(1969),
    [anon_sym__Alignof] = ACTIONS(1969),
    [anon_sym_offsetof] = ACTIONS(1969),
    [anon_sym__Generic] = ACTIONS(1969),
    [anon_sym_asm] = ACTIONS(1969),
    [anon_sym___asm__] = ACTIONS(1969),
    [anon_sym___asm] = ACTIONS(1969),
    [aux_sym_number_literal_token1] = ACTIONS(1967),
    [aux_sym_number_literal_token2] = ACTIONS(1969),
    [anon_sym_L_SQUOTE] = ACTIONS(1967),
    [anon_sym_u_SQUOTE] = ACTIONS(1967),
    [anon_sym_U_SQUOTE] = ACTIONS(1967),
    [anon_sym_u8_SQUOTE] = ACTIONS(1967),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_L_DQUOTE] = ACTIONS(1967),
    [anon_sym_u_DQUOTE] = ACTIONS(1967),
    [anon_sym_U_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8_DQUOTE] = ACTIONS(1967),
    [anon_sym_DQUOTE] = ACTIONS(1967),
    [sym_true] = ACTIONS(1969),
    [sym_false] = ACTIONS(1969),
    [anon_sym_NULL] = ACTIONS(1969),
    [anon_sym_nullptr] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_delete] = ACTIONS(1969),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_namespace] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
    [anon_sym_concept] = ACTIONS(1969),
    [anon_sym_co_return] = ACTIONS(1969),
    [anon_sym_co_yield] = ACTIONS(1969),
    [anon_sym_catch] = ACTIONS(1969),
    [anon_sym_R_DQUOTE] = ACTIONS(1967),
    [anon_sym_LR_DQUOTE] = ACTIONS(1967),
    [anon_sym_uR_DQUOTE] = ACTIONS(1967),
    [anon_sym_UR_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1967),
    [anon_sym_co_await] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_requires] = ACTIONS(1969),
    [sym_this] = ACTIONS(1969),
  },
  [414] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_include_token1] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym___cdecl] = ACTIONS(1973),
    [anon_sym___clrcall] = ACTIONS(1973),
    [anon_sym___stdcall] = ACTIONS(1973),
    [anon_sym___fastcall] = ACTIONS(1973),
    [anon_sym___thiscall] = ACTIONS(1973),
    [anon_sym___vectorcall] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_RBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_PROGMEM] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [aux_sym_primitive_type_token1] = ACTIONS(1973),
    [anon_sym_byte] = ACTIONS(1973),
    [anon_sym_word] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_else] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_case] = ACTIONS(1973),
    [anon_sym_default] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_goto] = ACTIONS(1973),
    [anon_sym___try] = ACTIONS(1973),
    [anon_sym___leave] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1973),
    [anon_sym_compl] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1973),
    [anon_sym___alignof] = ACTIONS(1973),
    [anon_sym__alignof] = ACTIONS(1973),
    [anon_sym_alignof] = ACTIONS(1973),
    [anon_sym__Alignof] = ACTIONS(1973),
    [anon_sym_offsetof] = ACTIONS(1973),
    [anon_sym__Generic] = ACTIONS(1973),
    [anon_sym_asm] = ACTIONS(1973),
    [anon_sym___asm__] = ACTIONS(1973),
    [anon_sym___asm] = ACTIONS(1973),
    [aux_sym_number_literal_token1] = ACTIONS(1971),
    [aux_sym_number_literal_token2] = ACTIONS(1973),
    [anon_sym_L_SQUOTE] = ACTIONS(1971),
    [anon_sym_u_SQUOTE] = ACTIONS(1971),
    [anon_sym_U_SQUOTE] = ACTIONS(1971),
    [anon_sym_u8_SQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [anon_sym_L_DQUOTE] = ACTIONS(1971),
    [anon_sym_u_DQUOTE] = ACTIONS(1971),
    [anon_sym_U_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8_DQUOTE] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [anon_sym_NULL] = ACTIONS(1973),
    [anon_sym_nullptr] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_concept] = ACTIONS(1973),
    [anon_sym_co_return] = ACTIONS(1973),
    [anon_sym_co_yield] = ACTIONS(1973),
    [anon_sym_catch] = ACTIONS(1973),
    [anon_sym_R_DQUOTE] = ACTIONS(1971),
    [anon_sym_LR_DQUOTE] = ACTIONS(1971),
    [anon_sym_uR_DQUOTE] = ACTIONS(1971),
    [anon_sym_UR_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1971),
    [anon_sym_co_await] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_requires] = ACTIONS(1973),
    [sym_this] = ACTIONS(1973),
  },
  [415] = {
    [sym_else_clause] = STATE(475),
    [sym_identifier] = ACTIONS(2678),
    [aux_sym_preproc_include_token1] = ACTIONS(2678),
    [aux_sym_preproc_def_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2678),
    [anon_sym_LPAREN2] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP_AMP] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym___extension__] = ACTIONS(2678),
    [anon_sym_typedef] = ACTIONS(2678),
    [anon_sym_virtual] = ACTIONS(2678),
    [anon_sym_extern] = ACTIONS(2678),
    [anon_sym___attribute__] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2680),
    [anon_sym___declspec] = ACTIONS(2678),
    [anon_sym___based] = ACTIONS(2678),
    [anon_sym___cdecl] = ACTIONS(2678),
    [anon_sym___clrcall] = ACTIONS(2678),
    [anon_sym___stdcall] = ACTIONS(2678),
    [anon_sym___fastcall] = ACTIONS(2678),
    [anon_sym___thiscall] = ACTIONS(2678),
    [anon_sym___vectorcall] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_RBRACE] = ACTIONS(2680),
    [anon_sym_signed] = ACTIONS(2678),
    [anon_sym_unsigned] = ACTIONS(2678),
    [anon_sym_long] = ACTIONS(2678),
    [anon_sym_short] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_register] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(2678),
    [anon_sym___inline] = ACTIONS(2678),
    [anon_sym___inline__] = ACTIONS(2678),
    [anon_sym___forceinline] = ACTIONS(2678),
    [anon_sym_thread_local] = ACTIONS(2678),
    [anon_sym___thread] = ACTIONS(2678),
    [anon_sym_const] = ACTIONS(2678),
    [anon_sym_constexpr] = ACTIONS(2678),
    [anon_sym_volatile] = ACTIONS(2678),
    [anon_sym_restrict] = ACTIONS(2678),
    [anon_sym___restrict__] = ACTIONS(2678),
    [anon_sym__Atomic] = ACTIONS(2678),
    [anon_sym__Noreturn] = ACTIONS(2678),
    [anon_sym_noreturn] = ACTIONS(2678),
    [anon_sym__Nonnull] = ACTIONS(2678),
    [anon_sym_mutable] = ACTIONS(2678),
    [anon_sym_constinit] = ACTIONS(2678),
    [anon_sym_consteval] = ACTIONS(2678),
    [anon_sym_PROGMEM] = ACTIONS(2678),
    [anon_sym_alignas] = ACTIONS(2678),
    [anon_sym__Alignas] = ACTIONS(2678),
    [aux_sym_primitive_type_token1] = ACTIONS(2678),
    [anon_sym_byte] = ACTIONS(2678),
    [anon_sym_word] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2678),
    [anon_sym_class] = ACTIONS(2678),
    [anon_sym_struct] = ACTIONS(2678),
    [anon_sym_union] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2678),
    [anon_sym_else] = ACTIONS(3330),
    [anon_sym_switch] = ACTIONS(2678),
    [anon_sym_case] = ACTIONS(2678),
    [anon_sym_default] = ACTIONS(2678),
    [anon_sym_while] = ACTIONS(2678),
    [anon_sym_do] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2678),
    [anon_sym_return] = ACTIONS(2678),
    [anon_sym_break] = ACTIONS(2678),
    [anon_sym_continue] = ACTIONS(2678),
    [anon_sym_goto] = ACTIONS(2678),
    [anon_sym___try] = ACTIONS(2678),
    [anon_sym___leave] = ACTIONS(2678),
    [anon_sym_not] = ACTIONS(2678),
    [anon_sym_compl] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_sizeof] = ACTIONS(2678),
    [anon_sym___alignof__] = ACTIONS(2678),
    [anon_sym___alignof] = ACTIONS(2678),
    [anon_sym__alignof] = ACTIONS(2678),
    [anon_sym_alignof] = ACTIONS(2678),
    [anon_sym__Alignof] = ACTIONS(2678),
    [anon_sym_offsetof] = ACTIONS(2678),
    [anon_sym__Generic] = ACTIONS(2678),
    [anon_sym_asm] = ACTIONS(2678),
    [anon_sym___asm__] = ACTIONS(2678),
    [anon_sym___asm] = ACTIONS(2678),
    [aux_sym_number_literal_token1] = ACTIONS(2680),
    [aux_sym_number_literal_token2] = ACTIONS(2678),
    [anon_sym_L_SQUOTE] = ACTIONS(2680),
    [anon_sym_u_SQUOTE] = ACTIONS(2680),
    [anon_sym_U_SQUOTE] = ACTIONS(2680),
    [anon_sym_u8_SQUOTE] = ACTIONS(2680),
    [anon_sym_SQUOTE] = ACTIONS(2680),
    [anon_sym_L_DQUOTE] = ACTIONS(2680),
    [anon_sym_u_DQUOTE] = ACTIONS(2680),
    [anon_sym_U_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [sym_true] = ACTIONS(2678),
    [sym_false] = ACTIONS(2678),
    [anon_sym_NULL] = ACTIONS(2678),
    [anon_sym_nullptr] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2678),
    [anon_sym_decltype] = ACTIONS(2678),
    [anon_sym_explicit] = ACTIONS(2678),
    [anon_sym_typename] = ACTIONS(2678),
    [anon_sym_template] = ACTIONS(2678),
    [anon_sym_operator] = ACTIONS(2678),
    [anon_sym_try] = ACTIONS(2678),
    [anon_sym_delete] = ACTIONS(2678),
    [anon_sym_throw] = ACTIONS(2678),
    [anon_sym_namespace] = ACTIONS(2678),
    [anon_sym_using] = ACTIONS(2678),
    [anon_sym_static_assert] = ACTIONS(2678),
    [anon_sym_concept] = ACTIONS(2678),
    [anon_sym_co_return] = ACTIONS(2678),
    [anon_sym_co_yield] = ACTIONS(2678),
    [anon_sym_R_DQUOTE] = ACTIONS(2680),
    [anon_sym_LR_DQUOTE] = ACTIONS(2680),
    [anon_sym_uR_DQUOTE] = ACTIONS(2680),
    [anon_sym_UR_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2680),
    [anon_sym_co_await] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2678),
    [anon_sym_requires] = ACTIONS(2678),
    [sym_this] = ACTIONS(2678),
  },
  [416] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_include_token1] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token2] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym___cdecl] = ACTIONS(2696),
    [anon_sym___clrcall] = ACTIONS(2696),
    [anon_sym___stdcall] = ACTIONS(2696),
    [anon_sym___fastcall] = ACTIONS(2696),
    [anon_sym___thiscall] = ACTIONS(2696),
    [anon_sym___vectorcall] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_PROGMEM] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [aux_sym_primitive_type_token1] = ACTIONS(2696),
    [anon_sym_byte] = ACTIONS(2696),
    [anon_sym_word] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [anon_sym___asm] = ACTIONS(2696),
    [aux_sym_number_literal_token1] = ACTIONS(2698),
    [aux_sym_number_literal_token2] = ACTIONS(2696),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_concept] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_catch] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [417] = {
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_include_token1] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(1967),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym___cdecl] = ACTIONS(1969),
    [anon_sym___clrcall] = ACTIONS(1969),
    [anon_sym___stdcall] = ACTIONS(1969),
    [anon_sym___fastcall] = ACTIONS(1969),
    [anon_sym___thiscall] = ACTIONS(1969),
    [anon_sym___vectorcall] = ACTIONS(1969),
    [anon_sym_LBRACE] = ACTIONS(1967),
    [anon_sym_RBRACE] = ACTIONS(1967),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [anon_sym_if] = ACTIONS(1969),
    [anon_sym_else] = ACTIONS(1969),
    [anon_sym_switch] = ACTIONS(1969),
    [anon_sym_case] = ACTIONS(1969),
    [anon_sym_default] = ACTIONS(1969),
    [anon_sym_while] = ACTIONS(1969),
    [anon_sym_do] = ACTIONS(1969),
    [anon_sym_for] = ACTIONS(1969),
    [anon_sym_return] = ACTIONS(1969),
    [anon_sym_break] = ACTIONS(1969),
    [anon_sym_continue] = ACTIONS(1969),
    [anon_sym_goto] = ACTIONS(1969),
    [anon_sym___try] = ACTIONS(1969),
    [anon_sym___leave] = ACTIONS(1969),
    [anon_sym_not] = ACTIONS(1969),
    [anon_sym_compl] = ACTIONS(1969),
    [anon_sym_DASH_DASH] = ACTIONS(1967),
    [anon_sym_PLUS_PLUS] = ACTIONS(1967),
    [anon_sym_sizeof] = ACTIONS(1969),
    [anon_sym___alignof__] = ACTIONS(1969),
    [anon_sym___alignof] = ACTIONS(1969),
    [anon_sym__alignof] = ACTIONS(1969),
    [anon_sym_alignof] = ACTIONS(1969),
    [anon_sym__Alignof] = ACTIONS(1969),
    [anon_sym_offsetof] = ACTIONS(1969),
    [anon_sym__Generic] = ACTIONS(1969),
    [anon_sym_asm] = ACTIONS(1969),
    [anon_sym___asm__] = ACTIONS(1969),
    [anon_sym___asm] = ACTIONS(1969),
    [aux_sym_number_literal_token1] = ACTIONS(1967),
    [aux_sym_number_literal_token2] = ACTIONS(1969),
    [anon_sym_L_SQUOTE] = ACTIONS(1967),
    [anon_sym_u_SQUOTE] = ACTIONS(1967),
    [anon_sym_U_SQUOTE] = ACTIONS(1967),
    [anon_sym_u8_SQUOTE] = ACTIONS(1967),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_L_DQUOTE] = ACTIONS(1967),
    [anon_sym_u_DQUOTE] = ACTIONS(1967),
    [anon_sym_U_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8_DQUOTE] = ACTIONS(1967),
    [anon_sym_DQUOTE] = ACTIONS(1967),
    [sym_true] = ACTIONS(1969),
    [sym_false] = ACTIONS(1969),
    [anon_sym_NULL] = ACTIONS(1969),
    [anon_sym_nullptr] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_delete] = ACTIONS(1969),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_namespace] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
    [anon_sym_concept] = ACTIONS(1969),
    [anon_sym_co_return] = ACTIONS(1969),
    [anon_sym_co_yield] = ACTIONS(1969),
    [anon_sym_catch] = ACTIONS(1969),
    [anon_sym_R_DQUOTE] = ACTIONS(1967),
    [anon_sym_LR_DQUOTE] = ACTIONS(1967),
    [anon_sym_uR_DQUOTE] = ACTIONS(1967),
    [anon_sym_UR_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1967),
    [anon_sym_co_await] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_requires] = ACTIONS(1969),
    [sym_this] = ACTIONS(1969),
  },
  [418] = {
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token2] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP_AMP] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___based] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [anon_sym_PROGMEM] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [aux_sym_primitive_type_token1] = ACTIONS(2852),
    [anon_sym_byte] = ACTIONS(2852),
    [anon_sym_word] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_else] = ACTIONS(2852),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym___leave] = ACTIONS(2852),
    [anon_sym_not] = ACTIONS(2852),
    [anon_sym_compl] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [anon_sym___asm] = ACTIONS(2852),
    [aux_sym_number_literal_token1] = ACTIONS(2854),
    [aux_sym_number_literal_token2] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_explicit] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_operator] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_namespace] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_static_assert] = ACTIONS(2852),
    [anon_sym_concept] = ACTIONS(2852),
    [anon_sym_co_return] = ACTIONS(2852),
    [anon_sym_co_yield] = ACTIONS(2852),
    [anon_sym_R_DQUOTE] = ACTIONS(2854),
    [anon_sym_LR_DQUOTE] = ACTIONS(2854),
    [anon_sym_uR_DQUOTE] = ACTIONS(2854),
    [anon_sym_UR_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2854),
    [anon_sym_co_await] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_requires] = ACTIONS(2852),
    [sym_this] = ACTIONS(2852),
  },
  [419] = {
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_include_token1] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_SEMI] = ACTIONS(2894),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_virtual] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym___cdecl] = ACTIONS(2892),
    [anon_sym___clrcall] = ACTIONS(2892),
    [anon_sym___stdcall] = ACTIONS(2892),
    [anon_sym___fastcall] = ACTIONS(2892),
    [anon_sym___thiscall] = ACTIONS(2892),
    [anon_sym___vectorcall] = ACTIONS(2892),
    [anon_sym_LBRACE] = ACTIONS(2894),
    [anon_sym_RBRACE] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym__Nonnull] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_PROGMEM] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [aux_sym_primitive_type_token1] = ACTIONS(2892),
    [anon_sym_byte] = ACTIONS(2892),
    [anon_sym_word] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_else] = ACTIONS(2892),
    [anon_sym_switch] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_default] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_break] = ACTIONS(2892),
    [anon_sym_continue] = ACTIONS(2892),
    [anon_sym_goto] = ACTIONS(2892),
    [anon_sym___try] = ACTIONS(2892),
    [anon_sym___leave] = ACTIONS(2892),
    [anon_sym_not] = ACTIONS(2892),
    [anon_sym_compl] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2894),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(2892),
    [anon_sym___alignof] = ACTIONS(2892),
    [anon_sym__alignof] = ACTIONS(2892),
    [anon_sym_alignof] = ACTIONS(2892),
    [anon_sym__Alignof] = ACTIONS(2892),
    [anon_sym_offsetof] = ACTIONS(2892),
    [anon_sym__Generic] = ACTIONS(2892),
    [anon_sym_asm] = ACTIONS(2892),
    [anon_sym___asm__] = ACTIONS(2892),
    [anon_sym___asm] = ACTIONS(2892),
    [aux_sym_number_literal_token1] = ACTIONS(2894),
    [aux_sym_number_literal_token2] = ACTIONS(2892),
    [anon_sym_L_SQUOTE] = ACTIONS(2894),
    [anon_sym_u_SQUOTE] = ACTIONS(2894),
    [anon_sym_U_SQUOTE] = ACTIONS(2894),
    [anon_sym_u8_SQUOTE] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_L_DQUOTE] = ACTIONS(2894),
    [anon_sym_u_DQUOTE] = ACTIONS(2894),
    [anon_sym_U_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2894),
    [sym_true] = ACTIONS(2892),
    [sym_false] = ACTIONS(2892),
    [anon_sym_NULL] = ACTIONS(2892),
    [anon_sym_nullptr] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_delete] = ACTIONS(2892),
    [anon_sym_throw] = ACTIONS(2892),
    [anon_sym_namespace] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
    [anon_sym_concept] = ACTIONS(2892),
    [anon_sym_co_return] = ACTIONS(2892),
    [anon_sym_co_yield] = ACTIONS(2892),
    [anon_sym_R_DQUOTE] = ACTIONS(2894),
    [anon_sym_LR_DQUOTE] = ACTIONS(2894),
    [anon_sym_uR_DQUOTE] = ACTIONS(2894),
    [anon_sym_UR_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2894),
    [anon_sym_co_await] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2892),
    [sym_this] = ACTIONS(2892),
  },
  [420] = {
    [sym_identifier] = ACTIONS(2884),
    [aux_sym_preproc_include_token1] = ACTIONS(2884),
    [aux_sym_preproc_def_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2884),
    [sym_preproc_directive] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_BANG] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2886),
    [anon_sym_AMP_AMP] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2884),
    [anon_sym_typedef] = ACTIONS(2884),
    [anon_sym_virtual] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(2884),
    [anon_sym___attribute__] = ACTIONS(2884),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2886),
    [anon_sym___declspec] = ACTIONS(2884),
    [anon_sym___based] = ACTIONS(2884),
    [anon_sym___cdecl] = ACTIONS(2884),
    [anon_sym___clrcall] = ACTIONS(2884),
    [anon_sym___stdcall] = ACTIONS(2884),
    [anon_sym___fastcall] = ACTIONS(2884),
    [anon_sym___thiscall] = ACTIONS(2884),
    [anon_sym___vectorcall] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2886),
    [anon_sym_RBRACE] = ACTIONS(2886),
    [anon_sym_signed] = ACTIONS(2884),
    [anon_sym_unsigned] = ACTIONS(2884),
    [anon_sym_long] = ACTIONS(2884),
    [anon_sym_short] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_register] = ACTIONS(2884),
    [anon_sym_inline] = ACTIONS(2884),
    [anon_sym___inline] = ACTIONS(2884),
    [anon_sym___inline__] = ACTIONS(2884),
    [anon_sym___forceinline] = ACTIONS(2884),
    [anon_sym_thread_local] = ACTIONS(2884),
    [anon_sym___thread] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_constexpr] = ACTIONS(2884),
    [anon_sym_volatile] = ACTIONS(2884),
    [anon_sym_restrict] = ACTIONS(2884),
    [anon_sym___restrict__] = ACTIONS(2884),
    [anon_sym__Atomic] = ACTIONS(2884),
    [anon_sym__Noreturn] = ACTIONS(2884),
    [anon_sym_noreturn] = ACTIONS(2884),
    [anon_sym__Nonnull] = ACTIONS(2884),
    [anon_sym_mutable] = ACTIONS(2884),
    [anon_sym_constinit] = ACTIONS(2884),
    [anon_sym_consteval] = ACTIONS(2884),
    [anon_sym_PROGMEM] = ACTIONS(2884),
    [anon_sym_alignas] = ACTIONS(2884),
    [anon_sym__Alignas] = ACTIONS(2884),
    [aux_sym_primitive_type_token1] = ACTIONS(2884),
    [anon_sym_byte] = ACTIONS(2884),
    [anon_sym_word] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_struct] = ACTIONS(2884),
    [anon_sym_union] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_else] = ACTIONS(2884),
    [anon_sym_switch] = ACTIONS(2884),
    [anon_sym_case] = ACTIONS(2884),
    [anon_sym_default] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_break] = ACTIONS(2884),
    [anon_sym_continue] = ACTIONS(2884),
    [anon_sym_goto] = ACTIONS(2884),
    [anon_sym___try] = ACTIONS(2884),
    [anon_sym___leave] = ACTIONS(2884),
    [anon_sym_not] = ACTIONS(2884),
    [anon_sym_compl] = ACTIONS(2884),
    [anon_sym_DASH_DASH] = ACTIONS(2886),
    [anon_sym_PLUS_PLUS] = ACTIONS(2886),
    [anon_sym_sizeof] = ACTIONS(2884),
    [anon_sym___alignof__] = ACTIONS(2884),
    [anon_sym___alignof] = ACTIONS(2884),
    [anon_sym__alignof] = ACTIONS(2884),
    [anon_sym_alignof] = ACTIONS(2884),
    [anon_sym__Alignof] = ACTIONS(2884),
    [anon_sym_offsetof] = ACTIONS(2884),
    [anon_sym__Generic] = ACTIONS(2884),
    [anon_sym_asm] = ACTIONS(2884),
    [anon_sym___asm__] = ACTIONS(2884),
    [anon_sym___asm] = ACTIONS(2884),
    [aux_sym_number_literal_token1] = ACTIONS(2886),
    [aux_sym_number_literal_token2] = ACTIONS(2884),
    [anon_sym_L_SQUOTE] = ACTIONS(2886),
    [anon_sym_u_SQUOTE] = ACTIONS(2886),
    [anon_sym_U_SQUOTE] = ACTIONS(2886),
    [anon_sym_u8_SQUOTE] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_L_DQUOTE] = ACTIONS(2886),
    [anon_sym_u_DQUOTE] = ACTIONS(2886),
    [anon_sym_U_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE] = ACTIONS(2886),
    [sym_true] = ACTIONS(2884),
    [sym_false] = ACTIONS(2884),
    [anon_sym_NULL] = ACTIONS(2884),
    [anon_sym_nullptr] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2884),
    [anon_sym_decltype] = ACTIONS(2884),
    [anon_sym_explicit] = ACTIONS(2884),
    [anon_sym_typename] = ACTIONS(2884),
    [anon_sym_template] = ACTIONS(2884),
    [anon_sym_operator] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_delete] = ACTIONS(2884),
    [anon_sym_throw] = ACTIONS(2884),
    [anon_sym_namespace] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_static_assert] = ACTIONS(2884),
    [anon_sym_concept] = ACTIONS(2884),
    [anon_sym_co_return] = ACTIONS(2884),
    [anon_sym_co_yield] = ACTIONS(2884),
    [anon_sym_R_DQUOTE] = ACTIONS(2886),
    [anon_sym_LR_DQUOTE] = ACTIONS(2886),
    [anon_sym_uR_DQUOTE] = ACTIONS(2886),
    [anon_sym_UR_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2886),
    [anon_sym_co_await] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_requires] = ACTIONS(2884),
    [sym_this] = ACTIONS(2884),
  },
  [421] = {
    [sym_identifier] = ACTIONS(2900),
    [aux_sym_preproc_include_token1] = ACTIONS(2900),
    [aux_sym_preproc_def_token1] = ACTIONS(2900),
    [aux_sym_preproc_if_token1] = ACTIONS(2900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2900),
    [sym_preproc_directive] = ACTIONS(2900),
    [anon_sym_LPAREN2] = ACTIONS(2902),
    [anon_sym_BANG] = ACTIONS(2902),
    [anon_sym_TILDE] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2902),
    [anon_sym_AMP_AMP] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_SEMI] = ACTIONS(2902),
    [anon_sym___extension__] = ACTIONS(2900),
    [anon_sym_typedef] = ACTIONS(2900),
    [anon_sym_virtual] = ACTIONS(2900),
    [anon_sym_extern] = ACTIONS(2900),
    [anon_sym___attribute__] = ACTIONS(2900),
    [anon_sym_COLON_COLON] = ACTIONS(2902),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2902),
    [anon_sym___declspec] = ACTIONS(2900),
    [anon_sym___based] = ACTIONS(2900),
    [anon_sym___cdecl] = ACTIONS(2900),
    [anon_sym___clrcall] = ACTIONS(2900),
    [anon_sym___stdcall] = ACTIONS(2900),
    [anon_sym___fastcall] = ACTIONS(2900),
    [anon_sym___thiscall] = ACTIONS(2900),
    [anon_sym___vectorcall] = ACTIONS(2900),
    [anon_sym_LBRACE] = ACTIONS(2902),
    [anon_sym_RBRACE] = ACTIONS(2902),
    [anon_sym_signed] = ACTIONS(2900),
    [anon_sym_unsigned] = ACTIONS(2900),
    [anon_sym_long] = ACTIONS(2900),
    [anon_sym_short] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_register] = ACTIONS(2900),
    [anon_sym_inline] = ACTIONS(2900),
    [anon_sym___inline] = ACTIONS(2900),
    [anon_sym___inline__] = ACTIONS(2900),
    [anon_sym___forceinline] = ACTIONS(2900),
    [anon_sym_thread_local] = ACTIONS(2900),
    [anon_sym___thread] = ACTIONS(2900),
    [anon_sym_const] = ACTIONS(2900),
    [anon_sym_constexpr] = ACTIONS(2900),
    [anon_sym_volatile] = ACTIONS(2900),
    [anon_sym_restrict] = ACTIONS(2900),
    [anon_sym___restrict__] = ACTIONS(2900),
    [anon_sym__Atomic] = ACTIONS(2900),
    [anon_sym__Noreturn] = ACTIONS(2900),
    [anon_sym_noreturn] = ACTIONS(2900),
    [anon_sym__Nonnull] = ACTIONS(2900),
    [anon_sym_mutable] = ACTIONS(2900),
    [anon_sym_constinit] = ACTIONS(2900),
    [anon_sym_consteval] = ACTIONS(2900),
    [anon_sym_PROGMEM] = ACTIONS(2900),
    [anon_sym_alignas] = ACTIONS(2900),
    [anon_sym__Alignas] = ACTIONS(2900),
    [aux_sym_primitive_type_token1] = ACTIONS(2900),
    [anon_sym_byte] = ACTIONS(2900),
    [anon_sym_word] = ACTIONS(2900),
    [anon_sym_enum] = ACTIONS(2900),
    [anon_sym_class] = ACTIONS(2900),
    [anon_sym_struct] = ACTIONS(2900),
    [anon_sym_union] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_else] = ACTIONS(2900),
    [anon_sym_switch] = ACTIONS(2900),
    [anon_sym_case] = ACTIONS(2900),
    [anon_sym_default] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_break] = ACTIONS(2900),
    [anon_sym_continue] = ACTIONS(2900),
    [anon_sym_goto] = ACTIONS(2900),
    [anon_sym___try] = ACTIONS(2900),
    [anon_sym___leave] = ACTIONS(2900),
    [anon_sym_not] = ACTIONS(2900),
    [anon_sym_compl] = ACTIONS(2900),
    [anon_sym_DASH_DASH] = ACTIONS(2902),
    [anon_sym_PLUS_PLUS] = ACTIONS(2902),
    [anon_sym_sizeof] = ACTIONS(2900),
    [anon_sym___alignof__] = ACTIONS(2900),
    [anon_sym___alignof] = ACTIONS(2900),
    [anon_sym__alignof] = ACTIONS(2900),
    [anon_sym_alignof] = ACTIONS(2900),
    [anon_sym__Alignof] = ACTIONS(2900),
    [anon_sym_offsetof] = ACTIONS(2900),
    [anon_sym__Generic] = ACTIONS(2900),
    [anon_sym_asm] = ACTIONS(2900),
    [anon_sym___asm__] = ACTIONS(2900),
    [anon_sym___asm] = ACTIONS(2900),
    [aux_sym_number_literal_token1] = ACTIONS(2902),
    [aux_sym_number_literal_token2] = ACTIONS(2900),
    [anon_sym_L_SQUOTE] = ACTIONS(2902),
    [anon_sym_u_SQUOTE] = ACTIONS(2902),
    [anon_sym_U_SQUOTE] = ACTIONS(2902),
    [anon_sym_u8_SQUOTE] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [anon_sym_L_DQUOTE] = ACTIONS(2902),
    [anon_sym_u_DQUOTE] = ACTIONS(2902),
    [anon_sym_U_DQUOTE] = ACTIONS(2902),
    [anon_sym_u8_DQUOTE] = ACTIONS(2902),
    [anon_sym_DQUOTE] = ACTIONS(2902),
    [sym_true] = ACTIONS(2900),
    [sym_false] = ACTIONS(2900),
    [anon_sym_NULL] = ACTIONS(2900),
    [anon_sym_nullptr] = ACTIONS(2900),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2900),
    [anon_sym_decltype] = ACTIONS(2900),
    [anon_sym_explicit] = ACTIONS(2900),
    [anon_sym_typename] = ACTIONS(2900),
    [anon_sym_template] = ACTIONS(2900),
    [anon_sym_operator] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_delete] = ACTIONS(2900),
    [anon_sym_throw] = ACTIONS(2900),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_using] = ACTIONS(2900),
    [anon_sym_static_assert] = ACTIONS(2900),
    [anon_sym_concept] = ACTIONS(2900),
    [anon_sym_co_return] = ACTIONS(2900),
    [anon_sym_co_yield] = ACTIONS(2900),
    [anon_sym_R_DQUOTE] = ACTIONS(2902),
    [anon_sym_LR_DQUOTE] = ACTIONS(2902),
    [anon_sym_uR_DQUOTE] = ACTIONS(2902),
    [anon_sym_UR_DQUOTE] = ACTIONS(2902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2902),
    [anon_sym_co_await] = ACTIONS(2900),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_requires] = ACTIONS(2900),
    [sym_this] = ACTIONS(2900),
  },
  [422] = {
    [ts_builtin_sym_end] = ACTIONS(2741),
    [sym_identifier] = ACTIONS(2736),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2736),
    [sym_preproc_directive] = ACTIONS(2736),
    [anon_sym_LPAREN2] = ACTIONS(2741),
    [anon_sym_BANG] = ACTIONS(2741),
    [anon_sym_TILDE] = ACTIONS(2741),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2741),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2741),
    [anon_sym___extension__] = ACTIONS(2736),
    [anon_sym_typedef] = ACTIONS(2736),
    [anon_sym_virtual] = ACTIONS(2736),
    [anon_sym_extern] = ACTIONS(2736),
    [anon_sym___attribute__] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2741),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2741),
    [anon_sym___declspec] = ACTIONS(2736),
    [anon_sym___based] = ACTIONS(2736),
    [anon_sym___cdecl] = ACTIONS(2736),
    [anon_sym___clrcall] = ACTIONS(2736),
    [anon_sym___stdcall] = ACTIONS(2736),
    [anon_sym___fastcall] = ACTIONS(2736),
    [anon_sym___thiscall] = ACTIONS(2736),
    [anon_sym___vectorcall] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2741),
    [anon_sym_signed] = ACTIONS(2736),
    [anon_sym_unsigned] = ACTIONS(2736),
    [anon_sym_long] = ACTIONS(2736),
    [anon_sym_short] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_register] = ACTIONS(2736),
    [anon_sym_inline] = ACTIONS(2736),
    [anon_sym___inline] = ACTIONS(2736),
    [anon_sym___inline__] = ACTIONS(2736),
    [anon_sym___forceinline] = ACTIONS(2736),
    [anon_sym_thread_local] = ACTIONS(2736),
    [anon_sym___thread] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_constexpr] = ACTIONS(2736),
    [anon_sym_volatile] = ACTIONS(2736),
    [anon_sym_restrict] = ACTIONS(2736),
    [anon_sym___restrict__] = ACTIONS(2736),
    [anon_sym__Atomic] = ACTIONS(2736),
    [anon_sym__Noreturn] = ACTIONS(2736),
    [anon_sym_noreturn] = ACTIONS(2736),
    [anon_sym__Nonnull] = ACTIONS(2736),
    [anon_sym_mutable] = ACTIONS(2736),
    [anon_sym_constinit] = ACTIONS(2736),
    [anon_sym_consteval] = ACTIONS(2736),
    [anon_sym_PROGMEM] = ACTIONS(2736),
    [anon_sym_alignas] = ACTIONS(2736),
    [anon_sym__Alignas] = ACTIONS(2736),
    [aux_sym_primitive_type_token1] = ACTIONS(2736),
    [anon_sym_byte] = ACTIONS(2736),
    [anon_sym_word] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_struct] = ACTIONS(2736),
    [anon_sym_union] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_else] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_case] = ACTIONS(2736),
    [anon_sym_default] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_goto] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2736),
    [anon_sym___leave] = ACTIONS(2736),
    [anon_sym_not] = ACTIONS(2736),
    [anon_sym_compl] = ACTIONS(2736),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_sizeof] = ACTIONS(2736),
    [anon_sym___alignof__] = ACTIONS(2736),
    [anon_sym___alignof] = ACTIONS(2736),
    [anon_sym__alignof] = ACTIONS(2736),
    [anon_sym_alignof] = ACTIONS(2736),
    [anon_sym__Alignof] = ACTIONS(2736),
    [anon_sym_offsetof] = ACTIONS(2736),
    [anon_sym__Generic] = ACTIONS(2736),
    [anon_sym_asm] = ACTIONS(2736),
    [anon_sym___asm__] = ACTIONS(2736),
    [anon_sym___asm] = ACTIONS(2736),
    [aux_sym_number_literal_token1] = ACTIONS(2741),
    [aux_sym_number_literal_token2] = ACTIONS(2736),
    [anon_sym_L_SQUOTE] = ACTIONS(2741),
    [anon_sym_u_SQUOTE] = ACTIONS(2741),
    [anon_sym_U_SQUOTE] = ACTIONS(2741),
    [anon_sym_u8_SQUOTE] = ACTIONS(2741),
    [anon_sym_SQUOTE] = ACTIONS(2741),
    [anon_sym_L_DQUOTE] = ACTIONS(2741),
    [anon_sym_u_DQUOTE] = ACTIONS(2741),
    [anon_sym_U_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8_DQUOTE] = ACTIONS(2741),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [anon_sym_NULL] = ACTIONS(2736),
    [anon_sym_nullptr] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2736),
    [anon_sym_decltype] = ACTIONS(2736),
    [anon_sym_explicit] = ACTIONS(2736),
    [anon_sym_typename] = ACTIONS(2736),
    [anon_sym_template] = ACTIONS(2736),
    [anon_sym_operator] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_namespace] = ACTIONS(2736),
    [anon_sym_using] = ACTIONS(2736),
    [anon_sym_static_assert] = ACTIONS(2736),
    [anon_sym_concept] = ACTIONS(2736),
    [anon_sym_co_return] = ACTIONS(2736),
    [anon_sym_co_yield] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2741),
    [anon_sym_LR_DQUOTE] = ACTIONS(2741),
    [anon_sym_uR_DQUOTE] = ACTIONS(2741),
    [anon_sym_UR_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2741),
    [anon_sym_co_await] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2736),
    [sym_this] = ACTIONS(2736),
  },
  [423] = {
    [ts_builtin_sym_end] = ACTIONS(2828),
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_PROGMEM] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [aux_sym_primitive_type_token1] = ACTIONS(2826),
    [anon_sym_byte] = ACTIONS(2826),
    [anon_sym_word] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_else] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [anon_sym___asm] = ACTIONS(2826),
    [aux_sym_number_literal_token1] = ACTIONS(2828),
    [aux_sym_number_literal_token2] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [424] = {
    [sym_identifier] = ACTIONS(2896),
    [aux_sym_preproc_include_token1] = ACTIONS(2896),
    [aux_sym_preproc_def_token1] = ACTIONS(2896),
    [aux_sym_preproc_if_token1] = ACTIONS(2896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2896),
    [sym_preproc_directive] = ACTIONS(2896),
    [anon_sym_LPAREN2] = ACTIONS(2898),
    [anon_sym_BANG] = ACTIONS(2898),
    [anon_sym_TILDE] = ACTIONS(2898),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_STAR] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2898),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_SEMI] = ACTIONS(2898),
    [anon_sym___extension__] = ACTIONS(2896),
    [anon_sym_typedef] = ACTIONS(2896),
    [anon_sym_virtual] = ACTIONS(2896),
    [anon_sym_extern] = ACTIONS(2896),
    [anon_sym___attribute__] = ACTIONS(2896),
    [anon_sym_COLON_COLON] = ACTIONS(2898),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2898),
    [anon_sym___declspec] = ACTIONS(2896),
    [anon_sym___based] = ACTIONS(2896),
    [anon_sym___cdecl] = ACTIONS(2896),
    [anon_sym___clrcall] = ACTIONS(2896),
    [anon_sym___stdcall] = ACTIONS(2896),
    [anon_sym___fastcall] = ACTIONS(2896),
    [anon_sym___thiscall] = ACTIONS(2896),
    [anon_sym___vectorcall] = ACTIONS(2896),
    [anon_sym_LBRACE] = ACTIONS(2898),
    [anon_sym_RBRACE] = ACTIONS(2898),
    [anon_sym_signed] = ACTIONS(2896),
    [anon_sym_unsigned] = ACTIONS(2896),
    [anon_sym_long] = ACTIONS(2896),
    [anon_sym_short] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_static] = ACTIONS(2896),
    [anon_sym_register] = ACTIONS(2896),
    [anon_sym_inline] = ACTIONS(2896),
    [anon_sym___inline] = ACTIONS(2896),
    [anon_sym___inline__] = ACTIONS(2896),
    [anon_sym___forceinline] = ACTIONS(2896),
    [anon_sym_thread_local] = ACTIONS(2896),
    [anon_sym___thread] = ACTIONS(2896),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_constexpr] = ACTIONS(2896),
    [anon_sym_volatile] = ACTIONS(2896),
    [anon_sym_restrict] = ACTIONS(2896),
    [anon_sym___restrict__] = ACTIONS(2896),
    [anon_sym__Atomic] = ACTIONS(2896),
    [anon_sym__Noreturn] = ACTIONS(2896),
    [anon_sym_noreturn] = ACTIONS(2896),
    [anon_sym__Nonnull] = ACTIONS(2896),
    [anon_sym_mutable] = ACTIONS(2896),
    [anon_sym_constinit] = ACTIONS(2896),
    [anon_sym_consteval] = ACTIONS(2896),
    [anon_sym_PROGMEM] = ACTIONS(2896),
    [anon_sym_alignas] = ACTIONS(2896),
    [anon_sym__Alignas] = ACTIONS(2896),
    [aux_sym_primitive_type_token1] = ACTIONS(2896),
    [anon_sym_byte] = ACTIONS(2896),
    [anon_sym_word] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2896),
    [anon_sym_class] = ACTIONS(2896),
    [anon_sym_struct] = ACTIONS(2896),
    [anon_sym_union] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_else] = ACTIONS(2896),
    [anon_sym_switch] = ACTIONS(2896),
    [anon_sym_case] = ACTIONS(2896),
    [anon_sym_default] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_break] = ACTIONS(2896),
    [anon_sym_continue] = ACTIONS(2896),
    [anon_sym_goto] = ACTIONS(2896),
    [anon_sym___try] = ACTIONS(2896),
    [anon_sym___leave] = ACTIONS(2896),
    [anon_sym_not] = ACTIONS(2896),
    [anon_sym_compl] = ACTIONS(2896),
    [anon_sym_DASH_DASH] = ACTIONS(2898),
    [anon_sym_PLUS_PLUS] = ACTIONS(2898),
    [anon_sym_sizeof] = ACTIONS(2896),
    [anon_sym___alignof__] = ACTIONS(2896),
    [anon_sym___alignof] = ACTIONS(2896),
    [anon_sym__alignof] = ACTIONS(2896),
    [anon_sym_alignof] = ACTIONS(2896),
    [anon_sym__Alignof] = ACTIONS(2896),
    [anon_sym_offsetof] = ACTIONS(2896),
    [anon_sym__Generic] = ACTIONS(2896),
    [anon_sym_asm] = ACTIONS(2896),
    [anon_sym___asm__] = ACTIONS(2896),
    [anon_sym___asm] = ACTIONS(2896),
    [aux_sym_number_literal_token1] = ACTIONS(2898),
    [aux_sym_number_literal_token2] = ACTIONS(2896),
    [anon_sym_L_SQUOTE] = ACTIONS(2898),
    [anon_sym_u_SQUOTE] = ACTIONS(2898),
    [anon_sym_U_SQUOTE] = ACTIONS(2898),
    [anon_sym_u8_SQUOTE] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_L_DQUOTE] = ACTIONS(2898),
    [anon_sym_u_DQUOTE] = ACTIONS(2898),
    [anon_sym_U_DQUOTE] = ACTIONS(2898),
    [anon_sym_u8_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE] = ACTIONS(2898),
    [sym_true] = ACTIONS(2896),
    [sym_false] = ACTIONS(2896),
    [anon_sym_NULL] = ACTIONS(2896),
    [anon_sym_nullptr] = ACTIONS(2896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2896),
    [anon_sym_decltype] = ACTIONS(2896),
    [anon_sym_explicit] = ACTIONS(2896),
    [anon_sym_typename] = ACTIONS(2896),
    [anon_sym_template] = ACTIONS(2896),
    [anon_sym_operator] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_delete] = ACTIONS(2896),
    [anon_sym_throw] = ACTIONS(2896),
    [anon_sym_namespace] = ACTIONS(2896),
    [anon_sym_using] = ACTIONS(2896),
    [anon_sym_static_assert] = ACTIONS(2896),
    [anon_sym_concept] = ACTIONS(2896),
    [anon_sym_co_return] = ACTIONS(2896),
    [anon_sym_co_yield] = ACTIONS(2896),
    [anon_sym_R_DQUOTE] = ACTIONS(2898),
    [anon_sym_LR_DQUOTE] = ACTIONS(2898),
    [anon_sym_uR_DQUOTE] = ACTIONS(2898),
    [anon_sym_UR_DQUOTE] = ACTIONS(2898),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2898),
    [anon_sym_co_await] = ACTIONS(2896),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_requires] = ACTIONS(2896),
    [sym_this] = ACTIONS(2896),
  },
  [425] = {
    [sym_identifier] = ACTIONS(2870),
    [aux_sym_preproc_include_token1] = ACTIONS(2870),
    [aux_sym_preproc_def_token1] = ACTIONS(2870),
    [aux_sym_preproc_if_token1] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2870),
    [sym_preproc_directive] = ACTIONS(2870),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_AMP] = ACTIONS(2870),
    [anon_sym_SEMI] = ACTIONS(2872),
    [anon_sym___extension__] = ACTIONS(2870),
    [anon_sym_typedef] = ACTIONS(2870),
    [anon_sym_virtual] = ACTIONS(2870),
    [anon_sym_extern] = ACTIONS(2870),
    [anon_sym___attribute__] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2872),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2872),
    [anon_sym___declspec] = ACTIONS(2870),
    [anon_sym___based] = ACTIONS(2870),
    [anon_sym___cdecl] = ACTIONS(2870),
    [anon_sym___clrcall] = ACTIONS(2870),
    [anon_sym___stdcall] = ACTIONS(2870),
    [anon_sym___fastcall] = ACTIONS(2870),
    [anon_sym___thiscall] = ACTIONS(2870),
    [anon_sym___vectorcall] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_RBRACE] = ACTIONS(2872),
    [anon_sym_signed] = ACTIONS(2870),
    [anon_sym_unsigned] = ACTIONS(2870),
    [anon_sym_long] = ACTIONS(2870),
    [anon_sym_short] = ACTIONS(2870),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym_static] = ACTIONS(2870),
    [anon_sym_register] = ACTIONS(2870),
    [anon_sym_inline] = ACTIONS(2870),
    [anon_sym___inline] = ACTIONS(2870),
    [anon_sym___inline__] = ACTIONS(2870),
    [anon_sym___forceinline] = ACTIONS(2870),
    [anon_sym_thread_local] = ACTIONS(2870),
    [anon_sym___thread] = ACTIONS(2870),
    [anon_sym_const] = ACTIONS(2870),
    [anon_sym_constexpr] = ACTIONS(2870),
    [anon_sym_volatile] = ACTIONS(2870),
    [anon_sym_restrict] = ACTIONS(2870),
    [anon_sym___restrict__] = ACTIONS(2870),
    [anon_sym__Atomic] = ACTIONS(2870),
    [anon_sym__Noreturn] = ACTIONS(2870),
    [anon_sym_noreturn] = ACTIONS(2870),
    [anon_sym__Nonnull] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2870),
    [anon_sym_constinit] = ACTIONS(2870),
    [anon_sym_consteval] = ACTIONS(2870),
    [anon_sym_PROGMEM] = ACTIONS(2870),
    [anon_sym_alignas] = ACTIONS(2870),
    [anon_sym__Alignas] = ACTIONS(2870),
    [aux_sym_primitive_type_token1] = ACTIONS(2870),
    [anon_sym_byte] = ACTIONS(2870),
    [anon_sym_word] = ACTIONS(2870),
    [anon_sym_enum] = ACTIONS(2870),
    [anon_sym_class] = ACTIONS(2870),
    [anon_sym_struct] = ACTIONS(2870),
    [anon_sym_union] = ACTIONS(2870),
    [anon_sym_if] = ACTIONS(2870),
    [anon_sym_else] = ACTIONS(2870),
    [anon_sym_switch] = ACTIONS(2870),
    [anon_sym_case] = ACTIONS(2870),
    [anon_sym_default] = ACTIONS(2870),
    [anon_sym_while] = ACTIONS(2870),
    [anon_sym_do] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2870),
    [anon_sym_return] = ACTIONS(2870),
    [anon_sym_break] = ACTIONS(2870),
    [anon_sym_continue] = ACTIONS(2870),
    [anon_sym_goto] = ACTIONS(2870),
    [anon_sym___try] = ACTIONS(2870),
    [anon_sym___leave] = ACTIONS(2870),
    [anon_sym_not] = ACTIONS(2870),
    [anon_sym_compl] = ACTIONS(2870),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_sizeof] = ACTIONS(2870),
    [anon_sym___alignof__] = ACTIONS(2870),
    [anon_sym___alignof] = ACTIONS(2870),
    [anon_sym__alignof] = ACTIONS(2870),
    [anon_sym_alignof] = ACTIONS(2870),
    [anon_sym__Alignof] = ACTIONS(2870),
    [anon_sym_offsetof] = ACTIONS(2870),
    [anon_sym__Generic] = ACTIONS(2870),
    [anon_sym_asm] = ACTIONS(2870),
    [anon_sym___asm__] = ACTIONS(2870),
    [anon_sym___asm] = ACTIONS(2870),
    [aux_sym_number_literal_token1] = ACTIONS(2872),
    [aux_sym_number_literal_token2] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2872),
    [anon_sym_u_SQUOTE] = ACTIONS(2872),
    [anon_sym_U_SQUOTE] = ACTIONS(2872),
    [anon_sym_u8_SQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2870),
    [sym_false] = ACTIONS(2870),
    [anon_sym_NULL] = ACTIONS(2870),
    [anon_sym_nullptr] = ACTIONS(2870),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2870),
    [anon_sym_decltype] = ACTIONS(2870),
    [anon_sym_explicit] = ACTIONS(2870),
    [anon_sym_typename] = ACTIONS(2870),
    [anon_sym_template] = ACTIONS(2870),
    [anon_sym_operator] = ACTIONS(2870),
    [anon_sym_try] = ACTIONS(2870),
    [anon_sym_delete] = ACTIONS(2870),
    [anon_sym_throw] = ACTIONS(2870),
    [anon_sym_namespace] = ACTIONS(2870),
    [anon_sym_using] = ACTIONS(2870),
    [anon_sym_static_assert] = ACTIONS(2870),
    [anon_sym_concept] = ACTIONS(2870),
    [anon_sym_co_return] = ACTIONS(2870),
    [anon_sym_co_yield] = ACTIONS(2870),
    [anon_sym_R_DQUOTE] = ACTIONS(2872),
    [anon_sym_LR_DQUOTE] = ACTIONS(2872),
    [anon_sym_uR_DQUOTE] = ACTIONS(2872),
    [anon_sym_UR_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2872),
    [anon_sym_co_await] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2870),
    [anon_sym_requires] = ACTIONS(2870),
    [sym_this] = ACTIONS(2870),
  },
  [426] = {
    [ts_builtin_sym_end] = ACTIONS(2922),
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_include_token1] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym___cdecl] = ACTIONS(2920),
    [anon_sym___clrcall] = ACTIONS(2920),
    [anon_sym___stdcall] = ACTIONS(2920),
    [anon_sym___fastcall] = ACTIONS(2920),
    [anon_sym___thiscall] = ACTIONS(2920),
    [anon_sym___vectorcall] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_PROGMEM] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [aux_sym_primitive_type_token1] = ACTIONS(2920),
    [anon_sym_byte] = ACTIONS(2920),
    [anon_sym_word] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_else] = ACTIONS(2920),
    [anon_sym_switch] = ACTIONS(2920),
    [anon_sym_case] = ACTIONS(2920),
    [anon_sym_default] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_break] = ACTIONS(2920),
    [anon_sym_continue] = ACTIONS(2920),
    [anon_sym_goto] = ACTIONS(2920),
    [anon_sym___try] = ACTIONS(2920),
    [anon_sym___leave] = ACTIONS(2920),
    [anon_sym_not] = ACTIONS(2920),
    [anon_sym_compl] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_sizeof] = ACTIONS(2920),
    [anon_sym___alignof__] = ACTIONS(2920),
    [anon_sym___alignof] = ACTIONS(2920),
    [anon_sym__alignof] = ACTIONS(2920),
    [anon_sym_alignof] = ACTIONS(2920),
    [anon_sym__Alignof] = ACTIONS(2920),
    [anon_sym_offsetof] = ACTIONS(2920),
    [anon_sym__Generic] = ACTIONS(2920),
    [anon_sym_asm] = ACTIONS(2920),
    [anon_sym___asm__] = ACTIONS(2920),
    [anon_sym___asm] = ACTIONS(2920),
    [aux_sym_number_literal_token1] = ACTIONS(2922),
    [aux_sym_number_literal_token2] = ACTIONS(2920),
    [anon_sym_L_SQUOTE] = ACTIONS(2922),
    [anon_sym_u_SQUOTE] = ACTIONS(2922),
    [anon_sym_U_SQUOTE] = ACTIONS(2922),
    [anon_sym_u8_SQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_L_DQUOTE] = ACTIONS(2922),
    [anon_sym_u_DQUOTE] = ACTIONS(2922),
    [anon_sym_U_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [sym_true] = ACTIONS(2920),
    [sym_false] = ACTIONS(2920),
    [anon_sym_NULL] = ACTIONS(2920),
    [anon_sym_nullptr] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_delete] = ACTIONS(2920),
    [anon_sym_throw] = ACTIONS(2920),
    [anon_sym_namespace] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
    [anon_sym_concept] = ACTIONS(2920),
    [anon_sym_co_return] = ACTIONS(2920),
    [anon_sym_co_yield] = ACTIONS(2920),
    [anon_sym_R_DQUOTE] = ACTIONS(2922),
    [anon_sym_LR_DQUOTE] = ACTIONS(2922),
    [anon_sym_uR_DQUOTE] = ACTIONS(2922),
    [anon_sym_UR_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2922),
    [anon_sym_co_await] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_requires] = ACTIONS(2920),
    [sym_this] = ACTIONS(2920),
  },
  [427] = {
    [sym_identifier] = ACTIONS(2904),
    [aux_sym_preproc_include_token1] = ACTIONS(2904),
    [aux_sym_preproc_def_token1] = ACTIONS(2904),
    [aux_sym_preproc_if_token1] = ACTIONS(2904),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2904),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2904),
    [sym_preproc_directive] = ACTIONS(2904),
    [anon_sym_LPAREN2] = ACTIONS(2906),
    [anon_sym_BANG] = ACTIONS(2906),
    [anon_sym_TILDE] = ACTIONS(2906),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_AMP_AMP] = ACTIONS(2906),
    [anon_sym_AMP] = ACTIONS(2904),
    [anon_sym_SEMI] = ACTIONS(2906),
    [anon_sym___extension__] = ACTIONS(2904),
    [anon_sym_typedef] = ACTIONS(2904),
    [anon_sym_virtual] = ACTIONS(2904),
    [anon_sym_extern] = ACTIONS(2904),
    [anon_sym___attribute__] = ACTIONS(2904),
    [anon_sym_COLON_COLON] = ACTIONS(2906),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2906),
    [anon_sym___declspec] = ACTIONS(2904),
    [anon_sym___based] = ACTIONS(2904),
    [anon_sym___cdecl] = ACTIONS(2904),
    [anon_sym___clrcall] = ACTIONS(2904),
    [anon_sym___stdcall] = ACTIONS(2904),
    [anon_sym___fastcall] = ACTIONS(2904),
    [anon_sym___thiscall] = ACTIONS(2904),
    [anon_sym___vectorcall] = ACTIONS(2904),
    [anon_sym_LBRACE] = ACTIONS(2906),
    [anon_sym_RBRACE] = ACTIONS(2906),
    [anon_sym_signed] = ACTIONS(2904),
    [anon_sym_unsigned] = ACTIONS(2904),
    [anon_sym_long] = ACTIONS(2904),
    [anon_sym_short] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_static] = ACTIONS(2904),
    [anon_sym_register] = ACTIONS(2904),
    [anon_sym_inline] = ACTIONS(2904),
    [anon_sym___inline] = ACTIONS(2904),
    [anon_sym___inline__] = ACTIONS(2904),
    [anon_sym___forceinline] = ACTIONS(2904),
    [anon_sym_thread_local] = ACTIONS(2904),
    [anon_sym___thread] = ACTIONS(2904),
    [anon_sym_const] = ACTIONS(2904),
    [anon_sym_constexpr] = ACTIONS(2904),
    [anon_sym_volatile] = ACTIONS(2904),
    [anon_sym_restrict] = ACTIONS(2904),
    [anon_sym___restrict__] = ACTIONS(2904),
    [anon_sym__Atomic] = ACTIONS(2904),
    [anon_sym__Noreturn] = ACTIONS(2904),
    [anon_sym_noreturn] = ACTIONS(2904),
    [anon_sym__Nonnull] = ACTIONS(2904),
    [anon_sym_mutable] = ACTIONS(2904),
    [anon_sym_constinit] = ACTIONS(2904),
    [anon_sym_consteval] = ACTIONS(2904),
    [anon_sym_PROGMEM] = ACTIONS(2904),
    [anon_sym_alignas] = ACTIONS(2904),
    [anon_sym__Alignas] = ACTIONS(2904),
    [aux_sym_primitive_type_token1] = ACTIONS(2904),
    [anon_sym_byte] = ACTIONS(2904),
    [anon_sym_word] = ACTIONS(2904),
    [anon_sym_enum] = ACTIONS(2904),
    [anon_sym_class] = ACTIONS(2904),
    [anon_sym_struct] = ACTIONS(2904),
    [anon_sym_union] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_else] = ACTIONS(2904),
    [anon_sym_switch] = ACTIONS(2904),
    [anon_sym_case] = ACTIONS(2904),
    [anon_sym_default] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_break] = ACTIONS(2904),
    [anon_sym_continue] = ACTIONS(2904),
    [anon_sym_goto] = ACTIONS(2904),
    [anon_sym___try] = ACTIONS(2904),
    [anon_sym___leave] = ACTIONS(2904),
    [anon_sym_not] = ACTIONS(2904),
    [anon_sym_compl] = ACTIONS(2904),
    [anon_sym_DASH_DASH] = ACTIONS(2906),
    [anon_sym_PLUS_PLUS] = ACTIONS(2906),
    [anon_sym_sizeof] = ACTIONS(2904),
    [anon_sym___alignof__] = ACTIONS(2904),
    [anon_sym___alignof] = ACTIONS(2904),
    [anon_sym__alignof] = ACTIONS(2904),
    [anon_sym_alignof] = ACTIONS(2904),
    [anon_sym__Alignof] = ACTIONS(2904),
    [anon_sym_offsetof] = ACTIONS(2904),
    [anon_sym__Generic] = ACTIONS(2904),
    [anon_sym_asm] = ACTIONS(2904),
    [anon_sym___asm__] = ACTIONS(2904),
    [anon_sym___asm] = ACTIONS(2904),
    [aux_sym_number_literal_token1] = ACTIONS(2906),
    [aux_sym_number_literal_token2] = ACTIONS(2904),
    [anon_sym_L_SQUOTE] = ACTIONS(2906),
    [anon_sym_u_SQUOTE] = ACTIONS(2906),
    [anon_sym_U_SQUOTE] = ACTIONS(2906),
    [anon_sym_u8_SQUOTE] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [anon_sym_L_DQUOTE] = ACTIONS(2906),
    [anon_sym_u_DQUOTE] = ACTIONS(2906),
    [anon_sym_U_DQUOTE] = ACTIONS(2906),
    [anon_sym_u8_DQUOTE] = ACTIONS(2906),
    [anon_sym_DQUOTE] = ACTIONS(2906),
    [sym_true] = ACTIONS(2904),
    [sym_false] = ACTIONS(2904),
    [anon_sym_NULL] = ACTIONS(2904),
    [anon_sym_nullptr] = ACTIONS(2904),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2904),
    [anon_sym_decltype] = ACTIONS(2904),
    [anon_sym_explicit] = ACTIONS(2904),
    [anon_sym_typename] = ACTIONS(2904),
    [anon_sym_template] = ACTIONS(2904),
    [anon_sym_operator] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_delete] = ACTIONS(2904),
    [anon_sym_throw] = ACTIONS(2904),
    [anon_sym_namespace] = ACTIONS(2904),
    [anon_sym_using] = ACTIONS(2904),
    [anon_sym_static_assert] = ACTIONS(2904),
    [anon_sym_concept] = ACTIONS(2904),
    [anon_sym_co_return] = ACTIONS(2904),
    [anon_sym_co_yield] = ACTIONS(2904),
    [anon_sym_R_DQUOTE] = ACTIONS(2906),
    [anon_sym_LR_DQUOTE] = ACTIONS(2906),
    [anon_sym_uR_DQUOTE] = ACTIONS(2906),
    [anon_sym_UR_DQUOTE] = ACTIONS(2906),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2906),
    [anon_sym_co_await] = ACTIONS(2904),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_requires] = ACTIONS(2904),
    [sym_this] = ACTIONS(2904),
  },
  [428] = {
    [sym_identifier] = ACTIONS(2810),
    [aux_sym_preproc_include_token1] = ACTIONS(2810),
    [aux_sym_preproc_def_token1] = ACTIONS(2810),
    [aux_sym_preproc_if_token1] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2810),
    [sym_preproc_directive] = ACTIONS(2810),
    [anon_sym_LPAREN2] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2812),
    [anon_sym_TILDE] = ACTIONS(2812),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_AMP_AMP] = ACTIONS(2812),
    [anon_sym_AMP] = ACTIONS(2810),
    [anon_sym_SEMI] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2810),
    [anon_sym_typedef] = ACTIONS(2810),
    [anon_sym_virtual] = ACTIONS(2810),
    [anon_sym_extern] = ACTIONS(2810),
    [anon_sym___attribute__] = ACTIONS(2810),
    [anon_sym_COLON_COLON] = ACTIONS(2812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2812),
    [anon_sym___declspec] = ACTIONS(2810),
    [anon_sym___based] = ACTIONS(2810),
    [anon_sym___cdecl] = ACTIONS(2810),
    [anon_sym___clrcall] = ACTIONS(2810),
    [anon_sym___stdcall] = ACTIONS(2810),
    [anon_sym___fastcall] = ACTIONS(2810),
    [anon_sym___thiscall] = ACTIONS(2810),
    [anon_sym___vectorcall] = ACTIONS(2810),
    [anon_sym_LBRACE] = ACTIONS(2812),
    [anon_sym_RBRACE] = ACTIONS(2812),
    [anon_sym_signed] = ACTIONS(2810),
    [anon_sym_unsigned] = ACTIONS(2810),
    [anon_sym_long] = ACTIONS(2810),
    [anon_sym_short] = ACTIONS(2810),
    [anon_sym_LBRACK] = ACTIONS(2810),
    [anon_sym_static] = ACTIONS(2810),
    [anon_sym_register] = ACTIONS(2810),
    [anon_sym_inline] = ACTIONS(2810),
    [anon_sym___inline] = ACTIONS(2810),
    [anon_sym___inline__] = ACTIONS(2810),
    [anon_sym___forceinline] = ACTIONS(2810),
    [anon_sym_thread_local] = ACTIONS(2810),
    [anon_sym___thread] = ACTIONS(2810),
    [anon_sym_const] = ACTIONS(2810),
    [anon_sym_constexpr] = ACTIONS(2810),
    [anon_sym_volatile] = ACTIONS(2810),
    [anon_sym_restrict] = ACTIONS(2810),
    [anon_sym___restrict__] = ACTIONS(2810),
    [anon_sym__Atomic] = ACTIONS(2810),
    [anon_sym__Noreturn] = ACTIONS(2810),
    [anon_sym_noreturn] = ACTIONS(2810),
    [anon_sym__Nonnull] = ACTIONS(2810),
    [anon_sym_mutable] = ACTIONS(2810),
    [anon_sym_constinit] = ACTIONS(2810),
    [anon_sym_consteval] = ACTIONS(2810),
    [anon_sym_PROGMEM] = ACTIONS(2810),
    [anon_sym_alignas] = ACTIONS(2810),
    [anon_sym__Alignas] = ACTIONS(2810),
    [aux_sym_primitive_type_token1] = ACTIONS(2810),
    [anon_sym_byte] = ACTIONS(2810),
    [anon_sym_word] = ACTIONS(2810),
    [anon_sym_enum] = ACTIONS(2810),
    [anon_sym_class] = ACTIONS(2810),
    [anon_sym_struct] = ACTIONS(2810),
    [anon_sym_union] = ACTIONS(2810),
    [anon_sym_if] = ACTIONS(2810),
    [anon_sym_else] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2810),
    [anon_sym_case] = ACTIONS(2810),
    [anon_sym_default] = ACTIONS(2810),
    [anon_sym_while] = ACTIONS(2810),
    [anon_sym_do] = ACTIONS(2810),
    [anon_sym_for] = ACTIONS(2810),
    [anon_sym_return] = ACTIONS(2810),
    [anon_sym_break] = ACTIONS(2810),
    [anon_sym_continue] = ACTIONS(2810),
    [anon_sym_goto] = ACTIONS(2810),
    [anon_sym___try] = ACTIONS(2810),
    [anon_sym___leave] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(2810),
    [anon_sym_compl] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2812),
    [anon_sym_PLUS_PLUS] = ACTIONS(2812),
    [anon_sym_sizeof] = ACTIONS(2810),
    [anon_sym___alignof__] = ACTIONS(2810),
    [anon_sym___alignof] = ACTIONS(2810),
    [anon_sym__alignof] = ACTIONS(2810),
    [anon_sym_alignof] = ACTIONS(2810),
    [anon_sym__Alignof] = ACTIONS(2810),
    [anon_sym_offsetof] = ACTIONS(2810),
    [anon_sym__Generic] = ACTIONS(2810),
    [anon_sym_asm] = ACTIONS(2810),
    [anon_sym___asm__] = ACTIONS(2810),
    [anon_sym___asm] = ACTIONS(2810),
    [aux_sym_number_literal_token1] = ACTIONS(2812),
    [aux_sym_number_literal_token2] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2812),
    [anon_sym_u_SQUOTE] = ACTIONS(2812),
    [anon_sym_U_SQUOTE] = ACTIONS(2812),
    [anon_sym_u8_SQUOTE] = ACTIONS(2812),
    [anon_sym_SQUOTE] = ACTIONS(2812),
    [anon_sym_L_DQUOTE] = ACTIONS(2812),
    [anon_sym_u_DQUOTE] = ACTIONS(2812),
    [anon_sym_U_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8_DQUOTE] = ACTIONS(2812),
    [anon_sym_DQUOTE] = ACTIONS(2812),
    [sym_true] = ACTIONS(2810),
    [sym_false] = ACTIONS(2810),
    [anon_sym_NULL] = ACTIONS(2810),
    [anon_sym_nullptr] = ACTIONS(2810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2810),
    [anon_sym_decltype] = ACTIONS(2810),
    [anon_sym_explicit] = ACTIONS(2810),
    [anon_sym_typename] = ACTIONS(2810),
    [anon_sym_template] = ACTIONS(2810),
    [anon_sym_operator] = ACTIONS(2810),
    [anon_sym_try] = ACTIONS(2810),
    [anon_sym_delete] = ACTIONS(2810),
    [anon_sym_throw] = ACTIONS(2810),
    [anon_sym_namespace] = ACTIONS(2810),
    [anon_sym_using] = ACTIONS(2810),
    [anon_sym_static_assert] = ACTIONS(2810),
    [anon_sym_concept] = ACTIONS(2810),
    [anon_sym_co_return] = ACTIONS(2810),
    [anon_sym_co_yield] = ACTIONS(2810),
    [anon_sym_R_DQUOTE] = ACTIONS(2812),
    [anon_sym_LR_DQUOTE] = ACTIONS(2812),
    [anon_sym_uR_DQUOTE] = ACTIONS(2812),
    [anon_sym_UR_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2812),
    [anon_sym_co_await] = ACTIONS(2810),
    [anon_sym_new] = ACTIONS(2810),
    [anon_sym_requires] = ACTIONS(2810),
    [sym_this] = ACTIONS(2810),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(2788),
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_virtual] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [anon_sym_PROGMEM] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [aux_sym_primitive_type_token1] = ACTIONS(2786),
    [anon_sym_byte] = ACTIONS(2786),
    [anon_sym_word] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [aux_sym_number_literal_token1] = ACTIONS(2788),
    [aux_sym_number_literal_token2] = ACTIONS(2786),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
    [anon_sym_concept] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [430] = {
    [sym_identifier] = ACTIONS(2916),
    [aux_sym_preproc_include_token1] = ACTIONS(2916),
    [aux_sym_preproc_def_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2916),
    [sym_preproc_directive] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_STAR] = ACTIONS(2918),
    [anon_sym_AMP_AMP] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym___extension__] = ACTIONS(2916),
    [anon_sym_typedef] = ACTIONS(2916),
    [anon_sym_virtual] = ACTIONS(2916),
    [anon_sym_extern] = ACTIONS(2916),
    [anon_sym___attribute__] = ACTIONS(2916),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2918),
    [anon_sym___declspec] = ACTIONS(2916),
    [anon_sym___based] = ACTIONS(2916),
    [anon_sym___cdecl] = ACTIONS(2916),
    [anon_sym___clrcall] = ACTIONS(2916),
    [anon_sym___stdcall] = ACTIONS(2916),
    [anon_sym___fastcall] = ACTIONS(2916),
    [anon_sym___thiscall] = ACTIONS(2916),
    [anon_sym___vectorcall] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_RBRACE] = ACTIONS(2918),
    [anon_sym_signed] = ACTIONS(2916),
    [anon_sym_unsigned] = ACTIONS(2916),
    [anon_sym_long] = ACTIONS(2916),
    [anon_sym_short] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_register] = ACTIONS(2916),
    [anon_sym_inline] = ACTIONS(2916),
    [anon_sym___inline] = ACTIONS(2916),
    [anon_sym___inline__] = ACTIONS(2916),
    [anon_sym___forceinline] = ACTIONS(2916),
    [anon_sym_thread_local] = ACTIONS(2916),
    [anon_sym___thread] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_constexpr] = ACTIONS(2916),
    [anon_sym_volatile] = ACTIONS(2916),
    [anon_sym_restrict] = ACTIONS(2916),
    [anon_sym___restrict__] = ACTIONS(2916),
    [anon_sym__Atomic] = ACTIONS(2916),
    [anon_sym__Noreturn] = ACTIONS(2916),
    [anon_sym_noreturn] = ACTIONS(2916),
    [anon_sym__Nonnull] = ACTIONS(2916),
    [anon_sym_mutable] = ACTIONS(2916),
    [anon_sym_constinit] = ACTIONS(2916),
    [anon_sym_consteval] = ACTIONS(2916),
    [anon_sym_PROGMEM] = ACTIONS(2916),
    [anon_sym_alignas] = ACTIONS(2916),
    [anon_sym__Alignas] = ACTIONS(2916),
    [aux_sym_primitive_type_token1] = ACTIONS(2916),
    [anon_sym_byte] = ACTIONS(2916),
    [anon_sym_word] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_struct] = ACTIONS(2916),
    [anon_sym_union] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_else] = ACTIONS(2916),
    [anon_sym_switch] = ACTIONS(2916),
    [anon_sym_case] = ACTIONS(2916),
    [anon_sym_default] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_break] = ACTIONS(2916),
    [anon_sym_continue] = ACTIONS(2916),
    [anon_sym_goto] = ACTIONS(2916),
    [anon_sym___try] = ACTIONS(2916),
    [anon_sym___leave] = ACTIONS(2916),
    [anon_sym_not] = ACTIONS(2916),
    [anon_sym_compl] = ACTIONS(2916),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_sizeof] = ACTIONS(2916),
    [anon_sym___alignof__] = ACTIONS(2916),
    [anon_sym___alignof] = ACTIONS(2916),
    [anon_sym__alignof] = ACTIONS(2916),
    [anon_sym_alignof] = ACTIONS(2916),
    [anon_sym__Alignof] = ACTIONS(2916),
    [anon_sym_offsetof] = ACTIONS(2916),
    [anon_sym__Generic] = ACTIONS(2916),
    [anon_sym_asm] = ACTIONS(2916),
    [anon_sym___asm__] = ACTIONS(2916),
    [anon_sym___asm] = ACTIONS(2916),
    [aux_sym_number_literal_token1] = ACTIONS(2918),
    [aux_sym_number_literal_token2] = ACTIONS(2916),
    [anon_sym_L_SQUOTE] = ACTIONS(2918),
    [anon_sym_u_SQUOTE] = ACTIONS(2918),
    [anon_sym_U_SQUOTE] = ACTIONS(2918),
    [anon_sym_u8_SQUOTE] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_L_DQUOTE] = ACTIONS(2918),
    [anon_sym_u_DQUOTE] = ACTIONS(2918),
    [anon_sym_U_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE] = ACTIONS(2918),
    [sym_true] = ACTIONS(2916),
    [sym_false] = ACTIONS(2916),
    [anon_sym_NULL] = ACTIONS(2916),
    [anon_sym_nullptr] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2916),
    [anon_sym_decltype] = ACTIONS(2916),
    [anon_sym_explicit] = ACTIONS(2916),
    [anon_sym_typename] = ACTIONS(2916),
    [anon_sym_template] = ACTIONS(2916),
    [anon_sym_operator] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_delete] = ACTIONS(2916),
    [anon_sym_throw] = ACTIONS(2916),
    [anon_sym_namespace] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_static_assert] = ACTIONS(2916),
    [anon_sym_concept] = ACTIONS(2916),
    [anon_sym_co_return] = ACTIONS(2916),
    [anon_sym_co_yield] = ACTIONS(2916),
    [anon_sym_R_DQUOTE] = ACTIONS(2918),
    [anon_sym_LR_DQUOTE] = ACTIONS(2918),
    [anon_sym_uR_DQUOTE] = ACTIONS(2918),
    [anon_sym_UR_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2918),
    [anon_sym_co_await] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_requires] = ACTIONS(2916),
    [sym_this] = ACTIONS(2916),
  },
  [431] = {
    [sym_identifier] = ACTIONS(2866),
    [aux_sym_preproc_include_token1] = ACTIONS(2866),
    [aux_sym_preproc_def_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2866),
    [sym_preproc_directive] = ACTIONS(2866),
    [anon_sym_LPAREN2] = ACTIONS(2868),
    [anon_sym_BANG] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2866),
    [anon_sym_STAR] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_AMP] = ACTIONS(2866),
    [anon_sym_SEMI] = ACTIONS(2868),
    [anon_sym___extension__] = ACTIONS(2866),
    [anon_sym_typedef] = ACTIONS(2866),
    [anon_sym_virtual] = ACTIONS(2866),
    [anon_sym_extern] = ACTIONS(2866),
    [anon_sym___attribute__] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2868),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2868),
    [anon_sym___declspec] = ACTIONS(2866),
    [anon_sym___based] = ACTIONS(2866),
    [anon_sym___cdecl] = ACTIONS(2866),
    [anon_sym___clrcall] = ACTIONS(2866),
    [anon_sym___stdcall] = ACTIONS(2866),
    [anon_sym___fastcall] = ACTIONS(2866),
    [anon_sym___thiscall] = ACTIONS(2866),
    [anon_sym___vectorcall] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_RBRACE] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2866),
    [anon_sym_unsigned] = ACTIONS(2866),
    [anon_sym_long] = ACTIONS(2866),
    [anon_sym_short] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_register] = ACTIONS(2866),
    [anon_sym_inline] = ACTIONS(2866),
    [anon_sym___inline] = ACTIONS(2866),
    [anon_sym___inline__] = ACTIONS(2866),
    [anon_sym___forceinline] = ACTIONS(2866),
    [anon_sym_thread_local] = ACTIONS(2866),
    [anon_sym___thread] = ACTIONS(2866),
    [anon_sym_const] = ACTIONS(2866),
    [anon_sym_constexpr] = ACTIONS(2866),
    [anon_sym_volatile] = ACTIONS(2866),
    [anon_sym_restrict] = ACTIONS(2866),
    [anon_sym___restrict__] = ACTIONS(2866),
    [anon_sym__Atomic] = ACTIONS(2866),
    [anon_sym__Noreturn] = ACTIONS(2866),
    [anon_sym_noreturn] = ACTIONS(2866),
    [anon_sym__Nonnull] = ACTIONS(2866),
    [anon_sym_mutable] = ACTIONS(2866),
    [anon_sym_constinit] = ACTIONS(2866),
    [anon_sym_consteval] = ACTIONS(2866),
    [anon_sym_PROGMEM] = ACTIONS(2866),
    [anon_sym_alignas] = ACTIONS(2866),
    [anon_sym__Alignas] = ACTIONS(2866),
    [aux_sym_primitive_type_token1] = ACTIONS(2866),
    [anon_sym_byte] = ACTIONS(2866),
    [anon_sym_word] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_union] = ACTIONS(2866),
    [anon_sym_if] = ACTIONS(2866),
    [anon_sym_else] = ACTIONS(2866),
    [anon_sym_switch] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_default] = ACTIONS(2866),
    [anon_sym_while] = ACTIONS(2866),
    [anon_sym_do] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2866),
    [anon_sym_return] = ACTIONS(2866),
    [anon_sym_break] = ACTIONS(2866),
    [anon_sym_continue] = ACTIONS(2866),
    [anon_sym_goto] = ACTIONS(2866),
    [anon_sym___try] = ACTIONS(2866),
    [anon_sym___leave] = ACTIONS(2866),
    [anon_sym_not] = ACTIONS(2866),
    [anon_sym_compl] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_PLUS] = ACTIONS(2868),
    [anon_sym_sizeof] = ACTIONS(2866),
    [anon_sym___alignof__] = ACTIONS(2866),
    [anon_sym___alignof] = ACTIONS(2866),
    [anon_sym__alignof] = ACTIONS(2866),
    [anon_sym_alignof] = ACTIONS(2866),
    [anon_sym__Alignof] = ACTIONS(2866),
    [anon_sym_offsetof] = ACTIONS(2866),
    [anon_sym__Generic] = ACTIONS(2866),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [anon_sym___asm] = ACTIONS(2866),
    [aux_sym_number_literal_token1] = ACTIONS(2868),
    [aux_sym_number_literal_token2] = ACTIONS(2866),
    [anon_sym_L_SQUOTE] = ACTIONS(2868),
    [anon_sym_u_SQUOTE] = ACTIONS(2868),
    [anon_sym_U_SQUOTE] = ACTIONS(2868),
    [anon_sym_u8_SQUOTE] = ACTIONS(2868),
    [anon_sym_SQUOTE] = ACTIONS(2868),
    [anon_sym_L_DQUOTE] = ACTIONS(2868),
    [anon_sym_u_DQUOTE] = ACTIONS(2868),
    [anon_sym_U_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [sym_true] = ACTIONS(2866),
    [sym_false] = ACTIONS(2866),
    [anon_sym_NULL] = ACTIONS(2866),
    [anon_sym_nullptr] = ACTIONS(2866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2866),
    [anon_sym_decltype] = ACTIONS(2866),
    [anon_sym_explicit] = ACTIONS(2866),
    [anon_sym_typename] = ACTIONS(2866),
    [anon_sym_template] = ACTIONS(2866),
    [anon_sym_operator] = ACTIONS(2866),
    [anon_sym_try] = ACTIONS(2866),
    [anon_sym_delete] = ACTIONS(2866),
    [anon_sym_throw] = ACTIONS(2866),
    [anon_sym_namespace] = ACTIONS(2866),
    [anon_sym_using] = ACTIONS(2866),
    [anon_sym_static_assert] = ACTIONS(2866),
    [anon_sym_concept] = ACTIONS(2866),
    [anon_sym_co_return] = ACTIONS(2866),
    [anon_sym_co_yield] = ACTIONS(2866),
    [anon_sym_R_DQUOTE] = ACTIONS(2868),
    [anon_sym_LR_DQUOTE] = ACTIONS(2868),
    [anon_sym_uR_DQUOTE] = ACTIONS(2868),
    [anon_sym_UR_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2868),
    [anon_sym_co_await] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2866),
    [anon_sym_requires] = ACTIONS(2866),
    [sym_this] = ACTIONS(2866),
  },
  [432] = {
    [sym_identifier] = ACTIONS(2908),
    [aux_sym_preproc_include_token1] = ACTIONS(2908),
    [aux_sym_preproc_def_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token1] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2908),
    [sym_preproc_directive] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(2910),
    [anon_sym_AMP_AMP] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym___extension__] = ACTIONS(2908),
    [anon_sym_typedef] = ACTIONS(2908),
    [anon_sym_virtual] = ACTIONS(2908),
    [anon_sym_extern] = ACTIONS(2908),
    [anon_sym___attribute__] = ACTIONS(2908),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2910),
    [anon_sym___declspec] = ACTIONS(2908),
    [anon_sym___based] = ACTIONS(2908),
    [anon_sym___cdecl] = ACTIONS(2908),
    [anon_sym___clrcall] = ACTIONS(2908),
    [anon_sym___stdcall] = ACTIONS(2908),
    [anon_sym___fastcall] = ACTIONS(2908),
    [anon_sym___thiscall] = ACTIONS(2908),
    [anon_sym___vectorcall] = ACTIONS(2908),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_signed] = ACTIONS(2908),
    [anon_sym_unsigned] = ACTIONS(2908),
    [anon_sym_long] = ACTIONS(2908),
    [anon_sym_short] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_static] = ACTIONS(2908),
    [anon_sym_register] = ACTIONS(2908),
    [anon_sym_inline] = ACTIONS(2908),
    [anon_sym___inline] = ACTIONS(2908),
    [anon_sym___inline__] = ACTIONS(2908),
    [anon_sym___forceinline] = ACTIONS(2908),
    [anon_sym_thread_local] = ACTIONS(2908),
    [anon_sym___thread] = ACTIONS(2908),
    [anon_sym_const] = ACTIONS(2908),
    [anon_sym_constexpr] = ACTIONS(2908),
    [anon_sym_volatile] = ACTIONS(2908),
    [anon_sym_restrict] = ACTIONS(2908),
    [anon_sym___restrict__] = ACTIONS(2908),
    [anon_sym__Atomic] = ACTIONS(2908),
    [anon_sym__Noreturn] = ACTIONS(2908),
    [anon_sym_noreturn] = ACTIONS(2908),
    [anon_sym__Nonnull] = ACTIONS(2908),
    [anon_sym_mutable] = ACTIONS(2908),
    [anon_sym_constinit] = ACTIONS(2908),
    [anon_sym_consteval] = ACTIONS(2908),
    [anon_sym_PROGMEM] = ACTIONS(2908),
    [anon_sym_alignas] = ACTIONS(2908),
    [anon_sym__Alignas] = ACTIONS(2908),
    [aux_sym_primitive_type_token1] = ACTIONS(2908),
    [anon_sym_byte] = ACTIONS(2908),
    [anon_sym_word] = ACTIONS(2908),
    [anon_sym_enum] = ACTIONS(2908),
    [anon_sym_class] = ACTIONS(2908),
    [anon_sym_struct] = ACTIONS(2908),
    [anon_sym_union] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_else] = ACTIONS(2908),
    [anon_sym_switch] = ACTIONS(2908),
    [anon_sym_case] = ACTIONS(2908),
    [anon_sym_default] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_break] = ACTIONS(2908),
    [anon_sym_continue] = ACTIONS(2908),
    [anon_sym_goto] = ACTIONS(2908),
    [anon_sym___try] = ACTIONS(2908),
    [anon_sym___leave] = ACTIONS(2908),
    [anon_sym_not] = ACTIONS(2908),
    [anon_sym_compl] = ACTIONS(2908),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_sizeof] = ACTIONS(2908),
    [anon_sym___alignof__] = ACTIONS(2908),
    [anon_sym___alignof] = ACTIONS(2908),
    [anon_sym__alignof] = ACTIONS(2908),
    [anon_sym_alignof] = ACTIONS(2908),
    [anon_sym__Alignof] = ACTIONS(2908),
    [anon_sym_offsetof] = ACTIONS(2908),
    [anon_sym__Generic] = ACTIONS(2908),
    [anon_sym_asm] = ACTIONS(2908),
    [anon_sym___asm__] = ACTIONS(2908),
    [anon_sym___asm] = ACTIONS(2908),
    [aux_sym_number_literal_token1] = ACTIONS(2910),
    [aux_sym_number_literal_token2] = ACTIONS(2908),
    [anon_sym_L_SQUOTE] = ACTIONS(2910),
    [anon_sym_u_SQUOTE] = ACTIONS(2910),
    [anon_sym_U_SQUOTE] = ACTIONS(2910),
    [anon_sym_u8_SQUOTE] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_L_DQUOTE] = ACTIONS(2910),
    [anon_sym_u_DQUOTE] = ACTIONS(2910),
    [anon_sym_U_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE] = ACTIONS(2910),
    [sym_true] = ACTIONS(2908),
    [sym_false] = ACTIONS(2908),
    [anon_sym_NULL] = ACTIONS(2908),
    [anon_sym_nullptr] = ACTIONS(2908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2908),
    [anon_sym_decltype] = ACTIONS(2908),
    [anon_sym_explicit] = ACTIONS(2908),
    [anon_sym_typename] = ACTIONS(2908),
    [anon_sym_template] = ACTIONS(2908),
    [anon_sym_operator] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_delete] = ACTIONS(2908),
    [anon_sym_throw] = ACTIONS(2908),
    [anon_sym_namespace] = ACTIONS(2908),
    [anon_sym_using] = ACTIONS(2908),
    [anon_sym_static_assert] = ACTIONS(2908),
    [anon_sym_concept] = ACTIONS(2908),
    [anon_sym_co_return] = ACTIONS(2908),
    [anon_sym_co_yield] = ACTIONS(2908),
    [anon_sym_R_DQUOTE] = ACTIONS(2910),
    [anon_sym_LR_DQUOTE] = ACTIONS(2910),
    [anon_sym_uR_DQUOTE] = ACTIONS(2910),
    [anon_sym_UR_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2910),
    [anon_sym_co_await] = ACTIONS(2908),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_requires] = ACTIONS(2908),
    [sym_this] = ACTIONS(2908),
  },
  [433] = {
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_include_token1] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym___cdecl] = ACTIONS(2912),
    [anon_sym___clrcall] = ACTIONS(2912),
    [anon_sym___stdcall] = ACTIONS(2912),
    [anon_sym___fastcall] = ACTIONS(2912),
    [anon_sym___thiscall] = ACTIONS(2912),
    [anon_sym___vectorcall] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_RBRACE] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_PROGMEM] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [aux_sym_primitive_type_token1] = ACTIONS(2912),
    [anon_sym_byte] = ACTIONS(2912),
    [anon_sym_word] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_else] = ACTIONS(2912),
    [anon_sym_switch] = ACTIONS(2912),
    [anon_sym_case] = ACTIONS(2912),
    [anon_sym_default] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_break] = ACTIONS(2912),
    [anon_sym_continue] = ACTIONS(2912),
    [anon_sym_goto] = ACTIONS(2912),
    [anon_sym___try] = ACTIONS(2912),
    [anon_sym___leave] = ACTIONS(2912),
    [anon_sym_not] = ACTIONS(2912),
    [anon_sym_compl] = ACTIONS(2912),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(2912),
    [anon_sym___alignof] = ACTIONS(2912),
    [anon_sym__alignof] = ACTIONS(2912),
    [anon_sym_alignof] = ACTIONS(2912),
    [anon_sym__Alignof] = ACTIONS(2912),
    [anon_sym_offsetof] = ACTIONS(2912),
    [anon_sym__Generic] = ACTIONS(2912),
    [anon_sym_asm] = ACTIONS(2912),
    [anon_sym___asm__] = ACTIONS(2912),
    [anon_sym___asm] = ACTIONS(2912),
    [aux_sym_number_literal_token1] = ACTIONS(2914),
    [aux_sym_number_literal_token2] = ACTIONS(2912),
    [anon_sym_L_SQUOTE] = ACTIONS(2914),
    [anon_sym_u_SQUOTE] = ACTIONS(2914),
    [anon_sym_U_SQUOTE] = ACTIONS(2914),
    [anon_sym_u8_SQUOTE] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_L_DQUOTE] = ACTIONS(2914),
    [anon_sym_u_DQUOTE] = ACTIONS(2914),
    [anon_sym_U_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(2914),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [anon_sym_NULL] = ACTIONS(2912),
    [anon_sym_nullptr] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_delete] = ACTIONS(2912),
    [anon_sym_throw] = ACTIONS(2912),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
    [anon_sym_concept] = ACTIONS(2912),
    [anon_sym_co_return] = ACTIONS(2912),
    [anon_sym_co_yield] = ACTIONS(2912),
    [anon_sym_R_DQUOTE] = ACTIONS(2914),
    [anon_sym_LR_DQUOTE] = ACTIONS(2914),
    [anon_sym_uR_DQUOTE] = ACTIONS(2914),
    [anon_sym_UR_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2914),
    [anon_sym_co_await] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_requires] = ACTIONS(2912),
    [sym_this] = ACTIONS(2912),
  },
  [434] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_RBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_PROGMEM] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [aux_sym_primitive_type_token1] = ACTIONS(2790),
    [anon_sym_byte] = ACTIONS(2790),
    [anon_sym_word] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [aux_sym_number_literal_token1] = ACTIONS(2792),
    [aux_sym_number_literal_token2] = ACTIONS(2790),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
    [anon_sym_concept] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(2890),
    [sym_identifier] = ACTIONS(2888),
    [aux_sym_preproc_include_token1] = ACTIONS(2888),
    [aux_sym_preproc_def_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2888),
    [sym_preproc_directive] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_BANG] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_AMP_AMP] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2890),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2890),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym___based] = ACTIONS(2888),
    [anon_sym___cdecl] = ACTIONS(2888),
    [anon_sym___clrcall] = ACTIONS(2888),
    [anon_sym___stdcall] = ACTIONS(2888),
    [anon_sym___fastcall] = ACTIONS(2888),
    [anon_sym___thiscall] = ACTIONS(2888),
    [anon_sym___vectorcall] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_PROGMEM] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym__Alignas] = ACTIONS(2888),
    [aux_sym_primitive_type_token1] = ACTIONS(2888),
    [anon_sym_byte] = ACTIONS(2888),
    [anon_sym_word] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_else] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_default] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_goto] = ACTIONS(2888),
    [anon_sym___try] = ACTIONS(2888),
    [anon_sym___leave] = ACTIONS(2888),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_compl] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2890),
    [anon_sym_sizeof] = ACTIONS(2888),
    [anon_sym___alignof__] = ACTIONS(2888),
    [anon_sym___alignof] = ACTIONS(2888),
    [anon_sym__alignof] = ACTIONS(2888),
    [anon_sym_alignof] = ACTIONS(2888),
    [anon_sym__Alignof] = ACTIONS(2888),
    [anon_sym_offsetof] = ACTIONS(2888),
    [anon_sym__Generic] = ACTIONS(2888),
    [anon_sym_asm] = ACTIONS(2888),
    [anon_sym___asm__] = ACTIONS(2888),
    [anon_sym___asm] = ACTIONS(2888),
    [aux_sym_number_literal_token1] = ACTIONS(2890),
    [aux_sym_number_literal_token2] = ACTIONS(2888),
    [anon_sym_L_SQUOTE] = ACTIONS(2890),
    [anon_sym_u_SQUOTE] = ACTIONS(2890),
    [anon_sym_U_SQUOTE] = ACTIONS(2890),
    [anon_sym_u8_SQUOTE] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_L_DQUOTE] = ACTIONS(2890),
    [anon_sym_u_DQUOTE] = ACTIONS(2890),
    [anon_sym_U_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE] = ACTIONS(2890),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [anon_sym_NULL] = ACTIONS(2888),
    [anon_sym_nullptr] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_operator] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_static_assert] = ACTIONS(2888),
    [anon_sym_concept] = ACTIONS(2888),
    [anon_sym_co_return] = ACTIONS(2888),
    [anon_sym_co_yield] = ACTIONS(2888),
    [anon_sym_R_DQUOTE] = ACTIONS(2890),
    [anon_sym_LR_DQUOTE] = ACTIONS(2890),
    [anon_sym_uR_DQUOTE] = ACTIONS(2890),
    [anon_sym_UR_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2890),
    [anon_sym_co_await] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_requires] = ACTIONS(2888),
    [sym_this] = ACTIONS(2888),
  },
  [436] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_RBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_PROGMEM] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [aux_sym_primitive_type_token1] = ACTIONS(2790),
    [anon_sym_byte] = ACTIONS(2790),
    [anon_sym_word] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [aux_sym_number_literal_token1] = ACTIONS(2792),
    [aux_sym_number_literal_token2] = ACTIONS(2790),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
    [anon_sym_concept] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [437] = {
    [sym_identifier] = ACTIONS(2834),
    [aux_sym_preproc_include_token1] = ACTIONS(2834),
    [aux_sym_preproc_def_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token2] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2834),
    [sym_preproc_directive] = ACTIONS(2834),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2834),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_virtual] = ACTIONS(2834),
    [anon_sym_extern] = ACTIONS(2834),
    [anon_sym___attribute__] = ACTIONS(2834),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2836),
    [anon_sym___declspec] = ACTIONS(2834),
    [anon_sym___based] = ACTIONS(2834),
    [anon_sym___cdecl] = ACTIONS(2834),
    [anon_sym___clrcall] = ACTIONS(2834),
    [anon_sym___stdcall] = ACTIONS(2834),
    [anon_sym___fastcall] = ACTIONS(2834),
    [anon_sym___thiscall] = ACTIONS(2834),
    [anon_sym___vectorcall] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_signed] = ACTIONS(2834),
    [anon_sym_unsigned] = ACTIONS(2834),
    [anon_sym_long] = ACTIONS(2834),
    [anon_sym_short] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_register] = ACTIONS(2834),
    [anon_sym_inline] = ACTIONS(2834),
    [anon_sym___inline] = ACTIONS(2834),
    [anon_sym___inline__] = ACTIONS(2834),
    [anon_sym___forceinline] = ACTIONS(2834),
    [anon_sym_thread_local] = ACTIONS(2834),
    [anon_sym___thread] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_constexpr] = ACTIONS(2834),
    [anon_sym_volatile] = ACTIONS(2834),
    [anon_sym_restrict] = ACTIONS(2834),
    [anon_sym___restrict__] = ACTIONS(2834),
    [anon_sym__Atomic] = ACTIONS(2834),
    [anon_sym__Noreturn] = ACTIONS(2834),
    [anon_sym_noreturn] = ACTIONS(2834),
    [anon_sym__Nonnull] = ACTIONS(2834),
    [anon_sym_mutable] = ACTIONS(2834),
    [anon_sym_constinit] = ACTIONS(2834),
    [anon_sym_consteval] = ACTIONS(2834),
    [anon_sym_PROGMEM] = ACTIONS(2834),
    [anon_sym_alignas] = ACTIONS(2834),
    [anon_sym__Alignas] = ACTIONS(2834),
    [aux_sym_primitive_type_token1] = ACTIONS(2834),
    [anon_sym_byte] = ACTIONS(2834),
    [anon_sym_word] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_struct] = ACTIONS(2834),
    [anon_sym_union] = ACTIONS(2834),
    [anon_sym_if] = ACTIONS(2834),
    [anon_sym_else] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2834),
    [anon_sym_case] = ACTIONS(2834),
    [anon_sym_default] = ACTIONS(2834),
    [anon_sym_while] = ACTIONS(2834),
    [anon_sym_do] = ACTIONS(2834),
    [anon_sym_for] = ACTIONS(2834),
    [anon_sym_return] = ACTIONS(2834),
    [anon_sym_break] = ACTIONS(2834),
    [anon_sym_continue] = ACTIONS(2834),
    [anon_sym_goto] = ACTIONS(2834),
    [anon_sym___try] = ACTIONS(2834),
    [anon_sym___leave] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_compl] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_sizeof] = ACTIONS(2834),
    [anon_sym___alignof__] = ACTIONS(2834),
    [anon_sym___alignof] = ACTIONS(2834),
    [anon_sym__alignof] = ACTIONS(2834),
    [anon_sym_alignof] = ACTIONS(2834),
    [anon_sym__Alignof] = ACTIONS(2834),
    [anon_sym_offsetof] = ACTIONS(2834),
    [anon_sym__Generic] = ACTIONS(2834),
    [anon_sym_asm] = ACTIONS(2834),
    [anon_sym___asm__] = ACTIONS(2834),
    [anon_sym___asm] = ACTIONS(2834),
    [aux_sym_number_literal_token1] = ACTIONS(2836),
    [aux_sym_number_literal_token2] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2836),
    [anon_sym_u_SQUOTE] = ACTIONS(2836),
    [anon_sym_U_SQUOTE] = ACTIONS(2836),
    [anon_sym_u8_SQUOTE] = ACTIONS(2836),
    [anon_sym_SQUOTE] = ACTIONS(2836),
    [anon_sym_L_DQUOTE] = ACTIONS(2836),
    [anon_sym_u_DQUOTE] = ACTIONS(2836),
    [anon_sym_U_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8_DQUOTE] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2836),
    [sym_true] = ACTIONS(2834),
    [sym_false] = ACTIONS(2834),
    [anon_sym_NULL] = ACTIONS(2834),
    [anon_sym_nullptr] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2834),
    [anon_sym_decltype] = ACTIONS(2834),
    [anon_sym_explicit] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2834),
    [anon_sym_template] = ACTIONS(2834),
    [anon_sym_operator] = ACTIONS(2834),
    [anon_sym_try] = ACTIONS(2834),
    [anon_sym_delete] = ACTIONS(2834),
    [anon_sym_throw] = ACTIONS(2834),
    [anon_sym_namespace] = ACTIONS(2834),
    [anon_sym_using] = ACTIONS(2834),
    [anon_sym_static_assert] = ACTIONS(2834),
    [anon_sym_concept] = ACTIONS(2834),
    [anon_sym_co_return] = ACTIONS(2834),
    [anon_sym_co_yield] = ACTIONS(2834),
    [anon_sym_R_DQUOTE] = ACTIONS(2836),
    [anon_sym_LR_DQUOTE] = ACTIONS(2836),
    [anon_sym_uR_DQUOTE] = ACTIONS(2836),
    [anon_sym_UR_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2836),
    [anon_sym_co_await] = ACTIONS(2834),
    [anon_sym_new] = ACTIONS(2834),
    [anon_sym_requires] = ACTIONS(2834),
    [sym_this] = ACTIONS(2834),
  },
  [438] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_include_token1] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token2] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym___cdecl] = ACTIONS(2924),
    [anon_sym___clrcall] = ACTIONS(2924),
    [anon_sym___stdcall] = ACTIONS(2924),
    [anon_sym___fastcall] = ACTIONS(2924),
    [anon_sym___thiscall] = ACTIONS(2924),
    [anon_sym___vectorcall] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_PROGMEM] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [aux_sym_primitive_type_token1] = ACTIONS(2924),
    [anon_sym_byte] = ACTIONS(2924),
    [anon_sym_word] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_else] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym___try] = ACTIONS(2924),
    [anon_sym___leave] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [anon_sym___asm] = ACTIONS(2924),
    [aux_sym_number_literal_token1] = ACTIONS(2926),
    [aux_sym_number_literal_token2] = ACTIONS(2924),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
    [anon_sym_concept] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [439] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token2] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_virtual] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [anon_sym_PROGMEM] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [aux_sym_primitive_type_token1] = ACTIONS(2786),
    [anon_sym_byte] = ACTIONS(2786),
    [anon_sym_word] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [aux_sym_number_literal_token1] = ACTIONS(2788),
    [aux_sym_number_literal_token2] = ACTIONS(2786),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
    [anon_sym_concept] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [440] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token2] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [anon_sym_PROGMEM] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [aux_sym_primitive_type_token1] = ACTIONS(2848),
    [anon_sym_byte] = ACTIONS(2848),
    [anon_sym_word] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_else] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym___leave] = ACTIONS(2848),
    [anon_sym_not] = ACTIONS(2848),
    [anon_sym_compl] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [anon_sym___asm] = ACTIONS(2848),
    [aux_sym_number_literal_token1] = ACTIONS(2850),
    [aux_sym_number_literal_token2] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_namespace] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_concept] = ACTIONS(2848),
    [anon_sym_co_return] = ACTIONS(2848),
    [anon_sym_co_yield] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2850),
    [anon_sym_LR_DQUOTE] = ACTIONS(2850),
    [anon_sym_uR_DQUOTE] = ACTIONS(2850),
    [anon_sym_UR_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2850),
    [anon_sym_co_await] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_requires] = ACTIONS(2848),
    [sym_this] = ACTIONS(2848),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(2902),
    [sym_identifier] = ACTIONS(2900),
    [aux_sym_preproc_include_token1] = ACTIONS(2900),
    [aux_sym_preproc_def_token1] = ACTIONS(2900),
    [aux_sym_preproc_if_token1] = ACTIONS(2900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2900),
    [sym_preproc_directive] = ACTIONS(2900),
    [anon_sym_LPAREN2] = ACTIONS(2902),
    [anon_sym_BANG] = ACTIONS(2902),
    [anon_sym_TILDE] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2902),
    [anon_sym_AMP_AMP] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_SEMI] = ACTIONS(2902),
    [anon_sym___extension__] = ACTIONS(2900),
    [anon_sym_typedef] = ACTIONS(2900),
    [anon_sym_virtual] = ACTIONS(2900),
    [anon_sym_extern] = ACTIONS(2900),
    [anon_sym___attribute__] = ACTIONS(2900),
    [anon_sym_COLON_COLON] = ACTIONS(2902),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2902),
    [anon_sym___declspec] = ACTIONS(2900),
    [anon_sym___based] = ACTIONS(2900),
    [anon_sym___cdecl] = ACTIONS(2900),
    [anon_sym___clrcall] = ACTIONS(2900),
    [anon_sym___stdcall] = ACTIONS(2900),
    [anon_sym___fastcall] = ACTIONS(2900),
    [anon_sym___thiscall] = ACTIONS(2900),
    [anon_sym___vectorcall] = ACTIONS(2900),
    [anon_sym_LBRACE] = ACTIONS(2902),
    [anon_sym_signed] = ACTIONS(2900),
    [anon_sym_unsigned] = ACTIONS(2900),
    [anon_sym_long] = ACTIONS(2900),
    [anon_sym_short] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_register] = ACTIONS(2900),
    [anon_sym_inline] = ACTIONS(2900),
    [anon_sym___inline] = ACTIONS(2900),
    [anon_sym___inline__] = ACTIONS(2900),
    [anon_sym___forceinline] = ACTIONS(2900),
    [anon_sym_thread_local] = ACTIONS(2900),
    [anon_sym___thread] = ACTIONS(2900),
    [anon_sym_const] = ACTIONS(2900),
    [anon_sym_constexpr] = ACTIONS(2900),
    [anon_sym_volatile] = ACTIONS(2900),
    [anon_sym_restrict] = ACTIONS(2900),
    [anon_sym___restrict__] = ACTIONS(2900),
    [anon_sym__Atomic] = ACTIONS(2900),
    [anon_sym__Noreturn] = ACTIONS(2900),
    [anon_sym_noreturn] = ACTIONS(2900),
    [anon_sym__Nonnull] = ACTIONS(2900),
    [anon_sym_mutable] = ACTIONS(2900),
    [anon_sym_constinit] = ACTIONS(2900),
    [anon_sym_consteval] = ACTIONS(2900),
    [anon_sym_PROGMEM] = ACTIONS(2900),
    [anon_sym_alignas] = ACTIONS(2900),
    [anon_sym__Alignas] = ACTIONS(2900),
    [aux_sym_primitive_type_token1] = ACTIONS(2900),
    [anon_sym_byte] = ACTIONS(2900),
    [anon_sym_word] = ACTIONS(2900),
    [anon_sym_enum] = ACTIONS(2900),
    [anon_sym_class] = ACTIONS(2900),
    [anon_sym_struct] = ACTIONS(2900),
    [anon_sym_union] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_else] = ACTIONS(2900),
    [anon_sym_switch] = ACTIONS(2900),
    [anon_sym_case] = ACTIONS(2900),
    [anon_sym_default] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_break] = ACTIONS(2900),
    [anon_sym_continue] = ACTIONS(2900),
    [anon_sym_goto] = ACTIONS(2900),
    [anon_sym___try] = ACTIONS(2900),
    [anon_sym___leave] = ACTIONS(2900),
    [anon_sym_not] = ACTIONS(2900),
    [anon_sym_compl] = ACTIONS(2900),
    [anon_sym_DASH_DASH] = ACTIONS(2902),
    [anon_sym_PLUS_PLUS] = ACTIONS(2902),
    [anon_sym_sizeof] = ACTIONS(2900),
    [anon_sym___alignof__] = ACTIONS(2900),
    [anon_sym___alignof] = ACTIONS(2900),
    [anon_sym__alignof] = ACTIONS(2900),
    [anon_sym_alignof] = ACTIONS(2900),
    [anon_sym__Alignof] = ACTIONS(2900),
    [anon_sym_offsetof] = ACTIONS(2900),
    [anon_sym__Generic] = ACTIONS(2900),
    [anon_sym_asm] = ACTIONS(2900),
    [anon_sym___asm__] = ACTIONS(2900),
    [anon_sym___asm] = ACTIONS(2900),
    [aux_sym_number_literal_token1] = ACTIONS(2902),
    [aux_sym_number_literal_token2] = ACTIONS(2900),
    [anon_sym_L_SQUOTE] = ACTIONS(2902),
    [anon_sym_u_SQUOTE] = ACTIONS(2902),
    [anon_sym_U_SQUOTE] = ACTIONS(2902),
    [anon_sym_u8_SQUOTE] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [anon_sym_L_DQUOTE] = ACTIONS(2902),
    [anon_sym_u_DQUOTE] = ACTIONS(2902),
    [anon_sym_U_DQUOTE] = ACTIONS(2902),
    [anon_sym_u8_DQUOTE] = ACTIONS(2902),
    [anon_sym_DQUOTE] = ACTIONS(2902),
    [sym_true] = ACTIONS(2900),
    [sym_false] = ACTIONS(2900),
    [anon_sym_NULL] = ACTIONS(2900),
    [anon_sym_nullptr] = ACTIONS(2900),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2900),
    [anon_sym_decltype] = ACTIONS(2900),
    [anon_sym_explicit] = ACTIONS(2900),
    [anon_sym_typename] = ACTIONS(2900),
    [anon_sym_template] = ACTIONS(2900),
    [anon_sym_operator] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_delete] = ACTIONS(2900),
    [anon_sym_throw] = ACTIONS(2900),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_using] = ACTIONS(2900),
    [anon_sym_static_assert] = ACTIONS(2900),
    [anon_sym_concept] = ACTIONS(2900),
    [anon_sym_co_return] = ACTIONS(2900),
    [anon_sym_co_yield] = ACTIONS(2900),
    [anon_sym_R_DQUOTE] = ACTIONS(2902),
    [anon_sym_LR_DQUOTE] = ACTIONS(2902),
    [anon_sym_uR_DQUOTE] = ACTIONS(2902),
    [anon_sym_UR_DQUOTE] = ACTIONS(2902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2902),
    [anon_sym_co_await] = ACTIONS(2900),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_requires] = ACTIONS(2900),
    [sym_this] = ACTIONS(2900),
  },
  [442] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_include_token1] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym___cdecl] = ACTIONS(2924),
    [anon_sym___clrcall] = ACTIONS(2924),
    [anon_sym___stdcall] = ACTIONS(2924),
    [anon_sym___fastcall] = ACTIONS(2924),
    [anon_sym___thiscall] = ACTIONS(2924),
    [anon_sym___vectorcall] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_RBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_PROGMEM] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [aux_sym_primitive_type_token1] = ACTIONS(2924),
    [anon_sym_byte] = ACTIONS(2924),
    [anon_sym_word] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_else] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym___try] = ACTIONS(2924),
    [anon_sym___leave] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [anon_sym___asm] = ACTIONS(2924),
    [aux_sym_number_literal_token1] = ACTIONS(2926),
    [aux_sym_number_literal_token2] = ACTIONS(2924),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
    [anon_sym_concept] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(2812),
    [sym_identifier] = ACTIONS(2810),
    [aux_sym_preproc_include_token1] = ACTIONS(2810),
    [aux_sym_preproc_def_token1] = ACTIONS(2810),
    [aux_sym_preproc_if_token1] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2810),
    [sym_preproc_directive] = ACTIONS(2810),
    [anon_sym_LPAREN2] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2812),
    [anon_sym_TILDE] = ACTIONS(2812),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_AMP_AMP] = ACTIONS(2812),
    [anon_sym_AMP] = ACTIONS(2810),
    [anon_sym_SEMI] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2810),
    [anon_sym_typedef] = ACTIONS(2810),
    [anon_sym_virtual] = ACTIONS(2810),
    [anon_sym_extern] = ACTIONS(2810),
    [anon_sym___attribute__] = ACTIONS(2810),
    [anon_sym_COLON_COLON] = ACTIONS(2812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2812),
    [anon_sym___declspec] = ACTIONS(2810),
    [anon_sym___based] = ACTIONS(2810),
    [anon_sym___cdecl] = ACTIONS(2810),
    [anon_sym___clrcall] = ACTIONS(2810),
    [anon_sym___stdcall] = ACTIONS(2810),
    [anon_sym___fastcall] = ACTIONS(2810),
    [anon_sym___thiscall] = ACTIONS(2810),
    [anon_sym___vectorcall] = ACTIONS(2810),
    [anon_sym_LBRACE] = ACTIONS(2812),
    [anon_sym_signed] = ACTIONS(2810),
    [anon_sym_unsigned] = ACTIONS(2810),
    [anon_sym_long] = ACTIONS(2810),
    [anon_sym_short] = ACTIONS(2810),
    [anon_sym_LBRACK] = ACTIONS(2810),
    [anon_sym_static] = ACTIONS(2810),
    [anon_sym_register] = ACTIONS(2810),
    [anon_sym_inline] = ACTIONS(2810),
    [anon_sym___inline] = ACTIONS(2810),
    [anon_sym___inline__] = ACTIONS(2810),
    [anon_sym___forceinline] = ACTIONS(2810),
    [anon_sym_thread_local] = ACTIONS(2810),
    [anon_sym___thread] = ACTIONS(2810),
    [anon_sym_const] = ACTIONS(2810),
    [anon_sym_constexpr] = ACTIONS(2810),
    [anon_sym_volatile] = ACTIONS(2810),
    [anon_sym_restrict] = ACTIONS(2810),
    [anon_sym___restrict__] = ACTIONS(2810),
    [anon_sym__Atomic] = ACTIONS(2810),
    [anon_sym__Noreturn] = ACTIONS(2810),
    [anon_sym_noreturn] = ACTIONS(2810),
    [anon_sym__Nonnull] = ACTIONS(2810),
    [anon_sym_mutable] = ACTIONS(2810),
    [anon_sym_constinit] = ACTIONS(2810),
    [anon_sym_consteval] = ACTIONS(2810),
    [anon_sym_PROGMEM] = ACTIONS(2810),
    [anon_sym_alignas] = ACTIONS(2810),
    [anon_sym__Alignas] = ACTIONS(2810),
    [aux_sym_primitive_type_token1] = ACTIONS(2810),
    [anon_sym_byte] = ACTIONS(2810),
    [anon_sym_word] = ACTIONS(2810),
    [anon_sym_enum] = ACTIONS(2810),
    [anon_sym_class] = ACTIONS(2810),
    [anon_sym_struct] = ACTIONS(2810),
    [anon_sym_union] = ACTIONS(2810),
    [anon_sym_if] = ACTIONS(2810),
    [anon_sym_else] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2810),
    [anon_sym_case] = ACTIONS(2810),
    [anon_sym_default] = ACTIONS(2810),
    [anon_sym_while] = ACTIONS(2810),
    [anon_sym_do] = ACTIONS(2810),
    [anon_sym_for] = ACTIONS(2810),
    [anon_sym_return] = ACTIONS(2810),
    [anon_sym_break] = ACTIONS(2810),
    [anon_sym_continue] = ACTIONS(2810),
    [anon_sym_goto] = ACTIONS(2810),
    [anon_sym___try] = ACTIONS(2810),
    [anon_sym___leave] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(2810),
    [anon_sym_compl] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2812),
    [anon_sym_PLUS_PLUS] = ACTIONS(2812),
    [anon_sym_sizeof] = ACTIONS(2810),
    [anon_sym___alignof__] = ACTIONS(2810),
    [anon_sym___alignof] = ACTIONS(2810),
    [anon_sym__alignof] = ACTIONS(2810),
    [anon_sym_alignof] = ACTIONS(2810),
    [anon_sym__Alignof] = ACTIONS(2810),
    [anon_sym_offsetof] = ACTIONS(2810),
    [anon_sym__Generic] = ACTIONS(2810),
    [anon_sym_asm] = ACTIONS(2810),
    [anon_sym___asm__] = ACTIONS(2810),
    [anon_sym___asm] = ACTIONS(2810),
    [aux_sym_number_literal_token1] = ACTIONS(2812),
    [aux_sym_number_literal_token2] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2812),
    [anon_sym_u_SQUOTE] = ACTIONS(2812),
    [anon_sym_U_SQUOTE] = ACTIONS(2812),
    [anon_sym_u8_SQUOTE] = ACTIONS(2812),
    [anon_sym_SQUOTE] = ACTIONS(2812),
    [anon_sym_L_DQUOTE] = ACTIONS(2812),
    [anon_sym_u_DQUOTE] = ACTIONS(2812),
    [anon_sym_U_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8_DQUOTE] = ACTIONS(2812),
    [anon_sym_DQUOTE] = ACTIONS(2812),
    [sym_true] = ACTIONS(2810),
    [sym_false] = ACTIONS(2810),
    [anon_sym_NULL] = ACTIONS(2810),
    [anon_sym_nullptr] = ACTIONS(2810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2810),
    [anon_sym_decltype] = ACTIONS(2810),
    [anon_sym_explicit] = ACTIONS(2810),
    [anon_sym_typename] = ACTIONS(2810),
    [anon_sym_template] = ACTIONS(2810),
    [anon_sym_operator] = ACTIONS(2810),
    [anon_sym_try] = ACTIONS(2810),
    [anon_sym_delete] = ACTIONS(2810),
    [anon_sym_throw] = ACTIONS(2810),
    [anon_sym_namespace] = ACTIONS(2810),
    [anon_sym_using] = ACTIONS(2810),
    [anon_sym_static_assert] = ACTIONS(2810),
    [anon_sym_concept] = ACTIONS(2810),
    [anon_sym_co_return] = ACTIONS(2810),
    [anon_sym_co_yield] = ACTIONS(2810),
    [anon_sym_R_DQUOTE] = ACTIONS(2812),
    [anon_sym_LR_DQUOTE] = ACTIONS(2812),
    [anon_sym_uR_DQUOTE] = ACTIONS(2812),
    [anon_sym_UR_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2812),
    [anon_sym_co_await] = ACTIONS(2810),
    [anon_sym_new] = ACTIONS(2810),
    [anon_sym_requires] = ACTIONS(2810),
    [sym_this] = ACTIONS(2810),
  },
  [444] = {
    [sym_identifier] = ACTIONS(2856),
    [aux_sym_preproc_include_token1] = ACTIONS(2856),
    [aux_sym_preproc_def_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token2] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2856),
    [sym_preproc_directive] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_AMP_AMP] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2856),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_virtual] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym_COLON_COLON] = ACTIONS(2858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym___based] = ACTIONS(2856),
    [anon_sym___cdecl] = ACTIONS(2856),
    [anon_sym___clrcall] = ACTIONS(2856),
    [anon_sym___stdcall] = ACTIONS(2856),
    [anon_sym___fastcall] = ACTIONS(2856),
    [anon_sym___thiscall] = ACTIONS(2856),
    [anon_sym___vectorcall] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_mutable] = ACTIONS(2856),
    [anon_sym_constinit] = ACTIONS(2856),
    [anon_sym_consteval] = ACTIONS(2856),
    [anon_sym_PROGMEM] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [aux_sym_primitive_type_token1] = ACTIONS(2856),
    [anon_sym_byte] = ACTIONS(2856),
    [anon_sym_word] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [anon_sym_if] = ACTIONS(2856),
    [anon_sym_else] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_case] = ACTIONS(2856),
    [anon_sym_default] = ACTIONS(2856),
    [anon_sym_while] = ACTIONS(2856),
    [anon_sym_do] = ACTIONS(2856),
    [anon_sym_for] = ACTIONS(2856),
    [anon_sym_return] = ACTIONS(2856),
    [anon_sym_break] = ACTIONS(2856),
    [anon_sym_continue] = ACTIONS(2856),
    [anon_sym_goto] = ACTIONS(2856),
    [anon_sym___try] = ACTIONS(2856),
    [anon_sym___leave] = ACTIONS(2856),
    [anon_sym_not] = ACTIONS(2856),
    [anon_sym_compl] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2858),
    [anon_sym_sizeof] = ACTIONS(2856),
    [anon_sym___alignof__] = ACTIONS(2856),
    [anon_sym___alignof] = ACTIONS(2856),
    [anon_sym__alignof] = ACTIONS(2856),
    [anon_sym_alignof] = ACTIONS(2856),
    [anon_sym__Alignof] = ACTIONS(2856),
    [anon_sym_offsetof] = ACTIONS(2856),
    [anon_sym__Generic] = ACTIONS(2856),
    [anon_sym_asm] = ACTIONS(2856),
    [anon_sym___asm__] = ACTIONS(2856),
    [anon_sym___asm] = ACTIONS(2856),
    [aux_sym_number_literal_token1] = ACTIONS(2858),
    [aux_sym_number_literal_token2] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2858),
    [anon_sym_u_SQUOTE] = ACTIONS(2858),
    [anon_sym_U_SQUOTE] = ACTIONS(2858),
    [anon_sym_u8_SQUOTE] = ACTIONS(2858),
    [anon_sym_SQUOTE] = ACTIONS(2858),
    [anon_sym_L_DQUOTE] = ACTIONS(2858),
    [anon_sym_u_DQUOTE] = ACTIONS(2858),
    [anon_sym_U_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8_DQUOTE] = ACTIONS(2858),
    [anon_sym_DQUOTE] = ACTIONS(2858),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [anon_sym_NULL] = ACTIONS(2856),
    [anon_sym_nullptr] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2856),
    [anon_sym_decltype] = ACTIONS(2856),
    [anon_sym_explicit] = ACTIONS(2856),
    [anon_sym_typename] = ACTIONS(2856),
    [anon_sym_template] = ACTIONS(2856),
    [anon_sym_operator] = ACTIONS(2856),
    [anon_sym_try] = ACTIONS(2856),
    [anon_sym_delete] = ACTIONS(2856),
    [anon_sym_throw] = ACTIONS(2856),
    [anon_sym_namespace] = ACTIONS(2856),
    [anon_sym_using] = ACTIONS(2856),
    [anon_sym_static_assert] = ACTIONS(2856),
    [anon_sym_concept] = ACTIONS(2856),
    [anon_sym_co_return] = ACTIONS(2856),
    [anon_sym_co_yield] = ACTIONS(2856),
    [anon_sym_R_DQUOTE] = ACTIONS(2858),
    [anon_sym_LR_DQUOTE] = ACTIONS(2858),
    [anon_sym_uR_DQUOTE] = ACTIONS(2858),
    [anon_sym_UR_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2858),
    [anon_sym_co_await] = ACTIONS(2856),
    [anon_sym_new] = ACTIONS(2856),
    [anon_sym_requires] = ACTIONS(2856),
    [sym_this] = ACTIONS(2856),
  },
  [445] = {
    [sym_identifier] = ACTIONS(2862),
    [aux_sym_preproc_include_token1] = ACTIONS(2862),
    [aux_sym_preproc_def_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token2] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2862),
    [sym_preproc_directive] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(2864),
    [anon_sym_BANG] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2862),
    [anon_sym_PLUS] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2864),
    [anon_sym___extension__] = ACTIONS(2862),
    [anon_sym_typedef] = ACTIONS(2862),
    [anon_sym_virtual] = ACTIONS(2862),
    [anon_sym_extern] = ACTIONS(2862),
    [anon_sym___attribute__] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2864),
    [anon_sym___declspec] = ACTIONS(2862),
    [anon_sym___based] = ACTIONS(2862),
    [anon_sym___cdecl] = ACTIONS(2862),
    [anon_sym___clrcall] = ACTIONS(2862),
    [anon_sym___stdcall] = ACTIONS(2862),
    [anon_sym___fastcall] = ACTIONS(2862),
    [anon_sym___thiscall] = ACTIONS(2862),
    [anon_sym___vectorcall] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2862),
    [anon_sym_unsigned] = ACTIONS(2862),
    [anon_sym_long] = ACTIONS(2862),
    [anon_sym_short] = ACTIONS(2862),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_register] = ACTIONS(2862),
    [anon_sym_inline] = ACTIONS(2862),
    [anon_sym___inline] = ACTIONS(2862),
    [anon_sym___inline__] = ACTIONS(2862),
    [anon_sym___forceinline] = ACTIONS(2862),
    [anon_sym_thread_local] = ACTIONS(2862),
    [anon_sym___thread] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2862),
    [anon_sym_constexpr] = ACTIONS(2862),
    [anon_sym_volatile] = ACTIONS(2862),
    [anon_sym_restrict] = ACTIONS(2862),
    [anon_sym___restrict__] = ACTIONS(2862),
    [anon_sym__Atomic] = ACTIONS(2862),
    [anon_sym__Noreturn] = ACTIONS(2862),
    [anon_sym_noreturn] = ACTIONS(2862),
    [anon_sym__Nonnull] = ACTIONS(2862),
    [anon_sym_mutable] = ACTIONS(2862),
    [anon_sym_constinit] = ACTIONS(2862),
    [anon_sym_consteval] = ACTIONS(2862),
    [anon_sym_PROGMEM] = ACTIONS(2862),
    [anon_sym_alignas] = ACTIONS(2862),
    [anon_sym__Alignas] = ACTIONS(2862),
    [aux_sym_primitive_type_token1] = ACTIONS(2862),
    [anon_sym_byte] = ACTIONS(2862),
    [anon_sym_word] = ACTIONS(2862),
    [anon_sym_enum] = ACTIONS(2862),
    [anon_sym_class] = ACTIONS(2862),
    [anon_sym_struct] = ACTIONS(2862),
    [anon_sym_union] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(2862),
    [anon_sym_else] = ACTIONS(2862),
    [anon_sym_switch] = ACTIONS(2862),
    [anon_sym_case] = ACTIONS(2862),
    [anon_sym_default] = ACTIONS(2862),
    [anon_sym_while] = ACTIONS(2862),
    [anon_sym_do] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2862),
    [anon_sym_return] = ACTIONS(2862),
    [anon_sym_break] = ACTIONS(2862),
    [anon_sym_continue] = ACTIONS(2862),
    [anon_sym_goto] = ACTIONS(2862),
    [anon_sym___try] = ACTIONS(2862),
    [anon_sym___leave] = ACTIONS(2862),
    [anon_sym_not] = ACTIONS(2862),
    [anon_sym_compl] = ACTIONS(2862),
    [anon_sym_DASH_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_PLUS] = ACTIONS(2864),
    [anon_sym_sizeof] = ACTIONS(2862),
    [anon_sym___alignof__] = ACTIONS(2862),
    [anon_sym___alignof] = ACTIONS(2862),
    [anon_sym__alignof] = ACTIONS(2862),
    [anon_sym_alignof] = ACTIONS(2862),
    [anon_sym__Alignof] = ACTIONS(2862),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2862),
    [anon_sym_asm] = ACTIONS(2862),
    [anon_sym___asm__] = ACTIONS(2862),
    [anon_sym___asm] = ACTIONS(2862),
    [aux_sym_number_literal_token1] = ACTIONS(2864),
    [aux_sym_number_literal_token2] = ACTIONS(2862),
    [anon_sym_L_SQUOTE] = ACTIONS(2864),
    [anon_sym_u_SQUOTE] = ACTIONS(2864),
    [anon_sym_U_SQUOTE] = ACTIONS(2864),
    [anon_sym_u8_SQUOTE] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2864),
    [anon_sym_L_DQUOTE] = ACTIONS(2864),
    [anon_sym_u_DQUOTE] = ACTIONS(2864),
    [anon_sym_U_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [sym_true] = ACTIONS(2862),
    [sym_false] = ACTIONS(2862),
    [anon_sym_NULL] = ACTIONS(2862),
    [anon_sym_nullptr] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2862),
    [anon_sym_decltype] = ACTIONS(2862),
    [anon_sym_explicit] = ACTIONS(2862),
    [anon_sym_typename] = ACTIONS(2862),
    [anon_sym_template] = ACTIONS(2862),
    [anon_sym_operator] = ACTIONS(2862),
    [anon_sym_try] = ACTIONS(2862),
    [anon_sym_delete] = ACTIONS(2862),
    [anon_sym_throw] = ACTIONS(2862),
    [anon_sym_namespace] = ACTIONS(2862),
    [anon_sym_using] = ACTIONS(2862),
    [anon_sym_static_assert] = ACTIONS(2862),
    [anon_sym_concept] = ACTIONS(2862),
    [anon_sym_co_return] = ACTIONS(2862),
    [anon_sym_co_yield] = ACTIONS(2862),
    [anon_sym_R_DQUOTE] = ACTIONS(2864),
    [anon_sym_LR_DQUOTE] = ACTIONS(2864),
    [anon_sym_uR_DQUOTE] = ACTIONS(2864),
    [anon_sym_UR_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2864),
    [anon_sym_co_await] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2862),
    [anon_sym_requires] = ACTIONS(2862),
    [sym_this] = ACTIONS(2862),
  },
  [446] = {
    [ts_builtin_sym_end] = ACTIONS(2792),
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_PROGMEM] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [aux_sym_primitive_type_token1] = ACTIONS(2790),
    [anon_sym_byte] = ACTIONS(2790),
    [anon_sym_word] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [aux_sym_number_literal_token1] = ACTIONS(2792),
    [aux_sym_number_literal_token2] = ACTIONS(2790),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
    [anon_sym_concept] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(2792),
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_PROGMEM] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [aux_sym_primitive_type_token1] = ACTIONS(2790),
    [anon_sym_byte] = ACTIONS(2790),
    [anon_sym_word] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [aux_sym_number_literal_token1] = ACTIONS(2792),
    [aux_sym_number_literal_token2] = ACTIONS(2790),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
    [anon_sym_concept] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [448] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_RBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_PROGMEM] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [aux_sym_primitive_type_token1] = ACTIONS(2844),
    [anon_sym_byte] = ACTIONS(2844),
    [anon_sym_word] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_else] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [aux_sym_number_literal_token1] = ACTIONS(2846),
    [aux_sym_number_literal_token2] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [449] = {
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_include_token1] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(1967),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym___cdecl] = ACTIONS(1969),
    [anon_sym___clrcall] = ACTIONS(1969),
    [anon_sym___stdcall] = ACTIONS(1969),
    [anon_sym___fastcall] = ACTIONS(1969),
    [anon_sym___thiscall] = ACTIONS(1969),
    [anon_sym___vectorcall] = ACTIONS(1969),
    [anon_sym_LBRACE] = ACTIONS(1967),
    [anon_sym_RBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [anon_sym_if] = ACTIONS(1969),
    [anon_sym_switch] = ACTIONS(1969),
    [anon_sym_case] = ACTIONS(1969),
    [anon_sym_default] = ACTIONS(1969),
    [anon_sym_while] = ACTIONS(1969),
    [anon_sym_do] = ACTIONS(1969),
    [anon_sym_for] = ACTIONS(1969),
    [anon_sym_return] = ACTIONS(1969),
    [anon_sym_break] = ACTIONS(1969),
    [anon_sym_continue] = ACTIONS(1969),
    [anon_sym_goto] = ACTIONS(1969),
    [anon_sym___try] = ACTIONS(1969),
    [anon_sym___leave] = ACTIONS(1969),
    [anon_sym_not] = ACTIONS(1969),
    [anon_sym_compl] = ACTIONS(1969),
    [anon_sym_DASH_DASH] = ACTIONS(1967),
    [anon_sym_PLUS_PLUS] = ACTIONS(1967),
    [anon_sym_sizeof] = ACTIONS(1969),
    [anon_sym___alignof__] = ACTIONS(1969),
    [anon_sym___alignof] = ACTIONS(1969),
    [anon_sym__alignof] = ACTIONS(1969),
    [anon_sym_alignof] = ACTIONS(1969),
    [anon_sym__Alignof] = ACTIONS(1969),
    [anon_sym_offsetof] = ACTIONS(1969),
    [anon_sym__Generic] = ACTIONS(1969),
    [anon_sym_asm] = ACTIONS(1969),
    [anon_sym___asm__] = ACTIONS(1969),
    [anon_sym___asm] = ACTIONS(1969),
    [aux_sym_number_literal_token1] = ACTIONS(1967),
    [aux_sym_number_literal_token2] = ACTIONS(1969),
    [anon_sym_L_SQUOTE] = ACTIONS(1967),
    [anon_sym_u_SQUOTE] = ACTIONS(1967),
    [anon_sym_U_SQUOTE] = ACTIONS(1967),
    [anon_sym_u8_SQUOTE] = ACTIONS(1967),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_L_DQUOTE] = ACTIONS(1967),
    [anon_sym_u_DQUOTE] = ACTIONS(1967),
    [anon_sym_U_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8_DQUOTE] = ACTIONS(1967),
    [anon_sym_DQUOTE] = ACTIONS(1967),
    [sym_true] = ACTIONS(1969),
    [sym_false] = ACTIONS(1969),
    [anon_sym_NULL] = ACTIONS(1969),
    [anon_sym_nullptr] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_delete] = ACTIONS(1969),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_namespace] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
    [anon_sym_concept] = ACTIONS(1969),
    [anon_sym_co_return] = ACTIONS(1969),
    [anon_sym_co_yield] = ACTIONS(1969),
    [anon_sym_R_DQUOTE] = ACTIONS(1967),
    [anon_sym_LR_DQUOTE] = ACTIONS(1967),
    [anon_sym_uR_DQUOTE] = ACTIONS(1967),
    [anon_sym_UR_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1967),
    [anon_sym_co_await] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_requires] = ACTIONS(1969),
    [sym_this] = ACTIONS(1969),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(2882),
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_include_token1] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym___cdecl] = ACTIONS(2880),
    [anon_sym___clrcall] = ACTIONS(2880),
    [anon_sym___stdcall] = ACTIONS(2880),
    [anon_sym___fastcall] = ACTIONS(2880),
    [anon_sym___thiscall] = ACTIONS(2880),
    [anon_sym___vectorcall] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_PROGMEM] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [aux_sym_primitive_type_token1] = ACTIONS(2880),
    [anon_sym_byte] = ACTIONS(2880),
    [anon_sym_word] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_else] = ACTIONS(2880),
    [anon_sym_switch] = ACTIONS(2880),
    [anon_sym_case] = ACTIONS(2880),
    [anon_sym_default] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_break] = ACTIONS(2880),
    [anon_sym_continue] = ACTIONS(2880),
    [anon_sym_goto] = ACTIONS(2880),
    [anon_sym___try] = ACTIONS(2880),
    [anon_sym___leave] = ACTIONS(2880),
    [anon_sym_not] = ACTIONS(2880),
    [anon_sym_compl] = ACTIONS(2880),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_sizeof] = ACTIONS(2880),
    [anon_sym___alignof__] = ACTIONS(2880),
    [anon_sym___alignof] = ACTIONS(2880),
    [anon_sym__alignof] = ACTIONS(2880),
    [anon_sym_alignof] = ACTIONS(2880),
    [anon_sym__Alignof] = ACTIONS(2880),
    [anon_sym_offsetof] = ACTIONS(2880),
    [anon_sym__Generic] = ACTIONS(2880),
    [anon_sym_asm] = ACTIONS(2880),
    [anon_sym___asm__] = ACTIONS(2880),
    [anon_sym___asm] = ACTIONS(2880),
    [aux_sym_number_literal_token1] = ACTIONS(2882),
    [aux_sym_number_literal_token2] = ACTIONS(2880),
    [anon_sym_L_SQUOTE] = ACTIONS(2882),
    [anon_sym_u_SQUOTE] = ACTIONS(2882),
    [anon_sym_U_SQUOTE] = ACTIONS(2882),
    [anon_sym_u8_SQUOTE] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_L_DQUOTE] = ACTIONS(2882),
    [anon_sym_u_DQUOTE] = ACTIONS(2882),
    [anon_sym_U_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2880),
    [sym_false] = ACTIONS(2880),
    [anon_sym_NULL] = ACTIONS(2880),
    [anon_sym_nullptr] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_delete] = ACTIONS(2880),
    [anon_sym_throw] = ACTIONS(2880),
    [anon_sym_namespace] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
    [anon_sym_concept] = ACTIONS(2880),
    [anon_sym_co_return] = ACTIONS(2880),
    [anon_sym_co_yield] = ACTIONS(2880),
    [anon_sym_R_DQUOTE] = ACTIONS(2882),
    [anon_sym_LR_DQUOTE] = ACTIONS(2882),
    [anon_sym_uR_DQUOTE] = ACTIONS(2882),
    [anon_sym_UR_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2882),
    [anon_sym_co_await] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_requires] = ACTIONS(2880),
    [sym_this] = ACTIONS(2880),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(2864),
    [sym_identifier] = ACTIONS(2862),
    [aux_sym_preproc_include_token1] = ACTIONS(2862),
    [aux_sym_preproc_def_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2862),
    [sym_preproc_directive] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(2864),
    [anon_sym_BANG] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2862),
    [anon_sym_PLUS] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2864),
    [anon_sym___extension__] = ACTIONS(2862),
    [anon_sym_typedef] = ACTIONS(2862),
    [anon_sym_virtual] = ACTIONS(2862),
    [anon_sym_extern] = ACTIONS(2862),
    [anon_sym___attribute__] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2864),
    [anon_sym___declspec] = ACTIONS(2862),
    [anon_sym___based] = ACTIONS(2862),
    [anon_sym___cdecl] = ACTIONS(2862),
    [anon_sym___clrcall] = ACTIONS(2862),
    [anon_sym___stdcall] = ACTIONS(2862),
    [anon_sym___fastcall] = ACTIONS(2862),
    [anon_sym___thiscall] = ACTIONS(2862),
    [anon_sym___vectorcall] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2862),
    [anon_sym_unsigned] = ACTIONS(2862),
    [anon_sym_long] = ACTIONS(2862),
    [anon_sym_short] = ACTIONS(2862),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_register] = ACTIONS(2862),
    [anon_sym_inline] = ACTIONS(2862),
    [anon_sym___inline] = ACTIONS(2862),
    [anon_sym___inline__] = ACTIONS(2862),
    [anon_sym___forceinline] = ACTIONS(2862),
    [anon_sym_thread_local] = ACTIONS(2862),
    [anon_sym___thread] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2862),
    [anon_sym_constexpr] = ACTIONS(2862),
    [anon_sym_volatile] = ACTIONS(2862),
    [anon_sym_restrict] = ACTIONS(2862),
    [anon_sym___restrict__] = ACTIONS(2862),
    [anon_sym__Atomic] = ACTIONS(2862),
    [anon_sym__Noreturn] = ACTIONS(2862),
    [anon_sym_noreturn] = ACTIONS(2862),
    [anon_sym__Nonnull] = ACTIONS(2862),
    [anon_sym_mutable] = ACTIONS(2862),
    [anon_sym_constinit] = ACTIONS(2862),
    [anon_sym_consteval] = ACTIONS(2862),
    [anon_sym_PROGMEM] = ACTIONS(2862),
    [anon_sym_alignas] = ACTIONS(2862),
    [anon_sym__Alignas] = ACTIONS(2862),
    [aux_sym_primitive_type_token1] = ACTIONS(2862),
    [anon_sym_byte] = ACTIONS(2862),
    [anon_sym_word] = ACTIONS(2862),
    [anon_sym_enum] = ACTIONS(2862),
    [anon_sym_class] = ACTIONS(2862),
    [anon_sym_struct] = ACTIONS(2862),
    [anon_sym_union] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(2862),
    [anon_sym_else] = ACTIONS(2862),
    [anon_sym_switch] = ACTIONS(2862),
    [anon_sym_case] = ACTIONS(2862),
    [anon_sym_default] = ACTIONS(2862),
    [anon_sym_while] = ACTIONS(2862),
    [anon_sym_do] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2862),
    [anon_sym_return] = ACTIONS(2862),
    [anon_sym_break] = ACTIONS(2862),
    [anon_sym_continue] = ACTIONS(2862),
    [anon_sym_goto] = ACTIONS(2862),
    [anon_sym___try] = ACTIONS(2862),
    [anon_sym___leave] = ACTIONS(2862),
    [anon_sym_not] = ACTIONS(2862),
    [anon_sym_compl] = ACTIONS(2862),
    [anon_sym_DASH_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_PLUS] = ACTIONS(2864),
    [anon_sym_sizeof] = ACTIONS(2862),
    [anon_sym___alignof__] = ACTIONS(2862),
    [anon_sym___alignof] = ACTIONS(2862),
    [anon_sym__alignof] = ACTIONS(2862),
    [anon_sym_alignof] = ACTIONS(2862),
    [anon_sym__Alignof] = ACTIONS(2862),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2862),
    [anon_sym_asm] = ACTIONS(2862),
    [anon_sym___asm__] = ACTIONS(2862),
    [anon_sym___asm] = ACTIONS(2862),
    [aux_sym_number_literal_token1] = ACTIONS(2864),
    [aux_sym_number_literal_token2] = ACTIONS(2862),
    [anon_sym_L_SQUOTE] = ACTIONS(2864),
    [anon_sym_u_SQUOTE] = ACTIONS(2864),
    [anon_sym_U_SQUOTE] = ACTIONS(2864),
    [anon_sym_u8_SQUOTE] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2864),
    [anon_sym_L_DQUOTE] = ACTIONS(2864),
    [anon_sym_u_DQUOTE] = ACTIONS(2864),
    [anon_sym_U_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [sym_true] = ACTIONS(2862),
    [sym_false] = ACTIONS(2862),
    [anon_sym_NULL] = ACTIONS(2862),
    [anon_sym_nullptr] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2862),
    [anon_sym_decltype] = ACTIONS(2862),
    [anon_sym_explicit] = ACTIONS(2862),
    [anon_sym_typename] = ACTIONS(2862),
    [anon_sym_template] = ACTIONS(2862),
    [anon_sym_operator] = ACTIONS(2862),
    [anon_sym_try] = ACTIONS(2862),
    [anon_sym_delete] = ACTIONS(2862),
    [anon_sym_throw] = ACTIONS(2862),
    [anon_sym_namespace] = ACTIONS(2862),
    [anon_sym_using] = ACTIONS(2862),
    [anon_sym_static_assert] = ACTIONS(2862),
    [anon_sym_concept] = ACTIONS(2862),
    [anon_sym_co_return] = ACTIONS(2862),
    [anon_sym_co_yield] = ACTIONS(2862),
    [anon_sym_R_DQUOTE] = ACTIONS(2864),
    [anon_sym_LR_DQUOTE] = ACTIONS(2864),
    [anon_sym_uR_DQUOTE] = ACTIONS(2864),
    [anon_sym_UR_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2864),
    [anon_sym_co_await] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2862),
    [anon_sym_requires] = ACTIONS(2862),
    [sym_this] = ACTIONS(2862),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(2858),
    [sym_identifier] = ACTIONS(2856),
    [aux_sym_preproc_include_token1] = ACTIONS(2856),
    [aux_sym_preproc_def_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2856),
    [sym_preproc_directive] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_AMP_AMP] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2856),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_virtual] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym_COLON_COLON] = ACTIONS(2858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym___based] = ACTIONS(2856),
    [anon_sym___cdecl] = ACTIONS(2856),
    [anon_sym___clrcall] = ACTIONS(2856),
    [anon_sym___stdcall] = ACTIONS(2856),
    [anon_sym___fastcall] = ACTIONS(2856),
    [anon_sym___thiscall] = ACTIONS(2856),
    [anon_sym___vectorcall] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_mutable] = ACTIONS(2856),
    [anon_sym_constinit] = ACTIONS(2856),
    [anon_sym_consteval] = ACTIONS(2856),
    [anon_sym_PROGMEM] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [aux_sym_primitive_type_token1] = ACTIONS(2856),
    [anon_sym_byte] = ACTIONS(2856),
    [anon_sym_word] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [anon_sym_if] = ACTIONS(2856),
    [anon_sym_else] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_case] = ACTIONS(2856),
    [anon_sym_default] = ACTIONS(2856),
    [anon_sym_while] = ACTIONS(2856),
    [anon_sym_do] = ACTIONS(2856),
    [anon_sym_for] = ACTIONS(2856),
    [anon_sym_return] = ACTIONS(2856),
    [anon_sym_break] = ACTIONS(2856),
    [anon_sym_continue] = ACTIONS(2856),
    [anon_sym_goto] = ACTIONS(2856),
    [anon_sym___try] = ACTIONS(2856),
    [anon_sym___leave] = ACTIONS(2856),
    [anon_sym_not] = ACTIONS(2856),
    [anon_sym_compl] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2858),
    [anon_sym_sizeof] = ACTIONS(2856),
    [anon_sym___alignof__] = ACTIONS(2856),
    [anon_sym___alignof] = ACTIONS(2856),
    [anon_sym__alignof] = ACTIONS(2856),
    [anon_sym_alignof] = ACTIONS(2856),
    [anon_sym__Alignof] = ACTIONS(2856),
    [anon_sym_offsetof] = ACTIONS(2856),
    [anon_sym__Generic] = ACTIONS(2856),
    [anon_sym_asm] = ACTIONS(2856),
    [anon_sym___asm__] = ACTIONS(2856),
    [anon_sym___asm] = ACTIONS(2856),
    [aux_sym_number_literal_token1] = ACTIONS(2858),
    [aux_sym_number_literal_token2] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2858),
    [anon_sym_u_SQUOTE] = ACTIONS(2858),
    [anon_sym_U_SQUOTE] = ACTIONS(2858),
    [anon_sym_u8_SQUOTE] = ACTIONS(2858),
    [anon_sym_SQUOTE] = ACTIONS(2858),
    [anon_sym_L_DQUOTE] = ACTIONS(2858),
    [anon_sym_u_DQUOTE] = ACTIONS(2858),
    [anon_sym_U_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8_DQUOTE] = ACTIONS(2858),
    [anon_sym_DQUOTE] = ACTIONS(2858),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [anon_sym_NULL] = ACTIONS(2856),
    [anon_sym_nullptr] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2856),
    [anon_sym_decltype] = ACTIONS(2856),
    [anon_sym_explicit] = ACTIONS(2856),
    [anon_sym_typename] = ACTIONS(2856),
    [anon_sym_template] = ACTIONS(2856),
    [anon_sym_operator] = ACTIONS(2856),
    [anon_sym_try] = ACTIONS(2856),
    [anon_sym_delete] = ACTIONS(2856),
    [anon_sym_throw] = ACTIONS(2856),
    [anon_sym_namespace] = ACTIONS(2856),
    [anon_sym_using] = ACTIONS(2856),
    [anon_sym_static_assert] = ACTIONS(2856),
    [anon_sym_concept] = ACTIONS(2856),
    [anon_sym_co_return] = ACTIONS(2856),
    [anon_sym_co_yield] = ACTIONS(2856),
    [anon_sym_R_DQUOTE] = ACTIONS(2858),
    [anon_sym_LR_DQUOTE] = ACTIONS(2858),
    [anon_sym_uR_DQUOTE] = ACTIONS(2858),
    [anon_sym_UR_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2858),
    [anon_sym_co_await] = ACTIONS(2856),
    [anon_sym_new] = ACTIONS(2856),
    [anon_sym_requires] = ACTIONS(2856),
    [sym_this] = ACTIONS(2856),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(2854),
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP_AMP] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___based] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [anon_sym_PROGMEM] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [aux_sym_primitive_type_token1] = ACTIONS(2852),
    [anon_sym_byte] = ACTIONS(2852),
    [anon_sym_word] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_else] = ACTIONS(2852),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym___leave] = ACTIONS(2852),
    [anon_sym_not] = ACTIONS(2852),
    [anon_sym_compl] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [anon_sym___asm] = ACTIONS(2852),
    [aux_sym_number_literal_token1] = ACTIONS(2854),
    [aux_sym_number_literal_token2] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_explicit] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_operator] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_namespace] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_static_assert] = ACTIONS(2852),
    [anon_sym_concept] = ACTIONS(2852),
    [anon_sym_co_return] = ACTIONS(2852),
    [anon_sym_co_yield] = ACTIONS(2852),
    [anon_sym_R_DQUOTE] = ACTIONS(2854),
    [anon_sym_LR_DQUOTE] = ACTIONS(2854),
    [anon_sym_uR_DQUOTE] = ACTIONS(2854),
    [anon_sym_UR_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2854),
    [anon_sym_co_await] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_requires] = ACTIONS(2852),
    [sym_this] = ACTIONS(2852),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(2914),
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_include_token1] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym___cdecl] = ACTIONS(2912),
    [anon_sym___clrcall] = ACTIONS(2912),
    [anon_sym___stdcall] = ACTIONS(2912),
    [anon_sym___fastcall] = ACTIONS(2912),
    [anon_sym___thiscall] = ACTIONS(2912),
    [anon_sym___vectorcall] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_PROGMEM] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [aux_sym_primitive_type_token1] = ACTIONS(2912),
    [anon_sym_byte] = ACTIONS(2912),
    [anon_sym_word] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_else] = ACTIONS(2912),
    [anon_sym_switch] = ACTIONS(2912),
    [anon_sym_case] = ACTIONS(2912),
    [anon_sym_default] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_break] = ACTIONS(2912),
    [anon_sym_continue] = ACTIONS(2912),
    [anon_sym_goto] = ACTIONS(2912),
    [anon_sym___try] = ACTIONS(2912),
    [anon_sym___leave] = ACTIONS(2912),
    [anon_sym_not] = ACTIONS(2912),
    [anon_sym_compl] = ACTIONS(2912),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(2912),
    [anon_sym___alignof] = ACTIONS(2912),
    [anon_sym__alignof] = ACTIONS(2912),
    [anon_sym_alignof] = ACTIONS(2912),
    [anon_sym__Alignof] = ACTIONS(2912),
    [anon_sym_offsetof] = ACTIONS(2912),
    [anon_sym__Generic] = ACTIONS(2912),
    [anon_sym_asm] = ACTIONS(2912),
    [anon_sym___asm__] = ACTIONS(2912),
    [anon_sym___asm] = ACTIONS(2912),
    [aux_sym_number_literal_token1] = ACTIONS(2914),
    [aux_sym_number_literal_token2] = ACTIONS(2912),
    [anon_sym_L_SQUOTE] = ACTIONS(2914),
    [anon_sym_u_SQUOTE] = ACTIONS(2914),
    [anon_sym_U_SQUOTE] = ACTIONS(2914),
    [anon_sym_u8_SQUOTE] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_L_DQUOTE] = ACTIONS(2914),
    [anon_sym_u_DQUOTE] = ACTIONS(2914),
    [anon_sym_U_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(2914),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [anon_sym_NULL] = ACTIONS(2912),
    [anon_sym_nullptr] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_delete] = ACTIONS(2912),
    [anon_sym_throw] = ACTIONS(2912),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
    [anon_sym_concept] = ACTIONS(2912),
    [anon_sym_co_return] = ACTIONS(2912),
    [anon_sym_co_yield] = ACTIONS(2912),
    [anon_sym_R_DQUOTE] = ACTIONS(2914),
    [anon_sym_LR_DQUOTE] = ACTIONS(2914),
    [anon_sym_uR_DQUOTE] = ACTIONS(2914),
    [anon_sym_UR_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2914),
    [anon_sym_co_await] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_requires] = ACTIONS(2912),
    [sym_this] = ACTIONS(2912),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(2910),
    [sym_identifier] = ACTIONS(2908),
    [aux_sym_preproc_include_token1] = ACTIONS(2908),
    [aux_sym_preproc_def_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token1] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2908),
    [sym_preproc_directive] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(2910),
    [anon_sym_AMP_AMP] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym___extension__] = ACTIONS(2908),
    [anon_sym_typedef] = ACTIONS(2908),
    [anon_sym_virtual] = ACTIONS(2908),
    [anon_sym_extern] = ACTIONS(2908),
    [anon_sym___attribute__] = ACTIONS(2908),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2910),
    [anon_sym___declspec] = ACTIONS(2908),
    [anon_sym___based] = ACTIONS(2908),
    [anon_sym___cdecl] = ACTIONS(2908),
    [anon_sym___clrcall] = ACTIONS(2908),
    [anon_sym___stdcall] = ACTIONS(2908),
    [anon_sym___fastcall] = ACTIONS(2908),
    [anon_sym___thiscall] = ACTIONS(2908),
    [anon_sym___vectorcall] = ACTIONS(2908),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_signed] = ACTIONS(2908),
    [anon_sym_unsigned] = ACTIONS(2908),
    [anon_sym_long] = ACTIONS(2908),
    [anon_sym_short] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_static] = ACTIONS(2908),
    [anon_sym_register] = ACTIONS(2908),
    [anon_sym_inline] = ACTIONS(2908),
    [anon_sym___inline] = ACTIONS(2908),
    [anon_sym___inline__] = ACTIONS(2908),
    [anon_sym___forceinline] = ACTIONS(2908),
    [anon_sym_thread_local] = ACTIONS(2908),
    [anon_sym___thread] = ACTIONS(2908),
    [anon_sym_const] = ACTIONS(2908),
    [anon_sym_constexpr] = ACTIONS(2908),
    [anon_sym_volatile] = ACTIONS(2908),
    [anon_sym_restrict] = ACTIONS(2908),
    [anon_sym___restrict__] = ACTIONS(2908),
    [anon_sym__Atomic] = ACTIONS(2908),
    [anon_sym__Noreturn] = ACTIONS(2908),
    [anon_sym_noreturn] = ACTIONS(2908),
    [anon_sym__Nonnull] = ACTIONS(2908),
    [anon_sym_mutable] = ACTIONS(2908),
    [anon_sym_constinit] = ACTIONS(2908),
    [anon_sym_consteval] = ACTIONS(2908),
    [anon_sym_PROGMEM] = ACTIONS(2908),
    [anon_sym_alignas] = ACTIONS(2908),
    [anon_sym__Alignas] = ACTIONS(2908),
    [aux_sym_primitive_type_token1] = ACTIONS(2908),
    [anon_sym_byte] = ACTIONS(2908),
    [anon_sym_word] = ACTIONS(2908),
    [anon_sym_enum] = ACTIONS(2908),
    [anon_sym_class] = ACTIONS(2908),
    [anon_sym_struct] = ACTIONS(2908),
    [anon_sym_union] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_else] = ACTIONS(2908),
    [anon_sym_switch] = ACTIONS(2908),
    [anon_sym_case] = ACTIONS(2908),
    [anon_sym_default] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_break] = ACTIONS(2908),
    [anon_sym_continue] = ACTIONS(2908),
    [anon_sym_goto] = ACTIONS(2908),
    [anon_sym___try] = ACTIONS(2908),
    [anon_sym___leave] = ACTIONS(2908),
    [anon_sym_not] = ACTIONS(2908),
    [anon_sym_compl] = ACTIONS(2908),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_sizeof] = ACTIONS(2908),
    [anon_sym___alignof__] = ACTIONS(2908),
    [anon_sym___alignof] = ACTIONS(2908),
    [anon_sym__alignof] = ACTIONS(2908),
    [anon_sym_alignof] = ACTIONS(2908),
    [anon_sym__Alignof] = ACTIONS(2908),
    [anon_sym_offsetof] = ACTIONS(2908),
    [anon_sym__Generic] = ACTIONS(2908),
    [anon_sym_asm] = ACTIONS(2908),
    [anon_sym___asm__] = ACTIONS(2908),
    [anon_sym___asm] = ACTIONS(2908),
    [aux_sym_number_literal_token1] = ACTIONS(2910),
    [aux_sym_number_literal_token2] = ACTIONS(2908),
    [anon_sym_L_SQUOTE] = ACTIONS(2910),
    [anon_sym_u_SQUOTE] = ACTIONS(2910),
    [anon_sym_U_SQUOTE] = ACTIONS(2910),
    [anon_sym_u8_SQUOTE] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_L_DQUOTE] = ACTIONS(2910),
    [anon_sym_u_DQUOTE] = ACTIONS(2910),
    [anon_sym_U_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE] = ACTIONS(2910),
    [sym_true] = ACTIONS(2908),
    [sym_false] = ACTIONS(2908),
    [anon_sym_NULL] = ACTIONS(2908),
    [anon_sym_nullptr] = ACTIONS(2908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2908),
    [anon_sym_decltype] = ACTIONS(2908),
    [anon_sym_explicit] = ACTIONS(2908),
    [anon_sym_typename] = ACTIONS(2908),
    [anon_sym_template] = ACTIONS(2908),
    [anon_sym_operator] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_delete] = ACTIONS(2908),
    [anon_sym_throw] = ACTIONS(2908),
    [anon_sym_namespace] = ACTIONS(2908),
    [anon_sym_using] = ACTIONS(2908),
    [anon_sym_static_assert] = ACTIONS(2908),
    [anon_sym_concept] = ACTIONS(2908),
    [anon_sym_co_return] = ACTIONS(2908),
    [anon_sym_co_yield] = ACTIONS(2908),
    [anon_sym_R_DQUOTE] = ACTIONS(2910),
    [anon_sym_LR_DQUOTE] = ACTIONS(2910),
    [anon_sym_uR_DQUOTE] = ACTIONS(2910),
    [anon_sym_UR_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2910),
    [anon_sym_co_await] = ACTIONS(2908),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_requires] = ACTIONS(2908),
    [sym_this] = ACTIONS(2908),
  },
  [456] = {
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_include_token1] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym___cdecl] = ACTIONS(2876),
    [anon_sym___clrcall] = ACTIONS(2876),
    [anon_sym___stdcall] = ACTIONS(2876),
    [anon_sym___fastcall] = ACTIONS(2876),
    [anon_sym___thiscall] = ACTIONS(2876),
    [anon_sym___vectorcall] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_PROGMEM] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [aux_sym_primitive_type_token1] = ACTIONS(2876),
    [anon_sym_byte] = ACTIONS(2876),
    [anon_sym_word] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_else] = ACTIONS(2876),
    [anon_sym_switch] = ACTIONS(2876),
    [anon_sym_case] = ACTIONS(2876),
    [anon_sym_default] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_break] = ACTIONS(2876),
    [anon_sym_continue] = ACTIONS(2876),
    [anon_sym_goto] = ACTIONS(2876),
    [anon_sym___try] = ACTIONS(2876),
    [anon_sym___leave] = ACTIONS(2876),
    [anon_sym_not] = ACTIONS(2876),
    [anon_sym_compl] = ACTIONS(2876),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_sizeof] = ACTIONS(2876),
    [anon_sym___alignof__] = ACTIONS(2876),
    [anon_sym___alignof] = ACTIONS(2876),
    [anon_sym__alignof] = ACTIONS(2876),
    [anon_sym_alignof] = ACTIONS(2876),
    [anon_sym__Alignof] = ACTIONS(2876),
    [anon_sym_offsetof] = ACTIONS(2876),
    [anon_sym__Generic] = ACTIONS(2876),
    [anon_sym_asm] = ACTIONS(2876),
    [anon_sym___asm__] = ACTIONS(2876),
    [anon_sym___asm] = ACTIONS(2876),
    [aux_sym_number_literal_token1] = ACTIONS(2878),
    [aux_sym_number_literal_token2] = ACTIONS(2876),
    [anon_sym_L_SQUOTE] = ACTIONS(2878),
    [anon_sym_u_SQUOTE] = ACTIONS(2878),
    [anon_sym_U_SQUOTE] = ACTIONS(2878),
    [anon_sym_u8_SQUOTE] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_L_DQUOTE] = ACTIONS(2878),
    [anon_sym_u_DQUOTE] = ACTIONS(2878),
    [anon_sym_U_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE] = ACTIONS(2878),
    [sym_true] = ACTIONS(2876),
    [sym_false] = ACTIONS(2876),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_delete] = ACTIONS(2876),
    [anon_sym_throw] = ACTIONS(2876),
    [anon_sym_namespace] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
    [anon_sym_concept] = ACTIONS(2876),
    [anon_sym_co_return] = ACTIONS(2876),
    [anon_sym_co_yield] = ACTIONS(2876),
    [anon_sym_R_DQUOTE] = ACTIONS(2878),
    [anon_sym_LR_DQUOTE] = ACTIONS(2878),
    [anon_sym_uR_DQUOTE] = ACTIONS(2878),
    [anon_sym_UR_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2878),
    [anon_sym_co_await] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_requires] = ACTIONS(2876),
    [sym_this] = ACTIONS(2876),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(2850),
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [anon_sym_PROGMEM] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [aux_sym_primitive_type_token1] = ACTIONS(2848),
    [anon_sym_byte] = ACTIONS(2848),
    [anon_sym_word] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_else] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym___leave] = ACTIONS(2848),
    [anon_sym_not] = ACTIONS(2848),
    [anon_sym_compl] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [anon_sym___asm] = ACTIONS(2848),
    [aux_sym_number_literal_token1] = ACTIONS(2850),
    [aux_sym_number_literal_token2] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_namespace] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_concept] = ACTIONS(2848),
    [anon_sym_co_return] = ACTIONS(2848),
    [anon_sym_co_yield] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2850),
    [anon_sym_LR_DQUOTE] = ACTIONS(2850),
    [anon_sym_uR_DQUOTE] = ACTIONS(2850),
    [anon_sym_UR_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2850),
    [anon_sym_co_await] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_requires] = ACTIONS(2848),
    [sym_this] = ACTIONS(2848),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2888),
    [aux_sym_preproc_include_token1] = ACTIONS(2888),
    [aux_sym_preproc_def_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token2] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2888),
    [sym_preproc_directive] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_BANG] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_AMP_AMP] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2890),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2890),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym___based] = ACTIONS(2888),
    [anon_sym___cdecl] = ACTIONS(2888),
    [anon_sym___clrcall] = ACTIONS(2888),
    [anon_sym___stdcall] = ACTIONS(2888),
    [anon_sym___fastcall] = ACTIONS(2888),
    [anon_sym___thiscall] = ACTIONS(2888),
    [anon_sym___vectorcall] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_PROGMEM] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym__Alignas] = ACTIONS(2888),
    [aux_sym_primitive_type_token1] = ACTIONS(2888),
    [anon_sym_byte] = ACTIONS(2888),
    [anon_sym_word] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_else] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_default] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_goto] = ACTIONS(2888),
    [anon_sym___try] = ACTIONS(2888),
    [anon_sym___leave] = ACTIONS(2888),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_compl] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2890),
    [anon_sym_sizeof] = ACTIONS(2888),
    [anon_sym___alignof__] = ACTIONS(2888),
    [anon_sym___alignof] = ACTIONS(2888),
    [anon_sym__alignof] = ACTIONS(2888),
    [anon_sym_alignof] = ACTIONS(2888),
    [anon_sym__Alignof] = ACTIONS(2888),
    [anon_sym_offsetof] = ACTIONS(2888),
    [anon_sym__Generic] = ACTIONS(2888),
    [anon_sym_asm] = ACTIONS(2888),
    [anon_sym___asm__] = ACTIONS(2888),
    [anon_sym___asm] = ACTIONS(2888),
    [aux_sym_number_literal_token1] = ACTIONS(2890),
    [aux_sym_number_literal_token2] = ACTIONS(2888),
    [anon_sym_L_SQUOTE] = ACTIONS(2890),
    [anon_sym_u_SQUOTE] = ACTIONS(2890),
    [anon_sym_U_SQUOTE] = ACTIONS(2890),
    [anon_sym_u8_SQUOTE] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_L_DQUOTE] = ACTIONS(2890),
    [anon_sym_u_DQUOTE] = ACTIONS(2890),
    [anon_sym_U_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE] = ACTIONS(2890),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [anon_sym_NULL] = ACTIONS(2888),
    [anon_sym_nullptr] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_operator] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_static_assert] = ACTIONS(2888),
    [anon_sym_concept] = ACTIONS(2888),
    [anon_sym_co_return] = ACTIONS(2888),
    [anon_sym_co_yield] = ACTIONS(2888),
    [anon_sym_R_DQUOTE] = ACTIONS(2890),
    [anon_sym_LR_DQUOTE] = ACTIONS(2890),
    [anon_sym_uR_DQUOTE] = ACTIONS(2890),
    [anon_sym_UR_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2890),
    [anon_sym_co_await] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_requires] = ACTIONS(2888),
    [sym_this] = ACTIONS(2888),
  },
  [459] = {
    [sym_identifier] = ACTIONS(2900),
    [aux_sym_preproc_include_token1] = ACTIONS(2900),
    [aux_sym_preproc_def_token1] = ACTIONS(2900),
    [aux_sym_preproc_if_token1] = ACTIONS(2900),
    [aux_sym_preproc_if_token2] = ACTIONS(2900),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2900),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2900),
    [sym_preproc_directive] = ACTIONS(2900),
    [anon_sym_LPAREN2] = ACTIONS(2902),
    [anon_sym_BANG] = ACTIONS(2902),
    [anon_sym_TILDE] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2902),
    [anon_sym_AMP_AMP] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2900),
    [anon_sym_SEMI] = ACTIONS(2902),
    [anon_sym___extension__] = ACTIONS(2900),
    [anon_sym_typedef] = ACTIONS(2900),
    [anon_sym_virtual] = ACTIONS(2900),
    [anon_sym_extern] = ACTIONS(2900),
    [anon_sym___attribute__] = ACTIONS(2900),
    [anon_sym_COLON_COLON] = ACTIONS(2902),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2902),
    [anon_sym___declspec] = ACTIONS(2900),
    [anon_sym___based] = ACTIONS(2900),
    [anon_sym___cdecl] = ACTIONS(2900),
    [anon_sym___clrcall] = ACTIONS(2900),
    [anon_sym___stdcall] = ACTIONS(2900),
    [anon_sym___fastcall] = ACTIONS(2900),
    [anon_sym___thiscall] = ACTIONS(2900),
    [anon_sym___vectorcall] = ACTIONS(2900),
    [anon_sym_LBRACE] = ACTIONS(2902),
    [anon_sym_signed] = ACTIONS(2900),
    [anon_sym_unsigned] = ACTIONS(2900),
    [anon_sym_long] = ACTIONS(2900),
    [anon_sym_short] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_register] = ACTIONS(2900),
    [anon_sym_inline] = ACTIONS(2900),
    [anon_sym___inline] = ACTIONS(2900),
    [anon_sym___inline__] = ACTIONS(2900),
    [anon_sym___forceinline] = ACTIONS(2900),
    [anon_sym_thread_local] = ACTIONS(2900),
    [anon_sym___thread] = ACTIONS(2900),
    [anon_sym_const] = ACTIONS(2900),
    [anon_sym_constexpr] = ACTIONS(2900),
    [anon_sym_volatile] = ACTIONS(2900),
    [anon_sym_restrict] = ACTIONS(2900),
    [anon_sym___restrict__] = ACTIONS(2900),
    [anon_sym__Atomic] = ACTIONS(2900),
    [anon_sym__Noreturn] = ACTIONS(2900),
    [anon_sym_noreturn] = ACTIONS(2900),
    [anon_sym__Nonnull] = ACTIONS(2900),
    [anon_sym_mutable] = ACTIONS(2900),
    [anon_sym_constinit] = ACTIONS(2900),
    [anon_sym_consteval] = ACTIONS(2900),
    [anon_sym_PROGMEM] = ACTIONS(2900),
    [anon_sym_alignas] = ACTIONS(2900),
    [anon_sym__Alignas] = ACTIONS(2900),
    [aux_sym_primitive_type_token1] = ACTIONS(2900),
    [anon_sym_byte] = ACTIONS(2900),
    [anon_sym_word] = ACTIONS(2900),
    [anon_sym_enum] = ACTIONS(2900),
    [anon_sym_class] = ACTIONS(2900),
    [anon_sym_struct] = ACTIONS(2900),
    [anon_sym_union] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_else] = ACTIONS(2900),
    [anon_sym_switch] = ACTIONS(2900),
    [anon_sym_case] = ACTIONS(2900),
    [anon_sym_default] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_break] = ACTIONS(2900),
    [anon_sym_continue] = ACTIONS(2900),
    [anon_sym_goto] = ACTIONS(2900),
    [anon_sym___try] = ACTIONS(2900),
    [anon_sym___leave] = ACTIONS(2900),
    [anon_sym_not] = ACTIONS(2900),
    [anon_sym_compl] = ACTIONS(2900),
    [anon_sym_DASH_DASH] = ACTIONS(2902),
    [anon_sym_PLUS_PLUS] = ACTIONS(2902),
    [anon_sym_sizeof] = ACTIONS(2900),
    [anon_sym___alignof__] = ACTIONS(2900),
    [anon_sym___alignof] = ACTIONS(2900),
    [anon_sym__alignof] = ACTIONS(2900),
    [anon_sym_alignof] = ACTIONS(2900),
    [anon_sym__Alignof] = ACTIONS(2900),
    [anon_sym_offsetof] = ACTIONS(2900),
    [anon_sym__Generic] = ACTIONS(2900),
    [anon_sym_asm] = ACTIONS(2900),
    [anon_sym___asm__] = ACTIONS(2900),
    [anon_sym___asm] = ACTIONS(2900),
    [aux_sym_number_literal_token1] = ACTIONS(2902),
    [aux_sym_number_literal_token2] = ACTIONS(2900),
    [anon_sym_L_SQUOTE] = ACTIONS(2902),
    [anon_sym_u_SQUOTE] = ACTIONS(2902),
    [anon_sym_U_SQUOTE] = ACTIONS(2902),
    [anon_sym_u8_SQUOTE] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [anon_sym_L_DQUOTE] = ACTIONS(2902),
    [anon_sym_u_DQUOTE] = ACTIONS(2902),
    [anon_sym_U_DQUOTE] = ACTIONS(2902),
    [anon_sym_u8_DQUOTE] = ACTIONS(2902),
    [anon_sym_DQUOTE] = ACTIONS(2902),
    [sym_true] = ACTIONS(2900),
    [sym_false] = ACTIONS(2900),
    [anon_sym_NULL] = ACTIONS(2900),
    [anon_sym_nullptr] = ACTIONS(2900),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2900),
    [anon_sym_decltype] = ACTIONS(2900),
    [anon_sym_explicit] = ACTIONS(2900),
    [anon_sym_typename] = ACTIONS(2900),
    [anon_sym_template] = ACTIONS(2900),
    [anon_sym_operator] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_delete] = ACTIONS(2900),
    [anon_sym_throw] = ACTIONS(2900),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_using] = ACTIONS(2900),
    [anon_sym_static_assert] = ACTIONS(2900),
    [anon_sym_concept] = ACTIONS(2900),
    [anon_sym_co_return] = ACTIONS(2900),
    [anon_sym_co_yield] = ACTIONS(2900),
    [anon_sym_R_DQUOTE] = ACTIONS(2902),
    [anon_sym_LR_DQUOTE] = ACTIONS(2902),
    [anon_sym_uR_DQUOTE] = ACTIONS(2902),
    [anon_sym_UR_DQUOTE] = ACTIONS(2902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2902),
    [anon_sym_co_await] = ACTIONS(2900),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_requires] = ACTIONS(2900),
    [sym_this] = ACTIONS(2900),
  },
  [460] = {
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_include_token1] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_if_token2] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym___cdecl] = ACTIONS(1969),
    [anon_sym___clrcall] = ACTIONS(1969),
    [anon_sym___stdcall] = ACTIONS(1969),
    [anon_sym___fastcall] = ACTIONS(1969),
    [anon_sym___thiscall] = ACTIONS(1969),
    [anon_sym___vectorcall] = ACTIONS(1969),
    [anon_sym_LBRACE] = ACTIONS(1967),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [anon_sym_if] = ACTIONS(1969),
    [anon_sym_switch] = ACTIONS(1969),
    [anon_sym_case] = ACTIONS(1969),
    [anon_sym_default] = ACTIONS(1969),
    [anon_sym_while] = ACTIONS(1969),
    [anon_sym_do] = ACTIONS(1969),
    [anon_sym_for] = ACTIONS(1969),
    [anon_sym_return] = ACTIONS(1969),
    [anon_sym_break] = ACTIONS(1969),
    [anon_sym_continue] = ACTIONS(1969),
    [anon_sym_goto] = ACTIONS(1969),
    [anon_sym___try] = ACTIONS(1969),
    [anon_sym___leave] = ACTIONS(1969),
    [anon_sym_not] = ACTIONS(1969),
    [anon_sym_compl] = ACTIONS(1969),
    [anon_sym_DASH_DASH] = ACTIONS(1967),
    [anon_sym_PLUS_PLUS] = ACTIONS(1967),
    [anon_sym_sizeof] = ACTIONS(1969),
    [anon_sym___alignof__] = ACTIONS(1969),
    [anon_sym___alignof] = ACTIONS(1969),
    [anon_sym__alignof] = ACTIONS(1969),
    [anon_sym_alignof] = ACTIONS(1969),
    [anon_sym__Alignof] = ACTIONS(1969),
    [anon_sym_offsetof] = ACTIONS(1969),
    [anon_sym__Generic] = ACTIONS(1969),
    [anon_sym_asm] = ACTIONS(1969),
    [anon_sym___asm__] = ACTIONS(1969),
    [anon_sym___asm] = ACTIONS(1969),
    [aux_sym_number_literal_token1] = ACTIONS(1967),
    [aux_sym_number_literal_token2] = ACTIONS(1969),
    [anon_sym_L_SQUOTE] = ACTIONS(1967),
    [anon_sym_u_SQUOTE] = ACTIONS(1967),
    [anon_sym_U_SQUOTE] = ACTIONS(1967),
    [anon_sym_u8_SQUOTE] = ACTIONS(1967),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_L_DQUOTE] = ACTIONS(1967),
    [anon_sym_u_DQUOTE] = ACTIONS(1967),
    [anon_sym_U_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8_DQUOTE] = ACTIONS(1967),
    [anon_sym_DQUOTE] = ACTIONS(1967),
    [sym_true] = ACTIONS(1969),
    [sym_false] = ACTIONS(1969),
    [anon_sym_NULL] = ACTIONS(1969),
    [anon_sym_nullptr] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_delete] = ACTIONS(1969),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_namespace] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
    [anon_sym_concept] = ACTIONS(1969),
    [anon_sym_co_return] = ACTIONS(1969),
    [anon_sym_co_yield] = ACTIONS(1969),
    [anon_sym_R_DQUOTE] = ACTIONS(1967),
    [anon_sym_LR_DQUOTE] = ACTIONS(1967),
    [anon_sym_uR_DQUOTE] = ACTIONS(1967),
    [anon_sym_UR_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1967),
    [anon_sym_co_await] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_requires] = ACTIONS(1969),
    [sym_this] = ACTIONS(1969),
  },
  [461] = {
    [sym_identifier] = ACTIONS(2838),
    [aux_sym_preproc_include_token1] = ACTIONS(2838),
    [aux_sym_preproc_def_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2838),
    [sym_preproc_directive] = ACTIONS(2838),
    [anon_sym_LPAREN2] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_TILDE] = ACTIONS(2840),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP_AMP] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2838),
    [anon_sym_typedef] = ACTIONS(2838),
    [anon_sym_virtual] = ACTIONS(2838),
    [anon_sym_extern] = ACTIONS(2838),
    [anon_sym___attribute__] = ACTIONS(2838),
    [anon_sym_COLON_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2840),
    [anon_sym___declspec] = ACTIONS(2838),
    [anon_sym___based] = ACTIONS(2838),
    [anon_sym___cdecl] = ACTIONS(2838),
    [anon_sym___clrcall] = ACTIONS(2838),
    [anon_sym___stdcall] = ACTIONS(2838),
    [anon_sym___fastcall] = ACTIONS(2838),
    [anon_sym___thiscall] = ACTIONS(2838),
    [anon_sym___vectorcall] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_signed] = ACTIONS(2838),
    [anon_sym_unsigned] = ACTIONS(2838),
    [anon_sym_long] = ACTIONS(2838),
    [anon_sym_short] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_register] = ACTIONS(2838),
    [anon_sym_inline] = ACTIONS(2838),
    [anon_sym___inline] = ACTIONS(2838),
    [anon_sym___inline__] = ACTIONS(2838),
    [anon_sym___forceinline] = ACTIONS(2838),
    [anon_sym_thread_local] = ACTIONS(2838),
    [anon_sym___thread] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_constexpr] = ACTIONS(2838),
    [anon_sym_volatile] = ACTIONS(2838),
    [anon_sym_restrict] = ACTIONS(2838),
    [anon_sym___restrict__] = ACTIONS(2838),
    [anon_sym__Atomic] = ACTIONS(2838),
    [anon_sym__Noreturn] = ACTIONS(2838),
    [anon_sym_noreturn] = ACTIONS(2838),
    [anon_sym__Nonnull] = ACTIONS(2838),
    [anon_sym_mutable] = ACTIONS(2838),
    [anon_sym_constinit] = ACTIONS(2838),
    [anon_sym_consteval] = ACTIONS(2838),
    [anon_sym_PROGMEM] = ACTIONS(2838),
    [anon_sym_alignas] = ACTIONS(2838),
    [anon_sym__Alignas] = ACTIONS(2838),
    [aux_sym_primitive_type_token1] = ACTIONS(2838),
    [anon_sym_byte] = ACTIONS(2838),
    [anon_sym_word] = ACTIONS(2838),
    [anon_sym_enum] = ACTIONS(2838),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_struct] = ACTIONS(2838),
    [anon_sym_union] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(2838),
    [anon_sym_else] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2838),
    [anon_sym_case] = ACTIONS(2838),
    [anon_sym_default] = ACTIONS(2838),
    [anon_sym_while] = ACTIONS(2838),
    [anon_sym_do] = ACTIONS(2838),
    [anon_sym_for] = ACTIONS(2838),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_break] = ACTIONS(2838),
    [anon_sym_continue] = ACTIONS(2838),
    [anon_sym_goto] = ACTIONS(2838),
    [anon_sym___try] = ACTIONS(2838),
    [anon_sym___leave] = ACTIONS(2838),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_sizeof] = ACTIONS(2838),
    [anon_sym___alignof__] = ACTIONS(2838),
    [anon_sym___alignof] = ACTIONS(2838),
    [anon_sym__alignof] = ACTIONS(2838),
    [anon_sym_alignof] = ACTIONS(2838),
    [anon_sym__Alignof] = ACTIONS(2838),
    [anon_sym_offsetof] = ACTIONS(2838),
    [anon_sym__Generic] = ACTIONS(2838),
    [anon_sym_asm] = ACTIONS(2838),
    [anon_sym___asm__] = ACTIONS(2838),
    [anon_sym___asm] = ACTIONS(2838),
    [aux_sym_number_literal_token1] = ACTIONS(2840),
    [aux_sym_number_literal_token2] = ACTIONS(2838),
    [anon_sym_L_SQUOTE] = ACTIONS(2840),
    [anon_sym_u_SQUOTE] = ACTIONS(2840),
    [anon_sym_U_SQUOTE] = ACTIONS(2840),
    [anon_sym_u8_SQUOTE] = ACTIONS(2840),
    [anon_sym_SQUOTE] = ACTIONS(2840),
    [anon_sym_L_DQUOTE] = ACTIONS(2840),
    [anon_sym_u_DQUOTE] = ACTIONS(2840),
    [anon_sym_U_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8_DQUOTE] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2840),
    [sym_true] = ACTIONS(2838),
    [sym_false] = ACTIONS(2838),
    [anon_sym_NULL] = ACTIONS(2838),
    [anon_sym_nullptr] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2838),
    [anon_sym_decltype] = ACTIONS(2838),
    [anon_sym_explicit] = ACTIONS(2838),
    [anon_sym_typename] = ACTIONS(2838),
    [anon_sym_template] = ACTIONS(2838),
    [anon_sym_operator] = ACTIONS(2838),
    [anon_sym_try] = ACTIONS(2838),
    [anon_sym_delete] = ACTIONS(2838),
    [anon_sym_throw] = ACTIONS(2838),
    [anon_sym_namespace] = ACTIONS(2838),
    [anon_sym_using] = ACTIONS(2838),
    [anon_sym_static_assert] = ACTIONS(2838),
    [anon_sym_concept] = ACTIONS(2838),
    [anon_sym_co_return] = ACTIONS(2838),
    [anon_sym_co_yield] = ACTIONS(2838),
    [anon_sym_R_DQUOTE] = ACTIONS(2840),
    [anon_sym_LR_DQUOTE] = ACTIONS(2840),
    [anon_sym_uR_DQUOTE] = ACTIONS(2840),
    [anon_sym_UR_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2840),
    [anon_sym_co_await] = ACTIONS(2838),
    [anon_sym_new] = ACTIONS(2838),
    [anon_sym_requires] = ACTIONS(2838),
    [sym_this] = ACTIONS(2838),
  },
  [462] = {
    [sym_identifier] = ACTIONS(2818),
    [aux_sym_preproc_include_token1] = ACTIONS(2818),
    [aux_sym_preproc_def_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token1] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2818),
    [sym_preproc_directive] = ACTIONS(2818),
    [anon_sym_LPAREN2] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2820),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_AMP_AMP] = ACTIONS(2820),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym___extension__] = ACTIONS(2818),
    [anon_sym_typedef] = ACTIONS(2818),
    [anon_sym_virtual] = ACTIONS(2818),
    [anon_sym_extern] = ACTIONS(2818),
    [anon_sym___attribute__] = ACTIONS(2818),
    [anon_sym_COLON_COLON] = ACTIONS(2820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2820),
    [anon_sym___declspec] = ACTIONS(2818),
    [anon_sym___based] = ACTIONS(2818),
    [anon_sym___cdecl] = ACTIONS(2818),
    [anon_sym___clrcall] = ACTIONS(2818),
    [anon_sym___stdcall] = ACTIONS(2818),
    [anon_sym___fastcall] = ACTIONS(2818),
    [anon_sym___thiscall] = ACTIONS(2818),
    [anon_sym___vectorcall] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(2820),
    [anon_sym_RBRACE] = ACTIONS(2820),
    [anon_sym_signed] = ACTIONS(2818),
    [anon_sym_unsigned] = ACTIONS(2818),
    [anon_sym_long] = ACTIONS(2818),
    [anon_sym_short] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_register] = ACTIONS(2818),
    [anon_sym_inline] = ACTIONS(2818),
    [anon_sym___inline] = ACTIONS(2818),
    [anon_sym___inline__] = ACTIONS(2818),
    [anon_sym___forceinline] = ACTIONS(2818),
    [anon_sym_thread_local] = ACTIONS(2818),
    [anon_sym___thread] = ACTIONS(2818),
    [anon_sym_const] = ACTIONS(2818),
    [anon_sym_constexpr] = ACTIONS(2818),
    [anon_sym_volatile] = ACTIONS(2818),
    [anon_sym_restrict] = ACTIONS(2818),
    [anon_sym___restrict__] = ACTIONS(2818),
    [anon_sym__Atomic] = ACTIONS(2818),
    [anon_sym__Noreturn] = ACTIONS(2818),
    [anon_sym_noreturn] = ACTIONS(2818),
    [anon_sym__Nonnull] = ACTIONS(2818),
    [anon_sym_mutable] = ACTIONS(2818),
    [anon_sym_constinit] = ACTIONS(2818),
    [anon_sym_consteval] = ACTIONS(2818),
    [anon_sym_PROGMEM] = ACTIONS(2818),
    [anon_sym_alignas] = ACTIONS(2818),
    [anon_sym__Alignas] = ACTIONS(2818),
    [aux_sym_primitive_type_token1] = ACTIONS(2818),
    [anon_sym_byte] = ACTIONS(2818),
    [anon_sym_word] = ACTIONS(2818),
    [anon_sym_enum] = ACTIONS(2818),
    [anon_sym_class] = ACTIONS(2818),
    [anon_sym_struct] = ACTIONS(2818),
    [anon_sym_union] = ACTIONS(2818),
    [anon_sym_if] = ACTIONS(2818),
    [anon_sym_else] = ACTIONS(2818),
    [anon_sym_switch] = ACTIONS(2818),
    [anon_sym_case] = ACTIONS(2818),
    [anon_sym_default] = ACTIONS(2818),
    [anon_sym_while] = ACTIONS(2818),
    [anon_sym_do] = ACTIONS(2818),
    [anon_sym_for] = ACTIONS(2818),
    [anon_sym_return] = ACTIONS(2818),
    [anon_sym_break] = ACTIONS(2818),
    [anon_sym_continue] = ACTIONS(2818),
    [anon_sym_goto] = ACTIONS(2818),
    [anon_sym___try] = ACTIONS(2818),
    [anon_sym___leave] = ACTIONS(2818),
    [anon_sym_not] = ACTIONS(2818),
    [anon_sym_compl] = ACTIONS(2818),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_sizeof] = ACTIONS(2818),
    [anon_sym___alignof__] = ACTIONS(2818),
    [anon_sym___alignof] = ACTIONS(2818),
    [anon_sym__alignof] = ACTIONS(2818),
    [anon_sym_alignof] = ACTIONS(2818),
    [anon_sym__Alignof] = ACTIONS(2818),
    [anon_sym_offsetof] = ACTIONS(2818),
    [anon_sym__Generic] = ACTIONS(2818),
    [anon_sym_asm] = ACTIONS(2818),
    [anon_sym___asm__] = ACTIONS(2818),
    [anon_sym___asm] = ACTIONS(2818),
    [aux_sym_number_literal_token1] = ACTIONS(2820),
    [aux_sym_number_literal_token2] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2820),
    [anon_sym_u_SQUOTE] = ACTIONS(2820),
    [anon_sym_U_SQUOTE] = ACTIONS(2820),
    [anon_sym_u8_SQUOTE] = ACTIONS(2820),
    [anon_sym_SQUOTE] = ACTIONS(2820),
    [anon_sym_L_DQUOTE] = ACTIONS(2820),
    [anon_sym_u_DQUOTE] = ACTIONS(2820),
    [anon_sym_U_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8_DQUOTE] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2820),
    [sym_true] = ACTIONS(2818),
    [sym_false] = ACTIONS(2818),
    [anon_sym_NULL] = ACTIONS(2818),
    [anon_sym_nullptr] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2818),
    [anon_sym_decltype] = ACTIONS(2818),
    [anon_sym_explicit] = ACTIONS(2818),
    [anon_sym_typename] = ACTIONS(2818),
    [anon_sym_template] = ACTIONS(2818),
    [anon_sym_operator] = ACTIONS(2818),
    [anon_sym_try] = ACTIONS(2818),
    [anon_sym_delete] = ACTIONS(2818),
    [anon_sym_throw] = ACTIONS(2818),
    [anon_sym_namespace] = ACTIONS(2818),
    [anon_sym_using] = ACTIONS(2818),
    [anon_sym_static_assert] = ACTIONS(2818),
    [anon_sym_concept] = ACTIONS(2818),
    [anon_sym_co_return] = ACTIONS(2818),
    [anon_sym_co_yield] = ACTIONS(2818),
    [anon_sym_R_DQUOTE] = ACTIONS(2820),
    [anon_sym_LR_DQUOTE] = ACTIONS(2820),
    [anon_sym_uR_DQUOTE] = ACTIONS(2820),
    [anon_sym_UR_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2820),
    [anon_sym_co_await] = ACTIONS(2818),
    [anon_sym_new] = ACTIONS(2818),
    [anon_sym_requires] = ACTIONS(2818),
    [sym_this] = ACTIONS(2818),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(2918),
    [sym_identifier] = ACTIONS(2916),
    [aux_sym_preproc_include_token1] = ACTIONS(2916),
    [aux_sym_preproc_def_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2916),
    [sym_preproc_directive] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_STAR] = ACTIONS(2918),
    [anon_sym_AMP_AMP] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym___extension__] = ACTIONS(2916),
    [anon_sym_typedef] = ACTIONS(2916),
    [anon_sym_virtual] = ACTIONS(2916),
    [anon_sym_extern] = ACTIONS(2916),
    [anon_sym___attribute__] = ACTIONS(2916),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2918),
    [anon_sym___declspec] = ACTIONS(2916),
    [anon_sym___based] = ACTIONS(2916),
    [anon_sym___cdecl] = ACTIONS(2916),
    [anon_sym___clrcall] = ACTIONS(2916),
    [anon_sym___stdcall] = ACTIONS(2916),
    [anon_sym___fastcall] = ACTIONS(2916),
    [anon_sym___thiscall] = ACTIONS(2916),
    [anon_sym___vectorcall] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_signed] = ACTIONS(2916),
    [anon_sym_unsigned] = ACTIONS(2916),
    [anon_sym_long] = ACTIONS(2916),
    [anon_sym_short] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_register] = ACTIONS(2916),
    [anon_sym_inline] = ACTIONS(2916),
    [anon_sym___inline] = ACTIONS(2916),
    [anon_sym___inline__] = ACTIONS(2916),
    [anon_sym___forceinline] = ACTIONS(2916),
    [anon_sym_thread_local] = ACTIONS(2916),
    [anon_sym___thread] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_constexpr] = ACTIONS(2916),
    [anon_sym_volatile] = ACTIONS(2916),
    [anon_sym_restrict] = ACTIONS(2916),
    [anon_sym___restrict__] = ACTIONS(2916),
    [anon_sym__Atomic] = ACTIONS(2916),
    [anon_sym__Noreturn] = ACTIONS(2916),
    [anon_sym_noreturn] = ACTIONS(2916),
    [anon_sym__Nonnull] = ACTIONS(2916),
    [anon_sym_mutable] = ACTIONS(2916),
    [anon_sym_constinit] = ACTIONS(2916),
    [anon_sym_consteval] = ACTIONS(2916),
    [anon_sym_PROGMEM] = ACTIONS(2916),
    [anon_sym_alignas] = ACTIONS(2916),
    [anon_sym__Alignas] = ACTIONS(2916),
    [aux_sym_primitive_type_token1] = ACTIONS(2916),
    [anon_sym_byte] = ACTIONS(2916),
    [anon_sym_word] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_struct] = ACTIONS(2916),
    [anon_sym_union] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_else] = ACTIONS(2916),
    [anon_sym_switch] = ACTIONS(2916),
    [anon_sym_case] = ACTIONS(2916),
    [anon_sym_default] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_break] = ACTIONS(2916),
    [anon_sym_continue] = ACTIONS(2916),
    [anon_sym_goto] = ACTIONS(2916),
    [anon_sym___try] = ACTIONS(2916),
    [anon_sym___leave] = ACTIONS(2916),
    [anon_sym_not] = ACTIONS(2916),
    [anon_sym_compl] = ACTIONS(2916),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_sizeof] = ACTIONS(2916),
    [anon_sym___alignof__] = ACTIONS(2916),
    [anon_sym___alignof] = ACTIONS(2916),
    [anon_sym__alignof] = ACTIONS(2916),
    [anon_sym_alignof] = ACTIONS(2916),
    [anon_sym__Alignof] = ACTIONS(2916),
    [anon_sym_offsetof] = ACTIONS(2916),
    [anon_sym__Generic] = ACTIONS(2916),
    [anon_sym_asm] = ACTIONS(2916),
    [anon_sym___asm__] = ACTIONS(2916),
    [anon_sym___asm] = ACTIONS(2916),
    [aux_sym_number_literal_token1] = ACTIONS(2918),
    [aux_sym_number_literal_token2] = ACTIONS(2916),
    [anon_sym_L_SQUOTE] = ACTIONS(2918),
    [anon_sym_u_SQUOTE] = ACTIONS(2918),
    [anon_sym_U_SQUOTE] = ACTIONS(2918),
    [anon_sym_u8_SQUOTE] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_L_DQUOTE] = ACTIONS(2918),
    [anon_sym_u_DQUOTE] = ACTIONS(2918),
    [anon_sym_U_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE] = ACTIONS(2918),
    [sym_true] = ACTIONS(2916),
    [sym_false] = ACTIONS(2916),
    [anon_sym_NULL] = ACTIONS(2916),
    [anon_sym_nullptr] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2916),
    [anon_sym_decltype] = ACTIONS(2916),
    [anon_sym_explicit] = ACTIONS(2916),
    [anon_sym_typename] = ACTIONS(2916),
    [anon_sym_template] = ACTIONS(2916),
    [anon_sym_operator] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_delete] = ACTIONS(2916),
    [anon_sym_throw] = ACTIONS(2916),
    [anon_sym_namespace] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_static_assert] = ACTIONS(2916),
    [anon_sym_concept] = ACTIONS(2916),
    [anon_sym_co_return] = ACTIONS(2916),
    [anon_sym_co_yield] = ACTIONS(2916),
    [anon_sym_R_DQUOTE] = ACTIONS(2918),
    [anon_sym_LR_DQUOTE] = ACTIONS(2918),
    [anon_sym_uR_DQUOTE] = ACTIONS(2918),
    [anon_sym_UR_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2918),
    [anon_sym_co_await] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_requires] = ACTIONS(2916),
    [sym_this] = ACTIONS(2916),
  },
  [464] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_RBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_PROGMEM] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [aux_sym_primitive_type_token1] = ACTIONS(2814),
    [anon_sym_byte] = ACTIONS(2814),
    [anon_sym_word] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [aux_sym_number_literal_token1] = ACTIONS(2816),
    [aux_sym_number_literal_token2] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [465] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_RBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_PROGMEM] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [aux_sym_primitive_type_token1] = ACTIONS(2814),
    [anon_sym_byte] = ACTIONS(2814),
    [anon_sym_word] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [aux_sym_number_literal_token1] = ACTIONS(2816),
    [aux_sym_number_literal_token2] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [466] = {
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_include_token1] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym___cdecl] = ACTIONS(1969),
    [anon_sym___clrcall] = ACTIONS(1969),
    [anon_sym___stdcall] = ACTIONS(1969),
    [anon_sym___fastcall] = ACTIONS(1969),
    [anon_sym___thiscall] = ACTIONS(1969),
    [anon_sym___vectorcall] = ACTIONS(1969),
    [anon_sym_LBRACE] = ACTIONS(1967),
    [anon_sym_RBRACE] = ACTIONS(1967),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [anon_sym_if] = ACTIONS(1969),
    [anon_sym_switch] = ACTIONS(1969),
    [anon_sym_case] = ACTIONS(1969),
    [anon_sym_default] = ACTIONS(1969),
    [anon_sym_while] = ACTIONS(1969),
    [anon_sym_do] = ACTIONS(1969),
    [anon_sym_for] = ACTIONS(1969),
    [anon_sym_return] = ACTIONS(1969),
    [anon_sym_break] = ACTIONS(1969),
    [anon_sym_continue] = ACTIONS(1969),
    [anon_sym_goto] = ACTIONS(1969),
    [anon_sym___try] = ACTIONS(1969),
    [anon_sym___leave] = ACTIONS(1969),
    [anon_sym_not] = ACTIONS(1969),
    [anon_sym_compl] = ACTIONS(1969),
    [anon_sym_DASH_DASH] = ACTIONS(1967),
    [anon_sym_PLUS_PLUS] = ACTIONS(1967),
    [anon_sym_sizeof] = ACTIONS(1969),
    [anon_sym___alignof__] = ACTIONS(1969),
    [anon_sym___alignof] = ACTIONS(1969),
    [anon_sym__alignof] = ACTIONS(1969),
    [anon_sym_alignof] = ACTIONS(1969),
    [anon_sym__Alignof] = ACTIONS(1969),
    [anon_sym_offsetof] = ACTIONS(1969),
    [anon_sym__Generic] = ACTIONS(1969),
    [anon_sym_asm] = ACTIONS(1969),
    [anon_sym___asm__] = ACTIONS(1969),
    [anon_sym___asm] = ACTIONS(1969),
    [aux_sym_number_literal_token1] = ACTIONS(1967),
    [aux_sym_number_literal_token2] = ACTIONS(1969),
    [anon_sym_L_SQUOTE] = ACTIONS(1967),
    [anon_sym_u_SQUOTE] = ACTIONS(1967),
    [anon_sym_U_SQUOTE] = ACTIONS(1967),
    [anon_sym_u8_SQUOTE] = ACTIONS(1967),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_L_DQUOTE] = ACTIONS(1967),
    [anon_sym_u_DQUOTE] = ACTIONS(1967),
    [anon_sym_U_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8_DQUOTE] = ACTIONS(1967),
    [anon_sym_DQUOTE] = ACTIONS(1967),
    [sym_true] = ACTIONS(1969),
    [sym_false] = ACTIONS(1969),
    [anon_sym_NULL] = ACTIONS(1969),
    [anon_sym_nullptr] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_delete] = ACTIONS(1969),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_namespace] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
    [anon_sym_concept] = ACTIONS(1969),
    [anon_sym_co_return] = ACTIONS(1969),
    [anon_sym_co_yield] = ACTIONS(1969),
    [anon_sym_R_DQUOTE] = ACTIONS(1967),
    [anon_sym_LR_DQUOTE] = ACTIONS(1967),
    [anon_sym_uR_DQUOTE] = ACTIONS(1967),
    [anon_sym_UR_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1967),
    [anon_sym_co_await] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_requires] = ACTIONS(1969),
    [sym_this] = ACTIONS(1969),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(2926),
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_include_token1] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym___cdecl] = ACTIONS(2924),
    [anon_sym___clrcall] = ACTIONS(2924),
    [anon_sym___stdcall] = ACTIONS(2924),
    [anon_sym___fastcall] = ACTIONS(2924),
    [anon_sym___thiscall] = ACTIONS(2924),
    [anon_sym___vectorcall] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_PROGMEM] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [aux_sym_primitive_type_token1] = ACTIONS(2924),
    [anon_sym_byte] = ACTIONS(2924),
    [anon_sym_word] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_else] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym___try] = ACTIONS(2924),
    [anon_sym___leave] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [anon_sym___asm] = ACTIONS(2924),
    [aux_sym_number_literal_token1] = ACTIONS(2926),
    [aux_sym_number_literal_token2] = ACTIONS(2924),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
    [anon_sym_concept] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [468] = {
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_include_token1] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym___cdecl] = ACTIONS(2880),
    [anon_sym___clrcall] = ACTIONS(2880),
    [anon_sym___stdcall] = ACTIONS(2880),
    [anon_sym___fastcall] = ACTIONS(2880),
    [anon_sym___thiscall] = ACTIONS(2880),
    [anon_sym___vectorcall] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_PROGMEM] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [aux_sym_primitive_type_token1] = ACTIONS(2880),
    [anon_sym_byte] = ACTIONS(2880),
    [anon_sym_word] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_else] = ACTIONS(2880),
    [anon_sym_switch] = ACTIONS(2880),
    [anon_sym_case] = ACTIONS(2880),
    [anon_sym_default] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_break] = ACTIONS(2880),
    [anon_sym_continue] = ACTIONS(2880),
    [anon_sym_goto] = ACTIONS(2880),
    [anon_sym___try] = ACTIONS(2880),
    [anon_sym___leave] = ACTIONS(2880),
    [anon_sym_not] = ACTIONS(2880),
    [anon_sym_compl] = ACTIONS(2880),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_sizeof] = ACTIONS(2880),
    [anon_sym___alignof__] = ACTIONS(2880),
    [anon_sym___alignof] = ACTIONS(2880),
    [anon_sym__alignof] = ACTIONS(2880),
    [anon_sym_alignof] = ACTIONS(2880),
    [anon_sym__Alignof] = ACTIONS(2880),
    [anon_sym_offsetof] = ACTIONS(2880),
    [anon_sym__Generic] = ACTIONS(2880),
    [anon_sym_asm] = ACTIONS(2880),
    [anon_sym___asm__] = ACTIONS(2880),
    [anon_sym___asm] = ACTIONS(2880),
    [aux_sym_number_literal_token1] = ACTIONS(2882),
    [aux_sym_number_literal_token2] = ACTIONS(2880),
    [anon_sym_L_SQUOTE] = ACTIONS(2882),
    [anon_sym_u_SQUOTE] = ACTIONS(2882),
    [anon_sym_U_SQUOTE] = ACTIONS(2882),
    [anon_sym_u8_SQUOTE] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_L_DQUOTE] = ACTIONS(2882),
    [anon_sym_u_DQUOTE] = ACTIONS(2882),
    [anon_sym_U_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2880),
    [sym_false] = ACTIONS(2880),
    [anon_sym_NULL] = ACTIONS(2880),
    [anon_sym_nullptr] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_delete] = ACTIONS(2880),
    [anon_sym_throw] = ACTIONS(2880),
    [anon_sym_namespace] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
    [anon_sym_concept] = ACTIONS(2880),
    [anon_sym_co_return] = ACTIONS(2880),
    [anon_sym_co_yield] = ACTIONS(2880),
    [anon_sym_R_DQUOTE] = ACTIONS(2882),
    [anon_sym_LR_DQUOTE] = ACTIONS(2882),
    [anon_sym_uR_DQUOTE] = ACTIONS(2882),
    [anon_sym_UR_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2882),
    [anon_sym_co_await] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_requires] = ACTIONS(2880),
    [sym_this] = ACTIONS(2880),
  },
  [469] = {
    [sym_identifier] = ACTIONS(2736),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token2] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2736),
    [sym_preproc_directive] = ACTIONS(2736),
    [anon_sym_LPAREN2] = ACTIONS(2741),
    [anon_sym_BANG] = ACTIONS(2741),
    [anon_sym_TILDE] = ACTIONS(2741),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2741),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2741),
    [anon_sym___extension__] = ACTIONS(2736),
    [anon_sym_typedef] = ACTIONS(2736),
    [anon_sym_virtual] = ACTIONS(2736),
    [anon_sym_extern] = ACTIONS(2736),
    [anon_sym___attribute__] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2741),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2741),
    [anon_sym___declspec] = ACTIONS(2736),
    [anon_sym___based] = ACTIONS(2736),
    [anon_sym___cdecl] = ACTIONS(2736),
    [anon_sym___clrcall] = ACTIONS(2736),
    [anon_sym___stdcall] = ACTIONS(2736),
    [anon_sym___fastcall] = ACTIONS(2736),
    [anon_sym___thiscall] = ACTIONS(2736),
    [anon_sym___vectorcall] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2741),
    [anon_sym_signed] = ACTIONS(2736),
    [anon_sym_unsigned] = ACTIONS(2736),
    [anon_sym_long] = ACTIONS(2736),
    [anon_sym_short] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_register] = ACTIONS(2736),
    [anon_sym_inline] = ACTIONS(2736),
    [anon_sym___inline] = ACTIONS(2736),
    [anon_sym___inline__] = ACTIONS(2736),
    [anon_sym___forceinline] = ACTIONS(2736),
    [anon_sym_thread_local] = ACTIONS(2736),
    [anon_sym___thread] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_constexpr] = ACTIONS(2736),
    [anon_sym_volatile] = ACTIONS(2736),
    [anon_sym_restrict] = ACTIONS(2736),
    [anon_sym___restrict__] = ACTIONS(2736),
    [anon_sym__Atomic] = ACTIONS(2736),
    [anon_sym__Noreturn] = ACTIONS(2736),
    [anon_sym_noreturn] = ACTIONS(2736),
    [anon_sym__Nonnull] = ACTIONS(2736),
    [anon_sym_mutable] = ACTIONS(2736),
    [anon_sym_constinit] = ACTIONS(2736),
    [anon_sym_consteval] = ACTIONS(2736),
    [anon_sym_PROGMEM] = ACTIONS(2736),
    [anon_sym_alignas] = ACTIONS(2736),
    [anon_sym__Alignas] = ACTIONS(2736),
    [aux_sym_primitive_type_token1] = ACTIONS(2736),
    [anon_sym_byte] = ACTIONS(2736),
    [anon_sym_word] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_struct] = ACTIONS(2736),
    [anon_sym_union] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_else] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_case] = ACTIONS(2736),
    [anon_sym_default] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_goto] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2736),
    [anon_sym___leave] = ACTIONS(2736),
    [anon_sym_not] = ACTIONS(2736),
    [anon_sym_compl] = ACTIONS(2736),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_sizeof] = ACTIONS(2736),
    [anon_sym___alignof__] = ACTIONS(2736),
    [anon_sym___alignof] = ACTIONS(2736),
    [anon_sym__alignof] = ACTIONS(2736),
    [anon_sym_alignof] = ACTIONS(2736),
    [anon_sym__Alignof] = ACTIONS(2736),
    [anon_sym_offsetof] = ACTIONS(2736),
    [anon_sym__Generic] = ACTIONS(2736),
    [anon_sym_asm] = ACTIONS(2736),
    [anon_sym___asm__] = ACTIONS(2736),
    [anon_sym___asm] = ACTIONS(2736),
    [aux_sym_number_literal_token1] = ACTIONS(2741),
    [aux_sym_number_literal_token2] = ACTIONS(2736),
    [anon_sym_L_SQUOTE] = ACTIONS(2741),
    [anon_sym_u_SQUOTE] = ACTIONS(2741),
    [anon_sym_U_SQUOTE] = ACTIONS(2741),
    [anon_sym_u8_SQUOTE] = ACTIONS(2741),
    [anon_sym_SQUOTE] = ACTIONS(2741),
    [anon_sym_L_DQUOTE] = ACTIONS(2741),
    [anon_sym_u_DQUOTE] = ACTIONS(2741),
    [anon_sym_U_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8_DQUOTE] = ACTIONS(2741),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [anon_sym_NULL] = ACTIONS(2736),
    [anon_sym_nullptr] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2736),
    [anon_sym_decltype] = ACTIONS(2736),
    [anon_sym_explicit] = ACTIONS(2736),
    [anon_sym_typename] = ACTIONS(2736),
    [anon_sym_template] = ACTIONS(2736),
    [anon_sym_operator] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_namespace] = ACTIONS(2736),
    [anon_sym_using] = ACTIONS(2736),
    [anon_sym_static_assert] = ACTIONS(2736),
    [anon_sym_concept] = ACTIONS(2736),
    [anon_sym_co_return] = ACTIONS(2736),
    [anon_sym_co_yield] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2741),
    [anon_sym_LR_DQUOTE] = ACTIONS(2741),
    [anon_sym_uR_DQUOTE] = ACTIONS(2741),
    [anon_sym_UR_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2741),
    [anon_sym_co_await] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2736),
    [sym_this] = ACTIONS(2736),
  },
  [470] = {
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_include_token1] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_virtual] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym___cdecl] = ACTIONS(2822),
    [anon_sym___clrcall] = ACTIONS(2822),
    [anon_sym___stdcall] = ACTIONS(2822),
    [anon_sym___fastcall] = ACTIONS(2822),
    [anon_sym___thiscall] = ACTIONS(2822),
    [anon_sym___vectorcall] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym__Nonnull] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [anon_sym_PROGMEM] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym__Alignas] = ACTIONS(2822),
    [aux_sym_primitive_type_token1] = ACTIONS(2822),
    [anon_sym_byte] = ACTIONS(2822),
    [anon_sym_word] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_goto] = ACTIONS(2822),
    [anon_sym___try] = ACTIONS(2822),
    [anon_sym___leave] = ACTIONS(2822),
    [anon_sym_not] = ACTIONS(2822),
    [anon_sym_compl] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_sizeof] = ACTIONS(2822),
    [anon_sym___alignof__] = ACTIONS(2822),
    [anon_sym___alignof] = ACTIONS(2822),
    [anon_sym__alignof] = ACTIONS(2822),
    [anon_sym_alignof] = ACTIONS(2822),
    [anon_sym__Alignof] = ACTIONS(2822),
    [anon_sym_offsetof] = ACTIONS(2822),
    [anon_sym__Generic] = ACTIONS(2822),
    [anon_sym_asm] = ACTIONS(2822),
    [anon_sym___asm__] = ACTIONS(2822),
    [anon_sym___asm] = ACTIONS(2822),
    [aux_sym_number_literal_token1] = ACTIONS(2824),
    [aux_sym_number_literal_token2] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2824),
    [anon_sym_u_SQUOTE] = ACTIONS(2824),
    [anon_sym_U_SQUOTE] = ACTIONS(2824),
    [anon_sym_u8_SQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [anon_sym_L_DQUOTE] = ACTIONS(2824),
    [anon_sym_u_DQUOTE] = ACTIONS(2824),
    [anon_sym_U_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8_DQUOTE] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_NULL] = ACTIONS(2822),
    [anon_sym_nullptr] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
    [anon_sym_concept] = ACTIONS(2822),
    [anon_sym_co_return] = ACTIONS(2822),
    [anon_sym_co_yield] = ACTIONS(2822),
    [anon_sym_R_DQUOTE] = ACTIONS(2824),
    [anon_sym_LR_DQUOTE] = ACTIONS(2824),
    [anon_sym_uR_DQUOTE] = ACTIONS(2824),
    [anon_sym_UR_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2824),
    [anon_sym_co_await] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_requires] = ACTIONS(2822),
    [sym_this] = ACTIONS(2822),
  },
  [471] = {
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_RBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym__Nonnull] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [anon_sym_PROGMEM] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym__Alignas] = ACTIONS(2830),
    [aux_sym_primitive_type_token1] = ACTIONS(2830),
    [anon_sym_byte] = ACTIONS(2830),
    [anon_sym_word] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_else] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [anon_sym___asm] = ACTIONS(2830),
    [aux_sym_number_literal_token1] = ACTIONS(2832),
    [aux_sym_number_literal_token2] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(2836),
    [sym_identifier] = ACTIONS(2834),
    [aux_sym_preproc_include_token1] = ACTIONS(2834),
    [aux_sym_preproc_def_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2834),
    [sym_preproc_directive] = ACTIONS(2834),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2834),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_virtual] = ACTIONS(2834),
    [anon_sym_extern] = ACTIONS(2834),
    [anon_sym___attribute__] = ACTIONS(2834),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2836),
    [anon_sym___declspec] = ACTIONS(2834),
    [anon_sym___based] = ACTIONS(2834),
    [anon_sym___cdecl] = ACTIONS(2834),
    [anon_sym___clrcall] = ACTIONS(2834),
    [anon_sym___stdcall] = ACTIONS(2834),
    [anon_sym___fastcall] = ACTIONS(2834),
    [anon_sym___thiscall] = ACTIONS(2834),
    [anon_sym___vectorcall] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_signed] = ACTIONS(2834),
    [anon_sym_unsigned] = ACTIONS(2834),
    [anon_sym_long] = ACTIONS(2834),
    [anon_sym_short] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_register] = ACTIONS(2834),
    [anon_sym_inline] = ACTIONS(2834),
    [anon_sym___inline] = ACTIONS(2834),
    [anon_sym___inline__] = ACTIONS(2834),
    [anon_sym___forceinline] = ACTIONS(2834),
    [anon_sym_thread_local] = ACTIONS(2834),
    [anon_sym___thread] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_constexpr] = ACTIONS(2834),
    [anon_sym_volatile] = ACTIONS(2834),
    [anon_sym_restrict] = ACTIONS(2834),
    [anon_sym___restrict__] = ACTIONS(2834),
    [anon_sym__Atomic] = ACTIONS(2834),
    [anon_sym__Noreturn] = ACTIONS(2834),
    [anon_sym_noreturn] = ACTIONS(2834),
    [anon_sym__Nonnull] = ACTIONS(2834),
    [anon_sym_mutable] = ACTIONS(2834),
    [anon_sym_constinit] = ACTIONS(2834),
    [anon_sym_consteval] = ACTIONS(2834),
    [anon_sym_PROGMEM] = ACTIONS(2834),
    [anon_sym_alignas] = ACTIONS(2834),
    [anon_sym__Alignas] = ACTIONS(2834),
    [aux_sym_primitive_type_token1] = ACTIONS(2834),
    [anon_sym_byte] = ACTIONS(2834),
    [anon_sym_word] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_struct] = ACTIONS(2834),
    [anon_sym_union] = ACTIONS(2834),
    [anon_sym_if] = ACTIONS(2834),
    [anon_sym_else] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2834),
    [anon_sym_case] = ACTIONS(2834),
    [anon_sym_default] = ACTIONS(2834),
    [anon_sym_while] = ACTIONS(2834),
    [anon_sym_do] = ACTIONS(2834),
    [anon_sym_for] = ACTIONS(2834),
    [anon_sym_return] = ACTIONS(2834),
    [anon_sym_break] = ACTIONS(2834),
    [anon_sym_continue] = ACTIONS(2834),
    [anon_sym_goto] = ACTIONS(2834),
    [anon_sym___try] = ACTIONS(2834),
    [anon_sym___leave] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_compl] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_sizeof] = ACTIONS(2834),
    [anon_sym___alignof__] = ACTIONS(2834),
    [anon_sym___alignof] = ACTIONS(2834),
    [anon_sym__alignof] = ACTIONS(2834),
    [anon_sym_alignof] = ACTIONS(2834),
    [anon_sym__Alignof] = ACTIONS(2834),
    [anon_sym_offsetof] = ACTIONS(2834),
    [anon_sym__Generic] = ACTIONS(2834),
    [anon_sym_asm] = ACTIONS(2834),
    [anon_sym___asm__] = ACTIONS(2834),
    [anon_sym___asm] = ACTIONS(2834),
    [aux_sym_number_literal_token1] = ACTIONS(2836),
    [aux_sym_number_literal_token2] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2836),
    [anon_sym_u_SQUOTE] = ACTIONS(2836),
    [anon_sym_U_SQUOTE] = ACTIONS(2836),
    [anon_sym_u8_SQUOTE] = ACTIONS(2836),
    [anon_sym_SQUOTE] = ACTIONS(2836),
    [anon_sym_L_DQUOTE] = ACTIONS(2836),
    [anon_sym_u_DQUOTE] = ACTIONS(2836),
    [anon_sym_U_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8_DQUOTE] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2836),
    [sym_true] = ACTIONS(2834),
    [sym_false] = ACTIONS(2834),
    [anon_sym_NULL] = ACTIONS(2834),
    [anon_sym_nullptr] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2834),
    [anon_sym_decltype] = ACTIONS(2834),
    [anon_sym_explicit] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2834),
    [anon_sym_template] = ACTIONS(2834),
    [anon_sym_operator] = ACTIONS(2834),
    [anon_sym_try] = ACTIONS(2834),
    [anon_sym_delete] = ACTIONS(2834),
    [anon_sym_throw] = ACTIONS(2834),
    [anon_sym_namespace] = ACTIONS(2834),
    [anon_sym_using] = ACTIONS(2834),
    [anon_sym_static_assert] = ACTIONS(2834),
    [anon_sym_concept] = ACTIONS(2834),
    [anon_sym_co_return] = ACTIONS(2834),
    [anon_sym_co_yield] = ACTIONS(2834),
    [anon_sym_R_DQUOTE] = ACTIONS(2836),
    [anon_sym_LR_DQUOTE] = ACTIONS(2836),
    [anon_sym_uR_DQUOTE] = ACTIONS(2836),
    [anon_sym_UR_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2836),
    [anon_sym_co_await] = ACTIONS(2834),
    [anon_sym_new] = ACTIONS(2834),
    [anon_sym_requires] = ACTIONS(2834),
    [sym_this] = ACTIONS(2834),
  },
  [473] = {
    [sym_identifier] = ACTIONS(2834),
    [aux_sym_preproc_include_token1] = ACTIONS(2834),
    [aux_sym_preproc_def_token1] = ACTIONS(2834),
    [aux_sym_preproc_if_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2834),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2834),
    [sym_preproc_directive] = ACTIONS(2834),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2834),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_virtual] = ACTIONS(2834),
    [anon_sym_extern] = ACTIONS(2834),
    [anon_sym___attribute__] = ACTIONS(2834),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2836),
    [anon_sym___declspec] = ACTIONS(2834),
    [anon_sym___based] = ACTIONS(2834),
    [anon_sym___cdecl] = ACTIONS(2834),
    [anon_sym___clrcall] = ACTIONS(2834),
    [anon_sym___stdcall] = ACTIONS(2834),
    [anon_sym___fastcall] = ACTIONS(2834),
    [anon_sym___thiscall] = ACTIONS(2834),
    [anon_sym___vectorcall] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_RBRACE] = ACTIONS(2836),
    [anon_sym_signed] = ACTIONS(2834),
    [anon_sym_unsigned] = ACTIONS(2834),
    [anon_sym_long] = ACTIONS(2834),
    [anon_sym_short] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_register] = ACTIONS(2834),
    [anon_sym_inline] = ACTIONS(2834),
    [anon_sym___inline] = ACTIONS(2834),
    [anon_sym___inline__] = ACTIONS(2834),
    [anon_sym___forceinline] = ACTIONS(2834),
    [anon_sym_thread_local] = ACTIONS(2834),
    [anon_sym___thread] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_constexpr] = ACTIONS(2834),
    [anon_sym_volatile] = ACTIONS(2834),
    [anon_sym_restrict] = ACTIONS(2834),
    [anon_sym___restrict__] = ACTIONS(2834),
    [anon_sym__Atomic] = ACTIONS(2834),
    [anon_sym__Noreturn] = ACTIONS(2834),
    [anon_sym_noreturn] = ACTIONS(2834),
    [anon_sym__Nonnull] = ACTIONS(2834),
    [anon_sym_mutable] = ACTIONS(2834),
    [anon_sym_constinit] = ACTIONS(2834),
    [anon_sym_consteval] = ACTIONS(2834),
    [anon_sym_PROGMEM] = ACTIONS(2834),
    [anon_sym_alignas] = ACTIONS(2834),
    [anon_sym__Alignas] = ACTIONS(2834),
    [aux_sym_primitive_type_token1] = ACTIONS(2834),
    [anon_sym_byte] = ACTIONS(2834),
    [anon_sym_word] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_struct] = ACTIONS(2834),
    [anon_sym_union] = ACTIONS(2834),
    [anon_sym_if] = ACTIONS(2834),
    [anon_sym_else] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2834),
    [anon_sym_case] = ACTIONS(2834),
    [anon_sym_default] = ACTIONS(2834),
    [anon_sym_while] = ACTIONS(2834),
    [anon_sym_do] = ACTIONS(2834),
    [anon_sym_for] = ACTIONS(2834),
    [anon_sym_return] = ACTIONS(2834),
    [anon_sym_break] = ACTIONS(2834),
    [anon_sym_continue] = ACTIONS(2834),
    [anon_sym_goto] = ACTIONS(2834),
    [anon_sym___try] = ACTIONS(2834),
    [anon_sym___leave] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_compl] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_sizeof] = ACTIONS(2834),
    [anon_sym___alignof__] = ACTIONS(2834),
    [anon_sym___alignof] = ACTIONS(2834),
    [anon_sym__alignof] = ACTIONS(2834),
    [anon_sym_alignof] = ACTIONS(2834),
    [anon_sym__Alignof] = ACTIONS(2834),
    [anon_sym_offsetof] = ACTIONS(2834),
    [anon_sym__Generic] = ACTIONS(2834),
    [anon_sym_asm] = ACTIONS(2834),
    [anon_sym___asm__] = ACTIONS(2834),
    [anon_sym___asm] = ACTIONS(2834),
    [aux_sym_number_literal_token1] = ACTIONS(2836),
    [aux_sym_number_literal_token2] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2836),
    [anon_sym_u_SQUOTE] = ACTIONS(2836),
    [anon_sym_U_SQUOTE] = ACTIONS(2836),
    [anon_sym_u8_SQUOTE] = ACTIONS(2836),
    [anon_sym_SQUOTE] = ACTIONS(2836),
    [anon_sym_L_DQUOTE] = ACTIONS(2836),
    [anon_sym_u_DQUOTE] = ACTIONS(2836),
    [anon_sym_U_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8_DQUOTE] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2836),
    [sym_true] = ACTIONS(2834),
    [sym_false] = ACTIONS(2834),
    [anon_sym_NULL] = ACTIONS(2834),
    [anon_sym_nullptr] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2834),
    [anon_sym_decltype] = ACTIONS(2834),
    [anon_sym_explicit] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2834),
    [anon_sym_template] = ACTIONS(2834),
    [anon_sym_operator] = ACTIONS(2834),
    [anon_sym_try] = ACTIONS(2834),
    [anon_sym_delete] = ACTIONS(2834),
    [anon_sym_throw] = ACTIONS(2834),
    [anon_sym_namespace] = ACTIONS(2834),
    [anon_sym_using] = ACTIONS(2834),
    [anon_sym_static_assert] = ACTIONS(2834),
    [anon_sym_concept] = ACTIONS(2834),
    [anon_sym_co_return] = ACTIONS(2834),
    [anon_sym_co_yield] = ACTIONS(2834),
    [anon_sym_R_DQUOTE] = ACTIONS(2836),
    [anon_sym_LR_DQUOTE] = ACTIONS(2836),
    [anon_sym_uR_DQUOTE] = ACTIONS(2836),
    [anon_sym_UR_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2836),
    [anon_sym_co_await] = ACTIONS(2834),
    [anon_sym_new] = ACTIONS(2834),
    [anon_sym_requires] = ACTIONS(2834),
    [sym_this] = ACTIONS(2834),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(2906),
    [sym_identifier] = ACTIONS(2904),
    [aux_sym_preproc_include_token1] = ACTIONS(2904),
    [aux_sym_preproc_def_token1] = ACTIONS(2904),
    [aux_sym_preproc_if_token1] = ACTIONS(2904),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2904),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2904),
    [sym_preproc_directive] = ACTIONS(2904),
    [anon_sym_LPAREN2] = ACTIONS(2906),
    [anon_sym_BANG] = ACTIONS(2906),
    [anon_sym_TILDE] = ACTIONS(2906),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_AMP_AMP] = ACTIONS(2906),
    [anon_sym_AMP] = ACTIONS(2904),
    [anon_sym_SEMI] = ACTIONS(2906),
    [anon_sym___extension__] = ACTIONS(2904),
    [anon_sym_typedef] = ACTIONS(2904),
    [anon_sym_virtual] = ACTIONS(2904),
    [anon_sym_extern] = ACTIONS(2904),
    [anon_sym___attribute__] = ACTIONS(2904),
    [anon_sym_COLON_COLON] = ACTIONS(2906),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2906),
    [anon_sym___declspec] = ACTIONS(2904),
    [anon_sym___based] = ACTIONS(2904),
    [anon_sym___cdecl] = ACTIONS(2904),
    [anon_sym___clrcall] = ACTIONS(2904),
    [anon_sym___stdcall] = ACTIONS(2904),
    [anon_sym___fastcall] = ACTIONS(2904),
    [anon_sym___thiscall] = ACTIONS(2904),
    [anon_sym___vectorcall] = ACTIONS(2904),
    [anon_sym_LBRACE] = ACTIONS(2906),
    [anon_sym_signed] = ACTIONS(2904),
    [anon_sym_unsigned] = ACTIONS(2904),
    [anon_sym_long] = ACTIONS(2904),
    [anon_sym_short] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_static] = ACTIONS(2904),
    [anon_sym_register] = ACTIONS(2904),
    [anon_sym_inline] = ACTIONS(2904),
    [anon_sym___inline] = ACTIONS(2904),
    [anon_sym___inline__] = ACTIONS(2904),
    [anon_sym___forceinline] = ACTIONS(2904),
    [anon_sym_thread_local] = ACTIONS(2904),
    [anon_sym___thread] = ACTIONS(2904),
    [anon_sym_const] = ACTIONS(2904),
    [anon_sym_constexpr] = ACTIONS(2904),
    [anon_sym_volatile] = ACTIONS(2904),
    [anon_sym_restrict] = ACTIONS(2904),
    [anon_sym___restrict__] = ACTIONS(2904),
    [anon_sym__Atomic] = ACTIONS(2904),
    [anon_sym__Noreturn] = ACTIONS(2904),
    [anon_sym_noreturn] = ACTIONS(2904),
    [anon_sym__Nonnull] = ACTIONS(2904),
    [anon_sym_mutable] = ACTIONS(2904),
    [anon_sym_constinit] = ACTIONS(2904),
    [anon_sym_consteval] = ACTIONS(2904),
    [anon_sym_PROGMEM] = ACTIONS(2904),
    [anon_sym_alignas] = ACTIONS(2904),
    [anon_sym__Alignas] = ACTIONS(2904),
    [aux_sym_primitive_type_token1] = ACTIONS(2904),
    [anon_sym_byte] = ACTIONS(2904),
    [anon_sym_word] = ACTIONS(2904),
    [anon_sym_enum] = ACTIONS(2904),
    [anon_sym_class] = ACTIONS(2904),
    [anon_sym_struct] = ACTIONS(2904),
    [anon_sym_union] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_else] = ACTIONS(2904),
    [anon_sym_switch] = ACTIONS(2904),
    [anon_sym_case] = ACTIONS(2904),
    [anon_sym_default] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_break] = ACTIONS(2904),
    [anon_sym_continue] = ACTIONS(2904),
    [anon_sym_goto] = ACTIONS(2904),
    [anon_sym___try] = ACTIONS(2904),
    [anon_sym___leave] = ACTIONS(2904),
    [anon_sym_not] = ACTIONS(2904),
    [anon_sym_compl] = ACTIONS(2904),
    [anon_sym_DASH_DASH] = ACTIONS(2906),
    [anon_sym_PLUS_PLUS] = ACTIONS(2906),
    [anon_sym_sizeof] = ACTIONS(2904),
    [anon_sym___alignof__] = ACTIONS(2904),
    [anon_sym___alignof] = ACTIONS(2904),
    [anon_sym__alignof] = ACTIONS(2904),
    [anon_sym_alignof] = ACTIONS(2904),
    [anon_sym__Alignof] = ACTIONS(2904),
    [anon_sym_offsetof] = ACTIONS(2904),
    [anon_sym__Generic] = ACTIONS(2904),
    [anon_sym_asm] = ACTIONS(2904),
    [anon_sym___asm__] = ACTIONS(2904),
    [anon_sym___asm] = ACTIONS(2904),
    [aux_sym_number_literal_token1] = ACTIONS(2906),
    [aux_sym_number_literal_token2] = ACTIONS(2904),
    [anon_sym_L_SQUOTE] = ACTIONS(2906),
    [anon_sym_u_SQUOTE] = ACTIONS(2906),
    [anon_sym_U_SQUOTE] = ACTIONS(2906),
    [anon_sym_u8_SQUOTE] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [anon_sym_L_DQUOTE] = ACTIONS(2906),
    [anon_sym_u_DQUOTE] = ACTIONS(2906),
    [anon_sym_U_DQUOTE] = ACTIONS(2906),
    [anon_sym_u8_DQUOTE] = ACTIONS(2906),
    [anon_sym_DQUOTE] = ACTIONS(2906),
    [sym_true] = ACTIONS(2904),
    [sym_false] = ACTIONS(2904),
    [anon_sym_NULL] = ACTIONS(2904),
    [anon_sym_nullptr] = ACTIONS(2904),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2904),
    [anon_sym_decltype] = ACTIONS(2904),
    [anon_sym_explicit] = ACTIONS(2904),
    [anon_sym_typename] = ACTIONS(2904),
    [anon_sym_template] = ACTIONS(2904),
    [anon_sym_operator] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_delete] = ACTIONS(2904),
    [anon_sym_throw] = ACTIONS(2904),
    [anon_sym_namespace] = ACTIONS(2904),
    [anon_sym_using] = ACTIONS(2904),
    [anon_sym_static_assert] = ACTIONS(2904),
    [anon_sym_concept] = ACTIONS(2904),
    [anon_sym_co_return] = ACTIONS(2904),
    [anon_sym_co_yield] = ACTIONS(2904),
    [anon_sym_R_DQUOTE] = ACTIONS(2906),
    [anon_sym_LR_DQUOTE] = ACTIONS(2906),
    [anon_sym_uR_DQUOTE] = ACTIONS(2906),
    [anon_sym_UR_DQUOTE] = ACTIONS(2906),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2906),
    [anon_sym_co_await] = ACTIONS(2904),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_requires] = ACTIONS(2904),
    [sym_this] = ACTIONS(2904),
  },
  [475] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_virtual] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_RBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [anon_sym_PROGMEM] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [aux_sym_primitive_type_token1] = ACTIONS(2786),
    [anon_sym_byte] = ACTIONS(2786),
    [anon_sym_word] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [aux_sym_number_literal_token1] = ACTIONS(2788),
    [aux_sym_number_literal_token2] = ACTIONS(2786),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
    [anon_sym_concept] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2806),
    [aux_sym_preproc_include_token1] = ACTIONS(2806),
    [aux_sym_preproc_def_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2806),
    [sym_preproc_directive] = ACTIONS(2806),
    [anon_sym_LPAREN2] = ACTIONS(2808),
    [anon_sym_BANG] = ACTIONS(2808),
    [anon_sym_TILDE] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2808),
    [anon_sym_AMP_AMP] = ACTIONS(2808),
    [anon_sym_AMP] = ACTIONS(2806),
    [anon_sym_SEMI] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2806),
    [anon_sym_typedef] = ACTIONS(2806),
    [anon_sym_virtual] = ACTIONS(2806),
    [anon_sym_extern] = ACTIONS(2806),
    [anon_sym___attribute__] = ACTIONS(2806),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2808),
    [anon_sym___declspec] = ACTIONS(2806),
    [anon_sym___based] = ACTIONS(2806),
    [anon_sym___cdecl] = ACTIONS(2806),
    [anon_sym___clrcall] = ACTIONS(2806),
    [anon_sym___stdcall] = ACTIONS(2806),
    [anon_sym___fastcall] = ACTIONS(2806),
    [anon_sym___thiscall] = ACTIONS(2806),
    [anon_sym___vectorcall] = ACTIONS(2806),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_RBRACE] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2806),
    [anon_sym_unsigned] = ACTIONS(2806),
    [anon_sym_long] = ACTIONS(2806),
    [anon_sym_short] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_register] = ACTIONS(2806),
    [anon_sym_inline] = ACTIONS(2806),
    [anon_sym___inline] = ACTIONS(2806),
    [anon_sym___inline__] = ACTIONS(2806),
    [anon_sym___forceinline] = ACTIONS(2806),
    [anon_sym_thread_local] = ACTIONS(2806),
    [anon_sym___thread] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_constexpr] = ACTIONS(2806),
    [anon_sym_volatile] = ACTIONS(2806),
    [anon_sym_restrict] = ACTIONS(2806),
    [anon_sym___restrict__] = ACTIONS(2806),
    [anon_sym__Atomic] = ACTIONS(2806),
    [anon_sym__Noreturn] = ACTIONS(2806),
    [anon_sym_noreturn] = ACTIONS(2806),
    [anon_sym__Nonnull] = ACTIONS(2806),
    [anon_sym_mutable] = ACTIONS(2806),
    [anon_sym_constinit] = ACTIONS(2806),
    [anon_sym_consteval] = ACTIONS(2806),
    [anon_sym_PROGMEM] = ACTIONS(2806),
    [anon_sym_alignas] = ACTIONS(2806),
    [anon_sym__Alignas] = ACTIONS(2806),
    [aux_sym_primitive_type_token1] = ACTIONS(2806),
    [anon_sym_byte] = ACTIONS(2806),
    [anon_sym_word] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [anon_sym_class] = ACTIONS(2806),
    [anon_sym_struct] = ACTIONS(2806),
    [anon_sym_union] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2806),
    [anon_sym_else] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2806),
    [anon_sym_case] = ACTIONS(2806),
    [anon_sym_default] = ACTIONS(2806),
    [anon_sym_while] = ACTIONS(2806),
    [anon_sym_do] = ACTIONS(2806),
    [anon_sym_for] = ACTIONS(2806),
    [anon_sym_return] = ACTIONS(2806),
    [anon_sym_break] = ACTIONS(2806),
    [anon_sym_continue] = ACTIONS(2806),
    [anon_sym_goto] = ACTIONS(2806),
    [anon_sym___try] = ACTIONS(2806),
    [anon_sym___leave] = ACTIONS(2806),
    [anon_sym_not] = ACTIONS(2806),
    [anon_sym_compl] = ACTIONS(2806),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_sizeof] = ACTIONS(2806),
    [anon_sym___alignof__] = ACTIONS(2806),
    [anon_sym___alignof] = ACTIONS(2806),
    [anon_sym__alignof] = ACTIONS(2806),
    [anon_sym_alignof] = ACTIONS(2806),
    [anon_sym__Alignof] = ACTIONS(2806),
    [anon_sym_offsetof] = ACTIONS(2806),
    [anon_sym__Generic] = ACTIONS(2806),
    [anon_sym_asm] = ACTIONS(2806),
    [anon_sym___asm__] = ACTIONS(2806),
    [anon_sym___asm] = ACTIONS(2806),
    [aux_sym_number_literal_token1] = ACTIONS(2808),
    [aux_sym_number_literal_token2] = ACTIONS(2806),
    [anon_sym_L_SQUOTE] = ACTIONS(2808),
    [anon_sym_u_SQUOTE] = ACTIONS(2808),
    [anon_sym_U_SQUOTE] = ACTIONS(2808),
    [anon_sym_u8_SQUOTE] = ACTIONS(2808),
    [anon_sym_SQUOTE] = ACTIONS(2808),
    [anon_sym_L_DQUOTE] = ACTIONS(2808),
    [anon_sym_u_DQUOTE] = ACTIONS(2808),
    [anon_sym_U_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8_DQUOTE] = ACTIONS(2808),
    [anon_sym_DQUOTE] = ACTIONS(2808),
    [sym_true] = ACTIONS(2806),
    [sym_false] = ACTIONS(2806),
    [anon_sym_NULL] = ACTIONS(2806),
    [anon_sym_nullptr] = ACTIONS(2806),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2806),
    [anon_sym_decltype] = ACTIONS(2806),
    [anon_sym_explicit] = ACTIONS(2806),
    [anon_sym_typename] = ACTIONS(2806),
    [anon_sym_template] = ACTIONS(2806),
    [anon_sym_operator] = ACTIONS(2806),
    [anon_sym_try] = ACTIONS(2806),
    [anon_sym_delete] = ACTIONS(2806),
    [anon_sym_throw] = ACTIONS(2806),
    [anon_sym_namespace] = ACTIONS(2806),
    [anon_sym_using] = ACTIONS(2806),
    [anon_sym_static_assert] = ACTIONS(2806),
    [anon_sym_concept] = ACTIONS(2806),
    [anon_sym_co_return] = ACTIONS(2806),
    [anon_sym_co_yield] = ACTIONS(2806),
    [anon_sym_R_DQUOTE] = ACTIONS(2808),
    [anon_sym_LR_DQUOTE] = ACTIONS(2808),
    [anon_sym_uR_DQUOTE] = ACTIONS(2808),
    [anon_sym_UR_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2808),
    [anon_sym_co_await] = ACTIONS(2806),
    [anon_sym_new] = ACTIONS(2806),
    [anon_sym_requires] = ACTIONS(2806),
    [sym_this] = ACTIONS(2806),
  },
  [477] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_include_token1] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2804),
    [anon_sym_TILDE] = ACTIONS(2804),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_AMP_AMP] = ACTIONS(2804),
    [anon_sym_AMP] = ACTIONS(2802),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_virtual] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym_COLON_COLON] = ACTIONS(2804),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___based] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2804),
    [anon_sym_RBRACE] = ACTIONS(2804),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym__Nonnull] = ACTIONS(2802),
    [anon_sym_mutable] = ACTIONS(2802),
    [anon_sym_constinit] = ACTIONS(2802),
    [anon_sym_consteval] = ACTIONS(2802),
    [anon_sym_PROGMEM] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [aux_sym_primitive_type_token1] = ACTIONS(2802),
    [anon_sym_byte] = ACTIONS(2802),
    [anon_sym_word] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_class] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_else] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym___try] = ACTIONS(2802),
    [anon_sym___leave] = ACTIONS(2802),
    [anon_sym_not] = ACTIONS(2802),
    [anon_sym_compl] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [anon_sym___asm] = ACTIONS(2802),
    [aux_sym_number_literal_token1] = ACTIONS(2804),
    [aux_sym_number_literal_token2] = ACTIONS(2802),
    [anon_sym_L_SQUOTE] = ACTIONS(2804),
    [anon_sym_u_SQUOTE] = ACTIONS(2804),
    [anon_sym_U_SQUOTE] = ACTIONS(2804),
    [anon_sym_u8_SQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [anon_sym_L_DQUOTE] = ACTIONS(2804),
    [anon_sym_u_DQUOTE] = ACTIONS(2804),
    [anon_sym_U_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8_DQUOTE] = ACTIONS(2804),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2802),
    [anon_sym_decltype] = ACTIONS(2802),
    [anon_sym_explicit] = ACTIONS(2802),
    [anon_sym_typename] = ACTIONS(2802),
    [anon_sym_template] = ACTIONS(2802),
    [anon_sym_operator] = ACTIONS(2802),
    [anon_sym_try] = ACTIONS(2802),
    [anon_sym_delete] = ACTIONS(2802),
    [anon_sym_throw] = ACTIONS(2802),
    [anon_sym_namespace] = ACTIONS(2802),
    [anon_sym_using] = ACTIONS(2802),
    [anon_sym_static_assert] = ACTIONS(2802),
    [anon_sym_concept] = ACTIONS(2802),
    [anon_sym_co_return] = ACTIONS(2802),
    [anon_sym_co_yield] = ACTIONS(2802),
    [anon_sym_R_DQUOTE] = ACTIONS(2804),
    [anon_sym_LR_DQUOTE] = ACTIONS(2804),
    [anon_sym_uR_DQUOTE] = ACTIONS(2804),
    [anon_sym_UR_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2804),
    [anon_sym_co_await] = ACTIONS(2802),
    [anon_sym_new] = ACTIONS(2802),
    [anon_sym_requires] = ACTIONS(2802),
    [sym_this] = ACTIONS(2802),
  },
  [478] = {
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_include_token1] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token2] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym___cdecl] = ACTIONS(2876),
    [anon_sym___clrcall] = ACTIONS(2876),
    [anon_sym___stdcall] = ACTIONS(2876),
    [anon_sym___fastcall] = ACTIONS(2876),
    [anon_sym___thiscall] = ACTIONS(2876),
    [anon_sym___vectorcall] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_PROGMEM] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [aux_sym_primitive_type_token1] = ACTIONS(2876),
    [anon_sym_byte] = ACTIONS(2876),
    [anon_sym_word] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_else] = ACTIONS(2876),
    [anon_sym_switch] = ACTIONS(2876),
    [anon_sym_case] = ACTIONS(2876),
    [anon_sym_default] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_break] = ACTIONS(2876),
    [anon_sym_continue] = ACTIONS(2876),
    [anon_sym_goto] = ACTIONS(2876),
    [anon_sym___try] = ACTIONS(2876),
    [anon_sym___leave] = ACTIONS(2876),
    [anon_sym_not] = ACTIONS(2876),
    [anon_sym_compl] = ACTIONS(2876),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_sizeof] = ACTIONS(2876),
    [anon_sym___alignof__] = ACTIONS(2876),
    [anon_sym___alignof] = ACTIONS(2876),
    [anon_sym__alignof] = ACTIONS(2876),
    [anon_sym_alignof] = ACTIONS(2876),
    [anon_sym__Alignof] = ACTIONS(2876),
    [anon_sym_offsetof] = ACTIONS(2876),
    [anon_sym__Generic] = ACTIONS(2876),
    [anon_sym_asm] = ACTIONS(2876),
    [anon_sym___asm__] = ACTIONS(2876),
    [anon_sym___asm] = ACTIONS(2876),
    [aux_sym_number_literal_token1] = ACTIONS(2878),
    [aux_sym_number_literal_token2] = ACTIONS(2876),
    [anon_sym_L_SQUOTE] = ACTIONS(2878),
    [anon_sym_u_SQUOTE] = ACTIONS(2878),
    [anon_sym_U_SQUOTE] = ACTIONS(2878),
    [anon_sym_u8_SQUOTE] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_L_DQUOTE] = ACTIONS(2878),
    [anon_sym_u_DQUOTE] = ACTIONS(2878),
    [anon_sym_U_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE] = ACTIONS(2878),
    [sym_true] = ACTIONS(2876),
    [sym_false] = ACTIONS(2876),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_delete] = ACTIONS(2876),
    [anon_sym_throw] = ACTIONS(2876),
    [anon_sym_namespace] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
    [anon_sym_concept] = ACTIONS(2876),
    [anon_sym_co_return] = ACTIONS(2876),
    [anon_sym_co_yield] = ACTIONS(2876),
    [anon_sym_R_DQUOTE] = ACTIONS(2878),
    [anon_sym_LR_DQUOTE] = ACTIONS(2878),
    [anon_sym_uR_DQUOTE] = ACTIONS(2878),
    [anon_sym_UR_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2878),
    [anon_sym_co_await] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_requires] = ACTIONS(2876),
    [sym_this] = ACTIONS(2876),
  },
  [479] = {
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_include_token1] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token2] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_virtual] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym___cdecl] = ACTIONS(2822),
    [anon_sym___clrcall] = ACTIONS(2822),
    [anon_sym___stdcall] = ACTIONS(2822),
    [anon_sym___fastcall] = ACTIONS(2822),
    [anon_sym___thiscall] = ACTIONS(2822),
    [anon_sym___vectorcall] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym__Nonnull] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [anon_sym_PROGMEM] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym__Alignas] = ACTIONS(2822),
    [aux_sym_primitive_type_token1] = ACTIONS(2822),
    [anon_sym_byte] = ACTIONS(2822),
    [anon_sym_word] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_goto] = ACTIONS(2822),
    [anon_sym___try] = ACTIONS(2822),
    [anon_sym___leave] = ACTIONS(2822),
    [anon_sym_not] = ACTIONS(2822),
    [anon_sym_compl] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_sizeof] = ACTIONS(2822),
    [anon_sym___alignof__] = ACTIONS(2822),
    [anon_sym___alignof] = ACTIONS(2822),
    [anon_sym__alignof] = ACTIONS(2822),
    [anon_sym_alignof] = ACTIONS(2822),
    [anon_sym__Alignof] = ACTIONS(2822),
    [anon_sym_offsetof] = ACTIONS(2822),
    [anon_sym__Generic] = ACTIONS(2822),
    [anon_sym_asm] = ACTIONS(2822),
    [anon_sym___asm__] = ACTIONS(2822),
    [anon_sym___asm] = ACTIONS(2822),
    [aux_sym_number_literal_token1] = ACTIONS(2824),
    [aux_sym_number_literal_token2] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2824),
    [anon_sym_u_SQUOTE] = ACTIONS(2824),
    [anon_sym_U_SQUOTE] = ACTIONS(2824),
    [anon_sym_u8_SQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [anon_sym_L_DQUOTE] = ACTIONS(2824),
    [anon_sym_u_DQUOTE] = ACTIONS(2824),
    [anon_sym_U_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8_DQUOTE] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_NULL] = ACTIONS(2822),
    [anon_sym_nullptr] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
    [anon_sym_concept] = ACTIONS(2822),
    [anon_sym_co_return] = ACTIONS(2822),
    [anon_sym_co_yield] = ACTIONS(2822),
    [anon_sym_R_DQUOTE] = ACTIONS(2824),
    [anon_sym_LR_DQUOTE] = ACTIONS(2824),
    [anon_sym_uR_DQUOTE] = ACTIONS(2824),
    [anon_sym_UR_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2824),
    [anon_sym_co_await] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_requires] = ACTIONS(2822),
    [sym_this] = ACTIONS(2822),
  },
  [480] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_RBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [anon_sym_PROGMEM] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [aux_sym_primitive_type_token1] = ACTIONS(2848),
    [anon_sym_byte] = ACTIONS(2848),
    [anon_sym_word] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_else] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym___leave] = ACTIONS(2848),
    [anon_sym_not] = ACTIONS(2848),
    [anon_sym_compl] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [anon_sym___asm] = ACTIONS(2848),
    [aux_sym_number_literal_token1] = ACTIONS(2850),
    [aux_sym_number_literal_token2] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_namespace] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_concept] = ACTIONS(2848),
    [anon_sym_co_return] = ACTIONS(2848),
    [anon_sym_co_yield] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2850),
    [anon_sym_LR_DQUOTE] = ACTIONS(2850),
    [anon_sym_uR_DQUOTE] = ACTIONS(2850),
    [anon_sym_UR_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2850),
    [anon_sym_co_await] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_requires] = ACTIONS(2848),
    [sym_this] = ACTIONS(2848),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token2] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym__Nonnull] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [anon_sym_PROGMEM] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym__Alignas] = ACTIONS(2830),
    [aux_sym_primitive_type_token1] = ACTIONS(2830),
    [anon_sym_byte] = ACTIONS(2830),
    [anon_sym_word] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_else] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [anon_sym___asm] = ACTIONS(2830),
    [aux_sym_number_literal_token1] = ACTIONS(2832),
    [aux_sym_number_literal_token2] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [482] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token2] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_virtual] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___based] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [anon_sym_PROGMEM] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [aux_sym_primitive_type_token1] = ACTIONS(2770),
    [anon_sym_byte] = ACTIONS(2770),
    [anon_sym_word] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_else] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym___leave] = ACTIONS(2770),
    [anon_sym_not] = ACTIONS(2770),
    [anon_sym_compl] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [anon_sym___asm] = ACTIONS(2770),
    [aux_sym_number_literal_token1] = ACTIONS(2775),
    [aux_sym_number_literal_token2] = ACTIONS(2770),
    [anon_sym_L_SQUOTE] = ACTIONS(2775),
    [anon_sym_u_SQUOTE] = ACTIONS(2775),
    [anon_sym_U_SQUOTE] = ACTIONS(2775),
    [anon_sym_u8_SQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_L_DQUOTE] = ACTIONS(2775),
    [anon_sym_u_DQUOTE] = ACTIONS(2775),
    [anon_sym_U_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [anon_sym_explicit] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_operator] = ACTIONS(2770),
    [anon_sym_try] = ACTIONS(2770),
    [anon_sym_delete] = ACTIONS(2770),
    [anon_sym_throw] = ACTIONS(2770),
    [anon_sym_namespace] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_static_assert] = ACTIONS(2770),
    [anon_sym_concept] = ACTIONS(2770),
    [anon_sym_co_return] = ACTIONS(2770),
    [anon_sym_co_yield] = ACTIONS(2770),
    [anon_sym_R_DQUOTE] = ACTIONS(2775),
    [anon_sym_LR_DQUOTE] = ACTIONS(2775),
    [anon_sym_uR_DQUOTE] = ACTIONS(2775),
    [anon_sym_UR_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2775),
    [anon_sym_co_await] = ACTIONS(2770),
    [anon_sym_new] = ACTIONS(2770),
    [anon_sym_requires] = ACTIONS(2770),
    [sym_this] = ACTIONS(2770),
  },
  [483] = {
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP_AMP] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___based] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_RBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [anon_sym_PROGMEM] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [aux_sym_primitive_type_token1] = ACTIONS(2852),
    [anon_sym_byte] = ACTIONS(2852),
    [anon_sym_word] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_else] = ACTIONS(2852),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym___leave] = ACTIONS(2852),
    [anon_sym_not] = ACTIONS(2852),
    [anon_sym_compl] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [anon_sym___asm] = ACTIONS(2852),
    [aux_sym_number_literal_token1] = ACTIONS(2854),
    [aux_sym_number_literal_token2] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_explicit] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_operator] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_namespace] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_static_assert] = ACTIONS(2852),
    [anon_sym_concept] = ACTIONS(2852),
    [anon_sym_co_return] = ACTIONS(2852),
    [anon_sym_co_yield] = ACTIONS(2852),
    [anon_sym_R_DQUOTE] = ACTIONS(2854),
    [anon_sym_LR_DQUOTE] = ACTIONS(2854),
    [anon_sym_uR_DQUOTE] = ACTIONS(2854),
    [anon_sym_UR_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2854),
    [anon_sym_co_await] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_requires] = ACTIONS(2852),
    [sym_this] = ACTIONS(2852),
  },
  [484] = {
    [sym_identifier] = ACTIONS(2856),
    [aux_sym_preproc_include_token1] = ACTIONS(2856),
    [aux_sym_preproc_def_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2856),
    [sym_preproc_directive] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_AMP_AMP] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2856),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_virtual] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym_COLON_COLON] = ACTIONS(2858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym___based] = ACTIONS(2856),
    [anon_sym___cdecl] = ACTIONS(2856),
    [anon_sym___clrcall] = ACTIONS(2856),
    [anon_sym___stdcall] = ACTIONS(2856),
    [anon_sym___fastcall] = ACTIONS(2856),
    [anon_sym___thiscall] = ACTIONS(2856),
    [anon_sym___vectorcall] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2858),
    [anon_sym_RBRACE] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_mutable] = ACTIONS(2856),
    [anon_sym_constinit] = ACTIONS(2856),
    [anon_sym_consteval] = ACTIONS(2856),
    [anon_sym_PROGMEM] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [aux_sym_primitive_type_token1] = ACTIONS(2856),
    [anon_sym_byte] = ACTIONS(2856),
    [anon_sym_word] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [anon_sym_if] = ACTIONS(2856),
    [anon_sym_else] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_case] = ACTIONS(2856),
    [anon_sym_default] = ACTIONS(2856),
    [anon_sym_while] = ACTIONS(2856),
    [anon_sym_do] = ACTIONS(2856),
    [anon_sym_for] = ACTIONS(2856),
    [anon_sym_return] = ACTIONS(2856),
    [anon_sym_break] = ACTIONS(2856),
    [anon_sym_continue] = ACTIONS(2856),
    [anon_sym_goto] = ACTIONS(2856),
    [anon_sym___try] = ACTIONS(2856),
    [anon_sym___leave] = ACTIONS(2856),
    [anon_sym_not] = ACTIONS(2856),
    [anon_sym_compl] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2858),
    [anon_sym_sizeof] = ACTIONS(2856),
    [anon_sym___alignof__] = ACTIONS(2856),
    [anon_sym___alignof] = ACTIONS(2856),
    [anon_sym__alignof] = ACTIONS(2856),
    [anon_sym_alignof] = ACTIONS(2856),
    [anon_sym__Alignof] = ACTIONS(2856),
    [anon_sym_offsetof] = ACTIONS(2856),
    [anon_sym__Generic] = ACTIONS(2856),
    [anon_sym_asm] = ACTIONS(2856),
    [anon_sym___asm__] = ACTIONS(2856),
    [anon_sym___asm] = ACTIONS(2856),
    [aux_sym_number_literal_token1] = ACTIONS(2858),
    [aux_sym_number_literal_token2] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2858),
    [anon_sym_u_SQUOTE] = ACTIONS(2858),
    [anon_sym_U_SQUOTE] = ACTIONS(2858),
    [anon_sym_u8_SQUOTE] = ACTIONS(2858),
    [anon_sym_SQUOTE] = ACTIONS(2858),
    [anon_sym_L_DQUOTE] = ACTIONS(2858),
    [anon_sym_u_DQUOTE] = ACTIONS(2858),
    [anon_sym_U_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8_DQUOTE] = ACTIONS(2858),
    [anon_sym_DQUOTE] = ACTIONS(2858),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [anon_sym_NULL] = ACTIONS(2856),
    [anon_sym_nullptr] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2856),
    [anon_sym_decltype] = ACTIONS(2856),
    [anon_sym_explicit] = ACTIONS(2856),
    [anon_sym_typename] = ACTIONS(2856),
    [anon_sym_template] = ACTIONS(2856),
    [anon_sym_operator] = ACTIONS(2856),
    [anon_sym_try] = ACTIONS(2856),
    [anon_sym_delete] = ACTIONS(2856),
    [anon_sym_throw] = ACTIONS(2856),
    [anon_sym_namespace] = ACTIONS(2856),
    [anon_sym_using] = ACTIONS(2856),
    [anon_sym_static_assert] = ACTIONS(2856),
    [anon_sym_concept] = ACTIONS(2856),
    [anon_sym_co_return] = ACTIONS(2856),
    [anon_sym_co_yield] = ACTIONS(2856),
    [anon_sym_R_DQUOTE] = ACTIONS(2858),
    [anon_sym_LR_DQUOTE] = ACTIONS(2858),
    [anon_sym_uR_DQUOTE] = ACTIONS(2858),
    [anon_sym_UR_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2858),
    [anon_sym_co_await] = ACTIONS(2856),
    [anon_sym_new] = ACTIONS(2856),
    [anon_sym_requires] = ACTIONS(2856),
    [sym_this] = ACTIONS(2856),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(2868),
    [sym_identifier] = ACTIONS(2866),
    [aux_sym_preproc_include_token1] = ACTIONS(2866),
    [aux_sym_preproc_def_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2866),
    [sym_preproc_directive] = ACTIONS(2866),
    [anon_sym_LPAREN2] = ACTIONS(2868),
    [anon_sym_BANG] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2866),
    [anon_sym_STAR] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_AMP] = ACTIONS(2866),
    [anon_sym_SEMI] = ACTIONS(2868),
    [anon_sym___extension__] = ACTIONS(2866),
    [anon_sym_typedef] = ACTIONS(2866),
    [anon_sym_virtual] = ACTIONS(2866),
    [anon_sym_extern] = ACTIONS(2866),
    [anon_sym___attribute__] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2868),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2868),
    [anon_sym___declspec] = ACTIONS(2866),
    [anon_sym___based] = ACTIONS(2866),
    [anon_sym___cdecl] = ACTIONS(2866),
    [anon_sym___clrcall] = ACTIONS(2866),
    [anon_sym___stdcall] = ACTIONS(2866),
    [anon_sym___fastcall] = ACTIONS(2866),
    [anon_sym___thiscall] = ACTIONS(2866),
    [anon_sym___vectorcall] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2866),
    [anon_sym_unsigned] = ACTIONS(2866),
    [anon_sym_long] = ACTIONS(2866),
    [anon_sym_short] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_register] = ACTIONS(2866),
    [anon_sym_inline] = ACTIONS(2866),
    [anon_sym___inline] = ACTIONS(2866),
    [anon_sym___inline__] = ACTIONS(2866),
    [anon_sym___forceinline] = ACTIONS(2866),
    [anon_sym_thread_local] = ACTIONS(2866),
    [anon_sym___thread] = ACTIONS(2866),
    [anon_sym_const] = ACTIONS(2866),
    [anon_sym_constexpr] = ACTIONS(2866),
    [anon_sym_volatile] = ACTIONS(2866),
    [anon_sym_restrict] = ACTIONS(2866),
    [anon_sym___restrict__] = ACTIONS(2866),
    [anon_sym__Atomic] = ACTIONS(2866),
    [anon_sym__Noreturn] = ACTIONS(2866),
    [anon_sym_noreturn] = ACTIONS(2866),
    [anon_sym__Nonnull] = ACTIONS(2866),
    [anon_sym_mutable] = ACTIONS(2866),
    [anon_sym_constinit] = ACTIONS(2866),
    [anon_sym_consteval] = ACTIONS(2866),
    [anon_sym_PROGMEM] = ACTIONS(2866),
    [anon_sym_alignas] = ACTIONS(2866),
    [anon_sym__Alignas] = ACTIONS(2866),
    [aux_sym_primitive_type_token1] = ACTIONS(2866),
    [anon_sym_byte] = ACTIONS(2866),
    [anon_sym_word] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_union] = ACTIONS(2866),
    [anon_sym_if] = ACTIONS(2866),
    [anon_sym_else] = ACTIONS(2866),
    [anon_sym_switch] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_default] = ACTIONS(2866),
    [anon_sym_while] = ACTIONS(2866),
    [anon_sym_do] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2866),
    [anon_sym_return] = ACTIONS(2866),
    [anon_sym_break] = ACTIONS(2866),
    [anon_sym_continue] = ACTIONS(2866),
    [anon_sym_goto] = ACTIONS(2866),
    [anon_sym___try] = ACTIONS(2866),
    [anon_sym___leave] = ACTIONS(2866),
    [anon_sym_not] = ACTIONS(2866),
    [anon_sym_compl] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_PLUS] = ACTIONS(2868),
    [anon_sym_sizeof] = ACTIONS(2866),
    [anon_sym___alignof__] = ACTIONS(2866),
    [anon_sym___alignof] = ACTIONS(2866),
    [anon_sym__alignof] = ACTIONS(2866),
    [anon_sym_alignof] = ACTIONS(2866),
    [anon_sym__Alignof] = ACTIONS(2866),
    [anon_sym_offsetof] = ACTIONS(2866),
    [anon_sym__Generic] = ACTIONS(2866),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [anon_sym___asm] = ACTIONS(2866),
    [aux_sym_number_literal_token1] = ACTIONS(2868),
    [aux_sym_number_literal_token2] = ACTIONS(2866),
    [anon_sym_L_SQUOTE] = ACTIONS(2868),
    [anon_sym_u_SQUOTE] = ACTIONS(2868),
    [anon_sym_U_SQUOTE] = ACTIONS(2868),
    [anon_sym_u8_SQUOTE] = ACTIONS(2868),
    [anon_sym_SQUOTE] = ACTIONS(2868),
    [anon_sym_L_DQUOTE] = ACTIONS(2868),
    [anon_sym_u_DQUOTE] = ACTIONS(2868),
    [anon_sym_U_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [sym_true] = ACTIONS(2866),
    [sym_false] = ACTIONS(2866),
    [anon_sym_NULL] = ACTIONS(2866),
    [anon_sym_nullptr] = ACTIONS(2866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2866),
    [anon_sym_decltype] = ACTIONS(2866),
    [anon_sym_explicit] = ACTIONS(2866),
    [anon_sym_typename] = ACTIONS(2866),
    [anon_sym_template] = ACTIONS(2866),
    [anon_sym_operator] = ACTIONS(2866),
    [anon_sym_try] = ACTIONS(2866),
    [anon_sym_delete] = ACTIONS(2866),
    [anon_sym_throw] = ACTIONS(2866),
    [anon_sym_namespace] = ACTIONS(2866),
    [anon_sym_using] = ACTIONS(2866),
    [anon_sym_static_assert] = ACTIONS(2866),
    [anon_sym_concept] = ACTIONS(2866),
    [anon_sym_co_return] = ACTIONS(2866),
    [anon_sym_co_yield] = ACTIONS(2866),
    [anon_sym_R_DQUOTE] = ACTIONS(2868),
    [anon_sym_LR_DQUOTE] = ACTIONS(2868),
    [anon_sym_uR_DQUOTE] = ACTIONS(2868),
    [anon_sym_UR_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2868),
    [anon_sym_co_await] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2866),
    [anon_sym_requires] = ACTIONS(2866),
    [sym_this] = ACTIONS(2866),
  },
  [486] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_PROGMEM] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [aux_sym_primitive_type_token1] = ACTIONS(2798),
    [anon_sym_byte] = ACTIONS(2798),
    [anon_sym_word] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [aux_sym_number_literal_token1] = ACTIONS(2800),
    [aux_sym_number_literal_token2] = ACTIONS(2798),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(2832),
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym__Nonnull] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [anon_sym_PROGMEM] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym__Alignas] = ACTIONS(2830),
    [aux_sym_primitive_type_token1] = ACTIONS(2830),
    [anon_sym_byte] = ACTIONS(2830),
    [anon_sym_word] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_else] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [anon_sym___asm] = ACTIONS(2830),
    [aux_sym_number_literal_token1] = ACTIONS(2832),
    [aux_sym_number_literal_token2] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [488] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_include_token1] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token2] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2804),
    [anon_sym_TILDE] = ACTIONS(2804),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_AMP_AMP] = ACTIONS(2804),
    [anon_sym_AMP] = ACTIONS(2802),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_virtual] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym_COLON_COLON] = ACTIONS(2804),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___based] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2804),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym__Nonnull] = ACTIONS(2802),
    [anon_sym_mutable] = ACTIONS(2802),
    [anon_sym_constinit] = ACTIONS(2802),
    [anon_sym_consteval] = ACTIONS(2802),
    [anon_sym_PROGMEM] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [aux_sym_primitive_type_token1] = ACTIONS(2802),
    [anon_sym_byte] = ACTIONS(2802),
    [anon_sym_word] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_class] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_else] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym___try] = ACTIONS(2802),
    [anon_sym___leave] = ACTIONS(2802),
    [anon_sym_not] = ACTIONS(2802),
    [anon_sym_compl] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [anon_sym___asm] = ACTIONS(2802),
    [aux_sym_number_literal_token1] = ACTIONS(2804),
    [aux_sym_number_literal_token2] = ACTIONS(2802),
    [anon_sym_L_SQUOTE] = ACTIONS(2804),
    [anon_sym_u_SQUOTE] = ACTIONS(2804),
    [anon_sym_U_SQUOTE] = ACTIONS(2804),
    [anon_sym_u8_SQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [anon_sym_L_DQUOTE] = ACTIONS(2804),
    [anon_sym_u_DQUOTE] = ACTIONS(2804),
    [anon_sym_U_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8_DQUOTE] = ACTIONS(2804),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2802),
    [anon_sym_decltype] = ACTIONS(2802),
    [anon_sym_explicit] = ACTIONS(2802),
    [anon_sym_typename] = ACTIONS(2802),
    [anon_sym_template] = ACTIONS(2802),
    [anon_sym_operator] = ACTIONS(2802),
    [anon_sym_try] = ACTIONS(2802),
    [anon_sym_delete] = ACTIONS(2802),
    [anon_sym_throw] = ACTIONS(2802),
    [anon_sym_namespace] = ACTIONS(2802),
    [anon_sym_using] = ACTIONS(2802),
    [anon_sym_static_assert] = ACTIONS(2802),
    [anon_sym_concept] = ACTIONS(2802),
    [anon_sym_co_return] = ACTIONS(2802),
    [anon_sym_co_yield] = ACTIONS(2802),
    [anon_sym_R_DQUOTE] = ACTIONS(2804),
    [anon_sym_LR_DQUOTE] = ACTIONS(2804),
    [anon_sym_uR_DQUOTE] = ACTIONS(2804),
    [anon_sym_UR_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2804),
    [anon_sym_co_await] = ACTIONS(2802),
    [anon_sym_new] = ACTIONS(2802),
    [anon_sym_requires] = ACTIONS(2802),
    [sym_this] = ACTIONS(2802),
  },
  [489] = {
    [sym_identifier] = ACTIONS(2880),
    [aux_sym_preproc_include_token1] = ACTIONS(2880),
    [aux_sym_preproc_def_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token1] = ACTIONS(2880),
    [aux_sym_preproc_if_token2] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2880),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2880),
    [sym_preproc_directive] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP_AMP] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym___based] = ACTIONS(2880),
    [anon_sym___cdecl] = ACTIONS(2880),
    [anon_sym___clrcall] = ACTIONS(2880),
    [anon_sym___stdcall] = ACTIONS(2880),
    [anon_sym___fastcall] = ACTIONS(2880),
    [anon_sym___thiscall] = ACTIONS(2880),
    [anon_sym___vectorcall] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_PROGMEM] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [aux_sym_primitive_type_token1] = ACTIONS(2880),
    [anon_sym_byte] = ACTIONS(2880),
    [anon_sym_word] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_else] = ACTIONS(2880),
    [anon_sym_switch] = ACTIONS(2880),
    [anon_sym_case] = ACTIONS(2880),
    [anon_sym_default] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_break] = ACTIONS(2880),
    [anon_sym_continue] = ACTIONS(2880),
    [anon_sym_goto] = ACTIONS(2880),
    [anon_sym___try] = ACTIONS(2880),
    [anon_sym___leave] = ACTIONS(2880),
    [anon_sym_not] = ACTIONS(2880),
    [anon_sym_compl] = ACTIONS(2880),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_sizeof] = ACTIONS(2880),
    [anon_sym___alignof__] = ACTIONS(2880),
    [anon_sym___alignof] = ACTIONS(2880),
    [anon_sym__alignof] = ACTIONS(2880),
    [anon_sym_alignof] = ACTIONS(2880),
    [anon_sym__Alignof] = ACTIONS(2880),
    [anon_sym_offsetof] = ACTIONS(2880),
    [anon_sym__Generic] = ACTIONS(2880),
    [anon_sym_asm] = ACTIONS(2880),
    [anon_sym___asm__] = ACTIONS(2880),
    [anon_sym___asm] = ACTIONS(2880),
    [aux_sym_number_literal_token1] = ACTIONS(2882),
    [aux_sym_number_literal_token2] = ACTIONS(2880),
    [anon_sym_L_SQUOTE] = ACTIONS(2882),
    [anon_sym_u_SQUOTE] = ACTIONS(2882),
    [anon_sym_U_SQUOTE] = ACTIONS(2882),
    [anon_sym_u8_SQUOTE] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_L_DQUOTE] = ACTIONS(2882),
    [anon_sym_u_DQUOTE] = ACTIONS(2882),
    [anon_sym_U_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2880),
    [sym_false] = ACTIONS(2880),
    [anon_sym_NULL] = ACTIONS(2880),
    [anon_sym_nullptr] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_explicit] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_operator] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_delete] = ACTIONS(2880),
    [anon_sym_throw] = ACTIONS(2880),
    [anon_sym_namespace] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_static_assert] = ACTIONS(2880),
    [anon_sym_concept] = ACTIONS(2880),
    [anon_sym_co_return] = ACTIONS(2880),
    [anon_sym_co_yield] = ACTIONS(2880),
    [anon_sym_R_DQUOTE] = ACTIONS(2882),
    [anon_sym_LR_DQUOTE] = ACTIONS(2882),
    [anon_sym_uR_DQUOTE] = ACTIONS(2882),
    [anon_sym_UR_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2882),
    [anon_sym_co_await] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_requires] = ACTIONS(2880),
    [sym_this] = ACTIONS(2880),
  },
  [490] = {
    [sym_identifier] = ACTIONS(2806),
    [aux_sym_preproc_include_token1] = ACTIONS(2806),
    [aux_sym_preproc_def_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token2] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2806),
    [sym_preproc_directive] = ACTIONS(2806),
    [anon_sym_LPAREN2] = ACTIONS(2808),
    [anon_sym_BANG] = ACTIONS(2808),
    [anon_sym_TILDE] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2808),
    [anon_sym_AMP_AMP] = ACTIONS(2808),
    [anon_sym_AMP] = ACTIONS(2806),
    [anon_sym_SEMI] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2806),
    [anon_sym_typedef] = ACTIONS(2806),
    [anon_sym_virtual] = ACTIONS(2806),
    [anon_sym_extern] = ACTIONS(2806),
    [anon_sym___attribute__] = ACTIONS(2806),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2808),
    [anon_sym___declspec] = ACTIONS(2806),
    [anon_sym___based] = ACTIONS(2806),
    [anon_sym___cdecl] = ACTIONS(2806),
    [anon_sym___clrcall] = ACTIONS(2806),
    [anon_sym___stdcall] = ACTIONS(2806),
    [anon_sym___fastcall] = ACTIONS(2806),
    [anon_sym___thiscall] = ACTIONS(2806),
    [anon_sym___vectorcall] = ACTIONS(2806),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2806),
    [anon_sym_unsigned] = ACTIONS(2806),
    [anon_sym_long] = ACTIONS(2806),
    [anon_sym_short] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_register] = ACTIONS(2806),
    [anon_sym_inline] = ACTIONS(2806),
    [anon_sym___inline] = ACTIONS(2806),
    [anon_sym___inline__] = ACTIONS(2806),
    [anon_sym___forceinline] = ACTIONS(2806),
    [anon_sym_thread_local] = ACTIONS(2806),
    [anon_sym___thread] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_constexpr] = ACTIONS(2806),
    [anon_sym_volatile] = ACTIONS(2806),
    [anon_sym_restrict] = ACTIONS(2806),
    [anon_sym___restrict__] = ACTIONS(2806),
    [anon_sym__Atomic] = ACTIONS(2806),
    [anon_sym__Noreturn] = ACTIONS(2806),
    [anon_sym_noreturn] = ACTIONS(2806),
    [anon_sym__Nonnull] = ACTIONS(2806),
    [anon_sym_mutable] = ACTIONS(2806),
    [anon_sym_constinit] = ACTIONS(2806),
    [anon_sym_consteval] = ACTIONS(2806),
    [anon_sym_PROGMEM] = ACTIONS(2806),
    [anon_sym_alignas] = ACTIONS(2806),
    [anon_sym__Alignas] = ACTIONS(2806),
    [aux_sym_primitive_type_token1] = ACTIONS(2806),
    [anon_sym_byte] = ACTIONS(2806),
    [anon_sym_word] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [anon_sym_class] = ACTIONS(2806),
    [anon_sym_struct] = ACTIONS(2806),
    [anon_sym_union] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2806),
    [anon_sym_else] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2806),
    [anon_sym_case] = ACTIONS(2806),
    [anon_sym_default] = ACTIONS(2806),
    [anon_sym_while] = ACTIONS(2806),
    [anon_sym_do] = ACTIONS(2806),
    [anon_sym_for] = ACTIONS(2806),
    [anon_sym_return] = ACTIONS(2806),
    [anon_sym_break] = ACTIONS(2806),
    [anon_sym_continue] = ACTIONS(2806),
    [anon_sym_goto] = ACTIONS(2806),
    [anon_sym___try] = ACTIONS(2806),
    [anon_sym___leave] = ACTIONS(2806),
    [anon_sym_not] = ACTIONS(2806),
    [anon_sym_compl] = ACTIONS(2806),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_sizeof] = ACTIONS(2806),
    [anon_sym___alignof__] = ACTIONS(2806),
    [anon_sym___alignof] = ACTIONS(2806),
    [anon_sym__alignof] = ACTIONS(2806),
    [anon_sym_alignof] = ACTIONS(2806),
    [anon_sym__Alignof] = ACTIONS(2806),
    [anon_sym_offsetof] = ACTIONS(2806),
    [anon_sym__Generic] = ACTIONS(2806),
    [anon_sym_asm] = ACTIONS(2806),
    [anon_sym___asm__] = ACTIONS(2806),
    [anon_sym___asm] = ACTIONS(2806),
    [aux_sym_number_literal_token1] = ACTIONS(2808),
    [aux_sym_number_literal_token2] = ACTIONS(2806),
    [anon_sym_L_SQUOTE] = ACTIONS(2808),
    [anon_sym_u_SQUOTE] = ACTIONS(2808),
    [anon_sym_U_SQUOTE] = ACTIONS(2808),
    [anon_sym_u8_SQUOTE] = ACTIONS(2808),
    [anon_sym_SQUOTE] = ACTIONS(2808),
    [anon_sym_L_DQUOTE] = ACTIONS(2808),
    [anon_sym_u_DQUOTE] = ACTIONS(2808),
    [anon_sym_U_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8_DQUOTE] = ACTIONS(2808),
    [anon_sym_DQUOTE] = ACTIONS(2808),
    [sym_true] = ACTIONS(2806),
    [sym_false] = ACTIONS(2806),
    [anon_sym_NULL] = ACTIONS(2806),
    [anon_sym_nullptr] = ACTIONS(2806),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2806),
    [anon_sym_decltype] = ACTIONS(2806),
    [anon_sym_explicit] = ACTIONS(2806),
    [anon_sym_typename] = ACTIONS(2806),
    [anon_sym_template] = ACTIONS(2806),
    [anon_sym_operator] = ACTIONS(2806),
    [anon_sym_try] = ACTIONS(2806),
    [anon_sym_delete] = ACTIONS(2806),
    [anon_sym_throw] = ACTIONS(2806),
    [anon_sym_namespace] = ACTIONS(2806),
    [anon_sym_using] = ACTIONS(2806),
    [anon_sym_static_assert] = ACTIONS(2806),
    [anon_sym_concept] = ACTIONS(2806),
    [anon_sym_co_return] = ACTIONS(2806),
    [anon_sym_co_yield] = ACTIONS(2806),
    [anon_sym_R_DQUOTE] = ACTIONS(2808),
    [anon_sym_LR_DQUOTE] = ACTIONS(2808),
    [anon_sym_uR_DQUOTE] = ACTIONS(2808),
    [anon_sym_UR_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2808),
    [anon_sym_co_await] = ACTIONS(2806),
    [anon_sym_new] = ACTIONS(2806),
    [anon_sym_requires] = ACTIONS(2806),
    [sym_this] = ACTIONS(2806),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(2898),
    [sym_identifier] = ACTIONS(2896),
    [aux_sym_preproc_include_token1] = ACTIONS(2896),
    [aux_sym_preproc_def_token1] = ACTIONS(2896),
    [aux_sym_preproc_if_token1] = ACTIONS(2896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2896),
    [sym_preproc_directive] = ACTIONS(2896),
    [anon_sym_LPAREN2] = ACTIONS(2898),
    [anon_sym_BANG] = ACTIONS(2898),
    [anon_sym_TILDE] = ACTIONS(2898),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_STAR] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2898),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_SEMI] = ACTIONS(2898),
    [anon_sym___extension__] = ACTIONS(2896),
    [anon_sym_typedef] = ACTIONS(2896),
    [anon_sym_virtual] = ACTIONS(2896),
    [anon_sym_extern] = ACTIONS(2896),
    [anon_sym___attribute__] = ACTIONS(2896),
    [anon_sym_COLON_COLON] = ACTIONS(2898),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2898),
    [anon_sym___declspec] = ACTIONS(2896),
    [anon_sym___based] = ACTIONS(2896),
    [anon_sym___cdecl] = ACTIONS(2896),
    [anon_sym___clrcall] = ACTIONS(2896),
    [anon_sym___stdcall] = ACTIONS(2896),
    [anon_sym___fastcall] = ACTIONS(2896),
    [anon_sym___thiscall] = ACTIONS(2896),
    [anon_sym___vectorcall] = ACTIONS(2896),
    [anon_sym_LBRACE] = ACTIONS(2898),
    [anon_sym_signed] = ACTIONS(2896),
    [anon_sym_unsigned] = ACTIONS(2896),
    [anon_sym_long] = ACTIONS(2896),
    [anon_sym_short] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_static] = ACTIONS(2896),
    [anon_sym_register] = ACTIONS(2896),
    [anon_sym_inline] = ACTIONS(2896),
    [anon_sym___inline] = ACTIONS(2896),
    [anon_sym___inline__] = ACTIONS(2896),
    [anon_sym___forceinline] = ACTIONS(2896),
    [anon_sym_thread_local] = ACTIONS(2896),
    [anon_sym___thread] = ACTIONS(2896),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_constexpr] = ACTIONS(2896),
    [anon_sym_volatile] = ACTIONS(2896),
    [anon_sym_restrict] = ACTIONS(2896),
    [anon_sym___restrict__] = ACTIONS(2896),
    [anon_sym__Atomic] = ACTIONS(2896),
    [anon_sym__Noreturn] = ACTIONS(2896),
    [anon_sym_noreturn] = ACTIONS(2896),
    [anon_sym__Nonnull] = ACTIONS(2896),
    [anon_sym_mutable] = ACTIONS(2896),
    [anon_sym_constinit] = ACTIONS(2896),
    [anon_sym_consteval] = ACTIONS(2896),
    [anon_sym_PROGMEM] = ACTIONS(2896),
    [anon_sym_alignas] = ACTIONS(2896),
    [anon_sym__Alignas] = ACTIONS(2896),
    [aux_sym_primitive_type_token1] = ACTIONS(2896),
    [anon_sym_byte] = ACTIONS(2896),
    [anon_sym_word] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2896),
    [anon_sym_class] = ACTIONS(2896),
    [anon_sym_struct] = ACTIONS(2896),
    [anon_sym_union] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_else] = ACTIONS(2896),
    [anon_sym_switch] = ACTIONS(2896),
    [anon_sym_case] = ACTIONS(2896),
    [anon_sym_default] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_break] = ACTIONS(2896),
    [anon_sym_continue] = ACTIONS(2896),
    [anon_sym_goto] = ACTIONS(2896),
    [anon_sym___try] = ACTIONS(2896),
    [anon_sym___leave] = ACTIONS(2896),
    [anon_sym_not] = ACTIONS(2896),
    [anon_sym_compl] = ACTIONS(2896),
    [anon_sym_DASH_DASH] = ACTIONS(2898),
    [anon_sym_PLUS_PLUS] = ACTIONS(2898),
    [anon_sym_sizeof] = ACTIONS(2896),
    [anon_sym___alignof__] = ACTIONS(2896),
    [anon_sym___alignof] = ACTIONS(2896),
    [anon_sym__alignof] = ACTIONS(2896),
    [anon_sym_alignof] = ACTIONS(2896),
    [anon_sym__Alignof] = ACTIONS(2896),
    [anon_sym_offsetof] = ACTIONS(2896),
    [anon_sym__Generic] = ACTIONS(2896),
    [anon_sym_asm] = ACTIONS(2896),
    [anon_sym___asm__] = ACTIONS(2896),
    [anon_sym___asm] = ACTIONS(2896),
    [aux_sym_number_literal_token1] = ACTIONS(2898),
    [aux_sym_number_literal_token2] = ACTIONS(2896),
    [anon_sym_L_SQUOTE] = ACTIONS(2898),
    [anon_sym_u_SQUOTE] = ACTIONS(2898),
    [anon_sym_U_SQUOTE] = ACTIONS(2898),
    [anon_sym_u8_SQUOTE] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_L_DQUOTE] = ACTIONS(2898),
    [anon_sym_u_DQUOTE] = ACTIONS(2898),
    [anon_sym_U_DQUOTE] = ACTIONS(2898),
    [anon_sym_u8_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE] = ACTIONS(2898),
    [sym_true] = ACTIONS(2896),
    [sym_false] = ACTIONS(2896),
    [anon_sym_NULL] = ACTIONS(2896),
    [anon_sym_nullptr] = ACTIONS(2896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2896),
    [anon_sym_decltype] = ACTIONS(2896),
    [anon_sym_explicit] = ACTIONS(2896),
    [anon_sym_typename] = ACTIONS(2896),
    [anon_sym_template] = ACTIONS(2896),
    [anon_sym_operator] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_delete] = ACTIONS(2896),
    [anon_sym_throw] = ACTIONS(2896),
    [anon_sym_namespace] = ACTIONS(2896),
    [anon_sym_using] = ACTIONS(2896),
    [anon_sym_static_assert] = ACTIONS(2896),
    [anon_sym_concept] = ACTIONS(2896),
    [anon_sym_co_return] = ACTIONS(2896),
    [anon_sym_co_yield] = ACTIONS(2896),
    [anon_sym_R_DQUOTE] = ACTIONS(2898),
    [anon_sym_LR_DQUOTE] = ACTIONS(2898),
    [anon_sym_uR_DQUOTE] = ACTIONS(2898),
    [anon_sym_UR_DQUOTE] = ACTIONS(2898),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2898),
    [anon_sym_co_await] = ACTIONS(2896),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_requires] = ACTIONS(2896),
    [sym_this] = ACTIONS(2896),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(2894),
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_include_token1] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_SEMI] = ACTIONS(2894),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_virtual] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym___cdecl] = ACTIONS(2892),
    [anon_sym___clrcall] = ACTIONS(2892),
    [anon_sym___stdcall] = ACTIONS(2892),
    [anon_sym___fastcall] = ACTIONS(2892),
    [anon_sym___thiscall] = ACTIONS(2892),
    [anon_sym___vectorcall] = ACTIONS(2892),
    [anon_sym_LBRACE] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym__Nonnull] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_PROGMEM] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [aux_sym_primitive_type_token1] = ACTIONS(2892),
    [anon_sym_byte] = ACTIONS(2892),
    [anon_sym_word] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_else] = ACTIONS(2892),
    [anon_sym_switch] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_default] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_break] = ACTIONS(2892),
    [anon_sym_continue] = ACTIONS(2892),
    [anon_sym_goto] = ACTIONS(2892),
    [anon_sym___try] = ACTIONS(2892),
    [anon_sym___leave] = ACTIONS(2892),
    [anon_sym_not] = ACTIONS(2892),
    [anon_sym_compl] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2894),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(2892),
    [anon_sym___alignof] = ACTIONS(2892),
    [anon_sym__alignof] = ACTIONS(2892),
    [anon_sym_alignof] = ACTIONS(2892),
    [anon_sym__Alignof] = ACTIONS(2892),
    [anon_sym_offsetof] = ACTIONS(2892),
    [anon_sym__Generic] = ACTIONS(2892),
    [anon_sym_asm] = ACTIONS(2892),
    [anon_sym___asm__] = ACTIONS(2892),
    [anon_sym___asm] = ACTIONS(2892),
    [aux_sym_number_literal_token1] = ACTIONS(2894),
    [aux_sym_number_literal_token2] = ACTIONS(2892),
    [anon_sym_L_SQUOTE] = ACTIONS(2894),
    [anon_sym_u_SQUOTE] = ACTIONS(2894),
    [anon_sym_U_SQUOTE] = ACTIONS(2894),
    [anon_sym_u8_SQUOTE] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_L_DQUOTE] = ACTIONS(2894),
    [anon_sym_u_DQUOTE] = ACTIONS(2894),
    [anon_sym_U_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2894),
    [sym_true] = ACTIONS(2892),
    [sym_false] = ACTIONS(2892),
    [anon_sym_NULL] = ACTIONS(2892),
    [anon_sym_nullptr] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_delete] = ACTIONS(2892),
    [anon_sym_throw] = ACTIONS(2892),
    [anon_sym_namespace] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
    [anon_sym_concept] = ACTIONS(2892),
    [anon_sym_co_return] = ACTIONS(2892),
    [anon_sym_co_yield] = ACTIONS(2892),
    [anon_sym_R_DQUOTE] = ACTIONS(2894),
    [anon_sym_LR_DQUOTE] = ACTIONS(2894),
    [anon_sym_uR_DQUOTE] = ACTIONS(2894),
    [anon_sym_UR_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2894),
    [anon_sym_co_await] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2892),
    [sym_this] = ACTIONS(2892),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2838),
    [aux_sym_preproc_include_token1] = ACTIONS(2838),
    [aux_sym_preproc_def_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token2] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2838),
    [sym_preproc_directive] = ACTIONS(2838),
    [anon_sym_LPAREN2] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_TILDE] = ACTIONS(2840),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP_AMP] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2838),
    [anon_sym_typedef] = ACTIONS(2838),
    [anon_sym_virtual] = ACTIONS(2838),
    [anon_sym_extern] = ACTIONS(2838),
    [anon_sym___attribute__] = ACTIONS(2838),
    [anon_sym_COLON_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2840),
    [anon_sym___declspec] = ACTIONS(2838),
    [anon_sym___based] = ACTIONS(2838),
    [anon_sym___cdecl] = ACTIONS(2838),
    [anon_sym___clrcall] = ACTIONS(2838),
    [anon_sym___stdcall] = ACTIONS(2838),
    [anon_sym___fastcall] = ACTIONS(2838),
    [anon_sym___thiscall] = ACTIONS(2838),
    [anon_sym___vectorcall] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_signed] = ACTIONS(2838),
    [anon_sym_unsigned] = ACTIONS(2838),
    [anon_sym_long] = ACTIONS(2838),
    [anon_sym_short] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_register] = ACTIONS(2838),
    [anon_sym_inline] = ACTIONS(2838),
    [anon_sym___inline] = ACTIONS(2838),
    [anon_sym___inline__] = ACTIONS(2838),
    [anon_sym___forceinline] = ACTIONS(2838),
    [anon_sym_thread_local] = ACTIONS(2838),
    [anon_sym___thread] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_constexpr] = ACTIONS(2838),
    [anon_sym_volatile] = ACTIONS(2838),
    [anon_sym_restrict] = ACTIONS(2838),
    [anon_sym___restrict__] = ACTIONS(2838),
    [anon_sym__Atomic] = ACTIONS(2838),
    [anon_sym__Noreturn] = ACTIONS(2838),
    [anon_sym_noreturn] = ACTIONS(2838),
    [anon_sym__Nonnull] = ACTIONS(2838),
    [anon_sym_mutable] = ACTIONS(2838),
    [anon_sym_constinit] = ACTIONS(2838),
    [anon_sym_consteval] = ACTIONS(2838),
    [anon_sym_PROGMEM] = ACTIONS(2838),
    [anon_sym_alignas] = ACTIONS(2838),
    [anon_sym__Alignas] = ACTIONS(2838),
    [aux_sym_primitive_type_token1] = ACTIONS(2838),
    [anon_sym_byte] = ACTIONS(2838),
    [anon_sym_word] = ACTIONS(2838),
    [anon_sym_enum] = ACTIONS(2838),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_struct] = ACTIONS(2838),
    [anon_sym_union] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(2838),
    [anon_sym_else] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2838),
    [anon_sym_case] = ACTIONS(2838),
    [anon_sym_default] = ACTIONS(2838),
    [anon_sym_while] = ACTIONS(2838),
    [anon_sym_do] = ACTIONS(2838),
    [anon_sym_for] = ACTIONS(2838),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_break] = ACTIONS(2838),
    [anon_sym_continue] = ACTIONS(2838),
    [anon_sym_goto] = ACTIONS(2838),
    [anon_sym___try] = ACTIONS(2838),
    [anon_sym___leave] = ACTIONS(2838),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_sizeof] = ACTIONS(2838),
    [anon_sym___alignof__] = ACTIONS(2838),
    [anon_sym___alignof] = ACTIONS(2838),
    [anon_sym__alignof] = ACTIONS(2838),
    [anon_sym_alignof] = ACTIONS(2838),
    [anon_sym__Alignof] = ACTIONS(2838),
    [anon_sym_offsetof] = ACTIONS(2838),
    [anon_sym__Generic] = ACTIONS(2838),
    [anon_sym_asm] = ACTIONS(2838),
    [anon_sym___asm__] = ACTIONS(2838),
    [anon_sym___asm] = ACTIONS(2838),
    [aux_sym_number_literal_token1] = ACTIONS(2840),
    [aux_sym_number_literal_token2] = ACTIONS(2838),
    [anon_sym_L_SQUOTE] = ACTIONS(2840),
    [anon_sym_u_SQUOTE] = ACTIONS(2840),
    [anon_sym_U_SQUOTE] = ACTIONS(2840),
    [anon_sym_u8_SQUOTE] = ACTIONS(2840),
    [anon_sym_SQUOTE] = ACTIONS(2840),
    [anon_sym_L_DQUOTE] = ACTIONS(2840),
    [anon_sym_u_DQUOTE] = ACTIONS(2840),
    [anon_sym_U_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8_DQUOTE] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2840),
    [sym_true] = ACTIONS(2838),
    [sym_false] = ACTIONS(2838),
    [anon_sym_NULL] = ACTIONS(2838),
    [anon_sym_nullptr] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2838),
    [anon_sym_decltype] = ACTIONS(2838),
    [anon_sym_explicit] = ACTIONS(2838),
    [anon_sym_typename] = ACTIONS(2838),
    [anon_sym_template] = ACTIONS(2838),
    [anon_sym_operator] = ACTIONS(2838),
    [anon_sym_try] = ACTIONS(2838),
    [anon_sym_delete] = ACTIONS(2838),
    [anon_sym_throw] = ACTIONS(2838),
    [anon_sym_namespace] = ACTIONS(2838),
    [anon_sym_using] = ACTIONS(2838),
    [anon_sym_static_assert] = ACTIONS(2838),
    [anon_sym_concept] = ACTIONS(2838),
    [anon_sym_co_return] = ACTIONS(2838),
    [anon_sym_co_yield] = ACTIONS(2838),
    [anon_sym_R_DQUOTE] = ACTIONS(2840),
    [anon_sym_LR_DQUOTE] = ACTIONS(2840),
    [anon_sym_uR_DQUOTE] = ACTIONS(2840),
    [anon_sym_UR_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2840),
    [anon_sym_co_await] = ACTIONS(2838),
    [anon_sym_new] = ACTIONS(2838),
    [anon_sym_requires] = ACTIONS(2838),
    [sym_this] = ACTIONS(2838),
  },
  [494] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_PROGMEM] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [aux_sym_primitive_type_token1] = ACTIONS(2844),
    [anon_sym_byte] = ACTIONS(2844),
    [anon_sym_word] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_else] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [aux_sym_number_literal_token1] = ACTIONS(2846),
    [aux_sym_number_literal_token2] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2862),
    [aux_sym_preproc_include_token1] = ACTIONS(2862),
    [aux_sym_preproc_def_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2862),
    [sym_preproc_directive] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(2864),
    [anon_sym_BANG] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2862),
    [anon_sym_PLUS] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2864),
    [anon_sym___extension__] = ACTIONS(2862),
    [anon_sym_typedef] = ACTIONS(2862),
    [anon_sym_virtual] = ACTIONS(2862),
    [anon_sym_extern] = ACTIONS(2862),
    [anon_sym___attribute__] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2864),
    [anon_sym___declspec] = ACTIONS(2862),
    [anon_sym___based] = ACTIONS(2862),
    [anon_sym___cdecl] = ACTIONS(2862),
    [anon_sym___clrcall] = ACTIONS(2862),
    [anon_sym___stdcall] = ACTIONS(2862),
    [anon_sym___fastcall] = ACTIONS(2862),
    [anon_sym___thiscall] = ACTIONS(2862),
    [anon_sym___vectorcall] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_RBRACE] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2862),
    [anon_sym_unsigned] = ACTIONS(2862),
    [anon_sym_long] = ACTIONS(2862),
    [anon_sym_short] = ACTIONS(2862),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_register] = ACTIONS(2862),
    [anon_sym_inline] = ACTIONS(2862),
    [anon_sym___inline] = ACTIONS(2862),
    [anon_sym___inline__] = ACTIONS(2862),
    [anon_sym___forceinline] = ACTIONS(2862),
    [anon_sym_thread_local] = ACTIONS(2862),
    [anon_sym___thread] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2862),
    [anon_sym_constexpr] = ACTIONS(2862),
    [anon_sym_volatile] = ACTIONS(2862),
    [anon_sym_restrict] = ACTIONS(2862),
    [anon_sym___restrict__] = ACTIONS(2862),
    [anon_sym__Atomic] = ACTIONS(2862),
    [anon_sym__Noreturn] = ACTIONS(2862),
    [anon_sym_noreturn] = ACTIONS(2862),
    [anon_sym__Nonnull] = ACTIONS(2862),
    [anon_sym_mutable] = ACTIONS(2862),
    [anon_sym_constinit] = ACTIONS(2862),
    [anon_sym_consteval] = ACTIONS(2862),
    [anon_sym_PROGMEM] = ACTIONS(2862),
    [anon_sym_alignas] = ACTIONS(2862),
    [anon_sym__Alignas] = ACTIONS(2862),
    [aux_sym_primitive_type_token1] = ACTIONS(2862),
    [anon_sym_byte] = ACTIONS(2862),
    [anon_sym_word] = ACTIONS(2862),
    [anon_sym_enum] = ACTIONS(2862),
    [anon_sym_class] = ACTIONS(2862),
    [anon_sym_struct] = ACTIONS(2862),
    [anon_sym_union] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(2862),
    [anon_sym_else] = ACTIONS(2862),
    [anon_sym_switch] = ACTIONS(2862),
    [anon_sym_case] = ACTIONS(2862),
    [anon_sym_default] = ACTIONS(2862),
    [anon_sym_while] = ACTIONS(2862),
    [anon_sym_do] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2862),
    [anon_sym_return] = ACTIONS(2862),
    [anon_sym_break] = ACTIONS(2862),
    [anon_sym_continue] = ACTIONS(2862),
    [anon_sym_goto] = ACTIONS(2862),
    [anon_sym___try] = ACTIONS(2862),
    [anon_sym___leave] = ACTIONS(2862),
    [anon_sym_not] = ACTIONS(2862),
    [anon_sym_compl] = ACTIONS(2862),
    [anon_sym_DASH_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_PLUS] = ACTIONS(2864),
    [anon_sym_sizeof] = ACTIONS(2862),
    [anon_sym___alignof__] = ACTIONS(2862),
    [anon_sym___alignof] = ACTIONS(2862),
    [anon_sym__alignof] = ACTIONS(2862),
    [anon_sym_alignof] = ACTIONS(2862),
    [anon_sym__Alignof] = ACTIONS(2862),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2862),
    [anon_sym_asm] = ACTIONS(2862),
    [anon_sym___asm__] = ACTIONS(2862),
    [anon_sym___asm] = ACTIONS(2862),
    [aux_sym_number_literal_token1] = ACTIONS(2864),
    [aux_sym_number_literal_token2] = ACTIONS(2862),
    [anon_sym_L_SQUOTE] = ACTIONS(2864),
    [anon_sym_u_SQUOTE] = ACTIONS(2864),
    [anon_sym_U_SQUOTE] = ACTIONS(2864),
    [anon_sym_u8_SQUOTE] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2864),
    [anon_sym_L_DQUOTE] = ACTIONS(2864),
    [anon_sym_u_DQUOTE] = ACTIONS(2864),
    [anon_sym_U_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [sym_true] = ACTIONS(2862),
    [sym_false] = ACTIONS(2862),
    [anon_sym_NULL] = ACTIONS(2862),
    [anon_sym_nullptr] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2862),
    [anon_sym_decltype] = ACTIONS(2862),
    [anon_sym_explicit] = ACTIONS(2862),
    [anon_sym_typename] = ACTIONS(2862),
    [anon_sym_template] = ACTIONS(2862),
    [anon_sym_operator] = ACTIONS(2862),
    [anon_sym_try] = ACTIONS(2862),
    [anon_sym_delete] = ACTIONS(2862),
    [anon_sym_throw] = ACTIONS(2862),
    [anon_sym_namespace] = ACTIONS(2862),
    [anon_sym_using] = ACTIONS(2862),
    [anon_sym_static_assert] = ACTIONS(2862),
    [anon_sym_concept] = ACTIONS(2862),
    [anon_sym_co_return] = ACTIONS(2862),
    [anon_sym_co_yield] = ACTIONS(2862),
    [anon_sym_R_DQUOTE] = ACTIONS(2864),
    [anon_sym_LR_DQUOTE] = ACTIONS(2864),
    [anon_sym_uR_DQUOTE] = ACTIONS(2864),
    [anon_sym_UR_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2864),
    [anon_sym_co_await] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2862),
    [anon_sym_requires] = ACTIONS(2862),
    [sym_this] = ACTIONS(2862),
  },
  [496] = {
    [sym_identifier] = ACTIONS(2866),
    [aux_sym_preproc_include_token1] = ACTIONS(2866),
    [aux_sym_preproc_def_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token1] = ACTIONS(2866),
    [aux_sym_preproc_if_token2] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2866),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2866),
    [sym_preproc_directive] = ACTIONS(2866),
    [anon_sym_LPAREN2] = ACTIONS(2868),
    [anon_sym_BANG] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2866),
    [anon_sym_STAR] = ACTIONS(2868),
    [anon_sym_AMP_AMP] = ACTIONS(2868),
    [anon_sym_AMP] = ACTIONS(2866),
    [anon_sym_SEMI] = ACTIONS(2868),
    [anon_sym___extension__] = ACTIONS(2866),
    [anon_sym_typedef] = ACTIONS(2866),
    [anon_sym_virtual] = ACTIONS(2866),
    [anon_sym_extern] = ACTIONS(2866),
    [anon_sym___attribute__] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2868),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2868),
    [anon_sym___declspec] = ACTIONS(2866),
    [anon_sym___based] = ACTIONS(2866),
    [anon_sym___cdecl] = ACTIONS(2866),
    [anon_sym___clrcall] = ACTIONS(2866),
    [anon_sym___stdcall] = ACTIONS(2866),
    [anon_sym___fastcall] = ACTIONS(2866),
    [anon_sym___thiscall] = ACTIONS(2866),
    [anon_sym___vectorcall] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2866),
    [anon_sym_unsigned] = ACTIONS(2866),
    [anon_sym_long] = ACTIONS(2866),
    [anon_sym_short] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_register] = ACTIONS(2866),
    [anon_sym_inline] = ACTIONS(2866),
    [anon_sym___inline] = ACTIONS(2866),
    [anon_sym___inline__] = ACTIONS(2866),
    [anon_sym___forceinline] = ACTIONS(2866),
    [anon_sym_thread_local] = ACTIONS(2866),
    [anon_sym___thread] = ACTIONS(2866),
    [anon_sym_const] = ACTIONS(2866),
    [anon_sym_constexpr] = ACTIONS(2866),
    [anon_sym_volatile] = ACTIONS(2866),
    [anon_sym_restrict] = ACTIONS(2866),
    [anon_sym___restrict__] = ACTIONS(2866),
    [anon_sym__Atomic] = ACTIONS(2866),
    [anon_sym__Noreturn] = ACTIONS(2866),
    [anon_sym_noreturn] = ACTIONS(2866),
    [anon_sym__Nonnull] = ACTIONS(2866),
    [anon_sym_mutable] = ACTIONS(2866),
    [anon_sym_constinit] = ACTIONS(2866),
    [anon_sym_consteval] = ACTIONS(2866),
    [anon_sym_PROGMEM] = ACTIONS(2866),
    [anon_sym_alignas] = ACTIONS(2866),
    [anon_sym__Alignas] = ACTIONS(2866),
    [aux_sym_primitive_type_token1] = ACTIONS(2866),
    [anon_sym_byte] = ACTIONS(2866),
    [anon_sym_word] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_union] = ACTIONS(2866),
    [anon_sym_if] = ACTIONS(2866),
    [anon_sym_else] = ACTIONS(2866),
    [anon_sym_switch] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_default] = ACTIONS(2866),
    [anon_sym_while] = ACTIONS(2866),
    [anon_sym_do] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2866),
    [anon_sym_return] = ACTIONS(2866),
    [anon_sym_break] = ACTIONS(2866),
    [anon_sym_continue] = ACTIONS(2866),
    [anon_sym_goto] = ACTIONS(2866),
    [anon_sym___try] = ACTIONS(2866),
    [anon_sym___leave] = ACTIONS(2866),
    [anon_sym_not] = ACTIONS(2866),
    [anon_sym_compl] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_PLUS] = ACTIONS(2868),
    [anon_sym_sizeof] = ACTIONS(2866),
    [anon_sym___alignof__] = ACTIONS(2866),
    [anon_sym___alignof] = ACTIONS(2866),
    [anon_sym__alignof] = ACTIONS(2866),
    [anon_sym_alignof] = ACTIONS(2866),
    [anon_sym__Alignof] = ACTIONS(2866),
    [anon_sym_offsetof] = ACTIONS(2866),
    [anon_sym__Generic] = ACTIONS(2866),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [anon_sym___asm] = ACTIONS(2866),
    [aux_sym_number_literal_token1] = ACTIONS(2868),
    [aux_sym_number_literal_token2] = ACTIONS(2866),
    [anon_sym_L_SQUOTE] = ACTIONS(2868),
    [anon_sym_u_SQUOTE] = ACTIONS(2868),
    [anon_sym_U_SQUOTE] = ACTIONS(2868),
    [anon_sym_u8_SQUOTE] = ACTIONS(2868),
    [anon_sym_SQUOTE] = ACTIONS(2868),
    [anon_sym_L_DQUOTE] = ACTIONS(2868),
    [anon_sym_u_DQUOTE] = ACTIONS(2868),
    [anon_sym_U_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [sym_true] = ACTIONS(2866),
    [sym_false] = ACTIONS(2866),
    [anon_sym_NULL] = ACTIONS(2866),
    [anon_sym_nullptr] = ACTIONS(2866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2866),
    [anon_sym_decltype] = ACTIONS(2866),
    [anon_sym_explicit] = ACTIONS(2866),
    [anon_sym_typename] = ACTIONS(2866),
    [anon_sym_template] = ACTIONS(2866),
    [anon_sym_operator] = ACTIONS(2866),
    [anon_sym_try] = ACTIONS(2866),
    [anon_sym_delete] = ACTIONS(2866),
    [anon_sym_throw] = ACTIONS(2866),
    [anon_sym_namespace] = ACTIONS(2866),
    [anon_sym_using] = ACTIONS(2866),
    [anon_sym_static_assert] = ACTIONS(2866),
    [anon_sym_concept] = ACTIONS(2866),
    [anon_sym_co_return] = ACTIONS(2866),
    [anon_sym_co_yield] = ACTIONS(2866),
    [anon_sym_R_DQUOTE] = ACTIONS(2868),
    [anon_sym_LR_DQUOTE] = ACTIONS(2868),
    [anon_sym_uR_DQUOTE] = ACTIONS(2868),
    [anon_sym_UR_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2868),
    [anon_sym_co_await] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2866),
    [anon_sym_requires] = ACTIONS(2866),
    [sym_this] = ACTIONS(2866),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(2824),
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_include_token1] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_virtual] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym___cdecl] = ACTIONS(2822),
    [anon_sym___clrcall] = ACTIONS(2822),
    [anon_sym___stdcall] = ACTIONS(2822),
    [anon_sym___fastcall] = ACTIONS(2822),
    [anon_sym___thiscall] = ACTIONS(2822),
    [anon_sym___vectorcall] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym__Nonnull] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [anon_sym_PROGMEM] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym__Alignas] = ACTIONS(2822),
    [aux_sym_primitive_type_token1] = ACTIONS(2822),
    [anon_sym_byte] = ACTIONS(2822),
    [anon_sym_word] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_goto] = ACTIONS(2822),
    [anon_sym___try] = ACTIONS(2822),
    [anon_sym___leave] = ACTIONS(2822),
    [anon_sym_not] = ACTIONS(2822),
    [anon_sym_compl] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_sizeof] = ACTIONS(2822),
    [anon_sym___alignof__] = ACTIONS(2822),
    [anon_sym___alignof] = ACTIONS(2822),
    [anon_sym__alignof] = ACTIONS(2822),
    [anon_sym_alignof] = ACTIONS(2822),
    [anon_sym__Alignof] = ACTIONS(2822),
    [anon_sym_offsetof] = ACTIONS(2822),
    [anon_sym__Generic] = ACTIONS(2822),
    [anon_sym_asm] = ACTIONS(2822),
    [anon_sym___asm__] = ACTIONS(2822),
    [anon_sym___asm] = ACTIONS(2822),
    [aux_sym_number_literal_token1] = ACTIONS(2824),
    [aux_sym_number_literal_token2] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2824),
    [anon_sym_u_SQUOTE] = ACTIONS(2824),
    [anon_sym_U_SQUOTE] = ACTIONS(2824),
    [anon_sym_u8_SQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [anon_sym_L_DQUOTE] = ACTIONS(2824),
    [anon_sym_u_DQUOTE] = ACTIONS(2824),
    [anon_sym_U_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8_DQUOTE] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_NULL] = ACTIONS(2822),
    [anon_sym_nullptr] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
    [anon_sym_concept] = ACTIONS(2822),
    [anon_sym_co_return] = ACTIONS(2822),
    [anon_sym_co_yield] = ACTIONS(2822),
    [anon_sym_R_DQUOTE] = ACTIONS(2824),
    [anon_sym_LR_DQUOTE] = ACTIONS(2824),
    [anon_sym_uR_DQUOTE] = ACTIONS(2824),
    [anon_sym_UR_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2824),
    [anon_sym_co_await] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_requires] = ACTIONS(2822),
    [sym_this] = ACTIONS(2822),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(2878),
    [sym_identifier] = ACTIONS(2876),
    [aux_sym_preproc_include_token1] = ACTIONS(2876),
    [aux_sym_preproc_def_token1] = ACTIONS(2876),
    [aux_sym_preproc_if_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2876),
    [sym_preproc_directive] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP_AMP] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym___based] = ACTIONS(2876),
    [anon_sym___cdecl] = ACTIONS(2876),
    [anon_sym___clrcall] = ACTIONS(2876),
    [anon_sym___stdcall] = ACTIONS(2876),
    [anon_sym___fastcall] = ACTIONS(2876),
    [anon_sym___thiscall] = ACTIONS(2876),
    [anon_sym___vectorcall] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_PROGMEM] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [aux_sym_primitive_type_token1] = ACTIONS(2876),
    [anon_sym_byte] = ACTIONS(2876),
    [anon_sym_word] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_else] = ACTIONS(2876),
    [anon_sym_switch] = ACTIONS(2876),
    [anon_sym_case] = ACTIONS(2876),
    [anon_sym_default] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_break] = ACTIONS(2876),
    [anon_sym_continue] = ACTIONS(2876),
    [anon_sym_goto] = ACTIONS(2876),
    [anon_sym___try] = ACTIONS(2876),
    [anon_sym___leave] = ACTIONS(2876),
    [anon_sym_not] = ACTIONS(2876),
    [anon_sym_compl] = ACTIONS(2876),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_sizeof] = ACTIONS(2876),
    [anon_sym___alignof__] = ACTIONS(2876),
    [anon_sym___alignof] = ACTIONS(2876),
    [anon_sym__alignof] = ACTIONS(2876),
    [anon_sym_alignof] = ACTIONS(2876),
    [anon_sym__Alignof] = ACTIONS(2876),
    [anon_sym_offsetof] = ACTIONS(2876),
    [anon_sym__Generic] = ACTIONS(2876),
    [anon_sym_asm] = ACTIONS(2876),
    [anon_sym___asm__] = ACTIONS(2876),
    [anon_sym___asm] = ACTIONS(2876),
    [aux_sym_number_literal_token1] = ACTIONS(2878),
    [aux_sym_number_literal_token2] = ACTIONS(2876),
    [anon_sym_L_SQUOTE] = ACTIONS(2878),
    [anon_sym_u_SQUOTE] = ACTIONS(2878),
    [anon_sym_U_SQUOTE] = ACTIONS(2878),
    [anon_sym_u8_SQUOTE] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_L_DQUOTE] = ACTIONS(2878),
    [anon_sym_u_DQUOTE] = ACTIONS(2878),
    [anon_sym_U_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE] = ACTIONS(2878),
    [sym_true] = ACTIONS(2876),
    [sym_false] = ACTIONS(2876),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_explicit] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_operator] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_delete] = ACTIONS(2876),
    [anon_sym_throw] = ACTIONS(2876),
    [anon_sym_namespace] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_static_assert] = ACTIONS(2876),
    [anon_sym_concept] = ACTIONS(2876),
    [anon_sym_co_return] = ACTIONS(2876),
    [anon_sym_co_yield] = ACTIONS(2876),
    [anon_sym_R_DQUOTE] = ACTIONS(2878),
    [anon_sym_LR_DQUOTE] = ACTIONS(2878),
    [anon_sym_uR_DQUOTE] = ACTIONS(2878),
    [anon_sym_UR_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2878),
    [anon_sym_co_await] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_requires] = ACTIONS(2876),
    [sym_this] = ACTIONS(2876),
  },
  [499] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_PROGMEM] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [aux_sym_primitive_type_token1] = ACTIONS(2790),
    [anon_sym_byte] = ACTIONS(2790),
    [anon_sym_word] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [aux_sym_number_literal_token1] = ACTIONS(2792),
    [aux_sym_number_literal_token2] = ACTIONS(2790),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
    [anon_sym_concept] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(2800),
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_PROGMEM] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [aux_sym_primitive_type_token1] = ACTIONS(2798),
    [anon_sym_byte] = ACTIONS(2798),
    [anon_sym_word] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [aux_sym_number_literal_token1] = ACTIONS(2800),
    [aux_sym_number_literal_token2] = ACTIONS(2798),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(2886),
    [sym_identifier] = ACTIONS(2884),
    [aux_sym_preproc_include_token1] = ACTIONS(2884),
    [aux_sym_preproc_def_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2884),
    [sym_preproc_directive] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_BANG] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2886),
    [anon_sym_AMP_AMP] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2884),
    [anon_sym_typedef] = ACTIONS(2884),
    [anon_sym_virtual] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(2884),
    [anon_sym___attribute__] = ACTIONS(2884),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2886),
    [anon_sym___declspec] = ACTIONS(2884),
    [anon_sym___based] = ACTIONS(2884),
    [anon_sym___cdecl] = ACTIONS(2884),
    [anon_sym___clrcall] = ACTIONS(2884),
    [anon_sym___stdcall] = ACTIONS(2884),
    [anon_sym___fastcall] = ACTIONS(2884),
    [anon_sym___thiscall] = ACTIONS(2884),
    [anon_sym___vectorcall] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2886),
    [anon_sym_signed] = ACTIONS(2884),
    [anon_sym_unsigned] = ACTIONS(2884),
    [anon_sym_long] = ACTIONS(2884),
    [anon_sym_short] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_register] = ACTIONS(2884),
    [anon_sym_inline] = ACTIONS(2884),
    [anon_sym___inline] = ACTIONS(2884),
    [anon_sym___inline__] = ACTIONS(2884),
    [anon_sym___forceinline] = ACTIONS(2884),
    [anon_sym_thread_local] = ACTIONS(2884),
    [anon_sym___thread] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_constexpr] = ACTIONS(2884),
    [anon_sym_volatile] = ACTIONS(2884),
    [anon_sym_restrict] = ACTIONS(2884),
    [anon_sym___restrict__] = ACTIONS(2884),
    [anon_sym__Atomic] = ACTIONS(2884),
    [anon_sym__Noreturn] = ACTIONS(2884),
    [anon_sym_noreturn] = ACTIONS(2884),
    [anon_sym__Nonnull] = ACTIONS(2884),
    [anon_sym_mutable] = ACTIONS(2884),
    [anon_sym_constinit] = ACTIONS(2884),
    [anon_sym_consteval] = ACTIONS(2884),
    [anon_sym_PROGMEM] = ACTIONS(2884),
    [anon_sym_alignas] = ACTIONS(2884),
    [anon_sym__Alignas] = ACTIONS(2884),
    [aux_sym_primitive_type_token1] = ACTIONS(2884),
    [anon_sym_byte] = ACTIONS(2884),
    [anon_sym_word] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_struct] = ACTIONS(2884),
    [anon_sym_union] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_else] = ACTIONS(2884),
    [anon_sym_switch] = ACTIONS(2884),
    [anon_sym_case] = ACTIONS(2884),
    [anon_sym_default] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_break] = ACTIONS(2884),
    [anon_sym_continue] = ACTIONS(2884),
    [anon_sym_goto] = ACTIONS(2884),
    [anon_sym___try] = ACTIONS(2884),
    [anon_sym___leave] = ACTIONS(2884),
    [anon_sym_not] = ACTIONS(2884),
    [anon_sym_compl] = ACTIONS(2884),
    [anon_sym_DASH_DASH] = ACTIONS(2886),
    [anon_sym_PLUS_PLUS] = ACTIONS(2886),
    [anon_sym_sizeof] = ACTIONS(2884),
    [anon_sym___alignof__] = ACTIONS(2884),
    [anon_sym___alignof] = ACTIONS(2884),
    [anon_sym__alignof] = ACTIONS(2884),
    [anon_sym_alignof] = ACTIONS(2884),
    [anon_sym__Alignof] = ACTIONS(2884),
    [anon_sym_offsetof] = ACTIONS(2884),
    [anon_sym__Generic] = ACTIONS(2884),
    [anon_sym_asm] = ACTIONS(2884),
    [anon_sym___asm__] = ACTIONS(2884),
    [anon_sym___asm] = ACTIONS(2884),
    [aux_sym_number_literal_token1] = ACTIONS(2886),
    [aux_sym_number_literal_token2] = ACTIONS(2884),
    [anon_sym_L_SQUOTE] = ACTIONS(2886),
    [anon_sym_u_SQUOTE] = ACTIONS(2886),
    [anon_sym_U_SQUOTE] = ACTIONS(2886),
    [anon_sym_u8_SQUOTE] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_L_DQUOTE] = ACTIONS(2886),
    [anon_sym_u_DQUOTE] = ACTIONS(2886),
    [anon_sym_U_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE] = ACTIONS(2886),
    [sym_true] = ACTIONS(2884),
    [sym_false] = ACTIONS(2884),
    [anon_sym_NULL] = ACTIONS(2884),
    [anon_sym_nullptr] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2884),
    [anon_sym_decltype] = ACTIONS(2884),
    [anon_sym_explicit] = ACTIONS(2884),
    [anon_sym_typename] = ACTIONS(2884),
    [anon_sym_template] = ACTIONS(2884),
    [anon_sym_operator] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_delete] = ACTIONS(2884),
    [anon_sym_throw] = ACTIONS(2884),
    [anon_sym_namespace] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_static_assert] = ACTIONS(2884),
    [anon_sym_concept] = ACTIONS(2884),
    [anon_sym_co_return] = ACTIONS(2884),
    [anon_sym_co_yield] = ACTIONS(2884),
    [anon_sym_R_DQUOTE] = ACTIONS(2886),
    [anon_sym_LR_DQUOTE] = ACTIONS(2886),
    [anon_sym_uR_DQUOTE] = ACTIONS(2886),
    [anon_sym_UR_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2886),
    [anon_sym_co_await] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_requires] = ACTIONS(2884),
    [sym_this] = ACTIONS(2884),
  },
  [502] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_PROGMEM] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [aux_sym_primitive_type_token1] = ACTIONS(2790),
    [anon_sym_byte] = ACTIONS(2790),
    [anon_sym_word] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [aux_sym_number_literal_token1] = ACTIONS(2792),
    [aux_sym_number_literal_token2] = ACTIONS(2790),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
    [anon_sym_concept] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(2775),
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_virtual] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___based] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [anon_sym_PROGMEM] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [aux_sym_primitive_type_token1] = ACTIONS(2770),
    [anon_sym_byte] = ACTIONS(2770),
    [anon_sym_word] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_else] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym___leave] = ACTIONS(2770),
    [anon_sym_not] = ACTIONS(2770),
    [anon_sym_compl] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [anon_sym___asm] = ACTIONS(2770),
    [aux_sym_number_literal_token1] = ACTIONS(2775),
    [aux_sym_number_literal_token2] = ACTIONS(2770),
    [anon_sym_L_SQUOTE] = ACTIONS(2775),
    [anon_sym_u_SQUOTE] = ACTIONS(2775),
    [anon_sym_U_SQUOTE] = ACTIONS(2775),
    [anon_sym_u8_SQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_L_DQUOTE] = ACTIONS(2775),
    [anon_sym_u_DQUOTE] = ACTIONS(2775),
    [anon_sym_U_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [anon_sym_explicit] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_operator] = ACTIONS(2770),
    [anon_sym_try] = ACTIONS(2770),
    [anon_sym_delete] = ACTIONS(2770),
    [anon_sym_throw] = ACTIONS(2770),
    [anon_sym_namespace] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_static_assert] = ACTIONS(2770),
    [anon_sym_concept] = ACTIONS(2770),
    [anon_sym_co_return] = ACTIONS(2770),
    [anon_sym_co_yield] = ACTIONS(2770),
    [anon_sym_R_DQUOTE] = ACTIONS(2775),
    [anon_sym_LR_DQUOTE] = ACTIONS(2775),
    [anon_sym_uR_DQUOTE] = ACTIONS(2775),
    [anon_sym_UR_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2775),
    [anon_sym_co_await] = ACTIONS(2770),
    [anon_sym_new] = ACTIONS(2770),
    [anon_sym_requires] = ACTIONS(2770),
    [sym_this] = ACTIONS(2770),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(2872),
    [sym_identifier] = ACTIONS(2870),
    [aux_sym_preproc_include_token1] = ACTIONS(2870),
    [aux_sym_preproc_def_token1] = ACTIONS(2870),
    [aux_sym_preproc_if_token1] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2870),
    [sym_preproc_directive] = ACTIONS(2870),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_AMP] = ACTIONS(2870),
    [anon_sym_SEMI] = ACTIONS(2872),
    [anon_sym___extension__] = ACTIONS(2870),
    [anon_sym_typedef] = ACTIONS(2870),
    [anon_sym_virtual] = ACTIONS(2870),
    [anon_sym_extern] = ACTIONS(2870),
    [anon_sym___attribute__] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2872),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2872),
    [anon_sym___declspec] = ACTIONS(2870),
    [anon_sym___based] = ACTIONS(2870),
    [anon_sym___cdecl] = ACTIONS(2870),
    [anon_sym___clrcall] = ACTIONS(2870),
    [anon_sym___stdcall] = ACTIONS(2870),
    [anon_sym___fastcall] = ACTIONS(2870),
    [anon_sym___thiscall] = ACTIONS(2870),
    [anon_sym___vectorcall] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_signed] = ACTIONS(2870),
    [anon_sym_unsigned] = ACTIONS(2870),
    [anon_sym_long] = ACTIONS(2870),
    [anon_sym_short] = ACTIONS(2870),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym_static] = ACTIONS(2870),
    [anon_sym_register] = ACTIONS(2870),
    [anon_sym_inline] = ACTIONS(2870),
    [anon_sym___inline] = ACTIONS(2870),
    [anon_sym___inline__] = ACTIONS(2870),
    [anon_sym___forceinline] = ACTIONS(2870),
    [anon_sym_thread_local] = ACTIONS(2870),
    [anon_sym___thread] = ACTIONS(2870),
    [anon_sym_const] = ACTIONS(2870),
    [anon_sym_constexpr] = ACTIONS(2870),
    [anon_sym_volatile] = ACTIONS(2870),
    [anon_sym_restrict] = ACTIONS(2870),
    [anon_sym___restrict__] = ACTIONS(2870),
    [anon_sym__Atomic] = ACTIONS(2870),
    [anon_sym__Noreturn] = ACTIONS(2870),
    [anon_sym_noreturn] = ACTIONS(2870),
    [anon_sym__Nonnull] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2870),
    [anon_sym_constinit] = ACTIONS(2870),
    [anon_sym_consteval] = ACTIONS(2870),
    [anon_sym_PROGMEM] = ACTIONS(2870),
    [anon_sym_alignas] = ACTIONS(2870),
    [anon_sym__Alignas] = ACTIONS(2870),
    [aux_sym_primitive_type_token1] = ACTIONS(2870),
    [anon_sym_byte] = ACTIONS(2870),
    [anon_sym_word] = ACTIONS(2870),
    [anon_sym_enum] = ACTIONS(2870),
    [anon_sym_class] = ACTIONS(2870),
    [anon_sym_struct] = ACTIONS(2870),
    [anon_sym_union] = ACTIONS(2870),
    [anon_sym_if] = ACTIONS(2870),
    [anon_sym_else] = ACTIONS(2870),
    [anon_sym_switch] = ACTIONS(2870),
    [anon_sym_case] = ACTIONS(2870),
    [anon_sym_default] = ACTIONS(2870),
    [anon_sym_while] = ACTIONS(2870),
    [anon_sym_do] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2870),
    [anon_sym_return] = ACTIONS(2870),
    [anon_sym_break] = ACTIONS(2870),
    [anon_sym_continue] = ACTIONS(2870),
    [anon_sym_goto] = ACTIONS(2870),
    [anon_sym___try] = ACTIONS(2870),
    [anon_sym___leave] = ACTIONS(2870),
    [anon_sym_not] = ACTIONS(2870),
    [anon_sym_compl] = ACTIONS(2870),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_sizeof] = ACTIONS(2870),
    [anon_sym___alignof__] = ACTIONS(2870),
    [anon_sym___alignof] = ACTIONS(2870),
    [anon_sym__alignof] = ACTIONS(2870),
    [anon_sym_alignof] = ACTIONS(2870),
    [anon_sym__Alignof] = ACTIONS(2870),
    [anon_sym_offsetof] = ACTIONS(2870),
    [anon_sym__Generic] = ACTIONS(2870),
    [anon_sym_asm] = ACTIONS(2870),
    [anon_sym___asm__] = ACTIONS(2870),
    [anon_sym___asm] = ACTIONS(2870),
    [aux_sym_number_literal_token1] = ACTIONS(2872),
    [aux_sym_number_literal_token2] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2872),
    [anon_sym_u_SQUOTE] = ACTIONS(2872),
    [anon_sym_U_SQUOTE] = ACTIONS(2872),
    [anon_sym_u8_SQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2870),
    [sym_false] = ACTIONS(2870),
    [anon_sym_NULL] = ACTIONS(2870),
    [anon_sym_nullptr] = ACTIONS(2870),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2870),
    [anon_sym_decltype] = ACTIONS(2870),
    [anon_sym_explicit] = ACTIONS(2870),
    [anon_sym_typename] = ACTIONS(2870),
    [anon_sym_template] = ACTIONS(2870),
    [anon_sym_operator] = ACTIONS(2870),
    [anon_sym_try] = ACTIONS(2870),
    [anon_sym_delete] = ACTIONS(2870),
    [anon_sym_throw] = ACTIONS(2870),
    [anon_sym_namespace] = ACTIONS(2870),
    [anon_sym_using] = ACTIONS(2870),
    [anon_sym_static_assert] = ACTIONS(2870),
    [anon_sym_concept] = ACTIONS(2870),
    [anon_sym_co_return] = ACTIONS(2870),
    [anon_sym_co_yield] = ACTIONS(2870),
    [anon_sym_R_DQUOTE] = ACTIONS(2872),
    [anon_sym_LR_DQUOTE] = ACTIONS(2872),
    [anon_sym_uR_DQUOTE] = ACTIONS(2872),
    [anon_sym_UR_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2872),
    [anon_sym_co_await] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2870),
    [anon_sym_requires] = ACTIONS(2870),
    [sym_this] = ACTIONS(2870),
  },
  [505] = {
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_include_token1] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token2] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym___cdecl] = ACTIONS(2920),
    [anon_sym___clrcall] = ACTIONS(2920),
    [anon_sym___stdcall] = ACTIONS(2920),
    [anon_sym___fastcall] = ACTIONS(2920),
    [anon_sym___thiscall] = ACTIONS(2920),
    [anon_sym___vectorcall] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_PROGMEM] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [aux_sym_primitive_type_token1] = ACTIONS(2920),
    [anon_sym_byte] = ACTIONS(2920),
    [anon_sym_word] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_else] = ACTIONS(2920),
    [anon_sym_switch] = ACTIONS(2920),
    [anon_sym_case] = ACTIONS(2920),
    [anon_sym_default] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_break] = ACTIONS(2920),
    [anon_sym_continue] = ACTIONS(2920),
    [anon_sym_goto] = ACTIONS(2920),
    [anon_sym___try] = ACTIONS(2920),
    [anon_sym___leave] = ACTIONS(2920),
    [anon_sym_not] = ACTIONS(2920),
    [anon_sym_compl] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_sizeof] = ACTIONS(2920),
    [anon_sym___alignof__] = ACTIONS(2920),
    [anon_sym___alignof] = ACTIONS(2920),
    [anon_sym__alignof] = ACTIONS(2920),
    [anon_sym_alignof] = ACTIONS(2920),
    [anon_sym__Alignof] = ACTIONS(2920),
    [anon_sym_offsetof] = ACTIONS(2920),
    [anon_sym__Generic] = ACTIONS(2920),
    [anon_sym_asm] = ACTIONS(2920),
    [anon_sym___asm__] = ACTIONS(2920),
    [anon_sym___asm] = ACTIONS(2920),
    [aux_sym_number_literal_token1] = ACTIONS(2922),
    [aux_sym_number_literal_token2] = ACTIONS(2920),
    [anon_sym_L_SQUOTE] = ACTIONS(2922),
    [anon_sym_u_SQUOTE] = ACTIONS(2922),
    [anon_sym_U_SQUOTE] = ACTIONS(2922),
    [anon_sym_u8_SQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_L_DQUOTE] = ACTIONS(2922),
    [anon_sym_u_DQUOTE] = ACTIONS(2922),
    [anon_sym_U_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [sym_true] = ACTIONS(2920),
    [sym_false] = ACTIONS(2920),
    [anon_sym_NULL] = ACTIONS(2920),
    [anon_sym_nullptr] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_delete] = ACTIONS(2920),
    [anon_sym_throw] = ACTIONS(2920),
    [anon_sym_namespace] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
    [anon_sym_concept] = ACTIONS(2920),
    [anon_sym_co_return] = ACTIONS(2920),
    [anon_sym_co_yield] = ACTIONS(2920),
    [anon_sym_R_DQUOTE] = ACTIONS(2922),
    [anon_sym_LR_DQUOTE] = ACTIONS(2922),
    [anon_sym_uR_DQUOTE] = ACTIONS(2922),
    [anon_sym_UR_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2922),
    [anon_sym_co_await] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_requires] = ACTIONS(2920),
    [sym_this] = ACTIONS(2920),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(2846),
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_PROGMEM] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [aux_sym_primitive_type_token1] = ACTIONS(2844),
    [anon_sym_byte] = ACTIONS(2844),
    [anon_sym_word] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_else] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [aux_sym_number_literal_token1] = ACTIONS(2846),
    [aux_sym_number_literal_token2] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [507] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_virtual] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___based] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [anon_sym_PROGMEM] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [aux_sym_primitive_type_token1] = ACTIONS(2770),
    [anon_sym_byte] = ACTIONS(2770),
    [anon_sym_word] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_else] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym___leave] = ACTIONS(2770),
    [anon_sym_not] = ACTIONS(2770),
    [anon_sym_compl] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [anon_sym___asm] = ACTIONS(2770),
    [aux_sym_number_literal_token1] = ACTIONS(2775),
    [aux_sym_number_literal_token2] = ACTIONS(2770),
    [anon_sym_L_SQUOTE] = ACTIONS(2775),
    [anon_sym_u_SQUOTE] = ACTIONS(2775),
    [anon_sym_U_SQUOTE] = ACTIONS(2775),
    [anon_sym_u8_SQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_L_DQUOTE] = ACTIONS(2775),
    [anon_sym_u_DQUOTE] = ACTIONS(2775),
    [anon_sym_U_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [anon_sym_explicit] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_operator] = ACTIONS(2770),
    [anon_sym_try] = ACTIONS(2770),
    [anon_sym_delete] = ACTIONS(2770),
    [anon_sym_throw] = ACTIONS(2770),
    [anon_sym_namespace] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_static_assert] = ACTIONS(2770),
    [anon_sym_concept] = ACTIONS(2770),
    [anon_sym_co_return] = ACTIONS(2770),
    [anon_sym_co_yield] = ACTIONS(2770),
    [anon_sym_R_DQUOTE] = ACTIONS(2775),
    [anon_sym_LR_DQUOTE] = ACTIONS(2775),
    [anon_sym_uR_DQUOTE] = ACTIONS(2775),
    [anon_sym_UR_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2775),
    [anon_sym_co_await] = ACTIONS(2770),
    [anon_sym_new] = ACTIONS(2770),
    [anon_sym_requires] = ACTIONS(2770),
    [sym_this] = ACTIONS(2770),
  },
  [508] = {
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_include_token1] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym___cdecl] = ACTIONS(2920),
    [anon_sym___clrcall] = ACTIONS(2920),
    [anon_sym___stdcall] = ACTIONS(2920),
    [anon_sym___fastcall] = ACTIONS(2920),
    [anon_sym___thiscall] = ACTIONS(2920),
    [anon_sym___vectorcall] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_RBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_PROGMEM] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [aux_sym_primitive_type_token1] = ACTIONS(2920),
    [anon_sym_byte] = ACTIONS(2920),
    [anon_sym_word] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_else] = ACTIONS(2920),
    [anon_sym_switch] = ACTIONS(2920),
    [anon_sym_case] = ACTIONS(2920),
    [anon_sym_default] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_break] = ACTIONS(2920),
    [anon_sym_continue] = ACTIONS(2920),
    [anon_sym_goto] = ACTIONS(2920),
    [anon_sym___try] = ACTIONS(2920),
    [anon_sym___leave] = ACTIONS(2920),
    [anon_sym_not] = ACTIONS(2920),
    [anon_sym_compl] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_sizeof] = ACTIONS(2920),
    [anon_sym___alignof__] = ACTIONS(2920),
    [anon_sym___alignof] = ACTIONS(2920),
    [anon_sym__alignof] = ACTIONS(2920),
    [anon_sym_alignof] = ACTIONS(2920),
    [anon_sym__Alignof] = ACTIONS(2920),
    [anon_sym_offsetof] = ACTIONS(2920),
    [anon_sym__Generic] = ACTIONS(2920),
    [anon_sym_asm] = ACTIONS(2920),
    [anon_sym___asm__] = ACTIONS(2920),
    [anon_sym___asm] = ACTIONS(2920),
    [aux_sym_number_literal_token1] = ACTIONS(2922),
    [aux_sym_number_literal_token2] = ACTIONS(2920),
    [anon_sym_L_SQUOTE] = ACTIONS(2922),
    [anon_sym_u_SQUOTE] = ACTIONS(2922),
    [anon_sym_U_SQUOTE] = ACTIONS(2922),
    [anon_sym_u8_SQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_L_DQUOTE] = ACTIONS(2922),
    [anon_sym_u_DQUOTE] = ACTIONS(2922),
    [anon_sym_U_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [sym_true] = ACTIONS(2920),
    [sym_false] = ACTIONS(2920),
    [anon_sym_NULL] = ACTIONS(2920),
    [anon_sym_nullptr] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_delete] = ACTIONS(2920),
    [anon_sym_throw] = ACTIONS(2920),
    [anon_sym_namespace] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
    [anon_sym_concept] = ACTIONS(2920),
    [anon_sym_co_return] = ACTIONS(2920),
    [anon_sym_co_yield] = ACTIONS(2920),
    [anon_sym_R_DQUOTE] = ACTIONS(2922),
    [anon_sym_LR_DQUOTE] = ACTIONS(2922),
    [anon_sym_uR_DQUOTE] = ACTIONS(2922),
    [anon_sym_UR_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2922),
    [anon_sym_co_await] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_requires] = ACTIONS(2920),
    [sym_this] = ACTIONS(2920),
  },
  [509] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_RBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_PROGMEM] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [aux_sym_primitive_type_token1] = ACTIONS(2826),
    [anon_sym_byte] = ACTIONS(2826),
    [anon_sym_word] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_else] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [anon_sym___asm] = ACTIONS(2826),
    [aux_sym_number_literal_token1] = ACTIONS(2828),
    [aux_sym_number_literal_token2] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [510] = {
    [sym_identifier] = ACTIONS(2810),
    [aux_sym_preproc_include_token1] = ACTIONS(2810),
    [aux_sym_preproc_def_token1] = ACTIONS(2810),
    [aux_sym_preproc_if_token1] = ACTIONS(2810),
    [aux_sym_preproc_if_token2] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2810),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2810),
    [sym_preproc_directive] = ACTIONS(2810),
    [anon_sym_LPAREN2] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2812),
    [anon_sym_TILDE] = ACTIONS(2812),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_AMP_AMP] = ACTIONS(2812),
    [anon_sym_AMP] = ACTIONS(2810),
    [anon_sym_SEMI] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2810),
    [anon_sym_typedef] = ACTIONS(2810),
    [anon_sym_virtual] = ACTIONS(2810),
    [anon_sym_extern] = ACTIONS(2810),
    [anon_sym___attribute__] = ACTIONS(2810),
    [anon_sym_COLON_COLON] = ACTIONS(2812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2812),
    [anon_sym___declspec] = ACTIONS(2810),
    [anon_sym___based] = ACTIONS(2810),
    [anon_sym___cdecl] = ACTIONS(2810),
    [anon_sym___clrcall] = ACTIONS(2810),
    [anon_sym___stdcall] = ACTIONS(2810),
    [anon_sym___fastcall] = ACTIONS(2810),
    [anon_sym___thiscall] = ACTIONS(2810),
    [anon_sym___vectorcall] = ACTIONS(2810),
    [anon_sym_LBRACE] = ACTIONS(2812),
    [anon_sym_signed] = ACTIONS(2810),
    [anon_sym_unsigned] = ACTIONS(2810),
    [anon_sym_long] = ACTIONS(2810),
    [anon_sym_short] = ACTIONS(2810),
    [anon_sym_LBRACK] = ACTIONS(2810),
    [anon_sym_static] = ACTIONS(2810),
    [anon_sym_register] = ACTIONS(2810),
    [anon_sym_inline] = ACTIONS(2810),
    [anon_sym___inline] = ACTIONS(2810),
    [anon_sym___inline__] = ACTIONS(2810),
    [anon_sym___forceinline] = ACTIONS(2810),
    [anon_sym_thread_local] = ACTIONS(2810),
    [anon_sym___thread] = ACTIONS(2810),
    [anon_sym_const] = ACTIONS(2810),
    [anon_sym_constexpr] = ACTIONS(2810),
    [anon_sym_volatile] = ACTIONS(2810),
    [anon_sym_restrict] = ACTIONS(2810),
    [anon_sym___restrict__] = ACTIONS(2810),
    [anon_sym__Atomic] = ACTIONS(2810),
    [anon_sym__Noreturn] = ACTIONS(2810),
    [anon_sym_noreturn] = ACTIONS(2810),
    [anon_sym__Nonnull] = ACTIONS(2810),
    [anon_sym_mutable] = ACTIONS(2810),
    [anon_sym_constinit] = ACTIONS(2810),
    [anon_sym_consteval] = ACTIONS(2810),
    [anon_sym_PROGMEM] = ACTIONS(2810),
    [anon_sym_alignas] = ACTIONS(2810),
    [anon_sym__Alignas] = ACTIONS(2810),
    [aux_sym_primitive_type_token1] = ACTIONS(2810),
    [anon_sym_byte] = ACTIONS(2810),
    [anon_sym_word] = ACTIONS(2810),
    [anon_sym_enum] = ACTIONS(2810),
    [anon_sym_class] = ACTIONS(2810),
    [anon_sym_struct] = ACTIONS(2810),
    [anon_sym_union] = ACTIONS(2810),
    [anon_sym_if] = ACTIONS(2810),
    [anon_sym_else] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2810),
    [anon_sym_case] = ACTIONS(2810),
    [anon_sym_default] = ACTIONS(2810),
    [anon_sym_while] = ACTIONS(2810),
    [anon_sym_do] = ACTIONS(2810),
    [anon_sym_for] = ACTIONS(2810),
    [anon_sym_return] = ACTIONS(2810),
    [anon_sym_break] = ACTIONS(2810),
    [anon_sym_continue] = ACTIONS(2810),
    [anon_sym_goto] = ACTIONS(2810),
    [anon_sym___try] = ACTIONS(2810),
    [anon_sym___leave] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(2810),
    [anon_sym_compl] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2812),
    [anon_sym_PLUS_PLUS] = ACTIONS(2812),
    [anon_sym_sizeof] = ACTIONS(2810),
    [anon_sym___alignof__] = ACTIONS(2810),
    [anon_sym___alignof] = ACTIONS(2810),
    [anon_sym__alignof] = ACTIONS(2810),
    [anon_sym_alignof] = ACTIONS(2810),
    [anon_sym__Alignof] = ACTIONS(2810),
    [anon_sym_offsetof] = ACTIONS(2810),
    [anon_sym__Generic] = ACTIONS(2810),
    [anon_sym_asm] = ACTIONS(2810),
    [anon_sym___asm__] = ACTIONS(2810),
    [anon_sym___asm] = ACTIONS(2810),
    [aux_sym_number_literal_token1] = ACTIONS(2812),
    [aux_sym_number_literal_token2] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2812),
    [anon_sym_u_SQUOTE] = ACTIONS(2812),
    [anon_sym_U_SQUOTE] = ACTIONS(2812),
    [anon_sym_u8_SQUOTE] = ACTIONS(2812),
    [anon_sym_SQUOTE] = ACTIONS(2812),
    [anon_sym_L_DQUOTE] = ACTIONS(2812),
    [anon_sym_u_DQUOTE] = ACTIONS(2812),
    [anon_sym_U_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8_DQUOTE] = ACTIONS(2812),
    [anon_sym_DQUOTE] = ACTIONS(2812),
    [sym_true] = ACTIONS(2810),
    [sym_false] = ACTIONS(2810),
    [anon_sym_NULL] = ACTIONS(2810),
    [anon_sym_nullptr] = ACTIONS(2810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2810),
    [anon_sym_decltype] = ACTIONS(2810),
    [anon_sym_explicit] = ACTIONS(2810),
    [anon_sym_typename] = ACTIONS(2810),
    [anon_sym_template] = ACTIONS(2810),
    [anon_sym_operator] = ACTIONS(2810),
    [anon_sym_try] = ACTIONS(2810),
    [anon_sym_delete] = ACTIONS(2810),
    [anon_sym_throw] = ACTIONS(2810),
    [anon_sym_namespace] = ACTIONS(2810),
    [anon_sym_using] = ACTIONS(2810),
    [anon_sym_static_assert] = ACTIONS(2810),
    [anon_sym_concept] = ACTIONS(2810),
    [anon_sym_co_return] = ACTIONS(2810),
    [anon_sym_co_yield] = ACTIONS(2810),
    [anon_sym_R_DQUOTE] = ACTIONS(2812),
    [anon_sym_LR_DQUOTE] = ACTIONS(2812),
    [anon_sym_uR_DQUOTE] = ACTIONS(2812),
    [anon_sym_UR_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2812),
    [anon_sym_co_await] = ACTIONS(2810),
    [anon_sym_new] = ACTIONS(2810),
    [anon_sym_requires] = ACTIONS(2810),
    [sym_this] = ACTIONS(2810),
  },
  [511] = {
    [sym_identifier] = ACTIONS(2736),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2736),
    [sym_preproc_directive] = ACTIONS(2736),
    [anon_sym_LPAREN2] = ACTIONS(2741),
    [anon_sym_BANG] = ACTIONS(2741),
    [anon_sym_TILDE] = ACTIONS(2741),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2741),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2741),
    [anon_sym___extension__] = ACTIONS(2736),
    [anon_sym_typedef] = ACTIONS(2736),
    [anon_sym_virtual] = ACTIONS(2736),
    [anon_sym_extern] = ACTIONS(2736),
    [anon_sym___attribute__] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2741),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2741),
    [anon_sym___declspec] = ACTIONS(2736),
    [anon_sym___based] = ACTIONS(2736),
    [anon_sym___cdecl] = ACTIONS(2736),
    [anon_sym___clrcall] = ACTIONS(2736),
    [anon_sym___stdcall] = ACTIONS(2736),
    [anon_sym___fastcall] = ACTIONS(2736),
    [anon_sym___thiscall] = ACTIONS(2736),
    [anon_sym___vectorcall] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2741),
    [anon_sym_RBRACE] = ACTIONS(2741),
    [anon_sym_signed] = ACTIONS(2736),
    [anon_sym_unsigned] = ACTIONS(2736),
    [anon_sym_long] = ACTIONS(2736),
    [anon_sym_short] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_register] = ACTIONS(2736),
    [anon_sym_inline] = ACTIONS(2736),
    [anon_sym___inline] = ACTIONS(2736),
    [anon_sym___inline__] = ACTIONS(2736),
    [anon_sym___forceinline] = ACTIONS(2736),
    [anon_sym_thread_local] = ACTIONS(2736),
    [anon_sym___thread] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_constexpr] = ACTIONS(2736),
    [anon_sym_volatile] = ACTIONS(2736),
    [anon_sym_restrict] = ACTIONS(2736),
    [anon_sym___restrict__] = ACTIONS(2736),
    [anon_sym__Atomic] = ACTIONS(2736),
    [anon_sym__Noreturn] = ACTIONS(2736),
    [anon_sym_noreturn] = ACTIONS(2736),
    [anon_sym__Nonnull] = ACTIONS(2736),
    [anon_sym_mutable] = ACTIONS(2736),
    [anon_sym_constinit] = ACTIONS(2736),
    [anon_sym_consteval] = ACTIONS(2736),
    [anon_sym_PROGMEM] = ACTIONS(2736),
    [anon_sym_alignas] = ACTIONS(2736),
    [anon_sym__Alignas] = ACTIONS(2736),
    [aux_sym_primitive_type_token1] = ACTIONS(2736),
    [anon_sym_byte] = ACTIONS(2736),
    [anon_sym_word] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_struct] = ACTIONS(2736),
    [anon_sym_union] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_else] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_case] = ACTIONS(2736),
    [anon_sym_default] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_goto] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2736),
    [anon_sym___leave] = ACTIONS(2736),
    [anon_sym_not] = ACTIONS(2736),
    [anon_sym_compl] = ACTIONS(2736),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_sizeof] = ACTIONS(2736),
    [anon_sym___alignof__] = ACTIONS(2736),
    [anon_sym___alignof] = ACTIONS(2736),
    [anon_sym__alignof] = ACTIONS(2736),
    [anon_sym_alignof] = ACTIONS(2736),
    [anon_sym__Alignof] = ACTIONS(2736),
    [anon_sym_offsetof] = ACTIONS(2736),
    [anon_sym__Generic] = ACTIONS(2736),
    [anon_sym_asm] = ACTIONS(2736),
    [anon_sym___asm__] = ACTIONS(2736),
    [anon_sym___asm] = ACTIONS(2736),
    [aux_sym_number_literal_token1] = ACTIONS(2741),
    [aux_sym_number_literal_token2] = ACTIONS(2736),
    [anon_sym_L_SQUOTE] = ACTIONS(2741),
    [anon_sym_u_SQUOTE] = ACTIONS(2741),
    [anon_sym_U_SQUOTE] = ACTIONS(2741),
    [anon_sym_u8_SQUOTE] = ACTIONS(2741),
    [anon_sym_SQUOTE] = ACTIONS(2741),
    [anon_sym_L_DQUOTE] = ACTIONS(2741),
    [anon_sym_u_DQUOTE] = ACTIONS(2741),
    [anon_sym_U_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8_DQUOTE] = ACTIONS(2741),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [anon_sym_NULL] = ACTIONS(2736),
    [anon_sym_nullptr] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2736),
    [anon_sym_decltype] = ACTIONS(2736),
    [anon_sym_explicit] = ACTIONS(2736),
    [anon_sym_typename] = ACTIONS(2736),
    [anon_sym_template] = ACTIONS(2736),
    [anon_sym_operator] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_namespace] = ACTIONS(2736),
    [anon_sym_using] = ACTIONS(2736),
    [anon_sym_static_assert] = ACTIONS(2736),
    [anon_sym_concept] = ACTIONS(2736),
    [anon_sym_co_return] = ACTIONS(2736),
    [anon_sym_co_yield] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2741),
    [anon_sym_LR_DQUOTE] = ACTIONS(2741),
    [anon_sym_uR_DQUOTE] = ACTIONS(2741),
    [anon_sym_UR_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2741),
    [anon_sym_co_await] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2736),
    [sym_this] = ACTIONS(2736),
  },
  [512] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_RBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_PROGMEM] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [aux_sym_primitive_type_token1] = ACTIONS(2798),
    [anon_sym_byte] = ACTIONS(2798),
    [anon_sym_word] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [aux_sym_number_literal_token1] = ACTIONS(2800),
    [aux_sym_number_literal_token2] = ACTIONS(2798),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [513] = {
    [sym_identifier] = ACTIONS(2888),
    [aux_sym_preproc_include_token1] = ACTIONS(2888),
    [aux_sym_preproc_def_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2888),
    [sym_preproc_directive] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_BANG] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_AMP_AMP] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2890),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2890),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym___based] = ACTIONS(2888),
    [anon_sym___cdecl] = ACTIONS(2888),
    [anon_sym___clrcall] = ACTIONS(2888),
    [anon_sym___stdcall] = ACTIONS(2888),
    [anon_sym___fastcall] = ACTIONS(2888),
    [anon_sym___thiscall] = ACTIONS(2888),
    [anon_sym___vectorcall] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_RBRACE] = ACTIONS(2890),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_PROGMEM] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym__Alignas] = ACTIONS(2888),
    [aux_sym_primitive_type_token1] = ACTIONS(2888),
    [anon_sym_byte] = ACTIONS(2888),
    [anon_sym_word] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_else] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_default] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_goto] = ACTIONS(2888),
    [anon_sym___try] = ACTIONS(2888),
    [anon_sym___leave] = ACTIONS(2888),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_compl] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2890),
    [anon_sym_sizeof] = ACTIONS(2888),
    [anon_sym___alignof__] = ACTIONS(2888),
    [anon_sym___alignof] = ACTIONS(2888),
    [anon_sym__alignof] = ACTIONS(2888),
    [anon_sym_alignof] = ACTIONS(2888),
    [anon_sym__Alignof] = ACTIONS(2888),
    [anon_sym_offsetof] = ACTIONS(2888),
    [anon_sym__Generic] = ACTIONS(2888),
    [anon_sym_asm] = ACTIONS(2888),
    [anon_sym___asm__] = ACTIONS(2888),
    [anon_sym___asm] = ACTIONS(2888),
    [aux_sym_number_literal_token1] = ACTIONS(2890),
    [aux_sym_number_literal_token2] = ACTIONS(2888),
    [anon_sym_L_SQUOTE] = ACTIONS(2890),
    [anon_sym_u_SQUOTE] = ACTIONS(2890),
    [anon_sym_U_SQUOTE] = ACTIONS(2890),
    [anon_sym_u8_SQUOTE] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_L_DQUOTE] = ACTIONS(2890),
    [anon_sym_u_DQUOTE] = ACTIONS(2890),
    [anon_sym_U_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE] = ACTIONS(2890),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [anon_sym_NULL] = ACTIONS(2888),
    [anon_sym_nullptr] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_operator] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_static_assert] = ACTIONS(2888),
    [anon_sym_concept] = ACTIONS(2888),
    [anon_sym_co_return] = ACTIONS(2888),
    [anon_sym_co_yield] = ACTIONS(2888),
    [anon_sym_R_DQUOTE] = ACTIONS(2890),
    [anon_sym_LR_DQUOTE] = ACTIONS(2890),
    [anon_sym_uR_DQUOTE] = ACTIONS(2890),
    [anon_sym_UR_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2890),
    [anon_sym_co_await] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_requires] = ACTIONS(2888),
    [sym_this] = ACTIONS(2888),
  },
  [514] = {
    [sym_identifier] = ACTIONS(2818),
    [aux_sym_preproc_include_token1] = ACTIONS(2818),
    [aux_sym_preproc_def_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token2] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2818),
    [sym_preproc_directive] = ACTIONS(2818),
    [anon_sym_LPAREN2] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2820),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_AMP_AMP] = ACTIONS(2820),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym___extension__] = ACTIONS(2818),
    [anon_sym_typedef] = ACTIONS(2818),
    [anon_sym_virtual] = ACTIONS(2818),
    [anon_sym_extern] = ACTIONS(2818),
    [anon_sym___attribute__] = ACTIONS(2818),
    [anon_sym_COLON_COLON] = ACTIONS(2820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2820),
    [anon_sym___declspec] = ACTIONS(2818),
    [anon_sym___based] = ACTIONS(2818),
    [anon_sym___cdecl] = ACTIONS(2818),
    [anon_sym___clrcall] = ACTIONS(2818),
    [anon_sym___stdcall] = ACTIONS(2818),
    [anon_sym___fastcall] = ACTIONS(2818),
    [anon_sym___thiscall] = ACTIONS(2818),
    [anon_sym___vectorcall] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(2820),
    [anon_sym_signed] = ACTIONS(2818),
    [anon_sym_unsigned] = ACTIONS(2818),
    [anon_sym_long] = ACTIONS(2818),
    [anon_sym_short] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_register] = ACTIONS(2818),
    [anon_sym_inline] = ACTIONS(2818),
    [anon_sym___inline] = ACTIONS(2818),
    [anon_sym___inline__] = ACTIONS(2818),
    [anon_sym___forceinline] = ACTIONS(2818),
    [anon_sym_thread_local] = ACTIONS(2818),
    [anon_sym___thread] = ACTIONS(2818),
    [anon_sym_const] = ACTIONS(2818),
    [anon_sym_constexpr] = ACTIONS(2818),
    [anon_sym_volatile] = ACTIONS(2818),
    [anon_sym_restrict] = ACTIONS(2818),
    [anon_sym___restrict__] = ACTIONS(2818),
    [anon_sym__Atomic] = ACTIONS(2818),
    [anon_sym__Noreturn] = ACTIONS(2818),
    [anon_sym_noreturn] = ACTIONS(2818),
    [anon_sym__Nonnull] = ACTIONS(2818),
    [anon_sym_mutable] = ACTIONS(2818),
    [anon_sym_constinit] = ACTIONS(2818),
    [anon_sym_consteval] = ACTIONS(2818),
    [anon_sym_PROGMEM] = ACTIONS(2818),
    [anon_sym_alignas] = ACTIONS(2818),
    [anon_sym__Alignas] = ACTIONS(2818),
    [aux_sym_primitive_type_token1] = ACTIONS(2818),
    [anon_sym_byte] = ACTIONS(2818),
    [anon_sym_word] = ACTIONS(2818),
    [anon_sym_enum] = ACTIONS(2818),
    [anon_sym_class] = ACTIONS(2818),
    [anon_sym_struct] = ACTIONS(2818),
    [anon_sym_union] = ACTIONS(2818),
    [anon_sym_if] = ACTIONS(2818),
    [anon_sym_else] = ACTIONS(2818),
    [anon_sym_switch] = ACTIONS(2818),
    [anon_sym_case] = ACTIONS(2818),
    [anon_sym_default] = ACTIONS(2818),
    [anon_sym_while] = ACTIONS(2818),
    [anon_sym_do] = ACTIONS(2818),
    [anon_sym_for] = ACTIONS(2818),
    [anon_sym_return] = ACTIONS(2818),
    [anon_sym_break] = ACTIONS(2818),
    [anon_sym_continue] = ACTIONS(2818),
    [anon_sym_goto] = ACTIONS(2818),
    [anon_sym___try] = ACTIONS(2818),
    [anon_sym___leave] = ACTIONS(2818),
    [anon_sym_not] = ACTIONS(2818),
    [anon_sym_compl] = ACTIONS(2818),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_sizeof] = ACTIONS(2818),
    [anon_sym___alignof__] = ACTIONS(2818),
    [anon_sym___alignof] = ACTIONS(2818),
    [anon_sym__alignof] = ACTIONS(2818),
    [anon_sym_alignof] = ACTIONS(2818),
    [anon_sym__Alignof] = ACTIONS(2818),
    [anon_sym_offsetof] = ACTIONS(2818),
    [anon_sym__Generic] = ACTIONS(2818),
    [anon_sym_asm] = ACTIONS(2818),
    [anon_sym___asm__] = ACTIONS(2818),
    [anon_sym___asm] = ACTIONS(2818),
    [aux_sym_number_literal_token1] = ACTIONS(2820),
    [aux_sym_number_literal_token2] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2820),
    [anon_sym_u_SQUOTE] = ACTIONS(2820),
    [anon_sym_U_SQUOTE] = ACTIONS(2820),
    [anon_sym_u8_SQUOTE] = ACTIONS(2820),
    [anon_sym_SQUOTE] = ACTIONS(2820),
    [anon_sym_L_DQUOTE] = ACTIONS(2820),
    [anon_sym_u_DQUOTE] = ACTIONS(2820),
    [anon_sym_U_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8_DQUOTE] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2820),
    [sym_true] = ACTIONS(2818),
    [sym_false] = ACTIONS(2818),
    [anon_sym_NULL] = ACTIONS(2818),
    [anon_sym_nullptr] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2818),
    [anon_sym_decltype] = ACTIONS(2818),
    [anon_sym_explicit] = ACTIONS(2818),
    [anon_sym_typename] = ACTIONS(2818),
    [anon_sym_template] = ACTIONS(2818),
    [anon_sym_operator] = ACTIONS(2818),
    [anon_sym_try] = ACTIONS(2818),
    [anon_sym_delete] = ACTIONS(2818),
    [anon_sym_throw] = ACTIONS(2818),
    [anon_sym_namespace] = ACTIONS(2818),
    [anon_sym_using] = ACTIONS(2818),
    [anon_sym_static_assert] = ACTIONS(2818),
    [anon_sym_concept] = ACTIONS(2818),
    [anon_sym_co_return] = ACTIONS(2818),
    [anon_sym_co_yield] = ACTIONS(2818),
    [anon_sym_R_DQUOTE] = ACTIONS(2820),
    [anon_sym_LR_DQUOTE] = ACTIONS(2820),
    [anon_sym_uR_DQUOTE] = ACTIONS(2820),
    [anon_sym_UR_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2820),
    [anon_sym_co_await] = ACTIONS(2818),
    [anon_sym_new] = ACTIONS(2818),
    [anon_sym_requires] = ACTIONS(2818),
    [sym_this] = ACTIONS(2818),
  },
  [515] = {
    [sym_identifier] = ACTIONS(2912),
    [aux_sym_preproc_include_token1] = ACTIONS(2912),
    [aux_sym_preproc_def_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token1] = ACTIONS(2912),
    [aux_sym_preproc_if_token2] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2912),
    [sym_preproc_directive] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP_AMP] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym___based] = ACTIONS(2912),
    [anon_sym___cdecl] = ACTIONS(2912),
    [anon_sym___clrcall] = ACTIONS(2912),
    [anon_sym___stdcall] = ACTIONS(2912),
    [anon_sym___fastcall] = ACTIONS(2912),
    [anon_sym___thiscall] = ACTIONS(2912),
    [anon_sym___vectorcall] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_PROGMEM] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [aux_sym_primitive_type_token1] = ACTIONS(2912),
    [anon_sym_byte] = ACTIONS(2912),
    [anon_sym_word] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_else] = ACTIONS(2912),
    [anon_sym_switch] = ACTIONS(2912),
    [anon_sym_case] = ACTIONS(2912),
    [anon_sym_default] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_break] = ACTIONS(2912),
    [anon_sym_continue] = ACTIONS(2912),
    [anon_sym_goto] = ACTIONS(2912),
    [anon_sym___try] = ACTIONS(2912),
    [anon_sym___leave] = ACTIONS(2912),
    [anon_sym_not] = ACTIONS(2912),
    [anon_sym_compl] = ACTIONS(2912),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(2912),
    [anon_sym___alignof] = ACTIONS(2912),
    [anon_sym__alignof] = ACTIONS(2912),
    [anon_sym_alignof] = ACTIONS(2912),
    [anon_sym__Alignof] = ACTIONS(2912),
    [anon_sym_offsetof] = ACTIONS(2912),
    [anon_sym__Generic] = ACTIONS(2912),
    [anon_sym_asm] = ACTIONS(2912),
    [anon_sym___asm__] = ACTIONS(2912),
    [anon_sym___asm] = ACTIONS(2912),
    [aux_sym_number_literal_token1] = ACTIONS(2914),
    [aux_sym_number_literal_token2] = ACTIONS(2912),
    [anon_sym_L_SQUOTE] = ACTIONS(2914),
    [anon_sym_u_SQUOTE] = ACTIONS(2914),
    [anon_sym_U_SQUOTE] = ACTIONS(2914),
    [anon_sym_u8_SQUOTE] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_L_DQUOTE] = ACTIONS(2914),
    [anon_sym_u_DQUOTE] = ACTIONS(2914),
    [anon_sym_U_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(2914),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [anon_sym_NULL] = ACTIONS(2912),
    [anon_sym_nullptr] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_explicit] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_operator] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_delete] = ACTIONS(2912),
    [anon_sym_throw] = ACTIONS(2912),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_static_assert] = ACTIONS(2912),
    [anon_sym_concept] = ACTIONS(2912),
    [anon_sym_co_return] = ACTIONS(2912),
    [anon_sym_co_yield] = ACTIONS(2912),
    [anon_sym_R_DQUOTE] = ACTIONS(2914),
    [anon_sym_LR_DQUOTE] = ACTIONS(2914),
    [anon_sym_uR_DQUOTE] = ACTIONS(2914),
    [anon_sym_UR_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2914),
    [anon_sym_co_await] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_requires] = ACTIONS(2912),
    [sym_this] = ACTIONS(2912),
  },
  [516] = {
    [sym_identifier] = ACTIONS(2908),
    [aux_sym_preproc_include_token1] = ACTIONS(2908),
    [aux_sym_preproc_def_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token1] = ACTIONS(2908),
    [aux_sym_preproc_if_token2] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2908),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2908),
    [sym_preproc_directive] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(2910),
    [anon_sym_AMP_AMP] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym___extension__] = ACTIONS(2908),
    [anon_sym_typedef] = ACTIONS(2908),
    [anon_sym_virtual] = ACTIONS(2908),
    [anon_sym_extern] = ACTIONS(2908),
    [anon_sym___attribute__] = ACTIONS(2908),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2910),
    [anon_sym___declspec] = ACTIONS(2908),
    [anon_sym___based] = ACTIONS(2908),
    [anon_sym___cdecl] = ACTIONS(2908),
    [anon_sym___clrcall] = ACTIONS(2908),
    [anon_sym___stdcall] = ACTIONS(2908),
    [anon_sym___fastcall] = ACTIONS(2908),
    [anon_sym___thiscall] = ACTIONS(2908),
    [anon_sym___vectorcall] = ACTIONS(2908),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_signed] = ACTIONS(2908),
    [anon_sym_unsigned] = ACTIONS(2908),
    [anon_sym_long] = ACTIONS(2908),
    [anon_sym_short] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_static] = ACTIONS(2908),
    [anon_sym_register] = ACTIONS(2908),
    [anon_sym_inline] = ACTIONS(2908),
    [anon_sym___inline] = ACTIONS(2908),
    [anon_sym___inline__] = ACTIONS(2908),
    [anon_sym___forceinline] = ACTIONS(2908),
    [anon_sym_thread_local] = ACTIONS(2908),
    [anon_sym___thread] = ACTIONS(2908),
    [anon_sym_const] = ACTIONS(2908),
    [anon_sym_constexpr] = ACTIONS(2908),
    [anon_sym_volatile] = ACTIONS(2908),
    [anon_sym_restrict] = ACTIONS(2908),
    [anon_sym___restrict__] = ACTIONS(2908),
    [anon_sym__Atomic] = ACTIONS(2908),
    [anon_sym__Noreturn] = ACTIONS(2908),
    [anon_sym_noreturn] = ACTIONS(2908),
    [anon_sym__Nonnull] = ACTIONS(2908),
    [anon_sym_mutable] = ACTIONS(2908),
    [anon_sym_constinit] = ACTIONS(2908),
    [anon_sym_consteval] = ACTIONS(2908),
    [anon_sym_PROGMEM] = ACTIONS(2908),
    [anon_sym_alignas] = ACTIONS(2908),
    [anon_sym__Alignas] = ACTIONS(2908),
    [aux_sym_primitive_type_token1] = ACTIONS(2908),
    [anon_sym_byte] = ACTIONS(2908),
    [anon_sym_word] = ACTIONS(2908),
    [anon_sym_enum] = ACTIONS(2908),
    [anon_sym_class] = ACTIONS(2908),
    [anon_sym_struct] = ACTIONS(2908),
    [anon_sym_union] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_else] = ACTIONS(2908),
    [anon_sym_switch] = ACTIONS(2908),
    [anon_sym_case] = ACTIONS(2908),
    [anon_sym_default] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_break] = ACTIONS(2908),
    [anon_sym_continue] = ACTIONS(2908),
    [anon_sym_goto] = ACTIONS(2908),
    [anon_sym___try] = ACTIONS(2908),
    [anon_sym___leave] = ACTIONS(2908),
    [anon_sym_not] = ACTIONS(2908),
    [anon_sym_compl] = ACTIONS(2908),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_sizeof] = ACTIONS(2908),
    [anon_sym___alignof__] = ACTIONS(2908),
    [anon_sym___alignof] = ACTIONS(2908),
    [anon_sym__alignof] = ACTIONS(2908),
    [anon_sym_alignof] = ACTIONS(2908),
    [anon_sym__Alignof] = ACTIONS(2908),
    [anon_sym_offsetof] = ACTIONS(2908),
    [anon_sym__Generic] = ACTIONS(2908),
    [anon_sym_asm] = ACTIONS(2908),
    [anon_sym___asm__] = ACTIONS(2908),
    [anon_sym___asm] = ACTIONS(2908),
    [aux_sym_number_literal_token1] = ACTIONS(2910),
    [aux_sym_number_literal_token2] = ACTIONS(2908),
    [anon_sym_L_SQUOTE] = ACTIONS(2910),
    [anon_sym_u_SQUOTE] = ACTIONS(2910),
    [anon_sym_U_SQUOTE] = ACTIONS(2910),
    [anon_sym_u8_SQUOTE] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_L_DQUOTE] = ACTIONS(2910),
    [anon_sym_u_DQUOTE] = ACTIONS(2910),
    [anon_sym_U_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE] = ACTIONS(2910),
    [sym_true] = ACTIONS(2908),
    [sym_false] = ACTIONS(2908),
    [anon_sym_NULL] = ACTIONS(2908),
    [anon_sym_nullptr] = ACTIONS(2908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2908),
    [anon_sym_decltype] = ACTIONS(2908),
    [anon_sym_explicit] = ACTIONS(2908),
    [anon_sym_typename] = ACTIONS(2908),
    [anon_sym_template] = ACTIONS(2908),
    [anon_sym_operator] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_delete] = ACTIONS(2908),
    [anon_sym_throw] = ACTIONS(2908),
    [anon_sym_namespace] = ACTIONS(2908),
    [anon_sym_using] = ACTIONS(2908),
    [anon_sym_static_assert] = ACTIONS(2908),
    [anon_sym_concept] = ACTIONS(2908),
    [anon_sym_co_return] = ACTIONS(2908),
    [anon_sym_co_yield] = ACTIONS(2908),
    [anon_sym_R_DQUOTE] = ACTIONS(2910),
    [anon_sym_LR_DQUOTE] = ACTIONS(2910),
    [anon_sym_uR_DQUOTE] = ACTIONS(2910),
    [anon_sym_UR_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2910),
    [anon_sym_co_await] = ACTIONS(2908),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_requires] = ACTIONS(2908),
    [sym_this] = ACTIONS(2908),
  },
  [517] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_PROGMEM] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [aux_sym_primitive_type_token1] = ACTIONS(2814),
    [anon_sym_byte] = ACTIONS(2814),
    [anon_sym_word] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [aux_sym_number_literal_token1] = ACTIONS(2816),
    [aux_sym_number_literal_token2] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [518] = {
    [sym_identifier] = ACTIONS(2916),
    [aux_sym_preproc_include_token1] = ACTIONS(2916),
    [aux_sym_preproc_def_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token2] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2916),
    [sym_preproc_directive] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_STAR] = ACTIONS(2918),
    [anon_sym_AMP_AMP] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym___extension__] = ACTIONS(2916),
    [anon_sym_typedef] = ACTIONS(2916),
    [anon_sym_virtual] = ACTIONS(2916),
    [anon_sym_extern] = ACTIONS(2916),
    [anon_sym___attribute__] = ACTIONS(2916),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2918),
    [anon_sym___declspec] = ACTIONS(2916),
    [anon_sym___based] = ACTIONS(2916),
    [anon_sym___cdecl] = ACTIONS(2916),
    [anon_sym___clrcall] = ACTIONS(2916),
    [anon_sym___stdcall] = ACTIONS(2916),
    [anon_sym___fastcall] = ACTIONS(2916),
    [anon_sym___thiscall] = ACTIONS(2916),
    [anon_sym___vectorcall] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_signed] = ACTIONS(2916),
    [anon_sym_unsigned] = ACTIONS(2916),
    [anon_sym_long] = ACTIONS(2916),
    [anon_sym_short] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_register] = ACTIONS(2916),
    [anon_sym_inline] = ACTIONS(2916),
    [anon_sym___inline] = ACTIONS(2916),
    [anon_sym___inline__] = ACTIONS(2916),
    [anon_sym___forceinline] = ACTIONS(2916),
    [anon_sym_thread_local] = ACTIONS(2916),
    [anon_sym___thread] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_constexpr] = ACTIONS(2916),
    [anon_sym_volatile] = ACTIONS(2916),
    [anon_sym_restrict] = ACTIONS(2916),
    [anon_sym___restrict__] = ACTIONS(2916),
    [anon_sym__Atomic] = ACTIONS(2916),
    [anon_sym__Noreturn] = ACTIONS(2916),
    [anon_sym_noreturn] = ACTIONS(2916),
    [anon_sym__Nonnull] = ACTIONS(2916),
    [anon_sym_mutable] = ACTIONS(2916),
    [anon_sym_constinit] = ACTIONS(2916),
    [anon_sym_consteval] = ACTIONS(2916),
    [anon_sym_PROGMEM] = ACTIONS(2916),
    [anon_sym_alignas] = ACTIONS(2916),
    [anon_sym__Alignas] = ACTIONS(2916),
    [aux_sym_primitive_type_token1] = ACTIONS(2916),
    [anon_sym_byte] = ACTIONS(2916),
    [anon_sym_word] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_struct] = ACTIONS(2916),
    [anon_sym_union] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_else] = ACTIONS(2916),
    [anon_sym_switch] = ACTIONS(2916),
    [anon_sym_case] = ACTIONS(2916),
    [anon_sym_default] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_break] = ACTIONS(2916),
    [anon_sym_continue] = ACTIONS(2916),
    [anon_sym_goto] = ACTIONS(2916),
    [anon_sym___try] = ACTIONS(2916),
    [anon_sym___leave] = ACTIONS(2916),
    [anon_sym_not] = ACTIONS(2916),
    [anon_sym_compl] = ACTIONS(2916),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_sizeof] = ACTIONS(2916),
    [anon_sym___alignof__] = ACTIONS(2916),
    [anon_sym___alignof] = ACTIONS(2916),
    [anon_sym__alignof] = ACTIONS(2916),
    [anon_sym_alignof] = ACTIONS(2916),
    [anon_sym__Alignof] = ACTIONS(2916),
    [anon_sym_offsetof] = ACTIONS(2916),
    [anon_sym__Generic] = ACTIONS(2916),
    [anon_sym_asm] = ACTIONS(2916),
    [anon_sym___asm__] = ACTIONS(2916),
    [anon_sym___asm] = ACTIONS(2916),
    [aux_sym_number_literal_token1] = ACTIONS(2918),
    [aux_sym_number_literal_token2] = ACTIONS(2916),
    [anon_sym_L_SQUOTE] = ACTIONS(2918),
    [anon_sym_u_SQUOTE] = ACTIONS(2918),
    [anon_sym_U_SQUOTE] = ACTIONS(2918),
    [anon_sym_u8_SQUOTE] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_L_DQUOTE] = ACTIONS(2918),
    [anon_sym_u_DQUOTE] = ACTIONS(2918),
    [anon_sym_U_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE] = ACTIONS(2918),
    [sym_true] = ACTIONS(2916),
    [sym_false] = ACTIONS(2916),
    [anon_sym_NULL] = ACTIONS(2916),
    [anon_sym_nullptr] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2916),
    [anon_sym_decltype] = ACTIONS(2916),
    [anon_sym_explicit] = ACTIONS(2916),
    [anon_sym_typename] = ACTIONS(2916),
    [anon_sym_template] = ACTIONS(2916),
    [anon_sym_operator] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_delete] = ACTIONS(2916),
    [anon_sym_throw] = ACTIONS(2916),
    [anon_sym_namespace] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_static_assert] = ACTIONS(2916),
    [anon_sym_concept] = ACTIONS(2916),
    [anon_sym_co_return] = ACTIONS(2916),
    [anon_sym_co_yield] = ACTIONS(2916),
    [anon_sym_R_DQUOTE] = ACTIONS(2918),
    [anon_sym_LR_DQUOTE] = ACTIONS(2918),
    [anon_sym_uR_DQUOTE] = ACTIONS(2918),
    [anon_sym_UR_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2918),
    [anon_sym_co_await] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_requires] = ACTIONS(2916),
    [sym_this] = ACTIONS(2916),
  },
  [519] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_PROGMEM] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [aux_sym_primitive_type_token1] = ACTIONS(2814),
    [anon_sym_byte] = ACTIONS(2814),
    [anon_sym_word] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [aux_sym_number_literal_token1] = ACTIONS(2816),
    [aux_sym_number_literal_token2] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [520] = {
    [sym_identifier] = ACTIONS(2904),
    [aux_sym_preproc_include_token1] = ACTIONS(2904),
    [aux_sym_preproc_def_token1] = ACTIONS(2904),
    [aux_sym_preproc_if_token1] = ACTIONS(2904),
    [aux_sym_preproc_if_token2] = ACTIONS(2904),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2904),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2904),
    [sym_preproc_directive] = ACTIONS(2904),
    [anon_sym_LPAREN2] = ACTIONS(2906),
    [anon_sym_BANG] = ACTIONS(2906),
    [anon_sym_TILDE] = ACTIONS(2906),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_AMP_AMP] = ACTIONS(2906),
    [anon_sym_AMP] = ACTIONS(2904),
    [anon_sym_SEMI] = ACTIONS(2906),
    [anon_sym___extension__] = ACTIONS(2904),
    [anon_sym_typedef] = ACTIONS(2904),
    [anon_sym_virtual] = ACTIONS(2904),
    [anon_sym_extern] = ACTIONS(2904),
    [anon_sym___attribute__] = ACTIONS(2904),
    [anon_sym_COLON_COLON] = ACTIONS(2906),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2906),
    [anon_sym___declspec] = ACTIONS(2904),
    [anon_sym___based] = ACTIONS(2904),
    [anon_sym___cdecl] = ACTIONS(2904),
    [anon_sym___clrcall] = ACTIONS(2904),
    [anon_sym___stdcall] = ACTIONS(2904),
    [anon_sym___fastcall] = ACTIONS(2904),
    [anon_sym___thiscall] = ACTIONS(2904),
    [anon_sym___vectorcall] = ACTIONS(2904),
    [anon_sym_LBRACE] = ACTIONS(2906),
    [anon_sym_signed] = ACTIONS(2904),
    [anon_sym_unsigned] = ACTIONS(2904),
    [anon_sym_long] = ACTIONS(2904),
    [anon_sym_short] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_static] = ACTIONS(2904),
    [anon_sym_register] = ACTIONS(2904),
    [anon_sym_inline] = ACTIONS(2904),
    [anon_sym___inline] = ACTIONS(2904),
    [anon_sym___inline__] = ACTIONS(2904),
    [anon_sym___forceinline] = ACTIONS(2904),
    [anon_sym_thread_local] = ACTIONS(2904),
    [anon_sym___thread] = ACTIONS(2904),
    [anon_sym_const] = ACTIONS(2904),
    [anon_sym_constexpr] = ACTIONS(2904),
    [anon_sym_volatile] = ACTIONS(2904),
    [anon_sym_restrict] = ACTIONS(2904),
    [anon_sym___restrict__] = ACTIONS(2904),
    [anon_sym__Atomic] = ACTIONS(2904),
    [anon_sym__Noreturn] = ACTIONS(2904),
    [anon_sym_noreturn] = ACTIONS(2904),
    [anon_sym__Nonnull] = ACTIONS(2904),
    [anon_sym_mutable] = ACTIONS(2904),
    [anon_sym_constinit] = ACTIONS(2904),
    [anon_sym_consteval] = ACTIONS(2904),
    [anon_sym_PROGMEM] = ACTIONS(2904),
    [anon_sym_alignas] = ACTIONS(2904),
    [anon_sym__Alignas] = ACTIONS(2904),
    [aux_sym_primitive_type_token1] = ACTIONS(2904),
    [anon_sym_byte] = ACTIONS(2904),
    [anon_sym_word] = ACTIONS(2904),
    [anon_sym_enum] = ACTIONS(2904),
    [anon_sym_class] = ACTIONS(2904),
    [anon_sym_struct] = ACTIONS(2904),
    [anon_sym_union] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_else] = ACTIONS(2904),
    [anon_sym_switch] = ACTIONS(2904),
    [anon_sym_case] = ACTIONS(2904),
    [anon_sym_default] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_break] = ACTIONS(2904),
    [anon_sym_continue] = ACTIONS(2904),
    [anon_sym_goto] = ACTIONS(2904),
    [anon_sym___try] = ACTIONS(2904),
    [anon_sym___leave] = ACTIONS(2904),
    [anon_sym_not] = ACTIONS(2904),
    [anon_sym_compl] = ACTIONS(2904),
    [anon_sym_DASH_DASH] = ACTIONS(2906),
    [anon_sym_PLUS_PLUS] = ACTIONS(2906),
    [anon_sym_sizeof] = ACTIONS(2904),
    [anon_sym___alignof__] = ACTIONS(2904),
    [anon_sym___alignof] = ACTIONS(2904),
    [anon_sym__alignof] = ACTIONS(2904),
    [anon_sym_alignof] = ACTIONS(2904),
    [anon_sym__Alignof] = ACTIONS(2904),
    [anon_sym_offsetof] = ACTIONS(2904),
    [anon_sym__Generic] = ACTIONS(2904),
    [anon_sym_asm] = ACTIONS(2904),
    [anon_sym___asm__] = ACTIONS(2904),
    [anon_sym___asm] = ACTIONS(2904),
    [aux_sym_number_literal_token1] = ACTIONS(2906),
    [aux_sym_number_literal_token2] = ACTIONS(2904),
    [anon_sym_L_SQUOTE] = ACTIONS(2906),
    [anon_sym_u_SQUOTE] = ACTIONS(2906),
    [anon_sym_U_SQUOTE] = ACTIONS(2906),
    [anon_sym_u8_SQUOTE] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [anon_sym_L_DQUOTE] = ACTIONS(2906),
    [anon_sym_u_DQUOTE] = ACTIONS(2906),
    [anon_sym_U_DQUOTE] = ACTIONS(2906),
    [anon_sym_u8_DQUOTE] = ACTIONS(2906),
    [anon_sym_DQUOTE] = ACTIONS(2906),
    [sym_true] = ACTIONS(2904),
    [sym_false] = ACTIONS(2904),
    [anon_sym_NULL] = ACTIONS(2904),
    [anon_sym_nullptr] = ACTIONS(2904),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2904),
    [anon_sym_decltype] = ACTIONS(2904),
    [anon_sym_explicit] = ACTIONS(2904),
    [anon_sym_typename] = ACTIONS(2904),
    [anon_sym_template] = ACTIONS(2904),
    [anon_sym_operator] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_delete] = ACTIONS(2904),
    [anon_sym_throw] = ACTIONS(2904),
    [anon_sym_namespace] = ACTIONS(2904),
    [anon_sym_using] = ACTIONS(2904),
    [anon_sym_static_assert] = ACTIONS(2904),
    [anon_sym_concept] = ACTIONS(2904),
    [anon_sym_co_return] = ACTIONS(2904),
    [anon_sym_co_yield] = ACTIONS(2904),
    [anon_sym_R_DQUOTE] = ACTIONS(2906),
    [anon_sym_LR_DQUOTE] = ACTIONS(2906),
    [anon_sym_uR_DQUOTE] = ACTIONS(2906),
    [anon_sym_UR_DQUOTE] = ACTIONS(2906),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2906),
    [anon_sym_co_await] = ACTIONS(2904),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_requires] = ACTIONS(2904),
    [sym_this] = ACTIONS(2904),
  },
  [521] = {
    [sym_identifier] = ACTIONS(2896),
    [aux_sym_preproc_include_token1] = ACTIONS(2896),
    [aux_sym_preproc_def_token1] = ACTIONS(2896),
    [aux_sym_preproc_if_token1] = ACTIONS(2896),
    [aux_sym_preproc_if_token2] = ACTIONS(2896),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2896),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2896),
    [sym_preproc_directive] = ACTIONS(2896),
    [anon_sym_LPAREN2] = ACTIONS(2898),
    [anon_sym_BANG] = ACTIONS(2898),
    [anon_sym_TILDE] = ACTIONS(2898),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_STAR] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2898),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_SEMI] = ACTIONS(2898),
    [anon_sym___extension__] = ACTIONS(2896),
    [anon_sym_typedef] = ACTIONS(2896),
    [anon_sym_virtual] = ACTIONS(2896),
    [anon_sym_extern] = ACTIONS(2896),
    [anon_sym___attribute__] = ACTIONS(2896),
    [anon_sym_COLON_COLON] = ACTIONS(2898),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2898),
    [anon_sym___declspec] = ACTIONS(2896),
    [anon_sym___based] = ACTIONS(2896),
    [anon_sym___cdecl] = ACTIONS(2896),
    [anon_sym___clrcall] = ACTIONS(2896),
    [anon_sym___stdcall] = ACTIONS(2896),
    [anon_sym___fastcall] = ACTIONS(2896),
    [anon_sym___thiscall] = ACTIONS(2896),
    [anon_sym___vectorcall] = ACTIONS(2896),
    [anon_sym_LBRACE] = ACTIONS(2898),
    [anon_sym_signed] = ACTIONS(2896),
    [anon_sym_unsigned] = ACTIONS(2896),
    [anon_sym_long] = ACTIONS(2896),
    [anon_sym_short] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_static] = ACTIONS(2896),
    [anon_sym_register] = ACTIONS(2896),
    [anon_sym_inline] = ACTIONS(2896),
    [anon_sym___inline] = ACTIONS(2896),
    [anon_sym___inline__] = ACTIONS(2896),
    [anon_sym___forceinline] = ACTIONS(2896),
    [anon_sym_thread_local] = ACTIONS(2896),
    [anon_sym___thread] = ACTIONS(2896),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_constexpr] = ACTIONS(2896),
    [anon_sym_volatile] = ACTIONS(2896),
    [anon_sym_restrict] = ACTIONS(2896),
    [anon_sym___restrict__] = ACTIONS(2896),
    [anon_sym__Atomic] = ACTIONS(2896),
    [anon_sym__Noreturn] = ACTIONS(2896),
    [anon_sym_noreturn] = ACTIONS(2896),
    [anon_sym__Nonnull] = ACTIONS(2896),
    [anon_sym_mutable] = ACTIONS(2896),
    [anon_sym_constinit] = ACTIONS(2896),
    [anon_sym_consteval] = ACTIONS(2896),
    [anon_sym_PROGMEM] = ACTIONS(2896),
    [anon_sym_alignas] = ACTIONS(2896),
    [anon_sym__Alignas] = ACTIONS(2896),
    [aux_sym_primitive_type_token1] = ACTIONS(2896),
    [anon_sym_byte] = ACTIONS(2896),
    [anon_sym_word] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2896),
    [anon_sym_class] = ACTIONS(2896),
    [anon_sym_struct] = ACTIONS(2896),
    [anon_sym_union] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_else] = ACTIONS(2896),
    [anon_sym_switch] = ACTIONS(2896),
    [anon_sym_case] = ACTIONS(2896),
    [anon_sym_default] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_break] = ACTIONS(2896),
    [anon_sym_continue] = ACTIONS(2896),
    [anon_sym_goto] = ACTIONS(2896),
    [anon_sym___try] = ACTIONS(2896),
    [anon_sym___leave] = ACTIONS(2896),
    [anon_sym_not] = ACTIONS(2896),
    [anon_sym_compl] = ACTIONS(2896),
    [anon_sym_DASH_DASH] = ACTIONS(2898),
    [anon_sym_PLUS_PLUS] = ACTIONS(2898),
    [anon_sym_sizeof] = ACTIONS(2896),
    [anon_sym___alignof__] = ACTIONS(2896),
    [anon_sym___alignof] = ACTIONS(2896),
    [anon_sym__alignof] = ACTIONS(2896),
    [anon_sym_alignof] = ACTIONS(2896),
    [anon_sym__Alignof] = ACTIONS(2896),
    [anon_sym_offsetof] = ACTIONS(2896),
    [anon_sym__Generic] = ACTIONS(2896),
    [anon_sym_asm] = ACTIONS(2896),
    [anon_sym___asm__] = ACTIONS(2896),
    [anon_sym___asm] = ACTIONS(2896),
    [aux_sym_number_literal_token1] = ACTIONS(2898),
    [aux_sym_number_literal_token2] = ACTIONS(2896),
    [anon_sym_L_SQUOTE] = ACTIONS(2898),
    [anon_sym_u_SQUOTE] = ACTIONS(2898),
    [anon_sym_U_SQUOTE] = ACTIONS(2898),
    [anon_sym_u8_SQUOTE] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_L_DQUOTE] = ACTIONS(2898),
    [anon_sym_u_DQUOTE] = ACTIONS(2898),
    [anon_sym_U_DQUOTE] = ACTIONS(2898),
    [anon_sym_u8_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE] = ACTIONS(2898),
    [sym_true] = ACTIONS(2896),
    [sym_false] = ACTIONS(2896),
    [anon_sym_NULL] = ACTIONS(2896),
    [anon_sym_nullptr] = ACTIONS(2896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2896),
    [anon_sym_decltype] = ACTIONS(2896),
    [anon_sym_explicit] = ACTIONS(2896),
    [anon_sym_typename] = ACTIONS(2896),
    [anon_sym_template] = ACTIONS(2896),
    [anon_sym_operator] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_delete] = ACTIONS(2896),
    [anon_sym_throw] = ACTIONS(2896),
    [anon_sym_namespace] = ACTIONS(2896),
    [anon_sym_using] = ACTIONS(2896),
    [anon_sym_static_assert] = ACTIONS(2896),
    [anon_sym_concept] = ACTIONS(2896),
    [anon_sym_co_return] = ACTIONS(2896),
    [anon_sym_co_yield] = ACTIONS(2896),
    [anon_sym_R_DQUOTE] = ACTIONS(2898),
    [anon_sym_LR_DQUOTE] = ACTIONS(2898),
    [anon_sym_uR_DQUOTE] = ACTIONS(2898),
    [anon_sym_UR_DQUOTE] = ACTIONS(2898),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2898),
    [anon_sym_co_await] = ACTIONS(2896),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_requires] = ACTIONS(2896),
    [sym_this] = ACTIONS(2896),
  },
  [522] = {
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_include_token1] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token2] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_SEMI] = ACTIONS(2894),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_virtual] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym___cdecl] = ACTIONS(2892),
    [anon_sym___clrcall] = ACTIONS(2892),
    [anon_sym___stdcall] = ACTIONS(2892),
    [anon_sym___fastcall] = ACTIONS(2892),
    [anon_sym___thiscall] = ACTIONS(2892),
    [anon_sym___vectorcall] = ACTIONS(2892),
    [anon_sym_LBRACE] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym__Nonnull] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_PROGMEM] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [aux_sym_primitive_type_token1] = ACTIONS(2892),
    [anon_sym_byte] = ACTIONS(2892),
    [anon_sym_word] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_else] = ACTIONS(2892),
    [anon_sym_switch] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_default] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_break] = ACTIONS(2892),
    [anon_sym_continue] = ACTIONS(2892),
    [anon_sym_goto] = ACTIONS(2892),
    [anon_sym___try] = ACTIONS(2892),
    [anon_sym___leave] = ACTIONS(2892),
    [anon_sym_not] = ACTIONS(2892),
    [anon_sym_compl] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2894),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(2892),
    [anon_sym___alignof] = ACTIONS(2892),
    [anon_sym__alignof] = ACTIONS(2892),
    [anon_sym_alignof] = ACTIONS(2892),
    [anon_sym__Alignof] = ACTIONS(2892),
    [anon_sym_offsetof] = ACTIONS(2892),
    [anon_sym__Generic] = ACTIONS(2892),
    [anon_sym_asm] = ACTIONS(2892),
    [anon_sym___asm__] = ACTIONS(2892),
    [anon_sym___asm] = ACTIONS(2892),
    [aux_sym_number_literal_token1] = ACTIONS(2894),
    [aux_sym_number_literal_token2] = ACTIONS(2892),
    [anon_sym_L_SQUOTE] = ACTIONS(2894),
    [anon_sym_u_SQUOTE] = ACTIONS(2894),
    [anon_sym_U_SQUOTE] = ACTIONS(2894),
    [anon_sym_u8_SQUOTE] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_L_DQUOTE] = ACTIONS(2894),
    [anon_sym_u_DQUOTE] = ACTIONS(2894),
    [anon_sym_U_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2894),
    [sym_true] = ACTIONS(2892),
    [sym_false] = ACTIONS(2892),
    [anon_sym_NULL] = ACTIONS(2892),
    [anon_sym_nullptr] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_delete] = ACTIONS(2892),
    [anon_sym_throw] = ACTIONS(2892),
    [anon_sym_namespace] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
    [anon_sym_concept] = ACTIONS(2892),
    [anon_sym_co_return] = ACTIONS(2892),
    [anon_sym_co_yield] = ACTIONS(2892),
    [anon_sym_R_DQUOTE] = ACTIONS(2894),
    [anon_sym_LR_DQUOTE] = ACTIONS(2894),
    [anon_sym_uR_DQUOTE] = ACTIONS(2894),
    [anon_sym_UR_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2894),
    [anon_sym_co_await] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2892),
    [sym_this] = ACTIONS(2892),
  },
  [523] = {
    [sym_identifier] = ACTIONS(2884),
    [aux_sym_preproc_include_token1] = ACTIONS(2884),
    [aux_sym_preproc_def_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token1] = ACTIONS(2884),
    [aux_sym_preproc_if_token2] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2884),
    [sym_preproc_directive] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_BANG] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2886),
    [anon_sym_AMP_AMP] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2884),
    [anon_sym_typedef] = ACTIONS(2884),
    [anon_sym_virtual] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(2884),
    [anon_sym___attribute__] = ACTIONS(2884),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2886),
    [anon_sym___declspec] = ACTIONS(2884),
    [anon_sym___based] = ACTIONS(2884),
    [anon_sym___cdecl] = ACTIONS(2884),
    [anon_sym___clrcall] = ACTIONS(2884),
    [anon_sym___stdcall] = ACTIONS(2884),
    [anon_sym___fastcall] = ACTIONS(2884),
    [anon_sym___thiscall] = ACTIONS(2884),
    [anon_sym___vectorcall] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2886),
    [anon_sym_signed] = ACTIONS(2884),
    [anon_sym_unsigned] = ACTIONS(2884),
    [anon_sym_long] = ACTIONS(2884),
    [anon_sym_short] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_register] = ACTIONS(2884),
    [anon_sym_inline] = ACTIONS(2884),
    [anon_sym___inline] = ACTIONS(2884),
    [anon_sym___inline__] = ACTIONS(2884),
    [anon_sym___forceinline] = ACTIONS(2884),
    [anon_sym_thread_local] = ACTIONS(2884),
    [anon_sym___thread] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_constexpr] = ACTIONS(2884),
    [anon_sym_volatile] = ACTIONS(2884),
    [anon_sym_restrict] = ACTIONS(2884),
    [anon_sym___restrict__] = ACTIONS(2884),
    [anon_sym__Atomic] = ACTIONS(2884),
    [anon_sym__Noreturn] = ACTIONS(2884),
    [anon_sym_noreturn] = ACTIONS(2884),
    [anon_sym__Nonnull] = ACTIONS(2884),
    [anon_sym_mutable] = ACTIONS(2884),
    [anon_sym_constinit] = ACTIONS(2884),
    [anon_sym_consteval] = ACTIONS(2884),
    [anon_sym_PROGMEM] = ACTIONS(2884),
    [anon_sym_alignas] = ACTIONS(2884),
    [anon_sym__Alignas] = ACTIONS(2884),
    [aux_sym_primitive_type_token1] = ACTIONS(2884),
    [anon_sym_byte] = ACTIONS(2884),
    [anon_sym_word] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_struct] = ACTIONS(2884),
    [anon_sym_union] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_else] = ACTIONS(2884),
    [anon_sym_switch] = ACTIONS(2884),
    [anon_sym_case] = ACTIONS(2884),
    [anon_sym_default] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_break] = ACTIONS(2884),
    [anon_sym_continue] = ACTIONS(2884),
    [anon_sym_goto] = ACTIONS(2884),
    [anon_sym___try] = ACTIONS(2884),
    [anon_sym___leave] = ACTIONS(2884),
    [anon_sym_not] = ACTIONS(2884),
    [anon_sym_compl] = ACTIONS(2884),
    [anon_sym_DASH_DASH] = ACTIONS(2886),
    [anon_sym_PLUS_PLUS] = ACTIONS(2886),
    [anon_sym_sizeof] = ACTIONS(2884),
    [anon_sym___alignof__] = ACTIONS(2884),
    [anon_sym___alignof] = ACTIONS(2884),
    [anon_sym__alignof] = ACTIONS(2884),
    [anon_sym_alignof] = ACTIONS(2884),
    [anon_sym__Alignof] = ACTIONS(2884),
    [anon_sym_offsetof] = ACTIONS(2884),
    [anon_sym__Generic] = ACTIONS(2884),
    [anon_sym_asm] = ACTIONS(2884),
    [anon_sym___asm__] = ACTIONS(2884),
    [anon_sym___asm] = ACTIONS(2884),
    [aux_sym_number_literal_token1] = ACTIONS(2886),
    [aux_sym_number_literal_token2] = ACTIONS(2884),
    [anon_sym_L_SQUOTE] = ACTIONS(2886),
    [anon_sym_u_SQUOTE] = ACTIONS(2886),
    [anon_sym_U_SQUOTE] = ACTIONS(2886),
    [anon_sym_u8_SQUOTE] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_L_DQUOTE] = ACTIONS(2886),
    [anon_sym_u_DQUOTE] = ACTIONS(2886),
    [anon_sym_U_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE] = ACTIONS(2886),
    [sym_true] = ACTIONS(2884),
    [sym_false] = ACTIONS(2884),
    [anon_sym_NULL] = ACTIONS(2884),
    [anon_sym_nullptr] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2884),
    [anon_sym_decltype] = ACTIONS(2884),
    [anon_sym_explicit] = ACTIONS(2884),
    [anon_sym_typename] = ACTIONS(2884),
    [anon_sym_template] = ACTIONS(2884),
    [anon_sym_operator] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_delete] = ACTIONS(2884),
    [anon_sym_throw] = ACTIONS(2884),
    [anon_sym_namespace] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_static_assert] = ACTIONS(2884),
    [anon_sym_concept] = ACTIONS(2884),
    [anon_sym_co_return] = ACTIONS(2884),
    [anon_sym_co_yield] = ACTIONS(2884),
    [anon_sym_R_DQUOTE] = ACTIONS(2886),
    [anon_sym_LR_DQUOTE] = ACTIONS(2886),
    [anon_sym_uR_DQUOTE] = ACTIONS(2886),
    [anon_sym_UR_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2886),
    [anon_sym_co_await] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_requires] = ACTIONS(2884),
    [sym_this] = ACTIONS(2884),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(2840),
    [sym_identifier] = ACTIONS(2838),
    [aux_sym_preproc_include_token1] = ACTIONS(2838),
    [aux_sym_preproc_def_token1] = ACTIONS(2838),
    [aux_sym_preproc_if_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2838),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2838),
    [sym_preproc_directive] = ACTIONS(2838),
    [anon_sym_LPAREN2] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_TILDE] = ACTIONS(2840),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP_AMP] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2838),
    [anon_sym_typedef] = ACTIONS(2838),
    [anon_sym_virtual] = ACTIONS(2838),
    [anon_sym_extern] = ACTIONS(2838),
    [anon_sym___attribute__] = ACTIONS(2838),
    [anon_sym_COLON_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2840),
    [anon_sym___declspec] = ACTIONS(2838),
    [anon_sym___based] = ACTIONS(2838),
    [anon_sym___cdecl] = ACTIONS(2838),
    [anon_sym___clrcall] = ACTIONS(2838),
    [anon_sym___stdcall] = ACTIONS(2838),
    [anon_sym___fastcall] = ACTIONS(2838),
    [anon_sym___thiscall] = ACTIONS(2838),
    [anon_sym___vectorcall] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_signed] = ACTIONS(2838),
    [anon_sym_unsigned] = ACTIONS(2838),
    [anon_sym_long] = ACTIONS(2838),
    [anon_sym_short] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_register] = ACTIONS(2838),
    [anon_sym_inline] = ACTIONS(2838),
    [anon_sym___inline] = ACTIONS(2838),
    [anon_sym___inline__] = ACTIONS(2838),
    [anon_sym___forceinline] = ACTIONS(2838),
    [anon_sym_thread_local] = ACTIONS(2838),
    [anon_sym___thread] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_constexpr] = ACTIONS(2838),
    [anon_sym_volatile] = ACTIONS(2838),
    [anon_sym_restrict] = ACTIONS(2838),
    [anon_sym___restrict__] = ACTIONS(2838),
    [anon_sym__Atomic] = ACTIONS(2838),
    [anon_sym__Noreturn] = ACTIONS(2838),
    [anon_sym_noreturn] = ACTIONS(2838),
    [anon_sym__Nonnull] = ACTIONS(2838),
    [anon_sym_mutable] = ACTIONS(2838),
    [anon_sym_constinit] = ACTIONS(2838),
    [anon_sym_consteval] = ACTIONS(2838),
    [anon_sym_PROGMEM] = ACTIONS(2838),
    [anon_sym_alignas] = ACTIONS(2838),
    [anon_sym__Alignas] = ACTIONS(2838),
    [aux_sym_primitive_type_token1] = ACTIONS(2838),
    [anon_sym_byte] = ACTIONS(2838),
    [anon_sym_word] = ACTIONS(2838),
    [anon_sym_enum] = ACTIONS(2838),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_struct] = ACTIONS(2838),
    [anon_sym_union] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(2838),
    [anon_sym_else] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2838),
    [anon_sym_case] = ACTIONS(2838),
    [anon_sym_default] = ACTIONS(2838),
    [anon_sym_while] = ACTIONS(2838),
    [anon_sym_do] = ACTIONS(2838),
    [anon_sym_for] = ACTIONS(2838),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_break] = ACTIONS(2838),
    [anon_sym_continue] = ACTIONS(2838),
    [anon_sym_goto] = ACTIONS(2838),
    [anon_sym___try] = ACTIONS(2838),
    [anon_sym___leave] = ACTIONS(2838),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_sizeof] = ACTIONS(2838),
    [anon_sym___alignof__] = ACTIONS(2838),
    [anon_sym___alignof] = ACTIONS(2838),
    [anon_sym__alignof] = ACTIONS(2838),
    [anon_sym_alignof] = ACTIONS(2838),
    [anon_sym__Alignof] = ACTIONS(2838),
    [anon_sym_offsetof] = ACTIONS(2838),
    [anon_sym__Generic] = ACTIONS(2838),
    [anon_sym_asm] = ACTIONS(2838),
    [anon_sym___asm__] = ACTIONS(2838),
    [anon_sym___asm] = ACTIONS(2838),
    [aux_sym_number_literal_token1] = ACTIONS(2840),
    [aux_sym_number_literal_token2] = ACTIONS(2838),
    [anon_sym_L_SQUOTE] = ACTIONS(2840),
    [anon_sym_u_SQUOTE] = ACTIONS(2840),
    [anon_sym_U_SQUOTE] = ACTIONS(2840),
    [anon_sym_u8_SQUOTE] = ACTIONS(2840),
    [anon_sym_SQUOTE] = ACTIONS(2840),
    [anon_sym_L_DQUOTE] = ACTIONS(2840),
    [anon_sym_u_DQUOTE] = ACTIONS(2840),
    [anon_sym_U_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8_DQUOTE] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2840),
    [sym_true] = ACTIONS(2838),
    [sym_false] = ACTIONS(2838),
    [anon_sym_NULL] = ACTIONS(2838),
    [anon_sym_nullptr] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2838),
    [anon_sym_decltype] = ACTIONS(2838),
    [anon_sym_explicit] = ACTIONS(2838),
    [anon_sym_typename] = ACTIONS(2838),
    [anon_sym_template] = ACTIONS(2838),
    [anon_sym_operator] = ACTIONS(2838),
    [anon_sym_try] = ACTIONS(2838),
    [anon_sym_delete] = ACTIONS(2838),
    [anon_sym_throw] = ACTIONS(2838),
    [anon_sym_namespace] = ACTIONS(2838),
    [anon_sym_using] = ACTIONS(2838),
    [anon_sym_static_assert] = ACTIONS(2838),
    [anon_sym_concept] = ACTIONS(2838),
    [anon_sym_co_return] = ACTIONS(2838),
    [anon_sym_co_yield] = ACTIONS(2838),
    [anon_sym_R_DQUOTE] = ACTIONS(2840),
    [anon_sym_LR_DQUOTE] = ACTIONS(2840),
    [anon_sym_uR_DQUOTE] = ACTIONS(2840),
    [anon_sym_UR_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2840),
    [anon_sym_co_await] = ACTIONS(2838),
    [anon_sym_new] = ACTIONS(2838),
    [anon_sym_requires] = ACTIONS(2838),
    [sym_this] = ACTIONS(2838),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(2808),
    [sym_identifier] = ACTIONS(2806),
    [aux_sym_preproc_include_token1] = ACTIONS(2806),
    [aux_sym_preproc_def_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2806),
    [sym_preproc_directive] = ACTIONS(2806),
    [anon_sym_LPAREN2] = ACTIONS(2808),
    [anon_sym_BANG] = ACTIONS(2808),
    [anon_sym_TILDE] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2808),
    [anon_sym_AMP_AMP] = ACTIONS(2808),
    [anon_sym_AMP] = ACTIONS(2806),
    [anon_sym_SEMI] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2806),
    [anon_sym_typedef] = ACTIONS(2806),
    [anon_sym_virtual] = ACTIONS(2806),
    [anon_sym_extern] = ACTIONS(2806),
    [anon_sym___attribute__] = ACTIONS(2806),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2808),
    [anon_sym___declspec] = ACTIONS(2806),
    [anon_sym___based] = ACTIONS(2806),
    [anon_sym___cdecl] = ACTIONS(2806),
    [anon_sym___clrcall] = ACTIONS(2806),
    [anon_sym___stdcall] = ACTIONS(2806),
    [anon_sym___fastcall] = ACTIONS(2806),
    [anon_sym___thiscall] = ACTIONS(2806),
    [anon_sym___vectorcall] = ACTIONS(2806),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2806),
    [anon_sym_unsigned] = ACTIONS(2806),
    [anon_sym_long] = ACTIONS(2806),
    [anon_sym_short] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_register] = ACTIONS(2806),
    [anon_sym_inline] = ACTIONS(2806),
    [anon_sym___inline] = ACTIONS(2806),
    [anon_sym___inline__] = ACTIONS(2806),
    [anon_sym___forceinline] = ACTIONS(2806),
    [anon_sym_thread_local] = ACTIONS(2806),
    [anon_sym___thread] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_constexpr] = ACTIONS(2806),
    [anon_sym_volatile] = ACTIONS(2806),
    [anon_sym_restrict] = ACTIONS(2806),
    [anon_sym___restrict__] = ACTIONS(2806),
    [anon_sym__Atomic] = ACTIONS(2806),
    [anon_sym__Noreturn] = ACTIONS(2806),
    [anon_sym_noreturn] = ACTIONS(2806),
    [anon_sym__Nonnull] = ACTIONS(2806),
    [anon_sym_mutable] = ACTIONS(2806),
    [anon_sym_constinit] = ACTIONS(2806),
    [anon_sym_consteval] = ACTIONS(2806),
    [anon_sym_PROGMEM] = ACTIONS(2806),
    [anon_sym_alignas] = ACTIONS(2806),
    [anon_sym__Alignas] = ACTIONS(2806),
    [aux_sym_primitive_type_token1] = ACTIONS(2806),
    [anon_sym_byte] = ACTIONS(2806),
    [anon_sym_word] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [anon_sym_class] = ACTIONS(2806),
    [anon_sym_struct] = ACTIONS(2806),
    [anon_sym_union] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2806),
    [anon_sym_else] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2806),
    [anon_sym_case] = ACTIONS(2806),
    [anon_sym_default] = ACTIONS(2806),
    [anon_sym_while] = ACTIONS(2806),
    [anon_sym_do] = ACTIONS(2806),
    [anon_sym_for] = ACTIONS(2806),
    [anon_sym_return] = ACTIONS(2806),
    [anon_sym_break] = ACTIONS(2806),
    [anon_sym_continue] = ACTIONS(2806),
    [anon_sym_goto] = ACTIONS(2806),
    [anon_sym___try] = ACTIONS(2806),
    [anon_sym___leave] = ACTIONS(2806),
    [anon_sym_not] = ACTIONS(2806),
    [anon_sym_compl] = ACTIONS(2806),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_sizeof] = ACTIONS(2806),
    [anon_sym___alignof__] = ACTIONS(2806),
    [anon_sym___alignof] = ACTIONS(2806),
    [anon_sym__alignof] = ACTIONS(2806),
    [anon_sym_alignof] = ACTIONS(2806),
    [anon_sym__Alignof] = ACTIONS(2806),
    [anon_sym_offsetof] = ACTIONS(2806),
    [anon_sym__Generic] = ACTIONS(2806),
    [anon_sym_asm] = ACTIONS(2806),
    [anon_sym___asm__] = ACTIONS(2806),
    [anon_sym___asm] = ACTIONS(2806),
    [aux_sym_number_literal_token1] = ACTIONS(2808),
    [aux_sym_number_literal_token2] = ACTIONS(2806),
    [anon_sym_L_SQUOTE] = ACTIONS(2808),
    [anon_sym_u_SQUOTE] = ACTIONS(2808),
    [anon_sym_U_SQUOTE] = ACTIONS(2808),
    [anon_sym_u8_SQUOTE] = ACTIONS(2808),
    [anon_sym_SQUOTE] = ACTIONS(2808),
    [anon_sym_L_DQUOTE] = ACTIONS(2808),
    [anon_sym_u_DQUOTE] = ACTIONS(2808),
    [anon_sym_U_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8_DQUOTE] = ACTIONS(2808),
    [anon_sym_DQUOTE] = ACTIONS(2808),
    [sym_true] = ACTIONS(2806),
    [sym_false] = ACTIONS(2806),
    [anon_sym_NULL] = ACTIONS(2806),
    [anon_sym_nullptr] = ACTIONS(2806),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2806),
    [anon_sym_decltype] = ACTIONS(2806),
    [anon_sym_explicit] = ACTIONS(2806),
    [anon_sym_typename] = ACTIONS(2806),
    [anon_sym_template] = ACTIONS(2806),
    [anon_sym_operator] = ACTIONS(2806),
    [anon_sym_try] = ACTIONS(2806),
    [anon_sym_delete] = ACTIONS(2806),
    [anon_sym_throw] = ACTIONS(2806),
    [anon_sym_namespace] = ACTIONS(2806),
    [anon_sym_using] = ACTIONS(2806),
    [anon_sym_static_assert] = ACTIONS(2806),
    [anon_sym_concept] = ACTIONS(2806),
    [anon_sym_co_return] = ACTIONS(2806),
    [anon_sym_co_yield] = ACTIONS(2806),
    [anon_sym_R_DQUOTE] = ACTIONS(2808),
    [anon_sym_LR_DQUOTE] = ACTIONS(2808),
    [anon_sym_uR_DQUOTE] = ACTIONS(2808),
    [anon_sym_UR_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2808),
    [anon_sym_co_await] = ACTIONS(2806),
    [anon_sym_new] = ACTIONS(2806),
    [anon_sym_requires] = ACTIONS(2806),
    [sym_this] = ACTIONS(2806),
  },
  [526] = {
    [sym_identifier] = ACTIONS(2870),
    [aux_sym_preproc_include_token1] = ACTIONS(2870),
    [aux_sym_preproc_def_token1] = ACTIONS(2870),
    [aux_sym_preproc_if_token1] = ACTIONS(2870),
    [aux_sym_preproc_if_token2] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2870),
    [sym_preproc_directive] = ACTIONS(2870),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2872),
    [anon_sym_AMP_AMP] = ACTIONS(2872),
    [anon_sym_AMP] = ACTIONS(2870),
    [anon_sym_SEMI] = ACTIONS(2872),
    [anon_sym___extension__] = ACTIONS(2870),
    [anon_sym_typedef] = ACTIONS(2870),
    [anon_sym_virtual] = ACTIONS(2870),
    [anon_sym_extern] = ACTIONS(2870),
    [anon_sym___attribute__] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2872),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2872),
    [anon_sym___declspec] = ACTIONS(2870),
    [anon_sym___based] = ACTIONS(2870),
    [anon_sym___cdecl] = ACTIONS(2870),
    [anon_sym___clrcall] = ACTIONS(2870),
    [anon_sym___stdcall] = ACTIONS(2870),
    [anon_sym___fastcall] = ACTIONS(2870),
    [anon_sym___thiscall] = ACTIONS(2870),
    [anon_sym___vectorcall] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_signed] = ACTIONS(2870),
    [anon_sym_unsigned] = ACTIONS(2870),
    [anon_sym_long] = ACTIONS(2870),
    [anon_sym_short] = ACTIONS(2870),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym_static] = ACTIONS(2870),
    [anon_sym_register] = ACTIONS(2870),
    [anon_sym_inline] = ACTIONS(2870),
    [anon_sym___inline] = ACTIONS(2870),
    [anon_sym___inline__] = ACTIONS(2870),
    [anon_sym___forceinline] = ACTIONS(2870),
    [anon_sym_thread_local] = ACTIONS(2870),
    [anon_sym___thread] = ACTIONS(2870),
    [anon_sym_const] = ACTIONS(2870),
    [anon_sym_constexpr] = ACTIONS(2870),
    [anon_sym_volatile] = ACTIONS(2870),
    [anon_sym_restrict] = ACTIONS(2870),
    [anon_sym___restrict__] = ACTIONS(2870),
    [anon_sym__Atomic] = ACTIONS(2870),
    [anon_sym__Noreturn] = ACTIONS(2870),
    [anon_sym_noreturn] = ACTIONS(2870),
    [anon_sym__Nonnull] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2870),
    [anon_sym_constinit] = ACTIONS(2870),
    [anon_sym_consteval] = ACTIONS(2870),
    [anon_sym_PROGMEM] = ACTIONS(2870),
    [anon_sym_alignas] = ACTIONS(2870),
    [anon_sym__Alignas] = ACTIONS(2870),
    [aux_sym_primitive_type_token1] = ACTIONS(2870),
    [anon_sym_byte] = ACTIONS(2870),
    [anon_sym_word] = ACTIONS(2870),
    [anon_sym_enum] = ACTIONS(2870),
    [anon_sym_class] = ACTIONS(2870),
    [anon_sym_struct] = ACTIONS(2870),
    [anon_sym_union] = ACTIONS(2870),
    [anon_sym_if] = ACTIONS(2870),
    [anon_sym_else] = ACTIONS(2870),
    [anon_sym_switch] = ACTIONS(2870),
    [anon_sym_case] = ACTIONS(2870),
    [anon_sym_default] = ACTIONS(2870),
    [anon_sym_while] = ACTIONS(2870),
    [anon_sym_do] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2870),
    [anon_sym_return] = ACTIONS(2870),
    [anon_sym_break] = ACTIONS(2870),
    [anon_sym_continue] = ACTIONS(2870),
    [anon_sym_goto] = ACTIONS(2870),
    [anon_sym___try] = ACTIONS(2870),
    [anon_sym___leave] = ACTIONS(2870),
    [anon_sym_not] = ACTIONS(2870),
    [anon_sym_compl] = ACTIONS(2870),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_sizeof] = ACTIONS(2870),
    [anon_sym___alignof__] = ACTIONS(2870),
    [anon_sym___alignof] = ACTIONS(2870),
    [anon_sym__alignof] = ACTIONS(2870),
    [anon_sym_alignof] = ACTIONS(2870),
    [anon_sym__Alignof] = ACTIONS(2870),
    [anon_sym_offsetof] = ACTIONS(2870),
    [anon_sym__Generic] = ACTIONS(2870),
    [anon_sym_asm] = ACTIONS(2870),
    [anon_sym___asm__] = ACTIONS(2870),
    [anon_sym___asm] = ACTIONS(2870),
    [aux_sym_number_literal_token1] = ACTIONS(2872),
    [aux_sym_number_literal_token2] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2872),
    [anon_sym_u_SQUOTE] = ACTIONS(2872),
    [anon_sym_U_SQUOTE] = ACTIONS(2872),
    [anon_sym_u8_SQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2870),
    [sym_false] = ACTIONS(2870),
    [anon_sym_NULL] = ACTIONS(2870),
    [anon_sym_nullptr] = ACTIONS(2870),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2870),
    [anon_sym_decltype] = ACTIONS(2870),
    [anon_sym_explicit] = ACTIONS(2870),
    [anon_sym_typename] = ACTIONS(2870),
    [anon_sym_template] = ACTIONS(2870),
    [anon_sym_operator] = ACTIONS(2870),
    [anon_sym_try] = ACTIONS(2870),
    [anon_sym_delete] = ACTIONS(2870),
    [anon_sym_throw] = ACTIONS(2870),
    [anon_sym_namespace] = ACTIONS(2870),
    [anon_sym_using] = ACTIONS(2870),
    [anon_sym_static_assert] = ACTIONS(2870),
    [anon_sym_concept] = ACTIONS(2870),
    [anon_sym_co_return] = ACTIONS(2870),
    [anon_sym_co_yield] = ACTIONS(2870),
    [anon_sym_R_DQUOTE] = ACTIONS(2872),
    [anon_sym_LR_DQUOTE] = ACTIONS(2872),
    [anon_sym_uR_DQUOTE] = ACTIONS(2872),
    [anon_sym_UR_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2872),
    [anon_sym_co_await] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2870),
    [anon_sym_requires] = ACTIONS(2870),
    [sym_this] = ACTIONS(2870),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(2804),
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_include_token1] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2804),
    [anon_sym_TILDE] = ACTIONS(2804),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_AMP_AMP] = ACTIONS(2804),
    [anon_sym_AMP] = ACTIONS(2802),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_virtual] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym_COLON_COLON] = ACTIONS(2804),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___based] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2804),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym__Nonnull] = ACTIONS(2802),
    [anon_sym_mutable] = ACTIONS(2802),
    [anon_sym_constinit] = ACTIONS(2802),
    [anon_sym_consteval] = ACTIONS(2802),
    [anon_sym_PROGMEM] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [aux_sym_primitive_type_token1] = ACTIONS(2802),
    [anon_sym_byte] = ACTIONS(2802),
    [anon_sym_word] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_class] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_else] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym___try] = ACTIONS(2802),
    [anon_sym___leave] = ACTIONS(2802),
    [anon_sym_not] = ACTIONS(2802),
    [anon_sym_compl] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [anon_sym___asm] = ACTIONS(2802),
    [aux_sym_number_literal_token1] = ACTIONS(2804),
    [aux_sym_number_literal_token2] = ACTIONS(2802),
    [anon_sym_L_SQUOTE] = ACTIONS(2804),
    [anon_sym_u_SQUOTE] = ACTIONS(2804),
    [anon_sym_U_SQUOTE] = ACTIONS(2804),
    [anon_sym_u8_SQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [anon_sym_L_DQUOTE] = ACTIONS(2804),
    [anon_sym_u_DQUOTE] = ACTIONS(2804),
    [anon_sym_U_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8_DQUOTE] = ACTIONS(2804),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2802),
    [anon_sym_decltype] = ACTIONS(2802),
    [anon_sym_explicit] = ACTIONS(2802),
    [anon_sym_typename] = ACTIONS(2802),
    [anon_sym_template] = ACTIONS(2802),
    [anon_sym_operator] = ACTIONS(2802),
    [anon_sym_try] = ACTIONS(2802),
    [anon_sym_delete] = ACTIONS(2802),
    [anon_sym_throw] = ACTIONS(2802),
    [anon_sym_namespace] = ACTIONS(2802),
    [anon_sym_using] = ACTIONS(2802),
    [anon_sym_static_assert] = ACTIONS(2802),
    [anon_sym_concept] = ACTIONS(2802),
    [anon_sym_co_return] = ACTIONS(2802),
    [anon_sym_co_yield] = ACTIONS(2802),
    [anon_sym_R_DQUOTE] = ACTIONS(2804),
    [anon_sym_LR_DQUOTE] = ACTIONS(2804),
    [anon_sym_uR_DQUOTE] = ACTIONS(2804),
    [anon_sym_UR_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2804),
    [anon_sym_co_await] = ACTIONS(2802),
    [anon_sym_new] = ACTIONS(2802),
    [anon_sym_requires] = ACTIONS(2802),
    [sym_this] = ACTIONS(2802),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(2820),
    [sym_identifier] = ACTIONS(2818),
    [aux_sym_preproc_include_token1] = ACTIONS(2818),
    [aux_sym_preproc_def_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token1] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2818),
    [sym_preproc_directive] = ACTIONS(2818),
    [anon_sym_LPAREN2] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2820),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_AMP_AMP] = ACTIONS(2820),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym___extension__] = ACTIONS(2818),
    [anon_sym_typedef] = ACTIONS(2818),
    [anon_sym_virtual] = ACTIONS(2818),
    [anon_sym_extern] = ACTIONS(2818),
    [anon_sym___attribute__] = ACTIONS(2818),
    [anon_sym_COLON_COLON] = ACTIONS(2820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2820),
    [anon_sym___declspec] = ACTIONS(2818),
    [anon_sym___based] = ACTIONS(2818),
    [anon_sym___cdecl] = ACTIONS(2818),
    [anon_sym___clrcall] = ACTIONS(2818),
    [anon_sym___stdcall] = ACTIONS(2818),
    [anon_sym___fastcall] = ACTIONS(2818),
    [anon_sym___thiscall] = ACTIONS(2818),
    [anon_sym___vectorcall] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(2820),
    [anon_sym_signed] = ACTIONS(2818),
    [anon_sym_unsigned] = ACTIONS(2818),
    [anon_sym_long] = ACTIONS(2818),
    [anon_sym_short] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_register] = ACTIONS(2818),
    [anon_sym_inline] = ACTIONS(2818),
    [anon_sym___inline] = ACTIONS(2818),
    [anon_sym___inline__] = ACTIONS(2818),
    [anon_sym___forceinline] = ACTIONS(2818),
    [anon_sym_thread_local] = ACTIONS(2818),
    [anon_sym___thread] = ACTIONS(2818),
    [anon_sym_const] = ACTIONS(2818),
    [anon_sym_constexpr] = ACTIONS(2818),
    [anon_sym_volatile] = ACTIONS(2818),
    [anon_sym_restrict] = ACTIONS(2818),
    [anon_sym___restrict__] = ACTIONS(2818),
    [anon_sym__Atomic] = ACTIONS(2818),
    [anon_sym__Noreturn] = ACTIONS(2818),
    [anon_sym_noreturn] = ACTIONS(2818),
    [anon_sym__Nonnull] = ACTIONS(2818),
    [anon_sym_mutable] = ACTIONS(2818),
    [anon_sym_constinit] = ACTIONS(2818),
    [anon_sym_consteval] = ACTIONS(2818),
    [anon_sym_PROGMEM] = ACTIONS(2818),
    [anon_sym_alignas] = ACTIONS(2818),
    [anon_sym__Alignas] = ACTIONS(2818),
    [aux_sym_primitive_type_token1] = ACTIONS(2818),
    [anon_sym_byte] = ACTIONS(2818),
    [anon_sym_word] = ACTIONS(2818),
    [anon_sym_enum] = ACTIONS(2818),
    [anon_sym_class] = ACTIONS(2818),
    [anon_sym_struct] = ACTIONS(2818),
    [anon_sym_union] = ACTIONS(2818),
    [anon_sym_if] = ACTIONS(2818),
    [anon_sym_else] = ACTIONS(2818),
    [anon_sym_switch] = ACTIONS(2818),
    [anon_sym_case] = ACTIONS(2818),
    [anon_sym_default] = ACTIONS(2818),
    [anon_sym_while] = ACTIONS(2818),
    [anon_sym_do] = ACTIONS(2818),
    [anon_sym_for] = ACTIONS(2818),
    [anon_sym_return] = ACTIONS(2818),
    [anon_sym_break] = ACTIONS(2818),
    [anon_sym_continue] = ACTIONS(2818),
    [anon_sym_goto] = ACTIONS(2818),
    [anon_sym___try] = ACTIONS(2818),
    [anon_sym___leave] = ACTIONS(2818),
    [anon_sym_not] = ACTIONS(2818),
    [anon_sym_compl] = ACTIONS(2818),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_sizeof] = ACTIONS(2818),
    [anon_sym___alignof__] = ACTIONS(2818),
    [anon_sym___alignof] = ACTIONS(2818),
    [anon_sym__alignof] = ACTIONS(2818),
    [anon_sym_alignof] = ACTIONS(2818),
    [anon_sym__Alignof] = ACTIONS(2818),
    [anon_sym_offsetof] = ACTIONS(2818),
    [anon_sym__Generic] = ACTIONS(2818),
    [anon_sym_asm] = ACTIONS(2818),
    [anon_sym___asm__] = ACTIONS(2818),
    [anon_sym___asm] = ACTIONS(2818),
    [aux_sym_number_literal_token1] = ACTIONS(2820),
    [aux_sym_number_literal_token2] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2820),
    [anon_sym_u_SQUOTE] = ACTIONS(2820),
    [anon_sym_U_SQUOTE] = ACTIONS(2820),
    [anon_sym_u8_SQUOTE] = ACTIONS(2820),
    [anon_sym_SQUOTE] = ACTIONS(2820),
    [anon_sym_L_DQUOTE] = ACTIONS(2820),
    [anon_sym_u_DQUOTE] = ACTIONS(2820),
    [anon_sym_U_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8_DQUOTE] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2820),
    [sym_true] = ACTIONS(2818),
    [sym_false] = ACTIONS(2818),
    [anon_sym_NULL] = ACTIONS(2818),
    [anon_sym_nullptr] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2818),
    [anon_sym_decltype] = ACTIONS(2818),
    [anon_sym_explicit] = ACTIONS(2818),
    [anon_sym_typename] = ACTIONS(2818),
    [anon_sym_template] = ACTIONS(2818),
    [anon_sym_operator] = ACTIONS(2818),
    [anon_sym_try] = ACTIONS(2818),
    [anon_sym_delete] = ACTIONS(2818),
    [anon_sym_throw] = ACTIONS(2818),
    [anon_sym_namespace] = ACTIONS(2818),
    [anon_sym_using] = ACTIONS(2818),
    [anon_sym_static_assert] = ACTIONS(2818),
    [anon_sym_concept] = ACTIONS(2818),
    [anon_sym_co_return] = ACTIONS(2818),
    [anon_sym_co_yield] = ACTIONS(2818),
    [anon_sym_R_DQUOTE] = ACTIONS(2820),
    [anon_sym_LR_DQUOTE] = ACTIONS(2820),
    [anon_sym_uR_DQUOTE] = ACTIONS(2820),
    [anon_sym_UR_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2820),
    [anon_sym_co_await] = ACTIONS(2818),
    [anon_sym_new] = ACTIONS(2818),
    [anon_sym_requires] = ACTIONS(2818),
    [sym_this] = ACTIONS(2818),
  },
  [529] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token2] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_PROGMEM] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [aux_sym_primitive_type_token1] = ACTIONS(2826),
    [anon_sym_byte] = ACTIONS(2826),
    [anon_sym_word] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_else] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [anon_sym___asm] = ACTIONS(2826),
    [aux_sym_number_literal_token1] = ACTIONS(2828),
    [aux_sym_number_literal_token2] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(2816),
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_PROGMEM] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [aux_sym_primitive_type_token1] = ACTIONS(2814),
    [anon_sym_byte] = ACTIONS(2814),
    [anon_sym_word] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [aux_sym_number_literal_token1] = ACTIONS(2816),
    [aux_sym_number_literal_token2] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(2816),
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_PROGMEM] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [aux_sym_primitive_type_token1] = ACTIONS(2814),
    [anon_sym_byte] = ACTIONS(2814),
    [anon_sym_word] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [aux_sym_number_literal_token1] = ACTIONS(2816),
    [aux_sym_number_literal_token2] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [532] = {
    [sym_identifier] = ACTIONS(3082),
    [aux_sym_preproc_include_token1] = ACTIONS(3082),
    [aux_sym_preproc_def_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token2] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3082),
    [sym_preproc_directive] = ACTIONS(3082),
    [anon_sym_LPAREN2] = ACTIONS(3084),
    [anon_sym_BANG] = ACTIONS(3084),
    [anon_sym_TILDE] = ACTIONS(3084),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym___extension__] = ACTIONS(3082),
    [anon_sym_typedef] = ACTIONS(3082),
    [anon_sym_virtual] = ACTIONS(3082),
    [anon_sym_extern] = ACTIONS(3082),
    [anon_sym___attribute__] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3084),
    [anon_sym___declspec] = ACTIONS(3082),
    [anon_sym___based] = ACTIONS(3082),
    [anon_sym___cdecl] = ACTIONS(3082),
    [anon_sym___clrcall] = ACTIONS(3082),
    [anon_sym___stdcall] = ACTIONS(3082),
    [anon_sym___fastcall] = ACTIONS(3082),
    [anon_sym___thiscall] = ACTIONS(3082),
    [anon_sym___vectorcall] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_signed] = ACTIONS(3082),
    [anon_sym_unsigned] = ACTIONS(3082),
    [anon_sym_long] = ACTIONS(3082),
    [anon_sym_short] = ACTIONS(3082),
    [anon_sym_LBRACK] = ACTIONS(3082),
    [anon_sym_static] = ACTIONS(3082),
    [anon_sym_register] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym___inline] = ACTIONS(3082),
    [anon_sym___inline__] = ACTIONS(3082),
    [anon_sym___forceinline] = ACTIONS(3082),
    [anon_sym_thread_local] = ACTIONS(3082),
    [anon_sym___thread] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_constexpr] = ACTIONS(3082),
    [anon_sym_volatile] = ACTIONS(3082),
    [anon_sym_restrict] = ACTIONS(3082),
    [anon_sym___restrict__] = ACTIONS(3082),
    [anon_sym__Atomic] = ACTIONS(3082),
    [anon_sym__Noreturn] = ACTIONS(3082),
    [anon_sym_noreturn] = ACTIONS(3082),
    [anon_sym__Nonnull] = ACTIONS(3082),
    [anon_sym_mutable] = ACTIONS(3082),
    [anon_sym_constinit] = ACTIONS(3082),
    [anon_sym_consteval] = ACTIONS(3082),
    [anon_sym_PROGMEM] = ACTIONS(3082),
    [anon_sym_alignas] = ACTIONS(3082),
    [anon_sym__Alignas] = ACTIONS(3082),
    [aux_sym_primitive_type_token1] = ACTIONS(3082),
    [anon_sym_byte] = ACTIONS(3082),
    [anon_sym_word] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3082),
    [anon_sym_struct] = ACTIONS(3082),
    [anon_sym_union] = ACTIONS(3082),
    [anon_sym_if] = ACTIONS(3082),
    [anon_sym_switch] = ACTIONS(3082),
    [anon_sym_case] = ACTIONS(3082),
    [anon_sym_default] = ACTIONS(3082),
    [anon_sym_while] = ACTIONS(3082),
    [anon_sym_do] = ACTIONS(3082),
    [anon_sym_for] = ACTIONS(3082),
    [anon_sym_return] = ACTIONS(3082),
    [anon_sym_break] = ACTIONS(3082),
    [anon_sym_continue] = ACTIONS(3082),
    [anon_sym_goto] = ACTIONS(3082),
    [anon_sym___try] = ACTIONS(3082),
    [anon_sym___leave] = ACTIONS(3082),
    [anon_sym_not] = ACTIONS(3082),
    [anon_sym_compl] = ACTIONS(3082),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_sizeof] = ACTIONS(3082),
    [anon_sym___alignof__] = ACTIONS(3082),
    [anon_sym___alignof] = ACTIONS(3082),
    [anon_sym__alignof] = ACTIONS(3082),
    [anon_sym_alignof] = ACTIONS(3082),
    [anon_sym__Alignof] = ACTIONS(3082),
    [anon_sym_offsetof] = ACTIONS(3082),
    [anon_sym__Generic] = ACTIONS(3082),
    [anon_sym_asm] = ACTIONS(3082),
    [anon_sym___asm__] = ACTIONS(3082),
    [anon_sym___asm] = ACTIONS(3082),
    [aux_sym_number_literal_token1] = ACTIONS(3084),
    [aux_sym_number_literal_token2] = ACTIONS(3082),
    [anon_sym_L_SQUOTE] = ACTIONS(3084),
    [anon_sym_u_SQUOTE] = ACTIONS(3084),
    [anon_sym_U_SQUOTE] = ACTIONS(3084),
    [anon_sym_u8_SQUOTE] = ACTIONS(3084),
    [anon_sym_SQUOTE] = ACTIONS(3084),
    [anon_sym_L_DQUOTE] = ACTIONS(3084),
    [anon_sym_u_DQUOTE] = ACTIONS(3084),
    [anon_sym_U_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8_DQUOTE] = ACTIONS(3084),
    [anon_sym_DQUOTE] = ACTIONS(3084),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_NULL] = ACTIONS(3082),
    [anon_sym_nullptr] = ACTIONS(3082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3082),
    [anon_sym_decltype] = ACTIONS(3082),
    [anon_sym_explicit] = ACTIONS(3082),
    [anon_sym_typename] = ACTIONS(3082),
    [anon_sym_template] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_try] = ACTIONS(3082),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_throw] = ACTIONS(3082),
    [anon_sym_namespace] = ACTIONS(3082),
    [anon_sym_using] = ACTIONS(3082),
    [anon_sym_static_assert] = ACTIONS(3082),
    [anon_sym_concept] = ACTIONS(3082),
    [anon_sym_co_return] = ACTIONS(3082),
    [anon_sym_co_yield] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3082),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_requires] = ACTIONS(3082),
    [sym_this] = ACTIONS(3082),
  },
  [533] = {
    [sym_identifier] = ACTIONS(3137),
    [aux_sym_preproc_include_token1] = ACTIONS(3137),
    [aux_sym_preproc_def_token1] = ACTIONS(3137),
    [aux_sym_preproc_if_token1] = ACTIONS(3137),
    [aux_sym_preproc_if_token2] = ACTIONS(3137),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3137),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3137),
    [sym_preproc_directive] = ACTIONS(3137),
    [anon_sym_LPAREN2] = ACTIONS(3139),
    [anon_sym_BANG] = ACTIONS(3139),
    [anon_sym_TILDE] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3137),
    [anon_sym_STAR] = ACTIONS(3139),
    [anon_sym_AMP_AMP] = ACTIONS(3139),
    [anon_sym_AMP] = ACTIONS(3137),
    [anon_sym_SEMI] = ACTIONS(3139),
    [anon_sym___extension__] = ACTIONS(3137),
    [anon_sym_typedef] = ACTIONS(3137),
    [anon_sym_virtual] = ACTIONS(3137),
    [anon_sym_extern] = ACTIONS(3137),
    [anon_sym___attribute__] = ACTIONS(3137),
    [anon_sym_COLON_COLON] = ACTIONS(3139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3139),
    [anon_sym___declspec] = ACTIONS(3137),
    [anon_sym___based] = ACTIONS(3137),
    [anon_sym___cdecl] = ACTIONS(3137),
    [anon_sym___clrcall] = ACTIONS(3137),
    [anon_sym___stdcall] = ACTIONS(3137),
    [anon_sym___fastcall] = ACTIONS(3137),
    [anon_sym___thiscall] = ACTIONS(3137),
    [anon_sym___vectorcall] = ACTIONS(3137),
    [anon_sym_LBRACE] = ACTIONS(3139),
    [anon_sym_signed] = ACTIONS(3137),
    [anon_sym_unsigned] = ACTIONS(3137),
    [anon_sym_long] = ACTIONS(3137),
    [anon_sym_short] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_static] = ACTIONS(3137),
    [anon_sym_register] = ACTIONS(3137),
    [anon_sym_inline] = ACTIONS(3137),
    [anon_sym___inline] = ACTIONS(3137),
    [anon_sym___inline__] = ACTIONS(3137),
    [anon_sym___forceinline] = ACTIONS(3137),
    [anon_sym_thread_local] = ACTIONS(3137),
    [anon_sym___thread] = ACTIONS(3137),
    [anon_sym_const] = ACTIONS(3137),
    [anon_sym_constexpr] = ACTIONS(3137),
    [anon_sym_volatile] = ACTIONS(3137),
    [anon_sym_restrict] = ACTIONS(3137),
    [anon_sym___restrict__] = ACTIONS(3137),
    [anon_sym__Atomic] = ACTIONS(3137),
    [anon_sym__Noreturn] = ACTIONS(3137),
    [anon_sym_noreturn] = ACTIONS(3137),
    [anon_sym__Nonnull] = ACTIONS(3137),
    [anon_sym_mutable] = ACTIONS(3137),
    [anon_sym_constinit] = ACTIONS(3137),
    [anon_sym_consteval] = ACTIONS(3137),
    [anon_sym_PROGMEM] = ACTIONS(3137),
    [anon_sym_alignas] = ACTIONS(3137),
    [anon_sym__Alignas] = ACTIONS(3137),
    [aux_sym_primitive_type_token1] = ACTIONS(3137),
    [anon_sym_byte] = ACTIONS(3137),
    [anon_sym_word] = ACTIONS(3137),
    [anon_sym_enum] = ACTIONS(3137),
    [anon_sym_class] = ACTIONS(3137),
    [anon_sym_struct] = ACTIONS(3137),
    [anon_sym_union] = ACTIONS(3137),
    [anon_sym_if] = ACTIONS(3137),
    [anon_sym_switch] = ACTIONS(3137),
    [anon_sym_case] = ACTIONS(3137),
    [anon_sym_default] = ACTIONS(3137),
    [anon_sym_while] = ACTIONS(3137),
    [anon_sym_do] = ACTIONS(3137),
    [anon_sym_for] = ACTIONS(3137),
    [anon_sym_return] = ACTIONS(3137),
    [anon_sym_break] = ACTIONS(3137),
    [anon_sym_continue] = ACTIONS(3137),
    [anon_sym_goto] = ACTIONS(3137),
    [anon_sym___try] = ACTIONS(3137),
    [anon_sym___leave] = ACTIONS(3137),
    [anon_sym_not] = ACTIONS(3137),
    [anon_sym_compl] = ACTIONS(3137),
    [anon_sym_DASH_DASH] = ACTIONS(3139),
    [anon_sym_PLUS_PLUS] = ACTIONS(3139),
    [anon_sym_sizeof] = ACTIONS(3137),
    [anon_sym___alignof__] = ACTIONS(3137),
    [anon_sym___alignof] = ACTIONS(3137),
    [anon_sym__alignof] = ACTIONS(3137),
    [anon_sym_alignof] = ACTIONS(3137),
    [anon_sym__Alignof] = ACTIONS(3137),
    [anon_sym_offsetof] = ACTIONS(3137),
    [anon_sym__Generic] = ACTIONS(3137),
    [anon_sym_asm] = ACTIONS(3137),
    [anon_sym___asm__] = ACTIONS(3137),
    [anon_sym___asm] = ACTIONS(3137),
    [aux_sym_number_literal_token1] = ACTIONS(3139),
    [aux_sym_number_literal_token2] = ACTIONS(3137),
    [anon_sym_L_SQUOTE] = ACTIONS(3139),
    [anon_sym_u_SQUOTE] = ACTIONS(3139),
    [anon_sym_U_SQUOTE] = ACTIONS(3139),
    [anon_sym_u8_SQUOTE] = ACTIONS(3139),
    [anon_sym_SQUOTE] = ACTIONS(3139),
    [anon_sym_L_DQUOTE] = ACTIONS(3139),
    [anon_sym_u_DQUOTE] = ACTIONS(3139),
    [anon_sym_U_DQUOTE] = ACTIONS(3139),
    [anon_sym_u8_DQUOTE] = ACTIONS(3139),
    [anon_sym_DQUOTE] = ACTIONS(3139),
    [sym_true] = ACTIONS(3137),
    [sym_false] = ACTIONS(3137),
    [anon_sym_NULL] = ACTIONS(3137),
    [anon_sym_nullptr] = ACTIONS(3137),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3137),
    [anon_sym_decltype] = ACTIONS(3137),
    [anon_sym_explicit] = ACTIONS(3137),
    [anon_sym_typename] = ACTIONS(3137),
    [anon_sym_template] = ACTIONS(3137),
    [anon_sym_operator] = ACTIONS(3137),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_delete] = ACTIONS(3137),
    [anon_sym_throw] = ACTIONS(3137),
    [anon_sym_namespace] = ACTIONS(3137),
    [anon_sym_using] = ACTIONS(3137),
    [anon_sym_static_assert] = ACTIONS(3137),
    [anon_sym_concept] = ACTIONS(3137),
    [anon_sym_co_return] = ACTIONS(3137),
    [anon_sym_co_yield] = ACTIONS(3137),
    [anon_sym_R_DQUOTE] = ACTIONS(3139),
    [anon_sym_LR_DQUOTE] = ACTIONS(3139),
    [anon_sym_uR_DQUOTE] = ACTIONS(3139),
    [anon_sym_UR_DQUOTE] = ACTIONS(3139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3139),
    [anon_sym_co_await] = ACTIONS(3137),
    [anon_sym_new] = ACTIONS(3137),
    [anon_sym_requires] = ACTIONS(3137),
    [sym_this] = ACTIONS(3137),
  },
  [534] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_include_token1] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_BANG] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym___cdecl] = ACTIONS(2972),
    [anon_sym___clrcall] = ACTIONS(2972),
    [anon_sym___stdcall] = ACTIONS(2972),
    [anon_sym___fastcall] = ACTIONS(2972),
    [anon_sym___thiscall] = ACTIONS(2972),
    [anon_sym___vectorcall] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2974),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [anon_sym_if] = ACTIONS(2972),
    [anon_sym_switch] = ACTIONS(2972),
    [anon_sym_case] = ACTIONS(2972),
    [anon_sym_default] = ACTIONS(2972),
    [anon_sym_while] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2972),
    [anon_sym_for] = ACTIONS(2972),
    [anon_sym_return] = ACTIONS(2972),
    [anon_sym_break] = ACTIONS(2972),
    [anon_sym_continue] = ACTIONS(2972),
    [anon_sym_goto] = ACTIONS(2972),
    [anon_sym___try] = ACTIONS(2972),
    [anon_sym___leave] = ACTIONS(2972),
    [anon_sym_not] = ACTIONS(2972),
    [anon_sym_compl] = ACTIONS(2972),
    [anon_sym_DASH_DASH] = ACTIONS(2974),
    [anon_sym_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_sizeof] = ACTIONS(2972),
    [anon_sym___alignof__] = ACTIONS(2972),
    [anon_sym___alignof] = ACTIONS(2972),
    [anon_sym__alignof] = ACTIONS(2972),
    [anon_sym_alignof] = ACTIONS(2972),
    [anon_sym__Alignof] = ACTIONS(2972),
    [anon_sym_offsetof] = ACTIONS(2972),
    [anon_sym__Generic] = ACTIONS(2972),
    [anon_sym_asm] = ACTIONS(2972),
    [anon_sym___asm__] = ACTIONS(2972),
    [anon_sym___asm] = ACTIONS(2972),
    [aux_sym_number_literal_token1] = ACTIONS(2974),
    [aux_sym_number_literal_token2] = ACTIONS(2972),
    [anon_sym_L_SQUOTE] = ACTIONS(2974),
    [anon_sym_u_SQUOTE] = ACTIONS(2974),
    [anon_sym_U_SQUOTE] = ACTIONS(2974),
    [anon_sym_u8_SQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [anon_sym_L_DQUOTE] = ACTIONS(2974),
    [anon_sym_u_DQUOTE] = ACTIONS(2974),
    [anon_sym_U_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8_DQUOTE] = ACTIONS(2974),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [anon_sym_NULL] = ACTIONS(2972),
    [anon_sym_nullptr] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_try] = ACTIONS(2972),
    [anon_sym_delete] = ACTIONS(2972),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_namespace] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
    [anon_sym_concept] = ACTIONS(2972),
    [anon_sym_co_return] = ACTIONS(2972),
    [anon_sym_co_yield] = ACTIONS(2972),
    [anon_sym_R_DQUOTE] = ACTIONS(2974),
    [anon_sym_LR_DQUOTE] = ACTIONS(2974),
    [anon_sym_uR_DQUOTE] = ACTIONS(2974),
    [anon_sym_UR_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2974),
    [anon_sym_co_await] = ACTIONS(2972),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_requires] = ACTIONS(2972),
    [sym_this] = ACTIONS(2972),
  },
  [535] = {
    [sym_identifier] = ACTIONS(3000),
    [aux_sym_preproc_include_token1] = ACTIONS(3000),
    [aux_sym_preproc_def_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3000),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(3002),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3000),
    [anon_sym_PLUS] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3000),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3000),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_virtual] = ACTIONS(3000),
    [anon_sym_extern] = ACTIONS(3000),
    [anon_sym___attribute__] = ACTIONS(3000),
    [anon_sym_COLON_COLON] = ACTIONS(3002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3002),
    [anon_sym___declspec] = ACTIONS(3000),
    [anon_sym___based] = ACTIONS(3000),
    [anon_sym___cdecl] = ACTIONS(3000),
    [anon_sym___clrcall] = ACTIONS(3000),
    [anon_sym___stdcall] = ACTIONS(3000),
    [anon_sym___fastcall] = ACTIONS(3000),
    [anon_sym___thiscall] = ACTIONS(3000),
    [anon_sym___vectorcall] = ACTIONS(3000),
    [anon_sym_LBRACE] = ACTIONS(3002),
    [anon_sym_RBRACE] = ACTIONS(3002),
    [anon_sym_signed] = ACTIONS(3000),
    [anon_sym_unsigned] = ACTIONS(3000),
    [anon_sym_long] = ACTIONS(3000),
    [anon_sym_short] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_register] = ACTIONS(3000),
    [anon_sym_inline] = ACTIONS(3000),
    [anon_sym___inline] = ACTIONS(3000),
    [anon_sym___inline__] = ACTIONS(3000),
    [anon_sym___forceinline] = ACTIONS(3000),
    [anon_sym_thread_local] = ACTIONS(3000),
    [anon_sym___thread] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_constexpr] = ACTIONS(3000),
    [anon_sym_volatile] = ACTIONS(3000),
    [anon_sym_restrict] = ACTIONS(3000),
    [anon_sym___restrict__] = ACTIONS(3000),
    [anon_sym__Atomic] = ACTIONS(3000),
    [anon_sym__Noreturn] = ACTIONS(3000),
    [anon_sym_noreturn] = ACTIONS(3000),
    [anon_sym__Nonnull] = ACTIONS(3000),
    [anon_sym_mutable] = ACTIONS(3000),
    [anon_sym_constinit] = ACTIONS(3000),
    [anon_sym_consteval] = ACTIONS(3000),
    [anon_sym_PROGMEM] = ACTIONS(3000),
    [anon_sym_alignas] = ACTIONS(3000),
    [anon_sym__Alignas] = ACTIONS(3000),
    [aux_sym_primitive_type_token1] = ACTIONS(3000),
    [anon_sym_byte] = ACTIONS(3000),
    [anon_sym_word] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_struct] = ACTIONS(3000),
    [anon_sym_union] = ACTIONS(3000),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_switch] = ACTIONS(3000),
    [anon_sym_case] = ACTIONS(3000),
    [anon_sym_default] = ACTIONS(3000),
    [anon_sym_while] = ACTIONS(3000),
    [anon_sym_do] = ACTIONS(3000),
    [anon_sym_for] = ACTIONS(3000),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_break] = ACTIONS(3000),
    [anon_sym_continue] = ACTIONS(3000),
    [anon_sym_goto] = ACTIONS(3000),
    [anon_sym___try] = ACTIONS(3000),
    [anon_sym___leave] = ACTIONS(3000),
    [anon_sym_not] = ACTIONS(3000),
    [anon_sym_compl] = ACTIONS(3000),
    [anon_sym_DASH_DASH] = ACTIONS(3002),
    [anon_sym_PLUS_PLUS] = ACTIONS(3002),
    [anon_sym_sizeof] = ACTIONS(3000),
    [anon_sym___alignof__] = ACTIONS(3000),
    [anon_sym___alignof] = ACTIONS(3000),
    [anon_sym__alignof] = ACTIONS(3000),
    [anon_sym_alignof] = ACTIONS(3000),
    [anon_sym__Alignof] = ACTIONS(3000),
    [anon_sym_offsetof] = ACTIONS(3000),
    [anon_sym__Generic] = ACTIONS(3000),
    [anon_sym_asm] = ACTIONS(3000),
    [anon_sym___asm__] = ACTIONS(3000),
    [anon_sym___asm] = ACTIONS(3000),
    [aux_sym_number_literal_token1] = ACTIONS(3002),
    [aux_sym_number_literal_token2] = ACTIONS(3000),
    [anon_sym_L_SQUOTE] = ACTIONS(3002),
    [anon_sym_u_SQUOTE] = ACTIONS(3002),
    [anon_sym_U_SQUOTE] = ACTIONS(3002),
    [anon_sym_u8_SQUOTE] = ACTIONS(3002),
    [anon_sym_SQUOTE] = ACTIONS(3002),
    [anon_sym_L_DQUOTE] = ACTIONS(3002),
    [anon_sym_u_DQUOTE] = ACTIONS(3002),
    [anon_sym_U_DQUOTE] = ACTIONS(3002),
    [anon_sym_u8_DQUOTE] = ACTIONS(3002),
    [anon_sym_DQUOTE] = ACTIONS(3002),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3000),
    [anon_sym_nullptr] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3000),
    [anon_sym_decltype] = ACTIONS(3000),
    [anon_sym_explicit] = ACTIONS(3000),
    [anon_sym_typename] = ACTIONS(3000),
    [anon_sym_template] = ACTIONS(3000),
    [anon_sym_operator] = ACTIONS(3000),
    [anon_sym_try] = ACTIONS(3000),
    [anon_sym_delete] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3000),
    [anon_sym_namespace] = ACTIONS(3000),
    [anon_sym_using] = ACTIONS(3000),
    [anon_sym_static_assert] = ACTIONS(3000),
    [anon_sym_concept] = ACTIONS(3000),
    [anon_sym_co_return] = ACTIONS(3000),
    [anon_sym_co_yield] = ACTIONS(3000),
    [anon_sym_R_DQUOTE] = ACTIONS(3002),
    [anon_sym_LR_DQUOTE] = ACTIONS(3002),
    [anon_sym_uR_DQUOTE] = ACTIONS(3002),
    [anon_sym_UR_DQUOTE] = ACTIONS(3002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3002),
    [anon_sym_co_await] = ACTIONS(3000),
    [anon_sym_new] = ACTIONS(3000),
    [anon_sym_requires] = ACTIONS(3000),
    [sym_this] = ACTIONS(3000),
  },
  [536] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_include_token1] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_BANG] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym___cdecl] = ACTIONS(2972),
    [anon_sym___clrcall] = ACTIONS(2972),
    [anon_sym___stdcall] = ACTIONS(2972),
    [anon_sym___fastcall] = ACTIONS(2972),
    [anon_sym___thiscall] = ACTIONS(2972),
    [anon_sym___vectorcall] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2974),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [anon_sym_if] = ACTIONS(2972),
    [anon_sym_switch] = ACTIONS(2972),
    [anon_sym_case] = ACTIONS(2972),
    [anon_sym_default] = ACTIONS(2972),
    [anon_sym_while] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2972),
    [anon_sym_for] = ACTIONS(2972),
    [anon_sym_return] = ACTIONS(2972),
    [anon_sym_break] = ACTIONS(2972),
    [anon_sym_continue] = ACTIONS(2972),
    [anon_sym_goto] = ACTIONS(2972),
    [anon_sym___try] = ACTIONS(2972),
    [anon_sym___leave] = ACTIONS(2972),
    [anon_sym_not] = ACTIONS(2972),
    [anon_sym_compl] = ACTIONS(2972),
    [anon_sym_DASH_DASH] = ACTIONS(2974),
    [anon_sym_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_sizeof] = ACTIONS(2972),
    [anon_sym___alignof__] = ACTIONS(2972),
    [anon_sym___alignof] = ACTIONS(2972),
    [anon_sym__alignof] = ACTIONS(2972),
    [anon_sym_alignof] = ACTIONS(2972),
    [anon_sym__Alignof] = ACTIONS(2972),
    [anon_sym_offsetof] = ACTIONS(2972),
    [anon_sym__Generic] = ACTIONS(2972),
    [anon_sym_asm] = ACTIONS(2972),
    [anon_sym___asm__] = ACTIONS(2972),
    [anon_sym___asm] = ACTIONS(2972),
    [aux_sym_number_literal_token1] = ACTIONS(2974),
    [aux_sym_number_literal_token2] = ACTIONS(2972),
    [anon_sym_L_SQUOTE] = ACTIONS(2974),
    [anon_sym_u_SQUOTE] = ACTIONS(2974),
    [anon_sym_U_SQUOTE] = ACTIONS(2974),
    [anon_sym_u8_SQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [anon_sym_L_DQUOTE] = ACTIONS(2974),
    [anon_sym_u_DQUOTE] = ACTIONS(2974),
    [anon_sym_U_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8_DQUOTE] = ACTIONS(2974),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [anon_sym_NULL] = ACTIONS(2972),
    [anon_sym_nullptr] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_try] = ACTIONS(2972),
    [anon_sym_delete] = ACTIONS(2972),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_namespace] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
    [anon_sym_concept] = ACTIONS(2972),
    [anon_sym_co_return] = ACTIONS(2972),
    [anon_sym_co_yield] = ACTIONS(2972),
    [anon_sym_R_DQUOTE] = ACTIONS(2974),
    [anon_sym_LR_DQUOTE] = ACTIONS(2974),
    [anon_sym_uR_DQUOTE] = ACTIONS(2974),
    [anon_sym_UR_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2974),
    [anon_sym_co_await] = ACTIONS(2972),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_requires] = ACTIONS(2972),
    [sym_this] = ACTIONS(2972),
  },
  [537] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_include_token1] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token2] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym___cdecl] = ACTIONS(2940),
    [anon_sym___clrcall] = ACTIONS(2940),
    [anon_sym___stdcall] = ACTIONS(2940),
    [anon_sym___fastcall] = ACTIONS(2940),
    [anon_sym___thiscall] = ACTIONS(2940),
    [anon_sym___vectorcall] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_PROGMEM] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [aux_sym_primitive_type_token1] = ACTIONS(2940),
    [anon_sym_byte] = ACTIONS(2940),
    [anon_sym_word] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_goto] = ACTIONS(2940),
    [anon_sym___try] = ACTIONS(2940),
    [anon_sym___leave] = ACTIONS(2940),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_compl] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_sizeof] = ACTIONS(2940),
    [anon_sym___alignof__] = ACTIONS(2940),
    [anon_sym___alignof] = ACTIONS(2940),
    [anon_sym__alignof] = ACTIONS(2940),
    [anon_sym_alignof] = ACTIONS(2940),
    [anon_sym__Alignof] = ACTIONS(2940),
    [anon_sym_offsetof] = ACTIONS(2940),
    [anon_sym__Generic] = ACTIONS(2940),
    [anon_sym_asm] = ACTIONS(2940),
    [anon_sym___asm__] = ACTIONS(2940),
    [anon_sym___asm] = ACTIONS(2940),
    [aux_sym_number_literal_token1] = ACTIONS(2942),
    [aux_sym_number_literal_token2] = ACTIONS(2940),
    [anon_sym_L_SQUOTE] = ACTIONS(2942),
    [anon_sym_u_SQUOTE] = ACTIONS(2942),
    [anon_sym_U_SQUOTE] = ACTIONS(2942),
    [anon_sym_u8_SQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [anon_sym_L_DQUOTE] = ACTIONS(2942),
    [anon_sym_u_DQUOTE] = ACTIONS(2942),
    [anon_sym_U_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8_DQUOTE] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [anon_sym_NULL] = ACTIONS(2940),
    [anon_sym_nullptr] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
    [anon_sym_concept] = ACTIONS(2940),
    [anon_sym_co_return] = ACTIONS(2940),
    [anon_sym_co_yield] = ACTIONS(2940),
    [anon_sym_R_DQUOTE] = ACTIONS(2942),
    [anon_sym_LR_DQUOTE] = ACTIONS(2942),
    [anon_sym_uR_DQUOTE] = ACTIONS(2942),
    [anon_sym_UR_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2942),
    [anon_sym_co_await] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_requires] = ACTIONS(2940),
    [sym_this] = ACTIONS(2940),
  },
  [538] = {
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_include_token1] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token2] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_BANG] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym___cdecl] = ACTIONS(3095),
    [anon_sym___clrcall] = ACTIONS(3095),
    [anon_sym___stdcall] = ACTIONS(3095),
    [anon_sym___fastcall] = ACTIONS(3095),
    [anon_sym___thiscall] = ACTIONS(3095),
    [anon_sym___vectorcall] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym__Nonnull] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [anon_sym_PROGMEM] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym__Alignas] = ACTIONS(3095),
    [aux_sym_primitive_type_token1] = ACTIONS(3095),
    [anon_sym_byte] = ACTIONS(3095),
    [anon_sym_word] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_switch] = ACTIONS(3095),
    [anon_sym_case] = ACTIONS(3095),
    [anon_sym_default] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(3095),
    [anon_sym_do] = ACTIONS(3095),
    [anon_sym_for] = ACTIONS(3095),
    [anon_sym_return] = ACTIONS(3095),
    [anon_sym_break] = ACTIONS(3095),
    [anon_sym_continue] = ACTIONS(3095),
    [anon_sym_goto] = ACTIONS(3095),
    [anon_sym___try] = ACTIONS(3095),
    [anon_sym___leave] = ACTIONS(3095),
    [anon_sym_not] = ACTIONS(3095),
    [anon_sym_compl] = ACTIONS(3095),
    [anon_sym_DASH_DASH] = ACTIONS(3097),
    [anon_sym_PLUS_PLUS] = ACTIONS(3097),
    [anon_sym_sizeof] = ACTIONS(3095),
    [anon_sym___alignof__] = ACTIONS(3095),
    [anon_sym___alignof] = ACTIONS(3095),
    [anon_sym__alignof] = ACTIONS(3095),
    [anon_sym_alignof] = ACTIONS(3095),
    [anon_sym__Alignof] = ACTIONS(3095),
    [anon_sym_offsetof] = ACTIONS(3095),
    [anon_sym__Generic] = ACTIONS(3095),
    [anon_sym_asm] = ACTIONS(3095),
    [anon_sym___asm__] = ACTIONS(3095),
    [anon_sym___asm] = ACTIONS(3095),
    [aux_sym_number_literal_token1] = ACTIONS(3097),
    [aux_sym_number_literal_token2] = ACTIONS(3095),
    [anon_sym_L_SQUOTE] = ACTIONS(3097),
    [anon_sym_u_SQUOTE] = ACTIONS(3097),
    [anon_sym_U_SQUOTE] = ACTIONS(3097),
    [anon_sym_u8_SQUOTE] = ACTIONS(3097),
    [anon_sym_SQUOTE] = ACTIONS(3097),
    [anon_sym_L_DQUOTE] = ACTIONS(3097),
    [anon_sym_u_DQUOTE] = ACTIONS(3097),
    [anon_sym_U_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8_DQUOTE] = ACTIONS(3097),
    [anon_sym_DQUOTE] = ACTIONS(3097),
    [sym_true] = ACTIONS(3095),
    [sym_false] = ACTIONS(3095),
    [anon_sym_NULL] = ACTIONS(3095),
    [anon_sym_nullptr] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_try] = ACTIONS(3095),
    [anon_sym_delete] = ACTIONS(3095),
    [anon_sym_throw] = ACTIONS(3095),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
    [anon_sym_concept] = ACTIONS(3095),
    [anon_sym_co_return] = ACTIONS(3095),
    [anon_sym_co_yield] = ACTIONS(3095),
    [anon_sym_R_DQUOTE] = ACTIONS(3097),
    [anon_sym_LR_DQUOTE] = ACTIONS(3097),
    [anon_sym_uR_DQUOTE] = ACTIONS(3097),
    [anon_sym_UR_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3097),
    [anon_sym_co_await] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_requires] = ACTIONS(3095),
    [sym_this] = ACTIONS(3095),
  },
  [539] = {
    [sym_identifier] = ACTIONS(3155),
    [aux_sym_preproc_include_token1] = ACTIONS(3155),
    [aux_sym_preproc_def_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3155),
    [sym_preproc_directive] = ACTIONS(3155),
    [anon_sym_LPAREN2] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(3155),
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_AMP_AMP] = ACTIONS(3157),
    [anon_sym_AMP] = ACTIONS(3155),
    [anon_sym_SEMI] = ACTIONS(3157),
    [anon_sym___extension__] = ACTIONS(3155),
    [anon_sym_typedef] = ACTIONS(3155),
    [anon_sym_virtual] = ACTIONS(3155),
    [anon_sym_extern] = ACTIONS(3155),
    [anon_sym___attribute__] = ACTIONS(3155),
    [anon_sym_COLON_COLON] = ACTIONS(3157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3157),
    [anon_sym___declspec] = ACTIONS(3155),
    [anon_sym___based] = ACTIONS(3155),
    [anon_sym___cdecl] = ACTIONS(3155),
    [anon_sym___clrcall] = ACTIONS(3155),
    [anon_sym___stdcall] = ACTIONS(3155),
    [anon_sym___fastcall] = ACTIONS(3155),
    [anon_sym___thiscall] = ACTIONS(3155),
    [anon_sym___vectorcall] = ACTIONS(3155),
    [anon_sym_LBRACE] = ACTIONS(3157),
    [anon_sym_RBRACE] = ACTIONS(3157),
    [anon_sym_signed] = ACTIONS(3155),
    [anon_sym_unsigned] = ACTIONS(3155),
    [anon_sym_long] = ACTIONS(3155),
    [anon_sym_short] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_static] = ACTIONS(3155),
    [anon_sym_register] = ACTIONS(3155),
    [anon_sym_inline] = ACTIONS(3155),
    [anon_sym___inline] = ACTIONS(3155),
    [anon_sym___inline__] = ACTIONS(3155),
    [anon_sym___forceinline] = ACTIONS(3155),
    [anon_sym_thread_local] = ACTIONS(3155),
    [anon_sym___thread] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3155),
    [anon_sym_constexpr] = ACTIONS(3155),
    [anon_sym_volatile] = ACTIONS(3155),
    [anon_sym_restrict] = ACTIONS(3155),
    [anon_sym___restrict__] = ACTIONS(3155),
    [anon_sym__Atomic] = ACTIONS(3155),
    [anon_sym__Noreturn] = ACTIONS(3155),
    [anon_sym_noreturn] = ACTIONS(3155),
    [anon_sym__Nonnull] = ACTIONS(3155),
    [anon_sym_mutable] = ACTIONS(3155),
    [anon_sym_constinit] = ACTIONS(3155),
    [anon_sym_consteval] = ACTIONS(3155),
    [anon_sym_PROGMEM] = ACTIONS(3155),
    [anon_sym_alignas] = ACTIONS(3155),
    [anon_sym__Alignas] = ACTIONS(3155),
    [aux_sym_primitive_type_token1] = ACTIONS(3155),
    [anon_sym_byte] = ACTIONS(3155),
    [anon_sym_word] = ACTIONS(3155),
    [anon_sym_enum] = ACTIONS(3155),
    [anon_sym_class] = ACTIONS(3155),
    [anon_sym_struct] = ACTIONS(3155),
    [anon_sym_union] = ACTIONS(3155),
    [anon_sym_if] = ACTIONS(3155),
    [anon_sym_switch] = ACTIONS(3155),
    [anon_sym_case] = ACTIONS(3155),
    [anon_sym_default] = ACTIONS(3155),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3155),
    [anon_sym_break] = ACTIONS(3155),
    [anon_sym_continue] = ACTIONS(3155),
    [anon_sym_goto] = ACTIONS(3155),
    [anon_sym___try] = ACTIONS(3155),
    [anon_sym___leave] = ACTIONS(3155),
    [anon_sym_not] = ACTIONS(3155),
    [anon_sym_compl] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3157),
    [anon_sym_PLUS_PLUS] = ACTIONS(3157),
    [anon_sym_sizeof] = ACTIONS(3155),
    [anon_sym___alignof__] = ACTIONS(3155),
    [anon_sym___alignof] = ACTIONS(3155),
    [anon_sym__alignof] = ACTIONS(3155),
    [anon_sym_alignof] = ACTIONS(3155),
    [anon_sym__Alignof] = ACTIONS(3155),
    [anon_sym_offsetof] = ACTIONS(3155),
    [anon_sym__Generic] = ACTIONS(3155),
    [anon_sym_asm] = ACTIONS(3155),
    [anon_sym___asm__] = ACTIONS(3155),
    [anon_sym___asm] = ACTIONS(3155),
    [aux_sym_number_literal_token1] = ACTIONS(3157),
    [aux_sym_number_literal_token2] = ACTIONS(3155),
    [anon_sym_L_SQUOTE] = ACTIONS(3157),
    [anon_sym_u_SQUOTE] = ACTIONS(3157),
    [anon_sym_U_SQUOTE] = ACTIONS(3157),
    [anon_sym_u8_SQUOTE] = ACTIONS(3157),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_L_DQUOTE] = ACTIONS(3157),
    [anon_sym_u_DQUOTE] = ACTIONS(3157),
    [anon_sym_U_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8_DQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3157),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [anon_sym_NULL] = ACTIONS(3155),
    [anon_sym_nullptr] = ACTIONS(3155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3155),
    [anon_sym_decltype] = ACTIONS(3155),
    [anon_sym_explicit] = ACTIONS(3155),
    [anon_sym_typename] = ACTIONS(3155),
    [anon_sym_template] = ACTIONS(3155),
    [anon_sym_operator] = ACTIONS(3155),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_delete] = ACTIONS(3155),
    [anon_sym_throw] = ACTIONS(3155),
    [anon_sym_namespace] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3155),
    [anon_sym_static_assert] = ACTIONS(3155),
    [anon_sym_concept] = ACTIONS(3155),
    [anon_sym_co_return] = ACTIONS(3155),
    [anon_sym_co_yield] = ACTIONS(3155),
    [anon_sym_R_DQUOTE] = ACTIONS(3157),
    [anon_sym_LR_DQUOTE] = ACTIONS(3157),
    [anon_sym_uR_DQUOTE] = ACTIONS(3157),
    [anon_sym_UR_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3157),
    [anon_sym_co_await] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3155),
    [anon_sym_requires] = ACTIONS(3155),
    [sym_this] = ACTIONS(3155),
  },
  [540] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym___try] = ACTIONS(3040),
    [anon_sym___leave] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [anon_sym___asm] = ACTIONS(3040),
    [aux_sym_number_literal_token1] = ACTIONS(3042),
    [aux_sym_number_literal_token2] = ACTIONS(3040),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [541] = {
    [sym_identifier] = ACTIONS(3047),
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3049),
    [anon_sym_BANG] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3047),
    [anon_sym_SEMI] = ACTIONS(3049),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3047),
    [anon_sym_virtual] = ACTIONS(3047),
    [anon_sym_extern] = ACTIONS(3047),
    [anon_sym___attribute__] = ACTIONS(3047),
    [anon_sym_COLON_COLON] = ACTIONS(3049),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3049),
    [anon_sym___declspec] = ACTIONS(3047),
    [anon_sym___based] = ACTIONS(3047),
    [anon_sym___cdecl] = ACTIONS(3047),
    [anon_sym___clrcall] = ACTIONS(3047),
    [anon_sym___stdcall] = ACTIONS(3047),
    [anon_sym___fastcall] = ACTIONS(3047),
    [anon_sym___thiscall] = ACTIONS(3047),
    [anon_sym___vectorcall] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(3049),
    [anon_sym_RBRACE] = ACTIONS(3049),
    [anon_sym_signed] = ACTIONS(3047),
    [anon_sym_unsigned] = ACTIONS(3047),
    [anon_sym_long] = ACTIONS(3047),
    [anon_sym_short] = ACTIONS(3047),
    [anon_sym_LBRACK] = ACTIONS(3047),
    [anon_sym_static] = ACTIONS(3047),
    [anon_sym_register] = ACTIONS(3047),
    [anon_sym_inline] = ACTIONS(3047),
    [anon_sym___inline] = ACTIONS(3047),
    [anon_sym___inline__] = ACTIONS(3047),
    [anon_sym___forceinline] = ACTIONS(3047),
    [anon_sym_thread_local] = ACTIONS(3047),
    [anon_sym___thread] = ACTIONS(3047),
    [anon_sym_const] = ACTIONS(3047),
    [anon_sym_constexpr] = ACTIONS(3047),
    [anon_sym_volatile] = ACTIONS(3047),
    [anon_sym_restrict] = ACTIONS(3047),
    [anon_sym___restrict__] = ACTIONS(3047),
    [anon_sym__Atomic] = ACTIONS(3047),
    [anon_sym__Noreturn] = ACTIONS(3047),
    [anon_sym_noreturn] = ACTIONS(3047),
    [anon_sym__Nonnull] = ACTIONS(3047),
    [anon_sym_mutable] = ACTIONS(3047),
    [anon_sym_constinit] = ACTIONS(3047),
    [anon_sym_consteval] = ACTIONS(3047),
    [anon_sym_PROGMEM] = ACTIONS(3047),
    [anon_sym_alignas] = ACTIONS(3047),
    [anon_sym__Alignas] = ACTIONS(3047),
    [aux_sym_primitive_type_token1] = ACTIONS(3047),
    [anon_sym_byte] = ACTIONS(3047),
    [anon_sym_word] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3047),
    [anon_sym_class] = ACTIONS(3047),
    [anon_sym_struct] = ACTIONS(3047),
    [anon_sym_union] = ACTIONS(3047),
    [anon_sym_if] = ACTIONS(3047),
    [anon_sym_switch] = ACTIONS(3047),
    [anon_sym_case] = ACTIONS(3047),
    [anon_sym_default] = ACTIONS(3047),
    [anon_sym_while] = ACTIONS(3047),
    [anon_sym_do] = ACTIONS(3047),
    [anon_sym_for] = ACTIONS(3047),
    [anon_sym_return] = ACTIONS(3047),
    [anon_sym_break] = ACTIONS(3047),
    [anon_sym_continue] = ACTIONS(3047),
    [anon_sym_goto] = ACTIONS(3047),
    [anon_sym___try] = ACTIONS(3047),
    [anon_sym___leave] = ACTIONS(3047),
    [anon_sym_not] = ACTIONS(3047),
    [anon_sym_compl] = ACTIONS(3047),
    [anon_sym_DASH_DASH] = ACTIONS(3049),
    [anon_sym_PLUS_PLUS] = ACTIONS(3049),
    [anon_sym_sizeof] = ACTIONS(3047),
    [anon_sym___alignof__] = ACTIONS(3047),
    [anon_sym___alignof] = ACTIONS(3047),
    [anon_sym__alignof] = ACTIONS(3047),
    [anon_sym_alignof] = ACTIONS(3047),
    [anon_sym__Alignof] = ACTIONS(3047),
    [anon_sym_offsetof] = ACTIONS(3047),
    [anon_sym__Generic] = ACTIONS(3047),
    [anon_sym_asm] = ACTIONS(3047),
    [anon_sym___asm__] = ACTIONS(3047),
    [anon_sym___asm] = ACTIONS(3047),
    [aux_sym_number_literal_token1] = ACTIONS(3049),
    [aux_sym_number_literal_token2] = ACTIONS(3047),
    [anon_sym_L_SQUOTE] = ACTIONS(3049),
    [anon_sym_u_SQUOTE] = ACTIONS(3049),
    [anon_sym_U_SQUOTE] = ACTIONS(3049),
    [anon_sym_u8_SQUOTE] = ACTIONS(3049),
    [anon_sym_SQUOTE] = ACTIONS(3049),
    [anon_sym_L_DQUOTE] = ACTIONS(3049),
    [anon_sym_u_DQUOTE] = ACTIONS(3049),
    [anon_sym_U_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8_DQUOTE] = ACTIONS(3049),
    [anon_sym_DQUOTE] = ACTIONS(3049),
    [sym_true] = ACTIONS(3047),
    [sym_false] = ACTIONS(3047),
    [anon_sym_NULL] = ACTIONS(3047),
    [anon_sym_nullptr] = ACTIONS(3047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3047),
    [anon_sym_decltype] = ACTIONS(3047),
    [anon_sym_explicit] = ACTIONS(3047),
    [anon_sym_typename] = ACTIONS(3047),
    [anon_sym_template] = ACTIONS(3047),
    [anon_sym_operator] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_delete] = ACTIONS(3047),
    [anon_sym_throw] = ACTIONS(3047),
    [anon_sym_namespace] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3047),
    [anon_sym_static_assert] = ACTIONS(3047),
    [anon_sym_concept] = ACTIONS(3047),
    [anon_sym_co_return] = ACTIONS(3047),
    [anon_sym_co_yield] = ACTIONS(3047),
    [anon_sym_R_DQUOTE] = ACTIONS(3049),
    [anon_sym_LR_DQUOTE] = ACTIONS(3049),
    [anon_sym_uR_DQUOTE] = ACTIONS(3049),
    [anon_sym_UR_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3049),
    [anon_sym_co_await] = ACTIONS(3047),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_requires] = ACTIONS(3047),
    [sym_this] = ACTIONS(3047),
  },
  [542] = {
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_include_token1] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_virtual] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym___cdecl] = ACTIONS(2964),
    [anon_sym___clrcall] = ACTIONS(2964),
    [anon_sym___stdcall] = ACTIONS(2964),
    [anon_sym___fastcall] = ACTIONS(2964),
    [anon_sym___thiscall] = ACTIONS(2964),
    [anon_sym___vectorcall] = ACTIONS(2964),
    [anon_sym_LBRACE] = ACTIONS(2966),
    [anon_sym_RBRACE] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym__Nonnull] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [anon_sym_PROGMEM] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym__Alignas] = ACTIONS(2964),
    [aux_sym_primitive_type_token1] = ACTIONS(2964),
    [anon_sym_byte] = ACTIONS(2964),
    [anon_sym_word] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_switch] = ACTIONS(2964),
    [anon_sym_case] = ACTIONS(2964),
    [anon_sym_default] = ACTIONS(2964),
    [anon_sym_while] = ACTIONS(2964),
    [anon_sym_do] = ACTIONS(2964),
    [anon_sym_for] = ACTIONS(2964),
    [anon_sym_return] = ACTIONS(2964),
    [anon_sym_break] = ACTIONS(2964),
    [anon_sym_continue] = ACTIONS(2964),
    [anon_sym_goto] = ACTIONS(2964),
    [anon_sym___try] = ACTIONS(2964),
    [anon_sym___leave] = ACTIONS(2964),
    [anon_sym_not] = ACTIONS(2964),
    [anon_sym_compl] = ACTIONS(2964),
    [anon_sym_DASH_DASH] = ACTIONS(2966),
    [anon_sym_PLUS_PLUS] = ACTIONS(2966),
    [anon_sym_sizeof] = ACTIONS(2964),
    [anon_sym___alignof__] = ACTIONS(2964),
    [anon_sym___alignof] = ACTIONS(2964),
    [anon_sym__alignof] = ACTIONS(2964),
    [anon_sym_alignof] = ACTIONS(2964),
    [anon_sym__Alignof] = ACTIONS(2964),
    [anon_sym_offsetof] = ACTIONS(2964),
    [anon_sym__Generic] = ACTIONS(2964),
    [anon_sym_asm] = ACTIONS(2964),
    [anon_sym___asm__] = ACTIONS(2964),
    [anon_sym___asm] = ACTIONS(2964),
    [aux_sym_number_literal_token1] = ACTIONS(2966),
    [aux_sym_number_literal_token2] = ACTIONS(2964),
    [anon_sym_L_SQUOTE] = ACTIONS(2966),
    [anon_sym_u_SQUOTE] = ACTIONS(2966),
    [anon_sym_U_SQUOTE] = ACTIONS(2966),
    [anon_sym_u8_SQUOTE] = ACTIONS(2966),
    [anon_sym_SQUOTE] = ACTIONS(2966),
    [anon_sym_L_DQUOTE] = ACTIONS(2966),
    [anon_sym_u_DQUOTE] = ACTIONS(2966),
    [anon_sym_U_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8_DQUOTE] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2966),
    [sym_true] = ACTIONS(2964),
    [sym_false] = ACTIONS(2964),
    [anon_sym_NULL] = ACTIONS(2964),
    [anon_sym_nullptr] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_delete] = ACTIONS(2964),
    [anon_sym_throw] = ACTIONS(2964),
    [anon_sym_namespace] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
    [anon_sym_concept] = ACTIONS(2964),
    [anon_sym_co_return] = ACTIONS(2964),
    [anon_sym_co_yield] = ACTIONS(2964),
    [anon_sym_R_DQUOTE] = ACTIONS(2966),
    [anon_sym_LR_DQUOTE] = ACTIONS(2966),
    [anon_sym_uR_DQUOTE] = ACTIONS(2966),
    [anon_sym_UR_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2966),
    [anon_sym_co_await] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(2964),
    [anon_sym_requires] = ACTIONS(2964),
    [sym_this] = ACTIONS(2964),
  },
  [543] = {
    [sym_identifier] = ACTIONS(3066),
    [aux_sym_preproc_include_token1] = ACTIONS(3066),
    [aux_sym_preproc_def_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3066),
    [sym_preproc_directive] = ACTIONS(3066),
    [anon_sym_LPAREN2] = ACTIONS(3068),
    [anon_sym_BANG] = ACTIONS(3068),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3068),
    [anon_sym___extension__] = ACTIONS(3066),
    [anon_sym_typedef] = ACTIONS(3066),
    [anon_sym_virtual] = ACTIONS(3066),
    [anon_sym_extern] = ACTIONS(3066),
    [anon_sym___attribute__] = ACTIONS(3066),
    [anon_sym_COLON_COLON] = ACTIONS(3068),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3068),
    [anon_sym___declspec] = ACTIONS(3066),
    [anon_sym___based] = ACTIONS(3066),
    [anon_sym___cdecl] = ACTIONS(3066),
    [anon_sym___clrcall] = ACTIONS(3066),
    [anon_sym___stdcall] = ACTIONS(3066),
    [anon_sym___fastcall] = ACTIONS(3066),
    [anon_sym___thiscall] = ACTIONS(3066),
    [anon_sym___vectorcall] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3068),
    [anon_sym_RBRACE] = ACTIONS(3068),
    [anon_sym_signed] = ACTIONS(3066),
    [anon_sym_unsigned] = ACTIONS(3066),
    [anon_sym_long] = ACTIONS(3066),
    [anon_sym_short] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_register] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(3066),
    [anon_sym___inline] = ACTIONS(3066),
    [anon_sym___inline__] = ACTIONS(3066),
    [anon_sym___forceinline] = ACTIONS(3066),
    [anon_sym_thread_local] = ACTIONS(3066),
    [anon_sym___thread] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_constexpr] = ACTIONS(3066),
    [anon_sym_volatile] = ACTIONS(3066),
    [anon_sym_restrict] = ACTIONS(3066),
    [anon_sym___restrict__] = ACTIONS(3066),
    [anon_sym__Atomic] = ACTIONS(3066),
    [anon_sym__Noreturn] = ACTIONS(3066),
    [anon_sym_noreturn] = ACTIONS(3066),
    [anon_sym__Nonnull] = ACTIONS(3066),
    [anon_sym_mutable] = ACTIONS(3066),
    [anon_sym_constinit] = ACTIONS(3066),
    [anon_sym_consteval] = ACTIONS(3066),
    [anon_sym_PROGMEM] = ACTIONS(3066),
    [anon_sym_alignas] = ACTIONS(3066),
    [anon_sym__Alignas] = ACTIONS(3066),
    [aux_sym_primitive_type_token1] = ACTIONS(3066),
    [anon_sym_byte] = ACTIONS(3066),
    [anon_sym_word] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_struct] = ACTIONS(3066),
    [anon_sym_union] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_default] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_goto] = ACTIONS(3066),
    [anon_sym___try] = ACTIONS(3066),
    [anon_sym___leave] = ACTIONS(3066),
    [anon_sym_not] = ACTIONS(3066),
    [anon_sym_compl] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3068),
    [anon_sym_sizeof] = ACTIONS(3066),
    [anon_sym___alignof__] = ACTIONS(3066),
    [anon_sym___alignof] = ACTIONS(3066),
    [anon_sym__alignof] = ACTIONS(3066),
    [anon_sym_alignof] = ACTIONS(3066),
    [anon_sym__Alignof] = ACTIONS(3066),
    [anon_sym_offsetof] = ACTIONS(3066),
    [anon_sym__Generic] = ACTIONS(3066),
    [anon_sym_asm] = ACTIONS(3066),
    [anon_sym___asm__] = ACTIONS(3066),
    [anon_sym___asm] = ACTIONS(3066),
    [aux_sym_number_literal_token1] = ACTIONS(3068),
    [aux_sym_number_literal_token2] = ACTIONS(3066),
    [anon_sym_L_SQUOTE] = ACTIONS(3068),
    [anon_sym_u_SQUOTE] = ACTIONS(3068),
    [anon_sym_U_SQUOTE] = ACTIONS(3068),
    [anon_sym_u8_SQUOTE] = ACTIONS(3068),
    [anon_sym_SQUOTE] = ACTIONS(3068),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [anon_sym_NULL] = ACTIONS(3066),
    [anon_sym_nullptr] = ACTIONS(3066),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3066),
    [anon_sym_decltype] = ACTIONS(3066),
    [anon_sym_explicit] = ACTIONS(3066),
    [anon_sym_typename] = ACTIONS(3066),
    [anon_sym_template] = ACTIONS(3066),
    [anon_sym_operator] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_static_assert] = ACTIONS(3066),
    [anon_sym_concept] = ACTIONS(3066),
    [anon_sym_co_return] = ACTIONS(3066),
    [anon_sym_co_yield] = ACTIONS(3066),
    [anon_sym_R_DQUOTE] = ACTIONS(3068),
    [anon_sym_LR_DQUOTE] = ACTIONS(3068),
    [anon_sym_uR_DQUOTE] = ACTIONS(3068),
    [anon_sym_UR_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3068),
    [anon_sym_co_await] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_requires] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
  },
  [544] = {
    [sym_identifier] = ACTIONS(3074),
    [aux_sym_preproc_include_token1] = ACTIONS(3074),
    [aux_sym_preproc_def_token1] = ACTIONS(3074),
    [aux_sym_preproc_if_token1] = ACTIONS(3074),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3074),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3074),
    [sym_preproc_directive] = ACTIONS(3074),
    [anon_sym_LPAREN2] = ACTIONS(3076),
    [anon_sym_BANG] = ACTIONS(3076),
    [anon_sym_TILDE] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym___extension__] = ACTIONS(3074),
    [anon_sym_typedef] = ACTIONS(3074),
    [anon_sym_virtual] = ACTIONS(3074),
    [anon_sym_extern] = ACTIONS(3074),
    [anon_sym___attribute__] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3076),
    [anon_sym___declspec] = ACTIONS(3074),
    [anon_sym___based] = ACTIONS(3074),
    [anon_sym___cdecl] = ACTIONS(3074),
    [anon_sym___clrcall] = ACTIONS(3074),
    [anon_sym___stdcall] = ACTIONS(3074),
    [anon_sym___fastcall] = ACTIONS(3074),
    [anon_sym___thiscall] = ACTIONS(3074),
    [anon_sym___vectorcall] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_RBRACE] = ACTIONS(3076),
    [anon_sym_signed] = ACTIONS(3074),
    [anon_sym_unsigned] = ACTIONS(3074),
    [anon_sym_long] = ACTIONS(3074),
    [anon_sym_short] = ACTIONS(3074),
    [anon_sym_LBRACK] = ACTIONS(3074),
    [anon_sym_static] = ACTIONS(3074),
    [anon_sym_register] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym___inline] = ACTIONS(3074),
    [anon_sym___inline__] = ACTIONS(3074),
    [anon_sym___forceinline] = ACTIONS(3074),
    [anon_sym_thread_local] = ACTIONS(3074),
    [anon_sym___thread] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_constexpr] = ACTIONS(3074),
    [anon_sym_volatile] = ACTIONS(3074),
    [anon_sym_restrict] = ACTIONS(3074),
    [anon_sym___restrict__] = ACTIONS(3074),
    [anon_sym__Atomic] = ACTIONS(3074),
    [anon_sym__Noreturn] = ACTIONS(3074),
    [anon_sym_noreturn] = ACTIONS(3074),
    [anon_sym__Nonnull] = ACTIONS(3074),
    [anon_sym_mutable] = ACTIONS(3074),
    [anon_sym_constinit] = ACTIONS(3074),
    [anon_sym_consteval] = ACTIONS(3074),
    [anon_sym_PROGMEM] = ACTIONS(3074),
    [anon_sym_alignas] = ACTIONS(3074),
    [anon_sym__Alignas] = ACTIONS(3074),
    [aux_sym_primitive_type_token1] = ACTIONS(3074),
    [anon_sym_byte] = ACTIONS(3074),
    [anon_sym_word] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_class] = ACTIONS(3074),
    [anon_sym_struct] = ACTIONS(3074),
    [anon_sym_union] = ACTIONS(3074),
    [anon_sym_if] = ACTIONS(3074),
    [anon_sym_switch] = ACTIONS(3074),
    [anon_sym_case] = ACTIONS(3074),
    [anon_sym_default] = ACTIONS(3074),
    [anon_sym_while] = ACTIONS(3074),
    [anon_sym_do] = ACTIONS(3074),
    [anon_sym_for] = ACTIONS(3074),
    [anon_sym_return] = ACTIONS(3074),
    [anon_sym_break] = ACTIONS(3074),
    [anon_sym_continue] = ACTIONS(3074),
    [anon_sym_goto] = ACTIONS(3074),
    [anon_sym___try] = ACTIONS(3074),
    [anon_sym___leave] = ACTIONS(3074),
    [anon_sym_not] = ACTIONS(3074),
    [anon_sym_compl] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_sizeof] = ACTIONS(3074),
    [anon_sym___alignof__] = ACTIONS(3074),
    [anon_sym___alignof] = ACTIONS(3074),
    [anon_sym__alignof] = ACTIONS(3074),
    [anon_sym_alignof] = ACTIONS(3074),
    [anon_sym__Alignof] = ACTIONS(3074),
    [anon_sym_offsetof] = ACTIONS(3074),
    [anon_sym__Generic] = ACTIONS(3074),
    [anon_sym_asm] = ACTIONS(3074),
    [anon_sym___asm__] = ACTIONS(3074),
    [anon_sym___asm] = ACTIONS(3074),
    [aux_sym_number_literal_token1] = ACTIONS(3076),
    [aux_sym_number_literal_token2] = ACTIONS(3074),
    [anon_sym_L_SQUOTE] = ACTIONS(3076),
    [anon_sym_u_SQUOTE] = ACTIONS(3076),
    [anon_sym_U_SQUOTE] = ACTIONS(3076),
    [anon_sym_u8_SQUOTE] = ACTIONS(3076),
    [anon_sym_SQUOTE] = ACTIONS(3076),
    [anon_sym_L_DQUOTE] = ACTIONS(3076),
    [anon_sym_u_DQUOTE] = ACTIONS(3076),
    [anon_sym_U_DQUOTE] = ACTIONS(3076),
    [anon_sym_u8_DQUOTE] = ACTIONS(3076),
    [anon_sym_DQUOTE] = ACTIONS(3076),
    [sym_true] = ACTIONS(3074),
    [sym_false] = ACTIONS(3074),
    [anon_sym_NULL] = ACTIONS(3074),
    [anon_sym_nullptr] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3074),
    [anon_sym_explicit] = ACTIONS(3074),
    [anon_sym_typename] = ACTIONS(3074),
    [anon_sym_template] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_try] = ACTIONS(3074),
    [anon_sym_delete] = ACTIONS(3074),
    [anon_sym_throw] = ACTIONS(3074),
    [anon_sym_namespace] = ACTIONS(3074),
    [anon_sym_using] = ACTIONS(3074),
    [anon_sym_static_assert] = ACTIONS(3074),
    [anon_sym_concept] = ACTIONS(3074),
    [anon_sym_co_return] = ACTIONS(3074),
    [anon_sym_co_yield] = ACTIONS(3074),
    [anon_sym_R_DQUOTE] = ACTIONS(3076),
    [anon_sym_LR_DQUOTE] = ACTIONS(3076),
    [anon_sym_uR_DQUOTE] = ACTIONS(3076),
    [anon_sym_UR_DQUOTE] = ACTIONS(3076),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3076),
    [anon_sym_co_await] = ACTIONS(3074),
    [anon_sym_new] = ACTIONS(3074),
    [anon_sym_requires] = ACTIONS(3074),
    [sym_this] = ACTIONS(3074),
  },
  [545] = {
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_include_token1] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_DASH] = ACTIONS(3119),
    [anon_sym_PLUS] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3121),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym___cdecl] = ACTIONS(3119),
    [anon_sym___clrcall] = ACTIONS(3119),
    [anon_sym___stdcall] = ACTIONS(3119),
    [anon_sym___fastcall] = ACTIONS(3119),
    [anon_sym___thiscall] = ACTIONS(3119),
    [anon_sym___vectorcall] = ACTIONS(3119),
    [anon_sym_LBRACE] = ACTIONS(3121),
    [anon_sym_RBRACE] = ACTIONS(3121),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_PROGMEM] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [aux_sym_primitive_type_token1] = ACTIONS(3119),
    [anon_sym_byte] = ACTIONS(3119),
    [anon_sym_word] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [anon_sym_if] = ACTIONS(3119),
    [anon_sym_switch] = ACTIONS(3119),
    [anon_sym_case] = ACTIONS(3119),
    [anon_sym_default] = ACTIONS(3119),
    [anon_sym_while] = ACTIONS(3119),
    [anon_sym_do] = ACTIONS(3119),
    [anon_sym_for] = ACTIONS(3119),
    [anon_sym_return] = ACTIONS(3119),
    [anon_sym_break] = ACTIONS(3119),
    [anon_sym_continue] = ACTIONS(3119),
    [anon_sym_goto] = ACTIONS(3119),
    [anon_sym___try] = ACTIONS(3119),
    [anon_sym___leave] = ACTIONS(3119),
    [anon_sym_not] = ACTIONS(3119),
    [anon_sym_compl] = ACTIONS(3119),
    [anon_sym_DASH_DASH] = ACTIONS(3121),
    [anon_sym_PLUS_PLUS] = ACTIONS(3121),
    [anon_sym_sizeof] = ACTIONS(3119),
    [anon_sym___alignof__] = ACTIONS(3119),
    [anon_sym___alignof] = ACTIONS(3119),
    [anon_sym__alignof] = ACTIONS(3119),
    [anon_sym_alignof] = ACTIONS(3119),
    [anon_sym__Alignof] = ACTIONS(3119),
    [anon_sym_offsetof] = ACTIONS(3119),
    [anon_sym__Generic] = ACTIONS(3119),
    [anon_sym_asm] = ACTIONS(3119),
    [anon_sym___asm__] = ACTIONS(3119),
    [anon_sym___asm] = ACTIONS(3119),
    [aux_sym_number_literal_token1] = ACTIONS(3121),
    [aux_sym_number_literal_token2] = ACTIONS(3119),
    [anon_sym_L_SQUOTE] = ACTIONS(3121),
    [anon_sym_u_SQUOTE] = ACTIONS(3121),
    [anon_sym_U_SQUOTE] = ACTIONS(3121),
    [anon_sym_u8_SQUOTE] = ACTIONS(3121),
    [anon_sym_SQUOTE] = ACTIONS(3121),
    [anon_sym_L_DQUOTE] = ACTIONS(3121),
    [anon_sym_u_DQUOTE] = ACTIONS(3121),
    [anon_sym_U_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8_DQUOTE] = ACTIONS(3121),
    [anon_sym_DQUOTE] = ACTIONS(3121),
    [sym_true] = ACTIONS(3119),
    [sym_false] = ACTIONS(3119),
    [anon_sym_NULL] = ACTIONS(3119),
    [anon_sym_nullptr] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_try] = ACTIONS(3119),
    [anon_sym_delete] = ACTIONS(3119),
    [anon_sym_throw] = ACTIONS(3119),
    [anon_sym_namespace] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
    [anon_sym_concept] = ACTIONS(3119),
    [anon_sym_co_return] = ACTIONS(3119),
    [anon_sym_co_yield] = ACTIONS(3119),
    [anon_sym_R_DQUOTE] = ACTIONS(3121),
    [anon_sym_LR_DQUOTE] = ACTIONS(3121),
    [anon_sym_uR_DQUOTE] = ACTIONS(3121),
    [anon_sym_UR_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3121),
    [anon_sym_co_await] = ACTIONS(3119),
    [anon_sym_new] = ACTIONS(3119),
    [anon_sym_requires] = ACTIONS(3119),
    [sym_this] = ACTIONS(3119),
  },
  [546] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_RBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_PROGMEM] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [aux_sym_primitive_type_token1] = ACTIONS(3151),
    [anon_sym_byte] = ACTIONS(3151),
    [anon_sym_word] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym___try] = ACTIONS(3151),
    [anon_sym___leave] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [aux_sym_number_literal_token1] = ACTIONS(3153),
    [aux_sym_number_literal_token2] = ACTIONS(3151),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [547] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [anon_sym___asm] = ACTIONS(3162),
    [aux_sym_number_literal_token1] = ACTIONS(3164),
    [aux_sym_number_literal_token2] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [548] = {
    [sym_identifier] = ACTIONS(3186),
    [aux_sym_preproc_include_token1] = ACTIONS(3186),
    [aux_sym_preproc_def_token1] = ACTIONS(3186),
    [aux_sym_preproc_if_token1] = ACTIONS(3186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3186),
    [sym_preproc_directive] = ACTIONS(3186),
    [anon_sym_LPAREN2] = ACTIONS(3188),
    [anon_sym_BANG] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym___extension__] = ACTIONS(3186),
    [anon_sym_typedef] = ACTIONS(3186),
    [anon_sym_virtual] = ACTIONS(3186),
    [anon_sym_extern] = ACTIONS(3186),
    [anon_sym___attribute__] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3188),
    [anon_sym___declspec] = ACTIONS(3186),
    [anon_sym___based] = ACTIONS(3186),
    [anon_sym___cdecl] = ACTIONS(3186),
    [anon_sym___clrcall] = ACTIONS(3186),
    [anon_sym___stdcall] = ACTIONS(3186),
    [anon_sym___fastcall] = ACTIONS(3186),
    [anon_sym___thiscall] = ACTIONS(3186),
    [anon_sym___vectorcall] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_signed] = ACTIONS(3186),
    [anon_sym_unsigned] = ACTIONS(3186),
    [anon_sym_long] = ACTIONS(3186),
    [anon_sym_short] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_register] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym___inline] = ACTIONS(3186),
    [anon_sym___inline__] = ACTIONS(3186),
    [anon_sym___forceinline] = ACTIONS(3186),
    [anon_sym_thread_local] = ACTIONS(3186),
    [anon_sym___thread] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_constexpr] = ACTIONS(3186),
    [anon_sym_volatile] = ACTIONS(3186),
    [anon_sym_restrict] = ACTIONS(3186),
    [anon_sym___restrict__] = ACTIONS(3186),
    [anon_sym__Atomic] = ACTIONS(3186),
    [anon_sym__Noreturn] = ACTIONS(3186),
    [anon_sym_noreturn] = ACTIONS(3186),
    [anon_sym__Nonnull] = ACTIONS(3186),
    [anon_sym_mutable] = ACTIONS(3186),
    [anon_sym_constinit] = ACTIONS(3186),
    [anon_sym_consteval] = ACTIONS(3186),
    [anon_sym_PROGMEM] = ACTIONS(3186),
    [anon_sym_alignas] = ACTIONS(3186),
    [anon_sym__Alignas] = ACTIONS(3186),
    [aux_sym_primitive_type_token1] = ACTIONS(3186),
    [anon_sym_byte] = ACTIONS(3186),
    [anon_sym_word] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_struct] = ACTIONS(3186),
    [anon_sym_union] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(3186),
    [anon_sym_case] = ACTIONS(3186),
    [anon_sym_default] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_break] = ACTIONS(3186),
    [anon_sym_continue] = ACTIONS(3186),
    [anon_sym_goto] = ACTIONS(3186),
    [anon_sym___try] = ACTIONS(3186),
    [anon_sym___leave] = ACTIONS(3186),
    [anon_sym_not] = ACTIONS(3186),
    [anon_sym_compl] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_sizeof] = ACTIONS(3186),
    [anon_sym___alignof__] = ACTIONS(3186),
    [anon_sym___alignof] = ACTIONS(3186),
    [anon_sym__alignof] = ACTIONS(3186),
    [anon_sym_alignof] = ACTIONS(3186),
    [anon_sym__Alignof] = ACTIONS(3186),
    [anon_sym_offsetof] = ACTIONS(3186),
    [anon_sym__Generic] = ACTIONS(3186),
    [anon_sym_asm] = ACTIONS(3186),
    [anon_sym___asm__] = ACTIONS(3186),
    [anon_sym___asm] = ACTIONS(3186),
    [aux_sym_number_literal_token1] = ACTIONS(3188),
    [aux_sym_number_literal_token2] = ACTIONS(3186),
    [anon_sym_L_SQUOTE] = ACTIONS(3188),
    [anon_sym_u_SQUOTE] = ACTIONS(3188),
    [anon_sym_U_SQUOTE] = ACTIONS(3188),
    [anon_sym_u8_SQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [anon_sym_L_DQUOTE] = ACTIONS(3188),
    [anon_sym_u_DQUOTE] = ACTIONS(3188),
    [anon_sym_U_DQUOTE] = ACTIONS(3188),
    [anon_sym_u8_DQUOTE] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3188),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [anon_sym_NULL] = ACTIONS(3186),
    [anon_sym_nullptr] = ACTIONS(3186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3186),
    [anon_sym_decltype] = ACTIONS(3186),
    [anon_sym_explicit] = ACTIONS(3186),
    [anon_sym_typename] = ACTIONS(3186),
    [anon_sym_template] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_delete] = ACTIONS(3186),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_namespace] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_static_assert] = ACTIONS(3186),
    [anon_sym_concept] = ACTIONS(3186),
    [anon_sym_co_return] = ACTIONS(3186),
    [anon_sym_co_yield] = ACTIONS(3186),
    [anon_sym_R_DQUOTE] = ACTIONS(3188),
    [anon_sym_LR_DQUOTE] = ACTIONS(3188),
    [anon_sym_uR_DQUOTE] = ACTIONS(3188),
    [anon_sym_UR_DQUOTE] = ACTIONS(3188),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3188),
    [anon_sym_co_await] = ACTIONS(3186),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_requires] = ACTIONS(3186),
    [sym_this] = ACTIONS(3186),
  },
  [549] = {
    [sym_identifier] = ACTIONS(3202),
    [aux_sym_preproc_include_token1] = ACTIONS(3202),
    [aux_sym_preproc_def_token1] = ACTIONS(3202),
    [aux_sym_preproc_if_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3202),
    [anon_sym_LPAREN2] = ACTIONS(3204),
    [anon_sym_BANG] = ACTIONS(3204),
    [anon_sym_TILDE] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3204),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3202),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3202),
    [anon_sym_virtual] = ACTIONS(3202),
    [anon_sym_extern] = ACTIONS(3202),
    [anon_sym___attribute__] = ACTIONS(3202),
    [anon_sym_COLON_COLON] = ACTIONS(3204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3204),
    [anon_sym___declspec] = ACTIONS(3202),
    [anon_sym___based] = ACTIONS(3202),
    [anon_sym___cdecl] = ACTIONS(3202),
    [anon_sym___clrcall] = ACTIONS(3202),
    [anon_sym___stdcall] = ACTIONS(3202),
    [anon_sym___fastcall] = ACTIONS(3202),
    [anon_sym___thiscall] = ACTIONS(3202),
    [anon_sym___vectorcall] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_signed] = ACTIONS(3202),
    [anon_sym_unsigned] = ACTIONS(3202),
    [anon_sym_long] = ACTIONS(3202),
    [anon_sym_short] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [anon_sym_static] = ACTIONS(3202),
    [anon_sym_register] = ACTIONS(3202),
    [anon_sym_inline] = ACTIONS(3202),
    [anon_sym___inline] = ACTIONS(3202),
    [anon_sym___inline__] = ACTIONS(3202),
    [anon_sym___forceinline] = ACTIONS(3202),
    [anon_sym_thread_local] = ACTIONS(3202),
    [anon_sym___thread] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_constexpr] = ACTIONS(3202),
    [anon_sym_volatile] = ACTIONS(3202),
    [anon_sym_restrict] = ACTIONS(3202),
    [anon_sym___restrict__] = ACTIONS(3202),
    [anon_sym__Atomic] = ACTIONS(3202),
    [anon_sym__Noreturn] = ACTIONS(3202),
    [anon_sym_noreturn] = ACTIONS(3202),
    [anon_sym__Nonnull] = ACTIONS(3202),
    [anon_sym_mutable] = ACTIONS(3202),
    [anon_sym_constinit] = ACTIONS(3202),
    [anon_sym_consteval] = ACTIONS(3202),
    [anon_sym_PROGMEM] = ACTIONS(3202),
    [anon_sym_alignas] = ACTIONS(3202),
    [anon_sym__Alignas] = ACTIONS(3202),
    [aux_sym_primitive_type_token1] = ACTIONS(3202),
    [anon_sym_byte] = ACTIONS(3202),
    [anon_sym_word] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [anon_sym_class] = ACTIONS(3202),
    [anon_sym_struct] = ACTIONS(3202),
    [anon_sym_union] = ACTIONS(3202),
    [anon_sym_if] = ACTIONS(3202),
    [anon_sym_switch] = ACTIONS(3202),
    [anon_sym_case] = ACTIONS(3202),
    [anon_sym_default] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_do] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3202),
    [anon_sym_return] = ACTIONS(3202),
    [anon_sym_break] = ACTIONS(3202),
    [anon_sym_continue] = ACTIONS(3202),
    [anon_sym_goto] = ACTIONS(3202),
    [anon_sym___try] = ACTIONS(3202),
    [anon_sym___leave] = ACTIONS(3202),
    [anon_sym_not] = ACTIONS(3202),
    [anon_sym_compl] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_sizeof] = ACTIONS(3202),
    [anon_sym___alignof__] = ACTIONS(3202),
    [anon_sym___alignof] = ACTIONS(3202),
    [anon_sym__alignof] = ACTIONS(3202),
    [anon_sym_alignof] = ACTIONS(3202),
    [anon_sym__Alignof] = ACTIONS(3202),
    [anon_sym_offsetof] = ACTIONS(3202),
    [anon_sym__Generic] = ACTIONS(3202),
    [anon_sym_asm] = ACTIONS(3202),
    [anon_sym___asm__] = ACTIONS(3202),
    [anon_sym___asm] = ACTIONS(3202),
    [aux_sym_number_literal_token1] = ACTIONS(3204),
    [aux_sym_number_literal_token2] = ACTIONS(3202),
    [anon_sym_L_SQUOTE] = ACTIONS(3204),
    [anon_sym_u_SQUOTE] = ACTIONS(3204),
    [anon_sym_U_SQUOTE] = ACTIONS(3204),
    [anon_sym_u8_SQUOTE] = ACTIONS(3204),
    [anon_sym_SQUOTE] = ACTIONS(3204),
    [anon_sym_L_DQUOTE] = ACTIONS(3204),
    [anon_sym_u_DQUOTE] = ACTIONS(3204),
    [anon_sym_U_DQUOTE] = ACTIONS(3204),
    [anon_sym_u8_DQUOTE] = ACTIONS(3204),
    [anon_sym_DQUOTE] = ACTIONS(3204),
    [sym_true] = ACTIONS(3202),
    [sym_false] = ACTIONS(3202),
    [anon_sym_NULL] = ACTIONS(3202),
    [anon_sym_nullptr] = ACTIONS(3202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3202),
    [anon_sym_decltype] = ACTIONS(3202),
    [anon_sym_explicit] = ACTIONS(3202),
    [anon_sym_typename] = ACTIONS(3202),
    [anon_sym_template] = ACTIONS(3202),
    [anon_sym_operator] = ACTIONS(3202),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_delete] = ACTIONS(3202),
    [anon_sym_throw] = ACTIONS(3202),
    [anon_sym_namespace] = ACTIONS(3202),
    [anon_sym_using] = ACTIONS(3202),
    [anon_sym_static_assert] = ACTIONS(3202),
    [anon_sym_concept] = ACTIONS(3202),
    [anon_sym_co_return] = ACTIONS(3202),
    [anon_sym_co_yield] = ACTIONS(3202),
    [anon_sym_R_DQUOTE] = ACTIONS(3204),
    [anon_sym_LR_DQUOTE] = ACTIONS(3204),
    [anon_sym_uR_DQUOTE] = ACTIONS(3204),
    [anon_sym_UR_DQUOTE] = ACTIONS(3204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3204),
    [anon_sym_co_await] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(3202),
    [anon_sym_requires] = ACTIONS(3202),
    [sym_this] = ACTIONS(3202),
  },
  [550] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_include_token1] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym___cdecl] = ACTIONS(2932),
    [anon_sym___clrcall] = ACTIONS(2932),
    [anon_sym___stdcall] = ACTIONS(2932),
    [anon_sym___fastcall] = ACTIONS(2932),
    [anon_sym___thiscall] = ACTIONS(2932),
    [anon_sym___vectorcall] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_RBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_PROGMEM] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [aux_sym_primitive_type_token1] = ACTIONS(2932),
    [anon_sym_byte] = ACTIONS(2932),
    [anon_sym_word] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_goto] = ACTIONS(2932),
    [anon_sym___try] = ACTIONS(2932),
    [anon_sym___leave] = ACTIONS(2932),
    [anon_sym_not] = ACTIONS(2932),
    [anon_sym_compl] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_sizeof] = ACTIONS(2932),
    [anon_sym___alignof__] = ACTIONS(2932),
    [anon_sym___alignof] = ACTIONS(2932),
    [anon_sym__alignof] = ACTIONS(2932),
    [anon_sym_alignof] = ACTIONS(2932),
    [anon_sym__Alignof] = ACTIONS(2932),
    [anon_sym_offsetof] = ACTIONS(2932),
    [anon_sym__Generic] = ACTIONS(2932),
    [anon_sym_asm] = ACTIONS(2932),
    [anon_sym___asm__] = ACTIONS(2932),
    [anon_sym___asm] = ACTIONS(2932),
    [aux_sym_number_literal_token1] = ACTIONS(2934),
    [aux_sym_number_literal_token2] = ACTIONS(2932),
    [anon_sym_L_SQUOTE] = ACTIONS(2934),
    [anon_sym_u_SQUOTE] = ACTIONS(2934),
    [anon_sym_U_SQUOTE] = ACTIONS(2934),
    [anon_sym_u8_SQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_L_DQUOTE] = ACTIONS(2934),
    [anon_sym_u_DQUOTE] = ACTIONS(2934),
    [anon_sym_U_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8_DQUOTE] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [anon_sym_NULL] = ACTIONS(2932),
    [anon_sym_nullptr] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
    [anon_sym_concept] = ACTIONS(2932),
    [anon_sym_co_return] = ACTIONS(2932),
    [anon_sym_co_yield] = ACTIONS(2932),
    [anon_sym_R_DQUOTE] = ACTIONS(2934),
    [anon_sym_LR_DQUOTE] = ACTIONS(2934),
    [anon_sym_uR_DQUOTE] = ACTIONS(2934),
    [anon_sym_UR_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2934),
    [anon_sym_co_await] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_requires] = ACTIONS(2932),
    [sym_this] = ACTIONS(2932),
  },
  [551] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_include_token1] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token2] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3109),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym___cdecl] = ACTIONS(3107),
    [anon_sym___clrcall] = ACTIONS(3107),
    [anon_sym___stdcall] = ACTIONS(3107),
    [anon_sym___fastcall] = ACTIONS(3107),
    [anon_sym___thiscall] = ACTIONS(3107),
    [anon_sym___vectorcall] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym__Nonnull] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [anon_sym_PROGMEM] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym__Alignas] = ACTIONS(3107),
    [aux_sym_primitive_type_token1] = ACTIONS(3107),
    [anon_sym_byte] = ACTIONS(3107),
    [anon_sym_word] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_goto] = ACTIONS(3107),
    [anon_sym___try] = ACTIONS(3107),
    [anon_sym___leave] = ACTIONS(3107),
    [anon_sym_not] = ACTIONS(3107),
    [anon_sym_compl] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3107),
    [anon_sym___alignof__] = ACTIONS(3107),
    [anon_sym___alignof] = ACTIONS(3107),
    [anon_sym__alignof] = ACTIONS(3107),
    [anon_sym_alignof] = ACTIONS(3107),
    [anon_sym__Alignof] = ACTIONS(3107),
    [anon_sym_offsetof] = ACTIONS(3107),
    [anon_sym__Generic] = ACTIONS(3107),
    [anon_sym_asm] = ACTIONS(3107),
    [anon_sym___asm__] = ACTIONS(3107),
    [anon_sym___asm] = ACTIONS(3107),
    [aux_sym_number_literal_token1] = ACTIONS(3109),
    [aux_sym_number_literal_token2] = ACTIONS(3107),
    [anon_sym_L_SQUOTE] = ACTIONS(3109),
    [anon_sym_u_SQUOTE] = ACTIONS(3109),
    [anon_sym_U_SQUOTE] = ACTIONS(3109),
    [anon_sym_u8_SQUOTE] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3109),
    [anon_sym_L_DQUOTE] = ACTIONS(3109),
    [anon_sym_u_DQUOTE] = ACTIONS(3109),
    [anon_sym_U_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8_DQUOTE] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3109),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [anon_sym_NULL] = ACTIONS(3107),
    [anon_sym_nullptr] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
    [anon_sym_concept] = ACTIONS(3107),
    [anon_sym_co_return] = ACTIONS(3107),
    [anon_sym_co_yield] = ACTIONS(3107),
    [anon_sym_R_DQUOTE] = ACTIONS(3109),
    [anon_sym_LR_DQUOTE] = ACTIONS(3109),
    [anon_sym_uR_DQUOTE] = ACTIONS(3109),
    [anon_sym_UR_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3109),
    [anon_sym_co_await] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_requires] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
  },
  [552] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_include_token1] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym___cdecl] = ACTIONS(2940),
    [anon_sym___clrcall] = ACTIONS(2940),
    [anon_sym___stdcall] = ACTIONS(2940),
    [anon_sym___fastcall] = ACTIONS(2940),
    [anon_sym___thiscall] = ACTIONS(2940),
    [anon_sym___vectorcall] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_RBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_PROGMEM] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [aux_sym_primitive_type_token1] = ACTIONS(2940),
    [anon_sym_byte] = ACTIONS(2940),
    [anon_sym_word] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_goto] = ACTIONS(2940),
    [anon_sym___try] = ACTIONS(2940),
    [anon_sym___leave] = ACTIONS(2940),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_compl] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_sizeof] = ACTIONS(2940),
    [anon_sym___alignof__] = ACTIONS(2940),
    [anon_sym___alignof] = ACTIONS(2940),
    [anon_sym__alignof] = ACTIONS(2940),
    [anon_sym_alignof] = ACTIONS(2940),
    [anon_sym__Alignof] = ACTIONS(2940),
    [anon_sym_offsetof] = ACTIONS(2940),
    [anon_sym__Generic] = ACTIONS(2940),
    [anon_sym_asm] = ACTIONS(2940),
    [anon_sym___asm__] = ACTIONS(2940),
    [anon_sym___asm] = ACTIONS(2940),
    [aux_sym_number_literal_token1] = ACTIONS(2942),
    [aux_sym_number_literal_token2] = ACTIONS(2940),
    [anon_sym_L_SQUOTE] = ACTIONS(2942),
    [anon_sym_u_SQUOTE] = ACTIONS(2942),
    [anon_sym_U_SQUOTE] = ACTIONS(2942),
    [anon_sym_u8_SQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [anon_sym_L_DQUOTE] = ACTIONS(2942),
    [anon_sym_u_DQUOTE] = ACTIONS(2942),
    [anon_sym_U_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8_DQUOTE] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [anon_sym_NULL] = ACTIONS(2940),
    [anon_sym_nullptr] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
    [anon_sym_concept] = ACTIONS(2940),
    [anon_sym_co_return] = ACTIONS(2940),
    [anon_sym_co_yield] = ACTIONS(2940),
    [anon_sym_R_DQUOTE] = ACTIONS(2942),
    [anon_sym_LR_DQUOTE] = ACTIONS(2942),
    [anon_sym_uR_DQUOTE] = ACTIONS(2942),
    [anon_sym_UR_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2942),
    [anon_sym_co_await] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_requires] = ACTIONS(2940),
    [sym_this] = ACTIONS(2940),
  },
  [553] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_include_token1] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token2] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym___cdecl] = ACTIONS(2932),
    [anon_sym___clrcall] = ACTIONS(2932),
    [anon_sym___stdcall] = ACTIONS(2932),
    [anon_sym___fastcall] = ACTIONS(2932),
    [anon_sym___thiscall] = ACTIONS(2932),
    [anon_sym___vectorcall] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_PROGMEM] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [aux_sym_primitive_type_token1] = ACTIONS(2932),
    [anon_sym_byte] = ACTIONS(2932),
    [anon_sym_word] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_goto] = ACTIONS(2932),
    [anon_sym___try] = ACTIONS(2932),
    [anon_sym___leave] = ACTIONS(2932),
    [anon_sym_not] = ACTIONS(2932),
    [anon_sym_compl] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_sizeof] = ACTIONS(2932),
    [anon_sym___alignof__] = ACTIONS(2932),
    [anon_sym___alignof] = ACTIONS(2932),
    [anon_sym__alignof] = ACTIONS(2932),
    [anon_sym_alignof] = ACTIONS(2932),
    [anon_sym__Alignof] = ACTIONS(2932),
    [anon_sym_offsetof] = ACTIONS(2932),
    [anon_sym__Generic] = ACTIONS(2932),
    [anon_sym_asm] = ACTIONS(2932),
    [anon_sym___asm__] = ACTIONS(2932),
    [anon_sym___asm] = ACTIONS(2932),
    [aux_sym_number_literal_token1] = ACTIONS(2934),
    [aux_sym_number_literal_token2] = ACTIONS(2932),
    [anon_sym_L_SQUOTE] = ACTIONS(2934),
    [anon_sym_u_SQUOTE] = ACTIONS(2934),
    [anon_sym_U_SQUOTE] = ACTIONS(2934),
    [anon_sym_u8_SQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_L_DQUOTE] = ACTIONS(2934),
    [anon_sym_u_DQUOTE] = ACTIONS(2934),
    [anon_sym_U_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8_DQUOTE] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [anon_sym_NULL] = ACTIONS(2932),
    [anon_sym_nullptr] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
    [anon_sym_concept] = ACTIONS(2932),
    [anon_sym_co_return] = ACTIONS(2932),
    [anon_sym_co_yield] = ACTIONS(2932),
    [anon_sym_R_DQUOTE] = ACTIONS(2934),
    [anon_sym_LR_DQUOTE] = ACTIONS(2934),
    [anon_sym_uR_DQUOTE] = ACTIONS(2934),
    [anon_sym_UR_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2934),
    [anon_sym_co_await] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_requires] = ACTIONS(2932),
    [sym_this] = ACTIONS(2932),
  },
  [554] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_RBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_PROGMEM] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [aux_sym_primitive_type_token1] = ACTIONS(2944),
    [anon_sym_byte] = ACTIONS(2944),
    [anon_sym_word] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [anon_sym___asm] = ACTIONS(2944),
    [aux_sym_number_literal_token1] = ACTIONS(2946),
    [aux_sym_number_literal_token2] = ACTIONS(2944),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [555] = {
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_virtual] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_RBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym__Nonnull] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [anon_sym_PROGMEM] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym__Alignas] = ACTIONS(2952),
    [aux_sym_primitive_type_token1] = ACTIONS(2952),
    [anon_sym_byte] = ACTIONS(2952),
    [anon_sym_word] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym___try] = ACTIONS(2952),
    [anon_sym___leave] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [anon_sym___asm] = ACTIONS(2952),
    [aux_sym_number_literal_token1] = ACTIONS(2954),
    [aux_sym_number_literal_token2] = ACTIONS(2952),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [556] = {
    [sym_identifier] = ACTIONS(2956),
    [aux_sym_preproc_include_token1] = ACTIONS(2956),
    [aux_sym_preproc_def_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2956),
    [sym_preproc_directive] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2956),
    [anon_sym_PLUS] = ACTIONS(2956),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2956),
    [anon_sym_SEMI] = ACTIONS(2958),
    [anon_sym___extension__] = ACTIONS(2956),
    [anon_sym_typedef] = ACTIONS(2956),
    [anon_sym_virtual] = ACTIONS(2956),
    [anon_sym_extern] = ACTIONS(2956),
    [anon_sym___attribute__] = ACTIONS(2956),
    [anon_sym_COLON_COLON] = ACTIONS(2958),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2958),
    [anon_sym___declspec] = ACTIONS(2956),
    [anon_sym___based] = ACTIONS(2956),
    [anon_sym___cdecl] = ACTIONS(2956),
    [anon_sym___clrcall] = ACTIONS(2956),
    [anon_sym___stdcall] = ACTIONS(2956),
    [anon_sym___fastcall] = ACTIONS(2956),
    [anon_sym___thiscall] = ACTIONS(2956),
    [anon_sym___vectorcall] = ACTIONS(2956),
    [anon_sym_LBRACE] = ACTIONS(2958),
    [anon_sym_RBRACE] = ACTIONS(2958),
    [anon_sym_signed] = ACTIONS(2956),
    [anon_sym_unsigned] = ACTIONS(2956),
    [anon_sym_long] = ACTIONS(2956),
    [anon_sym_short] = ACTIONS(2956),
    [anon_sym_LBRACK] = ACTIONS(2956),
    [anon_sym_static] = ACTIONS(2956),
    [anon_sym_register] = ACTIONS(2956),
    [anon_sym_inline] = ACTIONS(2956),
    [anon_sym___inline] = ACTIONS(2956),
    [anon_sym___inline__] = ACTIONS(2956),
    [anon_sym___forceinline] = ACTIONS(2956),
    [anon_sym_thread_local] = ACTIONS(2956),
    [anon_sym___thread] = ACTIONS(2956),
    [anon_sym_const] = ACTIONS(2956),
    [anon_sym_constexpr] = ACTIONS(2956),
    [anon_sym_volatile] = ACTIONS(2956),
    [anon_sym_restrict] = ACTIONS(2956),
    [anon_sym___restrict__] = ACTIONS(2956),
    [anon_sym__Atomic] = ACTIONS(2956),
    [anon_sym__Noreturn] = ACTIONS(2956),
    [anon_sym_noreturn] = ACTIONS(2956),
    [anon_sym__Nonnull] = ACTIONS(2956),
    [anon_sym_mutable] = ACTIONS(2956),
    [anon_sym_constinit] = ACTIONS(2956),
    [anon_sym_consteval] = ACTIONS(2956),
    [anon_sym_PROGMEM] = ACTIONS(2956),
    [anon_sym_alignas] = ACTIONS(2956),
    [anon_sym__Alignas] = ACTIONS(2956),
    [aux_sym_primitive_type_token1] = ACTIONS(2956),
    [anon_sym_byte] = ACTIONS(2956),
    [anon_sym_word] = ACTIONS(2956),
    [anon_sym_enum] = ACTIONS(2956),
    [anon_sym_class] = ACTIONS(2956),
    [anon_sym_struct] = ACTIONS(2956),
    [anon_sym_union] = ACTIONS(2956),
    [anon_sym_if] = ACTIONS(2956),
    [anon_sym_switch] = ACTIONS(2956),
    [anon_sym_case] = ACTIONS(2956),
    [anon_sym_default] = ACTIONS(2956),
    [anon_sym_while] = ACTIONS(2956),
    [anon_sym_do] = ACTIONS(2956),
    [anon_sym_for] = ACTIONS(2956),
    [anon_sym_return] = ACTIONS(2956),
    [anon_sym_break] = ACTIONS(2956),
    [anon_sym_continue] = ACTIONS(2956),
    [anon_sym_goto] = ACTIONS(2956),
    [anon_sym___try] = ACTIONS(2956),
    [anon_sym___leave] = ACTIONS(2956),
    [anon_sym_not] = ACTIONS(2956),
    [anon_sym_compl] = ACTIONS(2956),
    [anon_sym_DASH_DASH] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2958),
    [anon_sym_sizeof] = ACTIONS(2956),
    [anon_sym___alignof__] = ACTIONS(2956),
    [anon_sym___alignof] = ACTIONS(2956),
    [anon_sym__alignof] = ACTIONS(2956),
    [anon_sym_alignof] = ACTIONS(2956),
    [anon_sym__Alignof] = ACTIONS(2956),
    [anon_sym_offsetof] = ACTIONS(2956),
    [anon_sym__Generic] = ACTIONS(2956),
    [anon_sym_asm] = ACTIONS(2956),
    [anon_sym___asm__] = ACTIONS(2956),
    [anon_sym___asm] = ACTIONS(2956),
    [aux_sym_number_literal_token1] = ACTIONS(2958),
    [aux_sym_number_literal_token2] = ACTIONS(2956),
    [anon_sym_L_SQUOTE] = ACTIONS(2958),
    [anon_sym_u_SQUOTE] = ACTIONS(2958),
    [anon_sym_U_SQUOTE] = ACTIONS(2958),
    [anon_sym_u8_SQUOTE] = ACTIONS(2958),
    [anon_sym_SQUOTE] = ACTIONS(2958),
    [anon_sym_L_DQUOTE] = ACTIONS(2958),
    [anon_sym_u_DQUOTE] = ACTIONS(2958),
    [anon_sym_U_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8_DQUOTE] = ACTIONS(2958),
    [anon_sym_DQUOTE] = ACTIONS(2958),
    [sym_true] = ACTIONS(2956),
    [sym_false] = ACTIONS(2956),
    [anon_sym_NULL] = ACTIONS(2956),
    [anon_sym_nullptr] = ACTIONS(2956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2956),
    [anon_sym_decltype] = ACTIONS(2956),
    [anon_sym_explicit] = ACTIONS(2956),
    [anon_sym_typename] = ACTIONS(2956),
    [anon_sym_template] = ACTIONS(2956),
    [anon_sym_operator] = ACTIONS(2956),
    [anon_sym_try] = ACTIONS(2956),
    [anon_sym_delete] = ACTIONS(2956),
    [anon_sym_throw] = ACTIONS(2956),
    [anon_sym_namespace] = ACTIONS(2956),
    [anon_sym_using] = ACTIONS(2956),
    [anon_sym_static_assert] = ACTIONS(2956),
    [anon_sym_concept] = ACTIONS(2956),
    [anon_sym_co_return] = ACTIONS(2956),
    [anon_sym_co_yield] = ACTIONS(2956),
    [anon_sym_R_DQUOTE] = ACTIONS(2958),
    [anon_sym_LR_DQUOTE] = ACTIONS(2958),
    [anon_sym_uR_DQUOTE] = ACTIONS(2958),
    [anon_sym_UR_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2958),
    [anon_sym_co_await] = ACTIONS(2956),
    [anon_sym_new] = ACTIONS(2956),
    [anon_sym_requires] = ACTIONS(2956),
    [sym_this] = ACTIONS(2956),
  },
  [557] = {
    [sym_identifier] = ACTIONS(2960),
    [aux_sym_preproc_include_token1] = ACTIONS(2960),
    [aux_sym_preproc_def_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2960),
    [sym_preproc_directive] = ACTIONS(2960),
    [anon_sym_LPAREN2] = ACTIONS(2962),
    [anon_sym_BANG] = ACTIONS(2962),
    [anon_sym_TILDE] = ACTIONS(2962),
    [anon_sym_DASH] = ACTIONS(2960),
    [anon_sym_PLUS] = ACTIONS(2960),
    [anon_sym_STAR] = ACTIONS(2962),
    [anon_sym_AMP_AMP] = ACTIONS(2962),
    [anon_sym_AMP] = ACTIONS(2960),
    [anon_sym_SEMI] = ACTIONS(2962),
    [anon_sym___extension__] = ACTIONS(2960),
    [anon_sym_typedef] = ACTIONS(2960),
    [anon_sym_virtual] = ACTIONS(2960),
    [anon_sym_extern] = ACTIONS(2960),
    [anon_sym___attribute__] = ACTIONS(2960),
    [anon_sym_COLON_COLON] = ACTIONS(2962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2962),
    [anon_sym___declspec] = ACTIONS(2960),
    [anon_sym___based] = ACTIONS(2960),
    [anon_sym___cdecl] = ACTIONS(2960),
    [anon_sym___clrcall] = ACTIONS(2960),
    [anon_sym___stdcall] = ACTIONS(2960),
    [anon_sym___fastcall] = ACTIONS(2960),
    [anon_sym___thiscall] = ACTIONS(2960),
    [anon_sym___vectorcall] = ACTIONS(2960),
    [anon_sym_LBRACE] = ACTIONS(2962),
    [anon_sym_RBRACE] = ACTIONS(2962),
    [anon_sym_signed] = ACTIONS(2960),
    [anon_sym_unsigned] = ACTIONS(2960),
    [anon_sym_long] = ACTIONS(2960),
    [anon_sym_short] = ACTIONS(2960),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2960),
    [anon_sym_register] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(2960),
    [anon_sym___inline] = ACTIONS(2960),
    [anon_sym___inline__] = ACTIONS(2960),
    [anon_sym___forceinline] = ACTIONS(2960),
    [anon_sym_thread_local] = ACTIONS(2960),
    [anon_sym___thread] = ACTIONS(2960),
    [anon_sym_const] = ACTIONS(2960),
    [anon_sym_constexpr] = ACTIONS(2960),
    [anon_sym_volatile] = ACTIONS(2960),
    [anon_sym_restrict] = ACTIONS(2960),
    [anon_sym___restrict__] = ACTIONS(2960),
    [anon_sym__Atomic] = ACTIONS(2960),
    [anon_sym__Noreturn] = ACTIONS(2960),
    [anon_sym_noreturn] = ACTIONS(2960),
    [anon_sym__Nonnull] = ACTIONS(2960),
    [anon_sym_mutable] = ACTIONS(2960),
    [anon_sym_constinit] = ACTIONS(2960),
    [anon_sym_consteval] = ACTIONS(2960),
    [anon_sym_PROGMEM] = ACTIONS(2960),
    [anon_sym_alignas] = ACTIONS(2960),
    [anon_sym__Alignas] = ACTIONS(2960),
    [aux_sym_primitive_type_token1] = ACTIONS(2960),
    [anon_sym_byte] = ACTIONS(2960),
    [anon_sym_word] = ACTIONS(2960),
    [anon_sym_enum] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2960),
    [anon_sym_struct] = ACTIONS(2960),
    [anon_sym_union] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2960),
    [anon_sym_switch] = ACTIONS(2960),
    [anon_sym_case] = ACTIONS(2960),
    [anon_sym_default] = ACTIONS(2960),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_do] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2960),
    [anon_sym_return] = ACTIONS(2960),
    [anon_sym_break] = ACTIONS(2960),
    [anon_sym_continue] = ACTIONS(2960),
    [anon_sym_goto] = ACTIONS(2960),
    [anon_sym___try] = ACTIONS(2960),
    [anon_sym___leave] = ACTIONS(2960),
    [anon_sym_not] = ACTIONS(2960),
    [anon_sym_compl] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2962),
    [anon_sym_PLUS_PLUS] = ACTIONS(2962),
    [anon_sym_sizeof] = ACTIONS(2960),
    [anon_sym___alignof__] = ACTIONS(2960),
    [anon_sym___alignof] = ACTIONS(2960),
    [anon_sym__alignof] = ACTIONS(2960),
    [anon_sym_alignof] = ACTIONS(2960),
    [anon_sym__Alignof] = ACTIONS(2960),
    [anon_sym_offsetof] = ACTIONS(2960),
    [anon_sym__Generic] = ACTIONS(2960),
    [anon_sym_asm] = ACTIONS(2960),
    [anon_sym___asm__] = ACTIONS(2960),
    [anon_sym___asm] = ACTIONS(2960),
    [aux_sym_number_literal_token1] = ACTIONS(2962),
    [aux_sym_number_literal_token2] = ACTIONS(2960),
    [anon_sym_L_SQUOTE] = ACTIONS(2962),
    [anon_sym_u_SQUOTE] = ACTIONS(2962),
    [anon_sym_U_SQUOTE] = ACTIONS(2962),
    [anon_sym_u8_SQUOTE] = ACTIONS(2962),
    [anon_sym_SQUOTE] = ACTIONS(2962),
    [anon_sym_L_DQUOTE] = ACTIONS(2962),
    [anon_sym_u_DQUOTE] = ACTIONS(2962),
    [anon_sym_U_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8_DQUOTE] = ACTIONS(2962),
    [anon_sym_DQUOTE] = ACTIONS(2962),
    [sym_true] = ACTIONS(2960),
    [sym_false] = ACTIONS(2960),
    [anon_sym_NULL] = ACTIONS(2960),
    [anon_sym_nullptr] = ACTIONS(2960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2960),
    [anon_sym_decltype] = ACTIONS(2960),
    [anon_sym_explicit] = ACTIONS(2960),
    [anon_sym_typename] = ACTIONS(2960),
    [anon_sym_template] = ACTIONS(2960),
    [anon_sym_operator] = ACTIONS(2960),
    [anon_sym_try] = ACTIONS(2960),
    [anon_sym_delete] = ACTIONS(2960),
    [anon_sym_throw] = ACTIONS(2960),
    [anon_sym_namespace] = ACTIONS(2960),
    [anon_sym_using] = ACTIONS(2960),
    [anon_sym_static_assert] = ACTIONS(2960),
    [anon_sym_concept] = ACTIONS(2960),
    [anon_sym_co_return] = ACTIONS(2960),
    [anon_sym_co_yield] = ACTIONS(2960),
    [anon_sym_R_DQUOTE] = ACTIONS(2962),
    [anon_sym_LR_DQUOTE] = ACTIONS(2962),
    [anon_sym_uR_DQUOTE] = ACTIONS(2962),
    [anon_sym_UR_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2962),
    [anon_sym_co_await] = ACTIONS(2960),
    [anon_sym_new] = ACTIONS(2960),
    [anon_sym_requires] = ACTIONS(2960),
    [sym_this] = ACTIONS(2960),
  },
  [558] = {
    [sym_identifier] = ACTIONS(2960),
    [aux_sym_preproc_include_token1] = ACTIONS(2960),
    [aux_sym_preproc_def_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token2] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2960),
    [sym_preproc_directive] = ACTIONS(2960),
    [anon_sym_LPAREN2] = ACTIONS(2962),
    [anon_sym_BANG] = ACTIONS(2962),
    [anon_sym_TILDE] = ACTIONS(2962),
    [anon_sym_DASH] = ACTIONS(2960),
    [anon_sym_PLUS] = ACTIONS(2960),
    [anon_sym_STAR] = ACTIONS(2962),
    [anon_sym_AMP_AMP] = ACTIONS(2962),
    [anon_sym_AMP] = ACTIONS(2960),
    [anon_sym_SEMI] = ACTIONS(2962),
    [anon_sym___extension__] = ACTIONS(2960),
    [anon_sym_typedef] = ACTIONS(2960),
    [anon_sym_virtual] = ACTIONS(2960),
    [anon_sym_extern] = ACTIONS(2960),
    [anon_sym___attribute__] = ACTIONS(2960),
    [anon_sym_COLON_COLON] = ACTIONS(2962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2962),
    [anon_sym___declspec] = ACTIONS(2960),
    [anon_sym___based] = ACTIONS(2960),
    [anon_sym___cdecl] = ACTIONS(2960),
    [anon_sym___clrcall] = ACTIONS(2960),
    [anon_sym___stdcall] = ACTIONS(2960),
    [anon_sym___fastcall] = ACTIONS(2960),
    [anon_sym___thiscall] = ACTIONS(2960),
    [anon_sym___vectorcall] = ACTIONS(2960),
    [anon_sym_LBRACE] = ACTIONS(2962),
    [anon_sym_signed] = ACTIONS(2960),
    [anon_sym_unsigned] = ACTIONS(2960),
    [anon_sym_long] = ACTIONS(2960),
    [anon_sym_short] = ACTIONS(2960),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2960),
    [anon_sym_register] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(2960),
    [anon_sym___inline] = ACTIONS(2960),
    [anon_sym___inline__] = ACTIONS(2960),
    [anon_sym___forceinline] = ACTIONS(2960),
    [anon_sym_thread_local] = ACTIONS(2960),
    [anon_sym___thread] = ACTIONS(2960),
    [anon_sym_const] = ACTIONS(2960),
    [anon_sym_constexpr] = ACTIONS(2960),
    [anon_sym_volatile] = ACTIONS(2960),
    [anon_sym_restrict] = ACTIONS(2960),
    [anon_sym___restrict__] = ACTIONS(2960),
    [anon_sym__Atomic] = ACTIONS(2960),
    [anon_sym__Noreturn] = ACTIONS(2960),
    [anon_sym_noreturn] = ACTIONS(2960),
    [anon_sym__Nonnull] = ACTIONS(2960),
    [anon_sym_mutable] = ACTIONS(2960),
    [anon_sym_constinit] = ACTIONS(2960),
    [anon_sym_consteval] = ACTIONS(2960),
    [anon_sym_PROGMEM] = ACTIONS(2960),
    [anon_sym_alignas] = ACTIONS(2960),
    [anon_sym__Alignas] = ACTIONS(2960),
    [aux_sym_primitive_type_token1] = ACTIONS(2960),
    [anon_sym_byte] = ACTIONS(2960),
    [anon_sym_word] = ACTIONS(2960),
    [anon_sym_enum] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2960),
    [anon_sym_struct] = ACTIONS(2960),
    [anon_sym_union] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2960),
    [anon_sym_switch] = ACTIONS(2960),
    [anon_sym_case] = ACTIONS(2960),
    [anon_sym_default] = ACTIONS(2960),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_do] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2960),
    [anon_sym_return] = ACTIONS(2960),
    [anon_sym_break] = ACTIONS(2960),
    [anon_sym_continue] = ACTIONS(2960),
    [anon_sym_goto] = ACTIONS(2960),
    [anon_sym___try] = ACTIONS(2960),
    [anon_sym___leave] = ACTIONS(2960),
    [anon_sym_not] = ACTIONS(2960),
    [anon_sym_compl] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2962),
    [anon_sym_PLUS_PLUS] = ACTIONS(2962),
    [anon_sym_sizeof] = ACTIONS(2960),
    [anon_sym___alignof__] = ACTIONS(2960),
    [anon_sym___alignof] = ACTIONS(2960),
    [anon_sym__alignof] = ACTIONS(2960),
    [anon_sym_alignof] = ACTIONS(2960),
    [anon_sym__Alignof] = ACTIONS(2960),
    [anon_sym_offsetof] = ACTIONS(2960),
    [anon_sym__Generic] = ACTIONS(2960),
    [anon_sym_asm] = ACTIONS(2960),
    [anon_sym___asm__] = ACTIONS(2960),
    [anon_sym___asm] = ACTIONS(2960),
    [aux_sym_number_literal_token1] = ACTIONS(2962),
    [aux_sym_number_literal_token2] = ACTIONS(2960),
    [anon_sym_L_SQUOTE] = ACTIONS(2962),
    [anon_sym_u_SQUOTE] = ACTIONS(2962),
    [anon_sym_U_SQUOTE] = ACTIONS(2962),
    [anon_sym_u8_SQUOTE] = ACTIONS(2962),
    [anon_sym_SQUOTE] = ACTIONS(2962),
    [anon_sym_L_DQUOTE] = ACTIONS(2962),
    [anon_sym_u_DQUOTE] = ACTIONS(2962),
    [anon_sym_U_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8_DQUOTE] = ACTIONS(2962),
    [anon_sym_DQUOTE] = ACTIONS(2962),
    [sym_true] = ACTIONS(2960),
    [sym_false] = ACTIONS(2960),
    [anon_sym_NULL] = ACTIONS(2960),
    [anon_sym_nullptr] = ACTIONS(2960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2960),
    [anon_sym_decltype] = ACTIONS(2960),
    [anon_sym_explicit] = ACTIONS(2960),
    [anon_sym_typename] = ACTIONS(2960),
    [anon_sym_template] = ACTIONS(2960),
    [anon_sym_operator] = ACTIONS(2960),
    [anon_sym_try] = ACTIONS(2960),
    [anon_sym_delete] = ACTIONS(2960),
    [anon_sym_throw] = ACTIONS(2960),
    [anon_sym_namespace] = ACTIONS(2960),
    [anon_sym_using] = ACTIONS(2960),
    [anon_sym_static_assert] = ACTIONS(2960),
    [anon_sym_concept] = ACTIONS(2960),
    [anon_sym_co_return] = ACTIONS(2960),
    [anon_sym_co_yield] = ACTIONS(2960),
    [anon_sym_R_DQUOTE] = ACTIONS(2962),
    [anon_sym_LR_DQUOTE] = ACTIONS(2962),
    [anon_sym_uR_DQUOTE] = ACTIONS(2962),
    [anon_sym_UR_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2962),
    [anon_sym_co_await] = ACTIONS(2960),
    [anon_sym_new] = ACTIONS(2960),
    [anon_sym_requires] = ACTIONS(2960),
    [sym_this] = ACTIONS(2960),
  },
  [559] = {
    [sym_identifier] = ACTIONS(3202),
    [aux_sym_preproc_include_token1] = ACTIONS(3202),
    [aux_sym_preproc_def_token1] = ACTIONS(3202),
    [aux_sym_preproc_if_token1] = ACTIONS(3202),
    [aux_sym_preproc_if_token2] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3202),
    [anon_sym_LPAREN2] = ACTIONS(3204),
    [anon_sym_BANG] = ACTIONS(3204),
    [anon_sym_TILDE] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3204),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3202),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3202),
    [anon_sym_virtual] = ACTIONS(3202),
    [anon_sym_extern] = ACTIONS(3202),
    [anon_sym___attribute__] = ACTIONS(3202),
    [anon_sym_COLON_COLON] = ACTIONS(3204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3204),
    [anon_sym___declspec] = ACTIONS(3202),
    [anon_sym___based] = ACTIONS(3202),
    [anon_sym___cdecl] = ACTIONS(3202),
    [anon_sym___clrcall] = ACTIONS(3202),
    [anon_sym___stdcall] = ACTIONS(3202),
    [anon_sym___fastcall] = ACTIONS(3202),
    [anon_sym___thiscall] = ACTIONS(3202),
    [anon_sym___vectorcall] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_signed] = ACTIONS(3202),
    [anon_sym_unsigned] = ACTIONS(3202),
    [anon_sym_long] = ACTIONS(3202),
    [anon_sym_short] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [anon_sym_static] = ACTIONS(3202),
    [anon_sym_register] = ACTIONS(3202),
    [anon_sym_inline] = ACTIONS(3202),
    [anon_sym___inline] = ACTIONS(3202),
    [anon_sym___inline__] = ACTIONS(3202),
    [anon_sym___forceinline] = ACTIONS(3202),
    [anon_sym_thread_local] = ACTIONS(3202),
    [anon_sym___thread] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_constexpr] = ACTIONS(3202),
    [anon_sym_volatile] = ACTIONS(3202),
    [anon_sym_restrict] = ACTIONS(3202),
    [anon_sym___restrict__] = ACTIONS(3202),
    [anon_sym__Atomic] = ACTIONS(3202),
    [anon_sym__Noreturn] = ACTIONS(3202),
    [anon_sym_noreturn] = ACTIONS(3202),
    [anon_sym__Nonnull] = ACTIONS(3202),
    [anon_sym_mutable] = ACTIONS(3202),
    [anon_sym_constinit] = ACTIONS(3202),
    [anon_sym_consteval] = ACTIONS(3202),
    [anon_sym_PROGMEM] = ACTIONS(3202),
    [anon_sym_alignas] = ACTIONS(3202),
    [anon_sym__Alignas] = ACTIONS(3202),
    [aux_sym_primitive_type_token1] = ACTIONS(3202),
    [anon_sym_byte] = ACTIONS(3202),
    [anon_sym_word] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [anon_sym_class] = ACTIONS(3202),
    [anon_sym_struct] = ACTIONS(3202),
    [anon_sym_union] = ACTIONS(3202),
    [anon_sym_if] = ACTIONS(3202),
    [anon_sym_switch] = ACTIONS(3202),
    [anon_sym_case] = ACTIONS(3202),
    [anon_sym_default] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_do] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3202),
    [anon_sym_return] = ACTIONS(3202),
    [anon_sym_break] = ACTIONS(3202),
    [anon_sym_continue] = ACTIONS(3202),
    [anon_sym_goto] = ACTIONS(3202),
    [anon_sym___try] = ACTIONS(3202),
    [anon_sym___leave] = ACTIONS(3202),
    [anon_sym_not] = ACTIONS(3202),
    [anon_sym_compl] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_sizeof] = ACTIONS(3202),
    [anon_sym___alignof__] = ACTIONS(3202),
    [anon_sym___alignof] = ACTIONS(3202),
    [anon_sym__alignof] = ACTIONS(3202),
    [anon_sym_alignof] = ACTIONS(3202),
    [anon_sym__Alignof] = ACTIONS(3202),
    [anon_sym_offsetof] = ACTIONS(3202),
    [anon_sym__Generic] = ACTIONS(3202),
    [anon_sym_asm] = ACTIONS(3202),
    [anon_sym___asm__] = ACTIONS(3202),
    [anon_sym___asm] = ACTIONS(3202),
    [aux_sym_number_literal_token1] = ACTIONS(3204),
    [aux_sym_number_literal_token2] = ACTIONS(3202),
    [anon_sym_L_SQUOTE] = ACTIONS(3204),
    [anon_sym_u_SQUOTE] = ACTIONS(3204),
    [anon_sym_U_SQUOTE] = ACTIONS(3204),
    [anon_sym_u8_SQUOTE] = ACTIONS(3204),
    [anon_sym_SQUOTE] = ACTIONS(3204),
    [anon_sym_L_DQUOTE] = ACTIONS(3204),
    [anon_sym_u_DQUOTE] = ACTIONS(3204),
    [anon_sym_U_DQUOTE] = ACTIONS(3204),
    [anon_sym_u8_DQUOTE] = ACTIONS(3204),
    [anon_sym_DQUOTE] = ACTIONS(3204),
    [sym_true] = ACTIONS(3202),
    [sym_false] = ACTIONS(3202),
    [anon_sym_NULL] = ACTIONS(3202),
    [anon_sym_nullptr] = ACTIONS(3202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3202),
    [anon_sym_decltype] = ACTIONS(3202),
    [anon_sym_explicit] = ACTIONS(3202),
    [anon_sym_typename] = ACTIONS(3202),
    [anon_sym_template] = ACTIONS(3202),
    [anon_sym_operator] = ACTIONS(3202),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_delete] = ACTIONS(3202),
    [anon_sym_throw] = ACTIONS(3202),
    [anon_sym_namespace] = ACTIONS(3202),
    [anon_sym_using] = ACTIONS(3202),
    [anon_sym_static_assert] = ACTIONS(3202),
    [anon_sym_concept] = ACTIONS(3202),
    [anon_sym_co_return] = ACTIONS(3202),
    [anon_sym_co_yield] = ACTIONS(3202),
    [anon_sym_R_DQUOTE] = ACTIONS(3204),
    [anon_sym_LR_DQUOTE] = ACTIONS(3204),
    [anon_sym_uR_DQUOTE] = ACTIONS(3204),
    [anon_sym_UR_DQUOTE] = ACTIONS(3204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3204),
    [anon_sym_co_await] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(3202),
    [anon_sym_requires] = ACTIONS(3202),
    [sym_this] = ACTIONS(3202),
  },
  [560] = {
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_include_token1] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2968),
    [sym_preproc_directive] = ACTIONS(2968),
    [anon_sym_LPAREN2] = ACTIONS(2970),
    [anon_sym_BANG] = ACTIONS(2970),
    [anon_sym_TILDE] = ACTIONS(2970),
    [anon_sym_DASH] = ACTIONS(2968),
    [anon_sym_PLUS] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(2970),
    [anon_sym_AMP_AMP] = ACTIONS(2970),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2970),
    [anon_sym___extension__] = ACTIONS(2968),
    [anon_sym_typedef] = ACTIONS(2968),
    [anon_sym_virtual] = ACTIONS(2968),
    [anon_sym_extern] = ACTIONS(2968),
    [anon_sym___attribute__] = ACTIONS(2968),
    [anon_sym_COLON_COLON] = ACTIONS(2970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2970),
    [anon_sym___declspec] = ACTIONS(2968),
    [anon_sym___based] = ACTIONS(2968),
    [anon_sym___cdecl] = ACTIONS(2968),
    [anon_sym___clrcall] = ACTIONS(2968),
    [anon_sym___stdcall] = ACTIONS(2968),
    [anon_sym___fastcall] = ACTIONS(2968),
    [anon_sym___thiscall] = ACTIONS(2968),
    [anon_sym___vectorcall] = ACTIONS(2968),
    [anon_sym_LBRACE] = ACTIONS(2970),
    [anon_sym_RBRACE] = ACTIONS(2970),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_register] = ACTIONS(2968),
    [anon_sym_inline] = ACTIONS(2968),
    [anon_sym___inline] = ACTIONS(2968),
    [anon_sym___inline__] = ACTIONS(2968),
    [anon_sym___forceinline] = ACTIONS(2968),
    [anon_sym_thread_local] = ACTIONS(2968),
    [anon_sym___thread] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2968),
    [anon_sym_constexpr] = ACTIONS(2968),
    [anon_sym_volatile] = ACTIONS(2968),
    [anon_sym_restrict] = ACTIONS(2968),
    [anon_sym___restrict__] = ACTIONS(2968),
    [anon_sym__Atomic] = ACTIONS(2968),
    [anon_sym__Noreturn] = ACTIONS(2968),
    [anon_sym_noreturn] = ACTIONS(2968),
    [anon_sym__Nonnull] = ACTIONS(2968),
    [anon_sym_mutable] = ACTIONS(2968),
    [anon_sym_constinit] = ACTIONS(2968),
    [anon_sym_consteval] = ACTIONS(2968),
    [anon_sym_PROGMEM] = ACTIONS(2968),
    [anon_sym_alignas] = ACTIONS(2968),
    [anon_sym__Alignas] = ACTIONS(2968),
    [aux_sym_primitive_type_token1] = ACTIONS(2968),
    [anon_sym_byte] = ACTIONS(2968),
    [anon_sym_word] = ACTIONS(2968),
    [anon_sym_enum] = ACTIONS(2968),
    [anon_sym_class] = ACTIONS(2968),
    [anon_sym_struct] = ACTIONS(2968),
    [anon_sym_union] = ACTIONS(2968),
    [anon_sym_if] = ACTIONS(2968),
    [anon_sym_switch] = ACTIONS(2968),
    [anon_sym_case] = ACTIONS(2968),
    [anon_sym_default] = ACTIONS(2968),
    [anon_sym_while] = ACTIONS(2968),
    [anon_sym_do] = ACTIONS(2968),
    [anon_sym_for] = ACTIONS(2968),
    [anon_sym_return] = ACTIONS(2968),
    [anon_sym_break] = ACTIONS(2968),
    [anon_sym_continue] = ACTIONS(2968),
    [anon_sym_goto] = ACTIONS(2968),
    [anon_sym___try] = ACTIONS(2968),
    [anon_sym___leave] = ACTIONS(2968),
    [anon_sym_not] = ACTIONS(2968),
    [anon_sym_compl] = ACTIONS(2968),
    [anon_sym_DASH_DASH] = ACTIONS(2970),
    [anon_sym_PLUS_PLUS] = ACTIONS(2970),
    [anon_sym_sizeof] = ACTIONS(2968),
    [anon_sym___alignof__] = ACTIONS(2968),
    [anon_sym___alignof] = ACTIONS(2968),
    [anon_sym__alignof] = ACTIONS(2968),
    [anon_sym_alignof] = ACTIONS(2968),
    [anon_sym__Alignof] = ACTIONS(2968),
    [anon_sym_offsetof] = ACTIONS(2968),
    [anon_sym__Generic] = ACTIONS(2968),
    [anon_sym_asm] = ACTIONS(2968),
    [anon_sym___asm__] = ACTIONS(2968),
    [anon_sym___asm] = ACTIONS(2968),
    [aux_sym_number_literal_token1] = ACTIONS(2970),
    [aux_sym_number_literal_token2] = ACTIONS(2968),
    [anon_sym_L_SQUOTE] = ACTIONS(2970),
    [anon_sym_u_SQUOTE] = ACTIONS(2970),
    [anon_sym_U_SQUOTE] = ACTIONS(2970),
    [anon_sym_u8_SQUOTE] = ACTIONS(2970),
    [anon_sym_SQUOTE] = ACTIONS(2970),
    [anon_sym_L_DQUOTE] = ACTIONS(2970),
    [anon_sym_u_DQUOTE] = ACTIONS(2970),
    [anon_sym_U_DQUOTE] = ACTIONS(2970),
    [anon_sym_u8_DQUOTE] = ACTIONS(2970),
    [anon_sym_DQUOTE] = ACTIONS(2970),
    [sym_true] = ACTIONS(2968),
    [sym_false] = ACTIONS(2968),
    [anon_sym_NULL] = ACTIONS(2968),
    [anon_sym_nullptr] = ACTIONS(2968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2968),
    [anon_sym_decltype] = ACTIONS(2968),
    [anon_sym_explicit] = ACTIONS(2968),
    [anon_sym_typename] = ACTIONS(2968),
    [anon_sym_template] = ACTIONS(2968),
    [anon_sym_operator] = ACTIONS(2968),
    [anon_sym_try] = ACTIONS(2968),
    [anon_sym_delete] = ACTIONS(2968),
    [anon_sym_throw] = ACTIONS(2968),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_using] = ACTIONS(2968),
    [anon_sym_static_assert] = ACTIONS(2968),
    [anon_sym_concept] = ACTIONS(2968),
    [anon_sym_co_return] = ACTIONS(2968),
    [anon_sym_co_yield] = ACTIONS(2968),
    [anon_sym_R_DQUOTE] = ACTIONS(2970),
    [anon_sym_LR_DQUOTE] = ACTIONS(2970),
    [anon_sym_uR_DQUOTE] = ACTIONS(2970),
    [anon_sym_UR_DQUOTE] = ACTIONS(2970),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2970),
    [anon_sym_co_await] = ACTIONS(2968),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_requires] = ACTIONS(2968),
    [sym_this] = ACTIONS(2968),
  },
  [561] = {
    [sym_catch_clause] = STATE(340),
    [aux_sym_constructor_try_statement_repeat1] = STATE(340),
    [ts_builtin_sym_end] = ACTIONS(2660),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___based] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_PROGMEM] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [aux_sym_primitive_type_token1] = ACTIONS(2658),
    [anon_sym_byte] = ACTIONS(2658),
    [anon_sym_word] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym_not] = ACTIONS(2658),
    [anon_sym_compl] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [aux_sym_number_literal_token1] = ACTIONS(2660),
    [aux_sym_number_literal_token2] = ACTIONS(2658),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_explicit] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_namespace] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(2658),
    [anon_sym_static_assert] = ACTIONS(2658),
    [anon_sym_concept] = ACTIONS(2658),
    [anon_sym_co_return] = ACTIONS(2658),
    [anon_sym_co_yield] = ACTIONS(2658),
    [anon_sym_catch] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(2660),
    [anon_sym_LR_DQUOTE] = ACTIONS(2660),
    [anon_sym_uR_DQUOTE] = ACTIONS(2660),
    [anon_sym_UR_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2660),
    [anon_sym_co_await] = ACTIONS(2658),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_requires] = ACTIONS(2658),
    [sym_this] = ACTIONS(2658),
  },
  [562] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [anon_sym___asm] = ACTIONS(3162),
    [aux_sym_number_literal_token1] = ACTIONS(3164),
    [aux_sym_number_literal_token2] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [563] = {
    [sym_identifier] = ACTIONS(2956),
    [aux_sym_preproc_include_token1] = ACTIONS(2956),
    [aux_sym_preproc_def_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token2] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2956),
    [sym_preproc_directive] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2956),
    [anon_sym_PLUS] = ACTIONS(2956),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2956),
    [anon_sym_SEMI] = ACTIONS(2958),
    [anon_sym___extension__] = ACTIONS(2956),
    [anon_sym_typedef] = ACTIONS(2956),
    [anon_sym_virtual] = ACTIONS(2956),
    [anon_sym_extern] = ACTIONS(2956),
    [anon_sym___attribute__] = ACTIONS(2956),
    [anon_sym_COLON_COLON] = ACTIONS(2958),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2958),
    [anon_sym___declspec] = ACTIONS(2956),
    [anon_sym___based] = ACTIONS(2956),
    [anon_sym___cdecl] = ACTIONS(2956),
    [anon_sym___clrcall] = ACTIONS(2956),
    [anon_sym___stdcall] = ACTIONS(2956),
    [anon_sym___fastcall] = ACTIONS(2956),
    [anon_sym___thiscall] = ACTIONS(2956),
    [anon_sym___vectorcall] = ACTIONS(2956),
    [anon_sym_LBRACE] = ACTIONS(2958),
    [anon_sym_signed] = ACTIONS(2956),
    [anon_sym_unsigned] = ACTIONS(2956),
    [anon_sym_long] = ACTIONS(2956),
    [anon_sym_short] = ACTIONS(2956),
    [anon_sym_LBRACK] = ACTIONS(2956),
    [anon_sym_static] = ACTIONS(2956),
    [anon_sym_register] = ACTIONS(2956),
    [anon_sym_inline] = ACTIONS(2956),
    [anon_sym___inline] = ACTIONS(2956),
    [anon_sym___inline__] = ACTIONS(2956),
    [anon_sym___forceinline] = ACTIONS(2956),
    [anon_sym_thread_local] = ACTIONS(2956),
    [anon_sym___thread] = ACTIONS(2956),
    [anon_sym_const] = ACTIONS(2956),
    [anon_sym_constexpr] = ACTIONS(2956),
    [anon_sym_volatile] = ACTIONS(2956),
    [anon_sym_restrict] = ACTIONS(2956),
    [anon_sym___restrict__] = ACTIONS(2956),
    [anon_sym__Atomic] = ACTIONS(2956),
    [anon_sym__Noreturn] = ACTIONS(2956),
    [anon_sym_noreturn] = ACTIONS(2956),
    [anon_sym__Nonnull] = ACTIONS(2956),
    [anon_sym_mutable] = ACTIONS(2956),
    [anon_sym_constinit] = ACTIONS(2956),
    [anon_sym_consteval] = ACTIONS(2956),
    [anon_sym_PROGMEM] = ACTIONS(2956),
    [anon_sym_alignas] = ACTIONS(2956),
    [anon_sym__Alignas] = ACTIONS(2956),
    [aux_sym_primitive_type_token1] = ACTIONS(2956),
    [anon_sym_byte] = ACTIONS(2956),
    [anon_sym_word] = ACTIONS(2956),
    [anon_sym_enum] = ACTIONS(2956),
    [anon_sym_class] = ACTIONS(2956),
    [anon_sym_struct] = ACTIONS(2956),
    [anon_sym_union] = ACTIONS(2956),
    [anon_sym_if] = ACTIONS(2956),
    [anon_sym_switch] = ACTIONS(2956),
    [anon_sym_case] = ACTIONS(2956),
    [anon_sym_default] = ACTIONS(2956),
    [anon_sym_while] = ACTIONS(2956),
    [anon_sym_do] = ACTIONS(2956),
    [anon_sym_for] = ACTIONS(2956),
    [anon_sym_return] = ACTIONS(2956),
    [anon_sym_break] = ACTIONS(2956),
    [anon_sym_continue] = ACTIONS(2956),
    [anon_sym_goto] = ACTIONS(2956),
    [anon_sym___try] = ACTIONS(2956),
    [anon_sym___leave] = ACTIONS(2956),
    [anon_sym_not] = ACTIONS(2956),
    [anon_sym_compl] = ACTIONS(2956),
    [anon_sym_DASH_DASH] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2958),
    [anon_sym_sizeof] = ACTIONS(2956),
    [anon_sym___alignof__] = ACTIONS(2956),
    [anon_sym___alignof] = ACTIONS(2956),
    [anon_sym__alignof] = ACTIONS(2956),
    [anon_sym_alignof] = ACTIONS(2956),
    [anon_sym__Alignof] = ACTIONS(2956),
    [anon_sym_offsetof] = ACTIONS(2956),
    [anon_sym__Generic] = ACTIONS(2956),
    [anon_sym_asm] = ACTIONS(2956),
    [anon_sym___asm__] = ACTIONS(2956),
    [anon_sym___asm] = ACTIONS(2956),
    [aux_sym_number_literal_token1] = ACTIONS(2958),
    [aux_sym_number_literal_token2] = ACTIONS(2956),
    [anon_sym_L_SQUOTE] = ACTIONS(2958),
    [anon_sym_u_SQUOTE] = ACTIONS(2958),
    [anon_sym_U_SQUOTE] = ACTIONS(2958),
    [anon_sym_u8_SQUOTE] = ACTIONS(2958),
    [anon_sym_SQUOTE] = ACTIONS(2958),
    [anon_sym_L_DQUOTE] = ACTIONS(2958),
    [anon_sym_u_DQUOTE] = ACTIONS(2958),
    [anon_sym_U_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8_DQUOTE] = ACTIONS(2958),
    [anon_sym_DQUOTE] = ACTIONS(2958),
    [sym_true] = ACTIONS(2956),
    [sym_false] = ACTIONS(2956),
    [anon_sym_NULL] = ACTIONS(2956),
    [anon_sym_nullptr] = ACTIONS(2956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2956),
    [anon_sym_decltype] = ACTIONS(2956),
    [anon_sym_explicit] = ACTIONS(2956),
    [anon_sym_typename] = ACTIONS(2956),
    [anon_sym_template] = ACTIONS(2956),
    [anon_sym_operator] = ACTIONS(2956),
    [anon_sym_try] = ACTIONS(2956),
    [anon_sym_delete] = ACTIONS(2956),
    [anon_sym_throw] = ACTIONS(2956),
    [anon_sym_namespace] = ACTIONS(2956),
    [anon_sym_using] = ACTIONS(2956),
    [anon_sym_static_assert] = ACTIONS(2956),
    [anon_sym_concept] = ACTIONS(2956),
    [anon_sym_co_return] = ACTIONS(2956),
    [anon_sym_co_yield] = ACTIONS(2956),
    [anon_sym_R_DQUOTE] = ACTIONS(2958),
    [anon_sym_LR_DQUOTE] = ACTIONS(2958),
    [anon_sym_uR_DQUOTE] = ACTIONS(2958),
    [anon_sym_UR_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2958),
    [anon_sym_co_await] = ACTIONS(2956),
    [anon_sym_new] = ACTIONS(2956),
    [anon_sym_requires] = ACTIONS(2956),
    [sym_this] = ACTIONS(2956),
  },
  [564] = {
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token2] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_virtual] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym__Nonnull] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [anon_sym_PROGMEM] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym__Alignas] = ACTIONS(2952),
    [aux_sym_primitive_type_token1] = ACTIONS(2952),
    [anon_sym_byte] = ACTIONS(2952),
    [anon_sym_word] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym___try] = ACTIONS(2952),
    [anon_sym___leave] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [anon_sym___asm] = ACTIONS(2952),
    [aux_sym_number_literal_token1] = ACTIONS(2954),
    [aux_sym_number_literal_token2] = ACTIONS(2952),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [565] = {
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_include_token1] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token2] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_DASH] = ACTIONS(3119),
    [anon_sym_PLUS] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3121),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym___cdecl] = ACTIONS(3119),
    [anon_sym___clrcall] = ACTIONS(3119),
    [anon_sym___stdcall] = ACTIONS(3119),
    [anon_sym___fastcall] = ACTIONS(3119),
    [anon_sym___thiscall] = ACTIONS(3119),
    [anon_sym___vectorcall] = ACTIONS(3119),
    [anon_sym_LBRACE] = ACTIONS(3121),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_PROGMEM] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [aux_sym_primitive_type_token1] = ACTIONS(3119),
    [anon_sym_byte] = ACTIONS(3119),
    [anon_sym_word] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [anon_sym_if] = ACTIONS(3119),
    [anon_sym_switch] = ACTIONS(3119),
    [anon_sym_case] = ACTIONS(3119),
    [anon_sym_default] = ACTIONS(3119),
    [anon_sym_while] = ACTIONS(3119),
    [anon_sym_do] = ACTIONS(3119),
    [anon_sym_for] = ACTIONS(3119),
    [anon_sym_return] = ACTIONS(3119),
    [anon_sym_break] = ACTIONS(3119),
    [anon_sym_continue] = ACTIONS(3119),
    [anon_sym_goto] = ACTIONS(3119),
    [anon_sym___try] = ACTIONS(3119),
    [anon_sym___leave] = ACTIONS(3119),
    [anon_sym_not] = ACTIONS(3119),
    [anon_sym_compl] = ACTIONS(3119),
    [anon_sym_DASH_DASH] = ACTIONS(3121),
    [anon_sym_PLUS_PLUS] = ACTIONS(3121),
    [anon_sym_sizeof] = ACTIONS(3119),
    [anon_sym___alignof__] = ACTIONS(3119),
    [anon_sym___alignof] = ACTIONS(3119),
    [anon_sym__alignof] = ACTIONS(3119),
    [anon_sym_alignof] = ACTIONS(3119),
    [anon_sym__Alignof] = ACTIONS(3119),
    [anon_sym_offsetof] = ACTIONS(3119),
    [anon_sym__Generic] = ACTIONS(3119),
    [anon_sym_asm] = ACTIONS(3119),
    [anon_sym___asm__] = ACTIONS(3119),
    [anon_sym___asm] = ACTIONS(3119),
    [aux_sym_number_literal_token1] = ACTIONS(3121),
    [aux_sym_number_literal_token2] = ACTIONS(3119),
    [anon_sym_L_SQUOTE] = ACTIONS(3121),
    [anon_sym_u_SQUOTE] = ACTIONS(3121),
    [anon_sym_U_SQUOTE] = ACTIONS(3121),
    [anon_sym_u8_SQUOTE] = ACTIONS(3121),
    [anon_sym_SQUOTE] = ACTIONS(3121),
    [anon_sym_L_DQUOTE] = ACTIONS(3121),
    [anon_sym_u_DQUOTE] = ACTIONS(3121),
    [anon_sym_U_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8_DQUOTE] = ACTIONS(3121),
    [anon_sym_DQUOTE] = ACTIONS(3121),
    [sym_true] = ACTIONS(3119),
    [sym_false] = ACTIONS(3119),
    [anon_sym_NULL] = ACTIONS(3119),
    [anon_sym_nullptr] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_try] = ACTIONS(3119),
    [anon_sym_delete] = ACTIONS(3119),
    [anon_sym_throw] = ACTIONS(3119),
    [anon_sym_namespace] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
    [anon_sym_concept] = ACTIONS(3119),
    [anon_sym_co_return] = ACTIONS(3119),
    [anon_sym_co_yield] = ACTIONS(3119),
    [anon_sym_R_DQUOTE] = ACTIONS(3121),
    [anon_sym_LR_DQUOTE] = ACTIONS(3121),
    [anon_sym_uR_DQUOTE] = ACTIONS(3121),
    [anon_sym_UR_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3121),
    [anon_sym_co_await] = ACTIONS(3119),
    [anon_sym_new] = ACTIONS(3119),
    [anon_sym_requires] = ACTIONS(3119),
    [sym_this] = ACTIONS(3119),
  },
  [566] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_include_token1] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_BANG] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym___cdecl] = ACTIONS(2972),
    [anon_sym___clrcall] = ACTIONS(2972),
    [anon_sym___stdcall] = ACTIONS(2972),
    [anon_sym___fastcall] = ACTIONS(2972),
    [anon_sym___thiscall] = ACTIONS(2972),
    [anon_sym___vectorcall] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2974),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [anon_sym_if] = ACTIONS(2972),
    [anon_sym_switch] = ACTIONS(2972),
    [anon_sym_case] = ACTIONS(2972),
    [anon_sym_default] = ACTIONS(2972),
    [anon_sym_while] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2972),
    [anon_sym_for] = ACTIONS(2972),
    [anon_sym_return] = ACTIONS(2972),
    [anon_sym_break] = ACTIONS(2972),
    [anon_sym_continue] = ACTIONS(2972),
    [anon_sym_goto] = ACTIONS(2972),
    [anon_sym___try] = ACTIONS(2972),
    [anon_sym___leave] = ACTIONS(2972),
    [anon_sym_not] = ACTIONS(2972),
    [anon_sym_compl] = ACTIONS(2972),
    [anon_sym_DASH_DASH] = ACTIONS(2974),
    [anon_sym_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_sizeof] = ACTIONS(2972),
    [anon_sym___alignof__] = ACTIONS(2972),
    [anon_sym___alignof] = ACTIONS(2972),
    [anon_sym__alignof] = ACTIONS(2972),
    [anon_sym_alignof] = ACTIONS(2972),
    [anon_sym__Alignof] = ACTIONS(2972),
    [anon_sym_offsetof] = ACTIONS(2972),
    [anon_sym__Generic] = ACTIONS(2972),
    [anon_sym_asm] = ACTIONS(2972),
    [anon_sym___asm__] = ACTIONS(2972),
    [anon_sym___asm] = ACTIONS(2972),
    [aux_sym_number_literal_token1] = ACTIONS(2974),
    [aux_sym_number_literal_token2] = ACTIONS(2972),
    [anon_sym_L_SQUOTE] = ACTIONS(2974),
    [anon_sym_u_SQUOTE] = ACTIONS(2974),
    [anon_sym_U_SQUOTE] = ACTIONS(2974),
    [anon_sym_u8_SQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [anon_sym_L_DQUOTE] = ACTIONS(2974),
    [anon_sym_u_DQUOTE] = ACTIONS(2974),
    [anon_sym_U_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8_DQUOTE] = ACTIONS(2974),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [anon_sym_NULL] = ACTIONS(2972),
    [anon_sym_nullptr] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_try] = ACTIONS(2972),
    [anon_sym_delete] = ACTIONS(2972),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_namespace] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
    [anon_sym_concept] = ACTIONS(2972),
    [anon_sym_co_return] = ACTIONS(2972),
    [anon_sym_co_yield] = ACTIONS(2972),
    [anon_sym_R_DQUOTE] = ACTIONS(2974),
    [anon_sym_LR_DQUOTE] = ACTIONS(2974),
    [anon_sym_uR_DQUOTE] = ACTIONS(2974),
    [anon_sym_UR_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2974),
    [anon_sym_co_await] = ACTIONS(2972),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_requires] = ACTIONS(2972),
    [sym_this] = ACTIONS(2972),
  },
  [567] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_include_token1] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_BANG] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym___cdecl] = ACTIONS(2972),
    [anon_sym___clrcall] = ACTIONS(2972),
    [anon_sym___stdcall] = ACTIONS(2972),
    [anon_sym___fastcall] = ACTIONS(2972),
    [anon_sym___thiscall] = ACTIONS(2972),
    [anon_sym___vectorcall] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2974),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [anon_sym_if] = ACTIONS(2972),
    [anon_sym_switch] = ACTIONS(2972),
    [anon_sym_case] = ACTIONS(2972),
    [anon_sym_default] = ACTIONS(2972),
    [anon_sym_while] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2972),
    [anon_sym_for] = ACTIONS(2972),
    [anon_sym_return] = ACTIONS(2972),
    [anon_sym_break] = ACTIONS(2972),
    [anon_sym_continue] = ACTIONS(2972),
    [anon_sym_goto] = ACTIONS(2972),
    [anon_sym___try] = ACTIONS(2972),
    [anon_sym___leave] = ACTIONS(2972),
    [anon_sym_not] = ACTIONS(2972),
    [anon_sym_compl] = ACTIONS(2972),
    [anon_sym_DASH_DASH] = ACTIONS(2974),
    [anon_sym_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_sizeof] = ACTIONS(2972),
    [anon_sym___alignof__] = ACTIONS(2972),
    [anon_sym___alignof] = ACTIONS(2972),
    [anon_sym__alignof] = ACTIONS(2972),
    [anon_sym_alignof] = ACTIONS(2972),
    [anon_sym__Alignof] = ACTIONS(2972),
    [anon_sym_offsetof] = ACTIONS(2972),
    [anon_sym__Generic] = ACTIONS(2972),
    [anon_sym_asm] = ACTIONS(2972),
    [anon_sym___asm__] = ACTIONS(2972),
    [anon_sym___asm] = ACTIONS(2972),
    [aux_sym_number_literal_token1] = ACTIONS(2974),
    [aux_sym_number_literal_token2] = ACTIONS(2972),
    [anon_sym_L_SQUOTE] = ACTIONS(2974),
    [anon_sym_u_SQUOTE] = ACTIONS(2974),
    [anon_sym_U_SQUOTE] = ACTIONS(2974),
    [anon_sym_u8_SQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [anon_sym_L_DQUOTE] = ACTIONS(2974),
    [anon_sym_u_DQUOTE] = ACTIONS(2974),
    [anon_sym_U_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8_DQUOTE] = ACTIONS(2974),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [anon_sym_NULL] = ACTIONS(2972),
    [anon_sym_nullptr] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_try] = ACTIONS(2972),
    [anon_sym_delete] = ACTIONS(2972),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_namespace] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
    [anon_sym_concept] = ACTIONS(2972),
    [anon_sym_co_return] = ACTIONS(2972),
    [anon_sym_co_yield] = ACTIONS(2972),
    [anon_sym_R_DQUOTE] = ACTIONS(2974),
    [anon_sym_LR_DQUOTE] = ACTIONS(2974),
    [anon_sym_uR_DQUOTE] = ACTIONS(2974),
    [anon_sym_UR_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2974),
    [anon_sym_co_await] = ACTIONS(2972),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_requires] = ACTIONS(2972),
    [sym_this] = ACTIONS(2972),
  },
  [568] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_RBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_PROGMEM] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [aux_sym_primitive_type_token1] = ACTIONS(2976),
    [anon_sym_byte] = ACTIONS(2976),
    [anon_sym_word] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym___try] = ACTIONS(2976),
    [anon_sym___leave] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [aux_sym_number_literal_token1] = ACTIONS(2978),
    [aux_sym_number_literal_token2] = ACTIONS(2976),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [569] = {
    [sym_identifier] = ACTIONS(2988),
    [aux_sym_preproc_include_token1] = ACTIONS(2988),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2988),
    [sym_preproc_directive] = ACTIONS(2988),
    [anon_sym_LPAREN2] = ACTIONS(2990),
    [anon_sym_BANG] = ACTIONS(2990),
    [anon_sym_TILDE] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2988),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2990),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_typedef] = ACTIONS(2988),
    [anon_sym_virtual] = ACTIONS(2988),
    [anon_sym_extern] = ACTIONS(2988),
    [anon_sym___attribute__] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(2990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2990),
    [anon_sym___declspec] = ACTIONS(2988),
    [anon_sym___based] = ACTIONS(2988),
    [anon_sym___cdecl] = ACTIONS(2988),
    [anon_sym___clrcall] = ACTIONS(2988),
    [anon_sym___stdcall] = ACTIONS(2988),
    [anon_sym___fastcall] = ACTIONS(2988),
    [anon_sym___thiscall] = ACTIONS(2988),
    [anon_sym___vectorcall] = ACTIONS(2988),
    [anon_sym_LBRACE] = ACTIONS(2990),
    [anon_sym_RBRACE] = ACTIONS(2990),
    [anon_sym_signed] = ACTIONS(2988),
    [anon_sym_unsigned] = ACTIONS(2988),
    [anon_sym_long] = ACTIONS(2988),
    [anon_sym_short] = ACTIONS(2988),
    [anon_sym_LBRACK] = ACTIONS(2988),
    [anon_sym_static] = ACTIONS(2988),
    [anon_sym_register] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(2988),
    [anon_sym___inline] = ACTIONS(2988),
    [anon_sym___inline__] = ACTIONS(2988),
    [anon_sym___forceinline] = ACTIONS(2988),
    [anon_sym_thread_local] = ACTIONS(2988),
    [anon_sym___thread] = ACTIONS(2988),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_PROGMEM] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2988),
    [anon_sym__Alignas] = ACTIONS(2988),
    [aux_sym_primitive_type_token1] = ACTIONS(2988),
    [anon_sym_byte] = ACTIONS(2988),
    [anon_sym_word] = ACTIONS(2988),
    [anon_sym_enum] = ACTIONS(2988),
    [anon_sym_class] = ACTIONS(2988),
    [anon_sym_struct] = ACTIONS(2988),
    [anon_sym_union] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2988),
    [anon_sym_switch] = ACTIONS(2988),
    [anon_sym_case] = ACTIONS(2988),
    [anon_sym_default] = ACTIONS(2988),
    [anon_sym_while] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2988),
    [anon_sym_for] = ACTIONS(2988),
    [anon_sym_return] = ACTIONS(2988),
    [anon_sym_break] = ACTIONS(2988),
    [anon_sym_continue] = ACTIONS(2988),
    [anon_sym_goto] = ACTIONS(2988),
    [anon_sym___try] = ACTIONS(2988),
    [anon_sym___leave] = ACTIONS(2988),
    [anon_sym_not] = ACTIONS(2988),
    [anon_sym_compl] = ACTIONS(2988),
    [anon_sym_DASH_DASH] = ACTIONS(2990),
    [anon_sym_PLUS_PLUS] = ACTIONS(2990),
    [anon_sym_sizeof] = ACTIONS(2988),
    [anon_sym___alignof__] = ACTIONS(2988),
    [anon_sym___alignof] = ACTIONS(2988),
    [anon_sym__alignof] = ACTIONS(2988),
    [anon_sym_alignof] = ACTIONS(2988),
    [anon_sym__Alignof] = ACTIONS(2988),
    [anon_sym_offsetof] = ACTIONS(2988),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2988),
    [anon_sym___asm__] = ACTIONS(2988),
    [anon_sym___asm] = ACTIONS(2988),
    [aux_sym_number_literal_token1] = ACTIONS(2990),
    [aux_sym_number_literal_token2] = ACTIONS(2988),
    [anon_sym_L_SQUOTE] = ACTIONS(2990),
    [anon_sym_u_SQUOTE] = ACTIONS(2990),
    [anon_sym_U_SQUOTE] = ACTIONS(2990),
    [anon_sym_u8_SQUOTE] = ACTIONS(2990),
    [anon_sym_SQUOTE] = ACTIONS(2990),
    [anon_sym_L_DQUOTE] = ACTIONS(2990),
    [anon_sym_u_DQUOTE] = ACTIONS(2990),
    [anon_sym_U_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8_DQUOTE] = ACTIONS(2990),
    [anon_sym_DQUOTE] = ACTIONS(2990),
    [sym_true] = ACTIONS(2988),
    [sym_false] = ACTIONS(2988),
    [anon_sym_NULL] = ACTIONS(2988),
    [anon_sym_nullptr] = ACTIONS(2988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2988),
    [anon_sym_decltype] = ACTIONS(2988),
    [anon_sym_explicit] = ACTIONS(2988),
    [anon_sym_typename] = ACTIONS(2988),
    [anon_sym_template] = ACTIONS(2988),
    [anon_sym_operator] = ACTIONS(2988),
    [anon_sym_try] = ACTIONS(2988),
    [anon_sym_delete] = ACTIONS(2988),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_namespace] = ACTIONS(2988),
    [anon_sym_using] = ACTIONS(2988),
    [anon_sym_static_assert] = ACTIONS(2988),
    [anon_sym_concept] = ACTIONS(2988),
    [anon_sym_co_return] = ACTIONS(2988),
    [anon_sym_co_yield] = ACTIONS(2988),
    [anon_sym_R_DQUOTE] = ACTIONS(2990),
    [anon_sym_LR_DQUOTE] = ACTIONS(2990),
    [anon_sym_uR_DQUOTE] = ACTIONS(2990),
    [anon_sym_UR_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2990),
    [anon_sym_co_await] = ACTIONS(2988),
    [anon_sym_new] = ACTIONS(2988),
    [anon_sym_requires] = ACTIONS(2988),
    [sym_this] = ACTIONS(2988),
  },
  [570] = {
    [sym_identifier] = ACTIONS(3210),
    [aux_sym_preproc_include_token1] = ACTIONS(3210),
    [aux_sym_preproc_def_token1] = ACTIONS(3210),
    [aux_sym_preproc_if_token1] = ACTIONS(3210),
    [aux_sym_preproc_if_token2] = ACTIONS(3210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3210),
    [sym_preproc_directive] = ACTIONS(3210),
    [anon_sym_LPAREN2] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym___extension__] = ACTIONS(3210),
    [anon_sym_typedef] = ACTIONS(3210),
    [anon_sym_virtual] = ACTIONS(3210),
    [anon_sym_extern] = ACTIONS(3210),
    [anon_sym___attribute__] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3212),
    [anon_sym___declspec] = ACTIONS(3210),
    [anon_sym___based] = ACTIONS(3210),
    [anon_sym___cdecl] = ACTIONS(3210),
    [anon_sym___clrcall] = ACTIONS(3210),
    [anon_sym___stdcall] = ACTIONS(3210),
    [anon_sym___fastcall] = ACTIONS(3210),
    [anon_sym___thiscall] = ACTIONS(3210),
    [anon_sym___vectorcall] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_signed] = ACTIONS(3210),
    [anon_sym_unsigned] = ACTIONS(3210),
    [anon_sym_long] = ACTIONS(3210),
    [anon_sym_short] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_register] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym___inline] = ACTIONS(3210),
    [anon_sym___inline__] = ACTIONS(3210),
    [anon_sym___forceinline] = ACTIONS(3210),
    [anon_sym_thread_local] = ACTIONS(3210),
    [anon_sym___thread] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(3210),
    [anon_sym_restrict] = ACTIONS(3210),
    [anon_sym___restrict__] = ACTIONS(3210),
    [anon_sym__Atomic] = ACTIONS(3210),
    [anon_sym__Noreturn] = ACTIONS(3210),
    [anon_sym_noreturn] = ACTIONS(3210),
    [anon_sym__Nonnull] = ACTIONS(3210),
    [anon_sym_mutable] = ACTIONS(3210),
    [anon_sym_constinit] = ACTIONS(3210),
    [anon_sym_consteval] = ACTIONS(3210),
    [anon_sym_PROGMEM] = ACTIONS(3210),
    [anon_sym_alignas] = ACTIONS(3210),
    [anon_sym__Alignas] = ACTIONS(3210),
    [aux_sym_primitive_type_token1] = ACTIONS(3210),
    [anon_sym_byte] = ACTIONS(3210),
    [anon_sym_word] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_struct] = ACTIONS(3210),
    [anon_sym_union] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_switch] = ACTIONS(3210),
    [anon_sym_case] = ACTIONS(3210),
    [anon_sym_default] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_break] = ACTIONS(3210),
    [anon_sym_continue] = ACTIONS(3210),
    [anon_sym_goto] = ACTIONS(3210),
    [anon_sym___try] = ACTIONS(3210),
    [anon_sym___leave] = ACTIONS(3210),
    [anon_sym_not] = ACTIONS(3210),
    [anon_sym_compl] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_sizeof] = ACTIONS(3210),
    [anon_sym___alignof__] = ACTIONS(3210),
    [anon_sym___alignof] = ACTIONS(3210),
    [anon_sym__alignof] = ACTIONS(3210),
    [anon_sym_alignof] = ACTIONS(3210),
    [anon_sym__Alignof] = ACTIONS(3210),
    [anon_sym_offsetof] = ACTIONS(3210),
    [anon_sym__Generic] = ACTIONS(3210),
    [anon_sym_asm] = ACTIONS(3210),
    [anon_sym___asm__] = ACTIONS(3210),
    [anon_sym___asm] = ACTIONS(3210),
    [aux_sym_number_literal_token1] = ACTIONS(3212),
    [aux_sym_number_literal_token2] = ACTIONS(3210),
    [anon_sym_L_SQUOTE] = ACTIONS(3212),
    [anon_sym_u_SQUOTE] = ACTIONS(3212),
    [anon_sym_U_SQUOTE] = ACTIONS(3212),
    [anon_sym_u8_SQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [anon_sym_L_DQUOTE] = ACTIONS(3212),
    [anon_sym_u_DQUOTE] = ACTIONS(3212),
    [anon_sym_U_DQUOTE] = ACTIONS(3212),
    [anon_sym_u8_DQUOTE] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3212),
    [sym_true] = ACTIONS(3210),
    [sym_false] = ACTIONS(3210),
    [anon_sym_NULL] = ACTIONS(3210),
    [anon_sym_nullptr] = ACTIONS(3210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3210),
    [anon_sym_decltype] = ACTIONS(3210),
    [anon_sym_explicit] = ACTIONS(3210),
    [anon_sym_typename] = ACTIONS(3210),
    [anon_sym_template] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_delete] = ACTIONS(3210),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_namespace] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_static_assert] = ACTIONS(3210),
    [anon_sym_concept] = ACTIONS(3210),
    [anon_sym_co_return] = ACTIONS(3210),
    [anon_sym_co_yield] = ACTIONS(3210),
    [anon_sym_R_DQUOTE] = ACTIONS(3212),
    [anon_sym_LR_DQUOTE] = ACTIONS(3212),
    [anon_sym_uR_DQUOTE] = ACTIONS(3212),
    [anon_sym_UR_DQUOTE] = ACTIONS(3212),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3212),
    [anon_sym_co_await] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3210),
    [anon_sym_requires] = ACTIONS(3210),
    [sym_this] = ACTIONS(3210),
  },
  [571] = {
    [sym_identifier] = ACTIONS(3214),
    [aux_sym_preproc_include_token1] = ACTIONS(3214),
    [aux_sym_preproc_def_token1] = ACTIONS(3214),
    [aux_sym_preproc_if_token1] = ACTIONS(3214),
    [aux_sym_preproc_if_token2] = ACTIONS(3214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3214),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3214),
    [sym_preproc_directive] = ACTIONS(3214),
    [anon_sym_LPAREN2] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_typedef] = ACTIONS(3214),
    [anon_sym_virtual] = ACTIONS(3214),
    [anon_sym_extern] = ACTIONS(3214),
    [anon_sym___attribute__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3216),
    [anon_sym___declspec] = ACTIONS(3214),
    [anon_sym___based] = ACTIONS(3214),
    [anon_sym___cdecl] = ACTIONS(3214),
    [anon_sym___clrcall] = ACTIONS(3214),
    [anon_sym___stdcall] = ACTIONS(3214),
    [anon_sym___fastcall] = ACTIONS(3214),
    [anon_sym___thiscall] = ACTIONS(3214),
    [anon_sym___vectorcall] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_signed] = ACTIONS(3214),
    [anon_sym_unsigned] = ACTIONS(3214),
    [anon_sym_long] = ACTIONS(3214),
    [anon_sym_short] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_register] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym___inline] = ACTIONS(3214),
    [anon_sym___inline__] = ACTIONS(3214),
    [anon_sym___forceinline] = ACTIONS(3214),
    [anon_sym_thread_local] = ACTIONS(3214),
    [anon_sym___thread] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_constexpr] = ACTIONS(3214),
    [anon_sym_volatile] = ACTIONS(3214),
    [anon_sym_restrict] = ACTIONS(3214),
    [anon_sym___restrict__] = ACTIONS(3214),
    [anon_sym__Atomic] = ACTIONS(3214),
    [anon_sym__Noreturn] = ACTIONS(3214),
    [anon_sym_noreturn] = ACTIONS(3214),
    [anon_sym__Nonnull] = ACTIONS(3214),
    [anon_sym_mutable] = ACTIONS(3214),
    [anon_sym_constinit] = ACTIONS(3214),
    [anon_sym_consteval] = ACTIONS(3214),
    [anon_sym_PROGMEM] = ACTIONS(3214),
    [anon_sym_alignas] = ACTIONS(3214),
    [anon_sym__Alignas] = ACTIONS(3214),
    [aux_sym_primitive_type_token1] = ACTIONS(3214),
    [anon_sym_byte] = ACTIONS(3214),
    [anon_sym_word] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_struct] = ACTIONS(3214),
    [anon_sym_union] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_switch] = ACTIONS(3214),
    [anon_sym_case] = ACTIONS(3214),
    [anon_sym_default] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_do] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_break] = ACTIONS(3214),
    [anon_sym_continue] = ACTIONS(3214),
    [anon_sym_goto] = ACTIONS(3214),
    [anon_sym___try] = ACTIONS(3214),
    [anon_sym___leave] = ACTIONS(3214),
    [anon_sym_not] = ACTIONS(3214),
    [anon_sym_compl] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_sizeof] = ACTIONS(3214),
    [anon_sym___alignof__] = ACTIONS(3214),
    [anon_sym___alignof] = ACTIONS(3214),
    [anon_sym__alignof] = ACTIONS(3214),
    [anon_sym_alignof] = ACTIONS(3214),
    [anon_sym__Alignof] = ACTIONS(3214),
    [anon_sym_offsetof] = ACTIONS(3214),
    [anon_sym__Generic] = ACTIONS(3214),
    [anon_sym_asm] = ACTIONS(3214),
    [anon_sym___asm__] = ACTIONS(3214),
    [anon_sym___asm] = ACTIONS(3214),
    [aux_sym_number_literal_token1] = ACTIONS(3216),
    [aux_sym_number_literal_token2] = ACTIONS(3214),
    [anon_sym_L_SQUOTE] = ACTIONS(3216),
    [anon_sym_u_SQUOTE] = ACTIONS(3216),
    [anon_sym_U_SQUOTE] = ACTIONS(3216),
    [anon_sym_u8_SQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_L_DQUOTE] = ACTIONS(3216),
    [anon_sym_u_DQUOTE] = ACTIONS(3216),
    [anon_sym_U_DQUOTE] = ACTIONS(3216),
    [anon_sym_u8_DQUOTE] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [sym_true] = ACTIONS(3214),
    [sym_false] = ACTIONS(3214),
    [anon_sym_NULL] = ACTIONS(3214),
    [anon_sym_nullptr] = ACTIONS(3214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3214),
    [anon_sym_decltype] = ACTIONS(3214),
    [anon_sym_explicit] = ACTIONS(3214),
    [anon_sym_typename] = ACTIONS(3214),
    [anon_sym_template] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_delete] = ACTIONS(3214),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_namespace] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_concept] = ACTIONS(3214),
    [anon_sym_co_return] = ACTIONS(3214),
    [anon_sym_co_yield] = ACTIONS(3214),
    [anon_sym_R_DQUOTE] = ACTIONS(3216),
    [anon_sym_LR_DQUOTE] = ACTIONS(3216),
    [anon_sym_uR_DQUOTE] = ACTIONS(3216),
    [anon_sym_UR_DQUOTE] = ACTIONS(3216),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3216),
    [anon_sym_co_await] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_requires] = ACTIONS(3214),
    [sym_this] = ACTIONS(3214),
  },
  [572] = {
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_include_token1] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym___cdecl] = ACTIONS(2992),
    [anon_sym___clrcall] = ACTIONS(2992),
    [anon_sym___stdcall] = ACTIONS(2992),
    [anon_sym___fastcall] = ACTIONS(2992),
    [anon_sym___thiscall] = ACTIONS(2992),
    [anon_sym___vectorcall] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_RBRACE] = ACTIONS(2994),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_PROGMEM] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [aux_sym_primitive_type_token1] = ACTIONS(2992),
    [anon_sym_byte] = ACTIONS(2992),
    [anon_sym_word] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_case] = ACTIONS(2992),
    [anon_sym_default] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_goto] = ACTIONS(2992),
    [anon_sym___try] = ACTIONS(2992),
    [anon_sym___leave] = ACTIONS(2992),
    [anon_sym_not] = ACTIONS(2992),
    [anon_sym_compl] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_sizeof] = ACTIONS(2992),
    [anon_sym___alignof__] = ACTIONS(2992),
    [anon_sym___alignof] = ACTIONS(2992),
    [anon_sym__alignof] = ACTIONS(2992),
    [anon_sym_alignof] = ACTIONS(2992),
    [anon_sym__Alignof] = ACTIONS(2992),
    [anon_sym_offsetof] = ACTIONS(2992),
    [anon_sym__Generic] = ACTIONS(2992),
    [anon_sym_asm] = ACTIONS(2992),
    [anon_sym___asm__] = ACTIONS(2992),
    [anon_sym___asm] = ACTIONS(2992),
    [aux_sym_number_literal_token1] = ACTIONS(2994),
    [aux_sym_number_literal_token2] = ACTIONS(2992),
    [anon_sym_L_SQUOTE] = ACTIONS(2994),
    [anon_sym_u_SQUOTE] = ACTIONS(2994),
    [anon_sym_U_SQUOTE] = ACTIONS(2994),
    [anon_sym_u8_SQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_L_DQUOTE] = ACTIONS(2994),
    [anon_sym_u_DQUOTE] = ACTIONS(2994),
    [anon_sym_U_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8_DQUOTE] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [anon_sym_NULL] = ACTIONS(2992),
    [anon_sym_nullptr] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
    [anon_sym_concept] = ACTIONS(2992),
    [anon_sym_co_return] = ACTIONS(2992),
    [anon_sym_co_yield] = ACTIONS(2992),
    [anon_sym_R_DQUOTE] = ACTIONS(2994),
    [anon_sym_LR_DQUOTE] = ACTIONS(2994),
    [anon_sym_uR_DQUOTE] = ACTIONS(2994),
    [anon_sym_UR_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2994),
    [anon_sym_co_await] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_requires] = ACTIONS(2992),
    [sym_this] = ACTIONS(2992),
  },
  [573] = {
    [sym_identifier] = ACTIONS(3008),
    [aux_sym_preproc_include_token1] = ACTIONS(3008),
    [aux_sym_preproc_def_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3008),
    [anon_sym_LPAREN2] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(3010),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(3008),
    [anon_sym_typedef] = ACTIONS(3008),
    [anon_sym_virtual] = ACTIONS(3008),
    [anon_sym_extern] = ACTIONS(3008),
    [anon_sym___attribute__] = ACTIONS(3008),
    [anon_sym_COLON_COLON] = ACTIONS(3010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3010),
    [anon_sym___declspec] = ACTIONS(3008),
    [anon_sym___based] = ACTIONS(3008),
    [anon_sym___cdecl] = ACTIONS(3008),
    [anon_sym___clrcall] = ACTIONS(3008),
    [anon_sym___stdcall] = ACTIONS(3008),
    [anon_sym___fastcall] = ACTIONS(3008),
    [anon_sym___thiscall] = ACTIONS(3008),
    [anon_sym___vectorcall] = ACTIONS(3008),
    [anon_sym_LBRACE] = ACTIONS(3010),
    [anon_sym_RBRACE] = ACTIONS(3010),
    [anon_sym_signed] = ACTIONS(3008),
    [anon_sym_unsigned] = ACTIONS(3008),
    [anon_sym_long] = ACTIONS(3008),
    [anon_sym_short] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_register] = ACTIONS(3008),
    [anon_sym_inline] = ACTIONS(3008),
    [anon_sym___inline] = ACTIONS(3008),
    [anon_sym___inline__] = ACTIONS(3008),
    [anon_sym___forceinline] = ACTIONS(3008),
    [anon_sym_thread_local] = ACTIONS(3008),
    [anon_sym___thread] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_constexpr] = ACTIONS(3008),
    [anon_sym_volatile] = ACTIONS(3008),
    [anon_sym_restrict] = ACTIONS(3008),
    [anon_sym___restrict__] = ACTIONS(3008),
    [anon_sym__Atomic] = ACTIONS(3008),
    [anon_sym__Noreturn] = ACTIONS(3008),
    [anon_sym_noreturn] = ACTIONS(3008),
    [anon_sym__Nonnull] = ACTIONS(3008),
    [anon_sym_mutable] = ACTIONS(3008),
    [anon_sym_constinit] = ACTIONS(3008),
    [anon_sym_consteval] = ACTIONS(3008),
    [anon_sym_PROGMEM] = ACTIONS(3008),
    [anon_sym_alignas] = ACTIONS(3008),
    [anon_sym__Alignas] = ACTIONS(3008),
    [aux_sym_primitive_type_token1] = ACTIONS(3008),
    [anon_sym_byte] = ACTIONS(3008),
    [anon_sym_word] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3008),
    [anon_sym_if] = ACTIONS(3008),
    [anon_sym_switch] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3008),
    [anon_sym_default] = ACTIONS(3008),
    [anon_sym_while] = ACTIONS(3008),
    [anon_sym_do] = ACTIONS(3008),
    [anon_sym_for] = ACTIONS(3008),
    [anon_sym_return] = ACTIONS(3008),
    [anon_sym_break] = ACTIONS(3008),
    [anon_sym_continue] = ACTIONS(3008),
    [anon_sym_goto] = ACTIONS(3008),
    [anon_sym___try] = ACTIONS(3008),
    [anon_sym___leave] = ACTIONS(3008),
    [anon_sym_not] = ACTIONS(3008),
    [anon_sym_compl] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3010),
    [anon_sym_sizeof] = ACTIONS(3008),
    [anon_sym___alignof__] = ACTIONS(3008),
    [anon_sym___alignof] = ACTIONS(3008),
    [anon_sym__alignof] = ACTIONS(3008),
    [anon_sym_alignof] = ACTIONS(3008),
    [anon_sym__Alignof] = ACTIONS(3008),
    [anon_sym_offsetof] = ACTIONS(3008),
    [anon_sym__Generic] = ACTIONS(3008),
    [anon_sym_asm] = ACTIONS(3008),
    [anon_sym___asm__] = ACTIONS(3008),
    [anon_sym___asm] = ACTIONS(3008),
    [aux_sym_number_literal_token1] = ACTIONS(3010),
    [aux_sym_number_literal_token2] = ACTIONS(3008),
    [anon_sym_L_SQUOTE] = ACTIONS(3010),
    [anon_sym_u_SQUOTE] = ACTIONS(3010),
    [anon_sym_U_SQUOTE] = ACTIONS(3010),
    [anon_sym_u8_SQUOTE] = ACTIONS(3010),
    [anon_sym_SQUOTE] = ACTIONS(3010),
    [anon_sym_L_DQUOTE] = ACTIONS(3010),
    [anon_sym_u_DQUOTE] = ACTIONS(3010),
    [anon_sym_U_DQUOTE] = ACTIONS(3010),
    [anon_sym_u8_DQUOTE] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3010),
    [sym_true] = ACTIONS(3008),
    [sym_false] = ACTIONS(3008),
    [anon_sym_NULL] = ACTIONS(3008),
    [anon_sym_nullptr] = ACTIONS(3008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3008),
    [anon_sym_decltype] = ACTIONS(3008),
    [anon_sym_explicit] = ACTIONS(3008),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(3008),
    [anon_sym_operator] = ACTIONS(3008),
    [anon_sym_try] = ACTIONS(3008),
    [anon_sym_delete] = ACTIONS(3008),
    [anon_sym_throw] = ACTIONS(3008),
    [anon_sym_namespace] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_concept] = ACTIONS(3008),
    [anon_sym_co_return] = ACTIONS(3008),
    [anon_sym_co_yield] = ACTIONS(3008),
    [anon_sym_R_DQUOTE] = ACTIONS(3010),
    [anon_sym_LR_DQUOTE] = ACTIONS(3010),
    [anon_sym_uR_DQUOTE] = ACTIONS(3010),
    [anon_sym_UR_DQUOTE] = ACTIONS(3010),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3010),
    [anon_sym_co_await] = ACTIONS(3008),
    [anon_sym_new] = ACTIONS(3008),
    [anon_sym_requires] = ACTIONS(3008),
    [sym_this] = ACTIONS(3008),
  },
  [574] = {
    [sym_identifier] = ACTIONS(3012),
    [aux_sym_preproc_include_token1] = ACTIONS(3012),
    [aux_sym_preproc_def_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3012),
    [sym_preproc_directive] = ACTIONS(3012),
    [anon_sym_LPAREN2] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(3014),
    [anon_sym_TILDE] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3012),
    [anon_sym_typedef] = ACTIONS(3012),
    [anon_sym_virtual] = ACTIONS(3012),
    [anon_sym_extern] = ACTIONS(3012),
    [anon_sym___attribute__] = ACTIONS(3012),
    [anon_sym_COLON_COLON] = ACTIONS(3014),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3014),
    [anon_sym___declspec] = ACTIONS(3012),
    [anon_sym___based] = ACTIONS(3012),
    [anon_sym___cdecl] = ACTIONS(3012),
    [anon_sym___clrcall] = ACTIONS(3012),
    [anon_sym___stdcall] = ACTIONS(3012),
    [anon_sym___fastcall] = ACTIONS(3012),
    [anon_sym___thiscall] = ACTIONS(3012),
    [anon_sym___vectorcall] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_RBRACE] = ACTIONS(3014),
    [anon_sym_signed] = ACTIONS(3012),
    [anon_sym_unsigned] = ACTIONS(3012),
    [anon_sym_long] = ACTIONS(3012),
    [anon_sym_short] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_static] = ACTIONS(3012),
    [anon_sym_register] = ACTIONS(3012),
    [anon_sym_inline] = ACTIONS(3012),
    [anon_sym___inline] = ACTIONS(3012),
    [anon_sym___inline__] = ACTIONS(3012),
    [anon_sym___forceinline] = ACTIONS(3012),
    [anon_sym_thread_local] = ACTIONS(3012),
    [anon_sym___thread] = ACTIONS(3012),
    [anon_sym_const] = ACTIONS(3012),
    [anon_sym_constexpr] = ACTIONS(3012),
    [anon_sym_volatile] = ACTIONS(3012),
    [anon_sym_restrict] = ACTIONS(3012),
    [anon_sym___restrict__] = ACTIONS(3012),
    [anon_sym__Atomic] = ACTIONS(3012),
    [anon_sym__Noreturn] = ACTIONS(3012),
    [anon_sym_noreturn] = ACTIONS(3012),
    [anon_sym__Nonnull] = ACTIONS(3012),
    [anon_sym_mutable] = ACTIONS(3012),
    [anon_sym_constinit] = ACTIONS(3012),
    [anon_sym_consteval] = ACTIONS(3012),
    [anon_sym_PROGMEM] = ACTIONS(3012),
    [anon_sym_alignas] = ACTIONS(3012),
    [anon_sym__Alignas] = ACTIONS(3012),
    [aux_sym_primitive_type_token1] = ACTIONS(3012),
    [anon_sym_byte] = ACTIONS(3012),
    [anon_sym_word] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3012),
    [anon_sym_struct] = ACTIONS(3012),
    [anon_sym_union] = ACTIONS(3012),
    [anon_sym_if] = ACTIONS(3012),
    [anon_sym_switch] = ACTIONS(3012),
    [anon_sym_case] = ACTIONS(3012),
    [anon_sym_default] = ACTIONS(3012),
    [anon_sym_while] = ACTIONS(3012),
    [anon_sym_do] = ACTIONS(3012),
    [anon_sym_for] = ACTIONS(3012),
    [anon_sym_return] = ACTIONS(3012),
    [anon_sym_break] = ACTIONS(3012),
    [anon_sym_continue] = ACTIONS(3012),
    [anon_sym_goto] = ACTIONS(3012),
    [anon_sym___try] = ACTIONS(3012),
    [anon_sym___leave] = ACTIONS(3012),
    [anon_sym_not] = ACTIONS(3012),
    [anon_sym_compl] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3014),
    [anon_sym_PLUS_PLUS] = ACTIONS(3014),
    [anon_sym_sizeof] = ACTIONS(3012),
    [anon_sym___alignof__] = ACTIONS(3012),
    [anon_sym___alignof] = ACTIONS(3012),
    [anon_sym__alignof] = ACTIONS(3012),
    [anon_sym_alignof] = ACTIONS(3012),
    [anon_sym__Alignof] = ACTIONS(3012),
    [anon_sym_offsetof] = ACTIONS(3012),
    [anon_sym__Generic] = ACTIONS(3012),
    [anon_sym_asm] = ACTIONS(3012),
    [anon_sym___asm__] = ACTIONS(3012),
    [anon_sym___asm] = ACTIONS(3012),
    [aux_sym_number_literal_token1] = ACTIONS(3014),
    [aux_sym_number_literal_token2] = ACTIONS(3012),
    [anon_sym_L_SQUOTE] = ACTIONS(3014),
    [anon_sym_u_SQUOTE] = ACTIONS(3014),
    [anon_sym_U_SQUOTE] = ACTIONS(3014),
    [anon_sym_u8_SQUOTE] = ACTIONS(3014),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [anon_sym_L_DQUOTE] = ACTIONS(3014),
    [anon_sym_u_DQUOTE] = ACTIONS(3014),
    [anon_sym_U_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8_DQUOTE] = ACTIONS(3014),
    [anon_sym_DQUOTE] = ACTIONS(3014),
    [sym_true] = ACTIONS(3012),
    [sym_false] = ACTIONS(3012),
    [anon_sym_NULL] = ACTIONS(3012),
    [anon_sym_nullptr] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3012),
    [anon_sym_decltype] = ACTIONS(3012),
    [anon_sym_explicit] = ACTIONS(3012),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(3012),
    [anon_sym_try] = ACTIONS(3012),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_throw] = ACTIONS(3012),
    [anon_sym_namespace] = ACTIONS(3012),
    [anon_sym_using] = ACTIONS(3012),
    [anon_sym_static_assert] = ACTIONS(3012),
    [anon_sym_concept] = ACTIONS(3012),
    [anon_sym_co_return] = ACTIONS(3012),
    [anon_sym_co_yield] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3012),
    [anon_sym_new] = ACTIONS(3012),
    [anon_sym_requires] = ACTIONS(3012),
    [sym_this] = ACTIONS(3012),
  },
  [575] = {
    [sym_identifier] = ACTIONS(3016),
    [aux_sym_preproc_include_token1] = ACTIONS(3016),
    [aux_sym_preproc_def_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3016),
    [sym_preproc_directive] = ACTIONS(3016),
    [anon_sym_LPAREN2] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym___extension__] = ACTIONS(3016),
    [anon_sym_typedef] = ACTIONS(3016),
    [anon_sym_virtual] = ACTIONS(3016),
    [anon_sym_extern] = ACTIONS(3016),
    [anon_sym___attribute__] = ACTIONS(3016),
    [anon_sym_COLON_COLON] = ACTIONS(3018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3018),
    [anon_sym___declspec] = ACTIONS(3016),
    [anon_sym___based] = ACTIONS(3016),
    [anon_sym___cdecl] = ACTIONS(3016),
    [anon_sym___clrcall] = ACTIONS(3016),
    [anon_sym___stdcall] = ACTIONS(3016),
    [anon_sym___fastcall] = ACTIONS(3016),
    [anon_sym___thiscall] = ACTIONS(3016),
    [anon_sym___vectorcall] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3018),
    [anon_sym_RBRACE] = ACTIONS(3018),
    [anon_sym_signed] = ACTIONS(3016),
    [anon_sym_unsigned] = ACTIONS(3016),
    [anon_sym_long] = ACTIONS(3016),
    [anon_sym_short] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_register] = ACTIONS(3016),
    [anon_sym_inline] = ACTIONS(3016),
    [anon_sym___inline] = ACTIONS(3016),
    [anon_sym___inline__] = ACTIONS(3016),
    [anon_sym___forceinline] = ACTIONS(3016),
    [anon_sym_thread_local] = ACTIONS(3016),
    [anon_sym___thread] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_constexpr] = ACTIONS(3016),
    [anon_sym_volatile] = ACTIONS(3016),
    [anon_sym_restrict] = ACTIONS(3016),
    [anon_sym___restrict__] = ACTIONS(3016),
    [anon_sym__Atomic] = ACTIONS(3016),
    [anon_sym__Noreturn] = ACTIONS(3016),
    [anon_sym_noreturn] = ACTIONS(3016),
    [anon_sym__Nonnull] = ACTIONS(3016),
    [anon_sym_mutable] = ACTIONS(3016),
    [anon_sym_constinit] = ACTIONS(3016),
    [anon_sym_consteval] = ACTIONS(3016),
    [anon_sym_PROGMEM] = ACTIONS(3016),
    [anon_sym_alignas] = ACTIONS(3016),
    [anon_sym__Alignas] = ACTIONS(3016),
    [aux_sym_primitive_type_token1] = ACTIONS(3016),
    [anon_sym_byte] = ACTIONS(3016),
    [anon_sym_word] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_struct] = ACTIONS(3016),
    [anon_sym_union] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_switch] = ACTIONS(3016),
    [anon_sym_case] = ACTIONS(3016),
    [anon_sym_default] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3016),
    [anon_sym_return] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3016),
    [anon_sym_continue] = ACTIONS(3016),
    [anon_sym_goto] = ACTIONS(3016),
    [anon_sym___try] = ACTIONS(3016),
    [anon_sym___leave] = ACTIONS(3016),
    [anon_sym_not] = ACTIONS(3016),
    [anon_sym_compl] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3018),
    [anon_sym_sizeof] = ACTIONS(3016),
    [anon_sym___alignof__] = ACTIONS(3016),
    [anon_sym___alignof] = ACTIONS(3016),
    [anon_sym__alignof] = ACTIONS(3016),
    [anon_sym_alignof] = ACTIONS(3016),
    [anon_sym__Alignof] = ACTIONS(3016),
    [anon_sym_offsetof] = ACTIONS(3016),
    [anon_sym__Generic] = ACTIONS(3016),
    [anon_sym_asm] = ACTIONS(3016),
    [anon_sym___asm__] = ACTIONS(3016),
    [anon_sym___asm] = ACTIONS(3016),
    [aux_sym_number_literal_token1] = ACTIONS(3018),
    [aux_sym_number_literal_token2] = ACTIONS(3016),
    [anon_sym_L_SQUOTE] = ACTIONS(3018),
    [anon_sym_u_SQUOTE] = ACTIONS(3018),
    [anon_sym_U_SQUOTE] = ACTIONS(3018),
    [anon_sym_u8_SQUOTE] = ACTIONS(3018),
    [anon_sym_SQUOTE] = ACTIONS(3018),
    [anon_sym_L_DQUOTE] = ACTIONS(3018),
    [anon_sym_u_DQUOTE] = ACTIONS(3018),
    [anon_sym_U_DQUOTE] = ACTIONS(3018),
    [anon_sym_u8_DQUOTE] = ACTIONS(3018),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [sym_true] = ACTIONS(3016),
    [sym_false] = ACTIONS(3016),
    [anon_sym_NULL] = ACTIONS(3016),
    [anon_sym_nullptr] = ACTIONS(3016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3016),
    [anon_sym_decltype] = ACTIONS(3016),
    [anon_sym_explicit] = ACTIONS(3016),
    [anon_sym_typename] = ACTIONS(3016),
    [anon_sym_template] = ACTIONS(3016),
    [anon_sym_operator] = ACTIONS(3016),
    [anon_sym_try] = ACTIONS(3016),
    [anon_sym_delete] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3016),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3016),
    [anon_sym_concept] = ACTIONS(3016),
    [anon_sym_co_return] = ACTIONS(3016),
    [anon_sym_co_yield] = ACTIONS(3016),
    [anon_sym_R_DQUOTE] = ACTIONS(3018),
    [anon_sym_LR_DQUOTE] = ACTIONS(3018),
    [anon_sym_uR_DQUOTE] = ACTIONS(3018),
    [anon_sym_UR_DQUOTE] = ACTIONS(3018),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3018),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_requires] = ACTIONS(3016),
    [sym_this] = ACTIONS(3016),
  },
  [576] = {
    [sym_identifier] = ACTIONS(3020),
    [aux_sym_preproc_include_token1] = ACTIONS(3020),
    [aux_sym_preproc_def_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3020),
    [sym_preproc_directive] = ACTIONS(3020),
    [anon_sym_LPAREN2] = ACTIONS(3022),
    [anon_sym_BANG] = ACTIONS(3022),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3022),
    [anon_sym_AMP] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym___extension__] = ACTIONS(3020),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_virtual] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(3020),
    [anon_sym___attribute__] = ACTIONS(3020),
    [anon_sym_COLON_COLON] = ACTIONS(3022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(3020),
    [anon_sym___based] = ACTIONS(3020),
    [anon_sym___cdecl] = ACTIONS(3020),
    [anon_sym___clrcall] = ACTIONS(3020),
    [anon_sym___stdcall] = ACTIONS(3020),
    [anon_sym___fastcall] = ACTIONS(3020),
    [anon_sym___thiscall] = ACTIONS(3020),
    [anon_sym___vectorcall] = ACTIONS(3020),
    [anon_sym_LBRACE] = ACTIONS(3022),
    [anon_sym_RBRACE] = ACTIONS(3022),
    [anon_sym_signed] = ACTIONS(3020),
    [anon_sym_unsigned] = ACTIONS(3020),
    [anon_sym_long] = ACTIONS(3020),
    [anon_sym_short] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_register] = ACTIONS(3020),
    [anon_sym_inline] = ACTIONS(3020),
    [anon_sym___inline] = ACTIONS(3020),
    [anon_sym___inline__] = ACTIONS(3020),
    [anon_sym___forceinline] = ACTIONS(3020),
    [anon_sym_thread_local] = ACTIONS(3020),
    [anon_sym___thread] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_constexpr] = ACTIONS(3020),
    [anon_sym_volatile] = ACTIONS(3020),
    [anon_sym_restrict] = ACTIONS(3020),
    [anon_sym___restrict__] = ACTIONS(3020),
    [anon_sym__Atomic] = ACTIONS(3020),
    [anon_sym__Noreturn] = ACTIONS(3020),
    [anon_sym_noreturn] = ACTIONS(3020),
    [anon_sym__Nonnull] = ACTIONS(3020),
    [anon_sym_mutable] = ACTIONS(3020),
    [anon_sym_constinit] = ACTIONS(3020),
    [anon_sym_consteval] = ACTIONS(3020),
    [anon_sym_PROGMEM] = ACTIONS(3020),
    [anon_sym_alignas] = ACTIONS(3020),
    [anon_sym__Alignas] = ACTIONS(3020),
    [aux_sym_primitive_type_token1] = ACTIONS(3020),
    [anon_sym_byte] = ACTIONS(3020),
    [anon_sym_word] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_struct] = ACTIONS(3020),
    [anon_sym_union] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(3020),
    [anon_sym_switch] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3020),
    [anon_sym_default] = ACTIONS(3020),
    [anon_sym_while] = ACTIONS(3020),
    [anon_sym_do] = ACTIONS(3020),
    [anon_sym_for] = ACTIONS(3020),
    [anon_sym_return] = ACTIONS(3020),
    [anon_sym_break] = ACTIONS(3020),
    [anon_sym_continue] = ACTIONS(3020),
    [anon_sym_goto] = ACTIONS(3020),
    [anon_sym___try] = ACTIONS(3020),
    [anon_sym___leave] = ACTIONS(3020),
    [anon_sym_not] = ACTIONS(3020),
    [anon_sym_compl] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3022),
    [anon_sym_sizeof] = ACTIONS(3020),
    [anon_sym___alignof__] = ACTIONS(3020),
    [anon_sym___alignof] = ACTIONS(3020),
    [anon_sym__alignof] = ACTIONS(3020),
    [anon_sym_alignof] = ACTIONS(3020),
    [anon_sym__Alignof] = ACTIONS(3020),
    [anon_sym_offsetof] = ACTIONS(3020),
    [anon_sym__Generic] = ACTIONS(3020),
    [anon_sym_asm] = ACTIONS(3020),
    [anon_sym___asm__] = ACTIONS(3020),
    [anon_sym___asm] = ACTIONS(3020),
    [aux_sym_number_literal_token1] = ACTIONS(3022),
    [aux_sym_number_literal_token2] = ACTIONS(3020),
    [anon_sym_L_SQUOTE] = ACTIONS(3022),
    [anon_sym_u_SQUOTE] = ACTIONS(3022),
    [anon_sym_U_SQUOTE] = ACTIONS(3022),
    [anon_sym_u8_SQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3022),
    [anon_sym_L_DQUOTE] = ACTIONS(3022),
    [anon_sym_u_DQUOTE] = ACTIONS(3022),
    [anon_sym_U_DQUOTE] = ACTIONS(3022),
    [anon_sym_u8_DQUOTE] = ACTIONS(3022),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [sym_true] = ACTIONS(3020),
    [sym_false] = ACTIONS(3020),
    [anon_sym_NULL] = ACTIONS(3020),
    [anon_sym_nullptr] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3020),
    [anon_sym_decltype] = ACTIONS(3020),
    [anon_sym_explicit] = ACTIONS(3020),
    [anon_sym_typename] = ACTIONS(3020),
    [anon_sym_template] = ACTIONS(3020),
    [anon_sym_operator] = ACTIONS(3020),
    [anon_sym_try] = ACTIONS(3020),
    [anon_sym_delete] = ACTIONS(3020),
    [anon_sym_throw] = ACTIONS(3020),
    [anon_sym_namespace] = ACTIONS(3020),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3020),
    [anon_sym_concept] = ACTIONS(3020),
    [anon_sym_co_return] = ACTIONS(3020),
    [anon_sym_co_yield] = ACTIONS(3020),
    [anon_sym_R_DQUOTE] = ACTIONS(3022),
    [anon_sym_LR_DQUOTE] = ACTIONS(3022),
    [anon_sym_uR_DQUOTE] = ACTIONS(3022),
    [anon_sym_UR_DQUOTE] = ACTIONS(3022),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3022),
    [anon_sym_co_await] = ACTIONS(3020),
    [anon_sym_new] = ACTIONS(3020),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3020),
  },
  [577] = {
    [sym_identifier] = ACTIONS(3024),
    [aux_sym_preproc_include_token1] = ACTIONS(3024),
    [aux_sym_preproc_def_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token1] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3024),
    [sym_preproc_directive] = ACTIONS(3024),
    [anon_sym_LPAREN2] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP_AMP] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(3024),
    [anon_sym_typedef] = ACTIONS(3024),
    [anon_sym_virtual] = ACTIONS(3024),
    [anon_sym_extern] = ACTIONS(3024),
    [anon_sym___attribute__] = ACTIONS(3024),
    [anon_sym_COLON_COLON] = ACTIONS(3026),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3026),
    [anon_sym___declspec] = ACTIONS(3024),
    [anon_sym___based] = ACTIONS(3024),
    [anon_sym___cdecl] = ACTIONS(3024),
    [anon_sym___clrcall] = ACTIONS(3024),
    [anon_sym___stdcall] = ACTIONS(3024),
    [anon_sym___fastcall] = ACTIONS(3024),
    [anon_sym___thiscall] = ACTIONS(3024),
    [anon_sym___vectorcall] = ACTIONS(3024),
    [anon_sym_LBRACE] = ACTIONS(3026),
    [anon_sym_RBRACE] = ACTIONS(3026),
    [anon_sym_signed] = ACTIONS(3024),
    [anon_sym_unsigned] = ACTIONS(3024),
    [anon_sym_long] = ACTIONS(3024),
    [anon_sym_short] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_static] = ACTIONS(3024),
    [anon_sym_register] = ACTIONS(3024),
    [anon_sym_inline] = ACTIONS(3024),
    [anon_sym___inline] = ACTIONS(3024),
    [anon_sym___inline__] = ACTIONS(3024),
    [anon_sym___forceinline] = ACTIONS(3024),
    [anon_sym_thread_local] = ACTIONS(3024),
    [anon_sym___thread] = ACTIONS(3024),
    [anon_sym_const] = ACTIONS(3024),
    [anon_sym_constexpr] = ACTIONS(3024),
    [anon_sym_volatile] = ACTIONS(3024),
    [anon_sym_restrict] = ACTIONS(3024),
    [anon_sym___restrict__] = ACTIONS(3024),
    [anon_sym__Atomic] = ACTIONS(3024),
    [anon_sym__Noreturn] = ACTIONS(3024),
    [anon_sym_noreturn] = ACTIONS(3024),
    [anon_sym__Nonnull] = ACTIONS(3024),
    [anon_sym_mutable] = ACTIONS(3024),
    [anon_sym_constinit] = ACTIONS(3024),
    [anon_sym_consteval] = ACTIONS(3024),
    [anon_sym_PROGMEM] = ACTIONS(3024),
    [anon_sym_alignas] = ACTIONS(3024),
    [anon_sym__Alignas] = ACTIONS(3024),
    [aux_sym_primitive_type_token1] = ACTIONS(3024),
    [anon_sym_byte] = ACTIONS(3024),
    [anon_sym_word] = ACTIONS(3024),
    [anon_sym_enum] = ACTIONS(3024),
    [anon_sym_class] = ACTIONS(3024),
    [anon_sym_struct] = ACTIONS(3024),
    [anon_sym_union] = ACTIONS(3024),
    [anon_sym_if] = ACTIONS(3024),
    [anon_sym_switch] = ACTIONS(3024),
    [anon_sym_case] = ACTIONS(3024),
    [anon_sym_default] = ACTIONS(3024),
    [anon_sym_while] = ACTIONS(3024),
    [anon_sym_do] = ACTIONS(3024),
    [anon_sym_for] = ACTIONS(3024),
    [anon_sym_return] = ACTIONS(3024),
    [anon_sym_break] = ACTIONS(3024),
    [anon_sym_continue] = ACTIONS(3024),
    [anon_sym_goto] = ACTIONS(3024),
    [anon_sym___try] = ACTIONS(3024),
    [anon_sym___leave] = ACTIONS(3024),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_compl] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3026),
    [anon_sym_PLUS_PLUS] = ACTIONS(3026),
    [anon_sym_sizeof] = ACTIONS(3024),
    [anon_sym___alignof__] = ACTIONS(3024),
    [anon_sym___alignof] = ACTIONS(3024),
    [anon_sym__alignof] = ACTIONS(3024),
    [anon_sym_alignof] = ACTIONS(3024),
    [anon_sym__Alignof] = ACTIONS(3024),
    [anon_sym_offsetof] = ACTIONS(3024),
    [anon_sym__Generic] = ACTIONS(3024),
    [anon_sym_asm] = ACTIONS(3024),
    [anon_sym___asm__] = ACTIONS(3024),
    [anon_sym___asm] = ACTIONS(3024),
    [aux_sym_number_literal_token1] = ACTIONS(3026),
    [aux_sym_number_literal_token2] = ACTIONS(3024),
    [anon_sym_L_SQUOTE] = ACTIONS(3026),
    [anon_sym_u_SQUOTE] = ACTIONS(3026),
    [anon_sym_U_SQUOTE] = ACTIONS(3026),
    [anon_sym_u8_SQUOTE] = ACTIONS(3026),
    [anon_sym_SQUOTE] = ACTIONS(3026),
    [anon_sym_L_DQUOTE] = ACTIONS(3026),
    [anon_sym_u_DQUOTE] = ACTIONS(3026),
    [anon_sym_U_DQUOTE] = ACTIONS(3026),
    [anon_sym_u8_DQUOTE] = ACTIONS(3026),
    [anon_sym_DQUOTE] = ACTIONS(3026),
    [sym_true] = ACTIONS(3024),
    [sym_false] = ACTIONS(3024),
    [anon_sym_NULL] = ACTIONS(3024),
    [anon_sym_nullptr] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3024),
    [anon_sym_decltype] = ACTIONS(3024),
    [anon_sym_explicit] = ACTIONS(3024),
    [anon_sym_typename] = ACTIONS(3024),
    [anon_sym_template] = ACTIONS(3024),
    [anon_sym_operator] = ACTIONS(3024),
    [anon_sym_try] = ACTIONS(3024),
    [anon_sym_delete] = ACTIONS(3024),
    [anon_sym_throw] = ACTIONS(3024),
    [anon_sym_namespace] = ACTIONS(3024),
    [anon_sym_using] = ACTIONS(3024),
    [anon_sym_static_assert] = ACTIONS(3024),
    [anon_sym_concept] = ACTIONS(3024),
    [anon_sym_co_return] = ACTIONS(3024),
    [anon_sym_co_yield] = ACTIONS(3024),
    [anon_sym_R_DQUOTE] = ACTIONS(3026),
    [anon_sym_LR_DQUOTE] = ACTIONS(3026),
    [anon_sym_uR_DQUOTE] = ACTIONS(3026),
    [anon_sym_UR_DQUOTE] = ACTIONS(3026),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3026),
    [anon_sym_co_await] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3024),
    [anon_sym_requires] = ACTIONS(3024),
    [sym_this] = ACTIONS(3024),
  },
  [578] = {
    [sym_identifier] = ACTIONS(3032),
    [aux_sym_preproc_include_token1] = ACTIONS(3032),
    [aux_sym_preproc_def_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3032),
    [sym_preproc_directive] = ACTIONS(3032),
    [anon_sym_LPAREN2] = ACTIONS(3034),
    [anon_sym_BANG] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym___extension__] = ACTIONS(3032),
    [anon_sym_typedef] = ACTIONS(3032),
    [anon_sym_virtual] = ACTIONS(3032),
    [anon_sym_extern] = ACTIONS(3032),
    [anon_sym___attribute__] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3034),
    [anon_sym___declspec] = ACTIONS(3032),
    [anon_sym___based] = ACTIONS(3032),
    [anon_sym___cdecl] = ACTIONS(3032),
    [anon_sym___clrcall] = ACTIONS(3032),
    [anon_sym___stdcall] = ACTIONS(3032),
    [anon_sym___fastcall] = ACTIONS(3032),
    [anon_sym___thiscall] = ACTIONS(3032),
    [anon_sym___vectorcall] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_RBRACE] = ACTIONS(3034),
    [anon_sym_signed] = ACTIONS(3032),
    [anon_sym_unsigned] = ACTIONS(3032),
    [anon_sym_long] = ACTIONS(3032),
    [anon_sym_short] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_register] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym___inline] = ACTIONS(3032),
    [anon_sym___inline__] = ACTIONS(3032),
    [anon_sym___forceinline] = ACTIONS(3032),
    [anon_sym_thread_local] = ACTIONS(3032),
    [anon_sym___thread] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_constexpr] = ACTIONS(3032),
    [anon_sym_volatile] = ACTIONS(3032),
    [anon_sym_restrict] = ACTIONS(3032),
    [anon_sym___restrict__] = ACTIONS(3032),
    [anon_sym__Atomic] = ACTIONS(3032),
    [anon_sym__Noreturn] = ACTIONS(3032),
    [anon_sym_noreturn] = ACTIONS(3032),
    [anon_sym__Nonnull] = ACTIONS(3032),
    [anon_sym_mutable] = ACTIONS(3032),
    [anon_sym_constinit] = ACTIONS(3032),
    [anon_sym_consteval] = ACTIONS(3032),
    [anon_sym_PROGMEM] = ACTIONS(3032),
    [anon_sym_alignas] = ACTIONS(3032),
    [anon_sym__Alignas] = ACTIONS(3032),
    [aux_sym_primitive_type_token1] = ACTIONS(3032),
    [anon_sym_byte] = ACTIONS(3032),
    [anon_sym_word] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_class] = ACTIONS(3032),
    [anon_sym_struct] = ACTIONS(3032),
    [anon_sym_union] = ACTIONS(3032),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_switch] = ACTIONS(3032),
    [anon_sym_case] = ACTIONS(3032),
    [anon_sym_default] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_do] = ACTIONS(3032),
    [anon_sym_for] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_break] = ACTIONS(3032),
    [anon_sym_continue] = ACTIONS(3032),
    [anon_sym_goto] = ACTIONS(3032),
    [anon_sym___try] = ACTIONS(3032),
    [anon_sym___leave] = ACTIONS(3032),
    [anon_sym_not] = ACTIONS(3032),
    [anon_sym_compl] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_sizeof] = ACTIONS(3032),
    [anon_sym___alignof__] = ACTIONS(3032),
    [anon_sym___alignof] = ACTIONS(3032),
    [anon_sym__alignof] = ACTIONS(3032),
    [anon_sym_alignof] = ACTIONS(3032),
    [anon_sym__Alignof] = ACTIONS(3032),
    [anon_sym_offsetof] = ACTIONS(3032),
    [anon_sym__Generic] = ACTIONS(3032),
    [anon_sym_asm] = ACTIONS(3032),
    [anon_sym___asm__] = ACTIONS(3032),
    [anon_sym___asm] = ACTIONS(3032),
    [aux_sym_number_literal_token1] = ACTIONS(3034),
    [aux_sym_number_literal_token2] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3034),
    [anon_sym_u_SQUOTE] = ACTIONS(3034),
    [anon_sym_U_SQUOTE] = ACTIONS(3034),
    [anon_sym_u8_SQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [anon_sym_L_DQUOTE] = ACTIONS(3034),
    [anon_sym_u_DQUOTE] = ACTIONS(3034),
    [anon_sym_U_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8_DQUOTE] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [anon_sym_NULL] = ACTIONS(3032),
    [anon_sym_nullptr] = ACTIONS(3032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3032),
    [anon_sym_decltype] = ACTIONS(3032),
    [anon_sym_explicit] = ACTIONS(3032),
    [anon_sym_typename] = ACTIONS(3032),
    [anon_sym_template] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_delete] = ACTIONS(3032),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_namespace] = ACTIONS(3032),
    [anon_sym_using] = ACTIONS(3032),
    [anon_sym_static_assert] = ACTIONS(3032),
    [anon_sym_concept] = ACTIONS(3032),
    [anon_sym_co_return] = ACTIONS(3032),
    [anon_sym_co_yield] = ACTIONS(3032),
    [anon_sym_R_DQUOTE] = ACTIONS(3034),
    [anon_sym_LR_DQUOTE] = ACTIONS(3034),
    [anon_sym_uR_DQUOTE] = ACTIONS(3034),
    [anon_sym_UR_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3034),
    [anon_sym_co_await] = ACTIONS(3032),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_requires] = ACTIONS(3032),
    [sym_this] = ACTIONS(3032),
  },
  [579] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym__Nonnull] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym__Alignas] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym___try] = ACTIONS(3036),
    [anon_sym___leave] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [anon_sym___asm] = ACTIONS(3036),
    [aux_sym_number_literal_token1] = ACTIONS(3038),
    [aux_sym_number_literal_token2] = ACTIONS(3036),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [580] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3772),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_initializer_list] = STATE(3859),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [aux_sym_preproc_if_token2] = ACTIONS(1915),
    [aux_sym_preproc_else_token1] = ACTIONS(1915),
    [aux_sym_preproc_elif_token1] = ACTIONS(1913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1915),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1915),
    [anon_sym_GT_GT] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [581] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_RBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_PROGMEM] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [aux_sym_primitive_type_token1] = ACTIONS(3051),
    [anon_sym_byte] = ACTIONS(3051),
    [anon_sym_word] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym___try] = ACTIONS(3051),
    [anon_sym___leave] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [anon_sym___asm] = ACTIONS(3051),
    [aux_sym_number_literal_token1] = ACTIONS(3053),
    [aux_sym_number_literal_token2] = ACTIONS(3051),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [582] = {
    [sym_identifier] = ACTIONS(3024),
    [aux_sym_preproc_include_token1] = ACTIONS(3024),
    [aux_sym_preproc_def_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token2] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3024),
    [sym_preproc_directive] = ACTIONS(3024),
    [anon_sym_LPAREN2] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP_AMP] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(3024),
    [anon_sym_typedef] = ACTIONS(3024),
    [anon_sym_virtual] = ACTIONS(3024),
    [anon_sym_extern] = ACTIONS(3024),
    [anon_sym___attribute__] = ACTIONS(3024),
    [anon_sym_COLON_COLON] = ACTIONS(3026),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3026),
    [anon_sym___declspec] = ACTIONS(3024),
    [anon_sym___based] = ACTIONS(3024),
    [anon_sym___cdecl] = ACTIONS(3024),
    [anon_sym___clrcall] = ACTIONS(3024),
    [anon_sym___stdcall] = ACTIONS(3024),
    [anon_sym___fastcall] = ACTIONS(3024),
    [anon_sym___thiscall] = ACTIONS(3024),
    [anon_sym___vectorcall] = ACTIONS(3024),
    [anon_sym_LBRACE] = ACTIONS(3026),
    [anon_sym_signed] = ACTIONS(3024),
    [anon_sym_unsigned] = ACTIONS(3024),
    [anon_sym_long] = ACTIONS(3024),
    [anon_sym_short] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_static] = ACTIONS(3024),
    [anon_sym_register] = ACTIONS(3024),
    [anon_sym_inline] = ACTIONS(3024),
    [anon_sym___inline] = ACTIONS(3024),
    [anon_sym___inline__] = ACTIONS(3024),
    [anon_sym___forceinline] = ACTIONS(3024),
    [anon_sym_thread_local] = ACTIONS(3024),
    [anon_sym___thread] = ACTIONS(3024),
    [anon_sym_const] = ACTIONS(3024),
    [anon_sym_constexpr] = ACTIONS(3024),
    [anon_sym_volatile] = ACTIONS(3024),
    [anon_sym_restrict] = ACTIONS(3024),
    [anon_sym___restrict__] = ACTIONS(3024),
    [anon_sym__Atomic] = ACTIONS(3024),
    [anon_sym__Noreturn] = ACTIONS(3024),
    [anon_sym_noreturn] = ACTIONS(3024),
    [anon_sym__Nonnull] = ACTIONS(3024),
    [anon_sym_mutable] = ACTIONS(3024),
    [anon_sym_constinit] = ACTIONS(3024),
    [anon_sym_consteval] = ACTIONS(3024),
    [anon_sym_PROGMEM] = ACTIONS(3024),
    [anon_sym_alignas] = ACTIONS(3024),
    [anon_sym__Alignas] = ACTIONS(3024),
    [aux_sym_primitive_type_token1] = ACTIONS(3024),
    [anon_sym_byte] = ACTIONS(3024),
    [anon_sym_word] = ACTIONS(3024),
    [anon_sym_enum] = ACTIONS(3024),
    [anon_sym_class] = ACTIONS(3024),
    [anon_sym_struct] = ACTIONS(3024),
    [anon_sym_union] = ACTIONS(3024),
    [anon_sym_if] = ACTIONS(3024),
    [anon_sym_switch] = ACTIONS(3024),
    [anon_sym_case] = ACTIONS(3024),
    [anon_sym_default] = ACTIONS(3024),
    [anon_sym_while] = ACTIONS(3024),
    [anon_sym_do] = ACTIONS(3024),
    [anon_sym_for] = ACTIONS(3024),
    [anon_sym_return] = ACTIONS(3024),
    [anon_sym_break] = ACTIONS(3024),
    [anon_sym_continue] = ACTIONS(3024),
    [anon_sym_goto] = ACTIONS(3024),
    [anon_sym___try] = ACTIONS(3024),
    [anon_sym___leave] = ACTIONS(3024),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_compl] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3026),
    [anon_sym_PLUS_PLUS] = ACTIONS(3026),
    [anon_sym_sizeof] = ACTIONS(3024),
    [anon_sym___alignof__] = ACTIONS(3024),
    [anon_sym___alignof] = ACTIONS(3024),
    [anon_sym__alignof] = ACTIONS(3024),
    [anon_sym_alignof] = ACTIONS(3024),
    [anon_sym__Alignof] = ACTIONS(3024),
    [anon_sym_offsetof] = ACTIONS(3024),
    [anon_sym__Generic] = ACTIONS(3024),
    [anon_sym_asm] = ACTIONS(3024),
    [anon_sym___asm__] = ACTIONS(3024),
    [anon_sym___asm] = ACTIONS(3024),
    [aux_sym_number_literal_token1] = ACTIONS(3026),
    [aux_sym_number_literal_token2] = ACTIONS(3024),
    [anon_sym_L_SQUOTE] = ACTIONS(3026),
    [anon_sym_u_SQUOTE] = ACTIONS(3026),
    [anon_sym_U_SQUOTE] = ACTIONS(3026),
    [anon_sym_u8_SQUOTE] = ACTIONS(3026),
    [anon_sym_SQUOTE] = ACTIONS(3026),
    [anon_sym_L_DQUOTE] = ACTIONS(3026),
    [anon_sym_u_DQUOTE] = ACTIONS(3026),
    [anon_sym_U_DQUOTE] = ACTIONS(3026),
    [anon_sym_u8_DQUOTE] = ACTIONS(3026),
    [anon_sym_DQUOTE] = ACTIONS(3026),
    [sym_true] = ACTIONS(3024),
    [sym_false] = ACTIONS(3024),
    [anon_sym_NULL] = ACTIONS(3024),
    [anon_sym_nullptr] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3024),
    [anon_sym_decltype] = ACTIONS(3024),
    [anon_sym_explicit] = ACTIONS(3024),
    [anon_sym_typename] = ACTIONS(3024),
    [anon_sym_template] = ACTIONS(3024),
    [anon_sym_operator] = ACTIONS(3024),
    [anon_sym_try] = ACTIONS(3024),
    [anon_sym_delete] = ACTIONS(3024),
    [anon_sym_throw] = ACTIONS(3024),
    [anon_sym_namespace] = ACTIONS(3024),
    [anon_sym_using] = ACTIONS(3024),
    [anon_sym_static_assert] = ACTIONS(3024),
    [anon_sym_concept] = ACTIONS(3024),
    [anon_sym_co_return] = ACTIONS(3024),
    [anon_sym_co_yield] = ACTIONS(3024),
    [anon_sym_R_DQUOTE] = ACTIONS(3026),
    [anon_sym_LR_DQUOTE] = ACTIONS(3026),
    [anon_sym_uR_DQUOTE] = ACTIONS(3026),
    [anon_sym_UR_DQUOTE] = ACTIONS(3026),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3026),
    [anon_sym_co_await] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3024),
    [anon_sym_requires] = ACTIONS(3024),
    [sym_this] = ACTIONS(3024),
  },
  [583] = {
    [sym_identifier] = ACTIONS(3058),
    [aux_sym_preproc_include_token1] = ACTIONS(3058),
    [aux_sym_preproc_def_token1] = ACTIONS(3058),
    [aux_sym_preproc_if_token1] = ACTIONS(3058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3058),
    [sym_preproc_directive] = ACTIONS(3058),
    [anon_sym_LPAREN2] = ACTIONS(3060),
    [anon_sym_BANG] = ACTIONS(3060),
    [anon_sym_TILDE] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3058),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_AMP_AMP] = ACTIONS(3060),
    [anon_sym_AMP] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3060),
    [anon_sym___extension__] = ACTIONS(3058),
    [anon_sym_typedef] = ACTIONS(3058),
    [anon_sym_virtual] = ACTIONS(3058),
    [anon_sym_extern] = ACTIONS(3058),
    [anon_sym___attribute__] = ACTIONS(3058),
    [anon_sym_COLON_COLON] = ACTIONS(3060),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3060),
    [anon_sym___declspec] = ACTIONS(3058),
    [anon_sym___based] = ACTIONS(3058),
    [anon_sym___cdecl] = ACTIONS(3058),
    [anon_sym___clrcall] = ACTIONS(3058),
    [anon_sym___stdcall] = ACTIONS(3058),
    [anon_sym___fastcall] = ACTIONS(3058),
    [anon_sym___thiscall] = ACTIONS(3058),
    [anon_sym___vectorcall] = ACTIONS(3058),
    [anon_sym_LBRACE] = ACTIONS(3060),
    [anon_sym_RBRACE] = ACTIONS(3060),
    [anon_sym_signed] = ACTIONS(3058),
    [anon_sym_unsigned] = ACTIONS(3058),
    [anon_sym_long] = ACTIONS(3058),
    [anon_sym_short] = ACTIONS(3058),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_static] = ACTIONS(3058),
    [anon_sym_register] = ACTIONS(3058),
    [anon_sym_inline] = ACTIONS(3058),
    [anon_sym___inline] = ACTIONS(3058),
    [anon_sym___inline__] = ACTIONS(3058),
    [anon_sym___forceinline] = ACTIONS(3058),
    [anon_sym_thread_local] = ACTIONS(3058),
    [anon_sym___thread] = ACTIONS(3058),
    [anon_sym_const] = ACTIONS(3058),
    [anon_sym_constexpr] = ACTIONS(3058),
    [anon_sym_volatile] = ACTIONS(3058),
    [anon_sym_restrict] = ACTIONS(3058),
    [anon_sym___restrict__] = ACTIONS(3058),
    [anon_sym__Atomic] = ACTIONS(3058),
    [anon_sym__Noreturn] = ACTIONS(3058),
    [anon_sym_noreturn] = ACTIONS(3058),
    [anon_sym__Nonnull] = ACTIONS(3058),
    [anon_sym_mutable] = ACTIONS(3058),
    [anon_sym_constinit] = ACTIONS(3058),
    [anon_sym_consteval] = ACTIONS(3058),
    [anon_sym_PROGMEM] = ACTIONS(3058),
    [anon_sym_alignas] = ACTIONS(3058),
    [anon_sym__Alignas] = ACTIONS(3058),
    [aux_sym_primitive_type_token1] = ACTIONS(3058),
    [anon_sym_byte] = ACTIONS(3058),
    [anon_sym_word] = ACTIONS(3058),
    [anon_sym_enum] = ACTIONS(3058),
    [anon_sym_class] = ACTIONS(3058),
    [anon_sym_struct] = ACTIONS(3058),
    [anon_sym_union] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3058),
    [anon_sym_switch] = ACTIONS(3058),
    [anon_sym_case] = ACTIONS(3058),
    [anon_sym_default] = ACTIONS(3058),
    [anon_sym_while] = ACTIONS(3058),
    [anon_sym_do] = ACTIONS(3058),
    [anon_sym_for] = ACTIONS(3058),
    [anon_sym_return] = ACTIONS(3058),
    [anon_sym_break] = ACTIONS(3058),
    [anon_sym_continue] = ACTIONS(3058),
    [anon_sym_goto] = ACTIONS(3058),
    [anon_sym___try] = ACTIONS(3058),
    [anon_sym___leave] = ACTIONS(3058),
    [anon_sym_not] = ACTIONS(3058),
    [anon_sym_compl] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3060),
    [anon_sym_PLUS_PLUS] = ACTIONS(3060),
    [anon_sym_sizeof] = ACTIONS(3058),
    [anon_sym___alignof__] = ACTIONS(3058),
    [anon_sym___alignof] = ACTIONS(3058),
    [anon_sym__alignof] = ACTIONS(3058),
    [anon_sym_alignof] = ACTIONS(3058),
    [anon_sym__Alignof] = ACTIONS(3058),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3058),
    [anon_sym_asm] = ACTIONS(3058),
    [anon_sym___asm__] = ACTIONS(3058),
    [anon_sym___asm] = ACTIONS(3058),
    [aux_sym_number_literal_token1] = ACTIONS(3060),
    [aux_sym_number_literal_token2] = ACTIONS(3058),
    [anon_sym_L_SQUOTE] = ACTIONS(3060),
    [anon_sym_u_SQUOTE] = ACTIONS(3060),
    [anon_sym_U_SQUOTE] = ACTIONS(3060),
    [anon_sym_u8_SQUOTE] = ACTIONS(3060),
    [anon_sym_SQUOTE] = ACTIONS(3060),
    [anon_sym_L_DQUOTE] = ACTIONS(3060),
    [anon_sym_u_DQUOTE] = ACTIONS(3060),
    [anon_sym_U_DQUOTE] = ACTIONS(3060),
    [anon_sym_u8_DQUOTE] = ACTIONS(3060),
    [anon_sym_DQUOTE] = ACTIONS(3060),
    [sym_true] = ACTIONS(3058),
    [sym_false] = ACTIONS(3058),
    [anon_sym_NULL] = ACTIONS(3058),
    [anon_sym_nullptr] = ACTIONS(3058),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3058),
    [anon_sym_decltype] = ACTIONS(3058),
    [anon_sym_explicit] = ACTIONS(3058),
    [anon_sym_typename] = ACTIONS(3058),
    [anon_sym_template] = ACTIONS(3058),
    [anon_sym_operator] = ACTIONS(3058),
    [anon_sym_try] = ACTIONS(3058),
    [anon_sym_delete] = ACTIONS(3058),
    [anon_sym_throw] = ACTIONS(3058),
    [anon_sym_namespace] = ACTIONS(3058),
    [anon_sym_using] = ACTIONS(3058),
    [anon_sym_static_assert] = ACTIONS(3058),
    [anon_sym_concept] = ACTIONS(3058),
    [anon_sym_co_return] = ACTIONS(3058),
    [anon_sym_co_yield] = ACTIONS(3058),
    [anon_sym_R_DQUOTE] = ACTIONS(3060),
    [anon_sym_LR_DQUOTE] = ACTIONS(3060),
    [anon_sym_uR_DQUOTE] = ACTIONS(3060),
    [anon_sym_UR_DQUOTE] = ACTIONS(3060),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3060),
    [anon_sym_co_await] = ACTIONS(3058),
    [anon_sym_new] = ACTIONS(3058),
    [anon_sym_requires] = ACTIONS(3058),
    [sym_this] = ACTIONS(3058),
  },
  [584] = {
    [sym_identifier] = ACTIONS(3062),
    [aux_sym_preproc_include_token1] = ACTIONS(3062),
    [aux_sym_preproc_def_token1] = ACTIONS(3062),
    [aux_sym_preproc_if_token1] = ACTIONS(3062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3062),
    [sym_preproc_directive] = ACTIONS(3062),
    [anon_sym_LPAREN2] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_TILDE] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_AMP_AMP] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3064),
    [anon_sym___extension__] = ACTIONS(3062),
    [anon_sym_typedef] = ACTIONS(3062),
    [anon_sym_virtual] = ACTIONS(3062),
    [anon_sym_extern] = ACTIONS(3062),
    [anon_sym___attribute__] = ACTIONS(3062),
    [anon_sym_COLON_COLON] = ACTIONS(3064),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3064),
    [anon_sym___declspec] = ACTIONS(3062),
    [anon_sym___based] = ACTIONS(3062),
    [anon_sym___cdecl] = ACTIONS(3062),
    [anon_sym___clrcall] = ACTIONS(3062),
    [anon_sym___stdcall] = ACTIONS(3062),
    [anon_sym___fastcall] = ACTIONS(3062),
    [anon_sym___thiscall] = ACTIONS(3062),
    [anon_sym___vectorcall] = ACTIONS(3062),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_RBRACE] = ACTIONS(3064),
    [anon_sym_signed] = ACTIONS(3062),
    [anon_sym_unsigned] = ACTIONS(3062),
    [anon_sym_long] = ACTIONS(3062),
    [anon_sym_short] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_static] = ACTIONS(3062),
    [anon_sym_register] = ACTIONS(3062),
    [anon_sym_inline] = ACTIONS(3062),
    [anon_sym___inline] = ACTIONS(3062),
    [anon_sym___inline__] = ACTIONS(3062),
    [anon_sym___forceinline] = ACTIONS(3062),
    [anon_sym_thread_local] = ACTIONS(3062),
    [anon_sym___thread] = ACTIONS(3062),
    [anon_sym_const] = ACTIONS(3062),
    [anon_sym_constexpr] = ACTIONS(3062),
    [anon_sym_volatile] = ACTIONS(3062),
    [anon_sym_restrict] = ACTIONS(3062),
    [anon_sym___restrict__] = ACTIONS(3062),
    [anon_sym__Atomic] = ACTIONS(3062),
    [anon_sym__Noreturn] = ACTIONS(3062),
    [anon_sym_noreturn] = ACTIONS(3062),
    [anon_sym__Nonnull] = ACTIONS(3062),
    [anon_sym_mutable] = ACTIONS(3062),
    [anon_sym_constinit] = ACTIONS(3062),
    [anon_sym_consteval] = ACTIONS(3062),
    [anon_sym_PROGMEM] = ACTIONS(3062),
    [anon_sym_alignas] = ACTIONS(3062),
    [anon_sym__Alignas] = ACTIONS(3062),
    [aux_sym_primitive_type_token1] = ACTIONS(3062),
    [anon_sym_byte] = ACTIONS(3062),
    [anon_sym_word] = ACTIONS(3062),
    [anon_sym_enum] = ACTIONS(3062),
    [anon_sym_class] = ACTIONS(3062),
    [anon_sym_struct] = ACTIONS(3062),
    [anon_sym_union] = ACTIONS(3062),
    [anon_sym_if] = ACTIONS(3062),
    [anon_sym_switch] = ACTIONS(3062),
    [anon_sym_case] = ACTIONS(3062),
    [anon_sym_default] = ACTIONS(3062),
    [anon_sym_while] = ACTIONS(3062),
    [anon_sym_do] = ACTIONS(3062),
    [anon_sym_for] = ACTIONS(3062),
    [anon_sym_return] = ACTIONS(3062),
    [anon_sym_break] = ACTIONS(3062),
    [anon_sym_continue] = ACTIONS(3062),
    [anon_sym_goto] = ACTIONS(3062),
    [anon_sym___try] = ACTIONS(3062),
    [anon_sym___leave] = ACTIONS(3062),
    [anon_sym_not] = ACTIONS(3062),
    [anon_sym_compl] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3064),
    [anon_sym_sizeof] = ACTIONS(3062),
    [anon_sym___alignof__] = ACTIONS(3062),
    [anon_sym___alignof] = ACTIONS(3062),
    [anon_sym__alignof] = ACTIONS(3062),
    [anon_sym_alignof] = ACTIONS(3062),
    [anon_sym__Alignof] = ACTIONS(3062),
    [anon_sym_offsetof] = ACTIONS(3062),
    [anon_sym__Generic] = ACTIONS(3062),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [anon_sym___asm] = ACTIONS(3062),
    [aux_sym_number_literal_token1] = ACTIONS(3064),
    [aux_sym_number_literal_token2] = ACTIONS(3062),
    [anon_sym_L_SQUOTE] = ACTIONS(3064),
    [anon_sym_u_SQUOTE] = ACTIONS(3064),
    [anon_sym_U_SQUOTE] = ACTIONS(3064),
    [anon_sym_u8_SQUOTE] = ACTIONS(3064),
    [anon_sym_SQUOTE] = ACTIONS(3064),
    [anon_sym_L_DQUOTE] = ACTIONS(3064),
    [anon_sym_u_DQUOTE] = ACTIONS(3064),
    [anon_sym_U_DQUOTE] = ACTIONS(3064),
    [anon_sym_u8_DQUOTE] = ACTIONS(3064),
    [anon_sym_DQUOTE] = ACTIONS(3064),
    [sym_true] = ACTIONS(3062),
    [sym_false] = ACTIONS(3062),
    [anon_sym_NULL] = ACTIONS(3062),
    [anon_sym_nullptr] = ACTIONS(3062),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3062),
    [anon_sym_decltype] = ACTIONS(3062),
    [anon_sym_explicit] = ACTIONS(3062),
    [anon_sym_typename] = ACTIONS(3062),
    [anon_sym_template] = ACTIONS(3062),
    [anon_sym_operator] = ACTIONS(3062),
    [anon_sym_try] = ACTIONS(3062),
    [anon_sym_delete] = ACTIONS(3062),
    [anon_sym_throw] = ACTIONS(3062),
    [anon_sym_namespace] = ACTIONS(3062),
    [anon_sym_using] = ACTIONS(3062),
    [anon_sym_static_assert] = ACTIONS(3062),
    [anon_sym_concept] = ACTIONS(3062),
    [anon_sym_co_return] = ACTIONS(3062),
    [anon_sym_co_yield] = ACTIONS(3062),
    [anon_sym_R_DQUOTE] = ACTIONS(3064),
    [anon_sym_LR_DQUOTE] = ACTIONS(3064),
    [anon_sym_uR_DQUOTE] = ACTIONS(3064),
    [anon_sym_UR_DQUOTE] = ACTIONS(3064),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3064),
    [anon_sym_co_await] = ACTIONS(3062),
    [anon_sym_new] = ACTIONS(3062),
    [anon_sym_requires] = ACTIONS(3062),
    [sym_this] = ACTIONS(3062),
  },
  [585] = {
    [sym_identifier] = ACTIONS(3032),
    [aux_sym_preproc_include_token1] = ACTIONS(3032),
    [aux_sym_preproc_def_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token2] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3032),
    [sym_preproc_directive] = ACTIONS(3032),
    [anon_sym_LPAREN2] = ACTIONS(3034),
    [anon_sym_BANG] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym___extension__] = ACTIONS(3032),
    [anon_sym_typedef] = ACTIONS(3032),
    [anon_sym_virtual] = ACTIONS(3032),
    [anon_sym_extern] = ACTIONS(3032),
    [anon_sym___attribute__] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3034),
    [anon_sym___declspec] = ACTIONS(3032),
    [anon_sym___based] = ACTIONS(3032),
    [anon_sym___cdecl] = ACTIONS(3032),
    [anon_sym___clrcall] = ACTIONS(3032),
    [anon_sym___stdcall] = ACTIONS(3032),
    [anon_sym___fastcall] = ACTIONS(3032),
    [anon_sym___thiscall] = ACTIONS(3032),
    [anon_sym___vectorcall] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_signed] = ACTIONS(3032),
    [anon_sym_unsigned] = ACTIONS(3032),
    [anon_sym_long] = ACTIONS(3032),
    [anon_sym_short] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_register] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym___inline] = ACTIONS(3032),
    [anon_sym___inline__] = ACTIONS(3032),
    [anon_sym___forceinline] = ACTIONS(3032),
    [anon_sym_thread_local] = ACTIONS(3032),
    [anon_sym___thread] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_constexpr] = ACTIONS(3032),
    [anon_sym_volatile] = ACTIONS(3032),
    [anon_sym_restrict] = ACTIONS(3032),
    [anon_sym___restrict__] = ACTIONS(3032),
    [anon_sym__Atomic] = ACTIONS(3032),
    [anon_sym__Noreturn] = ACTIONS(3032),
    [anon_sym_noreturn] = ACTIONS(3032),
    [anon_sym__Nonnull] = ACTIONS(3032),
    [anon_sym_mutable] = ACTIONS(3032),
    [anon_sym_constinit] = ACTIONS(3032),
    [anon_sym_consteval] = ACTIONS(3032),
    [anon_sym_PROGMEM] = ACTIONS(3032),
    [anon_sym_alignas] = ACTIONS(3032),
    [anon_sym__Alignas] = ACTIONS(3032),
    [aux_sym_primitive_type_token1] = ACTIONS(3032),
    [anon_sym_byte] = ACTIONS(3032),
    [anon_sym_word] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_class] = ACTIONS(3032),
    [anon_sym_struct] = ACTIONS(3032),
    [anon_sym_union] = ACTIONS(3032),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_switch] = ACTIONS(3032),
    [anon_sym_case] = ACTIONS(3032),
    [anon_sym_default] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_do] = ACTIONS(3032),
    [anon_sym_for] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_break] = ACTIONS(3032),
    [anon_sym_continue] = ACTIONS(3032),
    [anon_sym_goto] = ACTIONS(3032),
    [anon_sym___try] = ACTIONS(3032),
    [anon_sym___leave] = ACTIONS(3032),
    [anon_sym_not] = ACTIONS(3032),
    [anon_sym_compl] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_sizeof] = ACTIONS(3032),
    [anon_sym___alignof__] = ACTIONS(3032),
    [anon_sym___alignof] = ACTIONS(3032),
    [anon_sym__alignof] = ACTIONS(3032),
    [anon_sym_alignof] = ACTIONS(3032),
    [anon_sym__Alignof] = ACTIONS(3032),
    [anon_sym_offsetof] = ACTIONS(3032),
    [anon_sym__Generic] = ACTIONS(3032),
    [anon_sym_asm] = ACTIONS(3032),
    [anon_sym___asm__] = ACTIONS(3032),
    [anon_sym___asm] = ACTIONS(3032),
    [aux_sym_number_literal_token1] = ACTIONS(3034),
    [aux_sym_number_literal_token2] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3034),
    [anon_sym_u_SQUOTE] = ACTIONS(3034),
    [anon_sym_U_SQUOTE] = ACTIONS(3034),
    [anon_sym_u8_SQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [anon_sym_L_DQUOTE] = ACTIONS(3034),
    [anon_sym_u_DQUOTE] = ACTIONS(3034),
    [anon_sym_U_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8_DQUOTE] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [anon_sym_NULL] = ACTIONS(3032),
    [anon_sym_nullptr] = ACTIONS(3032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3032),
    [anon_sym_decltype] = ACTIONS(3032),
    [anon_sym_explicit] = ACTIONS(3032),
    [anon_sym_typename] = ACTIONS(3032),
    [anon_sym_template] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_delete] = ACTIONS(3032),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_namespace] = ACTIONS(3032),
    [anon_sym_using] = ACTIONS(3032),
    [anon_sym_static_assert] = ACTIONS(3032),
    [anon_sym_concept] = ACTIONS(3032),
    [anon_sym_co_return] = ACTIONS(3032),
    [anon_sym_co_yield] = ACTIONS(3032),
    [anon_sym_R_DQUOTE] = ACTIONS(3034),
    [anon_sym_LR_DQUOTE] = ACTIONS(3034),
    [anon_sym_uR_DQUOTE] = ACTIONS(3034),
    [anon_sym_UR_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3034),
    [anon_sym_co_await] = ACTIONS(3032),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_requires] = ACTIONS(3032),
    [sym_this] = ACTIONS(3032),
  },
  [586] = {
    [sym_preproc_def] = STATE(586),
    [sym_preproc_function_def] = STATE(586),
    [sym_preproc_call] = STATE(586),
    [sym_preproc_if_in_field_declaration_list] = STATE(586),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(586),
    [sym_type_definition] = STATE(586),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5440),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(586),
    [sym_field_declaration] = STATE(586),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(586),
    [sym_operator_cast] = STATE(6346),
    [sym_inline_method_definition] = STATE(586),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(586),
    [sym_operator_cast_declaration] = STATE(586),
    [sym_constructor_or_destructor_definition] = STATE(586),
    [sym_constructor_or_destructor_declaration] = STATE(586),
    [sym_friend_declaration] = STATE(586),
    [sym_access_specifier] = STATE(7967),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(586),
    [sym_alias_declaration] = STATE(586),
    [sym_static_assert_declaration] = STATE(586),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3362),
    [aux_sym_preproc_def_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token1] = ACTIONS(3368),
    [aux_sym_preproc_if_token2] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [aux_sym_preproc_else_token1] = ACTIONS(3371),
    [aux_sym_preproc_elif_token1] = ACTIONS(3371),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3382),
    [anon_sym_STAR] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3388),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_SEMI] = ACTIONS(3394),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3400),
    [anon_sym_virtual] = ACTIONS(3403),
    [anon_sym_extern] = ACTIONS(3406),
    [anon_sym___attribute__] = ACTIONS(3409),
    [anon_sym_COLON_COLON] = ACTIONS(3412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3415),
    [anon_sym___declspec] = ACTIONS(3418),
    [anon_sym___based] = ACTIONS(3421),
    [anon_sym_signed] = ACTIONS(3424),
    [anon_sym_unsigned] = ACTIONS(3424),
    [anon_sym_long] = ACTIONS(3424),
    [anon_sym_short] = ACTIONS(3424),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3406),
    [anon_sym_register] = ACTIONS(3406),
    [anon_sym_inline] = ACTIONS(3406),
    [anon_sym___inline] = ACTIONS(3406),
    [anon_sym___inline__] = ACTIONS(3406),
    [anon_sym___forceinline] = ACTIONS(3406),
    [anon_sym_thread_local] = ACTIONS(3406),
    [anon_sym___thread] = ACTIONS(3406),
    [anon_sym_const] = ACTIONS(3430),
    [anon_sym_constexpr] = ACTIONS(3433),
    [anon_sym_volatile] = ACTIONS(3430),
    [anon_sym_restrict] = ACTIONS(3430),
    [anon_sym___restrict__] = ACTIONS(3430),
    [anon_sym__Atomic] = ACTIONS(3430),
    [anon_sym__Noreturn] = ACTIONS(3430),
    [anon_sym_noreturn] = ACTIONS(3430),
    [anon_sym__Nonnull] = ACTIONS(3430),
    [anon_sym_mutable] = ACTIONS(3430),
    [anon_sym_constinit] = ACTIONS(3430),
    [anon_sym_consteval] = ACTIONS(3430),
    [anon_sym_PROGMEM] = ACTIONS(3430),
    [anon_sym_alignas] = ACTIONS(3436),
    [anon_sym__Alignas] = ACTIONS(3436),
    [aux_sym_primitive_type_token1] = ACTIONS(3439),
    [anon_sym_byte] = ACTIONS(3439),
    [anon_sym_word] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3442),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_struct] = ACTIONS(3448),
    [anon_sym_union] = ACTIONS(3451),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3454),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_explicit] = ACTIONS(3460),
    [anon_sym_typename] = ACTIONS(3463),
    [anon_sym_template] = ACTIONS(3466),
    [anon_sym_operator] = ACTIONS(3469),
    [anon_sym_friend] = ACTIONS(3472),
    [anon_sym_public] = ACTIONS(3475),
    [anon_sym_private] = ACTIONS(3475),
    [anon_sym_protected] = ACTIONS(3475),
    [anon_sym_using] = ACTIONS(3478),
    [anon_sym_static_assert] = ACTIONS(3481),
  },
  [587] = {
    [sym_identifier] = ACTIONS(3125),
    [aux_sym_preproc_include_token1] = ACTIONS(3125),
    [aux_sym_preproc_def_token1] = ACTIONS(3125),
    [aux_sym_preproc_if_token1] = ACTIONS(3125),
    [aux_sym_preproc_if_token2] = ACTIONS(3125),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3125),
    [sym_preproc_directive] = ACTIONS(3125),
    [anon_sym_LPAREN2] = ACTIONS(3127),
    [anon_sym_BANG] = ACTIONS(3127),
    [anon_sym_TILDE] = ACTIONS(3127),
    [anon_sym_DASH] = ACTIONS(3125),
    [anon_sym_PLUS] = ACTIONS(3125),
    [anon_sym_STAR] = ACTIONS(3127),
    [anon_sym_AMP_AMP] = ACTIONS(3127),
    [anon_sym_AMP] = ACTIONS(3125),
    [anon_sym_SEMI] = ACTIONS(3127),
    [anon_sym___extension__] = ACTIONS(3125),
    [anon_sym_typedef] = ACTIONS(3125),
    [anon_sym_virtual] = ACTIONS(3125),
    [anon_sym_extern] = ACTIONS(3125),
    [anon_sym___attribute__] = ACTIONS(3125),
    [anon_sym_COLON_COLON] = ACTIONS(3127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3127),
    [anon_sym___declspec] = ACTIONS(3125),
    [anon_sym___based] = ACTIONS(3125),
    [anon_sym___cdecl] = ACTIONS(3125),
    [anon_sym___clrcall] = ACTIONS(3125),
    [anon_sym___stdcall] = ACTIONS(3125),
    [anon_sym___fastcall] = ACTIONS(3125),
    [anon_sym___thiscall] = ACTIONS(3125),
    [anon_sym___vectorcall] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_signed] = ACTIONS(3125),
    [anon_sym_unsigned] = ACTIONS(3125),
    [anon_sym_long] = ACTIONS(3125),
    [anon_sym_short] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3125),
    [anon_sym_static] = ACTIONS(3125),
    [anon_sym_register] = ACTIONS(3125),
    [anon_sym_inline] = ACTIONS(3125),
    [anon_sym___inline] = ACTIONS(3125),
    [anon_sym___inline__] = ACTIONS(3125),
    [anon_sym___forceinline] = ACTIONS(3125),
    [anon_sym_thread_local] = ACTIONS(3125),
    [anon_sym___thread] = ACTIONS(3125),
    [anon_sym_const] = ACTIONS(3125),
    [anon_sym_constexpr] = ACTIONS(3125),
    [anon_sym_volatile] = ACTIONS(3125),
    [anon_sym_restrict] = ACTIONS(3125),
    [anon_sym___restrict__] = ACTIONS(3125),
    [anon_sym__Atomic] = ACTIONS(3125),
    [anon_sym__Noreturn] = ACTIONS(3125),
    [anon_sym_noreturn] = ACTIONS(3125),
    [anon_sym__Nonnull] = ACTIONS(3125),
    [anon_sym_mutable] = ACTIONS(3125),
    [anon_sym_constinit] = ACTIONS(3125),
    [anon_sym_consteval] = ACTIONS(3125),
    [anon_sym_PROGMEM] = ACTIONS(3125),
    [anon_sym_alignas] = ACTIONS(3125),
    [anon_sym__Alignas] = ACTIONS(3125),
    [aux_sym_primitive_type_token1] = ACTIONS(3125),
    [anon_sym_byte] = ACTIONS(3125),
    [anon_sym_word] = ACTIONS(3125),
    [anon_sym_enum] = ACTIONS(3125),
    [anon_sym_class] = ACTIONS(3125),
    [anon_sym_struct] = ACTIONS(3125),
    [anon_sym_union] = ACTIONS(3125),
    [anon_sym_if] = ACTIONS(3125),
    [anon_sym_switch] = ACTIONS(3125),
    [anon_sym_case] = ACTIONS(3125),
    [anon_sym_default] = ACTIONS(3125),
    [anon_sym_while] = ACTIONS(3125),
    [anon_sym_do] = ACTIONS(3125),
    [anon_sym_for] = ACTIONS(3125),
    [anon_sym_return] = ACTIONS(3125),
    [anon_sym_break] = ACTIONS(3125),
    [anon_sym_continue] = ACTIONS(3125),
    [anon_sym_goto] = ACTIONS(3125),
    [anon_sym___try] = ACTIONS(3125),
    [anon_sym___leave] = ACTIONS(3125),
    [anon_sym_not] = ACTIONS(3125),
    [anon_sym_compl] = ACTIONS(3125),
    [anon_sym_DASH_DASH] = ACTIONS(3127),
    [anon_sym_PLUS_PLUS] = ACTIONS(3127),
    [anon_sym_sizeof] = ACTIONS(3125),
    [anon_sym___alignof__] = ACTIONS(3125),
    [anon_sym___alignof] = ACTIONS(3125),
    [anon_sym__alignof] = ACTIONS(3125),
    [anon_sym_alignof] = ACTIONS(3125),
    [anon_sym__Alignof] = ACTIONS(3125),
    [anon_sym_offsetof] = ACTIONS(3125),
    [anon_sym__Generic] = ACTIONS(3125),
    [anon_sym_asm] = ACTIONS(3125),
    [anon_sym___asm__] = ACTIONS(3125),
    [anon_sym___asm] = ACTIONS(3125),
    [aux_sym_number_literal_token1] = ACTIONS(3127),
    [aux_sym_number_literal_token2] = ACTIONS(3125),
    [anon_sym_L_SQUOTE] = ACTIONS(3127),
    [anon_sym_u_SQUOTE] = ACTIONS(3127),
    [anon_sym_U_SQUOTE] = ACTIONS(3127),
    [anon_sym_u8_SQUOTE] = ACTIONS(3127),
    [anon_sym_SQUOTE] = ACTIONS(3127),
    [anon_sym_L_DQUOTE] = ACTIONS(3127),
    [anon_sym_u_DQUOTE] = ACTIONS(3127),
    [anon_sym_U_DQUOTE] = ACTIONS(3127),
    [anon_sym_u8_DQUOTE] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3127),
    [sym_true] = ACTIONS(3125),
    [sym_false] = ACTIONS(3125),
    [anon_sym_NULL] = ACTIONS(3125),
    [anon_sym_nullptr] = ACTIONS(3125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3125),
    [anon_sym_decltype] = ACTIONS(3125),
    [anon_sym_explicit] = ACTIONS(3125),
    [anon_sym_typename] = ACTIONS(3125),
    [anon_sym_template] = ACTIONS(3125),
    [anon_sym_operator] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3125),
    [anon_sym_delete] = ACTIONS(3125),
    [anon_sym_throw] = ACTIONS(3125),
    [anon_sym_namespace] = ACTIONS(3125),
    [anon_sym_using] = ACTIONS(3125),
    [anon_sym_static_assert] = ACTIONS(3125),
    [anon_sym_concept] = ACTIONS(3125),
    [anon_sym_co_return] = ACTIONS(3125),
    [anon_sym_co_yield] = ACTIONS(3125),
    [anon_sym_R_DQUOTE] = ACTIONS(3127),
    [anon_sym_LR_DQUOTE] = ACTIONS(3127),
    [anon_sym_uR_DQUOTE] = ACTIONS(3127),
    [anon_sym_UR_DQUOTE] = ACTIONS(3127),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3127),
    [anon_sym_co_await] = ACTIONS(3125),
    [anon_sym_new] = ACTIONS(3125),
    [anon_sym_requires] = ACTIONS(3125),
    [sym_this] = ACTIONS(3125),
  },
  [588] = {
    [sym_identifier] = ACTIONS(3129),
    [aux_sym_preproc_include_token1] = ACTIONS(3129),
    [aux_sym_preproc_def_token1] = ACTIONS(3129),
    [aux_sym_preproc_if_token1] = ACTIONS(3129),
    [aux_sym_preproc_if_token2] = ACTIONS(3129),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3129),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3129),
    [sym_preproc_directive] = ACTIONS(3129),
    [anon_sym_LPAREN2] = ACTIONS(3131),
    [anon_sym_BANG] = ACTIONS(3131),
    [anon_sym_TILDE] = ACTIONS(3131),
    [anon_sym_DASH] = ACTIONS(3129),
    [anon_sym_PLUS] = ACTIONS(3129),
    [anon_sym_STAR] = ACTIONS(3131),
    [anon_sym_AMP_AMP] = ACTIONS(3131),
    [anon_sym_AMP] = ACTIONS(3129),
    [anon_sym_SEMI] = ACTIONS(3131),
    [anon_sym___extension__] = ACTIONS(3129),
    [anon_sym_typedef] = ACTIONS(3129),
    [anon_sym_virtual] = ACTIONS(3129),
    [anon_sym_extern] = ACTIONS(3129),
    [anon_sym___attribute__] = ACTIONS(3129),
    [anon_sym_COLON_COLON] = ACTIONS(3131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3131),
    [anon_sym___declspec] = ACTIONS(3129),
    [anon_sym___based] = ACTIONS(3129),
    [anon_sym___cdecl] = ACTIONS(3129),
    [anon_sym___clrcall] = ACTIONS(3129),
    [anon_sym___stdcall] = ACTIONS(3129),
    [anon_sym___fastcall] = ACTIONS(3129),
    [anon_sym___thiscall] = ACTIONS(3129),
    [anon_sym___vectorcall] = ACTIONS(3129),
    [anon_sym_LBRACE] = ACTIONS(3131),
    [anon_sym_signed] = ACTIONS(3129),
    [anon_sym_unsigned] = ACTIONS(3129),
    [anon_sym_long] = ACTIONS(3129),
    [anon_sym_short] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(3129),
    [anon_sym_static] = ACTIONS(3129),
    [anon_sym_register] = ACTIONS(3129),
    [anon_sym_inline] = ACTIONS(3129),
    [anon_sym___inline] = ACTIONS(3129),
    [anon_sym___inline__] = ACTIONS(3129),
    [anon_sym___forceinline] = ACTIONS(3129),
    [anon_sym_thread_local] = ACTIONS(3129),
    [anon_sym___thread] = ACTIONS(3129),
    [anon_sym_const] = ACTIONS(3129),
    [anon_sym_constexpr] = ACTIONS(3129),
    [anon_sym_volatile] = ACTIONS(3129),
    [anon_sym_restrict] = ACTIONS(3129),
    [anon_sym___restrict__] = ACTIONS(3129),
    [anon_sym__Atomic] = ACTIONS(3129),
    [anon_sym__Noreturn] = ACTIONS(3129),
    [anon_sym_noreturn] = ACTIONS(3129),
    [anon_sym__Nonnull] = ACTIONS(3129),
    [anon_sym_mutable] = ACTIONS(3129),
    [anon_sym_constinit] = ACTIONS(3129),
    [anon_sym_consteval] = ACTIONS(3129),
    [anon_sym_PROGMEM] = ACTIONS(3129),
    [anon_sym_alignas] = ACTIONS(3129),
    [anon_sym__Alignas] = ACTIONS(3129),
    [aux_sym_primitive_type_token1] = ACTIONS(3129),
    [anon_sym_byte] = ACTIONS(3129),
    [anon_sym_word] = ACTIONS(3129),
    [anon_sym_enum] = ACTIONS(3129),
    [anon_sym_class] = ACTIONS(3129),
    [anon_sym_struct] = ACTIONS(3129),
    [anon_sym_union] = ACTIONS(3129),
    [anon_sym_if] = ACTIONS(3129),
    [anon_sym_switch] = ACTIONS(3129),
    [anon_sym_case] = ACTIONS(3129),
    [anon_sym_default] = ACTIONS(3129),
    [anon_sym_while] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(3129),
    [anon_sym_for] = ACTIONS(3129),
    [anon_sym_return] = ACTIONS(3129),
    [anon_sym_break] = ACTIONS(3129),
    [anon_sym_continue] = ACTIONS(3129),
    [anon_sym_goto] = ACTIONS(3129),
    [anon_sym___try] = ACTIONS(3129),
    [anon_sym___leave] = ACTIONS(3129),
    [anon_sym_not] = ACTIONS(3129),
    [anon_sym_compl] = ACTIONS(3129),
    [anon_sym_DASH_DASH] = ACTIONS(3131),
    [anon_sym_PLUS_PLUS] = ACTIONS(3131),
    [anon_sym_sizeof] = ACTIONS(3129),
    [anon_sym___alignof__] = ACTIONS(3129),
    [anon_sym___alignof] = ACTIONS(3129),
    [anon_sym__alignof] = ACTIONS(3129),
    [anon_sym_alignof] = ACTIONS(3129),
    [anon_sym__Alignof] = ACTIONS(3129),
    [anon_sym_offsetof] = ACTIONS(3129),
    [anon_sym__Generic] = ACTIONS(3129),
    [anon_sym_asm] = ACTIONS(3129),
    [anon_sym___asm__] = ACTIONS(3129),
    [anon_sym___asm] = ACTIONS(3129),
    [aux_sym_number_literal_token1] = ACTIONS(3131),
    [aux_sym_number_literal_token2] = ACTIONS(3129),
    [anon_sym_L_SQUOTE] = ACTIONS(3131),
    [anon_sym_u_SQUOTE] = ACTIONS(3131),
    [anon_sym_U_SQUOTE] = ACTIONS(3131),
    [anon_sym_u8_SQUOTE] = ACTIONS(3131),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_L_DQUOTE] = ACTIONS(3131),
    [anon_sym_u_DQUOTE] = ACTIONS(3131),
    [anon_sym_U_DQUOTE] = ACTIONS(3131),
    [anon_sym_u8_DQUOTE] = ACTIONS(3131),
    [anon_sym_DQUOTE] = ACTIONS(3131),
    [sym_true] = ACTIONS(3129),
    [sym_false] = ACTIONS(3129),
    [anon_sym_NULL] = ACTIONS(3129),
    [anon_sym_nullptr] = ACTIONS(3129),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3129),
    [anon_sym_decltype] = ACTIONS(3129),
    [anon_sym_explicit] = ACTIONS(3129),
    [anon_sym_typename] = ACTIONS(3129),
    [anon_sym_template] = ACTIONS(3129),
    [anon_sym_operator] = ACTIONS(3129),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_delete] = ACTIONS(3129),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_namespace] = ACTIONS(3129),
    [anon_sym_using] = ACTIONS(3129),
    [anon_sym_static_assert] = ACTIONS(3129),
    [anon_sym_concept] = ACTIONS(3129),
    [anon_sym_co_return] = ACTIONS(3129),
    [anon_sym_co_yield] = ACTIONS(3129),
    [anon_sym_R_DQUOTE] = ACTIONS(3131),
    [anon_sym_LR_DQUOTE] = ACTIONS(3131),
    [anon_sym_uR_DQUOTE] = ACTIONS(3131),
    [anon_sym_UR_DQUOTE] = ACTIONS(3131),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3131),
    [anon_sym_co_await] = ACTIONS(3129),
    [anon_sym_new] = ACTIONS(3129),
    [anon_sym_requires] = ACTIONS(3129),
    [sym_this] = ACTIONS(3129),
  },
  [589] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token2] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym__Nonnull] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym__Alignas] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym___try] = ACTIONS(3036),
    [anon_sym___leave] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [anon_sym___asm] = ACTIONS(3036),
    [aux_sym_number_literal_token1] = ACTIONS(3038),
    [aux_sym_number_literal_token2] = ACTIONS(3036),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [590] = {
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_include_token1] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token1] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3174),
    [sym_preproc_directive] = ACTIONS(3174),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3174),
    [anon_sym_typedef] = ACTIONS(3174),
    [anon_sym_virtual] = ACTIONS(3174),
    [anon_sym_extern] = ACTIONS(3174),
    [anon_sym___attribute__] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3176),
    [anon_sym___declspec] = ACTIONS(3174),
    [anon_sym___based] = ACTIONS(3174),
    [anon_sym___cdecl] = ACTIONS(3174),
    [anon_sym___clrcall] = ACTIONS(3174),
    [anon_sym___stdcall] = ACTIONS(3174),
    [anon_sym___fastcall] = ACTIONS(3174),
    [anon_sym___thiscall] = ACTIONS(3174),
    [anon_sym___vectorcall] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3174),
    [anon_sym_unsigned] = ACTIONS(3174),
    [anon_sym_long] = ACTIONS(3174),
    [anon_sym_short] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_register] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym___inline] = ACTIONS(3174),
    [anon_sym___inline__] = ACTIONS(3174),
    [anon_sym___forceinline] = ACTIONS(3174),
    [anon_sym_thread_local] = ACTIONS(3174),
    [anon_sym___thread] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_constexpr] = ACTIONS(3174),
    [anon_sym_volatile] = ACTIONS(3174),
    [anon_sym_restrict] = ACTIONS(3174),
    [anon_sym___restrict__] = ACTIONS(3174),
    [anon_sym__Atomic] = ACTIONS(3174),
    [anon_sym__Noreturn] = ACTIONS(3174),
    [anon_sym_noreturn] = ACTIONS(3174),
    [anon_sym__Nonnull] = ACTIONS(3174),
    [anon_sym_mutable] = ACTIONS(3174),
    [anon_sym_constinit] = ACTIONS(3174),
    [anon_sym_consteval] = ACTIONS(3174),
    [anon_sym_PROGMEM] = ACTIONS(3174),
    [anon_sym_alignas] = ACTIONS(3174),
    [anon_sym__Alignas] = ACTIONS(3174),
    [aux_sym_primitive_type_token1] = ACTIONS(3174),
    [anon_sym_byte] = ACTIONS(3174),
    [anon_sym_word] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_struct] = ACTIONS(3174),
    [anon_sym_union] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_case] = ACTIONS(3174),
    [anon_sym_default] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_goto] = ACTIONS(3174),
    [anon_sym___try] = ACTIONS(3174),
    [anon_sym___leave] = ACTIONS(3174),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_compl] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_sizeof] = ACTIONS(3174),
    [anon_sym___alignof__] = ACTIONS(3174),
    [anon_sym___alignof] = ACTIONS(3174),
    [anon_sym__alignof] = ACTIONS(3174),
    [anon_sym_alignof] = ACTIONS(3174),
    [anon_sym__Alignof] = ACTIONS(3174),
    [anon_sym_offsetof] = ACTIONS(3174),
    [anon_sym__Generic] = ACTIONS(3174),
    [anon_sym_asm] = ACTIONS(3174),
    [anon_sym___asm__] = ACTIONS(3174),
    [anon_sym___asm] = ACTIONS(3174),
    [aux_sym_number_literal_token1] = ACTIONS(3176),
    [aux_sym_number_literal_token2] = ACTIONS(3174),
    [anon_sym_L_SQUOTE] = ACTIONS(3176),
    [anon_sym_u_SQUOTE] = ACTIONS(3176),
    [anon_sym_U_SQUOTE] = ACTIONS(3176),
    [anon_sym_u8_SQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_L_DQUOTE] = ACTIONS(3176),
    [anon_sym_u_DQUOTE] = ACTIONS(3176),
    [anon_sym_U_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8_DQUOTE] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [anon_sym_NULL] = ACTIONS(3174),
    [anon_sym_nullptr] = ACTIONS(3174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3174),
    [anon_sym_decltype] = ACTIONS(3174),
    [anon_sym_explicit] = ACTIONS(3174),
    [anon_sym_typename] = ACTIONS(3174),
    [anon_sym_template] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_static_assert] = ACTIONS(3174),
    [anon_sym_concept] = ACTIONS(3174),
    [anon_sym_co_return] = ACTIONS(3174),
    [anon_sym_co_yield] = ACTIONS(3174),
    [anon_sym_R_DQUOTE] = ACTIONS(3176),
    [anon_sym_LR_DQUOTE] = ACTIONS(3176),
    [anon_sym_uR_DQUOTE] = ACTIONS(3176),
    [anon_sym_UR_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3176),
    [anon_sym_co_await] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_requires] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
  },
  [591] = {
    [sym_identifier] = ACTIONS(3178),
    [aux_sym_preproc_include_token1] = ACTIONS(3178),
    [aux_sym_preproc_def_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3178),
    [sym_preproc_directive] = ACTIONS(3178),
    [anon_sym_LPAREN2] = ACTIONS(3180),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3178),
    [anon_sym_typedef] = ACTIONS(3178),
    [anon_sym_virtual] = ACTIONS(3178),
    [anon_sym_extern] = ACTIONS(3178),
    [anon_sym___attribute__] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3180),
    [anon_sym___declspec] = ACTIONS(3178),
    [anon_sym___based] = ACTIONS(3178),
    [anon_sym___cdecl] = ACTIONS(3178),
    [anon_sym___clrcall] = ACTIONS(3178),
    [anon_sym___stdcall] = ACTIONS(3178),
    [anon_sym___fastcall] = ACTIONS(3178),
    [anon_sym___thiscall] = ACTIONS(3178),
    [anon_sym___vectorcall] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_signed] = ACTIONS(3178),
    [anon_sym_unsigned] = ACTIONS(3178),
    [anon_sym_long] = ACTIONS(3178),
    [anon_sym_short] = ACTIONS(3178),
    [anon_sym_LBRACK] = ACTIONS(3178),
    [anon_sym_static] = ACTIONS(3178),
    [anon_sym_register] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym___inline] = ACTIONS(3178),
    [anon_sym___inline__] = ACTIONS(3178),
    [anon_sym___forceinline] = ACTIONS(3178),
    [anon_sym_thread_local] = ACTIONS(3178),
    [anon_sym___thread] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_constexpr] = ACTIONS(3178),
    [anon_sym_volatile] = ACTIONS(3178),
    [anon_sym_restrict] = ACTIONS(3178),
    [anon_sym___restrict__] = ACTIONS(3178),
    [anon_sym__Atomic] = ACTIONS(3178),
    [anon_sym__Noreturn] = ACTIONS(3178),
    [anon_sym_noreturn] = ACTIONS(3178),
    [anon_sym__Nonnull] = ACTIONS(3178),
    [anon_sym_mutable] = ACTIONS(3178),
    [anon_sym_constinit] = ACTIONS(3178),
    [anon_sym_consteval] = ACTIONS(3178),
    [anon_sym_PROGMEM] = ACTIONS(3178),
    [anon_sym_alignas] = ACTIONS(3178),
    [anon_sym__Alignas] = ACTIONS(3178),
    [aux_sym_primitive_type_token1] = ACTIONS(3178),
    [anon_sym_byte] = ACTIONS(3178),
    [anon_sym_word] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_class] = ACTIONS(3178),
    [anon_sym_struct] = ACTIONS(3178),
    [anon_sym_union] = ACTIONS(3178),
    [anon_sym_if] = ACTIONS(3178),
    [anon_sym_switch] = ACTIONS(3178),
    [anon_sym_case] = ACTIONS(3178),
    [anon_sym_default] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_do] = ACTIONS(3178),
    [anon_sym_for] = ACTIONS(3178),
    [anon_sym_return] = ACTIONS(3178),
    [anon_sym_break] = ACTIONS(3178),
    [anon_sym_continue] = ACTIONS(3178),
    [anon_sym_goto] = ACTIONS(3178),
    [anon_sym___try] = ACTIONS(3178),
    [anon_sym___leave] = ACTIONS(3178),
    [anon_sym_not] = ACTIONS(3178),
    [anon_sym_compl] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_sizeof] = ACTIONS(3178),
    [anon_sym___alignof__] = ACTIONS(3178),
    [anon_sym___alignof] = ACTIONS(3178),
    [anon_sym__alignof] = ACTIONS(3178),
    [anon_sym_alignof] = ACTIONS(3178),
    [anon_sym__Alignof] = ACTIONS(3178),
    [anon_sym_offsetof] = ACTIONS(3178),
    [anon_sym__Generic] = ACTIONS(3178),
    [anon_sym_asm] = ACTIONS(3178),
    [anon_sym___asm__] = ACTIONS(3178),
    [anon_sym___asm] = ACTIONS(3178),
    [aux_sym_number_literal_token1] = ACTIONS(3180),
    [aux_sym_number_literal_token2] = ACTIONS(3178),
    [anon_sym_L_SQUOTE] = ACTIONS(3180),
    [anon_sym_u_SQUOTE] = ACTIONS(3180),
    [anon_sym_U_SQUOTE] = ACTIONS(3180),
    [anon_sym_u8_SQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [anon_sym_L_DQUOTE] = ACTIONS(3180),
    [anon_sym_u_DQUOTE] = ACTIONS(3180),
    [anon_sym_U_DQUOTE] = ACTIONS(3180),
    [anon_sym_u8_DQUOTE] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [sym_true] = ACTIONS(3178),
    [sym_false] = ACTIONS(3178),
    [anon_sym_NULL] = ACTIONS(3178),
    [anon_sym_nullptr] = ACTIONS(3178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3178),
    [anon_sym_decltype] = ACTIONS(3178),
    [anon_sym_explicit] = ACTIONS(3178),
    [anon_sym_typename] = ACTIONS(3178),
    [anon_sym_template] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_try] = ACTIONS(3178),
    [anon_sym_delete] = ACTIONS(3178),
    [anon_sym_throw] = ACTIONS(3178),
    [anon_sym_namespace] = ACTIONS(3178),
    [anon_sym_using] = ACTIONS(3178),
    [anon_sym_static_assert] = ACTIONS(3178),
    [anon_sym_concept] = ACTIONS(3178),
    [anon_sym_co_return] = ACTIONS(3178),
    [anon_sym_co_yield] = ACTIONS(3178),
    [anon_sym_R_DQUOTE] = ACTIONS(3180),
    [anon_sym_LR_DQUOTE] = ACTIONS(3180),
    [anon_sym_uR_DQUOTE] = ACTIONS(3180),
    [anon_sym_UR_DQUOTE] = ACTIONS(3180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3180),
    [anon_sym_co_await] = ACTIONS(3178),
    [anon_sym_new] = ACTIONS(3178),
    [anon_sym_requires] = ACTIONS(3178),
    [sym_this] = ACTIONS(3178),
  },
  [592] = {
    [sym_identifier] = ACTIONS(3198),
    [aux_sym_preproc_include_token1] = ACTIONS(3198),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3198),
    [anon_sym_LPAREN2] = ACTIONS(3200),
    [anon_sym_BANG] = ACTIONS(3200),
    [anon_sym_TILDE] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3200),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym___extension__] = ACTIONS(3198),
    [anon_sym_typedef] = ACTIONS(3198),
    [anon_sym_virtual] = ACTIONS(3198),
    [anon_sym_extern] = ACTIONS(3198),
    [anon_sym___attribute__] = ACTIONS(3198),
    [anon_sym_COLON_COLON] = ACTIONS(3200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3200),
    [anon_sym___declspec] = ACTIONS(3198),
    [anon_sym___based] = ACTIONS(3198),
    [anon_sym___cdecl] = ACTIONS(3198),
    [anon_sym___clrcall] = ACTIONS(3198),
    [anon_sym___stdcall] = ACTIONS(3198),
    [anon_sym___fastcall] = ACTIONS(3198),
    [anon_sym___thiscall] = ACTIONS(3198),
    [anon_sym___vectorcall] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_signed] = ACTIONS(3198),
    [anon_sym_unsigned] = ACTIONS(3198),
    [anon_sym_long] = ACTIONS(3198),
    [anon_sym_short] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_register] = ACTIONS(3198),
    [anon_sym_inline] = ACTIONS(3198),
    [anon_sym___inline] = ACTIONS(3198),
    [anon_sym___inline__] = ACTIONS(3198),
    [anon_sym___forceinline] = ACTIONS(3198),
    [anon_sym_thread_local] = ACTIONS(3198),
    [anon_sym___thread] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_constexpr] = ACTIONS(3198),
    [anon_sym_volatile] = ACTIONS(3198),
    [anon_sym_restrict] = ACTIONS(3198),
    [anon_sym___restrict__] = ACTIONS(3198),
    [anon_sym__Atomic] = ACTIONS(3198),
    [anon_sym__Noreturn] = ACTIONS(3198),
    [anon_sym_noreturn] = ACTIONS(3198),
    [anon_sym__Nonnull] = ACTIONS(3198),
    [anon_sym_mutable] = ACTIONS(3198),
    [anon_sym_constinit] = ACTIONS(3198),
    [anon_sym_consteval] = ACTIONS(3198),
    [anon_sym_PROGMEM] = ACTIONS(3198),
    [anon_sym_alignas] = ACTIONS(3198),
    [anon_sym__Alignas] = ACTIONS(3198),
    [aux_sym_primitive_type_token1] = ACTIONS(3198),
    [anon_sym_byte] = ACTIONS(3198),
    [anon_sym_word] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_struct] = ACTIONS(3198),
    [anon_sym_union] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_case] = ACTIONS(3198),
    [anon_sym_default] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_goto] = ACTIONS(3198),
    [anon_sym___try] = ACTIONS(3198),
    [anon_sym___leave] = ACTIONS(3198),
    [anon_sym_not] = ACTIONS(3198),
    [anon_sym_compl] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_sizeof] = ACTIONS(3198),
    [anon_sym___alignof__] = ACTIONS(3198),
    [anon_sym___alignof] = ACTIONS(3198),
    [anon_sym__alignof] = ACTIONS(3198),
    [anon_sym_alignof] = ACTIONS(3198),
    [anon_sym__Alignof] = ACTIONS(3198),
    [anon_sym_offsetof] = ACTIONS(3198),
    [anon_sym__Generic] = ACTIONS(3198),
    [anon_sym_asm] = ACTIONS(3198),
    [anon_sym___asm__] = ACTIONS(3198),
    [anon_sym___asm] = ACTIONS(3198),
    [aux_sym_number_literal_token1] = ACTIONS(3200),
    [aux_sym_number_literal_token2] = ACTIONS(3198),
    [anon_sym_L_SQUOTE] = ACTIONS(3200),
    [anon_sym_u_SQUOTE] = ACTIONS(3200),
    [anon_sym_U_SQUOTE] = ACTIONS(3200),
    [anon_sym_u8_SQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [anon_sym_L_DQUOTE] = ACTIONS(3200),
    [anon_sym_u_DQUOTE] = ACTIONS(3200),
    [anon_sym_U_DQUOTE] = ACTIONS(3200),
    [anon_sym_u8_DQUOTE] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3200),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [anon_sym_NULL] = ACTIONS(3198),
    [anon_sym_nullptr] = ACTIONS(3198),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3198),
    [anon_sym_decltype] = ACTIONS(3198),
    [anon_sym_explicit] = ACTIONS(3198),
    [anon_sym_typename] = ACTIONS(3198),
    [anon_sym_template] = ACTIONS(3198),
    [anon_sym_operator] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_static_assert] = ACTIONS(3198),
    [anon_sym_concept] = ACTIONS(3198),
    [anon_sym_co_return] = ACTIONS(3198),
    [anon_sym_co_yield] = ACTIONS(3198),
    [anon_sym_R_DQUOTE] = ACTIONS(3200),
    [anon_sym_LR_DQUOTE] = ACTIONS(3200),
    [anon_sym_uR_DQUOTE] = ACTIONS(3200),
    [anon_sym_UR_DQUOTE] = ACTIONS(3200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3200),
    [anon_sym_co_await] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_requires] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
  },
  [593] = {
    [sym_identifier] = ACTIONS(3194),
    [aux_sym_preproc_include_token1] = ACTIONS(3194),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3194),
    [sym_preproc_directive] = ACTIONS(3194),
    [anon_sym_LPAREN2] = ACTIONS(3196),
    [anon_sym_BANG] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym___extension__] = ACTIONS(3194),
    [anon_sym_typedef] = ACTIONS(3194),
    [anon_sym_virtual] = ACTIONS(3194),
    [anon_sym_extern] = ACTIONS(3194),
    [anon_sym___attribute__] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3196),
    [anon_sym___declspec] = ACTIONS(3194),
    [anon_sym___based] = ACTIONS(3194),
    [anon_sym___cdecl] = ACTIONS(3194),
    [anon_sym___clrcall] = ACTIONS(3194),
    [anon_sym___stdcall] = ACTIONS(3194),
    [anon_sym___fastcall] = ACTIONS(3194),
    [anon_sym___thiscall] = ACTIONS(3194),
    [anon_sym___vectorcall] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_signed] = ACTIONS(3194),
    [anon_sym_unsigned] = ACTIONS(3194),
    [anon_sym_long] = ACTIONS(3194),
    [anon_sym_short] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_register] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym___inline] = ACTIONS(3194),
    [anon_sym___inline__] = ACTIONS(3194),
    [anon_sym___forceinline] = ACTIONS(3194),
    [anon_sym_thread_local] = ACTIONS(3194),
    [anon_sym___thread] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_constexpr] = ACTIONS(3194),
    [anon_sym_volatile] = ACTIONS(3194),
    [anon_sym_restrict] = ACTIONS(3194),
    [anon_sym___restrict__] = ACTIONS(3194),
    [anon_sym__Atomic] = ACTIONS(3194),
    [anon_sym__Noreturn] = ACTIONS(3194),
    [anon_sym_noreturn] = ACTIONS(3194),
    [anon_sym__Nonnull] = ACTIONS(3194),
    [anon_sym_mutable] = ACTIONS(3194),
    [anon_sym_constinit] = ACTIONS(3194),
    [anon_sym_consteval] = ACTIONS(3194),
    [anon_sym_PROGMEM] = ACTIONS(3194),
    [anon_sym_alignas] = ACTIONS(3194),
    [anon_sym__Alignas] = ACTIONS(3194),
    [aux_sym_primitive_type_token1] = ACTIONS(3194),
    [anon_sym_byte] = ACTIONS(3194),
    [anon_sym_word] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_struct] = ACTIONS(3194),
    [anon_sym_union] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_case] = ACTIONS(3194),
    [anon_sym_default] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_goto] = ACTIONS(3194),
    [anon_sym___try] = ACTIONS(3194),
    [anon_sym___leave] = ACTIONS(3194),
    [anon_sym_not] = ACTIONS(3194),
    [anon_sym_compl] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_sizeof] = ACTIONS(3194),
    [anon_sym___alignof__] = ACTIONS(3194),
    [anon_sym___alignof] = ACTIONS(3194),
    [anon_sym__alignof] = ACTIONS(3194),
    [anon_sym_alignof] = ACTIONS(3194),
    [anon_sym__Alignof] = ACTIONS(3194),
    [anon_sym_offsetof] = ACTIONS(3194),
    [anon_sym__Generic] = ACTIONS(3194),
    [anon_sym_asm] = ACTIONS(3194),
    [anon_sym___asm__] = ACTIONS(3194),
    [anon_sym___asm] = ACTIONS(3194),
    [aux_sym_number_literal_token1] = ACTIONS(3196),
    [aux_sym_number_literal_token2] = ACTIONS(3194),
    [anon_sym_L_SQUOTE] = ACTIONS(3196),
    [anon_sym_u_SQUOTE] = ACTIONS(3196),
    [anon_sym_U_SQUOTE] = ACTIONS(3196),
    [anon_sym_u8_SQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [anon_sym_L_DQUOTE] = ACTIONS(3196),
    [anon_sym_u_DQUOTE] = ACTIONS(3196),
    [anon_sym_U_DQUOTE] = ACTIONS(3196),
    [anon_sym_u8_DQUOTE] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3196),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [anon_sym_NULL] = ACTIONS(3194),
    [anon_sym_nullptr] = ACTIONS(3194),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3194),
    [anon_sym_decltype] = ACTIONS(3194),
    [anon_sym_explicit] = ACTIONS(3194),
    [anon_sym_typename] = ACTIONS(3194),
    [anon_sym_template] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_static_assert] = ACTIONS(3194),
    [anon_sym_concept] = ACTIONS(3194),
    [anon_sym_co_return] = ACTIONS(3194),
    [anon_sym_co_yield] = ACTIONS(3194),
    [anon_sym_R_DQUOTE] = ACTIONS(3196),
    [anon_sym_LR_DQUOTE] = ACTIONS(3196),
    [anon_sym_uR_DQUOTE] = ACTIONS(3196),
    [anon_sym_UR_DQUOTE] = ACTIONS(3196),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3196),
    [anon_sym_co_await] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_requires] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
  },
  [594] = {
    [sym_identifier] = ACTIONS(3190),
    [aux_sym_preproc_include_token1] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3190),
    [anon_sym_typedef] = ACTIONS(3190),
    [anon_sym_virtual] = ACTIONS(3190),
    [anon_sym_extern] = ACTIONS(3190),
    [anon_sym___attribute__] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3192),
    [anon_sym___declspec] = ACTIONS(3190),
    [anon_sym___based] = ACTIONS(3190),
    [anon_sym___cdecl] = ACTIONS(3190),
    [anon_sym___clrcall] = ACTIONS(3190),
    [anon_sym___stdcall] = ACTIONS(3190),
    [anon_sym___fastcall] = ACTIONS(3190),
    [anon_sym___thiscall] = ACTIONS(3190),
    [anon_sym___vectorcall] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3190),
    [anon_sym_unsigned] = ACTIONS(3190),
    [anon_sym_long] = ACTIONS(3190),
    [anon_sym_short] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_register] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym___inline] = ACTIONS(3190),
    [anon_sym___inline__] = ACTIONS(3190),
    [anon_sym___forceinline] = ACTIONS(3190),
    [anon_sym_thread_local] = ACTIONS(3190),
    [anon_sym___thread] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_constexpr] = ACTIONS(3190),
    [anon_sym_volatile] = ACTIONS(3190),
    [anon_sym_restrict] = ACTIONS(3190),
    [anon_sym___restrict__] = ACTIONS(3190),
    [anon_sym__Atomic] = ACTIONS(3190),
    [anon_sym__Noreturn] = ACTIONS(3190),
    [anon_sym_noreturn] = ACTIONS(3190),
    [anon_sym__Nonnull] = ACTIONS(3190),
    [anon_sym_mutable] = ACTIONS(3190),
    [anon_sym_constinit] = ACTIONS(3190),
    [anon_sym_consteval] = ACTIONS(3190),
    [anon_sym_PROGMEM] = ACTIONS(3190),
    [anon_sym_alignas] = ACTIONS(3190),
    [anon_sym__Alignas] = ACTIONS(3190),
    [aux_sym_primitive_type_token1] = ACTIONS(3190),
    [anon_sym_byte] = ACTIONS(3190),
    [anon_sym_word] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_struct] = ACTIONS(3190),
    [anon_sym_union] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_case] = ACTIONS(3190),
    [anon_sym_default] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_goto] = ACTIONS(3190),
    [anon_sym___try] = ACTIONS(3190),
    [anon_sym___leave] = ACTIONS(3190),
    [anon_sym_not] = ACTIONS(3190),
    [anon_sym_compl] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_sizeof] = ACTIONS(3190),
    [anon_sym___alignof__] = ACTIONS(3190),
    [anon_sym___alignof] = ACTIONS(3190),
    [anon_sym__alignof] = ACTIONS(3190),
    [anon_sym_alignof] = ACTIONS(3190),
    [anon_sym__Alignof] = ACTIONS(3190),
    [anon_sym_offsetof] = ACTIONS(3190),
    [anon_sym__Generic] = ACTIONS(3190),
    [anon_sym_asm] = ACTIONS(3190),
    [anon_sym___asm__] = ACTIONS(3190),
    [anon_sym___asm] = ACTIONS(3190),
    [aux_sym_number_literal_token1] = ACTIONS(3192),
    [aux_sym_number_literal_token2] = ACTIONS(3190),
    [anon_sym_L_SQUOTE] = ACTIONS(3192),
    [anon_sym_u_SQUOTE] = ACTIONS(3192),
    [anon_sym_U_SQUOTE] = ACTIONS(3192),
    [anon_sym_u8_SQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [anon_sym_L_DQUOTE] = ACTIONS(3192),
    [anon_sym_u_DQUOTE] = ACTIONS(3192),
    [anon_sym_U_DQUOTE] = ACTIONS(3192),
    [anon_sym_u8_DQUOTE] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [anon_sym_NULL] = ACTIONS(3190),
    [anon_sym_nullptr] = ACTIONS(3190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3190),
    [anon_sym_decltype] = ACTIONS(3190),
    [anon_sym_explicit] = ACTIONS(3190),
    [anon_sym_typename] = ACTIONS(3190),
    [anon_sym_template] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_static_assert] = ACTIONS(3190),
    [anon_sym_concept] = ACTIONS(3190),
    [anon_sym_co_return] = ACTIONS(3190),
    [anon_sym_co_yield] = ACTIONS(3190),
    [anon_sym_R_DQUOTE] = ACTIONS(3192),
    [anon_sym_LR_DQUOTE] = ACTIONS(3192),
    [anon_sym_uR_DQUOTE] = ACTIONS(3192),
    [anon_sym_UR_DQUOTE] = ACTIONS(3192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3192),
    [anon_sym_co_await] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_requires] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
  },
  [595] = {
    [sym_identifier] = ACTIONS(3190),
    [aux_sym_preproc_include_token1] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3190),
    [anon_sym_typedef] = ACTIONS(3190),
    [anon_sym_virtual] = ACTIONS(3190),
    [anon_sym_extern] = ACTIONS(3190),
    [anon_sym___attribute__] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3192),
    [anon_sym___declspec] = ACTIONS(3190),
    [anon_sym___based] = ACTIONS(3190),
    [anon_sym___cdecl] = ACTIONS(3190),
    [anon_sym___clrcall] = ACTIONS(3190),
    [anon_sym___stdcall] = ACTIONS(3190),
    [anon_sym___fastcall] = ACTIONS(3190),
    [anon_sym___thiscall] = ACTIONS(3190),
    [anon_sym___vectorcall] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3190),
    [anon_sym_unsigned] = ACTIONS(3190),
    [anon_sym_long] = ACTIONS(3190),
    [anon_sym_short] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_register] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym___inline] = ACTIONS(3190),
    [anon_sym___inline__] = ACTIONS(3190),
    [anon_sym___forceinline] = ACTIONS(3190),
    [anon_sym_thread_local] = ACTIONS(3190),
    [anon_sym___thread] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_constexpr] = ACTIONS(3190),
    [anon_sym_volatile] = ACTIONS(3190),
    [anon_sym_restrict] = ACTIONS(3190),
    [anon_sym___restrict__] = ACTIONS(3190),
    [anon_sym__Atomic] = ACTIONS(3190),
    [anon_sym__Noreturn] = ACTIONS(3190),
    [anon_sym_noreturn] = ACTIONS(3190),
    [anon_sym__Nonnull] = ACTIONS(3190),
    [anon_sym_mutable] = ACTIONS(3190),
    [anon_sym_constinit] = ACTIONS(3190),
    [anon_sym_consteval] = ACTIONS(3190),
    [anon_sym_PROGMEM] = ACTIONS(3190),
    [anon_sym_alignas] = ACTIONS(3190),
    [anon_sym__Alignas] = ACTIONS(3190),
    [aux_sym_primitive_type_token1] = ACTIONS(3190),
    [anon_sym_byte] = ACTIONS(3190),
    [anon_sym_word] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_struct] = ACTIONS(3190),
    [anon_sym_union] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_case] = ACTIONS(3190),
    [anon_sym_default] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_goto] = ACTIONS(3190),
    [anon_sym___try] = ACTIONS(3190),
    [anon_sym___leave] = ACTIONS(3190),
    [anon_sym_not] = ACTIONS(3190),
    [anon_sym_compl] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_sizeof] = ACTIONS(3190),
    [anon_sym___alignof__] = ACTIONS(3190),
    [anon_sym___alignof] = ACTIONS(3190),
    [anon_sym__alignof] = ACTIONS(3190),
    [anon_sym_alignof] = ACTIONS(3190),
    [anon_sym__Alignof] = ACTIONS(3190),
    [anon_sym_offsetof] = ACTIONS(3190),
    [anon_sym__Generic] = ACTIONS(3190),
    [anon_sym_asm] = ACTIONS(3190),
    [anon_sym___asm__] = ACTIONS(3190),
    [anon_sym___asm] = ACTIONS(3190),
    [aux_sym_number_literal_token1] = ACTIONS(3192),
    [aux_sym_number_literal_token2] = ACTIONS(3190),
    [anon_sym_L_SQUOTE] = ACTIONS(3192),
    [anon_sym_u_SQUOTE] = ACTIONS(3192),
    [anon_sym_U_SQUOTE] = ACTIONS(3192),
    [anon_sym_u8_SQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [anon_sym_L_DQUOTE] = ACTIONS(3192),
    [anon_sym_u_DQUOTE] = ACTIONS(3192),
    [anon_sym_U_DQUOTE] = ACTIONS(3192),
    [anon_sym_u8_DQUOTE] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [anon_sym_NULL] = ACTIONS(3190),
    [anon_sym_nullptr] = ACTIONS(3190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3190),
    [anon_sym_decltype] = ACTIONS(3190),
    [anon_sym_explicit] = ACTIONS(3190),
    [anon_sym_typename] = ACTIONS(3190),
    [anon_sym_template] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_static_assert] = ACTIONS(3190),
    [anon_sym_concept] = ACTIONS(3190),
    [anon_sym_co_return] = ACTIONS(3190),
    [anon_sym_co_yield] = ACTIONS(3190),
    [anon_sym_R_DQUOTE] = ACTIONS(3192),
    [anon_sym_LR_DQUOTE] = ACTIONS(3192),
    [anon_sym_uR_DQUOTE] = ACTIONS(3192),
    [anon_sym_UR_DQUOTE] = ACTIONS(3192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3192),
    [anon_sym_co_await] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_requires] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
  },
  [596] = {
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_include_token1] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token2] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_virtual] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym___cdecl] = ACTIONS(2964),
    [anon_sym___clrcall] = ACTIONS(2964),
    [anon_sym___stdcall] = ACTIONS(2964),
    [anon_sym___fastcall] = ACTIONS(2964),
    [anon_sym___thiscall] = ACTIONS(2964),
    [anon_sym___vectorcall] = ACTIONS(2964),
    [anon_sym_LBRACE] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym__Nonnull] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [anon_sym_PROGMEM] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym__Alignas] = ACTIONS(2964),
    [aux_sym_primitive_type_token1] = ACTIONS(2964),
    [anon_sym_byte] = ACTIONS(2964),
    [anon_sym_word] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_switch] = ACTIONS(2964),
    [anon_sym_case] = ACTIONS(2964),
    [anon_sym_default] = ACTIONS(2964),
    [anon_sym_while] = ACTIONS(2964),
    [anon_sym_do] = ACTIONS(2964),
    [anon_sym_for] = ACTIONS(2964),
    [anon_sym_return] = ACTIONS(2964),
    [anon_sym_break] = ACTIONS(2964),
    [anon_sym_continue] = ACTIONS(2964),
    [anon_sym_goto] = ACTIONS(2964),
    [anon_sym___try] = ACTIONS(2964),
    [anon_sym___leave] = ACTIONS(2964),
    [anon_sym_not] = ACTIONS(2964),
    [anon_sym_compl] = ACTIONS(2964),
    [anon_sym_DASH_DASH] = ACTIONS(2966),
    [anon_sym_PLUS_PLUS] = ACTIONS(2966),
    [anon_sym_sizeof] = ACTIONS(2964),
    [anon_sym___alignof__] = ACTIONS(2964),
    [anon_sym___alignof] = ACTIONS(2964),
    [anon_sym__alignof] = ACTIONS(2964),
    [anon_sym_alignof] = ACTIONS(2964),
    [anon_sym__Alignof] = ACTIONS(2964),
    [anon_sym_offsetof] = ACTIONS(2964),
    [anon_sym__Generic] = ACTIONS(2964),
    [anon_sym_asm] = ACTIONS(2964),
    [anon_sym___asm__] = ACTIONS(2964),
    [anon_sym___asm] = ACTIONS(2964),
    [aux_sym_number_literal_token1] = ACTIONS(2966),
    [aux_sym_number_literal_token2] = ACTIONS(2964),
    [anon_sym_L_SQUOTE] = ACTIONS(2966),
    [anon_sym_u_SQUOTE] = ACTIONS(2966),
    [anon_sym_U_SQUOTE] = ACTIONS(2966),
    [anon_sym_u8_SQUOTE] = ACTIONS(2966),
    [anon_sym_SQUOTE] = ACTIONS(2966),
    [anon_sym_L_DQUOTE] = ACTIONS(2966),
    [anon_sym_u_DQUOTE] = ACTIONS(2966),
    [anon_sym_U_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8_DQUOTE] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2966),
    [sym_true] = ACTIONS(2964),
    [sym_false] = ACTIONS(2964),
    [anon_sym_NULL] = ACTIONS(2964),
    [anon_sym_nullptr] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_delete] = ACTIONS(2964),
    [anon_sym_throw] = ACTIONS(2964),
    [anon_sym_namespace] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
    [anon_sym_concept] = ACTIONS(2964),
    [anon_sym_co_return] = ACTIONS(2964),
    [anon_sym_co_yield] = ACTIONS(2964),
    [anon_sym_R_DQUOTE] = ACTIONS(2966),
    [anon_sym_LR_DQUOTE] = ACTIONS(2966),
    [anon_sym_uR_DQUOTE] = ACTIONS(2966),
    [anon_sym_UR_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2966),
    [anon_sym_co_await] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(2964),
    [anon_sym_requires] = ACTIONS(2964),
    [sym_this] = ACTIONS(2964),
  },
  [597] = {
    [sym_identifier] = ACTIONS(3082),
    [aux_sym_preproc_include_token1] = ACTIONS(3082),
    [aux_sym_preproc_def_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3082),
    [sym_preproc_directive] = ACTIONS(3082),
    [anon_sym_LPAREN2] = ACTIONS(3084),
    [anon_sym_BANG] = ACTIONS(3084),
    [anon_sym_TILDE] = ACTIONS(3084),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym___extension__] = ACTIONS(3082),
    [anon_sym_typedef] = ACTIONS(3082),
    [anon_sym_virtual] = ACTIONS(3082),
    [anon_sym_extern] = ACTIONS(3082),
    [anon_sym___attribute__] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3084),
    [anon_sym___declspec] = ACTIONS(3082),
    [anon_sym___based] = ACTIONS(3082),
    [anon_sym___cdecl] = ACTIONS(3082),
    [anon_sym___clrcall] = ACTIONS(3082),
    [anon_sym___stdcall] = ACTIONS(3082),
    [anon_sym___fastcall] = ACTIONS(3082),
    [anon_sym___thiscall] = ACTIONS(3082),
    [anon_sym___vectorcall] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_RBRACE] = ACTIONS(3084),
    [anon_sym_signed] = ACTIONS(3082),
    [anon_sym_unsigned] = ACTIONS(3082),
    [anon_sym_long] = ACTIONS(3082),
    [anon_sym_short] = ACTIONS(3082),
    [anon_sym_LBRACK] = ACTIONS(3082),
    [anon_sym_static] = ACTIONS(3082),
    [anon_sym_register] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym___inline] = ACTIONS(3082),
    [anon_sym___inline__] = ACTIONS(3082),
    [anon_sym___forceinline] = ACTIONS(3082),
    [anon_sym_thread_local] = ACTIONS(3082),
    [anon_sym___thread] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_constexpr] = ACTIONS(3082),
    [anon_sym_volatile] = ACTIONS(3082),
    [anon_sym_restrict] = ACTIONS(3082),
    [anon_sym___restrict__] = ACTIONS(3082),
    [anon_sym__Atomic] = ACTIONS(3082),
    [anon_sym__Noreturn] = ACTIONS(3082),
    [anon_sym_noreturn] = ACTIONS(3082),
    [anon_sym__Nonnull] = ACTIONS(3082),
    [anon_sym_mutable] = ACTIONS(3082),
    [anon_sym_constinit] = ACTIONS(3082),
    [anon_sym_consteval] = ACTIONS(3082),
    [anon_sym_PROGMEM] = ACTIONS(3082),
    [anon_sym_alignas] = ACTIONS(3082),
    [anon_sym__Alignas] = ACTIONS(3082),
    [aux_sym_primitive_type_token1] = ACTIONS(3082),
    [anon_sym_byte] = ACTIONS(3082),
    [anon_sym_word] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3082),
    [anon_sym_struct] = ACTIONS(3082),
    [anon_sym_union] = ACTIONS(3082),
    [anon_sym_if] = ACTIONS(3082),
    [anon_sym_switch] = ACTIONS(3082),
    [anon_sym_case] = ACTIONS(3082),
    [anon_sym_default] = ACTIONS(3082),
    [anon_sym_while] = ACTIONS(3082),
    [anon_sym_do] = ACTIONS(3082),
    [anon_sym_for] = ACTIONS(3082),
    [anon_sym_return] = ACTIONS(3082),
    [anon_sym_break] = ACTIONS(3082),
    [anon_sym_continue] = ACTIONS(3082),
    [anon_sym_goto] = ACTIONS(3082),
    [anon_sym___try] = ACTIONS(3082),
    [anon_sym___leave] = ACTIONS(3082),
    [anon_sym_not] = ACTIONS(3082),
    [anon_sym_compl] = ACTIONS(3082),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_sizeof] = ACTIONS(3082),
    [anon_sym___alignof__] = ACTIONS(3082),
    [anon_sym___alignof] = ACTIONS(3082),
    [anon_sym__alignof] = ACTIONS(3082),
    [anon_sym_alignof] = ACTIONS(3082),
    [anon_sym__Alignof] = ACTIONS(3082),
    [anon_sym_offsetof] = ACTIONS(3082),
    [anon_sym__Generic] = ACTIONS(3082),
    [anon_sym_asm] = ACTIONS(3082),
    [anon_sym___asm__] = ACTIONS(3082),
    [anon_sym___asm] = ACTIONS(3082),
    [aux_sym_number_literal_token1] = ACTIONS(3084),
    [aux_sym_number_literal_token2] = ACTIONS(3082),
    [anon_sym_L_SQUOTE] = ACTIONS(3084),
    [anon_sym_u_SQUOTE] = ACTIONS(3084),
    [anon_sym_U_SQUOTE] = ACTIONS(3084),
    [anon_sym_u8_SQUOTE] = ACTIONS(3084),
    [anon_sym_SQUOTE] = ACTIONS(3084),
    [anon_sym_L_DQUOTE] = ACTIONS(3084),
    [anon_sym_u_DQUOTE] = ACTIONS(3084),
    [anon_sym_U_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8_DQUOTE] = ACTIONS(3084),
    [anon_sym_DQUOTE] = ACTIONS(3084),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_NULL] = ACTIONS(3082),
    [anon_sym_nullptr] = ACTIONS(3082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3082),
    [anon_sym_decltype] = ACTIONS(3082),
    [anon_sym_explicit] = ACTIONS(3082),
    [anon_sym_typename] = ACTIONS(3082),
    [anon_sym_template] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_try] = ACTIONS(3082),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_throw] = ACTIONS(3082),
    [anon_sym_namespace] = ACTIONS(3082),
    [anon_sym_using] = ACTIONS(3082),
    [anon_sym_static_assert] = ACTIONS(3082),
    [anon_sym_concept] = ACTIONS(3082),
    [anon_sym_co_return] = ACTIONS(3082),
    [anon_sym_co_yield] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3082),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_requires] = ACTIONS(3082),
    [sym_this] = ACTIONS(3082),
  },
  [598] = {
    [sym_identifier] = ACTIONS(3082),
    [aux_sym_preproc_include_token1] = ACTIONS(3082),
    [aux_sym_preproc_def_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3082),
    [sym_preproc_directive] = ACTIONS(3082),
    [anon_sym_LPAREN2] = ACTIONS(3084),
    [anon_sym_BANG] = ACTIONS(3084),
    [anon_sym_TILDE] = ACTIONS(3084),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym___extension__] = ACTIONS(3082),
    [anon_sym_typedef] = ACTIONS(3082),
    [anon_sym_virtual] = ACTIONS(3082),
    [anon_sym_extern] = ACTIONS(3082),
    [anon_sym___attribute__] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3084),
    [anon_sym___declspec] = ACTIONS(3082),
    [anon_sym___based] = ACTIONS(3082),
    [anon_sym___cdecl] = ACTIONS(3082),
    [anon_sym___clrcall] = ACTIONS(3082),
    [anon_sym___stdcall] = ACTIONS(3082),
    [anon_sym___fastcall] = ACTIONS(3082),
    [anon_sym___thiscall] = ACTIONS(3082),
    [anon_sym___vectorcall] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_RBRACE] = ACTIONS(3084),
    [anon_sym_signed] = ACTIONS(3082),
    [anon_sym_unsigned] = ACTIONS(3082),
    [anon_sym_long] = ACTIONS(3082),
    [anon_sym_short] = ACTIONS(3082),
    [anon_sym_LBRACK] = ACTIONS(3082),
    [anon_sym_static] = ACTIONS(3082),
    [anon_sym_register] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym___inline] = ACTIONS(3082),
    [anon_sym___inline__] = ACTIONS(3082),
    [anon_sym___forceinline] = ACTIONS(3082),
    [anon_sym_thread_local] = ACTIONS(3082),
    [anon_sym___thread] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_constexpr] = ACTIONS(3082),
    [anon_sym_volatile] = ACTIONS(3082),
    [anon_sym_restrict] = ACTIONS(3082),
    [anon_sym___restrict__] = ACTIONS(3082),
    [anon_sym__Atomic] = ACTIONS(3082),
    [anon_sym__Noreturn] = ACTIONS(3082),
    [anon_sym_noreturn] = ACTIONS(3082),
    [anon_sym__Nonnull] = ACTIONS(3082),
    [anon_sym_mutable] = ACTIONS(3082),
    [anon_sym_constinit] = ACTIONS(3082),
    [anon_sym_consteval] = ACTIONS(3082),
    [anon_sym_PROGMEM] = ACTIONS(3082),
    [anon_sym_alignas] = ACTIONS(3082),
    [anon_sym__Alignas] = ACTIONS(3082),
    [aux_sym_primitive_type_token1] = ACTIONS(3082),
    [anon_sym_byte] = ACTIONS(3082),
    [anon_sym_word] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3082),
    [anon_sym_struct] = ACTIONS(3082),
    [anon_sym_union] = ACTIONS(3082),
    [anon_sym_if] = ACTIONS(3082),
    [anon_sym_switch] = ACTIONS(3082),
    [anon_sym_case] = ACTIONS(3082),
    [anon_sym_default] = ACTIONS(3082),
    [anon_sym_while] = ACTIONS(3082),
    [anon_sym_do] = ACTIONS(3082),
    [anon_sym_for] = ACTIONS(3082),
    [anon_sym_return] = ACTIONS(3082),
    [anon_sym_break] = ACTIONS(3082),
    [anon_sym_continue] = ACTIONS(3082),
    [anon_sym_goto] = ACTIONS(3082),
    [anon_sym___try] = ACTIONS(3082),
    [anon_sym___leave] = ACTIONS(3082),
    [anon_sym_not] = ACTIONS(3082),
    [anon_sym_compl] = ACTIONS(3082),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_sizeof] = ACTIONS(3082),
    [anon_sym___alignof__] = ACTIONS(3082),
    [anon_sym___alignof] = ACTIONS(3082),
    [anon_sym__alignof] = ACTIONS(3082),
    [anon_sym_alignof] = ACTIONS(3082),
    [anon_sym__Alignof] = ACTIONS(3082),
    [anon_sym_offsetof] = ACTIONS(3082),
    [anon_sym__Generic] = ACTIONS(3082),
    [anon_sym_asm] = ACTIONS(3082),
    [anon_sym___asm__] = ACTIONS(3082),
    [anon_sym___asm] = ACTIONS(3082),
    [aux_sym_number_literal_token1] = ACTIONS(3084),
    [aux_sym_number_literal_token2] = ACTIONS(3082),
    [anon_sym_L_SQUOTE] = ACTIONS(3084),
    [anon_sym_u_SQUOTE] = ACTIONS(3084),
    [anon_sym_U_SQUOTE] = ACTIONS(3084),
    [anon_sym_u8_SQUOTE] = ACTIONS(3084),
    [anon_sym_SQUOTE] = ACTIONS(3084),
    [anon_sym_L_DQUOTE] = ACTIONS(3084),
    [anon_sym_u_DQUOTE] = ACTIONS(3084),
    [anon_sym_U_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8_DQUOTE] = ACTIONS(3084),
    [anon_sym_DQUOTE] = ACTIONS(3084),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_NULL] = ACTIONS(3082),
    [anon_sym_nullptr] = ACTIONS(3082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3082),
    [anon_sym_decltype] = ACTIONS(3082),
    [anon_sym_explicit] = ACTIONS(3082),
    [anon_sym_typename] = ACTIONS(3082),
    [anon_sym_template] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_try] = ACTIONS(3082),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_throw] = ACTIONS(3082),
    [anon_sym_namespace] = ACTIONS(3082),
    [anon_sym_using] = ACTIONS(3082),
    [anon_sym_static_assert] = ACTIONS(3082),
    [anon_sym_concept] = ACTIONS(3082),
    [anon_sym_co_return] = ACTIONS(3082),
    [anon_sym_co_yield] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3082),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_requires] = ACTIONS(3082),
    [sym_this] = ACTIONS(3082),
  },
  [599] = {
    [sym_identifier] = ACTIONS(3155),
    [aux_sym_preproc_include_token1] = ACTIONS(3155),
    [aux_sym_preproc_def_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token2] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3155),
    [sym_preproc_directive] = ACTIONS(3155),
    [anon_sym_LPAREN2] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(3155),
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_AMP_AMP] = ACTIONS(3157),
    [anon_sym_AMP] = ACTIONS(3155),
    [anon_sym_SEMI] = ACTIONS(3157),
    [anon_sym___extension__] = ACTIONS(3155),
    [anon_sym_typedef] = ACTIONS(3155),
    [anon_sym_virtual] = ACTIONS(3155),
    [anon_sym_extern] = ACTIONS(3155),
    [anon_sym___attribute__] = ACTIONS(3155),
    [anon_sym_COLON_COLON] = ACTIONS(3157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3157),
    [anon_sym___declspec] = ACTIONS(3155),
    [anon_sym___based] = ACTIONS(3155),
    [anon_sym___cdecl] = ACTIONS(3155),
    [anon_sym___clrcall] = ACTIONS(3155),
    [anon_sym___stdcall] = ACTIONS(3155),
    [anon_sym___fastcall] = ACTIONS(3155),
    [anon_sym___thiscall] = ACTIONS(3155),
    [anon_sym___vectorcall] = ACTIONS(3155),
    [anon_sym_LBRACE] = ACTIONS(3157),
    [anon_sym_signed] = ACTIONS(3155),
    [anon_sym_unsigned] = ACTIONS(3155),
    [anon_sym_long] = ACTIONS(3155),
    [anon_sym_short] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_static] = ACTIONS(3155),
    [anon_sym_register] = ACTIONS(3155),
    [anon_sym_inline] = ACTIONS(3155),
    [anon_sym___inline] = ACTIONS(3155),
    [anon_sym___inline__] = ACTIONS(3155),
    [anon_sym___forceinline] = ACTIONS(3155),
    [anon_sym_thread_local] = ACTIONS(3155),
    [anon_sym___thread] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3155),
    [anon_sym_constexpr] = ACTIONS(3155),
    [anon_sym_volatile] = ACTIONS(3155),
    [anon_sym_restrict] = ACTIONS(3155),
    [anon_sym___restrict__] = ACTIONS(3155),
    [anon_sym__Atomic] = ACTIONS(3155),
    [anon_sym__Noreturn] = ACTIONS(3155),
    [anon_sym_noreturn] = ACTIONS(3155),
    [anon_sym__Nonnull] = ACTIONS(3155),
    [anon_sym_mutable] = ACTIONS(3155),
    [anon_sym_constinit] = ACTIONS(3155),
    [anon_sym_consteval] = ACTIONS(3155),
    [anon_sym_PROGMEM] = ACTIONS(3155),
    [anon_sym_alignas] = ACTIONS(3155),
    [anon_sym__Alignas] = ACTIONS(3155),
    [aux_sym_primitive_type_token1] = ACTIONS(3155),
    [anon_sym_byte] = ACTIONS(3155),
    [anon_sym_word] = ACTIONS(3155),
    [anon_sym_enum] = ACTIONS(3155),
    [anon_sym_class] = ACTIONS(3155),
    [anon_sym_struct] = ACTIONS(3155),
    [anon_sym_union] = ACTIONS(3155),
    [anon_sym_if] = ACTIONS(3155),
    [anon_sym_switch] = ACTIONS(3155),
    [anon_sym_case] = ACTIONS(3155),
    [anon_sym_default] = ACTIONS(3155),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3155),
    [anon_sym_break] = ACTIONS(3155),
    [anon_sym_continue] = ACTIONS(3155),
    [anon_sym_goto] = ACTIONS(3155),
    [anon_sym___try] = ACTIONS(3155),
    [anon_sym___leave] = ACTIONS(3155),
    [anon_sym_not] = ACTIONS(3155),
    [anon_sym_compl] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3157),
    [anon_sym_PLUS_PLUS] = ACTIONS(3157),
    [anon_sym_sizeof] = ACTIONS(3155),
    [anon_sym___alignof__] = ACTIONS(3155),
    [anon_sym___alignof] = ACTIONS(3155),
    [anon_sym__alignof] = ACTIONS(3155),
    [anon_sym_alignof] = ACTIONS(3155),
    [anon_sym__Alignof] = ACTIONS(3155),
    [anon_sym_offsetof] = ACTIONS(3155),
    [anon_sym__Generic] = ACTIONS(3155),
    [anon_sym_asm] = ACTIONS(3155),
    [anon_sym___asm__] = ACTIONS(3155),
    [anon_sym___asm] = ACTIONS(3155),
    [aux_sym_number_literal_token1] = ACTIONS(3157),
    [aux_sym_number_literal_token2] = ACTIONS(3155),
    [anon_sym_L_SQUOTE] = ACTIONS(3157),
    [anon_sym_u_SQUOTE] = ACTIONS(3157),
    [anon_sym_U_SQUOTE] = ACTIONS(3157),
    [anon_sym_u8_SQUOTE] = ACTIONS(3157),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_L_DQUOTE] = ACTIONS(3157),
    [anon_sym_u_DQUOTE] = ACTIONS(3157),
    [anon_sym_U_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8_DQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3157),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [anon_sym_NULL] = ACTIONS(3155),
    [anon_sym_nullptr] = ACTIONS(3155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3155),
    [anon_sym_decltype] = ACTIONS(3155),
    [anon_sym_explicit] = ACTIONS(3155),
    [anon_sym_typename] = ACTIONS(3155),
    [anon_sym_template] = ACTIONS(3155),
    [anon_sym_operator] = ACTIONS(3155),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_delete] = ACTIONS(3155),
    [anon_sym_throw] = ACTIONS(3155),
    [anon_sym_namespace] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3155),
    [anon_sym_static_assert] = ACTIONS(3155),
    [anon_sym_concept] = ACTIONS(3155),
    [anon_sym_co_return] = ACTIONS(3155),
    [anon_sym_co_yield] = ACTIONS(3155),
    [anon_sym_R_DQUOTE] = ACTIONS(3157),
    [anon_sym_LR_DQUOTE] = ACTIONS(3157),
    [anon_sym_uR_DQUOTE] = ACTIONS(3157),
    [anon_sym_UR_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3157),
    [anon_sym_co_await] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3155),
    [anon_sym_requires] = ACTIONS(3155),
    [sym_this] = ACTIONS(3155),
  },
  [600] = {
    [sym_identifier] = ACTIONS(3070),
    [aux_sym_preproc_include_token1] = ACTIONS(3070),
    [aux_sym_preproc_def_token1] = ACTIONS(3070),
    [aux_sym_preproc_if_token1] = ACTIONS(3070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3070),
    [sym_preproc_directive] = ACTIONS(3070),
    [anon_sym_LPAREN2] = ACTIONS(3072),
    [anon_sym_BANG] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym___extension__] = ACTIONS(3070),
    [anon_sym_typedef] = ACTIONS(3070),
    [anon_sym_virtual] = ACTIONS(3070),
    [anon_sym_extern] = ACTIONS(3070),
    [anon_sym___attribute__] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3072),
    [anon_sym___declspec] = ACTIONS(3070),
    [anon_sym___based] = ACTIONS(3070),
    [anon_sym___cdecl] = ACTIONS(3070),
    [anon_sym___clrcall] = ACTIONS(3070),
    [anon_sym___stdcall] = ACTIONS(3070),
    [anon_sym___fastcall] = ACTIONS(3070),
    [anon_sym___thiscall] = ACTIONS(3070),
    [anon_sym___vectorcall] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_signed] = ACTIONS(3070),
    [anon_sym_unsigned] = ACTIONS(3070),
    [anon_sym_long] = ACTIONS(3070),
    [anon_sym_short] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(3070),
    [anon_sym_static] = ACTIONS(3070),
    [anon_sym_register] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym___inline] = ACTIONS(3070),
    [anon_sym___inline__] = ACTIONS(3070),
    [anon_sym___forceinline] = ACTIONS(3070),
    [anon_sym_thread_local] = ACTIONS(3070),
    [anon_sym___thread] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_constexpr] = ACTIONS(3070),
    [anon_sym_volatile] = ACTIONS(3070),
    [anon_sym_restrict] = ACTIONS(3070),
    [anon_sym___restrict__] = ACTIONS(3070),
    [anon_sym__Atomic] = ACTIONS(3070),
    [anon_sym__Noreturn] = ACTIONS(3070),
    [anon_sym_noreturn] = ACTIONS(3070),
    [anon_sym__Nonnull] = ACTIONS(3070),
    [anon_sym_mutable] = ACTIONS(3070),
    [anon_sym_constinit] = ACTIONS(3070),
    [anon_sym_consteval] = ACTIONS(3070),
    [anon_sym_PROGMEM] = ACTIONS(3070),
    [anon_sym_alignas] = ACTIONS(3070),
    [anon_sym__Alignas] = ACTIONS(3070),
    [aux_sym_primitive_type_token1] = ACTIONS(3070),
    [anon_sym_byte] = ACTIONS(3070),
    [anon_sym_word] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_class] = ACTIONS(3070),
    [anon_sym_struct] = ACTIONS(3070),
    [anon_sym_union] = ACTIONS(3070),
    [anon_sym_if] = ACTIONS(3070),
    [anon_sym_switch] = ACTIONS(3070),
    [anon_sym_case] = ACTIONS(3070),
    [anon_sym_default] = ACTIONS(3070),
    [anon_sym_while] = ACTIONS(3070),
    [anon_sym_do] = ACTIONS(3070),
    [anon_sym_for] = ACTIONS(3070),
    [anon_sym_return] = ACTIONS(3070),
    [anon_sym_break] = ACTIONS(3070),
    [anon_sym_continue] = ACTIONS(3070),
    [anon_sym_goto] = ACTIONS(3070),
    [anon_sym___try] = ACTIONS(3070),
    [anon_sym___leave] = ACTIONS(3070),
    [anon_sym_not] = ACTIONS(3070),
    [anon_sym_compl] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_sizeof] = ACTIONS(3070),
    [anon_sym___alignof__] = ACTIONS(3070),
    [anon_sym___alignof] = ACTIONS(3070),
    [anon_sym__alignof] = ACTIONS(3070),
    [anon_sym_alignof] = ACTIONS(3070),
    [anon_sym__Alignof] = ACTIONS(3070),
    [anon_sym_offsetof] = ACTIONS(3070),
    [anon_sym__Generic] = ACTIONS(3070),
    [anon_sym_asm] = ACTIONS(3070),
    [anon_sym___asm__] = ACTIONS(3070),
    [anon_sym___asm] = ACTIONS(3070),
    [aux_sym_number_literal_token1] = ACTIONS(3072),
    [aux_sym_number_literal_token2] = ACTIONS(3070),
    [anon_sym_L_SQUOTE] = ACTIONS(3072),
    [anon_sym_u_SQUOTE] = ACTIONS(3072),
    [anon_sym_U_SQUOTE] = ACTIONS(3072),
    [anon_sym_u8_SQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3072),
    [anon_sym_L_DQUOTE] = ACTIONS(3072),
    [anon_sym_u_DQUOTE] = ACTIONS(3072),
    [anon_sym_U_DQUOTE] = ACTIONS(3072),
    [anon_sym_u8_DQUOTE] = ACTIONS(3072),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3070),
    [anon_sym_nullptr] = ACTIONS(3070),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3070),
    [anon_sym_decltype] = ACTIONS(3070),
    [anon_sym_explicit] = ACTIONS(3070),
    [anon_sym_typename] = ACTIONS(3070),
    [anon_sym_template] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_try] = ACTIONS(3070),
    [anon_sym_delete] = ACTIONS(3070),
    [anon_sym_throw] = ACTIONS(3070),
    [anon_sym_namespace] = ACTIONS(3070),
    [anon_sym_using] = ACTIONS(3070),
    [anon_sym_static_assert] = ACTIONS(3070),
    [anon_sym_concept] = ACTIONS(3070),
    [anon_sym_co_return] = ACTIONS(3070),
    [anon_sym_co_yield] = ACTIONS(3070),
    [anon_sym_R_DQUOTE] = ACTIONS(3072),
    [anon_sym_LR_DQUOTE] = ACTIONS(3072),
    [anon_sym_uR_DQUOTE] = ACTIONS(3072),
    [anon_sym_UR_DQUOTE] = ACTIONS(3072),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3072),
    [anon_sym_co_await] = ACTIONS(3070),
    [anon_sym_new] = ACTIONS(3070),
    [anon_sym_requires] = ACTIONS(3070),
    [sym_this] = ACTIONS(3070),
  },
  [601] = {
    [sym_identifier] = ACTIONS(3028),
    [aux_sym_preproc_include_token1] = ACTIONS(3028),
    [aux_sym_preproc_def_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3028),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym___based] = ACTIONS(3028),
    [anon_sym___cdecl] = ACTIONS(3028),
    [anon_sym___clrcall] = ACTIONS(3028),
    [anon_sym___stdcall] = ACTIONS(3028),
    [anon_sym___fastcall] = ACTIONS(3028),
    [anon_sym___thiscall] = ACTIONS(3028),
    [anon_sym___vectorcall] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_RBRACE] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym__Nonnull] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym__Alignas] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_switch] = ACTIONS(3028),
    [anon_sym_case] = ACTIONS(3028),
    [anon_sym_default] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_do] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_return] = ACTIONS(3028),
    [anon_sym_break] = ACTIONS(3028),
    [anon_sym_continue] = ACTIONS(3028),
    [anon_sym_goto] = ACTIONS(3028),
    [anon_sym___try] = ACTIONS(3028),
    [anon_sym___leave] = ACTIONS(3028),
    [anon_sym_not] = ACTIONS(3028),
    [anon_sym_compl] = ACTIONS(3028),
    [anon_sym_DASH_DASH] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3030),
    [anon_sym_sizeof] = ACTIONS(3028),
    [anon_sym___alignof__] = ACTIONS(3028),
    [anon_sym___alignof] = ACTIONS(3028),
    [anon_sym__alignof] = ACTIONS(3028),
    [anon_sym_alignof] = ACTIONS(3028),
    [anon_sym__Alignof] = ACTIONS(3028),
    [anon_sym_offsetof] = ACTIONS(3028),
    [anon_sym__Generic] = ACTIONS(3028),
    [anon_sym_asm] = ACTIONS(3028),
    [anon_sym___asm__] = ACTIONS(3028),
    [anon_sym___asm] = ACTIONS(3028),
    [aux_sym_number_literal_token1] = ACTIONS(3030),
    [aux_sym_number_literal_token2] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3030),
    [anon_sym_u_SQUOTE] = ACTIONS(3030),
    [anon_sym_U_SQUOTE] = ACTIONS(3030),
    [anon_sym_u8_SQUOTE] = ACTIONS(3030),
    [anon_sym_SQUOTE] = ACTIONS(3030),
    [anon_sym_L_DQUOTE] = ACTIONS(3030),
    [anon_sym_u_DQUOTE] = ACTIONS(3030),
    [anon_sym_U_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8_DQUOTE] = ACTIONS(3030),
    [anon_sym_DQUOTE] = ACTIONS(3030),
    [sym_true] = ACTIONS(3028),
    [sym_false] = ACTIONS(3028),
    [anon_sym_NULL] = ACTIONS(3028),
    [anon_sym_nullptr] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_explicit] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_operator] = ACTIONS(3028),
    [anon_sym_try] = ACTIONS(3028),
    [anon_sym_delete] = ACTIONS(3028),
    [anon_sym_throw] = ACTIONS(3028),
    [anon_sym_namespace] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_static_assert] = ACTIONS(3028),
    [anon_sym_concept] = ACTIONS(3028),
    [anon_sym_co_return] = ACTIONS(3028),
    [anon_sym_co_yield] = ACTIONS(3028),
    [anon_sym_R_DQUOTE] = ACTIONS(3030),
    [anon_sym_LR_DQUOTE] = ACTIONS(3030),
    [anon_sym_uR_DQUOTE] = ACTIONS(3030),
    [anon_sym_UR_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3030),
    [anon_sym_co_await] = ACTIONS(3028),
    [anon_sym_new] = ACTIONS(3028),
    [anon_sym_requires] = ACTIONS(3028),
    [sym_this] = ACTIONS(3028),
  },
  [602] = {
    [sym_identifier] = ACTIONS(3004),
    [aux_sym_preproc_include_token1] = ACTIONS(3004),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3004),
    [sym_preproc_directive] = ACTIONS(3004),
    [anon_sym_LPAREN2] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(3006),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3004),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3006),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3004),
    [anon_sym_virtual] = ACTIONS(3004),
    [anon_sym_extern] = ACTIONS(3004),
    [anon_sym___attribute__] = ACTIONS(3004),
    [anon_sym_COLON_COLON] = ACTIONS(3006),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3006),
    [anon_sym___declspec] = ACTIONS(3004),
    [anon_sym___based] = ACTIONS(3004),
    [anon_sym___cdecl] = ACTIONS(3004),
    [anon_sym___clrcall] = ACTIONS(3004),
    [anon_sym___stdcall] = ACTIONS(3004),
    [anon_sym___fastcall] = ACTIONS(3004),
    [anon_sym___thiscall] = ACTIONS(3004),
    [anon_sym___vectorcall] = ACTIONS(3004),
    [anon_sym_LBRACE] = ACTIONS(3006),
    [anon_sym_RBRACE] = ACTIONS(3006),
    [anon_sym_signed] = ACTIONS(3004),
    [anon_sym_unsigned] = ACTIONS(3004),
    [anon_sym_long] = ACTIONS(3004),
    [anon_sym_short] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_register] = ACTIONS(3004),
    [anon_sym_inline] = ACTIONS(3004),
    [anon_sym___inline] = ACTIONS(3004),
    [anon_sym___inline__] = ACTIONS(3004),
    [anon_sym___forceinline] = ACTIONS(3004),
    [anon_sym_thread_local] = ACTIONS(3004),
    [anon_sym___thread] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_constexpr] = ACTIONS(3004),
    [anon_sym_volatile] = ACTIONS(3004),
    [anon_sym_restrict] = ACTIONS(3004),
    [anon_sym___restrict__] = ACTIONS(3004),
    [anon_sym__Atomic] = ACTIONS(3004),
    [anon_sym__Noreturn] = ACTIONS(3004),
    [anon_sym_noreturn] = ACTIONS(3004),
    [anon_sym__Nonnull] = ACTIONS(3004),
    [anon_sym_mutable] = ACTIONS(3004),
    [anon_sym_constinit] = ACTIONS(3004),
    [anon_sym_consteval] = ACTIONS(3004),
    [anon_sym_PROGMEM] = ACTIONS(3004),
    [anon_sym_alignas] = ACTIONS(3004),
    [anon_sym__Alignas] = ACTIONS(3004),
    [aux_sym_primitive_type_token1] = ACTIONS(3004),
    [anon_sym_byte] = ACTIONS(3004),
    [anon_sym_word] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_union] = ACTIONS(3004),
    [anon_sym_if] = ACTIONS(3004),
    [anon_sym_switch] = ACTIONS(3004),
    [anon_sym_case] = ACTIONS(3004),
    [anon_sym_default] = ACTIONS(3004),
    [anon_sym_while] = ACTIONS(3004),
    [anon_sym_do] = ACTIONS(3004),
    [anon_sym_for] = ACTIONS(3004),
    [anon_sym_return] = ACTIONS(3004),
    [anon_sym_break] = ACTIONS(3004),
    [anon_sym_continue] = ACTIONS(3004),
    [anon_sym_goto] = ACTIONS(3004),
    [anon_sym___try] = ACTIONS(3004),
    [anon_sym___leave] = ACTIONS(3004),
    [anon_sym_not] = ACTIONS(3004),
    [anon_sym_compl] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3006),
    [anon_sym_sizeof] = ACTIONS(3004),
    [anon_sym___alignof__] = ACTIONS(3004),
    [anon_sym___alignof] = ACTIONS(3004),
    [anon_sym__alignof] = ACTIONS(3004),
    [anon_sym_alignof] = ACTIONS(3004),
    [anon_sym__Alignof] = ACTIONS(3004),
    [anon_sym_offsetof] = ACTIONS(3004),
    [anon_sym__Generic] = ACTIONS(3004),
    [anon_sym_asm] = ACTIONS(3004),
    [anon_sym___asm__] = ACTIONS(3004),
    [anon_sym___asm] = ACTIONS(3004),
    [aux_sym_number_literal_token1] = ACTIONS(3006),
    [aux_sym_number_literal_token2] = ACTIONS(3004),
    [anon_sym_L_SQUOTE] = ACTIONS(3006),
    [anon_sym_u_SQUOTE] = ACTIONS(3006),
    [anon_sym_U_SQUOTE] = ACTIONS(3006),
    [anon_sym_u8_SQUOTE] = ACTIONS(3006),
    [anon_sym_SQUOTE] = ACTIONS(3006),
    [anon_sym_L_DQUOTE] = ACTIONS(3006),
    [anon_sym_u_DQUOTE] = ACTIONS(3006),
    [anon_sym_U_DQUOTE] = ACTIONS(3006),
    [anon_sym_u8_DQUOTE] = ACTIONS(3006),
    [anon_sym_DQUOTE] = ACTIONS(3006),
    [sym_true] = ACTIONS(3004),
    [sym_false] = ACTIONS(3004),
    [anon_sym_NULL] = ACTIONS(3004),
    [anon_sym_nullptr] = ACTIONS(3004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3004),
    [anon_sym_explicit] = ACTIONS(3004),
    [anon_sym_typename] = ACTIONS(3004),
    [anon_sym_template] = ACTIONS(3004),
    [anon_sym_operator] = ACTIONS(3004),
    [anon_sym_try] = ACTIONS(3004),
    [anon_sym_delete] = ACTIONS(3004),
    [anon_sym_throw] = ACTIONS(3004),
    [anon_sym_namespace] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(3004),
    [anon_sym_static_assert] = ACTIONS(3004),
    [anon_sym_concept] = ACTIONS(3004),
    [anon_sym_co_return] = ACTIONS(3004),
    [anon_sym_co_yield] = ACTIONS(3004),
    [anon_sym_R_DQUOTE] = ACTIONS(3006),
    [anon_sym_LR_DQUOTE] = ACTIONS(3006),
    [anon_sym_uR_DQUOTE] = ACTIONS(3006),
    [anon_sym_UR_DQUOTE] = ACTIONS(3006),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3006),
    [anon_sym_co_await] = ACTIONS(3004),
    [anon_sym_new] = ACTIONS(3004),
    [anon_sym_requires] = ACTIONS(3004),
    [sym_this] = ACTIONS(3004),
  },
  [603] = {
    [sym_identifier] = ACTIONS(3133),
    [aux_sym_preproc_include_token1] = ACTIONS(3133),
    [aux_sym_preproc_def_token1] = ACTIONS(3133),
    [aux_sym_preproc_if_token1] = ACTIONS(3133),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3133),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3133),
    [sym_preproc_directive] = ACTIONS(3133),
    [anon_sym_LPAREN2] = ACTIONS(3135),
    [anon_sym_BANG] = ACTIONS(3135),
    [anon_sym_TILDE] = ACTIONS(3135),
    [anon_sym_DASH] = ACTIONS(3133),
    [anon_sym_PLUS] = ACTIONS(3133),
    [anon_sym_STAR] = ACTIONS(3135),
    [anon_sym_AMP_AMP] = ACTIONS(3135),
    [anon_sym_AMP] = ACTIONS(3133),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym___extension__] = ACTIONS(3133),
    [anon_sym_typedef] = ACTIONS(3133),
    [anon_sym_virtual] = ACTIONS(3133),
    [anon_sym_extern] = ACTIONS(3133),
    [anon_sym___attribute__] = ACTIONS(3133),
    [anon_sym_COLON_COLON] = ACTIONS(3135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3135),
    [anon_sym___declspec] = ACTIONS(3133),
    [anon_sym___based] = ACTIONS(3133),
    [anon_sym___cdecl] = ACTIONS(3133),
    [anon_sym___clrcall] = ACTIONS(3133),
    [anon_sym___stdcall] = ACTIONS(3133),
    [anon_sym___fastcall] = ACTIONS(3133),
    [anon_sym___thiscall] = ACTIONS(3133),
    [anon_sym___vectorcall] = ACTIONS(3133),
    [anon_sym_LBRACE] = ACTIONS(3135),
    [anon_sym_RBRACE] = ACTIONS(3135),
    [anon_sym_signed] = ACTIONS(3133),
    [anon_sym_unsigned] = ACTIONS(3133),
    [anon_sym_long] = ACTIONS(3133),
    [anon_sym_short] = ACTIONS(3133),
    [anon_sym_LBRACK] = ACTIONS(3133),
    [anon_sym_static] = ACTIONS(3133),
    [anon_sym_register] = ACTIONS(3133),
    [anon_sym_inline] = ACTIONS(3133),
    [anon_sym___inline] = ACTIONS(3133),
    [anon_sym___inline__] = ACTIONS(3133),
    [anon_sym___forceinline] = ACTIONS(3133),
    [anon_sym_thread_local] = ACTIONS(3133),
    [anon_sym___thread] = ACTIONS(3133),
    [anon_sym_const] = ACTIONS(3133),
    [anon_sym_constexpr] = ACTIONS(3133),
    [anon_sym_volatile] = ACTIONS(3133),
    [anon_sym_restrict] = ACTIONS(3133),
    [anon_sym___restrict__] = ACTIONS(3133),
    [anon_sym__Atomic] = ACTIONS(3133),
    [anon_sym__Noreturn] = ACTIONS(3133),
    [anon_sym_noreturn] = ACTIONS(3133),
    [anon_sym__Nonnull] = ACTIONS(3133),
    [anon_sym_mutable] = ACTIONS(3133),
    [anon_sym_constinit] = ACTIONS(3133),
    [anon_sym_consteval] = ACTIONS(3133),
    [anon_sym_PROGMEM] = ACTIONS(3133),
    [anon_sym_alignas] = ACTIONS(3133),
    [anon_sym__Alignas] = ACTIONS(3133),
    [aux_sym_primitive_type_token1] = ACTIONS(3133),
    [anon_sym_byte] = ACTIONS(3133),
    [anon_sym_word] = ACTIONS(3133),
    [anon_sym_enum] = ACTIONS(3133),
    [anon_sym_class] = ACTIONS(3133),
    [anon_sym_struct] = ACTIONS(3133),
    [anon_sym_union] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3133),
    [anon_sym_switch] = ACTIONS(3133),
    [anon_sym_case] = ACTIONS(3133),
    [anon_sym_default] = ACTIONS(3133),
    [anon_sym_while] = ACTIONS(3133),
    [anon_sym_do] = ACTIONS(3133),
    [anon_sym_for] = ACTIONS(3133),
    [anon_sym_return] = ACTIONS(3133),
    [anon_sym_break] = ACTIONS(3133),
    [anon_sym_continue] = ACTIONS(3133),
    [anon_sym_goto] = ACTIONS(3133),
    [anon_sym___try] = ACTIONS(3133),
    [anon_sym___leave] = ACTIONS(3133),
    [anon_sym_not] = ACTIONS(3133),
    [anon_sym_compl] = ACTIONS(3133),
    [anon_sym_DASH_DASH] = ACTIONS(3135),
    [anon_sym_PLUS_PLUS] = ACTIONS(3135),
    [anon_sym_sizeof] = ACTIONS(3133),
    [anon_sym___alignof__] = ACTIONS(3133),
    [anon_sym___alignof] = ACTIONS(3133),
    [anon_sym__alignof] = ACTIONS(3133),
    [anon_sym_alignof] = ACTIONS(3133),
    [anon_sym__Alignof] = ACTIONS(3133),
    [anon_sym_offsetof] = ACTIONS(3133),
    [anon_sym__Generic] = ACTIONS(3133),
    [anon_sym_asm] = ACTIONS(3133),
    [anon_sym___asm__] = ACTIONS(3133),
    [anon_sym___asm] = ACTIONS(3133),
    [aux_sym_number_literal_token1] = ACTIONS(3135),
    [aux_sym_number_literal_token2] = ACTIONS(3133),
    [anon_sym_L_SQUOTE] = ACTIONS(3135),
    [anon_sym_u_SQUOTE] = ACTIONS(3135),
    [anon_sym_U_SQUOTE] = ACTIONS(3135),
    [anon_sym_u8_SQUOTE] = ACTIONS(3135),
    [anon_sym_SQUOTE] = ACTIONS(3135),
    [anon_sym_L_DQUOTE] = ACTIONS(3135),
    [anon_sym_u_DQUOTE] = ACTIONS(3135),
    [anon_sym_U_DQUOTE] = ACTIONS(3135),
    [anon_sym_u8_DQUOTE] = ACTIONS(3135),
    [anon_sym_DQUOTE] = ACTIONS(3135),
    [sym_true] = ACTIONS(3133),
    [sym_false] = ACTIONS(3133),
    [anon_sym_NULL] = ACTIONS(3133),
    [anon_sym_nullptr] = ACTIONS(3133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3133),
    [anon_sym_decltype] = ACTIONS(3133),
    [anon_sym_explicit] = ACTIONS(3133),
    [anon_sym_typename] = ACTIONS(3133),
    [anon_sym_template] = ACTIONS(3133),
    [anon_sym_operator] = ACTIONS(3133),
    [anon_sym_try] = ACTIONS(3133),
    [anon_sym_delete] = ACTIONS(3133),
    [anon_sym_throw] = ACTIONS(3133),
    [anon_sym_namespace] = ACTIONS(3133),
    [anon_sym_using] = ACTIONS(3133),
    [anon_sym_static_assert] = ACTIONS(3133),
    [anon_sym_concept] = ACTIONS(3133),
    [anon_sym_co_return] = ACTIONS(3133),
    [anon_sym_co_yield] = ACTIONS(3133),
    [anon_sym_R_DQUOTE] = ACTIONS(3135),
    [anon_sym_LR_DQUOTE] = ACTIONS(3135),
    [anon_sym_uR_DQUOTE] = ACTIONS(3135),
    [anon_sym_UR_DQUOTE] = ACTIONS(3135),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3135),
    [anon_sym_co_await] = ACTIONS(3133),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_requires] = ACTIONS(3133),
    [sym_this] = ACTIONS(3133),
  },
  [604] = {
    [sym_identifier] = ACTIONS(3137),
    [aux_sym_preproc_include_token1] = ACTIONS(3137),
    [aux_sym_preproc_def_token1] = ACTIONS(3137),
    [aux_sym_preproc_if_token1] = ACTIONS(3137),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3137),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3137),
    [sym_preproc_directive] = ACTIONS(3137),
    [anon_sym_LPAREN2] = ACTIONS(3139),
    [anon_sym_BANG] = ACTIONS(3139),
    [anon_sym_TILDE] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3137),
    [anon_sym_STAR] = ACTIONS(3139),
    [anon_sym_AMP_AMP] = ACTIONS(3139),
    [anon_sym_AMP] = ACTIONS(3137),
    [anon_sym_SEMI] = ACTIONS(3139),
    [anon_sym___extension__] = ACTIONS(3137),
    [anon_sym_typedef] = ACTIONS(3137),
    [anon_sym_virtual] = ACTIONS(3137),
    [anon_sym_extern] = ACTIONS(3137),
    [anon_sym___attribute__] = ACTIONS(3137),
    [anon_sym_COLON_COLON] = ACTIONS(3139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3139),
    [anon_sym___declspec] = ACTIONS(3137),
    [anon_sym___based] = ACTIONS(3137),
    [anon_sym___cdecl] = ACTIONS(3137),
    [anon_sym___clrcall] = ACTIONS(3137),
    [anon_sym___stdcall] = ACTIONS(3137),
    [anon_sym___fastcall] = ACTIONS(3137),
    [anon_sym___thiscall] = ACTIONS(3137),
    [anon_sym___vectorcall] = ACTIONS(3137),
    [anon_sym_LBRACE] = ACTIONS(3139),
    [anon_sym_RBRACE] = ACTIONS(3139),
    [anon_sym_signed] = ACTIONS(3137),
    [anon_sym_unsigned] = ACTIONS(3137),
    [anon_sym_long] = ACTIONS(3137),
    [anon_sym_short] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_static] = ACTIONS(3137),
    [anon_sym_register] = ACTIONS(3137),
    [anon_sym_inline] = ACTIONS(3137),
    [anon_sym___inline] = ACTIONS(3137),
    [anon_sym___inline__] = ACTIONS(3137),
    [anon_sym___forceinline] = ACTIONS(3137),
    [anon_sym_thread_local] = ACTIONS(3137),
    [anon_sym___thread] = ACTIONS(3137),
    [anon_sym_const] = ACTIONS(3137),
    [anon_sym_constexpr] = ACTIONS(3137),
    [anon_sym_volatile] = ACTIONS(3137),
    [anon_sym_restrict] = ACTIONS(3137),
    [anon_sym___restrict__] = ACTIONS(3137),
    [anon_sym__Atomic] = ACTIONS(3137),
    [anon_sym__Noreturn] = ACTIONS(3137),
    [anon_sym_noreturn] = ACTIONS(3137),
    [anon_sym__Nonnull] = ACTIONS(3137),
    [anon_sym_mutable] = ACTIONS(3137),
    [anon_sym_constinit] = ACTIONS(3137),
    [anon_sym_consteval] = ACTIONS(3137),
    [anon_sym_PROGMEM] = ACTIONS(3137),
    [anon_sym_alignas] = ACTIONS(3137),
    [anon_sym__Alignas] = ACTIONS(3137),
    [aux_sym_primitive_type_token1] = ACTIONS(3137),
    [anon_sym_byte] = ACTIONS(3137),
    [anon_sym_word] = ACTIONS(3137),
    [anon_sym_enum] = ACTIONS(3137),
    [anon_sym_class] = ACTIONS(3137),
    [anon_sym_struct] = ACTIONS(3137),
    [anon_sym_union] = ACTIONS(3137),
    [anon_sym_if] = ACTIONS(3137),
    [anon_sym_switch] = ACTIONS(3137),
    [anon_sym_case] = ACTIONS(3137),
    [anon_sym_default] = ACTIONS(3137),
    [anon_sym_while] = ACTIONS(3137),
    [anon_sym_do] = ACTIONS(3137),
    [anon_sym_for] = ACTIONS(3137),
    [anon_sym_return] = ACTIONS(3137),
    [anon_sym_break] = ACTIONS(3137),
    [anon_sym_continue] = ACTIONS(3137),
    [anon_sym_goto] = ACTIONS(3137),
    [anon_sym___try] = ACTIONS(3137),
    [anon_sym___leave] = ACTIONS(3137),
    [anon_sym_not] = ACTIONS(3137),
    [anon_sym_compl] = ACTIONS(3137),
    [anon_sym_DASH_DASH] = ACTIONS(3139),
    [anon_sym_PLUS_PLUS] = ACTIONS(3139),
    [anon_sym_sizeof] = ACTIONS(3137),
    [anon_sym___alignof__] = ACTIONS(3137),
    [anon_sym___alignof] = ACTIONS(3137),
    [anon_sym__alignof] = ACTIONS(3137),
    [anon_sym_alignof] = ACTIONS(3137),
    [anon_sym__Alignof] = ACTIONS(3137),
    [anon_sym_offsetof] = ACTIONS(3137),
    [anon_sym__Generic] = ACTIONS(3137),
    [anon_sym_asm] = ACTIONS(3137),
    [anon_sym___asm__] = ACTIONS(3137),
    [anon_sym___asm] = ACTIONS(3137),
    [aux_sym_number_literal_token1] = ACTIONS(3139),
    [aux_sym_number_literal_token2] = ACTIONS(3137),
    [anon_sym_L_SQUOTE] = ACTIONS(3139),
    [anon_sym_u_SQUOTE] = ACTIONS(3139),
    [anon_sym_U_SQUOTE] = ACTIONS(3139),
    [anon_sym_u8_SQUOTE] = ACTIONS(3139),
    [anon_sym_SQUOTE] = ACTIONS(3139),
    [anon_sym_L_DQUOTE] = ACTIONS(3139),
    [anon_sym_u_DQUOTE] = ACTIONS(3139),
    [anon_sym_U_DQUOTE] = ACTIONS(3139),
    [anon_sym_u8_DQUOTE] = ACTIONS(3139),
    [anon_sym_DQUOTE] = ACTIONS(3139),
    [sym_true] = ACTIONS(3137),
    [sym_false] = ACTIONS(3137),
    [anon_sym_NULL] = ACTIONS(3137),
    [anon_sym_nullptr] = ACTIONS(3137),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3137),
    [anon_sym_decltype] = ACTIONS(3137),
    [anon_sym_explicit] = ACTIONS(3137),
    [anon_sym_typename] = ACTIONS(3137),
    [anon_sym_template] = ACTIONS(3137),
    [anon_sym_operator] = ACTIONS(3137),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_delete] = ACTIONS(3137),
    [anon_sym_throw] = ACTIONS(3137),
    [anon_sym_namespace] = ACTIONS(3137),
    [anon_sym_using] = ACTIONS(3137),
    [anon_sym_static_assert] = ACTIONS(3137),
    [anon_sym_concept] = ACTIONS(3137),
    [anon_sym_co_return] = ACTIONS(3137),
    [anon_sym_co_yield] = ACTIONS(3137),
    [anon_sym_R_DQUOTE] = ACTIONS(3139),
    [anon_sym_LR_DQUOTE] = ACTIONS(3139),
    [anon_sym_uR_DQUOTE] = ACTIONS(3139),
    [anon_sym_UR_DQUOTE] = ACTIONS(3139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3139),
    [anon_sym_co_await] = ACTIONS(3137),
    [anon_sym_new] = ACTIONS(3137),
    [anon_sym_requires] = ACTIONS(3137),
    [sym_this] = ACTIONS(3137),
  },
  [605] = {
    [sym_identifier] = ACTIONS(3141),
    [aux_sym_preproc_include_token1] = ACTIONS(3141),
    [aux_sym_preproc_def_token1] = ACTIONS(3141),
    [aux_sym_preproc_if_token1] = ACTIONS(3141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3141),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3141),
    [sym_preproc_directive] = ACTIONS(3141),
    [anon_sym_LPAREN2] = ACTIONS(3143),
    [anon_sym_BANG] = ACTIONS(3143),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3141),
    [anon_sym_PLUS] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3143),
    [anon_sym_AMP_AMP] = ACTIONS(3143),
    [anon_sym_AMP] = ACTIONS(3141),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym___extension__] = ACTIONS(3141),
    [anon_sym_typedef] = ACTIONS(3141),
    [anon_sym_virtual] = ACTIONS(3141),
    [anon_sym_extern] = ACTIONS(3141),
    [anon_sym___attribute__] = ACTIONS(3141),
    [anon_sym_COLON_COLON] = ACTIONS(3143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3143),
    [anon_sym___declspec] = ACTIONS(3141),
    [anon_sym___based] = ACTIONS(3141),
    [anon_sym___cdecl] = ACTIONS(3141),
    [anon_sym___clrcall] = ACTIONS(3141),
    [anon_sym___stdcall] = ACTIONS(3141),
    [anon_sym___fastcall] = ACTIONS(3141),
    [anon_sym___thiscall] = ACTIONS(3141),
    [anon_sym___vectorcall] = ACTIONS(3141),
    [anon_sym_LBRACE] = ACTIONS(3143),
    [anon_sym_RBRACE] = ACTIONS(3143),
    [anon_sym_signed] = ACTIONS(3141),
    [anon_sym_unsigned] = ACTIONS(3141),
    [anon_sym_long] = ACTIONS(3141),
    [anon_sym_short] = ACTIONS(3141),
    [anon_sym_LBRACK] = ACTIONS(3141),
    [anon_sym_static] = ACTIONS(3141),
    [anon_sym_register] = ACTIONS(3141),
    [anon_sym_inline] = ACTIONS(3141),
    [anon_sym___inline] = ACTIONS(3141),
    [anon_sym___inline__] = ACTIONS(3141),
    [anon_sym___forceinline] = ACTIONS(3141),
    [anon_sym_thread_local] = ACTIONS(3141),
    [anon_sym___thread] = ACTIONS(3141),
    [anon_sym_const] = ACTIONS(3141),
    [anon_sym_constexpr] = ACTIONS(3141),
    [anon_sym_volatile] = ACTIONS(3141),
    [anon_sym_restrict] = ACTIONS(3141),
    [anon_sym___restrict__] = ACTIONS(3141),
    [anon_sym__Atomic] = ACTIONS(3141),
    [anon_sym__Noreturn] = ACTIONS(3141),
    [anon_sym_noreturn] = ACTIONS(3141),
    [anon_sym__Nonnull] = ACTIONS(3141),
    [anon_sym_mutable] = ACTIONS(3141),
    [anon_sym_constinit] = ACTIONS(3141),
    [anon_sym_consteval] = ACTIONS(3141),
    [anon_sym_PROGMEM] = ACTIONS(3141),
    [anon_sym_alignas] = ACTIONS(3141),
    [anon_sym__Alignas] = ACTIONS(3141),
    [aux_sym_primitive_type_token1] = ACTIONS(3141),
    [anon_sym_byte] = ACTIONS(3141),
    [anon_sym_word] = ACTIONS(3141),
    [anon_sym_enum] = ACTIONS(3141),
    [anon_sym_class] = ACTIONS(3141),
    [anon_sym_struct] = ACTIONS(3141),
    [anon_sym_union] = ACTIONS(3141),
    [anon_sym_if] = ACTIONS(3141),
    [anon_sym_switch] = ACTIONS(3141),
    [anon_sym_case] = ACTIONS(3141),
    [anon_sym_default] = ACTIONS(3141),
    [anon_sym_while] = ACTIONS(3141),
    [anon_sym_do] = ACTIONS(3141),
    [anon_sym_for] = ACTIONS(3141),
    [anon_sym_return] = ACTIONS(3141),
    [anon_sym_break] = ACTIONS(3141),
    [anon_sym_continue] = ACTIONS(3141),
    [anon_sym_goto] = ACTIONS(3141),
    [anon_sym___try] = ACTIONS(3141),
    [anon_sym___leave] = ACTIONS(3141),
    [anon_sym_not] = ACTIONS(3141),
    [anon_sym_compl] = ACTIONS(3141),
    [anon_sym_DASH_DASH] = ACTIONS(3143),
    [anon_sym_PLUS_PLUS] = ACTIONS(3143),
    [anon_sym_sizeof] = ACTIONS(3141),
    [anon_sym___alignof__] = ACTIONS(3141),
    [anon_sym___alignof] = ACTIONS(3141),
    [anon_sym__alignof] = ACTIONS(3141),
    [anon_sym_alignof] = ACTIONS(3141),
    [anon_sym__Alignof] = ACTIONS(3141),
    [anon_sym_offsetof] = ACTIONS(3141),
    [anon_sym__Generic] = ACTIONS(3141),
    [anon_sym_asm] = ACTIONS(3141),
    [anon_sym___asm__] = ACTIONS(3141),
    [anon_sym___asm] = ACTIONS(3141),
    [aux_sym_number_literal_token1] = ACTIONS(3143),
    [aux_sym_number_literal_token2] = ACTIONS(3141),
    [anon_sym_L_SQUOTE] = ACTIONS(3143),
    [anon_sym_u_SQUOTE] = ACTIONS(3143),
    [anon_sym_U_SQUOTE] = ACTIONS(3143),
    [anon_sym_u8_SQUOTE] = ACTIONS(3143),
    [anon_sym_SQUOTE] = ACTIONS(3143),
    [anon_sym_L_DQUOTE] = ACTIONS(3143),
    [anon_sym_u_DQUOTE] = ACTIONS(3143),
    [anon_sym_U_DQUOTE] = ACTIONS(3143),
    [anon_sym_u8_DQUOTE] = ACTIONS(3143),
    [anon_sym_DQUOTE] = ACTIONS(3143),
    [sym_true] = ACTIONS(3141),
    [sym_false] = ACTIONS(3141),
    [anon_sym_NULL] = ACTIONS(3141),
    [anon_sym_nullptr] = ACTIONS(3141),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3141),
    [anon_sym_decltype] = ACTIONS(3141),
    [anon_sym_explicit] = ACTIONS(3141),
    [anon_sym_typename] = ACTIONS(3141),
    [anon_sym_template] = ACTIONS(3141),
    [anon_sym_operator] = ACTIONS(3141),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_delete] = ACTIONS(3141),
    [anon_sym_throw] = ACTIONS(3141),
    [anon_sym_namespace] = ACTIONS(3141),
    [anon_sym_using] = ACTIONS(3141),
    [anon_sym_static_assert] = ACTIONS(3141),
    [anon_sym_concept] = ACTIONS(3141),
    [anon_sym_co_return] = ACTIONS(3141),
    [anon_sym_co_yield] = ACTIONS(3141),
    [anon_sym_R_DQUOTE] = ACTIONS(3143),
    [anon_sym_LR_DQUOTE] = ACTIONS(3143),
    [anon_sym_uR_DQUOTE] = ACTIONS(3143),
    [anon_sym_UR_DQUOTE] = ACTIONS(3143),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3143),
    [anon_sym_co_await] = ACTIONS(3141),
    [anon_sym_new] = ACTIONS(3141),
    [anon_sym_requires] = ACTIONS(3141),
    [sym_this] = ACTIONS(3141),
  },
  [606] = {
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym___cdecl] = ACTIONS(3166),
    [anon_sym___clrcall] = ACTIONS(3166),
    [anon_sym___stdcall] = ACTIONS(3166),
    [anon_sym___fastcall] = ACTIONS(3166),
    [anon_sym___thiscall] = ACTIONS(3166),
    [anon_sym___vectorcall] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym__Nonnull] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_PROGMEM] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym__Alignas] = ACTIONS(3166),
    [aux_sym_primitive_type_token1] = ACTIONS(3166),
    [anon_sym_byte] = ACTIONS(3166),
    [anon_sym_word] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_goto] = ACTIONS(3166),
    [anon_sym___try] = ACTIONS(3166),
    [anon_sym___leave] = ACTIONS(3166),
    [anon_sym_not] = ACTIONS(3166),
    [anon_sym_compl] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_sizeof] = ACTIONS(3166),
    [anon_sym___alignof__] = ACTIONS(3166),
    [anon_sym___alignof] = ACTIONS(3166),
    [anon_sym__alignof] = ACTIONS(3166),
    [anon_sym_alignof] = ACTIONS(3166),
    [anon_sym__Alignof] = ACTIONS(3166),
    [anon_sym_offsetof] = ACTIONS(3166),
    [anon_sym__Generic] = ACTIONS(3166),
    [anon_sym_asm] = ACTIONS(3166),
    [anon_sym___asm__] = ACTIONS(3166),
    [anon_sym___asm] = ACTIONS(3166),
    [aux_sym_number_literal_token1] = ACTIONS(3168),
    [aux_sym_number_literal_token2] = ACTIONS(3166),
    [anon_sym_L_SQUOTE] = ACTIONS(3168),
    [anon_sym_u_SQUOTE] = ACTIONS(3168),
    [anon_sym_U_SQUOTE] = ACTIONS(3168),
    [anon_sym_u8_SQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_L_DQUOTE] = ACTIONS(3168),
    [anon_sym_u_DQUOTE] = ACTIONS(3168),
    [anon_sym_U_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8_DQUOTE] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [anon_sym_NULL] = ACTIONS(3166),
    [anon_sym_nullptr] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
    [anon_sym_concept] = ACTIONS(3166),
    [anon_sym_co_return] = ACTIONS(3166),
    [anon_sym_co_yield] = ACTIONS(3166),
    [anon_sym_R_DQUOTE] = ACTIONS(3168),
    [anon_sym_LR_DQUOTE] = ACTIONS(3168),
    [anon_sym_uR_DQUOTE] = ACTIONS(3168),
    [anon_sym_UR_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3168),
    [anon_sym_co_await] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_requires] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
  },
  [607] = {
    [sym_identifier] = ACTIONS(3218),
    [aux_sym_preproc_include_token1] = ACTIONS(3218),
    [aux_sym_preproc_def_token1] = ACTIONS(3218),
    [aux_sym_preproc_if_token1] = ACTIONS(3218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3218),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3218),
    [sym_preproc_directive] = ACTIONS(3218),
    [anon_sym_LPAREN2] = ACTIONS(3220),
    [anon_sym_BANG] = ACTIONS(3220),
    [anon_sym_TILDE] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_AMP] = ACTIONS(3218),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym___extension__] = ACTIONS(3218),
    [anon_sym_typedef] = ACTIONS(3218),
    [anon_sym_virtual] = ACTIONS(3218),
    [anon_sym_extern] = ACTIONS(3218),
    [anon_sym___attribute__] = ACTIONS(3218),
    [anon_sym_COLON_COLON] = ACTIONS(3220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3220),
    [anon_sym___declspec] = ACTIONS(3218),
    [anon_sym___based] = ACTIONS(3218),
    [anon_sym___cdecl] = ACTIONS(3218),
    [anon_sym___clrcall] = ACTIONS(3218),
    [anon_sym___stdcall] = ACTIONS(3218),
    [anon_sym___fastcall] = ACTIONS(3218),
    [anon_sym___thiscall] = ACTIONS(3218),
    [anon_sym___vectorcall] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_RBRACE] = ACTIONS(3220),
    [anon_sym_signed] = ACTIONS(3218),
    [anon_sym_unsigned] = ACTIONS(3218),
    [anon_sym_long] = ACTIONS(3218),
    [anon_sym_short] = ACTIONS(3218),
    [anon_sym_LBRACK] = ACTIONS(3218),
    [anon_sym_static] = ACTIONS(3218),
    [anon_sym_register] = ACTIONS(3218),
    [anon_sym_inline] = ACTIONS(3218),
    [anon_sym___inline] = ACTIONS(3218),
    [anon_sym___inline__] = ACTIONS(3218),
    [anon_sym___forceinline] = ACTIONS(3218),
    [anon_sym_thread_local] = ACTIONS(3218),
    [anon_sym___thread] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_constexpr] = ACTIONS(3218),
    [anon_sym_volatile] = ACTIONS(3218),
    [anon_sym_restrict] = ACTIONS(3218),
    [anon_sym___restrict__] = ACTIONS(3218),
    [anon_sym__Atomic] = ACTIONS(3218),
    [anon_sym__Noreturn] = ACTIONS(3218),
    [anon_sym_noreturn] = ACTIONS(3218),
    [anon_sym__Nonnull] = ACTIONS(3218),
    [anon_sym_mutable] = ACTIONS(3218),
    [anon_sym_constinit] = ACTIONS(3218),
    [anon_sym_consteval] = ACTIONS(3218),
    [anon_sym_PROGMEM] = ACTIONS(3218),
    [anon_sym_alignas] = ACTIONS(3218),
    [anon_sym__Alignas] = ACTIONS(3218),
    [aux_sym_primitive_type_token1] = ACTIONS(3218),
    [anon_sym_byte] = ACTIONS(3218),
    [anon_sym_word] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [anon_sym_class] = ACTIONS(3218),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3218),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_switch] = ACTIONS(3218),
    [anon_sym_case] = ACTIONS(3218),
    [anon_sym_default] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_do] = ACTIONS(3218),
    [anon_sym_for] = ACTIONS(3218),
    [anon_sym_return] = ACTIONS(3218),
    [anon_sym_break] = ACTIONS(3218),
    [anon_sym_continue] = ACTIONS(3218),
    [anon_sym_goto] = ACTIONS(3218),
    [anon_sym___try] = ACTIONS(3218),
    [anon_sym___leave] = ACTIONS(3218),
    [anon_sym_not] = ACTIONS(3218),
    [anon_sym_compl] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_sizeof] = ACTIONS(3218),
    [anon_sym___alignof__] = ACTIONS(3218),
    [anon_sym___alignof] = ACTIONS(3218),
    [anon_sym__alignof] = ACTIONS(3218),
    [anon_sym_alignof] = ACTIONS(3218),
    [anon_sym__Alignof] = ACTIONS(3218),
    [anon_sym_offsetof] = ACTIONS(3218),
    [anon_sym__Generic] = ACTIONS(3218),
    [anon_sym_asm] = ACTIONS(3218),
    [anon_sym___asm__] = ACTIONS(3218),
    [anon_sym___asm] = ACTIONS(3218),
    [aux_sym_number_literal_token1] = ACTIONS(3220),
    [aux_sym_number_literal_token2] = ACTIONS(3218),
    [anon_sym_L_SQUOTE] = ACTIONS(3220),
    [anon_sym_u_SQUOTE] = ACTIONS(3220),
    [anon_sym_U_SQUOTE] = ACTIONS(3220),
    [anon_sym_u8_SQUOTE] = ACTIONS(3220),
    [anon_sym_SQUOTE] = ACTIONS(3220),
    [anon_sym_L_DQUOTE] = ACTIONS(3220),
    [anon_sym_u_DQUOTE] = ACTIONS(3220),
    [anon_sym_U_DQUOTE] = ACTIONS(3220),
    [anon_sym_u8_DQUOTE] = ACTIONS(3220),
    [anon_sym_DQUOTE] = ACTIONS(3220),
    [sym_true] = ACTIONS(3218),
    [sym_false] = ACTIONS(3218),
    [anon_sym_NULL] = ACTIONS(3218),
    [anon_sym_nullptr] = ACTIONS(3218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3218),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_explicit] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(3218),
    [anon_sym_operator] = ACTIONS(3218),
    [anon_sym_try] = ACTIONS(3218),
    [anon_sym_delete] = ACTIONS(3218),
    [anon_sym_throw] = ACTIONS(3218),
    [anon_sym_namespace] = ACTIONS(3218),
    [anon_sym_using] = ACTIONS(3218),
    [anon_sym_static_assert] = ACTIONS(3218),
    [anon_sym_concept] = ACTIONS(3218),
    [anon_sym_co_return] = ACTIONS(3218),
    [anon_sym_co_yield] = ACTIONS(3218),
    [anon_sym_R_DQUOTE] = ACTIONS(3220),
    [anon_sym_LR_DQUOTE] = ACTIONS(3220),
    [anon_sym_uR_DQUOTE] = ACTIONS(3220),
    [anon_sym_UR_DQUOTE] = ACTIONS(3220),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3220),
    [anon_sym_co_await] = ACTIONS(3218),
    [anon_sym_new] = ACTIONS(3218),
    [anon_sym_requires] = ACTIONS(3218),
    [sym_this] = ACTIONS(3218),
  },
  [608] = {
    [sym_identifier] = ACTIONS(3206),
    [aux_sym_preproc_include_token1] = ACTIONS(3206),
    [aux_sym_preproc_def_token1] = ACTIONS(3206),
    [aux_sym_preproc_if_token1] = ACTIONS(3206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3206),
    [sym_preproc_directive] = ACTIONS(3206),
    [anon_sym_LPAREN2] = ACTIONS(3208),
    [anon_sym_BANG] = ACTIONS(3208),
    [anon_sym_TILDE] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym___extension__] = ACTIONS(3206),
    [anon_sym_typedef] = ACTIONS(3206),
    [anon_sym_virtual] = ACTIONS(3206),
    [anon_sym_extern] = ACTIONS(3206),
    [anon_sym___attribute__] = ACTIONS(3206),
    [anon_sym_COLON_COLON] = ACTIONS(3208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3208),
    [anon_sym___declspec] = ACTIONS(3206),
    [anon_sym___based] = ACTIONS(3206),
    [anon_sym___cdecl] = ACTIONS(3206),
    [anon_sym___clrcall] = ACTIONS(3206),
    [anon_sym___stdcall] = ACTIONS(3206),
    [anon_sym___fastcall] = ACTIONS(3206),
    [anon_sym___thiscall] = ACTIONS(3206),
    [anon_sym___vectorcall] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_signed] = ACTIONS(3206),
    [anon_sym_unsigned] = ACTIONS(3206),
    [anon_sym_long] = ACTIONS(3206),
    [anon_sym_short] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3206),
    [anon_sym_static] = ACTIONS(3206),
    [anon_sym_register] = ACTIONS(3206),
    [anon_sym_inline] = ACTIONS(3206),
    [anon_sym___inline] = ACTIONS(3206),
    [anon_sym___inline__] = ACTIONS(3206),
    [anon_sym___forceinline] = ACTIONS(3206),
    [anon_sym_thread_local] = ACTIONS(3206),
    [anon_sym___thread] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_constexpr] = ACTIONS(3206),
    [anon_sym_volatile] = ACTIONS(3206),
    [anon_sym_restrict] = ACTIONS(3206),
    [anon_sym___restrict__] = ACTIONS(3206),
    [anon_sym__Atomic] = ACTIONS(3206),
    [anon_sym__Noreturn] = ACTIONS(3206),
    [anon_sym_noreturn] = ACTIONS(3206),
    [anon_sym__Nonnull] = ACTIONS(3206),
    [anon_sym_mutable] = ACTIONS(3206),
    [anon_sym_constinit] = ACTIONS(3206),
    [anon_sym_consteval] = ACTIONS(3206),
    [anon_sym_PROGMEM] = ACTIONS(3206),
    [anon_sym_alignas] = ACTIONS(3206),
    [anon_sym__Alignas] = ACTIONS(3206),
    [aux_sym_primitive_type_token1] = ACTIONS(3206),
    [anon_sym_byte] = ACTIONS(3206),
    [anon_sym_word] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_struct] = ACTIONS(3206),
    [anon_sym_union] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_switch] = ACTIONS(3206),
    [anon_sym_case] = ACTIONS(3206),
    [anon_sym_default] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_do] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_goto] = ACTIONS(3206),
    [anon_sym___try] = ACTIONS(3206),
    [anon_sym___leave] = ACTIONS(3206),
    [anon_sym_not] = ACTIONS(3206),
    [anon_sym_compl] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_sizeof] = ACTIONS(3206),
    [anon_sym___alignof__] = ACTIONS(3206),
    [anon_sym___alignof] = ACTIONS(3206),
    [anon_sym__alignof] = ACTIONS(3206),
    [anon_sym_alignof] = ACTIONS(3206),
    [anon_sym__Alignof] = ACTIONS(3206),
    [anon_sym_offsetof] = ACTIONS(3206),
    [anon_sym__Generic] = ACTIONS(3206),
    [anon_sym_asm] = ACTIONS(3206),
    [anon_sym___asm__] = ACTIONS(3206),
    [anon_sym___asm] = ACTIONS(3206),
    [aux_sym_number_literal_token1] = ACTIONS(3208),
    [aux_sym_number_literal_token2] = ACTIONS(3206),
    [anon_sym_L_SQUOTE] = ACTIONS(3208),
    [anon_sym_u_SQUOTE] = ACTIONS(3208),
    [anon_sym_U_SQUOTE] = ACTIONS(3208),
    [anon_sym_u8_SQUOTE] = ACTIONS(3208),
    [anon_sym_SQUOTE] = ACTIONS(3208),
    [anon_sym_L_DQUOTE] = ACTIONS(3208),
    [anon_sym_u_DQUOTE] = ACTIONS(3208),
    [anon_sym_U_DQUOTE] = ACTIONS(3208),
    [anon_sym_u8_DQUOTE] = ACTIONS(3208),
    [anon_sym_DQUOTE] = ACTIONS(3208),
    [sym_true] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [anon_sym_NULL] = ACTIONS(3206),
    [anon_sym_nullptr] = ACTIONS(3206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3206),
    [anon_sym_decltype] = ACTIONS(3206),
    [anon_sym_explicit] = ACTIONS(3206),
    [anon_sym_typename] = ACTIONS(3206),
    [anon_sym_template] = ACTIONS(3206),
    [anon_sym_operator] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_delete] = ACTIONS(3206),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_static_assert] = ACTIONS(3206),
    [anon_sym_concept] = ACTIONS(3206),
    [anon_sym_co_return] = ACTIONS(3206),
    [anon_sym_co_yield] = ACTIONS(3206),
    [anon_sym_R_DQUOTE] = ACTIONS(3208),
    [anon_sym_LR_DQUOTE] = ACTIONS(3208),
    [anon_sym_uR_DQUOTE] = ACTIONS(3208),
    [anon_sym_UR_DQUOTE] = ACTIONS(3208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3208),
    [anon_sym_co_await] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(3206),
    [anon_sym_requires] = ACTIONS(3206),
    [sym_this] = ACTIONS(3206),
  },
  [609] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_PROGMEM] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [aux_sym_primitive_type_token1] = ACTIONS(3051),
    [anon_sym_byte] = ACTIONS(3051),
    [anon_sym_word] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym___try] = ACTIONS(3051),
    [anon_sym___leave] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [anon_sym___asm] = ACTIONS(3051),
    [aux_sym_number_literal_token1] = ACTIONS(3053),
    [aux_sym_number_literal_token2] = ACTIONS(3051),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [610] = {
    [sym_identifier] = ACTIONS(3058),
    [aux_sym_preproc_include_token1] = ACTIONS(3058),
    [aux_sym_preproc_def_token1] = ACTIONS(3058),
    [aux_sym_preproc_if_token1] = ACTIONS(3058),
    [aux_sym_preproc_if_token2] = ACTIONS(3058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3058),
    [sym_preproc_directive] = ACTIONS(3058),
    [anon_sym_LPAREN2] = ACTIONS(3060),
    [anon_sym_BANG] = ACTIONS(3060),
    [anon_sym_TILDE] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3058),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_AMP_AMP] = ACTIONS(3060),
    [anon_sym_AMP] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3060),
    [anon_sym___extension__] = ACTIONS(3058),
    [anon_sym_typedef] = ACTIONS(3058),
    [anon_sym_virtual] = ACTIONS(3058),
    [anon_sym_extern] = ACTIONS(3058),
    [anon_sym___attribute__] = ACTIONS(3058),
    [anon_sym_COLON_COLON] = ACTIONS(3060),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3060),
    [anon_sym___declspec] = ACTIONS(3058),
    [anon_sym___based] = ACTIONS(3058),
    [anon_sym___cdecl] = ACTIONS(3058),
    [anon_sym___clrcall] = ACTIONS(3058),
    [anon_sym___stdcall] = ACTIONS(3058),
    [anon_sym___fastcall] = ACTIONS(3058),
    [anon_sym___thiscall] = ACTIONS(3058),
    [anon_sym___vectorcall] = ACTIONS(3058),
    [anon_sym_LBRACE] = ACTIONS(3060),
    [anon_sym_signed] = ACTIONS(3058),
    [anon_sym_unsigned] = ACTIONS(3058),
    [anon_sym_long] = ACTIONS(3058),
    [anon_sym_short] = ACTIONS(3058),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_static] = ACTIONS(3058),
    [anon_sym_register] = ACTIONS(3058),
    [anon_sym_inline] = ACTIONS(3058),
    [anon_sym___inline] = ACTIONS(3058),
    [anon_sym___inline__] = ACTIONS(3058),
    [anon_sym___forceinline] = ACTIONS(3058),
    [anon_sym_thread_local] = ACTIONS(3058),
    [anon_sym___thread] = ACTIONS(3058),
    [anon_sym_const] = ACTIONS(3058),
    [anon_sym_constexpr] = ACTIONS(3058),
    [anon_sym_volatile] = ACTIONS(3058),
    [anon_sym_restrict] = ACTIONS(3058),
    [anon_sym___restrict__] = ACTIONS(3058),
    [anon_sym__Atomic] = ACTIONS(3058),
    [anon_sym__Noreturn] = ACTIONS(3058),
    [anon_sym_noreturn] = ACTIONS(3058),
    [anon_sym__Nonnull] = ACTIONS(3058),
    [anon_sym_mutable] = ACTIONS(3058),
    [anon_sym_constinit] = ACTIONS(3058),
    [anon_sym_consteval] = ACTIONS(3058),
    [anon_sym_PROGMEM] = ACTIONS(3058),
    [anon_sym_alignas] = ACTIONS(3058),
    [anon_sym__Alignas] = ACTIONS(3058),
    [aux_sym_primitive_type_token1] = ACTIONS(3058),
    [anon_sym_byte] = ACTIONS(3058),
    [anon_sym_word] = ACTIONS(3058),
    [anon_sym_enum] = ACTIONS(3058),
    [anon_sym_class] = ACTIONS(3058),
    [anon_sym_struct] = ACTIONS(3058),
    [anon_sym_union] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3058),
    [anon_sym_switch] = ACTIONS(3058),
    [anon_sym_case] = ACTIONS(3058),
    [anon_sym_default] = ACTIONS(3058),
    [anon_sym_while] = ACTIONS(3058),
    [anon_sym_do] = ACTIONS(3058),
    [anon_sym_for] = ACTIONS(3058),
    [anon_sym_return] = ACTIONS(3058),
    [anon_sym_break] = ACTIONS(3058),
    [anon_sym_continue] = ACTIONS(3058),
    [anon_sym_goto] = ACTIONS(3058),
    [anon_sym___try] = ACTIONS(3058),
    [anon_sym___leave] = ACTIONS(3058),
    [anon_sym_not] = ACTIONS(3058),
    [anon_sym_compl] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3060),
    [anon_sym_PLUS_PLUS] = ACTIONS(3060),
    [anon_sym_sizeof] = ACTIONS(3058),
    [anon_sym___alignof__] = ACTIONS(3058),
    [anon_sym___alignof] = ACTIONS(3058),
    [anon_sym__alignof] = ACTIONS(3058),
    [anon_sym_alignof] = ACTIONS(3058),
    [anon_sym__Alignof] = ACTIONS(3058),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3058),
    [anon_sym_asm] = ACTIONS(3058),
    [anon_sym___asm__] = ACTIONS(3058),
    [anon_sym___asm] = ACTIONS(3058),
    [aux_sym_number_literal_token1] = ACTIONS(3060),
    [aux_sym_number_literal_token2] = ACTIONS(3058),
    [anon_sym_L_SQUOTE] = ACTIONS(3060),
    [anon_sym_u_SQUOTE] = ACTIONS(3060),
    [anon_sym_U_SQUOTE] = ACTIONS(3060),
    [anon_sym_u8_SQUOTE] = ACTIONS(3060),
    [anon_sym_SQUOTE] = ACTIONS(3060),
    [anon_sym_L_DQUOTE] = ACTIONS(3060),
    [anon_sym_u_DQUOTE] = ACTIONS(3060),
    [anon_sym_U_DQUOTE] = ACTIONS(3060),
    [anon_sym_u8_DQUOTE] = ACTIONS(3060),
    [anon_sym_DQUOTE] = ACTIONS(3060),
    [sym_true] = ACTIONS(3058),
    [sym_false] = ACTIONS(3058),
    [anon_sym_NULL] = ACTIONS(3058),
    [anon_sym_nullptr] = ACTIONS(3058),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3058),
    [anon_sym_decltype] = ACTIONS(3058),
    [anon_sym_explicit] = ACTIONS(3058),
    [anon_sym_typename] = ACTIONS(3058),
    [anon_sym_template] = ACTIONS(3058),
    [anon_sym_operator] = ACTIONS(3058),
    [anon_sym_try] = ACTIONS(3058),
    [anon_sym_delete] = ACTIONS(3058),
    [anon_sym_throw] = ACTIONS(3058),
    [anon_sym_namespace] = ACTIONS(3058),
    [anon_sym_using] = ACTIONS(3058),
    [anon_sym_static_assert] = ACTIONS(3058),
    [anon_sym_concept] = ACTIONS(3058),
    [anon_sym_co_return] = ACTIONS(3058),
    [anon_sym_co_yield] = ACTIONS(3058),
    [anon_sym_R_DQUOTE] = ACTIONS(3060),
    [anon_sym_LR_DQUOTE] = ACTIONS(3060),
    [anon_sym_uR_DQUOTE] = ACTIONS(3060),
    [anon_sym_UR_DQUOTE] = ACTIONS(3060),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3060),
    [anon_sym_co_await] = ACTIONS(3058),
    [anon_sym_new] = ACTIONS(3058),
    [anon_sym_requires] = ACTIONS(3058),
    [sym_this] = ACTIONS(3058),
  },
  [611] = {
    [sym_identifier] = ACTIONS(3062),
    [aux_sym_preproc_include_token1] = ACTIONS(3062),
    [aux_sym_preproc_def_token1] = ACTIONS(3062),
    [aux_sym_preproc_if_token1] = ACTIONS(3062),
    [aux_sym_preproc_if_token2] = ACTIONS(3062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3062),
    [sym_preproc_directive] = ACTIONS(3062),
    [anon_sym_LPAREN2] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_TILDE] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_AMP_AMP] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3064),
    [anon_sym___extension__] = ACTIONS(3062),
    [anon_sym_typedef] = ACTIONS(3062),
    [anon_sym_virtual] = ACTIONS(3062),
    [anon_sym_extern] = ACTIONS(3062),
    [anon_sym___attribute__] = ACTIONS(3062),
    [anon_sym_COLON_COLON] = ACTIONS(3064),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3064),
    [anon_sym___declspec] = ACTIONS(3062),
    [anon_sym___based] = ACTIONS(3062),
    [anon_sym___cdecl] = ACTIONS(3062),
    [anon_sym___clrcall] = ACTIONS(3062),
    [anon_sym___stdcall] = ACTIONS(3062),
    [anon_sym___fastcall] = ACTIONS(3062),
    [anon_sym___thiscall] = ACTIONS(3062),
    [anon_sym___vectorcall] = ACTIONS(3062),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_signed] = ACTIONS(3062),
    [anon_sym_unsigned] = ACTIONS(3062),
    [anon_sym_long] = ACTIONS(3062),
    [anon_sym_short] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_static] = ACTIONS(3062),
    [anon_sym_register] = ACTIONS(3062),
    [anon_sym_inline] = ACTIONS(3062),
    [anon_sym___inline] = ACTIONS(3062),
    [anon_sym___inline__] = ACTIONS(3062),
    [anon_sym___forceinline] = ACTIONS(3062),
    [anon_sym_thread_local] = ACTIONS(3062),
    [anon_sym___thread] = ACTIONS(3062),
    [anon_sym_const] = ACTIONS(3062),
    [anon_sym_constexpr] = ACTIONS(3062),
    [anon_sym_volatile] = ACTIONS(3062),
    [anon_sym_restrict] = ACTIONS(3062),
    [anon_sym___restrict__] = ACTIONS(3062),
    [anon_sym__Atomic] = ACTIONS(3062),
    [anon_sym__Noreturn] = ACTIONS(3062),
    [anon_sym_noreturn] = ACTIONS(3062),
    [anon_sym__Nonnull] = ACTIONS(3062),
    [anon_sym_mutable] = ACTIONS(3062),
    [anon_sym_constinit] = ACTIONS(3062),
    [anon_sym_consteval] = ACTIONS(3062),
    [anon_sym_PROGMEM] = ACTIONS(3062),
    [anon_sym_alignas] = ACTIONS(3062),
    [anon_sym__Alignas] = ACTIONS(3062),
    [aux_sym_primitive_type_token1] = ACTIONS(3062),
    [anon_sym_byte] = ACTIONS(3062),
    [anon_sym_word] = ACTIONS(3062),
    [anon_sym_enum] = ACTIONS(3062),
    [anon_sym_class] = ACTIONS(3062),
    [anon_sym_struct] = ACTIONS(3062),
    [anon_sym_union] = ACTIONS(3062),
    [anon_sym_if] = ACTIONS(3062),
    [anon_sym_switch] = ACTIONS(3062),
    [anon_sym_case] = ACTIONS(3062),
    [anon_sym_default] = ACTIONS(3062),
    [anon_sym_while] = ACTIONS(3062),
    [anon_sym_do] = ACTIONS(3062),
    [anon_sym_for] = ACTIONS(3062),
    [anon_sym_return] = ACTIONS(3062),
    [anon_sym_break] = ACTIONS(3062),
    [anon_sym_continue] = ACTIONS(3062),
    [anon_sym_goto] = ACTIONS(3062),
    [anon_sym___try] = ACTIONS(3062),
    [anon_sym___leave] = ACTIONS(3062),
    [anon_sym_not] = ACTIONS(3062),
    [anon_sym_compl] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3064),
    [anon_sym_sizeof] = ACTIONS(3062),
    [anon_sym___alignof__] = ACTIONS(3062),
    [anon_sym___alignof] = ACTIONS(3062),
    [anon_sym__alignof] = ACTIONS(3062),
    [anon_sym_alignof] = ACTIONS(3062),
    [anon_sym__Alignof] = ACTIONS(3062),
    [anon_sym_offsetof] = ACTIONS(3062),
    [anon_sym__Generic] = ACTIONS(3062),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [anon_sym___asm] = ACTIONS(3062),
    [aux_sym_number_literal_token1] = ACTIONS(3064),
    [aux_sym_number_literal_token2] = ACTIONS(3062),
    [anon_sym_L_SQUOTE] = ACTIONS(3064),
    [anon_sym_u_SQUOTE] = ACTIONS(3064),
    [anon_sym_U_SQUOTE] = ACTIONS(3064),
    [anon_sym_u8_SQUOTE] = ACTIONS(3064),
    [anon_sym_SQUOTE] = ACTIONS(3064),
    [anon_sym_L_DQUOTE] = ACTIONS(3064),
    [anon_sym_u_DQUOTE] = ACTIONS(3064),
    [anon_sym_U_DQUOTE] = ACTIONS(3064),
    [anon_sym_u8_DQUOTE] = ACTIONS(3064),
    [anon_sym_DQUOTE] = ACTIONS(3064),
    [sym_true] = ACTIONS(3062),
    [sym_false] = ACTIONS(3062),
    [anon_sym_NULL] = ACTIONS(3062),
    [anon_sym_nullptr] = ACTIONS(3062),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3062),
    [anon_sym_decltype] = ACTIONS(3062),
    [anon_sym_explicit] = ACTIONS(3062),
    [anon_sym_typename] = ACTIONS(3062),
    [anon_sym_template] = ACTIONS(3062),
    [anon_sym_operator] = ACTIONS(3062),
    [anon_sym_try] = ACTIONS(3062),
    [anon_sym_delete] = ACTIONS(3062),
    [anon_sym_throw] = ACTIONS(3062),
    [anon_sym_namespace] = ACTIONS(3062),
    [anon_sym_using] = ACTIONS(3062),
    [anon_sym_static_assert] = ACTIONS(3062),
    [anon_sym_concept] = ACTIONS(3062),
    [anon_sym_co_return] = ACTIONS(3062),
    [anon_sym_co_yield] = ACTIONS(3062),
    [anon_sym_R_DQUOTE] = ACTIONS(3064),
    [anon_sym_LR_DQUOTE] = ACTIONS(3064),
    [anon_sym_uR_DQUOTE] = ACTIONS(3064),
    [anon_sym_UR_DQUOTE] = ACTIONS(3064),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3064),
    [anon_sym_co_await] = ACTIONS(3062),
    [anon_sym_new] = ACTIONS(3062),
    [anon_sym_requires] = ACTIONS(3062),
    [sym_this] = ACTIONS(3062),
  },
  [612] = {
    [sym_identifier] = ACTIONS(3182),
    [aux_sym_preproc_include_token1] = ACTIONS(3182),
    [aux_sym_preproc_def_token1] = ACTIONS(3182),
    [aux_sym_preproc_if_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [sym_preproc_directive] = ACTIONS(3182),
    [anon_sym_LPAREN2] = ACTIONS(3184),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3184),
    [anon_sym_AMP_AMP] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3184),
    [anon_sym___extension__] = ACTIONS(3182),
    [anon_sym_typedef] = ACTIONS(3182),
    [anon_sym_virtual] = ACTIONS(3182),
    [anon_sym_extern] = ACTIONS(3182),
    [anon_sym___attribute__] = ACTIONS(3182),
    [anon_sym_COLON_COLON] = ACTIONS(3184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3184),
    [anon_sym___declspec] = ACTIONS(3182),
    [anon_sym___based] = ACTIONS(3182),
    [anon_sym___cdecl] = ACTIONS(3182),
    [anon_sym___clrcall] = ACTIONS(3182),
    [anon_sym___stdcall] = ACTIONS(3182),
    [anon_sym___fastcall] = ACTIONS(3182),
    [anon_sym___thiscall] = ACTIONS(3182),
    [anon_sym___vectorcall] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3184),
    [anon_sym_signed] = ACTIONS(3182),
    [anon_sym_unsigned] = ACTIONS(3182),
    [anon_sym_long] = ACTIONS(3182),
    [anon_sym_short] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_register] = ACTIONS(3182),
    [anon_sym_inline] = ACTIONS(3182),
    [anon_sym___inline] = ACTIONS(3182),
    [anon_sym___inline__] = ACTIONS(3182),
    [anon_sym___forceinline] = ACTIONS(3182),
    [anon_sym_thread_local] = ACTIONS(3182),
    [anon_sym___thread] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_constexpr] = ACTIONS(3182),
    [anon_sym_volatile] = ACTIONS(3182),
    [anon_sym_restrict] = ACTIONS(3182),
    [anon_sym___restrict__] = ACTIONS(3182),
    [anon_sym__Atomic] = ACTIONS(3182),
    [anon_sym__Noreturn] = ACTIONS(3182),
    [anon_sym_noreturn] = ACTIONS(3182),
    [anon_sym__Nonnull] = ACTIONS(3182),
    [anon_sym_mutable] = ACTIONS(3182),
    [anon_sym_constinit] = ACTIONS(3182),
    [anon_sym_consteval] = ACTIONS(3182),
    [anon_sym_PROGMEM] = ACTIONS(3182),
    [anon_sym_alignas] = ACTIONS(3182),
    [anon_sym__Alignas] = ACTIONS(3182),
    [aux_sym_primitive_type_token1] = ACTIONS(3182),
    [anon_sym_byte] = ACTIONS(3182),
    [anon_sym_word] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_struct] = ACTIONS(3182),
    [anon_sym_union] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(3182),
    [anon_sym_case] = ACTIONS(3182),
    [anon_sym_default] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3182),
    [anon_sym_return] = ACTIONS(3182),
    [anon_sym_break] = ACTIONS(3182),
    [anon_sym_continue] = ACTIONS(3182),
    [anon_sym_goto] = ACTIONS(3182),
    [anon_sym___try] = ACTIONS(3182),
    [anon_sym___leave] = ACTIONS(3182),
    [anon_sym_not] = ACTIONS(3182),
    [anon_sym_compl] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_sizeof] = ACTIONS(3182),
    [anon_sym___alignof__] = ACTIONS(3182),
    [anon_sym___alignof] = ACTIONS(3182),
    [anon_sym__alignof] = ACTIONS(3182),
    [anon_sym_alignof] = ACTIONS(3182),
    [anon_sym__Alignof] = ACTIONS(3182),
    [anon_sym_offsetof] = ACTIONS(3182),
    [anon_sym__Generic] = ACTIONS(3182),
    [anon_sym_asm] = ACTIONS(3182),
    [anon_sym___asm__] = ACTIONS(3182),
    [anon_sym___asm] = ACTIONS(3182),
    [aux_sym_number_literal_token1] = ACTIONS(3184),
    [aux_sym_number_literal_token2] = ACTIONS(3182),
    [anon_sym_L_SQUOTE] = ACTIONS(3184),
    [anon_sym_u_SQUOTE] = ACTIONS(3184),
    [anon_sym_U_SQUOTE] = ACTIONS(3184),
    [anon_sym_u8_SQUOTE] = ACTIONS(3184),
    [anon_sym_SQUOTE] = ACTIONS(3184),
    [anon_sym_L_DQUOTE] = ACTIONS(3184),
    [anon_sym_u_DQUOTE] = ACTIONS(3184),
    [anon_sym_U_DQUOTE] = ACTIONS(3184),
    [anon_sym_u8_DQUOTE] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [anon_sym_NULL] = ACTIONS(3182),
    [anon_sym_nullptr] = ACTIONS(3182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3182),
    [anon_sym_decltype] = ACTIONS(3182),
    [anon_sym_explicit] = ACTIONS(3182),
    [anon_sym_typename] = ACTIONS(3182),
    [anon_sym_template] = ACTIONS(3182),
    [anon_sym_operator] = ACTIONS(3182),
    [anon_sym_try] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3182),
    [anon_sym_namespace] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_static_assert] = ACTIONS(3182),
    [anon_sym_concept] = ACTIONS(3182),
    [anon_sym_co_return] = ACTIONS(3182),
    [anon_sym_co_yield] = ACTIONS(3182),
    [anon_sym_R_DQUOTE] = ACTIONS(3184),
    [anon_sym_LR_DQUOTE] = ACTIONS(3184),
    [anon_sym_uR_DQUOTE] = ACTIONS(3184),
    [anon_sym_UR_DQUOTE] = ACTIONS(3184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3184),
    [anon_sym_co_await] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_requires] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
  },
  [613] = {
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_include_token1] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym___cdecl] = ACTIONS(3170),
    [anon_sym___clrcall] = ACTIONS(3170),
    [anon_sym___stdcall] = ACTIONS(3170),
    [anon_sym___fastcall] = ACTIONS(3170),
    [anon_sym___thiscall] = ACTIONS(3170),
    [anon_sym___vectorcall] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym__Nonnull] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [anon_sym_PROGMEM] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym__Alignas] = ACTIONS(3170),
    [aux_sym_primitive_type_token1] = ACTIONS(3170),
    [anon_sym_byte] = ACTIONS(3170),
    [anon_sym_word] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_goto] = ACTIONS(3170),
    [anon_sym___try] = ACTIONS(3170),
    [anon_sym___leave] = ACTIONS(3170),
    [anon_sym_not] = ACTIONS(3170),
    [anon_sym_compl] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_sizeof] = ACTIONS(3170),
    [anon_sym___alignof__] = ACTIONS(3170),
    [anon_sym___alignof] = ACTIONS(3170),
    [anon_sym__alignof] = ACTIONS(3170),
    [anon_sym_alignof] = ACTIONS(3170),
    [anon_sym__Alignof] = ACTIONS(3170),
    [anon_sym_offsetof] = ACTIONS(3170),
    [anon_sym__Generic] = ACTIONS(3170),
    [anon_sym_asm] = ACTIONS(3170),
    [anon_sym___asm__] = ACTIONS(3170),
    [anon_sym___asm] = ACTIONS(3170),
    [aux_sym_number_literal_token1] = ACTIONS(3172),
    [aux_sym_number_literal_token2] = ACTIONS(3170),
    [anon_sym_L_SQUOTE] = ACTIONS(3172),
    [anon_sym_u_SQUOTE] = ACTIONS(3172),
    [anon_sym_U_SQUOTE] = ACTIONS(3172),
    [anon_sym_u8_SQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_L_DQUOTE] = ACTIONS(3172),
    [anon_sym_u_DQUOTE] = ACTIONS(3172),
    [anon_sym_U_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8_DQUOTE] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [anon_sym_NULL] = ACTIONS(3170),
    [anon_sym_nullptr] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
    [anon_sym_concept] = ACTIONS(3170),
    [anon_sym_co_return] = ACTIONS(3170),
    [anon_sym_co_yield] = ACTIONS(3170),
    [anon_sym_R_DQUOTE] = ACTIONS(3172),
    [anon_sym_LR_DQUOTE] = ACTIONS(3172),
    [anon_sym_uR_DQUOTE] = ACTIONS(3172),
    [anon_sym_UR_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3172),
    [anon_sym_co_await] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_requires] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
  },
  [614] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_include_token1] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token2] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym___cdecl] = ACTIONS(2936),
    [anon_sym___clrcall] = ACTIONS(2936),
    [anon_sym___stdcall] = ACTIONS(2936),
    [anon_sym___fastcall] = ACTIONS(2936),
    [anon_sym___thiscall] = ACTIONS(2936),
    [anon_sym___vectorcall] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_PROGMEM] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [aux_sym_primitive_type_token1] = ACTIONS(2936),
    [anon_sym_byte] = ACTIONS(2936),
    [anon_sym_word] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_goto] = ACTIONS(2936),
    [anon_sym___try] = ACTIONS(2936),
    [anon_sym___leave] = ACTIONS(2936),
    [anon_sym_not] = ACTIONS(2936),
    [anon_sym_compl] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_sizeof] = ACTIONS(2936),
    [anon_sym___alignof__] = ACTIONS(2936),
    [anon_sym___alignof] = ACTIONS(2936),
    [anon_sym__alignof] = ACTIONS(2936),
    [anon_sym_alignof] = ACTIONS(2936),
    [anon_sym__Alignof] = ACTIONS(2936),
    [anon_sym_offsetof] = ACTIONS(2936),
    [anon_sym__Generic] = ACTIONS(2936),
    [anon_sym_asm] = ACTIONS(2936),
    [anon_sym___asm__] = ACTIONS(2936),
    [anon_sym___asm] = ACTIONS(2936),
    [aux_sym_number_literal_token1] = ACTIONS(2938),
    [aux_sym_number_literal_token2] = ACTIONS(2936),
    [anon_sym_L_SQUOTE] = ACTIONS(2938),
    [anon_sym_u_SQUOTE] = ACTIONS(2938),
    [anon_sym_U_SQUOTE] = ACTIONS(2938),
    [anon_sym_u8_SQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [anon_sym_L_DQUOTE] = ACTIONS(2938),
    [anon_sym_u_DQUOTE] = ACTIONS(2938),
    [anon_sym_U_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8_DQUOTE] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [anon_sym_NULL] = ACTIONS(2936),
    [anon_sym_nullptr] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
    [anon_sym_concept] = ACTIONS(2936),
    [anon_sym_co_return] = ACTIONS(2936),
    [anon_sym_co_yield] = ACTIONS(2936),
    [anon_sym_R_DQUOTE] = ACTIONS(2938),
    [anon_sym_LR_DQUOTE] = ACTIONS(2938),
    [anon_sym_uR_DQUOTE] = ACTIONS(2938),
    [anon_sym_UR_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2938),
    [anon_sym_co_await] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_requires] = ACTIONS(2936),
    [sym_this] = ACTIONS(2936),
  },
  [615] = {
    [sym_identifier] = ACTIONS(3115),
    [aux_sym_preproc_include_token1] = ACTIONS(3115),
    [aux_sym_preproc_def_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3117),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_PLUS] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym_SEMI] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3115),
    [anon_sym_typedef] = ACTIONS(3115),
    [anon_sym_virtual] = ACTIONS(3115),
    [anon_sym_extern] = ACTIONS(3115),
    [anon_sym___attribute__] = ACTIONS(3115),
    [anon_sym_COLON_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3117),
    [anon_sym___declspec] = ACTIONS(3115),
    [anon_sym___based] = ACTIONS(3115),
    [anon_sym___cdecl] = ACTIONS(3115),
    [anon_sym___clrcall] = ACTIONS(3115),
    [anon_sym___stdcall] = ACTIONS(3115),
    [anon_sym___fastcall] = ACTIONS(3115),
    [anon_sym___thiscall] = ACTIONS(3115),
    [anon_sym___vectorcall] = ACTIONS(3115),
    [anon_sym_LBRACE] = ACTIONS(3117),
    [anon_sym_RBRACE] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3115),
    [anon_sym_unsigned] = ACTIONS(3115),
    [anon_sym_long] = ACTIONS(3115),
    [anon_sym_short] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_register] = ACTIONS(3115),
    [anon_sym_inline] = ACTIONS(3115),
    [anon_sym___inline] = ACTIONS(3115),
    [anon_sym___inline__] = ACTIONS(3115),
    [anon_sym___forceinline] = ACTIONS(3115),
    [anon_sym_thread_local] = ACTIONS(3115),
    [anon_sym___thread] = ACTIONS(3115),
    [anon_sym_const] = ACTIONS(3115),
    [anon_sym_constexpr] = ACTIONS(3115),
    [anon_sym_volatile] = ACTIONS(3115),
    [anon_sym_restrict] = ACTIONS(3115),
    [anon_sym___restrict__] = ACTIONS(3115),
    [anon_sym__Atomic] = ACTIONS(3115),
    [anon_sym__Noreturn] = ACTIONS(3115),
    [anon_sym_noreturn] = ACTIONS(3115),
    [anon_sym__Nonnull] = ACTIONS(3115),
    [anon_sym_mutable] = ACTIONS(3115),
    [anon_sym_constinit] = ACTIONS(3115),
    [anon_sym_consteval] = ACTIONS(3115),
    [anon_sym_PROGMEM] = ACTIONS(3115),
    [anon_sym_alignas] = ACTIONS(3115),
    [anon_sym__Alignas] = ACTIONS(3115),
    [aux_sym_primitive_type_token1] = ACTIONS(3115),
    [anon_sym_byte] = ACTIONS(3115),
    [anon_sym_word] = ACTIONS(3115),
    [anon_sym_enum] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(3115),
    [anon_sym_union] = ACTIONS(3115),
    [anon_sym_if] = ACTIONS(3115),
    [anon_sym_switch] = ACTIONS(3115),
    [anon_sym_case] = ACTIONS(3115),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_while] = ACTIONS(3115),
    [anon_sym_do] = ACTIONS(3115),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_return] = ACTIONS(3115),
    [anon_sym_break] = ACTIONS(3115),
    [anon_sym_continue] = ACTIONS(3115),
    [anon_sym_goto] = ACTIONS(3115),
    [anon_sym___try] = ACTIONS(3115),
    [anon_sym___leave] = ACTIONS(3115),
    [anon_sym_not] = ACTIONS(3115),
    [anon_sym_compl] = ACTIONS(3115),
    [anon_sym_DASH_DASH] = ACTIONS(3117),
    [anon_sym_PLUS_PLUS] = ACTIONS(3117),
    [anon_sym_sizeof] = ACTIONS(3115),
    [anon_sym___alignof__] = ACTIONS(3115),
    [anon_sym___alignof] = ACTIONS(3115),
    [anon_sym__alignof] = ACTIONS(3115),
    [anon_sym_alignof] = ACTIONS(3115),
    [anon_sym__Alignof] = ACTIONS(3115),
    [anon_sym_offsetof] = ACTIONS(3115),
    [anon_sym__Generic] = ACTIONS(3115),
    [anon_sym_asm] = ACTIONS(3115),
    [anon_sym___asm__] = ACTIONS(3115),
    [anon_sym___asm] = ACTIONS(3115),
    [aux_sym_number_literal_token1] = ACTIONS(3117),
    [aux_sym_number_literal_token2] = ACTIONS(3115),
    [anon_sym_L_SQUOTE] = ACTIONS(3117),
    [anon_sym_u_SQUOTE] = ACTIONS(3117),
    [anon_sym_U_SQUOTE] = ACTIONS(3117),
    [anon_sym_u8_SQUOTE] = ACTIONS(3117),
    [anon_sym_SQUOTE] = ACTIONS(3117),
    [anon_sym_L_DQUOTE] = ACTIONS(3117),
    [anon_sym_u_DQUOTE] = ACTIONS(3117),
    [anon_sym_U_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8_DQUOTE] = ACTIONS(3117),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_true] = ACTIONS(3115),
    [sym_false] = ACTIONS(3115),
    [anon_sym_NULL] = ACTIONS(3115),
    [anon_sym_nullptr] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3115),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_explicit] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(3115),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3115),
    [anon_sym_delete] = ACTIONS(3115),
    [anon_sym_throw] = ACTIONS(3115),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_using] = ACTIONS(3115),
    [anon_sym_static_assert] = ACTIONS(3115),
    [anon_sym_concept] = ACTIONS(3115),
    [anon_sym_co_return] = ACTIONS(3115),
    [anon_sym_co_yield] = ACTIONS(3115),
    [anon_sym_R_DQUOTE] = ACTIONS(3117),
    [anon_sym_LR_DQUOTE] = ACTIONS(3117),
    [anon_sym_uR_DQUOTE] = ACTIONS(3117),
    [anon_sym_UR_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3117),
    [anon_sym_co_await] = ACTIONS(3115),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_requires] = ACTIONS(3115),
    [sym_this] = ACTIONS(3115),
  },
  [616] = {
    [sym_identifier] = ACTIONS(3111),
    [aux_sym_preproc_include_token1] = ACTIONS(3111),
    [aux_sym_preproc_def_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3111),
    [sym_preproc_directive] = ACTIONS(3111),
    [anon_sym_LPAREN2] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(3113),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3111),
    [anon_sym_PLUS] = ACTIONS(3111),
    [anon_sym_STAR] = ACTIONS(3113),
    [anon_sym_AMP_AMP] = ACTIONS(3113),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_SEMI] = ACTIONS(3113),
    [anon_sym___extension__] = ACTIONS(3111),
    [anon_sym_typedef] = ACTIONS(3111),
    [anon_sym_virtual] = ACTIONS(3111),
    [anon_sym_extern] = ACTIONS(3111),
    [anon_sym___attribute__] = ACTIONS(3111),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3113),
    [anon_sym___declspec] = ACTIONS(3111),
    [anon_sym___based] = ACTIONS(3111),
    [anon_sym___cdecl] = ACTIONS(3111),
    [anon_sym___clrcall] = ACTIONS(3111),
    [anon_sym___stdcall] = ACTIONS(3111),
    [anon_sym___fastcall] = ACTIONS(3111),
    [anon_sym___thiscall] = ACTIONS(3111),
    [anon_sym___vectorcall] = ACTIONS(3111),
    [anon_sym_LBRACE] = ACTIONS(3113),
    [anon_sym_RBRACE] = ACTIONS(3113),
    [anon_sym_signed] = ACTIONS(3111),
    [anon_sym_unsigned] = ACTIONS(3111),
    [anon_sym_long] = ACTIONS(3111),
    [anon_sym_short] = ACTIONS(3111),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_static] = ACTIONS(3111),
    [anon_sym_register] = ACTIONS(3111),
    [anon_sym_inline] = ACTIONS(3111),
    [anon_sym___inline] = ACTIONS(3111),
    [anon_sym___inline__] = ACTIONS(3111),
    [anon_sym___forceinline] = ACTIONS(3111),
    [anon_sym_thread_local] = ACTIONS(3111),
    [anon_sym___thread] = ACTIONS(3111),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_constexpr] = ACTIONS(3111),
    [anon_sym_volatile] = ACTIONS(3111),
    [anon_sym_restrict] = ACTIONS(3111),
    [anon_sym___restrict__] = ACTIONS(3111),
    [anon_sym__Atomic] = ACTIONS(3111),
    [anon_sym__Noreturn] = ACTIONS(3111),
    [anon_sym_noreturn] = ACTIONS(3111),
    [anon_sym__Nonnull] = ACTIONS(3111),
    [anon_sym_mutable] = ACTIONS(3111),
    [anon_sym_constinit] = ACTIONS(3111),
    [anon_sym_consteval] = ACTIONS(3111),
    [anon_sym_PROGMEM] = ACTIONS(3111),
    [anon_sym_alignas] = ACTIONS(3111),
    [anon_sym__Alignas] = ACTIONS(3111),
    [aux_sym_primitive_type_token1] = ACTIONS(3111),
    [anon_sym_byte] = ACTIONS(3111),
    [anon_sym_word] = ACTIONS(3111),
    [anon_sym_enum] = ACTIONS(3111),
    [anon_sym_class] = ACTIONS(3111),
    [anon_sym_struct] = ACTIONS(3111),
    [anon_sym_union] = ACTIONS(3111),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_switch] = ACTIONS(3111),
    [anon_sym_case] = ACTIONS(3111),
    [anon_sym_default] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3111),
    [anon_sym_do] = ACTIONS(3111),
    [anon_sym_for] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3111),
    [anon_sym_break] = ACTIONS(3111),
    [anon_sym_continue] = ACTIONS(3111),
    [anon_sym_goto] = ACTIONS(3111),
    [anon_sym___try] = ACTIONS(3111),
    [anon_sym___leave] = ACTIONS(3111),
    [anon_sym_not] = ACTIONS(3111),
    [anon_sym_compl] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3113),
    [anon_sym_PLUS_PLUS] = ACTIONS(3113),
    [anon_sym_sizeof] = ACTIONS(3111),
    [anon_sym___alignof__] = ACTIONS(3111),
    [anon_sym___alignof] = ACTIONS(3111),
    [anon_sym__alignof] = ACTIONS(3111),
    [anon_sym_alignof] = ACTIONS(3111),
    [anon_sym__Alignof] = ACTIONS(3111),
    [anon_sym_offsetof] = ACTIONS(3111),
    [anon_sym__Generic] = ACTIONS(3111),
    [anon_sym_asm] = ACTIONS(3111),
    [anon_sym___asm__] = ACTIONS(3111),
    [anon_sym___asm] = ACTIONS(3111),
    [aux_sym_number_literal_token1] = ACTIONS(3113),
    [aux_sym_number_literal_token2] = ACTIONS(3111),
    [anon_sym_L_SQUOTE] = ACTIONS(3113),
    [anon_sym_u_SQUOTE] = ACTIONS(3113),
    [anon_sym_U_SQUOTE] = ACTIONS(3113),
    [anon_sym_u8_SQUOTE] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(3113),
    [anon_sym_L_DQUOTE] = ACTIONS(3113),
    [anon_sym_u_DQUOTE] = ACTIONS(3113),
    [anon_sym_U_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8_DQUOTE] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3113),
    [sym_true] = ACTIONS(3111),
    [sym_false] = ACTIONS(3111),
    [anon_sym_NULL] = ACTIONS(3111),
    [anon_sym_nullptr] = ACTIONS(3111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3111),
    [anon_sym_decltype] = ACTIONS(3111),
    [anon_sym_explicit] = ACTIONS(3111),
    [anon_sym_typename] = ACTIONS(3111),
    [anon_sym_template] = ACTIONS(3111),
    [anon_sym_operator] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3111),
    [anon_sym_delete] = ACTIONS(3111),
    [anon_sym_throw] = ACTIONS(3111),
    [anon_sym_namespace] = ACTIONS(3111),
    [anon_sym_using] = ACTIONS(3111),
    [anon_sym_static_assert] = ACTIONS(3111),
    [anon_sym_concept] = ACTIONS(3111),
    [anon_sym_co_return] = ACTIONS(3111),
    [anon_sym_co_yield] = ACTIONS(3111),
    [anon_sym_R_DQUOTE] = ACTIONS(3113),
    [anon_sym_LR_DQUOTE] = ACTIONS(3113),
    [anon_sym_uR_DQUOTE] = ACTIONS(3113),
    [anon_sym_UR_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3113),
    [anon_sym_co_await] = ACTIONS(3111),
    [anon_sym_new] = ACTIONS(3111),
    [anon_sym_requires] = ACTIONS(3111),
    [sym_this] = ACTIONS(3111),
  },
  [617] = {
    [sym_identifier] = ACTIONS(3103),
    [aux_sym_preproc_include_token1] = ACTIONS(3103),
    [aux_sym_preproc_def_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3103),
    [sym_preproc_directive] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3103),
    [anon_sym_PLUS] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP_AMP] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3103),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_typedef] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym___based] = ACTIONS(3103),
    [anon_sym___cdecl] = ACTIONS(3103),
    [anon_sym___clrcall] = ACTIONS(3103),
    [anon_sym___stdcall] = ACTIONS(3103),
    [anon_sym___fastcall] = ACTIONS(3103),
    [anon_sym___thiscall] = ACTIONS(3103),
    [anon_sym___vectorcall] = ACTIONS(3103),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_RBRACE] = ACTIONS(3105),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym__Nonnull] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [anon_sym_PROGMEM] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym__Alignas] = ACTIONS(3103),
    [aux_sym_primitive_type_token1] = ACTIONS(3103),
    [anon_sym_byte] = ACTIONS(3103),
    [anon_sym_word] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [anon_sym_if] = ACTIONS(3103),
    [anon_sym_switch] = ACTIONS(3103),
    [anon_sym_case] = ACTIONS(3103),
    [anon_sym_default] = ACTIONS(3103),
    [anon_sym_while] = ACTIONS(3103),
    [anon_sym_do] = ACTIONS(3103),
    [anon_sym_for] = ACTIONS(3103),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_break] = ACTIONS(3103),
    [anon_sym_continue] = ACTIONS(3103),
    [anon_sym_goto] = ACTIONS(3103),
    [anon_sym___try] = ACTIONS(3103),
    [anon_sym___leave] = ACTIONS(3103),
    [anon_sym_not] = ACTIONS(3103),
    [anon_sym_compl] = ACTIONS(3103),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3103),
    [anon_sym___alignof__] = ACTIONS(3103),
    [anon_sym___alignof] = ACTIONS(3103),
    [anon_sym__alignof] = ACTIONS(3103),
    [anon_sym_alignof] = ACTIONS(3103),
    [anon_sym__Alignof] = ACTIONS(3103),
    [anon_sym_offsetof] = ACTIONS(3103),
    [anon_sym__Generic] = ACTIONS(3103),
    [anon_sym_asm] = ACTIONS(3103),
    [anon_sym___asm__] = ACTIONS(3103),
    [anon_sym___asm] = ACTIONS(3103),
    [aux_sym_number_literal_token1] = ACTIONS(3105),
    [aux_sym_number_literal_token2] = ACTIONS(3103),
    [anon_sym_L_SQUOTE] = ACTIONS(3105),
    [anon_sym_u_SQUOTE] = ACTIONS(3105),
    [anon_sym_U_SQUOTE] = ACTIONS(3105),
    [anon_sym_u8_SQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_L_DQUOTE] = ACTIONS(3105),
    [anon_sym_u_DQUOTE] = ACTIONS(3105),
    [anon_sym_U_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8_DQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [sym_true] = ACTIONS(3103),
    [sym_false] = ACTIONS(3103),
    [anon_sym_NULL] = ACTIONS(3103),
    [anon_sym_nullptr] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(3103),
    [anon_sym_try] = ACTIONS(3103),
    [anon_sym_delete] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static_assert] = ACTIONS(3103),
    [anon_sym_concept] = ACTIONS(3103),
    [anon_sym_co_return] = ACTIONS(3103),
    [anon_sym_co_yield] = ACTIONS(3103),
    [anon_sym_R_DQUOTE] = ACTIONS(3105),
    [anon_sym_LR_DQUOTE] = ACTIONS(3105),
    [anon_sym_uR_DQUOTE] = ACTIONS(3105),
    [anon_sym_UR_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3105),
    [anon_sym_co_await] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_requires] = ACTIONS(3103),
    [sym_this] = ACTIONS(3103),
  },
  [618] = {
    [sym_identifier] = ACTIONS(3099),
    [aux_sym_preproc_include_token1] = ACTIONS(3099),
    [aux_sym_preproc_def_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3099),
    [anon_sym_LPAREN2] = ACTIONS(3101),
    [anon_sym_BANG] = ACTIONS(3101),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_DASH] = ACTIONS(3099),
    [anon_sym_PLUS] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_AMP_AMP] = ACTIONS(3101),
    [anon_sym_AMP] = ACTIONS(3099),
    [anon_sym_SEMI] = ACTIONS(3101),
    [anon_sym___extension__] = ACTIONS(3099),
    [anon_sym_typedef] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym___attribute__] = ACTIONS(3099),
    [anon_sym_COLON_COLON] = ACTIONS(3101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3101),
    [anon_sym___declspec] = ACTIONS(3099),
    [anon_sym___based] = ACTIONS(3099),
    [anon_sym___cdecl] = ACTIONS(3099),
    [anon_sym___clrcall] = ACTIONS(3099),
    [anon_sym___stdcall] = ACTIONS(3099),
    [anon_sym___fastcall] = ACTIONS(3099),
    [anon_sym___thiscall] = ACTIONS(3099),
    [anon_sym___vectorcall] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(3101),
    [anon_sym_RBRACE] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3099),
    [anon_sym_unsigned] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_register] = ACTIONS(3099),
    [anon_sym_inline] = ACTIONS(3099),
    [anon_sym___inline] = ACTIONS(3099),
    [anon_sym___inline__] = ACTIONS(3099),
    [anon_sym___forceinline] = ACTIONS(3099),
    [anon_sym_thread_local] = ACTIONS(3099),
    [anon_sym___thread] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_constexpr] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_restrict] = ACTIONS(3099),
    [anon_sym___restrict__] = ACTIONS(3099),
    [anon_sym__Atomic] = ACTIONS(3099),
    [anon_sym__Noreturn] = ACTIONS(3099),
    [anon_sym_noreturn] = ACTIONS(3099),
    [anon_sym__Nonnull] = ACTIONS(3099),
    [anon_sym_mutable] = ACTIONS(3099),
    [anon_sym_constinit] = ACTIONS(3099),
    [anon_sym_consteval] = ACTIONS(3099),
    [anon_sym_PROGMEM] = ACTIONS(3099),
    [anon_sym_alignas] = ACTIONS(3099),
    [anon_sym__Alignas] = ACTIONS(3099),
    [aux_sym_primitive_type_token1] = ACTIONS(3099),
    [anon_sym_byte] = ACTIONS(3099),
    [anon_sym_word] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_union] = ACTIONS(3099),
    [anon_sym_if] = ACTIONS(3099),
    [anon_sym_switch] = ACTIONS(3099),
    [anon_sym_case] = ACTIONS(3099),
    [anon_sym_default] = ACTIONS(3099),
    [anon_sym_while] = ACTIONS(3099),
    [anon_sym_do] = ACTIONS(3099),
    [anon_sym_for] = ACTIONS(3099),
    [anon_sym_return] = ACTIONS(3099),
    [anon_sym_break] = ACTIONS(3099),
    [anon_sym_continue] = ACTIONS(3099),
    [anon_sym_goto] = ACTIONS(3099),
    [anon_sym___try] = ACTIONS(3099),
    [anon_sym___leave] = ACTIONS(3099),
    [anon_sym_not] = ACTIONS(3099),
    [anon_sym_compl] = ACTIONS(3099),
    [anon_sym_DASH_DASH] = ACTIONS(3101),
    [anon_sym_PLUS_PLUS] = ACTIONS(3101),
    [anon_sym_sizeof] = ACTIONS(3099),
    [anon_sym___alignof__] = ACTIONS(3099),
    [anon_sym___alignof] = ACTIONS(3099),
    [anon_sym__alignof] = ACTIONS(3099),
    [anon_sym_alignof] = ACTIONS(3099),
    [anon_sym__Alignof] = ACTIONS(3099),
    [anon_sym_offsetof] = ACTIONS(3099),
    [anon_sym__Generic] = ACTIONS(3099),
    [anon_sym_asm] = ACTIONS(3099),
    [anon_sym___asm__] = ACTIONS(3099),
    [anon_sym___asm] = ACTIONS(3099),
    [aux_sym_number_literal_token1] = ACTIONS(3101),
    [aux_sym_number_literal_token2] = ACTIONS(3099),
    [anon_sym_L_SQUOTE] = ACTIONS(3101),
    [anon_sym_u_SQUOTE] = ACTIONS(3101),
    [anon_sym_U_SQUOTE] = ACTIONS(3101),
    [anon_sym_u8_SQUOTE] = ACTIONS(3101),
    [anon_sym_SQUOTE] = ACTIONS(3101),
    [anon_sym_L_DQUOTE] = ACTIONS(3101),
    [anon_sym_u_DQUOTE] = ACTIONS(3101),
    [anon_sym_U_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8_DQUOTE] = ACTIONS(3101),
    [anon_sym_DQUOTE] = ACTIONS(3101),
    [sym_true] = ACTIONS(3099),
    [sym_false] = ACTIONS(3099),
    [anon_sym_NULL] = ACTIONS(3099),
    [anon_sym_nullptr] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3099),
    [anon_sym_decltype] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_typename] = ACTIONS(3099),
    [anon_sym_template] = ACTIONS(3099),
    [anon_sym_operator] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_delete] = ACTIONS(3099),
    [anon_sym_throw] = ACTIONS(3099),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static_assert] = ACTIONS(3099),
    [anon_sym_concept] = ACTIONS(3099),
    [anon_sym_co_return] = ACTIONS(3099),
    [anon_sym_co_yield] = ACTIONS(3099),
    [anon_sym_R_DQUOTE] = ACTIONS(3101),
    [anon_sym_LR_DQUOTE] = ACTIONS(3101),
    [anon_sym_uR_DQUOTE] = ACTIONS(3101),
    [anon_sym_UR_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3101),
    [anon_sym_co_await] = ACTIONS(3099),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_requires] = ACTIONS(3099),
    [sym_this] = ACTIONS(3099),
  },
  [619] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_RBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_PROGMEM] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [aux_sym_primitive_type_token1] = ACTIONS(2928),
    [anon_sym_byte] = ACTIONS(2928),
    [anon_sym_word] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym___try] = ACTIONS(2928),
    [anon_sym___leave] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [anon_sym___asm] = ACTIONS(2928),
    [aux_sym_number_literal_token1] = ACTIONS(2930),
    [aux_sym_number_literal_token2] = ACTIONS(2928),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [620] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_include_token1] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym___cdecl] = ACTIONS(2996),
    [anon_sym___clrcall] = ACTIONS(2996),
    [anon_sym___stdcall] = ACTIONS(2996),
    [anon_sym___fastcall] = ACTIONS(2996),
    [anon_sym___thiscall] = ACTIONS(2996),
    [anon_sym___vectorcall] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_RBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym___try] = ACTIONS(2996),
    [anon_sym___leave] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2996),
    [anon_sym_compl] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [anon_sym___alignof__] = ACTIONS(2996),
    [anon_sym___alignof] = ACTIONS(2996),
    [anon_sym__alignof] = ACTIONS(2996),
    [anon_sym_alignof] = ACTIONS(2996),
    [anon_sym__Alignof] = ACTIONS(2996),
    [anon_sym_offsetof] = ACTIONS(2996),
    [anon_sym__Generic] = ACTIONS(2996),
    [anon_sym_asm] = ACTIONS(2996),
    [anon_sym___asm__] = ACTIONS(2996),
    [anon_sym___asm] = ACTIONS(2996),
    [aux_sym_number_literal_token1] = ACTIONS(2998),
    [aux_sym_number_literal_token2] = ACTIONS(2996),
    [anon_sym_L_SQUOTE] = ACTIONS(2998),
    [anon_sym_u_SQUOTE] = ACTIONS(2998),
    [anon_sym_U_SQUOTE] = ACTIONS(2998),
    [anon_sym_u8_SQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [anon_sym_NULL] = ACTIONS(2996),
    [anon_sym_nullptr] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
    [anon_sym_concept] = ACTIONS(2996),
    [anon_sym_co_return] = ACTIONS(2996),
    [anon_sym_co_yield] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2998),
    [anon_sym_LR_DQUOTE] = ACTIONS(2998),
    [anon_sym_uR_DQUOTE] = ACTIONS(2998),
    [anon_sym_UR_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2998),
    [anon_sym_co_await] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_requires] = ACTIONS(2996),
    [sym_this] = ACTIONS(2996),
  },
  [621] = {
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_include_token1] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_BANG] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym___cdecl] = ACTIONS(3095),
    [anon_sym___clrcall] = ACTIONS(3095),
    [anon_sym___stdcall] = ACTIONS(3095),
    [anon_sym___fastcall] = ACTIONS(3095),
    [anon_sym___thiscall] = ACTIONS(3095),
    [anon_sym___vectorcall] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(3097),
    [anon_sym_RBRACE] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym__Nonnull] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [anon_sym_PROGMEM] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym__Alignas] = ACTIONS(3095),
    [aux_sym_primitive_type_token1] = ACTIONS(3095),
    [anon_sym_byte] = ACTIONS(3095),
    [anon_sym_word] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_switch] = ACTIONS(3095),
    [anon_sym_case] = ACTIONS(3095),
    [anon_sym_default] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(3095),
    [anon_sym_do] = ACTIONS(3095),
    [anon_sym_for] = ACTIONS(3095),
    [anon_sym_return] = ACTIONS(3095),
    [anon_sym_break] = ACTIONS(3095),
    [anon_sym_continue] = ACTIONS(3095),
    [anon_sym_goto] = ACTIONS(3095),
    [anon_sym___try] = ACTIONS(3095),
    [anon_sym___leave] = ACTIONS(3095),
    [anon_sym_not] = ACTIONS(3095),
    [anon_sym_compl] = ACTIONS(3095),
    [anon_sym_DASH_DASH] = ACTIONS(3097),
    [anon_sym_PLUS_PLUS] = ACTIONS(3097),
    [anon_sym_sizeof] = ACTIONS(3095),
    [anon_sym___alignof__] = ACTIONS(3095),
    [anon_sym___alignof] = ACTIONS(3095),
    [anon_sym__alignof] = ACTIONS(3095),
    [anon_sym_alignof] = ACTIONS(3095),
    [anon_sym__Alignof] = ACTIONS(3095),
    [anon_sym_offsetof] = ACTIONS(3095),
    [anon_sym__Generic] = ACTIONS(3095),
    [anon_sym_asm] = ACTIONS(3095),
    [anon_sym___asm__] = ACTIONS(3095),
    [anon_sym___asm] = ACTIONS(3095),
    [aux_sym_number_literal_token1] = ACTIONS(3097),
    [aux_sym_number_literal_token2] = ACTIONS(3095),
    [anon_sym_L_SQUOTE] = ACTIONS(3097),
    [anon_sym_u_SQUOTE] = ACTIONS(3097),
    [anon_sym_U_SQUOTE] = ACTIONS(3097),
    [anon_sym_u8_SQUOTE] = ACTIONS(3097),
    [anon_sym_SQUOTE] = ACTIONS(3097),
    [anon_sym_L_DQUOTE] = ACTIONS(3097),
    [anon_sym_u_DQUOTE] = ACTIONS(3097),
    [anon_sym_U_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8_DQUOTE] = ACTIONS(3097),
    [anon_sym_DQUOTE] = ACTIONS(3097),
    [sym_true] = ACTIONS(3095),
    [sym_false] = ACTIONS(3095),
    [anon_sym_NULL] = ACTIONS(3095),
    [anon_sym_nullptr] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_try] = ACTIONS(3095),
    [anon_sym_delete] = ACTIONS(3095),
    [anon_sym_throw] = ACTIONS(3095),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
    [anon_sym_concept] = ACTIONS(3095),
    [anon_sym_co_return] = ACTIONS(3095),
    [anon_sym_co_yield] = ACTIONS(3095),
    [anon_sym_R_DQUOTE] = ACTIONS(3097),
    [anon_sym_LR_DQUOTE] = ACTIONS(3097),
    [anon_sym_uR_DQUOTE] = ACTIONS(3097),
    [anon_sym_UR_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3097),
    [anon_sym_co_await] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_requires] = ACTIONS(3095),
    [sym_this] = ACTIONS(3095),
  },
  [622] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_include_token1] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym___cdecl] = ACTIONS(2996),
    [anon_sym___clrcall] = ACTIONS(2996),
    [anon_sym___stdcall] = ACTIONS(2996),
    [anon_sym___fastcall] = ACTIONS(2996),
    [anon_sym___thiscall] = ACTIONS(2996),
    [anon_sym___vectorcall] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_RBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym___try] = ACTIONS(2996),
    [anon_sym___leave] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2996),
    [anon_sym_compl] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [anon_sym___alignof__] = ACTIONS(2996),
    [anon_sym___alignof] = ACTIONS(2996),
    [anon_sym__alignof] = ACTIONS(2996),
    [anon_sym_alignof] = ACTIONS(2996),
    [anon_sym__Alignof] = ACTIONS(2996),
    [anon_sym_offsetof] = ACTIONS(2996),
    [anon_sym__Generic] = ACTIONS(2996),
    [anon_sym_asm] = ACTIONS(2996),
    [anon_sym___asm__] = ACTIONS(2996),
    [anon_sym___asm] = ACTIONS(2996),
    [aux_sym_number_literal_token1] = ACTIONS(2998),
    [aux_sym_number_literal_token2] = ACTIONS(2996),
    [anon_sym_L_SQUOTE] = ACTIONS(2998),
    [anon_sym_u_SQUOTE] = ACTIONS(2998),
    [anon_sym_U_SQUOTE] = ACTIONS(2998),
    [anon_sym_u8_SQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [anon_sym_NULL] = ACTIONS(2996),
    [anon_sym_nullptr] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
    [anon_sym_concept] = ACTIONS(2996),
    [anon_sym_co_return] = ACTIONS(2996),
    [anon_sym_co_yield] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2998),
    [anon_sym_LR_DQUOTE] = ACTIONS(2998),
    [anon_sym_uR_DQUOTE] = ACTIONS(2998),
    [anon_sym_UR_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2998),
    [anon_sym_co_await] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_requires] = ACTIONS(2996),
    [sym_this] = ACTIONS(2996),
  },
  [623] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_include_token1] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3109),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym___cdecl] = ACTIONS(3107),
    [anon_sym___clrcall] = ACTIONS(3107),
    [anon_sym___stdcall] = ACTIONS(3107),
    [anon_sym___fastcall] = ACTIONS(3107),
    [anon_sym___thiscall] = ACTIONS(3107),
    [anon_sym___vectorcall] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3109),
    [anon_sym_RBRACE] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym__Nonnull] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [anon_sym_PROGMEM] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym__Alignas] = ACTIONS(3107),
    [aux_sym_primitive_type_token1] = ACTIONS(3107),
    [anon_sym_byte] = ACTIONS(3107),
    [anon_sym_word] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_goto] = ACTIONS(3107),
    [anon_sym___try] = ACTIONS(3107),
    [anon_sym___leave] = ACTIONS(3107),
    [anon_sym_not] = ACTIONS(3107),
    [anon_sym_compl] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3107),
    [anon_sym___alignof__] = ACTIONS(3107),
    [anon_sym___alignof] = ACTIONS(3107),
    [anon_sym__alignof] = ACTIONS(3107),
    [anon_sym_alignof] = ACTIONS(3107),
    [anon_sym__Alignof] = ACTIONS(3107),
    [anon_sym_offsetof] = ACTIONS(3107),
    [anon_sym__Generic] = ACTIONS(3107),
    [anon_sym_asm] = ACTIONS(3107),
    [anon_sym___asm__] = ACTIONS(3107),
    [anon_sym___asm] = ACTIONS(3107),
    [aux_sym_number_literal_token1] = ACTIONS(3109),
    [aux_sym_number_literal_token2] = ACTIONS(3107),
    [anon_sym_L_SQUOTE] = ACTIONS(3109),
    [anon_sym_u_SQUOTE] = ACTIONS(3109),
    [anon_sym_U_SQUOTE] = ACTIONS(3109),
    [anon_sym_u8_SQUOTE] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3109),
    [anon_sym_L_DQUOTE] = ACTIONS(3109),
    [anon_sym_u_DQUOTE] = ACTIONS(3109),
    [anon_sym_U_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8_DQUOTE] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3109),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [anon_sym_NULL] = ACTIONS(3107),
    [anon_sym_nullptr] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
    [anon_sym_concept] = ACTIONS(3107),
    [anon_sym_co_return] = ACTIONS(3107),
    [anon_sym_co_yield] = ACTIONS(3107),
    [anon_sym_R_DQUOTE] = ACTIONS(3109),
    [anon_sym_LR_DQUOTE] = ACTIONS(3109),
    [anon_sym_uR_DQUOTE] = ACTIONS(3109),
    [anon_sym_UR_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3109),
    [anon_sym_co_await] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_requires] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
  },
  [624] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_include_token1] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_BANG] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym___cdecl] = ACTIONS(2984),
    [anon_sym___clrcall] = ACTIONS(2984),
    [anon_sym___stdcall] = ACTIONS(2984),
    [anon_sym___fastcall] = ACTIONS(2984),
    [anon_sym___thiscall] = ACTIONS(2984),
    [anon_sym___vectorcall] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2984),
    [anon_sym_case] = ACTIONS(2984),
    [anon_sym_default] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_for] = ACTIONS(2984),
    [anon_sym_return] = ACTIONS(2984),
    [anon_sym_break] = ACTIONS(2984),
    [anon_sym_continue] = ACTIONS(2984),
    [anon_sym_goto] = ACTIONS(2984),
    [anon_sym___try] = ACTIONS(2984),
    [anon_sym___leave] = ACTIONS(2984),
    [anon_sym_not] = ACTIONS(2984),
    [anon_sym_compl] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2986),
    [anon_sym_PLUS_PLUS] = ACTIONS(2986),
    [anon_sym_sizeof] = ACTIONS(2984),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2984),
    [anon_sym__Generic] = ACTIONS(2984),
    [anon_sym_asm] = ACTIONS(2984),
    [anon_sym___asm__] = ACTIONS(2984),
    [anon_sym___asm] = ACTIONS(2984),
    [aux_sym_number_literal_token1] = ACTIONS(2986),
    [aux_sym_number_literal_token2] = ACTIONS(2984),
    [anon_sym_L_SQUOTE] = ACTIONS(2986),
    [anon_sym_u_SQUOTE] = ACTIONS(2986),
    [anon_sym_U_SQUOTE] = ACTIONS(2986),
    [anon_sym_u8_SQUOTE] = ACTIONS(2986),
    [anon_sym_SQUOTE] = ACTIONS(2986),
    [anon_sym_L_DQUOTE] = ACTIONS(2986),
    [anon_sym_u_DQUOTE] = ACTIONS(2986),
    [anon_sym_U_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8_DQUOTE] = ACTIONS(2986),
    [anon_sym_DQUOTE] = ACTIONS(2986),
    [sym_true] = ACTIONS(2984),
    [sym_false] = ACTIONS(2984),
    [anon_sym_NULL] = ACTIONS(2984),
    [anon_sym_nullptr] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_try] = ACTIONS(2984),
    [anon_sym_delete] = ACTIONS(2984),
    [anon_sym_throw] = ACTIONS(2984),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
    [anon_sym_concept] = ACTIONS(2984),
    [anon_sym_co_return] = ACTIONS(2984),
    [anon_sym_co_yield] = ACTIONS(2984),
    [anon_sym_R_DQUOTE] = ACTIONS(2986),
    [anon_sym_LR_DQUOTE] = ACTIONS(2986),
    [anon_sym_uR_DQUOTE] = ACTIONS(2986),
    [anon_sym_UR_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2986),
    [anon_sym_co_await] = ACTIONS(2984),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_requires] = ACTIONS(2984),
    [sym_this] = ACTIONS(2984),
  },
  [625] = {
    [sym_identifier] = ACTIONS(2980),
    [aux_sym_preproc_include_token1] = ACTIONS(2980),
    [aux_sym_preproc_def_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token1] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2980),
    [sym_preproc_directive] = ACTIONS(2980),
    [anon_sym_LPAREN2] = ACTIONS(2982),
    [anon_sym_BANG] = ACTIONS(2982),
    [anon_sym_TILDE] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2980),
    [anon_sym_PLUS] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_AMP] = ACTIONS(2980),
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym___extension__] = ACTIONS(2980),
    [anon_sym_typedef] = ACTIONS(2980),
    [anon_sym_virtual] = ACTIONS(2980),
    [anon_sym_extern] = ACTIONS(2980),
    [anon_sym___attribute__] = ACTIONS(2980),
    [anon_sym_COLON_COLON] = ACTIONS(2982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2982),
    [anon_sym___declspec] = ACTIONS(2980),
    [anon_sym___based] = ACTIONS(2980),
    [anon_sym___cdecl] = ACTIONS(2980),
    [anon_sym___clrcall] = ACTIONS(2980),
    [anon_sym___stdcall] = ACTIONS(2980),
    [anon_sym___fastcall] = ACTIONS(2980),
    [anon_sym___thiscall] = ACTIONS(2980),
    [anon_sym___vectorcall] = ACTIONS(2980),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_RBRACE] = ACTIONS(2982),
    [anon_sym_signed] = ACTIONS(2980),
    [anon_sym_unsigned] = ACTIONS(2980),
    [anon_sym_long] = ACTIONS(2980),
    [anon_sym_short] = ACTIONS(2980),
    [anon_sym_LBRACK] = ACTIONS(2980),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_register] = ACTIONS(2980),
    [anon_sym_inline] = ACTIONS(2980),
    [anon_sym___inline] = ACTIONS(2980),
    [anon_sym___inline__] = ACTIONS(2980),
    [anon_sym___forceinline] = ACTIONS(2980),
    [anon_sym_thread_local] = ACTIONS(2980),
    [anon_sym___thread] = ACTIONS(2980),
    [anon_sym_const] = ACTIONS(2980),
    [anon_sym_constexpr] = ACTIONS(2980),
    [anon_sym_volatile] = ACTIONS(2980),
    [anon_sym_restrict] = ACTIONS(2980),
    [anon_sym___restrict__] = ACTIONS(2980),
    [anon_sym__Atomic] = ACTIONS(2980),
    [anon_sym__Noreturn] = ACTIONS(2980),
    [anon_sym_noreturn] = ACTIONS(2980),
    [anon_sym__Nonnull] = ACTIONS(2980),
    [anon_sym_mutable] = ACTIONS(2980),
    [anon_sym_constinit] = ACTIONS(2980),
    [anon_sym_consteval] = ACTIONS(2980),
    [anon_sym_PROGMEM] = ACTIONS(2980),
    [anon_sym_alignas] = ACTIONS(2980),
    [anon_sym__Alignas] = ACTIONS(2980),
    [aux_sym_primitive_type_token1] = ACTIONS(2980),
    [anon_sym_byte] = ACTIONS(2980),
    [anon_sym_word] = ACTIONS(2980),
    [anon_sym_enum] = ACTIONS(2980),
    [anon_sym_class] = ACTIONS(2980),
    [anon_sym_struct] = ACTIONS(2980),
    [anon_sym_union] = ACTIONS(2980),
    [anon_sym_if] = ACTIONS(2980),
    [anon_sym_switch] = ACTIONS(2980),
    [anon_sym_case] = ACTIONS(2980),
    [anon_sym_default] = ACTIONS(2980),
    [anon_sym_while] = ACTIONS(2980),
    [anon_sym_do] = ACTIONS(2980),
    [anon_sym_for] = ACTIONS(2980),
    [anon_sym_return] = ACTIONS(2980),
    [anon_sym_break] = ACTIONS(2980),
    [anon_sym_continue] = ACTIONS(2980),
    [anon_sym_goto] = ACTIONS(2980),
    [anon_sym___try] = ACTIONS(2980),
    [anon_sym___leave] = ACTIONS(2980),
    [anon_sym_not] = ACTIONS(2980),
    [anon_sym_compl] = ACTIONS(2980),
    [anon_sym_DASH_DASH] = ACTIONS(2982),
    [anon_sym_PLUS_PLUS] = ACTIONS(2982),
    [anon_sym_sizeof] = ACTIONS(2980),
    [anon_sym___alignof__] = ACTIONS(2980),
    [anon_sym___alignof] = ACTIONS(2980),
    [anon_sym__alignof] = ACTIONS(2980),
    [anon_sym_alignof] = ACTIONS(2980),
    [anon_sym__Alignof] = ACTIONS(2980),
    [anon_sym_offsetof] = ACTIONS(2980),
    [anon_sym__Generic] = ACTIONS(2980),
    [anon_sym_asm] = ACTIONS(2980),
    [anon_sym___asm__] = ACTIONS(2980),
    [anon_sym___asm] = ACTIONS(2980),
    [aux_sym_number_literal_token1] = ACTIONS(2982),
    [aux_sym_number_literal_token2] = ACTIONS(2980),
    [anon_sym_L_SQUOTE] = ACTIONS(2982),
    [anon_sym_u_SQUOTE] = ACTIONS(2982),
    [anon_sym_U_SQUOTE] = ACTIONS(2982),
    [anon_sym_u8_SQUOTE] = ACTIONS(2982),
    [anon_sym_SQUOTE] = ACTIONS(2982),
    [anon_sym_L_DQUOTE] = ACTIONS(2982),
    [anon_sym_u_DQUOTE] = ACTIONS(2982),
    [anon_sym_U_DQUOTE] = ACTIONS(2982),
    [anon_sym_u8_DQUOTE] = ACTIONS(2982),
    [anon_sym_DQUOTE] = ACTIONS(2982),
    [sym_true] = ACTIONS(2980),
    [sym_false] = ACTIONS(2980),
    [anon_sym_NULL] = ACTIONS(2980),
    [anon_sym_nullptr] = ACTIONS(2980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2980),
    [anon_sym_decltype] = ACTIONS(2980),
    [anon_sym_explicit] = ACTIONS(2980),
    [anon_sym_typename] = ACTIONS(2980),
    [anon_sym_template] = ACTIONS(2980),
    [anon_sym_operator] = ACTIONS(2980),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_delete] = ACTIONS(2980),
    [anon_sym_throw] = ACTIONS(2980),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_using] = ACTIONS(2980),
    [anon_sym_static_assert] = ACTIONS(2980),
    [anon_sym_concept] = ACTIONS(2980),
    [anon_sym_co_return] = ACTIONS(2980),
    [anon_sym_co_yield] = ACTIONS(2980),
    [anon_sym_R_DQUOTE] = ACTIONS(2982),
    [anon_sym_LR_DQUOTE] = ACTIONS(2982),
    [anon_sym_uR_DQUOTE] = ACTIONS(2982),
    [anon_sym_UR_DQUOTE] = ACTIONS(2982),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2982),
    [anon_sym_co_await] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_requires] = ACTIONS(2980),
    [sym_this] = ACTIONS(2980),
  },
  [626] = {
    [sym_identifier] = ACTIONS(3145),
    [aux_sym_preproc_include_token1] = ACTIONS(3145),
    [aux_sym_preproc_def_token1] = ACTIONS(3145),
    [aux_sym_preproc_if_token1] = ACTIONS(3145),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3145),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3145),
    [sym_preproc_directive] = ACTIONS(3145),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_PLUS] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3145),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3145),
    [anon_sym_typedef] = ACTIONS(3145),
    [anon_sym_virtual] = ACTIONS(3145),
    [anon_sym_extern] = ACTIONS(3145),
    [anon_sym___attribute__] = ACTIONS(3145),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3145),
    [anon_sym___based] = ACTIONS(3145),
    [anon_sym___cdecl] = ACTIONS(3145),
    [anon_sym___clrcall] = ACTIONS(3145),
    [anon_sym___stdcall] = ACTIONS(3145),
    [anon_sym___fastcall] = ACTIONS(3145),
    [anon_sym___thiscall] = ACTIONS(3145),
    [anon_sym___vectorcall] = ACTIONS(3145),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3145),
    [anon_sym_unsigned] = ACTIONS(3145),
    [anon_sym_long] = ACTIONS(3145),
    [anon_sym_short] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3145),
    [anon_sym_static] = ACTIONS(3145),
    [anon_sym_register] = ACTIONS(3145),
    [anon_sym_inline] = ACTIONS(3145),
    [anon_sym___inline] = ACTIONS(3145),
    [anon_sym___inline__] = ACTIONS(3145),
    [anon_sym___forceinline] = ACTIONS(3145),
    [anon_sym_thread_local] = ACTIONS(3145),
    [anon_sym___thread] = ACTIONS(3145),
    [anon_sym_const] = ACTIONS(3145),
    [anon_sym_constexpr] = ACTIONS(3145),
    [anon_sym_volatile] = ACTIONS(3145),
    [anon_sym_restrict] = ACTIONS(3145),
    [anon_sym___restrict__] = ACTIONS(3145),
    [anon_sym__Atomic] = ACTIONS(3145),
    [anon_sym__Noreturn] = ACTIONS(3145),
    [anon_sym_noreturn] = ACTIONS(3145),
    [anon_sym__Nonnull] = ACTIONS(3145),
    [anon_sym_mutable] = ACTIONS(3145),
    [anon_sym_constinit] = ACTIONS(3145),
    [anon_sym_consteval] = ACTIONS(3145),
    [anon_sym_PROGMEM] = ACTIONS(3145),
    [anon_sym_alignas] = ACTIONS(3145),
    [anon_sym__Alignas] = ACTIONS(3145),
    [aux_sym_primitive_type_token1] = ACTIONS(3145),
    [anon_sym_byte] = ACTIONS(3145),
    [anon_sym_word] = ACTIONS(3145),
    [anon_sym_enum] = ACTIONS(3145),
    [anon_sym_class] = ACTIONS(3145),
    [anon_sym_struct] = ACTIONS(3145),
    [anon_sym_union] = ACTIONS(3145),
    [anon_sym_if] = ACTIONS(3145),
    [anon_sym_switch] = ACTIONS(3145),
    [anon_sym_case] = ACTIONS(3145),
    [anon_sym_default] = ACTIONS(3145),
    [anon_sym_while] = ACTIONS(3145),
    [anon_sym_do] = ACTIONS(3145),
    [anon_sym_for] = ACTIONS(3145),
    [anon_sym_return] = ACTIONS(3145),
    [anon_sym_break] = ACTIONS(3145),
    [anon_sym_continue] = ACTIONS(3145),
    [anon_sym_goto] = ACTIONS(3145),
    [anon_sym___try] = ACTIONS(3145),
    [anon_sym___leave] = ACTIONS(3145),
    [anon_sym_not] = ACTIONS(3145),
    [anon_sym_compl] = ACTIONS(3145),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3145),
    [anon_sym___alignof__] = ACTIONS(3145),
    [anon_sym___alignof] = ACTIONS(3145),
    [anon_sym__alignof] = ACTIONS(3145),
    [anon_sym_alignof] = ACTIONS(3145),
    [anon_sym__Alignof] = ACTIONS(3145),
    [anon_sym_offsetof] = ACTIONS(3145),
    [anon_sym__Generic] = ACTIONS(3145),
    [anon_sym_asm] = ACTIONS(3145),
    [anon_sym___asm__] = ACTIONS(3145),
    [anon_sym___asm] = ACTIONS(3145),
    [aux_sym_number_literal_token1] = ACTIONS(3148),
    [aux_sym_number_literal_token2] = ACTIONS(3145),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3145),
    [sym_false] = ACTIONS(3145),
    [anon_sym_NULL] = ACTIONS(3145),
    [anon_sym_nullptr] = ACTIONS(3145),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3145),
    [anon_sym_decltype] = ACTIONS(3145),
    [anon_sym_explicit] = ACTIONS(3145),
    [anon_sym_typename] = ACTIONS(3145),
    [anon_sym_template] = ACTIONS(3145),
    [anon_sym_operator] = ACTIONS(3145),
    [anon_sym_try] = ACTIONS(3145),
    [anon_sym_delete] = ACTIONS(3145),
    [anon_sym_throw] = ACTIONS(3145),
    [anon_sym_namespace] = ACTIONS(3145),
    [anon_sym_using] = ACTIONS(3145),
    [anon_sym_static_assert] = ACTIONS(3145),
    [anon_sym_concept] = ACTIONS(3145),
    [anon_sym_co_return] = ACTIONS(3145),
    [anon_sym_co_yield] = ACTIONS(3145),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3145),
    [anon_sym_new] = ACTIONS(3145),
    [anon_sym_requires] = ACTIONS(3145),
    [sym_this] = ACTIONS(3145),
  },
  [627] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_include_token1] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token2] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_BANG] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym___cdecl] = ACTIONS(2984),
    [anon_sym___clrcall] = ACTIONS(2984),
    [anon_sym___stdcall] = ACTIONS(2984),
    [anon_sym___fastcall] = ACTIONS(2984),
    [anon_sym___thiscall] = ACTIONS(2984),
    [anon_sym___vectorcall] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2984),
    [anon_sym_case] = ACTIONS(2984),
    [anon_sym_default] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_for] = ACTIONS(2984),
    [anon_sym_return] = ACTIONS(2984),
    [anon_sym_break] = ACTIONS(2984),
    [anon_sym_continue] = ACTIONS(2984),
    [anon_sym_goto] = ACTIONS(2984),
    [anon_sym___try] = ACTIONS(2984),
    [anon_sym___leave] = ACTIONS(2984),
    [anon_sym_not] = ACTIONS(2984),
    [anon_sym_compl] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2986),
    [anon_sym_PLUS_PLUS] = ACTIONS(2986),
    [anon_sym_sizeof] = ACTIONS(2984),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2984),
    [anon_sym__Generic] = ACTIONS(2984),
    [anon_sym_asm] = ACTIONS(2984),
    [anon_sym___asm__] = ACTIONS(2984),
    [anon_sym___asm] = ACTIONS(2984),
    [aux_sym_number_literal_token1] = ACTIONS(2986),
    [aux_sym_number_literal_token2] = ACTIONS(2984),
    [anon_sym_L_SQUOTE] = ACTIONS(2986),
    [anon_sym_u_SQUOTE] = ACTIONS(2986),
    [anon_sym_U_SQUOTE] = ACTIONS(2986),
    [anon_sym_u8_SQUOTE] = ACTIONS(2986),
    [anon_sym_SQUOTE] = ACTIONS(2986),
    [anon_sym_L_DQUOTE] = ACTIONS(2986),
    [anon_sym_u_DQUOTE] = ACTIONS(2986),
    [anon_sym_U_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8_DQUOTE] = ACTIONS(2986),
    [anon_sym_DQUOTE] = ACTIONS(2986),
    [sym_true] = ACTIONS(2984),
    [sym_false] = ACTIONS(2984),
    [anon_sym_NULL] = ACTIONS(2984),
    [anon_sym_nullptr] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_try] = ACTIONS(2984),
    [anon_sym_delete] = ACTIONS(2984),
    [anon_sym_throw] = ACTIONS(2984),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
    [anon_sym_concept] = ACTIONS(2984),
    [anon_sym_co_return] = ACTIONS(2984),
    [anon_sym_co_yield] = ACTIONS(2984),
    [anon_sym_R_DQUOTE] = ACTIONS(2986),
    [anon_sym_LR_DQUOTE] = ACTIONS(2986),
    [anon_sym_uR_DQUOTE] = ACTIONS(2986),
    [anon_sym_UR_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2986),
    [anon_sym_co_await] = ACTIONS(2984),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_requires] = ACTIONS(2984),
    [sym_this] = ACTIONS(2984),
  },
  [628] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_RBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym__Nonnull] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_PROGMEM] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym__Alignas] = ACTIONS(2948),
    [aux_sym_primitive_type_token1] = ACTIONS(2948),
    [anon_sym_byte] = ACTIONS(2948),
    [anon_sym_word] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym___try] = ACTIONS(2948),
    [anon_sym___leave] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [anon_sym___asm] = ACTIONS(2948),
    [aux_sym_number_literal_token1] = ACTIONS(2950),
    [aux_sym_number_literal_token2] = ACTIONS(2948),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [629] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_include_token1] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym___cdecl] = ACTIONS(2936),
    [anon_sym___clrcall] = ACTIONS(2936),
    [anon_sym___stdcall] = ACTIONS(2936),
    [anon_sym___fastcall] = ACTIONS(2936),
    [anon_sym___thiscall] = ACTIONS(2936),
    [anon_sym___vectorcall] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_RBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_PROGMEM] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [aux_sym_primitive_type_token1] = ACTIONS(2936),
    [anon_sym_byte] = ACTIONS(2936),
    [anon_sym_word] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_goto] = ACTIONS(2936),
    [anon_sym___try] = ACTIONS(2936),
    [anon_sym___leave] = ACTIONS(2936),
    [anon_sym_not] = ACTIONS(2936),
    [anon_sym_compl] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_sizeof] = ACTIONS(2936),
    [anon_sym___alignof__] = ACTIONS(2936),
    [anon_sym___alignof] = ACTIONS(2936),
    [anon_sym__alignof] = ACTIONS(2936),
    [anon_sym_alignof] = ACTIONS(2936),
    [anon_sym__Alignof] = ACTIONS(2936),
    [anon_sym_offsetof] = ACTIONS(2936),
    [anon_sym__Generic] = ACTIONS(2936),
    [anon_sym_asm] = ACTIONS(2936),
    [anon_sym___asm__] = ACTIONS(2936),
    [anon_sym___asm] = ACTIONS(2936),
    [aux_sym_number_literal_token1] = ACTIONS(2938),
    [aux_sym_number_literal_token2] = ACTIONS(2936),
    [anon_sym_L_SQUOTE] = ACTIONS(2938),
    [anon_sym_u_SQUOTE] = ACTIONS(2938),
    [anon_sym_U_SQUOTE] = ACTIONS(2938),
    [anon_sym_u8_SQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [anon_sym_L_DQUOTE] = ACTIONS(2938),
    [anon_sym_u_DQUOTE] = ACTIONS(2938),
    [anon_sym_U_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8_DQUOTE] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [anon_sym_NULL] = ACTIONS(2936),
    [anon_sym_nullptr] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
    [anon_sym_concept] = ACTIONS(2936),
    [anon_sym_co_return] = ACTIONS(2936),
    [anon_sym_co_yield] = ACTIONS(2936),
    [anon_sym_R_DQUOTE] = ACTIONS(2938),
    [anon_sym_LR_DQUOTE] = ACTIONS(2938),
    [anon_sym_uR_DQUOTE] = ACTIONS(2938),
    [anon_sym_UR_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2938),
    [anon_sym_co_await] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_requires] = ACTIONS(2936),
    [sym_this] = ACTIONS(2936),
  },
  [630] = {
    [sym_catch_clause] = STATE(340),
    [aux_sym_constructor_try_statement_repeat1] = STATE(340),
    [ts_builtin_sym_end] = ACTIONS(2664),
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_include_token1] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_virtual] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___based] = ACTIONS(2662),
    [anon_sym___cdecl] = ACTIONS(2662),
    [anon_sym___clrcall] = ACTIONS(2662),
    [anon_sym___stdcall] = ACTIONS(2662),
    [anon_sym___fastcall] = ACTIONS(2662),
    [anon_sym___thiscall] = ACTIONS(2662),
    [anon_sym___vectorcall] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_mutable] = ACTIONS(2662),
    [anon_sym_constinit] = ACTIONS(2662),
    [anon_sym_consteval] = ACTIONS(2662),
    [anon_sym_PROGMEM] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [aux_sym_primitive_type_token1] = ACTIONS(2662),
    [anon_sym_byte] = ACTIONS(2662),
    [anon_sym_word] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_class] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2662),
    [anon_sym_case] = ACTIONS(2662),
    [anon_sym_default] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_break] = ACTIONS(2662),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_goto] = ACTIONS(2662),
    [anon_sym_not] = ACTIONS(2662),
    [anon_sym_compl] = ACTIONS(2662),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_sizeof] = ACTIONS(2662),
    [anon_sym___alignof__] = ACTIONS(2662),
    [anon_sym___alignof] = ACTIONS(2662),
    [anon_sym__alignof] = ACTIONS(2662),
    [anon_sym_alignof] = ACTIONS(2662),
    [anon_sym__Alignof] = ACTIONS(2662),
    [anon_sym_offsetof] = ACTIONS(2662),
    [anon_sym__Generic] = ACTIONS(2662),
    [anon_sym_asm] = ACTIONS(2662),
    [anon_sym___asm__] = ACTIONS(2662),
    [anon_sym___asm] = ACTIONS(2662),
    [aux_sym_number_literal_token1] = ACTIONS(2664),
    [aux_sym_number_literal_token2] = ACTIONS(2662),
    [anon_sym_L_SQUOTE] = ACTIONS(2664),
    [anon_sym_u_SQUOTE] = ACTIONS(2664),
    [anon_sym_U_SQUOTE] = ACTIONS(2664),
    [anon_sym_u8_SQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_L_DQUOTE] = ACTIONS(2664),
    [anon_sym_u_DQUOTE] = ACTIONS(2664),
    [anon_sym_U_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8_DQUOTE] = ACTIONS(2664),
    [anon_sym_DQUOTE] = ACTIONS(2664),
    [sym_true] = ACTIONS(2662),
    [sym_false] = ACTIONS(2662),
    [anon_sym_NULL] = ACTIONS(2662),
    [anon_sym_nullptr] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2662),
    [anon_sym_decltype] = ACTIONS(2662),
    [anon_sym_explicit] = ACTIONS(2662),
    [anon_sym_typename] = ACTIONS(2662),
    [anon_sym_template] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_delete] = ACTIONS(2662),
    [anon_sym_throw] = ACTIONS(2662),
    [anon_sym_namespace] = ACTIONS(2662),
    [anon_sym_using] = ACTIONS(2662),
    [anon_sym_static_assert] = ACTIONS(2662),
    [anon_sym_concept] = ACTIONS(2662),
    [anon_sym_co_return] = ACTIONS(2662),
    [anon_sym_co_yield] = ACTIONS(2662),
    [anon_sym_catch] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(2664),
    [anon_sym_LR_DQUOTE] = ACTIONS(2664),
    [anon_sym_uR_DQUOTE] = ACTIONS(2664),
    [anon_sym_UR_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2664),
    [anon_sym_co_await] = ACTIONS(2662),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_requires] = ACTIONS(2662),
    [sym_this] = ACTIONS(2662),
  },
  [631] = {
    [sym_identifier] = ACTIONS(3099),
    [aux_sym_preproc_include_token1] = ACTIONS(3099),
    [aux_sym_preproc_def_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token2] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3099),
    [anon_sym_LPAREN2] = ACTIONS(3101),
    [anon_sym_BANG] = ACTIONS(3101),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_DASH] = ACTIONS(3099),
    [anon_sym_PLUS] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_AMP_AMP] = ACTIONS(3101),
    [anon_sym_AMP] = ACTIONS(3099),
    [anon_sym_SEMI] = ACTIONS(3101),
    [anon_sym___extension__] = ACTIONS(3099),
    [anon_sym_typedef] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym___attribute__] = ACTIONS(3099),
    [anon_sym_COLON_COLON] = ACTIONS(3101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3101),
    [anon_sym___declspec] = ACTIONS(3099),
    [anon_sym___based] = ACTIONS(3099),
    [anon_sym___cdecl] = ACTIONS(3099),
    [anon_sym___clrcall] = ACTIONS(3099),
    [anon_sym___stdcall] = ACTIONS(3099),
    [anon_sym___fastcall] = ACTIONS(3099),
    [anon_sym___thiscall] = ACTIONS(3099),
    [anon_sym___vectorcall] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3099),
    [anon_sym_unsigned] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_register] = ACTIONS(3099),
    [anon_sym_inline] = ACTIONS(3099),
    [anon_sym___inline] = ACTIONS(3099),
    [anon_sym___inline__] = ACTIONS(3099),
    [anon_sym___forceinline] = ACTIONS(3099),
    [anon_sym_thread_local] = ACTIONS(3099),
    [anon_sym___thread] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_constexpr] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_restrict] = ACTIONS(3099),
    [anon_sym___restrict__] = ACTIONS(3099),
    [anon_sym__Atomic] = ACTIONS(3099),
    [anon_sym__Noreturn] = ACTIONS(3099),
    [anon_sym_noreturn] = ACTIONS(3099),
    [anon_sym__Nonnull] = ACTIONS(3099),
    [anon_sym_mutable] = ACTIONS(3099),
    [anon_sym_constinit] = ACTIONS(3099),
    [anon_sym_consteval] = ACTIONS(3099),
    [anon_sym_PROGMEM] = ACTIONS(3099),
    [anon_sym_alignas] = ACTIONS(3099),
    [anon_sym__Alignas] = ACTIONS(3099),
    [aux_sym_primitive_type_token1] = ACTIONS(3099),
    [anon_sym_byte] = ACTIONS(3099),
    [anon_sym_word] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_union] = ACTIONS(3099),
    [anon_sym_if] = ACTIONS(3099),
    [anon_sym_switch] = ACTIONS(3099),
    [anon_sym_case] = ACTIONS(3099),
    [anon_sym_default] = ACTIONS(3099),
    [anon_sym_while] = ACTIONS(3099),
    [anon_sym_do] = ACTIONS(3099),
    [anon_sym_for] = ACTIONS(3099),
    [anon_sym_return] = ACTIONS(3099),
    [anon_sym_break] = ACTIONS(3099),
    [anon_sym_continue] = ACTIONS(3099),
    [anon_sym_goto] = ACTIONS(3099),
    [anon_sym___try] = ACTIONS(3099),
    [anon_sym___leave] = ACTIONS(3099),
    [anon_sym_not] = ACTIONS(3099),
    [anon_sym_compl] = ACTIONS(3099),
    [anon_sym_DASH_DASH] = ACTIONS(3101),
    [anon_sym_PLUS_PLUS] = ACTIONS(3101),
    [anon_sym_sizeof] = ACTIONS(3099),
    [anon_sym___alignof__] = ACTIONS(3099),
    [anon_sym___alignof] = ACTIONS(3099),
    [anon_sym__alignof] = ACTIONS(3099),
    [anon_sym_alignof] = ACTIONS(3099),
    [anon_sym__Alignof] = ACTIONS(3099),
    [anon_sym_offsetof] = ACTIONS(3099),
    [anon_sym__Generic] = ACTIONS(3099),
    [anon_sym_asm] = ACTIONS(3099),
    [anon_sym___asm__] = ACTIONS(3099),
    [anon_sym___asm] = ACTIONS(3099),
    [aux_sym_number_literal_token1] = ACTIONS(3101),
    [aux_sym_number_literal_token2] = ACTIONS(3099),
    [anon_sym_L_SQUOTE] = ACTIONS(3101),
    [anon_sym_u_SQUOTE] = ACTIONS(3101),
    [anon_sym_U_SQUOTE] = ACTIONS(3101),
    [anon_sym_u8_SQUOTE] = ACTIONS(3101),
    [anon_sym_SQUOTE] = ACTIONS(3101),
    [anon_sym_L_DQUOTE] = ACTIONS(3101),
    [anon_sym_u_DQUOTE] = ACTIONS(3101),
    [anon_sym_U_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8_DQUOTE] = ACTIONS(3101),
    [anon_sym_DQUOTE] = ACTIONS(3101),
    [sym_true] = ACTIONS(3099),
    [sym_false] = ACTIONS(3099),
    [anon_sym_NULL] = ACTIONS(3099),
    [anon_sym_nullptr] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3099),
    [anon_sym_decltype] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_typename] = ACTIONS(3099),
    [anon_sym_template] = ACTIONS(3099),
    [anon_sym_operator] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_delete] = ACTIONS(3099),
    [anon_sym_throw] = ACTIONS(3099),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static_assert] = ACTIONS(3099),
    [anon_sym_concept] = ACTIONS(3099),
    [anon_sym_co_return] = ACTIONS(3099),
    [anon_sym_co_yield] = ACTIONS(3099),
    [anon_sym_R_DQUOTE] = ACTIONS(3101),
    [anon_sym_LR_DQUOTE] = ACTIONS(3101),
    [anon_sym_uR_DQUOTE] = ACTIONS(3101),
    [anon_sym_UR_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3101),
    [anon_sym_co_await] = ACTIONS(3099),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_requires] = ACTIONS(3099),
    [sym_this] = ACTIONS(3099),
  },
  [632] = {
    [sym_identifier] = ACTIONS(3145),
    [aux_sym_preproc_include_token1] = ACTIONS(3145),
    [aux_sym_preproc_def_token1] = ACTIONS(3145),
    [aux_sym_preproc_if_token1] = ACTIONS(3145),
    [aux_sym_preproc_if_token2] = ACTIONS(3145),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3145),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3145),
    [sym_preproc_directive] = ACTIONS(3145),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_PLUS] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3145),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3145),
    [anon_sym_typedef] = ACTIONS(3145),
    [anon_sym_virtual] = ACTIONS(3145),
    [anon_sym_extern] = ACTIONS(3145),
    [anon_sym___attribute__] = ACTIONS(3145),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3145),
    [anon_sym___based] = ACTIONS(3145),
    [anon_sym___cdecl] = ACTIONS(3145),
    [anon_sym___clrcall] = ACTIONS(3145),
    [anon_sym___stdcall] = ACTIONS(3145),
    [anon_sym___fastcall] = ACTIONS(3145),
    [anon_sym___thiscall] = ACTIONS(3145),
    [anon_sym___vectorcall] = ACTIONS(3145),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3145),
    [anon_sym_unsigned] = ACTIONS(3145),
    [anon_sym_long] = ACTIONS(3145),
    [anon_sym_short] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3145),
    [anon_sym_static] = ACTIONS(3145),
    [anon_sym_register] = ACTIONS(3145),
    [anon_sym_inline] = ACTIONS(3145),
    [anon_sym___inline] = ACTIONS(3145),
    [anon_sym___inline__] = ACTIONS(3145),
    [anon_sym___forceinline] = ACTIONS(3145),
    [anon_sym_thread_local] = ACTIONS(3145),
    [anon_sym___thread] = ACTIONS(3145),
    [anon_sym_const] = ACTIONS(3145),
    [anon_sym_constexpr] = ACTIONS(3145),
    [anon_sym_volatile] = ACTIONS(3145),
    [anon_sym_restrict] = ACTIONS(3145),
    [anon_sym___restrict__] = ACTIONS(3145),
    [anon_sym__Atomic] = ACTIONS(3145),
    [anon_sym__Noreturn] = ACTIONS(3145),
    [anon_sym_noreturn] = ACTIONS(3145),
    [anon_sym__Nonnull] = ACTIONS(3145),
    [anon_sym_mutable] = ACTIONS(3145),
    [anon_sym_constinit] = ACTIONS(3145),
    [anon_sym_consteval] = ACTIONS(3145),
    [anon_sym_PROGMEM] = ACTIONS(3145),
    [anon_sym_alignas] = ACTIONS(3145),
    [anon_sym__Alignas] = ACTIONS(3145),
    [aux_sym_primitive_type_token1] = ACTIONS(3145),
    [anon_sym_byte] = ACTIONS(3145),
    [anon_sym_word] = ACTIONS(3145),
    [anon_sym_enum] = ACTIONS(3145),
    [anon_sym_class] = ACTIONS(3145),
    [anon_sym_struct] = ACTIONS(3145),
    [anon_sym_union] = ACTIONS(3145),
    [anon_sym_if] = ACTIONS(3145),
    [anon_sym_switch] = ACTIONS(3145),
    [anon_sym_case] = ACTIONS(3145),
    [anon_sym_default] = ACTIONS(3145),
    [anon_sym_while] = ACTIONS(3145),
    [anon_sym_do] = ACTIONS(3145),
    [anon_sym_for] = ACTIONS(3145),
    [anon_sym_return] = ACTIONS(3145),
    [anon_sym_break] = ACTIONS(3145),
    [anon_sym_continue] = ACTIONS(3145),
    [anon_sym_goto] = ACTIONS(3145),
    [anon_sym___try] = ACTIONS(3145),
    [anon_sym___leave] = ACTIONS(3145),
    [anon_sym_not] = ACTIONS(3145),
    [anon_sym_compl] = ACTIONS(3145),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3145),
    [anon_sym___alignof__] = ACTIONS(3145),
    [anon_sym___alignof] = ACTIONS(3145),
    [anon_sym__alignof] = ACTIONS(3145),
    [anon_sym_alignof] = ACTIONS(3145),
    [anon_sym__Alignof] = ACTIONS(3145),
    [anon_sym_offsetof] = ACTIONS(3145),
    [anon_sym__Generic] = ACTIONS(3145),
    [anon_sym_asm] = ACTIONS(3145),
    [anon_sym___asm__] = ACTIONS(3145),
    [anon_sym___asm] = ACTIONS(3145),
    [aux_sym_number_literal_token1] = ACTIONS(3148),
    [aux_sym_number_literal_token2] = ACTIONS(3145),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3145),
    [sym_false] = ACTIONS(3145),
    [anon_sym_NULL] = ACTIONS(3145),
    [anon_sym_nullptr] = ACTIONS(3145),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3145),
    [anon_sym_decltype] = ACTIONS(3145),
    [anon_sym_explicit] = ACTIONS(3145),
    [anon_sym_typename] = ACTIONS(3145),
    [anon_sym_template] = ACTIONS(3145),
    [anon_sym_operator] = ACTIONS(3145),
    [anon_sym_try] = ACTIONS(3145),
    [anon_sym_delete] = ACTIONS(3145),
    [anon_sym_throw] = ACTIONS(3145),
    [anon_sym_namespace] = ACTIONS(3145),
    [anon_sym_using] = ACTIONS(3145),
    [anon_sym_static_assert] = ACTIONS(3145),
    [anon_sym_concept] = ACTIONS(3145),
    [anon_sym_co_return] = ACTIONS(3145),
    [anon_sym_co_yield] = ACTIONS(3145),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3145),
    [anon_sym_new] = ACTIONS(3145),
    [anon_sym_requires] = ACTIONS(3145),
    [sym_this] = ACTIONS(3145),
  },
  [633] = {
    [sym_identifier] = ACTIONS(3141),
    [aux_sym_preproc_include_token1] = ACTIONS(3141),
    [aux_sym_preproc_def_token1] = ACTIONS(3141),
    [aux_sym_preproc_if_token1] = ACTIONS(3141),
    [aux_sym_preproc_if_token2] = ACTIONS(3141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3141),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3141),
    [sym_preproc_directive] = ACTIONS(3141),
    [anon_sym_LPAREN2] = ACTIONS(3143),
    [anon_sym_BANG] = ACTIONS(3143),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3141),
    [anon_sym_PLUS] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3143),
    [anon_sym_AMP_AMP] = ACTIONS(3143),
    [anon_sym_AMP] = ACTIONS(3141),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym___extension__] = ACTIONS(3141),
    [anon_sym_typedef] = ACTIONS(3141),
    [anon_sym_virtual] = ACTIONS(3141),
    [anon_sym_extern] = ACTIONS(3141),
    [anon_sym___attribute__] = ACTIONS(3141),
    [anon_sym_COLON_COLON] = ACTIONS(3143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3143),
    [anon_sym___declspec] = ACTIONS(3141),
    [anon_sym___based] = ACTIONS(3141),
    [anon_sym___cdecl] = ACTIONS(3141),
    [anon_sym___clrcall] = ACTIONS(3141),
    [anon_sym___stdcall] = ACTIONS(3141),
    [anon_sym___fastcall] = ACTIONS(3141),
    [anon_sym___thiscall] = ACTIONS(3141),
    [anon_sym___vectorcall] = ACTIONS(3141),
    [anon_sym_LBRACE] = ACTIONS(3143),
    [anon_sym_signed] = ACTIONS(3141),
    [anon_sym_unsigned] = ACTIONS(3141),
    [anon_sym_long] = ACTIONS(3141),
    [anon_sym_short] = ACTIONS(3141),
    [anon_sym_LBRACK] = ACTIONS(3141),
    [anon_sym_static] = ACTIONS(3141),
    [anon_sym_register] = ACTIONS(3141),
    [anon_sym_inline] = ACTIONS(3141),
    [anon_sym___inline] = ACTIONS(3141),
    [anon_sym___inline__] = ACTIONS(3141),
    [anon_sym___forceinline] = ACTIONS(3141),
    [anon_sym_thread_local] = ACTIONS(3141),
    [anon_sym___thread] = ACTIONS(3141),
    [anon_sym_const] = ACTIONS(3141),
    [anon_sym_constexpr] = ACTIONS(3141),
    [anon_sym_volatile] = ACTIONS(3141),
    [anon_sym_restrict] = ACTIONS(3141),
    [anon_sym___restrict__] = ACTIONS(3141),
    [anon_sym__Atomic] = ACTIONS(3141),
    [anon_sym__Noreturn] = ACTIONS(3141),
    [anon_sym_noreturn] = ACTIONS(3141),
    [anon_sym__Nonnull] = ACTIONS(3141),
    [anon_sym_mutable] = ACTIONS(3141),
    [anon_sym_constinit] = ACTIONS(3141),
    [anon_sym_consteval] = ACTIONS(3141),
    [anon_sym_PROGMEM] = ACTIONS(3141),
    [anon_sym_alignas] = ACTIONS(3141),
    [anon_sym__Alignas] = ACTIONS(3141),
    [aux_sym_primitive_type_token1] = ACTIONS(3141),
    [anon_sym_byte] = ACTIONS(3141),
    [anon_sym_word] = ACTIONS(3141),
    [anon_sym_enum] = ACTIONS(3141),
    [anon_sym_class] = ACTIONS(3141),
    [anon_sym_struct] = ACTIONS(3141),
    [anon_sym_union] = ACTIONS(3141),
    [anon_sym_if] = ACTIONS(3141),
    [anon_sym_switch] = ACTIONS(3141),
    [anon_sym_case] = ACTIONS(3141),
    [anon_sym_default] = ACTIONS(3141),
    [anon_sym_while] = ACTIONS(3141),
    [anon_sym_do] = ACTIONS(3141),
    [anon_sym_for] = ACTIONS(3141),
    [anon_sym_return] = ACTIONS(3141),
    [anon_sym_break] = ACTIONS(3141),
    [anon_sym_continue] = ACTIONS(3141),
    [anon_sym_goto] = ACTIONS(3141),
    [anon_sym___try] = ACTIONS(3141),
    [anon_sym___leave] = ACTIONS(3141),
    [anon_sym_not] = ACTIONS(3141),
    [anon_sym_compl] = ACTIONS(3141),
    [anon_sym_DASH_DASH] = ACTIONS(3143),
    [anon_sym_PLUS_PLUS] = ACTIONS(3143),
    [anon_sym_sizeof] = ACTIONS(3141),
    [anon_sym___alignof__] = ACTIONS(3141),
    [anon_sym___alignof] = ACTIONS(3141),
    [anon_sym__alignof] = ACTIONS(3141),
    [anon_sym_alignof] = ACTIONS(3141),
    [anon_sym__Alignof] = ACTIONS(3141),
    [anon_sym_offsetof] = ACTIONS(3141),
    [anon_sym__Generic] = ACTIONS(3141),
    [anon_sym_asm] = ACTIONS(3141),
    [anon_sym___asm__] = ACTIONS(3141),
    [anon_sym___asm] = ACTIONS(3141),
    [aux_sym_number_literal_token1] = ACTIONS(3143),
    [aux_sym_number_literal_token2] = ACTIONS(3141),
    [anon_sym_L_SQUOTE] = ACTIONS(3143),
    [anon_sym_u_SQUOTE] = ACTIONS(3143),
    [anon_sym_U_SQUOTE] = ACTIONS(3143),
    [anon_sym_u8_SQUOTE] = ACTIONS(3143),
    [anon_sym_SQUOTE] = ACTIONS(3143),
    [anon_sym_L_DQUOTE] = ACTIONS(3143),
    [anon_sym_u_DQUOTE] = ACTIONS(3143),
    [anon_sym_U_DQUOTE] = ACTIONS(3143),
    [anon_sym_u8_DQUOTE] = ACTIONS(3143),
    [anon_sym_DQUOTE] = ACTIONS(3143),
    [sym_true] = ACTIONS(3141),
    [sym_false] = ACTIONS(3141),
    [anon_sym_NULL] = ACTIONS(3141),
    [anon_sym_nullptr] = ACTIONS(3141),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3141),
    [anon_sym_decltype] = ACTIONS(3141),
    [anon_sym_explicit] = ACTIONS(3141),
    [anon_sym_typename] = ACTIONS(3141),
    [anon_sym_template] = ACTIONS(3141),
    [anon_sym_operator] = ACTIONS(3141),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_delete] = ACTIONS(3141),
    [anon_sym_throw] = ACTIONS(3141),
    [anon_sym_namespace] = ACTIONS(3141),
    [anon_sym_using] = ACTIONS(3141),
    [anon_sym_static_assert] = ACTIONS(3141),
    [anon_sym_concept] = ACTIONS(3141),
    [anon_sym_co_return] = ACTIONS(3141),
    [anon_sym_co_yield] = ACTIONS(3141),
    [anon_sym_R_DQUOTE] = ACTIONS(3143),
    [anon_sym_LR_DQUOTE] = ACTIONS(3143),
    [anon_sym_uR_DQUOTE] = ACTIONS(3143),
    [anon_sym_UR_DQUOTE] = ACTIONS(3143),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3143),
    [anon_sym_co_await] = ACTIONS(3141),
    [anon_sym_new] = ACTIONS(3141),
    [anon_sym_requires] = ACTIONS(3141),
    [sym_this] = ACTIONS(3141),
  },
  [634] = {
    [sym_identifier] = ACTIONS(3133),
    [aux_sym_preproc_include_token1] = ACTIONS(3133),
    [aux_sym_preproc_def_token1] = ACTIONS(3133),
    [aux_sym_preproc_if_token1] = ACTIONS(3133),
    [aux_sym_preproc_if_token2] = ACTIONS(3133),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3133),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3133),
    [sym_preproc_directive] = ACTIONS(3133),
    [anon_sym_LPAREN2] = ACTIONS(3135),
    [anon_sym_BANG] = ACTIONS(3135),
    [anon_sym_TILDE] = ACTIONS(3135),
    [anon_sym_DASH] = ACTIONS(3133),
    [anon_sym_PLUS] = ACTIONS(3133),
    [anon_sym_STAR] = ACTIONS(3135),
    [anon_sym_AMP_AMP] = ACTIONS(3135),
    [anon_sym_AMP] = ACTIONS(3133),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym___extension__] = ACTIONS(3133),
    [anon_sym_typedef] = ACTIONS(3133),
    [anon_sym_virtual] = ACTIONS(3133),
    [anon_sym_extern] = ACTIONS(3133),
    [anon_sym___attribute__] = ACTIONS(3133),
    [anon_sym_COLON_COLON] = ACTIONS(3135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3135),
    [anon_sym___declspec] = ACTIONS(3133),
    [anon_sym___based] = ACTIONS(3133),
    [anon_sym___cdecl] = ACTIONS(3133),
    [anon_sym___clrcall] = ACTIONS(3133),
    [anon_sym___stdcall] = ACTIONS(3133),
    [anon_sym___fastcall] = ACTIONS(3133),
    [anon_sym___thiscall] = ACTIONS(3133),
    [anon_sym___vectorcall] = ACTIONS(3133),
    [anon_sym_LBRACE] = ACTIONS(3135),
    [anon_sym_signed] = ACTIONS(3133),
    [anon_sym_unsigned] = ACTIONS(3133),
    [anon_sym_long] = ACTIONS(3133),
    [anon_sym_short] = ACTIONS(3133),
    [anon_sym_LBRACK] = ACTIONS(3133),
    [anon_sym_static] = ACTIONS(3133),
    [anon_sym_register] = ACTIONS(3133),
    [anon_sym_inline] = ACTIONS(3133),
    [anon_sym___inline] = ACTIONS(3133),
    [anon_sym___inline__] = ACTIONS(3133),
    [anon_sym___forceinline] = ACTIONS(3133),
    [anon_sym_thread_local] = ACTIONS(3133),
    [anon_sym___thread] = ACTIONS(3133),
    [anon_sym_const] = ACTIONS(3133),
    [anon_sym_constexpr] = ACTIONS(3133),
    [anon_sym_volatile] = ACTIONS(3133),
    [anon_sym_restrict] = ACTIONS(3133),
    [anon_sym___restrict__] = ACTIONS(3133),
    [anon_sym__Atomic] = ACTIONS(3133),
    [anon_sym__Noreturn] = ACTIONS(3133),
    [anon_sym_noreturn] = ACTIONS(3133),
    [anon_sym__Nonnull] = ACTIONS(3133),
    [anon_sym_mutable] = ACTIONS(3133),
    [anon_sym_constinit] = ACTIONS(3133),
    [anon_sym_consteval] = ACTIONS(3133),
    [anon_sym_PROGMEM] = ACTIONS(3133),
    [anon_sym_alignas] = ACTIONS(3133),
    [anon_sym__Alignas] = ACTIONS(3133),
    [aux_sym_primitive_type_token1] = ACTIONS(3133),
    [anon_sym_byte] = ACTIONS(3133),
    [anon_sym_word] = ACTIONS(3133),
    [anon_sym_enum] = ACTIONS(3133),
    [anon_sym_class] = ACTIONS(3133),
    [anon_sym_struct] = ACTIONS(3133),
    [anon_sym_union] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3133),
    [anon_sym_switch] = ACTIONS(3133),
    [anon_sym_case] = ACTIONS(3133),
    [anon_sym_default] = ACTIONS(3133),
    [anon_sym_while] = ACTIONS(3133),
    [anon_sym_do] = ACTIONS(3133),
    [anon_sym_for] = ACTIONS(3133),
    [anon_sym_return] = ACTIONS(3133),
    [anon_sym_break] = ACTIONS(3133),
    [anon_sym_continue] = ACTIONS(3133),
    [anon_sym_goto] = ACTIONS(3133),
    [anon_sym___try] = ACTIONS(3133),
    [anon_sym___leave] = ACTIONS(3133),
    [anon_sym_not] = ACTIONS(3133),
    [anon_sym_compl] = ACTIONS(3133),
    [anon_sym_DASH_DASH] = ACTIONS(3135),
    [anon_sym_PLUS_PLUS] = ACTIONS(3135),
    [anon_sym_sizeof] = ACTIONS(3133),
    [anon_sym___alignof__] = ACTIONS(3133),
    [anon_sym___alignof] = ACTIONS(3133),
    [anon_sym__alignof] = ACTIONS(3133),
    [anon_sym_alignof] = ACTIONS(3133),
    [anon_sym__Alignof] = ACTIONS(3133),
    [anon_sym_offsetof] = ACTIONS(3133),
    [anon_sym__Generic] = ACTIONS(3133),
    [anon_sym_asm] = ACTIONS(3133),
    [anon_sym___asm__] = ACTIONS(3133),
    [anon_sym___asm] = ACTIONS(3133),
    [aux_sym_number_literal_token1] = ACTIONS(3135),
    [aux_sym_number_literal_token2] = ACTIONS(3133),
    [anon_sym_L_SQUOTE] = ACTIONS(3135),
    [anon_sym_u_SQUOTE] = ACTIONS(3135),
    [anon_sym_U_SQUOTE] = ACTIONS(3135),
    [anon_sym_u8_SQUOTE] = ACTIONS(3135),
    [anon_sym_SQUOTE] = ACTIONS(3135),
    [anon_sym_L_DQUOTE] = ACTIONS(3135),
    [anon_sym_u_DQUOTE] = ACTIONS(3135),
    [anon_sym_U_DQUOTE] = ACTIONS(3135),
    [anon_sym_u8_DQUOTE] = ACTIONS(3135),
    [anon_sym_DQUOTE] = ACTIONS(3135),
    [sym_true] = ACTIONS(3133),
    [sym_false] = ACTIONS(3133),
    [anon_sym_NULL] = ACTIONS(3133),
    [anon_sym_nullptr] = ACTIONS(3133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3133),
    [anon_sym_decltype] = ACTIONS(3133),
    [anon_sym_explicit] = ACTIONS(3133),
    [anon_sym_typename] = ACTIONS(3133),
    [anon_sym_template] = ACTIONS(3133),
    [anon_sym_operator] = ACTIONS(3133),
    [anon_sym_try] = ACTIONS(3133),
    [anon_sym_delete] = ACTIONS(3133),
    [anon_sym_throw] = ACTIONS(3133),
    [anon_sym_namespace] = ACTIONS(3133),
    [anon_sym_using] = ACTIONS(3133),
    [anon_sym_static_assert] = ACTIONS(3133),
    [anon_sym_concept] = ACTIONS(3133),
    [anon_sym_co_return] = ACTIONS(3133),
    [anon_sym_co_yield] = ACTIONS(3133),
    [anon_sym_R_DQUOTE] = ACTIONS(3135),
    [anon_sym_LR_DQUOTE] = ACTIONS(3135),
    [anon_sym_uR_DQUOTE] = ACTIONS(3135),
    [anon_sym_UR_DQUOTE] = ACTIONS(3135),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3135),
    [anon_sym_co_await] = ACTIONS(3133),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_requires] = ACTIONS(3133),
    [sym_this] = ACTIONS(3133),
  },
  [635] = {
    [sym_identifier] = ACTIONS(3004),
    [aux_sym_preproc_include_token1] = ACTIONS(3004),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token2] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3004),
    [sym_preproc_directive] = ACTIONS(3004),
    [anon_sym_LPAREN2] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(3006),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3004),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3006),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3004),
    [anon_sym_virtual] = ACTIONS(3004),
    [anon_sym_extern] = ACTIONS(3004),
    [anon_sym___attribute__] = ACTIONS(3004),
    [anon_sym_COLON_COLON] = ACTIONS(3006),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3006),
    [anon_sym___declspec] = ACTIONS(3004),
    [anon_sym___based] = ACTIONS(3004),
    [anon_sym___cdecl] = ACTIONS(3004),
    [anon_sym___clrcall] = ACTIONS(3004),
    [anon_sym___stdcall] = ACTIONS(3004),
    [anon_sym___fastcall] = ACTIONS(3004),
    [anon_sym___thiscall] = ACTIONS(3004),
    [anon_sym___vectorcall] = ACTIONS(3004),
    [anon_sym_LBRACE] = ACTIONS(3006),
    [anon_sym_signed] = ACTIONS(3004),
    [anon_sym_unsigned] = ACTIONS(3004),
    [anon_sym_long] = ACTIONS(3004),
    [anon_sym_short] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_register] = ACTIONS(3004),
    [anon_sym_inline] = ACTIONS(3004),
    [anon_sym___inline] = ACTIONS(3004),
    [anon_sym___inline__] = ACTIONS(3004),
    [anon_sym___forceinline] = ACTIONS(3004),
    [anon_sym_thread_local] = ACTIONS(3004),
    [anon_sym___thread] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_constexpr] = ACTIONS(3004),
    [anon_sym_volatile] = ACTIONS(3004),
    [anon_sym_restrict] = ACTIONS(3004),
    [anon_sym___restrict__] = ACTIONS(3004),
    [anon_sym__Atomic] = ACTIONS(3004),
    [anon_sym__Noreturn] = ACTIONS(3004),
    [anon_sym_noreturn] = ACTIONS(3004),
    [anon_sym__Nonnull] = ACTIONS(3004),
    [anon_sym_mutable] = ACTIONS(3004),
    [anon_sym_constinit] = ACTIONS(3004),
    [anon_sym_consteval] = ACTIONS(3004),
    [anon_sym_PROGMEM] = ACTIONS(3004),
    [anon_sym_alignas] = ACTIONS(3004),
    [anon_sym__Alignas] = ACTIONS(3004),
    [aux_sym_primitive_type_token1] = ACTIONS(3004),
    [anon_sym_byte] = ACTIONS(3004),
    [anon_sym_word] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_union] = ACTIONS(3004),
    [anon_sym_if] = ACTIONS(3004),
    [anon_sym_switch] = ACTIONS(3004),
    [anon_sym_case] = ACTIONS(3004),
    [anon_sym_default] = ACTIONS(3004),
    [anon_sym_while] = ACTIONS(3004),
    [anon_sym_do] = ACTIONS(3004),
    [anon_sym_for] = ACTIONS(3004),
    [anon_sym_return] = ACTIONS(3004),
    [anon_sym_break] = ACTIONS(3004),
    [anon_sym_continue] = ACTIONS(3004),
    [anon_sym_goto] = ACTIONS(3004),
    [anon_sym___try] = ACTIONS(3004),
    [anon_sym___leave] = ACTIONS(3004),
    [anon_sym_not] = ACTIONS(3004),
    [anon_sym_compl] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3006),
    [anon_sym_sizeof] = ACTIONS(3004),
    [anon_sym___alignof__] = ACTIONS(3004),
    [anon_sym___alignof] = ACTIONS(3004),
    [anon_sym__alignof] = ACTIONS(3004),
    [anon_sym_alignof] = ACTIONS(3004),
    [anon_sym__Alignof] = ACTIONS(3004),
    [anon_sym_offsetof] = ACTIONS(3004),
    [anon_sym__Generic] = ACTIONS(3004),
    [anon_sym_asm] = ACTIONS(3004),
    [anon_sym___asm__] = ACTIONS(3004),
    [anon_sym___asm] = ACTIONS(3004),
    [aux_sym_number_literal_token1] = ACTIONS(3006),
    [aux_sym_number_literal_token2] = ACTIONS(3004),
    [anon_sym_L_SQUOTE] = ACTIONS(3006),
    [anon_sym_u_SQUOTE] = ACTIONS(3006),
    [anon_sym_U_SQUOTE] = ACTIONS(3006),
    [anon_sym_u8_SQUOTE] = ACTIONS(3006),
    [anon_sym_SQUOTE] = ACTIONS(3006),
    [anon_sym_L_DQUOTE] = ACTIONS(3006),
    [anon_sym_u_DQUOTE] = ACTIONS(3006),
    [anon_sym_U_DQUOTE] = ACTIONS(3006),
    [anon_sym_u8_DQUOTE] = ACTIONS(3006),
    [anon_sym_DQUOTE] = ACTIONS(3006),
    [sym_true] = ACTIONS(3004),
    [sym_false] = ACTIONS(3004),
    [anon_sym_NULL] = ACTIONS(3004),
    [anon_sym_nullptr] = ACTIONS(3004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3004),
    [anon_sym_explicit] = ACTIONS(3004),
    [anon_sym_typename] = ACTIONS(3004),
    [anon_sym_template] = ACTIONS(3004),
    [anon_sym_operator] = ACTIONS(3004),
    [anon_sym_try] = ACTIONS(3004),
    [anon_sym_delete] = ACTIONS(3004),
    [anon_sym_throw] = ACTIONS(3004),
    [anon_sym_namespace] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(3004),
    [anon_sym_static_assert] = ACTIONS(3004),
    [anon_sym_concept] = ACTIONS(3004),
    [anon_sym_co_return] = ACTIONS(3004),
    [anon_sym_co_yield] = ACTIONS(3004),
    [anon_sym_R_DQUOTE] = ACTIONS(3006),
    [anon_sym_LR_DQUOTE] = ACTIONS(3006),
    [anon_sym_uR_DQUOTE] = ACTIONS(3006),
    [anon_sym_UR_DQUOTE] = ACTIONS(3006),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3006),
    [anon_sym_co_await] = ACTIONS(3004),
    [anon_sym_new] = ACTIONS(3004),
    [anon_sym_requires] = ACTIONS(3004),
    [sym_this] = ACTIONS(3004),
  },
  [636] = {
    [sym_identifier] = ACTIONS(3028),
    [aux_sym_preproc_include_token1] = ACTIONS(3028),
    [aux_sym_preproc_def_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token2] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3028),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym___based] = ACTIONS(3028),
    [anon_sym___cdecl] = ACTIONS(3028),
    [anon_sym___clrcall] = ACTIONS(3028),
    [anon_sym___stdcall] = ACTIONS(3028),
    [anon_sym___fastcall] = ACTIONS(3028),
    [anon_sym___thiscall] = ACTIONS(3028),
    [anon_sym___vectorcall] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym__Nonnull] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym__Alignas] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_switch] = ACTIONS(3028),
    [anon_sym_case] = ACTIONS(3028),
    [anon_sym_default] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_do] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_return] = ACTIONS(3028),
    [anon_sym_break] = ACTIONS(3028),
    [anon_sym_continue] = ACTIONS(3028),
    [anon_sym_goto] = ACTIONS(3028),
    [anon_sym___try] = ACTIONS(3028),
    [anon_sym___leave] = ACTIONS(3028),
    [anon_sym_not] = ACTIONS(3028),
    [anon_sym_compl] = ACTIONS(3028),
    [anon_sym_DASH_DASH] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3030),
    [anon_sym_sizeof] = ACTIONS(3028),
    [anon_sym___alignof__] = ACTIONS(3028),
    [anon_sym___alignof] = ACTIONS(3028),
    [anon_sym__alignof] = ACTIONS(3028),
    [anon_sym_alignof] = ACTIONS(3028),
    [anon_sym__Alignof] = ACTIONS(3028),
    [anon_sym_offsetof] = ACTIONS(3028),
    [anon_sym__Generic] = ACTIONS(3028),
    [anon_sym_asm] = ACTIONS(3028),
    [anon_sym___asm__] = ACTIONS(3028),
    [anon_sym___asm] = ACTIONS(3028),
    [aux_sym_number_literal_token1] = ACTIONS(3030),
    [aux_sym_number_literal_token2] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3030),
    [anon_sym_u_SQUOTE] = ACTIONS(3030),
    [anon_sym_U_SQUOTE] = ACTIONS(3030),
    [anon_sym_u8_SQUOTE] = ACTIONS(3030),
    [anon_sym_SQUOTE] = ACTIONS(3030),
    [anon_sym_L_DQUOTE] = ACTIONS(3030),
    [anon_sym_u_DQUOTE] = ACTIONS(3030),
    [anon_sym_U_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8_DQUOTE] = ACTIONS(3030),
    [anon_sym_DQUOTE] = ACTIONS(3030),
    [sym_true] = ACTIONS(3028),
    [sym_false] = ACTIONS(3028),
    [anon_sym_NULL] = ACTIONS(3028),
    [anon_sym_nullptr] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_explicit] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_operator] = ACTIONS(3028),
    [anon_sym_try] = ACTIONS(3028),
    [anon_sym_delete] = ACTIONS(3028),
    [anon_sym_throw] = ACTIONS(3028),
    [anon_sym_namespace] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_static_assert] = ACTIONS(3028),
    [anon_sym_concept] = ACTIONS(3028),
    [anon_sym_co_return] = ACTIONS(3028),
    [anon_sym_co_yield] = ACTIONS(3028),
    [anon_sym_R_DQUOTE] = ACTIONS(3030),
    [anon_sym_LR_DQUOTE] = ACTIONS(3030),
    [anon_sym_uR_DQUOTE] = ACTIONS(3030),
    [anon_sym_UR_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3030),
    [anon_sym_co_await] = ACTIONS(3028),
    [anon_sym_new] = ACTIONS(3028),
    [anon_sym_requires] = ACTIONS(3028),
    [sym_this] = ACTIONS(3028),
  },
  [637] = {
    [sym_identifier] = ACTIONS(3070),
    [aux_sym_preproc_include_token1] = ACTIONS(3070),
    [aux_sym_preproc_def_token1] = ACTIONS(3070),
    [aux_sym_preproc_if_token1] = ACTIONS(3070),
    [aux_sym_preproc_if_token2] = ACTIONS(3070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3070),
    [sym_preproc_directive] = ACTIONS(3070),
    [anon_sym_LPAREN2] = ACTIONS(3072),
    [anon_sym_BANG] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym___extension__] = ACTIONS(3070),
    [anon_sym_typedef] = ACTIONS(3070),
    [anon_sym_virtual] = ACTIONS(3070),
    [anon_sym_extern] = ACTIONS(3070),
    [anon_sym___attribute__] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3072),
    [anon_sym___declspec] = ACTIONS(3070),
    [anon_sym___based] = ACTIONS(3070),
    [anon_sym___cdecl] = ACTIONS(3070),
    [anon_sym___clrcall] = ACTIONS(3070),
    [anon_sym___stdcall] = ACTIONS(3070),
    [anon_sym___fastcall] = ACTIONS(3070),
    [anon_sym___thiscall] = ACTIONS(3070),
    [anon_sym___vectorcall] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_signed] = ACTIONS(3070),
    [anon_sym_unsigned] = ACTIONS(3070),
    [anon_sym_long] = ACTIONS(3070),
    [anon_sym_short] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(3070),
    [anon_sym_static] = ACTIONS(3070),
    [anon_sym_register] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym___inline] = ACTIONS(3070),
    [anon_sym___inline__] = ACTIONS(3070),
    [anon_sym___forceinline] = ACTIONS(3070),
    [anon_sym_thread_local] = ACTIONS(3070),
    [anon_sym___thread] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_constexpr] = ACTIONS(3070),
    [anon_sym_volatile] = ACTIONS(3070),
    [anon_sym_restrict] = ACTIONS(3070),
    [anon_sym___restrict__] = ACTIONS(3070),
    [anon_sym__Atomic] = ACTIONS(3070),
    [anon_sym__Noreturn] = ACTIONS(3070),
    [anon_sym_noreturn] = ACTIONS(3070),
    [anon_sym__Nonnull] = ACTIONS(3070),
    [anon_sym_mutable] = ACTIONS(3070),
    [anon_sym_constinit] = ACTIONS(3070),
    [anon_sym_consteval] = ACTIONS(3070),
    [anon_sym_PROGMEM] = ACTIONS(3070),
    [anon_sym_alignas] = ACTIONS(3070),
    [anon_sym__Alignas] = ACTIONS(3070),
    [aux_sym_primitive_type_token1] = ACTIONS(3070),
    [anon_sym_byte] = ACTIONS(3070),
    [anon_sym_word] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_class] = ACTIONS(3070),
    [anon_sym_struct] = ACTIONS(3070),
    [anon_sym_union] = ACTIONS(3070),
    [anon_sym_if] = ACTIONS(3070),
    [anon_sym_switch] = ACTIONS(3070),
    [anon_sym_case] = ACTIONS(3070),
    [anon_sym_default] = ACTIONS(3070),
    [anon_sym_while] = ACTIONS(3070),
    [anon_sym_do] = ACTIONS(3070),
    [anon_sym_for] = ACTIONS(3070),
    [anon_sym_return] = ACTIONS(3070),
    [anon_sym_break] = ACTIONS(3070),
    [anon_sym_continue] = ACTIONS(3070),
    [anon_sym_goto] = ACTIONS(3070),
    [anon_sym___try] = ACTIONS(3070),
    [anon_sym___leave] = ACTIONS(3070),
    [anon_sym_not] = ACTIONS(3070),
    [anon_sym_compl] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_sizeof] = ACTIONS(3070),
    [anon_sym___alignof__] = ACTIONS(3070),
    [anon_sym___alignof] = ACTIONS(3070),
    [anon_sym__alignof] = ACTIONS(3070),
    [anon_sym_alignof] = ACTIONS(3070),
    [anon_sym__Alignof] = ACTIONS(3070),
    [anon_sym_offsetof] = ACTIONS(3070),
    [anon_sym__Generic] = ACTIONS(3070),
    [anon_sym_asm] = ACTIONS(3070),
    [anon_sym___asm__] = ACTIONS(3070),
    [anon_sym___asm] = ACTIONS(3070),
    [aux_sym_number_literal_token1] = ACTIONS(3072),
    [aux_sym_number_literal_token2] = ACTIONS(3070),
    [anon_sym_L_SQUOTE] = ACTIONS(3072),
    [anon_sym_u_SQUOTE] = ACTIONS(3072),
    [anon_sym_U_SQUOTE] = ACTIONS(3072),
    [anon_sym_u8_SQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3072),
    [anon_sym_L_DQUOTE] = ACTIONS(3072),
    [anon_sym_u_DQUOTE] = ACTIONS(3072),
    [anon_sym_U_DQUOTE] = ACTIONS(3072),
    [anon_sym_u8_DQUOTE] = ACTIONS(3072),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3070),
    [anon_sym_nullptr] = ACTIONS(3070),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3070),
    [anon_sym_decltype] = ACTIONS(3070),
    [anon_sym_explicit] = ACTIONS(3070),
    [anon_sym_typename] = ACTIONS(3070),
    [anon_sym_template] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_try] = ACTIONS(3070),
    [anon_sym_delete] = ACTIONS(3070),
    [anon_sym_throw] = ACTIONS(3070),
    [anon_sym_namespace] = ACTIONS(3070),
    [anon_sym_using] = ACTIONS(3070),
    [anon_sym_static_assert] = ACTIONS(3070),
    [anon_sym_concept] = ACTIONS(3070),
    [anon_sym_co_return] = ACTIONS(3070),
    [anon_sym_co_yield] = ACTIONS(3070),
    [anon_sym_R_DQUOTE] = ACTIONS(3072),
    [anon_sym_LR_DQUOTE] = ACTIONS(3072),
    [anon_sym_uR_DQUOTE] = ACTIONS(3072),
    [anon_sym_UR_DQUOTE] = ACTIONS(3072),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3072),
    [anon_sym_co_await] = ACTIONS(3070),
    [anon_sym_new] = ACTIONS(3070),
    [anon_sym_requires] = ACTIONS(3070),
    [sym_this] = ACTIONS(3070),
  },
  [638] = {
    [sym_identifier] = ACTIONS(3103),
    [aux_sym_preproc_include_token1] = ACTIONS(3103),
    [aux_sym_preproc_def_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token2] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3103),
    [sym_preproc_directive] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3103),
    [anon_sym_PLUS] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP_AMP] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3103),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_typedef] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym___based] = ACTIONS(3103),
    [anon_sym___cdecl] = ACTIONS(3103),
    [anon_sym___clrcall] = ACTIONS(3103),
    [anon_sym___stdcall] = ACTIONS(3103),
    [anon_sym___fastcall] = ACTIONS(3103),
    [anon_sym___thiscall] = ACTIONS(3103),
    [anon_sym___vectorcall] = ACTIONS(3103),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym__Nonnull] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [anon_sym_PROGMEM] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym__Alignas] = ACTIONS(3103),
    [aux_sym_primitive_type_token1] = ACTIONS(3103),
    [anon_sym_byte] = ACTIONS(3103),
    [anon_sym_word] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [anon_sym_if] = ACTIONS(3103),
    [anon_sym_switch] = ACTIONS(3103),
    [anon_sym_case] = ACTIONS(3103),
    [anon_sym_default] = ACTIONS(3103),
    [anon_sym_while] = ACTIONS(3103),
    [anon_sym_do] = ACTIONS(3103),
    [anon_sym_for] = ACTIONS(3103),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_break] = ACTIONS(3103),
    [anon_sym_continue] = ACTIONS(3103),
    [anon_sym_goto] = ACTIONS(3103),
    [anon_sym___try] = ACTIONS(3103),
    [anon_sym___leave] = ACTIONS(3103),
    [anon_sym_not] = ACTIONS(3103),
    [anon_sym_compl] = ACTIONS(3103),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3103),
    [anon_sym___alignof__] = ACTIONS(3103),
    [anon_sym___alignof] = ACTIONS(3103),
    [anon_sym__alignof] = ACTIONS(3103),
    [anon_sym_alignof] = ACTIONS(3103),
    [anon_sym__Alignof] = ACTIONS(3103),
    [anon_sym_offsetof] = ACTIONS(3103),
    [anon_sym__Generic] = ACTIONS(3103),
    [anon_sym_asm] = ACTIONS(3103),
    [anon_sym___asm__] = ACTIONS(3103),
    [anon_sym___asm] = ACTIONS(3103),
    [aux_sym_number_literal_token1] = ACTIONS(3105),
    [aux_sym_number_literal_token2] = ACTIONS(3103),
    [anon_sym_L_SQUOTE] = ACTIONS(3105),
    [anon_sym_u_SQUOTE] = ACTIONS(3105),
    [anon_sym_U_SQUOTE] = ACTIONS(3105),
    [anon_sym_u8_SQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_L_DQUOTE] = ACTIONS(3105),
    [anon_sym_u_DQUOTE] = ACTIONS(3105),
    [anon_sym_U_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8_DQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [sym_true] = ACTIONS(3103),
    [sym_false] = ACTIONS(3103),
    [anon_sym_NULL] = ACTIONS(3103),
    [anon_sym_nullptr] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(3103),
    [anon_sym_try] = ACTIONS(3103),
    [anon_sym_delete] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static_assert] = ACTIONS(3103),
    [anon_sym_concept] = ACTIONS(3103),
    [anon_sym_co_return] = ACTIONS(3103),
    [anon_sym_co_yield] = ACTIONS(3103),
    [anon_sym_R_DQUOTE] = ACTIONS(3105),
    [anon_sym_LR_DQUOTE] = ACTIONS(3105),
    [anon_sym_uR_DQUOTE] = ACTIONS(3105),
    [anon_sym_UR_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3105),
    [anon_sym_co_await] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_requires] = ACTIONS(3103),
    [sym_this] = ACTIONS(3103),
  },
  [639] = {
    [sym_identifier] = ACTIONS(3194),
    [aux_sym_preproc_include_token1] = ACTIONS(3194),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token2] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3194),
    [sym_preproc_directive] = ACTIONS(3194),
    [anon_sym_LPAREN2] = ACTIONS(3196),
    [anon_sym_BANG] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym___extension__] = ACTIONS(3194),
    [anon_sym_typedef] = ACTIONS(3194),
    [anon_sym_virtual] = ACTIONS(3194),
    [anon_sym_extern] = ACTIONS(3194),
    [anon_sym___attribute__] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3196),
    [anon_sym___declspec] = ACTIONS(3194),
    [anon_sym___based] = ACTIONS(3194),
    [anon_sym___cdecl] = ACTIONS(3194),
    [anon_sym___clrcall] = ACTIONS(3194),
    [anon_sym___stdcall] = ACTIONS(3194),
    [anon_sym___fastcall] = ACTIONS(3194),
    [anon_sym___thiscall] = ACTIONS(3194),
    [anon_sym___vectorcall] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_signed] = ACTIONS(3194),
    [anon_sym_unsigned] = ACTIONS(3194),
    [anon_sym_long] = ACTIONS(3194),
    [anon_sym_short] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_register] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym___inline] = ACTIONS(3194),
    [anon_sym___inline__] = ACTIONS(3194),
    [anon_sym___forceinline] = ACTIONS(3194),
    [anon_sym_thread_local] = ACTIONS(3194),
    [anon_sym___thread] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_constexpr] = ACTIONS(3194),
    [anon_sym_volatile] = ACTIONS(3194),
    [anon_sym_restrict] = ACTIONS(3194),
    [anon_sym___restrict__] = ACTIONS(3194),
    [anon_sym__Atomic] = ACTIONS(3194),
    [anon_sym__Noreturn] = ACTIONS(3194),
    [anon_sym_noreturn] = ACTIONS(3194),
    [anon_sym__Nonnull] = ACTIONS(3194),
    [anon_sym_mutable] = ACTIONS(3194),
    [anon_sym_constinit] = ACTIONS(3194),
    [anon_sym_consteval] = ACTIONS(3194),
    [anon_sym_PROGMEM] = ACTIONS(3194),
    [anon_sym_alignas] = ACTIONS(3194),
    [anon_sym__Alignas] = ACTIONS(3194),
    [aux_sym_primitive_type_token1] = ACTIONS(3194),
    [anon_sym_byte] = ACTIONS(3194),
    [anon_sym_word] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_struct] = ACTIONS(3194),
    [anon_sym_union] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_case] = ACTIONS(3194),
    [anon_sym_default] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_goto] = ACTIONS(3194),
    [anon_sym___try] = ACTIONS(3194),
    [anon_sym___leave] = ACTIONS(3194),
    [anon_sym_not] = ACTIONS(3194),
    [anon_sym_compl] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_sizeof] = ACTIONS(3194),
    [anon_sym___alignof__] = ACTIONS(3194),
    [anon_sym___alignof] = ACTIONS(3194),
    [anon_sym__alignof] = ACTIONS(3194),
    [anon_sym_alignof] = ACTIONS(3194),
    [anon_sym__Alignof] = ACTIONS(3194),
    [anon_sym_offsetof] = ACTIONS(3194),
    [anon_sym__Generic] = ACTIONS(3194),
    [anon_sym_asm] = ACTIONS(3194),
    [anon_sym___asm__] = ACTIONS(3194),
    [anon_sym___asm] = ACTIONS(3194),
    [aux_sym_number_literal_token1] = ACTIONS(3196),
    [aux_sym_number_literal_token2] = ACTIONS(3194),
    [anon_sym_L_SQUOTE] = ACTIONS(3196),
    [anon_sym_u_SQUOTE] = ACTIONS(3196),
    [anon_sym_U_SQUOTE] = ACTIONS(3196),
    [anon_sym_u8_SQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [anon_sym_L_DQUOTE] = ACTIONS(3196),
    [anon_sym_u_DQUOTE] = ACTIONS(3196),
    [anon_sym_U_DQUOTE] = ACTIONS(3196),
    [anon_sym_u8_DQUOTE] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3196),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [anon_sym_NULL] = ACTIONS(3194),
    [anon_sym_nullptr] = ACTIONS(3194),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3194),
    [anon_sym_decltype] = ACTIONS(3194),
    [anon_sym_explicit] = ACTIONS(3194),
    [anon_sym_typename] = ACTIONS(3194),
    [anon_sym_template] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_static_assert] = ACTIONS(3194),
    [anon_sym_concept] = ACTIONS(3194),
    [anon_sym_co_return] = ACTIONS(3194),
    [anon_sym_co_yield] = ACTIONS(3194),
    [anon_sym_R_DQUOTE] = ACTIONS(3196),
    [anon_sym_LR_DQUOTE] = ACTIONS(3196),
    [anon_sym_uR_DQUOTE] = ACTIONS(3196),
    [anon_sym_UR_DQUOTE] = ACTIONS(3196),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3196),
    [anon_sym_co_await] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_requires] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
  },
  [640] = {
    [sym_identifier] = ACTIONS(3178),
    [aux_sym_preproc_include_token1] = ACTIONS(3178),
    [aux_sym_preproc_def_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3178),
    [sym_preproc_directive] = ACTIONS(3178),
    [anon_sym_LPAREN2] = ACTIONS(3180),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3178),
    [anon_sym_typedef] = ACTIONS(3178),
    [anon_sym_virtual] = ACTIONS(3178),
    [anon_sym_extern] = ACTIONS(3178),
    [anon_sym___attribute__] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3180),
    [anon_sym___declspec] = ACTIONS(3178),
    [anon_sym___based] = ACTIONS(3178),
    [anon_sym___cdecl] = ACTIONS(3178),
    [anon_sym___clrcall] = ACTIONS(3178),
    [anon_sym___stdcall] = ACTIONS(3178),
    [anon_sym___fastcall] = ACTIONS(3178),
    [anon_sym___thiscall] = ACTIONS(3178),
    [anon_sym___vectorcall] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_signed] = ACTIONS(3178),
    [anon_sym_unsigned] = ACTIONS(3178),
    [anon_sym_long] = ACTIONS(3178),
    [anon_sym_short] = ACTIONS(3178),
    [anon_sym_LBRACK] = ACTIONS(3178),
    [anon_sym_static] = ACTIONS(3178),
    [anon_sym_register] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym___inline] = ACTIONS(3178),
    [anon_sym___inline__] = ACTIONS(3178),
    [anon_sym___forceinline] = ACTIONS(3178),
    [anon_sym_thread_local] = ACTIONS(3178),
    [anon_sym___thread] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_constexpr] = ACTIONS(3178),
    [anon_sym_volatile] = ACTIONS(3178),
    [anon_sym_restrict] = ACTIONS(3178),
    [anon_sym___restrict__] = ACTIONS(3178),
    [anon_sym__Atomic] = ACTIONS(3178),
    [anon_sym__Noreturn] = ACTIONS(3178),
    [anon_sym_noreturn] = ACTIONS(3178),
    [anon_sym__Nonnull] = ACTIONS(3178),
    [anon_sym_mutable] = ACTIONS(3178),
    [anon_sym_constinit] = ACTIONS(3178),
    [anon_sym_consteval] = ACTIONS(3178),
    [anon_sym_PROGMEM] = ACTIONS(3178),
    [anon_sym_alignas] = ACTIONS(3178),
    [anon_sym__Alignas] = ACTIONS(3178),
    [aux_sym_primitive_type_token1] = ACTIONS(3178),
    [anon_sym_byte] = ACTIONS(3178),
    [anon_sym_word] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_class] = ACTIONS(3178),
    [anon_sym_struct] = ACTIONS(3178),
    [anon_sym_union] = ACTIONS(3178),
    [anon_sym_if] = ACTIONS(3178),
    [anon_sym_switch] = ACTIONS(3178),
    [anon_sym_case] = ACTIONS(3178),
    [anon_sym_default] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_do] = ACTIONS(3178),
    [anon_sym_for] = ACTIONS(3178),
    [anon_sym_return] = ACTIONS(3178),
    [anon_sym_break] = ACTIONS(3178),
    [anon_sym_continue] = ACTIONS(3178),
    [anon_sym_goto] = ACTIONS(3178),
    [anon_sym___try] = ACTIONS(3178),
    [anon_sym___leave] = ACTIONS(3178),
    [anon_sym_not] = ACTIONS(3178),
    [anon_sym_compl] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_sizeof] = ACTIONS(3178),
    [anon_sym___alignof__] = ACTIONS(3178),
    [anon_sym___alignof] = ACTIONS(3178),
    [anon_sym__alignof] = ACTIONS(3178),
    [anon_sym_alignof] = ACTIONS(3178),
    [anon_sym__Alignof] = ACTIONS(3178),
    [anon_sym_offsetof] = ACTIONS(3178),
    [anon_sym__Generic] = ACTIONS(3178),
    [anon_sym_asm] = ACTIONS(3178),
    [anon_sym___asm__] = ACTIONS(3178),
    [anon_sym___asm] = ACTIONS(3178),
    [aux_sym_number_literal_token1] = ACTIONS(3180),
    [aux_sym_number_literal_token2] = ACTIONS(3178),
    [anon_sym_L_SQUOTE] = ACTIONS(3180),
    [anon_sym_u_SQUOTE] = ACTIONS(3180),
    [anon_sym_U_SQUOTE] = ACTIONS(3180),
    [anon_sym_u8_SQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [anon_sym_L_DQUOTE] = ACTIONS(3180),
    [anon_sym_u_DQUOTE] = ACTIONS(3180),
    [anon_sym_U_DQUOTE] = ACTIONS(3180),
    [anon_sym_u8_DQUOTE] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [sym_true] = ACTIONS(3178),
    [sym_false] = ACTIONS(3178),
    [anon_sym_NULL] = ACTIONS(3178),
    [anon_sym_nullptr] = ACTIONS(3178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3178),
    [anon_sym_decltype] = ACTIONS(3178),
    [anon_sym_explicit] = ACTIONS(3178),
    [anon_sym_typename] = ACTIONS(3178),
    [anon_sym_template] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_try] = ACTIONS(3178),
    [anon_sym_delete] = ACTIONS(3178),
    [anon_sym_throw] = ACTIONS(3178),
    [anon_sym_namespace] = ACTIONS(3178),
    [anon_sym_using] = ACTIONS(3178),
    [anon_sym_static_assert] = ACTIONS(3178),
    [anon_sym_concept] = ACTIONS(3178),
    [anon_sym_co_return] = ACTIONS(3178),
    [anon_sym_co_yield] = ACTIONS(3178),
    [anon_sym_R_DQUOTE] = ACTIONS(3180),
    [anon_sym_LR_DQUOTE] = ACTIONS(3180),
    [anon_sym_uR_DQUOTE] = ACTIONS(3180),
    [anon_sym_UR_DQUOTE] = ACTIONS(3180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3180),
    [anon_sym_co_await] = ACTIONS(3178),
    [anon_sym_new] = ACTIONS(3178),
    [anon_sym_requires] = ACTIONS(3178),
    [sym_this] = ACTIONS(3178),
  },
  [641] = {
    [sym_identifier] = ACTIONS(3020),
    [aux_sym_preproc_include_token1] = ACTIONS(3020),
    [aux_sym_preproc_def_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token2] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3020),
    [sym_preproc_directive] = ACTIONS(3020),
    [anon_sym_LPAREN2] = ACTIONS(3022),
    [anon_sym_BANG] = ACTIONS(3022),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3022),
    [anon_sym_AMP] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym___extension__] = ACTIONS(3020),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_virtual] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(3020),
    [anon_sym___attribute__] = ACTIONS(3020),
    [anon_sym_COLON_COLON] = ACTIONS(3022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(3020),
    [anon_sym___based] = ACTIONS(3020),
    [anon_sym___cdecl] = ACTIONS(3020),
    [anon_sym___clrcall] = ACTIONS(3020),
    [anon_sym___stdcall] = ACTIONS(3020),
    [anon_sym___fastcall] = ACTIONS(3020),
    [anon_sym___thiscall] = ACTIONS(3020),
    [anon_sym___vectorcall] = ACTIONS(3020),
    [anon_sym_LBRACE] = ACTIONS(3022),
    [anon_sym_signed] = ACTIONS(3020),
    [anon_sym_unsigned] = ACTIONS(3020),
    [anon_sym_long] = ACTIONS(3020),
    [anon_sym_short] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_register] = ACTIONS(3020),
    [anon_sym_inline] = ACTIONS(3020),
    [anon_sym___inline] = ACTIONS(3020),
    [anon_sym___inline__] = ACTIONS(3020),
    [anon_sym___forceinline] = ACTIONS(3020),
    [anon_sym_thread_local] = ACTIONS(3020),
    [anon_sym___thread] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_constexpr] = ACTIONS(3020),
    [anon_sym_volatile] = ACTIONS(3020),
    [anon_sym_restrict] = ACTIONS(3020),
    [anon_sym___restrict__] = ACTIONS(3020),
    [anon_sym__Atomic] = ACTIONS(3020),
    [anon_sym__Noreturn] = ACTIONS(3020),
    [anon_sym_noreturn] = ACTIONS(3020),
    [anon_sym__Nonnull] = ACTIONS(3020),
    [anon_sym_mutable] = ACTIONS(3020),
    [anon_sym_constinit] = ACTIONS(3020),
    [anon_sym_consteval] = ACTIONS(3020),
    [anon_sym_PROGMEM] = ACTIONS(3020),
    [anon_sym_alignas] = ACTIONS(3020),
    [anon_sym__Alignas] = ACTIONS(3020),
    [aux_sym_primitive_type_token1] = ACTIONS(3020),
    [anon_sym_byte] = ACTIONS(3020),
    [anon_sym_word] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_struct] = ACTIONS(3020),
    [anon_sym_union] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(3020),
    [anon_sym_switch] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3020),
    [anon_sym_default] = ACTIONS(3020),
    [anon_sym_while] = ACTIONS(3020),
    [anon_sym_do] = ACTIONS(3020),
    [anon_sym_for] = ACTIONS(3020),
    [anon_sym_return] = ACTIONS(3020),
    [anon_sym_break] = ACTIONS(3020),
    [anon_sym_continue] = ACTIONS(3020),
    [anon_sym_goto] = ACTIONS(3020),
    [anon_sym___try] = ACTIONS(3020),
    [anon_sym___leave] = ACTIONS(3020),
    [anon_sym_not] = ACTIONS(3020),
    [anon_sym_compl] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3022),
    [anon_sym_sizeof] = ACTIONS(3020),
    [anon_sym___alignof__] = ACTIONS(3020),
    [anon_sym___alignof] = ACTIONS(3020),
    [anon_sym__alignof] = ACTIONS(3020),
    [anon_sym_alignof] = ACTIONS(3020),
    [anon_sym__Alignof] = ACTIONS(3020),
    [anon_sym_offsetof] = ACTIONS(3020),
    [anon_sym__Generic] = ACTIONS(3020),
    [anon_sym_asm] = ACTIONS(3020),
    [anon_sym___asm__] = ACTIONS(3020),
    [anon_sym___asm] = ACTIONS(3020),
    [aux_sym_number_literal_token1] = ACTIONS(3022),
    [aux_sym_number_literal_token2] = ACTIONS(3020),
    [anon_sym_L_SQUOTE] = ACTIONS(3022),
    [anon_sym_u_SQUOTE] = ACTIONS(3022),
    [anon_sym_U_SQUOTE] = ACTIONS(3022),
    [anon_sym_u8_SQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3022),
    [anon_sym_L_DQUOTE] = ACTIONS(3022),
    [anon_sym_u_DQUOTE] = ACTIONS(3022),
    [anon_sym_U_DQUOTE] = ACTIONS(3022),
    [anon_sym_u8_DQUOTE] = ACTIONS(3022),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [sym_true] = ACTIONS(3020),
    [sym_false] = ACTIONS(3020),
    [anon_sym_NULL] = ACTIONS(3020),
    [anon_sym_nullptr] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3020),
    [anon_sym_decltype] = ACTIONS(3020),
    [anon_sym_explicit] = ACTIONS(3020),
    [anon_sym_typename] = ACTIONS(3020),
    [anon_sym_template] = ACTIONS(3020),
    [anon_sym_operator] = ACTIONS(3020),
    [anon_sym_try] = ACTIONS(3020),
    [anon_sym_delete] = ACTIONS(3020),
    [anon_sym_throw] = ACTIONS(3020),
    [anon_sym_namespace] = ACTIONS(3020),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3020),
    [anon_sym_concept] = ACTIONS(3020),
    [anon_sym_co_return] = ACTIONS(3020),
    [anon_sym_co_yield] = ACTIONS(3020),
    [anon_sym_R_DQUOTE] = ACTIONS(3022),
    [anon_sym_LR_DQUOTE] = ACTIONS(3022),
    [anon_sym_uR_DQUOTE] = ACTIONS(3022),
    [anon_sym_UR_DQUOTE] = ACTIONS(3022),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3022),
    [anon_sym_co_await] = ACTIONS(3020),
    [anon_sym_new] = ACTIONS(3020),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3020),
  },
  [642] = {
    [sym_identifier] = ACTIONS(3012),
    [aux_sym_preproc_include_token1] = ACTIONS(3012),
    [aux_sym_preproc_def_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token2] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3012),
    [sym_preproc_directive] = ACTIONS(3012),
    [anon_sym_LPAREN2] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(3014),
    [anon_sym_TILDE] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3012),
    [anon_sym_typedef] = ACTIONS(3012),
    [anon_sym_virtual] = ACTIONS(3012),
    [anon_sym_extern] = ACTIONS(3012),
    [anon_sym___attribute__] = ACTIONS(3012),
    [anon_sym_COLON_COLON] = ACTIONS(3014),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3014),
    [anon_sym___declspec] = ACTIONS(3012),
    [anon_sym___based] = ACTIONS(3012),
    [anon_sym___cdecl] = ACTIONS(3012),
    [anon_sym___clrcall] = ACTIONS(3012),
    [anon_sym___stdcall] = ACTIONS(3012),
    [anon_sym___fastcall] = ACTIONS(3012),
    [anon_sym___thiscall] = ACTIONS(3012),
    [anon_sym___vectorcall] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_signed] = ACTIONS(3012),
    [anon_sym_unsigned] = ACTIONS(3012),
    [anon_sym_long] = ACTIONS(3012),
    [anon_sym_short] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_static] = ACTIONS(3012),
    [anon_sym_register] = ACTIONS(3012),
    [anon_sym_inline] = ACTIONS(3012),
    [anon_sym___inline] = ACTIONS(3012),
    [anon_sym___inline__] = ACTIONS(3012),
    [anon_sym___forceinline] = ACTIONS(3012),
    [anon_sym_thread_local] = ACTIONS(3012),
    [anon_sym___thread] = ACTIONS(3012),
    [anon_sym_const] = ACTIONS(3012),
    [anon_sym_constexpr] = ACTIONS(3012),
    [anon_sym_volatile] = ACTIONS(3012),
    [anon_sym_restrict] = ACTIONS(3012),
    [anon_sym___restrict__] = ACTIONS(3012),
    [anon_sym__Atomic] = ACTIONS(3012),
    [anon_sym__Noreturn] = ACTIONS(3012),
    [anon_sym_noreturn] = ACTIONS(3012),
    [anon_sym__Nonnull] = ACTIONS(3012),
    [anon_sym_mutable] = ACTIONS(3012),
    [anon_sym_constinit] = ACTIONS(3012),
    [anon_sym_consteval] = ACTIONS(3012),
    [anon_sym_PROGMEM] = ACTIONS(3012),
    [anon_sym_alignas] = ACTIONS(3012),
    [anon_sym__Alignas] = ACTIONS(3012),
    [aux_sym_primitive_type_token1] = ACTIONS(3012),
    [anon_sym_byte] = ACTIONS(3012),
    [anon_sym_word] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3012),
    [anon_sym_struct] = ACTIONS(3012),
    [anon_sym_union] = ACTIONS(3012),
    [anon_sym_if] = ACTIONS(3012),
    [anon_sym_switch] = ACTIONS(3012),
    [anon_sym_case] = ACTIONS(3012),
    [anon_sym_default] = ACTIONS(3012),
    [anon_sym_while] = ACTIONS(3012),
    [anon_sym_do] = ACTIONS(3012),
    [anon_sym_for] = ACTIONS(3012),
    [anon_sym_return] = ACTIONS(3012),
    [anon_sym_break] = ACTIONS(3012),
    [anon_sym_continue] = ACTIONS(3012),
    [anon_sym_goto] = ACTIONS(3012),
    [anon_sym___try] = ACTIONS(3012),
    [anon_sym___leave] = ACTIONS(3012),
    [anon_sym_not] = ACTIONS(3012),
    [anon_sym_compl] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3014),
    [anon_sym_PLUS_PLUS] = ACTIONS(3014),
    [anon_sym_sizeof] = ACTIONS(3012),
    [anon_sym___alignof__] = ACTIONS(3012),
    [anon_sym___alignof] = ACTIONS(3012),
    [anon_sym__alignof] = ACTIONS(3012),
    [anon_sym_alignof] = ACTIONS(3012),
    [anon_sym__Alignof] = ACTIONS(3012),
    [anon_sym_offsetof] = ACTIONS(3012),
    [anon_sym__Generic] = ACTIONS(3012),
    [anon_sym_asm] = ACTIONS(3012),
    [anon_sym___asm__] = ACTIONS(3012),
    [anon_sym___asm] = ACTIONS(3012),
    [aux_sym_number_literal_token1] = ACTIONS(3014),
    [aux_sym_number_literal_token2] = ACTIONS(3012),
    [anon_sym_L_SQUOTE] = ACTIONS(3014),
    [anon_sym_u_SQUOTE] = ACTIONS(3014),
    [anon_sym_U_SQUOTE] = ACTIONS(3014),
    [anon_sym_u8_SQUOTE] = ACTIONS(3014),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [anon_sym_L_DQUOTE] = ACTIONS(3014),
    [anon_sym_u_DQUOTE] = ACTIONS(3014),
    [anon_sym_U_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8_DQUOTE] = ACTIONS(3014),
    [anon_sym_DQUOTE] = ACTIONS(3014),
    [sym_true] = ACTIONS(3012),
    [sym_false] = ACTIONS(3012),
    [anon_sym_NULL] = ACTIONS(3012),
    [anon_sym_nullptr] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3012),
    [anon_sym_decltype] = ACTIONS(3012),
    [anon_sym_explicit] = ACTIONS(3012),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(3012),
    [anon_sym_try] = ACTIONS(3012),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_throw] = ACTIONS(3012),
    [anon_sym_namespace] = ACTIONS(3012),
    [anon_sym_using] = ACTIONS(3012),
    [anon_sym_static_assert] = ACTIONS(3012),
    [anon_sym_concept] = ACTIONS(3012),
    [anon_sym_co_return] = ACTIONS(3012),
    [anon_sym_co_yield] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3012),
    [anon_sym_new] = ACTIONS(3012),
    [anon_sym_requires] = ACTIONS(3012),
    [sym_this] = ACTIONS(3012),
  },
  [643] = {
    [sym_identifier] = ACTIONS(3008),
    [aux_sym_preproc_include_token1] = ACTIONS(3008),
    [aux_sym_preproc_def_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token2] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3008),
    [anon_sym_LPAREN2] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(3010),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(3008),
    [anon_sym_typedef] = ACTIONS(3008),
    [anon_sym_virtual] = ACTIONS(3008),
    [anon_sym_extern] = ACTIONS(3008),
    [anon_sym___attribute__] = ACTIONS(3008),
    [anon_sym_COLON_COLON] = ACTIONS(3010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3010),
    [anon_sym___declspec] = ACTIONS(3008),
    [anon_sym___based] = ACTIONS(3008),
    [anon_sym___cdecl] = ACTIONS(3008),
    [anon_sym___clrcall] = ACTIONS(3008),
    [anon_sym___stdcall] = ACTIONS(3008),
    [anon_sym___fastcall] = ACTIONS(3008),
    [anon_sym___thiscall] = ACTIONS(3008),
    [anon_sym___vectorcall] = ACTIONS(3008),
    [anon_sym_LBRACE] = ACTIONS(3010),
    [anon_sym_signed] = ACTIONS(3008),
    [anon_sym_unsigned] = ACTIONS(3008),
    [anon_sym_long] = ACTIONS(3008),
    [anon_sym_short] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_register] = ACTIONS(3008),
    [anon_sym_inline] = ACTIONS(3008),
    [anon_sym___inline] = ACTIONS(3008),
    [anon_sym___inline__] = ACTIONS(3008),
    [anon_sym___forceinline] = ACTIONS(3008),
    [anon_sym_thread_local] = ACTIONS(3008),
    [anon_sym___thread] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_constexpr] = ACTIONS(3008),
    [anon_sym_volatile] = ACTIONS(3008),
    [anon_sym_restrict] = ACTIONS(3008),
    [anon_sym___restrict__] = ACTIONS(3008),
    [anon_sym__Atomic] = ACTIONS(3008),
    [anon_sym__Noreturn] = ACTIONS(3008),
    [anon_sym_noreturn] = ACTIONS(3008),
    [anon_sym__Nonnull] = ACTIONS(3008),
    [anon_sym_mutable] = ACTIONS(3008),
    [anon_sym_constinit] = ACTIONS(3008),
    [anon_sym_consteval] = ACTIONS(3008),
    [anon_sym_PROGMEM] = ACTIONS(3008),
    [anon_sym_alignas] = ACTIONS(3008),
    [anon_sym__Alignas] = ACTIONS(3008),
    [aux_sym_primitive_type_token1] = ACTIONS(3008),
    [anon_sym_byte] = ACTIONS(3008),
    [anon_sym_word] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3008),
    [anon_sym_if] = ACTIONS(3008),
    [anon_sym_switch] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3008),
    [anon_sym_default] = ACTIONS(3008),
    [anon_sym_while] = ACTIONS(3008),
    [anon_sym_do] = ACTIONS(3008),
    [anon_sym_for] = ACTIONS(3008),
    [anon_sym_return] = ACTIONS(3008),
    [anon_sym_break] = ACTIONS(3008),
    [anon_sym_continue] = ACTIONS(3008),
    [anon_sym_goto] = ACTIONS(3008),
    [anon_sym___try] = ACTIONS(3008),
    [anon_sym___leave] = ACTIONS(3008),
    [anon_sym_not] = ACTIONS(3008),
    [anon_sym_compl] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3010),
    [anon_sym_sizeof] = ACTIONS(3008),
    [anon_sym___alignof__] = ACTIONS(3008),
    [anon_sym___alignof] = ACTIONS(3008),
    [anon_sym__alignof] = ACTIONS(3008),
    [anon_sym_alignof] = ACTIONS(3008),
    [anon_sym__Alignof] = ACTIONS(3008),
    [anon_sym_offsetof] = ACTIONS(3008),
    [anon_sym__Generic] = ACTIONS(3008),
    [anon_sym_asm] = ACTIONS(3008),
    [anon_sym___asm__] = ACTIONS(3008),
    [anon_sym___asm] = ACTIONS(3008),
    [aux_sym_number_literal_token1] = ACTIONS(3010),
    [aux_sym_number_literal_token2] = ACTIONS(3008),
    [anon_sym_L_SQUOTE] = ACTIONS(3010),
    [anon_sym_u_SQUOTE] = ACTIONS(3010),
    [anon_sym_U_SQUOTE] = ACTIONS(3010),
    [anon_sym_u8_SQUOTE] = ACTIONS(3010),
    [anon_sym_SQUOTE] = ACTIONS(3010),
    [anon_sym_L_DQUOTE] = ACTIONS(3010),
    [anon_sym_u_DQUOTE] = ACTIONS(3010),
    [anon_sym_U_DQUOTE] = ACTIONS(3010),
    [anon_sym_u8_DQUOTE] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3010),
    [sym_true] = ACTIONS(3008),
    [sym_false] = ACTIONS(3008),
    [anon_sym_NULL] = ACTIONS(3008),
    [anon_sym_nullptr] = ACTIONS(3008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3008),
    [anon_sym_decltype] = ACTIONS(3008),
    [anon_sym_explicit] = ACTIONS(3008),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(3008),
    [anon_sym_operator] = ACTIONS(3008),
    [anon_sym_try] = ACTIONS(3008),
    [anon_sym_delete] = ACTIONS(3008),
    [anon_sym_throw] = ACTIONS(3008),
    [anon_sym_namespace] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_concept] = ACTIONS(3008),
    [anon_sym_co_return] = ACTIONS(3008),
    [anon_sym_co_yield] = ACTIONS(3008),
    [anon_sym_R_DQUOTE] = ACTIONS(3010),
    [anon_sym_LR_DQUOTE] = ACTIONS(3010),
    [anon_sym_uR_DQUOTE] = ACTIONS(3010),
    [anon_sym_UR_DQUOTE] = ACTIONS(3010),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3010),
    [anon_sym_co_await] = ACTIONS(3008),
    [anon_sym_new] = ACTIONS(3008),
    [anon_sym_requires] = ACTIONS(3008),
    [sym_this] = ACTIONS(3008),
  },
  [644] = {
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_include_token1] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token2] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym___cdecl] = ACTIONS(2992),
    [anon_sym___clrcall] = ACTIONS(2992),
    [anon_sym___stdcall] = ACTIONS(2992),
    [anon_sym___fastcall] = ACTIONS(2992),
    [anon_sym___thiscall] = ACTIONS(2992),
    [anon_sym___vectorcall] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_PROGMEM] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [aux_sym_primitive_type_token1] = ACTIONS(2992),
    [anon_sym_byte] = ACTIONS(2992),
    [anon_sym_word] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_case] = ACTIONS(2992),
    [anon_sym_default] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_goto] = ACTIONS(2992),
    [anon_sym___try] = ACTIONS(2992),
    [anon_sym___leave] = ACTIONS(2992),
    [anon_sym_not] = ACTIONS(2992),
    [anon_sym_compl] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_sizeof] = ACTIONS(2992),
    [anon_sym___alignof__] = ACTIONS(2992),
    [anon_sym___alignof] = ACTIONS(2992),
    [anon_sym__alignof] = ACTIONS(2992),
    [anon_sym_alignof] = ACTIONS(2992),
    [anon_sym__Alignof] = ACTIONS(2992),
    [anon_sym_offsetof] = ACTIONS(2992),
    [anon_sym__Generic] = ACTIONS(2992),
    [anon_sym_asm] = ACTIONS(2992),
    [anon_sym___asm__] = ACTIONS(2992),
    [anon_sym___asm] = ACTIONS(2992),
    [aux_sym_number_literal_token1] = ACTIONS(2994),
    [aux_sym_number_literal_token2] = ACTIONS(2992),
    [anon_sym_L_SQUOTE] = ACTIONS(2994),
    [anon_sym_u_SQUOTE] = ACTIONS(2994),
    [anon_sym_U_SQUOTE] = ACTIONS(2994),
    [anon_sym_u8_SQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_L_DQUOTE] = ACTIONS(2994),
    [anon_sym_u_DQUOTE] = ACTIONS(2994),
    [anon_sym_U_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8_DQUOTE] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [anon_sym_NULL] = ACTIONS(2992),
    [anon_sym_nullptr] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
    [anon_sym_concept] = ACTIONS(2992),
    [anon_sym_co_return] = ACTIONS(2992),
    [anon_sym_co_yield] = ACTIONS(2992),
    [anon_sym_R_DQUOTE] = ACTIONS(2994),
    [anon_sym_LR_DQUOTE] = ACTIONS(2994),
    [anon_sym_uR_DQUOTE] = ACTIONS(2994),
    [anon_sym_UR_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2994),
    [anon_sym_co_await] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_requires] = ACTIONS(2992),
    [sym_this] = ACTIONS(2992),
  },
  [645] = {
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_include_token1] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token2] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3174),
    [sym_preproc_directive] = ACTIONS(3174),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3174),
    [anon_sym_typedef] = ACTIONS(3174),
    [anon_sym_virtual] = ACTIONS(3174),
    [anon_sym_extern] = ACTIONS(3174),
    [anon_sym___attribute__] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3176),
    [anon_sym___declspec] = ACTIONS(3174),
    [anon_sym___based] = ACTIONS(3174),
    [anon_sym___cdecl] = ACTIONS(3174),
    [anon_sym___clrcall] = ACTIONS(3174),
    [anon_sym___stdcall] = ACTIONS(3174),
    [anon_sym___fastcall] = ACTIONS(3174),
    [anon_sym___thiscall] = ACTIONS(3174),
    [anon_sym___vectorcall] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3174),
    [anon_sym_unsigned] = ACTIONS(3174),
    [anon_sym_long] = ACTIONS(3174),
    [anon_sym_short] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_register] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym___inline] = ACTIONS(3174),
    [anon_sym___inline__] = ACTIONS(3174),
    [anon_sym___forceinline] = ACTIONS(3174),
    [anon_sym_thread_local] = ACTIONS(3174),
    [anon_sym___thread] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_constexpr] = ACTIONS(3174),
    [anon_sym_volatile] = ACTIONS(3174),
    [anon_sym_restrict] = ACTIONS(3174),
    [anon_sym___restrict__] = ACTIONS(3174),
    [anon_sym__Atomic] = ACTIONS(3174),
    [anon_sym__Noreturn] = ACTIONS(3174),
    [anon_sym_noreturn] = ACTIONS(3174),
    [anon_sym__Nonnull] = ACTIONS(3174),
    [anon_sym_mutable] = ACTIONS(3174),
    [anon_sym_constinit] = ACTIONS(3174),
    [anon_sym_consteval] = ACTIONS(3174),
    [anon_sym_PROGMEM] = ACTIONS(3174),
    [anon_sym_alignas] = ACTIONS(3174),
    [anon_sym__Alignas] = ACTIONS(3174),
    [aux_sym_primitive_type_token1] = ACTIONS(3174),
    [anon_sym_byte] = ACTIONS(3174),
    [anon_sym_word] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_struct] = ACTIONS(3174),
    [anon_sym_union] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_case] = ACTIONS(3174),
    [anon_sym_default] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_goto] = ACTIONS(3174),
    [anon_sym___try] = ACTIONS(3174),
    [anon_sym___leave] = ACTIONS(3174),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_compl] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_sizeof] = ACTIONS(3174),
    [anon_sym___alignof__] = ACTIONS(3174),
    [anon_sym___alignof] = ACTIONS(3174),
    [anon_sym__alignof] = ACTIONS(3174),
    [anon_sym_alignof] = ACTIONS(3174),
    [anon_sym__Alignof] = ACTIONS(3174),
    [anon_sym_offsetof] = ACTIONS(3174),
    [anon_sym__Generic] = ACTIONS(3174),
    [anon_sym_asm] = ACTIONS(3174),
    [anon_sym___asm__] = ACTIONS(3174),
    [anon_sym___asm] = ACTIONS(3174),
    [aux_sym_number_literal_token1] = ACTIONS(3176),
    [aux_sym_number_literal_token2] = ACTIONS(3174),
    [anon_sym_L_SQUOTE] = ACTIONS(3176),
    [anon_sym_u_SQUOTE] = ACTIONS(3176),
    [anon_sym_U_SQUOTE] = ACTIONS(3176),
    [anon_sym_u8_SQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_L_DQUOTE] = ACTIONS(3176),
    [anon_sym_u_DQUOTE] = ACTIONS(3176),
    [anon_sym_U_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8_DQUOTE] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [anon_sym_NULL] = ACTIONS(3174),
    [anon_sym_nullptr] = ACTIONS(3174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3174),
    [anon_sym_decltype] = ACTIONS(3174),
    [anon_sym_explicit] = ACTIONS(3174),
    [anon_sym_typename] = ACTIONS(3174),
    [anon_sym_template] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_static_assert] = ACTIONS(3174),
    [anon_sym_concept] = ACTIONS(3174),
    [anon_sym_co_return] = ACTIONS(3174),
    [anon_sym_co_yield] = ACTIONS(3174),
    [anon_sym_R_DQUOTE] = ACTIONS(3176),
    [anon_sym_LR_DQUOTE] = ACTIONS(3176),
    [anon_sym_uR_DQUOTE] = ACTIONS(3176),
    [anon_sym_UR_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3176),
    [anon_sym_co_await] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_requires] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
  },
  [646] = {
    [sym_identifier] = ACTIONS(2988),
    [aux_sym_preproc_include_token1] = ACTIONS(2988),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token2] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2988),
    [sym_preproc_directive] = ACTIONS(2988),
    [anon_sym_LPAREN2] = ACTIONS(2990),
    [anon_sym_BANG] = ACTIONS(2990),
    [anon_sym_TILDE] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2988),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2990),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_typedef] = ACTIONS(2988),
    [anon_sym_virtual] = ACTIONS(2988),
    [anon_sym_extern] = ACTIONS(2988),
    [anon_sym___attribute__] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(2990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2990),
    [anon_sym___declspec] = ACTIONS(2988),
    [anon_sym___based] = ACTIONS(2988),
    [anon_sym___cdecl] = ACTIONS(2988),
    [anon_sym___clrcall] = ACTIONS(2988),
    [anon_sym___stdcall] = ACTIONS(2988),
    [anon_sym___fastcall] = ACTIONS(2988),
    [anon_sym___thiscall] = ACTIONS(2988),
    [anon_sym___vectorcall] = ACTIONS(2988),
    [anon_sym_LBRACE] = ACTIONS(2990),
    [anon_sym_signed] = ACTIONS(2988),
    [anon_sym_unsigned] = ACTIONS(2988),
    [anon_sym_long] = ACTIONS(2988),
    [anon_sym_short] = ACTIONS(2988),
    [anon_sym_LBRACK] = ACTIONS(2988),
    [anon_sym_static] = ACTIONS(2988),
    [anon_sym_register] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(2988),
    [anon_sym___inline] = ACTIONS(2988),
    [anon_sym___inline__] = ACTIONS(2988),
    [anon_sym___forceinline] = ACTIONS(2988),
    [anon_sym_thread_local] = ACTIONS(2988),
    [anon_sym___thread] = ACTIONS(2988),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_PROGMEM] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2988),
    [anon_sym__Alignas] = ACTIONS(2988),
    [aux_sym_primitive_type_token1] = ACTIONS(2988),
    [anon_sym_byte] = ACTIONS(2988),
    [anon_sym_word] = ACTIONS(2988),
    [anon_sym_enum] = ACTIONS(2988),
    [anon_sym_class] = ACTIONS(2988),
    [anon_sym_struct] = ACTIONS(2988),
    [anon_sym_union] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2988),
    [anon_sym_switch] = ACTIONS(2988),
    [anon_sym_case] = ACTIONS(2988),
    [anon_sym_default] = ACTIONS(2988),
    [anon_sym_while] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2988),
    [anon_sym_for] = ACTIONS(2988),
    [anon_sym_return] = ACTIONS(2988),
    [anon_sym_break] = ACTIONS(2988),
    [anon_sym_continue] = ACTIONS(2988),
    [anon_sym_goto] = ACTIONS(2988),
    [anon_sym___try] = ACTIONS(2988),
    [anon_sym___leave] = ACTIONS(2988),
    [anon_sym_not] = ACTIONS(2988),
    [anon_sym_compl] = ACTIONS(2988),
    [anon_sym_DASH_DASH] = ACTIONS(2990),
    [anon_sym_PLUS_PLUS] = ACTIONS(2990),
    [anon_sym_sizeof] = ACTIONS(2988),
    [anon_sym___alignof__] = ACTIONS(2988),
    [anon_sym___alignof] = ACTIONS(2988),
    [anon_sym__alignof] = ACTIONS(2988),
    [anon_sym_alignof] = ACTIONS(2988),
    [anon_sym__Alignof] = ACTIONS(2988),
    [anon_sym_offsetof] = ACTIONS(2988),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2988),
    [anon_sym___asm__] = ACTIONS(2988),
    [anon_sym___asm] = ACTIONS(2988),
    [aux_sym_number_literal_token1] = ACTIONS(2990),
    [aux_sym_number_literal_token2] = ACTIONS(2988),
    [anon_sym_L_SQUOTE] = ACTIONS(2990),
    [anon_sym_u_SQUOTE] = ACTIONS(2990),
    [anon_sym_U_SQUOTE] = ACTIONS(2990),
    [anon_sym_u8_SQUOTE] = ACTIONS(2990),
    [anon_sym_SQUOTE] = ACTIONS(2990),
    [anon_sym_L_DQUOTE] = ACTIONS(2990),
    [anon_sym_u_DQUOTE] = ACTIONS(2990),
    [anon_sym_U_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8_DQUOTE] = ACTIONS(2990),
    [anon_sym_DQUOTE] = ACTIONS(2990),
    [sym_true] = ACTIONS(2988),
    [sym_false] = ACTIONS(2988),
    [anon_sym_NULL] = ACTIONS(2988),
    [anon_sym_nullptr] = ACTIONS(2988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2988),
    [anon_sym_decltype] = ACTIONS(2988),
    [anon_sym_explicit] = ACTIONS(2988),
    [anon_sym_typename] = ACTIONS(2988),
    [anon_sym_template] = ACTIONS(2988),
    [anon_sym_operator] = ACTIONS(2988),
    [anon_sym_try] = ACTIONS(2988),
    [anon_sym_delete] = ACTIONS(2988),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_namespace] = ACTIONS(2988),
    [anon_sym_using] = ACTIONS(2988),
    [anon_sym_static_assert] = ACTIONS(2988),
    [anon_sym_concept] = ACTIONS(2988),
    [anon_sym_co_return] = ACTIONS(2988),
    [anon_sym_co_yield] = ACTIONS(2988),
    [anon_sym_R_DQUOTE] = ACTIONS(2990),
    [anon_sym_LR_DQUOTE] = ACTIONS(2990),
    [anon_sym_uR_DQUOTE] = ACTIONS(2990),
    [anon_sym_UR_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2990),
    [anon_sym_co_await] = ACTIONS(2988),
    [anon_sym_new] = ACTIONS(2988),
    [anon_sym_requires] = ACTIONS(2988),
    [sym_this] = ACTIONS(2988),
  },
  [647] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token2] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_PROGMEM] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [aux_sym_primitive_type_token1] = ACTIONS(2976),
    [anon_sym_byte] = ACTIONS(2976),
    [anon_sym_word] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym___try] = ACTIONS(2976),
    [anon_sym___leave] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [aux_sym_number_literal_token1] = ACTIONS(2978),
    [aux_sym_number_literal_token2] = ACTIONS(2976),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [648] = {
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_include_token1] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token2] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2968),
    [sym_preproc_directive] = ACTIONS(2968),
    [anon_sym_LPAREN2] = ACTIONS(2970),
    [anon_sym_BANG] = ACTIONS(2970),
    [anon_sym_TILDE] = ACTIONS(2970),
    [anon_sym_DASH] = ACTIONS(2968),
    [anon_sym_PLUS] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(2970),
    [anon_sym_AMP_AMP] = ACTIONS(2970),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2970),
    [anon_sym___extension__] = ACTIONS(2968),
    [anon_sym_typedef] = ACTIONS(2968),
    [anon_sym_virtual] = ACTIONS(2968),
    [anon_sym_extern] = ACTIONS(2968),
    [anon_sym___attribute__] = ACTIONS(2968),
    [anon_sym_COLON_COLON] = ACTIONS(2970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2970),
    [anon_sym___declspec] = ACTIONS(2968),
    [anon_sym___based] = ACTIONS(2968),
    [anon_sym___cdecl] = ACTIONS(2968),
    [anon_sym___clrcall] = ACTIONS(2968),
    [anon_sym___stdcall] = ACTIONS(2968),
    [anon_sym___fastcall] = ACTIONS(2968),
    [anon_sym___thiscall] = ACTIONS(2968),
    [anon_sym___vectorcall] = ACTIONS(2968),
    [anon_sym_LBRACE] = ACTIONS(2970),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_register] = ACTIONS(2968),
    [anon_sym_inline] = ACTIONS(2968),
    [anon_sym___inline] = ACTIONS(2968),
    [anon_sym___inline__] = ACTIONS(2968),
    [anon_sym___forceinline] = ACTIONS(2968),
    [anon_sym_thread_local] = ACTIONS(2968),
    [anon_sym___thread] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2968),
    [anon_sym_constexpr] = ACTIONS(2968),
    [anon_sym_volatile] = ACTIONS(2968),
    [anon_sym_restrict] = ACTIONS(2968),
    [anon_sym___restrict__] = ACTIONS(2968),
    [anon_sym__Atomic] = ACTIONS(2968),
    [anon_sym__Noreturn] = ACTIONS(2968),
    [anon_sym_noreturn] = ACTIONS(2968),
    [anon_sym__Nonnull] = ACTIONS(2968),
    [anon_sym_mutable] = ACTIONS(2968),
    [anon_sym_constinit] = ACTIONS(2968),
    [anon_sym_consteval] = ACTIONS(2968),
    [anon_sym_PROGMEM] = ACTIONS(2968),
    [anon_sym_alignas] = ACTIONS(2968),
    [anon_sym__Alignas] = ACTIONS(2968),
    [aux_sym_primitive_type_token1] = ACTIONS(2968),
    [anon_sym_byte] = ACTIONS(2968),
    [anon_sym_word] = ACTIONS(2968),
    [anon_sym_enum] = ACTIONS(2968),
    [anon_sym_class] = ACTIONS(2968),
    [anon_sym_struct] = ACTIONS(2968),
    [anon_sym_union] = ACTIONS(2968),
    [anon_sym_if] = ACTIONS(2968),
    [anon_sym_switch] = ACTIONS(2968),
    [anon_sym_case] = ACTIONS(2968),
    [anon_sym_default] = ACTIONS(2968),
    [anon_sym_while] = ACTIONS(2968),
    [anon_sym_do] = ACTIONS(2968),
    [anon_sym_for] = ACTIONS(2968),
    [anon_sym_return] = ACTIONS(2968),
    [anon_sym_break] = ACTIONS(2968),
    [anon_sym_continue] = ACTIONS(2968),
    [anon_sym_goto] = ACTIONS(2968),
    [anon_sym___try] = ACTIONS(2968),
    [anon_sym___leave] = ACTIONS(2968),
    [anon_sym_not] = ACTIONS(2968),
    [anon_sym_compl] = ACTIONS(2968),
    [anon_sym_DASH_DASH] = ACTIONS(2970),
    [anon_sym_PLUS_PLUS] = ACTIONS(2970),
    [anon_sym_sizeof] = ACTIONS(2968),
    [anon_sym___alignof__] = ACTIONS(2968),
    [anon_sym___alignof] = ACTIONS(2968),
    [anon_sym__alignof] = ACTIONS(2968),
    [anon_sym_alignof] = ACTIONS(2968),
    [anon_sym__Alignof] = ACTIONS(2968),
    [anon_sym_offsetof] = ACTIONS(2968),
    [anon_sym__Generic] = ACTIONS(2968),
    [anon_sym_asm] = ACTIONS(2968),
    [anon_sym___asm__] = ACTIONS(2968),
    [anon_sym___asm] = ACTIONS(2968),
    [aux_sym_number_literal_token1] = ACTIONS(2970),
    [aux_sym_number_literal_token2] = ACTIONS(2968),
    [anon_sym_L_SQUOTE] = ACTIONS(2970),
    [anon_sym_u_SQUOTE] = ACTIONS(2970),
    [anon_sym_U_SQUOTE] = ACTIONS(2970),
    [anon_sym_u8_SQUOTE] = ACTIONS(2970),
    [anon_sym_SQUOTE] = ACTIONS(2970),
    [anon_sym_L_DQUOTE] = ACTIONS(2970),
    [anon_sym_u_DQUOTE] = ACTIONS(2970),
    [anon_sym_U_DQUOTE] = ACTIONS(2970),
    [anon_sym_u8_DQUOTE] = ACTIONS(2970),
    [anon_sym_DQUOTE] = ACTIONS(2970),
    [sym_true] = ACTIONS(2968),
    [sym_false] = ACTIONS(2968),
    [anon_sym_NULL] = ACTIONS(2968),
    [anon_sym_nullptr] = ACTIONS(2968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2968),
    [anon_sym_decltype] = ACTIONS(2968),
    [anon_sym_explicit] = ACTIONS(2968),
    [anon_sym_typename] = ACTIONS(2968),
    [anon_sym_template] = ACTIONS(2968),
    [anon_sym_operator] = ACTIONS(2968),
    [anon_sym_try] = ACTIONS(2968),
    [anon_sym_delete] = ACTIONS(2968),
    [anon_sym_throw] = ACTIONS(2968),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_using] = ACTIONS(2968),
    [anon_sym_static_assert] = ACTIONS(2968),
    [anon_sym_concept] = ACTIONS(2968),
    [anon_sym_co_return] = ACTIONS(2968),
    [anon_sym_co_yield] = ACTIONS(2968),
    [anon_sym_R_DQUOTE] = ACTIONS(2970),
    [anon_sym_LR_DQUOTE] = ACTIONS(2970),
    [anon_sym_uR_DQUOTE] = ACTIONS(2970),
    [anon_sym_UR_DQUOTE] = ACTIONS(2970),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2970),
    [anon_sym_co_await] = ACTIONS(2968),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_requires] = ACTIONS(2968),
    [sym_this] = ACTIONS(2968),
  },
  [649] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_PROGMEM] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [aux_sym_primitive_type_token1] = ACTIONS(2944),
    [anon_sym_byte] = ACTIONS(2944),
    [anon_sym_word] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [anon_sym___asm] = ACTIONS(2944),
    [aux_sym_number_literal_token1] = ACTIONS(2946),
    [aux_sym_number_literal_token2] = ACTIONS(2944),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [650] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token2] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym__Nonnull] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_PROGMEM] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym__Alignas] = ACTIONS(2948),
    [aux_sym_primitive_type_token1] = ACTIONS(2948),
    [anon_sym_byte] = ACTIONS(2948),
    [anon_sym_word] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym___try] = ACTIONS(2948),
    [anon_sym___leave] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [anon_sym___asm] = ACTIONS(2948),
    [aux_sym_number_literal_token1] = ACTIONS(2950),
    [aux_sym_number_literal_token2] = ACTIONS(2948),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [651] = {
    [sym_identifier] = ACTIONS(3186),
    [aux_sym_preproc_include_token1] = ACTIONS(3186),
    [aux_sym_preproc_def_token1] = ACTIONS(3186),
    [aux_sym_preproc_if_token1] = ACTIONS(3186),
    [aux_sym_preproc_if_token2] = ACTIONS(3186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3186),
    [sym_preproc_directive] = ACTIONS(3186),
    [anon_sym_LPAREN2] = ACTIONS(3188),
    [anon_sym_BANG] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym___extension__] = ACTIONS(3186),
    [anon_sym_typedef] = ACTIONS(3186),
    [anon_sym_virtual] = ACTIONS(3186),
    [anon_sym_extern] = ACTIONS(3186),
    [anon_sym___attribute__] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3188),
    [anon_sym___declspec] = ACTIONS(3186),
    [anon_sym___based] = ACTIONS(3186),
    [anon_sym___cdecl] = ACTIONS(3186),
    [anon_sym___clrcall] = ACTIONS(3186),
    [anon_sym___stdcall] = ACTIONS(3186),
    [anon_sym___fastcall] = ACTIONS(3186),
    [anon_sym___thiscall] = ACTIONS(3186),
    [anon_sym___vectorcall] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_signed] = ACTIONS(3186),
    [anon_sym_unsigned] = ACTIONS(3186),
    [anon_sym_long] = ACTIONS(3186),
    [anon_sym_short] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_register] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym___inline] = ACTIONS(3186),
    [anon_sym___inline__] = ACTIONS(3186),
    [anon_sym___forceinline] = ACTIONS(3186),
    [anon_sym_thread_local] = ACTIONS(3186),
    [anon_sym___thread] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_constexpr] = ACTIONS(3186),
    [anon_sym_volatile] = ACTIONS(3186),
    [anon_sym_restrict] = ACTIONS(3186),
    [anon_sym___restrict__] = ACTIONS(3186),
    [anon_sym__Atomic] = ACTIONS(3186),
    [anon_sym__Noreturn] = ACTIONS(3186),
    [anon_sym_noreturn] = ACTIONS(3186),
    [anon_sym__Nonnull] = ACTIONS(3186),
    [anon_sym_mutable] = ACTIONS(3186),
    [anon_sym_constinit] = ACTIONS(3186),
    [anon_sym_consteval] = ACTIONS(3186),
    [anon_sym_PROGMEM] = ACTIONS(3186),
    [anon_sym_alignas] = ACTIONS(3186),
    [anon_sym__Alignas] = ACTIONS(3186),
    [aux_sym_primitive_type_token1] = ACTIONS(3186),
    [anon_sym_byte] = ACTIONS(3186),
    [anon_sym_word] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_struct] = ACTIONS(3186),
    [anon_sym_union] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(3186),
    [anon_sym_case] = ACTIONS(3186),
    [anon_sym_default] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_break] = ACTIONS(3186),
    [anon_sym_continue] = ACTIONS(3186),
    [anon_sym_goto] = ACTIONS(3186),
    [anon_sym___try] = ACTIONS(3186),
    [anon_sym___leave] = ACTIONS(3186),
    [anon_sym_not] = ACTIONS(3186),
    [anon_sym_compl] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_sizeof] = ACTIONS(3186),
    [anon_sym___alignof__] = ACTIONS(3186),
    [anon_sym___alignof] = ACTIONS(3186),
    [anon_sym__alignof] = ACTIONS(3186),
    [anon_sym_alignof] = ACTIONS(3186),
    [anon_sym__Alignof] = ACTIONS(3186),
    [anon_sym_offsetof] = ACTIONS(3186),
    [anon_sym__Generic] = ACTIONS(3186),
    [anon_sym_asm] = ACTIONS(3186),
    [anon_sym___asm__] = ACTIONS(3186),
    [anon_sym___asm] = ACTIONS(3186),
    [aux_sym_number_literal_token1] = ACTIONS(3188),
    [aux_sym_number_literal_token2] = ACTIONS(3186),
    [anon_sym_L_SQUOTE] = ACTIONS(3188),
    [anon_sym_u_SQUOTE] = ACTIONS(3188),
    [anon_sym_U_SQUOTE] = ACTIONS(3188),
    [anon_sym_u8_SQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [anon_sym_L_DQUOTE] = ACTIONS(3188),
    [anon_sym_u_DQUOTE] = ACTIONS(3188),
    [anon_sym_U_DQUOTE] = ACTIONS(3188),
    [anon_sym_u8_DQUOTE] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3188),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [anon_sym_NULL] = ACTIONS(3186),
    [anon_sym_nullptr] = ACTIONS(3186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3186),
    [anon_sym_decltype] = ACTIONS(3186),
    [anon_sym_explicit] = ACTIONS(3186),
    [anon_sym_typename] = ACTIONS(3186),
    [anon_sym_template] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_delete] = ACTIONS(3186),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_namespace] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_static_assert] = ACTIONS(3186),
    [anon_sym_concept] = ACTIONS(3186),
    [anon_sym_co_return] = ACTIONS(3186),
    [anon_sym_co_yield] = ACTIONS(3186),
    [anon_sym_R_DQUOTE] = ACTIONS(3188),
    [anon_sym_LR_DQUOTE] = ACTIONS(3188),
    [anon_sym_uR_DQUOTE] = ACTIONS(3188),
    [anon_sym_UR_DQUOTE] = ACTIONS(3188),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3188),
    [anon_sym_co_await] = ACTIONS(3186),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_requires] = ACTIONS(3186),
    [sym_this] = ACTIONS(3186),
  },
  [652] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_PROGMEM] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [aux_sym_primitive_type_token1] = ACTIONS(3151),
    [anon_sym_byte] = ACTIONS(3151),
    [anon_sym_word] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym___try] = ACTIONS(3151),
    [anon_sym___leave] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [aux_sym_number_literal_token1] = ACTIONS(3153),
    [aux_sym_number_literal_token2] = ACTIONS(3151),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [653] = {
    [sym_identifier] = ACTIONS(3198),
    [aux_sym_preproc_include_token1] = ACTIONS(3198),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token2] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3198),
    [anon_sym_LPAREN2] = ACTIONS(3200),
    [anon_sym_BANG] = ACTIONS(3200),
    [anon_sym_TILDE] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3200),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym___extension__] = ACTIONS(3198),
    [anon_sym_typedef] = ACTIONS(3198),
    [anon_sym_virtual] = ACTIONS(3198),
    [anon_sym_extern] = ACTIONS(3198),
    [anon_sym___attribute__] = ACTIONS(3198),
    [anon_sym_COLON_COLON] = ACTIONS(3200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3200),
    [anon_sym___declspec] = ACTIONS(3198),
    [anon_sym___based] = ACTIONS(3198),
    [anon_sym___cdecl] = ACTIONS(3198),
    [anon_sym___clrcall] = ACTIONS(3198),
    [anon_sym___stdcall] = ACTIONS(3198),
    [anon_sym___fastcall] = ACTIONS(3198),
    [anon_sym___thiscall] = ACTIONS(3198),
    [anon_sym___vectorcall] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_signed] = ACTIONS(3198),
    [anon_sym_unsigned] = ACTIONS(3198),
    [anon_sym_long] = ACTIONS(3198),
    [anon_sym_short] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_register] = ACTIONS(3198),
    [anon_sym_inline] = ACTIONS(3198),
    [anon_sym___inline] = ACTIONS(3198),
    [anon_sym___inline__] = ACTIONS(3198),
    [anon_sym___forceinline] = ACTIONS(3198),
    [anon_sym_thread_local] = ACTIONS(3198),
    [anon_sym___thread] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_constexpr] = ACTIONS(3198),
    [anon_sym_volatile] = ACTIONS(3198),
    [anon_sym_restrict] = ACTIONS(3198),
    [anon_sym___restrict__] = ACTIONS(3198),
    [anon_sym__Atomic] = ACTIONS(3198),
    [anon_sym__Noreturn] = ACTIONS(3198),
    [anon_sym_noreturn] = ACTIONS(3198),
    [anon_sym__Nonnull] = ACTIONS(3198),
    [anon_sym_mutable] = ACTIONS(3198),
    [anon_sym_constinit] = ACTIONS(3198),
    [anon_sym_consteval] = ACTIONS(3198),
    [anon_sym_PROGMEM] = ACTIONS(3198),
    [anon_sym_alignas] = ACTIONS(3198),
    [anon_sym__Alignas] = ACTIONS(3198),
    [aux_sym_primitive_type_token1] = ACTIONS(3198),
    [anon_sym_byte] = ACTIONS(3198),
    [anon_sym_word] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_struct] = ACTIONS(3198),
    [anon_sym_union] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_case] = ACTIONS(3198),
    [anon_sym_default] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_goto] = ACTIONS(3198),
    [anon_sym___try] = ACTIONS(3198),
    [anon_sym___leave] = ACTIONS(3198),
    [anon_sym_not] = ACTIONS(3198),
    [anon_sym_compl] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_sizeof] = ACTIONS(3198),
    [anon_sym___alignof__] = ACTIONS(3198),
    [anon_sym___alignof] = ACTIONS(3198),
    [anon_sym__alignof] = ACTIONS(3198),
    [anon_sym_alignof] = ACTIONS(3198),
    [anon_sym__Alignof] = ACTIONS(3198),
    [anon_sym_offsetof] = ACTIONS(3198),
    [anon_sym__Generic] = ACTIONS(3198),
    [anon_sym_asm] = ACTIONS(3198),
    [anon_sym___asm__] = ACTIONS(3198),
    [anon_sym___asm] = ACTIONS(3198),
    [aux_sym_number_literal_token1] = ACTIONS(3200),
    [aux_sym_number_literal_token2] = ACTIONS(3198),
    [anon_sym_L_SQUOTE] = ACTIONS(3200),
    [anon_sym_u_SQUOTE] = ACTIONS(3200),
    [anon_sym_U_SQUOTE] = ACTIONS(3200),
    [anon_sym_u8_SQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [anon_sym_L_DQUOTE] = ACTIONS(3200),
    [anon_sym_u_DQUOTE] = ACTIONS(3200),
    [anon_sym_U_DQUOTE] = ACTIONS(3200),
    [anon_sym_u8_DQUOTE] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3200),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [anon_sym_NULL] = ACTIONS(3198),
    [anon_sym_nullptr] = ACTIONS(3198),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3198),
    [anon_sym_decltype] = ACTIONS(3198),
    [anon_sym_explicit] = ACTIONS(3198),
    [anon_sym_typename] = ACTIONS(3198),
    [anon_sym_template] = ACTIONS(3198),
    [anon_sym_operator] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_static_assert] = ACTIONS(3198),
    [anon_sym_concept] = ACTIONS(3198),
    [anon_sym_co_return] = ACTIONS(3198),
    [anon_sym_co_yield] = ACTIONS(3198),
    [anon_sym_R_DQUOTE] = ACTIONS(3200),
    [anon_sym_LR_DQUOTE] = ACTIONS(3200),
    [anon_sym_uR_DQUOTE] = ACTIONS(3200),
    [anon_sym_UR_DQUOTE] = ACTIONS(3200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3200),
    [anon_sym_co_await] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_requires] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
  },
  [654] = {
    [sym_identifier] = ACTIONS(3074),
    [aux_sym_preproc_include_token1] = ACTIONS(3074),
    [aux_sym_preproc_def_token1] = ACTIONS(3074),
    [aux_sym_preproc_if_token1] = ACTIONS(3074),
    [aux_sym_preproc_if_token2] = ACTIONS(3074),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3074),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3074),
    [sym_preproc_directive] = ACTIONS(3074),
    [anon_sym_LPAREN2] = ACTIONS(3076),
    [anon_sym_BANG] = ACTIONS(3076),
    [anon_sym_TILDE] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym___extension__] = ACTIONS(3074),
    [anon_sym_typedef] = ACTIONS(3074),
    [anon_sym_virtual] = ACTIONS(3074),
    [anon_sym_extern] = ACTIONS(3074),
    [anon_sym___attribute__] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3076),
    [anon_sym___declspec] = ACTIONS(3074),
    [anon_sym___based] = ACTIONS(3074),
    [anon_sym___cdecl] = ACTIONS(3074),
    [anon_sym___clrcall] = ACTIONS(3074),
    [anon_sym___stdcall] = ACTIONS(3074),
    [anon_sym___fastcall] = ACTIONS(3074),
    [anon_sym___thiscall] = ACTIONS(3074),
    [anon_sym___vectorcall] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_signed] = ACTIONS(3074),
    [anon_sym_unsigned] = ACTIONS(3074),
    [anon_sym_long] = ACTIONS(3074),
    [anon_sym_short] = ACTIONS(3074),
    [anon_sym_LBRACK] = ACTIONS(3074),
    [anon_sym_static] = ACTIONS(3074),
    [anon_sym_register] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym___inline] = ACTIONS(3074),
    [anon_sym___inline__] = ACTIONS(3074),
    [anon_sym___forceinline] = ACTIONS(3074),
    [anon_sym_thread_local] = ACTIONS(3074),
    [anon_sym___thread] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_constexpr] = ACTIONS(3074),
    [anon_sym_volatile] = ACTIONS(3074),
    [anon_sym_restrict] = ACTIONS(3074),
    [anon_sym___restrict__] = ACTIONS(3074),
    [anon_sym__Atomic] = ACTIONS(3074),
    [anon_sym__Noreturn] = ACTIONS(3074),
    [anon_sym_noreturn] = ACTIONS(3074),
    [anon_sym__Nonnull] = ACTIONS(3074),
    [anon_sym_mutable] = ACTIONS(3074),
    [anon_sym_constinit] = ACTIONS(3074),
    [anon_sym_consteval] = ACTIONS(3074),
    [anon_sym_PROGMEM] = ACTIONS(3074),
    [anon_sym_alignas] = ACTIONS(3074),
    [anon_sym__Alignas] = ACTIONS(3074),
    [aux_sym_primitive_type_token1] = ACTIONS(3074),
    [anon_sym_byte] = ACTIONS(3074),
    [anon_sym_word] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_class] = ACTIONS(3074),
    [anon_sym_struct] = ACTIONS(3074),
    [anon_sym_union] = ACTIONS(3074),
    [anon_sym_if] = ACTIONS(3074),
    [anon_sym_switch] = ACTIONS(3074),
    [anon_sym_case] = ACTIONS(3074),
    [anon_sym_default] = ACTIONS(3074),
    [anon_sym_while] = ACTIONS(3074),
    [anon_sym_do] = ACTIONS(3074),
    [anon_sym_for] = ACTIONS(3074),
    [anon_sym_return] = ACTIONS(3074),
    [anon_sym_break] = ACTIONS(3074),
    [anon_sym_continue] = ACTIONS(3074),
    [anon_sym_goto] = ACTIONS(3074),
    [anon_sym___try] = ACTIONS(3074),
    [anon_sym___leave] = ACTIONS(3074),
    [anon_sym_not] = ACTIONS(3074),
    [anon_sym_compl] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_sizeof] = ACTIONS(3074),
    [anon_sym___alignof__] = ACTIONS(3074),
    [anon_sym___alignof] = ACTIONS(3074),
    [anon_sym__alignof] = ACTIONS(3074),
    [anon_sym_alignof] = ACTIONS(3074),
    [anon_sym__Alignof] = ACTIONS(3074),
    [anon_sym_offsetof] = ACTIONS(3074),
    [anon_sym__Generic] = ACTIONS(3074),
    [anon_sym_asm] = ACTIONS(3074),
    [anon_sym___asm__] = ACTIONS(3074),
    [anon_sym___asm] = ACTIONS(3074),
    [aux_sym_number_literal_token1] = ACTIONS(3076),
    [aux_sym_number_literal_token2] = ACTIONS(3074),
    [anon_sym_L_SQUOTE] = ACTIONS(3076),
    [anon_sym_u_SQUOTE] = ACTIONS(3076),
    [anon_sym_U_SQUOTE] = ACTIONS(3076),
    [anon_sym_u8_SQUOTE] = ACTIONS(3076),
    [anon_sym_SQUOTE] = ACTIONS(3076),
    [anon_sym_L_DQUOTE] = ACTIONS(3076),
    [anon_sym_u_DQUOTE] = ACTIONS(3076),
    [anon_sym_U_DQUOTE] = ACTIONS(3076),
    [anon_sym_u8_DQUOTE] = ACTIONS(3076),
    [anon_sym_DQUOTE] = ACTIONS(3076),
    [sym_true] = ACTIONS(3074),
    [sym_false] = ACTIONS(3074),
    [anon_sym_NULL] = ACTIONS(3074),
    [anon_sym_nullptr] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3074),
    [anon_sym_explicit] = ACTIONS(3074),
    [anon_sym_typename] = ACTIONS(3074),
    [anon_sym_template] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_try] = ACTIONS(3074),
    [anon_sym_delete] = ACTIONS(3074),
    [anon_sym_throw] = ACTIONS(3074),
    [anon_sym_namespace] = ACTIONS(3074),
    [anon_sym_using] = ACTIONS(3074),
    [anon_sym_static_assert] = ACTIONS(3074),
    [anon_sym_concept] = ACTIONS(3074),
    [anon_sym_co_return] = ACTIONS(3074),
    [anon_sym_co_yield] = ACTIONS(3074),
    [anon_sym_R_DQUOTE] = ACTIONS(3076),
    [anon_sym_LR_DQUOTE] = ACTIONS(3076),
    [anon_sym_uR_DQUOTE] = ACTIONS(3076),
    [anon_sym_UR_DQUOTE] = ACTIONS(3076),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3076),
    [anon_sym_co_await] = ACTIONS(3074),
    [anon_sym_new] = ACTIONS(3074),
    [anon_sym_requires] = ACTIONS(3074),
    [sym_this] = ACTIONS(3074),
  },
  [655] = {
    [sym_identifier] = ACTIONS(3066),
    [aux_sym_preproc_include_token1] = ACTIONS(3066),
    [aux_sym_preproc_def_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token2] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3066),
    [sym_preproc_directive] = ACTIONS(3066),
    [anon_sym_LPAREN2] = ACTIONS(3068),
    [anon_sym_BANG] = ACTIONS(3068),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3068),
    [anon_sym___extension__] = ACTIONS(3066),
    [anon_sym_typedef] = ACTIONS(3066),
    [anon_sym_virtual] = ACTIONS(3066),
    [anon_sym_extern] = ACTIONS(3066),
    [anon_sym___attribute__] = ACTIONS(3066),
    [anon_sym_COLON_COLON] = ACTIONS(3068),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3068),
    [anon_sym___declspec] = ACTIONS(3066),
    [anon_sym___based] = ACTIONS(3066),
    [anon_sym___cdecl] = ACTIONS(3066),
    [anon_sym___clrcall] = ACTIONS(3066),
    [anon_sym___stdcall] = ACTIONS(3066),
    [anon_sym___fastcall] = ACTIONS(3066),
    [anon_sym___thiscall] = ACTIONS(3066),
    [anon_sym___vectorcall] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3068),
    [anon_sym_signed] = ACTIONS(3066),
    [anon_sym_unsigned] = ACTIONS(3066),
    [anon_sym_long] = ACTIONS(3066),
    [anon_sym_short] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_register] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(3066),
    [anon_sym___inline] = ACTIONS(3066),
    [anon_sym___inline__] = ACTIONS(3066),
    [anon_sym___forceinline] = ACTIONS(3066),
    [anon_sym_thread_local] = ACTIONS(3066),
    [anon_sym___thread] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_constexpr] = ACTIONS(3066),
    [anon_sym_volatile] = ACTIONS(3066),
    [anon_sym_restrict] = ACTIONS(3066),
    [anon_sym___restrict__] = ACTIONS(3066),
    [anon_sym__Atomic] = ACTIONS(3066),
    [anon_sym__Noreturn] = ACTIONS(3066),
    [anon_sym_noreturn] = ACTIONS(3066),
    [anon_sym__Nonnull] = ACTIONS(3066),
    [anon_sym_mutable] = ACTIONS(3066),
    [anon_sym_constinit] = ACTIONS(3066),
    [anon_sym_consteval] = ACTIONS(3066),
    [anon_sym_PROGMEM] = ACTIONS(3066),
    [anon_sym_alignas] = ACTIONS(3066),
    [anon_sym__Alignas] = ACTIONS(3066),
    [aux_sym_primitive_type_token1] = ACTIONS(3066),
    [anon_sym_byte] = ACTIONS(3066),
    [anon_sym_word] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_struct] = ACTIONS(3066),
    [anon_sym_union] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_default] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_goto] = ACTIONS(3066),
    [anon_sym___try] = ACTIONS(3066),
    [anon_sym___leave] = ACTIONS(3066),
    [anon_sym_not] = ACTIONS(3066),
    [anon_sym_compl] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3068),
    [anon_sym_sizeof] = ACTIONS(3066),
    [anon_sym___alignof__] = ACTIONS(3066),
    [anon_sym___alignof] = ACTIONS(3066),
    [anon_sym__alignof] = ACTIONS(3066),
    [anon_sym_alignof] = ACTIONS(3066),
    [anon_sym__Alignof] = ACTIONS(3066),
    [anon_sym_offsetof] = ACTIONS(3066),
    [anon_sym__Generic] = ACTIONS(3066),
    [anon_sym_asm] = ACTIONS(3066),
    [anon_sym___asm__] = ACTIONS(3066),
    [anon_sym___asm] = ACTIONS(3066),
    [aux_sym_number_literal_token1] = ACTIONS(3068),
    [aux_sym_number_literal_token2] = ACTIONS(3066),
    [anon_sym_L_SQUOTE] = ACTIONS(3068),
    [anon_sym_u_SQUOTE] = ACTIONS(3068),
    [anon_sym_U_SQUOTE] = ACTIONS(3068),
    [anon_sym_u8_SQUOTE] = ACTIONS(3068),
    [anon_sym_SQUOTE] = ACTIONS(3068),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [anon_sym_NULL] = ACTIONS(3066),
    [anon_sym_nullptr] = ACTIONS(3066),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3066),
    [anon_sym_decltype] = ACTIONS(3066),
    [anon_sym_explicit] = ACTIONS(3066),
    [anon_sym_typename] = ACTIONS(3066),
    [anon_sym_template] = ACTIONS(3066),
    [anon_sym_operator] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_static_assert] = ACTIONS(3066),
    [anon_sym_concept] = ACTIONS(3066),
    [anon_sym_co_return] = ACTIONS(3066),
    [anon_sym_co_yield] = ACTIONS(3066),
    [anon_sym_R_DQUOTE] = ACTIONS(3068),
    [anon_sym_LR_DQUOTE] = ACTIONS(3068),
    [anon_sym_uR_DQUOTE] = ACTIONS(3068),
    [anon_sym_UR_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3068),
    [anon_sym_co_await] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_requires] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
  },
  [656] = {
    [sym_identifier] = ACTIONS(3047),
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token2] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3049),
    [anon_sym_BANG] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3047),
    [anon_sym_SEMI] = ACTIONS(3049),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3047),
    [anon_sym_virtual] = ACTIONS(3047),
    [anon_sym_extern] = ACTIONS(3047),
    [anon_sym___attribute__] = ACTIONS(3047),
    [anon_sym_COLON_COLON] = ACTIONS(3049),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3049),
    [anon_sym___declspec] = ACTIONS(3047),
    [anon_sym___based] = ACTIONS(3047),
    [anon_sym___cdecl] = ACTIONS(3047),
    [anon_sym___clrcall] = ACTIONS(3047),
    [anon_sym___stdcall] = ACTIONS(3047),
    [anon_sym___fastcall] = ACTIONS(3047),
    [anon_sym___thiscall] = ACTIONS(3047),
    [anon_sym___vectorcall] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(3049),
    [anon_sym_signed] = ACTIONS(3047),
    [anon_sym_unsigned] = ACTIONS(3047),
    [anon_sym_long] = ACTIONS(3047),
    [anon_sym_short] = ACTIONS(3047),
    [anon_sym_LBRACK] = ACTIONS(3047),
    [anon_sym_static] = ACTIONS(3047),
    [anon_sym_register] = ACTIONS(3047),
    [anon_sym_inline] = ACTIONS(3047),
    [anon_sym___inline] = ACTIONS(3047),
    [anon_sym___inline__] = ACTIONS(3047),
    [anon_sym___forceinline] = ACTIONS(3047),
    [anon_sym_thread_local] = ACTIONS(3047),
    [anon_sym___thread] = ACTIONS(3047),
    [anon_sym_const] = ACTIONS(3047),
    [anon_sym_constexpr] = ACTIONS(3047),
    [anon_sym_volatile] = ACTIONS(3047),
    [anon_sym_restrict] = ACTIONS(3047),
    [anon_sym___restrict__] = ACTIONS(3047),
    [anon_sym__Atomic] = ACTIONS(3047),
    [anon_sym__Noreturn] = ACTIONS(3047),
    [anon_sym_noreturn] = ACTIONS(3047),
    [anon_sym__Nonnull] = ACTIONS(3047),
    [anon_sym_mutable] = ACTIONS(3047),
    [anon_sym_constinit] = ACTIONS(3047),
    [anon_sym_consteval] = ACTIONS(3047),
    [anon_sym_PROGMEM] = ACTIONS(3047),
    [anon_sym_alignas] = ACTIONS(3047),
    [anon_sym__Alignas] = ACTIONS(3047),
    [aux_sym_primitive_type_token1] = ACTIONS(3047),
    [anon_sym_byte] = ACTIONS(3047),
    [anon_sym_word] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3047),
    [anon_sym_class] = ACTIONS(3047),
    [anon_sym_struct] = ACTIONS(3047),
    [anon_sym_union] = ACTIONS(3047),
    [anon_sym_if] = ACTIONS(3047),
    [anon_sym_switch] = ACTIONS(3047),
    [anon_sym_case] = ACTIONS(3047),
    [anon_sym_default] = ACTIONS(3047),
    [anon_sym_while] = ACTIONS(3047),
    [anon_sym_do] = ACTIONS(3047),
    [anon_sym_for] = ACTIONS(3047),
    [anon_sym_return] = ACTIONS(3047),
    [anon_sym_break] = ACTIONS(3047),
    [anon_sym_continue] = ACTIONS(3047),
    [anon_sym_goto] = ACTIONS(3047),
    [anon_sym___try] = ACTIONS(3047),
    [anon_sym___leave] = ACTIONS(3047),
    [anon_sym_not] = ACTIONS(3047),
    [anon_sym_compl] = ACTIONS(3047),
    [anon_sym_DASH_DASH] = ACTIONS(3049),
    [anon_sym_PLUS_PLUS] = ACTIONS(3049),
    [anon_sym_sizeof] = ACTIONS(3047),
    [anon_sym___alignof__] = ACTIONS(3047),
    [anon_sym___alignof] = ACTIONS(3047),
    [anon_sym__alignof] = ACTIONS(3047),
    [anon_sym_alignof] = ACTIONS(3047),
    [anon_sym__Alignof] = ACTIONS(3047),
    [anon_sym_offsetof] = ACTIONS(3047),
    [anon_sym__Generic] = ACTIONS(3047),
    [anon_sym_asm] = ACTIONS(3047),
    [anon_sym___asm__] = ACTIONS(3047),
    [anon_sym___asm] = ACTIONS(3047),
    [aux_sym_number_literal_token1] = ACTIONS(3049),
    [aux_sym_number_literal_token2] = ACTIONS(3047),
    [anon_sym_L_SQUOTE] = ACTIONS(3049),
    [anon_sym_u_SQUOTE] = ACTIONS(3049),
    [anon_sym_U_SQUOTE] = ACTIONS(3049),
    [anon_sym_u8_SQUOTE] = ACTIONS(3049),
    [anon_sym_SQUOTE] = ACTIONS(3049),
    [anon_sym_L_DQUOTE] = ACTIONS(3049),
    [anon_sym_u_DQUOTE] = ACTIONS(3049),
    [anon_sym_U_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8_DQUOTE] = ACTIONS(3049),
    [anon_sym_DQUOTE] = ACTIONS(3049),
    [sym_true] = ACTIONS(3047),
    [sym_false] = ACTIONS(3047),
    [anon_sym_NULL] = ACTIONS(3047),
    [anon_sym_nullptr] = ACTIONS(3047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3047),
    [anon_sym_decltype] = ACTIONS(3047),
    [anon_sym_explicit] = ACTIONS(3047),
    [anon_sym_typename] = ACTIONS(3047),
    [anon_sym_template] = ACTIONS(3047),
    [anon_sym_operator] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_delete] = ACTIONS(3047),
    [anon_sym_throw] = ACTIONS(3047),
    [anon_sym_namespace] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3047),
    [anon_sym_static_assert] = ACTIONS(3047),
    [anon_sym_concept] = ACTIONS(3047),
    [anon_sym_co_return] = ACTIONS(3047),
    [anon_sym_co_yield] = ACTIONS(3047),
    [anon_sym_R_DQUOTE] = ACTIONS(3049),
    [anon_sym_LR_DQUOTE] = ACTIONS(3049),
    [anon_sym_uR_DQUOTE] = ACTIONS(3049),
    [anon_sym_UR_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3049),
    [anon_sym_co_await] = ACTIONS(3047),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_requires] = ACTIONS(3047),
    [sym_this] = ACTIONS(3047),
  },
  [657] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym___try] = ACTIONS(3040),
    [anon_sym___leave] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [anon_sym___asm] = ACTIONS(3040),
    [aux_sym_number_literal_token1] = ACTIONS(3042),
    [aux_sym_number_literal_token2] = ACTIONS(3040),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [658] = {
    [ts_builtin_sym_end] = ACTIONS(1967),
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_include_token1] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(2860),
    [anon_sym_RPAREN] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym___cdecl] = ACTIONS(1969),
    [anon_sym___clrcall] = ACTIONS(1969),
    [anon_sym___stdcall] = ACTIONS(1969),
    [anon_sym___fastcall] = ACTIONS(1969),
    [anon_sym___thiscall] = ACTIONS(1969),
    [anon_sym___vectorcall] = ACTIONS(1969),
    [anon_sym_LBRACE] = ACTIONS(1967),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [anon_sym_if] = ACTIONS(1969),
    [anon_sym_switch] = ACTIONS(1969),
    [anon_sym_case] = ACTIONS(1969),
    [anon_sym_default] = ACTIONS(1969),
    [anon_sym_while] = ACTIONS(1969),
    [anon_sym_do] = ACTIONS(1969),
    [anon_sym_for] = ACTIONS(1969),
    [anon_sym_return] = ACTIONS(1969),
    [anon_sym_break] = ACTIONS(1969),
    [anon_sym_continue] = ACTIONS(1969),
    [anon_sym_goto] = ACTIONS(1969),
    [anon_sym_not] = ACTIONS(1969),
    [anon_sym_compl] = ACTIONS(1969),
    [anon_sym_DASH_DASH] = ACTIONS(1967),
    [anon_sym_PLUS_PLUS] = ACTIONS(1967),
    [anon_sym_sizeof] = ACTIONS(1969),
    [anon_sym___alignof__] = ACTIONS(1969),
    [anon_sym___alignof] = ACTIONS(1969),
    [anon_sym__alignof] = ACTIONS(1969),
    [anon_sym_alignof] = ACTIONS(1969),
    [anon_sym__Alignof] = ACTIONS(1969),
    [anon_sym_offsetof] = ACTIONS(1969),
    [anon_sym__Generic] = ACTIONS(1969),
    [anon_sym_asm] = ACTIONS(1969),
    [anon_sym___asm__] = ACTIONS(1969),
    [anon_sym___asm] = ACTIONS(1969),
    [aux_sym_number_literal_token1] = ACTIONS(1967),
    [aux_sym_number_literal_token2] = ACTIONS(1969),
    [anon_sym_L_SQUOTE] = ACTIONS(1967),
    [anon_sym_u_SQUOTE] = ACTIONS(1967),
    [anon_sym_U_SQUOTE] = ACTIONS(1967),
    [anon_sym_u8_SQUOTE] = ACTIONS(1967),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_L_DQUOTE] = ACTIONS(1967),
    [anon_sym_u_DQUOTE] = ACTIONS(1967),
    [anon_sym_U_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8_DQUOTE] = ACTIONS(1967),
    [anon_sym_DQUOTE] = ACTIONS(1967),
    [sym_true] = ACTIONS(1969),
    [sym_false] = ACTIONS(1969),
    [anon_sym_NULL] = ACTIONS(1969),
    [anon_sym_nullptr] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_delete] = ACTIONS(1969),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_namespace] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
    [anon_sym_concept] = ACTIONS(1969),
    [anon_sym_co_return] = ACTIONS(1969),
    [anon_sym_co_yield] = ACTIONS(1969),
    [anon_sym_R_DQUOTE] = ACTIONS(1967),
    [anon_sym_LR_DQUOTE] = ACTIONS(1967),
    [anon_sym_uR_DQUOTE] = ACTIONS(1967),
    [anon_sym_UR_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1967),
    [anon_sym_co_await] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_requires] = ACTIONS(1969),
    [sym_this] = ACTIONS(1969),
  },
  [659] = {
    [sym_identifier] = ACTIONS(3016),
    [aux_sym_preproc_include_token1] = ACTIONS(3016),
    [aux_sym_preproc_def_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token2] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3016),
    [sym_preproc_directive] = ACTIONS(3016),
    [anon_sym_LPAREN2] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym___extension__] = ACTIONS(3016),
    [anon_sym_typedef] = ACTIONS(3016),
    [anon_sym_virtual] = ACTIONS(3016),
    [anon_sym_extern] = ACTIONS(3016),
    [anon_sym___attribute__] = ACTIONS(3016),
    [anon_sym_COLON_COLON] = ACTIONS(3018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3018),
    [anon_sym___declspec] = ACTIONS(3016),
    [anon_sym___based] = ACTIONS(3016),
    [anon_sym___cdecl] = ACTIONS(3016),
    [anon_sym___clrcall] = ACTIONS(3016),
    [anon_sym___stdcall] = ACTIONS(3016),
    [anon_sym___fastcall] = ACTIONS(3016),
    [anon_sym___thiscall] = ACTIONS(3016),
    [anon_sym___vectorcall] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3018),
    [anon_sym_signed] = ACTIONS(3016),
    [anon_sym_unsigned] = ACTIONS(3016),
    [anon_sym_long] = ACTIONS(3016),
    [anon_sym_short] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_register] = ACTIONS(3016),
    [anon_sym_inline] = ACTIONS(3016),
    [anon_sym___inline] = ACTIONS(3016),
    [anon_sym___inline__] = ACTIONS(3016),
    [anon_sym___forceinline] = ACTIONS(3016),
    [anon_sym_thread_local] = ACTIONS(3016),
    [anon_sym___thread] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_constexpr] = ACTIONS(3016),
    [anon_sym_volatile] = ACTIONS(3016),
    [anon_sym_restrict] = ACTIONS(3016),
    [anon_sym___restrict__] = ACTIONS(3016),
    [anon_sym__Atomic] = ACTIONS(3016),
    [anon_sym__Noreturn] = ACTIONS(3016),
    [anon_sym_noreturn] = ACTIONS(3016),
    [anon_sym__Nonnull] = ACTIONS(3016),
    [anon_sym_mutable] = ACTIONS(3016),
    [anon_sym_constinit] = ACTIONS(3016),
    [anon_sym_consteval] = ACTIONS(3016),
    [anon_sym_PROGMEM] = ACTIONS(3016),
    [anon_sym_alignas] = ACTIONS(3016),
    [anon_sym__Alignas] = ACTIONS(3016),
    [aux_sym_primitive_type_token1] = ACTIONS(3016),
    [anon_sym_byte] = ACTIONS(3016),
    [anon_sym_word] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_struct] = ACTIONS(3016),
    [anon_sym_union] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_switch] = ACTIONS(3016),
    [anon_sym_case] = ACTIONS(3016),
    [anon_sym_default] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3016),
    [anon_sym_return] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3016),
    [anon_sym_continue] = ACTIONS(3016),
    [anon_sym_goto] = ACTIONS(3016),
    [anon_sym___try] = ACTIONS(3016),
    [anon_sym___leave] = ACTIONS(3016),
    [anon_sym_not] = ACTIONS(3016),
    [anon_sym_compl] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3018),
    [anon_sym_sizeof] = ACTIONS(3016),
    [anon_sym___alignof__] = ACTIONS(3016),
    [anon_sym___alignof] = ACTIONS(3016),
    [anon_sym__alignof] = ACTIONS(3016),
    [anon_sym_alignof] = ACTIONS(3016),
    [anon_sym__Alignof] = ACTIONS(3016),
    [anon_sym_offsetof] = ACTIONS(3016),
    [anon_sym__Generic] = ACTIONS(3016),
    [anon_sym_asm] = ACTIONS(3016),
    [anon_sym___asm__] = ACTIONS(3016),
    [anon_sym___asm] = ACTIONS(3016),
    [aux_sym_number_literal_token1] = ACTIONS(3018),
    [aux_sym_number_literal_token2] = ACTIONS(3016),
    [anon_sym_L_SQUOTE] = ACTIONS(3018),
    [anon_sym_u_SQUOTE] = ACTIONS(3018),
    [anon_sym_U_SQUOTE] = ACTIONS(3018),
    [anon_sym_u8_SQUOTE] = ACTIONS(3018),
    [anon_sym_SQUOTE] = ACTIONS(3018),
    [anon_sym_L_DQUOTE] = ACTIONS(3018),
    [anon_sym_u_DQUOTE] = ACTIONS(3018),
    [anon_sym_U_DQUOTE] = ACTIONS(3018),
    [anon_sym_u8_DQUOTE] = ACTIONS(3018),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [sym_true] = ACTIONS(3016),
    [sym_false] = ACTIONS(3016),
    [anon_sym_NULL] = ACTIONS(3016),
    [anon_sym_nullptr] = ACTIONS(3016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3016),
    [anon_sym_decltype] = ACTIONS(3016),
    [anon_sym_explicit] = ACTIONS(3016),
    [anon_sym_typename] = ACTIONS(3016),
    [anon_sym_template] = ACTIONS(3016),
    [anon_sym_operator] = ACTIONS(3016),
    [anon_sym_try] = ACTIONS(3016),
    [anon_sym_delete] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3016),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3016),
    [anon_sym_concept] = ACTIONS(3016),
    [anon_sym_co_return] = ACTIONS(3016),
    [anon_sym_co_yield] = ACTIONS(3016),
    [anon_sym_R_DQUOTE] = ACTIONS(3018),
    [anon_sym_LR_DQUOTE] = ACTIONS(3018),
    [anon_sym_uR_DQUOTE] = ACTIONS(3018),
    [anon_sym_UR_DQUOTE] = ACTIONS(3018),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3018),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_requires] = ACTIONS(3016),
    [sym_this] = ACTIONS(3016),
  },
  [660] = {
    [sym_identifier] = ACTIONS(3000),
    [aux_sym_preproc_include_token1] = ACTIONS(3000),
    [aux_sym_preproc_def_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token2] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3000),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(3002),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3000),
    [anon_sym_PLUS] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3000),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3000),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_virtual] = ACTIONS(3000),
    [anon_sym_extern] = ACTIONS(3000),
    [anon_sym___attribute__] = ACTIONS(3000),
    [anon_sym_COLON_COLON] = ACTIONS(3002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3002),
    [anon_sym___declspec] = ACTIONS(3000),
    [anon_sym___based] = ACTIONS(3000),
    [anon_sym___cdecl] = ACTIONS(3000),
    [anon_sym___clrcall] = ACTIONS(3000),
    [anon_sym___stdcall] = ACTIONS(3000),
    [anon_sym___fastcall] = ACTIONS(3000),
    [anon_sym___thiscall] = ACTIONS(3000),
    [anon_sym___vectorcall] = ACTIONS(3000),
    [anon_sym_LBRACE] = ACTIONS(3002),
    [anon_sym_signed] = ACTIONS(3000),
    [anon_sym_unsigned] = ACTIONS(3000),
    [anon_sym_long] = ACTIONS(3000),
    [anon_sym_short] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_register] = ACTIONS(3000),
    [anon_sym_inline] = ACTIONS(3000),
    [anon_sym___inline] = ACTIONS(3000),
    [anon_sym___inline__] = ACTIONS(3000),
    [anon_sym___forceinline] = ACTIONS(3000),
    [anon_sym_thread_local] = ACTIONS(3000),
    [anon_sym___thread] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_constexpr] = ACTIONS(3000),
    [anon_sym_volatile] = ACTIONS(3000),
    [anon_sym_restrict] = ACTIONS(3000),
    [anon_sym___restrict__] = ACTIONS(3000),
    [anon_sym__Atomic] = ACTIONS(3000),
    [anon_sym__Noreturn] = ACTIONS(3000),
    [anon_sym_noreturn] = ACTIONS(3000),
    [anon_sym__Nonnull] = ACTIONS(3000),
    [anon_sym_mutable] = ACTIONS(3000),
    [anon_sym_constinit] = ACTIONS(3000),
    [anon_sym_consteval] = ACTIONS(3000),
    [anon_sym_PROGMEM] = ACTIONS(3000),
    [anon_sym_alignas] = ACTIONS(3000),
    [anon_sym__Alignas] = ACTIONS(3000),
    [aux_sym_primitive_type_token1] = ACTIONS(3000),
    [anon_sym_byte] = ACTIONS(3000),
    [anon_sym_word] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_struct] = ACTIONS(3000),
    [anon_sym_union] = ACTIONS(3000),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_switch] = ACTIONS(3000),
    [anon_sym_case] = ACTIONS(3000),
    [anon_sym_default] = ACTIONS(3000),
    [anon_sym_while] = ACTIONS(3000),
    [anon_sym_do] = ACTIONS(3000),
    [anon_sym_for] = ACTIONS(3000),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_break] = ACTIONS(3000),
    [anon_sym_continue] = ACTIONS(3000),
    [anon_sym_goto] = ACTIONS(3000),
    [anon_sym___try] = ACTIONS(3000),
    [anon_sym___leave] = ACTIONS(3000),
    [anon_sym_not] = ACTIONS(3000),
    [anon_sym_compl] = ACTIONS(3000),
    [anon_sym_DASH_DASH] = ACTIONS(3002),
    [anon_sym_PLUS_PLUS] = ACTIONS(3002),
    [anon_sym_sizeof] = ACTIONS(3000),
    [anon_sym___alignof__] = ACTIONS(3000),
    [anon_sym___alignof] = ACTIONS(3000),
    [anon_sym__alignof] = ACTIONS(3000),
    [anon_sym_alignof] = ACTIONS(3000),
    [anon_sym__Alignof] = ACTIONS(3000),
    [anon_sym_offsetof] = ACTIONS(3000),
    [anon_sym__Generic] = ACTIONS(3000),
    [anon_sym_asm] = ACTIONS(3000),
    [anon_sym___asm__] = ACTIONS(3000),
    [anon_sym___asm] = ACTIONS(3000),
    [aux_sym_number_literal_token1] = ACTIONS(3002),
    [aux_sym_number_literal_token2] = ACTIONS(3000),
    [anon_sym_L_SQUOTE] = ACTIONS(3002),
    [anon_sym_u_SQUOTE] = ACTIONS(3002),
    [anon_sym_U_SQUOTE] = ACTIONS(3002),
    [anon_sym_u8_SQUOTE] = ACTIONS(3002),
    [anon_sym_SQUOTE] = ACTIONS(3002),
    [anon_sym_L_DQUOTE] = ACTIONS(3002),
    [anon_sym_u_DQUOTE] = ACTIONS(3002),
    [anon_sym_U_DQUOTE] = ACTIONS(3002),
    [anon_sym_u8_DQUOTE] = ACTIONS(3002),
    [anon_sym_DQUOTE] = ACTIONS(3002),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3000),
    [anon_sym_nullptr] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3000),
    [anon_sym_decltype] = ACTIONS(3000),
    [anon_sym_explicit] = ACTIONS(3000),
    [anon_sym_typename] = ACTIONS(3000),
    [anon_sym_template] = ACTIONS(3000),
    [anon_sym_operator] = ACTIONS(3000),
    [anon_sym_try] = ACTIONS(3000),
    [anon_sym_delete] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3000),
    [anon_sym_namespace] = ACTIONS(3000),
    [anon_sym_using] = ACTIONS(3000),
    [anon_sym_static_assert] = ACTIONS(3000),
    [anon_sym_concept] = ACTIONS(3000),
    [anon_sym_co_return] = ACTIONS(3000),
    [anon_sym_co_yield] = ACTIONS(3000),
    [anon_sym_R_DQUOTE] = ACTIONS(3002),
    [anon_sym_LR_DQUOTE] = ACTIONS(3002),
    [anon_sym_uR_DQUOTE] = ACTIONS(3002),
    [anon_sym_UR_DQUOTE] = ACTIONS(3002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3002),
    [anon_sym_co_await] = ACTIONS(3000),
    [anon_sym_new] = ACTIONS(3000),
    [anon_sym_requires] = ACTIONS(3000),
    [sym_this] = ACTIONS(3000),
  },
  [661] = {
    [sym_identifier] = ACTIONS(3129),
    [aux_sym_preproc_include_token1] = ACTIONS(3129),
    [aux_sym_preproc_def_token1] = ACTIONS(3129),
    [aux_sym_preproc_if_token1] = ACTIONS(3129),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3129),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3129),
    [sym_preproc_directive] = ACTIONS(3129),
    [anon_sym_LPAREN2] = ACTIONS(3131),
    [anon_sym_BANG] = ACTIONS(3131),
    [anon_sym_TILDE] = ACTIONS(3131),
    [anon_sym_DASH] = ACTIONS(3129),
    [anon_sym_PLUS] = ACTIONS(3129),
    [anon_sym_STAR] = ACTIONS(3131),
    [anon_sym_AMP_AMP] = ACTIONS(3131),
    [anon_sym_AMP] = ACTIONS(3129),
    [anon_sym_SEMI] = ACTIONS(3131),
    [anon_sym___extension__] = ACTIONS(3129),
    [anon_sym_typedef] = ACTIONS(3129),
    [anon_sym_virtual] = ACTIONS(3129),
    [anon_sym_extern] = ACTIONS(3129),
    [anon_sym___attribute__] = ACTIONS(3129),
    [anon_sym_COLON_COLON] = ACTIONS(3131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3131),
    [anon_sym___declspec] = ACTIONS(3129),
    [anon_sym___based] = ACTIONS(3129),
    [anon_sym___cdecl] = ACTIONS(3129),
    [anon_sym___clrcall] = ACTIONS(3129),
    [anon_sym___stdcall] = ACTIONS(3129),
    [anon_sym___fastcall] = ACTIONS(3129),
    [anon_sym___thiscall] = ACTIONS(3129),
    [anon_sym___vectorcall] = ACTIONS(3129),
    [anon_sym_LBRACE] = ACTIONS(3131),
    [anon_sym_RBRACE] = ACTIONS(3131),
    [anon_sym_signed] = ACTIONS(3129),
    [anon_sym_unsigned] = ACTIONS(3129),
    [anon_sym_long] = ACTIONS(3129),
    [anon_sym_short] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(3129),
    [anon_sym_static] = ACTIONS(3129),
    [anon_sym_register] = ACTIONS(3129),
    [anon_sym_inline] = ACTIONS(3129),
    [anon_sym___inline] = ACTIONS(3129),
    [anon_sym___inline__] = ACTIONS(3129),
    [anon_sym___forceinline] = ACTIONS(3129),
    [anon_sym_thread_local] = ACTIONS(3129),
    [anon_sym___thread] = ACTIONS(3129),
    [anon_sym_const] = ACTIONS(3129),
    [anon_sym_constexpr] = ACTIONS(3129),
    [anon_sym_volatile] = ACTIONS(3129),
    [anon_sym_restrict] = ACTIONS(3129),
    [anon_sym___restrict__] = ACTIONS(3129),
    [anon_sym__Atomic] = ACTIONS(3129),
    [anon_sym__Noreturn] = ACTIONS(3129),
    [anon_sym_noreturn] = ACTIONS(3129),
    [anon_sym__Nonnull] = ACTIONS(3129),
    [anon_sym_mutable] = ACTIONS(3129),
    [anon_sym_constinit] = ACTIONS(3129),
    [anon_sym_consteval] = ACTIONS(3129),
    [anon_sym_PROGMEM] = ACTIONS(3129),
    [anon_sym_alignas] = ACTIONS(3129),
    [anon_sym__Alignas] = ACTIONS(3129),
    [aux_sym_primitive_type_token1] = ACTIONS(3129),
    [anon_sym_byte] = ACTIONS(3129),
    [anon_sym_word] = ACTIONS(3129),
    [anon_sym_enum] = ACTIONS(3129),
    [anon_sym_class] = ACTIONS(3129),
    [anon_sym_struct] = ACTIONS(3129),
    [anon_sym_union] = ACTIONS(3129),
    [anon_sym_if] = ACTIONS(3129),
    [anon_sym_switch] = ACTIONS(3129),
    [anon_sym_case] = ACTIONS(3129),
    [anon_sym_default] = ACTIONS(3129),
    [anon_sym_while] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(3129),
    [anon_sym_for] = ACTIONS(3129),
    [anon_sym_return] = ACTIONS(3129),
    [anon_sym_break] = ACTIONS(3129),
    [anon_sym_continue] = ACTIONS(3129),
    [anon_sym_goto] = ACTIONS(3129),
    [anon_sym___try] = ACTIONS(3129),
    [anon_sym___leave] = ACTIONS(3129),
    [anon_sym_not] = ACTIONS(3129),
    [anon_sym_compl] = ACTIONS(3129),
    [anon_sym_DASH_DASH] = ACTIONS(3131),
    [anon_sym_PLUS_PLUS] = ACTIONS(3131),
    [anon_sym_sizeof] = ACTIONS(3129),
    [anon_sym___alignof__] = ACTIONS(3129),
    [anon_sym___alignof] = ACTIONS(3129),
    [anon_sym__alignof] = ACTIONS(3129),
    [anon_sym_alignof] = ACTIONS(3129),
    [anon_sym__Alignof] = ACTIONS(3129),
    [anon_sym_offsetof] = ACTIONS(3129),
    [anon_sym__Generic] = ACTIONS(3129),
    [anon_sym_asm] = ACTIONS(3129),
    [anon_sym___asm__] = ACTIONS(3129),
    [anon_sym___asm] = ACTIONS(3129),
    [aux_sym_number_literal_token1] = ACTIONS(3131),
    [aux_sym_number_literal_token2] = ACTIONS(3129),
    [anon_sym_L_SQUOTE] = ACTIONS(3131),
    [anon_sym_u_SQUOTE] = ACTIONS(3131),
    [anon_sym_U_SQUOTE] = ACTIONS(3131),
    [anon_sym_u8_SQUOTE] = ACTIONS(3131),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_L_DQUOTE] = ACTIONS(3131),
    [anon_sym_u_DQUOTE] = ACTIONS(3131),
    [anon_sym_U_DQUOTE] = ACTIONS(3131),
    [anon_sym_u8_DQUOTE] = ACTIONS(3131),
    [anon_sym_DQUOTE] = ACTIONS(3131),
    [sym_true] = ACTIONS(3129),
    [sym_false] = ACTIONS(3129),
    [anon_sym_NULL] = ACTIONS(3129),
    [anon_sym_nullptr] = ACTIONS(3129),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3129),
    [anon_sym_decltype] = ACTIONS(3129),
    [anon_sym_explicit] = ACTIONS(3129),
    [anon_sym_typename] = ACTIONS(3129),
    [anon_sym_template] = ACTIONS(3129),
    [anon_sym_operator] = ACTIONS(3129),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_delete] = ACTIONS(3129),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_namespace] = ACTIONS(3129),
    [anon_sym_using] = ACTIONS(3129),
    [anon_sym_static_assert] = ACTIONS(3129),
    [anon_sym_concept] = ACTIONS(3129),
    [anon_sym_co_return] = ACTIONS(3129),
    [anon_sym_co_yield] = ACTIONS(3129),
    [anon_sym_R_DQUOTE] = ACTIONS(3131),
    [anon_sym_LR_DQUOTE] = ACTIONS(3131),
    [anon_sym_uR_DQUOTE] = ACTIONS(3131),
    [anon_sym_UR_DQUOTE] = ACTIONS(3131),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3131),
    [anon_sym_co_await] = ACTIONS(3129),
    [anon_sym_new] = ACTIONS(3129),
    [anon_sym_requires] = ACTIONS(3129),
    [sym_this] = ACTIONS(3129),
  },
  [662] = {
    [sym_identifier] = ACTIONS(3125),
    [aux_sym_preproc_include_token1] = ACTIONS(3125),
    [aux_sym_preproc_def_token1] = ACTIONS(3125),
    [aux_sym_preproc_if_token1] = ACTIONS(3125),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3125),
    [sym_preproc_directive] = ACTIONS(3125),
    [anon_sym_LPAREN2] = ACTIONS(3127),
    [anon_sym_BANG] = ACTIONS(3127),
    [anon_sym_TILDE] = ACTIONS(3127),
    [anon_sym_DASH] = ACTIONS(3125),
    [anon_sym_PLUS] = ACTIONS(3125),
    [anon_sym_STAR] = ACTIONS(3127),
    [anon_sym_AMP_AMP] = ACTIONS(3127),
    [anon_sym_AMP] = ACTIONS(3125),
    [anon_sym_SEMI] = ACTIONS(3127),
    [anon_sym___extension__] = ACTIONS(3125),
    [anon_sym_typedef] = ACTIONS(3125),
    [anon_sym_virtual] = ACTIONS(3125),
    [anon_sym_extern] = ACTIONS(3125),
    [anon_sym___attribute__] = ACTIONS(3125),
    [anon_sym_COLON_COLON] = ACTIONS(3127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3127),
    [anon_sym___declspec] = ACTIONS(3125),
    [anon_sym___based] = ACTIONS(3125),
    [anon_sym___cdecl] = ACTIONS(3125),
    [anon_sym___clrcall] = ACTIONS(3125),
    [anon_sym___stdcall] = ACTIONS(3125),
    [anon_sym___fastcall] = ACTIONS(3125),
    [anon_sym___thiscall] = ACTIONS(3125),
    [anon_sym___vectorcall] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_RBRACE] = ACTIONS(3127),
    [anon_sym_signed] = ACTIONS(3125),
    [anon_sym_unsigned] = ACTIONS(3125),
    [anon_sym_long] = ACTIONS(3125),
    [anon_sym_short] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3125),
    [anon_sym_static] = ACTIONS(3125),
    [anon_sym_register] = ACTIONS(3125),
    [anon_sym_inline] = ACTIONS(3125),
    [anon_sym___inline] = ACTIONS(3125),
    [anon_sym___inline__] = ACTIONS(3125),
    [anon_sym___forceinline] = ACTIONS(3125),
    [anon_sym_thread_local] = ACTIONS(3125),
    [anon_sym___thread] = ACTIONS(3125),
    [anon_sym_const] = ACTIONS(3125),
    [anon_sym_constexpr] = ACTIONS(3125),
    [anon_sym_volatile] = ACTIONS(3125),
    [anon_sym_restrict] = ACTIONS(3125),
    [anon_sym___restrict__] = ACTIONS(3125),
    [anon_sym__Atomic] = ACTIONS(3125),
    [anon_sym__Noreturn] = ACTIONS(3125),
    [anon_sym_noreturn] = ACTIONS(3125),
    [anon_sym__Nonnull] = ACTIONS(3125),
    [anon_sym_mutable] = ACTIONS(3125),
    [anon_sym_constinit] = ACTIONS(3125),
    [anon_sym_consteval] = ACTIONS(3125),
    [anon_sym_PROGMEM] = ACTIONS(3125),
    [anon_sym_alignas] = ACTIONS(3125),
    [anon_sym__Alignas] = ACTIONS(3125),
    [aux_sym_primitive_type_token1] = ACTIONS(3125),
    [anon_sym_byte] = ACTIONS(3125),
    [anon_sym_word] = ACTIONS(3125),
    [anon_sym_enum] = ACTIONS(3125),
    [anon_sym_class] = ACTIONS(3125),
    [anon_sym_struct] = ACTIONS(3125),
    [anon_sym_union] = ACTIONS(3125),
    [anon_sym_if] = ACTIONS(3125),
    [anon_sym_switch] = ACTIONS(3125),
    [anon_sym_case] = ACTIONS(3125),
    [anon_sym_default] = ACTIONS(3125),
    [anon_sym_while] = ACTIONS(3125),
    [anon_sym_do] = ACTIONS(3125),
    [anon_sym_for] = ACTIONS(3125),
    [anon_sym_return] = ACTIONS(3125),
    [anon_sym_break] = ACTIONS(3125),
    [anon_sym_continue] = ACTIONS(3125),
    [anon_sym_goto] = ACTIONS(3125),
    [anon_sym___try] = ACTIONS(3125),
    [anon_sym___leave] = ACTIONS(3125),
    [anon_sym_not] = ACTIONS(3125),
    [anon_sym_compl] = ACTIONS(3125),
    [anon_sym_DASH_DASH] = ACTIONS(3127),
    [anon_sym_PLUS_PLUS] = ACTIONS(3127),
    [anon_sym_sizeof] = ACTIONS(3125),
    [anon_sym___alignof__] = ACTIONS(3125),
    [anon_sym___alignof] = ACTIONS(3125),
    [anon_sym__alignof] = ACTIONS(3125),
    [anon_sym_alignof] = ACTIONS(3125),
    [anon_sym__Alignof] = ACTIONS(3125),
    [anon_sym_offsetof] = ACTIONS(3125),
    [anon_sym__Generic] = ACTIONS(3125),
    [anon_sym_asm] = ACTIONS(3125),
    [anon_sym___asm__] = ACTIONS(3125),
    [anon_sym___asm] = ACTIONS(3125),
    [aux_sym_number_literal_token1] = ACTIONS(3127),
    [aux_sym_number_literal_token2] = ACTIONS(3125),
    [anon_sym_L_SQUOTE] = ACTIONS(3127),
    [anon_sym_u_SQUOTE] = ACTIONS(3127),
    [anon_sym_U_SQUOTE] = ACTIONS(3127),
    [anon_sym_u8_SQUOTE] = ACTIONS(3127),
    [anon_sym_SQUOTE] = ACTIONS(3127),
    [anon_sym_L_DQUOTE] = ACTIONS(3127),
    [anon_sym_u_DQUOTE] = ACTIONS(3127),
    [anon_sym_U_DQUOTE] = ACTIONS(3127),
    [anon_sym_u8_DQUOTE] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3127),
    [sym_true] = ACTIONS(3125),
    [sym_false] = ACTIONS(3125),
    [anon_sym_NULL] = ACTIONS(3125),
    [anon_sym_nullptr] = ACTIONS(3125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3125),
    [anon_sym_decltype] = ACTIONS(3125),
    [anon_sym_explicit] = ACTIONS(3125),
    [anon_sym_typename] = ACTIONS(3125),
    [anon_sym_template] = ACTIONS(3125),
    [anon_sym_operator] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3125),
    [anon_sym_delete] = ACTIONS(3125),
    [anon_sym_throw] = ACTIONS(3125),
    [anon_sym_namespace] = ACTIONS(3125),
    [anon_sym_using] = ACTIONS(3125),
    [anon_sym_static_assert] = ACTIONS(3125),
    [anon_sym_concept] = ACTIONS(3125),
    [anon_sym_co_return] = ACTIONS(3125),
    [anon_sym_co_yield] = ACTIONS(3125),
    [anon_sym_R_DQUOTE] = ACTIONS(3127),
    [anon_sym_LR_DQUOTE] = ACTIONS(3127),
    [anon_sym_uR_DQUOTE] = ACTIONS(3127),
    [anon_sym_UR_DQUOTE] = ACTIONS(3127),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3127),
    [anon_sym_co_await] = ACTIONS(3125),
    [anon_sym_new] = ACTIONS(3125),
    [anon_sym_requires] = ACTIONS(3125),
    [sym_this] = ACTIONS(3125),
  },
  [663] = {
    [sym_identifier] = ACTIONS(2980),
    [aux_sym_preproc_include_token1] = ACTIONS(2980),
    [aux_sym_preproc_def_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token2] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2980),
    [sym_preproc_directive] = ACTIONS(2980),
    [anon_sym_LPAREN2] = ACTIONS(2982),
    [anon_sym_BANG] = ACTIONS(2982),
    [anon_sym_TILDE] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2980),
    [anon_sym_PLUS] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_AMP] = ACTIONS(2980),
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym___extension__] = ACTIONS(2980),
    [anon_sym_typedef] = ACTIONS(2980),
    [anon_sym_virtual] = ACTIONS(2980),
    [anon_sym_extern] = ACTIONS(2980),
    [anon_sym___attribute__] = ACTIONS(2980),
    [anon_sym_COLON_COLON] = ACTIONS(2982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2982),
    [anon_sym___declspec] = ACTIONS(2980),
    [anon_sym___based] = ACTIONS(2980),
    [anon_sym___cdecl] = ACTIONS(2980),
    [anon_sym___clrcall] = ACTIONS(2980),
    [anon_sym___stdcall] = ACTIONS(2980),
    [anon_sym___fastcall] = ACTIONS(2980),
    [anon_sym___thiscall] = ACTIONS(2980),
    [anon_sym___vectorcall] = ACTIONS(2980),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_signed] = ACTIONS(2980),
    [anon_sym_unsigned] = ACTIONS(2980),
    [anon_sym_long] = ACTIONS(2980),
    [anon_sym_short] = ACTIONS(2980),
    [anon_sym_LBRACK] = ACTIONS(2980),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_register] = ACTIONS(2980),
    [anon_sym_inline] = ACTIONS(2980),
    [anon_sym___inline] = ACTIONS(2980),
    [anon_sym___inline__] = ACTIONS(2980),
    [anon_sym___forceinline] = ACTIONS(2980),
    [anon_sym_thread_local] = ACTIONS(2980),
    [anon_sym___thread] = ACTIONS(2980),
    [anon_sym_const] = ACTIONS(2980),
    [anon_sym_constexpr] = ACTIONS(2980),
    [anon_sym_volatile] = ACTIONS(2980),
    [anon_sym_restrict] = ACTIONS(2980),
    [anon_sym___restrict__] = ACTIONS(2980),
    [anon_sym__Atomic] = ACTIONS(2980),
    [anon_sym__Noreturn] = ACTIONS(2980),
    [anon_sym_noreturn] = ACTIONS(2980),
    [anon_sym__Nonnull] = ACTIONS(2980),
    [anon_sym_mutable] = ACTIONS(2980),
    [anon_sym_constinit] = ACTIONS(2980),
    [anon_sym_consteval] = ACTIONS(2980),
    [anon_sym_PROGMEM] = ACTIONS(2980),
    [anon_sym_alignas] = ACTIONS(2980),
    [anon_sym__Alignas] = ACTIONS(2980),
    [aux_sym_primitive_type_token1] = ACTIONS(2980),
    [anon_sym_byte] = ACTIONS(2980),
    [anon_sym_word] = ACTIONS(2980),
    [anon_sym_enum] = ACTIONS(2980),
    [anon_sym_class] = ACTIONS(2980),
    [anon_sym_struct] = ACTIONS(2980),
    [anon_sym_union] = ACTIONS(2980),
    [anon_sym_if] = ACTIONS(2980),
    [anon_sym_switch] = ACTIONS(2980),
    [anon_sym_case] = ACTIONS(2980),
    [anon_sym_default] = ACTIONS(2980),
    [anon_sym_while] = ACTIONS(2980),
    [anon_sym_do] = ACTIONS(2980),
    [anon_sym_for] = ACTIONS(2980),
    [anon_sym_return] = ACTIONS(2980),
    [anon_sym_break] = ACTIONS(2980),
    [anon_sym_continue] = ACTIONS(2980),
    [anon_sym_goto] = ACTIONS(2980),
    [anon_sym___try] = ACTIONS(2980),
    [anon_sym___leave] = ACTIONS(2980),
    [anon_sym_not] = ACTIONS(2980),
    [anon_sym_compl] = ACTIONS(2980),
    [anon_sym_DASH_DASH] = ACTIONS(2982),
    [anon_sym_PLUS_PLUS] = ACTIONS(2982),
    [anon_sym_sizeof] = ACTIONS(2980),
    [anon_sym___alignof__] = ACTIONS(2980),
    [anon_sym___alignof] = ACTIONS(2980),
    [anon_sym__alignof] = ACTIONS(2980),
    [anon_sym_alignof] = ACTIONS(2980),
    [anon_sym__Alignof] = ACTIONS(2980),
    [anon_sym_offsetof] = ACTIONS(2980),
    [anon_sym__Generic] = ACTIONS(2980),
    [anon_sym_asm] = ACTIONS(2980),
    [anon_sym___asm__] = ACTIONS(2980),
    [anon_sym___asm] = ACTIONS(2980),
    [aux_sym_number_literal_token1] = ACTIONS(2982),
    [aux_sym_number_literal_token2] = ACTIONS(2980),
    [anon_sym_L_SQUOTE] = ACTIONS(2982),
    [anon_sym_u_SQUOTE] = ACTIONS(2982),
    [anon_sym_U_SQUOTE] = ACTIONS(2982),
    [anon_sym_u8_SQUOTE] = ACTIONS(2982),
    [anon_sym_SQUOTE] = ACTIONS(2982),
    [anon_sym_L_DQUOTE] = ACTIONS(2982),
    [anon_sym_u_DQUOTE] = ACTIONS(2982),
    [anon_sym_U_DQUOTE] = ACTIONS(2982),
    [anon_sym_u8_DQUOTE] = ACTIONS(2982),
    [anon_sym_DQUOTE] = ACTIONS(2982),
    [sym_true] = ACTIONS(2980),
    [sym_false] = ACTIONS(2980),
    [anon_sym_NULL] = ACTIONS(2980),
    [anon_sym_nullptr] = ACTIONS(2980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2980),
    [anon_sym_decltype] = ACTIONS(2980),
    [anon_sym_explicit] = ACTIONS(2980),
    [anon_sym_typename] = ACTIONS(2980),
    [anon_sym_template] = ACTIONS(2980),
    [anon_sym_operator] = ACTIONS(2980),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_delete] = ACTIONS(2980),
    [anon_sym_throw] = ACTIONS(2980),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_using] = ACTIONS(2980),
    [anon_sym_static_assert] = ACTIONS(2980),
    [anon_sym_concept] = ACTIONS(2980),
    [anon_sym_co_return] = ACTIONS(2980),
    [anon_sym_co_yield] = ACTIONS(2980),
    [anon_sym_R_DQUOTE] = ACTIONS(2982),
    [anon_sym_LR_DQUOTE] = ACTIONS(2982),
    [anon_sym_uR_DQUOTE] = ACTIONS(2982),
    [anon_sym_UR_DQUOTE] = ACTIONS(2982),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2982),
    [anon_sym_co_await] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_requires] = ACTIONS(2980),
    [sym_this] = ACTIONS(2980),
  },
  [664] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_include_token1] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token2] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym___cdecl] = ACTIONS(2996),
    [anon_sym___clrcall] = ACTIONS(2996),
    [anon_sym___stdcall] = ACTIONS(2996),
    [anon_sym___fastcall] = ACTIONS(2996),
    [anon_sym___thiscall] = ACTIONS(2996),
    [anon_sym___vectorcall] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym___try] = ACTIONS(2996),
    [anon_sym___leave] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2996),
    [anon_sym_compl] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [anon_sym___alignof__] = ACTIONS(2996),
    [anon_sym___alignof] = ACTIONS(2996),
    [anon_sym__alignof] = ACTIONS(2996),
    [anon_sym_alignof] = ACTIONS(2996),
    [anon_sym__Alignof] = ACTIONS(2996),
    [anon_sym_offsetof] = ACTIONS(2996),
    [anon_sym__Generic] = ACTIONS(2996),
    [anon_sym_asm] = ACTIONS(2996),
    [anon_sym___asm__] = ACTIONS(2996),
    [anon_sym___asm] = ACTIONS(2996),
    [aux_sym_number_literal_token1] = ACTIONS(2998),
    [aux_sym_number_literal_token2] = ACTIONS(2996),
    [anon_sym_L_SQUOTE] = ACTIONS(2998),
    [anon_sym_u_SQUOTE] = ACTIONS(2998),
    [anon_sym_U_SQUOTE] = ACTIONS(2998),
    [anon_sym_u8_SQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [anon_sym_NULL] = ACTIONS(2996),
    [anon_sym_nullptr] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
    [anon_sym_concept] = ACTIONS(2996),
    [anon_sym_co_return] = ACTIONS(2996),
    [anon_sym_co_yield] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2998),
    [anon_sym_LR_DQUOTE] = ACTIONS(2998),
    [anon_sym_uR_DQUOTE] = ACTIONS(2998),
    [anon_sym_UR_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2998),
    [anon_sym_co_await] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_requires] = ACTIONS(2996),
    [sym_this] = ACTIONS(2996),
  },
  [665] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_include_token1] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token2] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym___cdecl] = ACTIONS(2996),
    [anon_sym___clrcall] = ACTIONS(2996),
    [anon_sym___stdcall] = ACTIONS(2996),
    [anon_sym___fastcall] = ACTIONS(2996),
    [anon_sym___thiscall] = ACTIONS(2996),
    [anon_sym___vectorcall] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym___try] = ACTIONS(2996),
    [anon_sym___leave] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2996),
    [anon_sym_compl] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [anon_sym___alignof__] = ACTIONS(2996),
    [anon_sym___alignof] = ACTIONS(2996),
    [anon_sym__alignof] = ACTIONS(2996),
    [anon_sym_alignof] = ACTIONS(2996),
    [anon_sym__Alignof] = ACTIONS(2996),
    [anon_sym_offsetof] = ACTIONS(2996),
    [anon_sym__Generic] = ACTIONS(2996),
    [anon_sym_asm] = ACTIONS(2996),
    [anon_sym___asm__] = ACTIONS(2996),
    [anon_sym___asm] = ACTIONS(2996),
    [aux_sym_number_literal_token1] = ACTIONS(2998),
    [aux_sym_number_literal_token2] = ACTIONS(2996),
    [anon_sym_L_SQUOTE] = ACTIONS(2998),
    [anon_sym_u_SQUOTE] = ACTIONS(2998),
    [anon_sym_U_SQUOTE] = ACTIONS(2998),
    [anon_sym_u8_SQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [anon_sym_NULL] = ACTIONS(2996),
    [anon_sym_nullptr] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
    [anon_sym_concept] = ACTIONS(2996),
    [anon_sym_co_return] = ACTIONS(2996),
    [anon_sym_co_yield] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2998),
    [anon_sym_LR_DQUOTE] = ACTIONS(2998),
    [anon_sym_uR_DQUOTE] = ACTIONS(2998),
    [anon_sym_UR_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2998),
    [anon_sym_co_await] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_requires] = ACTIONS(2996),
    [sym_this] = ACTIONS(2996),
  },
  [666] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_PROGMEM] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [aux_sym_primitive_type_token1] = ACTIONS(2928),
    [anon_sym_byte] = ACTIONS(2928),
    [anon_sym_word] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym___try] = ACTIONS(2928),
    [anon_sym___leave] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [anon_sym___asm] = ACTIONS(2928),
    [aux_sym_number_literal_token1] = ACTIONS(2930),
    [aux_sym_number_literal_token2] = ACTIONS(2928),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [667] = {
    [sym_identifier] = ACTIONS(3111),
    [aux_sym_preproc_include_token1] = ACTIONS(3111),
    [aux_sym_preproc_def_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token2] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3111),
    [sym_preproc_directive] = ACTIONS(3111),
    [anon_sym_LPAREN2] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(3113),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3111),
    [anon_sym_PLUS] = ACTIONS(3111),
    [anon_sym_STAR] = ACTIONS(3113),
    [anon_sym_AMP_AMP] = ACTIONS(3113),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_SEMI] = ACTIONS(3113),
    [anon_sym___extension__] = ACTIONS(3111),
    [anon_sym_typedef] = ACTIONS(3111),
    [anon_sym_virtual] = ACTIONS(3111),
    [anon_sym_extern] = ACTIONS(3111),
    [anon_sym___attribute__] = ACTIONS(3111),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3113),
    [anon_sym___declspec] = ACTIONS(3111),
    [anon_sym___based] = ACTIONS(3111),
    [anon_sym___cdecl] = ACTIONS(3111),
    [anon_sym___clrcall] = ACTIONS(3111),
    [anon_sym___stdcall] = ACTIONS(3111),
    [anon_sym___fastcall] = ACTIONS(3111),
    [anon_sym___thiscall] = ACTIONS(3111),
    [anon_sym___vectorcall] = ACTIONS(3111),
    [anon_sym_LBRACE] = ACTIONS(3113),
    [anon_sym_signed] = ACTIONS(3111),
    [anon_sym_unsigned] = ACTIONS(3111),
    [anon_sym_long] = ACTIONS(3111),
    [anon_sym_short] = ACTIONS(3111),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_static] = ACTIONS(3111),
    [anon_sym_register] = ACTIONS(3111),
    [anon_sym_inline] = ACTIONS(3111),
    [anon_sym___inline] = ACTIONS(3111),
    [anon_sym___inline__] = ACTIONS(3111),
    [anon_sym___forceinline] = ACTIONS(3111),
    [anon_sym_thread_local] = ACTIONS(3111),
    [anon_sym___thread] = ACTIONS(3111),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_constexpr] = ACTIONS(3111),
    [anon_sym_volatile] = ACTIONS(3111),
    [anon_sym_restrict] = ACTIONS(3111),
    [anon_sym___restrict__] = ACTIONS(3111),
    [anon_sym__Atomic] = ACTIONS(3111),
    [anon_sym__Noreturn] = ACTIONS(3111),
    [anon_sym_noreturn] = ACTIONS(3111),
    [anon_sym__Nonnull] = ACTIONS(3111),
    [anon_sym_mutable] = ACTIONS(3111),
    [anon_sym_constinit] = ACTIONS(3111),
    [anon_sym_consteval] = ACTIONS(3111),
    [anon_sym_PROGMEM] = ACTIONS(3111),
    [anon_sym_alignas] = ACTIONS(3111),
    [anon_sym__Alignas] = ACTIONS(3111),
    [aux_sym_primitive_type_token1] = ACTIONS(3111),
    [anon_sym_byte] = ACTIONS(3111),
    [anon_sym_word] = ACTIONS(3111),
    [anon_sym_enum] = ACTIONS(3111),
    [anon_sym_class] = ACTIONS(3111),
    [anon_sym_struct] = ACTIONS(3111),
    [anon_sym_union] = ACTIONS(3111),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_switch] = ACTIONS(3111),
    [anon_sym_case] = ACTIONS(3111),
    [anon_sym_default] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3111),
    [anon_sym_do] = ACTIONS(3111),
    [anon_sym_for] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3111),
    [anon_sym_break] = ACTIONS(3111),
    [anon_sym_continue] = ACTIONS(3111),
    [anon_sym_goto] = ACTIONS(3111),
    [anon_sym___try] = ACTIONS(3111),
    [anon_sym___leave] = ACTIONS(3111),
    [anon_sym_not] = ACTIONS(3111),
    [anon_sym_compl] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3113),
    [anon_sym_PLUS_PLUS] = ACTIONS(3113),
    [anon_sym_sizeof] = ACTIONS(3111),
    [anon_sym___alignof__] = ACTIONS(3111),
    [anon_sym___alignof] = ACTIONS(3111),
    [anon_sym__alignof] = ACTIONS(3111),
    [anon_sym_alignof] = ACTIONS(3111),
    [anon_sym__Alignof] = ACTIONS(3111),
    [anon_sym_offsetof] = ACTIONS(3111),
    [anon_sym__Generic] = ACTIONS(3111),
    [anon_sym_asm] = ACTIONS(3111),
    [anon_sym___asm__] = ACTIONS(3111),
    [anon_sym___asm] = ACTIONS(3111),
    [aux_sym_number_literal_token1] = ACTIONS(3113),
    [aux_sym_number_literal_token2] = ACTIONS(3111),
    [anon_sym_L_SQUOTE] = ACTIONS(3113),
    [anon_sym_u_SQUOTE] = ACTIONS(3113),
    [anon_sym_U_SQUOTE] = ACTIONS(3113),
    [anon_sym_u8_SQUOTE] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(3113),
    [anon_sym_L_DQUOTE] = ACTIONS(3113),
    [anon_sym_u_DQUOTE] = ACTIONS(3113),
    [anon_sym_U_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8_DQUOTE] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3113),
    [sym_true] = ACTIONS(3111),
    [sym_false] = ACTIONS(3111),
    [anon_sym_NULL] = ACTIONS(3111),
    [anon_sym_nullptr] = ACTIONS(3111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3111),
    [anon_sym_decltype] = ACTIONS(3111),
    [anon_sym_explicit] = ACTIONS(3111),
    [anon_sym_typename] = ACTIONS(3111),
    [anon_sym_template] = ACTIONS(3111),
    [anon_sym_operator] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3111),
    [anon_sym_delete] = ACTIONS(3111),
    [anon_sym_throw] = ACTIONS(3111),
    [anon_sym_namespace] = ACTIONS(3111),
    [anon_sym_using] = ACTIONS(3111),
    [anon_sym_static_assert] = ACTIONS(3111),
    [anon_sym_concept] = ACTIONS(3111),
    [anon_sym_co_return] = ACTIONS(3111),
    [anon_sym_co_yield] = ACTIONS(3111),
    [anon_sym_R_DQUOTE] = ACTIONS(3113),
    [anon_sym_LR_DQUOTE] = ACTIONS(3113),
    [anon_sym_uR_DQUOTE] = ACTIONS(3113),
    [anon_sym_UR_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3113),
    [anon_sym_co_await] = ACTIONS(3111),
    [anon_sym_new] = ACTIONS(3111),
    [anon_sym_requires] = ACTIONS(3111),
    [sym_this] = ACTIONS(3111),
  },
  [668] = {
    [sym_identifier] = ACTIONS(3115),
    [aux_sym_preproc_include_token1] = ACTIONS(3115),
    [aux_sym_preproc_def_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token2] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3117),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_PLUS] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym_SEMI] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3115),
    [anon_sym_typedef] = ACTIONS(3115),
    [anon_sym_virtual] = ACTIONS(3115),
    [anon_sym_extern] = ACTIONS(3115),
    [anon_sym___attribute__] = ACTIONS(3115),
    [anon_sym_COLON_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3117),
    [anon_sym___declspec] = ACTIONS(3115),
    [anon_sym___based] = ACTIONS(3115),
    [anon_sym___cdecl] = ACTIONS(3115),
    [anon_sym___clrcall] = ACTIONS(3115),
    [anon_sym___stdcall] = ACTIONS(3115),
    [anon_sym___fastcall] = ACTIONS(3115),
    [anon_sym___thiscall] = ACTIONS(3115),
    [anon_sym___vectorcall] = ACTIONS(3115),
    [anon_sym_LBRACE] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3115),
    [anon_sym_unsigned] = ACTIONS(3115),
    [anon_sym_long] = ACTIONS(3115),
    [anon_sym_short] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_register] = ACTIONS(3115),
    [anon_sym_inline] = ACTIONS(3115),
    [anon_sym___inline] = ACTIONS(3115),
    [anon_sym___inline__] = ACTIONS(3115),
    [anon_sym___forceinline] = ACTIONS(3115),
    [anon_sym_thread_local] = ACTIONS(3115),
    [anon_sym___thread] = ACTIONS(3115),
    [anon_sym_const] = ACTIONS(3115),
    [anon_sym_constexpr] = ACTIONS(3115),
    [anon_sym_volatile] = ACTIONS(3115),
    [anon_sym_restrict] = ACTIONS(3115),
    [anon_sym___restrict__] = ACTIONS(3115),
    [anon_sym__Atomic] = ACTIONS(3115),
    [anon_sym__Noreturn] = ACTIONS(3115),
    [anon_sym_noreturn] = ACTIONS(3115),
    [anon_sym__Nonnull] = ACTIONS(3115),
    [anon_sym_mutable] = ACTIONS(3115),
    [anon_sym_constinit] = ACTIONS(3115),
    [anon_sym_consteval] = ACTIONS(3115),
    [anon_sym_PROGMEM] = ACTIONS(3115),
    [anon_sym_alignas] = ACTIONS(3115),
    [anon_sym__Alignas] = ACTIONS(3115),
    [aux_sym_primitive_type_token1] = ACTIONS(3115),
    [anon_sym_byte] = ACTIONS(3115),
    [anon_sym_word] = ACTIONS(3115),
    [anon_sym_enum] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(3115),
    [anon_sym_union] = ACTIONS(3115),
    [anon_sym_if] = ACTIONS(3115),
    [anon_sym_switch] = ACTIONS(3115),
    [anon_sym_case] = ACTIONS(3115),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_while] = ACTIONS(3115),
    [anon_sym_do] = ACTIONS(3115),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_return] = ACTIONS(3115),
    [anon_sym_break] = ACTIONS(3115),
    [anon_sym_continue] = ACTIONS(3115),
    [anon_sym_goto] = ACTIONS(3115),
    [anon_sym___try] = ACTIONS(3115),
    [anon_sym___leave] = ACTIONS(3115),
    [anon_sym_not] = ACTIONS(3115),
    [anon_sym_compl] = ACTIONS(3115),
    [anon_sym_DASH_DASH] = ACTIONS(3117),
    [anon_sym_PLUS_PLUS] = ACTIONS(3117),
    [anon_sym_sizeof] = ACTIONS(3115),
    [anon_sym___alignof__] = ACTIONS(3115),
    [anon_sym___alignof] = ACTIONS(3115),
    [anon_sym__alignof] = ACTIONS(3115),
    [anon_sym_alignof] = ACTIONS(3115),
    [anon_sym__Alignof] = ACTIONS(3115),
    [anon_sym_offsetof] = ACTIONS(3115),
    [anon_sym__Generic] = ACTIONS(3115),
    [anon_sym_asm] = ACTIONS(3115),
    [anon_sym___asm__] = ACTIONS(3115),
    [anon_sym___asm] = ACTIONS(3115),
    [aux_sym_number_literal_token1] = ACTIONS(3117),
    [aux_sym_number_literal_token2] = ACTIONS(3115),
    [anon_sym_L_SQUOTE] = ACTIONS(3117),
    [anon_sym_u_SQUOTE] = ACTIONS(3117),
    [anon_sym_U_SQUOTE] = ACTIONS(3117),
    [anon_sym_u8_SQUOTE] = ACTIONS(3117),
    [anon_sym_SQUOTE] = ACTIONS(3117),
    [anon_sym_L_DQUOTE] = ACTIONS(3117),
    [anon_sym_u_DQUOTE] = ACTIONS(3117),
    [anon_sym_U_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8_DQUOTE] = ACTIONS(3117),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_true] = ACTIONS(3115),
    [sym_false] = ACTIONS(3115),
    [anon_sym_NULL] = ACTIONS(3115),
    [anon_sym_nullptr] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3115),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_explicit] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(3115),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3115),
    [anon_sym_delete] = ACTIONS(3115),
    [anon_sym_throw] = ACTIONS(3115),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_using] = ACTIONS(3115),
    [anon_sym_static_assert] = ACTIONS(3115),
    [anon_sym_concept] = ACTIONS(3115),
    [anon_sym_co_return] = ACTIONS(3115),
    [anon_sym_co_yield] = ACTIONS(3115),
    [anon_sym_R_DQUOTE] = ACTIONS(3117),
    [anon_sym_LR_DQUOTE] = ACTIONS(3117),
    [anon_sym_uR_DQUOTE] = ACTIONS(3117),
    [anon_sym_UR_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3117),
    [anon_sym_co_await] = ACTIONS(3115),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_requires] = ACTIONS(3115),
    [sym_this] = ACTIONS(3115),
  },
  [669] = {
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_include_token1] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token2] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym___cdecl] = ACTIONS(3170),
    [anon_sym___clrcall] = ACTIONS(3170),
    [anon_sym___stdcall] = ACTIONS(3170),
    [anon_sym___fastcall] = ACTIONS(3170),
    [anon_sym___thiscall] = ACTIONS(3170),
    [anon_sym___vectorcall] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym__Nonnull] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [anon_sym_PROGMEM] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym__Alignas] = ACTIONS(3170),
    [aux_sym_primitive_type_token1] = ACTIONS(3170),
    [anon_sym_byte] = ACTIONS(3170),
    [anon_sym_word] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_goto] = ACTIONS(3170),
    [anon_sym___try] = ACTIONS(3170),
    [anon_sym___leave] = ACTIONS(3170),
    [anon_sym_not] = ACTIONS(3170),
    [anon_sym_compl] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_sizeof] = ACTIONS(3170),
    [anon_sym___alignof__] = ACTIONS(3170),
    [anon_sym___alignof] = ACTIONS(3170),
    [anon_sym__alignof] = ACTIONS(3170),
    [anon_sym_alignof] = ACTIONS(3170),
    [anon_sym__Alignof] = ACTIONS(3170),
    [anon_sym_offsetof] = ACTIONS(3170),
    [anon_sym__Generic] = ACTIONS(3170),
    [anon_sym_asm] = ACTIONS(3170),
    [anon_sym___asm__] = ACTIONS(3170),
    [anon_sym___asm] = ACTIONS(3170),
    [aux_sym_number_literal_token1] = ACTIONS(3172),
    [aux_sym_number_literal_token2] = ACTIONS(3170),
    [anon_sym_L_SQUOTE] = ACTIONS(3172),
    [anon_sym_u_SQUOTE] = ACTIONS(3172),
    [anon_sym_U_SQUOTE] = ACTIONS(3172),
    [anon_sym_u8_SQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_L_DQUOTE] = ACTIONS(3172),
    [anon_sym_u_DQUOTE] = ACTIONS(3172),
    [anon_sym_U_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8_DQUOTE] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [anon_sym_NULL] = ACTIONS(3170),
    [anon_sym_nullptr] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
    [anon_sym_concept] = ACTIONS(3170),
    [anon_sym_co_return] = ACTIONS(3170),
    [anon_sym_co_yield] = ACTIONS(3170),
    [anon_sym_R_DQUOTE] = ACTIONS(3172),
    [anon_sym_LR_DQUOTE] = ACTIONS(3172),
    [anon_sym_uR_DQUOTE] = ACTIONS(3172),
    [anon_sym_UR_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3172),
    [anon_sym_co_await] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_requires] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
  },
  [670] = {
    [sym_identifier] = ACTIONS(3182),
    [aux_sym_preproc_include_token1] = ACTIONS(3182),
    [aux_sym_preproc_def_token1] = ACTIONS(3182),
    [aux_sym_preproc_if_token1] = ACTIONS(3182),
    [aux_sym_preproc_if_token2] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [sym_preproc_directive] = ACTIONS(3182),
    [anon_sym_LPAREN2] = ACTIONS(3184),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3184),
    [anon_sym_AMP_AMP] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3184),
    [anon_sym___extension__] = ACTIONS(3182),
    [anon_sym_typedef] = ACTIONS(3182),
    [anon_sym_virtual] = ACTIONS(3182),
    [anon_sym_extern] = ACTIONS(3182),
    [anon_sym___attribute__] = ACTIONS(3182),
    [anon_sym_COLON_COLON] = ACTIONS(3184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3184),
    [anon_sym___declspec] = ACTIONS(3182),
    [anon_sym___based] = ACTIONS(3182),
    [anon_sym___cdecl] = ACTIONS(3182),
    [anon_sym___clrcall] = ACTIONS(3182),
    [anon_sym___stdcall] = ACTIONS(3182),
    [anon_sym___fastcall] = ACTIONS(3182),
    [anon_sym___thiscall] = ACTIONS(3182),
    [anon_sym___vectorcall] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_signed] = ACTIONS(3182),
    [anon_sym_unsigned] = ACTIONS(3182),
    [anon_sym_long] = ACTIONS(3182),
    [anon_sym_short] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_register] = ACTIONS(3182),
    [anon_sym_inline] = ACTIONS(3182),
    [anon_sym___inline] = ACTIONS(3182),
    [anon_sym___inline__] = ACTIONS(3182),
    [anon_sym___forceinline] = ACTIONS(3182),
    [anon_sym_thread_local] = ACTIONS(3182),
    [anon_sym___thread] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_constexpr] = ACTIONS(3182),
    [anon_sym_volatile] = ACTIONS(3182),
    [anon_sym_restrict] = ACTIONS(3182),
    [anon_sym___restrict__] = ACTIONS(3182),
    [anon_sym__Atomic] = ACTIONS(3182),
    [anon_sym__Noreturn] = ACTIONS(3182),
    [anon_sym_noreturn] = ACTIONS(3182),
    [anon_sym__Nonnull] = ACTIONS(3182),
    [anon_sym_mutable] = ACTIONS(3182),
    [anon_sym_constinit] = ACTIONS(3182),
    [anon_sym_consteval] = ACTIONS(3182),
    [anon_sym_PROGMEM] = ACTIONS(3182),
    [anon_sym_alignas] = ACTIONS(3182),
    [anon_sym__Alignas] = ACTIONS(3182),
    [aux_sym_primitive_type_token1] = ACTIONS(3182),
    [anon_sym_byte] = ACTIONS(3182),
    [anon_sym_word] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_struct] = ACTIONS(3182),
    [anon_sym_union] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(3182),
    [anon_sym_case] = ACTIONS(3182),
    [anon_sym_default] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3182),
    [anon_sym_return] = ACTIONS(3182),
    [anon_sym_break] = ACTIONS(3182),
    [anon_sym_continue] = ACTIONS(3182),
    [anon_sym_goto] = ACTIONS(3182),
    [anon_sym___try] = ACTIONS(3182),
    [anon_sym___leave] = ACTIONS(3182),
    [anon_sym_not] = ACTIONS(3182),
    [anon_sym_compl] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_sizeof] = ACTIONS(3182),
    [anon_sym___alignof__] = ACTIONS(3182),
    [anon_sym___alignof] = ACTIONS(3182),
    [anon_sym__alignof] = ACTIONS(3182),
    [anon_sym_alignof] = ACTIONS(3182),
    [anon_sym__Alignof] = ACTIONS(3182),
    [anon_sym_offsetof] = ACTIONS(3182),
    [anon_sym__Generic] = ACTIONS(3182),
    [anon_sym_asm] = ACTIONS(3182),
    [anon_sym___asm__] = ACTIONS(3182),
    [anon_sym___asm] = ACTIONS(3182),
    [aux_sym_number_literal_token1] = ACTIONS(3184),
    [aux_sym_number_literal_token2] = ACTIONS(3182),
    [anon_sym_L_SQUOTE] = ACTIONS(3184),
    [anon_sym_u_SQUOTE] = ACTIONS(3184),
    [anon_sym_U_SQUOTE] = ACTIONS(3184),
    [anon_sym_u8_SQUOTE] = ACTIONS(3184),
    [anon_sym_SQUOTE] = ACTIONS(3184),
    [anon_sym_L_DQUOTE] = ACTIONS(3184),
    [anon_sym_u_DQUOTE] = ACTIONS(3184),
    [anon_sym_U_DQUOTE] = ACTIONS(3184),
    [anon_sym_u8_DQUOTE] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [anon_sym_NULL] = ACTIONS(3182),
    [anon_sym_nullptr] = ACTIONS(3182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3182),
    [anon_sym_decltype] = ACTIONS(3182),
    [anon_sym_explicit] = ACTIONS(3182),
    [anon_sym_typename] = ACTIONS(3182),
    [anon_sym_template] = ACTIONS(3182),
    [anon_sym_operator] = ACTIONS(3182),
    [anon_sym_try] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3182),
    [anon_sym_namespace] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_static_assert] = ACTIONS(3182),
    [anon_sym_concept] = ACTIONS(3182),
    [anon_sym_co_return] = ACTIONS(3182),
    [anon_sym_co_yield] = ACTIONS(3182),
    [anon_sym_R_DQUOTE] = ACTIONS(3184),
    [anon_sym_LR_DQUOTE] = ACTIONS(3184),
    [anon_sym_uR_DQUOTE] = ACTIONS(3184),
    [anon_sym_UR_DQUOTE] = ACTIONS(3184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3184),
    [anon_sym_co_await] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_requires] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
  },
  [671] = {
    [sym_identifier] = ACTIONS(3206),
    [aux_sym_preproc_include_token1] = ACTIONS(3206),
    [aux_sym_preproc_def_token1] = ACTIONS(3206),
    [aux_sym_preproc_if_token1] = ACTIONS(3206),
    [aux_sym_preproc_if_token2] = ACTIONS(3206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3206),
    [sym_preproc_directive] = ACTIONS(3206),
    [anon_sym_LPAREN2] = ACTIONS(3208),
    [anon_sym_BANG] = ACTIONS(3208),
    [anon_sym_TILDE] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym___extension__] = ACTIONS(3206),
    [anon_sym_typedef] = ACTIONS(3206),
    [anon_sym_virtual] = ACTIONS(3206),
    [anon_sym_extern] = ACTIONS(3206),
    [anon_sym___attribute__] = ACTIONS(3206),
    [anon_sym_COLON_COLON] = ACTIONS(3208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3208),
    [anon_sym___declspec] = ACTIONS(3206),
    [anon_sym___based] = ACTIONS(3206),
    [anon_sym___cdecl] = ACTIONS(3206),
    [anon_sym___clrcall] = ACTIONS(3206),
    [anon_sym___stdcall] = ACTIONS(3206),
    [anon_sym___fastcall] = ACTIONS(3206),
    [anon_sym___thiscall] = ACTIONS(3206),
    [anon_sym___vectorcall] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_signed] = ACTIONS(3206),
    [anon_sym_unsigned] = ACTIONS(3206),
    [anon_sym_long] = ACTIONS(3206),
    [anon_sym_short] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3206),
    [anon_sym_static] = ACTIONS(3206),
    [anon_sym_register] = ACTIONS(3206),
    [anon_sym_inline] = ACTIONS(3206),
    [anon_sym___inline] = ACTIONS(3206),
    [anon_sym___inline__] = ACTIONS(3206),
    [anon_sym___forceinline] = ACTIONS(3206),
    [anon_sym_thread_local] = ACTIONS(3206),
    [anon_sym___thread] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_constexpr] = ACTIONS(3206),
    [anon_sym_volatile] = ACTIONS(3206),
    [anon_sym_restrict] = ACTIONS(3206),
    [anon_sym___restrict__] = ACTIONS(3206),
    [anon_sym__Atomic] = ACTIONS(3206),
    [anon_sym__Noreturn] = ACTIONS(3206),
    [anon_sym_noreturn] = ACTIONS(3206),
    [anon_sym__Nonnull] = ACTIONS(3206),
    [anon_sym_mutable] = ACTIONS(3206),
    [anon_sym_constinit] = ACTIONS(3206),
    [anon_sym_consteval] = ACTIONS(3206),
    [anon_sym_PROGMEM] = ACTIONS(3206),
    [anon_sym_alignas] = ACTIONS(3206),
    [anon_sym__Alignas] = ACTIONS(3206),
    [aux_sym_primitive_type_token1] = ACTIONS(3206),
    [anon_sym_byte] = ACTIONS(3206),
    [anon_sym_word] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_struct] = ACTIONS(3206),
    [anon_sym_union] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_switch] = ACTIONS(3206),
    [anon_sym_case] = ACTIONS(3206),
    [anon_sym_default] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_do] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_goto] = ACTIONS(3206),
    [anon_sym___try] = ACTIONS(3206),
    [anon_sym___leave] = ACTIONS(3206),
    [anon_sym_not] = ACTIONS(3206),
    [anon_sym_compl] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_sizeof] = ACTIONS(3206),
    [anon_sym___alignof__] = ACTIONS(3206),
    [anon_sym___alignof] = ACTIONS(3206),
    [anon_sym__alignof] = ACTIONS(3206),
    [anon_sym_alignof] = ACTIONS(3206),
    [anon_sym__Alignof] = ACTIONS(3206),
    [anon_sym_offsetof] = ACTIONS(3206),
    [anon_sym__Generic] = ACTIONS(3206),
    [anon_sym_asm] = ACTIONS(3206),
    [anon_sym___asm__] = ACTIONS(3206),
    [anon_sym___asm] = ACTIONS(3206),
    [aux_sym_number_literal_token1] = ACTIONS(3208),
    [aux_sym_number_literal_token2] = ACTIONS(3206),
    [anon_sym_L_SQUOTE] = ACTIONS(3208),
    [anon_sym_u_SQUOTE] = ACTIONS(3208),
    [anon_sym_U_SQUOTE] = ACTIONS(3208),
    [anon_sym_u8_SQUOTE] = ACTIONS(3208),
    [anon_sym_SQUOTE] = ACTIONS(3208),
    [anon_sym_L_DQUOTE] = ACTIONS(3208),
    [anon_sym_u_DQUOTE] = ACTIONS(3208),
    [anon_sym_U_DQUOTE] = ACTIONS(3208),
    [anon_sym_u8_DQUOTE] = ACTIONS(3208),
    [anon_sym_DQUOTE] = ACTIONS(3208),
    [sym_true] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [anon_sym_NULL] = ACTIONS(3206),
    [anon_sym_nullptr] = ACTIONS(3206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3206),
    [anon_sym_decltype] = ACTIONS(3206),
    [anon_sym_explicit] = ACTIONS(3206),
    [anon_sym_typename] = ACTIONS(3206),
    [anon_sym_template] = ACTIONS(3206),
    [anon_sym_operator] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_delete] = ACTIONS(3206),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_static_assert] = ACTIONS(3206),
    [anon_sym_concept] = ACTIONS(3206),
    [anon_sym_co_return] = ACTIONS(3206),
    [anon_sym_co_yield] = ACTIONS(3206),
    [anon_sym_R_DQUOTE] = ACTIONS(3208),
    [anon_sym_LR_DQUOTE] = ACTIONS(3208),
    [anon_sym_uR_DQUOTE] = ACTIONS(3208),
    [anon_sym_UR_DQUOTE] = ACTIONS(3208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3208),
    [anon_sym_co_await] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(3206),
    [anon_sym_requires] = ACTIONS(3206),
    [sym_this] = ACTIONS(3206),
  },
  [672] = {
    [sym_identifier] = ACTIONS(3218),
    [aux_sym_preproc_include_token1] = ACTIONS(3218),
    [aux_sym_preproc_def_token1] = ACTIONS(3218),
    [aux_sym_preproc_if_token1] = ACTIONS(3218),
    [aux_sym_preproc_if_token2] = ACTIONS(3218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3218),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3218),
    [sym_preproc_directive] = ACTIONS(3218),
    [anon_sym_LPAREN2] = ACTIONS(3220),
    [anon_sym_BANG] = ACTIONS(3220),
    [anon_sym_TILDE] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_AMP] = ACTIONS(3218),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym___extension__] = ACTIONS(3218),
    [anon_sym_typedef] = ACTIONS(3218),
    [anon_sym_virtual] = ACTIONS(3218),
    [anon_sym_extern] = ACTIONS(3218),
    [anon_sym___attribute__] = ACTIONS(3218),
    [anon_sym_COLON_COLON] = ACTIONS(3220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3220),
    [anon_sym___declspec] = ACTIONS(3218),
    [anon_sym___based] = ACTIONS(3218),
    [anon_sym___cdecl] = ACTIONS(3218),
    [anon_sym___clrcall] = ACTIONS(3218),
    [anon_sym___stdcall] = ACTIONS(3218),
    [anon_sym___fastcall] = ACTIONS(3218),
    [anon_sym___thiscall] = ACTIONS(3218),
    [anon_sym___vectorcall] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_signed] = ACTIONS(3218),
    [anon_sym_unsigned] = ACTIONS(3218),
    [anon_sym_long] = ACTIONS(3218),
    [anon_sym_short] = ACTIONS(3218),
    [anon_sym_LBRACK] = ACTIONS(3218),
    [anon_sym_static] = ACTIONS(3218),
    [anon_sym_register] = ACTIONS(3218),
    [anon_sym_inline] = ACTIONS(3218),
    [anon_sym___inline] = ACTIONS(3218),
    [anon_sym___inline__] = ACTIONS(3218),
    [anon_sym___forceinline] = ACTIONS(3218),
    [anon_sym_thread_local] = ACTIONS(3218),
    [anon_sym___thread] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_constexpr] = ACTIONS(3218),
    [anon_sym_volatile] = ACTIONS(3218),
    [anon_sym_restrict] = ACTIONS(3218),
    [anon_sym___restrict__] = ACTIONS(3218),
    [anon_sym__Atomic] = ACTIONS(3218),
    [anon_sym__Noreturn] = ACTIONS(3218),
    [anon_sym_noreturn] = ACTIONS(3218),
    [anon_sym__Nonnull] = ACTIONS(3218),
    [anon_sym_mutable] = ACTIONS(3218),
    [anon_sym_constinit] = ACTIONS(3218),
    [anon_sym_consteval] = ACTIONS(3218),
    [anon_sym_PROGMEM] = ACTIONS(3218),
    [anon_sym_alignas] = ACTIONS(3218),
    [anon_sym__Alignas] = ACTIONS(3218),
    [aux_sym_primitive_type_token1] = ACTIONS(3218),
    [anon_sym_byte] = ACTIONS(3218),
    [anon_sym_word] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [anon_sym_class] = ACTIONS(3218),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3218),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_switch] = ACTIONS(3218),
    [anon_sym_case] = ACTIONS(3218),
    [anon_sym_default] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_do] = ACTIONS(3218),
    [anon_sym_for] = ACTIONS(3218),
    [anon_sym_return] = ACTIONS(3218),
    [anon_sym_break] = ACTIONS(3218),
    [anon_sym_continue] = ACTIONS(3218),
    [anon_sym_goto] = ACTIONS(3218),
    [anon_sym___try] = ACTIONS(3218),
    [anon_sym___leave] = ACTIONS(3218),
    [anon_sym_not] = ACTIONS(3218),
    [anon_sym_compl] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_sizeof] = ACTIONS(3218),
    [anon_sym___alignof__] = ACTIONS(3218),
    [anon_sym___alignof] = ACTIONS(3218),
    [anon_sym__alignof] = ACTIONS(3218),
    [anon_sym_alignof] = ACTIONS(3218),
    [anon_sym__Alignof] = ACTIONS(3218),
    [anon_sym_offsetof] = ACTIONS(3218),
    [anon_sym__Generic] = ACTIONS(3218),
    [anon_sym_asm] = ACTIONS(3218),
    [anon_sym___asm__] = ACTIONS(3218),
    [anon_sym___asm] = ACTIONS(3218),
    [aux_sym_number_literal_token1] = ACTIONS(3220),
    [aux_sym_number_literal_token2] = ACTIONS(3218),
    [anon_sym_L_SQUOTE] = ACTIONS(3220),
    [anon_sym_u_SQUOTE] = ACTIONS(3220),
    [anon_sym_U_SQUOTE] = ACTIONS(3220),
    [anon_sym_u8_SQUOTE] = ACTIONS(3220),
    [anon_sym_SQUOTE] = ACTIONS(3220),
    [anon_sym_L_DQUOTE] = ACTIONS(3220),
    [anon_sym_u_DQUOTE] = ACTIONS(3220),
    [anon_sym_U_DQUOTE] = ACTIONS(3220),
    [anon_sym_u8_DQUOTE] = ACTIONS(3220),
    [anon_sym_DQUOTE] = ACTIONS(3220),
    [sym_true] = ACTIONS(3218),
    [sym_false] = ACTIONS(3218),
    [anon_sym_NULL] = ACTIONS(3218),
    [anon_sym_nullptr] = ACTIONS(3218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3218),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_explicit] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(3218),
    [anon_sym_operator] = ACTIONS(3218),
    [anon_sym_try] = ACTIONS(3218),
    [anon_sym_delete] = ACTIONS(3218),
    [anon_sym_throw] = ACTIONS(3218),
    [anon_sym_namespace] = ACTIONS(3218),
    [anon_sym_using] = ACTIONS(3218),
    [anon_sym_static_assert] = ACTIONS(3218),
    [anon_sym_concept] = ACTIONS(3218),
    [anon_sym_co_return] = ACTIONS(3218),
    [anon_sym_co_yield] = ACTIONS(3218),
    [anon_sym_R_DQUOTE] = ACTIONS(3220),
    [anon_sym_LR_DQUOTE] = ACTIONS(3220),
    [anon_sym_uR_DQUOTE] = ACTIONS(3220),
    [anon_sym_UR_DQUOTE] = ACTIONS(3220),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3220),
    [anon_sym_co_await] = ACTIONS(3218),
    [anon_sym_new] = ACTIONS(3218),
    [anon_sym_requires] = ACTIONS(3218),
    [sym_this] = ACTIONS(3218),
  },
  [673] = {
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token2] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym___cdecl] = ACTIONS(3166),
    [anon_sym___clrcall] = ACTIONS(3166),
    [anon_sym___stdcall] = ACTIONS(3166),
    [anon_sym___fastcall] = ACTIONS(3166),
    [anon_sym___thiscall] = ACTIONS(3166),
    [anon_sym___vectorcall] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym__Nonnull] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_PROGMEM] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym__Alignas] = ACTIONS(3166),
    [aux_sym_primitive_type_token1] = ACTIONS(3166),
    [anon_sym_byte] = ACTIONS(3166),
    [anon_sym_word] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_goto] = ACTIONS(3166),
    [anon_sym___try] = ACTIONS(3166),
    [anon_sym___leave] = ACTIONS(3166),
    [anon_sym_not] = ACTIONS(3166),
    [anon_sym_compl] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_sizeof] = ACTIONS(3166),
    [anon_sym___alignof__] = ACTIONS(3166),
    [anon_sym___alignof] = ACTIONS(3166),
    [anon_sym__alignof] = ACTIONS(3166),
    [anon_sym_alignof] = ACTIONS(3166),
    [anon_sym__Alignof] = ACTIONS(3166),
    [anon_sym_offsetof] = ACTIONS(3166),
    [anon_sym__Generic] = ACTIONS(3166),
    [anon_sym_asm] = ACTIONS(3166),
    [anon_sym___asm__] = ACTIONS(3166),
    [anon_sym___asm] = ACTIONS(3166),
    [aux_sym_number_literal_token1] = ACTIONS(3168),
    [aux_sym_number_literal_token2] = ACTIONS(3166),
    [anon_sym_L_SQUOTE] = ACTIONS(3168),
    [anon_sym_u_SQUOTE] = ACTIONS(3168),
    [anon_sym_U_SQUOTE] = ACTIONS(3168),
    [anon_sym_u8_SQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_L_DQUOTE] = ACTIONS(3168),
    [anon_sym_u_DQUOTE] = ACTIONS(3168),
    [anon_sym_U_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8_DQUOTE] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [anon_sym_NULL] = ACTIONS(3166),
    [anon_sym_nullptr] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
    [anon_sym_concept] = ACTIONS(3166),
    [anon_sym_co_return] = ACTIONS(3166),
    [anon_sym_co_yield] = ACTIONS(3166),
    [anon_sym_R_DQUOTE] = ACTIONS(3168),
    [anon_sym_LR_DQUOTE] = ACTIONS(3168),
    [anon_sym_uR_DQUOTE] = ACTIONS(3168),
    [anon_sym_UR_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3168),
    [anon_sym_co_await] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_requires] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
  },
  [674] = {
    [sym_identifier] = ACTIONS(3082),
    [aux_sym_preproc_include_token1] = ACTIONS(3082),
    [aux_sym_preproc_def_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token2] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3082),
    [sym_preproc_directive] = ACTIONS(3082),
    [anon_sym_LPAREN2] = ACTIONS(3084),
    [anon_sym_BANG] = ACTIONS(3084),
    [anon_sym_TILDE] = ACTIONS(3084),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym___extension__] = ACTIONS(3082),
    [anon_sym_typedef] = ACTIONS(3082),
    [anon_sym_virtual] = ACTIONS(3082),
    [anon_sym_extern] = ACTIONS(3082),
    [anon_sym___attribute__] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3084),
    [anon_sym___declspec] = ACTIONS(3082),
    [anon_sym___based] = ACTIONS(3082),
    [anon_sym___cdecl] = ACTIONS(3082),
    [anon_sym___clrcall] = ACTIONS(3082),
    [anon_sym___stdcall] = ACTIONS(3082),
    [anon_sym___fastcall] = ACTIONS(3082),
    [anon_sym___thiscall] = ACTIONS(3082),
    [anon_sym___vectorcall] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_signed] = ACTIONS(3082),
    [anon_sym_unsigned] = ACTIONS(3082),
    [anon_sym_long] = ACTIONS(3082),
    [anon_sym_short] = ACTIONS(3082),
    [anon_sym_LBRACK] = ACTIONS(3082),
    [anon_sym_static] = ACTIONS(3082),
    [anon_sym_register] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym___inline] = ACTIONS(3082),
    [anon_sym___inline__] = ACTIONS(3082),
    [anon_sym___forceinline] = ACTIONS(3082),
    [anon_sym_thread_local] = ACTIONS(3082),
    [anon_sym___thread] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_constexpr] = ACTIONS(3082),
    [anon_sym_volatile] = ACTIONS(3082),
    [anon_sym_restrict] = ACTIONS(3082),
    [anon_sym___restrict__] = ACTIONS(3082),
    [anon_sym__Atomic] = ACTIONS(3082),
    [anon_sym__Noreturn] = ACTIONS(3082),
    [anon_sym_noreturn] = ACTIONS(3082),
    [anon_sym__Nonnull] = ACTIONS(3082),
    [anon_sym_mutable] = ACTIONS(3082),
    [anon_sym_constinit] = ACTIONS(3082),
    [anon_sym_consteval] = ACTIONS(3082),
    [anon_sym_PROGMEM] = ACTIONS(3082),
    [anon_sym_alignas] = ACTIONS(3082),
    [anon_sym__Alignas] = ACTIONS(3082),
    [aux_sym_primitive_type_token1] = ACTIONS(3082),
    [anon_sym_byte] = ACTIONS(3082),
    [anon_sym_word] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3082),
    [anon_sym_struct] = ACTIONS(3082),
    [anon_sym_union] = ACTIONS(3082),
    [anon_sym_if] = ACTIONS(3082),
    [anon_sym_switch] = ACTIONS(3082),
    [anon_sym_case] = ACTIONS(3082),
    [anon_sym_default] = ACTIONS(3082),
    [anon_sym_while] = ACTIONS(3082),
    [anon_sym_do] = ACTIONS(3082),
    [anon_sym_for] = ACTIONS(3082),
    [anon_sym_return] = ACTIONS(3082),
    [anon_sym_break] = ACTIONS(3082),
    [anon_sym_continue] = ACTIONS(3082),
    [anon_sym_goto] = ACTIONS(3082),
    [anon_sym___try] = ACTIONS(3082),
    [anon_sym___leave] = ACTIONS(3082),
    [anon_sym_not] = ACTIONS(3082),
    [anon_sym_compl] = ACTIONS(3082),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_sizeof] = ACTIONS(3082),
    [anon_sym___alignof__] = ACTIONS(3082),
    [anon_sym___alignof] = ACTIONS(3082),
    [anon_sym__alignof] = ACTIONS(3082),
    [anon_sym_alignof] = ACTIONS(3082),
    [anon_sym__Alignof] = ACTIONS(3082),
    [anon_sym_offsetof] = ACTIONS(3082),
    [anon_sym__Generic] = ACTIONS(3082),
    [anon_sym_asm] = ACTIONS(3082),
    [anon_sym___asm__] = ACTIONS(3082),
    [anon_sym___asm] = ACTIONS(3082),
    [aux_sym_number_literal_token1] = ACTIONS(3084),
    [aux_sym_number_literal_token2] = ACTIONS(3082),
    [anon_sym_L_SQUOTE] = ACTIONS(3084),
    [anon_sym_u_SQUOTE] = ACTIONS(3084),
    [anon_sym_U_SQUOTE] = ACTIONS(3084),
    [anon_sym_u8_SQUOTE] = ACTIONS(3084),
    [anon_sym_SQUOTE] = ACTIONS(3084),
    [anon_sym_L_DQUOTE] = ACTIONS(3084),
    [anon_sym_u_DQUOTE] = ACTIONS(3084),
    [anon_sym_U_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8_DQUOTE] = ACTIONS(3084),
    [anon_sym_DQUOTE] = ACTIONS(3084),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_NULL] = ACTIONS(3082),
    [anon_sym_nullptr] = ACTIONS(3082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3082),
    [anon_sym_decltype] = ACTIONS(3082),
    [anon_sym_explicit] = ACTIONS(3082),
    [anon_sym_typename] = ACTIONS(3082),
    [anon_sym_template] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_try] = ACTIONS(3082),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_throw] = ACTIONS(3082),
    [anon_sym_namespace] = ACTIONS(3082),
    [anon_sym_using] = ACTIONS(3082),
    [anon_sym_static_assert] = ACTIONS(3082),
    [anon_sym_concept] = ACTIONS(3082),
    [anon_sym_co_return] = ACTIONS(3082),
    [anon_sym_co_yield] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3082),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_requires] = ACTIONS(3082),
    [sym_this] = ACTIONS(3082),
  },
  [675] = {
    [sym_identifier] = ACTIONS(3190),
    [aux_sym_preproc_include_token1] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token2] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3190),
    [anon_sym_typedef] = ACTIONS(3190),
    [anon_sym_virtual] = ACTIONS(3190),
    [anon_sym_extern] = ACTIONS(3190),
    [anon_sym___attribute__] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3192),
    [anon_sym___declspec] = ACTIONS(3190),
    [anon_sym___based] = ACTIONS(3190),
    [anon_sym___cdecl] = ACTIONS(3190),
    [anon_sym___clrcall] = ACTIONS(3190),
    [anon_sym___stdcall] = ACTIONS(3190),
    [anon_sym___fastcall] = ACTIONS(3190),
    [anon_sym___thiscall] = ACTIONS(3190),
    [anon_sym___vectorcall] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3190),
    [anon_sym_unsigned] = ACTIONS(3190),
    [anon_sym_long] = ACTIONS(3190),
    [anon_sym_short] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_register] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym___inline] = ACTIONS(3190),
    [anon_sym___inline__] = ACTIONS(3190),
    [anon_sym___forceinline] = ACTIONS(3190),
    [anon_sym_thread_local] = ACTIONS(3190),
    [anon_sym___thread] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_constexpr] = ACTIONS(3190),
    [anon_sym_volatile] = ACTIONS(3190),
    [anon_sym_restrict] = ACTIONS(3190),
    [anon_sym___restrict__] = ACTIONS(3190),
    [anon_sym__Atomic] = ACTIONS(3190),
    [anon_sym__Noreturn] = ACTIONS(3190),
    [anon_sym_noreturn] = ACTIONS(3190),
    [anon_sym__Nonnull] = ACTIONS(3190),
    [anon_sym_mutable] = ACTIONS(3190),
    [anon_sym_constinit] = ACTIONS(3190),
    [anon_sym_consteval] = ACTIONS(3190),
    [anon_sym_PROGMEM] = ACTIONS(3190),
    [anon_sym_alignas] = ACTIONS(3190),
    [anon_sym__Alignas] = ACTIONS(3190),
    [aux_sym_primitive_type_token1] = ACTIONS(3190),
    [anon_sym_byte] = ACTIONS(3190),
    [anon_sym_word] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_struct] = ACTIONS(3190),
    [anon_sym_union] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_case] = ACTIONS(3190),
    [anon_sym_default] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_goto] = ACTIONS(3190),
    [anon_sym___try] = ACTIONS(3190),
    [anon_sym___leave] = ACTIONS(3190),
    [anon_sym_not] = ACTIONS(3190),
    [anon_sym_compl] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_sizeof] = ACTIONS(3190),
    [anon_sym___alignof__] = ACTIONS(3190),
    [anon_sym___alignof] = ACTIONS(3190),
    [anon_sym__alignof] = ACTIONS(3190),
    [anon_sym_alignof] = ACTIONS(3190),
    [anon_sym__Alignof] = ACTIONS(3190),
    [anon_sym_offsetof] = ACTIONS(3190),
    [anon_sym__Generic] = ACTIONS(3190),
    [anon_sym_asm] = ACTIONS(3190),
    [anon_sym___asm__] = ACTIONS(3190),
    [anon_sym___asm] = ACTIONS(3190),
    [aux_sym_number_literal_token1] = ACTIONS(3192),
    [aux_sym_number_literal_token2] = ACTIONS(3190),
    [anon_sym_L_SQUOTE] = ACTIONS(3192),
    [anon_sym_u_SQUOTE] = ACTIONS(3192),
    [anon_sym_U_SQUOTE] = ACTIONS(3192),
    [anon_sym_u8_SQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [anon_sym_L_DQUOTE] = ACTIONS(3192),
    [anon_sym_u_DQUOTE] = ACTIONS(3192),
    [anon_sym_U_DQUOTE] = ACTIONS(3192),
    [anon_sym_u8_DQUOTE] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [anon_sym_NULL] = ACTIONS(3190),
    [anon_sym_nullptr] = ACTIONS(3190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3190),
    [anon_sym_decltype] = ACTIONS(3190),
    [anon_sym_explicit] = ACTIONS(3190),
    [anon_sym_typename] = ACTIONS(3190),
    [anon_sym_template] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_static_assert] = ACTIONS(3190),
    [anon_sym_concept] = ACTIONS(3190),
    [anon_sym_co_return] = ACTIONS(3190),
    [anon_sym_co_yield] = ACTIONS(3190),
    [anon_sym_R_DQUOTE] = ACTIONS(3192),
    [anon_sym_LR_DQUOTE] = ACTIONS(3192),
    [anon_sym_uR_DQUOTE] = ACTIONS(3192),
    [anon_sym_UR_DQUOTE] = ACTIONS(3192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3192),
    [anon_sym_co_await] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_requires] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
  },
  [676] = {
    [sym_identifier] = ACTIONS(3190),
    [aux_sym_preproc_include_token1] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token2] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3190),
    [anon_sym_typedef] = ACTIONS(3190),
    [anon_sym_virtual] = ACTIONS(3190),
    [anon_sym_extern] = ACTIONS(3190),
    [anon_sym___attribute__] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3192),
    [anon_sym___declspec] = ACTIONS(3190),
    [anon_sym___based] = ACTIONS(3190),
    [anon_sym___cdecl] = ACTIONS(3190),
    [anon_sym___clrcall] = ACTIONS(3190),
    [anon_sym___stdcall] = ACTIONS(3190),
    [anon_sym___fastcall] = ACTIONS(3190),
    [anon_sym___thiscall] = ACTIONS(3190),
    [anon_sym___vectorcall] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3190),
    [anon_sym_unsigned] = ACTIONS(3190),
    [anon_sym_long] = ACTIONS(3190),
    [anon_sym_short] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_register] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym___inline] = ACTIONS(3190),
    [anon_sym___inline__] = ACTIONS(3190),
    [anon_sym___forceinline] = ACTIONS(3190),
    [anon_sym_thread_local] = ACTIONS(3190),
    [anon_sym___thread] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_constexpr] = ACTIONS(3190),
    [anon_sym_volatile] = ACTIONS(3190),
    [anon_sym_restrict] = ACTIONS(3190),
    [anon_sym___restrict__] = ACTIONS(3190),
    [anon_sym__Atomic] = ACTIONS(3190),
    [anon_sym__Noreturn] = ACTIONS(3190),
    [anon_sym_noreturn] = ACTIONS(3190),
    [anon_sym__Nonnull] = ACTIONS(3190),
    [anon_sym_mutable] = ACTIONS(3190),
    [anon_sym_constinit] = ACTIONS(3190),
    [anon_sym_consteval] = ACTIONS(3190),
    [anon_sym_PROGMEM] = ACTIONS(3190),
    [anon_sym_alignas] = ACTIONS(3190),
    [anon_sym__Alignas] = ACTIONS(3190),
    [aux_sym_primitive_type_token1] = ACTIONS(3190),
    [anon_sym_byte] = ACTIONS(3190),
    [anon_sym_word] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_struct] = ACTIONS(3190),
    [anon_sym_union] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_case] = ACTIONS(3190),
    [anon_sym_default] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_goto] = ACTIONS(3190),
    [anon_sym___try] = ACTIONS(3190),
    [anon_sym___leave] = ACTIONS(3190),
    [anon_sym_not] = ACTIONS(3190),
    [anon_sym_compl] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_sizeof] = ACTIONS(3190),
    [anon_sym___alignof__] = ACTIONS(3190),
    [anon_sym___alignof] = ACTIONS(3190),
    [anon_sym__alignof] = ACTIONS(3190),
    [anon_sym_alignof] = ACTIONS(3190),
    [anon_sym__Alignof] = ACTIONS(3190),
    [anon_sym_offsetof] = ACTIONS(3190),
    [anon_sym__Generic] = ACTIONS(3190),
    [anon_sym_asm] = ACTIONS(3190),
    [anon_sym___asm__] = ACTIONS(3190),
    [anon_sym___asm] = ACTIONS(3190),
    [aux_sym_number_literal_token1] = ACTIONS(3192),
    [aux_sym_number_literal_token2] = ACTIONS(3190),
    [anon_sym_L_SQUOTE] = ACTIONS(3192),
    [anon_sym_u_SQUOTE] = ACTIONS(3192),
    [anon_sym_U_SQUOTE] = ACTIONS(3192),
    [anon_sym_u8_SQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [anon_sym_L_DQUOTE] = ACTIONS(3192),
    [anon_sym_u_DQUOTE] = ACTIONS(3192),
    [anon_sym_U_DQUOTE] = ACTIONS(3192),
    [anon_sym_u8_DQUOTE] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [anon_sym_NULL] = ACTIONS(3190),
    [anon_sym_nullptr] = ACTIONS(3190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3190),
    [anon_sym_decltype] = ACTIONS(3190),
    [anon_sym_explicit] = ACTIONS(3190),
    [anon_sym_typename] = ACTIONS(3190),
    [anon_sym_template] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_static_assert] = ACTIONS(3190),
    [anon_sym_concept] = ACTIONS(3190),
    [anon_sym_co_return] = ACTIONS(3190),
    [anon_sym_co_yield] = ACTIONS(3190),
    [anon_sym_R_DQUOTE] = ACTIONS(3192),
    [anon_sym_LR_DQUOTE] = ACTIONS(3192),
    [anon_sym_uR_DQUOTE] = ACTIONS(3192),
    [anon_sym_UR_DQUOTE] = ACTIONS(3192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3192),
    [anon_sym_co_await] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_requires] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
  },
  [677] = {
    [sym_identifier] = ACTIONS(3210),
    [aux_sym_preproc_include_token1] = ACTIONS(3210),
    [aux_sym_preproc_def_token1] = ACTIONS(3210),
    [aux_sym_preproc_if_token1] = ACTIONS(3210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3210),
    [sym_preproc_directive] = ACTIONS(3210),
    [anon_sym_LPAREN2] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym___extension__] = ACTIONS(3210),
    [anon_sym_typedef] = ACTIONS(3210),
    [anon_sym_virtual] = ACTIONS(3210),
    [anon_sym_extern] = ACTIONS(3210),
    [anon_sym___attribute__] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3212),
    [anon_sym___declspec] = ACTIONS(3210),
    [anon_sym___based] = ACTIONS(3210),
    [anon_sym___cdecl] = ACTIONS(3210),
    [anon_sym___clrcall] = ACTIONS(3210),
    [anon_sym___stdcall] = ACTIONS(3210),
    [anon_sym___fastcall] = ACTIONS(3210),
    [anon_sym___thiscall] = ACTIONS(3210),
    [anon_sym___vectorcall] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_signed] = ACTIONS(3210),
    [anon_sym_unsigned] = ACTIONS(3210),
    [anon_sym_long] = ACTIONS(3210),
    [anon_sym_short] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_register] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym___inline] = ACTIONS(3210),
    [anon_sym___inline__] = ACTIONS(3210),
    [anon_sym___forceinline] = ACTIONS(3210),
    [anon_sym_thread_local] = ACTIONS(3210),
    [anon_sym___thread] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(3210),
    [anon_sym_restrict] = ACTIONS(3210),
    [anon_sym___restrict__] = ACTIONS(3210),
    [anon_sym__Atomic] = ACTIONS(3210),
    [anon_sym__Noreturn] = ACTIONS(3210),
    [anon_sym_noreturn] = ACTIONS(3210),
    [anon_sym__Nonnull] = ACTIONS(3210),
    [anon_sym_mutable] = ACTIONS(3210),
    [anon_sym_constinit] = ACTIONS(3210),
    [anon_sym_consteval] = ACTIONS(3210),
    [anon_sym_PROGMEM] = ACTIONS(3210),
    [anon_sym_alignas] = ACTIONS(3210),
    [anon_sym__Alignas] = ACTIONS(3210),
    [aux_sym_primitive_type_token1] = ACTIONS(3210),
    [anon_sym_byte] = ACTIONS(3210),
    [anon_sym_word] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_struct] = ACTIONS(3210),
    [anon_sym_union] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_switch] = ACTIONS(3210),
    [anon_sym_case] = ACTIONS(3210),
    [anon_sym_default] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_break] = ACTIONS(3210),
    [anon_sym_continue] = ACTIONS(3210),
    [anon_sym_goto] = ACTIONS(3210),
    [anon_sym___try] = ACTIONS(3210),
    [anon_sym___leave] = ACTIONS(3210),
    [anon_sym_not] = ACTIONS(3210),
    [anon_sym_compl] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_sizeof] = ACTIONS(3210),
    [anon_sym___alignof__] = ACTIONS(3210),
    [anon_sym___alignof] = ACTIONS(3210),
    [anon_sym__alignof] = ACTIONS(3210),
    [anon_sym_alignof] = ACTIONS(3210),
    [anon_sym__Alignof] = ACTIONS(3210),
    [anon_sym_offsetof] = ACTIONS(3210),
    [anon_sym__Generic] = ACTIONS(3210),
    [anon_sym_asm] = ACTIONS(3210),
    [anon_sym___asm__] = ACTIONS(3210),
    [anon_sym___asm] = ACTIONS(3210),
    [aux_sym_number_literal_token1] = ACTIONS(3212),
    [aux_sym_number_literal_token2] = ACTIONS(3210),
    [anon_sym_L_SQUOTE] = ACTIONS(3212),
    [anon_sym_u_SQUOTE] = ACTIONS(3212),
    [anon_sym_U_SQUOTE] = ACTIONS(3212),
    [anon_sym_u8_SQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [anon_sym_L_DQUOTE] = ACTIONS(3212),
    [anon_sym_u_DQUOTE] = ACTIONS(3212),
    [anon_sym_U_DQUOTE] = ACTIONS(3212),
    [anon_sym_u8_DQUOTE] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3212),
    [sym_true] = ACTIONS(3210),
    [sym_false] = ACTIONS(3210),
    [anon_sym_NULL] = ACTIONS(3210),
    [anon_sym_nullptr] = ACTIONS(3210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3210),
    [anon_sym_decltype] = ACTIONS(3210),
    [anon_sym_explicit] = ACTIONS(3210),
    [anon_sym_typename] = ACTIONS(3210),
    [anon_sym_template] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_delete] = ACTIONS(3210),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_namespace] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_static_assert] = ACTIONS(3210),
    [anon_sym_concept] = ACTIONS(3210),
    [anon_sym_co_return] = ACTIONS(3210),
    [anon_sym_co_yield] = ACTIONS(3210),
    [anon_sym_R_DQUOTE] = ACTIONS(3212),
    [anon_sym_LR_DQUOTE] = ACTIONS(3212),
    [anon_sym_uR_DQUOTE] = ACTIONS(3212),
    [anon_sym_UR_DQUOTE] = ACTIONS(3212),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3212),
    [anon_sym_co_await] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3210),
    [anon_sym_requires] = ACTIONS(3210),
    [sym_this] = ACTIONS(3210),
  },
  [678] = {
    [sym_identifier] = ACTIONS(3214),
    [aux_sym_preproc_include_token1] = ACTIONS(3214),
    [aux_sym_preproc_def_token1] = ACTIONS(3214),
    [aux_sym_preproc_if_token1] = ACTIONS(3214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3214),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3214),
    [sym_preproc_directive] = ACTIONS(3214),
    [anon_sym_LPAREN2] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_typedef] = ACTIONS(3214),
    [anon_sym_virtual] = ACTIONS(3214),
    [anon_sym_extern] = ACTIONS(3214),
    [anon_sym___attribute__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3216),
    [anon_sym___declspec] = ACTIONS(3214),
    [anon_sym___based] = ACTIONS(3214),
    [anon_sym___cdecl] = ACTIONS(3214),
    [anon_sym___clrcall] = ACTIONS(3214),
    [anon_sym___stdcall] = ACTIONS(3214),
    [anon_sym___fastcall] = ACTIONS(3214),
    [anon_sym___thiscall] = ACTIONS(3214),
    [anon_sym___vectorcall] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_signed] = ACTIONS(3214),
    [anon_sym_unsigned] = ACTIONS(3214),
    [anon_sym_long] = ACTIONS(3214),
    [anon_sym_short] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_register] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym___inline] = ACTIONS(3214),
    [anon_sym___inline__] = ACTIONS(3214),
    [anon_sym___forceinline] = ACTIONS(3214),
    [anon_sym_thread_local] = ACTIONS(3214),
    [anon_sym___thread] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_constexpr] = ACTIONS(3214),
    [anon_sym_volatile] = ACTIONS(3214),
    [anon_sym_restrict] = ACTIONS(3214),
    [anon_sym___restrict__] = ACTIONS(3214),
    [anon_sym__Atomic] = ACTIONS(3214),
    [anon_sym__Noreturn] = ACTIONS(3214),
    [anon_sym_noreturn] = ACTIONS(3214),
    [anon_sym__Nonnull] = ACTIONS(3214),
    [anon_sym_mutable] = ACTIONS(3214),
    [anon_sym_constinit] = ACTIONS(3214),
    [anon_sym_consteval] = ACTIONS(3214),
    [anon_sym_PROGMEM] = ACTIONS(3214),
    [anon_sym_alignas] = ACTIONS(3214),
    [anon_sym__Alignas] = ACTIONS(3214),
    [aux_sym_primitive_type_token1] = ACTIONS(3214),
    [anon_sym_byte] = ACTIONS(3214),
    [anon_sym_word] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_struct] = ACTIONS(3214),
    [anon_sym_union] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_switch] = ACTIONS(3214),
    [anon_sym_case] = ACTIONS(3214),
    [anon_sym_default] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_do] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_break] = ACTIONS(3214),
    [anon_sym_continue] = ACTIONS(3214),
    [anon_sym_goto] = ACTIONS(3214),
    [anon_sym___try] = ACTIONS(3214),
    [anon_sym___leave] = ACTIONS(3214),
    [anon_sym_not] = ACTIONS(3214),
    [anon_sym_compl] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_sizeof] = ACTIONS(3214),
    [anon_sym___alignof__] = ACTIONS(3214),
    [anon_sym___alignof] = ACTIONS(3214),
    [anon_sym__alignof] = ACTIONS(3214),
    [anon_sym_alignof] = ACTIONS(3214),
    [anon_sym__Alignof] = ACTIONS(3214),
    [anon_sym_offsetof] = ACTIONS(3214),
    [anon_sym__Generic] = ACTIONS(3214),
    [anon_sym_asm] = ACTIONS(3214),
    [anon_sym___asm__] = ACTIONS(3214),
    [anon_sym___asm] = ACTIONS(3214),
    [aux_sym_number_literal_token1] = ACTIONS(3216),
    [aux_sym_number_literal_token2] = ACTIONS(3214),
    [anon_sym_L_SQUOTE] = ACTIONS(3216),
    [anon_sym_u_SQUOTE] = ACTIONS(3216),
    [anon_sym_U_SQUOTE] = ACTIONS(3216),
    [anon_sym_u8_SQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_L_DQUOTE] = ACTIONS(3216),
    [anon_sym_u_DQUOTE] = ACTIONS(3216),
    [anon_sym_U_DQUOTE] = ACTIONS(3216),
    [anon_sym_u8_DQUOTE] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [sym_true] = ACTIONS(3214),
    [sym_false] = ACTIONS(3214),
    [anon_sym_NULL] = ACTIONS(3214),
    [anon_sym_nullptr] = ACTIONS(3214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3214),
    [anon_sym_decltype] = ACTIONS(3214),
    [anon_sym_explicit] = ACTIONS(3214),
    [anon_sym_typename] = ACTIONS(3214),
    [anon_sym_template] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_delete] = ACTIONS(3214),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_namespace] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_concept] = ACTIONS(3214),
    [anon_sym_co_return] = ACTIONS(3214),
    [anon_sym_co_yield] = ACTIONS(3214),
    [anon_sym_R_DQUOTE] = ACTIONS(3216),
    [anon_sym_LR_DQUOTE] = ACTIONS(3216),
    [anon_sym_uR_DQUOTE] = ACTIONS(3216),
    [anon_sym_UR_DQUOTE] = ACTIONS(3216),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3216),
    [anon_sym_co_await] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_requires] = ACTIONS(3214),
    [sym_this] = ACTIONS(3214),
  },
  [679] = {
    [ts_builtin_sym_end] = ACTIONS(3002),
    [sym_identifier] = ACTIONS(3000),
    [aux_sym_preproc_include_token1] = ACTIONS(3000),
    [aux_sym_preproc_def_token1] = ACTIONS(3000),
    [anon_sym_COMMA] = ACTIONS(3002),
    [aux_sym_preproc_if_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3000),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(3002),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3000),
    [anon_sym_PLUS] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(3000),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_virtual] = ACTIONS(3000),
    [anon_sym_extern] = ACTIONS(3000),
    [anon_sym___attribute__] = ACTIONS(3000),
    [anon_sym_COLON_COLON] = ACTIONS(3002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3002),
    [anon_sym___declspec] = ACTIONS(3000),
    [anon_sym___based] = ACTIONS(3000),
    [anon_sym___cdecl] = ACTIONS(3000),
    [anon_sym___clrcall] = ACTIONS(3000),
    [anon_sym___stdcall] = ACTIONS(3000),
    [anon_sym___fastcall] = ACTIONS(3000),
    [anon_sym___thiscall] = ACTIONS(3000),
    [anon_sym___vectorcall] = ACTIONS(3000),
    [anon_sym_LBRACE] = ACTIONS(3002),
    [anon_sym_RBRACE] = ACTIONS(3002),
    [anon_sym_signed] = ACTIONS(3000),
    [anon_sym_unsigned] = ACTIONS(3000),
    [anon_sym_long] = ACTIONS(3000),
    [anon_sym_short] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_register] = ACTIONS(3000),
    [anon_sym_inline] = ACTIONS(3000),
    [anon_sym___inline] = ACTIONS(3000),
    [anon_sym___inline__] = ACTIONS(3000),
    [anon_sym___forceinline] = ACTIONS(3000),
    [anon_sym_thread_local] = ACTIONS(3000),
    [anon_sym___thread] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_constexpr] = ACTIONS(3000),
    [anon_sym_volatile] = ACTIONS(3000),
    [anon_sym_restrict] = ACTIONS(3000),
    [anon_sym___restrict__] = ACTIONS(3000),
    [anon_sym__Atomic] = ACTIONS(3000),
    [anon_sym__Noreturn] = ACTIONS(3000),
    [anon_sym_noreturn] = ACTIONS(3000),
    [anon_sym__Nonnull] = ACTIONS(3000),
    [anon_sym_mutable] = ACTIONS(3000),
    [anon_sym_constinit] = ACTIONS(3000),
    [anon_sym_consteval] = ACTIONS(3000),
    [anon_sym_PROGMEM] = ACTIONS(3000),
    [anon_sym_alignas] = ACTIONS(3000),
    [anon_sym__Alignas] = ACTIONS(3000),
    [aux_sym_primitive_type_token1] = ACTIONS(3000),
    [anon_sym_byte] = ACTIONS(3000),
    [anon_sym_word] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_struct] = ACTIONS(3000),
    [anon_sym_union] = ACTIONS(3000),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_switch] = ACTIONS(3000),
    [anon_sym_case] = ACTIONS(3000),
    [anon_sym_default] = ACTIONS(3000),
    [anon_sym_while] = ACTIONS(3000),
    [anon_sym_do] = ACTIONS(3000),
    [anon_sym_for] = ACTIONS(3000),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_break] = ACTIONS(3000),
    [anon_sym_continue] = ACTIONS(3000),
    [anon_sym_goto] = ACTIONS(3000),
    [anon_sym_not] = ACTIONS(3000),
    [anon_sym_compl] = ACTIONS(3000),
    [anon_sym_DASH_DASH] = ACTIONS(3002),
    [anon_sym_PLUS_PLUS] = ACTIONS(3002),
    [anon_sym_sizeof] = ACTIONS(3000),
    [anon_sym___alignof__] = ACTIONS(3000),
    [anon_sym___alignof] = ACTIONS(3000),
    [anon_sym__alignof] = ACTIONS(3000),
    [anon_sym_alignof] = ACTIONS(3000),
    [anon_sym__Alignof] = ACTIONS(3000),
    [anon_sym_offsetof] = ACTIONS(3000),
    [anon_sym__Generic] = ACTIONS(3000),
    [anon_sym_asm] = ACTIONS(3000),
    [anon_sym___asm__] = ACTIONS(3000),
    [anon_sym___asm] = ACTIONS(3000),
    [aux_sym_number_literal_token1] = ACTIONS(3002),
    [aux_sym_number_literal_token2] = ACTIONS(3000),
    [anon_sym_L_SQUOTE] = ACTIONS(3002),
    [anon_sym_u_SQUOTE] = ACTIONS(3002),
    [anon_sym_U_SQUOTE] = ACTIONS(3002),
    [anon_sym_u8_SQUOTE] = ACTIONS(3002),
    [anon_sym_SQUOTE] = ACTIONS(3002),
    [anon_sym_L_DQUOTE] = ACTIONS(3002),
    [anon_sym_u_DQUOTE] = ACTIONS(3002),
    [anon_sym_U_DQUOTE] = ACTIONS(3002),
    [anon_sym_u8_DQUOTE] = ACTIONS(3002),
    [anon_sym_DQUOTE] = ACTIONS(3002),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [anon_sym_NULL] = ACTIONS(3000),
    [anon_sym_nullptr] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3000),
    [anon_sym_decltype] = ACTIONS(3000),
    [anon_sym_explicit] = ACTIONS(3000),
    [anon_sym_typename] = ACTIONS(3000),
    [anon_sym_template] = ACTIONS(3000),
    [anon_sym_operator] = ACTIONS(3000),
    [anon_sym_try] = ACTIONS(3000),
    [anon_sym_delete] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3000),
    [anon_sym_namespace] = ACTIONS(3000),
    [anon_sym_using] = ACTIONS(3000),
    [anon_sym_static_assert] = ACTIONS(3000),
    [anon_sym_concept] = ACTIONS(3000),
    [anon_sym_co_return] = ACTIONS(3000),
    [anon_sym_co_yield] = ACTIONS(3000),
    [anon_sym_R_DQUOTE] = ACTIONS(3002),
    [anon_sym_LR_DQUOTE] = ACTIONS(3002),
    [anon_sym_uR_DQUOTE] = ACTIONS(3002),
    [anon_sym_UR_DQUOTE] = ACTIONS(3002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3002),
    [anon_sym_co_await] = ACTIONS(3000),
    [anon_sym_new] = ACTIONS(3000),
    [anon_sym_requires] = ACTIONS(3000),
    [sym_this] = ACTIONS(3000),
  },
  [680] = {
    [ts_builtin_sym_end] = ACTIONS(3188),
    [sym_identifier] = ACTIONS(3186),
    [aux_sym_preproc_include_token1] = ACTIONS(3186),
    [aux_sym_preproc_def_token1] = ACTIONS(3186),
    [anon_sym_COMMA] = ACTIONS(3188),
    [aux_sym_preproc_if_token1] = ACTIONS(3186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3186),
    [sym_preproc_directive] = ACTIONS(3186),
    [anon_sym_LPAREN2] = ACTIONS(3188),
    [anon_sym_BANG] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3186),
    [anon_sym___extension__] = ACTIONS(3186),
    [anon_sym_typedef] = ACTIONS(3186),
    [anon_sym_virtual] = ACTIONS(3186),
    [anon_sym_extern] = ACTIONS(3186),
    [anon_sym___attribute__] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3188),
    [anon_sym___declspec] = ACTIONS(3186),
    [anon_sym___based] = ACTIONS(3186),
    [anon_sym___cdecl] = ACTIONS(3186),
    [anon_sym___clrcall] = ACTIONS(3186),
    [anon_sym___stdcall] = ACTIONS(3186),
    [anon_sym___fastcall] = ACTIONS(3186),
    [anon_sym___thiscall] = ACTIONS(3186),
    [anon_sym___vectorcall] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_signed] = ACTIONS(3186),
    [anon_sym_unsigned] = ACTIONS(3186),
    [anon_sym_long] = ACTIONS(3186),
    [anon_sym_short] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_register] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym___inline] = ACTIONS(3186),
    [anon_sym___inline__] = ACTIONS(3186),
    [anon_sym___forceinline] = ACTIONS(3186),
    [anon_sym_thread_local] = ACTIONS(3186),
    [anon_sym___thread] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_constexpr] = ACTIONS(3186),
    [anon_sym_volatile] = ACTIONS(3186),
    [anon_sym_restrict] = ACTIONS(3186),
    [anon_sym___restrict__] = ACTIONS(3186),
    [anon_sym__Atomic] = ACTIONS(3186),
    [anon_sym__Noreturn] = ACTIONS(3186),
    [anon_sym_noreturn] = ACTIONS(3186),
    [anon_sym__Nonnull] = ACTIONS(3186),
    [anon_sym_mutable] = ACTIONS(3186),
    [anon_sym_constinit] = ACTIONS(3186),
    [anon_sym_consteval] = ACTIONS(3186),
    [anon_sym_PROGMEM] = ACTIONS(3186),
    [anon_sym_alignas] = ACTIONS(3186),
    [anon_sym__Alignas] = ACTIONS(3186),
    [aux_sym_primitive_type_token1] = ACTIONS(3186),
    [anon_sym_byte] = ACTIONS(3186),
    [anon_sym_word] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_struct] = ACTIONS(3186),
    [anon_sym_union] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(3186),
    [anon_sym_case] = ACTIONS(3186),
    [anon_sym_default] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_do] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_break] = ACTIONS(3186),
    [anon_sym_continue] = ACTIONS(3186),
    [anon_sym_goto] = ACTIONS(3186),
    [anon_sym_not] = ACTIONS(3186),
    [anon_sym_compl] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_sizeof] = ACTIONS(3186),
    [anon_sym___alignof__] = ACTIONS(3186),
    [anon_sym___alignof] = ACTIONS(3186),
    [anon_sym__alignof] = ACTIONS(3186),
    [anon_sym_alignof] = ACTIONS(3186),
    [anon_sym__Alignof] = ACTIONS(3186),
    [anon_sym_offsetof] = ACTIONS(3186),
    [anon_sym__Generic] = ACTIONS(3186),
    [anon_sym_asm] = ACTIONS(3186),
    [anon_sym___asm__] = ACTIONS(3186),
    [anon_sym___asm] = ACTIONS(3186),
    [aux_sym_number_literal_token1] = ACTIONS(3188),
    [aux_sym_number_literal_token2] = ACTIONS(3186),
    [anon_sym_L_SQUOTE] = ACTIONS(3188),
    [anon_sym_u_SQUOTE] = ACTIONS(3188),
    [anon_sym_U_SQUOTE] = ACTIONS(3188),
    [anon_sym_u8_SQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [anon_sym_L_DQUOTE] = ACTIONS(3188),
    [anon_sym_u_DQUOTE] = ACTIONS(3188),
    [anon_sym_U_DQUOTE] = ACTIONS(3188),
    [anon_sym_u8_DQUOTE] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3188),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [anon_sym_NULL] = ACTIONS(3186),
    [anon_sym_nullptr] = ACTIONS(3186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3186),
    [anon_sym_decltype] = ACTIONS(3186),
    [anon_sym_explicit] = ACTIONS(3186),
    [anon_sym_typename] = ACTIONS(3186),
    [anon_sym_template] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_delete] = ACTIONS(3186),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_namespace] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_static_assert] = ACTIONS(3186),
    [anon_sym_concept] = ACTIONS(3186),
    [anon_sym_co_return] = ACTIONS(3186),
    [anon_sym_co_yield] = ACTIONS(3186),
    [anon_sym_R_DQUOTE] = ACTIONS(3188),
    [anon_sym_LR_DQUOTE] = ACTIONS(3188),
    [anon_sym_uR_DQUOTE] = ACTIONS(3188),
    [anon_sym_UR_DQUOTE] = ACTIONS(3188),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3188),
    [anon_sym_co_await] = ACTIONS(3186),
    [anon_sym_new] = ACTIONS(3186),
    [anon_sym_requires] = ACTIONS(3186),
    [sym_this] = ACTIONS(3186),
  },
  [681] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3772),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(3859),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_RPAREN] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1915),
    [anon_sym_GT_GT] = ACTIONS(1915),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(1915),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [682] = {
    [ts_builtin_sym_end] = ACTIONS(2990),
    [sym_identifier] = ACTIONS(2988),
    [aux_sym_preproc_include_token1] = ACTIONS(2988),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2988),
    [sym_preproc_directive] = ACTIONS(2988),
    [anon_sym_LPAREN2] = ACTIONS(2990),
    [anon_sym_BANG] = ACTIONS(2990),
    [anon_sym_TILDE] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2988),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(3486),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_typedef] = ACTIONS(2988),
    [anon_sym_virtual] = ACTIONS(2988),
    [anon_sym_extern] = ACTIONS(2988),
    [anon_sym___attribute__] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(2990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2990),
    [anon_sym___declspec] = ACTIONS(2988),
    [anon_sym___based] = ACTIONS(2988),
    [anon_sym___cdecl] = ACTIONS(2988),
    [anon_sym___clrcall] = ACTIONS(2988),
    [anon_sym___stdcall] = ACTIONS(2988),
    [anon_sym___fastcall] = ACTIONS(2988),
    [anon_sym___thiscall] = ACTIONS(2988),
    [anon_sym___vectorcall] = ACTIONS(2988),
    [anon_sym_LBRACE] = ACTIONS(2990),
    [anon_sym_signed] = ACTIONS(2988),
    [anon_sym_unsigned] = ACTIONS(2988),
    [anon_sym_long] = ACTIONS(2988),
    [anon_sym_short] = ACTIONS(2988),
    [anon_sym_LBRACK] = ACTIONS(2988),
    [anon_sym_static] = ACTIONS(2988),
    [anon_sym_register] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(2988),
    [anon_sym___inline] = ACTIONS(2988),
    [anon_sym___inline__] = ACTIONS(2988),
    [anon_sym___forceinline] = ACTIONS(2988),
    [anon_sym_thread_local] = ACTIONS(2988),
    [anon_sym___thread] = ACTIONS(2988),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_PROGMEM] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2988),
    [anon_sym__Alignas] = ACTIONS(2988),
    [aux_sym_primitive_type_token1] = ACTIONS(2988),
    [anon_sym_byte] = ACTIONS(2988),
    [anon_sym_word] = ACTIONS(2988),
    [anon_sym_enum] = ACTIONS(2988),
    [anon_sym_class] = ACTIONS(2988),
    [anon_sym_struct] = ACTIONS(2988),
    [anon_sym_union] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2988),
    [anon_sym_switch] = ACTIONS(2988),
    [anon_sym_case] = ACTIONS(2988),
    [anon_sym_default] = ACTIONS(2988),
    [anon_sym_while] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2988),
    [anon_sym_for] = ACTIONS(2988),
    [anon_sym_return] = ACTIONS(2988),
    [anon_sym_break] = ACTIONS(2988),
    [anon_sym_continue] = ACTIONS(2988),
    [anon_sym_goto] = ACTIONS(2988),
    [anon_sym_not] = ACTIONS(2988),
    [anon_sym_compl] = ACTIONS(2988),
    [anon_sym_DASH_DASH] = ACTIONS(2990),
    [anon_sym_PLUS_PLUS] = ACTIONS(2990),
    [anon_sym_sizeof] = ACTIONS(2988),
    [anon_sym___alignof__] = ACTIONS(2988),
    [anon_sym___alignof] = ACTIONS(2988),
    [anon_sym__alignof] = ACTIONS(2988),
    [anon_sym_alignof] = ACTIONS(2988),
    [anon_sym__Alignof] = ACTIONS(2988),
    [anon_sym_offsetof] = ACTIONS(2988),
    [anon_sym__Generic] = ACTIONS(2988),
    [anon_sym_asm] = ACTIONS(2988),
    [anon_sym___asm__] = ACTIONS(2988),
    [anon_sym___asm] = ACTIONS(2988),
    [aux_sym_number_literal_token1] = ACTIONS(2990),
    [aux_sym_number_literal_token2] = ACTIONS(2988),
    [anon_sym_L_SQUOTE] = ACTIONS(2990),
    [anon_sym_u_SQUOTE] = ACTIONS(2990),
    [anon_sym_U_SQUOTE] = ACTIONS(2990),
    [anon_sym_u8_SQUOTE] = ACTIONS(2990),
    [anon_sym_SQUOTE] = ACTIONS(2990),
    [anon_sym_L_DQUOTE] = ACTIONS(2990),
    [anon_sym_u_DQUOTE] = ACTIONS(2990),
    [anon_sym_U_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8_DQUOTE] = ACTIONS(2990),
    [anon_sym_DQUOTE] = ACTIONS(2990),
    [sym_true] = ACTIONS(2988),
    [sym_false] = ACTIONS(2988),
    [anon_sym_NULL] = ACTIONS(2988),
    [anon_sym_nullptr] = ACTIONS(2988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2988),
    [anon_sym_decltype] = ACTIONS(2988),
    [anon_sym_explicit] = ACTIONS(2988),
    [anon_sym_typename] = ACTIONS(2988),
    [anon_sym_template] = ACTIONS(2988),
    [anon_sym_operator] = ACTIONS(2988),
    [anon_sym_try] = ACTIONS(2988),
    [anon_sym_delete] = ACTIONS(2988),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_namespace] = ACTIONS(2988),
    [anon_sym_using] = ACTIONS(2988),
    [anon_sym_static_assert] = ACTIONS(2988),
    [anon_sym_concept] = ACTIONS(2988),
    [anon_sym_co_return] = ACTIONS(2988),
    [anon_sym_co_yield] = ACTIONS(2988),
    [anon_sym_R_DQUOTE] = ACTIONS(2990),
    [anon_sym_LR_DQUOTE] = ACTIONS(2990),
    [anon_sym_uR_DQUOTE] = ACTIONS(2990),
    [anon_sym_UR_DQUOTE] = ACTIONS(2990),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2990),
    [anon_sym_co_await] = ACTIONS(2988),
    [anon_sym_new] = ACTIONS(2988),
    [anon_sym_requires] = ACTIONS(2988),
    [sym_this] = ACTIONS(2988),
  },
  [683] = {
    [ts_builtin_sym_end] = ACTIONS(3139),
    [sym_identifier] = ACTIONS(3137),
    [aux_sym_preproc_include_token1] = ACTIONS(3137),
    [aux_sym_preproc_def_token1] = ACTIONS(3137),
    [aux_sym_preproc_if_token1] = ACTIONS(3137),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3137),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3137),
    [sym_preproc_directive] = ACTIONS(3137),
    [anon_sym_LPAREN2] = ACTIONS(3139),
    [anon_sym_BANG] = ACTIONS(3139),
    [anon_sym_TILDE] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3137),
    [anon_sym_STAR] = ACTIONS(3139),
    [anon_sym_AMP_AMP] = ACTIONS(3139),
    [anon_sym_AMP] = ACTIONS(3137),
    [anon_sym_SEMI] = ACTIONS(3488),
    [anon_sym___extension__] = ACTIONS(3137),
    [anon_sym_typedef] = ACTIONS(3137),
    [anon_sym_virtual] = ACTIONS(3137),
    [anon_sym_extern] = ACTIONS(3137),
    [anon_sym___attribute__] = ACTIONS(3137),
    [anon_sym_COLON_COLON] = ACTIONS(3139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3139),
    [anon_sym___declspec] = ACTIONS(3137),
    [anon_sym___based] = ACTIONS(3137),
    [anon_sym___cdecl] = ACTIONS(3137),
    [anon_sym___clrcall] = ACTIONS(3137),
    [anon_sym___stdcall] = ACTIONS(3137),
    [anon_sym___fastcall] = ACTIONS(3137),
    [anon_sym___thiscall] = ACTIONS(3137),
    [anon_sym___vectorcall] = ACTIONS(3137),
    [anon_sym_LBRACE] = ACTIONS(3139),
    [anon_sym_signed] = ACTIONS(3137),
    [anon_sym_unsigned] = ACTIONS(3137),
    [anon_sym_long] = ACTIONS(3137),
    [anon_sym_short] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_static] = ACTIONS(3137),
    [anon_sym_register] = ACTIONS(3137),
    [anon_sym_inline] = ACTIONS(3137),
    [anon_sym___inline] = ACTIONS(3137),
    [anon_sym___inline__] = ACTIONS(3137),
    [anon_sym___forceinline] = ACTIONS(3137),
    [anon_sym_thread_local] = ACTIONS(3137),
    [anon_sym___thread] = ACTIONS(3137),
    [anon_sym_const] = ACTIONS(3137),
    [anon_sym_constexpr] = ACTIONS(3137),
    [anon_sym_volatile] = ACTIONS(3137),
    [anon_sym_restrict] = ACTIONS(3137),
    [anon_sym___restrict__] = ACTIONS(3137),
    [anon_sym__Atomic] = ACTIONS(3137),
    [anon_sym__Noreturn] = ACTIONS(3137),
    [anon_sym_noreturn] = ACTIONS(3137),
    [anon_sym__Nonnull] = ACTIONS(3137),
    [anon_sym_mutable] = ACTIONS(3137),
    [anon_sym_constinit] = ACTIONS(3137),
    [anon_sym_consteval] = ACTIONS(3137),
    [anon_sym_PROGMEM] = ACTIONS(3137),
    [anon_sym_alignas] = ACTIONS(3137),
    [anon_sym__Alignas] = ACTIONS(3137),
    [aux_sym_primitive_type_token1] = ACTIONS(3137),
    [anon_sym_byte] = ACTIONS(3137),
    [anon_sym_word] = ACTIONS(3137),
    [anon_sym_enum] = ACTIONS(3137),
    [anon_sym_class] = ACTIONS(3137),
    [anon_sym_struct] = ACTIONS(3137),
    [anon_sym_union] = ACTIONS(3137),
    [anon_sym_if] = ACTIONS(3137),
    [anon_sym_switch] = ACTIONS(3137),
    [anon_sym_case] = ACTIONS(3137),
    [anon_sym_default] = ACTIONS(3137),
    [anon_sym_while] = ACTIONS(3137),
    [anon_sym_do] = ACTIONS(3137),
    [anon_sym_for] = ACTIONS(3137),
    [anon_sym_return] = ACTIONS(3137),
    [anon_sym_break] = ACTIONS(3137),
    [anon_sym_continue] = ACTIONS(3137),
    [anon_sym_goto] = ACTIONS(3137),
    [anon_sym_not] = ACTIONS(3137),
    [anon_sym_compl] = ACTIONS(3137),
    [anon_sym_DASH_DASH] = ACTIONS(3139),
    [anon_sym_PLUS_PLUS] = ACTIONS(3139),
    [anon_sym_sizeof] = ACTIONS(3137),
    [anon_sym___alignof__] = ACTIONS(3137),
    [anon_sym___alignof] = ACTIONS(3137),
    [anon_sym__alignof] = ACTIONS(3137),
    [anon_sym_alignof] = ACTIONS(3137),
    [anon_sym__Alignof] = ACTIONS(3137),
    [anon_sym_offsetof] = ACTIONS(3137),
    [anon_sym__Generic] = ACTIONS(3137),
    [anon_sym_asm] = ACTIONS(3137),
    [anon_sym___asm__] = ACTIONS(3137),
    [anon_sym___asm] = ACTIONS(3137),
    [aux_sym_number_literal_token1] = ACTIONS(3139),
    [aux_sym_number_literal_token2] = ACTIONS(3137),
    [anon_sym_L_SQUOTE] = ACTIONS(3139),
    [anon_sym_u_SQUOTE] = ACTIONS(3139),
    [anon_sym_U_SQUOTE] = ACTIONS(3139),
    [anon_sym_u8_SQUOTE] = ACTIONS(3139),
    [anon_sym_SQUOTE] = ACTIONS(3139),
    [anon_sym_L_DQUOTE] = ACTIONS(3139),
    [anon_sym_u_DQUOTE] = ACTIONS(3139),
    [anon_sym_U_DQUOTE] = ACTIONS(3139),
    [anon_sym_u8_DQUOTE] = ACTIONS(3139),
    [anon_sym_DQUOTE] = ACTIONS(3139),
    [sym_true] = ACTIONS(3137),
    [sym_false] = ACTIONS(3137),
    [anon_sym_NULL] = ACTIONS(3137),
    [anon_sym_nullptr] = ACTIONS(3137),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3137),
    [anon_sym_decltype] = ACTIONS(3137),
    [anon_sym_explicit] = ACTIONS(3137),
    [anon_sym_typename] = ACTIONS(3137),
    [anon_sym_template] = ACTIONS(3137),
    [anon_sym_operator] = ACTIONS(3137),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_delete] = ACTIONS(3137),
    [anon_sym_throw] = ACTIONS(3137),
    [anon_sym_namespace] = ACTIONS(3137),
    [anon_sym_using] = ACTIONS(3137),
    [anon_sym_static_assert] = ACTIONS(3137),
    [anon_sym_concept] = ACTIONS(3137),
    [anon_sym_co_return] = ACTIONS(3137),
    [anon_sym_co_yield] = ACTIONS(3137),
    [anon_sym_R_DQUOTE] = ACTIONS(3139),
    [anon_sym_LR_DQUOTE] = ACTIONS(3139),
    [anon_sym_uR_DQUOTE] = ACTIONS(3139),
    [anon_sym_UR_DQUOTE] = ACTIONS(3139),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3139),
    [anon_sym_co_await] = ACTIONS(3137),
    [anon_sym_new] = ACTIONS(3137),
    [anon_sym_requires] = ACTIONS(3137),
    [sym_this] = ACTIONS(3137),
  },
  [684] = {
    [ts_builtin_sym_end] = ACTIONS(2978),
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(3490),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_PROGMEM] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [aux_sym_primitive_type_token1] = ACTIONS(2976),
    [anon_sym_byte] = ACTIONS(2976),
    [anon_sym_word] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [aux_sym_number_literal_token1] = ACTIONS(2978),
    [aux_sym_number_literal_token2] = ACTIONS(2976),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [685] = {
    [ts_builtin_sym_end] = ACTIONS(3042),
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3492),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [anon_sym___asm] = ACTIONS(3040),
    [aux_sym_number_literal_token1] = ACTIONS(3042),
    [aux_sym_number_literal_token2] = ACTIONS(3040),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(3097),
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_include_token1] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_BANG] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym___cdecl] = ACTIONS(3095),
    [anon_sym___clrcall] = ACTIONS(3095),
    [anon_sym___stdcall] = ACTIONS(3095),
    [anon_sym___fastcall] = ACTIONS(3095),
    [anon_sym___thiscall] = ACTIONS(3095),
    [anon_sym___vectorcall] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym__Nonnull] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [anon_sym_PROGMEM] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym__Alignas] = ACTIONS(3095),
    [aux_sym_primitive_type_token1] = ACTIONS(3095),
    [anon_sym_byte] = ACTIONS(3095),
    [anon_sym_word] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_switch] = ACTIONS(3095),
    [anon_sym_case] = ACTIONS(3095),
    [anon_sym_default] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(3095),
    [anon_sym_do] = ACTIONS(3095),
    [anon_sym_for] = ACTIONS(3095),
    [anon_sym_return] = ACTIONS(3095),
    [anon_sym_break] = ACTIONS(3095),
    [anon_sym_continue] = ACTIONS(3095),
    [anon_sym_goto] = ACTIONS(3095),
    [anon_sym_not] = ACTIONS(3095),
    [anon_sym_compl] = ACTIONS(3095),
    [anon_sym_DASH_DASH] = ACTIONS(3097),
    [anon_sym_PLUS_PLUS] = ACTIONS(3097),
    [anon_sym_sizeof] = ACTIONS(3095),
    [anon_sym___alignof__] = ACTIONS(3095),
    [anon_sym___alignof] = ACTIONS(3095),
    [anon_sym__alignof] = ACTIONS(3095),
    [anon_sym_alignof] = ACTIONS(3095),
    [anon_sym__Alignof] = ACTIONS(3095),
    [anon_sym_offsetof] = ACTIONS(3095),
    [anon_sym__Generic] = ACTIONS(3095),
    [anon_sym_asm] = ACTIONS(3095),
    [anon_sym___asm__] = ACTIONS(3095),
    [anon_sym___asm] = ACTIONS(3095),
    [aux_sym_number_literal_token1] = ACTIONS(3097),
    [aux_sym_number_literal_token2] = ACTIONS(3095),
    [anon_sym_L_SQUOTE] = ACTIONS(3097),
    [anon_sym_u_SQUOTE] = ACTIONS(3097),
    [anon_sym_U_SQUOTE] = ACTIONS(3097),
    [anon_sym_u8_SQUOTE] = ACTIONS(3097),
    [anon_sym_SQUOTE] = ACTIONS(3097),
    [anon_sym_L_DQUOTE] = ACTIONS(3097),
    [anon_sym_u_DQUOTE] = ACTIONS(3097),
    [anon_sym_U_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8_DQUOTE] = ACTIONS(3097),
    [anon_sym_DQUOTE] = ACTIONS(3097),
    [sym_true] = ACTIONS(3095),
    [sym_false] = ACTIONS(3095),
    [anon_sym_NULL] = ACTIONS(3095),
    [anon_sym_nullptr] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_try] = ACTIONS(3095),
    [anon_sym_delete] = ACTIONS(3095),
    [anon_sym_throw] = ACTIONS(3095),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
    [anon_sym_concept] = ACTIONS(3095),
    [anon_sym_co_return] = ACTIONS(3095),
    [anon_sym_co_yield] = ACTIONS(3095),
    [anon_sym_R_DQUOTE] = ACTIONS(3097),
    [anon_sym_LR_DQUOTE] = ACTIONS(3097),
    [anon_sym_uR_DQUOTE] = ACTIONS(3097),
    [anon_sym_UR_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3097),
    [anon_sym_co_await] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_requires] = ACTIONS(3095),
    [sym_this] = ACTIONS(3095),
  },
  [687] = {
    [ts_builtin_sym_end] = ACTIONS(3200),
    [sym_identifier] = ACTIONS(3198),
    [aux_sym_preproc_include_token1] = ACTIONS(3198),
    [aux_sym_preproc_def_token1] = ACTIONS(3198),
    [aux_sym_preproc_if_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3198),
    [sym_preproc_directive] = ACTIONS(3198),
    [anon_sym_LPAREN2] = ACTIONS(3200),
    [anon_sym_BANG] = ACTIONS(3200),
    [anon_sym_TILDE] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3200),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(3198),
    [anon_sym_typedef] = ACTIONS(3198),
    [anon_sym_virtual] = ACTIONS(3198),
    [anon_sym_extern] = ACTIONS(3198),
    [anon_sym___attribute__] = ACTIONS(3198),
    [anon_sym_COLON_COLON] = ACTIONS(3200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3200),
    [anon_sym___declspec] = ACTIONS(3198),
    [anon_sym___based] = ACTIONS(3198),
    [anon_sym___cdecl] = ACTIONS(3198),
    [anon_sym___clrcall] = ACTIONS(3198),
    [anon_sym___stdcall] = ACTIONS(3198),
    [anon_sym___fastcall] = ACTIONS(3198),
    [anon_sym___thiscall] = ACTIONS(3198),
    [anon_sym___vectorcall] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_signed] = ACTIONS(3198),
    [anon_sym_unsigned] = ACTIONS(3198),
    [anon_sym_long] = ACTIONS(3198),
    [anon_sym_short] = ACTIONS(3198),
    [anon_sym_LBRACK] = ACTIONS(3198),
    [anon_sym_static] = ACTIONS(3198),
    [anon_sym_register] = ACTIONS(3198),
    [anon_sym_inline] = ACTIONS(3198),
    [anon_sym___inline] = ACTIONS(3198),
    [anon_sym___inline__] = ACTIONS(3198),
    [anon_sym___forceinline] = ACTIONS(3198),
    [anon_sym_thread_local] = ACTIONS(3198),
    [anon_sym___thread] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_constexpr] = ACTIONS(3198),
    [anon_sym_volatile] = ACTIONS(3198),
    [anon_sym_restrict] = ACTIONS(3198),
    [anon_sym___restrict__] = ACTIONS(3198),
    [anon_sym__Atomic] = ACTIONS(3198),
    [anon_sym__Noreturn] = ACTIONS(3198),
    [anon_sym_noreturn] = ACTIONS(3198),
    [anon_sym__Nonnull] = ACTIONS(3198),
    [anon_sym_mutable] = ACTIONS(3198),
    [anon_sym_constinit] = ACTIONS(3198),
    [anon_sym_consteval] = ACTIONS(3198),
    [anon_sym_PROGMEM] = ACTIONS(3198),
    [anon_sym_alignas] = ACTIONS(3198),
    [anon_sym__Alignas] = ACTIONS(3198),
    [aux_sym_primitive_type_token1] = ACTIONS(3198),
    [anon_sym_byte] = ACTIONS(3198),
    [anon_sym_word] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [anon_sym_class] = ACTIONS(3198),
    [anon_sym_struct] = ACTIONS(3198),
    [anon_sym_union] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3198),
    [anon_sym_case] = ACTIONS(3198),
    [anon_sym_default] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_do] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_break] = ACTIONS(3198),
    [anon_sym_continue] = ACTIONS(3198),
    [anon_sym_goto] = ACTIONS(3198),
    [anon_sym_not] = ACTIONS(3198),
    [anon_sym_compl] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_sizeof] = ACTIONS(3198),
    [anon_sym___alignof__] = ACTIONS(3198),
    [anon_sym___alignof] = ACTIONS(3198),
    [anon_sym__alignof] = ACTIONS(3198),
    [anon_sym_alignof] = ACTIONS(3198),
    [anon_sym__Alignof] = ACTIONS(3198),
    [anon_sym_offsetof] = ACTIONS(3198),
    [anon_sym__Generic] = ACTIONS(3198),
    [anon_sym_asm] = ACTIONS(3198),
    [anon_sym___asm__] = ACTIONS(3198),
    [anon_sym___asm] = ACTIONS(3198),
    [aux_sym_number_literal_token1] = ACTIONS(3200),
    [aux_sym_number_literal_token2] = ACTIONS(3198),
    [anon_sym_L_SQUOTE] = ACTIONS(3200),
    [anon_sym_u_SQUOTE] = ACTIONS(3200),
    [anon_sym_U_SQUOTE] = ACTIONS(3200),
    [anon_sym_u8_SQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [anon_sym_L_DQUOTE] = ACTIONS(3200),
    [anon_sym_u_DQUOTE] = ACTIONS(3200),
    [anon_sym_U_DQUOTE] = ACTIONS(3200),
    [anon_sym_u8_DQUOTE] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3200),
    [sym_true] = ACTIONS(3198),
    [sym_false] = ACTIONS(3198),
    [anon_sym_NULL] = ACTIONS(3198),
    [anon_sym_nullptr] = ACTIONS(3198),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3198),
    [anon_sym_decltype] = ACTIONS(3198),
    [anon_sym_explicit] = ACTIONS(3198),
    [anon_sym_typename] = ACTIONS(3198),
    [anon_sym_template] = ACTIONS(3198),
    [anon_sym_operator] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_delete] = ACTIONS(3198),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_namespace] = ACTIONS(3198),
    [anon_sym_using] = ACTIONS(3198),
    [anon_sym_static_assert] = ACTIONS(3198),
    [anon_sym_concept] = ACTIONS(3198),
    [anon_sym_co_return] = ACTIONS(3198),
    [anon_sym_co_yield] = ACTIONS(3198),
    [anon_sym_R_DQUOTE] = ACTIONS(3200),
    [anon_sym_LR_DQUOTE] = ACTIONS(3200),
    [anon_sym_uR_DQUOTE] = ACTIONS(3200),
    [anon_sym_UR_DQUOTE] = ACTIONS(3200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3200),
    [anon_sym_co_await] = ACTIONS(3198),
    [anon_sym_new] = ACTIONS(3198),
    [anon_sym_requires] = ACTIONS(3198),
    [sym_this] = ACTIONS(3198),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(3026),
    [sym_identifier] = ACTIONS(3024),
    [aux_sym_preproc_include_token1] = ACTIONS(3024),
    [aux_sym_preproc_def_token1] = ACTIONS(3024),
    [aux_sym_preproc_if_token1] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3024),
    [sym_preproc_directive] = ACTIONS(3024),
    [anon_sym_LPAREN2] = ACTIONS(3026),
    [anon_sym_BANG] = ACTIONS(3026),
    [anon_sym_TILDE] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_AMP_AMP] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3024),
    [anon_sym___extension__] = ACTIONS(3024),
    [anon_sym_typedef] = ACTIONS(3024),
    [anon_sym_virtual] = ACTIONS(3024),
    [anon_sym_extern] = ACTIONS(3024),
    [anon_sym___attribute__] = ACTIONS(3024),
    [anon_sym_COLON_COLON] = ACTIONS(3026),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3026),
    [anon_sym___declspec] = ACTIONS(3024),
    [anon_sym___based] = ACTIONS(3024),
    [anon_sym___cdecl] = ACTIONS(3024),
    [anon_sym___clrcall] = ACTIONS(3024),
    [anon_sym___stdcall] = ACTIONS(3024),
    [anon_sym___fastcall] = ACTIONS(3024),
    [anon_sym___thiscall] = ACTIONS(3024),
    [anon_sym___vectorcall] = ACTIONS(3024),
    [anon_sym_LBRACE] = ACTIONS(3026),
    [anon_sym_signed] = ACTIONS(3024),
    [anon_sym_unsigned] = ACTIONS(3024),
    [anon_sym_long] = ACTIONS(3024),
    [anon_sym_short] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_static] = ACTIONS(3024),
    [anon_sym_register] = ACTIONS(3024),
    [anon_sym_inline] = ACTIONS(3024),
    [anon_sym___inline] = ACTIONS(3024),
    [anon_sym___inline__] = ACTIONS(3024),
    [anon_sym___forceinline] = ACTIONS(3024),
    [anon_sym_thread_local] = ACTIONS(3024),
    [anon_sym___thread] = ACTIONS(3024),
    [anon_sym_const] = ACTIONS(3024),
    [anon_sym_constexpr] = ACTIONS(3024),
    [anon_sym_volatile] = ACTIONS(3024),
    [anon_sym_restrict] = ACTIONS(3024),
    [anon_sym___restrict__] = ACTIONS(3024),
    [anon_sym__Atomic] = ACTIONS(3024),
    [anon_sym__Noreturn] = ACTIONS(3024),
    [anon_sym_noreturn] = ACTIONS(3024),
    [anon_sym__Nonnull] = ACTIONS(3024),
    [anon_sym_mutable] = ACTIONS(3024),
    [anon_sym_constinit] = ACTIONS(3024),
    [anon_sym_consteval] = ACTIONS(3024),
    [anon_sym_PROGMEM] = ACTIONS(3024),
    [anon_sym_alignas] = ACTIONS(3024),
    [anon_sym__Alignas] = ACTIONS(3024),
    [aux_sym_primitive_type_token1] = ACTIONS(3024),
    [anon_sym_byte] = ACTIONS(3024),
    [anon_sym_word] = ACTIONS(3024),
    [anon_sym_enum] = ACTIONS(3024),
    [anon_sym_class] = ACTIONS(3024),
    [anon_sym_struct] = ACTIONS(3024),
    [anon_sym_union] = ACTIONS(3024),
    [anon_sym_if] = ACTIONS(3024),
    [anon_sym_switch] = ACTIONS(3024),
    [anon_sym_case] = ACTIONS(3024),
    [anon_sym_default] = ACTIONS(3024),
    [anon_sym_while] = ACTIONS(3024),
    [anon_sym_do] = ACTIONS(3024),
    [anon_sym_for] = ACTIONS(3024),
    [anon_sym_return] = ACTIONS(3024),
    [anon_sym_break] = ACTIONS(3024),
    [anon_sym_continue] = ACTIONS(3024),
    [anon_sym_goto] = ACTIONS(3024),
    [anon_sym_not] = ACTIONS(3024),
    [anon_sym_compl] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3026),
    [anon_sym_PLUS_PLUS] = ACTIONS(3026),
    [anon_sym_sizeof] = ACTIONS(3024),
    [anon_sym___alignof__] = ACTIONS(3024),
    [anon_sym___alignof] = ACTIONS(3024),
    [anon_sym__alignof] = ACTIONS(3024),
    [anon_sym_alignof] = ACTIONS(3024),
    [anon_sym__Alignof] = ACTIONS(3024),
    [anon_sym_offsetof] = ACTIONS(3024),
    [anon_sym__Generic] = ACTIONS(3024),
    [anon_sym_asm] = ACTIONS(3024),
    [anon_sym___asm__] = ACTIONS(3024),
    [anon_sym___asm] = ACTIONS(3024),
    [aux_sym_number_literal_token1] = ACTIONS(3026),
    [aux_sym_number_literal_token2] = ACTIONS(3024),
    [anon_sym_L_SQUOTE] = ACTIONS(3026),
    [anon_sym_u_SQUOTE] = ACTIONS(3026),
    [anon_sym_U_SQUOTE] = ACTIONS(3026),
    [anon_sym_u8_SQUOTE] = ACTIONS(3026),
    [anon_sym_SQUOTE] = ACTIONS(3026),
    [anon_sym_L_DQUOTE] = ACTIONS(3026),
    [anon_sym_u_DQUOTE] = ACTIONS(3026),
    [anon_sym_U_DQUOTE] = ACTIONS(3026),
    [anon_sym_u8_DQUOTE] = ACTIONS(3026),
    [anon_sym_DQUOTE] = ACTIONS(3026),
    [sym_true] = ACTIONS(3024),
    [sym_false] = ACTIONS(3024),
    [anon_sym_NULL] = ACTIONS(3024),
    [anon_sym_nullptr] = ACTIONS(3024),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3024),
    [anon_sym_decltype] = ACTIONS(3024),
    [anon_sym_explicit] = ACTIONS(3024),
    [anon_sym_typename] = ACTIONS(3024),
    [anon_sym_template] = ACTIONS(3024),
    [anon_sym_operator] = ACTIONS(3024),
    [anon_sym_try] = ACTIONS(3024),
    [anon_sym_delete] = ACTIONS(3024),
    [anon_sym_throw] = ACTIONS(3024),
    [anon_sym_namespace] = ACTIONS(3024),
    [anon_sym_using] = ACTIONS(3024),
    [anon_sym_static_assert] = ACTIONS(3024),
    [anon_sym_concept] = ACTIONS(3024),
    [anon_sym_co_return] = ACTIONS(3024),
    [anon_sym_co_yield] = ACTIONS(3024),
    [anon_sym_R_DQUOTE] = ACTIONS(3026),
    [anon_sym_LR_DQUOTE] = ACTIONS(3026),
    [anon_sym_uR_DQUOTE] = ACTIONS(3026),
    [anon_sym_UR_DQUOTE] = ACTIONS(3026),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3026),
    [anon_sym_co_await] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3024),
    [anon_sym_requires] = ACTIONS(3024),
    [sym_this] = ACTIONS(3024),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(2958),
    [sym_identifier] = ACTIONS(2956),
    [aux_sym_preproc_include_token1] = ACTIONS(2956),
    [aux_sym_preproc_def_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2956),
    [sym_preproc_directive] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2956),
    [anon_sym_PLUS] = ACTIONS(2956),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2956),
    [anon_sym___extension__] = ACTIONS(2956),
    [anon_sym_typedef] = ACTIONS(2956),
    [anon_sym_virtual] = ACTIONS(2956),
    [anon_sym_extern] = ACTIONS(2956),
    [anon_sym___attribute__] = ACTIONS(2956),
    [anon_sym_COLON_COLON] = ACTIONS(2958),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2958),
    [anon_sym___declspec] = ACTIONS(2956),
    [anon_sym___based] = ACTIONS(2956),
    [anon_sym___cdecl] = ACTIONS(2956),
    [anon_sym___clrcall] = ACTIONS(2956),
    [anon_sym___stdcall] = ACTIONS(2956),
    [anon_sym___fastcall] = ACTIONS(2956),
    [anon_sym___thiscall] = ACTIONS(2956),
    [anon_sym___vectorcall] = ACTIONS(2956),
    [anon_sym_LBRACE] = ACTIONS(2958),
    [anon_sym_signed] = ACTIONS(2956),
    [anon_sym_unsigned] = ACTIONS(2956),
    [anon_sym_long] = ACTIONS(2956),
    [anon_sym_short] = ACTIONS(2956),
    [anon_sym_LBRACK] = ACTIONS(2956),
    [anon_sym_static] = ACTIONS(2956),
    [anon_sym_register] = ACTIONS(2956),
    [anon_sym_inline] = ACTIONS(2956),
    [anon_sym___inline] = ACTIONS(2956),
    [anon_sym___inline__] = ACTIONS(2956),
    [anon_sym___forceinline] = ACTIONS(2956),
    [anon_sym_thread_local] = ACTIONS(2956),
    [anon_sym___thread] = ACTIONS(2956),
    [anon_sym_const] = ACTIONS(2956),
    [anon_sym_constexpr] = ACTIONS(2956),
    [anon_sym_volatile] = ACTIONS(2956),
    [anon_sym_restrict] = ACTIONS(2956),
    [anon_sym___restrict__] = ACTIONS(2956),
    [anon_sym__Atomic] = ACTIONS(2956),
    [anon_sym__Noreturn] = ACTIONS(2956),
    [anon_sym_noreturn] = ACTIONS(2956),
    [anon_sym__Nonnull] = ACTIONS(2956),
    [anon_sym_mutable] = ACTIONS(2956),
    [anon_sym_constinit] = ACTIONS(2956),
    [anon_sym_consteval] = ACTIONS(2956),
    [anon_sym_PROGMEM] = ACTIONS(2956),
    [anon_sym_alignas] = ACTIONS(2956),
    [anon_sym__Alignas] = ACTIONS(2956),
    [aux_sym_primitive_type_token1] = ACTIONS(2956),
    [anon_sym_byte] = ACTIONS(2956),
    [anon_sym_word] = ACTIONS(2956),
    [anon_sym_enum] = ACTIONS(2956),
    [anon_sym_class] = ACTIONS(2956),
    [anon_sym_struct] = ACTIONS(2956),
    [anon_sym_union] = ACTIONS(2956),
    [anon_sym_if] = ACTIONS(2956),
    [anon_sym_switch] = ACTIONS(2956),
    [anon_sym_case] = ACTIONS(2956),
    [anon_sym_default] = ACTIONS(2956),
    [anon_sym_while] = ACTIONS(2956),
    [anon_sym_do] = ACTIONS(2956),
    [anon_sym_for] = ACTIONS(2956),
    [anon_sym_return] = ACTIONS(2956),
    [anon_sym_break] = ACTIONS(2956),
    [anon_sym_continue] = ACTIONS(2956),
    [anon_sym_goto] = ACTIONS(2956),
    [anon_sym_not] = ACTIONS(2956),
    [anon_sym_compl] = ACTIONS(2956),
    [anon_sym_DASH_DASH] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2958),
    [anon_sym_sizeof] = ACTIONS(2956),
    [anon_sym___alignof__] = ACTIONS(2956),
    [anon_sym___alignof] = ACTIONS(2956),
    [anon_sym__alignof] = ACTIONS(2956),
    [anon_sym_alignof] = ACTIONS(2956),
    [anon_sym__Alignof] = ACTIONS(2956),
    [anon_sym_offsetof] = ACTIONS(2956),
    [anon_sym__Generic] = ACTIONS(2956),
    [anon_sym_asm] = ACTIONS(2956),
    [anon_sym___asm__] = ACTIONS(2956),
    [anon_sym___asm] = ACTIONS(2956),
    [aux_sym_number_literal_token1] = ACTIONS(2958),
    [aux_sym_number_literal_token2] = ACTIONS(2956),
    [anon_sym_L_SQUOTE] = ACTIONS(2958),
    [anon_sym_u_SQUOTE] = ACTIONS(2958),
    [anon_sym_U_SQUOTE] = ACTIONS(2958),
    [anon_sym_u8_SQUOTE] = ACTIONS(2958),
    [anon_sym_SQUOTE] = ACTIONS(2958),
    [anon_sym_L_DQUOTE] = ACTIONS(2958),
    [anon_sym_u_DQUOTE] = ACTIONS(2958),
    [anon_sym_U_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8_DQUOTE] = ACTIONS(2958),
    [anon_sym_DQUOTE] = ACTIONS(2958),
    [sym_true] = ACTIONS(2956),
    [sym_false] = ACTIONS(2956),
    [anon_sym_NULL] = ACTIONS(2956),
    [anon_sym_nullptr] = ACTIONS(2956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2956),
    [anon_sym_decltype] = ACTIONS(2956),
    [anon_sym_explicit] = ACTIONS(2956),
    [anon_sym_typename] = ACTIONS(2956),
    [anon_sym_template] = ACTIONS(2956),
    [anon_sym_operator] = ACTIONS(2956),
    [anon_sym_try] = ACTIONS(2956),
    [anon_sym_delete] = ACTIONS(2956),
    [anon_sym_throw] = ACTIONS(2956),
    [anon_sym_namespace] = ACTIONS(2956),
    [anon_sym_using] = ACTIONS(2956),
    [anon_sym_static_assert] = ACTIONS(2956),
    [anon_sym_concept] = ACTIONS(2956),
    [anon_sym_co_return] = ACTIONS(2956),
    [anon_sym_co_yield] = ACTIONS(2956),
    [anon_sym_R_DQUOTE] = ACTIONS(2958),
    [anon_sym_LR_DQUOTE] = ACTIONS(2958),
    [anon_sym_uR_DQUOTE] = ACTIONS(2958),
    [anon_sym_UR_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2958),
    [anon_sym_co_await] = ACTIONS(2956),
    [anon_sym_new] = ACTIONS(2956),
    [anon_sym_requires] = ACTIONS(2956),
    [sym_this] = ACTIONS(2956),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(2974),
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_include_token1] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_BANG] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym___cdecl] = ACTIONS(2972),
    [anon_sym___clrcall] = ACTIONS(2972),
    [anon_sym___stdcall] = ACTIONS(2972),
    [anon_sym___fastcall] = ACTIONS(2972),
    [anon_sym___thiscall] = ACTIONS(2972),
    [anon_sym___vectorcall] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2974),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [anon_sym_if] = ACTIONS(2972),
    [anon_sym_switch] = ACTIONS(2972),
    [anon_sym_case] = ACTIONS(2972),
    [anon_sym_default] = ACTIONS(2972),
    [anon_sym_while] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2972),
    [anon_sym_for] = ACTIONS(2972),
    [anon_sym_return] = ACTIONS(2972),
    [anon_sym_break] = ACTIONS(2972),
    [anon_sym_continue] = ACTIONS(2972),
    [anon_sym_goto] = ACTIONS(2972),
    [anon_sym_not] = ACTIONS(2972),
    [anon_sym_compl] = ACTIONS(2972),
    [anon_sym_DASH_DASH] = ACTIONS(2974),
    [anon_sym_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_sizeof] = ACTIONS(2972),
    [anon_sym___alignof__] = ACTIONS(2972),
    [anon_sym___alignof] = ACTIONS(2972),
    [anon_sym__alignof] = ACTIONS(2972),
    [anon_sym_alignof] = ACTIONS(2972),
    [anon_sym__Alignof] = ACTIONS(2972),
    [anon_sym_offsetof] = ACTIONS(2972),
    [anon_sym__Generic] = ACTIONS(2972),
    [anon_sym_asm] = ACTIONS(2972),
    [anon_sym___asm__] = ACTIONS(2972),
    [anon_sym___asm] = ACTIONS(2972),
    [aux_sym_number_literal_token1] = ACTIONS(2974),
    [aux_sym_number_literal_token2] = ACTIONS(2972),
    [anon_sym_L_SQUOTE] = ACTIONS(2974),
    [anon_sym_u_SQUOTE] = ACTIONS(2974),
    [anon_sym_U_SQUOTE] = ACTIONS(2974),
    [anon_sym_u8_SQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [anon_sym_L_DQUOTE] = ACTIONS(2974),
    [anon_sym_u_DQUOTE] = ACTIONS(2974),
    [anon_sym_U_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8_DQUOTE] = ACTIONS(2974),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [anon_sym_NULL] = ACTIONS(2972),
    [anon_sym_nullptr] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_try] = ACTIONS(2972),
    [anon_sym_delete] = ACTIONS(2972),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_namespace] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
    [anon_sym_concept] = ACTIONS(2972),
    [anon_sym_co_return] = ACTIONS(2972),
    [anon_sym_co_yield] = ACTIONS(2972),
    [anon_sym_R_DQUOTE] = ACTIONS(2974),
    [anon_sym_LR_DQUOTE] = ACTIONS(2974),
    [anon_sym_uR_DQUOTE] = ACTIONS(2974),
    [anon_sym_UR_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2974),
    [anon_sym_co_await] = ACTIONS(2972),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_requires] = ACTIONS(2972),
    [sym_this] = ACTIONS(2972),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(3176),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_include_token1] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token1] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3174),
    [sym_preproc_directive] = ACTIONS(3174),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3174),
    [anon_sym_typedef] = ACTIONS(3174),
    [anon_sym_virtual] = ACTIONS(3174),
    [anon_sym_extern] = ACTIONS(3174),
    [anon_sym___attribute__] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3176),
    [anon_sym___declspec] = ACTIONS(3174),
    [anon_sym___based] = ACTIONS(3174),
    [anon_sym___cdecl] = ACTIONS(3174),
    [anon_sym___clrcall] = ACTIONS(3174),
    [anon_sym___stdcall] = ACTIONS(3174),
    [anon_sym___fastcall] = ACTIONS(3174),
    [anon_sym___thiscall] = ACTIONS(3174),
    [anon_sym___vectorcall] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3174),
    [anon_sym_unsigned] = ACTIONS(3174),
    [anon_sym_long] = ACTIONS(3174),
    [anon_sym_short] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_register] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym___inline] = ACTIONS(3174),
    [anon_sym___inline__] = ACTIONS(3174),
    [anon_sym___forceinline] = ACTIONS(3174),
    [anon_sym_thread_local] = ACTIONS(3174),
    [anon_sym___thread] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_constexpr] = ACTIONS(3174),
    [anon_sym_volatile] = ACTIONS(3174),
    [anon_sym_restrict] = ACTIONS(3174),
    [anon_sym___restrict__] = ACTIONS(3174),
    [anon_sym__Atomic] = ACTIONS(3174),
    [anon_sym__Noreturn] = ACTIONS(3174),
    [anon_sym_noreturn] = ACTIONS(3174),
    [anon_sym__Nonnull] = ACTIONS(3174),
    [anon_sym_mutable] = ACTIONS(3174),
    [anon_sym_constinit] = ACTIONS(3174),
    [anon_sym_consteval] = ACTIONS(3174),
    [anon_sym_PROGMEM] = ACTIONS(3174),
    [anon_sym_alignas] = ACTIONS(3174),
    [anon_sym__Alignas] = ACTIONS(3174),
    [aux_sym_primitive_type_token1] = ACTIONS(3174),
    [anon_sym_byte] = ACTIONS(3174),
    [anon_sym_word] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_struct] = ACTIONS(3174),
    [anon_sym_union] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_case] = ACTIONS(3174),
    [anon_sym_default] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_goto] = ACTIONS(3174),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_compl] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_sizeof] = ACTIONS(3174),
    [anon_sym___alignof__] = ACTIONS(3174),
    [anon_sym___alignof] = ACTIONS(3174),
    [anon_sym__alignof] = ACTIONS(3174),
    [anon_sym_alignof] = ACTIONS(3174),
    [anon_sym__Alignof] = ACTIONS(3174),
    [anon_sym_offsetof] = ACTIONS(3174),
    [anon_sym__Generic] = ACTIONS(3174),
    [anon_sym_asm] = ACTIONS(3174),
    [anon_sym___asm__] = ACTIONS(3174),
    [anon_sym___asm] = ACTIONS(3174),
    [aux_sym_number_literal_token1] = ACTIONS(3176),
    [aux_sym_number_literal_token2] = ACTIONS(3174),
    [anon_sym_L_SQUOTE] = ACTIONS(3176),
    [anon_sym_u_SQUOTE] = ACTIONS(3176),
    [anon_sym_U_SQUOTE] = ACTIONS(3176),
    [anon_sym_u8_SQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_L_DQUOTE] = ACTIONS(3176),
    [anon_sym_u_DQUOTE] = ACTIONS(3176),
    [anon_sym_U_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8_DQUOTE] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [anon_sym_NULL] = ACTIONS(3174),
    [anon_sym_nullptr] = ACTIONS(3174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3174),
    [anon_sym_decltype] = ACTIONS(3174),
    [anon_sym_explicit] = ACTIONS(3174),
    [anon_sym_typename] = ACTIONS(3174),
    [anon_sym_template] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_static_assert] = ACTIONS(3174),
    [anon_sym_concept] = ACTIONS(3174),
    [anon_sym_co_return] = ACTIONS(3174),
    [anon_sym_co_yield] = ACTIONS(3174),
    [anon_sym_R_DQUOTE] = ACTIONS(3176),
    [anon_sym_LR_DQUOTE] = ACTIONS(3176),
    [anon_sym_uR_DQUOTE] = ACTIONS(3176),
    [anon_sym_UR_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3176),
    [anon_sym_co_await] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_requires] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(3180),
    [sym_identifier] = ACTIONS(3178),
    [aux_sym_preproc_include_token1] = ACTIONS(3178),
    [aux_sym_preproc_def_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3178),
    [sym_preproc_directive] = ACTIONS(3178),
    [anon_sym_LPAREN2] = ACTIONS(3180),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3178),
    [anon_sym___extension__] = ACTIONS(3178),
    [anon_sym_typedef] = ACTIONS(3178),
    [anon_sym_virtual] = ACTIONS(3178),
    [anon_sym_extern] = ACTIONS(3178),
    [anon_sym___attribute__] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3180),
    [anon_sym___declspec] = ACTIONS(3178),
    [anon_sym___based] = ACTIONS(3178),
    [anon_sym___cdecl] = ACTIONS(3178),
    [anon_sym___clrcall] = ACTIONS(3178),
    [anon_sym___stdcall] = ACTIONS(3178),
    [anon_sym___fastcall] = ACTIONS(3178),
    [anon_sym___thiscall] = ACTIONS(3178),
    [anon_sym___vectorcall] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_signed] = ACTIONS(3178),
    [anon_sym_unsigned] = ACTIONS(3178),
    [anon_sym_long] = ACTIONS(3178),
    [anon_sym_short] = ACTIONS(3178),
    [anon_sym_LBRACK] = ACTIONS(3178),
    [anon_sym_static] = ACTIONS(3178),
    [anon_sym_register] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym___inline] = ACTIONS(3178),
    [anon_sym___inline__] = ACTIONS(3178),
    [anon_sym___forceinline] = ACTIONS(3178),
    [anon_sym_thread_local] = ACTIONS(3178),
    [anon_sym___thread] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_constexpr] = ACTIONS(3178),
    [anon_sym_volatile] = ACTIONS(3178),
    [anon_sym_restrict] = ACTIONS(3178),
    [anon_sym___restrict__] = ACTIONS(3178),
    [anon_sym__Atomic] = ACTIONS(3178),
    [anon_sym__Noreturn] = ACTIONS(3178),
    [anon_sym_noreturn] = ACTIONS(3178),
    [anon_sym__Nonnull] = ACTIONS(3178),
    [anon_sym_mutable] = ACTIONS(3178),
    [anon_sym_constinit] = ACTIONS(3178),
    [anon_sym_consteval] = ACTIONS(3178),
    [anon_sym_PROGMEM] = ACTIONS(3178),
    [anon_sym_alignas] = ACTIONS(3178),
    [anon_sym__Alignas] = ACTIONS(3178),
    [aux_sym_primitive_type_token1] = ACTIONS(3178),
    [anon_sym_byte] = ACTIONS(3178),
    [anon_sym_word] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_class] = ACTIONS(3178),
    [anon_sym_struct] = ACTIONS(3178),
    [anon_sym_union] = ACTIONS(3178),
    [anon_sym_if] = ACTIONS(3178),
    [anon_sym_switch] = ACTIONS(3178),
    [anon_sym_case] = ACTIONS(3178),
    [anon_sym_default] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_do] = ACTIONS(3178),
    [anon_sym_for] = ACTIONS(3178),
    [anon_sym_return] = ACTIONS(3178),
    [anon_sym_break] = ACTIONS(3178),
    [anon_sym_continue] = ACTIONS(3178),
    [anon_sym_goto] = ACTIONS(3178),
    [anon_sym_not] = ACTIONS(3178),
    [anon_sym_compl] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_sizeof] = ACTIONS(3178),
    [anon_sym___alignof__] = ACTIONS(3178),
    [anon_sym___alignof] = ACTIONS(3178),
    [anon_sym__alignof] = ACTIONS(3178),
    [anon_sym_alignof] = ACTIONS(3178),
    [anon_sym__Alignof] = ACTIONS(3178),
    [anon_sym_offsetof] = ACTIONS(3178),
    [anon_sym__Generic] = ACTIONS(3178),
    [anon_sym_asm] = ACTIONS(3178),
    [anon_sym___asm__] = ACTIONS(3178),
    [anon_sym___asm] = ACTIONS(3178),
    [aux_sym_number_literal_token1] = ACTIONS(3180),
    [aux_sym_number_literal_token2] = ACTIONS(3178),
    [anon_sym_L_SQUOTE] = ACTIONS(3180),
    [anon_sym_u_SQUOTE] = ACTIONS(3180),
    [anon_sym_U_SQUOTE] = ACTIONS(3180),
    [anon_sym_u8_SQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [anon_sym_L_DQUOTE] = ACTIONS(3180),
    [anon_sym_u_DQUOTE] = ACTIONS(3180),
    [anon_sym_U_DQUOTE] = ACTIONS(3180),
    [anon_sym_u8_DQUOTE] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [sym_true] = ACTIONS(3178),
    [sym_false] = ACTIONS(3178),
    [anon_sym_NULL] = ACTIONS(3178),
    [anon_sym_nullptr] = ACTIONS(3178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3178),
    [anon_sym_decltype] = ACTIONS(3178),
    [anon_sym_explicit] = ACTIONS(3178),
    [anon_sym_typename] = ACTIONS(3178),
    [anon_sym_template] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_try] = ACTIONS(3178),
    [anon_sym_delete] = ACTIONS(3178),
    [anon_sym_throw] = ACTIONS(3178),
    [anon_sym_namespace] = ACTIONS(3178),
    [anon_sym_using] = ACTIONS(3178),
    [anon_sym_static_assert] = ACTIONS(3178),
    [anon_sym_concept] = ACTIONS(3178),
    [anon_sym_co_return] = ACTIONS(3178),
    [anon_sym_co_yield] = ACTIONS(3178),
    [anon_sym_R_DQUOTE] = ACTIONS(3180),
    [anon_sym_LR_DQUOTE] = ACTIONS(3180),
    [anon_sym_uR_DQUOTE] = ACTIONS(3180),
    [anon_sym_UR_DQUOTE] = ACTIONS(3180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3180),
    [anon_sym_co_await] = ACTIONS(3178),
    [anon_sym_new] = ACTIONS(3178),
    [anon_sym_requires] = ACTIONS(3178),
    [sym_this] = ACTIONS(3178),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(2974),
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_include_token1] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_BANG] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym___cdecl] = ACTIONS(2972),
    [anon_sym___clrcall] = ACTIONS(2972),
    [anon_sym___stdcall] = ACTIONS(2972),
    [anon_sym___fastcall] = ACTIONS(2972),
    [anon_sym___thiscall] = ACTIONS(2972),
    [anon_sym___vectorcall] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2974),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [anon_sym_if] = ACTIONS(2972),
    [anon_sym_switch] = ACTIONS(2972),
    [anon_sym_case] = ACTIONS(2972),
    [anon_sym_default] = ACTIONS(2972),
    [anon_sym_while] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2972),
    [anon_sym_for] = ACTIONS(2972),
    [anon_sym_return] = ACTIONS(2972),
    [anon_sym_break] = ACTIONS(2972),
    [anon_sym_continue] = ACTIONS(2972),
    [anon_sym_goto] = ACTIONS(2972),
    [anon_sym_not] = ACTIONS(2972),
    [anon_sym_compl] = ACTIONS(2972),
    [anon_sym_DASH_DASH] = ACTIONS(2974),
    [anon_sym_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_sizeof] = ACTIONS(2972),
    [anon_sym___alignof__] = ACTIONS(2972),
    [anon_sym___alignof] = ACTIONS(2972),
    [anon_sym__alignof] = ACTIONS(2972),
    [anon_sym_alignof] = ACTIONS(2972),
    [anon_sym__Alignof] = ACTIONS(2972),
    [anon_sym_offsetof] = ACTIONS(2972),
    [anon_sym__Generic] = ACTIONS(2972),
    [anon_sym_asm] = ACTIONS(2972),
    [anon_sym___asm__] = ACTIONS(2972),
    [anon_sym___asm] = ACTIONS(2972),
    [aux_sym_number_literal_token1] = ACTIONS(2974),
    [aux_sym_number_literal_token2] = ACTIONS(2972),
    [anon_sym_L_SQUOTE] = ACTIONS(2974),
    [anon_sym_u_SQUOTE] = ACTIONS(2974),
    [anon_sym_U_SQUOTE] = ACTIONS(2974),
    [anon_sym_u8_SQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [anon_sym_L_DQUOTE] = ACTIONS(2974),
    [anon_sym_u_DQUOTE] = ACTIONS(2974),
    [anon_sym_U_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8_DQUOTE] = ACTIONS(2974),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [anon_sym_NULL] = ACTIONS(2972),
    [anon_sym_nullptr] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_try] = ACTIONS(2972),
    [anon_sym_delete] = ACTIONS(2972),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_namespace] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
    [anon_sym_concept] = ACTIONS(2972),
    [anon_sym_co_return] = ACTIONS(2972),
    [anon_sym_co_yield] = ACTIONS(2972),
    [anon_sym_R_DQUOTE] = ACTIONS(2974),
    [anon_sym_LR_DQUOTE] = ACTIONS(2974),
    [anon_sym_uR_DQUOTE] = ACTIONS(2974),
    [anon_sym_UR_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2974),
    [anon_sym_co_await] = ACTIONS(2972),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_requires] = ACTIONS(2972),
    [sym_this] = ACTIONS(2972),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(3049),
    [sym_identifier] = ACTIONS(3047),
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3049),
    [anon_sym_BANG] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3047),
    [anon_sym_virtual] = ACTIONS(3047),
    [anon_sym_extern] = ACTIONS(3047),
    [anon_sym___attribute__] = ACTIONS(3047),
    [anon_sym_COLON_COLON] = ACTIONS(3049),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3049),
    [anon_sym___declspec] = ACTIONS(3047),
    [anon_sym___based] = ACTIONS(3047),
    [anon_sym___cdecl] = ACTIONS(3047),
    [anon_sym___clrcall] = ACTIONS(3047),
    [anon_sym___stdcall] = ACTIONS(3047),
    [anon_sym___fastcall] = ACTIONS(3047),
    [anon_sym___thiscall] = ACTIONS(3047),
    [anon_sym___vectorcall] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(3049),
    [anon_sym_signed] = ACTIONS(3047),
    [anon_sym_unsigned] = ACTIONS(3047),
    [anon_sym_long] = ACTIONS(3047),
    [anon_sym_short] = ACTIONS(3047),
    [anon_sym_LBRACK] = ACTIONS(3047),
    [anon_sym_static] = ACTIONS(3047),
    [anon_sym_register] = ACTIONS(3047),
    [anon_sym_inline] = ACTIONS(3047),
    [anon_sym___inline] = ACTIONS(3047),
    [anon_sym___inline__] = ACTIONS(3047),
    [anon_sym___forceinline] = ACTIONS(3047),
    [anon_sym_thread_local] = ACTIONS(3047),
    [anon_sym___thread] = ACTIONS(3047),
    [anon_sym_const] = ACTIONS(3047),
    [anon_sym_constexpr] = ACTIONS(3047),
    [anon_sym_volatile] = ACTIONS(3047),
    [anon_sym_restrict] = ACTIONS(3047),
    [anon_sym___restrict__] = ACTIONS(3047),
    [anon_sym__Atomic] = ACTIONS(3047),
    [anon_sym__Noreturn] = ACTIONS(3047),
    [anon_sym_noreturn] = ACTIONS(3047),
    [anon_sym__Nonnull] = ACTIONS(3047),
    [anon_sym_mutable] = ACTIONS(3047),
    [anon_sym_constinit] = ACTIONS(3047),
    [anon_sym_consteval] = ACTIONS(3047),
    [anon_sym_PROGMEM] = ACTIONS(3047),
    [anon_sym_alignas] = ACTIONS(3047),
    [anon_sym__Alignas] = ACTIONS(3047),
    [aux_sym_primitive_type_token1] = ACTIONS(3047),
    [anon_sym_byte] = ACTIONS(3047),
    [anon_sym_word] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3047),
    [anon_sym_class] = ACTIONS(3047),
    [anon_sym_struct] = ACTIONS(3047),
    [anon_sym_union] = ACTIONS(3047),
    [anon_sym_if] = ACTIONS(3047),
    [anon_sym_switch] = ACTIONS(3047),
    [anon_sym_case] = ACTIONS(3047),
    [anon_sym_default] = ACTIONS(3047),
    [anon_sym_while] = ACTIONS(3047),
    [anon_sym_do] = ACTIONS(3047),
    [anon_sym_for] = ACTIONS(3047),
    [anon_sym_return] = ACTIONS(3047),
    [anon_sym_break] = ACTIONS(3047),
    [anon_sym_continue] = ACTIONS(3047),
    [anon_sym_goto] = ACTIONS(3047),
    [anon_sym_not] = ACTIONS(3047),
    [anon_sym_compl] = ACTIONS(3047),
    [anon_sym_DASH_DASH] = ACTIONS(3049),
    [anon_sym_PLUS_PLUS] = ACTIONS(3049),
    [anon_sym_sizeof] = ACTIONS(3047),
    [anon_sym___alignof__] = ACTIONS(3047),
    [anon_sym___alignof] = ACTIONS(3047),
    [anon_sym__alignof] = ACTIONS(3047),
    [anon_sym_alignof] = ACTIONS(3047),
    [anon_sym__Alignof] = ACTIONS(3047),
    [anon_sym_offsetof] = ACTIONS(3047),
    [anon_sym__Generic] = ACTIONS(3047),
    [anon_sym_asm] = ACTIONS(3047),
    [anon_sym___asm__] = ACTIONS(3047),
    [anon_sym___asm] = ACTIONS(3047),
    [aux_sym_number_literal_token1] = ACTIONS(3049),
    [aux_sym_number_literal_token2] = ACTIONS(3047),
    [anon_sym_L_SQUOTE] = ACTIONS(3049),
    [anon_sym_u_SQUOTE] = ACTIONS(3049),
    [anon_sym_U_SQUOTE] = ACTIONS(3049),
    [anon_sym_u8_SQUOTE] = ACTIONS(3049),
    [anon_sym_SQUOTE] = ACTIONS(3049),
    [anon_sym_L_DQUOTE] = ACTIONS(3049),
    [anon_sym_u_DQUOTE] = ACTIONS(3049),
    [anon_sym_U_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8_DQUOTE] = ACTIONS(3049),
    [anon_sym_DQUOTE] = ACTIONS(3049),
    [sym_true] = ACTIONS(3047),
    [sym_false] = ACTIONS(3047),
    [anon_sym_NULL] = ACTIONS(3047),
    [anon_sym_nullptr] = ACTIONS(3047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3047),
    [anon_sym_decltype] = ACTIONS(3047),
    [anon_sym_explicit] = ACTIONS(3047),
    [anon_sym_typename] = ACTIONS(3047),
    [anon_sym_template] = ACTIONS(3047),
    [anon_sym_operator] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_delete] = ACTIONS(3047),
    [anon_sym_throw] = ACTIONS(3047),
    [anon_sym_namespace] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3047),
    [anon_sym_static_assert] = ACTIONS(3047),
    [anon_sym_concept] = ACTIONS(3047),
    [anon_sym_co_return] = ACTIONS(3047),
    [anon_sym_co_yield] = ACTIONS(3047),
    [anon_sym_R_DQUOTE] = ACTIONS(3049),
    [anon_sym_LR_DQUOTE] = ACTIONS(3049),
    [anon_sym_uR_DQUOTE] = ACTIONS(3049),
    [anon_sym_UR_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3049),
    [anon_sym_co_await] = ACTIONS(3047),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_requires] = ACTIONS(3047),
    [sym_this] = ACTIONS(3047),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(2966),
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_include_token1] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_virtual] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym___cdecl] = ACTIONS(2964),
    [anon_sym___clrcall] = ACTIONS(2964),
    [anon_sym___stdcall] = ACTIONS(2964),
    [anon_sym___fastcall] = ACTIONS(2964),
    [anon_sym___thiscall] = ACTIONS(2964),
    [anon_sym___vectorcall] = ACTIONS(2964),
    [anon_sym_LBRACE] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym__Nonnull] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [anon_sym_PROGMEM] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym__Alignas] = ACTIONS(2964),
    [aux_sym_primitive_type_token1] = ACTIONS(2964),
    [anon_sym_byte] = ACTIONS(2964),
    [anon_sym_word] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_switch] = ACTIONS(2964),
    [anon_sym_case] = ACTIONS(2964),
    [anon_sym_default] = ACTIONS(2964),
    [anon_sym_while] = ACTIONS(2964),
    [anon_sym_do] = ACTIONS(2964),
    [anon_sym_for] = ACTIONS(2964),
    [anon_sym_return] = ACTIONS(2964),
    [anon_sym_break] = ACTIONS(2964),
    [anon_sym_continue] = ACTIONS(2964),
    [anon_sym_goto] = ACTIONS(2964),
    [anon_sym_not] = ACTIONS(2964),
    [anon_sym_compl] = ACTIONS(2964),
    [anon_sym_DASH_DASH] = ACTIONS(2966),
    [anon_sym_PLUS_PLUS] = ACTIONS(2966),
    [anon_sym_sizeof] = ACTIONS(2964),
    [anon_sym___alignof__] = ACTIONS(2964),
    [anon_sym___alignof] = ACTIONS(2964),
    [anon_sym__alignof] = ACTIONS(2964),
    [anon_sym_alignof] = ACTIONS(2964),
    [anon_sym__Alignof] = ACTIONS(2964),
    [anon_sym_offsetof] = ACTIONS(2964),
    [anon_sym__Generic] = ACTIONS(2964),
    [anon_sym_asm] = ACTIONS(2964),
    [anon_sym___asm__] = ACTIONS(2964),
    [anon_sym___asm] = ACTIONS(2964),
    [aux_sym_number_literal_token1] = ACTIONS(2966),
    [aux_sym_number_literal_token2] = ACTIONS(2964),
    [anon_sym_L_SQUOTE] = ACTIONS(2966),
    [anon_sym_u_SQUOTE] = ACTIONS(2966),
    [anon_sym_U_SQUOTE] = ACTIONS(2966),
    [anon_sym_u8_SQUOTE] = ACTIONS(2966),
    [anon_sym_SQUOTE] = ACTIONS(2966),
    [anon_sym_L_DQUOTE] = ACTIONS(2966),
    [anon_sym_u_DQUOTE] = ACTIONS(2966),
    [anon_sym_U_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8_DQUOTE] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2966),
    [sym_true] = ACTIONS(2964),
    [sym_false] = ACTIONS(2964),
    [anon_sym_NULL] = ACTIONS(2964),
    [anon_sym_nullptr] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_delete] = ACTIONS(2964),
    [anon_sym_throw] = ACTIONS(2964),
    [anon_sym_namespace] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
    [anon_sym_concept] = ACTIONS(2964),
    [anon_sym_co_return] = ACTIONS(2964),
    [anon_sym_co_yield] = ACTIONS(2964),
    [anon_sym_R_DQUOTE] = ACTIONS(2966),
    [anon_sym_LR_DQUOTE] = ACTIONS(2966),
    [anon_sym_uR_DQUOTE] = ACTIONS(2966),
    [anon_sym_UR_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2966),
    [anon_sym_co_await] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(2964),
    [anon_sym_requires] = ACTIONS(2964),
    [sym_this] = ACTIONS(2964),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(3010),
    [sym_identifier] = ACTIONS(3008),
    [aux_sym_preproc_include_token1] = ACTIONS(3008),
    [aux_sym_preproc_def_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3008),
    [anon_sym_LPAREN2] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(3010),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3008),
    [anon_sym___extension__] = ACTIONS(3008),
    [anon_sym_typedef] = ACTIONS(3008),
    [anon_sym_virtual] = ACTIONS(3008),
    [anon_sym_extern] = ACTIONS(3008),
    [anon_sym___attribute__] = ACTIONS(3008),
    [anon_sym_COLON_COLON] = ACTIONS(3010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3010),
    [anon_sym___declspec] = ACTIONS(3008),
    [anon_sym___based] = ACTIONS(3008),
    [anon_sym___cdecl] = ACTIONS(3008),
    [anon_sym___clrcall] = ACTIONS(3008),
    [anon_sym___stdcall] = ACTIONS(3008),
    [anon_sym___fastcall] = ACTIONS(3008),
    [anon_sym___thiscall] = ACTIONS(3008),
    [anon_sym___vectorcall] = ACTIONS(3008),
    [anon_sym_LBRACE] = ACTIONS(3010),
    [anon_sym_signed] = ACTIONS(3008),
    [anon_sym_unsigned] = ACTIONS(3008),
    [anon_sym_long] = ACTIONS(3008),
    [anon_sym_short] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_register] = ACTIONS(3008),
    [anon_sym_inline] = ACTIONS(3008),
    [anon_sym___inline] = ACTIONS(3008),
    [anon_sym___inline__] = ACTIONS(3008),
    [anon_sym___forceinline] = ACTIONS(3008),
    [anon_sym_thread_local] = ACTIONS(3008),
    [anon_sym___thread] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_constexpr] = ACTIONS(3008),
    [anon_sym_volatile] = ACTIONS(3008),
    [anon_sym_restrict] = ACTIONS(3008),
    [anon_sym___restrict__] = ACTIONS(3008),
    [anon_sym__Atomic] = ACTIONS(3008),
    [anon_sym__Noreturn] = ACTIONS(3008),
    [anon_sym_noreturn] = ACTIONS(3008),
    [anon_sym__Nonnull] = ACTIONS(3008),
    [anon_sym_mutable] = ACTIONS(3008),
    [anon_sym_constinit] = ACTIONS(3008),
    [anon_sym_consteval] = ACTIONS(3008),
    [anon_sym_PROGMEM] = ACTIONS(3008),
    [anon_sym_alignas] = ACTIONS(3008),
    [anon_sym__Alignas] = ACTIONS(3008),
    [aux_sym_primitive_type_token1] = ACTIONS(3008),
    [anon_sym_byte] = ACTIONS(3008),
    [anon_sym_word] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3008),
    [anon_sym_if] = ACTIONS(3008),
    [anon_sym_switch] = ACTIONS(3008),
    [anon_sym_case] = ACTIONS(3008),
    [anon_sym_default] = ACTIONS(3008),
    [anon_sym_while] = ACTIONS(3008),
    [anon_sym_do] = ACTIONS(3008),
    [anon_sym_for] = ACTIONS(3008),
    [anon_sym_return] = ACTIONS(3008),
    [anon_sym_break] = ACTIONS(3008),
    [anon_sym_continue] = ACTIONS(3008),
    [anon_sym_goto] = ACTIONS(3008),
    [anon_sym_not] = ACTIONS(3008),
    [anon_sym_compl] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3010),
    [anon_sym_sizeof] = ACTIONS(3008),
    [anon_sym___alignof__] = ACTIONS(3008),
    [anon_sym___alignof] = ACTIONS(3008),
    [anon_sym__alignof] = ACTIONS(3008),
    [anon_sym_alignof] = ACTIONS(3008),
    [anon_sym__Alignof] = ACTIONS(3008),
    [anon_sym_offsetof] = ACTIONS(3008),
    [anon_sym__Generic] = ACTIONS(3008),
    [anon_sym_asm] = ACTIONS(3008),
    [anon_sym___asm__] = ACTIONS(3008),
    [anon_sym___asm] = ACTIONS(3008),
    [aux_sym_number_literal_token1] = ACTIONS(3010),
    [aux_sym_number_literal_token2] = ACTIONS(3008),
    [anon_sym_L_SQUOTE] = ACTIONS(3010),
    [anon_sym_u_SQUOTE] = ACTIONS(3010),
    [anon_sym_U_SQUOTE] = ACTIONS(3010),
    [anon_sym_u8_SQUOTE] = ACTIONS(3010),
    [anon_sym_SQUOTE] = ACTIONS(3010),
    [anon_sym_L_DQUOTE] = ACTIONS(3010),
    [anon_sym_u_DQUOTE] = ACTIONS(3010),
    [anon_sym_U_DQUOTE] = ACTIONS(3010),
    [anon_sym_u8_DQUOTE] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3010),
    [sym_true] = ACTIONS(3008),
    [sym_false] = ACTIONS(3008),
    [anon_sym_NULL] = ACTIONS(3008),
    [anon_sym_nullptr] = ACTIONS(3008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3008),
    [anon_sym_decltype] = ACTIONS(3008),
    [anon_sym_explicit] = ACTIONS(3008),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(3008),
    [anon_sym_operator] = ACTIONS(3008),
    [anon_sym_try] = ACTIONS(3008),
    [anon_sym_delete] = ACTIONS(3008),
    [anon_sym_throw] = ACTIONS(3008),
    [anon_sym_namespace] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_static_assert] = ACTIONS(3008),
    [anon_sym_concept] = ACTIONS(3008),
    [anon_sym_co_return] = ACTIONS(3008),
    [anon_sym_co_yield] = ACTIONS(3008),
    [anon_sym_R_DQUOTE] = ACTIONS(3010),
    [anon_sym_LR_DQUOTE] = ACTIONS(3010),
    [anon_sym_uR_DQUOTE] = ACTIONS(3010),
    [anon_sym_UR_DQUOTE] = ACTIONS(3010),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3010),
    [anon_sym_co_await] = ACTIONS(3008),
    [anon_sym_new] = ACTIONS(3008),
    [anon_sym_requires] = ACTIONS(3008),
    [sym_this] = ACTIONS(3008),
  },
  [697] = {
    [ts_builtin_sym_end] = ACTIONS(2962),
    [sym_identifier] = ACTIONS(2960),
    [aux_sym_preproc_include_token1] = ACTIONS(2960),
    [aux_sym_preproc_def_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2960),
    [sym_preproc_directive] = ACTIONS(2960),
    [anon_sym_LPAREN2] = ACTIONS(2962),
    [anon_sym_BANG] = ACTIONS(2962),
    [anon_sym_TILDE] = ACTIONS(2962),
    [anon_sym_DASH] = ACTIONS(2960),
    [anon_sym_PLUS] = ACTIONS(2960),
    [anon_sym_STAR] = ACTIONS(2962),
    [anon_sym_AMP_AMP] = ACTIONS(2962),
    [anon_sym_AMP] = ACTIONS(2960),
    [anon_sym___extension__] = ACTIONS(2960),
    [anon_sym_typedef] = ACTIONS(2960),
    [anon_sym_virtual] = ACTIONS(2960),
    [anon_sym_extern] = ACTIONS(2960),
    [anon_sym___attribute__] = ACTIONS(2960),
    [anon_sym_COLON_COLON] = ACTIONS(2962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2962),
    [anon_sym___declspec] = ACTIONS(2960),
    [anon_sym___based] = ACTIONS(2960),
    [anon_sym___cdecl] = ACTIONS(2960),
    [anon_sym___clrcall] = ACTIONS(2960),
    [anon_sym___stdcall] = ACTIONS(2960),
    [anon_sym___fastcall] = ACTIONS(2960),
    [anon_sym___thiscall] = ACTIONS(2960),
    [anon_sym___vectorcall] = ACTIONS(2960),
    [anon_sym_LBRACE] = ACTIONS(2962),
    [anon_sym_signed] = ACTIONS(2960),
    [anon_sym_unsigned] = ACTIONS(2960),
    [anon_sym_long] = ACTIONS(2960),
    [anon_sym_short] = ACTIONS(2960),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2960),
    [anon_sym_register] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(2960),
    [anon_sym___inline] = ACTIONS(2960),
    [anon_sym___inline__] = ACTIONS(2960),
    [anon_sym___forceinline] = ACTIONS(2960),
    [anon_sym_thread_local] = ACTIONS(2960),
    [anon_sym___thread] = ACTIONS(2960),
    [anon_sym_const] = ACTIONS(2960),
    [anon_sym_constexpr] = ACTIONS(2960),
    [anon_sym_volatile] = ACTIONS(2960),
    [anon_sym_restrict] = ACTIONS(2960),
    [anon_sym___restrict__] = ACTIONS(2960),
    [anon_sym__Atomic] = ACTIONS(2960),
    [anon_sym__Noreturn] = ACTIONS(2960),
    [anon_sym_noreturn] = ACTIONS(2960),
    [anon_sym__Nonnull] = ACTIONS(2960),
    [anon_sym_mutable] = ACTIONS(2960),
    [anon_sym_constinit] = ACTIONS(2960),
    [anon_sym_consteval] = ACTIONS(2960),
    [anon_sym_PROGMEM] = ACTIONS(2960),
    [anon_sym_alignas] = ACTIONS(2960),
    [anon_sym__Alignas] = ACTIONS(2960),
    [aux_sym_primitive_type_token1] = ACTIONS(2960),
    [anon_sym_byte] = ACTIONS(2960),
    [anon_sym_word] = ACTIONS(2960),
    [anon_sym_enum] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2960),
    [anon_sym_struct] = ACTIONS(2960),
    [anon_sym_union] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2960),
    [anon_sym_switch] = ACTIONS(2960),
    [anon_sym_case] = ACTIONS(2960),
    [anon_sym_default] = ACTIONS(2960),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_do] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2960),
    [anon_sym_return] = ACTIONS(2960),
    [anon_sym_break] = ACTIONS(2960),
    [anon_sym_continue] = ACTIONS(2960),
    [anon_sym_goto] = ACTIONS(2960),
    [anon_sym_not] = ACTIONS(2960),
    [anon_sym_compl] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2962),
    [anon_sym_PLUS_PLUS] = ACTIONS(2962),
    [anon_sym_sizeof] = ACTIONS(2960),
    [anon_sym___alignof__] = ACTIONS(2960),
    [anon_sym___alignof] = ACTIONS(2960),
    [anon_sym__alignof] = ACTIONS(2960),
    [anon_sym_alignof] = ACTIONS(2960),
    [anon_sym__Alignof] = ACTIONS(2960),
    [anon_sym_offsetof] = ACTIONS(2960),
    [anon_sym__Generic] = ACTIONS(2960),
    [anon_sym_asm] = ACTIONS(2960),
    [anon_sym___asm__] = ACTIONS(2960),
    [anon_sym___asm] = ACTIONS(2960),
    [aux_sym_number_literal_token1] = ACTIONS(2962),
    [aux_sym_number_literal_token2] = ACTIONS(2960),
    [anon_sym_L_SQUOTE] = ACTIONS(2962),
    [anon_sym_u_SQUOTE] = ACTIONS(2962),
    [anon_sym_U_SQUOTE] = ACTIONS(2962),
    [anon_sym_u8_SQUOTE] = ACTIONS(2962),
    [anon_sym_SQUOTE] = ACTIONS(2962),
    [anon_sym_L_DQUOTE] = ACTIONS(2962),
    [anon_sym_u_DQUOTE] = ACTIONS(2962),
    [anon_sym_U_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8_DQUOTE] = ACTIONS(2962),
    [anon_sym_DQUOTE] = ACTIONS(2962),
    [sym_true] = ACTIONS(2960),
    [sym_false] = ACTIONS(2960),
    [anon_sym_NULL] = ACTIONS(2960),
    [anon_sym_nullptr] = ACTIONS(2960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2960),
    [anon_sym_decltype] = ACTIONS(2960),
    [anon_sym_explicit] = ACTIONS(2960),
    [anon_sym_typename] = ACTIONS(2960),
    [anon_sym_template] = ACTIONS(2960),
    [anon_sym_operator] = ACTIONS(2960),
    [anon_sym_try] = ACTIONS(2960),
    [anon_sym_delete] = ACTIONS(2960),
    [anon_sym_throw] = ACTIONS(2960),
    [anon_sym_namespace] = ACTIONS(2960),
    [anon_sym_using] = ACTIONS(2960),
    [anon_sym_static_assert] = ACTIONS(2960),
    [anon_sym_concept] = ACTIONS(2960),
    [anon_sym_co_return] = ACTIONS(2960),
    [anon_sym_co_yield] = ACTIONS(2960),
    [anon_sym_R_DQUOTE] = ACTIONS(2962),
    [anon_sym_LR_DQUOTE] = ACTIONS(2962),
    [anon_sym_uR_DQUOTE] = ACTIONS(2962),
    [anon_sym_UR_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2962),
    [anon_sym_co_await] = ACTIONS(2960),
    [anon_sym_new] = ACTIONS(2960),
    [anon_sym_requires] = ACTIONS(2960),
    [sym_this] = ACTIONS(2960),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(3062),
    [aux_sym_preproc_include_token1] = ACTIONS(3062),
    [aux_sym_preproc_def_token1] = ACTIONS(3062),
    [aux_sym_preproc_if_token1] = ACTIONS(3062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3062),
    [sym_preproc_directive] = ACTIONS(3062),
    [anon_sym_LPAREN2] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_TILDE] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_AMP_AMP] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3062),
    [anon_sym_typedef] = ACTIONS(3062),
    [anon_sym_virtual] = ACTIONS(3062),
    [anon_sym_extern] = ACTIONS(3062),
    [anon_sym___attribute__] = ACTIONS(3062),
    [anon_sym_COLON_COLON] = ACTIONS(3064),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3064),
    [anon_sym___declspec] = ACTIONS(3062),
    [anon_sym___based] = ACTIONS(3062),
    [anon_sym___cdecl] = ACTIONS(3062),
    [anon_sym___clrcall] = ACTIONS(3062),
    [anon_sym___stdcall] = ACTIONS(3062),
    [anon_sym___fastcall] = ACTIONS(3062),
    [anon_sym___thiscall] = ACTIONS(3062),
    [anon_sym___vectorcall] = ACTIONS(3062),
    [anon_sym_LBRACE] = ACTIONS(3064),
    [anon_sym_signed] = ACTIONS(3062),
    [anon_sym_unsigned] = ACTIONS(3062),
    [anon_sym_long] = ACTIONS(3062),
    [anon_sym_short] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_static] = ACTIONS(3062),
    [anon_sym_register] = ACTIONS(3062),
    [anon_sym_inline] = ACTIONS(3062),
    [anon_sym___inline] = ACTIONS(3062),
    [anon_sym___inline__] = ACTIONS(3062),
    [anon_sym___forceinline] = ACTIONS(3062),
    [anon_sym_thread_local] = ACTIONS(3062),
    [anon_sym___thread] = ACTIONS(3062),
    [anon_sym_const] = ACTIONS(3062),
    [anon_sym_constexpr] = ACTIONS(3062),
    [anon_sym_volatile] = ACTIONS(3062),
    [anon_sym_restrict] = ACTIONS(3062),
    [anon_sym___restrict__] = ACTIONS(3062),
    [anon_sym__Atomic] = ACTIONS(3062),
    [anon_sym__Noreturn] = ACTIONS(3062),
    [anon_sym_noreturn] = ACTIONS(3062),
    [anon_sym__Nonnull] = ACTIONS(3062),
    [anon_sym_mutable] = ACTIONS(3062),
    [anon_sym_constinit] = ACTIONS(3062),
    [anon_sym_consteval] = ACTIONS(3062),
    [anon_sym_PROGMEM] = ACTIONS(3062),
    [anon_sym_alignas] = ACTIONS(3062),
    [anon_sym__Alignas] = ACTIONS(3062),
    [aux_sym_primitive_type_token1] = ACTIONS(3062),
    [anon_sym_byte] = ACTIONS(3062),
    [anon_sym_word] = ACTIONS(3062),
    [anon_sym_enum] = ACTIONS(3062),
    [anon_sym_class] = ACTIONS(3062),
    [anon_sym_struct] = ACTIONS(3062),
    [anon_sym_union] = ACTIONS(3062),
    [anon_sym_if] = ACTIONS(3062),
    [anon_sym_switch] = ACTIONS(3062),
    [anon_sym_case] = ACTIONS(3062),
    [anon_sym_default] = ACTIONS(3062),
    [anon_sym_while] = ACTIONS(3062),
    [anon_sym_do] = ACTIONS(3062),
    [anon_sym_for] = ACTIONS(3062),
    [anon_sym_return] = ACTIONS(3062),
    [anon_sym_break] = ACTIONS(3062),
    [anon_sym_continue] = ACTIONS(3062),
    [anon_sym_goto] = ACTIONS(3062),
    [anon_sym_not] = ACTIONS(3062),
    [anon_sym_compl] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3064),
    [anon_sym_PLUS_PLUS] = ACTIONS(3064),
    [anon_sym_sizeof] = ACTIONS(3062),
    [anon_sym___alignof__] = ACTIONS(3062),
    [anon_sym___alignof] = ACTIONS(3062),
    [anon_sym__alignof] = ACTIONS(3062),
    [anon_sym_alignof] = ACTIONS(3062),
    [anon_sym__Alignof] = ACTIONS(3062),
    [anon_sym_offsetof] = ACTIONS(3062),
    [anon_sym__Generic] = ACTIONS(3062),
    [anon_sym_asm] = ACTIONS(3062),
    [anon_sym___asm__] = ACTIONS(3062),
    [anon_sym___asm] = ACTIONS(3062),
    [aux_sym_number_literal_token1] = ACTIONS(3064),
    [aux_sym_number_literal_token2] = ACTIONS(3062),
    [anon_sym_L_SQUOTE] = ACTIONS(3064),
    [anon_sym_u_SQUOTE] = ACTIONS(3064),
    [anon_sym_U_SQUOTE] = ACTIONS(3064),
    [anon_sym_u8_SQUOTE] = ACTIONS(3064),
    [anon_sym_SQUOTE] = ACTIONS(3064),
    [anon_sym_L_DQUOTE] = ACTIONS(3064),
    [anon_sym_u_DQUOTE] = ACTIONS(3064),
    [anon_sym_U_DQUOTE] = ACTIONS(3064),
    [anon_sym_u8_DQUOTE] = ACTIONS(3064),
    [anon_sym_DQUOTE] = ACTIONS(3064),
    [sym_true] = ACTIONS(3062),
    [sym_false] = ACTIONS(3062),
    [anon_sym_NULL] = ACTIONS(3062),
    [anon_sym_nullptr] = ACTIONS(3062),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3062),
    [anon_sym_decltype] = ACTIONS(3062),
    [anon_sym_explicit] = ACTIONS(3062),
    [anon_sym_typename] = ACTIONS(3062),
    [anon_sym_template] = ACTIONS(3062),
    [anon_sym_operator] = ACTIONS(3062),
    [anon_sym_try] = ACTIONS(3062),
    [anon_sym_delete] = ACTIONS(3062),
    [anon_sym_throw] = ACTIONS(3062),
    [anon_sym_namespace] = ACTIONS(3062),
    [anon_sym_using] = ACTIONS(3062),
    [anon_sym_static_assert] = ACTIONS(3062),
    [anon_sym_concept] = ACTIONS(3062),
    [anon_sym_co_return] = ACTIONS(3062),
    [anon_sym_co_yield] = ACTIONS(3062),
    [anon_sym_R_DQUOTE] = ACTIONS(3064),
    [anon_sym_LR_DQUOTE] = ACTIONS(3064),
    [anon_sym_uR_DQUOTE] = ACTIONS(3064),
    [anon_sym_UR_DQUOTE] = ACTIONS(3064),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3064),
    [anon_sym_co_await] = ACTIONS(3062),
    [anon_sym_new] = ACTIONS(3062),
    [anon_sym_requires] = ACTIONS(3062),
    [sym_this] = ACTIONS(3062),
  },
  [699] = {
    [ts_builtin_sym_end] = ACTIONS(3060),
    [sym_identifier] = ACTIONS(3058),
    [aux_sym_preproc_include_token1] = ACTIONS(3058),
    [aux_sym_preproc_def_token1] = ACTIONS(3058),
    [aux_sym_preproc_if_token1] = ACTIONS(3058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3058),
    [sym_preproc_directive] = ACTIONS(3058),
    [anon_sym_LPAREN2] = ACTIONS(3060),
    [anon_sym_BANG] = ACTIONS(3060),
    [anon_sym_TILDE] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3058),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_AMP_AMP] = ACTIONS(3060),
    [anon_sym_AMP] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3058),
    [anon_sym_typedef] = ACTIONS(3058),
    [anon_sym_virtual] = ACTIONS(3058),
    [anon_sym_extern] = ACTIONS(3058),
    [anon_sym___attribute__] = ACTIONS(3058),
    [anon_sym_COLON_COLON] = ACTIONS(3060),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3060),
    [anon_sym___declspec] = ACTIONS(3058),
    [anon_sym___based] = ACTIONS(3058),
    [anon_sym___cdecl] = ACTIONS(3058),
    [anon_sym___clrcall] = ACTIONS(3058),
    [anon_sym___stdcall] = ACTIONS(3058),
    [anon_sym___fastcall] = ACTIONS(3058),
    [anon_sym___thiscall] = ACTIONS(3058),
    [anon_sym___vectorcall] = ACTIONS(3058),
    [anon_sym_LBRACE] = ACTIONS(3060),
    [anon_sym_signed] = ACTIONS(3058),
    [anon_sym_unsigned] = ACTIONS(3058),
    [anon_sym_long] = ACTIONS(3058),
    [anon_sym_short] = ACTIONS(3058),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_static] = ACTIONS(3058),
    [anon_sym_register] = ACTIONS(3058),
    [anon_sym_inline] = ACTIONS(3058),
    [anon_sym___inline] = ACTIONS(3058),
    [anon_sym___inline__] = ACTIONS(3058),
    [anon_sym___forceinline] = ACTIONS(3058),
    [anon_sym_thread_local] = ACTIONS(3058),
    [anon_sym___thread] = ACTIONS(3058),
    [anon_sym_const] = ACTIONS(3058),
    [anon_sym_constexpr] = ACTIONS(3058),
    [anon_sym_volatile] = ACTIONS(3058),
    [anon_sym_restrict] = ACTIONS(3058),
    [anon_sym___restrict__] = ACTIONS(3058),
    [anon_sym__Atomic] = ACTIONS(3058),
    [anon_sym__Noreturn] = ACTIONS(3058),
    [anon_sym_noreturn] = ACTIONS(3058),
    [anon_sym__Nonnull] = ACTIONS(3058),
    [anon_sym_mutable] = ACTIONS(3058),
    [anon_sym_constinit] = ACTIONS(3058),
    [anon_sym_consteval] = ACTIONS(3058),
    [anon_sym_PROGMEM] = ACTIONS(3058),
    [anon_sym_alignas] = ACTIONS(3058),
    [anon_sym__Alignas] = ACTIONS(3058),
    [aux_sym_primitive_type_token1] = ACTIONS(3058),
    [anon_sym_byte] = ACTIONS(3058),
    [anon_sym_word] = ACTIONS(3058),
    [anon_sym_enum] = ACTIONS(3058),
    [anon_sym_class] = ACTIONS(3058),
    [anon_sym_struct] = ACTIONS(3058),
    [anon_sym_union] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3058),
    [anon_sym_switch] = ACTIONS(3058),
    [anon_sym_case] = ACTIONS(3058),
    [anon_sym_default] = ACTIONS(3058),
    [anon_sym_while] = ACTIONS(3058),
    [anon_sym_do] = ACTIONS(3058),
    [anon_sym_for] = ACTIONS(3058),
    [anon_sym_return] = ACTIONS(3058),
    [anon_sym_break] = ACTIONS(3058),
    [anon_sym_continue] = ACTIONS(3058),
    [anon_sym_goto] = ACTIONS(3058),
    [anon_sym_not] = ACTIONS(3058),
    [anon_sym_compl] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3060),
    [anon_sym_PLUS_PLUS] = ACTIONS(3060),
    [anon_sym_sizeof] = ACTIONS(3058),
    [anon_sym___alignof__] = ACTIONS(3058),
    [anon_sym___alignof] = ACTIONS(3058),
    [anon_sym__alignof] = ACTIONS(3058),
    [anon_sym_alignof] = ACTIONS(3058),
    [anon_sym__Alignof] = ACTIONS(3058),
    [anon_sym_offsetof] = ACTIONS(3058),
    [anon_sym__Generic] = ACTIONS(3058),
    [anon_sym_asm] = ACTIONS(3058),
    [anon_sym___asm__] = ACTIONS(3058),
    [anon_sym___asm] = ACTIONS(3058),
    [aux_sym_number_literal_token1] = ACTIONS(3060),
    [aux_sym_number_literal_token2] = ACTIONS(3058),
    [anon_sym_L_SQUOTE] = ACTIONS(3060),
    [anon_sym_u_SQUOTE] = ACTIONS(3060),
    [anon_sym_U_SQUOTE] = ACTIONS(3060),
    [anon_sym_u8_SQUOTE] = ACTIONS(3060),
    [anon_sym_SQUOTE] = ACTIONS(3060),
    [anon_sym_L_DQUOTE] = ACTIONS(3060),
    [anon_sym_u_DQUOTE] = ACTIONS(3060),
    [anon_sym_U_DQUOTE] = ACTIONS(3060),
    [anon_sym_u8_DQUOTE] = ACTIONS(3060),
    [anon_sym_DQUOTE] = ACTIONS(3060),
    [sym_true] = ACTIONS(3058),
    [sym_false] = ACTIONS(3058),
    [anon_sym_NULL] = ACTIONS(3058),
    [anon_sym_nullptr] = ACTIONS(3058),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3058),
    [anon_sym_decltype] = ACTIONS(3058),
    [anon_sym_explicit] = ACTIONS(3058),
    [anon_sym_typename] = ACTIONS(3058),
    [anon_sym_template] = ACTIONS(3058),
    [anon_sym_operator] = ACTIONS(3058),
    [anon_sym_try] = ACTIONS(3058),
    [anon_sym_delete] = ACTIONS(3058),
    [anon_sym_throw] = ACTIONS(3058),
    [anon_sym_namespace] = ACTIONS(3058),
    [anon_sym_using] = ACTIONS(3058),
    [anon_sym_static_assert] = ACTIONS(3058),
    [anon_sym_concept] = ACTIONS(3058),
    [anon_sym_co_return] = ACTIONS(3058),
    [anon_sym_co_yield] = ACTIONS(3058),
    [anon_sym_R_DQUOTE] = ACTIONS(3060),
    [anon_sym_LR_DQUOTE] = ACTIONS(3060),
    [anon_sym_uR_DQUOTE] = ACTIONS(3060),
    [anon_sym_UR_DQUOTE] = ACTIONS(3060),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3060),
    [anon_sym_co_await] = ACTIONS(3058),
    [anon_sym_new] = ACTIONS(3058),
    [anon_sym_requires] = ACTIONS(3058),
    [sym_this] = ACTIONS(3058),
  },
  [700] = {
    [ts_builtin_sym_end] = ACTIONS(3053),
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym__Nonnull] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [anon_sym_PROGMEM] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym__Alignas] = ACTIONS(3051),
    [aux_sym_primitive_type_token1] = ACTIONS(3051),
    [anon_sym_byte] = ACTIONS(3051),
    [anon_sym_word] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [anon_sym___asm] = ACTIONS(3051),
    [aux_sym_number_literal_token1] = ACTIONS(3053),
    [aux_sym_number_literal_token2] = ACTIONS(3051),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [701] = {
    [ts_builtin_sym_end] = ACTIONS(3494),
    [sym_identifier] = ACTIONS(3496),
    [aux_sym_preproc_include_token1] = ACTIONS(3496),
    [aux_sym_preproc_def_token1] = ACTIONS(3496),
    [aux_sym_preproc_if_token1] = ACTIONS(3496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3496),
    [sym_preproc_directive] = ACTIONS(3496),
    [anon_sym_LPAREN2] = ACTIONS(3494),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3494),
    [anon_sym_AMP_AMP] = ACTIONS(3494),
    [anon_sym_AMP] = ACTIONS(3496),
    [anon_sym___extension__] = ACTIONS(3496),
    [anon_sym_typedef] = ACTIONS(3496),
    [anon_sym_virtual] = ACTIONS(3496),
    [anon_sym_extern] = ACTIONS(3496),
    [anon_sym___attribute__] = ACTIONS(3496),
    [anon_sym_COLON_COLON] = ACTIONS(3494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3494),
    [anon_sym___declspec] = ACTIONS(3496),
    [anon_sym___based] = ACTIONS(3496),
    [anon_sym___cdecl] = ACTIONS(3496),
    [anon_sym___clrcall] = ACTIONS(3496),
    [anon_sym___stdcall] = ACTIONS(3496),
    [anon_sym___fastcall] = ACTIONS(3496),
    [anon_sym___thiscall] = ACTIONS(3496),
    [anon_sym___vectorcall] = ACTIONS(3496),
    [anon_sym_LBRACE] = ACTIONS(3494),
    [anon_sym_signed] = ACTIONS(3496),
    [anon_sym_unsigned] = ACTIONS(3496),
    [anon_sym_long] = ACTIONS(3496),
    [anon_sym_short] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(3496),
    [anon_sym_static] = ACTIONS(3496),
    [anon_sym_register] = ACTIONS(3496),
    [anon_sym_inline] = ACTIONS(3496),
    [anon_sym___inline] = ACTIONS(3496),
    [anon_sym___inline__] = ACTIONS(3496),
    [anon_sym___forceinline] = ACTIONS(3496),
    [anon_sym_thread_local] = ACTIONS(3496),
    [anon_sym___thread] = ACTIONS(3496),
    [anon_sym_const] = ACTIONS(3496),
    [anon_sym_constexpr] = ACTIONS(3496),
    [anon_sym_volatile] = ACTIONS(3496),
    [anon_sym_restrict] = ACTIONS(3496),
    [anon_sym___restrict__] = ACTIONS(3496),
    [anon_sym__Atomic] = ACTIONS(3496),
    [anon_sym__Noreturn] = ACTIONS(3496),
    [anon_sym_noreturn] = ACTIONS(3496),
    [anon_sym__Nonnull] = ACTIONS(3496),
    [anon_sym_mutable] = ACTIONS(3496),
    [anon_sym_constinit] = ACTIONS(3496),
    [anon_sym_consteval] = ACTIONS(3496),
    [anon_sym_PROGMEM] = ACTIONS(3496),
    [anon_sym_alignas] = ACTIONS(3496),
    [anon_sym__Alignas] = ACTIONS(3496),
    [aux_sym_primitive_type_token1] = ACTIONS(3496),
    [anon_sym_byte] = ACTIONS(3496),
    [anon_sym_word] = ACTIONS(3496),
    [anon_sym_enum] = ACTIONS(3496),
    [anon_sym_class] = ACTIONS(3496),
    [anon_sym_struct] = ACTIONS(3496),
    [anon_sym_union] = ACTIONS(3496),
    [anon_sym_if] = ACTIONS(3496),
    [anon_sym_switch] = ACTIONS(3496),
    [anon_sym_case] = ACTIONS(3496),
    [anon_sym_default] = ACTIONS(3496),
    [anon_sym_while] = ACTIONS(3496),
    [anon_sym_do] = ACTIONS(3496),
    [anon_sym_for] = ACTIONS(3496),
    [anon_sym_return] = ACTIONS(3496),
    [anon_sym_break] = ACTIONS(3496),
    [anon_sym_continue] = ACTIONS(3496),
    [anon_sym_goto] = ACTIONS(3496),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3494),
    [anon_sym_PLUS_PLUS] = ACTIONS(3494),
    [anon_sym_sizeof] = ACTIONS(3496),
    [anon_sym___alignof__] = ACTIONS(3496),
    [anon_sym___alignof] = ACTIONS(3496),
    [anon_sym__alignof] = ACTIONS(3496),
    [anon_sym_alignof] = ACTIONS(3496),
    [anon_sym__Alignof] = ACTIONS(3496),
    [anon_sym_offsetof] = ACTIONS(3496),
    [anon_sym__Generic] = ACTIONS(3496),
    [anon_sym_asm] = ACTIONS(3496),
    [anon_sym___asm__] = ACTIONS(3496),
    [anon_sym___asm] = ACTIONS(3496),
    [aux_sym_number_literal_token1] = ACTIONS(3494),
    [aux_sym_number_literal_token2] = ACTIONS(3496),
    [anon_sym_L_SQUOTE] = ACTIONS(3494),
    [anon_sym_u_SQUOTE] = ACTIONS(3494),
    [anon_sym_U_SQUOTE] = ACTIONS(3494),
    [anon_sym_u8_SQUOTE] = ACTIONS(3494),
    [anon_sym_SQUOTE] = ACTIONS(3494),
    [anon_sym_L_DQUOTE] = ACTIONS(3494),
    [anon_sym_u_DQUOTE] = ACTIONS(3494),
    [anon_sym_U_DQUOTE] = ACTIONS(3494),
    [anon_sym_u8_DQUOTE] = ACTIONS(3494),
    [anon_sym_DQUOTE] = ACTIONS(3494),
    [sym_true] = ACTIONS(3496),
    [sym_false] = ACTIONS(3496),
    [anon_sym_NULL] = ACTIONS(3496),
    [anon_sym_nullptr] = ACTIONS(3496),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3496),
    [anon_sym_decltype] = ACTIONS(3496),
    [anon_sym_explicit] = ACTIONS(3496),
    [anon_sym_typename] = ACTIONS(3496),
    [anon_sym_template] = ACTIONS(3496),
    [anon_sym_operator] = ACTIONS(3496),
    [anon_sym_try] = ACTIONS(3496),
    [anon_sym_delete] = ACTIONS(3496),
    [anon_sym_throw] = ACTIONS(3496),
    [anon_sym_namespace] = ACTIONS(3496),
    [anon_sym_using] = ACTIONS(3496),
    [anon_sym_static_assert] = ACTIONS(3496),
    [anon_sym_concept] = ACTIONS(3496),
    [anon_sym_co_return] = ACTIONS(3496),
    [anon_sym_co_yield] = ACTIONS(3496),
    [anon_sym_R_DQUOTE] = ACTIONS(3494),
    [anon_sym_LR_DQUOTE] = ACTIONS(3494),
    [anon_sym_uR_DQUOTE] = ACTIONS(3494),
    [anon_sym_UR_DQUOTE] = ACTIONS(3494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3494),
    [anon_sym_co_await] = ACTIONS(3496),
    [anon_sym_new] = ACTIONS(3496),
    [anon_sym_requires] = ACTIONS(3496),
    [sym_this] = ACTIONS(3496),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(2994),
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_include_token1] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym___cdecl] = ACTIONS(2992),
    [anon_sym___clrcall] = ACTIONS(2992),
    [anon_sym___stdcall] = ACTIONS(2992),
    [anon_sym___fastcall] = ACTIONS(2992),
    [anon_sym___thiscall] = ACTIONS(2992),
    [anon_sym___vectorcall] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_PROGMEM] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [aux_sym_primitive_type_token1] = ACTIONS(2992),
    [anon_sym_byte] = ACTIONS(2992),
    [anon_sym_word] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_case] = ACTIONS(2992),
    [anon_sym_default] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_goto] = ACTIONS(2992),
    [anon_sym_not] = ACTIONS(2992),
    [anon_sym_compl] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_sizeof] = ACTIONS(2992),
    [anon_sym___alignof__] = ACTIONS(2992),
    [anon_sym___alignof] = ACTIONS(2992),
    [anon_sym__alignof] = ACTIONS(2992),
    [anon_sym_alignof] = ACTIONS(2992),
    [anon_sym__Alignof] = ACTIONS(2992),
    [anon_sym_offsetof] = ACTIONS(2992),
    [anon_sym__Generic] = ACTIONS(2992),
    [anon_sym_asm] = ACTIONS(2992),
    [anon_sym___asm__] = ACTIONS(2992),
    [anon_sym___asm] = ACTIONS(2992),
    [aux_sym_number_literal_token1] = ACTIONS(2994),
    [aux_sym_number_literal_token2] = ACTIONS(2992),
    [anon_sym_L_SQUOTE] = ACTIONS(2994),
    [anon_sym_u_SQUOTE] = ACTIONS(2994),
    [anon_sym_U_SQUOTE] = ACTIONS(2994),
    [anon_sym_u8_SQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_L_DQUOTE] = ACTIONS(2994),
    [anon_sym_u_DQUOTE] = ACTIONS(2994),
    [anon_sym_U_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8_DQUOTE] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [anon_sym_NULL] = ACTIONS(2992),
    [anon_sym_nullptr] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
    [anon_sym_concept] = ACTIONS(2992),
    [anon_sym_co_return] = ACTIONS(2992),
    [anon_sym_co_yield] = ACTIONS(2992),
    [anon_sym_R_DQUOTE] = ACTIONS(2994),
    [anon_sym_LR_DQUOTE] = ACTIONS(2994),
    [anon_sym_uR_DQUOTE] = ACTIONS(2994),
    [anon_sym_UR_DQUOTE] = ACTIONS(2994),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2994),
    [anon_sym_co_await] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_requires] = ACTIONS(2992),
    [sym_this] = ACTIONS(2992),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(3172),
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_include_token1] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym___cdecl] = ACTIONS(3170),
    [anon_sym___clrcall] = ACTIONS(3170),
    [anon_sym___stdcall] = ACTIONS(3170),
    [anon_sym___fastcall] = ACTIONS(3170),
    [anon_sym___thiscall] = ACTIONS(3170),
    [anon_sym___vectorcall] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym__Nonnull] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [anon_sym_PROGMEM] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym__Alignas] = ACTIONS(3170),
    [aux_sym_primitive_type_token1] = ACTIONS(3170),
    [anon_sym_byte] = ACTIONS(3170),
    [anon_sym_word] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_goto] = ACTIONS(3170),
    [anon_sym_not] = ACTIONS(3170),
    [anon_sym_compl] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_sizeof] = ACTIONS(3170),
    [anon_sym___alignof__] = ACTIONS(3170),
    [anon_sym___alignof] = ACTIONS(3170),
    [anon_sym__alignof] = ACTIONS(3170),
    [anon_sym_alignof] = ACTIONS(3170),
    [anon_sym__Alignof] = ACTIONS(3170),
    [anon_sym_offsetof] = ACTIONS(3170),
    [anon_sym__Generic] = ACTIONS(3170),
    [anon_sym_asm] = ACTIONS(3170),
    [anon_sym___asm__] = ACTIONS(3170),
    [anon_sym___asm] = ACTIONS(3170),
    [aux_sym_number_literal_token1] = ACTIONS(3172),
    [aux_sym_number_literal_token2] = ACTIONS(3170),
    [anon_sym_L_SQUOTE] = ACTIONS(3172),
    [anon_sym_u_SQUOTE] = ACTIONS(3172),
    [anon_sym_U_SQUOTE] = ACTIONS(3172),
    [anon_sym_u8_SQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_L_DQUOTE] = ACTIONS(3172),
    [anon_sym_u_DQUOTE] = ACTIONS(3172),
    [anon_sym_U_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8_DQUOTE] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [anon_sym_NULL] = ACTIONS(3170),
    [anon_sym_nullptr] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
    [anon_sym_concept] = ACTIONS(3170),
    [anon_sym_co_return] = ACTIONS(3170),
    [anon_sym_co_yield] = ACTIONS(3170),
    [anon_sym_R_DQUOTE] = ACTIONS(3172),
    [anon_sym_LR_DQUOTE] = ACTIONS(3172),
    [anon_sym_uR_DQUOTE] = ACTIONS(3172),
    [anon_sym_UR_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3172),
    [anon_sym_co_await] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_requires] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(3196),
    [sym_identifier] = ACTIONS(3194),
    [aux_sym_preproc_include_token1] = ACTIONS(3194),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3194),
    [sym_preproc_directive] = ACTIONS(3194),
    [anon_sym_LPAREN2] = ACTIONS(3196),
    [anon_sym_BANG] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3194),
    [anon_sym___extension__] = ACTIONS(3194),
    [anon_sym_typedef] = ACTIONS(3194),
    [anon_sym_virtual] = ACTIONS(3194),
    [anon_sym_extern] = ACTIONS(3194),
    [anon_sym___attribute__] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3196),
    [anon_sym___declspec] = ACTIONS(3194),
    [anon_sym___based] = ACTIONS(3194),
    [anon_sym___cdecl] = ACTIONS(3194),
    [anon_sym___clrcall] = ACTIONS(3194),
    [anon_sym___stdcall] = ACTIONS(3194),
    [anon_sym___fastcall] = ACTIONS(3194),
    [anon_sym___thiscall] = ACTIONS(3194),
    [anon_sym___vectorcall] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_signed] = ACTIONS(3194),
    [anon_sym_unsigned] = ACTIONS(3194),
    [anon_sym_long] = ACTIONS(3194),
    [anon_sym_short] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_register] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym___inline] = ACTIONS(3194),
    [anon_sym___inline__] = ACTIONS(3194),
    [anon_sym___forceinline] = ACTIONS(3194),
    [anon_sym_thread_local] = ACTIONS(3194),
    [anon_sym___thread] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_constexpr] = ACTIONS(3194),
    [anon_sym_volatile] = ACTIONS(3194),
    [anon_sym_restrict] = ACTIONS(3194),
    [anon_sym___restrict__] = ACTIONS(3194),
    [anon_sym__Atomic] = ACTIONS(3194),
    [anon_sym__Noreturn] = ACTIONS(3194),
    [anon_sym_noreturn] = ACTIONS(3194),
    [anon_sym__Nonnull] = ACTIONS(3194),
    [anon_sym_mutable] = ACTIONS(3194),
    [anon_sym_constinit] = ACTIONS(3194),
    [anon_sym_consteval] = ACTIONS(3194),
    [anon_sym_PROGMEM] = ACTIONS(3194),
    [anon_sym_alignas] = ACTIONS(3194),
    [anon_sym__Alignas] = ACTIONS(3194),
    [aux_sym_primitive_type_token1] = ACTIONS(3194),
    [anon_sym_byte] = ACTIONS(3194),
    [anon_sym_word] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_struct] = ACTIONS(3194),
    [anon_sym_union] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_switch] = ACTIONS(3194),
    [anon_sym_case] = ACTIONS(3194),
    [anon_sym_default] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_do] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_break] = ACTIONS(3194),
    [anon_sym_continue] = ACTIONS(3194),
    [anon_sym_goto] = ACTIONS(3194),
    [anon_sym_not] = ACTIONS(3194),
    [anon_sym_compl] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_sizeof] = ACTIONS(3194),
    [anon_sym___alignof__] = ACTIONS(3194),
    [anon_sym___alignof] = ACTIONS(3194),
    [anon_sym__alignof] = ACTIONS(3194),
    [anon_sym_alignof] = ACTIONS(3194),
    [anon_sym__Alignof] = ACTIONS(3194),
    [anon_sym_offsetof] = ACTIONS(3194),
    [anon_sym__Generic] = ACTIONS(3194),
    [anon_sym_asm] = ACTIONS(3194),
    [anon_sym___asm__] = ACTIONS(3194),
    [anon_sym___asm] = ACTIONS(3194),
    [aux_sym_number_literal_token1] = ACTIONS(3196),
    [aux_sym_number_literal_token2] = ACTIONS(3194),
    [anon_sym_L_SQUOTE] = ACTIONS(3196),
    [anon_sym_u_SQUOTE] = ACTIONS(3196),
    [anon_sym_U_SQUOTE] = ACTIONS(3196),
    [anon_sym_u8_SQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [anon_sym_L_DQUOTE] = ACTIONS(3196),
    [anon_sym_u_DQUOTE] = ACTIONS(3196),
    [anon_sym_U_DQUOTE] = ACTIONS(3196),
    [anon_sym_u8_DQUOTE] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3196),
    [sym_true] = ACTIONS(3194),
    [sym_false] = ACTIONS(3194),
    [anon_sym_NULL] = ACTIONS(3194),
    [anon_sym_nullptr] = ACTIONS(3194),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3194),
    [anon_sym_decltype] = ACTIONS(3194),
    [anon_sym_explicit] = ACTIONS(3194),
    [anon_sym_typename] = ACTIONS(3194),
    [anon_sym_template] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_delete] = ACTIONS(3194),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_namespace] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_static_assert] = ACTIONS(3194),
    [anon_sym_concept] = ACTIONS(3194),
    [anon_sym_co_return] = ACTIONS(3194),
    [anon_sym_co_yield] = ACTIONS(3194),
    [anon_sym_R_DQUOTE] = ACTIONS(3196),
    [anon_sym_LR_DQUOTE] = ACTIONS(3196),
    [anon_sym_uR_DQUOTE] = ACTIONS(3196),
    [anon_sym_UR_DQUOTE] = ACTIONS(3196),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3196),
    [anon_sym_co_await] = ACTIONS(3194),
    [anon_sym_new] = ACTIONS(3194),
    [anon_sym_requires] = ACTIONS(3194),
    [sym_this] = ACTIONS(3194),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(2946),
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_PROGMEM] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [aux_sym_primitive_type_token1] = ACTIONS(2944),
    [anon_sym_byte] = ACTIONS(2944),
    [anon_sym_word] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [anon_sym___asm] = ACTIONS(2944),
    [aux_sym_number_literal_token1] = ACTIONS(2946),
    [aux_sym_number_literal_token2] = ACTIONS(2944),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(2950),
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym__Nonnull] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_PROGMEM] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym__Alignas] = ACTIONS(2948),
    [aux_sym_primitive_type_token1] = ACTIONS(2948),
    [anon_sym_byte] = ACTIONS(2948),
    [anon_sym_word] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [anon_sym___asm] = ACTIONS(2948),
    [aux_sym_number_literal_token1] = ACTIONS(2950),
    [aux_sym_number_literal_token2] = ACTIONS(2948),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(2942),
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_include_token1] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym___cdecl] = ACTIONS(2940),
    [anon_sym___clrcall] = ACTIONS(2940),
    [anon_sym___stdcall] = ACTIONS(2940),
    [anon_sym___fastcall] = ACTIONS(2940),
    [anon_sym___thiscall] = ACTIONS(2940),
    [anon_sym___vectorcall] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_PROGMEM] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [aux_sym_primitive_type_token1] = ACTIONS(2940),
    [anon_sym_byte] = ACTIONS(2940),
    [anon_sym_word] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_goto] = ACTIONS(2940),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_compl] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_sizeof] = ACTIONS(2940),
    [anon_sym___alignof__] = ACTIONS(2940),
    [anon_sym___alignof] = ACTIONS(2940),
    [anon_sym__alignof] = ACTIONS(2940),
    [anon_sym_alignof] = ACTIONS(2940),
    [anon_sym__Alignof] = ACTIONS(2940),
    [anon_sym_offsetof] = ACTIONS(2940),
    [anon_sym__Generic] = ACTIONS(2940),
    [anon_sym_asm] = ACTIONS(2940),
    [anon_sym___asm__] = ACTIONS(2940),
    [anon_sym___asm] = ACTIONS(2940),
    [aux_sym_number_literal_token1] = ACTIONS(2942),
    [aux_sym_number_literal_token2] = ACTIONS(2940),
    [anon_sym_L_SQUOTE] = ACTIONS(2942),
    [anon_sym_u_SQUOTE] = ACTIONS(2942),
    [anon_sym_U_SQUOTE] = ACTIONS(2942),
    [anon_sym_u8_SQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [anon_sym_L_DQUOTE] = ACTIONS(2942),
    [anon_sym_u_DQUOTE] = ACTIONS(2942),
    [anon_sym_U_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8_DQUOTE] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [anon_sym_NULL] = ACTIONS(2940),
    [anon_sym_nullptr] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
    [anon_sym_concept] = ACTIONS(2940),
    [anon_sym_co_return] = ACTIONS(2940),
    [anon_sym_co_yield] = ACTIONS(2940),
    [anon_sym_R_DQUOTE] = ACTIONS(2942),
    [anon_sym_LR_DQUOTE] = ACTIONS(2942),
    [anon_sym_uR_DQUOTE] = ACTIONS(2942),
    [anon_sym_UR_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2942),
    [anon_sym_co_await] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_requires] = ACTIONS(2940),
    [sym_this] = ACTIONS(2940),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(3022),
    [sym_identifier] = ACTIONS(3020),
    [aux_sym_preproc_include_token1] = ACTIONS(3020),
    [aux_sym_preproc_def_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3020),
    [sym_preproc_directive] = ACTIONS(3020),
    [anon_sym_LPAREN2] = ACTIONS(3022),
    [anon_sym_BANG] = ACTIONS(3022),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3022),
    [anon_sym_AMP] = ACTIONS(3020),
    [anon_sym___extension__] = ACTIONS(3020),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_virtual] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(3020),
    [anon_sym___attribute__] = ACTIONS(3020),
    [anon_sym_COLON_COLON] = ACTIONS(3022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(3020),
    [anon_sym___based] = ACTIONS(3020),
    [anon_sym___cdecl] = ACTIONS(3020),
    [anon_sym___clrcall] = ACTIONS(3020),
    [anon_sym___stdcall] = ACTIONS(3020),
    [anon_sym___fastcall] = ACTIONS(3020),
    [anon_sym___thiscall] = ACTIONS(3020),
    [anon_sym___vectorcall] = ACTIONS(3020),
    [anon_sym_LBRACE] = ACTIONS(3022),
    [anon_sym_signed] = ACTIONS(3020),
    [anon_sym_unsigned] = ACTIONS(3020),
    [anon_sym_long] = ACTIONS(3020),
    [anon_sym_short] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_register] = ACTIONS(3020),
    [anon_sym_inline] = ACTIONS(3020),
    [anon_sym___inline] = ACTIONS(3020),
    [anon_sym___inline__] = ACTIONS(3020),
    [anon_sym___forceinline] = ACTIONS(3020),
    [anon_sym_thread_local] = ACTIONS(3020),
    [anon_sym___thread] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_constexpr] = ACTIONS(3020),
    [anon_sym_volatile] = ACTIONS(3020),
    [anon_sym_restrict] = ACTIONS(3020),
    [anon_sym___restrict__] = ACTIONS(3020),
    [anon_sym__Atomic] = ACTIONS(3020),
    [anon_sym__Noreturn] = ACTIONS(3020),
    [anon_sym_noreturn] = ACTIONS(3020),
    [anon_sym__Nonnull] = ACTIONS(3020),
    [anon_sym_mutable] = ACTIONS(3020),
    [anon_sym_constinit] = ACTIONS(3020),
    [anon_sym_consteval] = ACTIONS(3020),
    [anon_sym_PROGMEM] = ACTIONS(3020),
    [anon_sym_alignas] = ACTIONS(3020),
    [anon_sym__Alignas] = ACTIONS(3020),
    [aux_sym_primitive_type_token1] = ACTIONS(3020),
    [anon_sym_byte] = ACTIONS(3020),
    [anon_sym_word] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_struct] = ACTIONS(3020),
    [anon_sym_union] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(3020),
    [anon_sym_switch] = ACTIONS(3020),
    [anon_sym_case] = ACTIONS(3020),
    [anon_sym_default] = ACTIONS(3020),
    [anon_sym_while] = ACTIONS(3020),
    [anon_sym_do] = ACTIONS(3020),
    [anon_sym_for] = ACTIONS(3020),
    [anon_sym_return] = ACTIONS(3020),
    [anon_sym_break] = ACTIONS(3020),
    [anon_sym_continue] = ACTIONS(3020),
    [anon_sym_goto] = ACTIONS(3020),
    [anon_sym_not] = ACTIONS(3020),
    [anon_sym_compl] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3022),
    [anon_sym_sizeof] = ACTIONS(3020),
    [anon_sym___alignof__] = ACTIONS(3020),
    [anon_sym___alignof] = ACTIONS(3020),
    [anon_sym__alignof] = ACTIONS(3020),
    [anon_sym_alignof] = ACTIONS(3020),
    [anon_sym__Alignof] = ACTIONS(3020),
    [anon_sym_offsetof] = ACTIONS(3020),
    [anon_sym__Generic] = ACTIONS(3020),
    [anon_sym_asm] = ACTIONS(3020),
    [anon_sym___asm__] = ACTIONS(3020),
    [anon_sym___asm] = ACTIONS(3020),
    [aux_sym_number_literal_token1] = ACTIONS(3022),
    [aux_sym_number_literal_token2] = ACTIONS(3020),
    [anon_sym_L_SQUOTE] = ACTIONS(3022),
    [anon_sym_u_SQUOTE] = ACTIONS(3022),
    [anon_sym_U_SQUOTE] = ACTIONS(3022),
    [anon_sym_u8_SQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3022),
    [anon_sym_L_DQUOTE] = ACTIONS(3022),
    [anon_sym_u_DQUOTE] = ACTIONS(3022),
    [anon_sym_U_DQUOTE] = ACTIONS(3022),
    [anon_sym_u8_DQUOTE] = ACTIONS(3022),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [sym_true] = ACTIONS(3020),
    [sym_false] = ACTIONS(3020),
    [anon_sym_NULL] = ACTIONS(3020),
    [anon_sym_nullptr] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3020),
    [anon_sym_decltype] = ACTIONS(3020),
    [anon_sym_explicit] = ACTIONS(3020),
    [anon_sym_typename] = ACTIONS(3020),
    [anon_sym_template] = ACTIONS(3020),
    [anon_sym_operator] = ACTIONS(3020),
    [anon_sym_try] = ACTIONS(3020),
    [anon_sym_delete] = ACTIONS(3020),
    [anon_sym_throw] = ACTIONS(3020),
    [anon_sym_namespace] = ACTIONS(3020),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3020),
    [anon_sym_concept] = ACTIONS(3020),
    [anon_sym_co_return] = ACTIONS(3020),
    [anon_sym_co_yield] = ACTIONS(3020),
    [anon_sym_R_DQUOTE] = ACTIONS(3022),
    [anon_sym_LR_DQUOTE] = ACTIONS(3022),
    [anon_sym_uR_DQUOTE] = ACTIONS(3022),
    [anon_sym_UR_DQUOTE] = ACTIONS(3022),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3022),
    [anon_sym_co_await] = ACTIONS(3020),
    [anon_sym_new] = ACTIONS(3020),
    [anon_sym_requires] = ACTIONS(3020),
    [sym_this] = ACTIONS(3020),
  },
  [709] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3772),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_initializer_list] = STATE(3859),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(3500),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1915),
    [anon_sym_GT_GT] = ACTIONS(1915),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym___attribute__] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(3192),
    [sym_identifier] = ACTIONS(3190),
    [aux_sym_preproc_include_token1] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3190),
    [anon_sym___extension__] = ACTIONS(3190),
    [anon_sym_typedef] = ACTIONS(3190),
    [anon_sym_virtual] = ACTIONS(3190),
    [anon_sym_extern] = ACTIONS(3190),
    [anon_sym___attribute__] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3192),
    [anon_sym___declspec] = ACTIONS(3190),
    [anon_sym___based] = ACTIONS(3190),
    [anon_sym___cdecl] = ACTIONS(3190),
    [anon_sym___clrcall] = ACTIONS(3190),
    [anon_sym___stdcall] = ACTIONS(3190),
    [anon_sym___fastcall] = ACTIONS(3190),
    [anon_sym___thiscall] = ACTIONS(3190),
    [anon_sym___vectorcall] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3190),
    [anon_sym_unsigned] = ACTIONS(3190),
    [anon_sym_long] = ACTIONS(3190),
    [anon_sym_short] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_register] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym___inline] = ACTIONS(3190),
    [anon_sym___inline__] = ACTIONS(3190),
    [anon_sym___forceinline] = ACTIONS(3190),
    [anon_sym_thread_local] = ACTIONS(3190),
    [anon_sym___thread] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_constexpr] = ACTIONS(3190),
    [anon_sym_volatile] = ACTIONS(3190),
    [anon_sym_restrict] = ACTIONS(3190),
    [anon_sym___restrict__] = ACTIONS(3190),
    [anon_sym__Atomic] = ACTIONS(3190),
    [anon_sym__Noreturn] = ACTIONS(3190),
    [anon_sym_noreturn] = ACTIONS(3190),
    [anon_sym__Nonnull] = ACTIONS(3190),
    [anon_sym_mutable] = ACTIONS(3190),
    [anon_sym_constinit] = ACTIONS(3190),
    [anon_sym_consteval] = ACTIONS(3190),
    [anon_sym_PROGMEM] = ACTIONS(3190),
    [anon_sym_alignas] = ACTIONS(3190),
    [anon_sym__Alignas] = ACTIONS(3190),
    [aux_sym_primitive_type_token1] = ACTIONS(3190),
    [anon_sym_byte] = ACTIONS(3190),
    [anon_sym_word] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_struct] = ACTIONS(3190),
    [anon_sym_union] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_case] = ACTIONS(3190),
    [anon_sym_default] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_goto] = ACTIONS(3190),
    [anon_sym_not] = ACTIONS(3190),
    [anon_sym_compl] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_sizeof] = ACTIONS(3190),
    [anon_sym___alignof__] = ACTIONS(3190),
    [anon_sym___alignof] = ACTIONS(3190),
    [anon_sym__alignof] = ACTIONS(3190),
    [anon_sym_alignof] = ACTIONS(3190),
    [anon_sym__Alignof] = ACTIONS(3190),
    [anon_sym_offsetof] = ACTIONS(3190),
    [anon_sym__Generic] = ACTIONS(3190),
    [anon_sym_asm] = ACTIONS(3190),
    [anon_sym___asm__] = ACTIONS(3190),
    [anon_sym___asm] = ACTIONS(3190),
    [aux_sym_number_literal_token1] = ACTIONS(3192),
    [aux_sym_number_literal_token2] = ACTIONS(3190),
    [anon_sym_L_SQUOTE] = ACTIONS(3192),
    [anon_sym_u_SQUOTE] = ACTIONS(3192),
    [anon_sym_U_SQUOTE] = ACTIONS(3192),
    [anon_sym_u8_SQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [anon_sym_L_DQUOTE] = ACTIONS(3192),
    [anon_sym_u_DQUOTE] = ACTIONS(3192),
    [anon_sym_U_DQUOTE] = ACTIONS(3192),
    [anon_sym_u8_DQUOTE] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [anon_sym_NULL] = ACTIONS(3190),
    [anon_sym_nullptr] = ACTIONS(3190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3190),
    [anon_sym_decltype] = ACTIONS(3190),
    [anon_sym_explicit] = ACTIONS(3190),
    [anon_sym_typename] = ACTIONS(3190),
    [anon_sym_template] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_static_assert] = ACTIONS(3190),
    [anon_sym_concept] = ACTIONS(3190),
    [anon_sym_co_return] = ACTIONS(3190),
    [anon_sym_co_yield] = ACTIONS(3190),
    [anon_sym_R_DQUOTE] = ACTIONS(3192),
    [anon_sym_LR_DQUOTE] = ACTIONS(3192),
    [anon_sym_uR_DQUOTE] = ACTIONS(3192),
    [anon_sym_UR_DQUOTE] = ACTIONS(3192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3192),
    [anon_sym_co_await] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_requires] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(3018),
    [sym_identifier] = ACTIONS(3016),
    [aux_sym_preproc_include_token1] = ACTIONS(3016),
    [aux_sym_preproc_def_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3016),
    [sym_preproc_directive] = ACTIONS(3016),
    [anon_sym_LPAREN2] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3016),
    [anon_sym_typedef] = ACTIONS(3016),
    [anon_sym_virtual] = ACTIONS(3016),
    [anon_sym_extern] = ACTIONS(3016),
    [anon_sym___attribute__] = ACTIONS(3016),
    [anon_sym_COLON_COLON] = ACTIONS(3018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3018),
    [anon_sym___declspec] = ACTIONS(3016),
    [anon_sym___based] = ACTIONS(3016),
    [anon_sym___cdecl] = ACTIONS(3016),
    [anon_sym___clrcall] = ACTIONS(3016),
    [anon_sym___stdcall] = ACTIONS(3016),
    [anon_sym___fastcall] = ACTIONS(3016),
    [anon_sym___thiscall] = ACTIONS(3016),
    [anon_sym___vectorcall] = ACTIONS(3016),
    [anon_sym_LBRACE] = ACTIONS(3018),
    [anon_sym_signed] = ACTIONS(3016),
    [anon_sym_unsigned] = ACTIONS(3016),
    [anon_sym_long] = ACTIONS(3016),
    [anon_sym_short] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_register] = ACTIONS(3016),
    [anon_sym_inline] = ACTIONS(3016),
    [anon_sym___inline] = ACTIONS(3016),
    [anon_sym___inline__] = ACTIONS(3016),
    [anon_sym___forceinline] = ACTIONS(3016),
    [anon_sym_thread_local] = ACTIONS(3016),
    [anon_sym___thread] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_constexpr] = ACTIONS(3016),
    [anon_sym_volatile] = ACTIONS(3016),
    [anon_sym_restrict] = ACTIONS(3016),
    [anon_sym___restrict__] = ACTIONS(3016),
    [anon_sym__Atomic] = ACTIONS(3016),
    [anon_sym__Noreturn] = ACTIONS(3016),
    [anon_sym_noreturn] = ACTIONS(3016),
    [anon_sym__Nonnull] = ACTIONS(3016),
    [anon_sym_mutable] = ACTIONS(3016),
    [anon_sym_constinit] = ACTIONS(3016),
    [anon_sym_consteval] = ACTIONS(3016),
    [anon_sym_PROGMEM] = ACTIONS(3016),
    [anon_sym_alignas] = ACTIONS(3016),
    [anon_sym__Alignas] = ACTIONS(3016),
    [aux_sym_primitive_type_token1] = ACTIONS(3016),
    [anon_sym_byte] = ACTIONS(3016),
    [anon_sym_word] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_struct] = ACTIONS(3016),
    [anon_sym_union] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_switch] = ACTIONS(3016),
    [anon_sym_case] = ACTIONS(3016),
    [anon_sym_default] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_do] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3016),
    [anon_sym_return] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3016),
    [anon_sym_continue] = ACTIONS(3016),
    [anon_sym_goto] = ACTIONS(3016),
    [anon_sym_not] = ACTIONS(3016),
    [anon_sym_compl] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3018),
    [anon_sym_sizeof] = ACTIONS(3016),
    [anon_sym___alignof__] = ACTIONS(3016),
    [anon_sym___alignof] = ACTIONS(3016),
    [anon_sym__alignof] = ACTIONS(3016),
    [anon_sym_alignof] = ACTIONS(3016),
    [anon_sym__Alignof] = ACTIONS(3016),
    [anon_sym_offsetof] = ACTIONS(3016),
    [anon_sym__Generic] = ACTIONS(3016),
    [anon_sym_asm] = ACTIONS(3016),
    [anon_sym___asm__] = ACTIONS(3016),
    [anon_sym___asm] = ACTIONS(3016),
    [aux_sym_number_literal_token1] = ACTIONS(3018),
    [aux_sym_number_literal_token2] = ACTIONS(3016),
    [anon_sym_L_SQUOTE] = ACTIONS(3018),
    [anon_sym_u_SQUOTE] = ACTIONS(3018),
    [anon_sym_U_SQUOTE] = ACTIONS(3018),
    [anon_sym_u8_SQUOTE] = ACTIONS(3018),
    [anon_sym_SQUOTE] = ACTIONS(3018),
    [anon_sym_L_DQUOTE] = ACTIONS(3018),
    [anon_sym_u_DQUOTE] = ACTIONS(3018),
    [anon_sym_U_DQUOTE] = ACTIONS(3018),
    [anon_sym_u8_DQUOTE] = ACTIONS(3018),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [sym_true] = ACTIONS(3016),
    [sym_false] = ACTIONS(3016),
    [anon_sym_NULL] = ACTIONS(3016),
    [anon_sym_nullptr] = ACTIONS(3016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3016),
    [anon_sym_decltype] = ACTIONS(3016),
    [anon_sym_explicit] = ACTIONS(3016),
    [anon_sym_typename] = ACTIONS(3016),
    [anon_sym_template] = ACTIONS(3016),
    [anon_sym_operator] = ACTIONS(3016),
    [anon_sym_try] = ACTIONS(3016),
    [anon_sym_delete] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3016),
    [anon_sym_namespace] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3016),
    [anon_sym_concept] = ACTIONS(3016),
    [anon_sym_co_return] = ACTIONS(3016),
    [anon_sym_co_yield] = ACTIONS(3016),
    [anon_sym_R_DQUOTE] = ACTIONS(3018),
    [anon_sym_LR_DQUOTE] = ACTIONS(3018),
    [anon_sym_uR_DQUOTE] = ACTIONS(3018),
    [anon_sym_UR_DQUOTE] = ACTIONS(3018),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3018),
    [anon_sym_co_await] = ACTIONS(3016),
    [anon_sym_new] = ACTIONS(3016),
    [anon_sym_requires] = ACTIONS(3016),
    [sym_this] = ACTIONS(3016),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(3192),
    [sym_identifier] = ACTIONS(3190),
    [aux_sym_preproc_include_token1] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_BANG] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3190),
    [anon_sym___extension__] = ACTIONS(3190),
    [anon_sym_typedef] = ACTIONS(3190),
    [anon_sym_virtual] = ACTIONS(3190),
    [anon_sym_extern] = ACTIONS(3190),
    [anon_sym___attribute__] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3192),
    [anon_sym___declspec] = ACTIONS(3190),
    [anon_sym___based] = ACTIONS(3190),
    [anon_sym___cdecl] = ACTIONS(3190),
    [anon_sym___clrcall] = ACTIONS(3190),
    [anon_sym___stdcall] = ACTIONS(3190),
    [anon_sym___fastcall] = ACTIONS(3190),
    [anon_sym___thiscall] = ACTIONS(3190),
    [anon_sym___vectorcall] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3190),
    [anon_sym_unsigned] = ACTIONS(3190),
    [anon_sym_long] = ACTIONS(3190),
    [anon_sym_short] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_register] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym___inline] = ACTIONS(3190),
    [anon_sym___inline__] = ACTIONS(3190),
    [anon_sym___forceinline] = ACTIONS(3190),
    [anon_sym_thread_local] = ACTIONS(3190),
    [anon_sym___thread] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_constexpr] = ACTIONS(3190),
    [anon_sym_volatile] = ACTIONS(3190),
    [anon_sym_restrict] = ACTIONS(3190),
    [anon_sym___restrict__] = ACTIONS(3190),
    [anon_sym__Atomic] = ACTIONS(3190),
    [anon_sym__Noreturn] = ACTIONS(3190),
    [anon_sym_noreturn] = ACTIONS(3190),
    [anon_sym__Nonnull] = ACTIONS(3190),
    [anon_sym_mutable] = ACTIONS(3190),
    [anon_sym_constinit] = ACTIONS(3190),
    [anon_sym_consteval] = ACTIONS(3190),
    [anon_sym_PROGMEM] = ACTIONS(3190),
    [anon_sym_alignas] = ACTIONS(3190),
    [anon_sym__Alignas] = ACTIONS(3190),
    [aux_sym_primitive_type_token1] = ACTIONS(3190),
    [anon_sym_byte] = ACTIONS(3190),
    [anon_sym_word] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_struct] = ACTIONS(3190),
    [anon_sym_union] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_switch] = ACTIONS(3190),
    [anon_sym_case] = ACTIONS(3190),
    [anon_sym_default] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_do] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_break] = ACTIONS(3190),
    [anon_sym_continue] = ACTIONS(3190),
    [anon_sym_goto] = ACTIONS(3190),
    [anon_sym_not] = ACTIONS(3190),
    [anon_sym_compl] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_sizeof] = ACTIONS(3190),
    [anon_sym___alignof__] = ACTIONS(3190),
    [anon_sym___alignof] = ACTIONS(3190),
    [anon_sym__alignof] = ACTIONS(3190),
    [anon_sym_alignof] = ACTIONS(3190),
    [anon_sym__Alignof] = ACTIONS(3190),
    [anon_sym_offsetof] = ACTIONS(3190),
    [anon_sym__Generic] = ACTIONS(3190),
    [anon_sym_asm] = ACTIONS(3190),
    [anon_sym___asm__] = ACTIONS(3190),
    [anon_sym___asm] = ACTIONS(3190),
    [aux_sym_number_literal_token1] = ACTIONS(3192),
    [aux_sym_number_literal_token2] = ACTIONS(3190),
    [anon_sym_L_SQUOTE] = ACTIONS(3192),
    [anon_sym_u_SQUOTE] = ACTIONS(3192),
    [anon_sym_U_SQUOTE] = ACTIONS(3192),
    [anon_sym_u8_SQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [anon_sym_L_DQUOTE] = ACTIONS(3192),
    [anon_sym_u_DQUOTE] = ACTIONS(3192),
    [anon_sym_U_DQUOTE] = ACTIONS(3192),
    [anon_sym_u8_DQUOTE] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3192),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [anon_sym_NULL] = ACTIONS(3190),
    [anon_sym_nullptr] = ACTIONS(3190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3190),
    [anon_sym_decltype] = ACTIONS(3190),
    [anon_sym_explicit] = ACTIONS(3190),
    [anon_sym_typename] = ACTIONS(3190),
    [anon_sym_template] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_delete] = ACTIONS(3190),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_namespace] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_static_assert] = ACTIONS(3190),
    [anon_sym_concept] = ACTIONS(3190),
    [anon_sym_co_return] = ACTIONS(3190),
    [anon_sym_co_yield] = ACTIONS(3190),
    [anon_sym_R_DQUOTE] = ACTIONS(3192),
    [anon_sym_LR_DQUOTE] = ACTIONS(3192),
    [anon_sym_uR_DQUOTE] = ACTIONS(3192),
    [anon_sym_UR_DQUOTE] = ACTIONS(3192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3192),
    [anon_sym_co_await] = ACTIONS(3190),
    [anon_sym_new] = ACTIONS(3190),
    [anon_sym_requires] = ACTIONS(3190),
    [sym_this] = ACTIONS(3190),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(2970),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_include_token1] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2968),
    [sym_preproc_directive] = ACTIONS(2968),
    [anon_sym_LPAREN2] = ACTIONS(2970),
    [anon_sym_BANG] = ACTIONS(2970),
    [anon_sym_TILDE] = ACTIONS(2970),
    [anon_sym_DASH] = ACTIONS(2968),
    [anon_sym_PLUS] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(2970),
    [anon_sym_AMP_AMP] = ACTIONS(2970),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym___extension__] = ACTIONS(2968),
    [anon_sym_typedef] = ACTIONS(2968),
    [anon_sym_virtual] = ACTIONS(2968),
    [anon_sym_extern] = ACTIONS(2968),
    [anon_sym___attribute__] = ACTIONS(2968),
    [anon_sym_COLON_COLON] = ACTIONS(2970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2970),
    [anon_sym___declspec] = ACTIONS(2968),
    [anon_sym___based] = ACTIONS(2968),
    [anon_sym___cdecl] = ACTIONS(2968),
    [anon_sym___clrcall] = ACTIONS(2968),
    [anon_sym___stdcall] = ACTIONS(2968),
    [anon_sym___fastcall] = ACTIONS(2968),
    [anon_sym___thiscall] = ACTIONS(2968),
    [anon_sym___vectorcall] = ACTIONS(2968),
    [anon_sym_LBRACE] = ACTIONS(2970),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_register] = ACTIONS(2968),
    [anon_sym_inline] = ACTIONS(2968),
    [anon_sym___inline] = ACTIONS(2968),
    [anon_sym___inline__] = ACTIONS(2968),
    [anon_sym___forceinline] = ACTIONS(2968),
    [anon_sym_thread_local] = ACTIONS(2968),
    [anon_sym___thread] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2968),
    [anon_sym_constexpr] = ACTIONS(2968),
    [anon_sym_volatile] = ACTIONS(2968),
    [anon_sym_restrict] = ACTIONS(2968),
    [anon_sym___restrict__] = ACTIONS(2968),
    [anon_sym__Atomic] = ACTIONS(2968),
    [anon_sym__Noreturn] = ACTIONS(2968),
    [anon_sym_noreturn] = ACTIONS(2968),
    [anon_sym__Nonnull] = ACTIONS(2968),
    [anon_sym_mutable] = ACTIONS(2968),
    [anon_sym_constinit] = ACTIONS(2968),
    [anon_sym_consteval] = ACTIONS(2968),
    [anon_sym_PROGMEM] = ACTIONS(2968),
    [anon_sym_alignas] = ACTIONS(2968),
    [anon_sym__Alignas] = ACTIONS(2968),
    [aux_sym_primitive_type_token1] = ACTIONS(2968),
    [anon_sym_byte] = ACTIONS(2968),
    [anon_sym_word] = ACTIONS(2968),
    [anon_sym_enum] = ACTIONS(2968),
    [anon_sym_class] = ACTIONS(2968),
    [anon_sym_struct] = ACTIONS(2968),
    [anon_sym_union] = ACTIONS(2968),
    [anon_sym_if] = ACTIONS(2968),
    [anon_sym_switch] = ACTIONS(2968),
    [anon_sym_case] = ACTIONS(2968),
    [anon_sym_default] = ACTIONS(2968),
    [anon_sym_while] = ACTIONS(2968),
    [anon_sym_do] = ACTIONS(2968),
    [anon_sym_for] = ACTIONS(2968),
    [anon_sym_return] = ACTIONS(2968),
    [anon_sym_break] = ACTIONS(2968),
    [anon_sym_continue] = ACTIONS(2968),
    [anon_sym_goto] = ACTIONS(2968),
    [anon_sym_not] = ACTIONS(2968),
    [anon_sym_compl] = ACTIONS(2968),
    [anon_sym_DASH_DASH] = ACTIONS(2970),
    [anon_sym_PLUS_PLUS] = ACTIONS(2970),
    [anon_sym_sizeof] = ACTIONS(2968),
    [anon_sym___alignof__] = ACTIONS(2968),
    [anon_sym___alignof] = ACTIONS(2968),
    [anon_sym__alignof] = ACTIONS(2968),
    [anon_sym_alignof] = ACTIONS(2968),
    [anon_sym__Alignof] = ACTIONS(2968),
    [anon_sym_offsetof] = ACTIONS(2968),
    [anon_sym__Generic] = ACTIONS(2968),
    [anon_sym_asm] = ACTIONS(2968),
    [anon_sym___asm__] = ACTIONS(2968),
    [anon_sym___asm] = ACTIONS(2968),
    [aux_sym_number_literal_token1] = ACTIONS(2970),
    [aux_sym_number_literal_token2] = ACTIONS(2968),
    [anon_sym_L_SQUOTE] = ACTIONS(2970),
    [anon_sym_u_SQUOTE] = ACTIONS(2970),
    [anon_sym_U_SQUOTE] = ACTIONS(2970),
    [anon_sym_u8_SQUOTE] = ACTIONS(2970),
    [anon_sym_SQUOTE] = ACTIONS(2970),
    [anon_sym_L_DQUOTE] = ACTIONS(2970),
    [anon_sym_u_DQUOTE] = ACTIONS(2970),
    [anon_sym_U_DQUOTE] = ACTIONS(2970),
    [anon_sym_u8_DQUOTE] = ACTIONS(2970),
    [anon_sym_DQUOTE] = ACTIONS(2970),
    [sym_true] = ACTIONS(2968),
    [sym_false] = ACTIONS(2968),
    [anon_sym_NULL] = ACTIONS(2968),
    [anon_sym_nullptr] = ACTIONS(2968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2968),
    [anon_sym_decltype] = ACTIONS(2968),
    [anon_sym_explicit] = ACTIONS(2968),
    [anon_sym_typename] = ACTIONS(2968),
    [anon_sym_template] = ACTIONS(2968),
    [anon_sym_operator] = ACTIONS(2968),
    [anon_sym_try] = ACTIONS(2968),
    [anon_sym_delete] = ACTIONS(2968),
    [anon_sym_throw] = ACTIONS(2968),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_using] = ACTIONS(2968),
    [anon_sym_static_assert] = ACTIONS(2968),
    [anon_sym_concept] = ACTIONS(2968),
    [anon_sym_co_return] = ACTIONS(2968),
    [anon_sym_co_yield] = ACTIONS(2968),
    [anon_sym_R_DQUOTE] = ACTIONS(2970),
    [anon_sym_LR_DQUOTE] = ACTIONS(2970),
    [anon_sym_uR_DQUOTE] = ACTIONS(2970),
    [anon_sym_UR_DQUOTE] = ACTIONS(2970),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2970),
    [anon_sym_co_await] = ACTIONS(2968),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_requires] = ACTIONS(2968),
    [sym_this] = ACTIONS(2968),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(3084),
    [sym_identifier] = ACTIONS(3082),
    [aux_sym_preproc_include_token1] = ACTIONS(3082),
    [aux_sym_preproc_def_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3082),
    [sym_preproc_directive] = ACTIONS(3082),
    [anon_sym_LPAREN2] = ACTIONS(3084),
    [anon_sym_BANG] = ACTIONS(3084),
    [anon_sym_TILDE] = ACTIONS(3084),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3082),
    [anon_sym_typedef] = ACTIONS(3082),
    [anon_sym_virtual] = ACTIONS(3082),
    [anon_sym_extern] = ACTIONS(3082),
    [anon_sym___attribute__] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3084),
    [anon_sym___declspec] = ACTIONS(3082),
    [anon_sym___based] = ACTIONS(3082),
    [anon_sym___cdecl] = ACTIONS(3082),
    [anon_sym___clrcall] = ACTIONS(3082),
    [anon_sym___stdcall] = ACTIONS(3082),
    [anon_sym___fastcall] = ACTIONS(3082),
    [anon_sym___thiscall] = ACTIONS(3082),
    [anon_sym___vectorcall] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_signed] = ACTIONS(3082),
    [anon_sym_unsigned] = ACTIONS(3082),
    [anon_sym_long] = ACTIONS(3082),
    [anon_sym_short] = ACTIONS(3082),
    [anon_sym_LBRACK] = ACTIONS(3082),
    [anon_sym_static] = ACTIONS(3082),
    [anon_sym_register] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym___inline] = ACTIONS(3082),
    [anon_sym___inline__] = ACTIONS(3082),
    [anon_sym___forceinline] = ACTIONS(3082),
    [anon_sym_thread_local] = ACTIONS(3082),
    [anon_sym___thread] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_constexpr] = ACTIONS(3082),
    [anon_sym_volatile] = ACTIONS(3082),
    [anon_sym_restrict] = ACTIONS(3082),
    [anon_sym___restrict__] = ACTIONS(3082),
    [anon_sym__Atomic] = ACTIONS(3082),
    [anon_sym__Noreturn] = ACTIONS(3082),
    [anon_sym_noreturn] = ACTIONS(3082),
    [anon_sym__Nonnull] = ACTIONS(3082),
    [anon_sym_mutable] = ACTIONS(3082),
    [anon_sym_constinit] = ACTIONS(3082),
    [anon_sym_consteval] = ACTIONS(3082),
    [anon_sym_PROGMEM] = ACTIONS(3082),
    [anon_sym_alignas] = ACTIONS(3082),
    [anon_sym__Alignas] = ACTIONS(3082),
    [aux_sym_primitive_type_token1] = ACTIONS(3082),
    [anon_sym_byte] = ACTIONS(3082),
    [anon_sym_word] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3082),
    [anon_sym_struct] = ACTIONS(3082),
    [anon_sym_union] = ACTIONS(3082),
    [anon_sym_if] = ACTIONS(3082),
    [anon_sym_switch] = ACTIONS(3082),
    [anon_sym_case] = ACTIONS(3082),
    [anon_sym_default] = ACTIONS(3082),
    [anon_sym_while] = ACTIONS(3082),
    [anon_sym_do] = ACTIONS(3082),
    [anon_sym_for] = ACTIONS(3082),
    [anon_sym_return] = ACTIONS(3082),
    [anon_sym_break] = ACTIONS(3082),
    [anon_sym_continue] = ACTIONS(3082),
    [anon_sym_goto] = ACTIONS(3082),
    [anon_sym_not] = ACTIONS(3082),
    [anon_sym_compl] = ACTIONS(3082),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_sizeof] = ACTIONS(3082),
    [anon_sym___alignof__] = ACTIONS(3082),
    [anon_sym___alignof] = ACTIONS(3082),
    [anon_sym__alignof] = ACTIONS(3082),
    [anon_sym_alignof] = ACTIONS(3082),
    [anon_sym__Alignof] = ACTIONS(3082),
    [anon_sym_offsetof] = ACTIONS(3082),
    [anon_sym__Generic] = ACTIONS(3082),
    [anon_sym_asm] = ACTIONS(3082),
    [anon_sym___asm__] = ACTIONS(3082),
    [anon_sym___asm] = ACTIONS(3082),
    [aux_sym_number_literal_token1] = ACTIONS(3084),
    [aux_sym_number_literal_token2] = ACTIONS(3082),
    [anon_sym_L_SQUOTE] = ACTIONS(3084),
    [anon_sym_u_SQUOTE] = ACTIONS(3084),
    [anon_sym_U_SQUOTE] = ACTIONS(3084),
    [anon_sym_u8_SQUOTE] = ACTIONS(3084),
    [anon_sym_SQUOTE] = ACTIONS(3084),
    [anon_sym_L_DQUOTE] = ACTIONS(3084),
    [anon_sym_u_DQUOTE] = ACTIONS(3084),
    [anon_sym_U_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8_DQUOTE] = ACTIONS(3084),
    [anon_sym_DQUOTE] = ACTIONS(3084),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_NULL] = ACTIONS(3082),
    [anon_sym_nullptr] = ACTIONS(3082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3082),
    [anon_sym_decltype] = ACTIONS(3082),
    [anon_sym_explicit] = ACTIONS(3082),
    [anon_sym_typename] = ACTIONS(3082),
    [anon_sym_template] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_try] = ACTIONS(3082),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_throw] = ACTIONS(3082),
    [anon_sym_namespace] = ACTIONS(3082),
    [anon_sym_using] = ACTIONS(3082),
    [anon_sym_static_assert] = ACTIONS(3082),
    [anon_sym_concept] = ACTIONS(3082),
    [anon_sym_co_return] = ACTIONS(3082),
    [anon_sym_co_yield] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3082),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_requires] = ACTIONS(3082),
    [sym_this] = ACTIONS(3082),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(3084),
    [sym_identifier] = ACTIONS(3082),
    [aux_sym_preproc_include_token1] = ACTIONS(3082),
    [aux_sym_preproc_def_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3082),
    [sym_preproc_directive] = ACTIONS(3082),
    [anon_sym_LPAREN2] = ACTIONS(3084),
    [anon_sym_BANG] = ACTIONS(3084),
    [anon_sym_TILDE] = ACTIONS(3084),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3082),
    [anon_sym_typedef] = ACTIONS(3082),
    [anon_sym_virtual] = ACTIONS(3082),
    [anon_sym_extern] = ACTIONS(3082),
    [anon_sym___attribute__] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3084),
    [anon_sym___declspec] = ACTIONS(3082),
    [anon_sym___based] = ACTIONS(3082),
    [anon_sym___cdecl] = ACTIONS(3082),
    [anon_sym___clrcall] = ACTIONS(3082),
    [anon_sym___stdcall] = ACTIONS(3082),
    [anon_sym___fastcall] = ACTIONS(3082),
    [anon_sym___thiscall] = ACTIONS(3082),
    [anon_sym___vectorcall] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_signed] = ACTIONS(3082),
    [anon_sym_unsigned] = ACTIONS(3082),
    [anon_sym_long] = ACTIONS(3082),
    [anon_sym_short] = ACTIONS(3082),
    [anon_sym_LBRACK] = ACTIONS(3082),
    [anon_sym_static] = ACTIONS(3082),
    [anon_sym_register] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym___inline] = ACTIONS(3082),
    [anon_sym___inline__] = ACTIONS(3082),
    [anon_sym___forceinline] = ACTIONS(3082),
    [anon_sym_thread_local] = ACTIONS(3082),
    [anon_sym___thread] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_constexpr] = ACTIONS(3082),
    [anon_sym_volatile] = ACTIONS(3082),
    [anon_sym_restrict] = ACTIONS(3082),
    [anon_sym___restrict__] = ACTIONS(3082),
    [anon_sym__Atomic] = ACTIONS(3082),
    [anon_sym__Noreturn] = ACTIONS(3082),
    [anon_sym_noreturn] = ACTIONS(3082),
    [anon_sym__Nonnull] = ACTIONS(3082),
    [anon_sym_mutable] = ACTIONS(3082),
    [anon_sym_constinit] = ACTIONS(3082),
    [anon_sym_consteval] = ACTIONS(3082),
    [anon_sym_PROGMEM] = ACTIONS(3082),
    [anon_sym_alignas] = ACTIONS(3082),
    [anon_sym__Alignas] = ACTIONS(3082),
    [aux_sym_primitive_type_token1] = ACTIONS(3082),
    [anon_sym_byte] = ACTIONS(3082),
    [anon_sym_word] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3082),
    [anon_sym_struct] = ACTIONS(3082),
    [anon_sym_union] = ACTIONS(3082),
    [anon_sym_if] = ACTIONS(3082),
    [anon_sym_switch] = ACTIONS(3082),
    [anon_sym_case] = ACTIONS(3082),
    [anon_sym_default] = ACTIONS(3082),
    [anon_sym_while] = ACTIONS(3082),
    [anon_sym_do] = ACTIONS(3082),
    [anon_sym_for] = ACTIONS(3082),
    [anon_sym_return] = ACTIONS(3082),
    [anon_sym_break] = ACTIONS(3082),
    [anon_sym_continue] = ACTIONS(3082),
    [anon_sym_goto] = ACTIONS(3082),
    [anon_sym_not] = ACTIONS(3082),
    [anon_sym_compl] = ACTIONS(3082),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_sizeof] = ACTIONS(3082),
    [anon_sym___alignof__] = ACTIONS(3082),
    [anon_sym___alignof] = ACTIONS(3082),
    [anon_sym__alignof] = ACTIONS(3082),
    [anon_sym_alignof] = ACTIONS(3082),
    [anon_sym__Alignof] = ACTIONS(3082),
    [anon_sym_offsetof] = ACTIONS(3082),
    [anon_sym__Generic] = ACTIONS(3082),
    [anon_sym_asm] = ACTIONS(3082),
    [anon_sym___asm__] = ACTIONS(3082),
    [anon_sym___asm] = ACTIONS(3082),
    [aux_sym_number_literal_token1] = ACTIONS(3084),
    [aux_sym_number_literal_token2] = ACTIONS(3082),
    [anon_sym_L_SQUOTE] = ACTIONS(3084),
    [anon_sym_u_SQUOTE] = ACTIONS(3084),
    [anon_sym_U_SQUOTE] = ACTIONS(3084),
    [anon_sym_u8_SQUOTE] = ACTIONS(3084),
    [anon_sym_SQUOTE] = ACTIONS(3084),
    [anon_sym_L_DQUOTE] = ACTIONS(3084),
    [anon_sym_u_DQUOTE] = ACTIONS(3084),
    [anon_sym_U_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8_DQUOTE] = ACTIONS(3084),
    [anon_sym_DQUOTE] = ACTIONS(3084),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [anon_sym_NULL] = ACTIONS(3082),
    [anon_sym_nullptr] = ACTIONS(3082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3082),
    [anon_sym_decltype] = ACTIONS(3082),
    [anon_sym_explicit] = ACTIONS(3082),
    [anon_sym_typename] = ACTIONS(3082),
    [anon_sym_template] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_try] = ACTIONS(3082),
    [anon_sym_delete] = ACTIONS(3082),
    [anon_sym_throw] = ACTIONS(3082),
    [anon_sym_namespace] = ACTIONS(3082),
    [anon_sym_using] = ACTIONS(3082),
    [anon_sym_static_assert] = ACTIONS(3082),
    [anon_sym_concept] = ACTIONS(3082),
    [anon_sym_co_return] = ACTIONS(3082),
    [anon_sym_co_yield] = ACTIONS(3082),
    [anon_sym_R_DQUOTE] = ACTIONS(3084),
    [anon_sym_LR_DQUOTE] = ACTIONS(3084),
    [anon_sym_uR_DQUOTE] = ACTIONS(3084),
    [anon_sym_UR_DQUOTE] = ACTIONS(3084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3084),
    [anon_sym_co_await] = ACTIONS(3082),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_requires] = ACTIONS(3082),
    [sym_this] = ACTIONS(3082),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(3153),
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_PROGMEM] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [aux_sym_primitive_type_token1] = ACTIONS(3151),
    [anon_sym_byte] = ACTIONS(3151),
    [anon_sym_word] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [aux_sym_number_literal_token1] = ACTIONS(3153),
    [aux_sym_number_literal_token2] = ACTIONS(3151),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(3216),
    [sym_identifier] = ACTIONS(3214),
    [aux_sym_preproc_include_token1] = ACTIONS(3214),
    [aux_sym_preproc_def_token1] = ACTIONS(3214),
    [aux_sym_preproc_if_token1] = ACTIONS(3214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3214),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3214),
    [sym_preproc_directive] = ACTIONS(3214),
    [anon_sym_LPAREN2] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3214),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_typedef] = ACTIONS(3214),
    [anon_sym_virtual] = ACTIONS(3214),
    [anon_sym_extern] = ACTIONS(3214),
    [anon_sym___attribute__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3216),
    [anon_sym___declspec] = ACTIONS(3214),
    [anon_sym___based] = ACTIONS(3214),
    [anon_sym___cdecl] = ACTIONS(3214),
    [anon_sym___clrcall] = ACTIONS(3214),
    [anon_sym___stdcall] = ACTIONS(3214),
    [anon_sym___fastcall] = ACTIONS(3214),
    [anon_sym___thiscall] = ACTIONS(3214),
    [anon_sym___vectorcall] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_signed] = ACTIONS(3214),
    [anon_sym_unsigned] = ACTIONS(3214),
    [anon_sym_long] = ACTIONS(3214),
    [anon_sym_short] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_register] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym___inline] = ACTIONS(3214),
    [anon_sym___inline__] = ACTIONS(3214),
    [anon_sym___forceinline] = ACTIONS(3214),
    [anon_sym_thread_local] = ACTIONS(3214),
    [anon_sym___thread] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_constexpr] = ACTIONS(3214),
    [anon_sym_volatile] = ACTIONS(3214),
    [anon_sym_restrict] = ACTIONS(3214),
    [anon_sym___restrict__] = ACTIONS(3214),
    [anon_sym__Atomic] = ACTIONS(3214),
    [anon_sym__Noreturn] = ACTIONS(3214),
    [anon_sym_noreturn] = ACTIONS(3214),
    [anon_sym__Nonnull] = ACTIONS(3214),
    [anon_sym_mutable] = ACTIONS(3214),
    [anon_sym_constinit] = ACTIONS(3214),
    [anon_sym_consteval] = ACTIONS(3214),
    [anon_sym_PROGMEM] = ACTIONS(3214),
    [anon_sym_alignas] = ACTIONS(3214),
    [anon_sym__Alignas] = ACTIONS(3214),
    [aux_sym_primitive_type_token1] = ACTIONS(3214),
    [anon_sym_byte] = ACTIONS(3214),
    [anon_sym_word] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_struct] = ACTIONS(3214),
    [anon_sym_union] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_switch] = ACTIONS(3214),
    [anon_sym_case] = ACTIONS(3214),
    [anon_sym_default] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_do] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_break] = ACTIONS(3214),
    [anon_sym_continue] = ACTIONS(3214),
    [anon_sym_goto] = ACTIONS(3214),
    [anon_sym_not] = ACTIONS(3214),
    [anon_sym_compl] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_sizeof] = ACTIONS(3214),
    [anon_sym___alignof__] = ACTIONS(3214),
    [anon_sym___alignof] = ACTIONS(3214),
    [anon_sym__alignof] = ACTIONS(3214),
    [anon_sym_alignof] = ACTIONS(3214),
    [anon_sym__Alignof] = ACTIONS(3214),
    [anon_sym_offsetof] = ACTIONS(3214),
    [anon_sym__Generic] = ACTIONS(3214),
    [anon_sym_asm] = ACTIONS(3214),
    [anon_sym___asm__] = ACTIONS(3214),
    [anon_sym___asm] = ACTIONS(3214),
    [aux_sym_number_literal_token1] = ACTIONS(3216),
    [aux_sym_number_literal_token2] = ACTIONS(3214),
    [anon_sym_L_SQUOTE] = ACTIONS(3216),
    [anon_sym_u_SQUOTE] = ACTIONS(3216),
    [anon_sym_U_SQUOTE] = ACTIONS(3216),
    [anon_sym_u8_SQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [anon_sym_L_DQUOTE] = ACTIONS(3216),
    [anon_sym_u_DQUOTE] = ACTIONS(3216),
    [anon_sym_U_DQUOTE] = ACTIONS(3216),
    [anon_sym_u8_DQUOTE] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3216),
    [sym_true] = ACTIONS(3214),
    [sym_false] = ACTIONS(3214),
    [anon_sym_NULL] = ACTIONS(3214),
    [anon_sym_nullptr] = ACTIONS(3214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3214),
    [anon_sym_decltype] = ACTIONS(3214),
    [anon_sym_explicit] = ACTIONS(3214),
    [anon_sym_typename] = ACTIONS(3214),
    [anon_sym_template] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_delete] = ACTIONS(3214),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_namespace] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_static_assert] = ACTIONS(3214),
    [anon_sym_concept] = ACTIONS(3214),
    [anon_sym_co_return] = ACTIONS(3214),
    [anon_sym_co_yield] = ACTIONS(3214),
    [anon_sym_R_DQUOTE] = ACTIONS(3216),
    [anon_sym_LR_DQUOTE] = ACTIONS(3216),
    [anon_sym_uR_DQUOTE] = ACTIONS(3216),
    [anon_sym_UR_DQUOTE] = ACTIONS(3216),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3216),
    [anon_sym_co_await] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3214),
    [anon_sym_requires] = ACTIONS(3214),
    [sym_this] = ACTIONS(3214),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(2998),
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_include_token1] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym___cdecl] = ACTIONS(2996),
    [anon_sym___clrcall] = ACTIONS(2996),
    [anon_sym___stdcall] = ACTIONS(2996),
    [anon_sym___fastcall] = ACTIONS(2996),
    [anon_sym___thiscall] = ACTIONS(2996),
    [anon_sym___vectorcall] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2996),
    [anon_sym_compl] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [anon_sym___alignof__] = ACTIONS(2996),
    [anon_sym___alignof] = ACTIONS(2996),
    [anon_sym__alignof] = ACTIONS(2996),
    [anon_sym_alignof] = ACTIONS(2996),
    [anon_sym__Alignof] = ACTIONS(2996),
    [anon_sym_offsetof] = ACTIONS(2996),
    [anon_sym__Generic] = ACTIONS(2996),
    [anon_sym_asm] = ACTIONS(2996),
    [anon_sym___asm__] = ACTIONS(2996),
    [anon_sym___asm] = ACTIONS(2996),
    [aux_sym_number_literal_token1] = ACTIONS(2998),
    [aux_sym_number_literal_token2] = ACTIONS(2996),
    [anon_sym_L_SQUOTE] = ACTIONS(2998),
    [anon_sym_u_SQUOTE] = ACTIONS(2998),
    [anon_sym_U_SQUOTE] = ACTIONS(2998),
    [anon_sym_u8_SQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [anon_sym_NULL] = ACTIONS(2996),
    [anon_sym_nullptr] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
    [anon_sym_concept] = ACTIONS(2996),
    [anon_sym_co_return] = ACTIONS(2996),
    [anon_sym_co_yield] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2998),
    [anon_sym_LR_DQUOTE] = ACTIONS(2998),
    [anon_sym_uR_DQUOTE] = ACTIONS(2998),
    [anon_sym_UR_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2998),
    [anon_sym_co_await] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_requires] = ACTIONS(2996),
    [sym_this] = ACTIONS(2996),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(3072),
    [sym_identifier] = ACTIONS(3070),
    [aux_sym_preproc_include_token1] = ACTIONS(3070),
    [aux_sym_preproc_def_token1] = ACTIONS(3070),
    [aux_sym_preproc_if_token1] = ACTIONS(3070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3070),
    [sym_preproc_directive] = ACTIONS(3070),
    [anon_sym_LPAREN2] = ACTIONS(3072),
    [anon_sym_BANG] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym___extension__] = ACTIONS(3070),
    [anon_sym_typedef] = ACTIONS(3070),
    [anon_sym_virtual] = ACTIONS(3070),
    [anon_sym_extern] = ACTIONS(3070),
    [anon_sym___attribute__] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3072),
    [anon_sym___declspec] = ACTIONS(3070),
    [anon_sym___based] = ACTIONS(3070),
    [anon_sym___cdecl] = ACTIONS(3070),
    [anon_sym___clrcall] = ACTIONS(3070),
    [anon_sym___stdcall] = ACTIONS(3070),
    [anon_sym___fastcall] = ACTIONS(3070),
    [anon_sym___thiscall] = ACTIONS(3070),
    [anon_sym___vectorcall] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_signed] = ACTIONS(3070),
    [anon_sym_unsigned] = ACTIONS(3070),
    [anon_sym_long] = ACTIONS(3070),
    [anon_sym_short] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(3070),
    [anon_sym_static] = ACTIONS(3070),
    [anon_sym_register] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym___inline] = ACTIONS(3070),
    [anon_sym___inline__] = ACTIONS(3070),
    [anon_sym___forceinline] = ACTIONS(3070),
    [anon_sym_thread_local] = ACTIONS(3070),
    [anon_sym___thread] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_constexpr] = ACTIONS(3070),
    [anon_sym_volatile] = ACTIONS(3070),
    [anon_sym_restrict] = ACTIONS(3070),
    [anon_sym___restrict__] = ACTIONS(3070),
    [anon_sym__Atomic] = ACTIONS(3070),
    [anon_sym__Noreturn] = ACTIONS(3070),
    [anon_sym_noreturn] = ACTIONS(3070),
    [anon_sym__Nonnull] = ACTIONS(3070),
    [anon_sym_mutable] = ACTIONS(3070),
    [anon_sym_constinit] = ACTIONS(3070),
    [anon_sym_consteval] = ACTIONS(3070),
    [anon_sym_PROGMEM] = ACTIONS(3070),
    [anon_sym_alignas] = ACTIONS(3070),
    [anon_sym__Alignas] = ACTIONS(3070),
    [aux_sym_primitive_type_token1] = ACTIONS(3070),
    [anon_sym_byte] = ACTIONS(3070),
    [anon_sym_word] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_class] = ACTIONS(3070),
    [anon_sym_struct] = ACTIONS(3070),
    [anon_sym_union] = ACTIONS(3070),
    [anon_sym_if] = ACTIONS(3070),
    [anon_sym_switch] = ACTIONS(3070),
    [anon_sym_case] = ACTIONS(3070),
    [anon_sym_default] = ACTIONS(3070),
    [anon_sym_while] = ACTIONS(3070),
    [anon_sym_do] = ACTIONS(3070),
    [anon_sym_for] = ACTIONS(3070),
    [anon_sym_return] = ACTIONS(3070),
    [anon_sym_break] = ACTIONS(3070),
    [anon_sym_continue] = ACTIONS(3070),
    [anon_sym_goto] = ACTIONS(3070),
    [anon_sym_not] = ACTIONS(3070),
    [anon_sym_compl] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_sizeof] = ACTIONS(3070),
    [anon_sym___alignof__] = ACTIONS(3070),
    [anon_sym___alignof] = ACTIONS(3070),
    [anon_sym__alignof] = ACTIONS(3070),
    [anon_sym_alignof] = ACTIONS(3070),
    [anon_sym__Alignof] = ACTIONS(3070),
    [anon_sym_offsetof] = ACTIONS(3070),
    [anon_sym__Generic] = ACTIONS(3070),
    [anon_sym_asm] = ACTIONS(3070),
    [anon_sym___asm__] = ACTIONS(3070),
    [anon_sym___asm] = ACTIONS(3070),
    [aux_sym_number_literal_token1] = ACTIONS(3072),
    [aux_sym_number_literal_token2] = ACTIONS(3070),
    [anon_sym_L_SQUOTE] = ACTIONS(3072),
    [anon_sym_u_SQUOTE] = ACTIONS(3072),
    [anon_sym_U_SQUOTE] = ACTIONS(3072),
    [anon_sym_u8_SQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3072),
    [anon_sym_L_DQUOTE] = ACTIONS(3072),
    [anon_sym_u_DQUOTE] = ACTIONS(3072),
    [anon_sym_U_DQUOTE] = ACTIONS(3072),
    [anon_sym_u8_DQUOTE] = ACTIONS(3072),
    [anon_sym_DQUOTE] = ACTIONS(3072),
    [sym_true] = ACTIONS(3070),
    [sym_false] = ACTIONS(3070),
    [anon_sym_NULL] = ACTIONS(3070),
    [anon_sym_nullptr] = ACTIONS(3070),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3070),
    [anon_sym_decltype] = ACTIONS(3070),
    [anon_sym_explicit] = ACTIONS(3070),
    [anon_sym_typename] = ACTIONS(3070),
    [anon_sym_template] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_try] = ACTIONS(3070),
    [anon_sym_delete] = ACTIONS(3070),
    [anon_sym_throw] = ACTIONS(3070),
    [anon_sym_namespace] = ACTIONS(3070),
    [anon_sym_using] = ACTIONS(3070),
    [anon_sym_static_assert] = ACTIONS(3070),
    [anon_sym_concept] = ACTIONS(3070),
    [anon_sym_co_return] = ACTIONS(3070),
    [anon_sym_co_yield] = ACTIONS(3070),
    [anon_sym_R_DQUOTE] = ACTIONS(3072),
    [anon_sym_LR_DQUOTE] = ACTIONS(3072),
    [anon_sym_uR_DQUOTE] = ACTIONS(3072),
    [anon_sym_UR_DQUOTE] = ACTIONS(3072),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3072),
    [anon_sym_co_await] = ACTIONS(3070),
    [anon_sym_new] = ACTIONS(3070),
    [anon_sym_requires] = ACTIONS(3070),
    [sym_this] = ACTIONS(3070),
  },
  [720] = {
    [ts_builtin_sym_end] = ACTIONS(2934),
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_include_token1] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym___cdecl] = ACTIONS(2932),
    [anon_sym___clrcall] = ACTIONS(2932),
    [anon_sym___stdcall] = ACTIONS(2932),
    [anon_sym___fastcall] = ACTIONS(2932),
    [anon_sym___thiscall] = ACTIONS(2932),
    [anon_sym___vectorcall] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_PROGMEM] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [aux_sym_primitive_type_token1] = ACTIONS(2932),
    [anon_sym_byte] = ACTIONS(2932),
    [anon_sym_word] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_goto] = ACTIONS(2932),
    [anon_sym_not] = ACTIONS(2932),
    [anon_sym_compl] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_sizeof] = ACTIONS(2932),
    [anon_sym___alignof__] = ACTIONS(2932),
    [anon_sym___alignof] = ACTIONS(2932),
    [anon_sym__alignof] = ACTIONS(2932),
    [anon_sym_alignof] = ACTIONS(2932),
    [anon_sym__Alignof] = ACTIONS(2932),
    [anon_sym_offsetof] = ACTIONS(2932),
    [anon_sym__Generic] = ACTIONS(2932),
    [anon_sym_asm] = ACTIONS(2932),
    [anon_sym___asm__] = ACTIONS(2932),
    [anon_sym___asm] = ACTIONS(2932),
    [aux_sym_number_literal_token1] = ACTIONS(2934),
    [aux_sym_number_literal_token2] = ACTIONS(2932),
    [anon_sym_L_SQUOTE] = ACTIONS(2934),
    [anon_sym_u_SQUOTE] = ACTIONS(2934),
    [anon_sym_U_SQUOTE] = ACTIONS(2934),
    [anon_sym_u8_SQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_L_DQUOTE] = ACTIONS(2934),
    [anon_sym_u_DQUOTE] = ACTIONS(2934),
    [anon_sym_U_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8_DQUOTE] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [anon_sym_NULL] = ACTIONS(2932),
    [anon_sym_nullptr] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
    [anon_sym_concept] = ACTIONS(2932),
    [anon_sym_co_return] = ACTIONS(2932),
    [anon_sym_co_yield] = ACTIONS(2932),
    [anon_sym_R_DQUOTE] = ACTIONS(2934),
    [anon_sym_LR_DQUOTE] = ACTIONS(2934),
    [anon_sym_uR_DQUOTE] = ACTIONS(2934),
    [anon_sym_UR_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2934),
    [anon_sym_co_await] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_requires] = ACTIONS(2932),
    [sym_this] = ACTIONS(2932),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3182),
    [aux_sym_preproc_include_token1] = ACTIONS(3182),
    [aux_sym_preproc_def_token1] = ACTIONS(3182),
    [aux_sym_preproc_if_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3182),
    [sym_preproc_directive] = ACTIONS(3182),
    [anon_sym_LPAREN2] = ACTIONS(3184),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3184),
    [anon_sym_AMP_AMP] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3182),
    [anon_sym_typedef] = ACTIONS(3182),
    [anon_sym_virtual] = ACTIONS(3182),
    [anon_sym_extern] = ACTIONS(3182),
    [anon_sym___attribute__] = ACTIONS(3182),
    [anon_sym_COLON_COLON] = ACTIONS(3184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3184),
    [anon_sym___declspec] = ACTIONS(3182),
    [anon_sym___based] = ACTIONS(3182),
    [anon_sym___cdecl] = ACTIONS(3182),
    [anon_sym___clrcall] = ACTIONS(3182),
    [anon_sym___stdcall] = ACTIONS(3182),
    [anon_sym___fastcall] = ACTIONS(3182),
    [anon_sym___thiscall] = ACTIONS(3182),
    [anon_sym___vectorcall] = ACTIONS(3182),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [anon_sym_signed] = ACTIONS(3182),
    [anon_sym_unsigned] = ACTIONS(3182),
    [anon_sym_long] = ACTIONS(3182),
    [anon_sym_short] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_register] = ACTIONS(3182),
    [anon_sym_inline] = ACTIONS(3182),
    [anon_sym___inline] = ACTIONS(3182),
    [anon_sym___inline__] = ACTIONS(3182),
    [anon_sym___forceinline] = ACTIONS(3182),
    [anon_sym_thread_local] = ACTIONS(3182),
    [anon_sym___thread] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_constexpr] = ACTIONS(3182),
    [anon_sym_volatile] = ACTIONS(3182),
    [anon_sym_restrict] = ACTIONS(3182),
    [anon_sym___restrict__] = ACTIONS(3182),
    [anon_sym__Atomic] = ACTIONS(3182),
    [anon_sym__Noreturn] = ACTIONS(3182),
    [anon_sym_noreturn] = ACTIONS(3182),
    [anon_sym__Nonnull] = ACTIONS(3182),
    [anon_sym_mutable] = ACTIONS(3182),
    [anon_sym_constinit] = ACTIONS(3182),
    [anon_sym_consteval] = ACTIONS(3182),
    [anon_sym_PROGMEM] = ACTIONS(3182),
    [anon_sym_alignas] = ACTIONS(3182),
    [anon_sym__Alignas] = ACTIONS(3182),
    [aux_sym_primitive_type_token1] = ACTIONS(3182),
    [anon_sym_byte] = ACTIONS(3182),
    [anon_sym_word] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_struct] = ACTIONS(3182),
    [anon_sym_union] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(3182),
    [anon_sym_case] = ACTIONS(3182),
    [anon_sym_default] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_do] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3182),
    [anon_sym_return] = ACTIONS(3182),
    [anon_sym_break] = ACTIONS(3182),
    [anon_sym_continue] = ACTIONS(3182),
    [anon_sym_goto] = ACTIONS(3182),
    [anon_sym_not] = ACTIONS(3182),
    [anon_sym_compl] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(3184),
    [anon_sym_sizeof] = ACTIONS(3182),
    [anon_sym___alignof__] = ACTIONS(3182),
    [anon_sym___alignof] = ACTIONS(3182),
    [anon_sym__alignof] = ACTIONS(3182),
    [anon_sym_alignof] = ACTIONS(3182),
    [anon_sym__Alignof] = ACTIONS(3182),
    [anon_sym_offsetof] = ACTIONS(3182),
    [anon_sym__Generic] = ACTIONS(3182),
    [anon_sym_asm] = ACTIONS(3182),
    [anon_sym___asm__] = ACTIONS(3182),
    [anon_sym___asm] = ACTIONS(3182),
    [aux_sym_number_literal_token1] = ACTIONS(3184),
    [aux_sym_number_literal_token2] = ACTIONS(3182),
    [anon_sym_L_SQUOTE] = ACTIONS(3184),
    [anon_sym_u_SQUOTE] = ACTIONS(3184),
    [anon_sym_U_SQUOTE] = ACTIONS(3184),
    [anon_sym_u8_SQUOTE] = ACTIONS(3184),
    [anon_sym_SQUOTE] = ACTIONS(3184),
    [anon_sym_L_DQUOTE] = ACTIONS(3184),
    [anon_sym_u_DQUOTE] = ACTIONS(3184),
    [anon_sym_U_DQUOTE] = ACTIONS(3184),
    [anon_sym_u8_DQUOTE] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [anon_sym_NULL] = ACTIONS(3182),
    [anon_sym_nullptr] = ACTIONS(3182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3182),
    [anon_sym_decltype] = ACTIONS(3182),
    [anon_sym_explicit] = ACTIONS(3182),
    [anon_sym_typename] = ACTIONS(3182),
    [anon_sym_template] = ACTIONS(3182),
    [anon_sym_operator] = ACTIONS(3182),
    [anon_sym_try] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3182),
    [anon_sym_namespace] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_static_assert] = ACTIONS(3182),
    [anon_sym_concept] = ACTIONS(3182),
    [anon_sym_co_return] = ACTIONS(3182),
    [anon_sym_co_yield] = ACTIONS(3182),
    [anon_sym_R_DQUOTE] = ACTIONS(3184),
    [anon_sym_LR_DQUOTE] = ACTIONS(3184),
    [anon_sym_uR_DQUOTE] = ACTIONS(3184),
    [anon_sym_UR_DQUOTE] = ACTIONS(3184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3184),
    [anon_sym_co_await] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_requires] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3028),
    [aux_sym_preproc_include_token1] = ACTIONS(3028),
    [aux_sym_preproc_def_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3028),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_BANG] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym___based] = ACTIONS(3028),
    [anon_sym___cdecl] = ACTIONS(3028),
    [anon_sym___clrcall] = ACTIONS(3028),
    [anon_sym___stdcall] = ACTIONS(3028),
    [anon_sym___fastcall] = ACTIONS(3028),
    [anon_sym___thiscall] = ACTIONS(3028),
    [anon_sym___vectorcall] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym__Nonnull] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym__Alignas] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_switch] = ACTIONS(3028),
    [anon_sym_case] = ACTIONS(3028),
    [anon_sym_default] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_do] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_return] = ACTIONS(3028),
    [anon_sym_break] = ACTIONS(3028),
    [anon_sym_continue] = ACTIONS(3028),
    [anon_sym_goto] = ACTIONS(3028),
    [anon_sym_not] = ACTIONS(3028),
    [anon_sym_compl] = ACTIONS(3028),
    [anon_sym_DASH_DASH] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3030),
    [anon_sym_sizeof] = ACTIONS(3028),
    [anon_sym___alignof__] = ACTIONS(3028),
    [anon_sym___alignof] = ACTIONS(3028),
    [anon_sym__alignof] = ACTIONS(3028),
    [anon_sym_alignof] = ACTIONS(3028),
    [anon_sym__Alignof] = ACTIONS(3028),
    [anon_sym_offsetof] = ACTIONS(3028),
    [anon_sym__Generic] = ACTIONS(3028),
    [anon_sym_asm] = ACTIONS(3028),
    [anon_sym___asm__] = ACTIONS(3028),
    [anon_sym___asm] = ACTIONS(3028),
    [aux_sym_number_literal_token1] = ACTIONS(3030),
    [aux_sym_number_literal_token2] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3030),
    [anon_sym_u_SQUOTE] = ACTIONS(3030),
    [anon_sym_U_SQUOTE] = ACTIONS(3030),
    [anon_sym_u8_SQUOTE] = ACTIONS(3030),
    [anon_sym_SQUOTE] = ACTIONS(3030),
    [anon_sym_L_DQUOTE] = ACTIONS(3030),
    [anon_sym_u_DQUOTE] = ACTIONS(3030),
    [anon_sym_U_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8_DQUOTE] = ACTIONS(3030),
    [anon_sym_DQUOTE] = ACTIONS(3030),
    [sym_true] = ACTIONS(3028),
    [sym_false] = ACTIONS(3028),
    [anon_sym_NULL] = ACTIONS(3028),
    [anon_sym_nullptr] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_explicit] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_operator] = ACTIONS(3028),
    [anon_sym_try] = ACTIONS(3028),
    [anon_sym_delete] = ACTIONS(3028),
    [anon_sym_throw] = ACTIONS(3028),
    [anon_sym_namespace] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_static_assert] = ACTIONS(3028),
    [anon_sym_concept] = ACTIONS(3028),
    [anon_sym_co_return] = ACTIONS(3028),
    [anon_sym_co_yield] = ACTIONS(3028),
    [anon_sym_R_DQUOTE] = ACTIONS(3030),
    [anon_sym_LR_DQUOTE] = ACTIONS(3030),
    [anon_sym_uR_DQUOTE] = ACTIONS(3030),
    [anon_sym_UR_DQUOTE] = ACTIONS(3030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3030),
    [anon_sym_co_await] = ACTIONS(3028),
    [anon_sym_new] = ACTIONS(3028),
    [anon_sym_requires] = ACTIONS(3028),
    [sym_this] = ACTIONS(3028),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(3006),
    [sym_identifier] = ACTIONS(3004),
    [aux_sym_preproc_include_token1] = ACTIONS(3004),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3004),
    [sym_preproc_directive] = ACTIONS(3004),
    [anon_sym_LPAREN2] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(3006),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3004),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3004),
    [anon_sym_virtual] = ACTIONS(3004),
    [anon_sym_extern] = ACTIONS(3004),
    [anon_sym___attribute__] = ACTIONS(3004),
    [anon_sym_COLON_COLON] = ACTIONS(3006),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3006),
    [anon_sym___declspec] = ACTIONS(3004),
    [anon_sym___based] = ACTIONS(3004),
    [anon_sym___cdecl] = ACTIONS(3004),
    [anon_sym___clrcall] = ACTIONS(3004),
    [anon_sym___stdcall] = ACTIONS(3004),
    [anon_sym___fastcall] = ACTIONS(3004),
    [anon_sym___thiscall] = ACTIONS(3004),
    [anon_sym___vectorcall] = ACTIONS(3004),
    [anon_sym_LBRACE] = ACTIONS(3006),
    [anon_sym_signed] = ACTIONS(3004),
    [anon_sym_unsigned] = ACTIONS(3004),
    [anon_sym_long] = ACTIONS(3004),
    [anon_sym_short] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_register] = ACTIONS(3004),
    [anon_sym_inline] = ACTIONS(3004),
    [anon_sym___inline] = ACTIONS(3004),
    [anon_sym___inline__] = ACTIONS(3004),
    [anon_sym___forceinline] = ACTIONS(3004),
    [anon_sym_thread_local] = ACTIONS(3004),
    [anon_sym___thread] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_constexpr] = ACTIONS(3004),
    [anon_sym_volatile] = ACTIONS(3004),
    [anon_sym_restrict] = ACTIONS(3004),
    [anon_sym___restrict__] = ACTIONS(3004),
    [anon_sym__Atomic] = ACTIONS(3004),
    [anon_sym__Noreturn] = ACTIONS(3004),
    [anon_sym_noreturn] = ACTIONS(3004),
    [anon_sym__Nonnull] = ACTIONS(3004),
    [anon_sym_mutable] = ACTIONS(3004),
    [anon_sym_constinit] = ACTIONS(3004),
    [anon_sym_consteval] = ACTIONS(3004),
    [anon_sym_PROGMEM] = ACTIONS(3004),
    [anon_sym_alignas] = ACTIONS(3004),
    [anon_sym__Alignas] = ACTIONS(3004),
    [aux_sym_primitive_type_token1] = ACTIONS(3004),
    [anon_sym_byte] = ACTIONS(3004),
    [anon_sym_word] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_union] = ACTIONS(3004),
    [anon_sym_if] = ACTIONS(3004),
    [anon_sym_switch] = ACTIONS(3004),
    [anon_sym_case] = ACTIONS(3004),
    [anon_sym_default] = ACTIONS(3004),
    [anon_sym_while] = ACTIONS(3004),
    [anon_sym_do] = ACTIONS(3004),
    [anon_sym_for] = ACTIONS(3004),
    [anon_sym_return] = ACTIONS(3004),
    [anon_sym_break] = ACTIONS(3004),
    [anon_sym_continue] = ACTIONS(3004),
    [anon_sym_goto] = ACTIONS(3004),
    [anon_sym_not] = ACTIONS(3004),
    [anon_sym_compl] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3006),
    [anon_sym_PLUS_PLUS] = ACTIONS(3006),
    [anon_sym_sizeof] = ACTIONS(3004),
    [anon_sym___alignof__] = ACTIONS(3004),
    [anon_sym___alignof] = ACTIONS(3004),
    [anon_sym__alignof] = ACTIONS(3004),
    [anon_sym_alignof] = ACTIONS(3004),
    [anon_sym__Alignof] = ACTIONS(3004),
    [anon_sym_offsetof] = ACTIONS(3004),
    [anon_sym__Generic] = ACTIONS(3004),
    [anon_sym_asm] = ACTIONS(3004),
    [anon_sym___asm__] = ACTIONS(3004),
    [anon_sym___asm] = ACTIONS(3004),
    [aux_sym_number_literal_token1] = ACTIONS(3006),
    [aux_sym_number_literal_token2] = ACTIONS(3004),
    [anon_sym_L_SQUOTE] = ACTIONS(3006),
    [anon_sym_u_SQUOTE] = ACTIONS(3006),
    [anon_sym_U_SQUOTE] = ACTIONS(3006),
    [anon_sym_u8_SQUOTE] = ACTIONS(3006),
    [anon_sym_SQUOTE] = ACTIONS(3006),
    [anon_sym_L_DQUOTE] = ACTIONS(3006),
    [anon_sym_u_DQUOTE] = ACTIONS(3006),
    [anon_sym_U_DQUOTE] = ACTIONS(3006),
    [anon_sym_u8_DQUOTE] = ACTIONS(3006),
    [anon_sym_DQUOTE] = ACTIONS(3006),
    [sym_true] = ACTIONS(3004),
    [sym_false] = ACTIONS(3004),
    [anon_sym_NULL] = ACTIONS(3004),
    [anon_sym_nullptr] = ACTIONS(3004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3004),
    [anon_sym_explicit] = ACTIONS(3004),
    [anon_sym_typename] = ACTIONS(3004),
    [anon_sym_template] = ACTIONS(3004),
    [anon_sym_operator] = ACTIONS(3004),
    [anon_sym_try] = ACTIONS(3004),
    [anon_sym_delete] = ACTIONS(3004),
    [anon_sym_throw] = ACTIONS(3004),
    [anon_sym_namespace] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(3004),
    [anon_sym_static_assert] = ACTIONS(3004),
    [anon_sym_concept] = ACTIONS(3004),
    [anon_sym_co_return] = ACTIONS(3004),
    [anon_sym_co_yield] = ACTIONS(3004),
    [anon_sym_R_DQUOTE] = ACTIONS(3006),
    [anon_sym_LR_DQUOTE] = ACTIONS(3006),
    [anon_sym_uR_DQUOTE] = ACTIONS(3006),
    [anon_sym_UR_DQUOTE] = ACTIONS(3006),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3006),
    [anon_sym_co_await] = ACTIONS(3004),
    [anon_sym_new] = ACTIONS(3004),
    [anon_sym_requires] = ACTIONS(3004),
    [sym_this] = ACTIONS(3004),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(3524),
    [sym_identifier] = ACTIONS(3526),
    [aux_sym_preproc_include_token1] = ACTIONS(3526),
    [aux_sym_preproc_def_token1] = ACTIONS(3526),
    [aux_sym_preproc_if_token1] = ACTIONS(3526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3526),
    [sym_preproc_directive] = ACTIONS(3526),
    [anon_sym_LPAREN2] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3526),
    [anon_sym_PLUS] = ACTIONS(3526),
    [anon_sym_STAR] = ACTIONS(3524),
    [anon_sym_AMP_AMP] = ACTIONS(3524),
    [anon_sym_AMP] = ACTIONS(3526),
    [anon_sym___extension__] = ACTIONS(3526),
    [anon_sym_typedef] = ACTIONS(3526),
    [anon_sym_virtual] = ACTIONS(3526),
    [anon_sym_extern] = ACTIONS(3526),
    [anon_sym___attribute__] = ACTIONS(3526),
    [anon_sym_COLON_COLON] = ACTIONS(3524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3524),
    [anon_sym___declspec] = ACTIONS(3526),
    [anon_sym___based] = ACTIONS(3526),
    [anon_sym___cdecl] = ACTIONS(3526),
    [anon_sym___clrcall] = ACTIONS(3526),
    [anon_sym___stdcall] = ACTIONS(3526),
    [anon_sym___fastcall] = ACTIONS(3526),
    [anon_sym___thiscall] = ACTIONS(3526),
    [anon_sym___vectorcall] = ACTIONS(3526),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_signed] = ACTIONS(3526),
    [anon_sym_unsigned] = ACTIONS(3526),
    [anon_sym_long] = ACTIONS(3526),
    [anon_sym_short] = ACTIONS(3526),
    [anon_sym_LBRACK] = ACTIONS(3526),
    [anon_sym_static] = ACTIONS(3526),
    [anon_sym_register] = ACTIONS(3526),
    [anon_sym_inline] = ACTIONS(3526),
    [anon_sym___inline] = ACTIONS(3526),
    [anon_sym___inline__] = ACTIONS(3526),
    [anon_sym___forceinline] = ACTIONS(3526),
    [anon_sym_thread_local] = ACTIONS(3526),
    [anon_sym___thread] = ACTIONS(3526),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_constexpr] = ACTIONS(3526),
    [anon_sym_volatile] = ACTIONS(3526),
    [anon_sym_restrict] = ACTIONS(3526),
    [anon_sym___restrict__] = ACTIONS(3526),
    [anon_sym__Atomic] = ACTIONS(3526),
    [anon_sym__Noreturn] = ACTIONS(3526),
    [anon_sym_noreturn] = ACTIONS(3526),
    [anon_sym__Nonnull] = ACTIONS(3526),
    [anon_sym_mutable] = ACTIONS(3526),
    [anon_sym_constinit] = ACTIONS(3526),
    [anon_sym_consteval] = ACTIONS(3526),
    [anon_sym_PROGMEM] = ACTIONS(3526),
    [anon_sym_alignas] = ACTIONS(3526),
    [anon_sym__Alignas] = ACTIONS(3526),
    [aux_sym_primitive_type_token1] = ACTIONS(3526),
    [anon_sym_byte] = ACTIONS(3526),
    [anon_sym_word] = ACTIONS(3526),
    [anon_sym_enum] = ACTIONS(3526),
    [anon_sym_class] = ACTIONS(3526),
    [anon_sym_struct] = ACTIONS(3526),
    [anon_sym_union] = ACTIONS(3526),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(3526),
    [anon_sym_case] = ACTIONS(3526),
    [anon_sym_default] = ACTIONS(3526),
    [anon_sym_while] = ACTIONS(3526),
    [anon_sym_do] = ACTIONS(3526),
    [anon_sym_for] = ACTIONS(3526),
    [anon_sym_return] = ACTIONS(3526),
    [anon_sym_break] = ACTIONS(3526),
    [anon_sym_continue] = ACTIONS(3526),
    [anon_sym_goto] = ACTIONS(3526),
    [anon_sym_not] = ACTIONS(3526),
    [anon_sym_compl] = ACTIONS(3526),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_sizeof] = ACTIONS(3526),
    [anon_sym___alignof__] = ACTIONS(3526),
    [anon_sym___alignof] = ACTIONS(3526),
    [anon_sym__alignof] = ACTIONS(3526),
    [anon_sym_alignof] = ACTIONS(3526),
    [anon_sym__Alignof] = ACTIONS(3526),
    [anon_sym_offsetof] = ACTIONS(3526),
    [anon_sym__Generic] = ACTIONS(3526),
    [anon_sym_asm] = ACTIONS(3526),
    [anon_sym___asm__] = ACTIONS(3526),
    [anon_sym___asm] = ACTIONS(3526),
    [aux_sym_number_literal_token1] = ACTIONS(3524),
    [aux_sym_number_literal_token2] = ACTIONS(3526),
    [anon_sym_L_SQUOTE] = ACTIONS(3524),
    [anon_sym_u_SQUOTE] = ACTIONS(3524),
    [anon_sym_U_SQUOTE] = ACTIONS(3524),
    [anon_sym_u8_SQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_L_DQUOTE] = ACTIONS(3524),
    [anon_sym_u_DQUOTE] = ACTIONS(3524),
    [anon_sym_U_DQUOTE] = ACTIONS(3524),
    [anon_sym_u8_DQUOTE] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [sym_true] = ACTIONS(3526),
    [sym_false] = ACTIONS(3526),
    [anon_sym_NULL] = ACTIONS(3526),
    [anon_sym_nullptr] = ACTIONS(3526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3526),
    [anon_sym_decltype] = ACTIONS(3526),
    [anon_sym_explicit] = ACTIONS(3526),
    [anon_sym_typename] = ACTIONS(3526),
    [anon_sym_template] = ACTIONS(3526),
    [anon_sym_operator] = ACTIONS(3526),
    [anon_sym_try] = ACTIONS(3526),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_throw] = ACTIONS(3526),
    [anon_sym_namespace] = ACTIONS(3526),
    [anon_sym_using] = ACTIONS(3526),
    [anon_sym_static_assert] = ACTIONS(3526),
    [anon_sym_concept] = ACTIONS(3526),
    [anon_sym_co_return] = ACTIONS(3526),
    [anon_sym_co_yield] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(3524),
    [anon_sym_LR_DQUOTE] = ACTIONS(3524),
    [anon_sym_uR_DQUOTE] = ACTIONS(3524),
    [anon_sym_UR_DQUOTE] = ACTIONS(3524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3524),
    [anon_sym_co_await] = ACTIONS(3526),
    [anon_sym_new] = ACTIONS(3526),
    [anon_sym_requires] = ACTIONS(3526),
    [sym_this] = ACTIONS(3526),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(3212),
    [sym_identifier] = ACTIONS(3210),
    [aux_sym_preproc_include_token1] = ACTIONS(3210),
    [aux_sym_preproc_def_token1] = ACTIONS(3210),
    [aux_sym_preproc_if_token1] = ACTIONS(3210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3210),
    [sym_preproc_directive] = ACTIONS(3210),
    [anon_sym_LPAREN2] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3210),
    [anon_sym___extension__] = ACTIONS(3210),
    [anon_sym_typedef] = ACTIONS(3210),
    [anon_sym_virtual] = ACTIONS(3210),
    [anon_sym_extern] = ACTIONS(3210),
    [anon_sym___attribute__] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3212),
    [anon_sym___declspec] = ACTIONS(3210),
    [anon_sym___based] = ACTIONS(3210),
    [anon_sym___cdecl] = ACTIONS(3210),
    [anon_sym___clrcall] = ACTIONS(3210),
    [anon_sym___stdcall] = ACTIONS(3210),
    [anon_sym___fastcall] = ACTIONS(3210),
    [anon_sym___thiscall] = ACTIONS(3210),
    [anon_sym___vectorcall] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_signed] = ACTIONS(3210),
    [anon_sym_unsigned] = ACTIONS(3210),
    [anon_sym_long] = ACTIONS(3210),
    [anon_sym_short] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_register] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym___inline] = ACTIONS(3210),
    [anon_sym___inline__] = ACTIONS(3210),
    [anon_sym___forceinline] = ACTIONS(3210),
    [anon_sym_thread_local] = ACTIONS(3210),
    [anon_sym___thread] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(3210),
    [anon_sym_restrict] = ACTIONS(3210),
    [anon_sym___restrict__] = ACTIONS(3210),
    [anon_sym__Atomic] = ACTIONS(3210),
    [anon_sym__Noreturn] = ACTIONS(3210),
    [anon_sym_noreturn] = ACTIONS(3210),
    [anon_sym__Nonnull] = ACTIONS(3210),
    [anon_sym_mutable] = ACTIONS(3210),
    [anon_sym_constinit] = ACTIONS(3210),
    [anon_sym_consteval] = ACTIONS(3210),
    [anon_sym_PROGMEM] = ACTIONS(3210),
    [anon_sym_alignas] = ACTIONS(3210),
    [anon_sym__Alignas] = ACTIONS(3210),
    [aux_sym_primitive_type_token1] = ACTIONS(3210),
    [anon_sym_byte] = ACTIONS(3210),
    [anon_sym_word] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_struct] = ACTIONS(3210),
    [anon_sym_union] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_switch] = ACTIONS(3210),
    [anon_sym_case] = ACTIONS(3210),
    [anon_sym_default] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_break] = ACTIONS(3210),
    [anon_sym_continue] = ACTIONS(3210),
    [anon_sym_goto] = ACTIONS(3210),
    [anon_sym_not] = ACTIONS(3210),
    [anon_sym_compl] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_sizeof] = ACTIONS(3210),
    [anon_sym___alignof__] = ACTIONS(3210),
    [anon_sym___alignof] = ACTIONS(3210),
    [anon_sym__alignof] = ACTIONS(3210),
    [anon_sym_alignof] = ACTIONS(3210),
    [anon_sym__Alignof] = ACTIONS(3210),
    [anon_sym_offsetof] = ACTIONS(3210),
    [anon_sym__Generic] = ACTIONS(3210),
    [anon_sym_asm] = ACTIONS(3210),
    [anon_sym___asm__] = ACTIONS(3210),
    [anon_sym___asm] = ACTIONS(3210),
    [aux_sym_number_literal_token1] = ACTIONS(3212),
    [aux_sym_number_literal_token2] = ACTIONS(3210),
    [anon_sym_L_SQUOTE] = ACTIONS(3212),
    [anon_sym_u_SQUOTE] = ACTIONS(3212),
    [anon_sym_U_SQUOTE] = ACTIONS(3212),
    [anon_sym_u8_SQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [anon_sym_L_DQUOTE] = ACTIONS(3212),
    [anon_sym_u_DQUOTE] = ACTIONS(3212),
    [anon_sym_U_DQUOTE] = ACTIONS(3212),
    [anon_sym_u8_DQUOTE] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3212),
    [sym_true] = ACTIONS(3210),
    [sym_false] = ACTIONS(3210),
    [anon_sym_NULL] = ACTIONS(3210),
    [anon_sym_nullptr] = ACTIONS(3210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3210),
    [anon_sym_decltype] = ACTIONS(3210),
    [anon_sym_explicit] = ACTIONS(3210),
    [anon_sym_typename] = ACTIONS(3210),
    [anon_sym_template] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_delete] = ACTIONS(3210),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_namespace] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_static_assert] = ACTIONS(3210),
    [anon_sym_concept] = ACTIONS(3210),
    [anon_sym_co_return] = ACTIONS(3210),
    [anon_sym_co_yield] = ACTIONS(3210),
    [anon_sym_R_DQUOTE] = ACTIONS(3212),
    [anon_sym_LR_DQUOTE] = ACTIONS(3212),
    [anon_sym_uR_DQUOTE] = ACTIONS(3212),
    [anon_sym_UR_DQUOTE] = ACTIONS(3212),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3212),
    [anon_sym_co_await] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3210),
    [anon_sym_requires] = ACTIONS(3210),
    [sym_this] = ACTIONS(3210),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(3068),
    [sym_identifier] = ACTIONS(3066),
    [aux_sym_preproc_include_token1] = ACTIONS(3066),
    [aux_sym_preproc_def_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3066),
    [sym_preproc_directive] = ACTIONS(3066),
    [anon_sym_LPAREN2] = ACTIONS(3068),
    [anon_sym_BANG] = ACTIONS(3068),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3066),
    [anon_sym_typedef] = ACTIONS(3066),
    [anon_sym_virtual] = ACTIONS(3066),
    [anon_sym_extern] = ACTIONS(3066),
    [anon_sym___attribute__] = ACTIONS(3066),
    [anon_sym_COLON_COLON] = ACTIONS(3068),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3068),
    [anon_sym___declspec] = ACTIONS(3066),
    [anon_sym___based] = ACTIONS(3066),
    [anon_sym___cdecl] = ACTIONS(3066),
    [anon_sym___clrcall] = ACTIONS(3066),
    [anon_sym___stdcall] = ACTIONS(3066),
    [anon_sym___fastcall] = ACTIONS(3066),
    [anon_sym___thiscall] = ACTIONS(3066),
    [anon_sym___vectorcall] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3068),
    [anon_sym_signed] = ACTIONS(3066),
    [anon_sym_unsigned] = ACTIONS(3066),
    [anon_sym_long] = ACTIONS(3066),
    [anon_sym_short] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_register] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(3066),
    [anon_sym___inline] = ACTIONS(3066),
    [anon_sym___inline__] = ACTIONS(3066),
    [anon_sym___forceinline] = ACTIONS(3066),
    [anon_sym_thread_local] = ACTIONS(3066),
    [anon_sym___thread] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_constexpr] = ACTIONS(3066),
    [anon_sym_volatile] = ACTIONS(3066),
    [anon_sym_restrict] = ACTIONS(3066),
    [anon_sym___restrict__] = ACTIONS(3066),
    [anon_sym__Atomic] = ACTIONS(3066),
    [anon_sym__Noreturn] = ACTIONS(3066),
    [anon_sym_noreturn] = ACTIONS(3066),
    [anon_sym__Nonnull] = ACTIONS(3066),
    [anon_sym_mutable] = ACTIONS(3066),
    [anon_sym_constinit] = ACTIONS(3066),
    [anon_sym_consteval] = ACTIONS(3066),
    [anon_sym_PROGMEM] = ACTIONS(3066),
    [anon_sym_alignas] = ACTIONS(3066),
    [anon_sym__Alignas] = ACTIONS(3066),
    [aux_sym_primitive_type_token1] = ACTIONS(3066),
    [anon_sym_byte] = ACTIONS(3066),
    [anon_sym_word] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_struct] = ACTIONS(3066),
    [anon_sym_union] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_default] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_goto] = ACTIONS(3066),
    [anon_sym_not] = ACTIONS(3066),
    [anon_sym_compl] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3068),
    [anon_sym_sizeof] = ACTIONS(3066),
    [anon_sym___alignof__] = ACTIONS(3066),
    [anon_sym___alignof] = ACTIONS(3066),
    [anon_sym__alignof] = ACTIONS(3066),
    [anon_sym_alignof] = ACTIONS(3066),
    [anon_sym__Alignof] = ACTIONS(3066),
    [anon_sym_offsetof] = ACTIONS(3066),
    [anon_sym__Generic] = ACTIONS(3066),
    [anon_sym_asm] = ACTIONS(3066),
    [anon_sym___asm__] = ACTIONS(3066),
    [anon_sym___asm] = ACTIONS(3066),
    [aux_sym_number_literal_token1] = ACTIONS(3068),
    [aux_sym_number_literal_token2] = ACTIONS(3066),
    [anon_sym_L_SQUOTE] = ACTIONS(3068),
    [anon_sym_u_SQUOTE] = ACTIONS(3068),
    [anon_sym_U_SQUOTE] = ACTIONS(3068),
    [anon_sym_u8_SQUOTE] = ACTIONS(3068),
    [anon_sym_SQUOTE] = ACTIONS(3068),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [anon_sym_NULL] = ACTIONS(3066),
    [anon_sym_nullptr] = ACTIONS(3066),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3066),
    [anon_sym_decltype] = ACTIONS(3066),
    [anon_sym_explicit] = ACTIONS(3066),
    [anon_sym_typename] = ACTIONS(3066),
    [anon_sym_template] = ACTIONS(3066),
    [anon_sym_operator] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_static_assert] = ACTIONS(3066),
    [anon_sym_concept] = ACTIONS(3066),
    [anon_sym_co_return] = ACTIONS(3066),
    [anon_sym_co_yield] = ACTIONS(3066),
    [anon_sym_R_DQUOTE] = ACTIONS(3068),
    [anon_sym_LR_DQUOTE] = ACTIONS(3068),
    [anon_sym_uR_DQUOTE] = ACTIONS(3068),
    [anon_sym_UR_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3068),
    [anon_sym_co_await] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_requires] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(3528),
    [sym_identifier] = ACTIONS(3531),
    [aux_sym_preproc_include_token1] = ACTIONS(3531),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3531),
    [sym_preproc_directive] = ACTIONS(3531),
    [anon_sym_LPAREN2] = ACTIONS(3528),
    [anon_sym_BANG] = ACTIONS(3528),
    [anon_sym_TILDE] = ACTIONS(3528),
    [anon_sym_DASH] = ACTIONS(3531),
    [anon_sym_PLUS] = ACTIONS(3531),
    [anon_sym_STAR] = ACTIONS(3528),
    [anon_sym_AMP_AMP] = ACTIONS(3528),
    [anon_sym_AMP] = ACTIONS(3531),
    [anon_sym___extension__] = ACTIONS(3531),
    [anon_sym_typedef] = ACTIONS(3531),
    [anon_sym_virtual] = ACTIONS(3531),
    [anon_sym_extern] = ACTIONS(3531),
    [anon_sym___attribute__] = ACTIONS(3531),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3528),
    [anon_sym___declspec] = ACTIONS(3531),
    [anon_sym___based] = ACTIONS(3531),
    [anon_sym___cdecl] = ACTIONS(3531),
    [anon_sym___clrcall] = ACTIONS(3531),
    [anon_sym___stdcall] = ACTIONS(3531),
    [anon_sym___fastcall] = ACTIONS(3531),
    [anon_sym___thiscall] = ACTIONS(3531),
    [anon_sym___vectorcall] = ACTIONS(3531),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_signed] = ACTIONS(3531),
    [anon_sym_unsigned] = ACTIONS(3531),
    [anon_sym_long] = ACTIONS(3531),
    [anon_sym_short] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(3531),
    [anon_sym_static] = ACTIONS(3531),
    [anon_sym_register] = ACTIONS(3531),
    [anon_sym_inline] = ACTIONS(3531),
    [anon_sym___inline] = ACTIONS(3531),
    [anon_sym___inline__] = ACTIONS(3531),
    [anon_sym___forceinline] = ACTIONS(3531),
    [anon_sym_thread_local] = ACTIONS(3531),
    [anon_sym___thread] = ACTIONS(3531),
    [anon_sym_const] = ACTIONS(3531),
    [anon_sym_constexpr] = ACTIONS(3531),
    [anon_sym_volatile] = ACTIONS(3531),
    [anon_sym_restrict] = ACTIONS(3531),
    [anon_sym___restrict__] = ACTIONS(3531),
    [anon_sym__Atomic] = ACTIONS(3531),
    [anon_sym__Noreturn] = ACTIONS(3531),
    [anon_sym_noreturn] = ACTIONS(3531),
    [anon_sym__Nonnull] = ACTIONS(3531),
    [anon_sym_mutable] = ACTIONS(3531),
    [anon_sym_constinit] = ACTIONS(3531),
    [anon_sym_consteval] = ACTIONS(3531),
    [anon_sym_PROGMEM] = ACTIONS(3531),
    [anon_sym_alignas] = ACTIONS(3531),
    [anon_sym__Alignas] = ACTIONS(3531),
    [aux_sym_primitive_type_token1] = ACTIONS(3531),
    [anon_sym_byte] = ACTIONS(3531),
    [anon_sym_word] = ACTIONS(3531),
    [anon_sym_enum] = ACTIONS(3531),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_struct] = ACTIONS(3531),
    [anon_sym_union] = ACTIONS(3531),
    [anon_sym_if] = ACTIONS(3531),
    [anon_sym_switch] = ACTIONS(3531),
    [anon_sym_case] = ACTIONS(3531),
    [anon_sym_default] = ACTIONS(3531),
    [anon_sym_while] = ACTIONS(3531),
    [anon_sym_do] = ACTIONS(3531),
    [anon_sym_for] = ACTIONS(3531),
    [anon_sym_return] = ACTIONS(3531),
    [anon_sym_break] = ACTIONS(3531),
    [anon_sym_continue] = ACTIONS(3531),
    [anon_sym_goto] = ACTIONS(3531),
    [anon_sym_not] = ACTIONS(3531),
    [anon_sym_compl] = ACTIONS(3531),
    [anon_sym_DASH_DASH] = ACTIONS(3528),
    [anon_sym_PLUS_PLUS] = ACTIONS(3528),
    [anon_sym_sizeof] = ACTIONS(3531),
    [anon_sym___alignof__] = ACTIONS(3531),
    [anon_sym___alignof] = ACTIONS(3531),
    [anon_sym__alignof] = ACTIONS(3531),
    [anon_sym_alignof] = ACTIONS(3531),
    [anon_sym__Alignof] = ACTIONS(3531),
    [anon_sym_offsetof] = ACTIONS(3531),
    [anon_sym__Generic] = ACTIONS(3531),
    [anon_sym_asm] = ACTIONS(3531),
    [anon_sym___asm__] = ACTIONS(3531),
    [anon_sym___asm] = ACTIONS(3531),
    [aux_sym_number_literal_token1] = ACTIONS(3528),
    [aux_sym_number_literal_token2] = ACTIONS(3531),
    [anon_sym_L_SQUOTE] = ACTIONS(3528),
    [anon_sym_u_SQUOTE] = ACTIONS(3528),
    [anon_sym_U_SQUOTE] = ACTIONS(3528),
    [anon_sym_u8_SQUOTE] = ACTIONS(3528),
    [anon_sym_SQUOTE] = ACTIONS(3528),
    [anon_sym_L_DQUOTE] = ACTIONS(3528),
    [anon_sym_u_DQUOTE] = ACTIONS(3528),
    [anon_sym_U_DQUOTE] = ACTIONS(3528),
    [anon_sym_u8_DQUOTE] = ACTIONS(3528),
    [anon_sym_DQUOTE] = ACTIONS(3528),
    [sym_true] = ACTIONS(3531),
    [sym_false] = ACTIONS(3531),
    [anon_sym_NULL] = ACTIONS(3531),
    [anon_sym_nullptr] = ACTIONS(3531),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3531),
    [anon_sym_decltype] = ACTIONS(3531),
    [anon_sym_explicit] = ACTIONS(3531),
    [anon_sym_typename] = ACTIONS(3531),
    [anon_sym_template] = ACTIONS(3531),
    [anon_sym_operator] = ACTIONS(3531),
    [anon_sym_try] = ACTIONS(3531),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_throw] = ACTIONS(3531),
    [anon_sym_namespace] = ACTIONS(3531),
    [anon_sym_using] = ACTIONS(3531),
    [anon_sym_static_assert] = ACTIONS(3531),
    [anon_sym_concept] = ACTIONS(3531),
    [anon_sym_co_return] = ACTIONS(3531),
    [anon_sym_co_yield] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3528),
    [anon_sym_LR_DQUOTE] = ACTIONS(3528),
    [anon_sym_uR_DQUOTE] = ACTIONS(3528),
    [anon_sym_UR_DQUOTE] = ACTIONS(3528),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3528),
    [anon_sym_co_await] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(3531),
    [anon_sym_requires] = ACTIONS(3531),
    [sym_this] = ACTIONS(3531),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(3208),
    [sym_identifier] = ACTIONS(3206),
    [aux_sym_preproc_include_token1] = ACTIONS(3206),
    [aux_sym_preproc_def_token1] = ACTIONS(3206),
    [aux_sym_preproc_if_token1] = ACTIONS(3206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3206),
    [sym_preproc_directive] = ACTIONS(3206),
    [anon_sym_LPAREN2] = ACTIONS(3208),
    [anon_sym_BANG] = ACTIONS(3208),
    [anon_sym_TILDE] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3206),
    [anon_sym___extension__] = ACTIONS(3206),
    [anon_sym_typedef] = ACTIONS(3206),
    [anon_sym_virtual] = ACTIONS(3206),
    [anon_sym_extern] = ACTIONS(3206),
    [anon_sym___attribute__] = ACTIONS(3206),
    [anon_sym_COLON_COLON] = ACTIONS(3208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3208),
    [anon_sym___declspec] = ACTIONS(3206),
    [anon_sym___based] = ACTIONS(3206),
    [anon_sym___cdecl] = ACTIONS(3206),
    [anon_sym___clrcall] = ACTIONS(3206),
    [anon_sym___stdcall] = ACTIONS(3206),
    [anon_sym___fastcall] = ACTIONS(3206),
    [anon_sym___thiscall] = ACTIONS(3206),
    [anon_sym___vectorcall] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_signed] = ACTIONS(3206),
    [anon_sym_unsigned] = ACTIONS(3206),
    [anon_sym_long] = ACTIONS(3206),
    [anon_sym_short] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3206),
    [anon_sym_static] = ACTIONS(3206),
    [anon_sym_register] = ACTIONS(3206),
    [anon_sym_inline] = ACTIONS(3206),
    [anon_sym___inline] = ACTIONS(3206),
    [anon_sym___inline__] = ACTIONS(3206),
    [anon_sym___forceinline] = ACTIONS(3206),
    [anon_sym_thread_local] = ACTIONS(3206),
    [anon_sym___thread] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_constexpr] = ACTIONS(3206),
    [anon_sym_volatile] = ACTIONS(3206),
    [anon_sym_restrict] = ACTIONS(3206),
    [anon_sym___restrict__] = ACTIONS(3206),
    [anon_sym__Atomic] = ACTIONS(3206),
    [anon_sym__Noreturn] = ACTIONS(3206),
    [anon_sym_noreturn] = ACTIONS(3206),
    [anon_sym__Nonnull] = ACTIONS(3206),
    [anon_sym_mutable] = ACTIONS(3206),
    [anon_sym_constinit] = ACTIONS(3206),
    [anon_sym_consteval] = ACTIONS(3206),
    [anon_sym_PROGMEM] = ACTIONS(3206),
    [anon_sym_alignas] = ACTIONS(3206),
    [anon_sym__Alignas] = ACTIONS(3206),
    [aux_sym_primitive_type_token1] = ACTIONS(3206),
    [anon_sym_byte] = ACTIONS(3206),
    [anon_sym_word] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_struct] = ACTIONS(3206),
    [anon_sym_union] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_switch] = ACTIONS(3206),
    [anon_sym_case] = ACTIONS(3206),
    [anon_sym_default] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_do] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_goto] = ACTIONS(3206),
    [anon_sym_not] = ACTIONS(3206),
    [anon_sym_compl] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_sizeof] = ACTIONS(3206),
    [anon_sym___alignof__] = ACTIONS(3206),
    [anon_sym___alignof] = ACTIONS(3206),
    [anon_sym__alignof] = ACTIONS(3206),
    [anon_sym_alignof] = ACTIONS(3206),
    [anon_sym__Alignof] = ACTIONS(3206),
    [anon_sym_offsetof] = ACTIONS(3206),
    [anon_sym__Generic] = ACTIONS(3206),
    [anon_sym_asm] = ACTIONS(3206),
    [anon_sym___asm__] = ACTIONS(3206),
    [anon_sym___asm] = ACTIONS(3206),
    [aux_sym_number_literal_token1] = ACTIONS(3208),
    [aux_sym_number_literal_token2] = ACTIONS(3206),
    [anon_sym_L_SQUOTE] = ACTIONS(3208),
    [anon_sym_u_SQUOTE] = ACTIONS(3208),
    [anon_sym_U_SQUOTE] = ACTIONS(3208),
    [anon_sym_u8_SQUOTE] = ACTIONS(3208),
    [anon_sym_SQUOTE] = ACTIONS(3208),
    [anon_sym_L_DQUOTE] = ACTIONS(3208),
    [anon_sym_u_DQUOTE] = ACTIONS(3208),
    [anon_sym_U_DQUOTE] = ACTIONS(3208),
    [anon_sym_u8_DQUOTE] = ACTIONS(3208),
    [anon_sym_DQUOTE] = ACTIONS(3208),
    [sym_true] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [anon_sym_NULL] = ACTIONS(3206),
    [anon_sym_nullptr] = ACTIONS(3206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3206),
    [anon_sym_decltype] = ACTIONS(3206),
    [anon_sym_explicit] = ACTIONS(3206),
    [anon_sym_typename] = ACTIONS(3206),
    [anon_sym_template] = ACTIONS(3206),
    [anon_sym_operator] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_delete] = ACTIONS(3206),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_namespace] = ACTIONS(3206),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_static_assert] = ACTIONS(3206),
    [anon_sym_concept] = ACTIONS(3206),
    [anon_sym_co_return] = ACTIONS(3206),
    [anon_sym_co_yield] = ACTIONS(3206),
    [anon_sym_R_DQUOTE] = ACTIONS(3208),
    [anon_sym_LR_DQUOTE] = ACTIONS(3208),
    [anon_sym_uR_DQUOTE] = ACTIONS(3208),
    [anon_sym_UR_DQUOTE] = ACTIONS(3208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3208),
    [anon_sym_co_await] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(3206),
    [anon_sym_requires] = ACTIONS(3206),
    [sym_this] = ACTIONS(3206),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(2982),
    [sym_identifier] = ACTIONS(2980),
    [aux_sym_preproc_include_token1] = ACTIONS(2980),
    [aux_sym_preproc_def_token1] = ACTIONS(2980),
    [aux_sym_preproc_if_token1] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2980),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2980),
    [sym_preproc_directive] = ACTIONS(2980),
    [anon_sym_LPAREN2] = ACTIONS(2982),
    [anon_sym_BANG] = ACTIONS(2982),
    [anon_sym_TILDE] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2980),
    [anon_sym_PLUS] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_AMP] = ACTIONS(2980),
    [anon_sym___extension__] = ACTIONS(2980),
    [anon_sym_typedef] = ACTIONS(2980),
    [anon_sym_virtual] = ACTIONS(2980),
    [anon_sym_extern] = ACTIONS(2980),
    [anon_sym___attribute__] = ACTIONS(2980),
    [anon_sym_COLON_COLON] = ACTIONS(2982),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2982),
    [anon_sym___declspec] = ACTIONS(2980),
    [anon_sym___based] = ACTIONS(2980),
    [anon_sym___cdecl] = ACTIONS(2980),
    [anon_sym___clrcall] = ACTIONS(2980),
    [anon_sym___stdcall] = ACTIONS(2980),
    [anon_sym___fastcall] = ACTIONS(2980),
    [anon_sym___thiscall] = ACTIONS(2980),
    [anon_sym___vectorcall] = ACTIONS(2980),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_signed] = ACTIONS(2980),
    [anon_sym_unsigned] = ACTIONS(2980),
    [anon_sym_long] = ACTIONS(2980),
    [anon_sym_short] = ACTIONS(2980),
    [anon_sym_LBRACK] = ACTIONS(2980),
    [anon_sym_static] = ACTIONS(2980),
    [anon_sym_register] = ACTIONS(2980),
    [anon_sym_inline] = ACTIONS(2980),
    [anon_sym___inline] = ACTIONS(2980),
    [anon_sym___inline__] = ACTIONS(2980),
    [anon_sym___forceinline] = ACTIONS(2980),
    [anon_sym_thread_local] = ACTIONS(2980),
    [anon_sym___thread] = ACTIONS(2980),
    [anon_sym_const] = ACTIONS(2980),
    [anon_sym_constexpr] = ACTIONS(2980),
    [anon_sym_volatile] = ACTIONS(2980),
    [anon_sym_restrict] = ACTIONS(2980),
    [anon_sym___restrict__] = ACTIONS(2980),
    [anon_sym__Atomic] = ACTIONS(2980),
    [anon_sym__Noreturn] = ACTIONS(2980),
    [anon_sym_noreturn] = ACTIONS(2980),
    [anon_sym__Nonnull] = ACTIONS(2980),
    [anon_sym_mutable] = ACTIONS(2980),
    [anon_sym_constinit] = ACTIONS(2980),
    [anon_sym_consteval] = ACTIONS(2980),
    [anon_sym_PROGMEM] = ACTIONS(2980),
    [anon_sym_alignas] = ACTIONS(2980),
    [anon_sym__Alignas] = ACTIONS(2980),
    [aux_sym_primitive_type_token1] = ACTIONS(2980),
    [anon_sym_byte] = ACTIONS(2980),
    [anon_sym_word] = ACTIONS(2980),
    [anon_sym_enum] = ACTIONS(2980),
    [anon_sym_class] = ACTIONS(2980),
    [anon_sym_struct] = ACTIONS(2980),
    [anon_sym_union] = ACTIONS(2980),
    [anon_sym_if] = ACTIONS(2980),
    [anon_sym_switch] = ACTIONS(2980),
    [anon_sym_case] = ACTIONS(2980),
    [anon_sym_default] = ACTIONS(2980),
    [anon_sym_while] = ACTIONS(2980),
    [anon_sym_do] = ACTIONS(2980),
    [anon_sym_for] = ACTIONS(2980),
    [anon_sym_return] = ACTIONS(2980),
    [anon_sym_break] = ACTIONS(2980),
    [anon_sym_continue] = ACTIONS(2980),
    [anon_sym_goto] = ACTIONS(2980),
    [anon_sym_not] = ACTIONS(2980),
    [anon_sym_compl] = ACTIONS(2980),
    [anon_sym_DASH_DASH] = ACTIONS(2982),
    [anon_sym_PLUS_PLUS] = ACTIONS(2982),
    [anon_sym_sizeof] = ACTIONS(2980),
    [anon_sym___alignof__] = ACTIONS(2980),
    [anon_sym___alignof] = ACTIONS(2980),
    [anon_sym__alignof] = ACTIONS(2980),
    [anon_sym_alignof] = ACTIONS(2980),
    [anon_sym__Alignof] = ACTIONS(2980),
    [anon_sym_offsetof] = ACTIONS(2980),
    [anon_sym__Generic] = ACTIONS(2980),
    [anon_sym_asm] = ACTIONS(2980),
    [anon_sym___asm__] = ACTIONS(2980),
    [anon_sym___asm] = ACTIONS(2980),
    [aux_sym_number_literal_token1] = ACTIONS(2982),
    [aux_sym_number_literal_token2] = ACTIONS(2980),
    [anon_sym_L_SQUOTE] = ACTIONS(2982),
    [anon_sym_u_SQUOTE] = ACTIONS(2982),
    [anon_sym_U_SQUOTE] = ACTIONS(2982),
    [anon_sym_u8_SQUOTE] = ACTIONS(2982),
    [anon_sym_SQUOTE] = ACTIONS(2982),
    [anon_sym_L_DQUOTE] = ACTIONS(2982),
    [anon_sym_u_DQUOTE] = ACTIONS(2982),
    [anon_sym_U_DQUOTE] = ACTIONS(2982),
    [anon_sym_u8_DQUOTE] = ACTIONS(2982),
    [anon_sym_DQUOTE] = ACTIONS(2982),
    [sym_true] = ACTIONS(2980),
    [sym_false] = ACTIONS(2980),
    [anon_sym_NULL] = ACTIONS(2980),
    [anon_sym_nullptr] = ACTIONS(2980),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2980),
    [anon_sym_decltype] = ACTIONS(2980),
    [anon_sym_explicit] = ACTIONS(2980),
    [anon_sym_typename] = ACTIONS(2980),
    [anon_sym_template] = ACTIONS(2980),
    [anon_sym_operator] = ACTIONS(2980),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_delete] = ACTIONS(2980),
    [anon_sym_throw] = ACTIONS(2980),
    [anon_sym_namespace] = ACTIONS(2980),
    [anon_sym_using] = ACTIONS(2980),
    [anon_sym_static_assert] = ACTIONS(2980),
    [anon_sym_concept] = ACTIONS(2980),
    [anon_sym_co_return] = ACTIONS(2980),
    [anon_sym_co_yield] = ACTIONS(2980),
    [anon_sym_R_DQUOTE] = ACTIONS(2982),
    [anon_sym_LR_DQUOTE] = ACTIONS(2982),
    [anon_sym_uR_DQUOTE] = ACTIONS(2982),
    [anon_sym_UR_DQUOTE] = ACTIONS(2982),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2982),
    [anon_sym_co_await] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(2980),
    [anon_sym_requires] = ACTIONS(2980),
    [sym_this] = ACTIONS(2980),
  },
  [730] = {
    [ts_builtin_sym_end] = ACTIONS(3014),
    [sym_identifier] = ACTIONS(3012),
    [aux_sym_preproc_include_token1] = ACTIONS(3012),
    [aux_sym_preproc_def_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3012),
    [sym_preproc_directive] = ACTIONS(3012),
    [anon_sym_LPAREN2] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(3014),
    [anon_sym_TILDE] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3012),
    [anon_sym___extension__] = ACTIONS(3012),
    [anon_sym_typedef] = ACTIONS(3012),
    [anon_sym_virtual] = ACTIONS(3012),
    [anon_sym_extern] = ACTIONS(3012),
    [anon_sym___attribute__] = ACTIONS(3012),
    [anon_sym_COLON_COLON] = ACTIONS(3014),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3014),
    [anon_sym___declspec] = ACTIONS(3012),
    [anon_sym___based] = ACTIONS(3012),
    [anon_sym___cdecl] = ACTIONS(3012),
    [anon_sym___clrcall] = ACTIONS(3012),
    [anon_sym___stdcall] = ACTIONS(3012),
    [anon_sym___fastcall] = ACTIONS(3012),
    [anon_sym___thiscall] = ACTIONS(3012),
    [anon_sym___vectorcall] = ACTIONS(3012),
    [anon_sym_LBRACE] = ACTIONS(3014),
    [anon_sym_signed] = ACTIONS(3012),
    [anon_sym_unsigned] = ACTIONS(3012),
    [anon_sym_long] = ACTIONS(3012),
    [anon_sym_short] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_static] = ACTIONS(3012),
    [anon_sym_register] = ACTIONS(3012),
    [anon_sym_inline] = ACTIONS(3012),
    [anon_sym___inline] = ACTIONS(3012),
    [anon_sym___inline__] = ACTIONS(3012),
    [anon_sym___forceinline] = ACTIONS(3012),
    [anon_sym_thread_local] = ACTIONS(3012),
    [anon_sym___thread] = ACTIONS(3012),
    [anon_sym_const] = ACTIONS(3012),
    [anon_sym_constexpr] = ACTIONS(3012),
    [anon_sym_volatile] = ACTIONS(3012),
    [anon_sym_restrict] = ACTIONS(3012),
    [anon_sym___restrict__] = ACTIONS(3012),
    [anon_sym__Atomic] = ACTIONS(3012),
    [anon_sym__Noreturn] = ACTIONS(3012),
    [anon_sym_noreturn] = ACTIONS(3012),
    [anon_sym__Nonnull] = ACTIONS(3012),
    [anon_sym_mutable] = ACTIONS(3012),
    [anon_sym_constinit] = ACTIONS(3012),
    [anon_sym_consteval] = ACTIONS(3012),
    [anon_sym_PROGMEM] = ACTIONS(3012),
    [anon_sym_alignas] = ACTIONS(3012),
    [anon_sym__Alignas] = ACTIONS(3012),
    [aux_sym_primitive_type_token1] = ACTIONS(3012),
    [anon_sym_byte] = ACTIONS(3012),
    [anon_sym_word] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3012),
    [anon_sym_struct] = ACTIONS(3012),
    [anon_sym_union] = ACTIONS(3012),
    [anon_sym_if] = ACTIONS(3012),
    [anon_sym_switch] = ACTIONS(3012),
    [anon_sym_case] = ACTIONS(3012),
    [anon_sym_default] = ACTIONS(3012),
    [anon_sym_while] = ACTIONS(3012),
    [anon_sym_do] = ACTIONS(3012),
    [anon_sym_for] = ACTIONS(3012),
    [anon_sym_return] = ACTIONS(3012),
    [anon_sym_break] = ACTIONS(3012),
    [anon_sym_continue] = ACTIONS(3012),
    [anon_sym_goto] = ACTIONS(3012),
    [anon_sym_not] = ACTIONS(3012),
    [anon_sym_compl] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3014),
    [anon_sym_PLUS_PLUS] = ACTIONS(3014),
    [anon_sym_sizeof] = ACTIONS(3012),
    [anon_sym___alignof__] = ACTIONS(3012),
    [anon_sym___alignof] = ACTIONS(3012),
    [anon_sym__alignof] = ACTIONS(3012),
    [anon_sym_alignof] = ACTIONS(3012),
    [anon_sym__Alignof] = ACTIONS(3012),
    [anon_sym_offsetof] = ACTIONS(3012),
    [anon_sym__Generic] = ACTIONS(3012),
    [anon_sym_asm] = ACTIONS(3012),
    [anon_sym___asm__] = ACTIONS(3012),
    [anon_sym___asm] = ACTIONS(3012),
    [aux_sym_number_literal_token1] = ACTIONS(3014),
    [aux_sym_number_literal_token2] = ACTIONS(3012),
    [anon_sym_L_SQUOTE] = ACTIONS(3014),
    [anon_sym_u_SQUOTE] = ACTIONS(3014),
    [anon_sym_U_SQUOTE] = ACTIONS(3014),
    [anon_sym_u8_SQUOTE] = ACTIONS(3014),
    [anon_sym_SQUOTE] = ACTIONS(3014),
    [anon_sym_L_DQUOTE] = ACTIONS(3014),
    [anon_sym_u_DQUOTE] = ACTIONS(3014),
    [anon_sym_U_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8_DQUOTE] = ACTIONS(3014),
    [anon_sym_DQUOTE] = ACTIONS(3014),
    [sym_true] = ACTIONS(3012),
    [sym_false] = ACTIONS(3012),
    [anon_sym_NULL] = ACTIONS(3012),
    [anon_sym_nullptr] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3012),
    [anon_sym_decltype] = ACTIONS(3012),
    [anon_sym_explicit] = ACTIONS(3012),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(3012),
    [anon_sym_try] = ACTIONS(3012),
    [anon_sym_delete] = ACTIONS(3012),
    [anon_sym_throw] = ACTIONS(3012),
    [anon_sym_namespace] = ACTIONS(3012),
    [anon_sym_using] = ACTIONS(3012),
    [anon_sym_static_assert] = ACTIONS(3012),
    [anon_sym_concept] = ACTIONS(3012),
    [anon_sym_co_return] = ACTIONS(3012),
    [anon_sym_co_yield] = ACTIONS(3012),
    [anon_sym_R_DQUOTE] = ACTIONS(3014),
    [anon_sym_LR_DQUOTE] = ACTIONS(3014),
    [anon_sym_uR_DQUOTE] = ACTIONS(3014),
    [anon_sym_UR_DQUOTE] = ACTIONS(3014),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3014),
    [anon_sym_co_await] = ACTIONS(3012),
    [anon_sym_new] = ACTIONS(3012),
    [anon_sym_requires] = ACTIONS(3012),
    [sym_this] = ACTIONS(3012),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(3534),
    [sym_identifier] = ACTIONS(3536),
    [aux_sym_preproc_include_token1] = ACTIONS(3536),
    [aux_sym_preproc_def_token1] = ACTIONS(3536),
    [aux_sym_preproc_if_token1] = ACTIONS(3536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3536),
    [sym_preproc_directive] = ACTIONS(3536),
    [anon_sym_LPAREN2] = ACTIONS(3534),
    [anon_sym_BANG] = ACTIONS(3534),
    [anon_sym_TILDE] = ACTIONS(3534),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_STAR] = ACTIONS(3534),
    [anon_sym_AMP_AMP] = ACTIONS(3534),
    [anon_sym_AMP] = ACTIONS(3536),
    [anon_sym___extension__] = ACTIONS(3536),
    [anon_sym_typedef] = ACTIONS(3536),
    [anon_sym_virtual] = ACTIONS(3536),
    [anon_sym_extern] = ACTIONS(3536),
    [anon_sym___attribute__] = ACTIONS(3536),
    [anon_sym_COLON_COLON] = ACTIONS(3534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3534),
    [anon_sym___declspec] = ACTIONS(3536),
    [anon_sym___based] = ACTIONS(3536),
    [anon_sym___cdecl] = ACTIONS(3536),
    [anon_sym___clrcall] = ACTIONS(3536),
    [anon_sym___stdcall] = ACTIONS(3536),
    [anon_sym___fastcall] = ACTIONS(3536),
    [anon_sym___thiscall] = ACTIONS(3536),
    [anon_sym___vectorcall] = ACTIONS(3536),
    [anon_sym_LBRACE] = ACTIONS(3534),
    [anon_sym_signed] = ACTIONS(3536),
    [anon_sym_unsigned] = ACTIONS(3536),
    [anon_sym_long] = ACTIONS(3536),
    [anon_sym_short] = ACTIONS(3536),
    [anon_sym_LBRACK] = ACTIONS(3536),
    [anon_sym_static] = ACTIONS(3536),
    [anon_sym_register] = ACTIONS(3536),
    [anon_sym_inline] = ACTIONS(3536),
    [anon_sym___inline] = ACTIONS(3536),
    [anon_sym___inline__] = ACTIONS(3536),
    [anon_sym___forceinline] = ACTIONS(3536),
    [anon_sym_thread_local] = ACTIONS(3536),
    [anon_sym___thread] = ACTIONS(3536),
    [anon_sym_const] = ACTIONS(3536),
    [anon_sym_constexpr] = ACTIONS(3536),
    [anon_sym_volatile] = ACTIONS(3536),
    [anon_sym_restrict] = ACTIONS(3536),
    [anon_sym___restrict__] = ACTIONS(3536),
    [anon_sym__Atomic] = ACTIONS(3536),
    [anon_sym__Noreturn] = ACTIONS(3536),
    [anon_sym_noreturn] = ACTIONS(3536),
    [anon_sym__Nonnull] = ACTIONS(3536),
    [anon_sym_mutable] = ACTIONS(3536),
    [anon_sym_constinit] = ACTIONS(3536),
    [anon_sym_consteval] = ACTIONS(3536),
    [anon_sym_PROGMEM] = ACTIONS(3536),
    [anon_sym_alignas] = ACTIONS(3536),
    [anon_sym__Alignas] = ACTIONS(3536),
    [aux_sym_primitive_type_token1] = ACTIONS(3536),
    [anon_sym_byte] = ACTIONS(3536),
    [anon_sym_word] = ACTIONS(3536),
    [anon_sym_enum] = ACTIONS(3536),
    [anon_sym_class] = ACTIONS(3536),
    [anon_sym_struct] = ACTIONS(3536),
    [anon_sym_union] = ACTIONS(3536),
    [anon_sym_if] = ACTIONS(3536),
    [anon_sym_switch] = ACTIONS(3536),
    [anon_sym_case] = ACTIONS(3536),
    [anon_sym_default] = ACTIONS(3536),
    [anon_sym_while] = ACTIONS(3536),
    [anon_sym_do] = ACTIONS(3536),
    [anon_sym_for] = ACTIONS(3536),
    [anon_sym_return] = ACTIONS(3536),
    [anon_sym_break] = ACTIONS(3536),
    [anon_sym_continue] = ACTIONS(3536),
    [anon_sym_goto] = ACTIONS(3536),
    [anon_sym_not] = ACTIONS(3536),
    [anon_sym_compl] = ACTIONS(3536),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_sizeof] = ACTIONS(3536),
    [anon_sym___alignof__] = ACTIONS(3536),
    [anon_sym___alignof] = ACTIONS(3536),
    [anon_sym__alignof] = ACTIONS(3536),
    [anon_sym_alignof] = ACTIONS(3536),
    [anon_sym__Alignof] = ACTIONS(3536),
    [anon_sym_offsetof] = ACTIONS(3536),
    [anon_sym__Generic] = ACTIONS(3536),
    [anon_sym_asm] = ACTIONS(3536),
    [anon_sym___asm__] = ACTIONS(3536),
    [anon_sym___asm] = ACTIONS(3536),
    [aux_sym_number_literal_token1] = ACTIONS(3534),
    [aux_sym_number_literal_token2] = ACTIONS(3536),
    [anon_sym_L_SQUOTE] = ACTIONS(3534),
    [anon_sym_u_SQUOTE] = ACTIONS(3534),
    [anon_sym_U_SQUOTE] = ACTIONS(3534),
    [anon_sym_u8_SQUOTE] = ACTIONS(3534),
    [anon_sym_SQUOTE] = ACTIONS(3534),
    [anon_sym_L_DQUOTE] = ACTIONS(3534),
    [anon_sym_u_DQUOTE] = ACTIONS(3534),
    [anon_sym_U_DQUOTE] = ACTIONS(3534),
    [anon_sym_u8_DQUOTE] = ACTIONS(3534),
    [anon_sym_DQUOTE] = ACTIONS(3534),
    [sym_true] = ACTIONS(3536),
    [sym_false] = ACTIONS(3536),
    [anon_sym_NULL] = ACTIONS(3536),
    [anon_sym_nullptr] = ACTIONS(3536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3536),
    [anon_sym_decltype] = ACTIONS(3536),
    [anon_sym_explicit] = ACTIONS(3536),
    [anon_sym_typename] = ACTIONS(3536),
    [anon_sym_template] = ACTIONS(3536),
    [anon_sym_operator] = ACTIONS(3536),
    [anon_sym_try] = ACTIONS(3536),
    [anon_sym_delete] = ACTIONS(3536),
    [anon_sym_throw] = ACTIONS(3536),
    [anon_sym_namespace] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3536),
    [anon_sym_static_assert] = ACTIONS(3536),
    [anon_sym_concept] = ACTIONS(3536),
    [anon_sym_co_return] = ACTIONS(3536),
    [anon_sym_co_yield] = ACTIONS(3536),
    [anon_sym_R_DQUOTE] = ACTIONS(3534),
    [anon_sym_LR_DQUOTE] = ACTIONS(3534),
    [anon_sym_uR_DQUOTE] = ACTIONS(3534),
    [anon_sym_UR_DQUOTE] = ACTIONS(3534),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3534),
    [anon_sym_co_await] = ACTIONS(3536),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(3536),
    [sym_this] = ACTIONS(3536),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(3157),
    [sym_identifier] = ACTIONS(3155),
    [aux_sym_preproc_include_token1] = ACTIONS(3155),
    [aux_sym_preproc_def_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3155),
    [sym_preproc_directive] = ACTIONS(3155),
    [anon_sym_LPAREN2] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(3155),
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_AMP_AMP] = ACTIONS(3157),
    [anon_sym_AMP] = ACTIONS(3155),
    [anon_sym___extension__] = ACTIONS(3155),
    [anon_sym_typedef] = ACTIONS(3155),
    [anon_sym_virtual] = ACTIONS(3155),
    [anon_sym_extern] = ACTIONS(3155),
    [anon_sym___attribute__] = ACTIONS(3155),
    [anon_sym_COLON_COLON] = ACTIONS(3157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3157),
    [anon_sym___declspec] = ACTIONS(3155),
    [anon_sym___based] = ACTIONS(3155),
    [anon_sym___cdecl] = ACTIONS(3155),
    [anon_sym___clrcall] = ACTIONS(3155),
    [anon_sym___stdcall] = ACTIONS(3155),
    [anon_sym___fastcall] = ACTIONS(3155),
    [anon_sym___thiscall] = ACTIONS(3155),
    [anon_sym___vectorcall] = ACTIONS(3155),
    [anon_sym_LBRACE] = ACTIONS(3157),
    [anon_sym_signed] = ACTIONS(3155),
    [anon_sym_unsigned] = ACTIONS(3155),
    [anon_sym_long] = ACTIONS(3155),
    [anon_sym_short] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_static] = ACTIONS(3155),
    [anon_sym_register] = ACTIONS(3155),
    [anon_sym_inline] = ACTIONS(3155),
    [anon_sym___inline] = ACTIONS(3155),
    [anon_sym___inline__] = ACTIONS(3155),
    [anon_sym___forceinline] = ACTIONS(3155),
    [anon_sym_thread_local] = ACTIONS(3155),
    [anon_sym___thread] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3155),
    [anon_sym_constexpr] = ACTIONS(3155),
    [anon_sym_volatile] = ACTIONS(3155),
    [anon_sym_restrict] = ACTIONS(3155),
    [anon_sym___restrict__] = ACTIONS(3155),
    [anon_sym__Atomic] = ACTIONS(3155),
    [anon_sym__Noreturn] = ACTIONS(3155),
    [anon_sym_noreturn] = ACTIONS(3155),
    [anon_sym__Nonnull] = ACTIONS(3155),
    [anon_sym_mutable] = ACTIONS(3155),
    [anon_sym_constinit] = ACTIONS(3155),
    [anon_sym_consteval] = ACTIONS(3155),
    [anon_sym_PROGMEM] = ACTIONS(3155),
    [anon_sym_alignas] = ACTIONS(3155),
    [anon_sym__Alignas] = ACTIONS(3155),
    [aux_sym_primitive_type_token1] = ACTIONS(3155),
    [anon_sym_byte] = ACTIONS(3155),
    [anon_sym_word] = ACTIONS(3155),
    [anon_sym_enum] = ACTIONS(3155),
    [anon_sym_class] = ACTIONS(3155),
    [anon_sym_struct] = ACTIONS(3155),
    [anon_sym_union] = ACTIONS(3155),
    [anon_sym_if] = ACTIONS(3155),
    [anon_sym_switch] = ACTIONS(3155),
    [anon_sym_case] = ACTIONS(3155),
    [anon_sym_default] = ACTIONS(3155),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3155),
    [anon_sym_break] = ACTIONS(3155),
    [anon_sym_continue] = ACTIONS(3155),
    [anon_sym_goto] = ACTIONS(3155),
    [anon_sym_not] = ACTIONS(3155),
    [anon_sym_compl] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3157),
    [anon_sym_PLUS_PLUS] = ACTIONS(3157),
    [anon_sym_sizeof] = ACTIONS(3155),
    [anon_sym___alignof__] = ACTIONS(3155),
    [anon_sym___alignof] = ACTIONS(3155),
    [anon_sym__alignof] = ACTIONS(3155),
    [anon_sym_alignof] = ACTIONS(3155),
    [anon_sym__Alignof] = ACTIONS(3155),
    [anon_sym_offsetof] = ACTIONS(3155),
    [anon_sym__Generic] = ACTIONS(3155),
    [anon_sym_asm] = ACTIONS(3155),
    [anon_sym___asm__] = ACTIONS(3155),
    [anon_sym___asm] = ACTIONS(3155),
    [aux_sym_number_literal_token1] = ACTIONS(3157),
    [aux_sym_number_literal_token2] = ACTIONS(3155),
    [anon_sym_L_SQUOTE] = ACTIONS(3157),
    [anon_sym_u_SQUOTE] = ACTIONS(3157),
    [anon_sym_U_SQUOTE] = ACTIONS(3157),
    [anon_sym_u8_SQUOTE] = ACTIONS(3157),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_L_DQUOTE] = ACTIONS(3157),
    [anon_sym_u_DQUOTE] = ACTIONS(3157),
    [anon_sym_U_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8_DQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3157),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [anon_sym_NULL] = ACTIONS(3155),
    [anon_sym_nullptr] = ACTIONS(3155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3155),
    [anon_sym_decltype] = ACTIONS(3155),
    [anon_sym_explicit] = ACTIONS(3155),
    [anon_sym_typename] = ACTIONS(3155),
    [anon_sym_template] = ACTIONS(3155),
    [anon_sym_operator] = ACTIONS(3155),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_delete] = ACTIONS(3155),
    [anon_sym_throw] = ACTIONS(3155),
    [anon_sym_namespace] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3155),
    [anon_sym_static_assert] = ACTIONS(3155),
    [anon_sym_concept] = ACTIONS(3155),
    [anon_sym_co_return] = ACTIONS(3155),
    [anon_sym_co_yield] = ACTIONS(3155),
    [anon_sym_R_DQUOTE] = ACTIONS(3157),
    [anon_sym_LR_DQUOTE] = ACTIONS(3157),
    [anon_sym_uR_DQUOTE] = ACTIONS(3157),
    [anon_sym_UR_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3157),
    [anon_sym_co_await] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3155),
    [anon_sym_requires] = ACTIONS(3155),
    [sym_this] = ACTIONS(3155),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(2986),
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_include_token1] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_BANG] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2984),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym___cdecl] = ACTIONS(2984),
    [anon_sym___clrcall] = ACTIONS(2984),
    [anon_sym___stdcall] = ACTIONS(2984),
    [anon_sym___fastcall] = ACTIONS(2984),
    [anon_sym___thiscall] = ACTIONS(2984),
    [anon_sym___vectorcall] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_switch] = ACTIONS(2984),
    [anon_sym_case] = ACTIONS(2984),
    [anon_sym_default] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_do] = ACTIONS(2984),
    [anon_sym_for] = ACTIONS(2984),
    [anon_sym_return] = ACTIONS(2984),
    [anon_sym_break] = ACTIONS(2984),
    [anon_sym_continue] = ACTIONS(2984),
    [anon_sym_goto] = ACTIONS(2984),
    [anon_sym_not] = ACTIONS(2984),
    [anon_sym_compl] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2986),
    [anon_sym_PLUS_PLUS] = ACTIONS(2986),
    [anon_sym_sizeof] = ACTIONS(2984),
    [anon_sym___alignof__] = ACTIONS(2984),
    [anon_sym___alignof] = ACTIONS(2984),
    [anon_sym__alignof] = ACTIONS(2984),
    [anon_sym_alignof] = ACTIONS(2984),
    [anon_sym__Alignof] = ACTIONS(2984),
    [anon_sym_offsetof] = ACTIONS(2984),
    [anon_sym__Generic] = ACTIONS(2984),
    [anon_sym_asm] = ACTIONS(2984),
    [anon_sym___asm__] = ACTIONS(2984),
    [anon_sym___asm] = ACTIONS(2984),
    [aux_sym_number_literal_token1] = ACTIONS(2986),
    [aux_sym_number_literal_token2] = ACTIONS(2984),
    [anon_sym_L_SQUOTE] = ACTIONS(2986),
    [anon_sym_u_SQUOTE] = ACTIONS(2986),
    [anon_sym_U_SQUOTE] = ACTIONS(2986),
    [anon_sym_u8_SQUOTE] = ACTIONS(2986),
    [anon_sym_SQUOTE] = ACTIONS(2986),
    [anon_sym_L_DQUOTE] = ACTIONS(2986),
    [anon_sym_u_DQUOTE] = ACTIONS(2986),
    [anon_sym_U_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8_DQUOTE] = ACTIONS(2986),
    [anon_sym_DQUOTE] = ACTIONS(2986),
    [sym_true] = ACTIONS(2984),
    [sym_false] = ACTIONS(2984),
    [anon_sym_NULL] = ACTIONS(2984),
    [anon_sym_nullptr] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_try] = ACTIONS(2984),
    [anon_sym_delete] = ACTIONS(2984),
    [anon_sym_throw] = ACTIONS(2984),
    [anon_sym_namespace] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
    [anon_sym_concept] = ACTIONS(2984),
    [anon_sym_co_return] = ACTIONS(2984),
    [anon_sym_co_yield] = ACTIONS(2984),
    [anon_sym_R_DQUOTE] = ACTIONS(2986),
    [anon_sym_LR_DQUOTE] = ACTIONS(2986),
    [anon_sym_uR_DQUOTE] = ACTIONS(2986),
    [anon_sym_UR_DQUOTE] = ACTIONS(2986),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2986),
    [anon_sym_co_await] = ACTIONS(2984),
    [anon_sym_new] = ACTIONS(2984),
    [anon_sym_requires] = ACTIONS(2984),
    [sym_this] = ACTIONS(2984),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(3034),
    [sym_identifier] = ACTIONS(3032),
    [aux_sym_preproc_include_token1] = ACTIONS(3032),
    [aux_sym_preproc_def_token1] = ACTIONS(3032),
    [aux_sym_preproc_if_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3032),
    [sym_preproc_directive] = ACTIONS(3032),
    [anon_sym_LPAREN2] = ACTIONS(3034),
    [anon_sym_BANG] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym___extension__] = ACTIONS(3032),
    [anon_sym_typedef] = ACTIONS(3032),
    [anon_sym_virtual] = ACTIONS(3032),
    [anon_sym_extern] = ACTIONS(3032),
    [anon_sym___attribute__] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3034),
    [anon_sym___declspec] = ACTIONS(3032),
    [anon_sym___based] = ACTIONS(3032),
    [anon_sym___cdecl] = ACTIONS(3032),
    [anon_sym___clrcall] = ACTIONS(3032),
    [anon_sym___stdcall] = ACTIONS(3032),
    [anon_sym___fastcall] = ACTIONS(3032),
    [anon_sym___thiscall] = ACTIONS(3032),
    [anon_sym___vectorcall] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_signed] = ACTIONS(3032),
    [anon_sym_unsigned] = ACTIONS(3032),
    [anon_sym_long] = ACTIONS(3032),
    [anon_sym_short] = ACTIONS(3032),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_static] = ACTIONS(3032),
    [anon_sym_register] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym___inline] = ACTIONS(3032),
    [anon_sym___inline__] = ACTIONS(3032),
    [anon_sym___forceinline] = ACTIONS(3032),
    [anon_sym_thread_local] = ACTIONS(3032),
    [anon_sym___thread] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_constexpr] = ACTIONS(3032),
    [anon_sym_volatile] = ACTIONS(3032),
    [anon_sym_restrict] = ACTIONS(3032),
    [anon_sym___restrict__] = ACTIONS(3032),
    [anon_sym__Atomic] = ACTIONS(3032),
    [anon_sym__Noreturn] = ACTIONS(3032),
    [anon_sym_noreturn] = ACTIONS(3032),
    [anon_sym__Nonnull] = ACTIONS(3032),
    [anon_sym_mutable] = ACTIONS(3032),
    [anon_sym_constinit] = ACTIONS(3032),
    [anon_sym_consteval] = ACTIONS(3032),
    [anon_sym_PROGMEM] = ACTIONS(3032),
    [anon_sym_alignas] = ACTIONS(3032),
    [anon_sym__Alignas] = ACTIONS(3032),
    [aux_sym_primitive_type_token1] = ACTIONS(3032),
    [anon_sym_byte] = ACTIONS(3032),
    [anon_sym_word] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_class] = ACTIONS(3032),
    [anon_sym_struct] = ACTIONS(3032),
    [anon_sym_union] = ACTIONS(3032),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_switch] = ACTIONS(3032),
    [anon_sym_case] = ACTIONS(3032),
    [anon_sym_default] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_do] = ACTIONS(3032),
    [anon_sym_for] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_break] = ACTIONS(3032),
    [anon_sym_continue] = ACTIONS(3032),
    [anon_sym_goto] = ACTIONS(3032),
    [anon_sym_not] = ACTIONS(3032),
    [anon_sym_compl] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_sizeof] = ACTIONS(3032),
    [anon_sym___alignof__] = ACTIONS(3032),
    [anon_sym___alignof] = ACTIONS(3032),
    [anon_sym__alignof] = ACTIONS(3032),
    [anon_sym_alignof] = ACTIONS(3032),
    [anon_sym__Alignof] = ACTIONS(3032),
    [anon_sym_offsetof] = ACTIONS(3032),
    [anon_sym__Generic] = ACTIONS(3032),
    [anon_sym_asm] = ACTIONS(3032),
    [anon_sym___asm__] = ACTIONS(3032),
    [anon_sym___asm] = ACTIONS(3032),
    [aux_sym_number_literal_token1] = ACTIONS(3034),
    [aux_sym_number_literal_token2] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3034),
    [anon_sym_u_SQUOTE] = ACTIONS(3034),
    [anon_sym_U_SQUOTE] = ACTIONS(3034),
    [anon_sym_u8_SQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [anon_sym_L_DQUOTE] = ACTIONS(3034),
    [anon_sym_u_DQUOTE] = ACTIONS(3034),
    [anon_sym_U_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8_DQUOTE] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3034),
    [sym_true] = ACTIONS(3032),
    [sym_false] = ACTIONS(3032),
    [anon_sym_NULL] = ACTIONS(3032),
    [anon_sym_nullptr] = ACTIONS(3032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3032),
    [anon_sym_decltype] = ACTIONS(3032),
    [anon_sym_explicit] = ACTIONS(3032),
    [anon_sym_typename] = ACTIONS(3032),
    [anon_sym_template] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_delete] = ACTIONS(3032),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_namespace] = ACTIONS(3032),
    [anon_sym_using] = ACTIONS(3032),
    [anon_sym_static_assert] = ACTIONS(3032),
    [anon_sym_concept] = ACTIONS(3032),
    [anon_sym_co_return] = ACTIONS(3032),
    [anon_sym_co_yield] = ACTIONS(3032),
    [anon_sym_R_DQUOTE] = ACTIONS(3034),
    [anon_sym_LR_DQUOTE] = ACTIONS(3034),
    [anon_sym_uR_DQUOTE] = ACTIONS(3034),
    [anon_sym_UR_DQUOTE] = ACTIONS(3034),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3034),
    [anon_sym_co_await] = ACTIONS(3032),
    [anon_sym_new] = ACTIONS(3032),
    [anon_sym_requires] = ACTIONS(3032),
    [sym_this] = ACTIONS(3032),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(3204),
    [sym_identifier] = ACTIONS(3202),
    [aux_sym_preproc_include_token1] = ACTIONS(3202),
    [aux_sym_preproc_def_token1] = ACTIONS(3202),
    [aux_sym_preproc_if_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3202),
    [sym_preproc_directive] = ACTIONS(3202),
    [anon_sym_LPAREN2] = ACTIONS(3204),
    [anon_sym_BANG] = ACTIONS(3204),
    [anon_sym_TILDE] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3204),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3202),
    [anon_sym___extension__] = ACTIONS(3202),
    [anon_sym_typedef] = ACTIONS(3202),
    [anon_sym_virtual] = ACTIONS(3202),
    [anon_sym_extern] = ACTIONS(3202),
    [anon_sym___attribute__] = ACTIONS(3202),
    [anon_sym_COLON_COLON] = ACTIONS(3204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3204),
    [anon_sym___declspec] = ACTIONS(3202),
    [anon_sym___based] = ACTIONS(3202),
    [anon_sym___cdecl] = ACTIONS(3202),
    [anon_sym___clrcall] = ACTIONS(3202),
    [anon_sym___stdcall] = ACTIONS(3202),
    [anon_sym___fastcall] = ACTIONS(3202),
    [anon_sym___thiscall] = ACTIONS(3202),
    [anon_sym___vectorcall] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_signed] = ACTIONS(3202),
    [anon_sym_unsigned] = ACTIONS(3202),
    [anon_sym_long] = ACTIONS(3202),
    [anon_sym_short] = ACTIONS(3202),
    [anon_sym_LBRACK] = ACTIONS(3202),
    [anon_sym_static] = ACTIONS(3202),
    [anon_sym_register] = ACTIONS(3202),
    [anon_sym_inline] = ACTIONS(3202),
    [anon_sym___inline] = ACTIONS(3202),
    [anon_sym___inline__] = ACTIONS(3202),
    [anon_sym___forceinline] = ACTIONS(3202),
    [anon_sym_thread_local] = ACTIONS(3202),
    [anon_sym___thread] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_constexpr] = ACTIONS(3202),
    [anon_sym_volatile] = ACTIONS(3202),
    [anon_sym_restrict] = ACTIONS(3202),
    [anon_sym___restrict__] = ACTIONS(3202),
    [anon_sym__Atomic] = ACTIONS(3202),
    [anon_sym__Noreturn] = ACTIONS(3202),
    [anon_sym_noreturn] = ACTIONS(3202),
    [anon_sym__Nonnull] = ACTIONS(3202),
    [anon_sym_mutable] = ACTIONS(3202),
    [anon_sym_constinit] = ACTIONS(3202),
    [anon_sym_consteval] = ACTIONS(3202),
    [anon_sym_PROGMEM] = ACTIONS(3202),
    [anon_sym_alignas] = ACTIONS(3202),
    [anon_sym__Alignas] = ACTIONS(3202),
    [aux_sym_primitive_type_token1] = ACTIONS(3202),
    [anon_sym_byte] = ACTIONS(3202),
    [anon_sym_word] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [anon_sym_class] = ACTIONS(3202),
    [anon_sym_struct] = ACTIONS(3202),
    [anon_sym_union] = ACTIONS(3202),
    [anon_sym_if] = ACTIONS(3202),
    [anon_sym_switch] = ACTIONS(3202),
    [anon_sym_case] = ACTIONS(3202),
    [anon_sym_default] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_do] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3202),
    [anon_sym_return] = ACTIONS(3202),
    [anon_sym_break] = ACTIONS(3202),
    [anon_sym_continue] = ACTIONS(3202),
    [anon_sym_goto] = ACTIONS(3202),
    [anon_sym_not] = ACTIONS(3202),
    [anon_sym_compl] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_sizeof] = ACTIONS(3202),
    [anon_sym___alignof__] = ACTIONS(3202),
    [anon_sym___alignof] = ACTIONS(3202),
    [anon_sym__alignof] = ACTIONS(3202),
    [anon_sym_alignof] = ACTIONS(3202),
    [anon_sym__Alignof] = ACTIONS(3202),
    [anon_sym_offsetof] = ACTIONS(3202),
    [anon_sym__Generic] = ACTIONS(3202),
    [anon_sym_asm] = ACTIONS(3202),
    [anon_sym___asm__] = ACTIONS(3202),
    [anon_sym___asm] = ACTIONS(3202),
    [aux_sym_number_literal_token1] = ACTIONS(3204),
    [aux_sym_number_literal_token2] = ACTIONS(3202),
    [anon_sym_L_SQUOTE] = ACTIONS(3204),
    [anon_sym_u_SQUOTE] = ACTIONS(3204),
    [anon_sym_U_SQUOTE] = ACTIONS(3204),
    [anon_sym_u8_SQUOTE] = ACTIONS(3204),
    [anon_sym_SQUOTE] = ACTIONS(3204),
    [anon_sym_L_DQUOTE] = ACTIONS(3204),
    [anon_sym_u_DQUOTE] = ACTIONS(3204),
    [anon_sym_U_DQUOTE] = ACTIONS(3204),
    [anon_sym_u8_DQUOTE] = ACTIONS(3204),
    [anon_sym_DQUOTE] = ACTIONS(3204),
    [sym_true] = ACTIONS(3202),
    [sym_false] = ACTIONS(3202),
    [anon_sym_NULL] = ACTIONS(3202),
    [anon_sym_nullptr] = ACTIONS(3202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3202),
    [anon_sym_decltype] = ACTIONS(3202),
    [anon_sym_explicit] = ACTIONS(3202),
    [anon_sym_typename] = ACTIONS(3202),
    [anon_sym_template] = ACTIONS(3202),
    [anon_sym_operator] = ACTIONS(3202),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_delete] = ACTIONS(3202),
    [anon_sym_throw] = ACTIONS(3202),
    [anon_sym_namespace] = ACTIONS(3202),
    [anon_sym_using] = ACTIONS(3202),
    [anon_sym_static_assert] = ACTIONS(3202),
    [anon_sym_concept] = ACTIONS(3202),
    [anon_sym_co_return] = ACTIONS(3202),
    [anon_sym_co_yield] = ACTIONS(3202),
    [anon_sym_R_DQUOTE] = ACTIONS(3204),
    [anon_sym_LR_DQUOTE] = ACTIONS(3204),
    [anon_sym_uR_DQUOTE] = ACTIONS(3204),
    [anon_sym_UR_DQUOTE] = ACTIONS(3204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3204),
    [anon_sym_co_await] = ACTIONS(3202),
    [anon_sym_new] = ACTIONS(3202),
    [anon_sym_requires] = ACTIONS(3202),
    [sym_this] = ACTIONS(3202),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(3538),
    [sym_identifier] = ACTIONS(3540),
    [aux_sym_preproc_include_token1] = ACTIONS(3540),
    [aux_sym_preproc_def_token1] = ACTIONS(3540),
    [aux_sym_preproc_if_token1] = ACTIONS(3540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3540),
    [sym_preproc_directive] = ACTIONS(3540),
    [anon_sym_LPAREN2] = ACTIONS(3538),
    [anon_sym_BANG] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(3538),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(3538),
    [anon_sym_AMP_AMP] = ACTIONS(3538),
    [anon_sym_AMP] = ACTIONS(3540),
    [anon_sym___extension__] = ACTIONS(3540),
    [anon_sym_typedef] = ACTIONS(3540),
    [anon_sym_virtual] = ACTIONS(3540),
    [anon_sym_extern] = ACTIONS(3540),
    [anon_sym___attribute__] = ACTIONS(3540),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3538),
    [anon_sym___declspec] = ACTIONS(3540),
    [anon_sym___based] = ACTIONS(3540),
    [anon_sym___cdecl] = ACTIONS(3540),
    [anon_sym___clrcall] = ACTIONS(3540),
    [anon_sym___stdcall] = ACTIONS(3540),
    [anon_sym___fastcall] = ACTIONS(3540),
    [anon_sym___thiscall] = ACTIONS(3540),
    [anon_sym___vectorcall] = ACTIONS(3540),
    [anon_sym_LBRACE] = ACTIONS(3538),
    [anon_sym_signed] = ACTIONS(3540),
    [anon_sym_unsigned] = ACTIONS(3540),
    [anon_sym_long] = ACTIONS(3540),
    [anon_sym_short] = ACTIONS(3540),
    [anon_sym_LBRACK] = ACTIONS(3540),
    [anon_sym_static] = ACTIONS(3540),
    [anon_sym_register] = ACTIONS(3540),
    [anon_sym_inline] = ACTIONS(3540),
    [anon_sym___inline] = ACTIONS(3540),
    [anon_sym___inline__] = ACTIONS(3540),
    [anon_sym___forceinline] = ACTIONS(3540),
    [anon_sym_thread_local] = ACTIONS(3540),
    [anon_sym___thread] = ACTIONS(3540),
    [anon_sym_const] = ACTIONS(3540),
    [anon_sym_constexpr] = ACTIONS(3540),
    [anon_sym_volatile] = ACTIONS(3540),
    [anon_sym_restrict] = ACTIONS(3540),
    [anon_sym___restrict__] = ACTIONS(3540),
    [anon_sym__Atomic] = ACTIONS(3540),
    [anon_sym__Noreturn] = ACTIONS(3540),
    [anon_sym_noreturn] = ACTIONS(3540),
    [anon_sym__Nonnull] = ACTIONS(3540),
    [anon_sym_mutable] = ACTIONS(3540),
    [anon_sym_constinit] = ACTIONS(3540),
    [anon_sym_consteval] = ACTIONS(3540),
    [anon_sym_PROGMEM] = ACTIONS(3540),
    [anon_sym_alignas] = ACTIONS(3540),
    [anon_sym__Alignas] = ACTIONS(3540),
    [aux_sym_primitive_type_token1] = ACTIONS(3540),
    [anon_sym_byte] = ACTIONS(3540),
    [anon_sym_word] = ACTIONS(3540),
    [anon_sym_enum] = ACTIONS(3540),
    [anon_sym_class] = ACTIONS(3540),
    [anon_sym_struct] = ACTIONS(3540),
    [anon_sym_union] = ACTIONS(3540),
    [anon_sym_if] = ACTIONS(3540),
    [anon_sym_switch] = ACTIONS(3540),
    [anon_sym_case] = ACTIONS(3540),
    [anon_sym_default] = ACTIONS(3540),
    [anon_sym_while] = ACTIONS(3540),
    [anon_sym_do] = ACTIONS(3540),
    [anon_sym_for] = ACTIONS(3540),
    [anon_sym_return] = ACTIONS(3540),
    [anon_sym_break] = ACTIONS(3540),
    [anon_sym_continue] = ACTIONS(3540),
    [anon_sym_goto] = ACTIONS(3540),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(3538),
    [anon_sym_PLUS_PLUS] = ACTIONS(3538),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(3540),
    [anon_sym___alignof] = ACTIONS(3540),
    [anon_sym__alignof] = ACTIONS(3540),
    [anon_sym_alignof] = ACTIONS(3540),
    [anon_sym__Alignof] = ACTIONS(3540),
    [anon_sym_offsetof] = ACTIONS(3540),
    [anon_sym__Generic] = ACTIONS(3540),
    [anon_sym_asm] = ACTIONS(3540),
    [anon_sym___asm__] = ACTIONS(3540),
    [anon_sym___asm] = ACTIONS(3540),
    [aux_sym_number_literal_token1] = ACTIONS(3538),
    [aux_sym_number_literal_token2] = ACTIONS(3540),
    [anon_sym_L_SQUOTE] = ACTIONS(3538),
    [anon_sym_u_SQUOTE] = ACTIONS(3538),
    [anon_sym_U_SQUOTE] = ACTIONS(3538),
    [anon_sym_u8_SQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3538),
    [anon_sym_L_DQUOTE] = ACTIONS(3538),
    [anon_sym_u_DQUOTE] = ACTIONS(3538),
    [anon_sym_U_DQUOTE] = ACTIONS(3538),
    [anon_sym_u8_DQUOTE] = ACTIONS(3538),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [sym_true] = ACTIONS(3540),
    [sym_false] = ACTIONS(3540),
    [anon_sym_NULL] = ACTIONS(3540),
    [anon_sym_nullptr] = ACTIONS(3540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3540),
    [anon_sym_decltype] = ACTIONS(3540),
    [anon_sym_explicit] = ACTIONS(3540),
    [anon_sym_typename] = ACTIONS(3540),
    [anon_sym_template] = ACTIONS(3540),
    [anon_sym_operator] = ACTIONS(3540),
    [anon_sym_try] = ACTIONS(3540),
    [anon_sym_delete] = ACTIONS(3540),
    [anon_sym_throw] = ACTIONS(3540),
    [anon_sym_namespace] = ACTIONS(3540),
    [anon_sym_using] = ACTIONS(3540),
    [anon_sym_static_assert] = ACTIONS(3540),
    [anon_sym_concept] = ACTIONS(3540),
    [anon_sym_co_return] = ACTIONS(3540),
    [anon_sym_co_yield] = ACTIONS(3540),
    [anon_sym_R_DQUOTE] = ACTIONS(3538),
    [anon_sym_LR_DQUOTE] = ACTIONS(3538),
    [anon_sym_uR_DQUOTE] = ACTIONS(3538),
    [anon_sym_UR_DQUOTE] = ACTIONS(3538),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3538),
    [anon_sym_co_await] = ACTIONS(3540),
    [anon_sym_new] = ACTIONS(3540),
    [anon_sym_requires] = ACTIONS(3540),
    [sym_this] = ACTIONS(3540),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(3076),
    [sym_identifier] = ACTIONS(3074),
    [aux_sym_preproc_include_token1] = ACTIONS(3074),
    [aux_sym_preproc_def_token1] = ACTIONS(3074),
    [aux_sym_preproc_if_token1] = ACTIONS(3074),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3074),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3074),
    [sym_preproc_directive] = ACTIONS(3074),
    [anon_sym_LPAREN2] = ACTIONS(3076),
    [anon_sym_BANG] = ACTIONS(3076),
    [anon_sym_TILDE] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3074),
    [anon_sym_typedef] = ACTIONS(3074),
    [anon_sym_virtual] = ACTIONS(3074),
    [anon_sym_extern] = ACTIONS(3074),
    [anon_sym___attribute__] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3076),
    [anon_sym___declspec] = ACTIONS(3074),
    [anon_sym___based] = ACTIONS(3074),
    [anon_sym___cdecl] = ACTIONS(3074),
    [anon_sym___clrcall] = ACTIONS(3074),
    [anon_sym___stdcall] = ACTIONS(3074),
    [anon_sym___fastcall] = ACTIONS(3074),
    [anon_sym___thiscall] = ACTIONS(3074),
    [anon_sym___vectorcall] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_signed] = ACTIONS(3074),
    [anon_sym_unsigned] = ACTIONS(3074),
    [anon_sym_long] = ACTIONS(3074),
    [anon_sym_short] = ACTIONS(3074),
    [anon_sym_LBRACK] = ACTIONS(3074),
    [anon_sym_static] = ACTIONS(3074),
    [anon_sym_register] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym___inline] = ACTIONS(3074),
    [anon_sym___inline__] = ACTIONS(3074),
    [anon_sym___forceinline] = ACTIONS(3074),
    [anon_sym_thread_local] = ACTIONS(3074),
    [anon_sym___thread] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_constexpr] = ACTIONS(3074),
    [anon_sym_volatile] = ACTIONS(3074),
    [anon_sym_restrict] = ACTIONS(3074),
    [anon_sym___restrict__] = ACTIONS(3074),
    [anon_sym__Atomic] = ACTIONS(3074),
    [anon_sym__Noreturn] = ACTIONS(3074),
    [anon_sym_noreturn] = ACTIONS(3074),
    [anon_sym__Nonnull] = ACTIONS(3074),
    [anon_sym_mutable] = ACTIONS(3074),
    [anon_sym_constinit] = ACTIONS(3074),
    [anon_sym_consteval] = ACTIONS(3074),
    [anon_sym_PROGMEM] = ACTIONS(3074),
    [anon_sym_alignas] = ACTIONS(3074),
    [anon_sym__Alignas] = ACTIONS(3074),
    [aux_sym_primitive_type_token1] = ACTIONS(3074),
    [anon_sym_byte] = ACTIONS(3074),
    [anon_sym_word] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_class] = ACTIONS(3074),
    [anon_sym_struct] = ACTIONS(3074),
    [anon_sym_union] = ACTIONS(3074),
    [anon_sym_if] = ACTIONS(3074),
    [anon_sym_switch] = ACTIONS(3074),
    [anon_sym_case] = ACTIONS(3074),
    [anon_sym_default] = ACTIONS(3074),
    [anon_sym_while] = ACTIONS(3074),
    [anon_sym_do] = ACTIONS(3074),
    [anon_sym_for] = ACTIONS(3074),
    [anon_sym_return] = ACTIONS(3074),
    [anon_sym_break] = ACTIONS(3074),
    [anon_sym_continue] = ACTIONS(3074),
    [anon_sym_goto] = ACTIONS(3074),
    [anon_sym_not] = ACTIONS(3074),
    [anon_sym_compl] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_sizeof] = ACTIONS(3074),
    [anon_sym___alignof__] = ACTIONS(3074),
    [anon_sym___alignof] = ACTIONS(3074),
    [anon_sym__alignof] = ACTIONS(3074),
    [anon_sym_alignof] = ACTIONS(3074),
    [anon_sym__Alignof] = ACTIONS(3074),
    [anon_sym_offsetof] = ACTIONS(3074),
    [anon_sym__Generic] = ACTIONS(3074),
    [anon_sym_asm] = ACTIONS(3074),
    [anon_sym___asm__] = ACTIONS(3074),
    [anon_sym___asm] = ACTIONS(3074),
    [aux_sym_number_literal_token1] = ACTIONS(3076),
    [aux_sym_number_literal_token2] = ACTIONS(3074),
    [anon_sym_L_SQUOTE] = ACTIONS(3076),
    [anon_sym_u_SQUOTE] = ACTIONS(3076),
    [anon_sym_U_SQUOTE] = ACTIONS(3076),
    [anon_sym_u8_SQUOTE] = ACTIONS(3076),
    [anon_sym_SQUOTE] = ACTIONS(3076),
    [anon_sym_L_DQUOTE] = ACTIONS(3076),
    [anon_sym_u_DQUOTE] = ACTIONS(3076),
    [anon_sym_U_DQUOTE] = ACTIONS(3076),
    [anon_sym_u8_DQUOTE] = ACTIONS(3076),
    [anon_sym_DQUOTE] = ACTIONS(3076),
    [sym_true] = ACTIONS(3074),
    [sym_false] = ACTIONS(3074),
    [anon_sym_NULL] = ACTIONS(3074),
    [anon_sym_nullptr] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3074),
    [anon_sym_explicit] = ACTIONS(3074),
    [anon_sym_typename] = ACTIONS(3074),
    [anon_sym_template] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_try] = ACTIONS(3074),
    [anon_sym_delete] = ACTIONS(3074),
    [anon_sym_throw] = ACTIONS(3074),
    [anon_sym_namespace] = ACTIONS(3074),
    [anon_sym_using] = ACTIONS(3074),
    [anon_sym_static_assert] = ACTIONS(3074),
    [anon_sym_concept] = ACTIONS(3074),
    [anon_sym_co_return] = ACTIONS(3074),
    [anon_sym_co_yield] = ACTIONS(3074),
    [anon_sym_R_DQUOTE] = ACTIONS(3076),
    [anon_sym_LR_DQUOTE] = ACTIONS(3076),
    [anon_sym_uR_DQUOTE] = ACTIONS(3076),
    [anon_sym_UR_DQUOTE] = ACTIONS(3076),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3076),
    [anon_sym_co_await] = ACTIONS(3074),
    [anon_sym_new] = ACTIONS(3074),
    [anon_sym_requires] = ACTIONS(3074),
    [sym_this] = ACTIONS(3074),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(2998),
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_include_token1] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym___cdecl] = ACTIONS(2996),
    [anon_sym___clrcall] = ACTIONS(2996),
    [anon_sym___stdcall] = ACTIONS(2996),
    [anon_sym___fastcall] = ACTIONS(2996),
    [anon_sym___thiscall] = ACTIONS(2996),
    [anon_sym___vectorcall] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2996),
    [anon_sym_compl] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [anon_sym___alignof__] = ACTIONS(2996),
    [anon_sym___alignof] = ACTIONS(2996),
    [anon_sym__alignof] = ACTIONS(2996),
    [anon_sym_alignof] = ACTIONS(2996),
    [anon_sym__Alignof] = ACTIONS(2996),
    [anon_sym_offsetof] = ACTIONS(2996),
    [anon_sym__Generic] = ACTIONS(2996),
    [anon_sym_asm] = ACTIONS(2996),
    [anon_sym___asm__] = ACTIONS(2996),
    [anon_sym___asm] = ACTIONS(2996),
    [aux_sym_number_literal_token1] = ACTIONS(2998),
    [aux_sym_number_literal_token2] = ACTIONS(2996),
    [anon_sym_L_SQUOTE] = ACTIONS(2998),
    [anon_sym_u_SQUOTE] = ACTIONS(2998),
    [anon_sym_U_SQUOTE] = ACTIONS(2998),
    [anon_sym_u8_SQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_L_DQUOTE] = ACTIONS(2998),
    [anon_sym_u_DQUOTE] = ACTIONS(2998),
    [anon_sym_U_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8_DQUOTE] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [anon_sym_NULL] = ACTIONS(2996),
    [anon_sym_nullptr] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
    [anon_sym_concept] = ACTIONS(2996),
    [anon_sym_co_return] = ACTIONS(2996),
    [anon_sym_co_yield] = ACTIONS(2996),
    [anon_sym_R_DQUOTE] = ACTIONS(2998),
    [anon_sym_LR_DQUOTE] = ACTIONS(2998),
    [anon_sym_uR_DQUOTE] = ACTIONS(2998),
    [anon_sym_UR_DQUOTE] = ACTIONS(2998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2998),
    [anon_sym_co_await] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_requires] = ACTIONS(2996),
    [sym_this] = ACTIONS(2996),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(3109),
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_include_token1] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym___cdecl] = ACTIONS(3107),
    [anon_sym___clrcall] = ACTIONS(3107),
    [anon_sym___stdcall] = ACTIONS(3107),
    [anon_sym___fastcall] = ACTIONS(3107),
    [anon_sym___thiscall] = ACTIONS(3107),
    [anon_sym___vectorcall] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym__Nonnull] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [anon_sym_PROGMEM] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym__Alignas] = ACTIONS(3107),
    [aux_sym_primitive_type_token1] = ACTIONS(3107),
    [anon_sym_byte] = ACTIONS(3107),
    [anon_sym_word] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_goto] = ACTIONS(3107),
    [anon_sym_not] = ACTIONS(3107),
    [anon_sym_compl] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3107),
    [anon_sym___alignof__] = ACTIONS(3107),
    [anon_sym___alignof] = ACTIONS(3107),
    [anon_sym__alignof] = ACTIONS(3107),
    [anon_sym_alignof] = ACTIONS(3107),
    [anon_sym__Alignof] = ACTIONS(3107),
    [anon_sym_offsetof] = ACTIONS(3107),
    [anon_sym__Generic] = ACTIONS(3107),
    [anon_sym_asm] = ACTIONS(3107),
    [anon_sym___asm__] = ACTIONS(3107),
    [anon_sym___asm] = ACTIONS(3107),
    [aux_sym_number_literal_token1] = ACTIONS(3109),
    [aux_sym_number_literal_token2] = ACTIONS(3107),
    [anon_sym_L_SQUOTE] = ACTIONS(3109),
    [anon_sym_u_SQUOTE] = ACTIONS(3109),
    [anon_sym_U_SQUOTE] = ACTIONS(3109),
    [anon_sym_u8_SQUOTE] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3109),
    [anon_sym_L_DQUOTE] = ACTIONS(3109),
    [anon_sym_u_DQUOTE] = ACTIONS(3109),
    [anon_sym_U_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8_DQUOTE] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3109),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [anon_sym_NULL] = ACTIONS(3107),
    [anon_sym_nullptr] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
    [anon_sym_concept] = ACTIONS(3107),
    [anon_sym_co_return] = ACTIONS(3107),
    [anon_sym_co_yield] = ACTIONS(3107),
    [anon_sym_R_DQUOTE] = ACTIONS(3109),
    [anon_sym_LR_DQUOTE] = ACTIONS(3109),
    [anon_sym_uR_DQUOTE] = ACTIONS(3109),
    [anon_sym_UR_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3109),
    [anon_sym_co_await] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_requires] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(2938),
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_include_token1] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym___cdecl] = ACTIONS(2936),
    [anon_sym___clrcall] = ACTIONS(2936),
    [anon_sym___stdcall] = ACTIONS(2936),
    [anon_sym___fastcall] = ACTIONS(2936),
    [anon_sym___thiscall] = ACTIONS(2936),
    [anon_sym___vectorcall] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_PROGMEM] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [aux_sym_primitive_type_token1] = ACTIONS(2936),
    [anon_sym_byte] = ACTIONS(2936),
    [anon_sym_word] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_goto] = ACTIONS(2936),
    [anon_sym_not] = ACTIONS(2936),
    [anon_sym_compl] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_sizeof] = ACTIONS(2936),
    [anon_sym___alignof__] = ACTIONS(2936),
    [anon_sym___alignof] = ACTIONS(2936),
    [anon_sym__alignof] = ACTIONS(2936),
    [anon_sym_alignof] = ACTIONS(2936),
    [anon_sym__Alignof] = ACTIONS(2936),
    [anon_sym_offsetof] = ACTIONS(2936),
    [anon_sym__Generic] = ACTIONS(2936),
    [anon_sym_asm] = ACTIONS(2936),
    [anon_sym___asm__] = ACTIONS(2936),
    [anon_sym___asm] = ACTIONS(2936),
    [aux_sym_number_literal_token1] = ACTIONS(2938),
    [aux_sym_number_literal_token2] = ACTIONS(2936),
    [anon_sym_L_SQUOTE] = ACTIONS(2938),
    [anon_sym_u_SQUOTE] = ACTIONS(2938),
    [anon_sym_U_SQUOTE] = ACTIONS(2938),
    [anon_sym_u8_SQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [anon_sym_L_DQUOTE] = ACTIONS(2938),
    [anon_sym_u_DQUOTE] = ACTIONS(2938),
    [anon_sym_U_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8_DQUOTE] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [anon_sym_NULL] = ACTIONS(2936),
    [anon_sym_nullptr] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
    [anon_sym_concept] = ACTIONS(2936),
    [anon_sym_co_return] = ACTIONS(2936),
    [anon_sym_co_yield] = ACTIONS(2936),
    [anon_sym_R_DQUOTE] = ACTIONS(2938),
    [anon_sym_LR_DQUOTE] = ACTIONS(2938),
    [anon_sym_uR_DQUOTE] = ACTIONS(2938),
    [anon_sym_UR_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2938),
    [anon_sym_co_await] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_requires] = ACTIONS(2936),
    [sym_this] = ACTIONS(2936),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(3135),
    [sym_identifier] = ACTIONS(3133),
    [aux_sym_preproc_include_token1] = ACTIONS(3133),
    [aux_sym_preproc_def_token1] = ACTIONS(3133),
    [aux_sym_preproc_if_token1] = ACTIONS(3133),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3133),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3133),
    [sym_preproc_directive] = ACTIONS(3133),
    [anon_sym_LPAREN2] = ACTIONS(3135),
    [anon_sym_BANG] = ACTIONS(3135),
    [anon_sym_TILDE] = ACTIONS(3135),
    [anon_sym_DASH] = ACTIONS(3133),
    [anon_sym_PLUS] = ACTIONS(3133),
    [anon_sym_STAR] = ACTIONS(3135),
    [anon_sym_AMP_AMP] = ACTIONS(3135),
    [anon_sym_AMP] = ACTIONS(3133),
    [anon_sym___extension__] = ACTIONS(3133),
    [anon_sym_typedef] = ACTIONS(3133),
    [anon_sym_virtual] = ACTIONS(3133),
    [anon_sym_extern] = ACTIONS(3133),
    [anon_sym___attribute__] = ACTIONS(3133),
    [anon_sym_COLON_COLON] = ACTIONS(3135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3135),
    [anon_sym___declspec] = ACTIONS(3133),
    [anon_sym___based] = ACTIONS(3133),
    [anon_sym___cdecl] = ACTIONS(3133),
    [anon_sym___clrcall] = ACTIONS(3133),
    [anon_sym___stdcall] = ACTIONS(3133),
    [anon_sym___fastcall] = ACTIONS(3133),
    [anon_sym___thiscall] = ACTIONS(3133),
    [anon_sym___vectorcall] = ACTIONS(3133),
    [anon_sym_LBRACE] = ACTIONS(3135),
    [anon_sym_signed] = ACTIONS(3133),
    [anon_sym_unsigned] = ACTIONS(3133),
    [anon_sym_long] = ACTIONS(3133),
    [anon_sym_short] = ACTIONS(3133),
    [anon_sym_LBRACK] = ACTIONS(3133),
    [anon_sym_static] = ACTIONS(3133),
    [anon_sym_register] = ACTIONS(3133),
    [anon_sym_inline] = ACTIONS(3133),
    [anon_sym___inline] = ACTIONS(3133),
    [anon_sym___inline__] = ACTIONS(3133),
    [anon_sym___forceinline] = ACTIONS(3133),
    [anon_sym_thread_local] = ACTIONS(3133),
    [anon_sym___thread] = ACTIONS(3133),
    [anon_sym_const] = ACTIONS(3133),
    [anon_sym_constexpr] = ACTIONS(3133),
    [anon_sym_volatile] = ACTIONS(3133),
    [anon_sym_restrict] = ACTIONS(3133),
    [anon_sym___restrict__] = ACTIONS(3133),
    [anon_sym__Atomic] = ACTIONS(3133),
    [anon_sym__Noreturn] = ACTIONS(3133),
    [anon_sym_noreturn] = ACTIONS(3133),
    [anon_sym__Nonnull] = ACTIONS(3133),
    [anon_sym_mutable] = ACTIONS(3133),
    [anon_sym_constinit] = ACTIONS(3133),
    [anon_sym_consteval] = ACTIONS(3133),
    [anon_sym_PROGMEM] = ACTIONS(3133),
    [anon_sym_alignas] = ACTIONS(3133),
    [anon_sym__Alignas] = ACTIONS(3133),
    [aux_sym_primitive_type_token1] = ACTIONS(3133),
    [anon_sym_byte] = ACTIONS(3133),
    [anon_sym_word] = ACTIONS(3133),
    [anon_sym_enum] = ACTIONS(3133),
    [anon_sym_class] = ACTIONS(3133),
    [anon_sym_struct] = ACTIONS(3133),
    [anon_sym_union] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3133),
    [anon_sym_switch] = ACTIONS(3133),
    [anon_sym_case] = ACTIONS(3133),
    [anon_sym_default] = ACTIONS(3133),
    [anon_sym_while] = ACTIONS(3133),
    [anon_sym_do] = ACTIONS(3133),
    [anon_sym_for] = ACTIONS(3133),
    [anon_sym_return] = ACTIONS(3133),
    [anon_sym_break] = ACTIONS(3133),
    [anon_sym_continue] = ACTIONS(3133),
    [anon_sym_goto] = ACTIONS(3133),
    [anon_sym_not] = ACTIONS(3133),
    [anon_sym_compl] = ACTIONS(3133),
    [anon_sym_DASH_DASH] = ACTIONS(3135),
    [anon_sym_PLUS_PLUS] = ACTIONS(3135),
    [anon_sym_sizeof] = ACTIONS(3133),
    [anon_sym___alignof__] = ACTIONS(3133),
    [anon_sym___alignof] = ACTIONS(3133),
    [anon_sym__alignof] = ACTIONS(3133),
    [anon_sym_alignof] = ACTIONS(3133),
    [anon_sym__Alignof] = ACTIONS(3133),
    [anon_sym_offsetof] = ACTIONS(3133),
    [anon_sym__Generic] = ACTIONS(3133),
    [anon_sym_asm] = ACTIONS(3133),
    [anon_sym___asm__] = ACTIONS(3133),
    [anon_sym___asm] = ACTIONS(3133),
    [aux_sym_number_literal_token1] = ACTIONS(3135),
    [aux_sym_number_literal_token2] = ACTIONS(3133),
    [anon_sym_L_SQUOTE] = ACTIONS(3135),
    [anon_sym_u_SQUOTE] = ACTIONS(3135),
    [anon_sym_U_SQUOTE] = ACTIONS(3135),
    [anon_sym_u8_SQUOTE] = ACTIONS(3135),
    [anon_sym_SQUOTE] = ACTIONS(3135),
    [anon_sym_L_DQUOTE] = ACTIONS(3135),
    [anon_sym_u_DQUOTE] = ACTIONS(3135),
    [anon_sym_U_DQUOTE] = ACTIONS(3135),
    [anon_sym_u8_DQUOTE] = ACTIONS(3135),
    [anon_sym_DQUOTE] = ACTIONS(3135),
    [sym_true] = ACTIONS(3133),
    [sym_false] = ACTIONS(3133),
    [anon_sym_NULL] = ACTIONS(3133),
    [anon_sym_nullptr] = ACTIONS(3133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3133),
    [anon_sym_decltype] = ACTIONS(3133),
    [anon_sym_explicit] = ACTIONS(3133),
    [anon_sym_typename] = ACTIONS(3133),
    [anon_sym_template] = ACTIONS(3133),
    [anon_sym_operator] = ACTIONS(3133),
    [anon_sym_try] = ACTIONS(3133),
    [anon_sym_delete] = ACTIONS(3133),
    [anon_sym_throw] = ACTIONS(3133),
    [anon_sym_namespace] = ACTIONS(3133),
    [anon_sym_using] = ACTIONS(3133),
    [anon_sym_static_assert] = ACTIONS(3133),
    [anon_sym_concept] = ACTIONS(3133),
    [anon_sym_co_return] = ACTIONS(3133),
    [anon_sym_co_yield] = ACTIONS(3133),
    [anon_sym_R_DQUOTE] = ACTIONS(3135),
    [anon_sym_LR_DQUOTE] = ACTIONS(3135),
    [anon_sym_uR_DQUOTE] = ACTIONS(3135),
    [anon_sym_UR_DQUOTE] = ACTIONS(3135),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3135),
    [anon_sym_co_await] = ACTIONS(3133),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_requires] = ACTIONS(3133),
    [sym_this] = ACTIONS(3133),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(3038),
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym__Nonnull] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_PROGMEM] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym__Alignas] = ACTIONS(3036),
    [aux_sym_primitive_type_token1] = ACTIONS(3036),
    [anon_sym_byte] = ACTIONS(3036),
    [anon_sym_word] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [anon_sym___asm] = ACTIONS(3036),
    [aux_sym_number_literal_token1] = ACTIONS(3038),
    [aux_sym_number_literal_token2] = ACTIONS(3036),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(3121),
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_include_token1] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_DASH] = ACTIONS(3119),
    [anon_sym_PLUS] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym___cdecl] = ACTIONS(3119),
    [anon_sym___clrcall] = ACTIONS(3119),
    [anon_sym___stdcall] = ACTIONS(3119),
    [anon_sym___fastcall] = ACTIONS(3119),
    [anon_sym___thiscall] = ACTIONS(3119),
    [anon_sym___vectorcall] = ACTIONS(3119),
    [anon_sym_LBRACE] = ACTIONS(3121),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_PROGMEM] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [aux_sym_primitive_type_token1] = ACTIONS(3119),
    [anon_sym_byte] = ACTIONS(3119),
    [anon_sym_word] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [anon_sym_if] = ACTIONS(3119),
    [anon_sym_switch] = ACTIONS(3119),
    [anon_sym_case] = ACTIONS(3119),
    [anon_sym_default] = ACTIONS(3119),
    [anon_sym_while] = ACTIONS(3119),
    [anon_sym_do] = ACTIONS(3119),
    [anon_sym_for] = ACTIONS(3119),
    [anon_sym_return] = ACTIONS(3119),
    [anon_sym_break] = ACTIONS(3119),
    [anon_sym_continue] = ACTIONS(3119),
    [anon_sym_goto] = ACTIONS(3119),
    [anon_sym_not] = ACTIONS(3119),
    [anon_sym_compl] = ACTIONS(3119),
    [anon_sym_DASH_DASH] = ACTIONS(3121),
    [anon_sym_PLUS_PLUS] = ACTIONS(3121),
    [anon_sym_sizeof] = ACTIONS(3119),
    [anon_sym___alignof__] = ACTIONS(3119),
    [anon_sym___alignof] = ACTIONS(3119),
    [anon_sym__alignof] = ACTIONS(3119),
    [anon_sym_alignof] = ACTIONS(3119),
    [anon_sym__Alignof] = ACTIONS(3119),
    [anon_sym_offsetof] = ACTIONS(3119),
    [anon_sym__Generic] = ACTIONS(3119),
    [anon_sym_asm] = ACTIONS(3119),
    [anon_sym___asm__] = ACTIONS(3119),
    [anon_sym___asm] = ACTIONS(3119),
    [aux_sym_number_literal_token1] = ACTIONS(3121),
    [aux_sym_number_literal_token2] = ACTIONS(3119),
    [anon_sym_L_SQUOTE] = ACTIONS(3121),
    [anon_sym_u_SQUOTE] = ACTIONS(3121),
    [anon_sym_U_SQUOTE] = ACTIONS(3121),
    [anon_sym_u8_SQUOTE] = ACTIONS(3121),
    [anon_sym_SQUOTE] = ACTIONS(3121),
    [anon_sym_L_DQUOTE] = ACTIONS(3121),
    [anon_sym_u_DQUOTE] = ACTIONS(3121),
    [anon_sym_U_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8_DQUOTE] = ACTIONS(3121),
    [anon_sym_DQUOTE] = ACTIONS(3121),
    [sym_true] = ACTIONS(3119),
    [sym_false] = ACTIONS(3119),
    [anon_sym_NULL] = ACTIONS(3119),
    [anon_sym_nullptr] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_try] = ACTIONS(3119),
    [anon_sym_delete] = ACTIONS(3119),
    [anon_sym_throw] = ACTIONS(3119),
    [anon_sym_namespace] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
    [anon_sym_concept] = ACTIONS(3119),
    [anon_sym_co_return] = ACTIONS(3119),
    [anon_sym_co_yield] = ACTIONS(3119),
    [anon_sym_R_DQUOTE] = ACTIONS(3121),
    [anon_sym_LR_DQUOTE] = ACTIONS(3121),
    [anon_sym_uR_DQUOTE] = ACTIONS(3121),
    [anon_sym_UR_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3121),
    [anon_sym_co_await] = ACTIONS(3119),
    [anon_sym_new] = ACTIONS(3119),
    [anon_sym_requires] = ACTIONS(3119),
    [sym_this] = ACTIONS(3119),
  },
  [744] = {
    [ts_builtin_sym_end] = ACTIONS(2930),
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_PROGMEM] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [aux_sym_primitive_type_token1] = ACTIONS(2928),
    [anon_sym_byte] = ACTIONS(2928),
    [anon_sym_word] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [anon_sym___asm] = ACTIONS(2928),
    [aux_sym_number_literal_token1] = ACTIONS(2930),
    [aux_sym_number_literal_token2] = ACTIONS(2928),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(3101),
    [sym_identifier] = ACTIONS(3099),
    [aux_sym_preproc_include_token1] = ACTIONS(3099),
    [aux_sym_preproc_def_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3099),
    [anon_sym_LPAREN2] = ACTIONS(3101),
    [anon_sym_BANG] = ACTIONS(3101),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_DASH] = ACTIONS(3099),
    [anon_sym_PLUS] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_AMP_AMP] = ACTIONS(3101),
    [anon_sym_AMP] = ACTIONS(3099),
    [anon_sym___extension__] = ACTIONS(3099),
    [anon_sym_typedef] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym___attribute__] = ACTIONS(3099),
    [anon_sym_COLON_COLON] = ACTIONS(3101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3101),
    [anon_sym___declspec] = ACTIONS(3099),
    [anon_sym___based] = ACTIONS(3099),
    [anon_sym___cdecl] = ACTIONS(3099),
    [anon_sym___clrcall] = ACTIONS(3099),
    [anon_sym___stdcall] = ACTIONS(3099),
    [anon_sym___fastcall] = ACTIONS(3099),
    [anon_sym___thiscall] = ACTIONS(3099),
    [anon_sym___vectorcall] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3099),
    [anon_sym_unsigned] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_register] = ACTIONS(3099),
    [anon_sym_inline] = ACTIONS(3099),
    [anon_sym___inline] = ACTIONS(3099),
    [anon_sym___inline__] = ACTIONS(3099),
    [anon_sym___forceinline] = ACTIONS(3099),
    [anon_sym_thread_local] = ACTIONS(3099),
    [anon_sym___thread] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_constexpr] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_restrict] = ACTIONS(3099),
    [anon_sym___restrict__] = ACTIONS(3099),
    [anon_sym__Atomic] = ACTIONS(3099),
    [anon_sym__Noreturn] = ACTIONS(3099),
    [anon_sym_noreturn] = ACTIONS(3099),
    [anon_sym__Nonnull] = ACTIONS(3099),
    [anon_sym_mutable] = ACTIONS(3099),
    [anon_sym_constinit] = ACTIONS(3099),
    [anon_sym_consteval] = ACTIONS(3099),
    [anon_sym_PROGMEM] = ACTIONS(3099),
    [anon_sym_alignas] = ACTIONS(3099),
    [anon_sym__Alignas] = ACTIONS(3099),
    [aux_sym_primitive_type_token1] = ACTIONS(3099),
    [anon_sym_byte] = ACTIONS(3099),
    [anon_sym_word] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_union] = ACTIONS(3099),
    [anon_sym_if] = ACTIONS(3099),
    [anon_sym_switch] = ACTIONS(3099),
    [anon_sym_case] = ACTIONS(3099),
    [anon_sym_default] = ACTIONS(3099),
    [anon_sym_while] = ACTIONS(3099),
    [anon_sym_do] = ACTIONS(3099),
    [anon_sym_for] = ACTIONS(3099),
    [anon_sym_return] = ACTIONS(3099),
    [anon_sym_break] = ACTIONS(3099),
    [anon_sym_continue] = ACTIONS(3099),
    [anon_sym_goto] = ACTIONS(3099),
    [anon_sym_not] = ACTIONS(3099),
    [anon_sym_compl] = ACTIONS(3099),
    [anon_sym_DASH_DASH] = ACTIONS(3101),
    [anon_sym_PLUS_PLUS] = ACTIONS(3101),
    [anon_sym_sizeof] = ACTIONS(3099),
    [anon_sym___alignof__] = ACTIONS(3099),
    [anon_sym___alignof] = ACTIONS(3099),
    [anon_sym__alignof] = ACTIONS(3099),
    [anon_sym_alignof] = ACTIONS(3099),
    [anon_sym__Alignof] = ACTIONS(3099),
    [anon_sym_offsetof] = ACTIONS(3099),
    [anon_sym__Generic] = ACTIONS(3099),
    [anon_sym_asm] = ACTIONS(3099),
    [anon_sym___asm__] = ACTIONS(3099),
    [anon_sym___asm] = ACTIONS(3099),
    [aux_sym_number_literal_token1] = ACTIONS(3101),
    [aux_sym_number_literal_token2] = ACTIONS(3099),
    [anon_sym_L_SQUOTE] = ACTIONS(3101),
    [anon_sym_u_SQUOTE] = ACTIONS(3101),
    [anon_sym_U_SQUOTE] = ACTIONS(3101),
    [anon_sym_u8_SQUOTE] = ACTIONS(3101),
    [anon_sym_SQUOTE] = ACTIONS(3101),
    [anon_sym_L_DQUOTE] = ACTIONS(3101),
    [anon_sym_u_DQUOTE] = ACTIONS(3101),
    [anon_sym_U_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8_DQUOTE] = ACTIONS(3101),
    [anon_sym_DQUOTE] = ACTIONS(3101),
    [sym_true] = ACTIONS(3099),
    [sym_false] = ACTIONS(3099),
    [anon_sym_NULL] = ACTIONS(3099),
    [anon_sym_nullptr] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3099),
    [anon_sym_decltype] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_typename] = ACTIONS(3099),
    [anon_sym_template] = ACTIONS(3099),
    [anon_sym_operator] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_delete] = ACTIONS(3099),
    [anon_sym_throw] = ACTIONS(3099),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static_assert] = ACTIONS(3099),
    [anon_sym_concept] = ACTIONS(3099),
    [anon_sym_co_return] = ACTIONS(3099),
    [anon_sym_co_yield] = ACTIONS(3099),
    [anon_sym_R_DQUOTE] = ACTIONS(3101),
    [anon_sym_LR_DQUOTE] = ACTIONS(3101),
    [anon_sym_uR_DQUOTE] = ACTIONS(3101),
    [anon_sym_UR_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3101),
    [anon_sym_co_await] = ACTIONS(3099),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_requires] = ACTIONS(3099),
    [sym_this] = ACTIONS(3099),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(3105),
    [sym_identifier] = ACTIONS(3103),
    [aux_sym_preproc_include_token1] = ACTIONS(3103),
    [aux_sym_preproc_def_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3103),
    [sym_preproc_directive] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3103),
    [anon_sym_PLUS] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP_AMP] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3103),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_typedef] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym___based] = ACTIONS(3103),
    [anon_sym___cdecl] = ACTIONS(3103),
    [anon_sym___clrcall] = ACTIONS(3103),
    [anon_sym___stdcall] = ACTIONS(3103),
    [anon_sym___fastcall] = ACTIONS(3103),
    [anon_sym___thiscall] = ACTIONS(3103),
    [anon_sym___vectorcall] = ACTIONS(3103),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym__Nonnull] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [anon_sym_PROGMEM] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym__Alignas] = ACTIONS(3103),
    [aux_sym_primitive_type_token1] = ACTIONS(3103),
    [anon_sym_byte] = ACTIONS(3103),
    [anon_sym_word] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [anon_sym_if] = ACTIONS(3103),
    [anon_sym_switch] = ACTIONS(3103),
    [anon_sym_case] = ACTIONS(3103),
    [anon_sym_default] = ACTIONS(3103),
    [anon_sym_while] = ACTIONS(3103),
    [anon_sym_do] = ACTIONS(3103),
    [anon_sym_for] = ACTIONS(3103),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_break] = ACTIONS(3103),
    [anon_sym_continue] = ACTIONS(3103),
    [anon_sym_goto] = ACTIONS(3103),
    [anon_sym_not] = ACTIONS(3103),
    [anon_sym_compl] = ACTIONS(3103),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3103),
    [anon_sym___alignof__] = ACTIONS(3103),
    [anon_sym___alignof] = ACTIONS(3103),
    [anon_sym__alignof] = ACTIONS(3103),
    [anon_sym_alignof] = ACTIONS(3103),
    [anon_sym__Alignof] = ACTIONS(3103),
    [anon_sym_offsetof] = ACTIONS(3103),
    [anon_sym__Generic] = ACTIONS(3103),
    [anon_sym_asm] = ACTIONS(3103),
    [anon_sym___asm__] = ACTIONS(3103),
    [anon_sym___asm] = ACTIONS(3103),
    [aux_sym_number_literal_token1] = ACTIONS(3105),
    [aux_sym_number_literal_token2] = ACTIONS(3103),
    [anon_sym_L_SQUOTE] = ACTIONS(3105),
    [anon_sym_u_SQUOTE] = ACTIONS(3105),
    [anon_sym_U_SQUOTE] = ACTIONS(3105),
    [anon_sym_u8_SQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_L_DQUOTE] = ACTIONS(3105),
    [anon_sym_u_DQUOTE] = ACTIONS(3105),
    [anon_sym_U_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8_DQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [sym_true] = ACTIONS(3103),
    [sym_false] = ACTIONS(3103),
    [anon_sym_NULL] = ACTIONS(3103),
    [anon_sym_nullptr] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(3103),
    [anon_sym_try] = ACTIONS(3103),
    [anon_sym_delete] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static_assert] = ACTIONS(3103),
    [anon_sym_concept] = ACTIONS(3103),
    [anon_sym_co_return] = ACTIONS(3103),
    [anon_sym_co_yield] = ACTIONS(3103),
    [anon_sym_R_DQUOTE] = ACTIONS(3105),
    [anon_sym_LR_DQUOTE] = ACTIONS(3105),
    [anon_sym_uR_DQUOTE] = ACTIONS(3105),
    [anon_sym_UR_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3105),
    [anon_sym_co_await] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_requires] = ACTIONS(3103),
    [sym_this] = ACTIONS(3103),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(3113),
    [sym_identifier] = ACTIONS(3111),
    [aux_sym_preproc_include_token1] = ACTIONS(3111),
    [aux_sym_preproc_def_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3111),
    [sym_preproc_directive] = ACTIONS(3111),
    [anon_sym_LPAREN2] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(3113),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3111),
    [anon_sym_PLUS] = ACTIONS(3111),
    [anon_sym_STAR] = ACTIONS(3113),
    [anon_sym_AMP_AMP] = ACTIONS(3113),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym___extension__] = ACTIONS(3111),
    [anon_sym_typedef] = ACTIONS(3111),
    [anon_sym_virtual] = ACTIONS(3111),
    [anon_sym_extern] = ACTIONS(3111),
    [anon_sym___attribute__] = ACTIONS(3111),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3113),
    [anon_sym___declspec] = ACTIONS(3111),
    [anon_sym___based] = ACTIONS(3111),
    [anon_sym___cdecl] = ACTIONS(3111),
    [anon_sym___clrcall] = ACTIONS(3111),
    [anon_sym___stdcall] = ACTIONS(3111),
    [anon_sym___fastcall] = ACTIONS(3111),
    [anon_sym___thiscall] = ACTIONS(3111),
    [anon_sym___vectorcall] = ACTIONS(3111),
    [anon_sym_LBRACE] = ACTIONS(3113),
    [anon_sym_signed] = ACTIONS(3111),
    [anon_sym_unsigned] = ACTIONS(3111),
    [anon_sym_long] = ACTIONS(3111),
    [anon_sym_short] = ACTIONS(3111),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_static] = ACTIONS(3111),
    [anon_sym_register] = ACTIONS(3111),
    [anon_sym_inline] = ACTIONS(3111),
    [anon_sym___inline] = ACTIONS(3111),
    [anon_sym___inline__] = ACTIONS(3111),
    [anon_sym___forceinline] = ACTIONS(3111),
    [anon_sym_thread_local] = ACTIONS(3111),
    [anon_sym___thread] = ACTIONS(3111),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_constexpr] = ACTIONS(3111),
    [anon_sym_volatile] = ACTIONS(3111),
    [anon_sym_restrict] = ACTIONS(3111),
    [anon_sym___restrict__] = ACTIONS(3111),
    [anon_sym__Atomic] = ACTIONS(3111),
    [anon_sym__Noreturn] = ACTIONS(3111),
    [anon_sym_noreturn] = ACTIONS(3111),
    [anon_sym__Nonnull] = ACTIONS(3111),
    [anon_sym_mutable] = ACTIONS(3111),
    [anon_sym_constinit] = ACTIONS(3111),
    [anon_sym_consteval] = ACTIONS(3111),
    [anon_sym_PROGMEM] = ACTIONS(3111),
    [anon_sym_alignas] = ACTIONS(3111),
    [anon_sym__Alignas] = ACTIONS(3111),
    [aux_sym_primitive_type_token1] = ACTIONS(3111),
    [anon_sym_byte] = ACTIONS(3111),
    [anon_sym_word] = ACTIONS(3111),
    [anon_sym_enum] = ACTIONS(3111),
    [anon_sym_class] = ACTIONS(3111),
    [anon_sym_struct] = ACTIONS(3111),
    [anon_sym_union] = ACTIONS(3111),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_switch] = ACTIONS(3111),
    [anon_sym_case] = ACTIONS(3111),
    [anon_sym_default] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3111),
    [anon_sym_do] = ACTIONS(3111),
    [anon_sym_for] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3111),
    [anon_sym_break] = ACTIONS(3111),
    [anon_sym_continue] = ACTIONS(3111),
    [anon_sym_goto] = ACTIONS(3111),
    [anon_sym_not] = ACTIONS(3111),
    [anon_sym_compl] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3113),
    [anon_sym_PLUS_PLUS] = ACTIONS(3113),
    [anon_sym_sizeof] = ACTIONS(3111),
    [anon_sym___alignof__] = ACTIONS(3111),
    [anon_sym___alignof] = ACTIONS(3111),
    [anon_sym__alignof] = ACTIONS(3111),
    [anon_sym_alignof] = ACTIONS(3111),
    [anon_sym__Alignof] = ACTIONS(3111),
    [anon_sym_offsetof] = ACTIONS(3111),
    [anon_sym__Generic] = ACTIONS(3111),
    [anon_sym_asm] = ACTIONS(3111),
    [anon_sym___asm__] = ACTIONS(3111),
    [anon_sym___asm] = ACTIONS(3111),
    [aux_sym_number_literal_token1] = ACTIONS(3113),
    [aux_sym_number_literal_token2] = ACTIONS(3111),
    [anon_sym_L_SQUOTE] = ACTIONS(3113),
    [anon_sym_u_SQUOTE] = ACTIONS(3113),
    [anon_sym_U_SQUOTE] = ACTIONS(3113),
    [anon_sym_u8_SQUOTE] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(3113),
    [anon_sym_L_DQUOTE] = ACTIONS(3113),
    [anon_sym_u_DQUOTE] = ACTIONS(3113),
    [anon_sym_U_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8_DQUOTE] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3113),
    [sym_true] = ACTIONS(3111),
    [sym_false] = ACTIONS(3111),
    [anon_sym_NULL] = ACTIONS(3111),
    [anon_sym_nullptr] = ACTIONS(3111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3111),
    [anon_sym_decltype] = ACTIONS(3111),
    [anon_sym_explicit] = ACTIONS(3111),
    [anon_sym_typename] = ACTIONS(3111),
    [anon_sym_template] = ACTIONS(3111),
    [anon_sym_operator] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3111),
    [anon_sym_delete] = ACTIONS(3111),
    [anon_sym_throw] = ACTIONS(3111),
    [anon_sym_namespace] = ACTIONS(3111),
    [anon_sym_using] = ACTIONS(3111),
    [anon_sym_static_assert] = ACTIONS(3111),
    [anon_sym_concept] = ACTIONS(3111),
    [anon_sym_co_return] = ACTIONS(3111),
    [anon_sym_co_yield] = ACTIONS(3111),
    [anon_sym_R_DQUOTE] = ACTIONS(3113),
    [anon_sym_LR_DQUOTE] = ACTIONS(3113),
    [anon_sym_uR_DQUOTE] = ACTIONS(3113),
    [anon_sym_UR_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3113),
    [anon_sym_co_await] = ACTIONS(3111),
    [anon_sym_new] = ACTIONS(3111),
    [anon_sym_requires] = ACTIONS(3111),
    [sym_this] = ACTIONS(3111),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(3117),
    [sym_identifier] = ACTIONS(3115),
    [aux_sym_preproc_include_token1] = ACTIONS(3115),
    [aux_sym_preproc_def_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3117),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_PLUS] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym___extension__] = ACTIONS(3115),
    [anon_sym_typedef] = ACTIONS(3115),
    [anon_sym_virtual] = ACTIONS(3115),
    [anon_sym_extern] = ACTIONS(3115),
    [anon_sym___attribute__] = ACTIONS(3115),
    [anon_sym_COLON_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3117),
    [anon_sym___declspec] = ACTIONS(3115),
    [anon_sym___based] = ACTIONS(3115),
    [anon_sym___cdecl] = ACTIONS(3115),
    [anon_sym___clrcall] = ACTIONS(3115),
    [anon_sym___stdcall] = ACTIONS(3115),
    [anon_sym___fastcall] = ACTIONS(3115),
    [anon_sym___thiscall] = ACTIONS(3115),
    [anon_sym___vectorcall] = ACTIONS(3115),
    [anon_sym_LBRACE] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3115),
    [anon_sym_unsigned] = ACTIONS(3115),
    [anon_sym_long] = ACTIONS(3115),
    [anon_sym_short] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_register] = ACTIONS(3115),
    [anon_sym_inline] = ACTIONS(3115),
    [anon_sym___inline] = ACTIONS(3115),
    [anon_sym___inline__] = ACTIONS(3115),
    [anon_sym___forceinline] = ACTIONS(3115),
    [anon_sym_thread_local] = ACTIONS(3115),
    [anon_sym___thread] = ACTIONS(3115),
    [anon_sym_const] = ACTIONS(3115),
    [anon_sym_constexpr] = ACTIONS(3115),
    [anon_sym_volatile] = ACTIONS(3115),
    [anon_sym_restrict] = ACTIONS(3115),
    [anon_sym___restrict__] = ACTIONS(3115),
    [anon_sym__Atomic] = ACTIONS(3115),
    [anon_sym__Noreturn] = ACTIONS(3115),
    [anon_sym_noreturn] = ACTIONS(3115),
    [anon_sym__Nonnull] = ACTIONS(3115),
    [anon_sym_mutable] = ACTIONS(3115),
    [anon_sym_constinit] = ACTIONS(3115),
    [anon_sym_consteval] = ACTIONS(3115),
    [anon_sym_PROGMEM] = ACTIONS(3115),
    [anon_sym_alignas] = ACTIONS(3115),
    [anon_sym__Alignas] = ACTIONS(3115),
    [aux_sym_primitive_type_token1] = ACTIONS(3115),
    [anon_sym_byte] = ACTIONS(3115),
    [anon_sym_word] = ACTIONS(3115),
    [anon_sym_enum] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(3115),
    [anon_sym_union] = ACTIONS(3115),
    [anon_sym_if] = ACTIONS(3115),
    [anon_sym_switch] = ACTIONS(3115),
    [anon_sym_case] = ACTIONS(3115),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_while] = ACTIONS(3115),
    [anon_sym_do] = ACTIONS(3115),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_return] = ACTIONS(3115),
    [anon_sym_break] = ACTIONS(3115),
    [anon_sym_continue] = ACTIONS(3115),
    [anon_sym_goto] = ACTIONS(3115),
    [anon_sym_not] = ACTIONS(3115),
    [anon_sym_compl] = ACTIONS(3115),
    [anon_sym_DASH_DASH] = ACTIONS(3117),
    [anon_sym_PLUS_PLUS] = ACTIONS(3117),
    [anon_sym_sizeof] = ACTIONS(3115),
    [anon_sym___alignof__] = ACTIONS(3115),
    [anon_sym___alignof] = ACTIONS(3115),
    [anon_sym__alignof] = ACTIONS(3115),
    [anon_sym_alignof] = ACTIONS(3115),
    [anon_sym__Alignof] = ACTIONS(3115),
    [anon_sym_offsetof] = ACTIONS(3115),
    [anon_sym__Generic] = ACTIONS(3115),
    [anon_sym_asm] = ACTIONS(3115),
    [anon_sym___asm__] = ACTIONS(3115),
    [anon_sym___asm] = ACTIONS(3115),
    [aux_sym_number_literal_token1] = ACTIONS(3117),
    [aux_sym_number_literal_token2] = ACTIONS(3115),
    [anon_sym_L_SQUOTE] = ACTIONS(3117),
    [anon_sym_u_SQUOTE] = ACTIONS(3117),
    [anon_sym_U_SQUOTE] = ACTIONS(3117),
    [anon_sym_u8_SQUOTE] = ACTIONS(3117),
    [anon_sym_SQUOTE] = ACTIONS(3117),
    [anon_sym_L_DQUOTE] = ACTIONS(3117),
    [anon_sym_u_DQUOTE] = ACTIONS(3117),
    [anon_sym_U_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8_DQUOTE] = ACTIONS(3117),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_true] = ACTIONS(3115),
    [sym_false] = ACTIONS(3115),
    [anon_sym_NULL] = ACTIONS(3115),
    [anon_sym_nullptr] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3115),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_explicit] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(3115),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3115),
    [anon_sym_delete] = ACTIONS(3115),
    [anon_sym_throw] = ACTIONS(3115),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_using] = ACTIONS(3115),
    [anon_sym_static_assert] = ACTIONS(3115),
    [anon_sym_concept] = ACTIONS(3115),
    [anon_sym_co_return] = ACTIONS(3115),
    [anon_sym_co_yield] = ACTIONS(3115),
    [anon_sym_R_DQUOTE] = ACTIONS(3117),
    [anon_sym_LR_DQUOTE] = ACTIONS(3117),
    [anon_sym_uR_DQUOTE] = ACTIONS(3117),
    [anon_sym_UR_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3117),
    [anon_sym_co_await] = ACTIONS(3115),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_requires] = ACTIONS(3115),
    [sym_this] = ACTIONS(3115),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(3220),
    [sym_identifier] = ACTIONS(3218),
    [aux_sym_preproc_include_token1] = ACTIONS(3218),
    [aux_sym_preproc_def_token1] = ACTIONS(3218),
    [aux_sym_preproc_if_token1] = ACTIONS(3218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3218),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3218),
    [sym_preproc_directive] = ACTIONS(3218),
    [anon_sym_LPAREN2] = ACTIONS(3220),
    [anon_sym_BANG] = ACTIONS(3220),
    [anon_sym_TILDE] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_AMP] = ACTIONS(3218),
    [anon_sym___extension__] = ACTIONS(3218),
    [anon_sym_typedef] = ACTIONS(3218),
    [anon_sym_virtual] = ACTIONS(3218),
    [anon_sym_extern] = ACTIONS(3218),
    [anon_sym___attribute__] = ACTIONS(3218),
    [anon_sym_COLON_COLON] = ACTIONS(3220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3220),
    [anon_sym___declspec] = ACTIONS(3218),
    [anon_sym___based] = ACTIONS(3218),
    [anon_sym___cdecl] = ACTIONS(3218),
    [anon_sym___clrcall] = ACTIONS(3218),
    [anon_sym___stdcall] = ACTIONS(3218),
    [anon_sym___fastcall] = ACTIONS(3218),
    [anon_sym___thiscall] = ACTIONS(3218),
    [anon_sym___vectorcall] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_signed] = ACTIONS(3218),
    [anon_sym_unsigned] = ACTIONS(3218),
    [anon_sym_long] = ACTIONS(3218),
    [anon_sym_short] = ACTIONS(3218),
    [anon_sym_LBRACK] = ACTIONS(3218),
    [anon_sym_static] = ACTIONS(3218),
    [anon_sym_register] = ACTIONS(3218),
    [anon_sym_inline] = ACTIONS(3218),
    [anon_sym___inline] = ACTIONS(3218),
    [anon_sym___inline__] = ACTIONS(3218),
    [anon_sym___forceinline] = ACTIONS(3218),
    [anon_sym_thread_local] = ACTIONS(3218),
    [anon_sym___thread] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_constexpr] = ACTIONS(3218),
    [anon_sym_volatile] = ACTIONS(3218),
    [anon_sym_restrict] = ACTIONS(3218),
    [anon_sym___restrict__] = ACTIONS(3218),
    [anon_sym__Atomic] = ACTIONS(3218),
    [anon_sym__Noreturn] = ACTIONS(3218),
    [anon_sym_noreturn] = ACTIONS(3218),
    [anon_sym__Nonnull] = ACTIONS(3218),
    [anon_sym_mutable] = ACTIONS(3218),
    [anon_sym_constinit] = ACTIONS(3218),
    [anon_sym_consteval] = ACTIONS(3218),
    [anon_sym_PROGMEM] = ACTIONS(3218),
    [anon_sym_alignas] = ACTIONS(3218),
    [anon_sym__Alignas] = ACTIONS(3218),
    [aux_sym_primitive_type_token1] = ACTIONS(3218),
    [anon_sym_byte] = ACTIONS(3218),
    [anon_sym_word] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [anon_sym_class] = ACTIONS(3218),
    [anon_sym_struct] = ACTIONS(3218),
    [anon_sym_union] = ACTIONS(3218),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_switch] = ACTIONS(3218),
    [anon_sym_case] = ACTIONS(3218),
    [anon_sym_default] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_do] = ACTIONS(3218),
    [anon_sym_for] = ACTIONS(3218),
    [anon_sym_return] = ACTIONS(3218),
    [anon_sym_break] = ACTIONS(3218),
    [anon_sym_continue] = ACTIONS(3218),
    [anon_sym_goto] = ACTIONS(3218),
    [anon_sym_not] = ACTIONS(3218),
    [anon_sym_compl] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_sizeof] = ACTIONS(3218),
    [anon_sym___alignof__] = ACTIONS(3218),
    [anon_sym___alignof] = ACTIONS(3218),
    [anon_sym__alignof] = ACTIONS(3218),
    [anon_sym_alignof] = ACTIONS(3218),
    [anon_sym__Alignof] = ACTIONS(3218),
    [anon_sym_offsetof] = ACTIONS(3218),
    [anon_sym__Generic] = ACTIONS(3218),
    [anon_sym_asm] = ACTIONS(3218),
    [anon_sym___asm__] = ACTIONS(3218),
    [anon_sym___asm] = ACTIONS(3218),
    [aux_sym_number_literal_token1] = ACTIONS(3220),
    [aux_sym_number_literal_token2] = ACTIONS(3218),
    [anon_sym_L_SQUOTE] = ACTIONS(3220),
    [anon_sym_u_SQUOTE] = ACTIONS(3220),
    [anon_sym_U_SQUOTE] = ACTIONS(3220),
    [anon_sym_u8_SQUOTE] = ACTIONS(3220),
    [anon_sym_SQUOTE] = ACTIONS(3220),
    [anon_sym_L_DQUOTE] = ACTIONS(3220),
    [anon_sym_u_DQUOTE] = ACTIONS(3220),
    [anon_sym_U_DQUOTE] = ACTIONS(3220),
    [anon_sym_u8_DQUOTE] = ACTIONS(3220),
    [anon_sym_DQUOTE] = ACTIONS(3220),
    [sym_true] = ACTIONS(3218),
    [sym_false] = ACTIONS(3218),
    [anon_sym_NULL] = ACTIONS(3218),
    [anon_sym_nullptr] = ACTIONS(3218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3218),
    [anon_sym_decltype] = ACTIONS(3218),
    [anon_sym_explicit] = ACTIONS(3218),
    [anon_sym_typename] = ACTIONS(3218),
    [anon_sym_template] = ACTIONS(3218),
    [anon_sym_operator] = ACTIONS(3218),
    [anon_sym_try] = ACTIONS(3218),
    [anon_sym_delete] = ACTIONS(3218),
    [anon_sym_throw] = ACTIONS(3218),
    [anon_sym_namespace] = ACTIONS(3218),
    [anon_sym_using] = ACTIONS(3218),
    [anon_sym_static_assert] = ACTIONS(3218),
    [anon_sym_concept] = ACTIONS(3218),
    [anon_sym_co_return] = ACTIONS(3218),
    [anon_sym_co_yield] = ACTIONS(3218),
    [anon_sym_R_DQUOTE] = ACTIONS(3220),
    [anon_sym_LR_DQUOTE] = ACTIONS(3220),
    [anon_sym_uR_DQUOTE] = ACTIONS(3220),
    [anon_sym_UR_DQUOTE] = ACTIONS(3220),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3220),
    [anon_sym_co_await] = ACTIONS(3218),
    [anon_sym_new] = ACTIONS(3218),
    [anon_sym_requires] = ACTIONS(3218),
    [sym_this] = ACTIONS(3218),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(3127),
    [sym_identifier] = ACTIONS(3125),
    [aux_sym_preproc_include_token1] = ACTIONS(3125),
    [aux_sym_preproc_def_token1] = ACTIONS(3125),
    [aux_sym_preproc_if_token1] = ACTIONS(3125),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3125),
    [sym_preproc_directive] = ACTIONS(3125),
    [anon_sym_LPAREN2] = ACTIONS(3127),
    [anon_sym_BANG] = ACTIONS(3127),
    [anon_sym_TILDE] = ACTIONS(3127),
    [anon_sym_DASH] = ACTIONS(3125),
    [anon_sym_PLUS] = ACTIONS(3125),
    [anon_sym_STAR] = ACTIONS(3127),
    [anon_sym_AMP_AMP] = ACTIONS(3127),
    [anon_sym_AMP] = ACTIONS(3125),
    [anon_sym___extension__] = ACTIONS(3125),
    [anon_sym_typedef] = ACTIONS(3125),
    [anon_sym_virtual] = ACTIONS(3125),
    [anon_sym_extern] = ACTIONS(3125),
    [anon_sym___attribute__] = ACTIONS(3125),
    [anon_sym_COLON_COLON] = ACTIONS(3127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3127),
    [anon_sym___declspec] = ACTIONS(3125),
    [anon_sym___based] = ACTIONS(3125),
    [anon_sym___cdecl] = ACTIONS(3125),
    [anon_sym___clrcall] = ACTIONS(3125),
    [anon_sym___stdcall] = ACTIONS(3125),
    [anon_sym___fastcall] = ACTIONS(3125),
    [anon_sym___thiscall] = ACTIONS(3125),
    [anon_sym___vectorcall] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_signed] = ACTIONS(3125),
    [anon_sym_unsigned] = ACTIONS(3125),
    [anon_sym_long] = ACTIONS(3125),
    [anon_sym_short] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3125),
    [anon_sym_static] = ACTIONS(3125),
    [anon_sym_register] = ACTIONS(3125),
    [anon_sym_inline] = ACTIONS(3125),
    [anon_sym___inline] = ACTIONS(3125),
    [anon_sym___inline__] = ACTIONS(3125),
    [anon_sym___forceinline] = ACTIONS(3125),
    [anon_sym_thread_local] = ACTIONS(3125),
    [anon_sym___thread] = ACTIONS(3125),
    [anon_sym_const] = ACTIONS(3125),
    [anon_sym_constexpr] = ACTIONS(3125),
    [anon_sym_volatile] = ACTIONS(3125),
    [anon_sym_restrict] = ACTIONS(3125),
    [anon_sym___restrict__] = ACTIONS(3125),
    [anon_sym__Atomic] = ACTIONS(3125),
    [anon_sym__Noreturn] = ACTIONS(3125),
    [anon_sym_noreturn] = ACTIONS(3125),
    [anon_sym__Nonnull] = ACTIONS(3125),
    [anon_sym_mutable] = ACTIONS(3125),
    [anon_sym_constinit] = ACTIONS(3125),
    [anon_sym_consteval] = ACTIONS(3125),
    [anon_sym_PROGMEM] = ACTIONS(3125),
    [anon_sym_alignas] = ACTIONS(3125),
    [anon_sym__Alignas] = ACTIONS(3125),
    [aux_sym_primitive_type_token1] = ACTIONS(3125),
    [anon_sym_byte] = ACTIONS(3125),
    [anon_sym_word] = ACTIONS(3125),
    [anon_sym_enum] = ACTIONS(3125),
    [anon_sym_class] = ACTIONS(3125),
    [anon_sym_struct] = ACTIONS(3125),
    [anon_sym_union] = ACTIONS(3125),
    [anon_sym_if] = ACTIONS(3125),
    [anon_sym_switch] = ACTIONS(3125),
    [anon_sym_case] = ACTIONS(3125),
    [anon_sym_default] = ACTIONS(3125),
    [anon_sym_while] = ACTIONS(3125),
    [anon_sym_do] = ACTIONS(3125),
    [anon_sym_for] = ACTIONS(3125),
    [anon_sym_return] = ACTIONS(3125),
    [anon_sym_break] = ACTIONS(3125),
    [anon_sym_continue] = ACTIONS(3125),
    [anon_sym_goto] = ACTIONS(3125),
    [anon_sym_not] = ACTIONS(3125),
    [anon_sym_compl] = ACTIONS(3125),
    [anon_sym_DASH_DASH] = ACTIONS(3127),
    [anon_sym_PLUS_PLUS] = ACTIONS(3127),
    [anon_sym_sizeof] = ACTIONS(3125),
    [anon_sym___alignof__] = ACTIONS(3125),
    [anon_sym___alignof] = ACTIONS(3125),
    [anon_sym__alignof] = ACTIONS(3125),
    [anon_sym_alignof] = ACTIONS(3125),
    [anon_sym__Alignof] = ACTIONS(3125),
    [anon_sym_offsetof] = ACTIONS(3125),
    [anon_sym__Generic] = ACTIONS(3125),
    [anon_sym_asm] = ACTIONS(3125),
    [anon_sym___asm__] = ACTIONS(3125),
    [anon_sym___asm] = ACTIONS(3125),
    [aux_sym_number_literal_token1] = ACTIONS(3127),
    [aux_sym_number_literal_token2] = ACTIONS(3125),
    [anon_sym_L_SQUOTE] = ACTIONS(3127),
    [anon_sym_u_SQUOTE] = ACTIONS(3127),
    [anon_sym_U_SQUOTE] = ACTIONS(3127),
    [anon_sym_u8_SQUOTE] = ACTIONS(3127),
    [anon_sym_SQUOTE] = ACTIONS(3127),
    [anon_sym_L_DQUOTE] = ACTIONS(3127),
    [anon_sym_u_DQUOTE] = ACTIONS(3127),
    [anon_sym_U_DQUOTE] = ACTIONS(3127),
    [anon_sym_u8_DQUOTE] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3127),
    [sym_true] = ACTIONS(3125),
    [sym_false] = ACTIONS(3125),
    [anon_sym_NULL] = ACTIONS(3125),
    [anon_sym_nullptr] = ACTIONS(3125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3125),
    [anon_sym_decltype] = ACTIONS(3125),
    [anon_sym_explicit] = ACTIONS(3125),
    [anon_sym_typename] = ACTIONS(3125),
    [anon_sym_template] = ACTIONS(3125),
    [anon_sym_operator] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3125),
    [anon_sym_delete] = ACTIONS(3125),
    [anon_sym_throw] = ACTIONS(3125),
    [anon_sym_namespace] = ACTIONS(3125),
    [anon_sym_using] = ACTIONS(3125),
    [anon_sym_static_assert] = ACTIONS(3125),
    [anon_sym_concept] = ACTIONS(3125),
    [anon_sym_co_return] = ACTIONS(3125),
    [anon_sym_co_yield] = ACTIONS(3125),
    [anon_sym_R_DQUOTE] = ACTIONS(3127),
    [anon_sym_LR_DQUOTE] = ACTIONS(3127),
    [anon_sym_uR_DQUOTE] = ACTIONS(3127),
    [anon_sym_UR_DQUOTE] = ACTIONS(3127),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3127),
    [anon_sym_co_await] = ACTIONS(3125),
    [anon_sym_new] = ACTIONS(3125),
    [anon_sym_requires] = ACTIONS(3125),
    [sym_this] = ACTIONS(3125),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(3164),
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [anon_sym___asm] = ACTIONS(3162),
    [aux_sym_number_literal_token1] = ACTIONS(3164),
    [aux_sym_number_literal_token2] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(3131),
    [sym_identifier] = ACTIONS(3129),
    [aux_sym_preproc_include_token1] = ACTIONS(3129),
    [aux_sym_preproc_def_token1] = ACTIONS(3129),
    [aux_sym_preproc_if_token1] = ACTIONS(3129),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3129),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3129),
    [sym_preproc_directive] = ACTIONS(3129),
    [anon_sym_LPAREN2] = ACTIONS(3131),
    [anon_sym_BANG] = ACTIONS(3131),
    [anon_sym_TILDE] = ACTIONS(3131),
    [anon_sym_DASH] = ACTIONS(3129),
    [anon_sym_PLUS] = ACTIONS(3129),
    [anon_sym_STAR] = ACTIONS(3131),
    [anon_sym_AMP_AMP] = ACTIONS(3131),
    [anon_sym_AMP] = ACTIONS(3129),
    [anon_sym___extension__] = ACTIONS(3129),
    [anon_sym_typedef] = ACTIONS(3129),
    [anon_sym_virtual] = ACTIONS(3129),
    [anon_sym_extern] = ACTIONS(3129),
    [anon_sym___attribute__] = ACTIONS(3129),
    [anon_sym_COLON_COLON] = ACTIONS(3131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3131),
    [anon_sym___declspec] = ACTIONS(3129),
    [anon_sym___based] = ACTIONS(3129),
    [anon_sym___cdecl] = ACTIONS(3129),
    [anon_sym___clrcall] = ACTIONS(3129),
    [anon_sym___stdcall] = ACTIONS(3129),
    [anon_sym___fastcall] = ACTIONS(3129),
    [anon_sym___thiscall] = ACTIONS(3129),
    [anon_sym___vectorcall] = ACTIONS(3129),
    [anon_sym_LBRACE] = ACTIONS(3131),
    [anon_sym_signed] = ACTIONS(3129),
    [anon_sym_unsigned] = ACTIONS(3129),
    [anon_sym_long] = ACTIONS(3129),
    [anon_sym_short] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(3129),
    [anon_sym_static] = ACTIONS(3129),
    [anon_sym_register] = ACTIONS(3129),
    [anon_sym_inline] = ACTIONS(3129),
    [anon_sym___inline] = ACTIONS(3129),
    [anon_sym___inline__] = ACTIONS(3129),
    [anon_sym___forceinline] = ACTIONS(3129),
    [anon_sym_thread_local] = ACTIONS(3129),
    [anon_sym___thread] = ACTIONS(3129),
    [anon_sym_const] = ACTIONS(3129),
    [anon_sym_constexpr] = ACTIONS(3129),
    [anon_sym_volatile] = ACTIONS(3129),
    [anon_sym_restrict] = ACTIONS(3129),
    [anon_sym___restrict__] = ACTIONS(3129),
    [anon_sym__Atomic] = ACTIONS(3129),
    [anon_sym__Noreturn] = ACTIONS(3129),
    [anon_sym_noreturn] = ACTIONS(3129),
    [anon_sym__Nonnull] = ACTIONS(3129),
    [anon_sym_mutable] = ACTIONS(3129),
    [anon_sym_constinit] = ACTIONS(3129),
    [anon_sym_consteval] = ACTIONS(3129),
    [anon_sym_PROGMEM] = ACTIONS(3129),
    [anon_sym_alignas] = ACTIONS(3129),
    [anon_sym__Alignas] = ACTIONS(3129),
    [aux_sym_primitive_type_token1] = ACTIONS(3129),
    [anon_sym_byte] = ACTIONS(3129),
    [anon_sym_word] = ACTIONS(3129),
    [anon_sym_enum] = ACTIONS(3129),
    [anon_sym_class] = ACTIONS(3129),
    [anon_sym_struct] = ACTIONS(3129),
    [anon_sym_union] = ACTIONS(3129),
    [anon_sym_if] = ACTIONS(3129),
    [anon_sym_switch] = ACTIONS(3129),
    [anon_sym_case] = ACTIONS(3129),
    [anon_sym_default] = ACTIONS(3129),
    [anon_sym_while] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(3129),
    [anon_sym_for] = ACTIONS(3129),
    [anon_sym_return] = ACTIONS(3129),
    [anon_sym_break] = ACTIONS(3129),
    [anon_sym_continue] = ACTIONS(3129),
    [anon_sym_goto] = ACTIONS(3129),
    [anon_sym_not] = ACTIONS(3129),
    [anon_sym_compl] = ACTIONS(3129),
    [anon_sym_DASH_DASH] = ACTIONS(3131),
    [anon_sym_PLUS_PLUS] = ACTIONS(3131),
    [anon_sym_sizeof] = ACTIONS(3129),
    [anon_sym___alignof__] = ACTIONS(3129),
    [anon_sym___alignof] = ACTIONS(3129),
    [anon_sym__alignof] = ACTIONS(3129),
    [anon_sym_alignof] = ACTIONS(3129),
    [anon_sym__Alignof] = ACTIONS(3129),
    [anon_sym_offsetof] = ACTIONS(3129),
    [anon_sym__Generic] = ACTIONS(3129),
    [anon_sym_asm] = ACTIONS(3129),
    [anon_sym___asm__] = ACTIONS(3129),
    [anon_sym___asm] = ACTIONS(3129),
    [aux_sym_number_literal_token1] = ACTIONS(3131),
    [aux_sym_number_literal_token2] = ACTIONS(3129),
    [anon_sym_L_SQUOTE] = ACTIONS(3131),
    [anon_sym_u_SQUOTE] = ACTIONS(3131),
    [anon_sym_U_SQUOTE] = ACTIONS(3131),
    [anon_sym_u8_SQUOTE] = ACTIONS(3131),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_L_DQUOTE] = ACTIONS(3131),
    [anon_sym_u_DQUOTE] = ACTIONS(3131),
    [anon_sym_U_DQUOTE] = ACTIONS(3131),
    [anon_sym_u8_DQUOTE] = ACTIONS(3131),
    [anon_sym_DQUOTE] = ACTIONS(3131),
    [sym_true] = ACTIONS(3129),
    [sym_false] = ACTIONS(3129),
    [anon_sym_NULL] = ACTIONS(3129),
    [anon_sym_nullptr] = ACTIONS(3129),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3129),
    [anon_sym_decltype] = ACTIONS(3129),
    [anon_sym_explicit] = ACTIONS(3129),
    [anon_sym_typename] = ACTIONS(3129),
    [anon_sym_template] = ACTIONS(3129),
    [anon_sym_operator] = ACTIONS(3129),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_delete] = ACTIONS(3129),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_namespace] = ACTIONS(3129),
    [anon_sym_using] = ACTIONS(3129),
    [anon_sym_static_assert] = ACTIONS(3129),
    [anon_sym_concept] = ACTIONS(3129),
    [anon_sym_co_return] = ACTIONS(3129),
    [anon_sym_co_yield] = ACTIONS(3129),
    [anon_sym_R_DQUOTE] = ACTIONS(3131),
    [anon_sym_LR_DQUOTE] = ACTIONS(3131),
    [anon_sym_uR_DQUOTE] = ACTIONS(3131),
    [anon_sym_UR_DQUOTE] = ACTIONS(3131),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3131),
    [anon_sym_co_await] = ACTIONS(3129),
    [anon_sym_new] = ACTIONS(3129),
    [anon_sym_requires] = ACTIONS(3129),
    [sym_this] = ACTIONS(3129),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(3542),
    [sym_identifier] = ACTIONS(3544),
    [aux_sym_preproc_include_token1] = ACTIONS(3544),
    [aux_sym_preproc_def_token1] = ACTIONS(3544),
    [aux_sym_preproc_if_token1] = ACTIONS(3544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3544),
    [sym_preproc_directive] = ACTIONS(3544),
    [anon_sym_LPAREN2] = ACTIONS(3542),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3544),
    [anon_sym_STAR] = ACTIONS(3542),
    [anon_sym_AMP_AMP] = ACTIONS(3542),
    [anon_sym_AMP] = ACTIONS(3544),
    [anon_sym___extension__] = ACTIONS(3544),
    [anon_sym_typedef] = ACTIONS(3544),
    [anon_sym_virtual] = ACTIONS(3544),
    [anon_sym_extern] = ACTIONS(3544),
    [anon_sym___attribute__] = ACTIONS(3544),
    [anon_sym_COLON_COLON] = ACTIONS(3542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3542),
    [anon_sym___declspec] = ACTIONS(3544),
    [anon_sym___based] = ACTIONS(3544),
    [anon_sym___cdecl] = ACTIONS(3544),
    [anon_sym___clrcall] = ACTIONS(3544),
    [anon_sym___stdcall] = ACTIONS(3544),
    [anon_sym___fastcall] = ACTIONS(3544),
    [anon_sym___thiscall] = ACTIONS(3544),
    [anon_sym___vectorcall] = ACTIONS(3544),
    [anon_sym_LBRACE] = ACTIONS(3542),
    [anon_sym_signed] = ACTIONS(3544),
    [anon_sym_unsigned] = ACTIONS(3544),
    [anon_sym_long] = ACTIONS(3544),
    [anon_sym_short] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(3544),
    [anon_sym_static] = ACTIONS(3544),
    [anon_sym_register] = ACTIONS(3544),
    [anon_sym_inline] = ACTIONS(3544),
    [anon_sym___inline] = ACTIONS(3544),
    [anon_sym___inline__] = ACTIONS(3544),
    [anon_sym___forceinline] = ACTIONS(3544),
    [anon_sym_thread_local] = ACTIONS(3544),
    [anon_sym___thread] = ACTIONS(3544),
    [anon_sym_const] = ACTIONS(3544),
    [anon_sym_constexpr] = ACTIONS(3544),
    [anon_sym_volatile] = ACTIONS(3544),
    [anon_sym_restrict] = ACTIONS(3544),
    [anon_sym___restrict__] = ACTIONS(3544),
    [anon_sym__Atomic] = ACTIONS(3544),
    [anon_sym__Noreturn] = ACTIONS(3544),
    [anon_sym_noreturn] = ACTIONS(3544),
    [anon_sym__Nonnull] = ACTIONS(3544),
    [anon_sym_mutable] = ACTIONS(3544),
    [anon_sym_constinit] = ACTIONS(3544),
    [anon_sym_consteval] = ACTIONS(3544),
    [anon_sym_PROGMEM] = ACTIONS(3544),
    [anon_sym_alignas] = ACTIONS(3544),
    [anon_sym__Alignas] = ACTIONS(3544),
    [aux_sym_primitive_type_token1] = ACTIONS(3544),
    [anon_sym_byte] = ACTIONS(3544),
    [anon_sym_word] = ACTIONS(3544),
    [anon_sym_enum] = ACTIONS(3544),
    [anon_sym_class] = ACTIONS(3544),
    [anon_sym_struct] = ACTIONS(3544),
    [anon_sym_union] = ACTIONS(3544),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3544),
    [anon_sym_case] = ACTIONS(3544),
    [anon_sym_default] = ACTIONS(3544),
    [anon_sym_while] = ACTIONS(3544),
    [anon_sym_do] = ACTIONS(3544),
    [anon_sym_for] = ACTIONS(3544),
    [anon_sym_return] = ACTIONS(3544),
    [anon_sym_break] = ACTIONS(3544),
    [anon_sym_continue] = ACTIONS(3544),
    [anon_sym_goto] = ACTIONS(3544),
    [anon_sym_not] = ACTIONS(3544),
    [anon_sym_compl] = ACTIONS(3544),
    [anon_sym_DASH_DASH] = ACTIONS(3542),
    [anon_sym_PLUS_PLUS] = ACTIONS(3542),
    [anon_sym_sizeof] = ACTIONS(3544),
    [anon_sym___alignof__] = ACTIONS(3544),
    [anon_sym___alignof] = ACTIONS(3544),
    [anon_sym__alignof] = ACTIONS(3544),
    [anon_sym_alignof] = ACTIONS(3544),
    [anon_sym__Alignof] = ACTIONS(3544),
    [anon_sym_offsetof] = ACTIONS(3544),
    [anon_sym__Generic] = ACTIONS(3544),
    [anon_sym_asm] = ACTIONS(3544),
    [anon_sym___asm__] = ACTIONS(3544),
    [anon_sym___asm] = ACTIONS(3544),
    [aux_sym_number_literal_token1] = ACTIONS(3542),
    [aux_sym_number_literal_token2] = ACTIONS(3544),
    [anon_sym_L_SQUOTE] = ACTIONS(3542),
    [anon_sym_u_SQUOTE] = ACTIONS(3542),
    [anon_sym_U_SQUOTE] = ACTIONS(3542),
    [anon_sym_u8_SQUOTE] = ACTIONS(3542),
    [anon_sym_SQUOTE] = ACTIONS(3542),
    [anon_sym_L_DQUOTE] = ACTIONS(3542),
    [anon_sym_u_DQUOTE] = ACTIONS(3542),
    [anon_sym_U_DQUOTE] = ACTIONS(3542),
    [anon_sym_u8_DQUOTE] = ACTIONS(3542),
    [anon_sym_DQUOTE] = ACTIONS(3542),
    [sym_true] = ACTIONS(3544),
    [sym_false] = ACTIONS(3544),
    [anon_sym_NULL] = ACTIONS(3544),
    [anon_sym_nullptr] = ACTIONS(3544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3544),
    [anon_sym_decltype] = ACTIONS(3544),
    [anon_sym_explicit] = ACTIONS(3544),
    [anon_sym_typename] = ACTIONS(3544),
    [anon_sym_template] = ACTIONS(3544),
    [anon_sym_operator] = ACTIONS(3544),
    [anon_sym_try] = ACTIONS(3544),
    [anon_sym_delete] = ACTIONS(3544),
    [anon_sym_throw] = ACTIONS(3544),
    [anon_sym_namespace] = ACTIONS(3544),
    [anon_sym_using] = ACTIONS(3544),
    [anon_sym_static_assert] = ACTIONS(3544),
    [anon_sym_concept] = ACTIONS(3544),
    [anon_sym_co_return] = ACTIONS(3544),
    [anon_sym_co_yield] = ACTIONS(3544),
    [anon_sym_R_DQUOTE] = ACTIONS(3542),
    [anon_sym_LR_DQUOTE] = ACTIONS(3542),
    [anon_sym_uR_DQUOTE] = ACTIONS(3542),
    [anon_sym_UR_DQUOTE] = ACTIONS(3542),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3542),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3544),
    [anon_sym_requires] = ACTIONS(3544),
    [sym_this] = ACTIONS(3544),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(2954),
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_virtual] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym__Nonnull] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [anon_sym_PROGMEM] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym__Alignas] = ACTIONS(2952),
    [aux_sym_primitive_type_token1] = ACTIONS(2952),
    [anon_sym_byte] = ACTIONS(2952),
    [anon_sym_word] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [anon_sym___asm] = ACTIONS(2952),
    [aux_sym_number_literal_token1] = ACTIONS(2954),
    [aux_sym_number_literal_token2] = ACTIONS(2952),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(3168),
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym___cdecl] = ACTIONS(3166),
    [anon_sym___clrcall] = ACTIONS(3166),
    [anon_sym___stdcall] = ACTIONS(3166),
    [anon_sym___fastcall] = ACTIONS(3166),
    [anon_sym___thiscall] = ACTIONS(3166),
    [anon_sym___vectorcall] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym__Nonnull] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_PROGMEM] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym__Alignas] = ACTIONS(3166),
    [aux_sym_primitive_type_token1] = ACTIONS(3166),
    [anon_sym_byte] = ACTIONS(3166),
    [anon_sym_word] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_goto] = ACTIONS(3166),
    [anon_sym_not] = ACTIONS(3166),
    [anon_sym_compl] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_sizeof] = ACTIONS(3166),
    [anon_sym___alignof__] = ACTIONS(3166),
    [anon_sym___alignof] = ACTIONS(3166),
    [anon_sym__alignof] = ACTIONS(3166),
    [anon_sym_alignof] = ACTIONS(3166),
    [anon_sym__Alignof] = ACTIONS(3166),
    [anon_sym_offsetof] = ACTIONS(3166),
    [anon_sym__Generic] = ACTIONS(3166),
    [anon_sym_asm] = ACTIONS(3166),
    [anon_sym___asm__] = ACTIONS(3166),
    [anon_sym___asm] = ACTIONS(3166),
    [aux_sym_number_literal_token1] = ACTIONS(3168),
    [aux_sym_number_literal_token2] = ACTIONS(3166),
    [anon_sym_L_SQUOTE] = ACTIONS(3168),
    [anon_sym_u_SQUOTE] = ACTIONS(3168),
    [anon_sym_U_SQUOTE] = ACTIONS(3168),
    [anon_sym_u8_SQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_L_DQUOTE] = ACTIONS(3168),
    [anon_sym_u_DQUOTE] = ACTIONS(3168),
    [anon_sym_U_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8_DQUOTE] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [anon_sym_NULL] = ACTIONS(3166),
    [anon_sym_nullptr] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
    [anon_sym_concept] = ACTIONS(3166),
    [anon_sym_co_return] = ACTIONS(3166),
    [anon_sym_co_yield] = ACTIONS(3166),
    [anon_sym_R_DQUOTE] = ACTIONS(3168),
    [anon_sym_LR_DQUOTE] = ACTIONS(3168),
    [anon_sym_uR_DQUOTE] = ACTIONS(3168),
    [anon_sym_UR_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3168),
    [anon_sym_co_await] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_requires] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
  },
  [756] = {
    [ts_builtin_sym_end] = ACTIONS(3143),
    [sym_identifier] = ACTIONS(3141),
    [aux_sym_preproc_include_token1] = ACTIONS(3141),
    [aux_sym_preproc_def_token1] = ACTIONS(3141),
    [aux_sym_preproc_if_token1] = ACTIONS(3141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3141),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3141),
    [sym_preproc_directive] = ACTIONS(3141),
    [anon_sym_LPAREN2] = ACTIONS(3143),
    [anon_sym_BANG] = ACTIONS(3143),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3141),
    [anon_sym_PLUS] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3143),
    [anon_sym_AMP_AMP] = ACTIONS(3143),
    [anon_sym_AMP] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3141),
    [anon_sym_typedef] = ACTIONS(3141),
    [anon_sym_virtual] = ACTIONS(3141),
    [anon_sym_extern] = ACTIONS(3141),
    [anon_sym___attribute__] = ACTIONS(3141),
    [anon_sym_COLON_COLON] = ACTIONS(3143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3143),
    [anon_sym___declspec] = ACTIONS(3141),
    [anon_sym___based] = ACTIONS(3141),
    [anon_sym___cdecl] = ACTIONS(3141),
    [anon_sym___clrcall] = ACTIONS(3141),
    [anon_sym___stdcall] = ACTIONS(3141),
    [anon_sym___fastcall] = ACTIONS(3141),
    [anon_sym___thiscall] = ACTIONS(3141),
    [anon_sym___vectorcall] = ACTIONS(3141),
    [anon_sym_LBRACE] = ACTIONS(3143),
    [anon_sym_signed] = ACTIONS(3141),
    [anon_sym_unsigned] = ACTIONS(3141),
    [anon_sym_long] = ACTIONS(3141),
    [anon_sym_short] = ACTIONS(3141),
    [anon_sym_LBRACK] = ACTIONS(3141),
    [anon_sym_static] = ACTIONS(3141),
    [anon_sym_register] = ACTIONS(3141),
    [anon_sym_inline] = ACTIONS(3141),
    [anon_sym___inline] = ACTIONS(3141),
    [anon_sym___inline__] = ACTIONS(3141),
    [anon_sym___forceinline] = ACTIONS(3141),
    [anon_sym_thread_local] = ACTIONS(3141),
    [anon_sym___thread] = ACTIONS(3141),
    [anon_sym_const] = ACTIONS(3141),
    [anon_sym_constexpr] = ACTIONS(3141),
    [anon_sym_volatile] = ACTIONS(3141),
    [anon_sym_restrict] = ACTIONS(3141),
    [anon_sym___restrict__] = ACTIONS(3141),
    [anon_sym__Atomic] = ACTIONS(3141),
    [anon_sym__Noreturn] = ACTIONS(3141),
    [anon_sym_noreturn] = ACTIONS(3141),
    [anon_sym__Nonnull] = ACTIONS(3141),
    [anon_sym_mutable] = ACTIONS(3141),
    [anon_sym_constinit] = ACTIONS(3141),
    [anon_sym_consteval] = ACTIONS(3141),
    [anon_sym_PROGMEM] = ACTIONS(3141),
    [anon_sym_alignas] = ACTIONS(3141),
    [anon_sym__Alignas] = ACTIONS(3141),
    [aux_sym_primitive_type_token1] = ACTIONS(3141),
    [anon_sym_byte] = ACTIONS(3141),
    [anon_sym_word] = ACTIONS(3141),
    [anon_sym_enum] = ACTIONS(3141),
    [anon_sym_class] = ACTIONS(3141),
    [anon_sym_struct] = ACTIONS(3141),
    [anon_sym_union] = ACTIONS(3141),
    [anon_sym_if] = ACTIONS(3141),
    [anon_sym_switch] = ACTIONS(3141),
    [anon_sym_case] = ACTIONS(3141),
    [anon_sym_default] = ACTIONS(3141),
    [anon_sym_while] = ACTIONS(3141),
    [anon_sym_do] = ACTIONS(3141),
    [anon_sym_for] = ACTIONS(3141),
    [anon_sym_return] = ACTIONS(3141),
    [anon_sym_break] = ACTIONS(3141),
    [anon_sym_continue] = ACTIONS(3141),
    [anon_sym_goto] = ACTIONS(3141),
    [anon_sym_not] = ACTIONS(3141),
    [anon_sym_compl] = ACTIONS(3141),
    [anon_sym_DASH_DASH] = ACTIONS(3143),
    [anon_sym_PLUS_PLUS] = ACTIONS(3143),
    [anon_sym_sizeof] = ACTIONS(3141),
    [anon_sym___alignof__] = ACTIONS(3141),
    [anon_sym___alignof] = ACTIONS(3141),
    [anon_sym__alignof] = ACTIONS(3141),
    [anon_sym_alignof] = ACTIONS(3141),
    [anon_sym__Alignof] = ACTIONS(3141),
    [anon_sym_offsetof] = ACTIONS(3141),
    [anon_sym__Generic] = ACTIONS(3141),
    [anon_sym_asm] = ACTIONS(3141),
    [anon_sym___asm__] = ACTIONS(3141),
    [anon_sym___asm] = ACTIONS(3141),
    [aux_sym_number_literal_token1] = ACTIONS(3143),
    [aux_sym_number_literal_token2] = ACTIONS(3141),
    [anon_sym_L_SQUOTE] = ACTIONS(3143),
    [anon_sym_u_SQUOTE] = ACTIONS(3143),
    [anon_sym_U_SQUOTE] = ACTIONS(3143),
    [anon_sym_u8_SQUOTE] = ACTIONS(3143),
    [anon_sym_SQUOTE] = ACTIONS(3143),
    [anon_sym_L_DQUOTE] = ACTIONS(3143),
    [anon_sym_u_DQUOTE] = ACTIONS(3143),
    [anon_sym_U_DQUOTE] = ACTIONS(3143),
    [anon_sym_u8_DQUOTE] = ACTIONS(3143),
    [anon_sym_DQUOTE] = ACTIONS(3143),
    [sym_true] = ACTIONS(3141),
    [sym_false] = ACTIONS(3141),
    [anon_sym_NULL] = ACTIONS(3141),
    [anon_sym_nullptr] = ACTIONS(3141),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3141),
    [anon_sym_decltype] = ACTIONS(3141),
    [anon_sym_explicit] = ACTIONS(3141),
    [anon_sym_typename] = ACTIONS(3141),
    [anon_sym_template] = ACTIONS(3141),
    [anon_sym_operator] = ACTIONS(3141),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_delete] = ACTIONS(3141),
    [anon_sym_throw] = ACTIONS(3141),
    [anon_sym_namespace] = ACTIONS(3141),
    [anon_sym_using] = ACTIONS(3141),
    [anon_sym_static_assert] = ACTIONS(3141),
    [anon_sym_concept] = ACTIONS(3141),
    [anon_sym_co_return] = ACTIONS(3141),
    [anon_sym_co_yield] = ACTIONS(3141),
    [anon_sym_R_DQUOTE] = ACTIONS(3143),
    [anon_sym_LR_DQUOTE] = ACTIONS(3143),
    [anon_sym_uR_DQUOTE] = ACTIONS(3143),
    [anon_sym_UR_DQUOTE] = ACTIONS(3143),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3143),
    [anon_sym_co_await] = ACTIONS(3141),
    [anon_sym_new] = ACTIONS(3141),
    [anon_sym_requires] = ACTIONS(3141),
    [sym_this] = ACTIONS(3141),
  },
  [757] = {
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_field_declaration_list] = STATE(780),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(780),
    [sym_type_definition] = STATE(780),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(780),
    [sym_field_declaration] = STATE(780),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(780),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(780),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(780),
    [sym_operator_cast_declaration] = STATE(780),
    [sym_constructor_or_destructor_definition] = STATE(780),
    [sym_constructor_or_destructor_declaration] = STATE(780),
    [sym_friend_declaration] = STATE(780),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(780),
    [sym_alias_declaration] = STATE(780),
    [sym_static_assert_declaration] = STATE(780),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(780),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3560),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [758] = {
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_field_declaration_list] = STATE(780),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(780),
    [sym_type_definition] = STATE(780),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(780),
    [sym_field_declaration] = STATE(780),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(780),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(780),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(780),
    [sym_operator_cast_declaration] = STATE(780),
    [sym_constructor_or_destructor_definition] = STATE(780),
    [sym_constructor_or_destructor_declaration] = STATE(780),
    [sym_friend_declaration] = STATE(780),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(780),
    [sym_alias_declaration] = STATE(780),
    [sym_static_assert_declaration] = STATE(780),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(780),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3572),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [759] = {
    [sym_preproc_def] = STATE(761),
    [sym_preproc_function_def] = STATE(761),
    [sym_preproc_call] = STATE(761),
    [sym_preproc_if_in_field_declaration_list] = STATE(761),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(761),
    [sym_type_definition] = STATE(761),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(761),
    [sym_field_declaration] = STATE(761),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(761),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(761),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(761),
    [sym_operator_cast_declaration] = STATE(761),
    [sym_constructor_or_destructor_definition] = STATE(761),
    [sym_constructor_or_destructor_declaration] = STATE(761),
    [sym_friend_declaration] = STATE(761),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(761),
    [sym_alias_declaration] = STATE(761),
    [sym_static_assert_declaration] = STATE(761),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(761),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3574),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [760] = {
    [sym_preproc_def] = STATE(767),
    [sym_preproc_function_def] = STATE(767),
    [sym_preproc_call] = STATE(767),
    [sym_preproc_if_in_field_declaration_list] = STATE(767),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(767),
    [sym_type_definition] = STATE(767),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(767),
    [sym_field_declaration] = STATE(767),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(767),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(767),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(767),
    [sym_operator_cast_declaration] = STATE(767),
    [sym_constructor_or_destructor_definition] = STATE(767),
    [sym_constructor_or_destructor_declaration] = STATE(767),
    [sym_friend_declaration] = STATE(767),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(767),
    [sym_alias_declaration] = STATE(767),
    [sym_static_assert_declaration] = STATE(767),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(767),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3578),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3580),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [761] = {
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_field_declaration_list] = STATE(780),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(780),
    [sym_type_definition] = STATE(780),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(780),
    [sym_field_declaration] = STATE(780),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(780),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(780),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(780),
    [sym_operator_cast_declaration] = STATE(780),
    [sym_constructor_or_destructor_definition] = STATE(780),
    [sym_constructor_or_destructor_declaration] = STATE(780),
    [sym_friend_declaration] = STATE(780),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(780),
    [sym_alias_declaration] = STATE(780),
    [sym_static_assert_declaration] = STATE(780),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(780),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3582),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [762] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4397),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_initializer_list] = STATE(4683),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(2576),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1913),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1915),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(3588),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(1915),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [763] = {
    [sym_preproc_def] = STATE(758),
    [sym_preproc_function_def] = STATE(758),
    [sym_preproc_call] = STATE(758),
    [sym_preproc_if_in_field_declaration_list] = STATE(758),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(758),
    [sym_type_definition] = STATE(758),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(758),
    [sym_field_declaration] = STATE(758),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(758),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(758),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(758),
    [sym_operator_cast_declaration] = STATE(758),
    [sym_constructor_or_destructor_definition] = STATE(758),
    [sym_constructor_or_destructor_declaration] = STATE(758),
    [sym_friend_declaration] = STATE(758),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(758),
    [sym_alias_declaration] = STATE(758),
    [sym_static_assert_declaration] = STATE(758),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(758),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3590),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3592),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [764] = {
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_field_declaration_list] = STATE(780),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(780),
    [sym_type_definition] = STATE(780),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(780),
    [sym_field_declaration] = STATE(780),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(780),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(780),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(780),
    [sym_operator_cast_declaration] = STATE(780),
    [sym_constructor_or_destructor_definition] = STATE(780),
    [sym_constructor_or_destructor_declaration] = STATE(780),
    [sym_friend_declaration] = STATE(780),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(780),
    [sym_alias_declaration] = STATE(780),
    [sym_static_assert_declaration] = STATE(780),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(780),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3594),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [765] = {
    [sym_preproc_def] = STATE(783),
    [sym_preproc_function_def] = STATE(783),
    [sym_preproc_call] = STATE(783),
    [sym_preproc_if_in_field_declaration_list] = STATE(783),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(783),
    [sym_type_definition] = STATE(783),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(783),
    [sym_field_declaration] = STATE(783),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(783),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(783),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(783),
    [sym_operator_cast_declaration] = STATE(783),
    [sym_constructor_or_destructor_definition] = STATE(783),
    [sym_constructor_or_destructor_declaration] = STATE(783),
    [sym_friend_declaration] = STATE(783),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(783),
    [sym_alias_declaration] = STATE(783),
    [sym_static_assert_declaration] = STATE(783),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(783),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3596),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3598),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [766] = {
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_field_declaration_list] = STATE(780),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(780),
    [sym_type_definition] = STATE(780),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(780),
    [sym_field_declaration] = STATE(780),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(780),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(780),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(780),
    [sym_operator_cast_declaration] = STATE(780),
    [sym_constructor_or_destructor_definition] = STATE(780),
    [sym_constructor_or_destructor_declaration] = STATE(780),
    [sym_friend_declaration] = STATE(780),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(780),
    [sym_alias_declaration] = STATE(780),
    [sym_static_assert_declaration] = STATE(780),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(780),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3600),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [767] = {
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_field_declaration_list] = STATE(780),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(780),
    [sym_type_definition] = STATE(780),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(780),
    [sym_field_declaration] = STATE(780),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(780),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(780),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(780),
    [sym_operator_cast_declaration] = STATE(780),
    [sym_constructor_or_destructor_definition] = STATE(780),
    [sym_constructor_or_destructor_declaration] = STATE(780),
    [sym_friend_declaration] = STATE(780),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(780),
    [sym_alias_declaration] = STATE(780),
    [sym_static_assert_declaration] = STATE(780),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(780),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3602),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [768] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5451),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5873),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6352),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7603),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6352),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3362),
    [aux_sym_preproc_def_token1] = ACTIONS(3604),
    [aux_sym_preproc_if_token1] = ACTIONS(3607),
    [aux_sym_preproc_if_token2] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3610),
    [sym_preproc_directive] = ACTIONS(3613),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3382),
    [anon_sym_STAR] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3388),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym___extension__] = ACTIONS(3619),
    [anon_sym_typedef] = ACTIONS(3622),
    [anon_sym_virtual] = ACTIONS(3403),
    [anon_sym_extern] = ACTIONS(3406),
    [anon_sym___attribute__] = ACTIONS(3409),
    [anon_sym_COLON_COLON] = ACTIONS(3412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3415),
    [anon_sym___declspec] = ACTIONS(3418),
    [anon_sym___based] = ACTIONS(3421),
    [anon_sym_signed] = ACTIONS(3424),
    [anon_sym_unsigned] = ACTIONS(3424),
    [anon_sym_long] = ACTIONS(3424),
    [anon_sym_short] = ACTIONS(3424),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3406),
    [anon_sym_register] = ACTIONS(3406),
    [anon_sym_inline] = ACTIONS(3406),
    [anon_sym___inline] = ACTIONS(3406),
    [anon_sym___inline__] = ACTIONS(3406),
    [anon_sym___forceinline] = ACTIONS(3406),
    [anon_sym_thread_local] = ACTIONS(3406),
    [anon_sym___thread] = ACTIONS(3406),
    [anon_sym_const] = ACTIONS(3430),
    [anon_sym_constexpr] = ACTIONS(3625),
    [anon_sym_volatile] = ACTIONS(3430),
    [anon_sym_restrict] = ACTIONS(3430),
    [anon_sym___restrict__] = ACTIONS(3430),
    [anon_sym__Atomic] = ACTIONS(3430),
    [anon_sym__Noreturn] = ACTIONS(3430),
    [anon_sym_noreturn] = ACTIONS(3430),
    [anon_sym__Nonnull] = ACTIONS(3430),
    [anon_sym_mutable] = ACTIONS(3430),
    [anon_sym_constinit] = ACTIONS(3430),
    [anon_sym_consteval] = ACTIONS(3430),
    [anon_sym_PROGMEM] = ACTIONS(3430),
    [anon_sym_alignas] = ACTIONS(3436),
    [anon_sym__Alignas] = ACTIONS(3436),
    [aux_sym_primitive_type_token1] = ACTIONS(3439),
    [anon_sym_byte] = ACTIONS(3439),
    [anon_sym_word] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3442),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_struct] = ACTIONS(3448),
    [anon_sym_union] = ACTIONS(3451),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3454),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_explicit] = ACTIONS(3460),
    [anon_sym_typename] = ACTIONS(3463),
    [anon_sym_template] = ACTIONS(3628),
    [anon_sym_operator] = ACTIONS(3469),
    [anon_sym_friend] = ACTIONS(3631),
    [anon_sym_public] = ACTIONS(3475),
    [anon_sym_private] = ACTIONS(3475),
    [anon_sym_protected] = ACTIONS(3475),
    [anon_sym_using] = ACTIONS(3634),
    [anon_sym_static_assert] = ACTIONS(3637),
  },
  [769] = {
    [sym_preproc_def] = STATE(771),
    [sym_preproc_function_def] = STATE(771),
    [sym_preproc_call] = STATE(771),
    [sym_preproc_if_in_field_declaration_list] = STATE(771),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(771),
    [sym_type_definition] = STATE(771),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(771),
    [sym_field_declaration] = STATE(771),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(771),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(771),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(771),
    [sym_operator_cast_declaration] = STATE(771),
    [sym_constructor_or_destructor_definition] = STATE(771),
    [sym_constructor_or_destructor_declaration] = STATE(771),
    [sym_friend_declaration] = STATE(771),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(771),
    [sym_alias_declaration] = STATE(771),
    [sym_static_assert_declaration] = STATE(771),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3640),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3642),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [770] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5451),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5873),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6352),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7603),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6352),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3644),
    [aux_sym_preproc_if_token1] = ACTIONS(3646),
    [aux_sym_preproc_if_token2] = ACTIONS(3648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3650),
    [sym_preproc_directive] = ACTIONS(3652),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3654),
    [anon_sym___extension__] = ACTIONS(3656),
    [anon_sym_typedef] = ACTIONS(3658),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3660),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3662),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3664),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3666),
    [anon_sym_static_assert] = ACTIONS(3668),
  },
  [771] = {
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_field_declaration_list] = STATE(780),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(780),
    [sym_type_definition] = STATE(780),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(780),
    [sym_field_declaration] = STATE(780),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(780),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(780),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(780),
    [sym_operator_cast_declaration] = STATE(780),
    [sym_constructor_or_destructor_definition] = STATE(780),
    [sym_constructor_or_destructor_declaration] = STATE(780),
    [sym_friend_declaration] = STATE(780),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(780),
    [sym_alias_declaration] = STATE(780),
    [sym_static_assert_declaration] = STATE(780),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(780),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3670),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [772] = {
    [sym_preproc_def] = STATE(757),
    [sym_preproc_function_def] = STATE(757),
    [sym_preproc_call] = STATE(757),
    [sym_preproc_if_in_field_declaration_list] = STATE(757),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(757),
    [sym_type_definition] = STATE(757),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(757),
    [sym_field_declaration] = STATE(757),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(757),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(757),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(757),
    [sym_operator_cast_declaration] = STATE(757),
    [sym_constructor_or_destructor_definition] = STATE(757),
    [sym_constructor_or_destructor_declaration] = STATE(757),
    [sym_friend_declaration] = STATE(757),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(757),
    [sym_alias_declaration] = STATE(757),
    [sym_static_assert_declaration] = STATE(757),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(757),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3672),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3674),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [773] = {
    [sym_preproc_def] = STATE(766),
    [sym_preproc_function_def] = STATE(766),
    [sym_preproc_call] = STATE(766),
    [sym_preproc_if_in_field_declaration_list] = STATE(766),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(766),
    [sym_type_definition] = STATE(766),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(766),
    [sym_field_declaration] = STATE(766),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(766),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(766),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(766),
    [sym_operator_cast_declaration] = STATE(766),
    [sym_constructor_or_destructor_definition] = STATE(766),
    [sym_constructor_or_destructor_declaration] = STATE(766),
    [sym_friend_declaration] = STATE(766),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(766),
    [sym_alias_declaration] = STATE(766),
    [sym_static_assert_declaration] = STATE(766),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(766),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3676),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3678),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [774] = {
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_field_declaration_list] = STATE(780),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(780),
    [sym_type_definition] = STATE(780),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(780),
    [sym_field_declaration] = STATE(780),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(780),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(780),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(780),
    [sym_operator_cast_declaration] = STATE(780),
    [sym_constructor_or_destructor_definition] = STATE(780),
    [sym_constructor_or_destructor_declaration] = STATE(780),
    [sym_friend_declaration] = STATE(780),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(780),
    [sym_alias_declaration] = STATE(780),
    [sym_static_assert_declaration] = STATE(780),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(780),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3680),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [775] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_initializer_list] = STATE(3859),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(3684),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1915),
    [anon_sym_GT_GT] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [776] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3772),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_initializer_list] = STATE(3859),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_LPAREN2] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(3702),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1915),
    [anon_sym_GT_GT] = ACTIONS(1915),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_RBRACK] = ACTIONS(1915),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_LT_EQ_GT] = ACTIONS(1915),
    [anon_sym_or] = ACTIONS(1913),
    [anon_sym_and] = ACTIONS(1913),
    [anon_sym_bitor] = ACTIONS(1913),
    [anon_sym_xor] = ACTIONS(1913),
    [anon_sym_bitand] = ACTIONS(1913),
    [anon_sym_not_eq] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_DOT_STAR] = ACTIONS(1915),
    [anon_sym_DASH_GT] = ACTIONS(1915),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [777] = {
    [sym_preproc_def] = STATE(764),
    [sym_preproc_function_def] = STATE(764),
    [sym_preproc_call] = STATE(764),
    [sym_preproc_if_in_field_declaration_list] = STATE(764),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(764),
    [sym_type_definition] = STATE(764),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(764),
    [sym_field_declaration] = STATE(764),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(764),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(764),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(764),
    [sym_operator_cast_declaration] = STATE(764),
    [sym_constructor_or_destructor_definition] = STATE(764),
    [sym_constructor_or_destructor_declaration] = STATE(764),
    [sym_friend_declaration] = STATE(764),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(764),
    [sym_alias_declaration] = STATE(764),
    [sym_static_assert_declaration] = STATE(764),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(764),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3716),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3718),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [778] = {
    [sym_preproc_def] = STATE(770),
    [sym_preproc_function_def] = STATE(770),
    [sym_preproc_call] = STATE(770),
    [sym_preproc_if_in_field_declaration_list] = STATE(770),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(770),
    [sym_type_definition] = STATE(770),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5451),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5873),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(770),
    [sym_field_declaration] = STATE(770),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(770),
    [sym_operator_cast] = STATE(6352),
    [sym_inline_method_definition] = STATE(770),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(770),
    [sym_operator_cast_declaration] = STATE(770),
    [sym_constructor_or_destructor_definition] = STATE(770),
    [sym_constructor_or_destructor_declaration] = STATE(770),
    [sym_friend_declaration] = STATE(770),
    [sym_access_specifier] = STATE(7603),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(770),
    [sym_alias_declaration] = STATE(770),
    [sym_static_assert_declaration] = STATE(770),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6352),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(770),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3644),
    [aux_sym_preproc_if_token1] = ACTIONS(3646),
    [aux_sym_preproc_if_token2] = ACTIONS(3720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3650),
    [sym_preproc_directive] = ACTIONS(3652),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3722),
    [anon_sym___extension__] = ACTIONS(3656),
    [anon_sym_typedef] = ACTIONS(3658),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3660),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3662),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3664),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3666),
    [anon_sym_static_assert] = ACTIONS(3668),
  },
  [779] = {
    [sym_preproc_def] = STATE(781),
    [sym_preproc_function_def] = STATE(781),
    [sym_preproc_call] = STATE(781),
    [sym_preproc_if_in_field_declaration_list] = STATE(781),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(781),
    [sym_type_definition] = STATE(781),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(781),
    [sym_field_declaration] = STATE(781),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(781),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(781),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(781),
    [sym_operator_cast_declaration] = STATE(781),
    [sym_constructor_or_destructor_definition] = STATE(781),
    [sym_constructor_or_destructor_declaration] = STATE(781),
    [sym_friend_declaration] = STATE(781),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(781),
    [sym_alias_declaration] = STATE(781),
    [sym_static_assert_declaration] = STATE(781),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3724),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3726),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [780] = {
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_field_declaration_list] = STATE(780),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(780),
    [sym_type_definition] = STATE(780),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(780),
    [sym_field_declaration] = STATE(780),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(780),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(780),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(780),
    [sym_operator_cast_declaration] = STATE(780),
    [sym_constructor_or_destructor_definition] = STATE(780),
    [sym_constructor_or_destructor_declaration] = STATE(780),
    [sym_friend_declaration] = STATE(780),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(780),
    [sym_alias_declaration] = STATE(780),
    [sym_static_assert_declaration] = STATE(780),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(780),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3362),
    [aux_sym_preproc_def_token1] = ACTIONS(3728),
    [aux_sym_preproc_if_token1] = ACTIONS(3731),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3734),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3734),
    [sym_preproc_directive] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3382),
    [anon_sym_STAR] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3388),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_SEMI] = ACTIONS(3740),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_typedef] = ACTIONS(3746),
    [anon_sym_virtual] = ACTIONS(3403),
    [anon_sym_extern] = ACTIONS(3406),
    [anon_sym___attribute__] = ACTIONS(3409),
    [anon_sym_COLON_COLON] = ACTIONS(3412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3415),
    [anon_sym___declspec] = ACTIONS(3418),
    [anon_sym___based] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(3749),
    [anon_sym_signed] = ACTIONS(3424),
    [anon_sym_unsigned] = ACTIONS(3424),
    [anon_sym_long] = ACTIONS(3424),
    [anon_sym_short] = ACTIONS(3424),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3406),
    [anon_sym_register] = ACTIONS(3406),
    [anon_sym_inline] = ACTIONS(3406),
    [anon_sym___inline] = ACTIONS(3406),
    [anon_sym___inline__] = ACTIONS(3406),
    [anon_sym___forceinline] = ACTIONS(3406),
    [anon_sym_thread_local] = ACTIONS(3406),
    [anon_sym___thread] = ACTIONS(3406),
    [anon_sym_const] = ACTIONS(3430),
    [anon_sym_constexpr] = ACTIONS(3751),
    [anon_sym_volatile] = ACTIONS(3430),
    [anon_sym_restrict] = ACTIONS(3430),
    [anon_sym___restrict__] = ACTIONS(3430),
    [anon_sym__Atomic] = ACTIONS(3430),
    [anon_sym__Noreturn] = ACTIONS(3430),
    [anon_sym_noreturn] = ACTIONS(3430),
    [anon_sym__Nonnull] = ACTIONS(3430),
    [anon_sym_mutable] = ACTIONS(3430),
    [anon_sym_constinit] = ACTIONS(3430),
    [anon_sym_consteval] = ACTIONS(3430),
    [anon_sym_PROGMEM] = ACTIONS(3430),
    [anon_sym_alignas] = ACTIONS(3436),
    [anon_sym__Alignas] = ACTIONS(3436),
    [aux_sym_primitive_type_token1] = ACTIONS(3439),
    [anon_sym_byte] = ACTIONS(3439),
    [anon_sym_word] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3442),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_struct] = ACTIONS(3448),
    [anon_sym_union] = ACTIONS(3451),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3454),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_explicit] = ACTIONS(3460),
    [anon_sym_typename] = ACTIONS(3463),
    [anon_sym_template] = ACTIONS(3754),
    [anon_sym_operator] = ACTIONS(3469),
    [anon_sym_friend] = ACTIONS(3757),
    [anon_sym_public] = ACTIONS(3475),
    [anon_sym_private] = ACTIONS(3475),
    [anon_sym_protected] = ACTIONS(3475),
    [anon_sym_using] = ACTIONS(3760),
    [anon_sym_static_assert] = ACTIONS(3763),
  },
  [781] = {
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_field_declaration_list] = STATE(780),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(780),
    [sym_type_definition] = STATE(780),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(780),
    [sym_field_declaration] = STATE(780),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(780),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(780),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(780),
    [sym_operator_cast_declaration] = STATE(780),
    [sym_constructor_or_destructor_definition] = STATE(780),
    [sym_constructor_or_destructor_declaration] = STATE(780),
    [sym_friend_declaration] = STATE(780),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(780),
    [sym_alias_declaration] = STATE(780),
    [sym_static_assert_declaration] = STATE(780),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(780),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3766),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [782] = {
    [sym_preproc_def] = STATE(774),
    [sym_preproc_function_def] = STATE(774),
    [sym_preproc_call] = STATE(774),
    [sym_preproc_if_in_field_declaration_list] = STATE(774),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(774),
    [sym_type_definition] = STATE(774),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(774),
    [sym_field_declaration] = STATE(774),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(774),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(774),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(774),
    [sym_operator_cast_declaration] = STATE(774),
    [sym_constructor_or_destructor_definition] = STATE(774),
    [sym_constructor_or_destructor_declaration] = STATE(774),
    [sym_friend_declaration] = STATE(774),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(774),
    [sym_alias_declaration] = STATE(774),
    [sym_static_assert_declaration] = STATE(774),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(774),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3768),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [783] = {
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_field_declaration_list] = STATE(780),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(780),
    [sym_type_definition] = STATE(780),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(5408),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__field_declaration_list_item] = STATE(780),
    [sym_field_declaration] = STATE(780),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(780),
    [sym_operator_cast] = STATE(6387),
    [sym_inline_method_definition] = STATE(780),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(780),
    [sym_operator_cast_declaration] = STATE(780),
    [sym_constructor_or_destructor_definition] = STATE(780),
    [sym_constructor_or_destructor_declaration] = STATE(780),
    [sym_friend_declaration] = STATE(780),
    [sym_access_specifier] = STATE(7480),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_using_declaration] = STATE(780),
    [sym_alias_declaration] = STATE(780),
    [sym_static_assert_declaration] = STATE(780),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5199),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(780),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1843),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3222),
    [aux_sym_preproc_def_token1] = ACTIONS(3546),
    [aux_sym_preproc_if_token1] = ACTIONS(3548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3550),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3550),
    [sym_preproc_directive] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym___extension__] = ACTIONS(3556),
    [anon_sym_typedef] = ACTIONS(3558),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3772),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_static_assert] = ACTIONS(3570),
  },
  [784] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4595),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3774),
    [anon_sym_COMMA] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3702),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3774),
    [anon_sym_PIPE_PIPE] = ACTIONS(3774),
    [anon_sym_AMP_AMP] = ACTIONS(3774),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3774),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_EQ_EQ] = ACTIONS(3774),
    [anon_sym_BANG_EQ] = ACTIONS(3774),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3774),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3778),
    [anon_sym_LT_LT] = ACTIONS(3774),
    [anon_sym_GT_GT] = ACTIONS(3774),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(3774),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(3774),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_LT_EQ_GT] = ACTIONS(3774),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3774),
    [anon_sym_DASH_GT] = ACTIONS(3774),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [785] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4132),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2523),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2536),
    [anon_sym_byte] = ACTIONS(2536),
    [anon_sym_word] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [786] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4304),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3782),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_COLON_COLON] = ACTIONS(3788),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2536),
    [anon_sym_byte] = ACTIONS(2536),
    [anon_sym_word] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [787] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3096),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(3794),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2536),
    [anon_sym_byte] = ACTIONS(2536),
    [anon_sym_word] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [788] = {
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5960),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(3931),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2902),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6211),
    [sym_qualified_type_identifier] = STATE(2583),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2581),
    [sym_identifier] = ACTIONS(3800),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_BANG] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(3802),
    [anon_sym_DASH] = ACTIONS(3804),
    [anon_sym_PLUS] = ACTIONS(3804),
    [anon_sym_STAR] = ACTIONS(3804),
    [anon_sym_SLASH] = ACTIONS(3804),
    [anon_sym_PERCENT] = ACTIONS(3804),
    [anon_sym_PIPE_PIPE] = ACTIONS(3802),
    [anon_sym_AMP_AMP] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_CARET] = ACTIONS(3804),
    [anon_sym_AMP] = ACTIONS(3804),
    [anon_sym_EQ_EQ] = ACTIONS(3802),
    [anon_sym_BANG_EQ] = ACTIONS(3802),
    [anon_sym_GT] = ACTIONS(3804),
    [anon_sym_GT_EQ] = ACTIONS(3802),
    [anon_sym_LT_EQ] = ACTIONS(3804),
    [anon_sym_LT] = ACTIONS(3804),
    [anon_sym_LT_LT] = ACTIONS(3804),
    [anon_sym_GT_GT] = ACTIONS(3804),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(3806),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3808),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(3810),
    [anon_sym_unsigned] = ACTIONS(3810),
    [anon_sym_long] = ACTIONS(3810),
    [anon_sym_short] = ACTIONS(3810),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_EQ] = ACTIONS(3804),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3812),
    [anon_sym_class] = ACTIONS(3814),
    [anon_sym_struct] = ACTIONS(3816),
    [anon_sym_union] = ACTIONS(3818),
    [anon_sym_STAR_EQ] = ACTIONS(3802),
    [anon_sym_SLASH_EQ] = ACTIONS(3802),
    [anon_sym_PERCENT_EQ] = ACTIONS(3802),
    [anon_sym_PLUS_EQ] = ACTIONS(3802),
    [anon_sym_DASH_EQ] = ACTIONS(3802),
    [anon_sym_LT_LT_EQ] = ACTIONS(3802),
    [anon_sym_GT_GT_EQ] = ACTIONS(3802),
    [anon_sym_AMP_EQ] = ACTIONS(3802),
    [anon_sym_CARET_EQ] = ACTIONS(3802),
    [anon_sym_PIPE_EQ] = ACTIONS(3802),
    [anon_sym_and_eq] = ACTIONS(3804),
    [anon_sym_or_eq] = ACTIONS(3804),
    [anon_sym_xor_eq] = ACTIONS(3804),
    [anon_sym_not] = ACTIONS(3804),
    [anon_sym_compl] = ACTIONS(3804),
    [anon_sym_LT_EQ_GT] = ACTIONS(3802),
    [anon_sym_or] = ACTIONS(3804),
    [anon_sym_and] = ACTIONS(3804),
    [anon_sym_bitor] = ACTIONS(3804),
    [anon_sym_xor] = ACTIONS(3804),
    [anon_sym_bitand] = ACTIONS(3804),
    [anon_sym_not_eq] = ACTIONS(3804),
    [anon_sym_DASH_DASH] = ACTIONS(3802),
    [anon_sym_PLUS_PLUS] = ACTIONS(3802),
    [anon_sym_DASH_GT] = ACTIONS(3804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3820),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3822),
    [anon_sym_co_await] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(3822),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3802),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3802),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3802),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3824),
  },
  [789] = {
    [sym__declaration_modifiers] = STATE(1853),
    [sym__declaration_specifiers] = STATE(5960),
    [sym_attribute_specifier] = STATE(1853),
    [sym_attribute_declaration] = STATE(1853),
    [sym_ms_declspec_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1853),
    [sym_type_qualifier] = STATE(1853),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(3931),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2902),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6211),
    [sym_qualified_type_identifier] = STATE(2583),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1853),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2581),
    [sym_identifier] = ACTIONS(3800),
    [anon_sym_COMMA] = ACTIONS(3826),
    [anon_sym_BANG] = ACTIONS(3828),
    [anon_sym_TILDE] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_SLASH] = ACTIONS(3828),
    [anon_sym_PERCENT] = ACTIONS(3828),
    [anon_sym_PIPE_PIPE] = ACTIONS(3826),
    [anon_sym_AMP_AMP] = ACTIONS(3826),
    [anon_sym_PIPE] = ACTIONS(3828),
    [anon_sym_CARET] = ACTIONS(3828),
    [anon_sym_AMP] = ACTIONS(3828),
    [anon_sym_EQ_EQ] = ACTIONS(3826),
    [anon_sym_BANG_EQ] = ACTIONS(3826),
    [anon_sym_GT] = ACTIONS(3828),
    [anon_sym_GT_EQ] = ACTIONS(3826),
    [anon_sym_LT_EQ] = ACTIONS(3828),
    [anon_sym_LT] = ACTIONS(3828),
    [anon_sym_LT_LT] = ACTIONS(3828),
    [anon_sym_GT_GT] = ACTIONS(3828),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(3806),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3808),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(3810),
    [anon_sym_unsigned] = ACTIONS(3810),
    [anon_sym_long] = ACTIONS(3810),
    [anon_sym_short] = ACTIONS(3810),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_EQ] = ACTIONS(3828),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3812),
    [anon_sym_class] = ACTIONS(3814),
    [anon_sym_struct] = ACTIONS(3816),
    [anon_sym_union] = ACTIONS(3818),
    [anon_sym_STAR_EQ] = ACTIONS(3826),
    [anon_sym_SLASH_EQ] = ACTIONS(3826),
    [anon_sym_PERCENT_EQ] = ACTIONS(3826),
    [anon_sym_PLUS_EQ] = ACTIONS(3826),
    [anon_sym_DASH_EQ] = ACTIONS(3826),
    [anon_sym_LT_LT_EQ] = ACTIONS(3826),
    [anon_sym_GT_GT_EQ] = ACTIONS(3826),
    [anon_sym_AMP_EQ] = ACTIONS(3826),
    [anon_sym_CARET_EQ] = ACTIONS(3826),
    [anon_sym_PIPE_EQ] = ACTIONS(3826),
    [anon_sym_and_eq] = ACTIONS(3828),
    [anon_sym_or_eq] = ACTIONS(3828),
    [anon_sym_xor_eq] = ACTIONS(3828),
    [anon_sym_not] = ACTIONS(3828),
    [anon_sym_compl] = ACTIONS(3828),
    [anon_sym_LT_EQ_GT] = ACTIONS(3826),
    [anon_sym_or] = ACTIONS(3828),
    [anon_sym_and] = ACTIONS(3828),
    [anon_sym_bitor] = ACTIONS(3828),
    [anon_sym_xor] = ACTIONS(3828),
    [anon_sym_bitand] = ACTIONS(3828),
    [anon_sym_not_eq] = ACTIONS(3828),
    [anon_sym_DASH_DASH] = ACTIONS(3826),
    [anon_sym_PLUS_PLUS] = ACTIONS(3826),
    [anon_sym_DASH_GT] = ACTIONS(3828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3820),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3830),
    [anon_sym_co_await] = ACTIONS(3828),
    [anon_sym_new] = ACTIONS(3830),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3826),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3826),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3826),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3832),
  },
  [790] = {
    [sym_type_qualifier] = STATE(805),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4578),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(805),
    [sym_identifier] = ACTIONS(3834),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3836),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3840),
    [anon_sym_RBRACK] = ACTIONS(3842),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [791] = {
    [sym_type_qualifier] = STATE(801),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4614),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(801),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3848),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3850),
    [anon_sym_RBRACK] = ACTIONS(3852),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [792] = {
    [sym_type_qualifier] = STATE(802),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4499),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(802),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3854),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3856),
    [anon_sym_RBRACK] = ACTIONS(3858),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [793] = {
    [sym_type_qualifier] = STATE(797),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4454),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(797),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3860),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3862),
    [anon_sym_RBRACK] = ACTIONS(3864),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [794] = {
    [sym_type_qualifier] = STATE(798),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4572),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(798),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3866),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3868),
    [anon_sym_RBRACK] = ACTIONS(3870),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [795] = {
    [sym_type_qualifier] = STATE(796),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4596),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(796),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3872),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3874),
    [anon_sym_RBRACK] = ACTIONS(3876),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [796] = {
    [sym_type_qualifier] = STATE(1617),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(1617),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3878),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3880),
    [anon_sym_RBRACK] = ACTIONS(3882),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [797] = {
    [sym_type_qualifier] = STATE(1617),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4457),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(1617),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3884),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3880),
    [anon_sym_RBRACK] = ACTIONS(3886),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [798] = {
    [sym_type_qualifier] = STATE(1617),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4594),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(1617),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3888),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3880),
    [anon_sym_RBRACK] = ACTIONS(3890),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [799] = {
    [sym_type_qualifier] = STATE(807),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4598),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3892),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3894),
    [anon_sym_RBRACK] = ACTIONS(3896),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [800] = {
    [sym_type_qualifier] = STATE(1617),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4541),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(1617),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3898),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3880),
    [anon_sym_RBRACK] = ACTIONS(3900),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [801] = {
    [sym_type_qualifier] = STATE(1617),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4553),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(1617),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3902),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3880),
    [anon_sym_RBRACK] = ACTIONS(3904),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [802] = {
    [sym_type_qualifier] = STATE(1617),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(1617),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3906),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3880),
    [anon_sym_RBRACK] = ACTIONS(3908),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [803] = {
    [sym_type_qualifier] = STATE(1617),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4601),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(1617),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3910),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3880),
    [anon_sym_RBRACK] = ACTIONS(3912),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [804] = {
    [sym_type_qualifier] = STATE(803),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4606),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(803),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3914),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3916),
    [anon_sym_RBRACK] = ACTIONS(3918),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [805] = {
    [sym_type_qualifier] = STATE(1617),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4476),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(1617),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3920),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3880),
    [anon_sym_RBRACK] = ACTIONS(3922),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [806] = {
    [sym_identifier] = ACTIONS(3924),
    [anon_sym_COMMA] = ACTIONS(3926),
    [anon_sym_RPAREN] = ACTIONS(3926),
    [anon_sym_LPAREN2] = ACTIONS(3926),
    [anon_sym_BANG] = ACTIONS(3926),
    [anon_sym_TILDE] = ACTIONS(3926),
    [anon_sym_DASH] = ACTIONS(3924),
    [anon_sym_PLUS] = ACTIONS(3924),
    [anon_sym_STAR] = ACTIONS(3926),
    [anon_sym_AMP_AMP] = ACTIONS(3926),
    [anon_sym_AMP] = ACTIONS(3924),
    [anon_sym_SEMI] = ACTIONS(3926),
    [anon_sym___extension__] = ACTIONS(3924),
    [anon_sym_virtual] = ACTIONS(3924),
    [anon_sym_extern] = ACTIONS(3924),
    [anon_sym___attribute__] = ACTIONS(3924),
    [anon_sym_COLON_COLON] = ACTIONS(3926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3926),
    [anon_sym___declspec] = ACTIONS(3924),
    [anon_sym___based] = ACTIONS(3924),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_signed] = ACTIONS(3924),
    [anon_sym_unsigned] = ACTIONS(3924),
    [anon_sym_long] = ACTIONS(3924),
    [anon_sym_short] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(3924),
    [anon_sym_static] = ACTIONS(3924),
    [anon_sym_EQ] = ACTIONS(3926),
    [anon_sym_register] = ACTIONS(3924),
    [anon_sym_inline] = ACTIONS(3924),
    [anon_sym___inline] = ACTIONS(3924),
    [anon_sym___inline__] = ACTIONS(3924),
    [anon_sym___forceinline] = ACTIONS(3924),
    [anon_sym_thread_local] = ACTIONS(3924),
    [anon_sym___thread] = ACTIONS(3924),
    [anon_sym_const] = ACTIONS(3924),
    [anon_sym_constexpr] = ACTIONS(3924),
    [anon_sym_volatile] = ACTIONS(3924),
    [anon_sym_restrict] = ACTIONS(3924),
    [anon_sym___restrict__] = ACTIONS(3924),
    [anon_sym__Atomic] = ACTIONS(3924),
    [anon_sym__Noreturn] = ACTIONS(3924),
    [anon_sym_noreturn] = ACTIONS(3924),
    [anon_sym__Nonnull] = ACTIONS(3924),
    [anon_sym_mutable] = ACTIONS(3924),
    [anon_sym_constinit] = ACTIONS(3924),
    [anon_sym_consteval] = ACTIONS(3924),
    [anon_sym_PROGMEM] = ACTIONS(3924),
    [anon_sym_alignas] = ACTIONS(3924),
    [anon_sym__Alignas] = ACTIONS(3924),
    [aux_sym_primitive_type_token1] = ACTIONS(3924),
    [anon_sym_byte] = ACTIONS(3924),
    [anon_sym_word] = ACTIONS(3924),
    [anon_sym_enum] = ACTIONS(3924),
    [anon_sym_class] = ACTIONS(3924),
    [anon_sym_struct] = ACTIONS(3924),
    [anon_sym_union] = ACTIONS(3924),
    [anon_sym_if] = ACTIONS(3924),
    [anon_sym_switch] = ACTIONS(3924),
    [anon_sym_case] = ACTIONS(3924),
    [anon_sym_default] = ACTIONS(3924),
    [anon_sym_while] = ACTIONS(3924),
    [anon_sym_do] = ACTIONS(3924),
    [anon_sym_for] = ACTIONS(3924),
    [anon_sym_return] = ACTIONS(3924),
    [anon_sym_break] = ACTIONS(3924),
    [anon_sym_continue] = ACTIONS(3924),
    [anon_sym_goto] = ACTIONS(3924),
    [anon_sym___try] = ACTIONS(3924),
    [anon_sym___leave] = ACTIONS(3924),
    [anon_sym_not] = ACTIONS(3924),
    [anon_sym_compl] = ACTIONS(3924),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3924),
    [anon_sym___alignof__] = ACTIONS(3924),
    [anon_sym___alignof] = ACTIONS(3924),
    [anon_sym__alignof] = ACTIONS(3924),
    [anon_sym_alignof] = ACTIONS(3924),
    [anon_sym__Alignof] = ACTIONS(3924),
    [anon_sym_offsetof] = ACTIONS(3924),
    [anon_sym__Generic] = ACTIONS(3924),
    [anon_sym_asm] = ACTIONS(3924),
    [anon_sym___asm__] = ACTIONS(3924),
    [anon_sym___asm] = ACTIONS(3924),
    [aux_sym_number_literal_token1] = ACTIONS(3926),
    [aux_sym_number_literal_token2] = ACTIONS(3924),
    [anon_sym_L_SQUOTE] = ACTIONS(3926),
    [anon_sym_u_SQUOTE] = ACTIONS(3926),
    [anon_sym_U_SQUOTE] = ACTIONS(3926),
    [anon_sym_u8_SQUOTE] = ACTIONS(3926),
    [anon_sym_SQUOTE] = ACTIONS(3926),
    [anon_sym_L_DQUOTE] = ACTIONS(3926),
    [anon_sym_u_DQUOTE] = ACTIONS(3926),
    [anon_sym_U_DQUOTE] = ACTIONS(3926),
    [anon_sym_u8_DQUOTE] = ACTIONS(3926),
    [anon_sym_DQUOTE] = ACTIONS(3926),
    [sym_true] = ACTIONS(3924),
    [sym_false] = ACTIONS(3924),
    [anon_sym_NULL] = ACTIONS(3924),
    [anon_sym_nullptr] = ACTIONS(3924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3924),
    [anon_sym_decltype] = ACTIONS(3924),
    [anon_sym_explicit] = ACTIONS(3924),
    [anon_sym_typename] = ACTIONS(3924),
    [anon_sym_template] = ACTIONS(3924),
    [anon_sym_GT2] = ACTIONS(3926),
    [anon_sym_operator] = ACTIONS(3924),
    [anon_sym_try] = ACTIONS(3924),
    [anon_sym_delete] = ACTIONS(3924),
    [anon_sym_throw] = ACTIONS(3924),
    [anon_sym_co_return] = ACTIONS(3924),
    [anon_sym_co_yield] = ACTIONS(3924),
    [anon_sym_R_DQUOTE] = ACTIONS(3926),
    [anon_sym_LR_DQUOTE] = ACTIONS(3926),
    [anon_sym_uR_DQUOTE] = ACTIONS(3926),
    [anon_sym_UR_DQUOTE] = ACTIONS(3926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3926),
    [anon_sym_co_await] = ACTIONS(3924),
    [anon_sym_new] = ACTIONS(3924),
    [anon_sym_requires] = ACTIONS(3924),
    [sym_this] = ACTIONS(3924),
  },
  [807] = {
    [sym_type_qualifier] = STATE(1617),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4576),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(1617),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3928),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3880),
    [anon_sym_RBRACK] = ACTIONS(3930),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [808] = {
    [sym_type_qualifier] = STATE(809),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4473),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(809),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3932),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3934),
    [anon_sym_RBRACK] = ACTIONS(3936),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [809] = {
    [sym_type_qualifier] = STATE(1617),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4563),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(1617),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3938),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3880),
    [anon_sym_RBRACK] = ACTIONS(3940),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [810] = {
    [sym_identifier] = ACTIONS(3942),
    [anon_sym_COMMA] = ACTIONS(3944),
    [anon_sym_RPAREN] = ACTIONS(3944),
    [anon_sym_LPAREN2] = ACTIONS(3944),
    [anon_sym_BANG] = ACTIONS(3944),
    [anon_sym_TILDE] = ACTIONS(3944),
    [anon_sym_DASH] = ACTIONS(3942),
    [anon_sym_PLUS] = ACTIONS(3942),
    [anon_sym_STAR] = ACTIONS(3944),
    [anon_sym_AMP_AMP] = ACTIONS(3944),
    [anon_sym_AMP] = ACTIONS(3942),
    [anon_sym_SEMI] = ACTIONS(3944),
    [anon_sym___extension__] = ACTIONS(3942),
    [anon_sym_virtual] = ACTIONS(3942),
    [anon_sym_extern] = ACTIONS(3942),
    [anon_sym___attribute__] = ACTIONS(3942),
    [anon_sym_COLON_COLON] = ACTIONS(3944),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3944),
    [anon_sym___declspec] = ACTIONS(3942),
    [anon_sym___based] = ACTIONS(3942),
    [anon_sym_LBRACE] = ACTIONS(3944),
    [anon_sym_signed] = ACTIONS(3942),
    [anon_sym_unsigned] = ACTIONS(3942),
    [anon_sym_long] = ACTIONS(3942),
    [anon_sym_short] = ACTIONS(3942),
    [anon_sym_LBRACK] = ACTIONS(3942),
    [anon_sym_static] = ACTIONS(3942),
    [anon_sym_EQ] = ACTIONS(3944),
    [anon_sym_register] = ACTIONS(3942),
    [anon_sym_inline] = ACTIONS(3942),
    [anon_sym___inline] = ACTIONS(3942),
    [anon_sym___inline__] = ACTIONS(3942),
    [anon_sym___forceinline] = ACTIONS(3942),
    [anon_sym_thread_local] = ACTIONS(3942),
    [anon_sym___thread] = ACTIONS(3942),
    [anon_sym_const] = ACTIONS(3942),
    [anon_sym_constexpr] = ACTIONS(3942),
    [anon_sym_volatile] = ACTIONS(3942),
    [anon_sym_restrict] = ACTIONS(3942),
    [anon_sym___restrict__] = ACTIONS(3942),
    [anon_sym__Atomic] = ACTIONS(3942),
    [anon_sym__Noreturn] = ACTIONS(3942),
    [anon_sym_noreturn] = ACTIONS(3942),
    [anon_sym__Nonnull] = ACTIONS(3942),
    [anon_sym_mutable] = ACTIONS(3942),
    [anon_sym_constinit] = ACTIONS(3942),
    [anon_sym_consteval] = ACTIONS(3942),
    [anon_sym_PROGMEM] = ACTIONS(3942),
    [anon_sym_alignas] = ACTIONS(3942),
    [anon_sym__Alignas] = ACTIONS(3942),
    [aux_sym_primitive_type_token1] = ACTIONS(3942),
    [anon_sym_byte] = ACTIONS(3942),
    [anon_sym_word] = ACTIONS(3942),
    [anon_sym_enum] = ACTIONS(3942),
    [anon_sym_class] = ACTIONS(3942),
    [anon_sym_struct] = ACTIONS(3942),
    [anon_sym_union] = ACTIONS(3942),
    [anon_sym_if] = ACTIONS(3942),
    [anon_sym_switch] = ACTIONS(3942),
    [anon_sym_case] = ACTIONS(3942),
    [anon_sym_default] = ACTIONS(3942),
    [anon_sym_while] = ACTIONS(3942),
    [anon_sym_do] = ACTIONS(3942),
    [anon_sym_for] = ACTIONS(3942),
    [anon_sym_return] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3942),
    [anon_sym_continue] = ACTIONS(3942),
    [anon_sym_goto] = ACTIONS(3942),
    [anon_sym___try] = ACTIONS(3942),
    [anon_sym___leave] = ACTIONS(3942),
    [anon_sym_not] = ACTIONS(3942),
    [anon_sym_compl] = ACTIONS(3942),
    [anon_sym_DASH_DASH] = ACTIONS(3944),
    [anon_sym_PLUS_PLUS] = ACTIONS(3944),
    [anon_sym_sizeof] = ACTIONS(3942),
    [anon_sym___alignof__] = ACTIONS(3942),
    [anon_sym___alignof] = ACTIONS(3942),
    [anon_sym__alignof] = ACTIONS(3942),
    [anon_sym_alignof] = ACTIONS(3942),
    [anon_sym__Alignof] = ACTIONS(3942),
    [anon_sym_offsetof] = ACTIONS(3942),
    [anon_sym__Generic] = ACTIONS(3942),
    [anon_sym_asm] = ACTIONS(3942),
    [anon_sym___asm__] = ACTIONS(3942),
    [anon_sym___asm] = ACTIONS(3942),
    [aux_sym_number_literal_token1] = ACTIONS(3944),
    [aux_sym_number_literal_token2] = ACTIONS(3942),
    [anon_sym_L_SQUOTE] = ACTIONS(3944),
    [anon_sym_u_SQUOTE] = ACTIONS(3944),
    [anon_sym_U_SQUOTE] = ACTIONS(3944),
    [anon_sym_u8_SQUOTE] = ACTIONS(3944),
    [anon_sym_SQUOTE] = ACTIONS(3944),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3942),
    [sym_false] = ACTIONS(3942),
    [anon_sym_NULL] = ACTIONS(3942),
    [anon_sym_nullptr] = ACTIONS(3942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3942),
    [anon_sym_decltype] = ACTIONS(3942),
    [anon_sym_explicit] = ACTIONS(3942),
    [anon_sym_typename] = ACTIONS(3942),
    [anon_sym_template] = ACTIONS(3942),
    [anon_sym_GT2] = ACTIONS(3944),
    [anon_sym_operator] = ACTIONS(3942),
    [anon_sym_try] = ACTIONS(3942),
    [anon_sym_delete] = ACTIONS(3942),
    [anon_sym_throw] = ACTIONS(3942),
    [anon_sym_co_return] = ACTIONS(3942),
    [anon_sym_co_yield] = ACTIONS(3942),
    [anon_sym_R_DQUOTE] = ACTIONS(3944),
    [anon_sym_LR_DQUOTE] = ACTIONS(3944),
    [anon_sym_uR_DQUOTE] = ACTIONS(3944),
    [anon_sym_UR_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3944),
    [anon_sym_co_await] = ACTIONS(3942),
    [anon_sym_new] = ACTIONS(3942),
    [anon_sym_requires] = ACTIONS(3942),
    [sym_this] = ACTIONS(3942),
  },
  [811] = {
    [sym_type_qualifier] = STATE(805),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4578),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(805),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3836),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3840),
    [anon_sym_RBRACK] = ACTIONS(3842),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [812] = {
    [sym_type_qualifier] = STATE(800),
    [sym_alignas_qualifier] = STATE(1640),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [aux_sym_array_declarator_repeat1] = STATE(800),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(3946),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3838),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_static] = ACTIONS(3948),
    [anon_sym_RBRACK] = ACTIONS(3950),
    [anon_sym_const] = ACTIONS(3844),
    [anon_sym_constexpr] = ACTIONS(3844),
    [anon_sym_volatile] = ACTIONS(3844),
    [anon_sym_restrict] = ACTIONS(3844),
    [anon_sym___restrict__] = ACTIONS(3844),
    [anon_sym__Atomic] = ACTIONS(3844),
    [anon_sym__Noreturn] = ACTIONS(3844),
    [anon_sym_noreturn] = ACTIONS(3844),
    [anon_sym__Nonnull] = ACTIONS(3844),
    [anon_sym_mutable] = ACTIONS(3844),
    [anon_sym_constinit] = ACTIONS(3844),
    [anon_sym_consteval] = ACTIONS(3844),
    [anon_sym_PROGMEM] = ACTIONS(3844),
    [anon_sym_alignas] = ACTIONS(3846),
    [anon_sym__Alignas] = ACTIONS(3846),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [813] = {
    [sym_function_definition] = STATE(649),
    [sym_declaration] = STATE(649),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4501),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1827),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5836),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2609),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__empty_declaration] = STATE(649),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1828),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(649),
    [sym_operator_cast] = STATE(6393),
    [sym__constructor_specifiers] = STATE(1828),
    [sym_operator_cast_definition] = STATE(649),
    [sym_operator_cast_declaration] = STATE(649),
    [sym_constructor_or_destructor_definition] = STATE(649),
    [sym_constructor_or_destructor_declaration] = STATE(649),
    [sym_friend_declaration] = STATE(649),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_alias_declaration] = STATE(649),
    [sym_concept_definition] = STATE(649),
    [sym_requires_clause] = STATE(828),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5183),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6393),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1828),
    [sym_identifier] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3956),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3958),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3960),
    [anon_sym_using] = ACTIONS(3962),
    [anon_sym_concept] = ACTIONS(821),
    [anon_sym_requires] = ACTIONS(3964),
  },
  [814] = {
    [sym_function_definition] = STATE(1991),
    [sym_declaration] = STATE(1991),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4587),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1825),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5873),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2612),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__empty_declaration] = STATE(1991),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(1991),
    [sym_operator_cast] = STATE(6352),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(1991),
    [sym_operator_cast_declaration] = STATE(1991),
    [sym_constructor_or_destructor_definition] = STATE(1991),
    [sym_constructor_or_destructor_declaration] = STATE(1991),
    [sym_friend_declaration] = STATE(1991),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_alias_declaration] = STATE(1991),
    [sym_concept_definition] = STATE(1991),
    [sym_requires_clause] = STATE(822),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5183),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6352),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3660),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3662),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3664),
    [anon_sym_using] = ACTIONS(3966),
    [anon_sym_concept] = ACTIONS(3968),
    [anon_sym_requires] = ACTIONS(3964),
  },
  [815] = {
    [sym_function_definition] = STATE(705),
    [sym_declaration] = STATE(705),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4539),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1835),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5803),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2613),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__empty_declaration] = STATE(705),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1830),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(705),
    [sym_operator_cast] = STATE(6379),
    [sym__constructor_specifiers] = STATE(1830),
    [sym_operator_cast_definition] = STATE(705),
    [sym_operator_cast_declaration] = STATE(705),
    [sym_constructor_or_destructor_definition] = STATE(705),
    [sym_constructor_or_destructor_declaration] = STATE(705),
    [sym_friend_declaration] = STATE(705),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_alias_declaration] = STATE(705),
    [sym_concept_definition] = STATE(705),
    [sym_requires_clause] = STATE(823),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5183),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6379),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3970),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3972),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3974),
    [anon_sym_using] = ACTIONS(3976),
    [anon_sym_concept] = ACTIONS(147),
    [anon_sym_requires] = ACTIONS(3964),
  },
  [816] = {
    [sym_function_definition] = STATE(554),
    [sym_declaration] = STATE(554),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5805),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__empty_declaration] = STATE(554),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1824),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(554),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1824),
    [sym_operator_cast_definition] = STATE(554),
    [sym_operator_cast_declaration] = STATE(554),
    [sym_constructor_or_destructor_definition] = STATE(554),
    [sym_constructor_or_destructor_declaration] = STATE(554),
    [sym_friend_declaration] = STATE(554),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_alias_declaration] = STATE(554),
    [sym_concept_definition] = STATE(554),
    [sym_requires_clause] = STATE(827),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5183),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1824),
    [sym_identifier] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3978),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3980),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3982),
    [anon_sym_using] = ACTIONS(3984),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_requires] = ACTIONS(3964),
  },
  [817] = {
    [sym_function_definition] = STATE(1970),
    [sym_declaration] = STATE(1970),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4526),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1823),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2641),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__empty_declaration] = STATE(1970),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(1970),
    [sym_operator_cast] = STATE(6387),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(1970),
    [sym_operator_cast_declaration] = STATE(1970),
    [sym_constructor_or_destructor_definition] = STATE(1970),
    [sym_constructor_or_destructor_declaration] = STATE(1970),
    [sym_friend_declaration] = STATE(1970),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_alias_declaration] = STATE(1970),
    [sym_concept_definition] = STATE(1970),
    [sym_requires_clause] = STATE(824),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5183),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_using] = ACTIONS(3986),
    [anon_sym_concept] = ACTIONS(3988),
    [anon_sym_requires] = ACTIONS(3964),
  },
  [818] = {
    [sym_function_definition] = STATE(1716),
    [sym_declaration] = STATE(1716),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4575),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1832),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2653),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__empty_declaration] = STATE(1716),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(1716),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(1716),
    [sym_operator_cast_declaration] = STATE(1716),
    [sym_constructor_or_destructor_definition] = STATE(1716),
    [sym_constructor_or_destructor_declaration] = STATE(1716),
    [sym_friend_declaration] = STATE(1716),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_alias_declaration] = STATE(1716),
    [sym_concept_definition] = STATE(1716),
    [sym_requires_clause] = STATE(825),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5183),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3990),
    [anon_sym_concept] = ACTIONS(3992),
    [anon_sym_requires] = ACTIONS(3964),
  },
  [819] = {
    [sym_function_definition] = STATE(310),
    [sym_declaration] = STATE(310),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__empty_declaration] = STATE(310),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1822),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(310),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1822),
    [sym_operator_cast_definition] = STATE(310),
    [sym_operator_cast_declaration] = STATE(310),
    [sym_constructor_or_destructor_definition] = STATE(310),
    [sym_constructor_or_destructor_declaration] = STATE(310),
    [sym_friend_declaration] = STATE(310),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_alias_declaration] = STATE(310),
    [sym_concept_definition] = STATE(310),
    [sym_requires_clause] = STATE(829),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5183),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1822),
    [sym_identifier] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3994),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3996),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3998),
    [anon_sym_using] = ACTIONS(4000),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_requires] = ACTIONS(3964),
  },
  [820] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2888),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_LPAREN2] = ACTIONS(4005),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(4008),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(4011),
    [anon_sym_COLON_COLON] = ACTIONS(4014),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(4017),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [821] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3096),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(3791),
    [anon_sym_LPAREN2] = ACTIONS(4020),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(4026),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(4029),
    [anon_sym___extension__] = ACTIONS(3794),
    [anon_sym_COLON_COLON] = ACTIONS(3797),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(4017),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [822] = {
    [sym_function_definition] = STATE(1952),
    [sym_declaration] = STATE(1952),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4587),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1825),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5873),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2612),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__empty_declaration] = STATE(1952),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1837),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(1952),
    [sym_operator_cast] = STATE(6352),
    [sym__constructor_specifiers] = STATE(1837),
    [sym_operator_cast_definition] = STATE(1952),
    [sym_operator_cast_declaration] = STATE(1952),
    [sym_constructor_or_destructor_definition] = STATE(1952),
    [sym_constructor_or_destructor_declaration] = STATE(1952),
    [sym_friend_declaration] = STATE(1952),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_alias_declaration] = STATE(1952),
    [sym_concept_definition] = STATE(1952),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5183),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6352),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3660),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3662),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3664),
    [anon_sym_using] = ACTIONS(3966),
    [anon_sym_concept] = ACTIONS(3968),
  },
  [823] = {
    [sym_function_definition] = STATE(692),
    [sym_declaration] = STATE(692),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4539),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1835),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5803),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2613),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__empty_declaration] = STATE(692),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1830),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(692),
    [sym_operator_cast] = STATE(6379),
    [sym__constructor_specifiers] = STATE(1830),
    [sym_operator_cast_definition] = STATE(692),
    [sym_operator_cast_declaration] = STATE(692),
    [sym_constructor_or_destructor_definition] = STATE(692),
    [sym_constructor_or_destructor_declaration] = STATE(692),
    [sym_friend_declaration] = STATE(692),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_alias_declaration] = STATE(692),
    [sym_concept_definition] = STATE(692),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5183),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6379),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3970),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3972),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3974),
    [anon_sym_using] = ACTIONS(3976),
    [anon_sym_concept] = ACTIONS(147),
  },
  [824] = {
    [sym_function_definition] = STATE(2042),
    [sym_declaration] = STATE(2042),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4526),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1823),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5809),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2641),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__empty_declaration] = STATE(2042),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1820),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(2042),
    [sym_operator_cast] = STATE(6387),
    [sym__constructor_specifiers] = STATE(1820),
    [sym_operator_cast_definition] = STATE(2042),
    [sym_operator_cast_declaration] = STATE(2042),
    [sym_constructor_or_destructor_definition] = STATE(2042),
    [sym_constructor_or_destructor_declaration] = STATE(2042),
    [sym_friend_declaration] = STATE(2042),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_alias_declaration] = STATE(2042),
    [sym_concept_definition] = STATE(2042),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5183),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6387),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3562),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3564),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3566),
    [anon_sym_using] = ACTIONS(3986),
    [anon_sym_concept] = ACTIONS(3988),
  },
  [825] = {
    [sym_function_definition] = STATE(1760),
    [sym_declaration] = STATE(1760),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4575),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1832),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2653),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__empty_declaration] = STATE(1760),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(1760),
    [sym_operator_cast] = STATE(6346),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(1760),
    [sym_operator_cast_declaration] = STATE(1760),
    [sym_constructor_or_destructor_definition] = STATE(1760),
    [sym_constructor_or_destructor_declaration] = STATE(1760),
    [sym_friend_declaration] = STATE(1760),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_alias_declaration] = STATE(1760),
    [sym_concept_definition] = STATE(1760),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5183),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6346),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3270),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3990),
    [anon_sym_concept] = ACTIONS(3992),
  },
  [826] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4346),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(4032),
    [anon_sym_LPAREN2] = ACTIONS(4035),
    [anon_sym_BANG] = ACTIONS(4038),
    [anon_sym_TILDE] = ACTIONS(4038),
    [anon_sym_DASH] = ACTIONS(4041),
    [anon_sym_PLUS] = ACTIONS(4041),
    [anon_sym_STAR] = ACTIONS(2515),
    [anon_sym_AMP] = ACTIONS(2515),
    [anon_sym___extension__] = ACTIONS(4044),
    [anon_sym_COLON_COLON] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4017),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_RBRACK] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2536),
    [anon_sym_byte] = ACTIONS(2536),
    [anon_sym_word] = ACTIONS(2536),
    [anon_sym_not] = ACTIONS(4041),
    [anon_sym_compl] = ACTIONS(4041),
    [anon_sym_DASH_DASH] = ACTIONS(4050),
    [anon_sym_PLUS_PLUS] = ACTIONS(4050),
    [anon_sym_sizeof] = ACTIONS(4053),
    [anon_sym___alignof__] = ACTIONS(4056),
    [anon_sym___alignof] = ACTIONS(4056),
    [anon_sym__alignof] = ACTIONS(4056),
    [anon_sym_alignof] = ACTIONS(4056),
    [anon_sym__Alignof] = ACTIONS(4056),
    [anon_sym_offsetof] = ACTIONS(4059),
    [anon_sym__Generic] = ACTIONS(4062),
    [anon_sym_asm] = ACTIONS(4065),
    [anon_sym___asm__] = ACTIONS(4065),
    [anon_sym___asm] = ACTIONS(4065),
    [aux_sym_number_literal_token1] = ACTIONS(4068),
    [aux_sym_number_literal_token2] = ACTIONS(4071),
    [anon_sym_L_SQUOTE] = ACTIONS(4074),
    [anon_sym_u_SQUOTE] = ACTIONS(4074),
    [anon_sym_U_SQUOTE] = ACTIONS(4074),
    [anon_sym_u8_SQUOTE] = ACTIONS(4074),
    [anon_sym_SQUOTE] = ACTIONS(4074),
    [anon_sym_L_DQUOTE] = ACTIONS(4077),
    [anon_sym_u_DQUOTE] = ACTIONS(4077),
    [anon_sym_U_DQUOTE] = ACTIONS(4077),
    [anon_sym_u8_DQUOTE] = ACTIONS(4077),
    [anon_sym_DQUOTE] = ACTIONS(4077),
    [sym_true] = ACTIONS(4080),
    [sym_false] = ACTIONS(4080),
    [anon_sym_NULL] = ACTIONS(4083),
    [anon_sym_nullptr] = ACTIONS(4083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2539),
    [anon_sym_template] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(4086),
    [anon_sym_R_DQUOTE] = ACTIONS(4089),
    [anon_sym_LR_DQUOTE] = ACTIONS(4089),
    [anon_sym_uR_DQUOTE] = ACTIONS(4089),
    [anon_sym_UR_DQUOTE] = ACTIONS(4089),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4089),
    [anon_sym_co_await] = ACTIONS(4092),
    [anon_sym_new] = ACTIONS(4095),
    [anon_sym_requires] = ACTIONS(4098),
    [sym_this] = ACTIONS(4080),
  },
  [827] = {
    [sym_function_definition] = STATE(591),
    [sym_declaration] = STATE(591),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1842),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5805),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__empty_declaration] = STATE(591),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1824),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(591),
    [sym_operator_cast] = STATE(6349),
    [sym__constructor_specifiers] = STATE(1824),
    [sym_operator_cast_definition] = STATE(591),
    [sym_operator_cast_declaration] = STATE(591),
    [sym_constructor_or_destructor_definition] = STATE(591),
    [sym_constructor_or_destructor_declaration] = STATE(591),
    [sym_friend_declaration] = STATE(591),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_alias_declaration] = STATE(591),
    [sym_concept_definition] = STATE(591),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5183),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6349),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1824),
    [sym_identifier] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3978),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3980),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3982),
    [anon_sym_using] = ACTIONS(3984),
    [anon_sym_concept] = ACTIONS(233),
  },
  [828] = {
    [sym_function_definition] = STATE(640),
    [sym_declaration] = STATE(640),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4501),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1827),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5836),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2609),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__empty_declaration] = STATE(640),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1828),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(640),
    [sym_operator_cast] = STATE(6393),
    [sym__constructor_specifiers] = STATE(1828),
    [sym_operator_cast_definition] = STATE(640),
    [sym_operator_cast_declaration] = STATE(640),
    [sym_constructor_or_destructor_definition] = STATE(640),
    [sym_constructor_or_destructor_declaration] = STATE(640),
    [sym_friend_declaration] = STATE(640),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_alias_declaration] = STATE(640),
    [sym_concept_definition] = STATE(640),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5183),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6393),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1828),
    [sym_identifier] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3956),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3958),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3960),
    [anon_sym_using] = ACTIONS(3962),
    [anon_sym_concept] = ACTIONS(821),
  },
  [829] = {
    [sym_function_definition] = STATE(373),
    [sym_declaration] = STATE(373),
    [sym__declaration_modifiers] = STATE(2890),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_attribute_specifier] = STATE(2890),
    [sym_attribute_declaration] = STATE(2890),
    [sym_ms_declspec_modifier] = STATE(2890),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(1821),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5917),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(2890),
    [sym_type_qualifier] = STATE(2890),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2604),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym__empty_declaration] = STATE(373),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_explicit_function_specifier] = STATE(1822),
    [sym_dependent_type] = STATE(2381),
    [sym_template_declaration] = STATE(373),
    [sym_operator_cast] = STATE(6375),
    [sym__constructor_specifiers] = STATE(1822),
    [sym_operator_cast_definition] = STATE(373),
    [sym_operator_cast_declaration] = STATE(373),
    [sym_constructor_or_destructor_definition] = STATE(373),
    [sym_constructor_or_destructor_declaration] = STATE(373),
    [sym_friend_declaration] = STATE(373),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_alias_declaration] = STATE(373),
    [sym_concept_definition] = STATE(373),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5183),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_qualified_operator_cast_identifier] = STATE(6375),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1822),
    [sym_identifier] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3994),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(3996),
    [anon_sym_operator] = ACTIONS(133),
    [anon_sym_friend] = ACTIONS(3998),
    [anon_sym_using] = ACTIONS(4000),
    [anon_sym_concept] = ACTIONS(329),
  },
  [830] = {
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_LPAREN2] = ACTIONS(4104),
    [anon_sym_BANG] = ACTIONS(4107),
    [anon_sym_TILDE] = ACTIONS(4104),
    [anon_sym_DASH] = ACTIONS(4109),
    [anon_sym_PLUS] = ACTIONS(4109),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_AMP_AMP] = ACTIONS(4111),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_SEMI] = ACTIONS(4107),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_virtual] = ACTIONS(4113),
    [anon_sym_extern] = ACTIONS(4113),
    [anon_sym___attribute__] = ACTIONS(4113),
    [anon_sym_COLON_COLON] = ACTIONS(4104),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4104),
    [anon_sym___declspec] = ACTIONS(4113),
    [anon_sym___based] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4107),
    [anon_sym_signed] = ACTIONS(4113),
    [anon_sym_unsigned] = ACTIONS(4113),
    [anon_sym_long] = ACTIONS(4113),
    [anon_sym_short] = ACTIONS(4113),
    [anon_sym_LBRACK] = ACTIONS(4101),
    [anon_sym_static] = ACTIONS(4113),
    [anon_sym_register] = ACTIONS(4113),
    [anon_sym_inline] = ACTIONS(4113),
    [anon_sym___inline] = ACTIONS(4113),
    [anon_sym___inline__] = ACTIONS(4113),
    [anon_sym___forceinline] = ACTIONS(4113),
    [anon_sym_thread_local] = ACTIONS(4113),
    [anon_sym___thread] = ACTIONS(4113),
    [anon_sym_const] = ACTIONS(4113),
    [anon_sym_constexpr] = ACTIONS(4113),
    [anon_sym_volatile] = ACTIONS(4113),
    [anon_sym_restrict] = ACTIONS(4113),
    [anon_sym___restrict__] = ACTIONS(4113),
    [anon_sym__Atomic] = ACTIONS(4113),
    [anon_sym__Noreturn] = ACTIONS(4113),
    [anon_sym_noreturn] = ACTIONS(4113),
    [anon_sym__Nonnull] = ACTIONS(4113),
    [anon_sym_mutable] = ACTIONS(4113),
    [anon_sym_constinit] = ACTIONS(4113),
    [anon_sym_consteval] = ACTIONS(4113),
    [anon_sym_PROGMEM] = ACTIONS(4113),
    [anon_sym_alignas] = ACTIONS(4113),
    [anon_sym__Alignas] = ACTIONS(4113),
    [aux_sym_primitive_type_token1] = ACTIONS(4101),
    [anon_sym_byte] = ACTIONS(4101),
    [anon_sym_word] = ACTIONS(4101),
    [anon_sym_enum] = ACTIONS(4113),
    [anon_sym_class] = ACTIONS(4113),
    [anon_sym_struct] = ACTIONS(4113),
    [anon_sym_union] = ACTIONS(4113),
    [anon_sym_if] = ACTIONS(4109),
    [anon_sym_switch] = ACTIONS(4109),
    [anon_sym_case] = ACTIONS(4109),
    [anon_sym_default] = ACTIONS(4109),
    [anon_sym_while] = ACTIONS(4109),
    [anon_sym_do] = ACTIONS(4109),
    [anon_sym_for] = ACTIONS(4109),
    [anon_sym_return] = ACTIONS(4109),
    [anon_sym_break] = ACTIONS(4109),
    [anon_sym_continue] = ACTIONS(4109),
    [anon_sym_goto] = ACTIONS(4109),
    [anon_sym___try] = ACTIONS(4109),
    [anon_sym___leave] = ACTIONS(4109),
    [anon_sym_not] = ACTIONS(4109),
    [anon_sym_compl] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4107),
    [anon_sym_PLUS_PLUS] = ACTIONS(4107),
    [anon_sym_sizeof] = ACTIONS(4109),
    [anon_sym___alignof__] = ACTIONS(4109),
    [anon_sym___alignof] = ACTIONS(4109),
    [anon_sym__alignof] = ACTIONS(4109),
    [anon_sym_alignof] = ACTIONS(4109),
    [anon_sym__Alignof] = ACTIONS(4109),
    [anon_sym_offsetof] = ACTIONS(4109),
    [anon_sym__Generic] = ACTIONS(4109),
    [anon_sym_asm] = ACTIONS(4109),
    [anon_sym___asm__] = ACTIONS(4109),
    [anon_sym___asm] = ACTIONS(4109),
    [aux_sym_number_literal_token1] = ACTIONS(4107),
    [aux_sym_number_literal_token2] = ACTIONS(4109),
    [anon_sym_L_SQUOTE] = ACTIONS(4107),
    [anon_sym_u_SQUOTE] = ACTIONS(4107),
    [anon_sym_U_SQUOTE] = ACTIONS(4107),
    [anon_sym_u8_SQUOTE] = ACTIONS(4107),
    [anon_sym_SQUOTE] = ACTIONS(4107),
    [anon_sym_L_DQUOTE] = ACTIONS(4107),
    [anon_sym_u_DQUOTE] = ACTIONS(4107),
    [anon_sym_U_DQUOTE] = ACTIONS(4107),
    [anon_sym_u8_DQUOTE] = ACTIONS(4107),
    [anon_sym_DQUOTE] = ACTIONS(4107),
    [sym_true] = ACTIONS(4109),
    [sym_false] = ACTIONS(4109),
    [anon_sym_NULL] = ACTIONS(4109),
    [anon_sym_nullptr] = ACTIONS(4109),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4113),
    [anon_sym_decltype] = ACTIONS(4101),
    [anon_sym_explicit] = ACTIONS(4113),
    [anon_sym_typename] = ACTIONS(4113),
    [anon_sym_template] = ACTIONS(4101),
    [anon_sym_operator] = ACTIONS(4113),
    [anon_sym_try] = ACTIONS(4109),
    [anon_sym_delete] = ACTIONS(4109),
    [anon_sym_throw] = ACTIONS(4109),
    [anon_sym_co_return] = ACTIONS(4109),
    [anon_sym_co_yield] = ACTIONS(4109),
    [anon_sym_R_DQUOTE] = ACTIONS(4107),
    [anon_sym_LR_DQUOTE] = ACTIONS(4107),
    [anon_sym_uR_DQUOTE] = ACTIONS(4107),
    [anon_sym_UR_DQUOTE] = ACTIONS(4107),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4107),
    [anon_sym_co_await] = ACTIONS(4109),
    [anon_sym_new] = ACTIONS(4109),
    [anon_sym_requires] = ACTIONS(4109),
    [sym_this] = ACTIONS(4109),
  },
  [831] = {
    [sym_catch_clause] = STATE(832),
    [aux_sym_constructor_try_statement_repeat1] = STATE(832),
    [sym_identifier] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_virtual] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_PROGMEM] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [aux_sym_primitive_type_token1] = ACTIONS(2564),
    [anon_sym_byte] = ACTIONS(2564),
    [anon_sym_word] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [aux_sym_number_literal_token1] = ACTIONS(2566),
    [aux_sym_number_literal_token2] = ACTIONS(2564),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_catch] = ACTIONS(4115),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [832] = {
    [sym_catch_clause] = STATE(832),
    [aux_sym_constructor_try_statement_repeat1] = STATE(832),
    [sym_identifier] = ACTIONS(2551),
    [anon_sym_LPAREN2] = ACTIONS(2553),
    [anon_sym_BANG] = ACTIONS(2553),
    [anon_sym_TILDE] = ACTIONS(2553),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_STAR] = ACTIONS(2553),
    [anon_sym_AMP] = ACTIONS(2553),
    [anon_sym_SEMI] = ACTIONS(2553),
    [anon_sym___extension__] = ACTIONS(2551),
    [anon_sym_typedef] = ACTIONS(2551),
    [anon_sym_virtual] = ACTIONS(2551),
    [anon_sym_extern] = ACTIONS(2551),
    [anon_sym___attribute__] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2553),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2553),
    [anon_sym___declspec] = ACTIONS(2551),
    [anon_sym_LBRACE] = ACTIONS(2553),
    [anon_sym_signed] = ACTIONS(2551),
    [anon_sym_unsigned] = ACTIONS(2551),
    [anon_sym_long] = ACTIONS(2551),
    [anon_sym_short] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2551),
    [anon_sym_static] = ACTIONS(2551),
    [anon_sym_register] = ACTIONS(2551),
    [anon_sym_inline] = ACTIONS(2551),
    [anon_sym___inline] = ACTIONS(2551),
    [anon_sym___inline__] = ACTIONS(2551),
    [anon_sym___forceinline] = ACTIONS(2551),
    [anon_sym_thread_local] = ACTIONS(2551),
    [anon_sym___thread] = ACTIONS(2551),
    [anon_sym_const] = ACTIONS(2551),
    [anon_sym_constexpr] = ACTIONS(2551),
    [anon_sym_volatile] = ACTIONS(2551),
    [anon_sym_restrict] = ACTIONS(2551),
    [anon_sym___restrict__] = ACTIONS(2551),
    [anon_sym__Atomic] = ACTIONS(2551),
    [anon_sym__Noreturn] = ACTIONS(2551),
    [anon_sym_noreturn] = ACTIONS(2551),
    [anon_sym__Nonnull] = ACTIONS(2551),
    [anon_sym_mutable] = ACTIONS(2551),
    [anon_sym_constinit] = ACTIONS(2551),
    [anon_sym_consteval] = ACTIONS(2551),
    [anon_sym_PROGMEM] = ACTIONS(2551),
    [anon_sym_alignas] = ACTIONS(2551),
    [anon_sym__Alignas] = ACTIONS(2551),
    [aux_sym_primitive_type_token1] = ACTIONS(2551),
    [anon_sym_byte] = ACTIONS(2551),
    [anon_sym_word] = ACTIONS(2551),
    [anon_sym_enum] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2551),
    [anon_sym_struct] = ACTIONS(2551),
    [anon_sym_union] = ACTIONS(2551),
    [anon_sym_if] = ACTIONS(2551),
    [anon_sym_else] = ACTIONS(2551),
    [anon_sym_switch] = ACTIONS(2551),
    [anon_sym_while] = ACTIONS(2551),
    [anon_sym_do] = ACTIONS(2551),
    [anon_sym_for] = ACTIONS(2551),
    [anon_sym_return] = ACTIONS(2551),
    [anon_sym_break] = ACTIONS(2551),
    [anon_sym_continue] = ACTIONS(2551),
    [anon_sym_goto] = ACTIONS(2551),
    [anon_sym___try] = ACTIONS(2551),
    [anon_sym___leave] = ACTIONS(2551),
    [anon_sym_not] = ACTIONS(2551),
    [anon_sym_compl] = ACTIONS(2551),
    [anon_sym_DASH_DASH] = ACTIONS(2553),
    [anon_sym_PLUS_PLUS] = ACTIONS(2553),
    [anon_sym_sizeof] = ACTIONS(2551),
    [anon_sym___alignof__] = ACTIONS(2551),
    [anon_sym___alignof] = ACTIONS(2551),
    [anon_sym__alignof] = ACTIONS(2551),
    [anon_sym_alignof] = ACTIONS(2551),
    [anon_sym__Alignof] = ACTIONS(2551),
    [anon_sym_offsetof] = ACTIONS(2551),
    [anon_sym__Generic] = ACTIONS(2551),
    [anon_sym_asm] = ACTIONS(2551),
    [anon_sym___asm__] = ACTIONS(2551),
    [anon_sym___asm] = ACTIONS(2551),
    [aux_sym_number_literal_token1] = ACTIONS(2553),
    [aux_sym_number_literal_token2] = ACTIONS(2551),
    [anon_sym_L_SQUOTE] = ACTIONS(2553),
    [anon_sym_u_SQUOTE] = ACTIONS(2553),
    [anon_sym_U_SQUOTE] = ACTIONS(2553),
    [anon_sym_u8_SQUOTE] = ACTIONS(2553),
    [anon_sym_SQUOTE] = ACTIONS(2553),
    [anon_sym_L_DQUOTE] = ACTIONS(2553),
    [anon_sym_u_DQUOTE] = ACTIONS(2553),
    [anon_sym_U_DQUOTE] = ACTIONS(2553),
    [anon_sym_u8_DQUOTE] = ACTIONS(2553),
    [anon_sym_DQUOTE] = ACTIONS(2553),
    [sym_true] = ACTIONS(2551),
    [sym_false] = ACTIONS(2551),
    [anon_sym_NULL] = ACTIONS(2551),
    [anon_sym_nullptr] = ACTIONS(2551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2551),
    [anon_sym_decltype] = ACTIONS(2551),
    [anon_sym_typename] = ACTIONS(2551),
    [anon_sym_template] = ACTIONS(2551),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_delete] = ACTIONS(2551),
    [anon_sym_throw] = ACTIONS(2551),
    [anon_sym_co_return] = ACTIONS(2551),
    [anon_sym_co_yield] = ACTIONS(2551),
    [anon_sym_catch] = ACTIONS(4117),
    [anon_sym_R_DQUOTE] = ACTIONS(2553),
    [anon_sym_LR_DQUOTE] = ACTIONS(2553),
    [anon_sym_uR_DQUOTE] = ACTIONS(2553),
    [anon_sym_UR_DQUOTE] = ACTIONS(2553),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2553),
    [anon_sym_co_await] = ACTIONS(2551),
    [anon_sym_new] = ACTIONS(2551),
    [anon_sym_requires] = ACTIONS(2551),
    [sym_this] = ACTIONS(2551),
  },
  [833] = {
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6123),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5932),
    [sym_array_declarator] = STATE(5932),
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3121),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3182),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5402),
    [sym_qualified_identifier] = STATE(3184),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2684),
    [anon_sym_LPAREN2] = ACTIONS(1767),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1829),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [834] = {
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6123),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5932),
    [sym_array_declarator] = STATE(5932),
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3179),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5391),
    [sym_qualified_identifier] = STATE(3195),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_operator_name] = STATE(5932),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2752),
    [anon_sym_LPAREN2] = ACTIONS(2754),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1829),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [835] = {
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_PROGMEM] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [aux_sym_primitive_type_token1] = ACTIONS(1973),
    [anon_sym_byte] = ACTIONS(1973),
    [anon_sym_word] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_else] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_goto] = ACTIONS(1973),
    [anon_sym___try] = ACTIONS(1973),
    [anon_sym___leave] = ACTIONS(1973),
    [anon_sym_not] = ACTIONS(1973),
    [anon_sym_compl] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_sizeof] = ACTIONS(1973),
    [anon_sym___alignof__] = ACTIONS(1973),
    [anon_sym___alignof] = ACTIONS(1973),
    [anon_sym__alignof] = ACTIONS(1973),
    [anon_sym_alignof] = ACTIONS(1973),
    [anon_sym__Alignof] = ACTIONS(1973),
    [anon_sym_offsetof] = ACTIONS(1973),
    [anon_sym__Generic] = ACTIONS(1973),
    [anon_sym_asm] = ACTIONS(1973),
    [anon_sym___asm__] = ACTIONS(1973),
    [anon_sym___asm] = ACTIONS(1973),
    [aux_sym_number_literal_token1] = ACTIONS(1971),
    [aux_sym_number_literal_token2] = ACTIONS(1973),
    [anon_sym_L_SQUOTE] = ACTIONS(1971),
    [anon_sym_u_SQUOTE] = ACTIONS(1971),
    [anon_sym_U_SQUOTE] = ACTIONS(1971),
    [anon_sym_u8_SQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [anon_sym_L_DQUOTE] = ACTIONS(1971),
    [anon_sym_u_DQUOTE] = ACTIONS(1971),
    [anon_sym_U_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8_DQUOTE] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [anon_sym_NULL] = ACTIONS(1973),
    [anon_sym_nullptr] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_co_return] = ACTIONS(1973),
    [anon_sym_co_yield] = ACTIONS(1973),
    [anon_sym_catch] = ACTIONS(1973),
    [anon_sym_R_DQUOTE] = ACTIONS(1971),
    [anon_sym_LR_DQUOTE] = ACTIONS(1971),
    [anon_sym_uR_DQUOTE] = ACTIONS(1971),
    [anon_sym_UR_DQUOTE] = ACTIONS(1971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1971),
    [anon_sym_co_await] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_requires] = ACTIONS(1973),
    [sym_this] = ACTIONS(1973),
  },
  [836] = {
    [sym_else_clause] = STATE(867),
    [sym_identifier] = ACTIONS(2678),
    [anon_sym_LPAREN2] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym___extension__] = ACTIONS(2678),
    [anon_sym_typedef] = ACTIONS(2678),
    [anon_sym_virtual] = ACTIONS(2678),
    [anon_sym_extern] = ACTIONS(2678),
    [anon_sym___attribute__] = ACTIONS(2678),
    [anon_sym_COLON_COLON] = ACTIONS(2680),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2680),
    [anon_sym___declspec] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_signed] = ACTIONS(2678),
    [anon_sym_unsigned] = ACTIONS(2678),
    [anon_sym_long] = ACTIONS(2678),
    [anon_sym_short] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_register] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(2678),
    [anon_sym___inline] = ACTIONS(2678),
    [anon_sym___inline__] = ACTIONS(2678),
    [anon_sym___forceinline] = ACTIONS(2678),
    [anon_sym_thread_local] = ACTIONS(2678),
    [anon_sym___thread] = ACTIONS(2678),
    [anon_sym_const] = ACTIONS(2678),
    [anon_sym_constexpr] = ACTIONS(2678),
    [anon_sym_volatile] = ACTIONS(2678),
    [anon_sym_restrict] = ACTIONS(2678),
    [anon_sym___restrict__] = ACTIONS(2678),
    [anon_sym__Atomic] = ACTIONS(2678),
    [anon_sym__Noreturn] = ACTIONS(2678),
    [anon_sym_noreturn] = ACTIONS(2678),
    [anon_sym__Nonnull] = ACTIONS(2678),
    [anon_sym_mutable] = ACTIONS(2678),
    [anon_sym_constinit] = ACTIONS(2678),
    [anon_sym_consteval] = ACTIONS(2678),
    [anon_sym_PROGMEM] = ACTIONS(2678),
    [anon_sym_alignas] = ACTIONS(2678),
    [anon_sym__Alignas] = ACTIONS(2678),
    [aux_sym_primitive_type_token1] = ACTIONS(2678),
    [anon_sym_byte] = ACTIONS(2678),
    [anon_sym_word] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2678),
    [anon_sym_class] = ACTIONS(2678),
    [anon_sym_struct] = ACTIONS(2678),
    [anon_sym_union] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2678),
    [anon_sym_else] = ACTIONS(4120),
    [anon_sym_switch] = ACTIONS(2678),
    [anon_sym_while] = ACTIONS(2678),
    [anon_sym_do] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2678),
    [anon_sym_return] = ACTIONS(2678),
    [anon_sym_break] = ACTIONS(2678),
    [anon_sym_continue] = ACTIONS(2678),
    [anon_sym_goto] = ACTIONS(2678),
    [anon_sym___try] = ACTIONS(2678),
    [anon_sym___leave] = ACTIONS(2678),
    [anon_sym_not] = ACTIONS(2678),
    [anon_sym_compl] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_sizeof] = ACTIONS(2678),
    [anon_sym___alignof__] = ACTIONS(2678),
    [anon_sym___alignof] = ACTIONS(2678),
    [anon_sym__alignof] = ACTIONS(2678),
    [anon_sym_alignof] = ACTIONS(2678),
    [anon_sym__Alignof] = ACTIONS(2678),
    [anon_sym_offsetof] = ACTIONS(2678),
    [anon_sym__Generic] = ACTIONS(2678),
    [anon_sym_asm] = ACTIONS(2678),
    [anon_sym___asm__] = ACTIONS(2678),
    [anon_sym___asm] = ACTIONS(2678),
    [aux_sym_number_literal_token1] = ACTIONS(2680),
    [aux_sym_number_literal_token2] = ACTIONS(2678),
    [anon_sym_L_SQUOTE] = ACTIONS(2680),
    [anon_sym_u_SQUOTE] = ACTIONS(2680),
    [anon_sym_U_SQUOTE] = ACTIONS(2680),
    [anon_sym_u8_SQUOTE] = ACTIONS(2680),
    [anon_sym_SQUOTE] = ACTIONS(2680),
    [anon_sym_L_DQUOTE] = ACTIONS(2680),
    [anon_sym_u_DQUOTE] = ACTIONS(2680),
    [anon_sym_U_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8_DQUOTE] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [sym_true] = ACTIONS(2678),
    [sym_false] = ACTIONS(2678),
    [anon_sym_NULL] = ACTIONS(2678),
    [anon_sym_nullptr] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2678),
    [anon_sym_decltype] = ACTIONS(2678),
    [anon_sym_typename] = ACTIONS(2678),
    [anon_sym_template] = ACTIONS(2678),
    [anon_sym_try] = ACTIONS(2678),
    [anon_sym_delete] = ACTIONS(2678),
    [anon_sym_throw] = ACTIONS(2678),
    [anon_sym_co_return] = ACTIONS(2678),
    [anon_sym_co_yield] = ACTIONS(2678),
    [anon_sym_R_DQUOTE] = ACTIONS(2680),
    [anon_sym_LR_DQUOTE] = ACTIONS(2680),
    [anon_sym_uR_DQUOTE] = ACTIONS(2680),
    [anon_sym_UR_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2680),
    [anon_sym_co_await] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2678),
    [anon_sym_requires] = ACTIONS(2678),
    [sym_this] = ACTIONS(2678),
  },
  [837] = {
    [sym_else_clause] = STATE(856),
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_PROGMEM] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [aux_sym_primitive_type_token1] = ACTIONS(2700),
    [anon_sym_byte] = ACTIONS(2700),
    [anon_sym_word] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(4120),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [anon_sym___asm] = ACTIONS(2700),
    [aux_sym_number_literal_token1] = ACTIONS(2702),
    [aux_sym_number_literal_token2] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [838] = {
    [sym_identifier] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_SEMI] = ACTIONS(1967),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym_LBRACE] = ACTIONS(1967),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [anon_sym_if] = ACTIONS(1969),
    [anon_sym_else] = ACTIONS(1969),
    [anon_sym_switch] = ACTIONS(1969),
    [anon_sym_while] = ACTIONS(1969),
    [anon_sym_do] = ACTIONS(1969),
    [anon_sym_for] = ACTIONS(1969),
    [anon_sym_return] = ACTIONS(1969),
    [anon_sym_break] = ACTIONS(1969),
    [anon_sym_continue] = ACTIONS(1969),
    [anon_sym_goto] = ACTIONS(1969),
    [anon_sym___try] = ACTIONS(1969),
    [anon_sym___leave] = ACTIONS(1969),
    [anon_sym_not] = ACTIONS(1969),
    [anon_sym_compl] = ACTIONS(1969),
    [anon_sym_DASH_DASH] = ACTIONS(1967),
    [anon_sym_PLUS_PLUS] = ACTIONS(1967),
    [anon_sym_sizeof] = ACTIONS(1969),
    [anon_sym___alignof__] = ACTIONS(1969),
    [anon_sym___alignof] = ACTIONS(1969),
    [anon_sym__alignof] = ACTIONS(1969),
    [anon_sym_alignof] = ACTIONS(1969),
    [anon_sym__Alignof] = ACTIONS(1969),
    [anon_sym_offsetof] = ACTIONS(1969),
    [anon_sym__Generic] = ACTIONS(1969),
    [anon_sym_asm] = ACTIONS(1969),
    [anon_sym___asm__] = ACTIONS(1969),
    [anon_sym___asm] = ACTIONS(1969),
    [aux_sym_number_literal_token1] = ACTIONS(1967),
    [aux_sym_number_literal_token2] = ACTIONS(1969),
    [anon_sym_L_SQUOTE] = ACTIONS(1967),
    [anon_sym_u_SQUOTE] = ACTIONS(1967),
    [anon_sym_U_SQUOTE] = ACTIONS(1967),
    [anon_sym_u8_SQUOTE] = ACTIONS(1967),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [anon_sym_L_DQUOTE] = ACTIONS(1967),
    [anon_sym_u_DQUOTE] = ACTIONS(1967),
    [anon_sym_U_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8_DQUOTE] = ACTIONS(1967),
    [anon_sym_DQUOTE] = ACTIONS(1967),
    [sym_true] = ACTIONS(1969),
    [sym_false] = ACTIONS(1969),
    [anon_sym_NULL] = ACTIONS(1969),
    [anon_sym_nullptr] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_delete] = ACTIONS(1969),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_co_return] = ACTIONS(1969),
    [anon_sym_co_yield] = ACTIONS(1969),
    [anon_sym_catch] = ACTIONS(1969),
    [anon_sym_R_DQUOTE] = ACTIONS(1967),
    [anon_sym_LR_DQUOTE] = ACTIONS(1967),
    [anon_sym_uR_DQUOTE] = ACTIONS(1967),
    [anon_sym_UR_DQUOTE] = ACTIONS(1967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1967),
    [anon_sym_co_await] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_requires] = ACTIONS(1969),
    [sym_this] = ACTIONS(1969),
  },
  [839] = {
    [sym_identifier] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2698),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_PROGMEM] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [aux_sym_primitive_type_token1] = ACTIONS(2696),
    [anon_sym_byte] = ACTIONS(2696),
    [anon_sym_word] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [anon_sym___asm] = ACTIONS(2696),
    [aux_sym_number_literal_token1] = ACTIONS(2698),
    [aux_sym_number_literal_token2] = ACTIONS(2696),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_catch] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [840] = {
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2836),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2834),
    [anon_sym_typedef] = ACTIONS(2834),
    [anon_sym_virtual] = ACTIONS(2834),
    [anon_sym_extern] = ACTIONS(2834),
    [anon_sym___attribute__] = ACTIONS(2834),
    [anon_sym_COLON_COLON] = ACTIONS(2836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2836),
    [anon_sym___declspec] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_signed] = ACTIONS(2834),
    [anon_sym_unsigned] = ACTIONS(2834),
    [anon_sym_long] = ACTIONS(2834),
    [anon_sym_short] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_register] = ACTIONS(2834),
    [anon_sym_inline] = ACTIONS(2834),
    [anon_sym___inline] = ACTIONS(2834),
    [anon_sym___inline__] = ACTIONS(2834),
    [anon_sym___forceinline] = ACTIONS(2834),
    [anon_sym_thread_local] = ACTIONS(2834),
    [anon_sym___thread] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_constexpr] = ACTIONS(2834),
    [anon_sym_volatile] = ACTIONS(2834),
    [anon_sym_restrict] = ACTIONS(2834),
    [anon_sym___restrict__] = ACTIONS(2834),
    [anon_sym__Atomic] = ACTIONS(2834),
    [anon_sym__Noreturn] = ACTIONS(2834),
    [anon_sym_noreturn] = ACTIONS(2834),
    [anon_sym__Nonnull] = ACTIONS(2834),
    [anon_sym_mutable] = ACTIONS(2834),
    [anon_sym_constinit] = ACTIONS(2834),
    [anon_sym_consteval] = ACTIONS(2834),
    [anon_sym_PROGMEM] = ACTIONS(2834),
    [anon_sym_alignas] = ACTIONS(2834),
    [anon_sym__Alignas] = ACTIONS(2834),
    [aux_sym_primitive_type_token1] = ACTIONS(2834),
    [anon_sym_byte] = ACTIONS(2834),
    [anon_sym_word] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_struct] = ACTIONS(2834),
    [anon_sym_union] = ACTIONS(2834),
    [anon_sym_if] = ACTIONS(2834),
    [anon_sym_else] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2834),
    [anon_sym_while] = ACTIONS(2834),
    [anon_sym_do] = ACTIONS(2834),
    [anon_sym_for] = ACTIONS(2834),
    [anon_sym_return] = ACTIONS(2834),
    [anon_sym_break] = ACTIONS(2834),
    [anon_sym_continue] = ACTIONS(2834),
    [anon_sym_goto] = ACTIONS(2834),
    [anon_sym___try] = ACTIONS(2834),
    [anon_sym___leave] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_compl] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_sizeof] = ACTIONS(2834),
    [anon_sym___alignof__] = ACTIONS(2834),
    [anon_sym___alignof] = ACTIONS(2834),
    [anon_sym__alignof] = ACTIONS(2834),
    [anon_sym_alignof] = ACTIONS(2834),
    [anon_sym__Alignof] = ACTIONS(2834),
    [anon_sym_offsetof] = ACTIONS(2834),
    [anon_sym__Generic] = ACTIONS(2834),
    [anon_sym_asm] = ACTIONS(2834),
    [anon_sym___asm__] = ACTIONS(2834),
    [anon_sym___asm] = ACTIONS(2834),
    [aux_sym_number_literal_token1] = ACTIONS(2836),
    [aux_sym_number_literal_token2] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2836),
    [anon_sym_u_SQUOTE] = ACTIONS(2836),
    [anon_sym_U_SQUOTE] = ACTIONS(2836),
    [anon_sym_u8_SQUOTE] = ACTIONS(2836),
    [anon_sym_SQUOTE] = ACTIONS(2836),
    [anon_sym_L_DQUOTE] = ACTIONS(2836),
    [anon_sym_u_DQUOTE] = ACTIONS(2836),
    [anon_sym_U_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8_DQUOTE] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2836),
    [sym_true] = ACTIONS(2834),
    [sym_false] = ACTIONS(2834),
    [anon_sym_NULL] = ACTIONS(2834),
    [anon_sym_nullptr] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2834),
    [anon_sym_decltype] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2834),
    [anon_sym_template] = ACTIONS(2834),
    [anon_sym_try] = ACTIONS(2834),
    [anon_sym_delete] = ACTIONS(2834),
    [anon_sym_throw] = ACTIONS(2834),
    [anon_sym_co_return] = ACTIONS(2834),
    [anon_sym_co_yield] = ACTIONS(2834),
    [anon_sym_R_DQUOTE] = ACTIONS(2836),
    [anon_sym_LR_DQUOTE] = ACTIONS(2836),
    [anon_sym_uR_DQUOTE] = ACTIONS(2836),
    [anon_sym_UR_DQUOTE] = ACTIONS(2836),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2836),
    [anon_sym_co_await] = ACTIONS(2834),
    [anon_sym_new] = ACTIONS(2834),
    [anon_sym_requires] = ACTIONS(2834),
    [sym_this] = ACTIONS(2834),
  },
  [841] = {
    [sym_identifier] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_virtual] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym_COLON_COLON] = ACTIONS(2858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_mutable] = ACTIONS(2856),
    [anon_sym_constinit] = ACTIONS(2856),
    [anon_sym_consteval] = ACTIONS(2856),
    [anon_sym_PROGMEM] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [aux_sym_primitive_type_token1] = ACTIONS(2856),
    [anon_sym_byte] = ACTIONS(2856),
    [anon_sym_word] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [anon_sym_if] = ACTIONS(2856),
    [anon_sym_else] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_while] = ACTIONS(2856),
    [anon_sym_do] = ACTIONS(2856),
    [anon_sym_for] = ACTIONS(2856),
    [anon_sym_return] = ACTIONS(2856),
    [anon_sym_break] = ACTIONS(2856),
    [anon_sym_continue] = ACTIONS(2856),
    [anon_sym_goto] = ACTIONS(2856),
    [anon_sym___try] = ACTIONS(2856),
    [anon_sym___leave] = ACTIONS(2856),
    [anon_sym_not] = ACTIONS(2856),
    [anon_sym_compl] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2858),
    [anon_sym_sizeof] = ACTIONS(2856),
    [anon_sym___alignof__] = ACTIONS(2856),
    [anon_sym___alignof] = ACTIONS(2856),
    [anon_sym__alignof] = ACTIONS(2856),
    [anon_sym_alignof] = ACTIONS(2856),
    [anon_sym__Alignof] = ACTIONS(2856),
    [anon_sym_offsetof] = ACTIONS(2856),
    [anon_sym__Generic] = ACTIONS(2856),
    [anon_sym_asm] = ACTIONS(2856),
    [anon_sym___asm__] = ACTIONS(2856),
    [anon_sym___asm] = ACTIONS(2856),
    [aux_sym_number_literal_token1] = ACTIONS(2858),
    [aux_sym_number_literal_token2] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2858),
    [anon_sym_u_SQUOTE] = ACTIONS(2858),
    [anon_sym_U_SQUOTE] = ACTIONS(2858),
    [anon_sym_u8_SQUOTE] = ACTIONS(2858),
    [anon_sym_SQUOTE] = ACTIONS(2858),
    [anon_sym_L_DQUOTE] = ACTIONS(2858),
    [anon_sym_u_DQUOTE] = ACTIONS(2858),
    [anon_sym_U_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8_DQUOTE] = ACTIONS(2858),
    [anon_sym_DQUOTE] = ACTIONS(2858),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [anon_sym_NULL] = ACTIONS(2856),
    [anon_sym_nullptr] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2856),
    [anon_sym_decltype] = ACTIONS(2856),
    [anon_sym_typename] = ACTIONS(2856),
    [anon_sym_template] = ACTIONS(2856),
    [anon_sym_try] = ACTIONS(2856),
    [anon_sym_delete] = ACTIONS(2856),
    [anon_sym_throw] = ACTIONS(2856),
    [anon_sym_co_return] = ACTIONS(2856),
    [anon_sym_co_yield] = ACTIONS(2856),
    [anon_sym_R_DQUOTE] = ACTIONS(2858),
    [anon_sym_LR_DQUOTE] = ACTIONS(2858),
    [anon_sym_uR_DQUOTE] = ACTIONS(2858),
    [anon_sym_UR_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2858),
    [anon_sym_co_await] = ACTIONS(2856),
    [anon_sym_new] = ACTIONS(2856),
    [anon_sym_requires] = ACTIONS(2856),
    [sym_this] = ACTIONS(2856),
  },
  [842] = {
    [sym_identifier] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_virtual] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym__Nonnull] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_PROGMEM] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [aux_sym_primitive_type_token1] = ACTIONS(2826),
    [anon_sym_byte] = ACTIONS(2826),
    [anon_sym_word] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_else] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [anon_sym___asm] = ACTIONS(2826),
    [aux_sym_number_literal_token1] = ACTIONS(2828),
    [aux_sym_number_literal_token2] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [843] = {
    [sym_identifier] = ACTIONS(2908),
    [anon_sym_LPAREN2] = ACTIONS(2910),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2910),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym___extension__] = ACTIONS(2908),
    [anon_sym_typedef] = ACTIONS(2908),
    [anon_sym_virtual] = ACTIONS(2908),
    [anon_sym_extern] = ACTIONS(2908),
    [anon_sym___attribute__] = ACTIONS(2908),
    [anon_sym_COLON_COLON] = ACTIONS(2910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2910),
    [anon_sym___declspec] = ACTIONS(2908),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_signed] = ACTIONS(2908),
    [anon_sym_unsigned] = ACTIONS(2908),
    [anon_sym_long] = ACTIONS(2908),
    [anon_sym_short] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_static] = ACTIONS(2908),
    [anon_sym_register] = ACTIONS(2908),
    [anon_sym_inline] = ACTIONS(2908),
    [anon_sym___inline] = ACTIONS(2908),
    [anon_sym___inline__] = ACTIONS(2908),
    [anon_sym___forceinline] = ACTIONS(2908),
    [anon_sym_thread_local] = ACTIONS(2908),
    [anon_sym___thread] = ACTIONS(2908),
    [anon_sym_const] = ACTIONS(2908),
    [anon_sym_constexpr] = ACTIONS(2908),
    [anon_sym_volatile] = ACTIONS(2908),
    [anon_sym_restrict] = ACTIONS(2908),
    [anon_sym___restrict__] = ACTIONS(2908),
    [anon_sym__Atomic] = ACTIONS(2908),
    [anon_sym__Noreturn] = ACTIONS(2908),
    [anon_sym_noreturn] = ACTIONS(2908),
    [anon_sym__Nonnull] = ACTIONS(2908),
    [anon_sym_mutable] = ACTIONS(2908),
    [anon_sym_constinit] = ACTIONS(2908),
    [anon_sym_consteval] = ACTIONS(2908),
    [anon_sym_PROGMEM] = ACTIONS(2908),
    [anon_sym_alignas] = ACTIONS(2908),
    [anon_sym__Alignas] = ACTIONS(2908),
    [aux_sym_primitive_type_token1] = ACTIONS(2908),
    [anon_sym_byte] = ACTIONS(2908),
    [anon_sym_word] = ACTIONS(2908),
    [anon_sym_enum] = ACTIONS(2908),
    [anon_sym_class] = ACTIONS(2908),
    [anon_sym_struct] = ACTIONS(2908),
    [anon_sym_union] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_else] = ACTIONS(2908),
    [anon_sym_switch] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_break] = ACTIONS(2908),
    [anon_sym_continue] = ACTIONS(2908),
    [anon_sym_goto] = ACTIONS(2908),
    [anon_sym___try] = ACTIONS(2908),
    [anon_sym___leave] = ACTIONS(2908),
    [anon_sym_not] = ACTIONS(2908),
    [anon_sym_compl] = ACTIONS(2908),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_sizeof] = ACTIONS(2908),
    [anon_sym___alignof__] = ACTIONS(2908),
    [anon_sym___alignof] = ACTIONS(2908),
    [anon_sym__alignof] = ACTIONS(2908),
    [anon_sym_alignof] = ACTIONS(2908),
    [anon_sym__Alignof] = ACTIONS(2908),
    [anon_sym_offsetof] = ACTIONS(2908),
    [anon_sym__Generic] = ACTIONS(2908),
    [anon_sym_asm] = ACTIONS(2908),
    [anon_sym___asm__] = ACTIONS(2908),
    [anon_sym___asm] = ACTIONS(2908),
    [aux_sym_number_literal_token1] = ACTIONS(2910),
    [aux_sym_number_literal_token2] = ACTIONS(2908),
    [anon_sym_L_SQUOTE] = ACTIONS(2910),
    [anon_sym_u_SQUOTE] = ACTIONS(2910),
    [anon_sym_U_SQUOTE] = ACTIONS(2910),
    [anon_sym_u8_SQUOTE] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_L_DQUOTE] = ACTIONS(2910),
    [anon_sym_u_DQUOTE] = ACTIONS(2910),
    [anon_sym_U_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8_DQUOTE] = ACTIONS(2910),
    [anon_sym_DQUOTE] = ACTIONS(2910),
    [sym_true] = ACTIONS(2908),
    [sym_false] = ACTIONS(2908),
    [anon_sym_NULL] = ACTIONS(2908),
    [anon_sym_nullptr] = ACTIONS(2908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2908),
    [anon_sym_decltype] = ACTIONS(2908),
    [anon_sym_typename] = ACTIONS(2908),
    [anon_sym_template] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_delete] = ACTIONS(2908),
    [anon_sym_throw] = ACTIONS(2908),
    [anon_sym_co_return] = ACTIONS(2908),
    [anon_sym_co_yield] = ACTIONS(2908),
    [anon_sym_R_DQUOTE] = ACTIONS(2910),
    [anon_sym_LR_DQUOTE] = ACTIONS(2910),
    [anon_sym_uR_DQUOTE] = ACTIONS(2910),
    [anon_sym_UR_DQUOTE] = ACTIONS(2910),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2910),
    [anon_sym_co_await] = ACTIONS(2908),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_requires] = ACTIONS(2908),
    [sym_this] = ACTIONS(2908),
  },
  [844] = {
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_BANG] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2890),
    [anon_sym_SEMI] = ACTIONS(2890),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2890),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_PROGMEM] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym__Alignas] = ACTIONS(2888),
    [aux_sym_primitive_type_token1] = ACTIONS(2888),
    [anon_sym_byte] = ACTIONS(2888),
    [anon_sym_word] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_else] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_goto] = ACTIONS(2888),
    [anon_sym___try] = ACTIONS(2888),
    [anon_sym___leave] = ACTIONS(2888),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_compl] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2890),
    [anon_sym_sizeof] = ACTIONS(2888),
    [anon_sym___alignof__] = ACTIONS(2888),
    [anon_sym___alignof] = ACTIONS(2888),
    [anon_sym__alignof] = ACTIONS(2888),
    [anon_sym_alignof] = ACTIONS(2888),
    [anon_sym__Alignof] = ACTIONS(2888),
    [anon_sym_offsetof] = ACTIONS(2888),
    [anon_sym__Generic] = ACTIONS(2888),
    [anon_sym_asm] = ACTIONS(2888),
    [anon_sym___asm__] = ACTIONS(2888),
    [anon_sym___asm] = ACTIONS(2888),
    [aux_sym_number_literal_token1] = ACTIONS(2890),
    [aux_sym_number_literal_token2] = ACTIONS(2888),
    [anon_sym_L_SQUOTE] = ACTIONS(2890),
    [anon_sym_u_SQUOTE] = ACTIONS(2890),
    [anon_sym_U_SQUOTE] = ACTIONS(2890),
    [anon_sym_u8_SQUOTE] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_L_DQUOTE] = ACTIONS(2890),
    [anon_sym_u_DQUOTE] = ACTIONS(2890),
    [anon_sym_U_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8_DQUOTE] = ACTIONS(2890),
    [anon_sym_DQUOTE] = ACTIONS(2890),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [anon_sym_NULL] = ACTIONS(2888),
    [anon_sym_nullptr] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_co_return] = ACTIONS(2888),
    [anon_sym_co_yield] = ACTIONS(2888),
    [anon_sym_R_DQUOTE] = ACTIONS(2890),
    [anon_sym_LR_DQUOTE] = ACTIONS(2890),
    [anon_sym_uR_DQUOTE] = ACTIONS(2890),
    [anon_sym_UR_DQUOTE] = ACTIONS(2890),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2890),
    [anon_sym_co_await] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_requires] = ACTIONS(2888),
    [sym_this] = ACTIONS(2888),
  },
  [845] = {
    [sym_identifier] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2922),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_PROGMEM] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [aux_sym_primitive_type_token1] = ACTIONS(2920),
    [anon_sym_byte] = ACTIONS(2920),
    [anon_sym_word] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_else] = ACTIONS(2920),
    [anon_sym_switch] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_break] = ACTIONS(2920),
    [anon_sym_continue] = ACTIONS(2920),
    [anon_sym_goto] = ACTIONS(2920),
    [anon_sym___try] = ACTIONS(2920),
    [anon_sym___leave] = ACTIONS(2920),
    [anon_sym_not] = ACTIONS(2920),
    [anon_sym_compl] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_sizeof] = ACTIONS(2920),
    [anon_sym___alignof__] = ACTIONS(2920),
    [anon_sym___alignof] = ACTIONS(2920),
    [anon_sym__alignof] = ACTIONS(2920),
    [anon_sym_alignof] = ACTIONS(2920),
    [anon_sym__Alignof] = ACTIONS(2920),
    [anon_sym_offsetof] = ACTIONS(2920),
    [anon_sym__Generic] = ACTIONS(2920),
    [anon_sym_asm] = ACTIONS(2920),
    [anon_sym___asm__] = ACTIONS(2920),
    [anon_sym___asm] = ACTIONS(2920),
    [aux_sym_number_literal_token1] = ACTIONS(2922),
    [aux_sym_number_literal_token2] = ACTIONS(2920),
    [anon_sym_L_SQUOTE] = ACTIONS(2922),
    [anon_sym_u_SQUOTE] = ACTIONS(2922),
    [anon_sym_U_SQUOTE] = ACTIONS(2922),
    [anon_sym_u8_SQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_L_DQUOTE] = ACTIONS(2922),
    [anon_sym_u_DQUOTE] = ACTIONS(2922),
    [anon_sym_U_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [sym_true] = ACTIONS(2920),
    [sym_false] = ACTIONS(2920),
    [anon_sym_NULL] = ACTIONS(2920),
    [anon_sym_nullptr] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_delete] = ACTIONS(2920),
    [anon_sym_throw] = ACTIONS(2920),
    [anon_sym_co_return] = ACTIONS(2920),
    [anon_sym_co_yield] = ACTIONS(2920),
    [anon_sym_R_DQUOTE] = ACTIONS(2922),
    [anon_sym_LR_DQUOTE] = ACTIONS(2922),
    [anon_sym_uR_DQUOTE] = ACTIONS(2922),
    [anon_sym_UR_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2922),
    [anon_sym_co_await] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_requires] = ACTIONS(2920),
    [sym_this] = ACTIONS(2920),
  },
  [846] = {
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_PROGMEM] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [aux_sym_primitive_type_token1] = ACTIONS(2814),
    [anon_sym_byte] = ACTIONS(2814),
    [anon_sym_word] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [aux_sym_number_literal_token1] = ACTIONS(2816),
    [aux_sym_number_literal_token2] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [847] = {
    [sym_identifier] = ACTIONS(2810),
    [anon_sym_LPAREN2] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2812),
    [anon_sym_TILDE] = ACTIONS(2812),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_SEMI] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2810),
    [anon_sym_typedef] = ACTIONS(2810),
    [anon_sym_virtual] = ACTIONS(2810),
    [anon_sym_extern] = ACTIONS(2810),
    [anon_sym___attribute__] = ACTIONS(2810),
    [anon_sym_COLON_COLON] = ACTIONS(2812),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2812),
    [anon_sym___declspec] = ACTIONS(2810),
    [anon_sym_LBRACE] = ACTIONS(2812),
    [anon_sym_signed] = ACTIONS(2810),
    [anon_sym_unsigned] = ACTIONS(2810),
    [anon_sym_long] = ACTIONS(2810),
    [anon_sym_short] = ACTIONS(2810),
    [anon_sym_LBRACK] = ACTIONS(2810),
    [anon_sym_static] = ACTIONS(2810),
    [anon_sym_register] = ACTIONS(2810),
    [anon_sym_inline] = ACTIONS(2810),
    [anon_sym___inline] = ACTIONS(2810),
    [anon_sym___inline__] = ACTIONS(2810),
    [anon_sym___forceinline] = ACTIONS(2810),
    [anon_sym_thread_local] = ACTIONS(2810),
    [anon_sym___thread] = ACTIONS(2810),
    [anon_sym_const] = ACTIONS(2810),
    [anon_sym_constexpr] = ACTIONS(2810),
    [anon_sym_volatile] = ACTIONS(2810),
    [anon_sym_restrict] = ACTIONS(2810),
    [anon_sym___restrict__] = ACTIONS(2810),
    [anon_sym__Atomic] = ACTIONS(2810),
    [anon_sym__Noreturn] = ACTIONS(2810),
    [anon_sym_noreturn] = ACTIONS(2810),
    [anon_sym__Nonnull] = ACTIONS(2810),
    [anon_sym_mutable] = ACTIONS(2810),
    [anon_sym_constinit] = ACTIONS(2810),
    [anon_sym_consteval] = ACTIONS(2810),
    [anon_sym_PROGMEM] = ACTIONS(2810),
    [anon_sym_alignas] = ACTIONS(2810),
    [anon_sym__Alignas] = ACTIONS(2810),
    [aux_sym_primitive_type_token1] = ACTIONS(2810),
    [anon_sym_byte] = ACTIONS(2810),
    [anon_sym_word] = ACTIONS(2810),
    [anon_sym_enum] = ACTIONS(2810),
    [anon_sym_class] = ACTIONS(2810),
    [anon_sym_struct] = ACTIONS(2810),
    [anon_sym_union] = ACTIONS(2810),
    [anon_sym_if] = ACTIONS(2810),
    [anon_sym_else] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2810),
    [anon_sym_while] = ACTIONS(2810),
    [anon_sym_do] = ACTIONS(2810),
    [anon_sym_for] = ACTIONS(2810),
    [anon_sym_return] = ACTIONS(2810),
    [anon_sym_break] = ACTIONS(2810),
    [anon_sym_continue] = ACTIONS(2810),
    [anon_sym_goto] = ACTIONS(2810),
    [anon_sym___try] = ACTIONS(2810),
    [anon_sym___leave] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(2810),
    [anon_sym_compl] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2812),
    [anon_sym_PLUS_PLUS] = ACTIONS(2812),
    [anon_sym_sizeof] = ACTIONS(2810),
    [anon_sym___alignof__] = ACTIONS(2810),
    [anon_sym___alignof] = ACTIONS(2810),
    [anon_sym__alignof] = ACTIONS(2810),
    [anon_sym_alignof] = ACTIONS(2810),
    [anon_sym__Alignof] = ACTIONS(2810),
    [anon_sym_offsetof] = ACTIONS(2810),
    [anon_sym__Generic] = ACTIONS(2810),
    [anon_sym_asm] = ACTIONS(2810),
    [anon_sym___asm__] = ACTIONS(2810),
    [anon_sym___asm] = ACTIONS(2810),
    [aux_sym_number_literal_token1] = ACTIONS(2812),
    [aux_sym_number_literal_token2] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2812),
    [anon_sym_u_SQUOTE] = ACTIONS(2812),
    [anon_sym_U_SQUOTE] = ACTIONS(2812),
    [anon_sym_u8_SQUOTE] = ACTIONS(2812),
    [anon_sym_SQUOTE] = ACTIONS(2812),
    [anon_sym_L_DQUOTE] = ACTIONS(2812),
    [anon_sym_u_DQUOTE] = ACTIONS(2812),
    [anon_sym_U_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8_DQUOTE] = ACTIONS(2812),
    [anon_sym_DQUOTE] = ACTIONS(2812),
    [sym_true] = ACTIONS(2810),
    [sym_false] = ACTIONS(2810),
    [anon_sym_NULL] = ACTIONS(2810),
    [anon_sym_nullptr] = ACTIONS(2810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2810),
    [anon_sym_decltype] = ACTIONS(2810),
    [anon_sym_typename] = ACTIONS(2810),
    [anon_sym_template] = ACTIONS(2810),
    [anon_sym_try] = ACTIONS(2810),
    [anon_sym_delete] = ACTIONS(2810),
    [anon_sym_throw] = ACTIONS(2810),
    [anon_sym_co_return] = ACTIONS(2810),
    [anon_sym_co_yield] = ACTIONS(2810),
    [anon_sym_R_DQUOTE] = ACTIONS(2812),
    [anon_sym_LR_DQUOTE] = ACTIONS(2812),
    [anon_sym_uR_DQUOTE] = ACTIONS(2812),
    [anon_sym_UR_DQUOTE] = ACTIONS(2812),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2812),
    [anon_sym_co_await] = ACTIONS(2810),
    [anon_sym_new] = ACTIONS(2810),
    [anon_sym_requires] = ACTIONS(2810),
    [sym_this] = ACTIONS(2810),
  },
  [848] = {
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_PROGMEM] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [aux_sym_primitive_type_token1] = ACTIONS(2814),
    [anon_sym_byte] = ACTIONS(2814),
    [anon_sym_word] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [aux_sym_number_literal_token1] = ACTIONS(2816),
    [aux_sym_number_literal_token2] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [849] = {
    [sym_identifier] = ACTIONS(2818),
    [anon_sym_LPAREN2] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2820),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym___extension__] = ACTIONS(2818),
    [anon_sym_typedef] = ACTIONS(2818),
    [anon_sym_virtual] = ACTIONS(2818),
    [anon_sym_extern] = ACTIONS(2818),
    [anon_sym___attribute__] = ACTIONS(2818),
    [anon_sym_COLON_COLON] = ACTIONS(2820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2820),
    [anon_sym___declspec] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(2820),
    [anon_sym_signed] = ACTIONS(2818),
    [anon_sym_unsigned] = ACTIONS(2818),
    [anon_sym_long] = ACTIONS(2818),
    [anon_sym_short] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_register] = ACTIONS(2818),
    [anon_sym_inline] = ACTIONS(2818),
    [anon_sym___inline] = ACTIONS(2818),
    [anon_sym___inline__] = ACTIONS(2818),
    [anon_sym___forceinline] = ACTIONS(2818),
    [anon_sym_thread_local] = ACTIONS(2818),
    [anon_sym___thread] = ACTIONS(2818),
    [anon_sym_const] = ACTIONS(2818),
    [anon_sym_constexpr] = ACTIONS(2818),
    [anon_sym_volatile] = ACTIONS(2818),
    [anon_sym_restrict] = ACTIONS(2818),
    [anon_sym___restrict__] = ACTIONS(2818),
    [anon_sym__Atomic] = ACTIONS(2818),
    [anon_sym__Noreturn] = ACTIONS(2818),
    [anon_sym_noreturn] = ACTIONS(2818),
    [anon_sym__Nonnull] = ACTIONS(2818),
    [anon_sym_mutable] = ACTIONS(2818),
    [anon_sym_constinit] = ACTIONS(2818),
    [anon_sym_consteval] = ACTIONS(2818),
    [anon_sym_PROGMEM] = ACTIONS(2818),
    [anon_sym_alignas] = ACTIONS(2818),
    [anon_sym__Alignas] = ACTIONS(2818),
    [aux_sym_primitive_type_token1] = ACTIONS(2818),
    [anon_sym_byte] = ACTIONS(2818),
    [anon_sym_word] = ACTIONS(2818),
    [anon_sym_enum] = ACTIONS(2818),
    [anon_sym_class] = ACTIONS(2818),
    [anon_sym_struct] = ACTIONS(2818),
    [anon_sym_union] = ACTIONS(2818),
    [anon_sym_if] = ACTIONS(2818),
    [anon_sym_else] = ACTIONS(2818),
    [anon_sym_switch] = ACTIONS(2818),
    [anon_sym_while] = ACTIONS(2818),
    [anon_sym_do] = ACTIONS(2818),
    [anon_sym_for] = ACTIONS(2818),
    [anon_sym_return] = ACTIONS(2818),
    [anon_sym_break] = ACTIONS(2818),
    [anon_sym_continue] = ACTIONS(2818),
    [anon_sym_goto] = ACTIONS(2818),
    [anon_sym___try] = ACTIONS(2818),
    [anon_sym___leave] = ACTIONS(2818),
    [anon_sym_not] = ACTIONS(2818),
    [anon_sym_compl] = ACTIONS(2818),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_sizeof] = ACTIONS(2818),
    [anon_sym___alignof__] = ACTIONS(2818),
    [anon_sym___alignof] = ACTIONS(2818),
    [anon_sym__alignof] = ACTIONS(2818),
    [anon_sym_alignof] = ACTIONS(2818),
    [anon_sym__Alignof] = ACTIONS(2818),
    [anon_sym_offsetof] = ACTIONS(2818),
    [anon_sym__Generic] = ACTIONS(2818),
    [anon_sym_asm] = ACTIONS(2818),
    [anon_sym___asm__] = ACTIONS(2818),
    [anon_sym___asm] = ACTIONS(2818),
    [aux_sym_number_literal_token1] = ACTIONS(2820),
    [aux_sym_number_literal_token2] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2820),
    [anon_sym_u_SQUOTE] = ACTIONS(2820),
    [anon_sym_U_SQUOTE] = ACTIONS(2820),
    [anon_sym_u8_SQUOTE] = ACTIONS(2820),
    [anon_sym_SQUOTE] = ACTIONS(2820),
    [anon_sym_L_DQUOTE] = ACTIONS(2820),
    [anon_sym_u_DQUOTE] = ACTIONS(2820),
    [anon_sym_U_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8_DQUOTE] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2820),
    [sym_true] = ACTIONS(2818),
    [sym_false] = ACTIONS(2818),
    [anon_sym_NULL] = ACTIONS(2818),
    [anon_sym_nullptr] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2818),
    [anon_sym_decltype] = ACTIONS(2818),
    [anon_sym_typename] = ACTIONS(2818),
    [anon_sym_template] = ACTIONS(2818),
    [anon_sym_try] = ACTIONS(2818),
    [anon_sym_delete] = ACTIONS(2818),
    [anon_sym_throw] = ACTIONS(2818),
    [anon_sym_co_return] = ACTIONS(2818),
    [anon_sym_co_yield] = ACTIONS(2818),
    [anon_sym_R_DQUOTE] = ACTIONS(2820),
    [anon_sym_LR_DQUOTE] = ACTIONS(2820),
    [anon_sym_uR_DQUOTE] = ACTIONS(2820),
    [anon_sym_UR_DQUOTE] = ACTIONS(2820),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2820),
    [anon_sym_co_await] = ACTIONS(2818),
    [anon_sym_new] = ACTIONS(2818),
    [anon_sym_requires] = ACTIONS(2818),
    [sym_this] = ACTIONS(2818),
  },
  [850] = {
    [sym_identifier] = ACTIONS(3942),
    [anon_sym_LPAREN2] = ACTIONS(3944),
    [anon_sym_BANG] = ACTIONS(3944),
    [anon_sym_TILDE] = ACTIONS(3944),
    [anon_sym_DASH] = ACTIONS(3942),
    [anon_sym_PLUS] = ACTIONS(3942),
    [anon_sym_STAR] = ACTIONS(3944),
    [anon_sym_AMP] = ACTIONS(3944),
    [anon_sym_SEMI] = ACTIONS(3944),
    [anon_sym___extension__] = ACTIONS(3942),
    [anon_sym_virtual] = ACTIONS(3942),
    [anon_sym_extern] = ACTIONS(3942),
    [anon_sym___attribute__] = ACTIONS(3942),
    [anon_sym_COLON_COLON] = ACTIONS(3944),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3944),
    [anon_sym___declspec] = ACTIONS(3942),
    [anon_sym_LBRACE] = ACTIONS(3944),
    [anon_sym_signed] = ACTIONS(3942),
    [anon_sym_unsigned] = ACTIONS(3942),
    [anon_sym_long] = ACTIONS(3942),
    [anon_sym_short] = ACTIONS(3942),
    [anon_sym_LBRACK] = ACTIONS(3942),
    [anon_sym_static] = ACTIONS(3942),
    [anon_sym_register] = ACTIONS(3942),
    [anon_sym_inline] = ACTIONS(3942),
    [anon_sym___inline] = ACTIONS(3942),
    [anon_sym___inline__] = ACTIONS(3942),
    [anon_sym___forceinline] = ACTIONS(3942),
    [anon_sym_thread_local] = ACTIONS(3942),
    [anon_sym___thread] = ACTIONS(3942),
    [anon_sym_const] = ACTIONS(3942),
    [anon_sym_constexpr] = ACTIONS(3942),
    [anon_sym_volatile] = ACTIONS(3942),
    [anon_sym_restrict] = ACTIONS(3942),
    [anon_sym___restrict__] = ACTIONS(3942),
    [anon_sym__Atomic] = ACTIONS(3942),
    [anon_sym__Noreturn] = ACTIONS(3942),
    [anon_sym_noreturn] = ACTIONS(3942),
    [anon_sym__Nonnull] = ACTIONS(3942),
    [anon_sym_mutable] = ACTIONS(3942),
    [anon_sym_constinit] = ACTIONS(3942),
    [anon_sym_consteval] = ACTIONS(3942),
    [anon_sym_PROGMEM] = ACTIONS(3942),
    [anon_sym_alignas] = ACTIONS(3942),
    [anon_sym__Alignas] = ACTIONS(3942),
    [aux_sym_primitive_type_token1] = ACTIONS(3942),
    [anon_sym_byte] = ACTIONS(3942),
    [anon_sym_word] = ACTIONS(3942),
    [anon_sym_enum] = ACTIONS(3942),
    [anon_sym_class] = ACTIONS(3942),
    [anon_sym_struct] = ACTIONS(3942),
    [anon_sym_union] = ACTIONS(3942),
    [anon_sym_if] = ACTIONS(3942),
    [anon_sym_switch] = ACTIONS(3942),
    [anon_sym_case] = ACTIONS(3942),
    [anon_sym_default] = ACTIONS(3942),
    [anon_sym_while] = ACTIONS(3942),
    [anon_sym_do] = ACTIONS(3942),
    [anon_sym_for] = ACTIONS(3942),
    [anon_sym_return] = ACTIONS(3942),
    [anon_sym_break] = ACTIONS(3942),
    [anon_sym_continue] = ACTIONS(3942),
    [anon_sym_goto] = ACTIONS(3942),
    [anon_sym___try] = ACTIONS(3942),
    [anon_sym___leave] = ACTIONS(3942),
    [anon_sym_not] = ACTIONS(3942),
    [anon_sym_compl] = ACTIONS(3942),
    [anon_sym_DASH_DASH] = ACTIONS(3944),
    [anon_sym_PLUS_PLUS] = ACTIONS(3944),
    [anon_sym_sizeof] = ACTIONS(3942),
    [anon_sym___alignof__] = ACTIONS(3942),
    [anon_sym___alignof] = ACTIONS(3942),
    [anon_sym__alignof] = ACTIONS(3942),
    [anon_sym_alignof] = ACTIONS(3942),
    [anon_sym__Alignof] = ACTIONS(3942),
    [anon_sym_offsetof] = ACTIONS(3942),
    [anon_sym__Generic] = ACTIONS(3942),
    [anon_sym_asm] = ACTIONS(3942),
    [anon_sym___asm__] = ACTIONS(3942),
    [anon_sym___asm] = ACTIONS(3942),
    [aux_sym_number_literal_token1] = ACTIONS(3944),
    [aux_sym_number_literal_token2] = ACTIONS(3942),
    [anon_sym_L_SQUOTE] = ACTIONS(3944),
    [anon_sym_u_SQUOTE] = ACTIONS(3944),
    [anon_sym_U_SQUOTE] = ACTIONS(3944),
    [anon_sym_u8_SQUOTE] = ACTIONS(3944),
    [anon_sym_SQUOTE] = ACTIONS(3944),
    [anon_sym_L_DQUOTE] = ACTIONS(3944),
    [anon_sym_u_DQUOTE] = ACTIONS(3944),
    [anon_sym_U_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8_DQUOTE] = ACTIONS(3944),
    [anon_sym_DQUOTE] = ACTIONS(3944),
    [sym_true] = ACTIONS(3942),
    [sym_false] = ACTIONS(3942),
    [anon_sym_NULL] = ACTIONS(3942),
    [anon_sym_nullptr] = ACTIONS(3942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3942),
    [anon_sym_decltype] = ACTIONS(3942),
    [anon_sym_typename] = ACTIONS(3942),
    [anon_sym_template] = ACTIONS(3942),
    [anon_sym_try] = ACTIONS(3942),
    [anon_sym_delete] = ACTIONS(3942),
    [anon_sym_throw] = ACTIONS(3942),
    [anon_sym_co_return] = ACTIONS(3942),
    [anon_sym_co_yield] = ACTIONS(3942),
    [anon_sym_R_DQUOTE] = ACTIONS(3944),
    [anon_sym_LR_DQUOTE] = ACTIONS(3944),
    [anon_sym_uR_DQUOTE] = ACTIONS(3944),
    [anon_sym_UR_DQUOTE] = ACTIONS(3944),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3944),
    [anon_sym_co_await] = ACTIONS(3942),
    [anon_sym_new] = ACTIONS(3942),
    [anon_sym_requires] = ACTIONS(3942),
    [sym_this] = ACTIONS(3942),
  },
  [851] = {
    [sym_identifier] = ACTIONS(2736),
    [anon_sym_LPAREN2] = ACTIONS(2741),
    [anon_sym_BANG] = ACTIONS(2741),
    [anon_sym_TILDE] = ACTIONS(2741),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2741),
    [anon_sym_AMP] = ACTIONS(2741),
    [anon_sym_SEMI] = ACTIONS(2741),
    [anon_sym___extension__] = ACTIONS(2736),
    [anon_sym_typedef] = ACTIONS(2736),
    [anon_sym_virtual] = ACTIONS(2736),
    [anon_sym_extern] = ACTIONS(2736),
    [anon_sym___attribute__] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2741),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2741),
    [anon_sym___declspec] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2741),
    [anon_sym_signed] = ACTIONS(2736),
    [anon_sym_unsigned] = ACTIONS(2736),
    [anon_sym_long] = ACTIONS(2736),
    [anon_sym_short] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_register] = ACTIONS(2736),
    [anon_sym_inline] = ACTIONS(2736),
    [anon_sym___inline] = ACTIONS(2736),
    [anon_sym___inline__] = ACTIONS(2736),
    [anon_sym___forceinline] = ACTIONS(2736),
    [anon_sym_thread_local] = ACTIONS(2736),
    [anon_sym___thread] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_constexpr] = ACTIONS(2736),
    [anon_sym_volatile] = ACTIONS(2736),
    [anon_sym_restrict] = ACTIONS(2736),
    [anon_sym___restrict__] = ACTIONS(2736),
    [anon_sym__Atomic] = ACTIONS(2736),
    [anon_sym__Noreturn] = ACTIONS(2736),
    [anon_sym_noreturn] = ACTIONS(2736),
    [anon_sym__Nonnull] = ACTIONS(2736),
    [anon_sym_mutable] = ACTIONS(2736),
    [anon_sym_constinit] = ACTIONS(2736),
    [anon_sym_consteval] = ACTIONS(2736),
    [anon_sym_PROGMEM] = ACTIONS(2736),
    [anon_sym_alignas] = ACTIONS(2736),
    [anon_sym__Alignas] = ACTIONS(2736),
    [aux_sym_primitive_type_token1] = ACTIONS(2736),
    [anon_sym_byte] = ACTIONS(2736),
    [anon_sym_word] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_struct] = ACTIONS(2736),
    [anon_sym_union] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_else] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_goto] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2736),
    [anon_sym___leave] = ACTIONS(2736),
    [anon_sym_not] = ACTIONS(2736),
    [anon_sym_compl] = ACTIONS(2736),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_sizeof] = ACTIONS(2736),
    [anon_sym___alignof__] = ACTIONS(2736),
    [anon_sym___alignof] = ACTIONS(2736),
    [anon_sym__alignof] = ACTIONS(2736),
    [anon_sym_alignof] = ACTIONS(2736),
    [anon_sym__Alignof] = ACTIONS(2736),
    [anon_sym_offsetof] = ACTIONS(2736),
    [anon_sym__Generic] = ACTIONS(2736),
    [anon_sym_asm] = ACTIONS(2736),
    [anon_sym___asm__] = ACTIONS(2736),
    [anon_sym___asm] = ACTIONS(2736),
    [aux_sym_number_literal_token1] = ACTIONS(2741),
    [aux_sym_number_literal_token2] = ACTIONS(2736),
    [anon_sym_L_SQUOTE] = ACTIONS(2741),
    [anon_sym_u_SQUOTE] = ACTIONS(2741),
    [anon_sym_U_SQUOTE] = ACTIONS(2741),
    [anon_sym_u8_SQUOTE] = ACTIONS(2741),
    [anon_sym_SQUOTE] = ACTIONS(2741),
    [anon_sym_L_DQUOTE] = ACTIONS(2741),
    [anon_sym_u_DQUOTE] = ACTIONS(2741),
    [anon_sym_U_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8_DQUOTE] = ACTIONS(2741),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [anon_sym_NULL] = ACTIONS(2736),
    [anon_sym_nullptr] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2736),
    [anon_sym_decltype] = ACTIONS(2736),
    [anon_sym_typename] = ACTIONS(2736),
    [anon_sym_template] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_co_return] = ACTIONS(2736),
    [anon_sym_co_yield] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2741),
    [anon_sym_LR_DQUOTE] = ACTIONS(2741),
    [anon_sym_uR_DQUOTE] = ACTIONS(2741),
    [anon_sym_UR_DQUOTE] = ACTIONS(2741),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2741),
    [anon_sym_co_await] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2736),
    [sym_this] = ACTIONS(2736),
  },
  [852] = {
    [sym_identifier] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2926),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_PROGMEM] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [aux_sym_primitive_type_token1] = ACTIONS(2924),
    [anon_sym_byte] = ACTIONS(2924),
    [anon_sym_word] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_else] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym___try] = ACTIONS(2924),
    [anon_sym___leave] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [anon_sym___asm] = ACTIONS(2924),
    [aux_sym_number_literal_token1] = ACTIONS(2926),
    [aux_sym_number_literal_token2] = ACTIONS(2924),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [853] = {
    [sym_identifier] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_PROGMEM] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [aux_sym_primitive_type_token1] = ACTIONS(2790),
    [anon_sym_byte] = ACTIONS(2790),
    [anon_sym_word] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [aux_sym_number_literal_token1] = ACTIONS(2792),
    [aux_sym_number_literal_token2] = ACTIONS(2790),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [854] = {
    [sym_identifier] = ACTIONS(2880),
    [anon_sym_LPAREN2] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_STAR] = ACTIONS(2882),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2880),
    [anon_sym_typedef] = ACTIONS(2880),
    [anon_sym_virtual] = ACTIONS(2880),
    [anon_sym_extern] = ACTIONS(2880),
    [anon_sym___attribute__] = ACTIONS(2880),
    [anon_sym_COLON_COLON] = ACTIONS(2882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2882),
    [anon_sym___declspec] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2880),
    [anon_sym_unsigned] = ACTIONS(2880),
    [anon_sym_long] = ACTIONS(2880),
    [anon_sym_short] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_register] = ACTIONS(2880),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym___inline] = ACTIONS(2880),
    [anon_sym___inline__] = ACTIONS(2880),
    [anon_sym___forceinline] = ACTIONS(2880),
    [anon_sym_thread_local] = ACTIONS(2880),
    [anon_sym___thread] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_constexpr] = ACTIONS(2880),
    [anon_sym_volatile] = ACTIONS(2880),
    [anon_sym_restrict] = ACTIONS(2880),
    [anon_sym___restrict__] = ACTIONS(2880),
    [anon_sym__Atomic] = ACTIONS(2880),
    [anon_sym__Noreturn] = ACTIONS(2880),
    [anon_sym_noreturn] = ACTIONS(2880),
    [anon_sym__Nonnull] = ACTIONS(2880),
    [anon_sym_mutable] = ACTIONS(2880),
    [anon_sym_constinit] = ACTIONS(2880),
    [anon_sym_consteval] = ACTIONS(2880),
    [anon_sym_PROGMEM] = ACTIONS(2880),
    [anon_sym_alignas] = ACTIONS(2880),
    [anon_sym__Alignas] = ACTIONS(2880),
    [aux_sym_primitive_type_token1] = ACTIONS(2880),
    [anon_sym_byte] = ACTIONS(2880),
    [anon_sym_word] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_struct] = ACTIONS(2880),
    [anon_sym_union] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_else] = ACTIONS(2880),
    [anon_sym_switch] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_break] = ACTIONS(2880),
    [anon_sym_continue] = ACTIONS(2880),
    [anon_sym_goto] = ACTIONS(2880),
    [anon_sym___try] = ACTIONS(2880),
    [anon_sym___leave] = ACTIONS(2880),
    [anon_sym_not] = ACTIONS(2880),
    [anon_sym_compl] = ACTIONS(2880),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_sizeof] = ACTIONS(2880),
    [anon_sym___alignof__] = ACTIONS(2880),
    [anon_sym___alignof] = ACTIONS(2880),
    [anon_sym__alignof] = ACTIONS(2880),
    [anon_sym_alignof] = ACTIONS(2880),
    [anon_sym__Alignof] = ACTIONS(2880),
    [anon_sym_offsetof] = ACTIONS(2880),
    [anon_sym__Generic] = ACTIONS(2880),
    [anon_sym_asm] = ACTIONS(2880),
    [anon_sym___asm__] = ACTIONS(2880),
    [anon_sym___asm] = ACTIONS(2880),
    [aux_sym_number_literal_token1] = ACTIONS(2882),
    [aux_sym_number_literal_token2] = ACTIONS(2880),
    [anon_sym_L_SQUOTE] = ACTIONS(2882),
    [anon_sym_u_SQUOTE] = ACTIONS(2882),
    [anon_sym_U_SQUOTE] = ACTIONS(2882),
    [anon_sym_u8_SQUOTE] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_L_DQUOTE] = ACTIONS(2882),
    [anon_sym_u_DQUOTE] = ACTIONS(2882),
    [anon_sym_U_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8_DQUOTE] = ACTIONS(2882),
    [anon_sym_DQUOTE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2880),
    [sym_false] = ACTIONS(2880),
    [anon_sym_NULL] = ACTIONS(2880),
    [anon_sym_nullptr] = ACTIONS(2880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2880),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2880),
    [anon_sym_template] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_delete] = ACTIONS(2880),
    [anon_sym_throw] = ACTIONS(2880),
    [anon_sym_co_return] = ACTIONS(2880),
    [anon_sym_co_yield] = ACTIONS(2880),
    [anon_sym_R_DQUOTE] = ACTIONS(2882),
    [anon_sym_LR_DQUOTE] = ACTIONS(2882),
    [anon_sym_uR_DQUOTE] = ACTIONS(2882),
    [anon_sym_UR_DQUOTE] = ACTIONS(2882),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2882),
    [anon_sym_co_await] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_requires] = ACTIONS(2880),
    [sym_this] = ACTIONS(2880),
  },
  [855] = {
    [sym_identifier] = ACTIONS(2912),
    [anon_sym_LPAREN2] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(2914),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym___extension__] = ACTIONS(2912),
    [anon_sym_typedef] = ACTIONS(2912),
    [anon_sym_virtual] = ACTIONS(2912),
    [anon_sym_extern] = ACTIONS(2912),
    [anon_sym___attribute__] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2914),
    [anon_sym___declspec] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_signed] = ACTIONS(2912),
    [anon_sym_unsigned] = ACTIONS(2912),
    [anon_sym_long] = ACTIONS(2912),
    [anon_sym_short] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_register] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2912),
    [anon_sym___inline] = ACTIONS(2912),
    [anon_sym___inline__] = ACTIONS(2912),
    [anon_sym___forceinline] = ACTIONS(2912),
    [anon_sym_thread_local] = ACTIONS(2912),
    [anon_sym___thread] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_constexpr] = ACTIONS(2912),
    [anon_sym_volatile] = ACTIONS(2912),
    [anon_sym_restrict] = ACTIONS(2912),
    [anon_sym___restrict__] = ACTIONS(2912),
    [anon_sym__Atomic] = ACTIONS(2912),
    [anon_sym__Noreturn] = ACTIONS(2912),
    [anon_sym_noreturn] = ACTIONS(2912),
    [anon_sym__Nonnull] = ACTIONS(2912),
    [anon_sym_mutable] = ACTIONS(2912),
    [anon_sym_constinit] = ACTIONS(2912),
    [anon_sym_consteval] = ACTIONS(2912),
    [anon_sym_PROGMEM] = ACTIONS(2912),
    [anon_sym_alignas] = ACTIONS(2912),
    [anon_sym__Alignas] = ACTIONS(2912),
    [aux_sym_primitive_type_token1] = ACTIONS(2912),
    [anon_sym_byte] = ACTIONS(2912),
    [anon_sym_word] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_struct] = ACTIONS(2912),
    [anon_sym_union] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_else] = ACTIONS(2912),
    [anon_sym_switch] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_break] = ACTIONS(2912),
    [anon_sym_continue] = ACTIONS(2912),
    [anon_sym_goto] = ACTIONS(2912),
    [anon_sym___try] = ACTIONS(2912),
    [anon_sym___leave] = ACTIONS(2912),
    [anon_sym_not] = ACTIONS(2912),
    [anon_sym_compl] = ACTIONS(2912),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(2912),
    [anon_sym___alignof] = ACTIONS(2912),
    [anon_sym__alignof] = ACTIONS(2912),
    [anon_sym_alignof] = ACTIONS(2912),
    [anon_sym__Alignof] = ACTIONS(2912),
    [anon_sym_offsetof] = ACTIONS(2912),
    [anon_sym__Generic] = ACTIONS(2912),
    [anon_sym_asm] = ACTIONS(2912),
    [anon_sym___asm__] = ACTIONS(2912),
    [anon_sym___asm] = ACTIONS(2912),
    [aux_sym_number_literal_token1] = ACTIONS(2914),
    [aux_sym_number_literal_token2] = ACTIONS(2912),
    [anon_sym_L_SQUOTE] = ACTIONS(2914),
    [anon_sym_u_SQUOTE] = ACTIONS(2914),
    [anon_sym_U_SQUOTE] = ACTIONS(2914),
    [anon_sym_u8_SQUOTE] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_L_DQUOTE] = ACTIONS(2914),
    [anon_sym_u_DQUOTE] = ACTIONS(2914),
    [anon_sym_U_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8_DQUOTE] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(2914),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [anon_sym_NULL] = ACTIONS(2912),
    [anon_sym_nullptr] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2912),
    [anon_sym_decltype] = ACTIONS(2912),
    [anon_sym_typename] = ACTIONS(2912),
    [anon_sym_template] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_delete] = ACTIONS(2912),
    [anon_sym_throw] = ACTIONS(2912),
    [anon_sym_co_return] = ACTIONS(2912),
    [anon_sym_co_yield] = ACTIONS(2912),
    [anon_sym_R_DQUOTE] = ACTIONS(2914),
    [anon_sym_LR_DQUOTE] = ACTIONS(2914),
    [anon_sym_uR_DQUOTE] = ACTIONS(2914),
    [anon_sym_UR_DQUOTE] = ACTIONS(2914),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2914),
    [anon_sym_co_await] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_requires] = ACTIONS(2912),
    [sym_this] = ACTIONS(2912),
  },
  [856] = {
    [sym_identifier] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2878),
    [anon_sym_AMP] = ACTIONS(2878),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2876),
    [anon_sym_typedef] = ACTIONS(2876),
    [anon_sym_virtual] = ACTIONS(2876),
    [anon_sym_extern] = ACTIONS(2876),
    [anon_sym___attribute__] = ACTIONS(2876),
    [anon_sym_COLON_COLON] = ACTIONS(2878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2878),
    [anon_sym___declspec] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_signed] = ACTIONS(2876),
    [anon_sym_unsigned] = ACTIONS(2876),
    [anon_sym_long] = ACTIONS(2876),
    [anon_sym_short] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_register] = ACTIONS(2876),
    [anon_sym_inline] = ACTIONS(2876),
    [anon_sym___inline] = ACTIONS(2876),
    [anon_sym___inline__] = ACTIONS(2876),
    [anon_sym___forceinline] = ACTIONS(2876),
    [anon_sym_thread_local] = ACTIONS(2876),
    [anon_sym___thread] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_constexpr] = ACTIONS(2876),
    [anon_sym_volatile] = ACTIONS(2876),
    [anon_sym_restrict] = ACTIONS(2876),
    [anon_sym___restrict__] = ACTIONS(2876),
    [anon_sym__Atomic] = ACTIONS(2876),
    [anon_sym__Noreturn] = ACTIONS(2876),
    [anon_sym_noreturn] = ACTIONS(2876),
    [anon_sym__Nonnull] = ACTIONS(2876),
    [anon_sym_mutable] = ACTIONS(2876),
    [anon_sym_constinit] = ACTIONS(2876),
    [anon_sym_consteval] = ACTIONS(2876),
    [anon_sym_PROGMEM] = ACTIONS(2876),
    [anon_sym_alignas] = ACTIONS(2876),
    [anon_sym__Alignas] = ACTIONS(2876),
    [aux_sym_primitive_type_token1] = ACTIONS(2876),
    [anon_sym_byte] = ACTIONS(2876),
    [anon_sym_word] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_struct] = ACTIONS(2876),
    [anon_sym_union] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_else] = ACTIONS(2876),
    [anon_sym_switch] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_break] = ACTIONS(2876),
    [anon_sym_continue] = ACTIONS(2876),
    [anon_sym_goto] = ACTIONS(2876),
    [anon_sym___try] = ACTIONS(2876),
    [anon_sym___leave] = ACTIONS(2876),
    [anon_sym_not] = ACTIONS(2876),
    [anon_sym_compl] = ACTIONS(2876),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_sizeof] = ACTIONS(2876),
    [anon_sym___alignof__] = ACTIONS(2876),
    [anon_sym___alignof] = ACTIONS(2876),
    [anon_sym__alignof] = ACTIONS(2876),
    [anon_sym_alignof] = ACTIONS(2876),
    [anon_sym__Alignof] = ACTIONS(2876),
    [anon_sym_offsetof] = ACTIONS(2876),
    [anon_sym__Generic] = ACTIONS(2876),
    [anon_sym_asm] = ACTIONS(2876),
    [anon_sym___asm__] = ACTIONS(2876),
    [anon_sym___asm] = ACTIONS(2876),
    [aux_sym_number_literal_token1] = ACTIONS(2878),
    [aux_sym_number_literal_token2] = ACTIONS(2876),
    [anon_sym_L_SQUOTE] = ACTIONS(2878),
    [anon_sym_u_SQUOTE] = ACTIONS(2878),
    [anon_sym_U_SQUOTE] = ACTIONS(2878),
    [anon_sym_u8_SQUOTE] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_L_DQUOTE] = ACTIONS(2878),
    [anon_sym_u_DQUOTE] = ACTIONS(2878),
    [anon_sym_U_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8_DQUOTE] = ACTIONS(2878),
    [anon_sym_DQUOTE] = ACTIONS(2878),
    [sym_true] = ACTIONS(2876),
    [sym_false] = ACTIONS(2876),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2876),
    [anon_sym_decltype] = ACTIONS(2876),
    [anon_sym_typename] = ACTIONS(2876),
    [anon_sym_template] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_delete] = ACTIONS(2876),
    [anon_sym_throw] = ACTIONS(2876),
    [anon_sym_co_return] = ACTIONS(2876),
    [anon_sym_co_yield] = ACTIONS(2876),
    [anon_sym_R_DQUOTE] = ACTIONS(2878),
    [anon_sym_LR_DQUOTE] = ACTIONS(2878),
    [anon_sym_uR_DQUOTE] = ACTIONS(2878),
    [anon_sym_UR_DQUOTE] = ACTIONS(2878),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2878),
    [anon_sym_co_await] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_requires] = ACTIONS(2876),
    [sym_this] = ACTIONS(2876),
  },
  [857] = {
    [sym_identifier] = ACTIONS(2884),
    [anon_sym_LPAREN2] = ACTIONS(2886),
    [anon_sym_BANG] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2886),
    [anon_sym_AMP] = ACTIONS(2886),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2884),
    [anon_sym_typedef] = ACTIONS(2884),
    [anon_sym_virtual] = ACTIONS(2884),
    [anon_sym_extern] = ACTIONS(2884),
    [anon_sym___attribute__] = ACTIONS(2884),
    [anon_sym_COLON_COLON] = ACTIONS(2886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2886),
    [anon_sym___declspec] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2886),
    [anon_sym_signed] = ACTIONS(2884),
    [anon_sym_unsigned] = ACTIONS(2884),
    [anon_sym_long] = ACTIONS(2884),
    [anon_sym_short] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_register] = ACTIONS(2884),
    [anon_sym_inline] = ACTIONS(2884),
    [anon_sym___inline] = ACTIONS(2884),
    [anon_sym___inline__] = ACTIONS(2884),
    [anon_sym___forceinline] = ACTIONS(2884),
    [anon_sym_thread_local] = ACTIONS(2884),
    [anon_sym___thread] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_constexpr] = ACTIONS(2884),
    [anon_sym_volatile] = ACTIONS(2884),
    [anon_sym_restrict] = ACTIONS(2884),
    [anon_sym___restrict__] = ACTIONS(2884),
    [anon_sym__Atomic] = ACTIONS(2884),
    [anon_sym__Noreturn] = ACTIONS(2884),
    [anon_sym_noreturn] = ACTIONS(2884),
    [anon_sym__Nonnull] = ACTIONS(2884),
    [anon_sym_mutable] = ACTIONS(2884),
    [anon_sym_constinit] = ACTIONS(2884),
    [anon_sym_consteval] = ACTIONS(2884),
    [anon_sym_PROGMEM] = ACTIONS(2884),
    [anon_sym_alignas] = ACTIONS(2884),
    [anon_sym__Alignas] = ACTIONS(2884),
    [aux_sym_primitive_type_token1] = ACTIONS(2884),
    [anon_sym_byte] = ACTIONS(2884),
    [anon_sym_word] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_struct] = ACTIONS(2884),
    [anon_sym_union] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_else] = ACTIONS(2884),
    [anon_sym_switch] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_break] = ACTIONS(2884),
    [anon_sym_continue] = ACTIONS(2884),
    [anon_sym_goto] = ACTIONS(2884),
    [anon_sym___try] = ACTIONS(2884),
    [anon_sym___leave] = ACTIONS(2884),
    [anon_sym_not] = ACTIONS(2884),
    [anon_sym_compl] = ACTIONS(2884),
    [anon_sym_DASH_DASH] = ACTIONS(2886),
    [anon_sym_PLUS_PLUS] = ACTIONS(2886),
    [anon_sym_sizeof] = ACTIONS(2884),
    [anon_sym___alignof__] = ACTIONS(2884),
    [anon_sym___alignof] = ACTIONS(2884),
    [anon_sym__alignof] = ACTIONS(2884),
    [anon_sym_alignof] = ACTIONS(2884),
    [anon_sym__Alignof] = ACTIONS(2884),
    [anon_sym_offsetof] = ACTIONS(2884),
    [anon_sym__Generic] = ACTIONS(2884),
    [anon_sym_asm] = ACTIONS(2884),
    [anon_sym___asm__] = ACTIONS(2884),
    [anon_sym___asm] = ACTIONS(2884),
    [aux_sym_number_literal_token1] = ACTIONS(2886),
    [aux_sym_number_literal_token2] = ACTIONS(2884),
    [anon_sym_L_SQUOTE] = ACTIONS(2886),
    [anon_sym_u_SQUOTE] = ACTIONS(2886),
    [anon_sym_U_SQUOTE] = ACTIONS(2886),
    [anon_sym_u8_SQUOTE] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_L_DQUOTE] = ACTIONS(2886),
    [anon_sym_u_DQUOTE] = ACTIONS(2886),
    [anon_sym_U_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8_DQUOTE] = ACTIONS(2886),
    [anon_sym_DQUOTE] = ACTIONS(2886),
    [sym_true] = ACTIONS(2884),
    [sym_false] = ACTIONS(2884),
    [anon_sym_NULL] = ACTIONS(2884),
    [anon_sym_nullptr] = ACTIONS(2884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2884),
    [anon_sym_decltype] = ACTIONS(2884),
    [anon_sym_typename] = ACTIONS(2884),
    [anon_sym_template] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_delete] = ACTIONS(2884),
    [anon_sym_throw] = ACTIONS(2884),
    [anon_sym_co_return] = ACTIONS(2884),
    [anon_sym_co_yield] = ACTIONS(2884),
    [anon_sym_R_DQUOTE] = ACTIONS(2886),
    [anon_sym_LR_DQUOTE] = ACTIONS(2886),
    [anon_sym_uR_DQUOTE] = ACTIONS(2886),
    [anon_sym_UR_DQUOTE] = ACTIONS(2886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2886),
    [anon_sym_co_await] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_requires] = ACTIONS(2884),
    [sym_this] = ACTIONS(2884),
  },
  [858] = {
    [sym_identifier] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(2864),
    [anon_sym_BANG] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2862),
    [anon_sym_PLUS] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_SEMI] = ACTIONS(2864),
    [anon_sym___extension__] = ACTIONS(2862),
    [anon_sym_typedef] = ACTIONS(2862),
    [anon_sym_virtual] = ACTIONS(2862),
    [anon_sym_extern] = ACTIONS(2862),
    [anon_sym___attribute__] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2864),
    [anon_sym___declspec] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2862),
    [anon_sym_unsigned] = ACTIONS(2862),
    [anon_sym_long] = ACTIONS(2862),
    [anon_sym_short] = ACTIONS(2862),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_register] = ACTIONS(2862),
    [anon_sym_inline] = ACTIONS(2862),
    [anon_sym___inline] = ACTIONS(2862),
    [anon_sym___inline__] = ACTIONS(2862),
    [anon_sym___forceinline] = ACTIONS(2862),
    [anon_sym_thread_local] = ACTIONS(2862),
    [anon_sym___thread] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2862),
    [anon_sym_constexpr] = ACTIONS(2862),
    [anon_sym_volatile] = ACTIONS(2862),
    [anon_sym_restrict] = ACTIONS(2862),
    [anon_sym___restrict__] = ACTIONS(2862),
    [anon_sym__Atomic] = ACTIONS(2862),
    [anon_sym__Noreturn] = ACTIONS(2862),
    [anon_sym_noreturn] = ACTIONS(2862),
    [anon_sym__Nonnull] = ACTIONS(2862),
    [anon_sym_mutable] = ACTIONS(2862),
    [anon_sym_constinit] = ACTIONS(2862),
    [anon_sym_consteval] = ACTIONS(2862),
    [anon_sym_PROGMEM] = ACTIONS(2862),
    [anon_sym_alignas] = ACTIONS(2862),
    [anon_sym__Alignas] = ACTIONS(2862),
    [aux_sym_primitive_type_token1] = ACTIONS(2862),
    [anon_sym_byte] = ACTIONS(2862),
    [anon_sym_word] = ACTIONS(2862),
    [anon_sym_enum] = ACTIONS(2862),
    [anon_sym_class] = ACTIONS(2862),
    [anon_sym_struct] = ACTIONS(2862),
    [anon_sym_union] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(2862),
    [anon_sym_else] = ACTIONS(2862),
    [anon_sym_switch] = ACTIONS(2862),
    [anon_sym_while] = ACTIONS(2862),
    [anon_sym_do] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2862),
    [anon_sym_return] = ACTIONS(2862),
    [anon_sym_break] = ACTIONS(2862),
    [anon_sym_continue] = ACTIONS(2862),
    [anon_sym_goto] = ACTIONS(2862),
    [anon_sym___try] = ACTIONS(2862),
    [anon_sym___leave] = ACTIONS(2862),
    [anon_sym_not] = ACTIONS(2862),
    [anon_sym_compl] = ACTIONS(2862),
    [anon_sym_DASH_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_PLUS] = ACTIONS(2864),
    [anon_sym_sizeof] = ACTIONS(2862),
    [anon_sym___alignof__] = ACTIONS(2862),
    [anon_sym___alignof] = ACTIONS(2862),
    [anon_sym__alignof] = ACTIONS(2862),
    [anon_sym_alignof] = ACTIONS(2862),
    [anon_sym__Alignof] = ACTIONS(2862),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2862),
    [anon_sym_asm] = ACTIONS(2862),
    [anon_sym___asm__] = ACTIONS(2862),
    [anon_sym___asm] = ACTIONS(2862),
    [aux_sym_number_literal_token1] = ACTIONS(2864),
    [aux_sym_number_literal_token2] = ACTIONS(2862),
    [anon_sym_L_SQUOTE] = ACTIONS(2864),
    [anon_sym_u_SQUOTE] = ACTIONS(2864),
    [anon_sym_U_SQUOTE] = ACTIONS(2864),
    [anon_sym_u8_SQUOTE] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2864),
    [anon_sym_L_DQUOTE] = ACTIONS(2864),
    [anon_sym_u_DQUOTE] = ACTIONS(2864),
    [anon_sym_U_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [sym_true] = ACTIONS(2862),
    [sym_false] = ACTIONS(2862),
    [anon_sym_NULL] = ACTIONS(2862),
    [anon_sym_nullptr] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2862),
    [anon_sym_decltype] = ACTIONS(2862),
    [anon_sym_typename] = ACTIONS(2862),
    [anon_sym_template] = ACTIONS(2862),
    [anon_sym_try] = ACTIONS(2862),
    [anon_sym_delete] = ACTIONS(2862),
    [anon_sym_throw] = ACTIONS(2862),
    [anon_sym_co_return] = ACTIONS(2862),
    [anon_sym_co_yield] = ACTIONS(2862),
    [anon_sym_R_DQUOTE] = ACTIONS(2864),
    [anon_sym_LR_DQUOTE] = ACTIONS(2864),
    [anon_sym_uR_DQUOTE] = ACTIONS(2864),
    [anon_sym_UR_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2864),
    [anon_sym_co_await] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2862),
    [anon_sym_requires] = ACTIONS(2862),
    [sym_this] = ACTIONS(2862),
  },
  [859] = {
    [sym_identifier] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_PROGMEM] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [aux_sym_primitive_type_token1] = ACTIONS(2790),
    [anon_sym_byte] = ACTIONS(2790),
    [anon_sym_word] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [aux_sym_number_literal_token1] = ACTIONS(2792),
    [aux_sym_number_literal_token2] = ACTIONS(2790),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [860] = {
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_LPAREN2] = ACTIONS(2902),
    [anon_sym_BANG] = ACTIONS(2902),
    [anon_sym_TILDE] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_STAR] = ACTIONS(2902),
    [anon_sym_AMP] = ACTIONS(2902),
    [anon_sym_SEMI] = ACTIONS(2902),
    [anon_sym___extension__] = ACTIONS(2900),
    [anon_sym_typedef] = ACTIONS(2900),
    [anon_sym_virtual] = ACTIONS(2900),
    [anon_sym_extern] = ACTIONS(2900),
    [anon_sym___attribute__] = ACTIONS(2900),
    [anon_sym_COLON_COLON] = ACTIONS(2902),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2902),
    [anon_sym___declspec] = ACTIONS(2900),
    [anon_sym_LBRACE] = ACTIONS(2902),
    [anon_sym_signed] = ACTIONS(2900),
    [anon_sym_unsigned] = ACTIONS(2900),
    [anon_sym_long] = ACTIONS(2900),
    [anon_sym_short] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_register] = ACTIONS(2900),
    [anon_sym_inline] = ACTIONS(2900),
    [anon_sym___inline] = ACTIONS(2900),
    [anon_sym___inline__] = ACTIONS(2900),
    [anon_sym___forceinline] = ACTIONS(2900),
    [anon_sym_thread_local] = ACTIONS(2900),
    [anon_sym___thread] = ACTIONS(2900),
    [anon_sym_const] = ACTIONS(2900),
    [anon_sym_constexpr] = ACTIONS(2900),
    [anon_sym_volatile] = ACTIONS(2900),
    [anon_sym_restrict] = ACTIONS(2900),
    [anon_sym___restrict__] = ACTIONS(2900),
    [anon_sym__Atomic] = ACTIONS(2900),
    [anon_sym__Noreturn] = ACTIONS(2900),
    [anon_sym_noreturn] = ACTIONS(2900),
    [anon_sym__Nonnull] = ACTIONS(2900),
    [anon_sym_mutable] = ACTIONS(2900),
    [anon_sym_constinit] = ACTIONS(2900),
    [anon_sym_consteval] = ACTIONS(2900),
    [anon_sym_PROGMEM] = ACTIONS(2900),
    [anon_sym_alignas] = ACTIONS(2900),
    [anon_sym__Alignas] = ACTIONS(2900),
    [aux_sym_primitive_type_token1] = ACTIONS(2900),
    [anon_sym_byte] = ACTIONS(2900),
    [anon_sym_word] = ACTIONS(2900),
    [anon_sym_enum] = ACTIONS(2900),
    [anon_sym_class] = ACTIONS(2900),
    [anon_sym_struct] = ACTIONS(2900),
    [anon_sym_union] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_else] = ACTIONS(2900),
    [anon_sym_switch] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_break] = ACTIONS(2900),
    [anon_sym_continue] = ACTIONS(2900),
    [anon_sym_goto] = ACTIONS(2900),
    [anon_sym___try] = ACTIONS(2900),
    [anon_sym___leave] = ACTIONS(2900),
    [anon_sym_not] = ACTIONS(2900),
    [anon_sym_compl] = ACTIONS(2900),
    [anon_sym_DASH_DASH] = ACTIONS(2902),
    [anon_sym_PLUS_PLUS] = ACTIONS(2902),
    [anon_sym_sizeof] = ACTIONS(2900),
    [anon_sym___alignof__] = ACTIONS(2900),
    [anon_sym___alignof] = ACTIONS(2900),
    [anon_sym__alignof] = ACTIONS(2900),
    [anon_sym_alignof] = ACTIONS(2900),
    [anon_sym__Alignof] = ACTIONS(2900),
    [anon_sym_offsetof] = ACTIONS(2900),
    [anon_sym__Generic] = ACTIONS(2900),
    [anon_sym_asm] = ACTIONS(2900),
    [anon_sym___asm__] = ACTIONS(2900),
    [anon_sym___asm] = ACTIONS(2900),
    [aux_sym_number_literal_token1] = ACTIONS(2902),
    [aux_sym_number_literal_token2] = ACTIONS(2900),
    [anon_sym_L_SQUOTE] = ACTIONS(2902),
    [anon_sym_u_SQUOTE] = ACTIONS(2902),
    [anon_sym_U_SQUOTE] = ACTIONS(2902),
    [anon_sym_u8_SQUOTE] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [anon_sym_L_DQUOTE] = ACTIONS(2902),
    [anon_sym_u_DQUOTE] = ACTIONS(2902),
    [anon_sym_U_DQUOTE] = ACTIONS(2902),
    [anon_sym_u8_DQUOTE] = ACTIONS(2902),
    [anon_sym_DQUOTE] = ACTIONS(2902),
    [sym_true] = ACTIONS(2900),
    [sym_false] = ACTIONS(2900),
    [anon_sym_NULL] = ACTIONS(2900),
    [anon_sym_nullptr] = ACTIONS(2900),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2900),
    [anon_sym_decltype] = ACTIONS(2900),
    [anon_sym_typename] = ACTIONS(2900),
    [anon_sym_template] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_delete] = ACTIONS(2900),
    [anon_sym_throw] = ACTIONS(2900),
    [anon_sym_co_return] = ACTIONS(2900),
    [anon_sym_co_yield] = ACTIONS(2900),
    [anon_sym_R_DQUOTE] = ACTIONS(2902),
    [anon_sym_LR_DQUOTE] = ACTIONS(2902),
    [anon_sym_uR_DQUOTE] = ACTIONS(2902),
    [anon_sym_UR_DQUOTE] = ACTIONS(2902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2902),
    [anon_sym_co_await] = ACTIONS(2900),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_requires] = ACTIONS(2900),
    [sym_this] = ACTIONS(2900),
  },
  [861] = {
    [sym_identifier] = ACTIONS(2870),
    [anon_sym_LPAREN2] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2872),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_SEMI] = ACTIONS(2872),
    [anon_sym___extension__] = ACTIONS(2870),
    [anon_sym_typedef] = ACTIONS(2870),
    [anon_sym_virtual] = ACTIONS(2870),
    [anon_sym_extern] = ACTIONS(2870),
    [anon_sym___attribute__] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2872),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2872),
    [anon_sym___declspec] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_signed] = ACTIONS(2870),
    [anon_sym_unsigned] = ACTIONS(2870),
    [anon_sym_long] = ACTIONS(2870),
    [anon_sym_short] = ACTIONS(2870),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym_static] = ACTIONS(2870),
    [anon_sym_register] = ACTIONS(2870),
    [anon_sym_inline] = ACTIONS(2870),
    [anon_sym___inline] = ACTIONS(2870),
    [anon_sym___inline__] = ACTIONS(2870),
    [anon_sym___forceinline] = ACTIONS(2870),
    [anon_sym_thread_local] = ACTIONS(2870),
    [anon_sym___thread] = ACTIONS(2870),
    [anon_sym_const] = ACTIONS(2870),
    [anon_sym_constexpr] = ACTIONS(2870),
    [anon_sym_volatile] = ACTIONS(2870),
    [anon_sym_restrict] = ACTIONS(2870),
    [anon_sym___restrict__] = ACTIONS(2870),
    [anon_sym__Atomic] = ACTIONS(2870),
    [anon_sym__Noreturn] = ACTIONS(2870),
    [anon_sym_noreturn] = ACTIONS(2870),
    [anon_sym__Nonnull] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2870),
    [anon_sym_constinit] = ACTIONS(2870),
    [anon_sym_consteval] = ACTIONS(2870),
    [anon_sym_PROGMEM] = ACTIONS(2870),
    [anon_sym_alignas] = ACTIONS(2870),
    [anon_sym__Alignas] = ACTIONS(2870),
    [aux_sym_primitive_type_token1] = ACTIONS(2870),
    [anon_sym_byte] = ACTIONS(2870),
    [anon_sym_word] = ACTIONS(2870),
    [anon_sym_enum] = ACTIONS(2870),
    [anon_sym_class] = ACTIONS(2870),
    [anon_sym_struct] = ACTIONS(2870),
    [anon_sym_union] = ACTIONS(2870),
    [anon_sym_if] = ACTIONS(2870),
    [anon_sym_else] = ACTIONS(2870),
    [anon_sym_switch] = ACTIONS(2870),
    [anon_sym_while] = ACTIONS(2870),
    [anon_sym_do] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2870),
    [anon_sym_return] = ACTIONS(2870),
    [anon_sym_break] = ACTIONS(2870),
    [anon_sym_continue] = ACTIONS(2870),
    [anon_sym_goto] = ACTIONS(2870),
    [anon_sym___try] = ACTIONS(2870),
    [anon_sym___leave] = ACTIONS(2870),
    [anon_sym_not] = ACTIONS(2870),
    [anon_sym_compl] = ACTIONS(2870),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_sizeof] = ACTIONS(2870),
    [anon_sym___alignof__] = ACTIONS(2870),
    [anon_sym___alignof] = ACTIONS(2870),
    [anon_sym__alignof] = ACTIONS(2870),
    [anon_sym_alignof] = ACTIONS(2870),
    [anon_sym__Alignof] = ACTIONS(2870),
    [anon_sym_offsetof] = ACTIONS(2870),
    [anon_sym__Generic] = ACTIONS(2870),
    [anon_sym_asm] = ACTIONS(2870),
    [anon_sym___asm__] = ACTIONS(2870),
    [anon_sym___asm] = ACTIONS(2870),
    [aux_sym_number_literal_token1] = ACTIONS(2872),
    [aux_sym_number_literal_token2] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2872),
    [anon_sym_u_SQUOTE] = ACTIONS(2872),
    [anon_sym_U_SQUOTE] = ACTIONS(2872),
    [anon_sym_u8_SQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2870),
    [sym_false] = ACTIONS(2870),
    [anon_sym_NULL] = ACTIONS(2870),
    [anon_sym_nullptr] = ACTIONS(2870),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2870),
    [anon_sym_decltype] = ACTIONS(2870),
    [anon_sym_typename] = ACTIONS(2870),
    [anon_sym_template] = ACTIONS(2870),
    [anon_sym_try] = ACTIONS(2870),
    [anon_sym_delete] = ACTIONS(2870),
    [anon_sym_throw] = ACTIONS(2870),
    [anon_sym_co_return] = ACTIONS(2870),
    [anon_sym_co_yield] = ACTIONS(2870),
    [anon_sym_R_DQUOTE] = ACTIONS(2872),
    [anon_sym_LR_DQUOTE] = ACTIONS(2872),
    [anon_sym_uR_DQUOTE] = ACTIONS(2872),
    [anon_sym_UR_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2872),
    [anon_sym_co_await] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2870),
    [anon_sym_requires] = ACTIONS(2870),
    [sym_this] = ACTIONS(2870),
  },
  [862] = {
    [sym_identifier] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [anon_sym_PROGMEM] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [aux_sym_primitive_type_token1] = ACTIONS(2852),
    [anon_sym_byte] = ACTIONS(2852),
    [anon_sym_word] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_else] = ACTIONS(2852),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym___leave] = ACTIONS(2852),
    [anon_sym_not] = ACTIONS(2852),
    [anon_sym_compl] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [anon_sym___asm] = ACTIONS(2852),
    [aux_sym_number_literal_token1] = ACTIONS(2854),
    [aux_sym_number_literal_token2] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_co_return] = ACTIONS(2852),
    [anon_sym_co_yield] = ACTIONS(2852),
    [anon_sym_R_DQUOTE] = ACTIONS(2854),
    [anon_sym_LR_DQUOTE] = ACTIONS(2854),
    [anon_sym_uR_DQUOTE] = ACTIONS(2854),
    [anon_sym_UR_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2854),
    [anon_sym_co_await] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_requires] = ACTIONS(2852),
    [sym_this] = ACTIONS(2852),
  },
  [863] = {
    [sym_identifier] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2894),
    [anon_sym_SEMI] = ACTIONS(2894),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_virtual] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym_LBRACE] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym__Nonnull] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_PROGMEM] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [aux_sym_primitive_type_token1] = ACTIONS(2892),
    [anon_sym_byte] = ACTIONS(2892),
    [anon_sym_word] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_else] = ACTIONS(2892),
    [anon_sym_switch] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_break] = ACTIONS(2892),
    [anon_sym_continue] = ACTIONS(2892),
    [anon_sym_goto] = ACTIONS(2892),
    [anon_sym___try] = ACTIONS(2892),
    [anon_sym___leave] = ACTIONS(2892),
    [anon_sym_not] = ACTIONS(2892),
    [anon_sym_compl] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2894),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(2892),
    [anon_sym___alignof] = ACTIONS(2892),
    [anon_sym__alignof] = ACTIONS(2892),
    [anon_sym_alignof] = ACTIONS(2892),
    [anon_sym__Alignof] = ACTIONS(2892),
    [anon_sym_offsetof] = ACTIONS(2892),
    [anon_sym__Generic] = ACTIONS(2892),
    [anon_sym_asm] = ACTIONS(2892),
    [anon_sym___asm__] = ACTIONS(2892),
    [anon_sym___asm] = ACTIONS(2892),
    [aux_sym_number_literal_token1] = ACTIONS(2894),
    [aux_sym_number_literal_token2] = ACTIONS(2892),
    [anon_sym_L_SQUOTE] = ACTIONS(2894),
    [anon_sym_u_SQUOTE] = ACTIONS(2894),
    [anon_sym_U_SQUOTE] = ACTIONS(2894),
    [anon_sym_u8_SQUOTE] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_L_DQUOTE] = ACTIONS(2894),
    [anon_sym_u_DQUOTE] = ACTIONS(2894),
    [anon_sym_U_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2894),
    [sym_true] = ACTIONS(2892),
    [sym_false] = ACTIONS(2892),
    [anon_sym_NULL] = ACTIONS(2892),
    [anon_sym_nullptr] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_delete] = ACTIONS(2892),
    [anon_sym_throw] = ACTIONS(2892),
    [anon_sym_co_return] = ACTIONS(2892),
    [anon_sym_co_yield] = ACTIONS(2892),
    [anon_sym_R_DQUOTE] = ACTIONS(2894),
    [anon_sym_LR_DQUOTE] = ACTIONS(2894),
    [anon_sym_uR_DQUOTE] = ACTIONS(2894),
    [anon_sym_UR_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2894),
    [anon_sym_co_await] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2892),
    [sym_this] = ACTIONS(2892),
  },
  [864] = {
    [sym_identifier] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2800),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_virtual] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_PROGMEM] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [aux_sym_primitive_type_token1] = ACTIONS(2798),
    [anon_sym_byte] = ACTIONS(2798),
    [anon_sym_word] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [aux_sym_number_literal_token1] = ACTIONS(2800),
    [aux_sym_number_literal_token2] = ACTIONS(2798),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [865] = {
    [sym_identifier] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [anon_sym_PROGMEM] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [aux_sym_primitive_type_token1] = ACTIONS(2848),
    [anon_sym_byte] = ACTIONS(2848),
    [anon_sym_word] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_else] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym___leave] = ACTIONS(2848),
    [anon_sym_not] = ACTIONS(2848),
    [anon_sym_compl] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [anon_sym___asm] = ACTIONS(2848),
    [aux_sym_number_literal_token1] = ACTIONS(2850),
    [aux_sym_number_literal_token2] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_co_return] = ACTIONS(2848),
    [anon_sym_co_yield] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2850),
    [anon_sym_LR_DQUOTE] = ACTIONS(2850),
    [anon_sym_uR_DQUOTE] = ACTIONS(2850),
    [anon_sym_UR_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2850),
    [anon_sym_co_await] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_requires] = ACTIONS(2848),
    [sym_this] = ACTIONS(2848),
  },
  [866] = {
    [sym_identifier] = ACTIONS(2896),
    [anon_sym_LPAREN2] = ACTIONS(2898),
    [anon_sym_BANG] = ACTIONS(2898),
    [anon_sym_TILDE] = ACTIONS(2898),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_STAR] = ACTIONS(2898),
    [anon_sym_AMP] = ACTIONS(2898),
    [anon_sym_SEMI] = ACTIONS(2898),
    [anon_sym___extension__] = ACTIONS(2896),
    [anon_sym_typedef] = ACTIONS(2896),
    [anon_sym_virtual] = ACTIONS(2896),
    [anon_sym_extern] = ACTIONS(2896),
    [anon_sym___attribute__] = ACTIONS(2896),
    [anon_sym_COLON_COLON] = ACTIONS(2898),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2898),
    [anon_sym___declspec] = ACTIONS(2896),
    [anon_sym_LBRACE] = ACTIONS(2898),
    [anon_sym_signed] = ACTIONS(2896),
    [anon_sym_unsigned] = ACTIONS(2896),
    [anon_sym_long] = ACTIONS(2896),
    [anon_sym_short] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_static] = ACTIONS(2896),
    [anon_sym_register] = ACTIONS(2896),
    [anon_sym_inline] = ACTIONS(2896),
    [anon_sym___inline] = ACTIONS(2896),
    [anon_sym___inline__] = ACTIONS(2896),
    [anon_sym___forceinline] = ACTIONS(2896),
    [anon_sym_thread_local] = ACTIONS(2896),
    [anon_sym___thread] = ACTIONS(2896),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_constexpr] = ACTIONS(2896),
    [anon_sym_volatile] = ACTIONS(2896),
    [anon_sym_restrict] = ACTIONS(2896),
    [anon_sym___restrict__] = ACTIONS(2896),
    [anon_sym__Atomic] = ACTIONS(2896),
    [anon_sym__Noreturn] = ACTIONS(2896),
    [anon_sym_noreturn] = ACTIONS(2896),
    [anon_sym__Nonnull] = ACTIONS(2896),
    [anon_sym_mutable] = ACTIONS(2896),
    [anon_sym_constinit] = ACTIONS(2896),
    [anon_sym_consteval] = ACTIONS(2896),
    [anon_sym_PROGMEM] = ACTIONS(2896),
    [anon_sym_alignas] = ACTIONS(2896),
    [anon_sym__Alignas] = ACTIONS(2896),
    [aux_sym_primitive_type_token1] = ACTIONS(2896),
    [anon_sym_byte] = ACTIONS(2896),
    [anon_sym_word] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2896),
    [anon_sym_class] = ACTIONS(2896),
    [anon_sym_struct] = ACTIONS(2896),
    [anon_sym_union] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_else] = ACTIONS(2896),
    [anon_sym_switch] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_break] = ACTIONS(2896),
    [anon_sym_continue] = ACTIONS(2896),
    [anon_sym_goto] = ACTIONS(2896),
    [anon_sym___try] = ACTIONS(2896),
    [anon_sym___leave] = ACTIONS(2896),
    [anon_sym_not] = ACTIONS(2896),
    [anon_sym_compl] = ACTIONS(2896),
    [anon_sym_DASH_DASH] = ACTIONS(2898),
    [anon_sym_PLUS_PLUS] = ACTIONS(2898),
    [anon_sym_sizeof] = ACTIONS(2896),
    [anon_sym___alignof__] = ACTIONS(2896),
    [anon_sym___alignof] = ACTIONS(2896),
    [anon_sym__alignof] = ACTIONS(2896),
    [anon_sym_alignof] = ACTIONS(2896),
    [anon_sym__Alignof] = ACTIONS(2896),
    [anon_sym_offsetof] = ACTIONS(2896),
    [anon_sym__Generic] = ACTIONS(2896),
    [anon_sym_asm] = ACTIONS(2896),
    [anon_sym___asm__] = ACTIONS(2896),
    [anon_sym___asm] = ACTIONS(2896),
    [aux_sym_number_literal_token1] = ACTIONS(2898),
    [aux_sym_number_literal_token2] = ACTIONS(2896),
    [anon_sym_L_SQUOTE] = ACTIONS(2898),
    [anon_sym_u_SQUOTE] = ACTIONS(2898),
    [anon_sym_U_SQUOTE] = ACTIONS(2898),
    [anon_sym_u8_SQUOTE] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_L_DQUOTE] = ACTIONS(2898),
    [anon_sym_u_DQUOTE] = ACTIONS(2898),
    [anon_sym_U_DQUOTE] = ACTIONS(2898),
    [anon_sym_u8_DQUOTE] = ACTIONS(2898),
    [anon_sym_DQUOTE] = ACTIONS(2898),
    [sym_true] = ACTIONS(2896),
    [sym_false] = ACTIONS(2896),
    [anon_sym_NULL] = ACTIONS(2896),
    [anon_sym_nullptr] = ACTIONS(2896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2896),
    [anon_sym_decltype] = ACTIONS(2896),
    [anon_sym_typename] = ACTIONS(2896),
    [anon_sym_template] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_delete] = ACTIONS(2896),
    [anon_sym_throw] = ACTIONS(2896),
    [anon_sym_co_return] = ACTIONS(2896),
    [anon_sym_co_yield] = ACTIONS(2896),
    [anon_sym_R_DQUOTE] = ACTIONS(2898),
    [anon_sym_LR_DQUOTE] = ACTIONS(2898),
    [anon_sym_uR_DQUOTE] = ACTIONS(2898),
    [anon_sym_UR_DQUOTE] = ACTIONS(2898),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2898),
    [anon_sym_co_await] = ACTIONS(2896),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_requires] = ACTIONS(2896),
    [sym_this] = ACTIONS(2896),
  },
  [867] = {
    [sym_identifier] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_virtual] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [anon_sym_PROGMEM] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [aux_sym_primitive_type_token1] = ACTIONS(2786),
    [anon_sym_byte] = ACTIONS(2786),
    [anon_sym_word] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [aux_sym_number_literal_token1] = ACTIONS(2788),
    [aux_sym_number_literal_token2] = ACTIONS(2786),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [868] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(1596),
    [sym_raw_string_literal] = STATE(2527),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2537),
    [sym_identifier] = ACTIONS(4122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4126),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4140),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_virtual] = ACTIONS(4122),
    [anon_sym_extern] = ACTIONS(4122),
    [anon_sym___attribute__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4145),
    [anon_sym___declspec] = ACTIONS(4122),
    [anon_sym___based] = ACTIONS(4122),
    [anon_sym___cdecl] = ACTIONS(4122),
    [anon_sym___clrcall] = ACTIONS(4122),
    [anon_sym___stdcall] = ACTIONS(4122),
    [anon_sym___fastcall] = ACTIONS(4122),
    [anon_sym___thiscall] = ACTIONS(4122),
    [anon_sym___vectorcall] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_RBRACE] = ACTIONS(4124),
    [anon_sym_signed] = ACTIONS(4150),
    [anon_sym_unsigned] = ACTIONS(4150),
    [anon_sym_long] = ACTIONS(4150),
    [anon_sym_short] = ACTIONS(4150),
    [anon_sym_LBRACK] = ACTIONS(4152),
    [anon_sym_static] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_register] = ACTIONS(4122),
    [anon_sym_inline] = ACTIONS(4122),
    [anon_sym___inline] = ACTIONS(4122),
    [anon_sym___inline__] = ACTIONS(4122),
    [anon_sym___forceinline] = ACTIONS(4122),
    [anon_sym_thread_local] = ACTIONS(4122),
    [anon_sym___thread] = ACTIONS(4122),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4122),
    [anon_sym_volatile] = ACTIONS(4122),
    [anon_sym_restrict] = ACTIONS(4122),
    [anon_sym___restrict__] = ACTIONS(4122),
    [anon_sym__Atomic] = ACTIONS(4122),
    [anon_sym__Noreturn] = ACTIONS(4122),
    [anon_sym_noreturn] = ACTIONS(4122),
    [anon_sym__Nonnull] = ACTIONS(4122),
    [anon_sym_mutable] = ACTIONS(4122),
    [anon_sym_constinit] = ACTIONS(4122),
    [anon_sym_consteval] = ACTIONS(4122),
    [anon_sym_PROGMEM] = ACTIONS(4122),
    [anon_sym_alignas] = ACTIONS(4122),
    [anon_sym__Alignas] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4158),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4156),
    [anon_sym_or_eq] = ACTIONS(4156),
    [anon_sym_xor_eq] = ACTIONS(4156),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4132),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4132),
    [anon_sym_not_eq] = ACTIONS(4132),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4122),
    [anon_sym_decltype] = ACTIONS(4122),
    [anon_sym_template] = ACTIONS(4122),
    [anon_sym_operator] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [869] = {
    [sym_identifier] = ACTIONS(3924),
    [anon_sym_LPAREN2] = ACTIONS(3926),
    [anon_sym_BANG] = ACTIONS(3926),
    [anon_sym_TILDE] = ACTIONS(3926),
    [anon_sym_DASH] = ACTIONS(3924),
    [anon_sym_PLUS] = ACTIONS(3924),
    [anon_sym_STAR] = ACTIONS(3926),
    [anon_sym_AMP] = ACTIONS(3926),
    [anon_sym_SEMI] = ACTIONS(3926),
    [anon_sym___extension__] = ACTIONS(3924),
    [anon_sym_virtual] = ACTIONS(3924),
    [anon_sym_extern] = ACTIONS(3924),
    [anon_sym___attribute__] = ACTIONS(3924),
    [anon_sym_COLON_COLON] = ACTIONS(3926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3926),
    [anon_sym___declspec] = ACTIONS(3924),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_signed] = ACTIONS(3924),
    [anon_sym_unsigned] = ACTIONS(3924),
    [anon_sym_long] = ACTIONS(3924),
    [anon_sym_short] = ACTIONS(3924),
    [anon_sym_LBRACK] = ACTIONS(3924),
    [anon_sym_static] = ACTIONS(3924),
    [anon_sym_register] = ACTIONS(3924),
    [anon_sym_inline] = ACTIONS(3924),
    [anon_sym___inline] = ACTIONS(3924),
    [anon_sym___inline__] = ACTIONS(3924),
    [anon_sym___forceinline] = ACTIONS(3924),
    [anon_sym_thread_local] = ACTIONS(3924),
    [anon_sym___thread] = ACTIONS(3924),
    [anon_sym_const] = ACTIONS(3924),
    [anon_sym_constexpr] = ACTIONS(3924),
    [anon_sym_volatile] = ACTIONS(3924),
    [anon_sym_restrict] = ACTIONS(3924),
    [anon_sym___restrict__] = ACTIONS(3924),
    [anon_sym__Atomic] = ACTIONS(3924),
    [anon_sym__Noreturn] = ACTIONS(3924),
    [anon_sym_noreturn] = ACTIONS(3924),
    [anon_sym__Nonnull] = ACTIONS(3924),
    [anon_sym_mutable] = ACTIONS(3924),
    [anon_sym_constinit] = ACTIONS(3924),
    [anon_sym_consteval] = ACTIONS(3924),
    [anon_sym_PROGMEM] = ACTIONS(3924),
    [anon_sym_alignas] = ACTIONS(3924),
    [anon_sym__Alignas] = ACTIONS(3924),
    [aux_sym_primitive_type_token1] = ACTIONS(3924),
    [anon_sym_byte] = ACTIONS(3924),
    [anon_sym_word] = ACTIONS(3924),
    [anon_sym_enum] = ACTIONS(3924),
    [anon_sym_class] = ACTIONS(3924),
    [anon_sym_struct] = ACTIONS(3924),
    [anon_sym_union] = ACTIONS(3924),
    [anon_sym_if] = ACTIONS(3924),
    [anon_sym_switch] = ACTIONS(3924),
    [anon_sym_case] = ACTIONS(3924),
    [anon_sym_default] = ACTIONS(3924),
    [anon_sym_while] = ACTIONS(3924),
    [anon_sym_do] = ACTIONS(3924),
    [anon_sym_for] = ACTIONS(3924),
    [anon_sym_return] = ACTIONS(3924),
    [anon_sym_break] = ACTIONS(3924),
    [anon_sym_continue] = ACTIONS(3924),
    [anon_sym_goto] = ACTIONS(3924),
    [anon_sym___try] = ACTIONS(3924),
    [anon_sym___leave] = ACTIONS(3924),
    [anon_sym_not] = ACTIONS(3924),
    [anon_sym_compl] = ACTIONS(3924),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3924),
    [anon_sym___alignof__] = ACTIONS(3924),
    [anon_sym___alignof] = ACTIONS(3924),
    [anon_sym__alignof] = ACTIONS(3924),
    [anon_sym_alignof] = ACTIONS(3924),
    [anon_sym__Alignof] = ACTIONS(3924),
    [anon_sym_offsetof] = ACTIONS(3924),
    [anon_sym__Generic] = ACTIONS(3924),
    [anon_sym_asm] = ACTIONS(3924),
    [anon_sym___asm__] = ACTIONS(3924),
    [anon_sym___asm] = ACTIONS(3924),
    [aux_sym_number_literal_token1] = ACTIONS(3926),
    [aux_sym_number_literal_token2] = ACTIONS(3924),
    [anon_sym_L_SQUOTE] = ACTIONS(3926),
    [anon_sym_u_SQUOTE] = ACTIONS(3926),
    [anon_sym_U_SQUOTE] = ACTIONS(3926),
    [anon_sym_u8_SQUOTE] = ACTIONS(3926),
    [anon_sym_SQUOTE] = ACTIONS(3926),
    [anon_sym_L_DQUOTE] = ACTIONS(3926),
    [anon_sym_u_DQUOTE] = ACTIONS(3926),
    [anon_sym_U_DQUOTE] = ACTIONS(3926),
    [anon_sym_u8_DQUOTE] = ACTIONS(3926),
    [anon_sym_DQUOTE] = ACTIONS(3926),
    [sym_true] = ACTIONS(3924),
    [sym_false] = ACTIONS(3924),
    [anon_sym_NULL] = ACTIONS(3924),
    [anon_sym_nullptr] = ACTIONS(3924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3924),
    [anon_sym_decltype] = ACTIONS(3924),
    [anon_sym_typename] = ACTIONS(3924),
    [anon_sym_template] = ACTIONS(3924),
    [anon_sym_try] = ACTIONS(3924),
    [anon_sym_delete] = ACTIONS(3924),
    [anon_sym_throw] = ACTIONS(3924),
    [anon_sym_co_return] = ACTIONS(3924),
    [anon_sym_co_yield] = ACTIONS(3924),
    [anon_sym_R_DQUOTE] = ACTIONS(3926),
    [anon_sym_LR_DQUOTE] = ACTIONS(3926),
    [anon_sym_uR_DQUOTE] = ACTIONS(3926),
    [anon_sym_UR_DQUOTE] = ACTIONS(3926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3926),
    [anon_sym_co_await] = ACTIONS(3924),
    [anon_sym_new] = ACTIONS(3924),
    [anon_sym_requires] = ACTIONS(3924),
    [sym_this] = ACTIONS(3924),
  },
  [870] = {
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym__Nonnull] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [anon_sym_PROGMEM] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym__Alignas] = ACTIONS(2830),
    [aux_sym_primitive_type_token1] = ACTIONS(2830),
    [anon_sym_byte] = ACTIONS(2830),
    [anon_sym_word] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_else] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [anon_sym___asm] = ACTIONS(2830),
    [aux_sym_number_literal_token1] = ACTIONS(2832),
    [aux_sym_number_literal_token2] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [871] = {
    [sym_identifier] = ACTIONS(2904),
    [anon_sym_LPAREN2] = ACTIONS(2906),
    [anon_sym_BANG] = ACTIONS(2906),
    [anon_sym_TILDE] = ACTIONS(2906),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_STAR] = ACTIONS(2906),
    [anon_sym_AMP] = ACTIONS(2906),
    [anon_sym_SEMI] = ACTIONS(2906),
    [anon_sym___extension__] = ACTIONS(2904),
    [anon_sym_typedef] = ACTIONS(2904),
    [anon_sym_virtual] = ACTIONS(2904),
    [anon_sym_extern] = ACTIONS(2904),
    [anon_sym___attribute__] = ACTIONS(2904),
    [anon_sym_COLON_COLON] = ACTIONS(2906),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2906),
    [anon_sym___declspec] = ACTIONS(2904),
    [anon_sym_LBRACE] = ACTIONS(2906),
    [anon_sym_signed] = ACTIONS(2904),
    [anon_sym_unsigned] = ACTIONS(2904),
    [anon_sym_long] = ACTIONS(2904),
    [anon_sym_short] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [anon_sym_static] = ACTIONS(2904),
    [anon_sym_register] = ACTIONS(2904),
    [anon_sym_inline] = ACTIONS(2904),
    [anon_sym___inline] = ACTIONS(2904),
    [anon_sym___inline__] = ACTIONS(2904),
    [anon_sym___forceinline] = ACTIONS(2904),
    [anon_sym_thread_local] = ACTIONS(2904),
    [anon_sym___thread] = ACTIONS(2904),
    [anon_sym_const] = ACTIONS(2904),
    [anon_sym_constexpr] = ACTIONS(2904),
    [anon_sym_volatile] = ACTIONS(2904),
    [anon_sym_restrict] = ACTIONS(2904),
    [anon_sym___restrict__] = ACTIONS(2904),
    [anon_sym__Atomic] = ACTIONS(2904),
    [anon_sym__Noreturn] = ACTIONS(2904),
    [anon_sym_noreturn] = ACTIONS(2904),
    [anon_sym__Nonnull] = ACTIONS(2904),
    [anon_sym_mutable] = ACTIONS(2904),
    [anon_sym_constinit] = ACTIONS(2904),
    [anon_sym_consteval] = ACTIONS(2904),
    [anon_sym_PROGMEM] = ACTIONS(2904),
    [anon_sym_alignas] = ACTIONS(2904),
    [anon_sym__Alignas] = ACTIONS(2904),
    [aux_sym_primitive_type_token1] = ACTIONS(2904),
    [anon_sym_byte] = ACTIONS(2904),
    [anon_sym_word] = ACTIONS(2904),
    [anon_sym_enum] = ACTIONS(2904),
    [anon_sym_class] = ACTIONS(2904),
    [anon_sym_struct] = ACTIONS(2904),
    [anon_sym_union] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_else] = ACTIONS(2904),
    [anon_sym_switch] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_break] = ACTIONS(2904),
    [anon_sym_continue] = ACTIONS(2904),
    [anon_sym_goto] = ACTIONS(2904),
    [anon_sym___try] = ACTIONS(2904),
    [anon_sym___leave] = ACTIONS(2904),
    [anon_sym_not] = ACTIONS(2904),
    [anon_sym_compl] = ACTIONS(2904),
    [anon_sym_DASH_DASH] = ACTIONS(2906),
    [anon_sym_PLUS_PLUS] = ACTIONS(2906),
    [anon_sym_sizeof] = ACTIONS(2904),
    [anon_sym___alignof__] = ACTIONS(2904),
    [anon_sym___alignof] = ACTIONS(2904),
    [anon_sym__alignof] = ACTIONS(2904),
    [anon_sym_alignof] = ACTIONS(2904),
    [anon_sym__Alignof] = ACTIONS(2904),
    [anon_sym_offsetof] = ACTIONS(2904),
    [anon_sym__Generic] = ACTIONS(2904),
    [anon_sym_asm] = ACTIONS(2904),
    [anon_sym___asm__] = ACTIONS(2904),
    [anon_sym___asm] = ACTIONS(2904),
    [aux_sym_number_literal_token1] = ACTIONS(2906),
    [aux_sym_number_literal_token2] = ACTIONS(2904),
    [anon_sym_L_SQUOTE] = ACTIONS(2906),
    [anon_sym_u_SQUOTE] = ACTIONS(2906),
    [anon_sym_U_SQUOTE] = ACTIONS(2906),
    [anon_sym_u8_SQUOTE] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [anon_sym_L_DQUOTE] = ACTIONS(2906),
    [anon_sym_u_DQUOTE] = ACTIONS(2906),
    [anon_sym_U_DQUOTE] = ACTIONS(2906),
    [anon_sym_u8_DQUOTE] = ACTIONS(2906),
    [anon_sym_DQUOTE] = ACTIONS(2906),
    [sym_true] = ACTIONS(2904),
    [sym_false] = ACTIONS(2904),
    [anon_sym_NULL] = ACTIONS(2904),
    [anon_sym_nullptr] = ACTIONS(2904),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2904),
    [anon_sym_decltype] = ACTIONS(2904),
    [anon_sym_typename] = ACTIONS(2904),
    [anon_sym_template] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_delete] = ACTIONS(2904),
    [anon_sym_throw] = ACTIONS(2904),
    [anon_sym_co_return] = ACTIONS(2904),
    [anon_sym_co_yield] = ACTIONS(2904),
    [anon_sym_R_DQUOTE] = ACTIONS(2906),
    [anon_sym_LR_DQUOTE] = ACTIONS(2906),
    [anon_sym_uR_DQUOTE] = ACTIONS(2906),
    [anon_sym_UR_DQUOTE] = ACTIONS(2906),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2906),
    [anon_sym_co_await] = ACTIONS(2904),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_requires] = ACTIONS(2904),
    [sym_this] = ACTIONS(2904),
  },
  [872] = {
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_virtual] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym__Nonnull] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [anon_sym_PROGMEM] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym__Alignas] = ACTIONS(2822),
    [aux_sym_primitive_type_token1] = ACTIONS(2822),
    [anon_sym_byte] = ACTIONS(2822),
    [anon_sym_word] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_goto] = ACTIONS(2822),
    [anon_sym___try] = ACTIONS(2822),
    [anon_sym___leave] = ACTIONS(2822),
    [anon_sym_not] = ACTIONS(2822),
    [anon_sym_compl] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_sizeof] = ACTIONS(2822),
    [anon_sym___alignof__] = ACTIONS(2822),
    [anon_sym___alignof] = ACTIONS(2822),
    [anon_sym__alignof] = ACTIONS(2822),
    [anon_sym_alignof] = ACTIONS(2822),
    [anon_sym__Alignof] = ACTIONS(2822),
    [anon_sym_offsetof] = ACTIONS(2822),
    [anon_sym__Generic] = ACTIONS(2822),
    [anon_sym_asm] = ACTIONS(2822),
    [anon_sym___asm__] = ACTIONS(2822),
    [anon_sym___asm] = ACTIONS(2822),
    [aux_sym_number_literal_token1] = ACTIONS(2824),
    [aux_sym_number_literal_token2] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2824),
    [anon_sym_u_SQUOTE] = ACTIONS(2824),
    [anon_sym_U_SQUOTE] = ACTIONS(2824),
    [anon_sym_u8_SQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [anon_sym_L_DQUOTE] = ACTIONS(2824),
    [anon_sym_u_DQUOTE] = ACTIONS(2824),
    [anon_sym_U_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8_DQUOTE] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_NULL] = ACTIONS(2822),
    [anon_sym_nullptr] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_co_return] = ACTIONS(2822),
    [anon_sym_co_yield] = ACTIONS(2822),
    [anon_sym_R_DQUOTE] = ACTIONS(2824),
    [anon_sym_LR_DQUOTE] = ACTIONS(2824),
    [anon_sym_uR_DQUOTE] = ACTIONS(2824),
    [anon_sym_UR_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2824),
    [anon_sym_co_await] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_requires] = ACTIONS(2822),
    [sym_this] = ACTIONS(2822),
  },
  [873] = {
    [sym_identifier] = ACTIONS(2866),
    [anon_sym_LPAREN2] = ACTIONS(2868),
    [anon_sym_BANG] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2866),
    [anon_sym_STAR] = ACTIONS(2868),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_SEMI] = ACTIONS(2868),
    [anon_sym___extension__] = ACTIONS(2866),
    [anon_sym_typedef] = ACTIONS(2866),
    [anon_sym_virtual] = ACTIONS(2866),
    [anon_sym_extern] = ACTIONS(2866),
    [anon_sym___attribute__] = ACTIONS(2866),
    [anon_sym_COLON_COLON] = ACTIONS(2868),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2868),
    [anon_sym___declspec] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2866),
    [anon_sym_unsigned] = ACTIONS(2866),
    [anon_sym_long] = ACTIONS(2866),
    [anon_sym_short] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_register] = ACTIONS(2866),
    [anon_sym_inline] = ACTIONS(2866),
    [anon_sym___inline] = ACTIONS(2866),
    [anon_sym___inline__] = ACTIONS(2866),
    [anon_sym___forceinline] = ACTIONS(2866),
    [anon_sym_thread_local] = ACTIONS(2866),
    [anon_sym___thread] = ACTIONS(2866),
    [anon_sym_const] = ACTIONS(2866),
    [anon_sym_constexpr] = ACTIONS(2866),
    [anon_sym_volatile] = ACTIONS(2866),
    [anon_sym_restrict] = ACTIONS(2866),
    [anon_sym___restrict__] = ACTIONS(2866),
    [anon_sym__Atomic] = ACTIONS(2866),
    [anon_sym__Noreturn] = ACTIONS(2866),
    [anon_sym_noreturn] = ACTIONS(2866),
    [anon_sym__Nonnull] = ACTIONS(2866),
    [anon_sym_mutable] = ACTIONS(2866),
    [anon_sym_constinit] = ACTIONS(2866),
    [anon_sym_consteval] = ACTIONS(2866),
    [anon_sym_PROGMEM] = ACTIONS(2866),
    [anon_sym_alignas] = ACTIONS(2866),
    [anon_sym__Alignas] = ACTIONS(2866),
    [aux_sym_primitive_type_token1] = ACTIONS(2866),
    [anon_sym_byte] = ACTIONS(2866),
    [anon_sym_word] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_struct] = ACTIONS(2866),
    [anon_sym_union] = ACTIONS(2866),
    [anon_sym_if] = ACTIONS(2866),
    [anon_sym_else] = ACTIONS(2866),
    [anon_sym_switch] = ACTIONS(2866),
    [anon_sym_while] = ACTIONS(2866),
    [anon_sym_do] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2866),
    [anon_sym_return] = ACTIONS(2866),
    [anon_sym_break] = ACTIONS(2866),
    [anon_sym_continue] = ACTIONS(2866),
    [anon_sym_goto] = ACTIONS(2866),
    [anon_sym___try] = ACTIONS(2866),
    [anon_sym___leave] = ACTIONS(2866),
    [anon_sym_not] = ACTIONS(2866),
    [anon_sym_compl] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2868),
    [anon_sym_PLUS_PLUS] = ACTIONS(2868),
    [anon_sym_sizeof] = ACTIONS(2866),
    [anon_sym___alignof__] = ACTIONS(2866),
    [anon_sym___alignof] = ACTIONS(2866),
    [anon_sym__alignof] = ACTIONS(2866),
    [anon_sym_alignof] = ACTIONS(2866),
    [anon_sym__Alignof] = ACTIONS(2866),
    [anon_sym_offsetof] = ACTIONS(2866),
    [anon_sym__Generic] = ACTIONS(2866),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [anon_sym___asm] = ACTIONS(2866),
    [aux_sym_number_literal_token1] = ACTIONS(2868),
    [aux_sym_number_literal_token2] = ACTIONS(2866),
    [anon_sym_L_SQUOTE] = ACTIONS(2868),
    [anon_sym_u_SQUOTE] = ACTIONS(2868),
    [anon_sym_U_SQUOTE] = ACTIONS(2868),
    [anon_sym_u8_SQUOTE] = ACTIONS(2868),
    [anon_sym_SQUOTE] = ACTIONS(2868),
    [anon_sym_L_DQUOTE] = ACTIONS(2868),
    [anon_sym_u_DQUOTE] = ACTIONS(2868),
    [anon_sym_U_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8_DQUOTE] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [sym_true] = ACTIONS(2866),
    [sym_false] = ACTIONS(2866),
    [anon_sym_NULL] = ACTIONS(2866),
    [anon_sym_nullptr] = ACTIONS(2866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2866),
    [anon_sym_decltype] = ACTIONS(2866),
    [anon_sym_typename] = ACTIONS(2866),
    [anon_sym_template] = ACTIONS(2866),
    [anon_sym_try] = ACTIONS(2866),
    [anon_sym_delete] = ACTIONS(2866),
    [anon_sym_throw] = ACTIONS(2866),
    [anon_sym_co_return] = ACTIONS(2866),
    [anon_sym_co_yield] = ACTIONS(2866),
    [anon_sym_R_DQUOTE] = ACTIONS(2868),
    [anon_sym_LR_DQUOTE] = ACTIONS(2868),
    [anon_sym_uR_DQUOTE] = ACTIONS(2868),
    [anon_sym_UR_DQUOTE] = ACTIONS(2868),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2868),
    [anon_sym_co_await] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2866),
    [anon_sym_requires] = ACTIONS(2866),
    [sym_this] = ACTIONS(2866),
  },
  [874] = {
    [sym_identifier] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_PROGMEM] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [aux_sym_primitive_type_token1] = ACTIONS(2844),
    [anon_sym_byte] = ACTIONS(2844),
    [anon_sym_word] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_else] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [aux_sym_number_literal_token1] = ACTIONS(2846),
    [aux_sym_number_literal_token2] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [875] = {
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_STAR] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2918),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym___extension__] = ACTIONS(2916),
    [anon_sym_typedef] = ACTIONS(2916),
    [anon_sym_virtual] = ACTIONS(2916),
    [anon_sym_extern] = ACTIONS(2916),
    [anon_sym___attribute__] = ACTIONS(2916),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2918),
    [anon_sym___declspec] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_signed] = ACTIONS(2916),
    [anon_sym_unsigned] = ACTIONS(2916),
    [anon_sym_long] = ACTIONS(2916),
    [anon_sym_short] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_register] = ACTIONS(2916),
    [anon_sym_inline] = ACTIONS(2916),
    [anon_sym___inline] = ACTIONS(2916),
    [anon_sym___inline__] = ACTIONS(2916),
    [anon_sym___forceinline] = ACTIONS(2916),
    [anon_sym_thread_local] = ACTIONS(2916),
    [anon_sym___thread] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_constexpr] = ACTIONS(2916),
    [anon_sym_volatile] = ACTIONS(2916),
    [anon_sym_restrict] = ACTIONS(2916),
    [anon_sym___restrict__] = ACTIONS(2916),
    [anon_sym__Atomic] = ACTIONS(2916),
    [anon_sym__Noreturn] = ACTIONS(2916),
    [anon_sym_noreturn] = ACTIONS(2916),
    [anon_sym__Nonnull] = ACTIONS(2916),
    [anon_sym_mutable] = ACTIONS(2916),
    [anon_sym_constinit] = ACTIONS(2916),
    [anon_sym_consteval] = ACTIONS(2916),
    [anon_sym_PROGMEM] = ACTIONS(2916),
    [anon_sym_alignas] = ACTIONS(2916),
    [anon_sym__Alignas] = ACTIONS(2916),
    [aux_sym_primitive_type_token1] = ACTIONS(2916),
    [anon_sym_byte] = ACTIONS(2916),
    [anon_sym_word] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_struct] = ACTIONS(2916),
    [anon_sym_union] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_else] = ACTIONS(2916),
    [anon_sym_switch] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_break] = ACTIONS(2916),
    [anon_sym_continue] = ACTIONS(2916),
    [anon_sym_goto] = ACTIONS(2916),
    [anon_sym___try] = ACTIONS(2916),
    [anon_sym___leave] = ACTIONS(2916),
    [anon_sym_not] = ACTIONS(2916),
    [anon_sym_compl] = ACTIONS(2916),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_sizeof] = ACTIONS(2916),
    [anon_sym___alignof__] = ACTIONS(2916),
    [anon_sym___alignof] = ACTIONS(2916),
    [anon_sym__alignof] = ACTIONS(2916),
    [anon_sym_alignof] = ACTIONS(2916),
    [anon_sym__Alignof] = ACTIONS(2916),
    [anon_sym_offsetof] = ACTIONS(2916),
    [anon_sym__Generic] = ACTIONS(2916),
    [anon_sym_asm] = ACTIONS(2916),
    [anon_sym___asm__] = ACTIONS(2916),
    [anon_sym___asm] = ACTIONS(2916),
    [aux_sym_number_literal_token1] = ACTIONS(2918),
    [aux_sym_number_literal_token2] = ACTIONS(2916),
    [anon_sym_L_SQUOTE] = ACTIONS(2918),
    [anon_sym_u_SQUOTE] = ACTIONS(2918),
    [anon_sym_U_SQUOTE] = ACTIONS(2918),
    [anon_sym_u8_SQUOTE] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_L_DQUOTE] = ACTIONS(2918),
    [anon_sym_u_DQUOTE] = ACTIONS(2918),
    [anon_sym_U_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE] = ACTIONS(2918),
    [sym_true] = ACTIONS(2916),
    [sym_false] = ACTIONS(2916),
    [anon_sym_NULL] = ACTIONS(2916),
    [anon_sym_nullptr] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2916),
    [anon_sym_decltype] = ACTIONS(2916),
    [anon_sym_typename] = ACTIONS(2916),
    [anon_sym_template] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_delete] = ACTIONS(2916),
    [anon_sym_throw] = ACTIONS(2916),
    [anon_sym_co_return] = ACTIONS(2916),
    [anon_sym_co_yield] = ACTIONS(2916),
    [anon_sym_R_DQUOTE] = ACTIONS(2918),
    [anon_sym_LR_DQUOTE] = ACTIONS(2918),
    [anon_sym_uR_DQUOTE] = ACTIONS(2918),
    [anon_sym_UR_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2918),
    [anon_sym_co_await] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_requires] = ACTIONS(2916),
    [sym_this] = ACTIONS(2916),
  },
  [876] = {
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_LPAREN2] = ACTIONS(4107),
    [anon_sym_BANG] = ACTIONS(4107),
    [anon_sym_TILDE] = ACTIONS(4107),
    [anon_sym_DASH] = ACTIONS(4109),
    [anon_sym_PLUS] = ACTIONS(4109),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_SEMI] = ACTIONS(4107),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_virtual] = ACTIONS(4113),
    [anon_sym_extern] = ACTIONS(4113),
    [anon_sym___attribute__] = ACTIONS(4113),
    [anon_sym_COLON_COLON] = ACTIONS(4104),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4104),
    [anon_sym___declspec] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4107),
    [anon_sym_signed] = ACTIONS(4113),
    [anon_sym_unsigned] = ACTIONS(4113),
    [anon_sym_long] = ACTIONS(4113),
    [anon_sym_short] = ACTIONS(4113),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_static] = ACTIONS(4113),
    [anon_sym_register] = ACTIONS(4113),
    [anon_sym_inline] = ACTIONS(4113),
    [anon_sym___inline] = ACTIONS(4113),
    [anon_sym___inline__] = ACTIONS(4113),
    [anon_sym___forceinline] = ACTIONS(4113),
    [anon_sym_thread_local] = ACTIONS(4113),
    [anon_sym___thread] = ACTIONS(4113),
    [anon_sym_const] = ACTIONS(4113),
    [anon_sym_constexpr] = ACTIONS(4113),
    [anon_sym_volatile] = ACTIONS(4113),
    [anon_sym_restrict] = ACTIONS(4113),
    [anon_sym___restrict__] = ACTIONS(4113),
    [anon_sym__Atomic] = ACTIONS(4113),
    [anon_sym__Noreturn] = ACTIONS(4113),
    [anon_sym_noreturn] = ACTIONS(4113),
    [anon_sym__Nonnull] = ACTIONS(4113),
    [anon_sym_mutable] = ACTIONS(4113),
    [anon_sym_constinit] = ACTIONS(4113),
    [anon_sym_consteval] = ACTIONS(4113),
    [anon_sym_PROGMEM] = ACTIONS(4113),
    [anon_sym_alignas] = ACTIONS(4113),
    [anon_sym__Alignas] = ACTIONS(4113),
    [aux_sym_primitive_type_token1] = ACTIONS(4101),
    [anon_sym_byte] = ACTIONS(4101),
    [anon_sym_word] = ACTIONS(4101),
    [anon_sym_enum] = ACTIONS(4113),
    [anon_sym_class] = ACTIONS(4113),
    [anon_sym_struct] = ACTIONS(4113),
    [anon_sym_union] = ACTIONS(4113),
    [anon_sym_if] = ACTIONS(4109),
    [anon_sym_switch] = ACTIONS(4109),
    [anon_sym_case] = ACTIONS(4109),
    [anon_sym_default] = ACTIONS(4109),
    [anon_sym_while] = ACTIONS(4109),
    [anon_sym_do] = ACTIONS(4109),
    [anon_sym_for] = ACTIONS(4109),
    [anon_sym_return] = ACTIONS(4109),
    [anon_sym_break] = ACTIONS(4109),
    [anon_sym_continue] = ACTIONS(4109),
    [anon_sym_goto] = ACTIONS(4109),
    [anon_sym___try] = ACTIONS(4109),
    [anon_sym___leave] = ACTIONS(4109),
    [anon_sym_not] = ACTIONS(4109),
    [anon_sym_compl] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4107),
    [anon_sym_PLUS_PLUS] = ACTIONS(4107),
    [anon_sym_sizeof] = ACTIONS(4109),
    [anon_sym___alignof__] = ACTIONS(4109),
    [anon_sym___alignof] = ACTIONS(4109),
    [anon_sym__alignof] = ACTIONS(4109),
    [anon_sym_alignof] = ACTIONS(4109),
    [anon_sym__Alignof] = ACTIONS(4109),
    [anon_sym_offsetof] = ACTIONS(4109),
    [anon_sym__Generic] = ACTIONS(4109),
    [anon_sym_asm] = ACTIONS(4109),
    [anon_sym___asm__] = ACTIONS(4109),
    [anon_sym___asm] = ACTIONS(4109),
    [aux_sym_number_literal_token1] = ACTIONS(4107),
    [aux_sym_number_literal_token2] = ACTIONS(4109),
    [anon_sym_L_SQUOTE] = ACTIONS(4107),
    [anon_sym_u_SQUOTE] = ACTIONS(4107),
    [anon_sym_U_SQUOTE] = ACTIONS(4107),
    [anon_sym_u8_SQUOTE] = ACTIONS(4107),
    [anon_sym_SQUOTE] = ACTIONS(4107),
    [anon_sym_L_DQUOTE] = ACTIONS(4107),
    [anon_sym_u_DQUOTE] = ACTIONS(4107),
    [anon_sym_U_DQUOTE] = ACTIONS(4107),
    [anon_sym_u8_DQUOTE] = ACTIONS(4107),
    [anon_sym_DQUOTE] = ACTIONS(4107),
    [sym_true] = ACTIONS(4109),
    [sym_false] = ACTIONS(4109),
    [anon_sym_NULL] = ACTIONS(4109),
    [anon_sym_nullptr] = ACTIONS(4109),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4113),
    [anon_sym_decltype] = ACTIONS(4101),
    [anon_sym_typename] = ACTIONS(4113),
    [anon_sym_template] = ACTIONS(4101),
    [anon_sym_try] = ACTIONS(4109),
    [anon_sym_delete] = ACTIONS(4109),
    [anon_sym_throw] = ACTIONS(4109),
    [anon_sym_co_return] = ACTIONS(4109),
    [anon_sym_co_yield] = ACTIONS(4109),
    [anon_sym_R_DQUOTE] = ACTIONS(4107),
    [anon_sym_LR_DQUOTE] = ACTIONS(4107),
    [anon_sym_uR_DQUOTE] = ACTIONS(4107),
    [anon_sym_UR_DQUOTE] = ACTIONS(4107),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4107),
    [anon_sym_co_await] = ACTIONS(4109),
    [anon_sym_new] = ACTIONS(4109),
    [anon_sym_requires] = ACTIONS(4109),
    [sym_this] = ACTIONS(4109),
  },
  [877] = {
    [sym_identifier] = ACTIONS(2838),
    [anon_sym_LPAREN2] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_TILDE] = ACTIONS(2840),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_SEMI] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2838),
    [anon_sym_typedef] = ACTIONS(2838),
    [anon_sym_virtual] = ACTIONS(2838),
    [anon_sym_extern] = ACTIONS(2838),
    [anon_sym___attribute__] = ACTIONS(2838),
    [anon_sym_COLON_COLON] = ACTIONS(2840),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2840),
    [anon_sym___declspec] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_signed] = ACTIONS(2838),
    [anon_sym_unsigned] = ACTIONS(2838),
    [anon_sym_long] = ACTIONS(2838),
    [anon_sym_short] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_register] = ACTIONS(2838),
    [anon_sym_inline] = ACTIONS(2838),
    [anon_sym___inline] = ACTIONS(2838),
    [anon_sym___inline__] = ACTIONS(2838),
    [anon_sym___forceinline] = ACTIONS(2838),
    [anon_sym_thread_local] = ACTIONS(2838),
    [anon_sym___thread] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_constexpr] = ACTIONS(2838),
    [anon_sym_volatile] = ACTIONS(2838),
    [anon_sym_restrict] = ACTIONS(2838),
    [anon_sym___restrict__] = ACTIONS(2838),
    [anon_sym__Atomic] = ACTIONS(2838),
    [anon_sym__Noreturn] = ACTIONS(2838),
    [anon_sym_noreturn] = ACTIONS(2838),
    [anon_sym__Nonnull] = ACTIONS(2838),
    [anon_sym_mutable] = ACTIONS(2838),
    [anon_sym_constinit] = ACTIONS(2838),
    [anon_sym_consteval] = ACTIONS(2838),
    [anon_sym_PROGMEM] = ACTIONS(2838),
    [anon_sym_alignas] = ACTIONS(2838),
    [anon_sym__Alignas] = ACTIONS(2838),
    [aux_sym_primitive_type_token1] = ACTIONS(2838),
    [anon_sym_byte] = ACTIONS(2838),
    [anon_sym_word] = ACTIONS(2838),
    [anon_sym_enum] = ACTIONS(2838),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_struct] = ACTIONS(2838),
    [anon_sym_union] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(2838),
    [anon_sym_else] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2838),
    [anon_sym_while] = ACTIONS(2838),
    [anon_sym_do] = ACTIONS(2838),
    [anon_sym_for] = ACTIONS(2838),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_break] = ACTIONS(2838),
    [anon_sym_continue] = ACTIONS(2838),
    [anon_sym_goto] = ACTIONS(2838),
    [anon_sym___try] = ACTIONS(2838),
    [anon_sym___leave] = ACTIONS(2838),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_sizeof] = ACTIONS(2838),
    [anon_sym___alignof__] = ACTIONS(2838),
    [anon_sym___alignof] = ACTIONS(2838),
    [anon_sym__alignof] = ACTIONS(2838),
    [anon_sym_alignof] = ACTIONS(2838),
    [anon_sym__Alignof] = ACTIONS(2838),
    [anon_sym_offsetof] = ACTIONS(2838),
    [anon_sym__Generic] = ACTIONS(2838),
    [anon_sym_asm] = ACTIONS(2838),
    [anon_sym___asm__] = ACTIONS(2838),
    [anon_sym___asm] = ACTIONS(2838),
    [aux_sym_number_literal_token1] = ACTIONS(2840),
    [aux_sym_number_literal_token2] = ACTIONS(2838),
    [anon_sym_L_SQUOTE] = ACTIONS(2840),
    [anon_sym_u_SQUOTE] = ACTIONS(2840),
    [anon_sym_U_SQUOTE] = ACTIONS(2840),
    [anon_sym_u8_SQUOTE] = ACTIONS(2840),
    [anon_sym_SQUOTE] = ACTIONS(2840),
    [anon_sym_L_DQUOTE] = ACTIONS(2840),
    [anon_sym_u_DQUOTE] = ACTIONS(2840),
    [anon_sym_U_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8_DQUOTE] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2840),
    [sym_true] = ACTIONS(2838),
    [sym_false] = ACTIONS(2838),
    [anon_sym_NULL] = ACTIONS(2838),
    [anon_sym_nullptr] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2838),
    [anon_sym_decltype] = ACTIONS(2838),
    [anon_sym_typename] = ACTIONS(2838),
    [anon_sym_template] = ACTIONS(2838),
    [anon_sym_try] = ACTIONS(2838),
    [anon_sym_delete] = ACTIONS(2838),
    [anon_sym_throw] = ACTIONS(2838),
    [anon_sym_co_return] = ACTIONS(2838),
    [anon_sym_co_yield] = ACTIONS(2838),
    [anon_sym_R_DQUOTE] = ACTIONS(2840),
    [anon_sym_LR_DQUOTE] = ACTIONS(2840),
    [anon_sym_uR_DQUOTE] = ACTIONS(2840),
    [anon_sym_UR_DQUOTE] = ACTIONS(2840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2840),
    [anon_sym_co_await] = ACTIONS(2838),
    [anon_sym_new] = ACTIONS(2838),
    [anon_sym_requires] = ACTIONS(2838),
    [sym_this] = ACTIONS(2838),
  },
  [878] = {
    [sym_identifier] = ACTIONS(2806),
    [anon_sym_LPAREN2] = ACTIONS(2808),
    [anon_sym_BANG] = ACTIONS(2808),
    [anon_sym_TILDE] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2808),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2806),
    [anon_sym_typedef] = ACTIONS(2806),
    [anon_sym_virtual] = ACTIONS(2806),
    [anon_sym_extern] = ACTIONS(2806),
    [anon_sym___attribute__] = ACTIONS(2806),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2808),
    [anon_sym___declspec] = ACTIONS(2806),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2806),
    [anon_sym_unsigned] = ACTIONS(2806),
    [anon_sym_long] = ACTIONS(2806),
    [anon_sym_short] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_register] = ACTIONS(2806),
    [anon_sym_inline] = ACTIONS(2806),
    [anon_sym___inline] = ACTIONS(2806),
    [anon_sym___inline__] = ACTIONS(2806),
    [anon_sym___forceinline] = ACTIONS(2806),
    [anon_sym_thread_local] = ACTIONS(2806),
    [anon_sym___thread] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_constexpr] = ACTIONS(2806),
    [anon_sym_volatile] = ACTIONS(2806),
    [anon_sym_restrict] = ACTIONS(2806),
    [anon_sym___restrict__] = ACTIONS(2806),
    [anon_sym__Atomic] = ACTIONS(2806),
    [anon_sym__Noreturn] = ACTIONS(2806),
    [anon_sym_noreturn] = ACTIONS(2806),
    [anon_sym__Nonnull] = ACTIONS(2806),
    [anon_sym_mutable] = ACTIONS(2806),
    [anon_sym_constinit] = ACTIONS(2806),
    [anon_sym_consteval] = ACTIONS(2806),
    [anon_sym_PROGMEM] = ACTIONS(2806),
    [anon_sym_alignas] = ACTIONS(2806),
    [anon_sym__Alignas] = ACTIONS(2806),
    [aux_sym_primitive_type_token1] = ACTIONS(2806),
    [anon_sym_byte] = ACTIONS(2806),
    [anon_sym_word] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [anon_sym_class] = ACTIONS(2806),
    [anon_sym_struct] = ACTIONS(2806),
    [anon_sym_union] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2806),
    [anon_sym_else] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2806),
    [anon_sym_while] = ACTIONS(2806),
    [anon_sym_do] = ACTIONS(2806),
    [anon_sym_for] = ACTIONS(2806),
    [anon_sym_return] = ACTIONS(2806),
    [anon_sym_break] = ACTIONS(2806),
    [anon_sym_continue] = ACTIONS(2806),
    [anon_sym_goto] = ACTIONS(2806),
    [anon_sym___try] = ACTIONS(2806),
    [anon_sym___leave] = ACTIONS(2806),
    [anon_sym_not] = ACTIONS(2806),
    [anon_sym_compl] = ACTIONS(2806),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_sizeof] = ACTIONS(2806),
    [anon_sym___alignof__] = ACTIONS(2806),
    [anon_sym___alignof] = ACTIONS(2806),
    [anon_sym__alignof] = ACTIONS(2806),
    [anon_sym_alignof] = ACTIONS(2806),
    [anon_sym__Alignof] = ACTIONS(2806),
    [anon_sym_offsetof] = ACTIONS(2806),
    [anon_sym__Generic] = ACTIONS(2806),
    [anon_sym_asm] = ACTIONS(2806),
    [anon_sym___asm__] = ACTIONS(2806),
    [anon_sym___asm] = ACTIONS(2806),
    [aux_sym_number_literal_token1] = ACTIONS(2808),
    [aux_sym_number_literal_token2] = ACTIONS(2806),
    [anon_sym_L_SQUOTE] = ACTIONS(2808),
    [anon_sym_u_SQUOTE] = ACTIONS(2808),
    [anon_sym_U_SQUOTE] = ACTIONS(2808),
    [anon_sym_u8_SQUOTE] = ACTIONS(2808),
    [anon_sym_SQUOTE] = ACTIONS(2808),
    [anon_sym_L_DQUOTE] = ACTIONS(2808),
    [anon_sym_u_DQUOTE] = ACTIONS(2808),
    [anon_sym_U_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8_DQUOTE] = ACTIONS(2808),
    [anon_sym_DQUOTE] = ACTIONS(2808),
    [sym_true] = ACTIONS(2806),
    [sym_false] = ACTIONS(2806),
    [anon_sym_NULL] = ACTIONS(2806),
    [anon_sym_nullptr] = ACTIONS(2806),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2806),
    [anon_sym_decltype] = ACTIONS(2806),
    [anon_sym_typename] = ACTIONS(2806),
    [anon_sym_template] = ACTIONS(2806),
    [anon_sym_try] = ACTIONS(2806),
    [anon_sym_delete] = ACTIONS(2806),
    [anon_sym_throw] = ACTIONS(2806),
    [anon_sym_co_return] = ACTIONS(2806),
    [anon_sym_co_yield] = ACTIONS(2806),
    [anon_sym_R_DQUOTE] = ACTIONS(2808),
    [anon_sym_LR_DQUOTE] = ACTIONS(2808),
    [anon_sym_uR_DQUOTE] = ACTIONS(2808),
    [anon_sym_UR_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2808),
    [anon_sym_co_await] = ACTIONS(2806),
    [anon_sym_new] = ACTIONS(2806),
    [anon_sym_requires] = ACTIONS(2806),
    [sym_this] = ACTIONS(2806),
  },
  [879] = {
    [sym_identifier] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2804),
    [anon_sym_TILDE] = ACTIONS(2804),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_AMP] = ACTIONS(2804),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_virtual] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym_COLON_COLON] = ACTIONS(2804),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2804),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym__Nonnull] = ACTIONS(2802),
    [anon_sym_mutable] = ACTIONS(2802),
    [anon_sym_constinit] = ACTIONS(2802),
    [anon_sym_consteval] = ACTIONS(2802),
    [anon_sym_PROGMEM] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [aux_sym_primitive_type_token1] = ACTIONS(2802),
    [anon_sym_byte] = ACTIONS(2802),
    [anon_sym_word] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_class] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_else] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym___try] = ACTIONS(2802),
    [anon_sym___leave] = ACTIONS(2802),
    [anon_sym_not] = ACTIONS(2802),
    [anon_sym_compl] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [anon_sym___asm] = ACTIONS(2802),
    [aux_sym_number_literal_token1] = ACTIONS(2804),
    [aux_sym_number_literal_token2] = ACTIONS(2802),
    [anon_sym_L_SQUOTE] = ACTIONS(2804),
    [anon_sym_u_SQUOTE] = ACTIONS(2804),
    [anon_sym_U_SQUOTE] = ACTIONS(2804),
    [anon_sym_u8_SQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [anon_sym_L_DQUOTE] = ACTIONS(2804),
    [anon_sym_u_DQUOTE] = ACTIONS(2804),
    [anon_sym_U_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8_DQUOTE] = ACTIONS(2804),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2802),
    [anon_sym_decltype] = ACTIONS(2802),
    [anon_sym_typename] = ACTIONS(2802),
    [anon_sym_template] = ACTIONS(2802),
    [anon_sym_try] = ACTIONS(2802),
    [anon_sym_delete] = ACTIONS(2802),
    [anon_sym_throw] = ACTIONS(2802),
    [anon_sym_co_return] = ACTIONS(2802),
    [anon_sym_co_yield] = ACTIONS(2802),
    [anon_sym_R_DQUOTE] = ACTIONS(2804),
    [anon_sym_LR_DQUOTE] = ACTIONS(2804),
    [anon_sym_uR_DQUOTE] = ACTIONS(2804),
    [anon_sym_UR_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2804),
    [anon_sym_co_await] = ACTIONS(2802),
    [anon_sym_new] = ACTIONS(2802),
    [anon_sym_requires] = ACTIONS(2802),
    [sym_this] = ACTIONS(2802),
  },
  [880] = {
    [sym_identifier] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_virtual] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [anon_sym_PROGMEM] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [aux_sym_primitive_type_token1] = ACTIONS(2770),
    [anon_sym_byte] = ACTIONS(2770),
    [anon_sym_word] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_else] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym___leave] = ACTIONS(2770),
    [anon_sym_not] = ACTIONS(2770),
    [anon_sym_compl] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [anon_sym___asm] = ACTIONS(2770),
    [aux_sym_number_literal_token1] = ACTIONS(2775),
    [aux_sym_number_literal_token2] = ACTIONS(2770),
    [anon_sym_L_SQUOTE] = ACTIONS(2775),
    [anon_sym_u_SQUOTE] = ACTIONS(2775),
    [anon_sym_U_SQUOTE] = ACTIONS(2775),
    [anon_sym_u8_SQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_L_DQUOTE] = ACTIONS(2775),
    [anon_sym_u_DQUOTE] = ACTIONS(2775),
    [anon_sym_U_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_try] = ACTIONS(2770),
    [anon_sym_delete] = ACTIONS(2770),
    [anon_sym_throw] = ACTIONS(2770),
    [anon_sym_co_return] = ACTIONS(2770),
    [anon_sym_co_yield] = ACTIONS(2770),
    [anon_sym_R_DQUOTE] = ACTIONS(2775),
    [anon_sym_LR_DQUOTE] = ACTIONS(2775),
    [anon_sym_uR_DQUOTE] = ACTIONS(2775),
    [anon_sym_UR_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2775),
    [anon_sym_co_await] = ACTIONS(2770),
    [anon_sym_new] = ACTIONS(2770),
    [anon_sym_requires] = ACTIONS(2770),
    [sym_this] = ACTIONS(2770),
  },
  [881] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(1596),
    [sym_raw_string_literal] = STATE(2527),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2537),
    [sym_identifier] = ACTIONS(4122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4126),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4140),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_virtual] = ACTIONS(4122),
    [anon_sym_extern] = ACTIONS(4122),
    [anon_sym___attribute__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4145),
    [anon_sym___declspec] = ACTIONS(4122),
    [anon_sym___based] = ACTIONS(4122),
    [anon_sym___cdecl] = ACTIONS(4122),
    [anon_sym___clrcall] = ACTIONS(4122),
    [anon_sym___stdcall] = ACTIONS(4122),
    [anon_sym___fastcall] = ACTIONS(4122),
    [anon_sym___thiscall] = ACTIONS(4122),
    [anon_sym___vectorcall] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_signed] = ACTIONS(4150),
    [anon_sym_unsigned] = ACTIONS(4150),
    [anon_sym_long] = ACTIONS(4150),
    [anon_sym_short] = ACTIONS(4150),
    [anon_sym_LBRACK] = ACTIONS(4152),
    [anon_sym_static] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_register] = ACTIONS(4122),
    [anon_sym_inline] = ACTIONS(4122),
    [anon_sym___inline] = ACTIONS(4122),
    [anon_sym___inline__] = ACTIONS(4122),
    [anon_sym___forceinline] = ACTIONS(4122),
    [anon_sym_thread_local] = ACTIONS(4122),
    [anon_sym___thread] = ACTIONS(4122),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4122),
    [anon_sym_volatile] = ACTIONS(4122),
    [anon_sym_restrict] = ACTIONS(4122),
    [anon_sym___restrict__] = ACTIONS(4122),
    [anon_sym__Atomic] = ACTIONS(4122),
    [anon_sym__Noreturn] = ACTIONS(4122),
    [anon_sym_noreturn] = ACTIONS(4122),
    [anon_sym__Nonnull] = ACTIONS(4122),
    [anon_sym_mutable] = ACTIONS(4122),
    [anon_sym_constinit] = ACTIONS(4122),
    [anon_sym_consteval] = ACTIONS(4122),
    [anon_sym_PROGMEM] = ACTIONS(4122),
    [anon_sym_alignas] = ACTIONS(4122),
    [anon_sym__Alignas] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4162),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4156),
    [anon_sym_or_eq] = ACTIONS(4156),
    [anon_sym_xor_eq] = ACTIONS(4156),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4132),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4132),
    [anon_sym_not_eq] = ACTIONS(4132),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4122),
    [anon_sym_decltype] = ACTIONS(4122),
    [anon_sym_template] = ACTIONS(4122),
    [anon_sym_operator] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [882] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(1596),
    [sym_raw_string_literal] = STATE(2527),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2537),
    [sym_identifier] = ACTIONS(4122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4126),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4140),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_virtual] = ACTIONS(4122),
    [anon_sym_extern] = ACTIONS(4122),
    [anon_sym___attribute__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4145),
    [anon_sym___declspec] = ACTIONS(4122),
    [anon_sym___based] = ACTIONS(4122),
    [anon_sym___cdecl] = ACTIONS(4122),
    [anon_sym___clrcall] = ACTIONS(4122),
    [anon_sym___stdcall] = ACTIONS(4122),
    [anon_sym___fastcall] = ACTIONS(4122),
    [anon_sym___thiscall] = ACTIONS(4122),
    [anon_sym___vectorcall] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_signed] = ACTIONS(4150),
    [anon_sym_unsigned] = ACTIONS(4150),
    [anon_sym_long] = ACTIONS(4150),
    [anon_sym_short] = ACTIONS(4150),
    [anon_sym_LBRACK] = ACTIONS(4152),
    [anon_sym_static] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_register] = ACTIONS(4122),
    [anon_sym_inline] = ACTIONS(4122),
    [anon_sym___inline] = ACTIONS(4122),
    [anon_sym___inline__] = ACTIONS(4122),
    [anon_sym___forceinline] = ACTIONS(4122),
    [anon_sym_thread_local] = ACTIONS(4122),
    [anon_sym___thread] = ACTIONS(4122),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4122),
    [anon_sym_volatile] = ACTIONS(4122),
    [anon_sym_restrict] = ACTIONS(4122),
    [anon_sym___restrict__] = ACTIONS(4122),
    [anon_sym__Atomic] = ACTIONS(4122),
    [anon_sym__Noreturn] = ACTIONS(4122),
    [anon_sym_noreturn] = ACTIONS(4122),
    [anon_sym__Nonnull] = ACTIONS(4122),
    [anon_sym_mutable] = ACTIONS(4122),
    [anon_sym_constinit] = ACTIONS(4122),
    [anon_sym_consteval] = ACTIONS(4122),
    [anon_sym_PROGMEM] = ACTIONS(4122),
    [anon_sym_alignas] = ACTIONS(4122),
    [anon_sym__Alignas] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4164),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4156),
    [anon_sym_or_eq] = ACTIONS(4156),
    [anon_sym_xor_eq] = ACTIONS(4156),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4132),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4132),
    [anon_sym_not_eq] = ACTIONS(4132),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4122),
    [anon_sym_decltype] = ACTIONS(4122),
    [anon_sym_template] = ACTIONS(4122),
    [anon_sym_operator] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [883] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(1596),
    [sym_raw_string_literal] = STATE(2527),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2537),
    [sym_identifier] = ACTIONS(4122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4126),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4140),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_virtual] = ACTIONS(4122),
    [anon_sym_extern] = ACTIONS(4122),
    [anon_sym___attribute__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4145),
    [anon_sym___declspec] = ACTIONS(4122),
    [anon_sym___based] = ACTIONS(4122),
    [anon_sym___cdecl] = ACTIONS(4122),
    [anon_sym___clrcall] = ACTIONS(4122),
    [anon_sym___stdcall] = ACTIONS(4122),
    [anon_sym___fastcall] = ACTIONS(4122),
    [anon_sym___thiscall] = ACTIONS(4122),
    [anon_sym___vectorcall] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_signed] = ACTIONS(4150),
    [anon_sym_unsigned] = ACTIONS(4150),
    [anon_sym_long] = ACTIONS(4150),
    [anon_sym_short] = ACTIONS(4150),
    [anon_sym_LBRACK] = ACTIONS(4152),
    [anon_sym_static] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_register] = ACTIONS(4122),
    [anon_sym_inline] = ACTIONS(4122),
    [anon_sym___inline] = ACTIONS(4122),
    [anon_sym___inline__] = ACTIONS(4122),
    [anon_sym___forceinline] = ACTIONS(4122),
    [anon_sym_thread_local] = ACTIONS(4122),
    [anon_sym___thread] = ACTIONS(4122),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4122),
    [anon_sym_volatile] = ACTIONS(4122),
    [anon_sym_restrict] = ACTIONS(4122),
    [anon_sym___restrict__] = ACTIONS(4122),
    [anon_sym__Atomic] = ACTIONS(4122),
    [anon_sym__Noreturn] = ACTIONS(4122),
    [anon_sym_noreturn] = ACTIONS(4122),
    [anon_sym__Nonnull] = ACTIONS(4122),
    [anon_sym_mutable] = ACTIONS(4122),
    [anon_sym_constinit] = ACTIONS(4122),
    [anon_sym_consteval] = ACTIONS(4122),
    [anon_sym_PROGMEM] = ACTIONS(4122),
    [anon_sym_alignas] = ACTIONS(4122),
    [anon_sym__Alignas] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4166),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4156),
    [anon_sym_or_eq] = ACTIONS(4156),
    [anon_sym_xor_eq] = ACTIONS(4156),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4132),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4132),
    [anon_sym_not_eq] = ACTIONS(4132),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4122),
    [anon_sym_decltype] = ACTIONS(4122),
    [anon_sym_template] = ACTIONS(4122),
    [anon_sym_operator] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [884] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(888),
    [sym_compound_requirement] = STATE(888),
    [sym__requirement] = STATE(888),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(888),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4172),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [885] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_call_modifier] = STATE(4579),
    [sym__declarator] = STATE(6281),
    [sym__abstract_declarator] = STATE(6437),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_abstract_parenthesized_declarator] = STATE(5817),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_abstract_pointer_declarator] = STATE(5817),
    [sym_function_declarator] = STATE(5932),
    [sym_abstract_function_declarator] = STATE(5817),
    [sym_array_declarator] = STATE(5932),
    [sym_abstract_array_declarator] = STATE(5817),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_list] = STATE(2941),
    [sym_parameter_declaration] = STATE(7089),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(7089),
    [sym_variadic_parameter_declaration] = STATE(7089),
    [sym_reference_declarator] = STATE(5932),
    [sym_abstract_reference_declarator] = STATE(5817),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym__function_declarator_seq] = STATE(5892),
    [sym_template_type] = STATE(2289),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5463),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1907),
    [anon_sym_RPAREN] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4180),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_AMP] = ACTIONS(4186),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1783),
    [anon_sym___clrcall] = ACTIONS(1783),
    [anon_sym___stdcall] = ACTIONS(1783),
    [anon_sym___fastcall] = ACTIONS(1783),
    [anon_sym___thiscall] = ACTIONS(1783),
    [anon_sym___vectorcall] = ACTIONS(1783),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1829),
  },
  [886] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(896),
    [sym_compound_requirement] = STATE(896),
    [sym__requirement] = STATE(896),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(896),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4192),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [887] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(6732),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7356),
    [sym_initializer_pair] = STATE(7356),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4196),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [888] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(899),
    [sym_compound_requirement] = STATE(899),
    [sym__requirement] = STATE(899),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4200),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [889] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(899),
    [sym_compound_requirement] = STATE(899),
    [sym__requirement] = STATE(899),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4202),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [890] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(906),
    [sym_compound_requirement] = STATE(906),
    [sym__requirement] = STATE(906),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(906),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4204),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [891] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4237),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6879),
    [sym_initializer_pair] = STATE(6879),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_COMMA] = ACTIONS(4206),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4208),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [892] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(889),
    [sym_compound_requirement] = STATE(889),
    [sym__requirement] = STATE(889),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(889),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4210),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [893] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(899),
    [sym_compound_requirement] = STATE(899),
    [sym__requirement] = STATE(899),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [894] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(910),
    [sym_compound_requirement] = STATE(910),
    [sym__requirement] = STATE(910),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(910),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4214),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [895] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(899),
    [sym_compound_requirement] = STATE(899),
    [sym__requirement] = STATE(899),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4216),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [896] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(899),
    [sym_compound_requirement] = STATE(899),
    [sym__requirement] = STATE(899),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4218),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [897] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4172),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6946),
    [sym_initializer_pair] = STATE(6946),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4220),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [898] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(895),
    [sym_compound_requirement] = STATE(895),
    [sym__requirement] = STATE(895),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(895),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4222),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [899] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(899),
    [sym_compound_requirement] = STATE(899),
    [sym__requirement] = STATE(899),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(4224),
    [anon_sym_LPAREN2] = ACTIONS(4227),
    [anon_sym_BANG] = ACTIONS(4230),
    [anon_sym_TILDE] = ACTIONS(4230),
    [anon_sym_DASH] = ACTIONS(4233),
    [anon_sym_PLUS] = ACTIONS(4233),
    [anon_sym_STAR] = ACTIONS(4236),
    [anon_sym_AMP] = ACTIONS(4236),
    [anon_sym_SEMI] = ACTIONS(4239),
    [anon_sym___extension__] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(4245),
    [anon_sym_LBRACE] = ACTIONS(4248),
    [anon_sym_RBRACE] = ACTIONS(4251),
    [anon_sym_LBRACK] = ACTIONS(4253),
    [aux_sym_primitive_type_token1] = ACTIONS(4256),
    [anon_sym_byte] = ACTIONS(4256),
    [anon_sym_word] = ACTIONS(4256),
    [anon_sym_not] = ACTIONS(4233),
    [anon_sym_compl] = ACTIONS(4233),
    [anon_sym_DASH_DASH] = ACTIONS(4259),
    [anon_sym_PLUS_PLUS] = ACTIONS(4259),
    [anon_sym_sizeof] = ACTIONS(4262),
    [anon_sym___alignof__] = ACTIONS(4265),
    [anon_sym___alignof] = ACTIONS(4265),
    [anon_sym__alignof] = ACTIONS(4265),
    [anon_sym_alignof] = ACTIONS(4265),
    [anon_sym__Alignof] = ACTIONS(4265),
    [anon_sym_offsetof] = ACTIONS(4268),
    [anon_sym__Generic] = ACTIONS(4271),
    [anon_sym_asm] = ACTIONS(4274),
    [anon_sym___asm__] = ACTIONS(4274),
    [anon_sym___asm] = ACTIONS(4274),
    [aux_sym_number_literal_token1] = ACTIONS(4277),
    [aux_sym_number_literal_token2] = ACTIONS(4280),
    [anon_sym_L_SQUOTE] = ACTIONS(4283),
    [anon_sym_u_SQUOTE] = ACTIONS(4283),
    [anon_sym_U_SQUOTE] = ACTIONS(4283),
    [anon_sym_u8_SQUOTE] = ACTIONS(4283),
    [anon_sym_SQUOTE] = ACTIONS(4283),
    [anon_sym_L_DQUOTE] = ACTIONS(4286),
    [anon_sym_u_DQUOTE] = ACTIONS(4286),
    [anon_sym_U_DQUOTE] = ACTIONS(4286),
    [anon_sym_u8_DQUOTE] = ACTIONS(4286),
    [anon_sym_DQUOTE] = ACTIONS(4286),
    [sym_true] = ACTIONS(4289),
    [sym_false] = ACTIONS(4289),
    [anon_sym_NULL] = ACTIONS(4292),
    [anon_sym_nullptr] = ACTIONS(4292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4295),
    [anon_sym_typename] = ACTIONS(4298),
    [anon_sym_template] = ACTIONS(4301),
    [anon_sym_delete] = ACTIONS(4304),
    [anon_sym_R_DQUOTE] = ACTIONS(4307),
    [anon_sym_LR_DQUOTE] = ACTIONS(4307),
    [anon_sym_uR_DQUOTE] = ACTIONS(4307),
    [anon_sym_UR_DQUOTE] = ACTIONS(4307),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4307),
    [anon_sym_co_await] = ACTIONS(4310),
    [anon_sym_new] = ACTIONS(4313),
    [anon_sym_requires] = ACTIONS(4316),
    [sym_this] = ACTIONS(4289),
  },
  [900] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(893),
    [sym_compound_requirement] = STATE(893),
    [sym__requirement] = STATE(893),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(893),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4319),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [901] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4268),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7002),
    [sym_initializer_pair] = STATE(7002),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_COMMA] = ACTIONS(4321),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4323),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [902] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4284),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6771),
    [sym_initializer_pair] = STATE(6771),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_COMMA] = ACTIONS(4325),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4327),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [903] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(909),
    [sym_compound_requirement] = STATE(909),
    [sym__requirement] = STATE(909),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(909),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4329),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [904] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4282),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7068),
    [sym_initializer_pair] = STATE(7068),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_COMMA] = ACTIONS(4331),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4333),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [905] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(1596),
    [sym_raw_string_literal] = STATE(2527),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2537),
    [sym_identifier] = ACTIONS(4122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4126),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4140),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4335),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_virtual] = ACTIONS(4122),
    [anon_sym_extern] = ACTIONS(4122),
    [anon_sym___attribute__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4145),
    [anon_sym___declspec] = ACTIONS(4122),
    [anon_sym___based] = ACTIONS(4122),
    [anon_sym___cdecl] = ACTIONS(4122),
    [anon_sym___clrcall] = ACTIONS(4122),
    [anon_sym___stdcall] = ACTIONS(4122),
    [anon_sym___fastcall] = ACTIONS(4122),
    [anon_sym___thiscall] = ACTIONS(4122),
    [anon_sym___vectorcall] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_signed] = ACTIONS(4150),
    [anon_sym_unsigned] = ACTIONS(4150),
    [anon_sym_long] = ACTIONS(4150),
    [anon_sym_short] = ACTIONS(4150),
    [anon_sym_LBRACK] = ACTIONS(4152),
    [anon_sym_static] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_register] = ACTIONS(4122),
    [anon_sym_inline] = ACTIONS(4122),
    [anon_sym___inline] = ACTIONS(4122),
    [anon_sym___inline__] = ACTIONS(4122),
    [anon_sym___forceinline] = ACTIONS(4122),
    [anon_sym_thread_local] = ACTIONS(4122),
    [anon_sym___thread] = ACTIONS(4122),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4122),
    [anon_sym_volatile] = ACTIONS(4122),
    [anon_sym_restrict] = ACTIONS(4122),
    [anon_sym___restrict__] = ACTIONS(4122),
    [anon_sym__Atomic] = ACTIONS(4122),
    [anon_sym__Noreturn] = ACTIONS(4122),
    [anon_sym_noreturn] = ACTIONS(4122),
    [anon_sym__Nonnull] = ACTIONS(4122),
    [anon_sym_mutable] = ACTIONS(4122),
    [anon_sym_constinit] = ACTIONS(4122),
    [anon_sym_consteval] = ACTIONS(4122),
    [anon_sym_PROGMEM] = ACTIONS(4122),
    [anon_sym_alignas] = ACTIONS(4122),
    [anon_sym__Alignas] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4337),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4156),
    [anon_sym_or_eq] = ACTIONS(4156),
    [anon_sym_xor_eq] = ACTIONS(4156),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4132),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4132),
    [anon_sym_not_eq] = ACTIONS(4132),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4122),
    [anon_sym_decltype] = ACTIONS(4122),
    [anon_sym_template] = ACTIONS(4122),
    [anon_sym_operator] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [906] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(899),
    [sym_compound_requirement] = STATE(899),
    [sym__requirement] = STATE(899),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4339),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [907] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(899),
    [sym_compound_requirement] = STATE(899),
    [sym__requirement] = STATE(899),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4341),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [908] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(907),
    [sym_compound_requirement] = STATE(907),
    [sym__requirement] = STATE(907),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(907),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [909] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(899),
    [sym_compound_requirement] = STATE(899),
    [sym__requirement] = STATE(899),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4345),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [910] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression_statement] = STATE(2400),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7599),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_type_requirement] = STATE(899),
    [sym_compound_requirement] = STATE(899),
    [sym__requirement] = STATE(899),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_requirement_seq_repeat1] = STATE(899),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4168),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4347),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_typename] = ACTIONS(4174),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [911] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4288),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6974),
    [sym_initializer_pair] = STATE(6974),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4351),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [912] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7356),
    [sym_initializer_pair] = STATE(7356),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [913] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7356),
    [sym_initializer_pair] = STATE(7356),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [914] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7356),
    [sym_initializer_pair] = STATE(7356),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [915] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7356),
    [sym_initializer_pair] = STATE(7356),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4359),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [916] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7356),
    [sym_initializer_pair] = STATE(7356),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4361),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [917] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7356),
    [sym_initializer_pair] = STATE(7356),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4363),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [918] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7356),
    [sym_initializer_pair] = STATE(7356),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4365),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [919] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7356),
    [sym_initializer_pair] = STATE(7356),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4367),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [920] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7356),
    [sym_initializer_pair] = STATE(7356),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4369),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [921] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7356),
    [sym_initializer_pair] = STATE(7356),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4371),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [922] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7356),
    [sym_initializer_pair] = STATE(7356),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [923] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7356),
    [sym_initializer_pair] = STATE(7356),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_RBRACE] = ACTIONS(4196),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [924] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7356),
    [sym_initializer_pair] = STATE(7356),
    [sym_subscript_designator] = STATE(6313),
    [sym_subscript_range_designator] = STATE(6313),
    [sym_field_designator] = STATE(6313),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [aux_sym_initializer_pair_repeat1] = STATE(6313),
    [sym_identifier] = ACTIONS(4194),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(217),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [925] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(1625),
    [sym_raw_string_literal] = STATE(2527),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2537),
    [sym_identifier] = ACTIONS(4122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4140),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_virtual] = ACTIONS(4122),
    [anon_sym_extern] = ACTIONS(4122),
    [anon_sym___attribute__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4122),
    [anon_sym___based] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_RBRACE] = ACTIONS(4124),
    [anon_sym_signed] = ACTIONS(4150),
    [anon_sym_unsigned] = ACTIONS(4150),
    [anon_sym_long] = ACTIONS(4150),
    [anon_sym_short] = ACTIONS(4150),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_static] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_register] = ACTIONS(4122),
    [anon_sym_inline] = ACTIONS(4122),
    [anon_sym___inline] = ACTIONS(4122),
    [anon_sym___inline__] = ACTIONS(4122),
    [anon_sym___forceinline] = ACTIONS(4122),
    [anon_sym_thread_local] = ACTIONS(4122),
    [anon_sym___thread] = ACTIONS(4122),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4122),
    [anon_sym_volatile] = ACTIONS(4122),
    [anon_sym_restrict] = ACTIONS(4122),
    [anon_sym___restrict__] = ACTIONS(4122),
    [anon_sym__Atomic] = ACTIONS(4122),
    [anon_sym__Noreturn] = ACTIONS(4122),
    [anon_sym_noreturn] = ACTIONS(4122),
    [anon_sym__Nonnull] = ACTIONS(4122),
    [anon_sym_mutable] = ACTIONS(4122),
    [anon_sym_constinit] = ACTIONS(4122),
    [anon_sym_consteval] = ACTIONS(4122),
    [anon_sym_PROGMEM] = ACTIONS(4122),
    [anon_sym_alignas] = ACTIONS(4122),
    [anon_sym__Alignas] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4166),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4156),
    [anon_sym_or_eq] = ACTIONS(4156),
    [anon_sym_xor_eq] = ACTIONS(4156),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4132),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4132),
    [anon_sym_not_eq] = ACTIONS(4132),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4122),
    [anon_sym_decltype] = ACTIONS(4122),
    [anon_sym_template] = ACTIONS(4122),
    [anon_sym_operator] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [926] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(1625),
    [sym_raw_string_literal] = STATE(2527),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2537),
    [sym_identifier] = ACTIONS(4122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4140),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_virtual] = ACTIONS(4122),
    [anon_sym_extern] = ACTIONS(4122),
    [anon_sym___attribute__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4122),
    [anon_sym___based] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_signed] = ACTIONS(4150),
    [anon_sym_unsigned] = ACTIONS(4150),
    [anon_sym_long] = ACTIONS(4150),
    [anon_sym_short] = ACTIONS(4150),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_static] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_register] = ACTIONS(4122),
    [anon_sym_inline] = ACTIONS(4122),
    [anon_sym___inline] = ACTIONS(4122),
    [anon_sym___inline__] = ACTIONS(4122),
    [anon_sym___forceinline] = ACTIONS(4122),
    [anon_sym_thread_local] = ACTIONS(4122),
    [anon_sym___thread] = ACTIONS(4122),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4122),
    [anon_sym_volatile] = ACTIONS(4122),
    [anon_sym_restrict] = ACTIONS(4122),
    [anon_sym___restrict__] = ACTIONS(4122),
    [anon_sym__Atomic] = ACTIONS(4122),
    [anon_sym__Noreturn] = ACTIONS(4122),
    [anon_sym_noreturn] = ACTIONS(4122),
    [anon_sym__Nonnull] = ACTIONS(4122),
    [anon_sym_mutable] = ACTIONS(4122),
    [anon_sym_constinit] = ACTIONS(4122),
    [anon_sym_consteval] = ACTIONS(4122),
    [anon_sym_PROGMEM] = ACTIONS(4122),
    [anon_sym_alignas] = ACTIONS(4122),
    [anon_sym__Alignas] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4164),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4156),
    [anon_sym_or_eq] = ACTIONS(4156),
    [anon_sym_xor_eq] = ACTIONS(4156),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4132),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4132),
    [anon_sym_not_eq] = ACTIONS(4132),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4122),
    [anon_sym_decltype] = ACTIONS(4122),
    [anon_sym_template] = ACTIONS(4122),
    [anon_sym_operator] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [927] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(1625),
    [sym_raw_string_literal] = STATE(2527),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2537),
    [sym_identifier] = ACTIONS(4122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4140),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_virtual] = ACTIONS(4122),
    [anon_sym_extern] = ACTIONS(4122),
    [anon_sym___attribute__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4122),
    [anon_sym___based] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_signed] = ACTIONS(4150),
    [anon_sym_unsigned] = ACTIONS(4150),
    [anon_sym_long] = ACTIONS(4150),
    [anon_sym_short] = ACTIONS(4150),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_static] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_register] = ACTIONS(4122),
    [anon_sym_inline] = ACTIONS(4122),
    [anon_sym___inline] = ACTIONS(4122),
    [anon_sym___inline__] = ACTIONS(4122),
    [anon_sym___forceinline] = ACTIONS(4122),
    [anon_sym_thread_local] = ACTIONS(4122),
    [anon_sym___thread] = ACTIONS(4122),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4122),
    [anon_sym_volatile] = ACTIONS(4122),
    [anon_sym_restrict] = ACTIONS(4122),
    [anon_sym___restrict__] = ACTIONS(4122),
    [anon_sym__Atomic] = ACTIONS(4122),
    [anon_sym__Noreturn] = ACTIONS(4122),
    [anon_sym_noreturn] = ACTIONS(4122),
    [anon_sym__Nonnull] = ACTIONS(4122),
    [anon_sym_mutable] = ACTIONS(4122),
    [anon_sym_constinit] = ACTIONS(4122),
    [anon_sym_consteval] = ACTIONS(4122),
    [anon_sym_PROGMEM] = ACTIONS(4122),
    [anon_sym_alignas] = ACTIONS(4122),
    [anon_sym__Alignas] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4337),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4156),
    [anon_sym_or_eq] = ACTIONS(4156),
    [anon_sym_xor_eq] = ACTIONS(4156),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4132),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4132),
    [anon_sym_not_eq] = ACTIONS(4132),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4122),
    [anon_sym_decltype] = ACTIONS(4122),
    [anon_sym_template] = ACTIONS(4122),
    [anon_sym_operator] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [928] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(1625),
    [sym_raw_string_literal] = STATE(2527),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2537),
    [sym_identifier] = ACTIONS(4122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4140),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_virtual] = ACTIONS(4122),
    [anon_sym_extern] = ACTIONS(4122),
    [anon_sym___attribute__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4122),
    [anon_sym___based] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_signed] = ACTIONS(4150),
    [anon_sym_unsigned] = ACTIONS(4150),
    [anon_sym_long] = ACTIONS(4150),
    [anon_sym_short] = ACTIONS(4150),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_static] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_register] = ACTIONS(4122),
    [anon_sym_inline] = ACTIONS(4122),
    [anon_sym___inline] = ACTIONS(4122),
    [anon_sym___inline__] = ACTIONS(4122),
    [anon_sym___forceinline] = ACTIONS(4122),
    [anon_sym_thread_local] = ACTIONS(4122),
    [anon_sym___thread] = ACTIONS(4122),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4122),
    [anon_sym_volatile] = ACTIONS(4122),
    [anon_sym_restrict] = ACTIONS(4122),
    [anon_sym___restrict__] = ACTIONS(4122),
    [anon_sym__Atomic] = ACTIONS(4122),
    [anon_sym__Noreturn] = ACTIONS(4122),
    [anon_sym_noreturn] = ACTIONS(4122),
    [anon_sym__Nonnull] = ACTIONS(4122),
    [anon_sym_mutable] = ACTIONS(4122),
    [anon_sym_constinit] = ACTIONS(4122),
    [anon_sym_consteval] = ACTIONS(4122),
    [anon_sym_PROGMEM] = ACTIONS(4122),
    [anon_sym_alignas] = ACTIONS(4122),
    [anon_sym__Alignas] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4375),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4156),
    [anon_sym_or_eq] = ACTIONS(4156),
    [anon_sym_xor_eq] = ACTIONS(4156),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4132),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4132),
    [anon_sym_not_eq] = ACTIONS(4132),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4122),
    [anon_sym_decltype] = ACTIONS(4122),
    [anon_sym_template] = ACTIONS(4122),
    [anon_sym_operator] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [929] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(1625),
    [sym_raw_string_literal] = STATE(2527),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2537),
    [sym_identifier] = ACTIONS(4122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_RPAREN] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4140),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_virtual] = ACTIONS(4122),
    [anon_sym_extern] = ACTIONS(4122),
    [anon_sym___attribute__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4122),
    [anon_sym___based] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_signed] = ACTIONS(4150),
    [anon_sym_unsigned] = ACTIONS(4150),
    [anon_sym_long] = ACTIONS(4150),
    [anon_sym_short] = ACTIONS(4150),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_static] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_register] = ACTIONS(4122),
    [anon_sym_inline] = ACTIONS(4122),
    [anon_sym___inline] = ACTIONS(4122),
    [anon_sym___inline__] = ACTIONS(4122),
    [anon_sym___forceinline] = ACTIONS(4122),
    [anon_sym_thread_local] = ACTIONS(4122),
    [anon_sym___thread] = ACTIONS(4122),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4122),
    [anon_sym_volatile] = ACTIONS(4122),
    [anon_sym_restrict] = ACTIONS(4122),
    [anon_sym___restrict__] = ACTIONS(4122),
    [anon_sym__Atomic] = ACTIONS(4122),
    [anon_sym__Noreturn] = ACTIONS(4122),
    [anon_sym_noreturn] = ACTIONS(4122),
    [anon_sym__Nonnull] = ACTIONS(4122),
    [anon_sym_mutable] = ACTIONS(4122),
    [anon_sym_constinit] = ACTIONS(4122),
    [anon_sym_consteval] = ACTIONS(4122),
    [anon_sym_PROGMEM] = ACTIONS(4122),
    [anon_sym_alignas] = ACTIONS(4122),
    [anon_sym__Alignas] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4156),
    [anon_sym_or_eq] = ACTIONS(4156),
    [anon_sym_xor_eq] = ACTIONS(4156),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4132),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4132),
    [anon_sym_not_eq] = ACTIONS(4132),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4122),
    [anon_sym_decltype] = ACTIONS(4122),
    [anon_sym_template] = ACTIONS(4122),
    [anon_sym_operator] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [930] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(1625),
    [sym_raw_string_literal] = STATE(2527),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2537),
    [sym_identifier] = ACTIONS(4122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4140),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_virtual] = ACTIONS(4122),
    [anon_sym_extern] = ACTIONS(4122),
    [anon_sym___attribute__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4122),
    [anon_sym___based] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_signed] = ACTIONS(4150),
    [anon_sym_unsigned] = ACTIONS(4150),
    [anon_sym_long] = ACTIONS(4150),
    [anon_sym_short] = ACTIONS(4150),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_static] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_register] = ACTIONS(4122),
    [anon_sym_inline] = ACTIONS(4122),
    [anon_sym___inline] = ACTIONS(4122),
    [anon_sym___inline__] = ACTIONS(4122),
    [anon_sym___forceinline] = ACTIONS(4122),
    [anon_sym_thread_local] = ACTIONS(4122),
    [anon_sym___thread] = ACTIONS(4122),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4122),
    [anon_sym_volatile] = ACTIONS(4122),
    [anon_sym_restrict] = ACTIONS(4122),
    [anon_sym___restrict__] = ACTIONS(4122),
    [anon_sym__Atomic] = ACTIONS(4122),
    [anon_sym__Noreturn] = ACTIONS(4122),
    [anon_sym_noreturn] = ACTIONS(4122),
    [anon_sym__Nonnull] = ACTIONS(4122),
    [anon_sym_mutable] = ACTIONS(4122),
    [anon_sym_constinit] = ACTIONS(4122),
    [anon_sym_consteval] = ACTIONS(4122),
    [anon_sym_PROGMEM] = ACTIONS(4122),
    [anon_sym_alignas] = ACTIONS(4122),
    [anon_sym__Alignas] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4162),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4156),
    [anon_sym_or_eq] = ACTIONS(4156),
    [anon_sym_xor_eq] = ACTIONS(4156),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4132),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4132),
    [anon_sym_not_eq] = ACTIONS(4132),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4122),
    [anon_sym_decltype] = ACTIONS(4122),
    [anon_sym_template] = ACTIONS(4122),
    [anon_sym_operator] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [931] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(1625),
    [sym_raw_string_literal] = STATE(2527),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2537),
    [sym_identifier] = ACTIONS(4122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4140),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_virtual] = ACTIONS(4122),
    [anon_sym_extern] = ACTIONS(4122),
    [anon_sym___attribute__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4122),
    [anon_sym___based] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_signed] = ACTIONS(4150),
    [anon_sym_unsigned] = ACTIONS(4150),
    [anon_sym_long] = ACTIONS(4150),
    [anon_sym_short] = ACTIONS(4150),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_static] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_register] = ACTIONS(4122),
    [anon_sym_inline] = ACTIONS(4122),
    [anon_sym___inline] = ACTIONS(4122),
    [anon_sym___inline__] = ACTIONS(4122),
    [anon_sym___forceinline] = ACTIONS(4122),
    [anon_sym_thread_local] = ACTIONS(4122),
    [anon_sym___thread] = ACTIONS(4122),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4122),
    [anon_sym_volatile] = ACTIONS(4122),
    [anon_sym_restrict] = ACTIONS(4122),
    [anon_sym___restrict__] = ACTIONS(4122),
    [anon_sym__Atomic] = ACTIONS(4122),
    [anon_sym__Noreturn] = ACTIONS(4122),
    [anon_sym_noreturn] = ACTIONS(4122),
    [anon_sym__Nonnull] = ACTIONS(4122),
    [anon_sym_mutable] = ACTIONS(4122),
    [anon_sym_constinit] = ACTIONS(4122),
    [anon_sym_consteval] = ACTIONS(4122),
    [anon_sym_PROGMEM] = ACTIONS(4122),
    [anon_sym_alignas] = ACTIONS(4122),
    [anon_sym__Alignas] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4377),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4156),
    [anon_sym_or_eq] = ACTIONS(4156),
    [anon_sym_xor_eq] = ACTIONS(4156),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4132),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4132),
    [anon_sym_not_eq] = ACTIONS(4132),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4122),
    [anon_sym_decltype] = ACTIONS(4122),
    [anon_sym_template] = ACTIONS(4122),
    [anon_sym_operator] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [932] = {
    [sym_string_literal] = STATE(2304),
    [sym_template_argument_list] = STATE(1567),
    [sym_raw_string_literal] = STATE(2304),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2537),
    [sym_identifier] = ACTIONS(4122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_RPAREN] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4379),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_virtual] = ACTIONS(4122),
    [anon_sym_extern] = ACTIONS(4122),
    [anon_sym___attribute__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4122),
    [anon_sym___based] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_signed] = ACTIONS(4150),
    [anon_sym_unsigned] = ACTIONS(4150),
    [anon_sym_long] = ACTIONS(4150),
    [anon_sym_short] = ACTIONS(4150),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_static] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4134),
    [anon_sym_register] = ACTIONS(4122),
    [anon_sym_inline] = ACTIONS(4122),
    [anon_sym___inline] = ACTIONS(4122),
    [anon_sym___inline__] = ACTIONS(4122),
    [anon_sym___forceinline] = ACTIONS(4122),
    [anon_sym_thread_local] = ACTIONS(4122),
    [anon_sym___thread] = ACTIONS(4122),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4122),
    [anon_sym_volatile] = ACTIONS(4122),
    [anon_sym_restrict] = ACTIONS(4122),
    [anon_sym___restrict__] = ACTIONS(4122),
    [anon_sym__Atomic] = ACTIONS(4122),
    [anon_sym__Noreturn] = ACTIONS(4122),
    [anon_sym_noreturn] = ACTIONS(4122),
    [anon_sym__Nonnull] = ACTIONS(4122),
    [anon_sym_mutable] = ACTIONS(4122),
    [anon_sym_constinit] = ACTIONS(4122),
    [anon_sym_consteval] = ACTIONS(4122),
    [anon_sym_PROGMEM] = ACTIONS(4122),
    [anon_sym_alignas] = ACTIONS(4122),
    [anon_sym__Alignas] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4124),
    [anon_sym_SLASH_EQ] = ACTIONS(4124),
    [anon_sym_PERCENT_EQ] = ACTIONS(4124),
    [anon_sym_PLUS_EQ] = ACTIONS(4124),
    [anon_sym_DASH_EQ] = ACTIONS(4124),
    [anon_sym_LT_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT_GT_EQ] = ACTIONS(4124),
    [anon_sym_AMP_EQ] = ACTIONS(4124),
    [anon_sym_CARET_EQ] = ACTIONS(4124),
    [anon_sym_PIPE_EQ] = ACTIONS(4124),
    [anon_sym_and_eq] = ACTIONS(4382),
    [anon_sym_or_eq] = ACTIONS(4382),
    [anon_sym_xor_eq] = ACTIONS(4382),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4132),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4132),
    [anon_sym_not_eq] = ACTIONS(4132),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4132),
    [anon_sym_L_DQUOTE] = ACTIONS(4384),
    [anon_sym_u_DQUOTE] = ACTIONS(4384),
    [anon_sym_U_DQUOTE] = ACTIONS(4384),
    [anon_sym_u8_DQUOTE] = ACTIONS(4384),
    [anon_sym_DQUOTE] = ACTIONS(4384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4122),
    [anon_sym_decltype] = ACTIONS(4122),
    [anon_sym_template] = ACTIONS(4122),
    [anon_sym_operator] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(4386),
    [anon_sym_LR_DQUOTE] = ACTIONS(4386),
    [anon_sym_uR_DQUOTE] = ACTIONS(4386),
    [anon_sym_UR_DQUOTE] = ACTIONS(4386),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4386),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4124),
  },
  [933] = {
    [sym_compound_statement] = STATE(6843),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4212),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6843),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_RPAREN] = ACTIONS(4388),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [934] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3192),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym__unary_left_fold] = STATE(8149),
    [sym__unary_right_fold] = STATE(8148),
    [sym__binary_fold] = STATE(8147),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [935] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8060),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(8060),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4390),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [936] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7660),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7660),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4392),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [937] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3235),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym__unary_left_fold] = STATE(7908),
    [sym__unary_right_fold] = STATE(7904),
    [sym__binary_fold] = STATE(7903),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [938] = {
    [sym_compound_statement] = STATE(7017),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4283),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7017),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_RPAREN] = ACTIONS(4394),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [939] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3320),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym__unary_left_fold] = STATE(8171),
    [sym__unary_right_fold] = STATE(8166),
    [sym__binary_fold] = STATE(8164),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [940] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3266),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym__unary_left_fold] = STATE(8063),
    [sym__unary_right_fold] = STATE(7920),
    [sym__binary_fold] = STATE(8032),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [941] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3257),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym__unary_left_fold] = STATE(7558),
    [sym__unary_right_fold] = STATE(7571),
    [sym__binary_fold] = STATE(7576),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [942] = {
    [sym_compound_statement] = STATE(7067),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7067),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_RPAREN] = ACTIONS(4396),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [943] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7606),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7606),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4398),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [944] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4122),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_initializer_list] = STATE(6429),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_default] = ACTIONS(4404),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(4408),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4410),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [945] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4118),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_initializer_list] = STATE(6401),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_default] = ACTIONS(4412),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(4414),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4416),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [946] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4111),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_initializer_list] = STATE(6415),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_default] = ACTIONS(4418),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(4420),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4422),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [947] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3210),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym__unary_left_fold] = STATE(7958),
    [sym__unary_right_fold] = STATE(7959),
    [sym__binary_fold] = STATE(7960),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [948] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(1638),
    [sym_raw_string_literal] = STATE(2527),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2537),
    [sym_identifier] = ACTIONS(4122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_RPAREN] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4140),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym___extension__] = ACTIONS(4122),
    [anon_sym_virtual] = ACTIONS(4122),
    [anon_sym_extern] = ACTIONS(4122),
    [anon_sym___attribute__] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4122),
    [anon_sym___based] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_signed] = ACTIONS(4150),
    [anon_sym_unsigned] = ACTIONS(4150),
    [anon_sym_long] = ACTIONS(4150),
    [anon_sym_short] = ACTIONS(4150),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_static] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4122),
    [anon_sym_register] = ACTIONS(4122),
    [anon_sym_inline] = ACTIONS(4122),
    [anon_sym___inline] = ACTIONS(4122),
    [anon_sym___inline__] = ACTIONS(4122),
    [anon_sym___forceinline] = ACTIONS(4122),
    [anon_sym_thread_local] = ACTIONS(4122),
    [anon_sym___thread] = ACTIONS(4122),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4122),
    [anon_sym_volatile] = ACTIONS(4122),
    [anon_sym_restrict] = ACTIONS(4122),
    [anon_sym___restrict__] = ACTIONS(4122),
    [anon_sym__Atomic] = ACTIONS(4122),
    [anon_sym__Noreturn] = ACTIONS(4122),
    [anon_sym_noreturn] = ACTIONS(4122),
    [anon_sym__Nonnull] = ACTIONS(4122),
    [anon_sym_mutable] = ACTIONS(4122),
    [anon_sym_constinit] = ACTIONS(4122),
    [anon_sym_consteval] = ACTIONS(4122),
    [anon_sym_PROGMEM] = ACTIONS(4122),
    [anon_sym_alignas] = ACTIONS(4122),
    [anon_sym__Alignas] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4156),
    [anon_sym_or_eq] = ACTIONS(4156),
    [anon_sym_xor_eq] = ACTIONS(4156),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4132),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4132),
    [anon_sym_not_eq] = ACTIONS(4132),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4122),
    [anon_sym_decltype] = ACTIONS(4122),
    [anon_sym_template] = ACTIONS(4122),
    [anon_sym_operator] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [949] = {
    [sym_compound_statement] = STATE(6875),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4254),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6875),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_RPAREN] = ACTIONS(4424),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [950] = {
    [sym_compound_statement] = STATE(6972),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4205),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6972),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_RPAREN] = ACTIONS(4426),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [951] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4334),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7993),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4428),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [952] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3286),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym__unary_left_fold] = STATE(8097),
    [sym__unary_right_fold] = STATE(8095),
    [sym__binary_fold] = STATE(8094),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [953] = {
    [sym_compound_statement] = STATE(6767),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4233),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6767),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_RPAREN] = ACTIONS(4430),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [954] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4312),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7943),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7943),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4432),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [955] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3219),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym__unary_left_fold] = STATE(7691),
    [sym__unary_right_fold] = STATE(7689),
    [sym__binary_fold] = STATE(7686),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [956] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3232),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym__unary_left_fold] = STATE(7583),
    [sym__unary_right_fold] = STATE(7588),
    [sym__binary_fold] = STATE(7590),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [957] = {
    [sym_compound_statement] = STATE(6884),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4213),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(6884),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_RPAREN] = ACTIONS(4434),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [958] = {
    [sym_compound_statement] = STATE(8152),
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3252),
    [sym__string] = STATE(2879),
    [sym_comma_expression] = STATE(8152),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [959] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4440),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [960] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4255),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [961] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2869),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [962] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4452),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [963] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7630),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4454),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [964] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7630),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4457),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [965] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7630),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4460),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [966] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2720),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [967] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4465),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [968] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4467),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [969] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2722),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [970] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4251),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_initializer_list] = STATE(6788),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [971] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4471),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [972] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3556),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [973] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4473),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [974] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4431),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [975] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4255),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [976] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [977] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7630),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [978] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(4444),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [979] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4480),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [980] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3190),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [981] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7630),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [982] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3215),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [983] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4487),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [984] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4489),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [985] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4446),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [986] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4491),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [987] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4493),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [988] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4495),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [989] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4152),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [990] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4497),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [991] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4253),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [992] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4347),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [993] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_initializer_list] = STATE(6893),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4499),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [994] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7630),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [995] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4504),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [996] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4506),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [997] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4508),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [998] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3110),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [999] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3204),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1000] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3194),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1001] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4512),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1002] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4026),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1003] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4008),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1004] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3028),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1005] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3086),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1006] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_initializer_list] = STATE(6939),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4520),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1007] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4522),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1008] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2842),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1009] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4524),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1010] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4526),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1011] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4150),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1012] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4528),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1013] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3520),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1014] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4424),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1015] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3082),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1016] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4444),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1017] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4530),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1018] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7630),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1019] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7630),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4535),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1020] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4538),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1021] = {
    [sym_compound_statement] = STATE(7421),
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7421),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1022] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4375),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1023] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4542),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1024] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7630),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4544),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1025] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4379),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1026] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4234),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4448),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4448),
    [anon_sym_AMP_AMP] = ACTIONS(4448),
    [anon_sym_AMP] = ACTIONS(4450),
    [anon_sym_LT] = ACTIONS(4448),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1027] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7630),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4547),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1028] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7630),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4550),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1029] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_lambda_default_capture] = STATE(7207),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(4438),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4553),
    [anon_sym_EQ] = ACTIONS(4442),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1030] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2342),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_initializer_list] = STATE(2496),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1031] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4392),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7857),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(4561),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1032] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7352),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1033] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2342),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_initializer_list] = STATE(2496),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1034] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3240),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_initializer_list] = STATE(3627),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1035] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3772),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_initializer_list] = STATE(3859),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1036] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4389),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8241),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(4569),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1037] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4217),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_initializer_list] = STATE(3851),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1038] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4336),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7923),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(4571),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1039] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4383),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_initializer_list] = STATE(3851),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1040] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4374),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_initializer_list] = STATE(4615),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(3588),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1041] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4131),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(3851),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1042] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3772),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_initializer_list] = STATE(3859),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1043] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4394),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7739),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(4573),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1044] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4330),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7604),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_RPAREN] = ACTIONS(4575),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1045] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4326),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7619),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_RPAREN] = ACTIONS(4577),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1046] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4445),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8205),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(4579),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1047] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7630),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1048] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3772),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(3859),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1049] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4333),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7894),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(4581),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1050] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4204),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7352),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1051] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7858),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_RPAREN] = ACTIONS(4583),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1052] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_COMMA] = ACTIONS(4585),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4585),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1053] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3597),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_initializer_list] = STATE(3750),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1054] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4458),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(8026),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1055] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4408),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8015),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_RPAREN] = ACTIONS(4587),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1056] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_initializer_list] = STATE(7292),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1057] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4323),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7861),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_RPAREN] = ACTIONS(4589),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1058] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7863),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1059] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4443),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7868),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_RPAREN] = ACTIONS(4591),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1060] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4290),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7557),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(4593),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1061] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4309),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7402),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1062] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4193),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_initializer_list] = STATE(6737),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1063] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7498),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(4595),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1064] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3208),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_initializer_list] = STATE(2496),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1065] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8010),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(4599),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1066] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4302),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_initializer_list] = STATE(7347),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1067] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_initializer_list] = STATE(3859),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1068] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3772),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_initializer_list] = STATE(3859),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1069] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2342),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_initializer_list] = STATE(2496),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1070] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4000),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_initializer_list] = STATE(3851),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1071] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4335),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_initializer_list] = STATE(3851),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1072] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3106),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_initializer_list] = STATE(3357),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1073] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4248),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(6732),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4603),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1074] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4397),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_initializer_list] = STATE(4683),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(3588),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1075] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3568),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_initializer_list] = STATE(3786),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1076] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4426),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7531),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(4606),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1077] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4355),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7677),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(4608),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1078] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4296),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(7709),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(4610),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1079] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(4612),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1080] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4592),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4614),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1081] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4616),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1082] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4507),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4618),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1083] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3162),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4620),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1084] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3161),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4623),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1085] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3167),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4626),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1086] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3581),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1087] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3161),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4632),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1088] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3582),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4635),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1089] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3158),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4638),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1090] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4542),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4641),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1091] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3157),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4643),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1092] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3157),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4646),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1093] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4649),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1094] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3583),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4623),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1095] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3157),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1096] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3151),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4654),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1097] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4324),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(6732),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1098] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3584),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4657),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1099] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3576),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4660),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1100] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3151),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4663),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1101] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3576),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4666),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1102] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3578),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1103] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3167),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4672),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1104] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4516),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4675),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1105] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3165),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4677),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1106] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4680),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1107] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4682),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1108] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3580),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4677),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1109] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3287),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4684),
    [anon_sym_LPAREN2] = ACTIONS(4686),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1110] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3578),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4688),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1111] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3578),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4691),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1112] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4593),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_RPAREN] = ACTIONS(4694),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1113] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3165),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4696),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1114] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3578),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4699),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1115] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4555),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4702),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1116] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2358),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4684),
    [anon_sym_LPAREN2] = ACTIONS(4704),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1117] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4548),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4706),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1118] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4547),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4708),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1119] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4465),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4710),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1120] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3579),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4672),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1121] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4248),
    [sym__string] = STATE(4082),
    [sym_comma_expression] = STATE(6732),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1122] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4712),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1123] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3579),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4714),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1124] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4602),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4717),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1125] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4226),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym_SEMI] = ACTIONS(4719),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(4721),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1126] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4573),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4723),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1127] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3580),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4696),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1128] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4226),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym_SEMI] = ACTIONS(4725),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(4721),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1129] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4727),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1130] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4729),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1131] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3581),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4731),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1132] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3582),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4620),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1133] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3163),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4731),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1134] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4734),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1135] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2358),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4684),
    [anon_sym_LPAREN2] = ACTIONS(4736),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1136] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3583),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4632),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1137] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3167),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4714),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1138] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4738),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1139] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4740),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1140] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3784),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4742),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1141] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3168),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4699),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1142] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3163),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1143] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4746),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1144] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4748),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1145] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4750),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1146] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3584),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4638),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1147] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3168),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4691),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1148] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3585),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4643),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1149] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3168),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4688),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1150] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4483),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4752),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1151] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4754),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1152] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4301),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4756),
    [anon_sym_LPAREN2] = ACTIONS(4758),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1153] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4524),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4760),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1154] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4762),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1155] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3168),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1156] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3322),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4764),
    [anon_sym_LPAREN2] = ACTIONS(4766),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1157] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4768),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1158] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4486),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4770),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1159] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3585),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4646),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1160] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4401),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4742),
    [anon_sym_LPAREN2] = ACTIONS(4772),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1161] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3784),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4742),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1162] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3585),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1163] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3586),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4654),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1164] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4776),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1165] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3170),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4666),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1166] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3586),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4663),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1167] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3024),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4778),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1168] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3170),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4660),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1169] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4782),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1170] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4784),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1171] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4786),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1172] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4536),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4788),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1173] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3158),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4657),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1174] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2358),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4684),
    [anon_sym_LPAREN2] = ACTIONS(4790),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1175] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4226),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym_SEMI] = ACTIONS(4792),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(4721),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1176] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3784),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4742),
    [anon_sym_LPAREN2] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1177] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3784),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4742),
    [anon_sym_LPAREN2] = ACTIONS(4796),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1178] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3645),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4798),
    [anon_sym_LPAREN2] = ACTIONS(4800),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1179] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4602),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4802),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1180] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4464),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4804),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1181] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3579),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4626),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1182] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3162),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4635),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1183] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4806),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1184] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4462),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(4808),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1185] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(4810),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1186] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4812),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1187] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4484),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1188] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4276),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1189] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3821),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1190] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4599),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1191] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4405),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1192] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4184),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1193] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4407),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1194] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4597),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1195] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3316),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(4814),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1196] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4308),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1197] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4574),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1198] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4294),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1199] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4139),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1200] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3315),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1201] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3121),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1202] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4604),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1203] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3264),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(4818),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1204] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1205] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2706),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1206] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2703),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(4820),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1207] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4310),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1208] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2371),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1209] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2716),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1210] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4328),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(4824),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1211] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3745),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1212] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3259),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1213] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3295),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1214] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2326),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1215] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3299),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1216] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3301),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1217] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3303),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1218] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3324),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1219] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3321),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1220] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3319),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1221] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3227),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1222] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3311),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1223] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3317),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1224] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1225] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3283),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1226] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2357),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1227] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4506),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1228] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4527),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1229] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3745),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1230] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4297),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1231] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2721),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1232] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3038),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1233] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4242),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1234] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4569),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1235] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4311),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1236] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4316),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1237] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3117),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1238] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4200),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1239] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4300),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1240] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3745),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1241] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3745),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(4828),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1242] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3821),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1243] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4514),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1244] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4589),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1245] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2728),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1246] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4366),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(4830),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1247] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4451),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1248] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1249] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1250] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3742),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1251] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4591),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1252] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4322),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1253] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4494),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1254] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3268),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1255] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3019),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1256] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4533),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1257] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1258] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4474),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1259] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3739),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1260] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1261] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3288),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1262] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4241),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1263] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2347),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1264] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3641),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(4832),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1265] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3739),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1266] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4243),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1267] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4607),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1268] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3004),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1269] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4245),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1270] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3006),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1271] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4132),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1272] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4247),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1273] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4423),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1274] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4250),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1275] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4343),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1276] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4609),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1277] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3030),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1278] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1279] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4155),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1280] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4307),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1281] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3036),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1282] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4611),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1283] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4559),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1284] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3175),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1285] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3272),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1286] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4337),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1287] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3043),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1288] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2326),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1289] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3514),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1290] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3267),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1291] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4610),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1292] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3147),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(4834),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1293] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4472),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1294] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1295] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3239),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1296] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4504),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1297] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3238),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1298] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4138),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1299] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4602),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1300] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4231),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1301] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3231),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1302] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3821),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1303] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3229),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1304] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2863),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(4836),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1305] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3226),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1306] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3039),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1307] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4515),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1308] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2357),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1309] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4612),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1310] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2371),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1311] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4411),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1312] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3640),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1313] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3042),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1314] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1315] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2717),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1316] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4021),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1317] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4295),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1318] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3224),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1319] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4252),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1320] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1321] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3214),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1322] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3096),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1323] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4540),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1324] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3277),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1325] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4428),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1326] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3213),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1327] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3280),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(4838),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1328] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3279),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1329] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3745),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1330] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3290),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(4840),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1331] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3211),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1332] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2708),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1333] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2316),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1334] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2718),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1335] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3147),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1336] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4600),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1337] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3575),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1338] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2715),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1339] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4173),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1340] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4219),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1341] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3203),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1342] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1343] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4266),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1344] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3271),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1345] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3646),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1346] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4557),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1347] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4382),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1348] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4329),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1349] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4406),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1350] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4356),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1351] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4543),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1352] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4186),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1353] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4270),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1354] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3291),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1355] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4437),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1356] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4584),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1357] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4160),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1358] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4275),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1359] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1360] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4583),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1361] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4581),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1362] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4381),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1363] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3048),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1364] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1365] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2712),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1366] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2885),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(4844),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1367] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2709),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1368] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4556),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1369] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1370] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2357),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1371] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3193),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1372] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4571),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1373] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4534),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1374] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2707),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1375] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3651),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1376] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2326),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(4846),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1377] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2326),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1378] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4001),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1379] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3323),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1380] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4017),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1381] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4388),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1382] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3053),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(4848),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1383] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4020),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1384] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2347),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1385] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4009),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(4850),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1386] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3742),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1387] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(4852),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1388] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4182),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1389] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3060),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1390] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2714),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1391] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4022),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1392] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4303),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1393] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4028),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1394] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4030),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1395] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2849),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1396] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4031),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1397] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4033),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1398] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4039),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1399] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4023),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1400] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4015),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1401] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3739),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1402] = {
    [sym_primitive_type] = STATE(6459),
    [sym_expression] = STATE(3302),
    [sym__string] = STATE(3395),
    [sym_conditional_expression] = STATE(3559),
    [sym_assignment_expression] = STATE(3559),
    [sym_pointer_expression] = STATE(3566),
    [sym_unary_expression] = STATE(3559),
    [sym_binary_expression] = STATE(3559),
    [sym_update_expression] = STATE(3559),
    [sym_cast_expression] = STATE(3559),
    [sym_sizeof_expression] = STATE(3559),
    [sym_alignof_expression] = STATE(3559),
    [sym_offsetof_expression] = STATE(3559),
    [sym_generic_expression] = STATE(3559),
    [sym_subscript_expression] = STATE(3566),
    [sym_call_expression] = STATE(3566),
    [sym_gnu_asm_expression] = STATE(3559),
    [sym_extension_expression] = STATE(3559),
    [sym_field_expression] = STATE(3566),
    [sym_compound_literal_expression] = STATE(3559),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_number_literal] = STATE(3395),
    [sym_char_literal] = STATE(3395),
    [sym_concatenated_string] = STATE(3395),
    [sym_string_literal] = STATE(2292),
    [sym_null] = STATE(3559),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7162),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3559),
    [sym_raw_string_literal] = STATE(2292),
    [sym_co_await_expression] = STATE(3559),
    [sym_new_expression] = STATE(3559),
    [sym_delete_expression] = STATE(3559),
    [sym_requires_clause] = STATE(3559),
    [sym_requires_expression] = STATE(3559),
    [sym_lambda_expression] = STATE(3559),
    [sym_lambda_capture_specifier] = STATE(5655),
    [sym_fold_expression] = STATE(3559),
    [sym_parameter_pack_expansion] = STATE(3559),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3566),
    [sym_qualified_type_identifier] = STATE(7162),
    [sym_user_defined_literal] = STATE(3566),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4567),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4482),
    [anon_sym_PLUS_PLUS] = ACTIONS(4482),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2462),
    [anon_sym___alignof] = ACTIONS(2462),
    [anon_sym__alignof] = ACTIONS(2462),
    [anon_sym_alignof] = ACTIONS(2462),
    [anon_sym__Alignof] = ACTIONS(2462),
    [anon_sym_offsetof] = ACTIONS(2464),
    [anon_sym__Generic] = ACTIONS(2466),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [anon_sym___asm] = ACTIONS(2468),
    [aux_sym_number_literal_token1] = ACTIONS(2470),
    [aux_sym_number_literal_token2] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1403] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4003),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1404] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4041),
    [sym__string] = STATE(4056),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(2834),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(2834),
    [sym_call_expression] = STATE(2834),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(2834),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(2834),
    [sym_number_literal] = STATE(4056),
    [sym_char_literal] = STATE(4056),
    [sym_concatenated_string] = STATE(4056),
    [sym_string_literal] = STATE(2961),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(2961),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2834),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(2834),
    [sym_identifier] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3342),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3344),
    [aux_sym_number_literal_token2] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3348),
    [anon_sym_u_SQUOTE] = ACTIONS(3348),
    [anon_sym_U_SQUOTE] = ACTIONS(3348),
    [anon_sym_u8_SQUOTE] = ACTIONS(3348),
    [anon_sym_SQUOTE] = ACTIONS(3348),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_requires] = ACTIONS(3360),
    [sym_this] = ACTIONS(219),
  },
  [1405] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4399),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1406] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2719),
    [sym__string] = STATE(2729),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2729),
    [sym_char_literal] = STATE(2729),
    [sym_concatenated_string] = STATE(2729),
    [sym_string_literal] = STATE(2054),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2054),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_AMP] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1917),
    [anon_sym_compl] = ACTIONS(1917),
    [anon_sym_DASH_DASH] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4463),
    [anon_sym_sizeof] = ACTIONS(1927),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1937),
    [aux_sym_number_literal_token2] = ACTIONS(1939),
    [anon_sym_L_SQUOTE] = ACTIONS(1941),
    [anon_sym_u_SQUOTE] = ACTIONS(1941),
    [anon_sym_U_SQUOTE] = ACTIONS(1941),
    [anon_sym_u8_SQUOTE] = ACTIONS(1941),
    [anon_sym_SQUOTE] = ACTIONS(1941),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1951),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [anon_sym_co_await] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1407] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1408] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4439),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1409] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4517),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1410] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3619),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1411] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3087),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1412] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3576),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1413] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4133),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1414] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3578),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1415] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2888),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1416] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3300),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(2496),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(4510),
    [anon_sym_PLUS_PLUS] = ACTIONS(4510),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1417] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3017),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(4856),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1418] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3739),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1419] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4314),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1420] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4396),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1421] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4508),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1422] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3742),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1423] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4156),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1424] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3579),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1425] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3580),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1426] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4513),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1427] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3083),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1428] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1429] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4331),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(4860),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1430] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4148),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1431] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3532),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1432] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4338),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1433] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4145),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1434] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4340),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1435] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3581),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1436] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4143),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1437] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4342),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1438] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4142),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1439] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3821),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1440] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4348),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1441] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4349),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1442] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4137),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1443] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1444] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3066),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1445] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3170),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1446] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3061),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1447] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1448] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1449] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3582),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1450] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2371),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1451] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3013),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(4864),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1452] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4350),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1453] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(3742),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1454] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4353),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1455] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4226),
    [sym__string] = STATE(4432),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3356),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3356),
    [sym_call_expression] = STATE(3356),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3356),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3356),
    [sym_number_literal] = STATE(4432),
    [sym_char_literal] = STATE(4432),
    [sym_concatenated_string] = STATE(4432),
    [sym_string_literal] = STATE(3533),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3533),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3356),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3356),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_LPAREN2] = ACTIONS(4400),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(3504),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(4721),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(4406),
    [anon_sym_PLUS_PLUS] = ACTIONS(4406),
    [anon_sym_sizeof] = ACTIONS(3508),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(3510),
    [aux_sym_number_literal_token2] = ACTIONS(3512),
    [anon_sym_L_SQUOTE] = ACTIONS(3514),
    [anon_sym_u_SQUOTE] = ACTIONS(3514),
    [anon_sym_U_SQUOTE] = ACTIONS(3514),
    [anon_sym_u8_SQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_L_DQUOTE] = ACTIONS(3516),
    [anon_sym_u_DQUOTE] = ACTIONS(3516),
    [anon_sym_U_DQUOTE] = ACTIONS(3516),
    [anon_sym_u8_DQUOTE] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_R_DQUOTE] = ACTIONS(3520),
    [anon_sym_LR_DQUOTE] = ACTIONS(3520),
    [anon_sym_uR_DQUOTE] = ACTIONS(3520),
    [anon_sym_UR_DQUOTE] = ACTIONS(3520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3520),
    [anon_sym_co_await] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1456] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4395),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1457] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3151),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1458] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4478),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1459] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4400),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1460] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4603),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1461] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2882),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1462] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3157),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1463] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4354),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1464] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4358),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1465] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4367),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1466] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1467] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3033),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1468] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3169),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1469] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2839),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1470] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4369),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1471] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2835),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1472] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4377),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1473] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4425),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1474] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4373),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1475] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4371),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1476] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4613),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1477] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4289),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1478] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4368),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1479] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2831),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1480] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3158),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1481] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4365),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1482] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4364),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1483] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4360),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1484] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2823),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1485] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2821),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1486] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4359),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1487] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4136),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1488] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2819),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1489] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4140),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4868),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1490] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4378),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1491] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2816),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1492] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2870),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1493] = {
    [sym_primitive_type] = STATE(6467),
    [sym_expression] = STATE(4304),
    [sym__string] = STATE(4538),
    [sym_conditional_expression] = STATE(4645),
    [sym_assignment_expression] = STATE(4645),
    [sym_pointer_expression] = STATE(3548),
    [sym_unary_expression] = STATE(4645),
    [sym_binary_expression] = STATE(4645),
    [sym_update_expression] = STATE(4645),
    [sym_cast_expression] = STATE(4645),
    [sym_sizeof_expression] = STATE(4645),
    [sym_alignof_expression] = STATE(4645),
    [sym_offsetof_expression] = STATE(4645),
    [sym_generic_expression] = STATE(4645),
    [sym_subscript_expression] = STATE(3548),
    [sym_call_expression] = STATE(3548),
    [sym_gnu_asm_expression] = STATE(4645),
    [sym_extension_expression] = STATE(4645),
    [sym_field_expression] = STATE(3548),
    [sym_compound_literal_expression] = STATE(4645),
    [sym_parenthesized_expression] = STATE(3548),
    [sym_number_literal] = STATE(4538),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4538),
    [sym_string_literal] = STATE(3682),
    [sym_null] = STATE(4645),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7403),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4645),
    [sym_raw_string_literal] = STATE(3682),
    [sym_co_await_expression] = STATE(4645),
    [sym_new_expression] = STATE(4645),
    [sym_delete_expression] = STATE(4645),
    [sym_requires_clause] = STATE(4645),
    [sym_requires_expression] = STATE(4645),
    [sym_lambda_expression] = STATE(4645),
    [sym_lambda_capture_specifier] = STATE(5643),
    [sym_fold_expression] = STATE(4645),
    [sym_parameter_pack_expansion] = STATE(4645),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5421),
    [sym_qualified_identifier] = STATE(3548),
    [sym_qualified_type_identifier] = STATE(7403),
    [sym_user_defined_literal] = STATE(3548),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(3586),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_sizeof] = ACTIONS(2598),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2602),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2606),
    [anon_sym___asm__] = ACTIONS(2606),
    [anon_sym___asm] = ACTIONS(2606),
    [aux_sym_number_literal_token1] = ACTIONS(2608),
    [aux_sym_number_literal_token2] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2612),
    [anon_sym_u_SQUOTE] = ACTIONS(2612),
    [anon_sym_U_SQUOTE] = ACTIONS(2612),
    [anon_sym_u8_SQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2616),
  },
  [1494] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2871),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1495] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2347),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1496] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3161),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1497] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(2859),
    [sym__string] = STATE(2879),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(2879),
    [sym_char_literal] = STATE(2879),
    [sym_concatenated_string] = STATE(2879),
    [sym_string_literal] = STATE(2089),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2089),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_LPAREN2] = ACTIONS(4436),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_compl] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(1985),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(1987),
    [aux_sym_number_literal_token2] = ACTIONS(1989),
    [anon_sym_L_SQUOTE] = ACTIONS(1991),
    [anon_sym_u_SQUOTE] = ACTIONS(1991),
    [anon_sym_U_SQUOTE] = ACTIONS(1991),
    [anon_sym_u8_SQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [anon_sym_L_DQUOTE] = ACTIONS(1993),
    [anon_sym_u_DQUOTE] = ACTIONS(1993),
    [anon_sym_U_DQUOTE] = ACTIONS(1993),
    [anon_sym_u8_DQUOTE] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1995),
    [anon_sym_R_DQUOTE] = ACTIONS(1997),
    [anon_sym_LR_DQUOTE] = ACTIONS(1997),
    [anon_sym_uR_DQUOTE] = ACTIONS(1997),
    [anon_sym_UR_DQUOTE] = ACTIONS(1997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1997),
    [anon_sym_co_await] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1498] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4471),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1499] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3162),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1500] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3163),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1501] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4490),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1502] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3583),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1503] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4461),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1504] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4456),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1505] = {
    [sym_primitive_type] = STATE(6509),
    [sym_expression] = STATE(3021),
    [sym__string] = STATE(3217),
    [sym_conditional_expression] = STATE(2407),
    [sym_assignment_expression] = STATE(2407),
    [sym_pointer_expression] = STATE(2416),
    [sym_unary_expression] = STATE(2407),
    [sym_binary_expression] = STATE(2407),
    [sym_update_expression] = STATE(2407),
    [sym_cast_expression] = STATE(2407),
    [sym_sizeof_expression] = STATE(2407),
    [sym_alignof_expression] = STATE(2407),
    [sym_offsetof_expression] = STATE(2407),
    [sym_generic_expression] = STATE(2407),
    [sym_subscript_expression] = STATE(2416),
    [sym_call_expression] = STATE(2416),
    [sym_gnu_asm_expression] = STATE(2407),
    [sym_extension_expression] = STATE(2407),
    [sym_field_expression] = STATE(2416),
    [sym_compound_literal_expression] = STATE(2407),
    [sym_parenthesized_expression] = STATE(2416),
    [sym_number_literal] = STATE(3217),
    [sym_char_literal] = STATE(3217),
    [sym_concatenated_string] = STATE(3217),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2407),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7310),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2407),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2407),
    [sym_new_expression] = STATE(2407),
    [sym_delete_expression] = STATE(2407),
    [sym_requires_clause] = STATE(2407),
    [sym_requires_expression] = STATE(2407),
    [sym_lambda_expression] = STATE(2407),
    [sym_lambda_capture_specifier] = STATE(5645),
    [sym_fold_expression] = STATE(2407),
    [sym_parameter_pack_expansion] = STATE(2407),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(2416),
    [sym_qualified_type_identifier] = STATE(7310),
    [sym_user_defined_literal] = STATE(2416),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_LPAREN2] = ACTIONS(4555),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2283),
    [anon_sym_STAR] = ACTIONS(4402),
    [anon_sym_AMP] = ACTIONS(4402),
    [anon_sym___extension__] = ACTIONS(2287),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(2283),
    [anon_sym_compl] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(4518),
    [anon_sym_PLUS_PLUS] = ACTIONS(4518),
    [anon_sym_sizeof] = ACTIONS(2291),
    [anon_sym___alignof__] = ACTIONS(1929),
    [anon_sym___alignof] = ACTIONS(1929),
    [anon_sym__alignof] = ACTIONS(1929),
    [anon_sym_alignof] = ACTIONS(1929),
    [anon_sym__Alignof] = ACTIONS(1929),
    [anon_sym_offsetof] = ACTIONS(1931),
    [anon_sym__Generic] = ACTIONS(1933),
    [anon_sym_asm] = ACTIONS(1935),
    [anon_sym___asm__] = ACTIONS(1935),
    [anon_sym___asm] = ACTIONS(1935),
    [aux_sym_number_literal_token1] = ACTIONS(2293),
    [aux_sym_number_literal_token2] = ACTIONS(2295),
    [anon_sym_L_SQUOTE] = ACTIONS(2297),
    [anon_sym_u_SQUOTE] = ACTIONS(2297),
    [anon_sym_U_SQUOTE] = ACTIONS(2297),
    [anon_sym_u8_SQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_L_DQUOTE] = ACTIONS(2299),
    [anon_sym_u_DQUOTE] = ACTIONS(2299),
    [anon_sym_U_DQUOTE] = ACTIONS(2299),
    [anon_sym_u8_DQUOTE] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_NULL] = ACTIONS(1947),
    [anon_sym_nullptr] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2303),
    [anon_sym_LR_DQUOTE] = ACTIONS(2303),
    [anon_sym_uR_DQUOTE] = ACTIONS(2303),
    [anon_sym_UR_DQUOTE] = ACTIONS(2303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2303),
    [anon_sym_co_await] = ACTIONS(2305),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_requires] = ACTIONS(1959),
    [sym_this] = ACTIONS(1945),
  },
  [1506] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4259),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1507] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3165),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1508] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4386),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3540),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3540),
    [sym_call_expression] = STATE(3540),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3540),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3540),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3540),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3540),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_STAR] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3684),
    [anon_sym_compl] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_sizeof] = ACTIONS(3692),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1509] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4211),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1510] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4433),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1511] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4128),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1512] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3167),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1513] = {
    [sym_primitive_type] = STATE(6515),
    [sym_expression] = STATE(3168),
    [sym__string] = STATE(3187),
    [sym_conditional_expression] = STATE(3394),
    [sym_assignment_expression] = STATE(3394),
    [sym_pointer_expression] = STATE(3509),
    [sym_unary_expression] = STATE(3394),
    [sym_binary_expression] = STATE(3394),
    [sym_update_expression] = STATE(3394),
    [sym_cast_expression] = STATE(3394),
    [sym_sizeof_expression] = STATE(3394),
    [sym_alignof_expression] = STATE(3394),
    [sym_offsetof_expression] = STATE(3394),
    [sym_generic_expression] = STATE(3394),
    [sym_subscript_expression] = STATE(3509),
    [sym_call_expression] = STATE(3509),
    [sym_gnu_asm_expression] = STATE(3394),
    [sym_extension_expression] = STATE(3394),
    [sym_field_expression] = STATE(3509),
    [sym_compound_literal_expression] = STATE(3394),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_number_literal] = STATE(3187),
    [sym_char_literal] = STATE(3187),
    [sym_concatenated_string] = STATE(3187),
    [sym_string_literal] = STATE(2235),
    [sym_null] = STATE(3394),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7175),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3394),
    [sym_raw_string_literal] = STATE(2235),
    [sym_co_await_expression] = STATE(3394),
    [sym_new_expression] = STATE(3394),
    [sym_delete_expression] = STATE(3394),
    [sym_requires_clause] = STATE(3394),
    [sym_requires_expression] = STATE(3394),
    [sym_lambda_expression] = STATE(3394),
    [sym_lambda_capture_specifier] = STATE(5647),
    [sym_fold_expression] = STATE(3394),
    [sym_parameter_pack_expansion] = STATE(3394),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3509),
    [sym_qualified_type_identifier] = STATE(7175),
    [sym_user_defined_literal] = STATE(3509),
    [sym_identifier] = ACTIONS(2215),
    [anon_sym_LPAREN2] = ACTIONS(1963),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1773),
    [anon_sym_compl] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_sizeof] = ACTIONS(1801),
    [anon_sym___alignof__] = ACTIONS(1803),
    [anon_sym___alignof] = ACTIONS(1803),
    [anon_sym__alignof] = ACTIONS(1803),
    [anon_sym_alignof] = ACTIONS(1803),
    [anon_sym__Alignof] = ACTIONS(1803),
    [anon_sym_offsetof] = ACTIONS(1805),
    [anon_sym__Generic] = ACTIONS(1807),
    [anon_sym_asm] = ACTIONS(1809),
    [anon_sym___asm__] = ACTIONS(1809),
    [anon_sym___asm] = ACTIONS(1809),
    [aux_sym_number_literal_token1] = ACTIONS(1811),
    [aux_sym_number_literal_token2] = ACTIONS(1813),
    [anon_sym_L_SQUOTE] = ACTIONS(1815),
    [anon_sym_u_SQUOTE] = ACTIONS(1815),
    [anon_sym_U_SQUOTE] = ACTIONS(1815),
    [anon_sym_u8_SQUOTE] = ACTIONS(1815),
    [anon_sym_SQUOTE] = ACTIONS(1815),
    [anon_sym_L_DQUOTE] = ACTIONS(1817),
    [anon_sym_u_DQUOTE] = ACTIONS(1817),
    [anon_sym_U_DQUOTE] = ACTIONS(1817),
    [anon_sym_u8_DQUOTE] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(1817),
    [sym_true] = ACTIONS(1819),
    [sym_false] = ACTIONS(1819),
    [anon_sym_NULL] = ACTIONS(1821),
    [anon_sym_nullptr] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_R_DQUOTE] = ACTIONS(1833),
    [anon_sym_LR_DQUOTE] = ACTIONS(1833),
    [anon_sym_uR_DQUOTE] = ACTIONS(1833),
    [anon_sym_UR_DQUOTE] = ACTIONS(1833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1833),
    [anon_sym_co_await] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_requires] = ACTIONS(1839),
    [sym_this] = ACTIONS(1819),
  },
  [1514] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3650),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1515] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3586),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1516] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3585),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1517] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4608),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3199),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3199),
    [sym_call_expression] = STATE(3199),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3199),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3199),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3199),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3199),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_LPAREN2] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(137),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(155),
    [anon_sym_new] = ACTIONS(157),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1518] = {
    [sym_primitive_type] = STATE(6487),
    [sym_expression] = STATE(4346),
    [sym__string] = STATE(4082),
    [sym_conditional_expression] = STATE(3827),
    [sym_assignment_expression] = STATE(3827),
    [sym_pointer_expression] = STATE(3538),
    [sym_unary_expression] = STATE(3827),
    [sym_binary_expression] = STATE(3827),
    [sym_update_expression] = STATE(3827),
    [sym_cast_expression] = STATE(3827),
    [sym_sizeof_expression] = STATE(3827),
    [sym_alignof_expression] = STATE(3827),
    [sym_offsetof_expression] = STATE(3827),
    [sym_generic_expression] = STATE(3827),
    [sym_subscript_expression] = STATE(3538),
    [sym_call_expression] = STATE(3538),
    [sym_gnu_asm_expression] = STATE(3827),
    [sym_extension_expression] = STATE(3827),
    [sym_field_expression] = STATE(3538),
    [sym_compound_literal_expression] = STATE(3827),
    [sym_parenthesized_expression] = STATE(3538),
    [sym_number_literal] = STATE(4082),
    [sym_char_literal] = STATE(4082),
    [sym_concatenated_string] = STATE(4082),
    [sym_string_literal] = STATE(3142),
    [sym_null] = STATE(3827),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7159),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3827),
    [sym_raw_string_literal] = STATE(3142),
    [sym_co_await_expression] = STATE(3827),
    [sym_new_expression] = STATE(3827),
    [sym_delete_expression] = STATE(3827),
    [sym_requires_clause] = STATE(3827),
    [sym_requires_expression] = STATE(3827),
    [sym_lambda_expression] = STATE(3827),
    [sym_lambda_capture_specifier] = STATE(5607),
    [sym_fold_expression] = STATE(3827),
    [sym_parameter_pack_expansion] = STATE(3827),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5467),
    [sym_qualified_identifier] = STATE(3538),
    [sym_qualified_type_identifier] = STATE(7159),
    [sym_user_defined_literal] = STATE(3538),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_BANG] = ACTIONS(3704),
    [anon_sym_TILDE] = ACTIONS(3704),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_COLON_COLON] = ACTIONS(3708),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(3702),
    [anon_sym_compl] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3780),
    [anon_sym_PLUS_PLUS] = ACTIONS(3780),
    [anon_sym_sizeof] = ACTIONS(3710),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [aux_sym_number_literal_token1] = ACTIONS(111),
    [aux_sym_number_literal_token2] = ACTIONS(113),
    [anon_sym_L_SQUOTE] = ACTIONS(115),
    [anon_sym_u_SQUOTE] = ACTIONS(115),
    [anon_sym_U_SQUOTE] = ACTIONS(115),
    [anon_sym_u8_SQUOTE] = ACTIONS(115),
    [anon_sym_SQUOTE] = ACTIONS(115),
    [anon_sym_L_DQUOTE] = ACTIONS(117),
    [anon_sym_u_DQUOTE] = ACTIONS(117),
    [anon_sym_U_DQUOTE] = ACTIONS(117),
    [anon_sym_u8_DQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(121),
    [anon_sym_nullptr] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(3712),
    [anon_sym_R_DQUOTE] = ACTIONS(153),
    [anon_sym_LR_DQUOTE] = ACTIONS(153),
    [anon_sym_uR_DQUOTE] = ACTIONS(153),
    [anon_sym_UR_DQUOTE] = ACTIONS(153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(153),
    [anon_sym_co_await] = ACTIONS(3714),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_requires] = ACTIONS(159),
    [sym_this] = ACTIONS(219),
  },
  [1519] = {
    [sym_primitive_type] = STATE(6477),
    [sym_expression] = STATE(3584),
    [sym__string] = STATE(3663),
    [sym_conditional_expression] = STATE(3816),
    [sym_assignment_expression] = STATE(3816),
    [sym_pointer_expression] = STATE(3458),
    [sym_unary_expression] = STATE(3816),
    [sym_binary_expression] = STATE(3816),
    [sym_update_expression] = STATE(3816),
    [sym_cast_expression] = STATE(3816),
    [sym_sizeof_expression] = STATE(3816),
    [sym_alignof_expression] = STATE(3816),
    [sym_offsetof_expression] = STATE(3816),
    [sym_generic_expression] = STATE(3816),
    [sym_subscript_expression] = STATE(3458),
    [sym_call_expression] = STATE(3458),
    [sym_gnu_asm_expression] = STATE(3816),
    [sym_extension_expression] = STATE(3816),
    [sym_field_expression] = STATE(3458),
    [sym_compound_literal_expression] = STATE(3816),
    [sym_parenthesized_expression] = STATE(3458),
    [sym_number_literal] = STATE(3663),
    [sym_char_literal] = STATE(3663),
    [sym_concatenated_string] = STATE(3663),
    [sym_string_literal] = STATE(2487),
    [sym_null] = STATE(3816),
    [sym_decltype] = STATE(8169),
    [sym__class_name] = STATE(7234),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3816),
    [sym_raw_string_literal] = STATE(2487),
    [sym_co_await_expression] = STATE(3816),
    [sym_new_expression] = STATE(3816),
    [sym_delete_expression] = STATE(3816),
    [sym_requires_clause] = STATE(3816),
    [sym_requires_expression] = STATE(3816),
    [sym_lambda_expression] = STATE(3816),
    [sym_lambda_capture_specifier] = STATE(5640),
    [sym_fold_expression] = STATE(3816),
    [sym_parameter_pack_expansion] = STATE(3816),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(3458),
    [sym_qualified_type_identifier] = STATE(7234),
    [sym_user_defined_literal] = STATE(3458),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_LPAREN2] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1965),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_not] = ACTIONS(1851),
    [anon_sym_compl] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_sizeof] = ACTIONS(1871),
    [anon_sym___alignof__] = ACTIONS(1873),
    [anon_sym___alignof] = ACTIONS(1873),
    [anon_sym__alignof] = ACTIONS(1873),
    [anon_sym_alignof] = ACTIONS(1873),
    [anon_sym__Alignof] = ACTIONS(1873),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1877),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [anon_sym___asm] = ACTIONS(1879),
    [aux_sym_number_literal_token1] = ACTIONS(1881),
    [aux_sym_number_literal_token2] = ACTIONS(1883),
    [anon_sym_L_SQUOTE] = ACTIONS(1885),
    [anon_sym_u_SQUOTE] = ACTIONS(1885),
    [anon_sym_U_SQUOTE] = ACTIONS(1885),
    [anon_sym_u8_SQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_L_DQUOTE] = ACTIONS(1887),
    [anon_sym_u_DQUOTE] = ACTIONS(1887),
    [anon_sym_U_DQUOTE] = ACTIONS(1887),
    [anon_sym_u8_DQUOTE] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [anon_sym_NULL] = ACTIONS(1891),
    [anon_sym_nullptr] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_R_DQUOTE] = ACTIONS(1897),
    [anon_sym_LR_DQUOTE] = ACTIONS(1897),
    [anon_sym_uR_DQUOTE] = ACTIONS(1897),
    [anon_sym_UR_DQUOTE] = ACTIONS(1897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1897),
    [anon_sym_co_await] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_requires] = ACTIONS(1903),
    [sym_this] = ACTIONS(1889),
  },
  [1520] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_ms_call_modifier] = STATE(5968),
    [sym__abstract_declarator] = STATE(6397),
    [sym_abstract_parenthesized_declarator] = STATE(5817),
    [sym_abstract_pointer_declarator] = STATE(5817),
    [sym_abstract_function_declarator] = STATE(5817),
    [sym_abstract_array_declarator] = STATE(5817),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_list] = STATE(2941),
    [sym_parameter_declaration] = STATE(7089),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(7089),
    [sym_variadic_parameter_declaration] = STATE(7089),
    [sym_abstract_reference_declarator] = STATE(5817),
    [sym__function_declarator_seq] = STATE(5892),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6192),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1907),
    [anon_sym_RPAREN] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1783),
    [anon_sym___clrcall] = ACTIONS(1783),
    [anon_sym___stdcall] = ACTIONS(1783),
    [anon_sym___fastcall] = ACTIONS(1783),
    [anon_sym___thiscall] = ACTIONS(1783),
    [anon_sym___vectorcall] = ACTIONS(1783),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4882),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1521] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(4886),
    [anon_sym_TILDE] = ACTIONS(4886),
    [anon_sym_DASH] = ACTIONS(4884),
    [anon_sym_PLUS] = ACTIONS(4884),
    [anon_sym_STAR] = ACTIONS(4884),
    [anon_sym_SLASH] = ACTIONS(4884),
    [anon_sym_PERCENT] = ACTIONS(4884),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4886),
    [anon_sym_PIPE] = ACTIONS(4884),
    [anon_sym_CARET] = ACTIONS(4884),
    [anon_sym_AMP] = ACTIONS(4884),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4884),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4884),
    [anon_sym_LT] = ACTIONS(4884),
    [anon_sym_LT_LT] = ACTIONS(4884),
    [anon_sym_GT_GT] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4886),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym___cdecl] = ACTIONS(4884),
    [anon_sym___clrcall] = ACTIONS(4884),
    [anon_sym___stdcall] = ACTIONS(4884),
    [anon_sym___fastcall] = ACTIONS(4884),
    [anon_sym___thiscall] = ACTIONS(4884),
    [anon_sym___vectorcall] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4886),
    [anon_sym_RBRACE] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4884),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_PROGMEM] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4884),
    [anon_sym_or_eq] = ACTIONS(4884),
    [anon_sym_xor_eq] = ACTIONS(4884),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4884),
    [anon_sym_and] = ACTIONS(4884),
    [anon_sym_bitor] = ACTIONS(4884),
    [anon_sym_xor] = ACTIONS(4884),
    [anon_sym_bitand] = ACTIONS(4884),
    [anon_sym_not_eq] = ACTIONS(4884),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4884),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
  },
  [1522] = {
    [sym_identifier] = ACTIONS(4888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4890),
    [anon_sym_COMMA] = ACTIONS(4890),
    [anon_sym_RPAREN] = ACTIONS(4890),
    [anon_sym_LPAREN2] = ACTIONS(4890),
    [anon_sym_TILDE] = ACTIONS(4890),
    [anon_sym_DASH] = ACTIONS(4888),
    [anon_sym_PLUS] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4888),
    [anon_sym_SLASH] = ACTIONS(4888),
    [anon_sym_PERCENT] = ACTIONS(4888),
    [anon_sym_PIPE_PIPE] = ACTIONS(4890),
    [anon_sym_AMP_AMP] = ACTIONS(4890),
    [anon_sym_PIPE] = ACTIONS(4888),
    [anon_sym_CARET] = ACTIONS(4888),
    [anon_sym_AMP] = ACTIONS(4888),
    [anon_sym_EQ_EQ] = ACTIONS(4890),
    [anon_sym_BANG_EQ] = ACTIONS(4890),
    [anon_sym_GT] = ACTIONS(4888),
    [anon_sym_GT_EQ] = ACTIONS(4890),
    [anon_sym_LT_EQ] = ACTIONS(4888),
    [anon_sym_LT] = ACTIONS(4888),
    [anon_sym_LT_LT] = ACTIONS(4888),
    [anon_sym_GT_GT] = ACTIONS(4888),
    [anon_sym_SEMI] = ACTIONS(4890),
    [anon_sym___extension__] = ACTIONS(4888),
    [anon_sym_virtual] = ACTIONS(4888),
    [anon_sym_extern] = ACTIONS(4888),
    [anon_sym___attribute__] = ACTIONS(4888),
    [anon_sym_COLON_COLON] = ACTIONS(4890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4890),
    [anon_sym___declspec] = ACTIONS(4888),
    [anon_sym___based] = ACTIONS(4888),
    [anon_sym___cdecl] = ACTIONS(4888),
    [anon_sym___clrcall] = ACTIONS(4888),
    [anon_sym___stdcall] = ACTIONS(4888),
    [anon_sym___fastcall] = ACTIONS(4888),
    [anon_sym___thiscall] = ACTIONS(4888),
    [anon_sym___vectorcall] = ACTIONS(4888),
    [anon_sym_LBRACE] = ACTIONS(4890),
    [anon_sym_RBRACE] = ACTIONS(4890),
    [anon_sym_LBRACK] = ACTIONS(4888),
    [anon_sym_static] = ACTIONS(4888),
    [anon_sym_EQ] = ACTIONS(4888),
    [anon_sym_register] = ACTIONS(4888),
    [anon_sym_inline] = ACTIONS(4888),
    [anon_sym___inline] = ACTIONS(4888),
    [anon_sym___inline__] = ACTIONS(4888),
    [anon_sym___forceinline] = ACTIONS(4888),
    [anon_sym_thread_local] = ACTIONS(4888),
    [anon_sym___thread] = ACTIONS(4888),
    [anon_sym_const] = ACTIONS(4888),
    [anon_sym_constexpr] = ACTIONS(4888),
    [anon_sym_volatile] = ACTIONS(4888),
    [anon_sym_restrict] = ACTIONS(4888),
    [anon_sym___restrict__] = ACTIONS(4888),
    [anon_sym__Atomic] = ACTIONS(4888),
    [anon_sym__Noreturn] = ACTIONS(4888),
    [anon_sym_noreturn] = ACTIONS(4888),
    [anon_sym__Nonnull] = ACTIONS(4888),
    [anon_sym_mutable] = ACTIONS(4888),
    [anon_sym_constinit] = ACTIONS(4888),
    [anon_sym_consteval] = ACTIONS(4888),
    [anon_sym_PROGMEM] = ACTIONS(4888),
    [anon_sym_alignas] = ACTIONS(4888),
    [anon_sym__Alignas] = ACTIONS(4888),
    [anon_sym_QMARK] = ACTIONS(4890),
    [anon_sym_STAR_EQ] = ACTIONS(4890),
    [anon_sym_SLASH_EQ] = ACTIONS(4890),
    [anon_sym_PERCENT_EQ] = ACTIONS(4890),
    [anon_sym_PLUS_EQ] = ACTIONS(4890),
    [anon_sym_DASH_EQ] = ACTIONS(4890),
    [anon_sym_LT_LT_EQ] = ACTIONS(4890),
    [anon_sym_GT_GT_EQ] = ACTIONS(4890),
    [anon_sym_AMP_EQ] = ACTIONS(4890),
    [anon_sym_CARET_EQ] = ACTIONS(4890),
    [anon_sym_PIPE_EQ] = ACTIONS(4890),
    [anon_sym_and_eq] = ACTIONS(4888),
    [anon_sym_or_eq] = ACTIONS(4888),
    [anon_sym_xor_eq] = ACTIONS(4888),
    [anon_sym_LT_EQ_GT] = ACTIONS(4890),
    [anon_sym_or] = ACTIONS(4888),
    [anon_sym_and] = ACTIONS(4888),
    [anon_sym_bitor] = ACTIONS(4888),
    [anon_sym_xor] = ACTIONS(4888),
    [anon_sym_bitand] = ACTIONS(4888),
    [anon_sym_not_eq] = ACTIONS(4888),
    [anon_sym_DASH_DASH] = ACTIONS(4890),
    [anon_sym_PLUS_PLUS] = ACTIONS(4890),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_DOT_STAR] = ACTIONS(4890),
    [anon_sym_DASH_GT] = ACTIONS(4890),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4888),
    [anon_sym_decltype] = ACTIONS(4888),
    [anon_sym_template] = ACTIONS(4888),
    [anon_sym_operator] = ACTIONS(4888),
  },
  [1523] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_ms_call_modifier] = STATE(5942),
    [sym__abstract_declarator] = STATE(6437),
    [sym_abstract_parenthesized_declarator] = STATE(5817),
    [sym_abstract_pointer_declarator] = STATE(5817),
    [sym_abstract_function_declarator] = STATE(5817),
    [sym_abstract_array_declarator] = STATE(5817),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_list] = STATE(2941),
    [sym_parameter_declaration] = STATE(7089),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(7089),
    [sym_variadic_parameter_declaration] = STATE(7089),
    [sym_abstract_reference_declarator] = STATE(5817),
    [sym__function_declarator_seq] = STATE(5892),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6192),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1907),
    [anon_sym_RPAREN] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1783),
    [anon_sym___clrcall] = ACTIONS(1783),
    [anon_sym___stdcall] = ACTIONS(1783),
    [anon_sym___fastcall] = ACTIONS(1783),
    [anon_sym___thiscall] = ACTIONS(1783),
    [anon_sym___vectorcall] = ACTIONS(1783),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4882),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1524] = {
    [sym_identifier] = ACTIONS(4892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4894),
    [anon_sym_COMMA] = ACTIONS(4894),
    [anon_sym_RPAREN] = ACTIONS(4894),
    [anon_sym_LPAREN2] = ACTIONS(4894),
    [anon_sym_TILDE] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4892),
    [anon_sym_STAR] = ACTIONS(4892),
    [anon_sym_SLASH] = ACTIONS(4892),
    [anon_sym_PERCENT] = ACTIONS(4892),
    [anon_sym_PIPE_PIPE] = ACTIONS(4894),
    [anon_sym_AMP_AMP] = ACTIONS(4894),
    [anon_sym_PIPE] = ACTIONS(4892),
    [anon_sym_CARET] = ACTIONS(4892),
    [anon_sym_AMP] = ACTIONS(4892),
    [anon_sym_EQ_EQ] = ACTIONS(4894),
    [anon_sym_BANG_EQ] = ACTIONS(4894),
    [anon_sym_GT] = ACTIONS(4892),
    [anon_sym_GT_EQ] = ACTIONS(4894),
    [anon_sym_LT_EQ] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym_LT_LT] = ACTIONS(4892),
    [anon_sym_GT_GT] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [anon_sym___extension__] = ACTIONS(4892),
    [anon_sym_virtual] = ACTIONS(4892),
    [anon_sym_extern] = ACTIONS(4892),
    [anon_sym___attribute__] = ACTIONS(4892),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4894),
    [anon_sym___declspec] = ACTIONS(4892),
    [anon_sym___based] = ACTIONS(4892),
    [anon_sym___cdecl] = ACTIONS(4892),
    [anon_sym___clrcall] = ACTIONS(4892),
    [anon_sym___stdcall] = ACTIONS(4892),
    [anon_sym___fastcall] = ACTIONS(4892),
    [anon_sym___thiscall] = ACTIONS(4892),
    [anon_sym___vectorcall] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(4894),
    [anon_sym_RBRACE] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4892),
    [anon_sym_static] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(4892),
    [anon_sym_register] = ACTIONS(4892),
    [anon_sym_inline] = ACTIONS(4892),
    [anon_sym___inline] = ACTIONS(4892),
    [anon_sym___inline__] = ACTIONS(4892),
    [anon_sym___forceinline] = ACTIONS(4892),
    [anon_sym_thread_local] = ACTIONS(4892),
    [anon_sym___thread] = ACTIONS(4892),
    [anon_sym_const] = ACTIONS(4892),
    [anon_sym_constexpr] = ACTIONS(4892),
    [anon_sym_volatile] = ACTIONS(4892),
    [anon_sym_restrict] = ACTIONS(4892),
    [anon_sym___restrict__] = ACTIONS(4892),
    [anon_sym__Atomic] = ACTIONS(4892),
    [anon_sym__Noreturn] = ACTIONS(4892),
    [anon_sym_noreturn] = ACTIONS(4892),
    [anon_sym__Nonnull] = ACTIONS(4892),
    [anon_sym_mutable] = ACTIONS(4892),
    [anon_sym_constinit] = ACTIONS(4892),
    [anon_sym_consteval] = ACTIONS(4892),
    [anon_sym_PROGMEM] = ACTIONS(4892),
    [anon_sym_alignas] = ACTIONS(4892),
    [anon_sym__Alignas] = ACTIONS(4892),
    [anon_sym_QMARK] = ACTIONS(4894),
    [anon_sym_STAR_EQ] = ACTIONS(4894),
    [anon_sym_SLASH_EQ] = ACTIONS(4894),
    [anon_sym_PERCENT_EQ] = ACTIONS(4894),
    [anon_sym_PLUS_EQ] = ACTIONS(4894),
    [anon_sym_DASH_EQ] = ACTIONS(4894),
    [anon_sym_LT_LT_EQ] = ACTIONS(4894),
    [anon_sym_GT_GT_EQ] = ACTIONS(4894),
    [anon_sym_AMP_EQ] = ACTIONS(4894),
    [anon_sym_CARET_EQ] = ACTIONS(4894),
    [anon_sym_PIPE_EQ] = ACTIONS(4894),
    [anon_sym_and_eq] = ACTIONS(4892),
    [anon_sym_or_eq] = ACTIONS(4892),
    [anon_sym_xor_eq] = ACTIONS(4892),
    [anon_sym_LT_EQ_GT] = ACTIONS(4894),
    [anon_sym_or] = ACTIONS(4892),
    [anon_sym_and] = ACTIONS(4892),
    [anon_sym_bitor] = ACTIONS(4892),
    [anon_sym_xor] = ACTIONS(4892),
    [anon_sym_bitand] = ACTIONS(4892),
    [anon_sym_not_eq] = ACTIONS(4892),
    [anon_sym_DASH_DASH] = ACTIONS(4894),
    [anon_sym_PLUS_PLUS] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_DOT_STAR] = ACTIONS(4894),
    [anon_sym_DASH_GT] = ACTIONS(4894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4892),
    [anon_sym_decltype] = ACTIONS(4892),
    [anon_sym_template] = ACTIONS(4892),
    [anon_sym_operator] = ACTIONS(4892),
  },
  [1525] = {
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_TILDE] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4896),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4896),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4896),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4896),
    [anon_sym_GT_GT] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(4896),
    [anon_sym_virtual] = ACTIONS(4896),
    [anon_sym_extern] = ACTIONS(4896),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym_COLON_COLON] = ACTIONS(4898),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4898),
    [anon_sym___declspec] = ACTIONS(4896),
    [anon_sym___based] = ACTIONS(4896),
    [anon_sym___cdecl] = ACTIONS(4896),
    [anon_sym___clrcall] = ACTIONS(4896),
    [anon_sym___stdcall] = ACTIONS(4896),
    [anon_sym___fastcall] = ACTIONS(4896),
    [anon_sym___thiscall] = ACTIONS(4896),
    [anon_sym___vectorcall] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_RBRACE] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4896),
    [anon_sym_static] = ACTIONS(4896),
    [anon_sym_EQ] = ACTIONS(4896),
    [anon_sym_register] = ACTIONS(4896),
    [anon_sym_inline] = ACTIONS(4896),
    [anon_sym___inline] = ACTIONS(4896),
    [anon_sym___inline__] = ACTIONS(4896),
    [anon_sym___forceinline] = ACTIONS(4896),
    [anon_sym_thread_local] = ACTIONS(4896),
    [anon_sym___thread] = ACTIONS(4896),
    [anon_sym_const] = ACTIONS(4896),
    [anon_sym_constexpr] = ACTIONS(4896),
    [anon_sym_volatile] = ACTIONS(4896),
    [anon_sym_restrict] = ACTIONS(4896),
    [anon_sym___restrict__] = ACTIONS(4896),
    [anon_sym__Atomic] = ACTIONS(4896),
    [anon_sym__Noreturn] = ACTIONS(4896),
    [anon_sym_noreturn] = ACTIONS(4896),
    [anon_sym__Nonnull] = ACTIONS(4896),
    [anon_sym_mutable] = ACTIONS(4896),
    [anon_sym_constinit] = ACTIONS(4896),
    [anon_sym_consteval] = ACTIONS(4896),
    [anon_sym_PROGMEM] = ACTIONS(4896),
    [anon_sym_alignas] = ACTIONS(4896),
    [anon_sym__Alignas] = ACTIONS(4896),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_STAR_EQ] = ACTIONS(4898),
    [anon_sym_SLASH_EQ] = ACTIONS(4898),
    [anon_sym_PERCENT_EQ] = ACTIONS(4898),
    [anon_sym_PLUS_EQ] = ACTIONS(4898),
    [anon_sym_DASH_EQ] = ACTIONS(4898),
    [anon_sym_LT_LT_EQ] = ACTIONS(4898),
    [anon_sym_GT_GT_EQ] = ACTIONS(4898),
    [anon_sym_AMP_EQ] = ACTIONS(4898),
    [anon_sym_CARET_EQ] = ACTIONS(4898),
    [anon_sym_PIPE_EQ] = ACTIONS(4898),
    [anon_sym_and_eq] = ACTIONS(4896),
    [anon_sym_or_eq] = ACTIONS(4896),
    [anon_sym_xor_eq] = ACTIONS(4896),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_template] = ACTIONS(4896),
    [anon_sym_operator] = ACTIONS(4896),
  },
  [1526] = {
    [sym_identifier] = ACTIONS(4900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4902),
    [anon_sym_COMMA] = ACTIONS(4902),
    [anon_sym_RPAREN] = ACTIONS(4902),
    [anon_sym_LPAREN2] = ACTIONS(4902),
    [anon_sym_TILDE] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4900),
    [anon_sym_STAR] = ACTIONS(4900),
    [anon_sym_SLASH] = ACTIONS(4900),
    [anon_sym_PERCENT] = ACTIONS(4900),
    [anon_sym_PIPE_PIPE] = ACTIONS(4902),
    [anon_sym_AMP_AMP] = ACTIONS(4902),
    [anon_sym_PIPE] = ACTIONS(4900),
    [anon_sym_CARET] = ACTIONS(4900),
    [anon_sym_AMP] = ACTIONS(4900),
    [anon_sym_EQ_EQ] = ACTIONS(4902),
    [anon_sym_BANG_EQ] = ACTIONS(4902),
    [anon_sym_GT] = ACTIONS(4900),
    [anon_sym_GT_EQ] = ACTIONS(4902),
    [anon_sym_LT_EQ] = ACTIONS(4900),
    [anon_sym_LT] = ACTIONS(4900),
    [anon_sym_LT_LT] = ACTIONS(4900),
    [anon_sym_GT_GT] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [anon_sym___extension__] = ACTIONS(4900),
    [anon_sym_virtual] = ACTIONS(4900),
    [anon_sym_extern] = ACTIONS(4900),
    [anon_sym___attribute__] = ACTIONS(4900),
    [anon_sym_COLON_COLON] = ACTIONS(4902),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4902),
    [anon_sym___declspec] = ACTIONS(4900),
    [anon_sym___based] = ACTIONS(4900),
    [anon_sym___cdecl] = ACTIONS(4900),
    [anon_sym___clrcall] = ACTIONS(4900),
    [anon_sym___stdcall] = ACTIONS(4900),
    [anon_sym___fastcall] = ACTIONS(4900),
    [anon_sym___thiscall] = ACTIONS(4900),
    [anon_sym___vectorcall] = ACTIONS(4900),
    [anon_sym_LBRACE] = ACTIONS(4902),
    [anon_sym_RBRACE] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4900),
    [anon_sym_static] = ACTIONS(4900),
    [anon_sym_EQ] = ACTIONS(4900),
    [anon_sym_register] = ACTIONS(4900),
    [anon_sym_inline] = ACTIONS(4900),
    [anon_sym___inline] = ACTIONS(4900),
    [anon_sym___inline__] = ACTIONS(4900),
    [anon_sym___forceinline] = ACTIONS(4900),
    [anon_sym_thread_local] = ACTIONS(4900),
    [anon_sym___thread] = ACTIONS(4900),
    [anon_sym_const] = ACTIONS(4900),
    [anon_sym_constexpr] = ACTIONS(4900),
    [anon_sym_volatile] = ACTIONS(4900),
    [anon_sym_restrict] = ACTIONS(4900),
    [anon_sym___restrict__] = ACTIONS(4900),
    [anon_sym__Atomic] = ACTIONS(4900),
    [anon_sym__Noreturn] = ACTIONS(4900),
    [anon_sym_noreturn] = ACTIONS(4900),
    [anon_sym__Nonnull] = ACTIONS(4900),
    [anon_sym_mutable] = ACTIONS(4900),
    [anon_sym_constinit] = ACTIONS(4900),
    [anon_sym_consteval] = ACTIONS(4900),
    [anon_sym_PROGMEM] = ACTIONS(4900),
    [anon_sym_alignas] = ACTIONS(4900),
    [anon_sym__Alignas] = ACTIONS(4900),
    [anon_sym_QMARK] = ACTIONS(4902),
    [anon_sym_STAR_EQ] = ACTIONS(4902),
    [anon_sym_SLASH_EQ] = ACTIONS(4902),
    [anon_sym_PERCENT_EQ] = ACTIONS(4902),
    [anon_sym_PLUS_EQ] = ACTIONS(4902),
    [anon_sym_DASH_EQ] = ACTIONS(4902),
    [anon_sym_LT_LT_EQ] = ACTIONS(4902),
    [anon_sym_GT_GT_EQ] = ACTIONS(4902),
    [anon_sym_AMP_EQ] = ACTIONS(4902),
    [anon_sym_CARET_EQ] = ACTIONS(4902),
    [anon_sym_PIPE_EQ] = ACTIONS(4902),
    [anon_sym_and_eq] = ACTIONS(4900),
    [anon_sym_or_eq] = ACTIONS(4900),
    [anon_sym_xor_eq] = ACTIONS(4900),
    [anon_sym_LT_EQ_GT] = ACTIONS(4902),
    [anon_sym_or] = ACTIONS(4900),
    [anon_sym_and] = ACTIONS(4900),
    [anon_sym_bitor] = ACTIONS(4900),
    [anon_sym_xor] = ACTIONS(4900),
    [anon_sym_bitand] = ACTIONS(4900),
    [anon_sym_not_eq] = ACTIONS(4900),
    [anon_sym_DASH_DASH] = ACTIONS(4902),
    [anon_sym_PLUS_PLUS] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_DOT_STAR] = ACTIONS(4902),
    [anon_sym_DASH_GT] = ACTIONS(4902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4900),
    [anon_sym_decltype] = ACTIONS(4900),
    [anon_sym_template] = ACTIONS(4900),
    [anon_sym_operator] = ACTIONS(4900),
  },
  [1527] = {
    [sym_identifier] = ACTIONS(4904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4906),
    [anon_sym_COMMA] = ACTIONS(4906),
    [anon_sym_RPAREN] = ACTIONS(4906),
    [anon_sym_LPAREN2] = ACTIONS(4906),
    [anon_sym_TILDE] = ACTIONS(4906),
    [anon_sym_DASH] = ACTIONS(4904),
    [anon_sym_PLUS] = ACTIONS(4904),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_SLASH] = ACTIONS(4904),
    [anon_sym_PERCENT] = ACTIONS(4904),
    [anon_sym_PIPE_PIPE] = ACTIONS(4906),
    [anon_sym_AMP_AMP] = ACTIONS(4906),
    [anon_sym_PIPE] = ACTIONS(4904),
    [anon_sym_CARET] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4904),
    [anon_sym_EQ_EQ] = ACTIONS(4906),
    [anon_sym_BANG_EQ] = ACTIONS(4906),
    [anon_sym_GT] = ACTIONS(4904),
    [anon_sym_GT_EQ] = ACTIONS(4906),
    [anon_sym_LT_EQ] = ACTIONS(4904),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym_LT_LT] = ACTIONS(4904),
    [anon_sym_GT_GT] = ACTIONS(4904),
    [anon_sym_SEMI] = ACTIONS(4906),
    [anon_sym___extension__] = ACTIONS(4904),
    [anon_sym_virtual] = ACTIONS(4904),
    [anon_sym_extern] = ACTIONS(4904),
    [anon_sym___attribute__] = ACTIONS(4904),
    [anon_sym_COLON_COLON] = ACTIONS(4906),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4906),
    [anon_sym___declspec] = ACTIONS(4904),
    [anon_sym___based] = ACTIONS(4904),
    [anon_sym___cdecl] = ACTIONS(4904),
    [anon_sym___clrcall] = ACTIONS(4904),
    [anon_sym___stdcall] = ACTIONS(4904),
    [anon_sym___fastcall] = ACTIONS(4904),
    [anon_sym___thiscall] = ACTIONS(4904),
    [anon_sym___vectorcall] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(4906),
    [anon_sym_RBRACE] = ACTIONS(4906),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [anon_sym_static] = ACTIONS(4904),
    [anon_sym_EQ] = ACTIONS(4904),
    [anon_sym_register] = ACTIONS(4904),
    [anon_sym_inline] = ACTIONS(4904),
    [anon_sym___inline] = ACTIONS(4904),
    [anon_sym___inline__] = ACTIONS(4904),
    [anon_sym___forceinline] = ACTIONS(4904),
    [anon_sym_thread_local] = ACTIONS(4904),
    [anon_sym___thread] = ACTIONS(4904),
    [anon_sym_const] = ACTIONS(4904),
    [anon_sym_constexpr] = ACTIONS(4904),
    [anon_sym_volatile] = ACTIONS(4904),
    [anon_sym_restrict] = ACTIONS(4904),
    [anon_sym___restrict__] = ACTIONS(4904),
    [anon_sym__Atomic] = ACTIONS(4904),
    [anon_sym__Noreturn] = ACTIONS(4904),
    [anon_sym_noreturn] = ACTIONS(4904),
    [anon_sym__Nonnull] = ACTIONS(4904),
    [anon_sym_mutable] = ACTIONS(4904),
    [anon_sym_constinit] = ACTIONS(4904),
    [anon_sym_consteval] = ACTIONS(4904),
    [anon_sym_PROGMEM] = ACTIONS(4904),
    [anon_sym_alignas] = ACTIONS(4904),
    [anon_sym__Alignas] = ACTIONS(4904),
    [anon_sym_QMARK] = ACTIONS(4906),
    [anon_sym_STAR_EQ] = ACTIONS(4906),
    [anon_sym_SLASH_EQ] = ACTIONS(4906),
    [anon_sym_PERCENT_EQ] = ACTIONS(4906),
    [anon_sym_PLUS_EQ] = ACTIONS(4906),
    [anon_sym_DASH_EQ] = ACTIONS(4906),
    [anon_sym_LT_LT_EQ] = ACTIONS(4906),
    [anon_sym_GT_GT_EQ] = ACTIONS(4906),
    [anon_sym_AMP_EQ] = ACTIONS(4906),
    [anon_sym_CARET_EQ] = ACTIONS(4906),
    [anon_sym_PIPE_EQ] = ACTIONS(4906),
    [anon_sym_and_eq] = ACTIONS(4904),
    [anon_sym_or_eq] = ACTIONS(4904),
    [anon_sym_xor_eq] = ACTIONS(4904),
    [anon_sym_LT_EQ_GT] = ACTIONS(4906),
    [anon_sym_or] = ACTIONS(4904),
    [anon_sym_and] = ACTIONS(4904),
    [anon_sym_bitor] = ACTIONS(4904),
    [anon_sym_xor] = ACTIONS(4904),
    [anon_sym_bitand] = ACTIONS(4904),
    [anon_sym_not_eq] = ACTIONS(4904),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DOT] = ACTIONS(4904),
    [anon_sym_DOT_STAR] = ACTIONS(4906),
    [anon_sym_DASH_GT] = ACTIONS(4906),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4904),
    [anon_sym_decltype] = ACTIONS(4904),
    [anon_sym_template] = ACTIONS(4904),
    [anon_sym_operator] = ACTIONS(4904),
  },
  [1528] = {
    [sym_identifier] = ACTIONS(4908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4910),
    [anon_sym_COMMA] = ACTIONS(4910),
    [anon_sym_RPAREN] = ACTIONS(4910),
    [anon_sym_LPAREN2] = ACTIONS(4910),
    [anon_sym_TILDE] = ACTIONS(4910),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_STAR] = ACTIONS(4908),
    [anon_sym_SLASH] = ACTIONS(4908),
    [anon_sym_PERCENT] = ACTIONS(4908),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4910),
    [anon_sym_PIPE] = ACTIONS(4908),
    [anon_sym_CARET] = ACTIONS(4908),
    [anon_sym_AMP] = ACTIONS(4908),
    [anon_sym_EQ_EQ] = ACTIONS(4910),
    [anon_sym_BANG_EQ] = ACTIONS(4910),
    [anon_sym_GT] = ACTIONS(4908),
    [anon_sym_GT_EQ] = ACTIONS(4910),
    [anon_sym_LT_EQ] = ACTIONS(4908),
    [anon_sym_LT] = ACTIONS(4908),
    [anon_sym_LT_LT] = ACTIONS(4908),
    [anon_sym_GT_GT] = ACTIONS(4908),
    [anon_sym_SEMI] = ACTIONS(4910),
    [anon_sym___extension__] = ACTIONS(4908),
    [anon_sym_virtual] = ACTIONS(4908),
    [anon_sym_extern] = ACTIONS(4908),
    [anon_sym___attribute__] = ACTIONS(4908),
    [anon_sym_COLON_COLON] = ACTIONS(4910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4910),
    [anon_sym___declspec] = ACTIONS(4908),
    [anon_sym___based] = ACTIONS(4908),
    [anon_sym___cdecl] = ACTIONS(4908),
    [anon_sym___clrcall] = ACTIONS(4908),
    [anon_sym___stdcall] = ACTIONS(4908),
    [anon_sym___fastcall] = ACTIONS(4908),
    [anon_sym___thiscall] = ACTIONS(4908),
    [anon_sym___vectorcall] = ACTIONS(4908),
    [anon_sym_LBRACE] = ACTIONS(4910),
    [anon_sym_RBRACE] = ACTIONS(4910),
    [anon_sym_LBRACK] = ACTIONS(4908),
    [anon_sym_static] = ACTIONS(4908),
    [anon_sym_EQ] = ACTIONS(4908),
    [anon_sym_register] = ACTIONS(4908),
    [anon_sym_inline] = ACTIONS(4908),
    [anon_sym___inline] = ACTIONS(4908),
    [anon_sym___inline__] = ACTIONS(4908),
    [anon_sym___forceinline] = ACTIONS(4908),
    [anon_sym_thread_local] = ACTIONS(4908),
    [anon_sym___thread] = ACTIONS(4908),
    [anon_sym_const] = ACTIONS(4908),
    [anon_sym_constexpr] = ACTIONS(4908),
    [anon_sym_volatile] = ACTIONS(4908),
    [anon_sym_restrict] = ACTIONS(4908),
    [anon_sym___restrict__] = ACTIONS(4908),
    [anon_sym__Atomic] = ACTIONS(4908),
    [anon_sym__Noreturn] = ACTIONS(4908),
    [anon_sym_noreturn] = ACTIONS(4908),
    [anon_sym__Nonnull] = ACTIONS(4908),
    [anon_sym_mutable] = ACTIONS(4908),
    [anon_sym_constinit] = ACTIONS(4908),
    [anon_sym_consteval] = ACTIONS(4908),
    [anon_sym_PROGMEM] = ACTIONS(4908),
    [anon_sym_alignas] = ACTIONS(4908),
    [anon_sym__Alignas] = ACTIONS(4908),
    [anon_sym_QMARK] = ACTIONS(4910),
    [anon_sym_STAR_EQ] = ACTIONS(4910),
    [anon_sym_SLASH_EQ] = ACTIONS(4910),
    [anon_sym_PERCENT_EQ] = ACTIONS(4910),
    [anon_sym_PLUS_EQ] = ACTIONS(4910),
    [anon_sym_DASH_EQ] = ACTIONS(4910),
    [anon_sym_LT_LT_EQ] = ACTIONS(4910),
    [anon_sym_GT_GT_EQ] = ACTIONS(4910),
    [anon_sym_AMP_EQ] = ACTIONS(4910),
    [anon_sym_CARET_EQ] = ACTIONS(4910),
    [anon_sym_PIPE_EQ] = ACTIONS(4910),
    [anon_sym_and_eq] = ACTIONS(4908),
    [anon_sym_or_eq] = ACTIONS(4908),
    [anon_sym_xor_eq] = ACTIONS(4908),
    [anon_sym_LT_EQ_GT] = ACTIONS(4910),
    [anon_sym_or] = ACTIONS(4908),
    [anon_sym_and] = ACTIONS(4908),
    [anon_sym_bitor] = ACTIONS(4908),
    [anon_sym_xor] = ACTIONS(4908),
    [anon_sym_bitand] = ACTIONS(4908),
    [anon_sym_not_eq] = ACTIONS(4908),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_DOT] = ACTIONS(4908),
    [anon_sym_DOT_STAR] = ACTIONS(4910),
    [anon_sym_DASH_GT] = ACTIONS(4910),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4908),
    [anon_sym_decltype] = ACTIONS(4908),
    [anon_sym_template] = ACTIONS(4908),
    [anon_sym_operator] = ACTIONS(4908),
  },
  [1529] = {
    [sym_template_argument_list] = STATE(1531),
    [sym_identifier] = ACTIONS(4912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4914),
    [anon_sym_COMMA] = ACTIONS(4914),
    [anon_sym_LPAREN2] = ACTIONS(4916),
    [anon_sym_TILDE] = ACTIONS(4919),
    [anon_sym_DASH] = ACTIONS(4921),
    [anon_sym_PLUS] = ACTIONS(4921),
    [anon_sym_STAR] = ACTIONS(4923),
    [anon_sym_SLASH] = ACTIONS(4921),
    [anon_sym_PERCENT] = ACTIONS(4921),
    [anon_sym_PIPE_PIPE] = ACTIONS(4914),
    [anon_sym_AMP_AMP] = ACTIONS(4916),
    [anon_sym_PIPE] = ACTIONS(4921),
    [anon_sym_CARET] = ACTIONS(4921),
    [anon_sym_AMP] = ACTIONS(4923),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_GT] = ACTIONS(4921),
    [anon_sym_GT_EQ] = ACTIONS(4914),
    [anon_sym_LT_EQ] = ACTIONS(4921),
    [anon_sym_LT] = ACTIONS(4926),
    [anon_sym_LT_LT] = ACTIONS(4921),
    [anon_sym_GT_GT] = ACTIONS(4921),
    [anon_sym_SEMI] = ACTIONS(4916),
    [anon_sym___extension__] = ACTIONS(4912),
    [anon_sym_virtual] = ACTIONS(4912),
    [anon_sym_extern] = ACTIONS(4912),
    [anon_sym___attribute__] = ACTIONS(4912),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4916),
    [anon_sym___declspec] = ACTIONS(4912),
    [anon_sym___based] = ACTIONS(4912),
    [anon_sym___cdecl] = ACTIONS(4912),
    [anon_sym___clrcall] = ACTIONS(4912),
    [anon_sym___stdcall] = ACTIONS(4912),
    [anon_sym___fastcall] = ACTIONS(4912),
    [anon_sym___thiscall] = ACTIONS(4912),
    [anon_sym___vectorcall] = ACTIONS(4912),
    [anon_sym_LBRACE] = ACTIONS(4919),
    [anon_sym_RBRACE] = ACTIONS(4914),
    [anon_sym_LBRACK] = ACTIONS(4923),
    [anon_sym_static] = ACTIONS(4912),
    [anon_sym_EQ] = ACTIONS(4921),
    [anon_sym_register] = ACTIONS(4912),
    [anon_sym_inline] = ACTIONS(4912),
    [anon_sym___inline] = ACTIONS(4912),
    [anon_sym___inline__] = ACTIONS(4912),
    [anon_sym___forceinline] = ACTIONS(4912),
    [anon_sym_thread_local] = ACTIONS(4912),
    [anon_sym___thread] = ACTIONS(4912),
    [anon_sym_const] = ACTIONS(4912),
    [anon_sym_constexpr] = ACTIONS(4912),
    [anon_sym_volatile] = ACTIONS(4912),
    [anon_sym_restrict] = ACTIONS(4912),
    [anon_sym___restrict__] = ACTIONS(4912),
    [anon_sym__Atomic] = ACTIONS(4912),
    [anon_sym__Noreturn] = ACTIONS(4912),
    [anon_sym_noreturn] = ACTIONS(4912),
    [anon_sym__Nonnull] = ACTIONS(4912),
    [anon_sym_mutable] = ACTIONS(4912),
    [anon_sym_constinit] = ACTIONS(4912),
    [anon_sym_consteval] = ACTIONS(4912),
    [anon_sym_PROGMEM] = ACTIONS(4912),
    [anon_sym_alignas] = ACTIONS(4912),
    [anon_sym__Alignas] = ACTIONS(4912),
    [anon_sym_QMARK] = ACTIONS(4914),
    [anon_sym_STAR_EQ] = ACTIONS(4914),
    [anon_sym_SLASH_EQ] = ACTIONS(4914),
    [anon_sym_PERCENT_EQ] = ACTIONS(4914),
    [anon_sym_PLUS_EQ] = ACTIONS(4914),
    [anon_sym_DASH_EQ] = ACTIONS(4914),
    [anon_sym_LT_LT_EQ] = ACTIONS(4914),
    [anon_sym_GT_GT_EQ] = ACTIONS(4914),
    [anon_sym_AMP_EQ] = ACTIONS(4914),
    [anon_sym_CARET_EQ] = ACTIONS(4914),
    [anon_sym_PIPE_EQ] = ACTIONS(4914),
    [anon_sym_and_eq] = ACTIONS(4921),
    [anon_sym_or_eq] = ACTIONS(4921),
    [anon_sym_xor_eq] = ACTIONS(4921),
    [anon_sym_LT_EQ_GT] = ACTIONS(4914),
    [anon_sym_or] = ACTIONS(4921),
    [anon_sym_and] = ACTIONS(4921),
    [anon_sym_bitor] = ACTIONS(4921),
    [anon_sym_xor] = ACTIONS(4921),
    [anon_sym_bitand] = ACTIONS(4921),
    [anon_sym_not_eq] = ACTIONS(4921),
    [anon_sym_DASH_DASH] = ACTIONS(4914),
    [anon_sym_PLUS_PLUS] = ACTIONS(4914),
    [anon_sym_DOT] = ACTIONS(4921),
    [anon_sym_DOT_STAR] = ACTIONS(4914),
    [anon_sym_DASH_GT] = ACTIONS(4914),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4912),
    [anon_sym_decltype] = ACTIONS(4912),
    [anon_sym_template] = ACTIONS(4912),
    [anon_sym_operator] = ACTIONS(4912),
  },
  [1530] = {
    [sym_identifier] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym__Nonnull] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_PROGMEM] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym__Alignas] = ACTIONS(2948),
    [aux_sym_primitive_type_token1] = ACTIONS(2948),
    [anon_sym_byte] = ACTIONS(2948),
    [anon_sym_word] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [anon_sym___asm] = ACTIONS(2948),
    [aux_sym_number_literal_token1] = ACTIONS(2950),
    [aux_sym_number_literal_token2] = ACTIONS(2948),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [1531] = {
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4931),
    [anon_sym_COMMA] = ACTIONS(4931),
    [anon_sym_LPAREN2] = ACTIONS(4933),
    [anon_sym_TILDE] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4940),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4938),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4933),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4938),
    [anon_sym_GT_GT] = ACTIONS(4938),
    [anon_sym_SEMI] = ACTIONS(4933),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym_virtual] = ACTIONS(4929),
    [anon_sym_extern] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym_COLON_COLON] = ACTIONS(4936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4933),
    [anon_sym___declspec] = ACTIONS(4929),
    [anon_sym___based] = ACTIONS(4929),
    [anon_sym___cdecl] = ACTIONS(4929),
    [anon_sym___clrcall] = ACTIONS(4929),
    [anon_sym___stdcall] = ACTIONS(4929),
    [anon_sym___fastcall] = ACTIONS(4929),
    [anon_sym___thiscall] = ACTIONS(4929),
    [anon_sym___vectorcall] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_RBRACE] = ACTIONS(4931),
    [anon_sym_LBRACK] = ACTIONS(4940),
    [anon_sym_static] = ACTIONS(4929),
    [anon_sym_EQ] = ACTIONS(4938),
    [anon_sym_register] = ACTIONS(4929),
    [anon_sym_inline] = ACTIONS(4929),
    [anon_sym___inline] = ACTIONS(4929),
    [anon_sym___inline__] = ACTIONS(4929),
    [anon_sym___forceinline] = ACTIONS(4929),
    [anon_sym_thread_local] = ACTIONS(4929),
    [anon_sym___thread] = ACTIONS(4929),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_PROGMEM] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_STAR_EQ] = ACTIONS(4931),
    [anon_sym_SLASH_EQ] = ACTIONS(4931),
    [anon_sym_PERCENT_EQ] = ACTIONS(4931),
    [anon_sym_PLUS_EQ] = ACTIONS(4931),
    [anon_sym_DASH_EQ] = ACTIONS(4931),
    [anon_sym_LT_LT_EQ] = ACTIONS(4931),
    [anon_sym_GT_GT_EQ] = ACTIONS(4931),
    [anon_sym_AMP_EQ] = ACTIONS(4931),
    [anon_sym_CARET_EQ] = ACTIONS(4931),
    [anon_sym_PIPE_EQ] = ACTIONS(4931),
    [anon_sym_and_eq] = ACTIONS(4938),
    [anon_sym_or_eq] = ACTIONS(4938),
    [anon_sym_xor_eq] = ACTIONS(4938),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_template] = ACTIONS(4929),
    [anon_sym_operator] = ACTIONS(4929),
  },
  [1532] = {
    [sym_identifier] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3103),
    [anon_sym_PLUS] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3105),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym__Nonnull] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [anon_sym_PROGMEM] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym__Alignas] = ACTIONS(3103),
    [aux_sym_primitive_type_token1] = ACTIONS(3103),
    [anon_sym_byte] = ACTIONS(3103),
    [anon_sym_word] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [anon_sym_not] = ACTIONS(3103),
    [anon_sym_compl] = ACTIONS(3103),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3103),
    [anon_sym___alignof__] = ACTIONS(3103),
    [anon_sym___alignof] = ACTIONS(3103),
    [anon_sym__alignof] = ACTIONS(3103),
    [anon_sym_alignof] = ACTIONS(3103),
    [anon_sym__Alignof] = ACTIONS(3103),
    [anon_sym_offsetof] = ACTIONS(3103),
    [anon_sym__Generic] = ACTIONS(3103),
    [anon_sym_asm] = ACTIONS(3103),
    [anon_sym___asm__] = ACTIONS(3103),
    [anon_sym___asm] = ACTIONS(3103),
    [aux_sym_number_literal_token1] = ACTIONS(3105),
    [aux_sym_number_literal_token2] = ACTIONS(3103),
    [anon_sym_L_SQUOTE] = ACTIONS(3105),
    [anon_sym_u_SQUOTE] = ACTIONS(3105),
    [anon_sym_U_SQUOTE] = ACTIONS(3105),
    [anon_sym_u8_SQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_L_DQUOTE] = ACTIONS(3105),
    [anon_sym_u_DQUOTE] = ACTIONS(3105),
    [anon_sym_U_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8_DQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [sym_true] = ACTIONS(3103),
    [sym_false] = ACTIONS(3103),
    [anon_sym_NULL] = ACTIONS(3103),
    [anon_sym_nullptr] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_delete] = ACTIONS(3103),
    [anon_sym_R_DQUOTE] = ACTIONS(3105),
    [anon_sym_LR_DQUOTE] = ACTIONS(3105),
    [anon_sym_uR_DQUOTE] = ACTIONS(3105),
    [anon_sym_UR_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3105),
    [anon_sym_co_await] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_requires] = ACTIONS(3103),
    [sym_this] = ACTIONS(3103),
  },
  [1533] = {
    [sym_identifier] = ACTIONS(2712),
    [anon_sym_LPAREN2] = ACTIONS(2717),
    [anon_sym_BANG] = ACTIONS(2717),
    [anon_sym_TILDE] = ACTIONS(2717),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym___extension__] = ACTIONS(2712),
    [anon_sym_virtual] = ACTIONS(2712),
    [anon_sym_extern] = ACTIONS(2712),
    [anon_sym___attribute__] = ACTIONS(2712),
    [anon_sym_COLON_COLON] = ACTIONS(2717),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2717),
    [anon_sym___declspec] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2712),
    [anon_sym_unsigned] = ACTIONS(2712),
    [anon_sym_long] = ACTIONS(2712),
    [anon_sym_short] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_static] = ACTIONS(2712),
    [anon_sym_register] = ACTIONS(2712),
    [anon_sym_inline] = ACTIONS(2712),
    [anon_sym___inline] = ACTIONS(2712),
    [anon_sym___inline__] = ACTIONS(2712),
    [anon_sym___forceinline] = ACTIONS(2712),
    [anon_sym_thread_local] = ACTIONS(2712),
    [anon_sym___thread] = ACTIONS(2712),
    [anon_sym_const] = ACTIONS(2712),
    [anon_sym_constexpr] = ACTIONS(2712),
    [anon_sym_volatile] = ACTIONS(2712),
    [anon_sym_restrict] = ACTIONS(2712),
    [anon_sym___restrict__] = ACTIONS(2712),
    [anon_sym__Atomic] = ACTIONS(2712),
    [anon_sym__Noreturn] = ACTIONS(2712),
    [anon_sym_noreturn] = ACTIONS(2712),
    [anon_sym__Nonnull] = ACTIONS(2712),
    [anon_sym_mutable] = ACTIONS(2712),
    [anon_sym_constinit] = ACTIONS(2712),
    [anon_sym_consteval] = ACTIONS(2712),
    [anon_sym_PROGMEM] = ACTIONS(2712),
    [anon_sym_alignas] = ACTIONS(2712),
    [anon_sym__Alignas] = ACTIONS(2712),
    [aux_sym_primitive_type_token1] = ACTIONS(2712),
    [anon_sym_byte] = ACTIONS(2712),
    [anon_sym_word] = ACTIONS(2712),
    [anon_sym_enum] = ACTIONS(2712),
    [anon_sym_class] = ACTIONS(2712),
    [anon_sym_struct] = ACTIONS(2712),
    [anon_sym_union] = ACTIONS(2712),
    [anon_sym_not] = ACTIONS(2712),
    [anon_sym_compl] = ACTIONS(2712),
    [anon_sym_DASH_DASH] = ACTIONS(2717),
    [anon_sym_PLUS_PLUS] = ACTIONS(2717),
    [anon_sym_sizeof] = ACTIONS(2712),
    [anon_sym___alignof__] = ACTIONS(2712),
    [anon_sym___alignof] = ACTIONS(2712),
    [anon_sym__alignof] = ACTIONS(2712),
    [anon_sym_alignof] = ACTIONS(2712),
    [anon_sym__Alignof] = ACTIONS(2712),
    [anon_sym_offsetof] = ACTIONS(2712),
    [anon_sym__Generic] = ACTIONS(2712),
    [anon_sym_asm] = ACTIONS(2712),
    [anon_sym___asm__] = ACTIONS(2712),
    [anon_sym___asm] = ACTIONS(2712),
    [aux_sym_number_literal_token1] = ACTIONS(2717),
    [aux_sym_number_literal_token2] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2717),
    [anon_sym_u_SQUOTE] = ACTIONS(2717),
    [anon_sym_U_SQUOTE] = ACTIONS(2717),
    [anon_sym_u8_SQUOTE] = ACTIONS(2717),
    [anon_sym_SQUOTE] = ACTIONS(2717),
    [anon_sym_L_DQUOTE] = ACTIONS(2717),
    [anon_sym_u_DQUOTE] = ACTIONS(2717),
    [anon_sym_U_DQUOTE] = ACTIONS(2717),
    [anon_sym_u8_DQUOTE] = ACTIONS(2717),
    [anon_sym_DQUOTE] = ACTIONS(2717),
    [sym_true] = ACTIONS(2712),
    [sym_false] = ACTIONS(2712),
    [anon_sym_NULL] = ACTIONS(2712),
    [anon_sym_nullptr] = ACTIONS(2712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2712),
    [anon_sym_decltype] = ACTIONS(2712),
    [anon_sym_typename] = ACTIONS(2712),
    [anon_sym_template] = ACTIONS(2712),
    [anon_sym_delete] = ACTIONS(2712),
    [anon_sym_R_DQUOTE] = ACTIONS(2717),
    [anon_sym_LR_DQUOTE] = ACTIONS(2717),
    [anon_sym_uR_DQUOTE] = ACTIONS(2717),
    [anon_sym_UR_DQUOTE] = ACTIONS(2717),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2717),
    [anon_sym_co_await] = ACTIONS(2712),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_requires] = ACTIONS(2712),
    [sym_this] = ACTIONS(2712),
  },
  [1534] = {
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(5055),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6269),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5932),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_parameter_list] = STATE(819),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(4046),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5483),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4943),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(4945),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1829),
  },
  [1535] = {
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(5030),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6265),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5932),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_parameter_list] = STATE(815),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(4046),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5483),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4943),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(4945),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1829),
  },
  [1536] = {
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(5058),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6271),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5932),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_parameter_list] = STATE(813),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(4046),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5483),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4943),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(4945),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1829),
  },
  [1537] = {
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(5031),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6286),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5932),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_parameter_list] = STATE(816),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(4046),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5483),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_type_identifier] = STATE(2947),
    [sym_operator_name] = STATE(5932),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4943),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(4945),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1829),
  },
  [1538] = {
    [sym_template_argument_list] = STATE(1541),
    [sym_identifier] = ACTIONS(4912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4914),
    [anon_sym_COMMA] = ACTIONS(4914),
    [anon_sym_RPAREN] = ACTIONS(4914),
    [anon_sym_LPAREN2] = ACTIONS(4916),
    [anon_sym_TILDE] = ACTIONS(4919),
    [anon_sym_DASH] = ACTIONS(4921),
    [anon_sym_PLUS] = ACTIONS(4921),
    [anon_sym_STAR] = ACTIONS(4923),
    [anon_sym_SLASH] = ACTIONS(4921),
    [anon_sym_PERCENT] = ACTIONS(4921),
    [anon_sym_PIPE_PIPE] = ACTIONS(4914),
    [anon_sym_AMP_AMP] = ACTIONS(4916),
    [anon_sym_PIPE] = ACTIONS(4921),
    [anon_sym_CARET] = ACTIONS(4921),
    [anon_sym_AMP] = ACTIONS(4923),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_GT] = ACTIONS(4921),
    [anon_sym_GT_EQ] = ACTIONS(4914),
    [anon_sym_LT_EQ] = ACTIONS(4921),
    [anon_sym_LT] = ACTIONS(4926),
    [anon_sym_LT_LT] = ACTIONS(4921),
    [anon_sym_GT_GT] = ACTIONS(4921),
    [anon_sym_SEMI] = ACTIONS(4914),
    [anon_sym___extension__] = ACTIONS(4912),
    [anon_sym_virtual] = ACTIONS(4912),
    [anon_sym_extern] = ACTIONS(4912),
    [anon_sym___attribute__] = ACTIONS(4912),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4919),
    [anon_sym___declspec] = ACTIONS(4912),
    [anon_sym___based] = ACTIONS(4912),
    [anon_sym_LBRACE] = ACTIONS(4919),
    [anon_sym_RBRACE] = ACTIONS(4914),
    [anon_sym_LBRACK] = ACTIONS(4923),
    [anon_sym_static] = ACTIONS(4912),
    [anon_sym_EQ] = ACTIONS(4921),
    [anon_sym_register] = ACTIONS(4912),
    [anon_sym_inline] = ACTIONS(4912),
    [anon_sym___inline] = ACTIONS(4912),
    [anon_sym___inline__] = ACTIONS(4912),
    [anon_sym___forceinline] = ACTIONS(4912),
    [anon_sym_thread_local] = ACTIONS(4912),
    [anon_sym___thread] = ACTIONS(4912),
    [anon_sym_const] = ACTIONS(4912),
    [anon_sym_constexpr] = ACTIONS(4912),
    [anon_sym_volatile] = ACTIONS(4912),
    [anon_sym_restrict] = ACTIONS(4912),
    [anon_sym___restrict__] = ACTIONS(4912),
    [anon_sym__Atomic] = ACTIONS(4912),
    [anon_sym__Noreturn] = ACTIONS(4912),
    [anon_sym_noreturn] = ACTIONS(4912),
    [anon_sym__Nonnull] = ACTIONS(4912),
    [anon_sym_mutable] = ACTIONS(4912),
    [anon_sym_constinit] = ACTIONS(4912),
    [anon_sym_consteval] = ACTIONS(4912),
    [anon_sym_PROGMEM] = ACTIONS(4912),
    [anon_sym_alignas] = ACTIONS(4912),
    [anon_sym__Alignas] = ACTIONS(4912),
    [anon_sym_QMARK] = ACTIONS(4914),
    [anon_sym_STAR_EQ] = ACTIONS(4914),
    [anon_sym_SLASH_EQ] = ACTIONS(4914),
    [anon_sym_PERCENT_EQ] = ACTIONS(4914),
    [anon_sym_PLUS_EQ] = ACTIONS(4914),
    [anon_sym_DASH_EQ] = ACTIONS(4914),
    [anon_sym_LT_LT_EQ] = ACTIONS(4914),
    [anon_sym_GT_GT_EQ] = ACTIONS(4914),
    [anon_sym_AMP_EQ] = ACTIONS(4914),
    [anon_sym_CARET_EQ] = ACTIONS(4914),
    [anon_sym_PIPE_EQ] = ACTIONS(4914),
    [anon_sym_and_eq] = ACTIONS(4921),
    [anon_sym_or_eq] = ACTIONS(4921),
    [anon_sym_xor_eq] = ACTIONS(4921),
    [anon_sym_LT_EQ_GT] = ACTIONS(4914),
    [anon_sym_or] = ACTIONS(4921),
    [anon_sym_and] = ACTIONS(4921),
    [anon_sym_bitor] = ACTIONS(4921),
    [anon_sym_xor] = ACTIONS(4921),
    [anon_sym_bitand] = ACTIONS(4921),
    [anon_sym_not_eq] = ACTIONS(4921),
    [anon_sym_DASH_DASH] = ACTIONS(4914),
    [anon_sym_PLUS_PLUS] = ACTIONS(4914),
    [anon_sym_DOT] = ACTIONS(4921),
    [anon_sym_DOT_STAR] = ACTIONS(4914),
    [anon_sym_DASH_GT] = ACTIONS(4914),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4912),
    [anon_sym_decltype] = ACTIONS(4912),
    [anon_sym_template] = ACTIONS(4912),
    [anon_sym_operator] = ACTIONS(4912),
  },
  [1539] = {
    [sym_template_argument_list] = STATE(1543),
    [sym_identifier] = ACTIONS(4912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4916),
    [anon_sym_COMMA] = ACTIONS(4916),
    [anon_sym_RPAREN] = ACTIONS(4916),
    [anon_sym_LPAREN2] = ACTIONS(4916),
    [anon_sym_TILDE] = ACTIONS(4919),
    [anon_sym_DASH] = ACTIONS(4921),
    [anon_sym_PLUS] = ACTIONS(4921),
    [anon_sym_STAR] = ACTIONS(4923),
    [anon_sym_SLASH] = ACTIONS(4921),
    [anon_sym_PERCENT] = ACTIONS(4921),
    [anon_sym_PIPE_PIPE] = ACTIONS(4914),
    [anon_sym_AMP_AMP] = ACTIONS(4916),
    [anon_sym_PIPE] = ACTIONS(4921),
    [anon_sym_CARET] = ACTIONS(4921),
    [anon_sym_AMP] = ACTIONS(4923),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_GT] = ACTIONS(4921),
    [anon_sym_GT_EQ] = ACTIONS(4914),
    [anon_sym_LT_EQ] = ACTIONS(4921),
    [anon_sym_LT] = ACTIONS(4949),
    [anon_sym_LT_LT] = ACTIONS(4921),
    [anon_sym_GT_GT] = ACTIONS(4921),
    [anon_sym___extension__] = ACTIONS(4912),
    [anon_sym_virtual] = ACTIONS(4912),
    [anon_sym_extern] = ACTIONS(4912),
    [anon_sym___attribute__] = ACTIONS(4912),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4919),
    [anon_sym___declspec] = ACTIONS(4912),
    [anon_sym___based] = ACTIONS(4912),
    [anon_sym_LBRACE] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4923),
    [anon_sym_static] = ACTIONS(4912),
    [anon_sym_EQ] = ACTIONS(4923),
    [anon_sym_register] = ACTIONS(4912),
    [anon_sym_inline] = ACTIONS(4912),
    [anon_sym___inline] = ACTIONS(4912),
    [anon_sym___inline__] = ACTIONS(4912),
    [anon_sym___forceinline] = ACTIONS(4912),
    [anon_sym_thread_local] = ACTIONS(4912),
    [anon_sym___thread] = ACTIONS(4912),
    [anon_sym_const] = ACTIONS(4912),
    [anon_sym_constexpr] = ACTIONS(4912),
    [anon_sym_volatile] = ACTIONS(4912),
    [anon_sym_restrict] = ACTIONS(4912),
    [anon_sym___restrict__] = ACTIONS(4912),
    [anon_sym__Atomic] = ACTIONS(4912),
    [anon_sym__Noreturn] = ACTIONS(4912),
    [anon_sym_noreturn] = ACTIONS(4912),
    [anon_sym__Nonnull] = ACTIONS(4912),
    [anon_sym_mutable] = ACTIONS(4912),
    [anon_sym_constinit] = ACTIONS(4912),
    [anon_sym_consteval] = ACTIONS(4912),
    [anon_sym_PROGMEM] = ACTIONS(4912),
    [anon_sym_alignas] = ACTIONS(4912),
    [anon_sym__Alignas] = ACTIONS(4912),
    [anon_sym_QMARK] = ACTIONS(4914),
    [anon_sym_STAR_EQ] = ACTIONS(4914),
    [anon_sym_SLASH_EQ] = ACTIONS(4914),
    [anon_sym_PERCENT_EQ] = ACTIONS(4914),
    [anon_sym_PLUS_EQ] = ACTIONS(4914),
    [anon_sym_DASH_EQ] = ACTIONS(4914),
    [anon_sym_LT_LT_EQ] = ACTIONS(4914),
    [anon_sym_GT_GT_EQ] = ACTIONS(4914),
    [anon_sym_AMP_EQ] = ACTIONS(4914),
    [anon_sym_CARET_EQ] = ACTIONS(4914),
    [anon_sym_PIPE_EQ] = ACTIONS(4914),
    [anon_sym_and_eq] = ACTIONS(4921),
    [anon_sym_or_eq] = ACTIONS(4921),
    [anon_sym_xor_eq] = ACTIONS(4921),
    [anon_sym_LT_EQ_GT] = ACTIONS(4914),
    [anon_sym_or] = ACTIONS(4921),
    [anon_sym_and] = ACTIONS(4921),
    [anon_sym_bitor] = ACTIONS(4921),
    [anon_sym_xor] = ACTIONS(4921),
    [anon_sym_bitand] = ACTIONS(4921),
    [anon_sym_not_eq] = ACTIONS(4921),
    [anon_sym_DASH_DASH] = ACTIONS(4914),
    [anon_sym_PLUS_PLUS] = ACTIONS(4914),
    [anon_sym_DOT] = ACTIONS(4921),
    [anon_sym_DOT_STAR] = ACTIONS(4914),
    [anon_sym_DASH_GT] = ACTIONS(4921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4912),
    [anon_sym_decltype] = ACTIONS(4912),
    [anon_sym_template] = ACTIONS(4912),
    [anon_sym_operator] = ACTIONS(4912),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4914),
  },
  [1540] = {
    [sym_string_literal] = STATE(2125),
    [sym_template_argument_list] = STATE(1758),
    [sym_raw_string_literal] = STATE(2125),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_RPAREN] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(4126),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4952),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym___extension__] = ACTIONS(4130),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4955),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_signed] = ACTIONS(4957),
    [anon_sym_unsigned] = ACTIONS(4957),
    [anon_sym_long] = ACTIONS(4957),
    [anon_sym_short] = ACTIONS(4957),
    [anon_sym_LBRACK] = ACTIONS(4152),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4130),
    [anon_sym_volatile] = ACTIONS(4130),
    [anon_sym_restrict] = ACTIONS(4130),
    [anon_sym___restrict__] = ACTIONS(4130),
    [anon_sym__Atomic] = ACTIONS(4130),
    [anon_sym__Noreturn] = ACTIONS(4130),
    [anon_sym_noreturn] = ACTIONS(4130),
    [anon_sym__Nonnull] = ACTIONS(4130),
    [anon_sym_mutable] = ACTIONS(4130),
    [anon_sym_constinit] = ACTIONS(4130),
    [anon_sym_consteval] = ACTIONS(4130),
    [anon_sym_PROGMEM] = ACTIONS(4130),
    [anon_sym_alignas] = ACTIONS(4130),
    [anon_sym__Alignas] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4124),
    [anon_sym_SLASH_EQ] = ACTIONS(4124),
    [anon_sym_PERCENT_EQ] = ACTIONS(4124),
    [anon_sym_PLUS_EQ] = ACTIONS(4124),
    [anon_sym_DASH_EQ] = ACTIONS(4124),
    [anon_sym_LT_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT_GT_EQ] = ACTIONS(4124),
    [anon_sym_AMP_EQ] = ACTIONS(4124),
    [anon_sym_CARET_EQ] = ACTIONS(4124),
    [anon_sym_PIPE_EQ] = ACTIONS(4124),
    [anon_sym_and_eq] = ACTIONS(4124),
    [anon_sym_or_eq] = ACTIONS(4124),
    [anon_sym_xor_eq] = ACTIONS(4124),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4132),
    [anon_sym_L_DQUOTE] = ACTIONS(4959),
    [anon_sym_u_DQUOTE] = ACTIONS(4959),
    [anon_sym_U_DQUOTE] = ACTIONS(4959),
    [anon_sym_u8_DQUOTE] = ACTIONS(4959),
    [anon_sym_DQUOTE] = ACTIONS(4959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4130),
    [anon_sym_decltype] = ACTIONS(4130),
    [anon_sym_R_DQUOTE] = ACTIONS(4961),
    [anon_sym_LR_DQUOTE] = ACTIONS(4961),
    [anon_sym_uR_DQUOTE] = ACTIONS(4961),
    [anon_sym_UR_DQUOTE] = ACTIONS(4961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4961),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4124),
  },
  [1541] = {
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4931),
    [anon_sym_COMMA] = ACTIONS(4931),
    [anon_sym_RPAREN] = ACTIONS(4931),
    [anon_sym_LPAREN2] = ACTIONS(4933),
    [anon_sym_TILDE] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4940),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4938),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4933),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4938),
    [anon_sym_GT_GT] = ACTIONS(4938),
    [anon_sym_SEMI] = ACTIONS(4931),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym_virtual] = ACTIONS(4929),
    [anon_sym_extern] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym_COLON_COLON] = ACTIONS(4936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4936),
    [anon_sym___declspec] = ACTIONS(4929),
    [anon_sym___based] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_RBRACE] = ACTIONS(4931),
    [anon_sym_LBRACK] = ACTIONS(4940),
    [anon_sym_static] = ACTIONS(4929),
    [anon_sym_EQ] = ACTIONS(4938),
    [anon_sym_register] = ACTIONS(4929),
    [anon_sym_inline] = ACTIONS(4929),
    [anon_sym___inline] = ACTIONS(4929),
    [anon_sym___inline__] = ACTIONS(4929),
    [anon_sym___forceinline] = ACTIONS(4929),
    [anon_sym_thread_local] = ACTIONS(4929),
    [anon_sym___thread] = ACTIONS(4929),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_PROGMEM] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_STAR_EQ] = ACTIONS(4931),
    [anon_sym_SLASH_EQ] = ACTIONS(4931),
    [anon_sym_PERCENT_EQ] = ACTIONS(4931),
    [anon_sym_PLUS_EQ] = ACTIONS(4931),
    [anon_sym_DASH_EQ] = ACTIONS(4931),
    [anon_sym_LT_LT_EQ] = ACTIONS(4931),
    [anon_sym_GT_GT_EQ] = ACTIONS(4931),
    [anon_sym_AMP_EQ] = ACTIONS(4931),
    [anon_sym_CARET_EQ] = ACTIONS(4931),
    [anon_sym_PIPE_EQ] = ACTIONS(4931),
    [anon_sym_and_eq] = ACTIONS(4938),
    [anon_sym_or_eq] = ACTIONS(4938),
    [anon_sym_xor_eq] = ACTIONS(4938),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_template] = ACTIONS(4929),
    [anon_sym_operator] = ACTIONS(4929),
  },
  [1542] = {
    [sym_identifier] = ACTIONS(4904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4906),
    [anon_sym_COMMA] = ACTIONS(4906),
    [anon_sym_RPAREN] = ACTIONS(4906),
    [anon_sym_LPAREN2] = ACTIONS(4906),
    [anon_sym_TILDE] = ACTIONS(4906),
    [anon_sym_DASH] = ACTIONS(4904),
    [anon_sym_PLUS] = ACTIONS(4904),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_SLASH] = ACTIONS(4904),
    [anon_sym_PERCENT] = ACTIONS(4904),
    [anon_sym_PIPE_PIPE] = ACTIONS(4906),
    [anon_sym_AMP_AMP] = ACTIONS(4906),
    [anon_sym_PIPE] = ACTIONS(4904),
    [anon_sym_CARET] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4904),
    [anon_sym_EQ_EQ] = ACTIONS(4906),
    [anon_sym_BANG_EQ] = ACTIONS(4906),
    [anon_sym_GT] = ACTIONS(4904),
    [anon_sym_GT_EQ] = ACTIONS(4906),
    [anon_sym_LT_EQ] = ACTIONS(4904),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym_LT_LT] = ACTIONS(4904),
    [anon_sym_GT_GT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(4904),
    [anon_sym_virtual] = ACTIONS(4904),
    [anon_sym_extern] = ACTIONS(4904),
    [anon_sym___attribute__] = ACTIONS(4904),
    [anon_sym_COLON_COLON] = ACTIONS(4906),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4906),
    [anon_sym___declspec] = ACTIONS(4904),
    [anon_sym___based] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(4906),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [anon_sym_static] = ACTIONS(4904),
    [anon_sym_EQ] = ACTIONS(4904),
    [anon_sym_register] = ACTIONS(4904),
    [anon_sym_inline] = ACTIONS(4904),
    [anon_sym___inline] = ACTIONS(4904),
    [anon_sym___inline__] = ACTIONS(4904),
    [anon_sym___forceinline] = ACTIONS(4904),
    [anon_sym_thread_local] = ACTIONS(4904),
    [anon_sym___thread] = ACTIONS(4904),
    [anon_sym_const] = ACTIONS(4904),
    [anon_sym_constexpr] = ACTIONS(4904),
    [anon_sym_volatile] = ACTIONS(4904),
    [anon_sym_restrict] = ACTIONS(4904),
    [anon_sym___restrict__] = ACTIONS(4904),
    [anon_sym__Atomic] = ACTIONS(4904),
    [anon_sym__Noreturn] = ACTIONS(4904),
    [anon_sym_noreturn] = ACTIONS(4904),
    [anon_sym__Nonnull] = ACTIONS(4904),
    [anon_sym_mutable] = ACTIONS(4904),
    [anon_sym_constinit] = ACTIONS(4904),
    [anon_sym_consteval] = ACTIONS(4904),
    [anon_sym_PROGMEM] = ACTIONS(4904),
    [anon_sym_alignas] = ACTIONS(4904),
    [anon_sym__Alignas] = ACTIONS(4904),
    [anon_sym_QMARK] = ACTIONS(4906),
    [anon_sym_STAR_EQ] = ACTIONS(4906),
    [anon_sym_SLASH_EQ] = ACTIONS(4906),
    [anon_sym_PERCENT_EQ] = ACTIONS(4906),
    [anon_sym_PLUS_EQ] = ACTIONS(4906),
    [anon_sym_DASH_EQ] = ACTIONS(4906),
    [anon_sym_LT_LT_EQ] = ACTIONS(4906),
    [anon_sym_GT_GT_EQ] = ACTIONS(4906),
    [anon_sym_AMP_EQ] = ACTIONS(4906),
    [anon_sym_CARET_EQ] = ACTIONS(4906),
    [anon_sym_PIPE_EQ] = ACTIONS(4906),
    [anon_sym_and_eq] = ACTIONS(4904),
    [anon_sym_or_eq] = ACTIONS(4904),
    [anon_sym_xor_eq] = ACTIONS(4904),
    [anon_sym_LT_EQ_GT] = ACTIONS(4906),
    [anon_sym_or] = ACTIONS(4904),
    [anon_sym_and] = ACTIONS(4904),
    [anon_sym_bitor] = ACTIONS(4904),
    [anon_sym_xor] = ACTIONS(4904),
    [anon_sym_bitand] = ACTIONS(4904),
    [anon_sym_not_eq] = ACTIONS(4904),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DOT] = ACTIONS(4904),
    [anon_sym_DOT_STAR] = ACTIONS(4906),
    [anon_sym_DASH_GT] = ACTIONS(4904),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4904),
    [anon_sym_decltype] = ACTIONS(4904),
    [anon_sym_template] = ACTIONS(4904),
    [anon_sym_operator] = ACTIONS(4904),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4906),
  },
  [1543] = {
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4933),
    [anon_sym_COMMA] = ACTIONS(4933),
    [anon_sym_RPAREN] = ACTIONS(4933),
    [anon_sym_LPAREN2] = ACTIONS(4933),
    [anon_sym_TILDE] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4940),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4938),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4933),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4938),
    [anon_sym_GT_GT] = ACTIONS(4938),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym_virtual] = ACTIONS(4929),
    [anon_sym_extern] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym_COLON_COLON] = ACTIONS(4936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4936),
    [anon_sym___declspec] = ACTIONS(4929),
    [anon_sym___based] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_LBRACK] = ACTIONS(4940),
    [anon_sym_static] = ACTIONS(4929),
    [anon_sym_EQ] = ACTIONS(4940),
    [anon_sym_register] = ACTIONS(4929),
    [anon_sym_inline] = ACTIONS(4929),
    [anon_sym___inline] = ACTIONS(4929),
    [anon_sym___inline__] = ACTIONS(4929),
    [anon_sym___forceinline] = ACTIONS(4929),
    [anon_sym_thread_local] = ACTIONS(4929),
    [anon_sym___thread] = ACTIONS(4929),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_PROGMEM] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_STAR_EQ] = ACTIONS(4931),
    [anon_sym_SLASH_EQ] = ACTIONS(4931),
    [anon_sym_PERCENT_EQ] = ACTIONS(4931),
    [anon_sym_PLUS_EQ] = ACTIONS(4931),
    [anon_sym_DASH_EQ] = ACTIONS(4931),
    [anon_sym_LT_LT_EQ] = ACTIONS(4931),
    [anon_sym_GT_GT_EQ] = ACTIONS(4931),
    [anon_sym_AMP_EQ] = ACTIONS(4931),
    [anon_sym_CARET_EQ] = ACTIONS(4931),
    [anon_sym_PIPE_EQ] = ACTIONS(4931),
    [anon_sym_and_eq] = ACTIONS(4938),
    [anon_sym_or_eq] = ACTIONS(4938),
    [anon_sym_xor_eq] = ACTIONS(4938),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_template] = ACTIONS(4929),
    [anon_sym_operator] = ACTIONS(4929),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4931),
  },
  [1544] = {
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_TILDE] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4896),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4896),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4896),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4896),
    [anon_sym_GT_GT] = ACTIONS(4896),
    [anon_sym___extension__] = ACTIONS(4896),
    [anon_sym_virtual] = ACTIONS(4896),
    [anon_sym_extern] = ACTIONS(4896),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym_COLON_COLON] = ACTIONS(4898),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4898),
    [anon_sym___declspec] = ACTIONS(4896),
    [anon_sym___based] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4896),
    [anon_sym_static] = ACTIONS(4896),
    [anon_sym_EQ] = ACTIONS(4896),
    [anon_sym_register] = ACTIONS(4896),
    [anon_sym_inline] = ACTIONS(4896),
    [anon_sym___inline] = ACTIONS(4896),
    [anon_sym___inline__] = ACTIONS(4896),
    [anon_sym___forceinline] = ACTIONS(4896),
    [anon_sym_thread_local] = ACTIONS(4896),
    [anon_sym___thread] = ACTIONS(4896),
    [anon_sym_const] = ACTIONS(4896),
    [anon_sym_constexpr] = ACTIONS(4896),
    [anon_sym_volatile] = ACTIONS(4896),
    [anon_sym_restrict] = ACTIONS(4896),
    [anon_sym___restrict__] = ACTIONS(4896),
    [anon_sym__Atomic] = ACTIONS(4896),
    [anon_sym__Noreturn] = ACTIONS(4896),
    [anon_sym_noreturn] = ACTIONS(4896),
    [anon_sym__Nonnull] = ACTIONS(4896),
    [anon_sym_mutable] = ACTIONS(4896),
    [anon_sym_constinit] = ACTIONS(4896),
    [anon_sym_consteval] = ACTIONS(4896),
    [anon_sym_PROGMEM] = ACTIONS(4896),
    [anon_sym_alignas] = ACTIONS(4896),
    [anon_sym__Alignas] = ACTIONS(4896),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_STAR_EQ] = ACTIONS(4898),
    [anon_sym_SLASH_EQ] = ACTIONS(4898),
    [anon_sym_PERCENT_EQ] = ACTIONS(4898),
    [anon_sym_PLUS_EQ] = ACTIONS(4898),
    [anon_sym_DASH_EQ] = ACTIONS(4898),
    [anon_sym_LT_LT_EQ] = ACTIONS(4898),
    [anon_sym_GT_GT_EQ] = ACTIONS(4898),
    [anon_sym_AMP_EQ] = ACTIONS(4898),
    [anon_sym_CARET_EQ] = ACTIONS(4898),
    [anon_sym_PIPE_EQ] = ACTIONS(4898),
    [anon_sym_and_eq] = ACTIONS(4896),
    [anon_sym_or_eq] = ACTIONS(4896),
    [anon_sym_xor_eq] = ACTIONS(4896),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_template] = ACTIONS(4896),
    [anon_sym_operator] = ACTIONS(4896),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4898),
  },
  [1545] = {
    [sym_identifier] = ACTIONS(4888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4890),
    [anon_sym_COMMA] = ACTIONS(4890),
    [anon_sym_RPAREN] = ACTIONS(4890),
    [anon_sym_LPAREN2] = ACTIONS(4890),
    [anon_sym_TILDE] = ACTIONS(4890),
    [anon_sym_DASH] = ACTIONS(4888),
    [anon_sym_PLUS] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4888),
    [anon_sym_SLASH] = ACTIONS(4888),
    [anon_sym_PERCENT] = ACTIONS(4888),
    [anon_sym_PIPE_PIPE] = ACTIONS(4890),
    [anon_sym_AMP_AMP] = ACTIONS(4890),
    [anon_sym_PIPE] = ACTIONS(4888),
    [anon_sym_CARET] = ACTIONS(4888),
    [anon_sym_AMP] = ACTIONS(4888),
    [anon_sym_EQ_EQ] = ACTIONS(4890),
    [anon_sym_BANG_EQ] = ACTIONS(4890),
    [anon_sym_GT] = ACTIONS(4888),
    [anon_sym_GT_EQ] = ACTIONS(4890),
    [anon_sym_LT_EQ] = ACTIONS(4888),
    [anon_sym_LT] = ACTIONS(4888),
    [anon_sym_LT_LT] = ACTIONS(4888),
    [anon_sym_GT_GT] = ACTIONS(4888),
    [anon_sym___extension__] = ACTIONS(4888),
    [anon_sym_virtual] = ACTIONS(4888),
    [anon_sym_extern] = ACTIONS(4888),
    [anon_sym___attribute__] = ACTIONS(4888),
    [anon_sym_COLON_COLON] = ACTIONS(4890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4890),
    [anon_sym___declspec] = ACTIONS(4888),
    [anon_sym___based] = ACTIONS(4888),
    [anon_sym_LBRACE] = ACTIONS(4890),
    [anon_sym_LBRACK] = ACTIONS(4888),
    [anon_sym_static] = ACTIONS(4888),
    [anon_sym_EQ] = ACTIONS(4888),
    [anon_sym_register] = ACTIONS(4888),
    [anon_sym_inline] = ACTIONS(4888),
    [anon_sym___inline] = ACTIONS(4888),
    [anon_sym___inline__] = ACTIONS(4888),
    [anon_sym___forceinline] = ACTIONS(4888),
    [anon_sym_thread_local] = ACTIONS(4888),
    [anon_sym___thread] = ACTIONS(4888),
    [anon_sym_const] = ACTIONS(4888),
    [anon_sym_constexpr] = ACTIONS(4888),
    [anon_sym_volatile] = ACTIONS(4888),
    [anon_sym_restrict] = ACTIONS(4888),
    [anon_sym___restrict__] = ACTIONS(4888),
    [anon_sym__Atomic] = ACTIONS(4888),
    [anon_sym__Noreturn] = ACTIONS(4888),
    [anon_sym_noreturn] = ACTIONS(4888),
    [anon_sym__Nonnull] = ACTIONS(4888),
    [anon_sym_mutable] = ACTIONS(4888),
    [anon_sym_constinit] = ACTIONS(4888),
    [anon_sym_consteval] = ACTIONS(4888),
    [anon_sym_PROGMEM] = ACTIONS(4888),
    [anon_sym_alignas] = ACTIONS(4888),
    [anon_sym__Alignas] = ACTIONS(4888),
    [anon_sym_QMARK] = ACTIONS(4890),
    [anon_sym_STAR_EQ] = ACTIONS(4890),
    [anon_sym_SLASH_EQ] = ACTIONS(4890),
    [anon_sym_PERCENT_EQ] = ACTIONS(4890),
    [anon_sym_PLUS_EQ] = ACTIONS(4890),
    [anon_sym_DASH_EQ] = ACTIONS(4890),
    [anon_sym_LT_LT_EQ] = ACTIONS(4890),
    [anon_sym_GT_GT_EQ] = ACTIONS(4890),
    [anon_sym_AMP_EQ] = ACTIONS(4890),
    [anon_sym_CARET_EQ] = ACTIONS(4890),
    [anon_sym_PIPE_EQ] = ACTIONS(4890),
    [anon_sym_and_eq] = ACTIONS(4888),
    [anon_sym_or_eq] = ACTIONS(4888),
    [anon_sym_xor_eq] = ACTIONS(4888),
    [anon_sym_LT_EQ_GT] = ACTIONS(4890),
    [anon_sym_or] = ACTIONS(4888),
    [anon_sym_and] = ACTIONS(4888),
    [anon_sym_bitor] = ACTIONS(4888),
    [anon_sym_xor] = ACTIONS(4888),
    [anon_sym_bitand] = ACTIONS(4888),
    [anon_sym_not_eq] = ACTIONS(4888),
    [anon_sym_DASH_DASH] = ACTIONS(4890),
    [anon_sym_PLUS_PLUS] = ACTIONS(4890),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_DOT_STAR] = ACTIONS(4890),
    [anon_sym_DASH_GT] = ACTIONS(4888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4888),
    [anon_sym_decltype] = ACTIONS(4888),
    [anon_sym_template] = ACTIONS(4888),
    [anon_sym_operator] = ACTIONS(4888),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4890),
  },
  [1546] = {
    [sym_string_literal] = STATE(2125),
    [sym_template_argument_list] = STATE(1831),
    [sym_raw_string_literal] = STATE(2125),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_RPAREN] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4963),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym___extension__] = ACTIONS(4130),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_signed] = ACTIONS(4957),
    [anon_sym_unsigned] = ACTIONS(4957),
    [anon_sym_long] = ACTIONS(4957),
    [anon_sym_short] = ACTIONS(4957),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4130),
    [anon_sym_volatile] = ACTIONS(4130),
    [anon_sym_restrict] = ACTIONS(4130),
    [anon_sym___restrict__] = ACTIONS(4130),
    [anon_sym__Atomic] = ACTIONS(4130),
    [anon_sym__Noreturn] = ACTIONS(4130),
    [anon_sym_noreturn] = ACTIONS(4130),
    [anon_sym__Nonnull] = ACTIONS(4130),
    [anon_sym_mutable] = ACTIONS(4130),
    [anon_sym_constinit] = ACTIONS(4130),
    [anon_sym_consteval] = ACTIONS(4130),
    [anon_sym_PROGMEM] = ACTIONS(4130),
    [anon_sym_alignas] = ACTIONS(4130),
    [anon_sym__Alignas] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4124),
    [anon_sym_SLASH_EQ] = ACTIONS(4124),
    [anon_sym_PERCENT_EQ] = ACTIONS(4124),
    [anon_sym_PLUS_EQ] = ACTIONS(4124),
    [anon_sym_DASH_EQ] = ACTIONS(4124),
    [anon_sym_LT_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT_GT_EQ] = ACTIONS(4124),
    [anon_sym_AMP_EQ] = ACTIONS(4124),
    [anon_sym_CARET_EQ] = ACTIONS(4124),
    [anon_sym_PIPE_EQ] = ACTIONS(4124),
    [anon_sym_and_eq] = ACTIONS(4124),
    [anon_sym_or_eq] = ACTIONS(4124),
    [anon_sym_xor_eq] = ACTIONS(4124),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4132),
    [anon_sym_L_DQUOTE] = ACTIONS(4959),
    [anon_sym_u_DQUOTE] = ACTIONS(4959),
    [anon_sym_U_DQUOTE] = ACTIONS(4959),
    [anon_sym_u8_DQUOTE] = ACTIONS(4959),
    [anon_sym_DQUOTE] = ACTIONS(4959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4130),
    [anon_sym_decltype] = ACTIONS(4130),
    [anon_sym_R_DQUOTE] = ACTIONS(4961),
    [anon_sym_LR_DQUOTE] = ACTIONS(4961),
    [anon_sym_uR_DQUOTE] = ACTIONS(4961),
    [anon_sym_UR_DQUOTE] = ACTIONS(4961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4961),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4124),
  },
  [1547] = {
    [sym_identifier] = ACTIONS(4900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4902),
    [anon_sym_COMMA] = ACTIONS(4902),
    [anon_sym_RPAREN] = ACTIONS(4902),
    [anon_sym_LPAREN2] = ACTIONS(4902),
    [anon_sym_TILDE] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4900),
    [anon_sym_STAR] = ACTIONS(4900),
    [anon_sym_SLASH] = ACTIONS(4900),
    [anon_sym_PERCENT] = ACTIONS(4900),
    [anon_sym_PIPE_PIPE] = ACTIONS(4902),
    [anon_sym_AMP_AMP] = ACTIONS(4902),
    [anon_sym_PIPE] = ACTIONS(4900),
    [anon_sym_CARET] = ACTIONS(4900),
    [anon_sym_AMP] = ACTIONS(4900),
    [anon_sym_EQ_EQ] = ACTIONS(4902),
    [anon_sym_BANG_EQ] = ACTIONS(4902),
    [anon_sym_GT] = ACTIONS(4900),
    [anon_sym_GT_EQ] = ACTIONS(4902),
    [anon_sym_LT_EQ] = ACTIONS(4900),
    [anon_sym_LT] = ACTIONS(4900),
    [anon_sym_LT_LT] = ACTIONS(4900),
    [anon_sym_GT_GT] = ACTIONS(4900),
    [anon_sym___extension__] = ACTIONS(4900),
    [anon_sym_virtual] = ACTIONS(4900),
    [anon_sym_extern] = ACTIONS(4900),
    [anon_sym___attribute__] = ACTIONS(4900),
    [anon_sym_COLON_COLON] = ACTIONS(4902),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4902),
    [anon_sym___declspec] = ACTIONS(4900),
    [anon_sym___based] = ACTIONS(4900),
    [anon_sym_LBRACE] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4900),
    [anon_sym_static] = ACTIONS(4900),
    [anon_sym_EQ] = ACTIONS(4900),
    [anon_sym_register] = ACTIONS(4900),
    [anon_sym_inline] = ACTIONS(4900),
    [anon_sym___inline] = ACTIONS(4900),
    [anon_sym___inline__] = ACTIONS(4900),
    [anon_sym___forceinline] = ACTIONS(4900),
    [anon_sym_thread_local] = ACTIONS(4900),
    [anon_sym___thread] = ACTIONS(4900),
    [anon_sym_const] = ACTIONS(4900),
    [anon_sym_constexpr] = ACTIONS(4900),
    [anon_sym_volatile] = ACTIONS(4900),
    [anon_sym_restrict] = ACTIONS(4900),
    [anon_sym___restrict__] = ACTIONS(4900),
    [anon_sym__Atomic] = ACTIONS(4900),
    [anon_sym__Noreturn] = ACTIONS(4900),
    [anon_sym_noreturn] = ACTIONS(4900),
    [anon_sym__Nonnull] = ACTIONS(4900),
    [anon_sym_mutable] = ACTIONS(4900),
    [anon_sym_constinit] = ACTIONS(4900),
    [anon_sym_consteval] = ACTIONS(4900),
    [anon_sym_PROGMEM] = ACTIONS(4900),
    [anon_sym_alignas] = ACTIONS(4900),
    [anon_sym__Alignas] = ACTIONS(4900),
    [anon_sym_QMARK] = ACTIONS(4902),
    [anon_sym_STAR_EQ] = ACTIONS(4902),
    [anon_sym_SLASH_EQ] = ACTIONS(4902),
    [anon_sym_PERCENT_EQ] = ACTIONS(4902),
    [anon_sym_PLUS_EQ] = ACTIONS(4902),
    [anon_sym_DASH_EQ] = ACTIONS(4902),
    [anon_sym_LT_LT_EQ] = ACTIONS(4902),
    [anon_sym_GT_GT_EQ] = ACTIONS(4902),
    [anon_sym_AMP_EQ] = ACTIONS(4902),
    [anon_sym_CARET_EQ] = ACTIONS(4902),
    [anon_sym_PIPE_EQ] = ACTIONS(4902),
    [anon_sym_and_eq] = ACTIONS(4900),
    [anon_sym_or_eq] = ACTIONS(4900),
    [anon_sym_xor_eq] = ACTIONS(4900),
    [anon_sym_LT_EQ_GT] = ACTIONS(4902),
    [anon_sym_or] = ACTIONS(4900),
    [anon_sym_and] = ACTIONS(4900),
    [anon_sym_bitor] = ACTIONS(4900),
    [anon_sym_xor] = ACTIONS(4900),
    [anon_sym_bitand] = ACTIONS(4900),
    [anon_sym_not_eq] = ACTIONS(4900),
    [anon_sym_DASH_DASH] = ACTIONS(4902),
    [anon_sym_PLUS_PLUS] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_DOT_STAR] = ACTIONS(4902),
    [anon_sym_DASH_GT] = ACTIONS(4900),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4900),
    [anon_sym_decltype] = ACTIONS(4900),
    [anon_sym_template] = ACTIONS(4900),
    [anon_sym_operator] = ACTIONS(4900),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4902),
  },
  [1548] = {
    [sym_template_argument_list] = STATE(1557),
    [sym_identifier] = ACTIONS(4912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4916),
    [anon_sym_COMMA] = ACTIONS(4916),
    [anon_sym_RPAREN] = ACTIONS(4916),
    [anon_sym_LPAREN2] = ACTIONS(4916),
    [anon_sym_TILDE] = ACTIONS(4919),
    [anon_sym_DASH] = ACTIONS(4921),
    [anon_sym_PLUS] = ACTIONS(4921),
    [anon_sym_STAR] = ACTIONS(4923),
    [anon_sym_SLASH] = ACTIONS(4921),
    [anon_sym_PERCENT] = ACTIONS(4921),
    [anon_sym_PIPE_PIPE] = ACTIONS(4914),
    [anon_sym_AMP_AMP] = ACTIONS(4916),
    [anon_sym_PIPE] = ACTIONS(4921),
    [anon_sym_CARET] = ACTIONS(4921),
    [anon_sym_AMP] = ACTIONS(4923),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_GT] = ACTIONS(4921),
    [anon_sym_GT_EQ] = ACTIONS(4914),
    [anon_sym_LT_EQ] = ACTIONS(4921),
    [anon_sym_LT] = ACTIONS(4926),
    [anon_sym_LT_LT] = ACTIONS(4921),
    [anon_sym_GT_GT] = ACTIONS(4921),
    [anon_sym___extension__] = ACTIONS(4912),
    [anon_sym_virtual] = ACTIONS(4912),
    [anon_sym_extern] = ACTIONS(4912),
    [anon_sym___attribute__] = ACTIONS(4912),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4919),
    [anon_sym___declspec] = ACTIONS(4912),
    [anon_sym___based] = ACTIONS(4912),
    [anon_sym_LBRACE] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4923),
    [anon_sym_static] = ACTIONS(4912),
    [anon_sym_EQ] = ACTIONS(4923),
    [anon_sym_register] = ACTIONS(4912),
    [anon_sym_inline] = ACTIONS(4912),
    [anon_sym___inline] = ACTIONS(4912),
    [anon_sym___inline__] = ACTIONS(4912),
    [anon_sym___forceinline] = ACTIONS(4912),
    [anon_sym_thread_local] = ACTIONS(4912),
    [anon_sym___thread] = ACTIONS(4912),
    [anon_sym_const] = ACTIONS(4912),
    [anon_sym_constexpr] = ACTIONS(4912),
    [anon_sym_volatile] = ACTIONS(4912),
    [anon_sym_restrict] = ACTIONS(4912),
    [anon_sym___restrict__] = ACTIONS(4912),
    [anon_sym__Atomic] = ACTIONS(4912),
    [anon_sym__Noreturn] = ACTIONS(4912),
    [anon_sym_noreturn] = ACTIONS(4912),
    [anon_sym__Nonnull] = ACTIONS(4912),
    [anon_sym_mutable] = ACTIONS(4912),
    [anon_sym_constinit] = ACTIONS(4912),
    [anon_sym_consteval] = ACTIONS(4912),
    [anon_sym_PROGMEM] = ACTIONS(4912),
    [anon_sym_alignas] = ACTIONS(4912),
    [anon_sym__Alignas] = ACTIONS(4912),
    [anon_sym_QMARK] = ACTIONS(4914),
    [anon_sym_STAR_EQ] = ACTIONS(4914),
    [anon_sym_SLASH_EQ] = ACTIONS(4914),
    [anon_sym_PERCENT_EQ] = ACTIONS(4914),
    [anon_sym_PLUS_EQ] = ACTIONS(4914),
    [anon_sym_DASH_EQ] = ACTIONS(4914),
    [anon_sym_LT_LT_EQ] = ACTIONS(4914),
    [anon_sym_GT_GT_EQ] = ACTIONS(4914),
    [anon_sym_AMP_EQ] = ACTIONS(4914),
    [anon_sym_CARET_EQ] = ACTIONS(4914),
    [anon_sym_PIPE_EQ] = ACTIONS(4914),
    [anon_sym_and_eq] = ACTIONS(4921),
    [anon_sym_or_eq] = ACTIONS(4921),
    [anon_sym_xor_eq] = ACTIONS(4921),
    [anon_sym_LT_EQ_GT] = ACTIONS(4914),
    [anon_sym_or] = ACTIONS(4921),
    [anon_sym_and] = ACTIONS(4921),
    [anon_sym_bitor] = ACTIONS(4921),
    [anon_sym_xor] = ACTIONS(4921),
    [anon_sym_bitand] = ACTIONS(4921),
    [anon_sym_not_eq] = ACTIONS(4921),
    [anon_sym_DASH_DASH] = ACTIONS(4914),
    [anon_sym_PLUS_PLUS] = ACTIONS(4914),
    [anon_sym_DOT] = ACTIONS(4921),
    [anon_sym_DOT_STAR] = ACTIONS(4914),
    [anon_sym_DASH_GT] = ACTIONS(4914),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4912),
    [anon_sym_decltype] = ACTIONS(4912),
    [anon_sym_template] = ACTIONS(4912),
    [anon_sym_operator] = ACTIONS(4912),
  },
  [1549] = {
    [sym_identifier] = ACTIONS(4908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4910),
    [anon_sym_COMMA] = ACTIONS(4910),
    [anon_sym_RPAREN] = ACTIONS(4910),
    [anon_sym_LPAREN2] = ACTIONS(4910),
    [anon_sym_TILDE] = ACTIONS(4910),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_STAR] = ACTIONS(4908),
    [anon_sym_SLASH] = ACTIONS(4908),
    [anon_sym_PERCENT] = ACTIONS(4908),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4910),
    [anon_sym_PIPE] = ACTIONS(4908),
    [anon_sym_CARET] = ACTIONS(4908),
    [anon_sym_AMP] = ACTIONS(4908),
    [anon_sym_EQ_EQ] = ACTIONS(4910),
    [anon_sym_BANG_EQ] = ACTIONS(4910),
    [anon_sym_GT] = ACTIONS(4908),
    [anon_sym_GT_EQ] = ACTIONS(4910),
    [anon_sym_LT_EQ] = ACTIONS(4908),
    [anon_sym_LT] = ACTIONS(4908),
    [anon_sym_LT_LT] = ACTIONS(4908),
    [anon_sym_GT_GT] = ACTIONS(4908),
    [anon_sym___extension__] = ACTIONS(4908),
    [anon_sym_virtual] = ACTIONS(4908),
    [anon_sym_extern] = ACTIONS(4908),
    [anon_sym___attribute__] = ACTIONS(4908),
    [anon_sym_COLON_COLON] = ACTIONS(4910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4910),
    [anon_sym___declspec] = ACTIONS(4908),
    [anon_sym___based] = ACTIONS(4908),
    [anon_sym_LBRACE] = ACTIONS(4910),
    [anon_sym_LBRACK] = ACTIONS(4908),
    [anon_sym_static] = ACTIONS(4908),
    [anon_sym_EQ] = ACTIONS(4908),
    [anon_sym_register] = ACTIONS(4908),
    [anon_sym_inline] = ACTIONS(4908),
    [anon_sym___inline] = ACTIONS(4908),
    [anon_sym___inline__] = ACTIONS(4908),
    [anon_sym___forceinline] = ACTIONS(4908),
    [anon_sym_thread_local] = ACTIONS(4908),
    [anon_sym___thread] = ACTIONS(4908),
    [anon_sym_const] = ACTIONS(4908),
    [anon_sym_constexpr] = ACTIONS(4908),
    [anon_sym_volatile] = ACTIONS(4908),
    [anon_sym_restrict] = ACTIONS(4908),
    [anon_sym___restrict__] = ACTIONS(4908),
    [anon_sym__Atomic] = ACTIONS(4908),
    [anon_sym__Noreturn] = ACTIONS(4908),
    [anon_sym_noreturn] = ACTIONS(4908),
    [anon_sym__Nonnull] = ACTIONS(4908),
    [anon_sym_mutable] = ACTIONS(4908),
    [anon_sym_constinit] = ACTIONS(4908),
    [anon_sym_consteval] = ACTIONS(4908),
    [anon_sym_PROGMEM] = ACTIONS(4908),
    [anon_sym_alignas] = ACTIONS(4908),
    [anon_sym__Alignas] = ACTIONS(4908),
    [anon_sym_QMARK] = ACTIONS(4910),
    [anon_sym_STAR_EQ] = ACTIONS(4910),
    [anon_sym_SLASH_EQ] = ACTIONS(4910),
    [anon_sym_PERCENT_EQ] = ACTIONS(4910),
    [anon_sym_PLUS_EQ] = ACTIONS(4910),
    [anon_sym_DASH_EQ] = ACTIONS(4910),
    [anon_sym_LT_LT_EQ] = ACTIONS(4910),
    [anon_sym_GT_GT_EQ] = ACTIONS(4910),
    [anon_sym_AMP_EQ] = ACTIONS(4910),
    [anon_sym_CARET_EQ] = ACTIONS(4910),
    [anon_sym_PIPE_EQ] = ACTIONS(4910),
    [anon_sym_and_eq] = ACTIONS(4908),
    [anon_sym_or_eq] = ACTIONS(4908),
    [anon_sym_xor_eq] = ACTIONS(4908),
    [anon_sym_LT_EQ_GT] = ACTIONS(4910),
    [anon_sym_or] = ACTIONS(4908),
    [anon_sym_and] = ACTIONS(4908),
    [anon_sym_bitor] = ACTIONS(4908),
    [anon_sym_xor] = ACTIONS(4908),
    [anon_sym_bitand] = ACTIONS(4908),
    [anon_sym_not_eq] = ACTIONS(4908),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_DOT] = ACTIONS(4908),
    [anon_sym_DOT_STAR] = ACTIONS(4910),
    [anon_sym_DASH_GT] = ACTIONS(4908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4908),
    [anon_sym_decltype] = ACTIONS(4908),
    [anon_sym_template] = ACTIONS(4908),
    [anon_sym_operator] = ACTIONS(4908),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4910),
  },
  [1550] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(4886),
    [anon_sym_TILDE] = ACTIONS(4886),
    [anon_sym_DASH] = ACTIONS(4884),
    [anon_sym_PLUS] = ACTIONS(4884),
    [anon_sym_STAR] = ACTIONS(4884),
    [anon_sym_SLASH] = ACTIONS(4884),
    [anon_sym_PERCENT] = ACTIONS(4884),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4886),
    [anon_sym_PIPE] = ACTIONS(4884),
    [anon_sym_CARET] = ACTIONS(4884),
    [anon_sym_AMP] = ACTIONS(4884),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4884),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4884),
    [anon_sym_LT] = ACTIONS(4884),
    [anon_sym_LT_LT] = ACTIONS(4884),
    [anon_sym_GT_GT] = ACTIONS(4884),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4886),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4884),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_PROGMEM] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4884),
    [anon_sym_or_eq] = ACTIONS(4884),
    [anon_sym_xor_eq] = ACTIONS(4884),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4884),
    [anon_sym_and] = ACTIONS(4884),
    [anon_sym_bitor] = ACTIONS(4884),
    [anon_sym_xor] = ACTIONS(4884),
    [anon_sym_bitand] = ACTIONS(4884),
    [anon_sym_not_eq] = ACTIONS(4884),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4884),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4886),
  },
  [1551] = {
    [sym_identifier] = ACTIONS(4892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4894),
    [anon_sym_COMMA] = ACTIONS(4894),
    [anon_sym_RPAREN] = ACTIONS(4894),
    [anon_sym_LPAREN2] = ACTIONS(4894),
    [anon_sym_TILDE] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4892),
    [anon_sym_STAR] = ACTIONS(4892),
    [anon_sym_SLASH] = ACTIONS(4892),
    [anon_sym_PERCENT] = ACTIONS(4892),
    [anon_sym_PIPE_PIPE] = ACTIONS(4894),
    [anon_sym_AMP_AMP] = ACTIONS(4894),
    [anon_sym_PIPE] = ACTIONS(4892),
    [anon_sym_CARET] = ACTIONS(4892),
    [anon_sym_AMP] = ACTIONS(4892),
    [anon_sym_EQ_EQ] = ACTIONS(4894),
    [anon_sym_BANG_EQ] = ACTIONS(4894),
    [anon_sym_GT] = ACTIONS(4892),
    [anon_sym_GT_EQ] = ACTIONS(4894),
    [anon_sym_LT_EQ] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym_LT_LT] = ACTIONS(4892),
    [anon_sym_GT_GT] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(4892),
    [anon_sym_virtual] = ACTIONS(4892),
    [anon_sym_extern] = ACTIONS(4892),
    [anon_sym___attribute__] = ACTIONS(4892),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4894),
    [anon_sym___declspec] = ACTIONS(4892),
    [anon_sym___based] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4892),
    [anon_sym_static] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(4892),
    [anon_sym_register] = ACTIONS(4892),
    [anon_sym_inline] = ACTIONS(4892),
    [anon_sym___inline] = ACTIONS(4892),
    [anon_sym___inline__] = ACTIONS(4892),
    [anon_sym___forceinline] = ACTIONS(4892),
    [anon_sym_thread_local] = ACTIONS(4892),
    [anon_sym___thread] = ACTIONS(4892),
    [anon_sym_const] = ACTIONS(4892),
    [anon_sym_constexpr] = ACTIONS(4892),
    [anon_sym_volatile] = ACTIONS(4892),
    [anon_sym_restrict] = ACTIONS(4892),
    [anon_sym___restrict__] = ACTIONS(4892),
    [anon_sym__Atomic] = ACTIONS(4892),
    [anon_sym__Noreturn] = ACTIONS(4892),
    [anon_sym_noreturn] = ACTIONS(4892),
    [anon_sym__Nonnull] = ACTIONS(4892),
    [anon_sym_mutable] = ACTIONS(4892),
    [anon_sym_constinit] = ACTIONS(4892),
    [anon_sym_consteval] = ACTIONS(4892),
    [anon_sym_PROGMEM] = ACTIONS(4892),
    [anon_sym_alignas] = ACTIONS(4892),
    [anon_sym__Alignas] = ACTIONS(4892),
    [anon_sym_QMARK] = ACTIONS(4894),
    [anon_sym_STAR_EQ] = ACTIONS(4894),
    [anon_sym_SLASH_EQ] = ACTIONS(4894),
    [anon_sym_PERCENT_EQ] = ACTIONS(4894),
    [anon_sym_PLUS_EQ] = ACTIONS(4894),
    [anon_sym_DASH_EQ] = ACTIONS(4894),
    [anon_sym_LT_LT_EQ] = ACTIONS(4894),
    [anon_sym_GT_GT_EQ] = ACTIONS(4894),
    [anon_sym_AMP_EQ] = ACTIONS(4894),
    [anon_sym_CARET_EQ] = ACTIONS(4894),
    [anon_sym_PIPE_EQ] = ACTIONS(4894),
    [anon_sym_and_eq] = ACTIONS(4892),
    [anon_sym_or_eq] = ACTIONS(4892),
    [anon_sym_xor_eq] = ACTIONS(4892),
    [anon_sym_LT_EQ_GT] = ACTIONS(4894),
    [anon_sym_or] = ACTIONS(4892),
    [anon_sym_and] = ACTIONS(4892),
    [anon_sym_bitor] = ACTIONS(4892),
    [anon_sym_xor] = ACTIONS(4892),
    [anon_sym_bitand] = ACTIONS(4892),
    [anon_sym_not_eq] = ACTIONS(4892),
    [anon_sym_DASH_DASH] = ACTIONS(4894),
    [anon_sym_PLUS_PLUS] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_DOT_STAR] = ACTIONS(4894),
    [anon_sym_DASH_GT] = ACTIONS(4892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4892),
    [anon_sym_decltype] = ACTIONS(4892),
    [anon_sym_template] = ACTIONS(4892),
    [anon_sym_operator] = ACTIONS(4892),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4894),
  },
  [1552] = {
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_TILDE] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4898),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4898),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4898),
    [anon_sym_GT_GT] = ACTIONS(4898),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(4896),
    [anon_sym_virtual] = ACTIONS(4896),
    [anon_sym_extern] = ACTIONS(4896),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym_COLON_COLON] = ACTIONS(4898),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4898),
    [anon_sym___declspec] = ACTIONS(4896),
    [anon_sym___based] = ACTIONS(4896),
    [anon_sym___cdecl] = ACTIONS(4896),
    [anon_sym___clrcall] = ACTIONS(4896),
    [anon_sym___stdcall] = ACTIONS(4896),
    [anon_sym___fastcall] = ACTIONS(4896),
    [anon_sym___thiscall] = ACTIONS(4896),
    [anon_sym___vectorcall] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_RBRACE] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4896),
    [anon_sym_static] = ACTIONS(4896),
    [anon_sym_EQ] = ACTIONS(4896),
    [anon_sym_register] = ACTIONS(4896),
    [anon_sym_inline] = ACTIONS(4896),
    [anon_sym___inline] = ACTIONS(4896),
    [anon_sym___inline__] = ACTIONS(4896),
    [anon_sym___forceinline] = ACTIONS(4896),
    [anon_sym_thread_local] = ACTIONS(4896),
    [anon_sym___thread] = ACTIONS(4896),
    [anon_sym_const] = ACTIONS(4896),
    [anon_sym_constexpr] = ACTIONS(4896),
    [anon_sym_volatile] = ACTIONS(4896),
    [anon_sym_restrict] = ACTIONS(4896),
    [anon_sym___restrict__] = ACTIONS(4896),
    [anon_sym__Atomic] = ACTIONS(4896),
    [anon_sym__Noreturn] = ACTIONS(4896),
    [anon_sym_noreturn] = ACTIONS(4896),
    [anon_sym__Nonnull] = ACTIONS(4896),
    [anon_sym_mutable] = ACTIONS(4896),
    [anon_sym_constinit] = ACTIONS(4896),
    [anon_sym_consteval] = ACTIONS(4896),
    [anon_sym_PROGMEM] = ACTIONS(4896),
    [anon_sym_alignas] = ACTIONS(4896),
    [anon_sym__Alignas] = ACTIONS(4896),
    [anon_sym_COLON] = ACTIONS(4896),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_final] = ACTIONS(4896),
    [anon_sym_override] = ACTIONS(4896),
    [anon_sym_template] = ACTIONS(4896),
    [anon_sym_operator] = ACTIONS(4896),
    [anon_sym_try] = ACTIONS(4896),
    [anon_sym_requires] = ACTIONS(4896),
  },
  [1553] = {
    [sym_string_literal] = STATE(3419),
    [sym_template_argument_list] = STATE(2739),
    [sym_raw_string_literal] = STATE(3419),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4132),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym___extension__] = ACTIONS(4130),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_signed] = ACTIONS(4969),
    [anon_sym_unsigned] = ACTIONS(4969),
    [anon_sym_long] = ACTIONS(4969),
    [anon_sym_short] = ACTIONS(4969),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4971),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4130),
    [anon_sym_volatile] = ACTIONS(4130),
    [anon_sym_restrict] = ACTIONS(4130),
    [anon_sym___restrict__] = ACTIONS(4130),
    [anon_sym__Atomic] = ACTIONS(4130),
    [anon_sym__Noreturn] = ACTIONS(4130),
    [anon_sym_noreturn] = ACTIONS(4130),
    [anon_sym__Nonnull] = ACTIONS(4130),
    [anon_sym_mutable] = ACTIONS(4130),
    [anon_sym_constinit] = ACTIONS(4130),
    [anon_sym_consteval] = ACTIONS(4130),
    [anon_sym_PROGMEM] = ACTIONS(4130),
    [anon_sym_alignas] = ACTIONS(4130),
    [anon_sym__Alignas] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4973),
    [anon_sym_SLASH_EQ] = ACTIONS(4973),
    [anon_sym_PERCENT_EQ] = ACTIONS(4973),
    [anon_sym_PLUS_EQ] = ACTIONS(4973),
    [anon_sym_DASH_EQ] = ACTIONS(4973),
    [anon_sym_LT_LT_EQ] = ACTIONS(4973),
    [anon_sym_GT_GT_EQ] = ACTIONS(4971),
    [anon_sym_AMP_EQ] = ACTIONS(4973),
    [anon_sym_CARET_EQ] = ACTIONS(4973),
    [anon_sym_PIPE_EQ] = ACTIONS(4973),
    [anon_sym_and_eq] = ACTIONS(4973),
    [anon_sym_or_eq] = ACTIONS(4973),
    [anon_sym_xor_eq] = ACTIONS(4973),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(4975),
    [anon_sym_u_DQUOTE] = ACTIONS(4975),
    [anon_sym_U_DQUOTE] = ACTIONS(4975),
    [anon_sym_u8_DQUOTE] = ACTIONS(4975),
    [anon_sym_DQUOTE] = ACTIONS(4975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4130),
    [anon_sym_decltype] = ACTIONS(4130),
    [anon_sym_GT2] = ACTIONS(4137),
    [anon_sym_R_DQUOTE] = ACTIONS(4977),
    [anon_sym_LR_DQUOTE] = ACTIONS(4977),
    [anon_sym_uR_DQUOTE] = ACTIONS(4977),
    [anon_sym_UR_DQUOTE] = ACTIONS(4977),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4977),
  },
  [1554] = {
    [sym_identifier] = ACTIONS(4900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4902),
    [anon_sym_COMMA] = ACTIONS(4902),
    [anon_sym_RPAREN] = ACTIONS(4902),
    [anon_sym_LPAREN2] = ACTIONS(4902),
    [anon_sym_TILDE] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4900),
    [anon_sym_STAR] = ACTIONS(4902),
    [anon_sym_SLASH] = ACTIONS(4900),
    [anon_sym_PERCENT] = ACTIONS(4902),
    [anon_sym_PIPE_PIPE] = ACTIONS(4902),
    [anon_sym_AMP_AMP] = ACTIONS(4902),
    [anon_sym_PIPE] = ACTIONS(4900),
    [anon_sym_CARET] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(4900),
    [anon_sym_EQ_EQ] = ACTIONS(4902),
    [anon_sym_BANG_EQ] = ACTIONS(4902),
    [anon_sym_GT] = ACTIONS(4900),
    [anon_sym_GT_EQ] = ACTIONS(4902),
    [anon_sym_LT_EQ] = ACTIONS(4900),
    [anon_sym_LT] = ACTIONS(4900),
    [anon_sym_LT_LT] = ACTIONS(4902),
    [anon_sym_GT_GT] = ACTIONS(4902),
    [anon_sym_SEMI] = ACTIONS(4902),
    [anon_sym___extension__] = ACTIONS(4900),
    [anon_sym_virtual] = ACTIONS(4900),
    [anon_sym_extern] = ACTIONS(4900),
    [anon_sym___attribute__] = ACTIONS(4900),
    [anon_sym_COLON_COLON] = ACTIONS(4902),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4902),
    [anon_sym___declspec] = ACTIONS(4900),
    [anon_sym___based] = ACTIONS(4900),
    [anon_sym___cdecl] = ACTIONS(4900),
    [anon_sym___clrcall] = ACTIONS(4900),
    [anon_sym___stdcall] = ACTIONS(4900),
    [anon_sym___fastcall] = ACTIONS(4900),
    [anon_sym___thiscall] = ACTIONS(4900),
    [anon_sym___vectorcall] = ACTIONS(4900),
    [anon_sym_LBRACE] = ACTIONS(4902),
    [anon_sym_RBRACE] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4900),
    [anon_sym_static] = ACTIONS(4900),
    [anon_sym_EQ] = ACTIONS(4900),
    [anon_sym_register] = ACTIONS(4900),
    [anon_sym_inline] = ACTIONS(4900),
    [anon_sym___inline] = ACTIONS(4900),
    [anon_sym___inline__] = ACTIONS(4900),
    [anon_sym___forceinline] = ACTIONS(4900),
    [anon_sym_thread_local] = ACTIONS(4900),
    [anon_sym___thread] = ACTIONS(4900),
    [anon_sym_const] = ACTIONS(4900),
    [anon_sym_constexpr] = ACTIONS(4900),
    [anon_sym_volatile] = ACTIONS(4900),
    [anon_sym_restrict] = ACTIONS(4900),
    [anon_sym___restrict__] = ACTIONS(4900),
    [anon_sym__Atomic] = ACTIONS(4900),
    [anon_sym__Noreturn] = ACTIONS(4900),
    [anon_sym_noreturn] = ACTIONS(4900),
    [anon_sym__Nonnull] = ACTIONS(4900),
    [anon_sym_mutable] = ACTIONS(4900),
    [anon_sym_constinit] = ACTIONS(4900),
    [anon_sym_consteval] = ACTIONS(4900),
    [anon_sym_PROGMEM] = ACTIONS(4900),
    [anon_sym_alignas] = ACTIONS(4900),
    [anon_sym__Alignas] = ACTIONS(4900),
    [anon_sym_COLON] = ACTIONS(4900),
    [anon_sym_QMARK] = ACTIONS(4902),
    [anon_sym_LT_EQ_GT] = ACTIONS(4902),
    [anon_sym_or] = ACTIONS(4900),
    [anon_sym_and] = ACTIONS(4900),
    [anon_sym_bitor] = ACTIONS(4900),
    [anon_sym_xor] = ACTIONS(4900),
    [anon_sym_bitand] = ACTIONS(4900),
    [anon_sym_not_eq] = ACTIONS(4900),
    [anon_sym_DASH_DASH] = ACTIONS(4902),
    [anon_sym_PLUS_PLUS] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_DOT_STAR] = ACTIONS(4902),
    [anon_sym_DASH_GT] = ACTIONS(4902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4900),
    [anon_sym_decltype] = ACTIONS(4900),
    [anon_sym_final] = ACTIONS(4900),
    [anon_sym_override] = ACTIONS(4900),
    [anon_sym_template] = ACTIONS(4900),
    [anon_sym_operator] = ACTIONS(4900),
    [anon_sym_try] = ACTIONS(4900),
    [anon_sym_requires] = ACTIONS(4900),
  },
  [1555] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(4886),
    [anon_sym_TILDE] = ACTIONS(4886),
    [anon_sym_DASH] = ACTIONS(4884),
    [anon_sym_PLUS] = ACTIONS(4884),
    [anon_sym_STAR] = ACTIONS(4886),
    [anon_sym_SLASH] = ACTIONS(4884),
    [anon_sym_PERCENT] = ACTIONS(4886),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4886),
    [anon_sym_PIPE] = ACTIONS(4884),
    [anon_sym_CARET] = ACTIONS(4886),
    [anon_sym_AMP] = ACTIONS(4884),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4884),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4884),
    [anon_sym_LT] = ACTIONS(4884),
    [anon_sym_LT_LT] = ACTIONS(4886),
    [anon_sym_GT_GT] = ACTIONS(4886),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4886),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym___cdecl] = ACTIONS(4884),
    [anon_sym___clrcall] = ACTIONS(4884),
    [anon_sym___stdcall] = ACTIONS(4884),
    [anon_sym___fastcall] = ACTIONS(4884),
    [anon_sym___thiscall] = ACTIONS(4884),
    [anon_sym___vectorcall] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4886),
    [anon_sym_RBRACE] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4884),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_PROGMEM] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_COLON] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4884),
    [anon_sym_and] = ACTIONS(4884),
    [anon_sym_bitor] = ACTIONS(4884),
    [anon_sym_xor] = ACTIONS(4884),
    [anon_sym_bitand] = ACTIONS(4884),
    [anon_sym_not_eq] = ACTIONS(4884),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4884),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_final] = ACTIONS(4884),
    [anon_sym_override] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
    [anon_sym_try] = ACTIONS(4884),
    [anon_sym_requires] = ACTIONS(4884),
  },
  [1556] = {
    [sym_identifier] = ACTIONS(4888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4890),
    [anon_sym_COMMA] = ACTIONS(4890),
    [anon_sym_RPAREN] = ACTIONS(4890),
    [anon_sym_LPAREN2] = ACTIONS(4890),
    [anon_sym_TILDE] = ACTIONS(4890),
    [anon_sym_DASH] = ACTIONS(4888),
    [anon_sym_PLUS] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_SLASH] = ACTIONS(4888),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4890),
    [anon_sym_AMP_AMP] = ACTIONS(4890),
    [anon_sym_PIPE] = ACTIONS(4888),
    [anon_sym_CARET] = ACTIONS(4890),
    [anon_sym_AMP] = ACTIONS(4888),
    [anon_sym_EQ_EQ] = ACTIONS(4890),
    [anon_sym_BANG_EQ] = ACTIONS(4890),
    [anon_sym_GT] = ACTIONS(4888),
    [anon_sym_GT_EQ] = ACTIONS(4890),
    [anon_sym_LT_EQ] = ACTIONS(4888),
    [anon_sym_LT] = ACTIONS(4888),
    [anon_sym_LT_LT] = ACTIONS(4890),
    [anon_sym_GT_GT] = ACTIONS(4890),
    [anon_sym_SEMI] = ACTIONS(4890),
    [anon_sym___extension__] = ACTIONS(4888),
    [anon_sym_virtual] = ACTIONS(4888),
    [anon_sym_extern] = ACTIONS(4888),
    [anon_sym___attribute__] = ACTIONS(4888),
    [anon_sym_COLON_COLON] = ACTIONS(4890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4890),
    [anon_sym___declspec] = ACTIONS(4888),
    [anon_sym___based] = ACTIONS(4888),
    [anon_sym___cdecl] = ACTIONS(4888),
    [anon_sym___clrcall] = ACTIONS(4888),
    [anon_sym___stdcall] = ACTIONS(4888),
    [anon_sym___fastcall] = ACTIONS(4888),
    [anon_sym___thiscall] = ACTIONS(4888),
    [anon_sym___vectorcall] = ACTIONS(4888),
    [anon_sym_LBRACE] = ACTIONS(4890),
    [anon_sym_RBRACE] = ACTIONS(4890),
    [anon_sym_LBRACK] = ACTIONS(4888),
    [anon_sym_static] = ACTIONS(4888),
    [anon_sym_EQ] = ACTIONS(4888),
    [anon_sym_register] = ACTIONS(4888),
    [anon_sym_inline] = ACTIONS(4888),
    [anon_sym___inline] = ACTIONS(4888),
    [anon_sym___inline__] = ACTIONS(4888),
    [anon_sym___forceinline] = ACTIONS(4888),
    [anon_sym_thread_local] = ACTIONS(4888),
    [anon_sym___thread] = ACTIONS(4888),
    [anon_sym_const] = ACTIONS(4888),
    [anon_sym_constexpr] = ACTIONS(4888),
    [anon_sym_volatile] = ACTIONS(4888),
    [anon_sym_restrict] = ACTIONS(4888),
    [anon_sym___restrict__] = ACTIONS(4888),
    [anon_sym__Atomic] = ACTIONS(4888),
    [anon_sym__Noreturn] = ACTIONS(4888),
    [anon_sym_noreturn] = ACTIONS(4888),
    [anon_sym__Nonnull] = ACTIONS(4888),
    [anon_sym_mutable] = ACTIONS(4888),
    [anon_sym_constinit] = ACTIONS(4888),
    [anon_sym_consteval] = ACTIONS(4888),
    [anon_sym_PROGMEM] = ACTIONS(4888),
    [anon_sym_alignas] = ACTIONS(4888),
    [anon_sym__Alignas] = ACTIONS(4888),
    [anon_sym_COLON] = ACTIONS(4888),
    [anon_sym_QMARK] = ACTIONS(4890),
    [anon_sym_LT_EQ_GT] = ACTIONS(4890),
    [anon_sym_or] = ACTIONS(4888),
    [anon_sym_and] = ACTIONS(4888),
    [anon_sym_bitor] = ACTIONS(4888),
    [anon_sym_xor] = ACTIONS(4888),
    [anon_sym_bitand] = ACTIONS(4888),
    [anon_sym_not_eq] = ACTIONS(4888),
    [anon_sym_DASH_DASH] = ACTIONS(4890),
    [anon_sym_PLUS_PLUS] = ACTIONS(4890),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_DOT_STAR] = ACTIONS(4890),
    [anon_sym_DASH_GT] = ACTIONS(4890),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4888),
    [anon_sym_decltype] = ACTIONS(4888),
    [anon_sym_final] = ACTIONS(4888),
    [anon_sym_override] = ACTIONS(4888),
    [anon_sym_template] = ACTIONS(4888),
    [anon_sym_operator] = ACTIONS(4888),
    [anon_sym_try] = ACTIONS(4888),
    [anon_sym_requires] = ACTIONS(4888),
  },
  [1557] = {
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4933),
    [anon_sym_COMMA] = ACTIONS(4933),
    [anon_sym_RPAREN] = ACTIONS(4933),
    [anon_sym_LPAREN2] = ACTIONS(4933),
    [anon_sym_TILDE] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4940),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4938),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4933),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4938),
    [anon_sym_GT_GT] = ACTIONS(4938),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym_virtual] = ACTIONS(4929),
    [anon_sym_extern] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym_COLON_COLON] = ACTIONS(4936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4936),
    [anon_sym___declspec] = ACTIONS(4929),
    [anon_sym___based] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_LBRACK] = ACTIONS(4940),
    [anon_sym_static] = ACTIONS(4929),
    [anon_sym_EQ] = ACTIONS(4940),
    [anon_sym_register] = ACTIONS(4929),
    [anon_sym_inline] = ACTIONS(4929),
    [anon_sym___inline] = ACTIONS(4929),
    [anon_sym___inline__] = ACTIONS(4929),
    [anon_sym___forceinline] = ACTIONS(4929),
    [anon_sym_thread_local] = ACTIONS(4929),
    [anon_sym___thread] = ACTIONS(4929),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_PROGMEM] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_STAR_EQ] = ACTIONS(4931),
    [anon_sym_SLASH_EQ] = ACTIONS(4931),
    [anon_sym_PERCENT_EQ] = ACTIONS(4931),
    [anon_sym_PLUS_EQ] = ACTIONS(4931),
    [anon_sym_DASH_EQ] = ACTIONS(4931),
    [anon_sym_LT_LT_EQ] = ACTIONS(4931),
    [anon_sym_GT_GT_EQ] = ACTIONS(4931),
    [anon_sym_AMP_EQ] = ACTIONS(4931),
    [anon_sym_CARET_EQ] = ACTIONS(4931),
    [anon_sym_PIPE_EQ] = ACTIONS(4931),
    [anon_sym_and_eq] = ACTIONS(4938),
    [anon_sym_or_eq] = ACTIONS(4938),
    [anon_sym_xor_eq] = ACTIONS(4938),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_template] = ACTIONS(4929),
    [anon_sym_operator] = ACTIONS(4929),
  },
  [1558] = {
    [sym_identifier] = ACTIONS(4908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4910),
    [anon_sym_COMMA] = ACTIONS(4910),
    [anon_sym_RPAREN] = ACTIONS(4910),
    [anon_sym_LPAREN2] = ACTIONS(4910),
    [anon_sym_TILDE] = ACTIONS(4910),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_STAR] = ACTIONS(4910),
    [anon_sym_SLASH] = ACTIONS(4908),
    [anon_sym_PERCENT] = ACTIONS(4910),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4910),
    [anon_sym_PIPE] = ACTIONS(4908),
    [anon_sym_CARET] = ACTIONS(4910),
    [anon_sym_AMP] = ACTIONS(4908),
    [anon_sym_EQ_EQ] = ACTIONS(4910),
    [anon_sym_BANG_EQ] = ACTIONS(4910),
    [anon_sym_GT] = ACTIONS(4908),
    [anon_sym_GT_EQ] = ACTIONS(4910),
    [anon_sym_LT_EQ] = ACTIONS(4908),
    [anon_sym_LT] = ACTIONS(4908),
    [anon_sym_LT_LT] = ACTIONS(4910),
    [anon_sym_GT_GT] = ACTIONS(4910),
    [anon_sym_SEMI] = ACTIONS(4910),
    [anon_sym___extension__] = ACTIONS(4908),
    [anon_sym_virtual] = ACTIONS(4908),
    [anon_sym_extern] = ACTIONS(4908),
    [anon_sym___attribute__] = ACTIONS(4908),
    [anon_sym_COLON_COLON] = ACTIONS(4910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4910),
    [anon_sym___declspec] = ACTIONS(4908),
    [anon_sym___based] = ACTIONS(4908),
    [anon_sym___cdecl] = ACTIONS(4908),
    [anon_sym___clrcall] = ACTIONS(4908),
    [anon_sym___stdcall] = ACTIONS(4908),
    [anon_sym___fastcall] = ACTIONS(4908),
    [anon_sym___thiscall] = ACTIONS(4908),
    [anon_sym___vectorcall] = ACTIONS(4908),
    [anon_sym_LBRACE] = ACTIONS(4910),
    [anon_sym_RBRACE] = ACTIONS(4910),
    [anon_sym_LBRACK] = ACTIONS(4908),
    [anon_sym_static] = ACTIONS(4908),
    [anon_sym_EQ] = ACTIONS(4908),
    [anon_sym_register] = ACTIONS(4908),
    [anon_sym_inline] = ACTIONS(4908),
    [anon_sym___inline] = ACTIONS(4908),
    [anon_sym___inline__] = ACTIONS(4908),
    [anon_sym___forceinline] = ACTIONS(4908),
    [anon_sym_thread_local] = ACTIONS(4908),
    [anon_sym___thread] = ACTIONS(4908),
    [anon_sym_const] = ACTIONS(4908),
    [anon_sym_constexpr] = ACTIONS(4908),
    [anon_sym_volatile] = ACTIONS(4908),
    [anon_sym_restrict] = ACTIONS(4908),
    [anon_sym___restrict__] = ACTIONS(4908),
    [anon_sym__Atomic] = ACTIONS(4908),
    [anon_sym__Noreturn] = ACTIONS(4908),
    [anon_sym_noreturn] = ACTIONS(4908),
    [anon_sym__Nonnull] = ACTIONS(4908),
    [anon_sym_mutable] = ACTIONS(4908),
    [anon_sym_constinit] = ACTIONS(4908),
    [anon_sym_consteval] = ACTIONS(4908),
    [anon_sym_PROGMEM] = ACTIONS(4908),
    [anon_sym_alignas] = ACTIONS(4908),
    [anon_sym__Alignas] = ACTIONS(4908),
    [anon_sym_COLON] = ACTIONS(4908),
    [anon_sym_QMARK] = ACTIONS(4910),
    [anon_sym_LT_EQ_GT] = ACTIONS(4910),
    [anon_sym_or] = ACTIONS(4908),
    [anon_sym_and] = ACTIONS(4908),
    [anon_sym_bitor] = ACTIONS(4908),
    [anon_sym_xor] = ACTIONS(4908),
    [anon_sym_bitand] = ACTIONS(4908),
    [anon_sym_not_eq] = ACTIONS(4908),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_DOT] = ACTIONS(4908),
    [anon_sym_DOT_STAR] = ACTIONS(4910),
    [anon_sym_DASH_GT] = ACTIONS(4910),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4908),
    [anon_sym_decltype] = ACTIONS(4908),
    [anon_sym_final] = ACTIONS(4908),
    [anon_sym_override] = ACTIONS(4908),
    [anon_sym_template] = ACTIONS(4908),
    [anon_sym_operator] = ACTIONS(4908),
    [anon_sym_try] = ACTIONS(4908),
    [anon_sym_requires] = ACTIONS(4908),
  },
  [1559] = {
    [sym_identifier] = ACTIONS(4904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4906),
    [anon_sym_COMMA] = ACTIONS(4906),
    [anon_sym_RPAREN] = ACTIONS(4906),
    [anon_sym_LPAREN2] = ACTIONS(4906),
    [anon_sym_TILDE] = ACTIONS(4906),
    [anon_sym_DASH] = ACTIONS(4904),
    [anon_sym_PLUS] = ACTIONS(4904),
    [anon_sym_STAR] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4904),
    [anon_sym_PERCENT] = ACTIONS(4906),
    [anon_sym_PIPE_PIPE] = ACTIONS(4906),
    [anon_sym_AMP_AMP] = ACTIONS(4906),
    [anon_sym_PIPE] = ACTIONS(4904),
    [anon_sym_CARET] = ACTIONS(4906),
    [anon_sym_AMP] = ACTIONS(4904),
    [anon_sym_EQ_EQ] = ACTIONS(4906),
    [anon_sym_BANG_EQ] = ACTIONS(4906),
    [anon_sym_GT] = ACTIONS(4904),
    [anon_sym_GT_EQ] = ACTIONS(4906),
    [anon_sym_LT_EQ] = ACTIONS(4904),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym_LT_LT] = ACTIONS(4906),
    [anon_sym_GT_GT] = ACTIONS(4906),
    [anon_sym_SEMI] = ACTIONS(4906),
    [anon_sym___extension__] = ACTIONS(4904),
    [anon_sym_virtual] = ACTIONS(4904),
    [anon_sym_extern] = ACTIONS(4904),
    [anon_sym___attribute__] = ACTIONS(4904),
    [anon_sym_COLON_COLON] = ACTIONS(4906),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4906),
    [anon_sym___declspec] = ACTIONS(4904),
    [anon_sym___based] = ACTIONS(4904),
    [anon_sym___cdecl] = ACTIONS(4904),
    [anon_sym___clrcall] = ACTIONS(4904),
    [anon_sym___stdcall] = ACTIONS(4904),
    [anon_sym___fastcall] = ACTIONS(4904),
    [anon_sym___thiscall] = ACTIONS(4904),
    [anon_sym___vectorcall] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(4906),
    [anon_sym_RBRACE] = ACTIONS(4906),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [anon_sym_static] = ACTIONS(4904),
    [anon_sym_EQ] = ACTIONS(4904),
    [anon_sym_register] = ACTIONS(4904),
    [anon_sym_inline] = ACTIONS(4904),
    [anon_sym___inline] = ACTIONS(4904),
    [anon_sym___inline__] = ACTIONS(4904),
    [anon_sym___forceinline] = ACTIONS(4904),
    [anon_sym_thread_local] = ACTIONS(4904),
    [anon_sym___thread] = ACTIONS(4904),
    [anon_sym_const] = ACTIONS(4904),
    [anon_sym_constexpr] = ACTIONS(4904),
    [anon_sym_volatile] = ACTIONS(4904),
    [anon_sym_restrict] = ACTIONS(4904),
    [anon_sym___restrict__] = ACTIONS(4904),
    [anon_sym__Atomic] = ACTIONS(4904),
    [anon_sym__Noreturn] = ACTIONS(4904),
    [anon_sym_noreturn] = ACTIONS(4904),
    [anon_sym__Nonnull] = ACTIONS(4904),
    [anon_sym_mutable] = ACTIONS(4904),
    [anon_sym_constinit] = ACTIONS(4904),
    [anon_sym_consteval] = ACTIONS(4904),
    [anon_sym_PROGMEM] = ACTIONS(4904),
    [anon_sym_alignas] = ACTIONS(4904),
    [anon_sym__Alignas] = ACTIONS(4904),
    [anon_sym_COLON] = ACTIONS(4904),
    [anon_sym_QMARK] = ACTIONS(4906),
    [anon_sym_LT_EQ_GT] = ACTIONS(4906),
    [anon_sym_or] = ACTIONS(4904),
    [anon_sym_and] = ACTIONS(4904),
    [anon_sym_bitor] = ACTIONS(4904),
    [anon_sym_xor] = ACTIONS(4904),
    [anon_sym_bitand] = ACTIONS(4904),
    [anon_sym_not_eq] = ACTIONS(4904),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DOT] = ACTIONS(4904),
    [anon_sym_DOT_STAR] = ACTIONS(4906),
    [anon_sym_DASH_GT] = ACTIONS(4906),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4904),
    [anon_sym_decltype] = ACTIONS(4904),
    [anon_sym_final] = ACTIONS(4904),
    [anon_sym_override] = ACTIONS(4904),
    [anon_sym_template] = ACTIONS(4904),
    [anon_sym_operator] = ACTIONS(4904),
    [anon_sym_try] = ACTIONS(4904),
    [anon_sym_requires] = ACTIONS(4904),
  },
  [1560] = {
    [sym_identifier] = ACTIONS(4892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4894),
    [anon_sym_COMMA] = ACTIONS(4894),
    [anon_sym_RPAREN] = ACTIONS(4894),
    [anon_sym_LPAREN2] = ACTIONS(4894),
    [anon_sym_TILDE] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4892),
    [anon_sym_STAR] = ACTIONS(4894),
    [anon_sym_SLASH] = ACTIONS(4892),
    [anon_sym_PERCENT] = ACTIONS(4894),
    [anon_sym_PIPE_PIPE] = ACTIONS(4894),
    [anon_sym_AMP_AMP] = ACTIONS(4894),
    [anon_sym_PIPE] = ACTIONS(4892),
    [anon_sym_CARET] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(4892),
    [anon_sym_EQ_EQ] = ACTIONS(4894),
    [anon_sym_BANG_EQ] = ACTIONS(4894),
    [anon_sym_GT] = ACTIONS(4892),
    [anon_sym_GT_EQ] = ACTIONS(4894),
    [anon_sym_LT_EQ] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym_LT_LT] = ACTIONS(4894),
    [anon_sym_GT_GT] = ACTIONS(4894),
    [anon_sym_SEMI] = ACTIONS(4894),
    [anon_sym___extension__] = ACTIONS(4892),
    [anon_sym_virtual] = ACTIONS(4892),
    [anon_sym_extern] = ACTIONS(4892),
    [anon_sym___attribute__] = ACTIONS(4892),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4894),
    [anon_sym___declspec] = ACTIONS(4892),
    [anon_sym___based] = ACTIONS(4892),
    [anon_sym___cdecl] = ACTIONS(4892),
    [anon_sym___clrcall] = ACTIONS(4892),
    [anon_sym___stdcall] = ACTIONS(4892),
    [anon_sym___fastcall] = ACTIONS(4892),
    [anon_sym___thiscall] = ACTIONS(4892),
    [anon_sym___vectorcall] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(4894),
    [anon_sym_RBRACE] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4892),
    [anon_sym_static] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(4892),
    [anon_sym_register] = ACTIONS(4892),
    [anon_sym_inline] = ACTIONS(4892),
    [anon_sym___inline] = ACTIONS(4892),
    [anon_sym___inline__] = ACTIONS(4892),
    [anon_sym___forceinline] = ACTIONS(4892),
    [anon_sym_thread_local] = ACTIONS(4892),
    [anon_sym___thread] = ACTIONS(4892),
    [anon_sym_const] = ACTIONS(4892),
    [anon_sym_constexpr] = ACTIONS(4892),
    [anon_sym_volatile] = ACTIONS(4892),
    [anon_sym_restrict] = ACTIONS(4892),
    [anon_sym___restrict__] = ACTIONS(4892),
    [anon_sym__Atomic] = ACTIONS(4892),
    [anon_sym__Noreturn] = ACTIONS(4892),
    [anon_sym_noreturn] = ACTIONS(4892),
    [anon_sym__Nonnull] = ACTIONS(4892),
    [anon_sym_mutable] = ACTIONS(4892),
    [anon_sym_constinit] = ACTIONS(4892),
    [anon_sym_consteval] = ACTIONS(4892),
    [anon_sym_PROGMEM] = ACTIONS(4892),
    [anon_sym_alignas] = ACTIONS(4892),
    [anon_sym__Alignas] = ACTIONS(4892),
    [anon_sym_COLON] = ACTIONS(4892),
    [anon_sym_QMARK] = ACTIONS(4894),
    [anon_sym_LT_EQ_GT] = ACTIONS(4894),
    [anon_sym_or] = ACTIONS(4892),
    [anon_sym_and] = ACTIONS(4892),
    [anon_sym_bitor] = ACTIONS(4892),
    [anon_sym_xor] = ACTIONS(4892),
    [anon_sym_bitand] = ACTIONS(4892),
    [anon_sym_not_eq] = ACTIONS(4892),
    [anon_sym_DASH_DASH] = ACTIONS(4894),
    [anon_sym_PLUS_PLUS] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_DOT_STAR] = ACTIONS(4894),
    [anon_sym_DASH_GT] = ACTIONS(4894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4892),
    [anon_sym_decltype] = ACTIONS(4892),
    [anon_sym_final] = ACTIONS(4892),
    [anon_sym_override] = ACTIONS(4892),
    [anon_sym_template] = ACTIONS(4892),
    [anon_sym_operator] = ACTIONS(4892),
    [anon_sym_try] = ACTIONS(4892),
    [anon_sym_requires] = ACTIONS(4892),
  },
  [1561] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(2866),
    [sym_raw_string_literal] = STATE(2527),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_RPAREN] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym___extension__] = ACTIONS(4130),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_signed] = ACTIONS(4957),
    [anon_sym_unsigned] = ACTIONS(4957),
    [anon_sym_long] = ACTIONS(4957),
    [anon_sym_short] = ACTIONS(4957),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_const] = ACTIONS(4122),
    [anon_sym_constexpr] = ACTIONS(4130),
    [anon_sym_volatile] = ACTIONS(4130),
    [anon_sym_restrict] = ACTIONS(4130),
    [anon_sym___restrict__] = ACTIONS(4130),
    [anon_sym__Atomic] = ACTIONS(4130),
    [anon_sym__Noreturn] = ACTIONS(4130),
    [anon_sym_noreturn] = ACTIONS(4130),
    [anon_sym__Nonnull] = ACTIONS(4130),
    [anon_sym_mutable] = ACTIONS(4130),
    [anon_sym_constinit] = ACTIONS(4130),
    [anon_sym_consteval] = ACTIONS(4130),
    [anon_sym_PROGMEM] = ACTIONS(4130),
    [anon_sym_alignas] = ACTIONS(4130),
    [anon_sym__Alignas] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4160),
    [anon_sym_or_eq] = ACTIONS(4160),
    [anon_sym_xor_eq] = ACTIONS(4160),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4130),
    [anon_sym_decltype] = ACTIONS(4130),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [1562] = {
    [sym_identifier] = ACTIONS(4892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4894),
    [anon_sym_COMMA] = ACTIONS(4894),
    [anon_sym_RPAREN] = ACTIONS(4894),
    [anon_sym_LPAREN2] = ACTIONS(4894),
    [anon_sym_TILDE] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4892),
    [anon_sym_STAR] = ACTIONS(4892),
    [anon_sym_SLASH] = ACTIONS(4892),
    [anon_sym_PERCENT] = ACTIONS(4892),
    [anon_sym_PIPE_PIPE] = ACTIONS(4894),
    [anon_sym_AMP_AMP] = ACTIONS(4894),
    [anon_sym_PIPE] = ACTIONS(4892),
    [anon_sym_CARET] = ACTIONS(4892),
    [anon_sym_AMP] = ACTIONS(4892),
    [anon_sym_EQ_EQ] = ACTIONS(4894),
    [anon_sym_BANG_EQ] = ACTIONS(4894),
    [anon_sym_GT] = ACTIONS(4892),
    [anon_sym_GT_EQ] = ACTIONS(4894),
    [anon_sym_LT_EQ] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym_LT_LT] = ACTIONS(4892),
    [anon_sym_GT_GT] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(4892),
    [anon_sym_virtual] = ACTIONS(4892),
    [anon_sym_extern] = ACTIONS(4892),
    [anon_sym___attribute__] = ACTIONS(4892),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4894),
    [anon_sym___declspec] = ACTIONS(4892),
    [anon_sym___based] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4892),
    [anon_sym_static] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(4892),
    [anon_sym_register] = ACTIONS(4892),
    [anon_sym_inline] = ACTIONS(4892),
    [anon_sym___inline] = ACTIONS(4892),
    [anon_sym___inline__] = ACTIONS(4892),
    [anon_sym___forceinline] = ACTIONS(4892),
    [anon_sym_thread_local] = ACTIONS(4892),
    [anon_sym___thread] = ACTIONS(4892),
    [anon_sym_const] = ACTIONS(4892),
    [anon_sym_constexpr] = ACTIONS(4892),
    [anon_sym_volatile] = ACTIONS(4892),
    [anon_sym_restrict] = ACTIONS(4892),
    [anon_sym___restrict__] = ACTIONS(4892),
    [anon_sym__Atomic] = ACTIONS(4892),
    [anon_sym__Noreturn] = ACTIONS(4892),
    [anon_sym_noreturn] = ACTIONS(4892),
    [anon_sym__Nonnull] = ACTIONS(4892),
    [anon_sym_mutable] = ACTIONS(4892),
    [anon_sym_constinit] = ACTIONS(4892),
    [anon_sym_consteval] = ACTIONS(4892),
    [anon_sym_PROGMEM] = ACTIONS(4892),
    [anon_sym_alignas] = ACTIONS(4892),
    [anon_sym__Alignas] = ACTIONS(4892),
    [anon_sym_QMARK] = ACTIONS(4894),
    [anon_sym_STAR_EQ] = ACTIONS(4894),
    [anon_sym_SLASH_EQ] = ACTIONS(4894),
    [anon_sym_PERCENT_EQ] = ACTIONS(4894),
    [anon_sym_PLUS_EQ] = ACTIONS(4894),
    [anon_sym_DASH_EQ] = ACTIONS(4894),
    [anon_sym_LT_LT_EQ] = ACTIONS(4894),
    [anon_sym_GT_GT_EQ] = ACTIONS(4894),
    [anon_sym_AMP_EQ] = ACTIONS(4894),
    [anon_sym_CARET_EQ] = ACTIONS(4894),
    [anon_sym_PIPE_EQ] = ACTIONS(4894),
    [anon_sym_LT_EQ_GT] = ACTIONS(4894),
    [anon_sym_or] = ACTIONS(4892),
    [anon_sym_and] = ACTIONS(4892),
    [anon_sym_bitor] = ACTIONS(4892),
    [anon_sym_xor] = ACTIONS(4892),
    [anon_sym_bitand] = ACTIONS(4892),
    [anon_sym_not_eq] = ACTIONS(4892),
    [anon_sym_DASH_DASH] = ACTIONS(4894),
    [anon_sym_PLUS_PLUS] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_DOT_STAR] = ACTIONS(4894),
    [anon_sym_DASH_GT] = ACTIONS(4892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4892),
    [anon_sym_decltype] = ACTIONS(4892),
    [anon_sym_template] = ACTIONS(4892),
    [anon_sym_operator] = ACTIONS(4892),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4894),
  },
  [1563] = {
    [sym_identifier] = ACTIONS(4904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4906),
    [anon_sym_COMMA] = ACTIONS(4906),
    [anon_sym_RPAREN] = ACTIONS(4906),
    [anon_sym_LPAREN2] = ACTIONS(4906),
    [anon_sym_TILDE] = ACTIONS(4906),
    [anon_sym_DASH] = ACTIONS(4904),
    [anon_sym_PLUS] = ACTIONS(4904),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_SLASH] = ACTIONS(4904),
    [anon_sym_PERCENT] = ACTIONS(4904),
    [anon_sym_PIPE_PIPE] = ACTIONS(4906),
    [anon_sym_AMP_AMP] = ACTIONS(4906),
    [anon_sym_PIPE] = ACTIONS(4904),
    [anon_sym_CARET] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4904),
    [anon_sym_EQ_EQ] = ACTIONS(4906),
    [anon_sym_BANG_EQ] = ACTIONS(4906),
    [anon_sym_GT] = ACTIONS(4904),
    [anon_sym_GT_EQ] = ACTIONS(4906),
    [anon_sym_LT_EQ] = ACTIONS(4904),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym_LT_LT] = ACTIONS(4904),
    [anon_sym_GT_GT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(4904),
    [anon_sym_virtual] = ACTIONS(4904),
    [anon_sym_extern] = ACTIONS(4904),
    [anon_sym___attribute__] = ACTIONS(4904),
    [anon_sym_COLON_COLON] = ACTIONS(4906),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4906),
    [anon_sym___declspec] = ACTIONS(4904),
    [anon_sym___based] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(4906),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [anon_sym_static] = ACTIONS(4904),
    [anon_sym_EQ] = ACTIONS(4904),
    [anon_sym_register] = ACTIONS(4904),
    [anon_sym_inline] = ACTIONS(4904),
    [anon_sym___inline] = ACTIONS(4904),
    [anon_sym___inline__] = ACTIONS(4904),
    [anon_sym___forceinline] = ACTIONS(4904),
    [anon_sym_thread_local] = ACTIONS(4904),
    [anon_sym___thread] = ACTIONS(4904),
    [anon_sym_const] = ACTIONS(4904),
    [anon_sym_constexpr] = ACTIONS(4904),
    [anon_sym_volatile] = ACTIONS(4904),
    [anon_sym_restrict] = ACTIONS(4904),
    [anon_sym___restrict__] = ACTIONS(4904),
    [anon_sym__Atomic] = ACTIONS(4904),
    [anon_sym__Noreturn] = ACTIONS(4904),
    [anon_sym_noreturn] = ACTIONS(4904),
    [anon_sym__Nonnull] = ACTIONS(4904),
    [anon_sym_mutable] = ACTIONS(4904),
    [anon_sym_constinit] = ACTIONS(4904),
    [anon_sym_consteval] = ACTIONS(4904),
    [anon_sym_PROGMEM] = ACTIONS(4904),
    [anon_sym_alignas] = ACTIONS(4904),
    [anon_sym__Alignas] = ACTIONS(4904),
    [anon_sym_QMARK] = ACTIONS(4906),
    [anon_sym_STAR_EQ] = ACTIONS(4906),
    [anon_sym_SLASH_EQ] = ACTIONS(4906),
    [anon_sym_PERCENT_EQ] = ACTIONS(4906),
    [anon_sym_PLUS_EQ] = ACTIONS(4906),
    [anon_sym_DASH_EQ] = ACTIONS(4906),
    [anon_sym_LT_LT_EQ] = ACTIONS(4906),
    [anon_sym_GT_GT_EQ] = ACTIONS(4906),
    [anon_sym_AMP_EQ] = ACTIONS(4906),
    [anon_sym_CARET_EQ] = ACTIONS(4906),
    [anon_sym_PIPE_EQ] = ACTIONS(4906),
    [anon_sym_LT_EQ_GT] = ACTIONS(4906),
    [anon_sym_or] = ACTIONS(4904),
    [anon_sym_and] = ACTIONS(4904),
    [anon_sym_bitor] = ACTIONS(4904),
    [anon_sym_xor] = ACTIONS(4904),
    [anon_sym_bitand] = ACTIONS(4904),
    [anon_sym_not_eq] = ACTIONS(4904),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DOT] = ACTIONS(4904),
    [anon_sym_DOT_STAR] = ACTIONS(4906),
    [anon_sym_DASH_GT] = ACTIONS(4904),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4904),
    [anon_sym_decltype] = ACTIONS(4904),
    [anon_sym_template] = ACTIONS(4904),
    [anon_sym_operator] = ACTIONS(4904),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4906),
  },
  [1564] = {
    [sym_identifier] = ACTIONS(4900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4902),
    [anon_sym_COMMA] = ACTIONS(4902),
    [anon_sym_RPAREN] = ACTIONS(4902),
    [anon_sym_LPAREN2] = ACTIONS(4902),
    [anon_sym_TILDE] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4900),
    [anon_sym_STAR] = ACTIONS(4900),
    [anon_sym_SLASH] = ACTIONS(4900),
    [anon_sym_PERCENT] = ACTIONS(4900),
    [anon_sym_PIPE_PIPE] = ACTIONS(4902),
    [anon_sym_AMP_AMP] = ACTIONS(4902),
    [anon_sym_PIPE] = ACTIONS(4900),
    [anon_sym_CARET] = ACTIONS(4900),
    [anon_sym_AMP] = ACTIONS(4900),
    [anon_sym_EQ_EQ] = ACTIONS(4902),
    [anon_sym_BANG_EQ] = ACTIONS(4902),
    [anon_sym_GT] = ACTIONS(4900),
    [anon_sym_GT_EQ] = ACTIONS(4902),
    [anon_sym_LT_EQ] = ACTIONS(4900),
    [anon_sym_LT] = ACTIONS(4900),
    [anon_sym_LT_LT] = ACTIONS(4900),
    [anon_sym_GT_GT] = ACTIONS(4900),
    [anon_sym___extension__] = ACTIONS(4900),
    [anon_sym_virtual] = ACTIONS(4900),
    [anon_sym_extern] = ACTIONS(4900),
    [anon_sym___attribute__] = ACTIONS(4900),
    [anon_sym_COLON_COLON] = ACTIONS(4902),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4902),
    [anon_sym___declspec] = ACTIONS(4900),
    [anon_sym___based] = ACTIONS(4900),
    [anon_sym_LBRACE] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4900),
    [anon_sym_static] = ACTIONS(4900),
    [anon_sym_EQ] = ACTIONS(4900),
    [anon_sym_register] = ACTIONS(4900),
    [anon_sym_inline] = ACTIONS(4900),
    [anon_sym___inline] = ACTIONS(4900),
    [anon_sym___inline__] = ACTIONS(4900),
    [anon_sym___forceinline] = ACTIONS(4900),
    [anon_sym_thread_local] = ACTIONS(4900),
    [anon_sym___thread] = ACTIONS(4900),
    [anon_sym_const] = ACTIONS(4900),
    [anon_sym_constexpr] = ACTIONS(4900),
    [anon_sym_volatile] = ACTIONS(4900),
    [anon_sym_restrict] = ACTIONS(4900),
    [anon_sym___restrict__] = ACTIONS(4900),
    [anon_sym__Atomic] = ACTIONS(4900),
    [anon_sym__Noreturn] = ACTIONS(4900),
    [anon_sym_noreturn] = ACTIONS(4900),
    [anon_sym__Nonnull] = ACTIONS(4900),
    [anon_sym_mutable] = ACTIONS(4900),
    [anon_sym_constinit] = ACTIONS(4900),
    [anon_sym_consteval] = ACTIONS(4900),
    [anon_sym_PROGMEM] = ACTIONS(4900),
    [anon_sym_alignas] = ACTIONS(4900),
    [anon_sym__Alignas] = ACTIONS(4900),
    [anon_sym_QMARK] = ACTIONS(4902),
    [anon_sym_STAR_EQ] = ACTIONS(4902),
    [anon_sym_SLASH_EQ] = ACTIONS(4902),
    [anon_sym_PERCENT_EQ] = ACTIONS(4902),
    [anon_sym_PLUS_EQ] = ACTIONS(4902),
    [anon_sym_DASH_EQ] = ACTIONS(4902),
    [anon_sym_LT_LT_EQ] = ACTIONS(4902),
    [anon_sym_GT_GT_EQ] = ACTIONS(4902),
    [anon_sym_AMP_EQ] = ACTIONS(4902),
    [anon_sym_CARET_EQ] = ACTIONS(4902),
    [anon_sym_PIPE_EQ] = ACTIONS(4902),
    [anon_sym_LT_EQ_GT] = ACTIONS(4902),
    [anon_sym_or] = ACTIONS(4900),
    [anon_sym_and] = ACTIONS(4900),
    [anon_sym_bitor] = ACTIONS(4900),
    [anon_sym_xor] = ACTIONS(4900),
    [anon_sym_bitand] = ACTIONS(4900),
    [anon_sym_not_eq] = ACTIONS(4900),
    [anon_sym_DASH_DASH] = ACTIONS(4902),
    [anon_sym_PLUS_PLUS] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_DOT_STAR] = ACTIONS(4902),
    [anon_sym_DASH_GT] = ACTIONS(4900),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4900),
    [anon_sym_decltype] = ACTIONS(4900),
    [anon_sym_template] = ACTIONS(4900),
    [anon_sym_operator] = ACTIONS(4900),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4902),
  },
  [1565] = {
    [sym_identifier] = ACTIONS(4908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4910),
    [anon_sym_COMMA] = ACTIONS(4910),
    [anon_sym_RPAREN] = ACTIONS(4910),
    [anon_sym_LPAREN2] = ACTIONS(4910),
    [anon_sym_TILDE] = ACTIONS(4910),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_STAR] = ACTIONS(4908),
    [anon_sym_SLASH] = ACTIONS(4908),
    [anon_sym_PERCENT] = ACTIONS(4908),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4910),
    [anon_sym_PIPE] = ACTIONS(4908),
    [anon_sym_CARET] = ACTIONS(4908),
    [anon_sym_AMP] = ACTIONS(4908),
    [anon_sym_EQ_EQ] = ACTIONS(4910),
    [anon_sym_BANG_EQ] = ACTIONS(4910),
    [anon_sym_GT] = ACTIONS(4908),
    [anon_sym_GT_EQ] = ACTIONS(4910),
    [anon_sym_LT_EQ] = ACTIONS(4908),
    [anon_sym_LT] = ACTIONS(4908),
    [anon_sym_LT_LT] = ACTIONS(4908),
    [anon_sym_GT_GT] = ACTIONS(4908),
    [anon_sym___extension__] = ACTIONS(4908),
    [anon_sym_virtual] = ACTIONS(4908),
    [anon_sym_extern] = ACTIONS(4908),
    [anon_sym___attribute__] = ACTIONS(4908),
    [anon_sym_COLON_COLON] = ACTIONS(4910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4910),
    [anon_sym___declspec] = ACTIONS(4908),
    [anon_sym___based] = ACTIONS(4908),
    [anon_sym_LBRACE] = ACTIONS(4910),
    [anon_sym_LBRACK] = ACTIONS(4908),
    [anon_sym_static] = ACTIONS(4908),
    [anon_sym_EQ] = ACTIONS(4908),
    [anon_sym_register] = ACTIONS(4908),
    [anon_sym_inline] = ACTIONS(4908),
    [anon_sym___inline] = ACTIONS(4908),
    [anon_sym___inline__] = ACTIONS(4908),
    [anon_sym___forceinline] = ACTIONS(4908),
    [anon_sym_thread_local] = ACTIONS(4908),
    [anon_sym___thread] = ACTIONS(4908),
    [anon_sym_const] = ACTIONS(4908),
    [anon_sym_constexpr] = ACTIONS(4908),
    [anon_sym_volatile] = ACTIONS(4908),
    [anon_sym_restrict] = ACTIONS(4908),
    [anon_sym___restrict__] = ACTIONS(4908),
    [anon_sym__Atomic] = ACTIONS(4908),
    [anon_sym__Noreturn] = ACTIONS(4908),
    [anon_sym_noreturn] = ACTIONS(4908),
    [anon_sym__Nonnull] = ACTIONS(4908),
    [anon_sym_mutable] = ACTIONS(4908),
    [anon_sym_constinit] = ACTIONS(4908),
    [anon_sym_consteval] = ACTIONS(4908),
    [anon_sym_PROGMEM] = ACTIONS(4908),
    [anon_sym_alignas] = ACTIONS(4908),
    [anon_sym__Alignas] = ACTIONS(4908),
    [anon_sym_QMARK] = ACTIONS(4910),
    [anon_sym_STAR_EQ] = ACTIONS(4910),
    [anon_sym_SLASH_EQ] = ACTIONS(4910),
    [anon_sym_PERCENT_EQ] = ACTIONS(4910),
    [anon_sym_PLUS_EQ] = ACTIONS(4910),
    [anon_sym_DASH_EQ] = ACTIONS(4910),
    [anon_sym_LT_LT_EQ] = ACTIONS(4910),
    [anon_sym_GT_GT_EQ] = ACTIONS(4910),
    [anon_sym_AMP_EQ] = ACTIONS(4910),
    [anon_sym_CARET_EQ] = ACTIONS(4910),
    [anon_sym_PIPE_EQ] = ACTIONS(4910),
    [anon_sym_LT_EQ_GT] = ACTIONS(4910),
    [anon_sym_or] = ACTIONS(4908),
    [anon_sym_and] = ACTIONS(4908),
    [anon_sym_bitor] = ACTIONS(4908),
    [anon_sym_xor] = ACTIONS(4908),
    [anon_sym_bitand] = ACTIONS(4908),
    [anon_sym_not_eq] = ACTIONS(4908),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_DOT] = ACTIONS(4908),
    [anon_sym_DOT_STAR] = ACTIONS(4910),
    [anon_sym_DASH_GT] = ACTIONS(4908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4908),
    [anon_sym_decltype] = ACTIONS(4908),
    [anon_sym_template] = ACTIONS(4908),
    [anon_sym_operator] = ACTIONS(4908),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4910),
  },
  [1566] = {
    [sym_identifier] = ACTIONS(4888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4890),
    [anon_sym_COMMA] = ACTIONS(4890),
    [anon_sym_RPAREN] = ACTIONS(4890),
    [anon_sym_LPAREN2] = ACTIONS(4890),
    [anon_sym_TILDE] = ACTIONS(4890),
    [anon_sym_DASH] = ACTIONS(4888),
    [anon_sym_PLUS] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4888),
    [anon_sym_SLASH] = ACTIONS(4888),
    [anon_sym_PERCENT] = ACTIONS(4888),
    [anon_sym_PIPE_PIPE] = ACTIONS(4890),
    [anon_sym_AMP_AMP] = ACTIONS(4890),
    [anon_sym_PIPE] = ACTIONS(4888),
    [anon_sym_CARET] = ACTIONS(4888),
    [anon_sym_AMP] = ACTIONS(4888),
    [anon_sym_EQ_EQ] = ACTIONS(4890),
    [anon_sym_BANG_EQ] = ACTIONS(4890),
    [anon_sym_GT] = ACTIONS(4888),
    [anon_sym_GT_EQ] = ACTIONS(4890),
    [anon_sym_LT_EQ] = ACTIONS(4888),
    [anon_sym_LT] = ACTIONS(4888),
    [anon_sym_LT_LT] = ACTIONS(4888),
    [anon_sym_GT_GT] = ACTIONS(4888),
    [anon_sym___extension__] = ACTIONS(4888),
    [anon_sym_virtual] = ACTIONS(4888),
    [anon_sym_extern] = ACTIONS(4888),
    [anon_sym___attribute__] = ACTIONS(4888),
    [anon_sym_COLON_COLON] = ACTIONS(4890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4890),
    [anon_sym___declspec] = ACTIONS(4888),
    [anon_sym___based] = ACTIONS(4888),
    [anon_sym_LBRACE] = ACTIONS(4890),
    [anon_sym_LBRACK] = ACTIONS(4888),
    [anon_sym_static] = ACTIONS(4888),
    [anon_sym_EQ] = ACTIONS(4888),
    [anon_sym_register] = ACTIONS(4888),
    [anon_sym_inline] = ACTIONS(4888),
    [anon_sym___inline] = ACTIONS(4888),
    [anon_sym___inline__] = ACTIONS(4888),
    [anon_sym___forceinline] = ACTIONS(4888),
    [anon_sym_thread_local] = ACTIONS(4888),
    [anon_sym___thread] = ACTIONS(4888),
    [anon_sym_const] = ACTIONS(4888),
    [anon_sym_constexpr] = ACTIONS(4888),
    [anon_sym_volatile] = ACTIONS(4888),
    [anon_sym_restrict] = ACTIONS(4888),
    [anon_sym___restrict__] = ACTIONS(4888),
    [anon_sym__Atomic] = ACTIONS(4888),
    [anon_sym__Noreturn] = ACTIONS(4888),
    [anon_sym_noreturn] = ACTIONS(4888),
    [anon_sym__Nonnull] = ACTIONS(4888),
    [anon_sym_mutable] = ACTIONS(4888),
    [anon_sym_constinit] = ACTIONS(4888),
    [anon_sym_consteval] = ACTIONS(4888),
    [anon_sym_PROGMEM] = ACTIONS(4888),
    [anon_sym_alignas] = ACTIONS(4888),
    [anon_sym__Alignas] = ACTIONS(4888),
    [anon_sym_QMARK] = ACTIONS(4890),
    [anon_sym_STAR_EQ] = ACTIONS(4890),
    [anon_sym_SLASH_EQ] = ACTIONS(4890),
    [anon_sym_PERCENT_EQ] = ACTIONS(4890),
    [anon_sym_PLUS_EQ] = ACTIONS(4890),
    [anon_sym_DASH_EQ] = ACTIONS(4890),
    [anon_sym_LT_LT_EQ] = ACTIONS(4890),
    [anon_sym_GT_GT_EQ] = ACTIONS(4890),
    [anon_sym_AMP_EQ] = ACTIONS(4890),
    [anon_sym_CARET_EQ] = ACTIONS(4890),
    [anon_sym_PIPE_EQ] = ACTIONS(4890),
    [anon_sym_LT_EQ_GT] = ACTIONS(4890),
    [anon_sym_or] = ACTIONS(4888),
    [anon_sym_and] = ACTIONS(4888),
    [anon_sym_bitor] = ACTIONS(4888),
    [anon_sym_xor] = ACTIONS(4888),
    [anon_sym_bitand] = ACTIONS(4888),
    [anon_sym_not_eq] = ACTIONS(4888),
    [anon_sym_DASH_DASH] = ACTIONS(4890),
    [anon_sym_PLUS_PLUS] = ACTIONS(4890),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_DOT_STAR] = ACTIONS(4890),
    [anon_sym_DASH_GT] = ACTIONS(4888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4888),
    [anon_sym_decltype] = ACTIONS(4888),
    [anon_sym_template] = ACTIONS(4888),
    [anon_sym_operator] = ACTIONS(4888),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4890),
  },
  [1567] = {
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4933),
    [anon_sym_COMMA] = ACTIONS(4933),
    [anon_sym_RPAREN] = ACTIONS(4933),
    [anon_sym_LPAREN2] = ACTIONS(4933),
    [anon_sym_TILDE] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4940),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4938),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4933),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4938),
    [anon_sym_GT_GT] = ACTIONS(4938),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym_virtual] = ACTIONS(4929),
    [anon_sym_extern] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym_COLON_COLON] = ACTIONS(4936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4936),
    [anon_sym___declspec] = ACTIONS(4929),
    [anon_sym___based] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_LBRACK] = ACTIONS(4940),
    [anon_sym_static] = ACTIONS(4929),
    [anon_sym_EQ] = ACTIONS(4940),
    [anon_sym_register] = ACTIONS(4929),
    [anon_sym_inline] = ACTIONS(4929),
    [anon_sym___inline] = ACTIONS(4929),
    [anon_sym___inline__] = ACTIONS(4929),
    [anon_sym___forceinline] = ACTIONS(4929),
    [anon_sym_thread_local] = ACTIONS(4929),
    [anon_sym___thread] = ACTIONS(4929),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_PROGMEM] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_STAR_EQ] = ACTIONS(4931),
    [anon_sym_SLASH_EQ] = ACTIONS(4931),
    [anon_sym_PERCENT_EQ] = ACTIONS(4931),
    [anon_sym_PLUS_EQ] = ACTIONS(4931),
    [anon_sym_DASH_EQ] = ACTIONS(4931),
    [anon_sym_LT_LT_EQ] = ACTIONS(4931),
    [anon_sym_GT_GT_EQ] = ACTIONS(4931),
    [anon_sym_AMP_EQ] = ACTIONS(4931),
    [anon_sym_CARET_EQ] = ACTIONS(4931),
    [anon_sym_PIPE_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_template] = ACTIONS(4929),
    [anon_sym_operator] = ACTIONS(4929),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4931),
  },
  [1568] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(4886),
    [anon_sym_TILDE] = ACTIONS(4886),
    [anon_sym_DASH] = ACTIONS(4884),
    [anon_sym_PLUS] = ACTIONS(4884),
    [anon_sym_STAR] = ACTIONS(4884),
    [anon_sym_SLASH] = ACTIONS(4884),
    [anon_sym_PERCENT] = ACTIONS(4884),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4886),
    [anon_sym_PIPE] = ACTIONS(4884),
    [anon_sym_CARET] = ACTIONS(4884),
    [anon_sym_AMP] = ACTIONS(4884),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4884),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4884),
    [anon_sym_LT] = ACTIONS(4884),
    [anon_sym_LT_LT] = ACTIONS(4884),
    [anon_sym_GT_GT] = ACTIONS(4884),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4886),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4884),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_PROGMEM] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4884),
    [anon_sym_and] = ACTIONS(4884),
    [anon_sym_bitor] = ACTIONS(4884),
    [anon_sym_xor] = ACTIONS(4884),
    [anon_sym_bitand] = ACTIONS(4884),
    [anon_sym_not_eq] = ACTIONS(4884),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4884),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4886),
  },
  [1569] = {
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_TILDE] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4896),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4896),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4896),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4896),
    [anon_sym_GT_GT] = ACTIONS(4896),
    [anon_sym___extension__] = ACTIONS(4896),
    [anon_sym_virtual] = ACTIONS(4896),
    [anon_sym_extern] = ACTIONS(4896),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym_COLON_COLON] = ACTIONS(4898),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4898),
    [anon_sym___declspec] = ACTIONS(4896),
    [anon_sym___based] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4896),
    [anon_sym_static] = ACTIONS(4896),
    [anon_sym_EQ] = ACTIONS(4896),
    [anon_sym_register] = ACTIONS(4896),
    [anon_sym_inline] = ACTIONS(4896),
    [anon_sym___inline] = ACTIONS(4896),
    [anon_sym___inline__] = ACTIONS(4896),
    [anon_sym___forceinline] = ACTIONS(4896),
    [anon_sym_thread_local] = ACTIONS(4896),
    [anon_sym___thread] = ACTIONS(4896),
    [anon_sym_const] = ACTIONS(4896),
    [anon_sym_constexpr] = ACTIONS(4896),
    [anon_sym_volatile] = ACTIONS(4896),
    [anon_sym_restrict] = ACTIONS(4896),
    [anon_sym___restrict__] = ACTIONS(4896),
    [anon_sym__Atomic] = ACTIONS(4896),
    [anon_sym__Noreturn] = ACTIONS(4896),
    [anon_sym_noreturn] = ACTIONS(4896),
    [anon_sym__Nonnull] = ACTIONS(4896),
    [anon_sym_mutable] = ACTIONS(4896),
    [anon_sym_constinit] = ACTIONS(4896),
    [anon_sym_consteval] = ACTIONS(4896),
    [anon_sym_PROGMEM] = ACTIONS(4896),
    [anon_sym_alignas] = ACTIONS(4896),
    [anon_sym__Alignas] = ACTIONS(4896),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_STAR_EQ] = ACTIONS(4898),
    [anon_sym_SLASH_EQ] = ACTIONS(4898),
    [anon_sym_PERCENT_EQ] = ACTIONS(4898),
    [anon_sym_PLUS_EQ] = ACTIONS(4898),
    [anon_sym_DASH_EQ] = ACTIONS(4898),
    [anon_sym_LT_LT_EQ] = ACTIONS(4898),
    [anon_sym_GT_GT_EQ] = ACTIONS(4898),
    [anon_sym_AMP_EQ] = ACTIONS(4898),
    [anon_sym_CARET_EQ] = ACTIONS(4898),
    [anon_sym_PIPE_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_template] = ACTIONS(4896),
    [anon_sym_operator] = ACTIONS(4896),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4898),
  },
  [1570] = {
    [sym_identifier] = ACTIONS(4908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4910),
    [anon_sym_COMMA] = ACTIONS(4910),
    [anon_sym_RPAREN] = ACTIONS(4910),
    [aux_sym_preproc_if_token2] = ACTIONS(4910),
    [aux_sym_preproc_else_token1] = ACTIONS(4910),
    [aux_sym_preproc_elif_token1] = ACTIONS(4908),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4910),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4910),
    [anon_sym_LPAREN2] = ACTIONS(4910),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_STAR] = ACTIONS(4908),
    [anon_sym_SLASH] = ACTIONS(4908),
    [anon_sym_PERCENT] = ACTIONS(4908),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4910),
    [anon_sym_PIPE] = ACTIONS(4908),
    [anon_sym_CARET] = ACTIONS(4908),
    [anon_sym_AMP] = ACTIONS(4908),
    [anon_sym_EQ_EQ] = ACTIONS(4910),
    [anon_sym_BANG_EQ] = ACTIONS(4910),
    [anon_sym_GT] = ACTIONS(4908),
    [anon_sym_GT_EQ] = ACTIONS(4910),
    [anon_sym_LT_EQ] = ACTIONS(4908),
    [anon_sym_LT] = ACTIONS(4908),
    [anon_sym_LT_LT] = ACTIONS(4908),
    [anon_sym_GT_GT] = ACTIONS(4908),
    [anon_sym_SEMI] = ACTIONS(4910),
    [anon_sym___extension__] = ACTIONS(4908),
    [anon_sym___attribute__] = ACTIONS(4908),
    [anon_sym_COLON_COLON] = ACTIONS(4910),
    [anon_sym_LBRACE] = ACTIONS(4910),
    [anon_sym_RBRACE] = ACTIONS(4910),
    [anon_sym_LBRACK] = ACTIONS(4910),
    [anon_sym_RBRACK] = ACTIONS(4910),
    [anon_sym_EQ] = ACTIONS(4908),
    [anon_sym_const] = ACTIONS(4908),
    [anon_sym_constexpr] = ACTIONS(4908),
    [anon_sym_volatile] = ACTIONS(4908),
    [anon_sym_restrict] = ACTIONS(4908),
    [anon_sym___restrict__] = ACTIONS(4908),
    [anon_sym__Atomic] = ACTIONS(4908),
    [anon_sym__Noreturn] = ACTIONS(4908),
    [anon_sym_noreturn] = ACTIONS(4908),
    [anon_sym__Nonnull] = ACTIONS(4908),
    [anon_sym_mutable] = ACTIONS(4908),
    [anon_sym_constinit] = ACTIONS(4908),
    [anon_sym_consteval] = ACTIONS(4908),
    [anon_sym_PROGMEM] = ACTIONS(4908),
    [anon_sym_alignas] = ACTIONS(4908),
    [anon_sym__Alignas] = ACTIONS(4908),
    [anon_sym_COLON] = ACTIONS(4908),
    [anon_sym_QMARK] = ACTIONS(4910),
    [anon_sym_STAR_EQ] = ACTIONS(4910),
    [anon_sym_SLASH_EQ] = ACTIONS(4910),
    [anon_sym_PERCENT_EQ] = ACTIONS(4910),
    [anon_sym_PLUS_EQ] = ACTIONS(4910),
    [anon_sym_DASH_EQ] = ACTIONS(4910),
    [anon_sym_LT_LT_EQ] = ACTIONS(4910),
    [anon_sym_GT_GT_EQ] = ACTIONS(4910),
    [anon_sym_AMP_EQ] = ACTIONS(4910),
    [anon_sym_CARET_EQ] = ACTIONS(4910),
    [anon_sym_PIPE_EQ] = ACTIONS(4910),
    [anon_sym_and_eq] = ACTIONS(4908),
    [anon_sym_or_eq] = ACTIONS(4908),
    [anon_sym_xor_eq] = ACTIONS(4908),
    [anon_sym_LT_EQ_GT] = ACTIONS(4910),
    [anon_sym_or] = ACTIONS(4908),
    [anon_sym_and] = ACTIONS(4908),
    [anon_sym_bitor] = ACTIONS(4908),
    [anon_sym_xor] = ACTIONS(4908),
    [anon_sym_bitand] = ACTIONS(4908),
    [anon_sym_not_eq] = ACTIONS(4908),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_DOT] = ACTIONS(4908),
    [anon_sym_DOT_STAR] = ACTIONS(4910),
    [anon_sym_DASH_GT] = ACTIONS(4910),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4908),
    [anon_sym_decltype] = ACTIONS(4908),
    [anon_sym_final] = ACTIONS(4908),
    [anon_sym_override] = ACTIONS(4908),
  },
  [1571] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4886),
    [aux_sym_preproc_if_token2] = ACTIONS(4886),
    [aux_sym_preproc_else_token1] = ACTIONS(4886),
    [aux_sym_preproc_elif_token1] = ACTIONS(4884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(4886),
    [anon_sym_DASH] = ACTIONS(4884),
    [anon_sym_PLUS] = ACTIONS(4884),
    [anon_sym_STAR] = ACTIONS(4884),
    [anon_sym_SLASH] = ACTIONS(4884),
    [anon_sym_PERCENT] = ACTIONS(4884),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4886),
    [anon_sym_PIPE] = ACTIONS(4884),
    [anon_sym_CARET] = ACTIONS(4884),
    [anon_sym_AMP] = ACTIONS(4884),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4884),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4884),
    [anon_sym_LT] = ACTIONS(4884),
    [anon_sym_LT_LT] = ACTIONS(4884),
    [anon_sym_GT_GT] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4886),
    [anon_sym_LBRACE] = ACTIONS(4886),
    [anon_sym_RBRACE] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4886),
    [anon_sym_RBRACK] = ACTIONS(4886),
    [anon_sym_EQ] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_PROGMEM] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_COLON] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4884),
    [anon_sym_or_eq] = ACTIONS(4884),
    [anon_sym_xor_eq] = ACTIONS(4884),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4884),
    [anon_sym_and] = ACTIONS(4884),
    [anon_sym_bitor] = ACTIONS(4884),
    [anon_sym_xor] = ACTIONS(4884),
    [anon_sym_bitand] = ACTIONS(4884),
    [anon_sym_not_eq] = ACTIONS(4884),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4884),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_final] = ACTIONS(4884),
    [anon_sym_override] = ACTIONS(4884),
  },
  [1572] = {
    [sym_identifier] = ACTIONS(4888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4890),
    [anon_sym_COMMA] = ACTIONS(4890),
    [anon_sym_RPAREN] = ACTIONS(4890),
    [aux_sym_preproc_if_token2] = ACTIONS(4890),
    [aux_sym_preproc_else_token1] = ACTIONS(4890),
    [aux_sym_preproc_elif_token1] = ACTIONS(4888),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4890),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4890),
    [anon_sym_LPAREN2] = ACTIONS(4890),
    [anon_sym_DASH] = ACTIONS(4888),
    [anon_sym_PLUS] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4888),
    [anon_sym_SLASH] = ACTIONS(4888),
    [anon_sym_PERCENT] = ACTIONS(4888),
    [anon_sym_PIPE_PIPE] = ACTIONS(4890),
    [anon_sym_AMP_AMP] = ACTIONS(4890),
    [anon_sym_PIPE] = ACTIONS(4888),
    [anon_sym_CARET] = ACTIONS(4888),
    [anon_sym_AMP] = ACTIONS(4888),
    [anon_sym_EQ_EQ] = ACTIONS(4890),
    [anon_sym_BANG_EQ] = ACTIONS(4890),
    [anon_sym_GT] = ACTIONS(4888),
    [anon_sym_GT_EQ] = ACTIONS(4890),
    [anon_sym_LT_EQ] = ACTIONS(4888),
    [anon_sym_LT] = ACTIONS(4888),
    [anon_sym_LT_LT] = ACTIONS(4888),
    [anon_sym_GT_GT] = ACTIONS(4888),
    [anon_sym_SEMI] = ACTIONS(4890),
    [anon_sym___extension__] = ACTIONS(4888),
    [anon_sym___attribute__] = ACTIONS(4888),
    [anon_sym_COLON_COLON] = ACTIONS(4890),
    [anon_sym_LBRACE] = ACTIONS(4890),
    [anon_sym_RBRACE] = ACTIONS(4890),
    [anon_sym_LBRACK] = ACTIONS(4890),
    [anon_sym_RBRACK] = ACTIONS(4890),
    [anon_sym_EQ] = ACTIONS(4888),
    [anon_sym_const] = ACTIONS(4888),
    [anon_sym_constexpr] = ACTIONS(4888),
    [anon_sym_volatile] = ACTIONS(4888),
    [anon_sym_restrict] = ACTIONS(4888),
    [anon_sym___restrict__] = ACTIONS(4888),
    [anon_sym__Atomic] = ACTIONS(4888),
    [anon_sym__Noreturn] = ACTIONS(4888),
    [anon_sym_noreturn] = ACTIONS(4888),
    [anon_sym__Nonnull] = ACTIONS(4888),
    [anon_sym_mutable] = ACTIONS(4888),
    [anon_sym_constinit] = ACTIONS(4888),
    [anon_sym_consteval] = ACTIONS(4888),
    [anon_sym_PROGMEM] = ACTIONS(4888),
    [anon_sym_alignas] = ACTIONS(4888),
    [anon_sym__Alignas] = ACTIONS(4888),
    [anon_sym_COLON] = ACTIONS(4888),
    [anon_sym_QMARK] = ACTIONS(4890),
    [anon_sym_STAR_EQ] = ACTIONS(4890),
    [anon_sym_SLASH_EQ] = ACTIONS(4890),
    [anon_sym_PERCENT_EQ] = ACTIONS(4890),
    [anon_sym_PLUS_EQ] = ACTIONS(4890),
    [anon_sym_DASH_EQ] = ACTIONS(4890),
    [anon_sym_LT_LT_EQ] = ACTIONS(4890),
    [anon_sym_GT_GT_EQ] = ACTIONS(4890),
    [anon_sym_AMP_EQ] = ACTIONS(4890),
    [anon_sym_CARET_EQ] = ACTIONS(4890),
    [anon_sym_PIPE_EQ] = ACTIONS(4890),
    [anon_sym_and_eq] = ACTIONS(4888),
    [anon_sym_or_eq] = ACTIONS(4888),
    [anon_sym_xor_eq] = ACTIONS(4888),
    [anon_sym_LT_EQ_GT] = ACTIONS(4890),
    [anon_sym_or] = ACTIONS(4888),
    [anon_sym_and] = ACTIONS(4888),
    [anon_sym_bitor] = ACTIONS(4888),
    [anon_sym_xor] = ACTIONS(4888),
    [anon_sym_bitand] = ACTIONS(4888),
    [anon_sym_not_eq] = ACTIONS(4888),
    [anon_sym_DASH_DASH] = ACTIONS(4890),
    [anon_sym_PLUS_PLUS] = ACTIONS(4890),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_DOT_STAR] = ACTIONS(4890),
    [anon_sym_DASH_GT] = ACTIONS(4890),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4888),
    [anon_sym_decltype] = ACTIONS(4888),
    [anon_sym_final] = ACTIONS(4888),
    [anon_sym_override] = ACTIONS(4888),
  },
  [1573] = {
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [aux_sym_preproc_if_token2] = ACTIONS(4898),
    [aux_sym_preproc_else_token1] = ACTIONS(4898),
    [aux_sym_preproc_elif_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4898),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4896),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4896),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4896),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4896),
    [anon_sym_GT_GT] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(4896),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym_COLON_COLON] = ACTIONS(4898),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_RBRACE] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_RBRACK] = ACTIONS(4898),
    [anon_sym_EQ] = ACTIONS(4896),
    [anon_sym_const] = ACTIONS(4896),
    [anon_sym_constexpr] = ACTIONS(4896),
    [anon_sym_volatile] = ACTIONS(4896),
    [anon_sym_restrict] = ACTIONS(4896),
    [anon_sym___restrict__] = ACTIONS(4896),
    [anon_sym__Atomic] = ACTIONS(4896),
    [anon_sym__Noreturn] = ACTIONS(4896),
    [anon_sym_noreturn] = ACTIONS(4896),
    [anon_sym__Nonnull] = ACTIONS(4896),
    [anon_sym_mutable] = ACTIONS(4896),
    [anon_sym_constinit] = ACTIONS(4896),
    [anon_sym_consteval] = ACTIONS(4896),
    [anon_sym_PROGMEM] = ACTIONS(4896),
    [anon_sym_alignas] = ACTIONS(4896),
    [anon_sym__Alignas] = ACTIONS(4896),
    [anon_sym_COLON] = ACTIONS(4896),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_STAR_EQ] = ACTIONS(4898),
    [anon_sym_SLASH_EQ] = ACTIONS(4898),
    [anon_sym_PERCENT_EQ] = ACTIONS(4898),
    [anon_sym_PLUS_EQ] = ACTIONS(4898),
    [anon_sym_DASH_EQ] = ACTIONS(4898),
    [anon_sym_LT_LT_EQ] = ACTIONS(4898),
    [anon_sym_GT_GT_EQ] = ACTIONS(4898),
    [anon_sym_AMP_EQ] = ACTIONS(4898),
    [anon_sym_CARET_EQ] = ACTIONS(4898),
    [anon_sym_PIPE_EQ] = ACTIONS(4898),
    [anon_sym_and_eq] = ACTIONS(4896),
    [anon_sym_or_eq] = ACTIONS(4896),
    [anon_sym_xor_eq] = ACTIONS(4896),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_final] = ACTIONS(4896),
    [anon_sym_override] = ACTIONS(4896),
  },
  [1574] = {
    [sym_identifier] = ACTIONS(4904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4906),
    [anon_sym_COMMA] = ACTIONS(4906),
    [anon_sym_RPAREN] = ACTIONS(4906),
    [aux_sym_preproc_if_token2] = ACTIONS(4906),
    [aux_sym_preproc_else_token1] = ACTIONS(4906),
    [aux_sym_preproc_elif_token1] = ACTIONS(4904),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4906),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4906),
    [anon_sym_LPAREN2] = ACTIONS(4906),
    [anon_sym_DASH] = ACTIONS(4904),
    [anon_sym_PLUS] = ACTIONS(4904),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_SLASH] = ACTIONS(4904),
    [anon_sym_PERCENT] = ACTIONS(4904),
    [anon_sym_PIPE_PIPE] = ACTIONS(4906),
    [anon_sym_AMP_AMP] = ACTIONS(4906),
    [anon_sym_PIPE] = ACTIONS(4904),
    [anon_sym_CARET] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4904),
    [anon_sym_EQ_EQ] = ACTIONS(4906),
    [anon_sym_BANG_EQ] = ACTIONS(4906),
    [anon_sym_GT] = ACTIONS(4904),
    [anon_sym_GT_EQ] = ACTIONS(4906),
    [anon_sym_LT_EQ] = ACTIONS(4904),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym_LT_LT] = ACTIONS(4904),
    [anon_sym_GT_GT] = ACTIONS(4904),
    [anon_sym_SEMI] = ACTIONS(4906),
    [anon_sym___extension__] = ACTIONS(4904),
    [anon_sym___attribute__] = ACTIONS(4904),
    [anon_sym_COLON_COLON] = ACTIONS(4906),
    [anon_sym_LBRACE] = ACTIONS(4906),
    [anon_sym_RBRACE] = ACTIONS(4906),
    [anon_sym_LBRACK] = ACTIONS(4906),
    [anon_sym_RBRACK] = ACTIONS(4906),
    [anon_sym_EQ] = ACTIONS(4904),
    [anon_sym_const] = ACTIONS(4904),
    [anon_sym_constexpr] = ACTIONS(4904),
    [anon_sym_volatile] = ACTIONS(4904),
    [anon_sym_restrict] = ACTIONS(4904),
    [anon_sym___restrict__] = ACTIONS(4904),
    [anon_sym__Atomic] = ACTIONS(4904),
    [anon_sym__Noreturn] = ACTIONS(4904),
    [anon_sym_noreturn] = ACTIONS(4904),
    [anon_sym__Nonnull] = ACTIONS(4904),
    [anon_sym_mutable] = ACTIONS(4904),
    [anon_sym_constinit] = ACTIONS(4904),
    [anon_sym_consteval] = ACTIONS(4904),
    [anon_sym_PROGMEM] = ACTIONS(4904),
    [anon_sym_alignas] = ACTIONS(4904),
    [anon_sym__Alignas] = ACTIONS(4904),
    [anon_sym_COLON] = ACTIONS(4904),
    [anon_sym_QMARK] = ACTIONS(4906),
    [anon_sym_STAR_EQ] = ACTIONS(4906),
    [anon_sym_SLASH_EQ] = ACTIONS(4906),
    [anon_sym_PERCENT_EQ] = ACTIONS(4906),
    [anon_sym_PLUS_EQ] = ACTIONS(4906),
    [anon_sym_DASH_EQ] = ACTIONS(4906),
    [anon_sym_LT_LT_EQ] = ACTIONS(4906),
    [anon_sym_GT_GT_EQ] = ACTIONS(4906),
    [anon_sym_AMP_EQ] = ACTIONS(4906),
    [anon_sym_CARET_EQ] = ACTIONS(4906),
    [anon_sym_PIPE_EQ] = ACTIONS(4906),
    [anon_sym_and_eq] = ACTIONS(4904),
    [anon_sym_or_eq] = ACTIONS(4904),
    [anon_sym_xor_eq] = ACTIONS(4904),
    [anon_sym_LT_EQ_GT] = ACTIONS(4906),
    [anon_sym_or] = ACTIONS(4904),
    [anon_sym_and] = ACTIONS(4904),
    [anon_sym_bitor] = ACTIONS(4904),
    [anon_sym_xor] = ACTIONS(4904),
    [anon_sym_bitand] = ACTIONS(4904),
    [anon_sym_not_eq] = ACTIONS(4904),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DOT] = ACTIONS(4904),
    [anon_sym_DOT_STAR] = ACTIONS(4906),
    [anon_sym_DASH_GT] = ACTIONS(4906),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4904),
    [anon_sym_decltype] = ACTIONS(4904),
    [anon_sym_final] = ACTIONS(4904),
    [anon_sym_override] = ACTIONS(4904),
  },
  [1575] = {
    [sym_identifier] = ACTIONS(4900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4902),
    [anon_sym_COMMA] = ACTIONS(4902),
    [anon_sym_RPAREN] = ACTIONS(4902),
    [aux_sym_preproc_if_token2] = ACTIONS(4902),
    [aux_sym_preproc_else_token1] = ACTIONS(4902),
    [aux_sym_preproc_elif_token1] = ACTIONS(4900),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4902),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4902),
    [anon_sym_LPAREN2] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4900),
    [anon_sym_STAR] = ACTIONS(4900),
    [anon_sym_SLASH] = ACTIONS(4900),
    [anon_sym_PERCENT] = ACTIONS(4900),
    [anon_sym_PIPE_PIPE] = ACTIONS(4902),
    [anon_sym_AMP_AMP] = ACTIONS(4902),
    [anon_sym_PIPE] = ACTIONS(4900),
    [anon_sym_CARET] = ACTIONS(4900),
    [anon_sym_AMP] = ACTIONS(4900),
    [anon_sym_EQ_EQ] = ACTIONS(4902),
    [anon_sym_BANG_EQ] = ACTIONS(4902),
    [anon_sym_GT] = ACTIONS(4900),
    [anon_sym_GT_EQ] = ACTIONS(4902),
    [anon_sym_LT_EQ] = ACTIONS(4900),
    [anon_sym_LT] = ACTIONS(4900),
    [anon_sym_LT_LT] = ACTIONS(4900),
    [anon_sym_GT_GT] = ACTIONS(4900),
    [anon_sym_SEMI] = ACTIONS(4902),
    [anon_sym___extension__] = ACTIONS(4900),
    [anon_sym___attribute__] = ACTIONS(4900),
    [anon_sym_COLON_COLON] = ACTIONS(4902),
    [anon_sym_LBRACE] = ACTIONS(4902),
    [anon_sym_RBRACE] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [anon_sym_RBRACK] = ACTIONS(4902),
    [anon_sym_EQ] = ACTIONS(4900),
    [anon_sym_const] = ACTIONS(4900),
    [anon_sym_constexpr] = ACTIONS(4900),
    [anon_sym_volatile] = ACTIONS(4900),
    [anon_sym_restrict] = ACTIONS(4900),
    [anon_sym___restrict__] = ACTIONS(4900),
    [anon_sym__Atomic] = ACTIONS(4900),
    [anon_sym__Noreturn] = ACTIONS(4900),
    [anon_sym_noreturn] = ACTIONS(4900),
    [anon_sym__Nonnull] = ACTIONS(4900),
    [anon_sym_mutable] = ACTIONS(4900),
    [anon_sym_constinit] = ACTIONS(4900),
    [anon_sym_consteval] = ACTIONS(4900),
    [anon_sym_PROGMEM] = ACTIONS(4900),
    [anon_sym_alignas] = ACTIONS(4900),
    [anon_sym__Alignas] = ACTIONS(4900),
    [anon_sym_COLON] = ACTIONS(4900),
    [anon_sym_QMARK] = ACTIONS(4902),
    [anon_sym_STAR_EQ] = ACTIONS(4902),
    [anon_sym_SLASH_EQ] = ACTIONS(4902),
    [anon_sym_PERCENT_EQ] = ACTIONS(4902),
    [anon_sym_PLUS_EQ] = ACTIONS(4902),
    [anon_sym_DASH_EQ] = ACTIONS(4902),
    [anon_sym_LT_LT_EQ] = ACTIONS(4902),
    [anon_sym_GT_GT_EQ] = ACTIONS(4902),
    [anon_sym_AMP_EQ] = ACTIONS(4902),
    [anon_sym_CARET_EQ] = ACTIONS(4902),
    [anon_sym_PIPE_EQ] = ACTIONS(4902),
    [anon_sym_and_eq] = ACTIONS(4900),
    [anon_sym_or_eq] = ACTIONS(4900),
    [anon_sym_xor_eq] = ACTIONS(4900),
    [anon_sym_LT_EQ_GT] = ACTIONS(4902),
    [anon_sym_or] = ACTIONS(4900),
    [anon_sym_and] = ACTIONS(4900),
    [anon_sym_bitor] = ACTIONS(4900),
    [anon_sym_xor] = ACTIONS(4900),
    [anon_sym_bitand] = ACTIONS(4900),
    [anon_sym_not_eq] = ACTIONS(4900),
    [anon_sym_DASH_DASH] = ACTIONS(4902),
    [anon_sym_PLUS_PLUS] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_DOT_STAR] = ACTIONS(4902),
    [anon_sym_DASH_GT] = ACTIONS(4902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4900),
    [anon_sym_decltype] = ACTIONS(4900),
    [anon_sym_final] = ACTIONS(4900),
    [anon_sym_override] = ACTIONS(4900),
  },
  [1576] = {
    [sym_identifier] = ACTIONS(4892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4894),
    [anon_sym_COMMA] = ACTIONS(4894),
    [anon_sym_RPAREN] = ACTIONS(4894),
    [aux_sym_preproc_if_token2] = ACTIONS(4894),
    [aux_sym_preproc_else_token1] = ACTIONS(4894),
    [aux_sym_preproc_elif_token1] = ACTIONS(4892),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4894),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4894),
    [anon_sym_LPAREN2] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4892),
    [anon_sym_STAR] = ACTIONS(4892),
    [anon_sym_SLASH] = ACTIONS(4892),
    [anon_sym_PERCENT] = ACTIONS(4892),
    [anon_sym_PIPE_PIPE] = ACTIONS(4894),
    [anon_sym_AMP_AMP] = ACTIONS(4894),
    [anon_sym_PIPE] = ACTIONS(4892),
    [anon_sym_CARET] = ACTIONS(4892),
    [anon_sym_AMP] = ACTIONS(4892),
    [anon_sym_EQ_EQ] = ACTIONS(4894),
    [anon_sym_BANG_EQ] = ACTIONS(4894),
    [anon_sym_GT] = ACTIONS(4892),
    [anon_sym_GT_EQ] = ACTIONS(4894),
    [anon_sym_LT_EQ] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym_LT_LT] = ACTIONS(4892),
    [anon_sym_GT_GT] = ACTIONS(4892),
    [anon_sym_SEMI] = ACTIONS(4894),
    [anon_sym___extension__] = ACTIONS(4892),
    [anon_sym___attribute__] = ACTIONS(4892),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACE] = ACTIONS(4894),
    [anon_sym_RBRACE] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [anon_sym_RBRACK] = ACTIONS(4894),
    [anon_sym_EQ] = ACTIONS(4892),
    [anon_sym_const] = ACTIONS(4892),
    [anon_sym_constexpr] = ACTIONS(4892),
    [anon_sym_volatile] = ACTIONS(4892),
    [anon_sym_restrict] = ACTIONS(4892),
    [anon_sym___restrict__] = ACTIONS(4892),
    [anon_sym__Atomic] = ACTIONS(4892),
    [anon_sym__Noreturn] = ACTIONS(4892),
    [anon_sym_noreturn] = ACTIONS(4892),
    [anon_sym__Nonnull] = ACTIONS(4892),
    [anon_sym_mutable] = ACTIONS(4892),
    [anon_sym_constinit] = ACTIONS(4892),
    [anon_sym_consteval] = ACTIONS(4892),
    [anon_sym_PROGMEM] = ACTIONS(4892),
    [anon_sym_alignas] = ACTIONS(4892),
    [anon_sym__Alignas] = ACTIONS(4892),
    [anon_sym_COLON] = ACTIONS(4892),
    [anon_sym_QMARK] = ACTIONS(4894),
    [anon_sym_STAR_EQ] = ACTIONS(4894),
    [anon_sym_SLASH_EQ] = ACTIONS(4894),
    [anon_sym_PERCENT_EQ] = ACTIONS(4894),
    [anon_sym_PLUS_EQ] = ACTIONS(4894),
    [anon_sym_DASH_EQ] = ACTIONS(4894),
    [anon_sym_LT_LT_EQ] = ACTIONS(4894),
    [anon_sym_GT_GT_EQ] = ACTIONS(4894),
    [anon_sym_AMP_EQ] = ACTIONS(4894),
    [anon_sym_CARET_EQ] = ACTIONS(4894),
    [anon_sym_PIPE_EQ] = ACTIONS(4894),
    [anon_sym_and_eq] = ACTIONS(4892),
    [anon_sym_or_eq] = ACTIONS(4892),
    [anon_sym_xor_eq] = ACTIONS(4892),
    [anon_sym_LT_EQ_GT] = ACTIONS(4894),
    [anon_sym_or] = ACTIONS(4892),
    [anon_sym_and] = ACTIONS(4892),
    [anon_sym_bitor] = ACTIONS(4892),
    [anon_sym_xor] = ACTIONS(4892),
    [anon_sym_bitand] = ACTIONS(4892),
    [anon_sym_not_eq] = ACTIONS(4892),
    [anon_sym_DASH_DASH] = ACTIONS(4894),
    [anon_sym_PLUS_PLUS] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_DOT_STAR] = ACTIONS(4894),
    [anon_sym_DASH_GT] = ACTIONS(4894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4892),
    [anon_sym_decltype] = ACTIONS(4892),
    [anon_sym_final] = ACTIONS(4892),
    [anon_sym_override] = ACTIONS(4892),
  },
  [1577] = {
    [sym_function_definition] = STATE(380),
    [sym_declaration] = STATE(380),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1821),
    [sym_declaration_list] = STATE(380),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4982),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4986),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1578] = {
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4936),
    [anon_sym_COMMA] = ACTIONS(4936),
    [anon_sym_RPAREN] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_TILDE] = ACTIONS(4936),
    [anon_sym_STAR] = ACTIONS(4936),
    [anon_sym_PIPE_PIPE] = ACTIONS(4936),
    [anon_sym_AMP_AMP] = ACTIONS(4936),
    [anon_sym_AMP] = ACTIONS(4929),
    [anon_sym_SEMI] = ACTIONS(4936),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym_virtual] = ACTIONS(4929),
    [anon_sym_extern] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym_COLON_COLON] = ACTIONS(4936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4936),
    [anon_sym___declspec] = ACTIONS(4929),
    [anon_sym___based] = ACTIONS(4929),
    [anon_sym___cdecl] = ACTIONS(4929),
    [anon_sym___clrcall] = ACTIONS(4929),
    [anon_sym___stdcall] = ACTIONS(4929),
    [anon_sym___fastcall] = ACTIONS(4929),
    [anon_sym___thiscall] = ACTIONS(4929),
    [anon_sym___vectorcall] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_signed] = ACTIONS(4929),
    [anon_sym_unsigned] = ACTIONS(4929),
    [anon_sym_long] = ACTIONS(4929),
    [anon_sym_short] = ACTIONS(4929),
    [anon_sym_LBRACK] = ACTIONS(4929),
    [anon_sym_static] = ACTIONS(4929),
    [anon_sym_EQ] = ACTIONS(4936),
    [anon_sym_register] = ACTIONS(4929),
    [anon_sym_inline] = ACTIONS(4929),
    [anon_sym___inline] = ACTIONS(4929),
    [anon_sym___inline__] = ACTIONS(4929),
    [anon_sym___forceinline] = ACTIONS(4929),
    [anon_sym_thread_local] = ACTIONS(4929),
    [anon_sym___thread] = ACTIONS(4929),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_PROGMEM] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [aux_sym_primitive_type_token1] = ACTIONS(4929),
    [anon_sym_byte] = ACTIONS(4929),
    [anon_sym_word] = ACTIONS(4929),
    [anon_sym_enum] = ACTIONS(4929),
    [anon_sym_class] = ACTIONS(4929),
    [anon_sym_struct] = ACTIONS(4929),
    [anon_sym_union] = ACTIONS(4929),
    [anon_sym_COLON] = ACTIONS(4929),
    [anon_sym_or] = ACTIONS(4929),
    [anon_sym_and] = ACTIONS(4929),
    [anon_sym_asm] = ACTIONS(4929),
    [anon_sym___asm__] = ACTIONS(4929),
    [anon_sym___asm] = ACTIONS(4929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_final] = ACTIONS(4929),
    [anon_sym_override] = ACTIONS(4929),
    [anon_sym_explicit] = ACTIONS(4929),
    [anon_sym_typename] = ACTIONS(4929),
    [anon_sym_template] = ACTIONS(4929),
    [anon_sym_GT2] = ACTIONS(4936),
    [anon_sym_operator] = ACTIONS(4929),
    [anon_sym_try] = ACTIONS(4929),
    [anon_sym_friend] = ACTIONS(4929),
    [anon_sym_using] = ACTIONS(4929),
    [anon_sym_concept] = ACTIONS(4929),
    [anon_sym_requires] = ACTIONS(4929),
  },
  [1579] = {
    [sym_function_definition] = STATE(559),
    [sym_declaration] = STATE(559),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4501),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1827),
    [sym_declaration_list] = STATE(559),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4982),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4988),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1580] = {
    [sym_function_definition] = STATE(735),
    [sym_declaration] = STATE(735),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4539),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1835),
    [sym_declaration_list] = STATE(735),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4982),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4990),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1581] = {
    [sym_function_definition] = STATE(549),
    [sym_declaration] = STATE(549),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1842),
    [sym_declaration_list] = STATE(549),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4982),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4992),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1582] = {
    [sym_function_definition] = STATE(678),
    [sym_declaration] = STATE(678),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1842),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7490),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(3711),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(3712),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4994),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4996),
    [anon_sym_struct] = ACTIONS(4998),
    [anon_sym_union] = ACTIONS(5000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1583] = {
    [sym_function_definition] = STATE(571),
    [sym_declaration] = STATE(571),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4501),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1827),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7578),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(3711),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(3712),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4994),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5002),
    [anon_sym_struct] = ACTIONS(5004),
    [anon_sym_union] = ACTIONS(5006),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1584] = {
    [sym_function_definition] = STATE(1722),
    [sym_declaration] = STATE(1722),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4575),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1832),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(8256),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(3711),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(3712),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4994),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5008),
    [anon_sym_struct] = ACTIONS(5010),
    [anon_sym_union] = ACTIONS(5012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1585] = {
    [sym_function_definition] = STATE(383),
    [sym_declaration] = STATE(383),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1821),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7810),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(3711),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(3712),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4994),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5014),
    [anon_sym_struct] = ACTIONS(5016),
    [anon_sym_union] = ACTIONS(5018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1586] = {
    [sym_function_definition] = STATE(1888),
    [sym_declaration] = STATE(1888),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4587),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1825),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7936),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(3711),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(3712),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4994),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5020),
    [anon_sym_struct] = ACTIONS(5022),
    [anon_sym_union] = ACTIONS(5024),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1587] = {
    [sym_function_definition] = STATE(1963),
    [sym_declaration] = STATE(1963),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4526),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1823),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7488),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(3711),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(3712),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4994),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5026),
    [anon_sym_struct] = ACTIONS(5028),
    [anon_sym_union] = ACTIONS(5030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1588] = {
    [sym_function_definition] = STATE(717),
    [sym_declaration] = STATE(717),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4539),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1835),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7859),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(3711),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(3712),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4994),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5032),
    [anon_sym_struct] = ACTIONS(5034),
    [anon_sym_union] = ACTIONS(5036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1589] = {
    [sym_function_definition] = STATE(1882),
    [sym_declaration] = STATE(1882),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4526),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1823),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(8186),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(3711),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(3712),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4994),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5038),
    [anon_sym_struct] = ACTIONS(5040),
    [anon_sym_union] = ACTIONS(5042),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1590] = {
    [sym_function_definition] = STATE(588),
    [sym_declaration] = STATE(588),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4501),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1827),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7641),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(3711),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(3712),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4994),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5044),
    [anon_sym_struct] = ACTIONS(5046),
    [anon_sym_union] = ACTIONS(5048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1591] = {
    [sym_function_definition] = STATE(1704),
    [sym_declaration] = STATE(1704),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4575),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1832),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(8301),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(3711),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(3712),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4994),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5050),
    [anon_sym_struct] = ACTIONS(5052),
    [anon_sym_union] = ACTIONS(5054),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1592] = {
    [sym_function_definition] = STATE(752),
    [sym_declaration] = STATE(752),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4539),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1835),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7902),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(3711),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(3712),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4994),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5056),
    [anon_sym_struct] = ACTIONS(5058),
    [anon_sym_union] = ACTIONS(5060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1593] = {
    [sym_function_definition] = STATE(661),
    [sym_declaration] = STATE(661),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4512),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1842),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7509),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(3711),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(3712),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4994),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5062),
    [anon_sym_struct] = ACTIONS(5064),
    [anon_sym_union] = ACTIONS(5066),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1594] = {
    [sym_function_definition] = STATE(360),
    [sym_declaration] = STATE(360),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4467),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1821),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7733),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(3711),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(3712),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4994),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5068),
    [anon_sym_struct] = ACTIONS(5070),
    [anon_sym_union] = ACTIONS(5072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1595] = {
    [sym_function_definition] = STATE(2041),
    [sym_declaration] = STATE(2041),
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4587),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_ms_call_modifier] = STATE(1825),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym__class_name] = STATE(7925),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(3711),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(3712),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4994),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5074),
    [anon_sym_struct] = ACTIONS(5076),
    [anon_sym_union] = ACTIONS(5078),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1596] = {
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4931),
    [anon_sym_COMMA] = ACTIONS(4931),
    [anon_sym_LPAREN2] = ACTIONS(4933),
    [anon_sym_TILDE] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4933),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4931),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4933),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4931),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4931),
    [anon_sym_GT_GT] = ACTIONS(4931),
    [anon_sym_SEMI] = ACTIONS(4933),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym_virtual] = ACTIONS(4929),
    [anon_sym_extern] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym_COLON_COLON] = ACTIONS(4936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4933),
    [anon_sym___declspec] = ACTIONS(4929),
    [anon_sym___based] = ACTIONS(4929),
    [anon_sym___cdecl] = ACTIONS(4929),
    [anon_sym___clrcall] = ACTIONS(4929),
    [anon_sym___stdcall] = ACTIONS(4929),
    [anon_sym___fastcall] = ACTIONS(4929),
    [anon_sym___thiscall] = ACTIONS(4929),
    [anon_sym___vectorcall] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_RBRACE] = ACTIONS(4931),
    [anon_sym_LBRACK] = ACTIONS(4940),
    [anon_sym_static] = ACTIONS(4929),
    [anon_sym_register] = ACTIONS(4929),
    [anon_sym_inline] = ACTIONS(4929),
    [anon_sym___inline] = ACTIONS(4929),
    [anon_sym___inline__] = ACTIONS(4929),
    [anon_sym___forceinline] = ACTIONS(4929),
    [anon_sym_thread_local] = ACTIONS(4929),
    [anon_sym___thread] = ACTIONS(4929),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_PROGMEM] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_template] = ACTIONS(4929),
    [anon_sym_operator] = ACTIONS(4929),
  },
  [1597] = {
    [sym_identifier] = ACTIONS(5080),
    [anon_sym_COMMA] = ACTIONS(5082),
    [anon_sym_RPAREN] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_TILDE] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5082),
    [anon_sym_PIPE_PIPE] = ACTIONS(5082),
    [anon_sym_AMP_AMP] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(5082),
    [anon_sym___extension__] = ACTIONS(5080),
    [anon_sym_virtual] = ACTIONS(5080),
    [anon_sym_extern] = ACTIONS(5080),
    [anon_sym___attribute__] = ACTIONS(5080),
    [anon_sym_COLON_COLON] = ACTIONS(5082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5082),
    [anon_sym___declspec] = ACTIONS(5080),
    [anon_sym___based] = ACTIONS(5080),
    [anon_sym___cdecl] = ACTIONS(5080),
    [anon_sym___clrcall] = ACTIONS(5080),
    [anon_sym___stdcall] = ACTIONS(5080),
    [anon_sym___fastcall] = ACTIONS(5080),
    [anon_sym___thiscall] = ACTIONS(5080),
    [anon_sym___vectorcall] = ACTIONS(5080),
    [anon_sym_LBRACE] = ACTIONS(5082),
    [anon_sym_signed] = ACTIONS(5080),
    [anon_sym_unsigned] = ACTIONS(5080),
    [anon_sym_long] = ACTIONS(5080),
    [anon_sym_short] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5080),
    [anon_sym_static] = ACTIONS(5080),
    [anon_sym_EQ] = ACTIONS(5082),
    [anon_sym_register] = ACTIONS(5080),
    [anon_sym_inline] = ACTIONS(5080),
    [anon_sym___inline] = ACTIONS(5080),
    [anon_sym___inline__] = ACTIONS(5080),
    [anon_sym___forceinline] = ACTIONS(5080),
    [anon_sym_thread_local] = ACTIONS(5080),
    [anon_sym___thread] = ACTIONS(5080),
    [anon_sym_const] = ACTIONS(5080),
    [anon_sym_constexpr] = ACTIONS(5080),
    [anon_sym_volatile] = ACTIONS(5080),
    [anon_sym_restrict] = ACTIONS(5080),
    [anon_sym___restrict__] = ACTIONS(5080),
    [anon_sym__Atomic] = ACTIONS(5080),
    [anon_sym__Noreturn] = ACTIONS(5080),
    [anon_sym_noreturn] = ACTIONS(5080),
    [anon_sym__Nonnull] = ACTIONS(5080),
    [anon_sym_mutable] = ACTIONS(5080),
    [anon_sym_constinit] = ACTIONS(5080),
    [anon_sym_consteval] = ACTIONS(5080),
    [anon_sym_PROGMEM] = ACTIONS(5080),
    [anon_sym_alignas] = ACTIONS(5080),
    [anon_sym__Alignas] = ACTIONS(5080),
    [aux_sym_primitive_type_token1] = ACTIONS(5080),
    [anon_sym_byte] = ACTIONS(5080),
    [anon_sym_word] = ACTIONS(5080),
    [anon_sym_enum] = ACTIONS(5080),
    [anon_sym_class] = ACTIONS(5080),
    [anon_sym_struct] = ACTIONS(5080),
    [anon_sym_union] = ACTIONS(5080),
    [anon_sym_or] = ACTIONS(5080),
    [anon_sym_and] = ACTIONS(5080),
    [anon_sym_asm] = ACTIONS(5080),
    [anon_sym___asm__] = ACTIONS(5080),
    [anon_sym___asm] = ACTIONS(5080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5080),
    [anon_sym_decltype] = ACTIONS(5080),
    [anon_sym_final] = ACTIONS(5080),
    [anon_sym_override] = ACTIONS(5080),
    [anon_sym_explicit] = ACTIONS(5080),
    [anon_sym_typename] = ACTIONS(5080),
    [anon_sym_template] = ACTIONS(5080),
    [anon_sym_GT2] = ACTIONS(5082),
    [anon_sym_operator] = ACTIONS(5080),
    [anon_sym_try] = ACTIONS(5080),
    [anon_sym_friend] = ACTIONS(5080),
    [anon_sym_using] = ACTIONS(5080),
    [anon_sym_concept] = ACTIONS(5080),
    [anon_sym_requires] = ACTIONS(5080),
  },
  [1598] = {
    [sym_identifier] = ACTIONS(5084),
    [anon_sym_COMMA] = ACTIONS(5086),
    [anon_sym_RPAREN] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5086),
    [anon_sym_TILDE] = ACTIONS(5086),
    [anon_sym_STAR] = ACTIONS(5086),
    [anon_sym_PIPE_PIPE] = ACTIONS(5086),
    [anon_sym_AMP_AMP] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(5084),
    [anon_sym_SEMI] = ACTIONS(5086),
    [anon_sym___extension__] = ACTIONS(5084),
    [anon_sym_virtual] = ACTIONS(5084),
    [anon_sym_extern] = ACTIONS(5084),
    [anon_sym___attribute__] = ACTIONS(5084),
    [anon_sym_COLON_COLON] = ACTIONS(5086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5086),
    [anon_sym___declspec] = ACTIONS(5084),
    [anon_sym___based] = ACTIONS(5084),
    [anon_sym___cdecl] = ACTIONS(5084),
    [anon_sym___clrcall] = ACTIONS(5084),
    [anon_sym___stdcall] = ACTIONS(5084),
    [anon_sym___fastcall] = ACTIONS(5084),
    [anon_sym___thiscall] = ACTIONS(5084),
    [anon_sym___vectorcall] = ACTIONS(5084),
    [anon_sym_LBRACE] = ACTIONS(5086),
    [anon_sym_signed] = ACTIONS(5084),
    [anon_sym_unsigned] = ACTIONS(5084),
    [anon_sym_long] = ACTIONS(5084),
    [anon_sym_short] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [anon_sym_static] = ACTIONS(5084),
    [anon_sym_EQ] = ACTIONS(5086),
    [anon_sym_register] = ACTIONS(5084),
    [anon_sym_inline] = ACTIONS(5084),
    [anon_sym___inline] = ACTIONS(5084),
    [anon_sym___inline__] = ACTIONS(5084),
    [anon_sym___forceinline] = ACTIONS(5084),
    [anon_sym_thread_local] = ACTIONS(5084),
    [anon_sym___thread] = ACTIONS(5084),
    [anon_sym_const] = ACTIONS(5084),
    [anon_sym_constexpr] = ACTIONS(5084),
    [anon_sym_volatile] = ACTIONS(5084),
    [anon_sym_restrict] = ACTIONS(5084),
    [anon_sym___restrict__] = ACTIONS(5084),
    [anon_sym__Atomic] = ACTIONS(5084),
    [anon_sym__Noreturn] = ACTIONS(5084),
    [anon_sym_noreturn] = ACTIONS(5084),
    [anon_sym__Nonnull] = ACTIONS(5084),
    [anon_sym_mutable] = ACTIONS(5084),
    [anon_sym_constinit] = ACTIONS(5084),
    [anon_sym_consteval] = ACTIONS(5084),
    [anon_sym_PROGMEM] = ACTIONS(5084),
    [anon_sym_alignas] = ACTIONS(5084),
    [anon_sym__Alignas] = ACTIONS(5084),
    [aux_sym_primitive_type_token1] = ACTIONS(5084),
    [anon_sym_byte] = ACTIONS(5084),
    [anon_sym_word] = ACTIONS(5084),
    [anon_sym_enum] = ACTIONS(5084),
    [anon_sym_class] = ACTIONS(5084),
    [anon_sym_struct] = ACTIONS(5084),
    [anon_sym_union] = ACTIONS(5084),
    [anon_sym_or] = ACTIONS(5084),
    [anon_sym_and] = ACTIONS(5084),
    [anon_sym_asm] = ACTIONS(5084),
    [anon_sym___asm__] = ACTIONS(5084),
    [anon_sym___asm] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5084),
    [anon_sym_decltype] = ACTIONS(5084),
    [anon_sym_final] = ACTIONS(5084),
    [anon_sym_override] = ACTIONS(5084),
    [anon_sym_explicit] = ACTIONS(5084),
    [anon_sym_typename] = ACTIONS(5084),
    [anon_sym_template] = ACTIONS(5084),
    [anon_sym_GT2] = ACTIONS(5086),
    [anon_sym_operator] = ACTIONS(5084),
    [anon_sym_try] = ACTIONS(5084),
    [anon_sym_friend] = ACTIONS(5084),
    [anon_sym_using] = ACTIONS(5084),
    [anon_sym_concept] = ACTIONS(5084),
    [anon_sym_requires] = ACTIONS(5084),
  },
  [1599] = {
    [sym_identifier] = ACTIONS(5088),
    [anon_sym_COMMA] = ACTIONS(5090),
    [anon_sym_RPAREN] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(5090),
    [anon_sym_TILDE] = ACTIONS(5090),
    [anon_sym_STAR] = ACTIONS(5090),
    [anon_sym_PIPE_PIPE] = ACTIONS(5090),
    [anon_sym_AMP_AMP] = ACTIONS(5090),
    [anon_sym_AMP] = ACTIONS(5088),
    [anon_sym_SEMI] = ACTIONS(5090),
    [anon_sym___extension__] = ACTIONS(5088),
    [anon_sym_virtual] = ACTIONS(5088),
    [anon_sym_extern] = ACTIONS(5088),
    [anon_sym___attribute__] = ACTIONS(5088),
    [anon_sym_COLON_COLON] = ACTIONS(5090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5090),
    [anon_sym___declspec] = ACTIONS(5088),
    [anon_sym___based] = ACTIONS(5088),
    [anon_sym___cdecl] = ACTIONS(5088),
    [anon_sym___clrcall] = ACTIONS(5088),
    [anon_sym___stdcall] = ACTIONS(5088),
    [anon_sym___fastcall] = ACTIONS(5088),
    [anon_sym___thiscall] = ACTIONS(5088),
    [anon_sym___vectorcall] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(5090),
    [anon_sym_signed] = ACTIONS(5088),
    [anon_sym_unsigned] = ACTIONS(5088),
    [anon_sym_long] = ACTIONS(5088),
    [anon_sym_short] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [anon_sym_static] = ACTIONS(5088),
    [anon_sym_EQ] = ACTIONS(5090),
    [anon_sym_register] = ACTIONS(5088),
    [anon_sym_inline] = ACTIONS(5088),
    [anon_sym___inline] = ACTIONS(5088),
    [anon_sym___inline__] = ACTIONS(5088),
    [anon_sym___forceinline] = ACTIONS(5088),
    [anon_sym_thread_local] = ACTIONS(5088),
    [anon_sym___thread] = ACTIONS(5088),
    [anon_sym_const] = ACTIONS(5088),
    [anon_sym_constexpr] = ACTIONS(5088),
    [anon_sym_volatile] = ACTIONS(5088),
    [anon_sym_restrict] = ACTIONS(5088),
    [anon_sym___restrict__] = ACTIONS(5088),
    [anon_sym__Atomic] = ACTIONS(5088),
    [anon_sym__Noreturn] = ACTIONS(5088),
    [anon_sym_noreturn] = ACTIONS(5088),
    [anon_sym__Nonnull] = ACTIONS(5088),
    [anon_sym_mutable] = ACTIONS(5088),
    [anon_sym_constinit] = ACTIONS(5088),
    [anon_sym_consteval] = ACTIONS(5088),
    [anon_sym_PROGMEM] = ACTIONS(5088),
    [anon_sym_alignas] = ACTIONS(5088),
    [anon_sym__Alignas] = ACTIONS(5088),
    [aux_sym_primitive_type_token1] = ACTIONS(5088),
    [anon_sym_byte] = ACTIONS(5088),
    [anon_sym_word] = ACTIONS(5088),
    [anon_sym_enum] = ACTIONS(5088),
    [anon_sym_class] = ACTIONS(5088),
    [anon_sym_struct] = ACTIONS(5088),
    [anon_sym_union] = ACTIONS(5088),
    [anon_sym_or] = ACTIONS(5088),
    [anon_sym_and] = ACTIONS(5088),
    [anon_sym_asm] = ACTIONS(5088),
    [anon_sym___asm__] = ACTIONS(5088),
    [anon_sym___asm] = ACTIONS(5088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5088),
    [anon_sym_decltype] = ACTIONS(5088),
    [anon_sym_final] = ACTIONS(5088),
    [anon_sym_override] = ACTIONS(5088),
    [anon_sym_explicit] = ACTIONS(5088),
    [anon_sym_typename] = ACTIONS(5088),
    [anon_sym_template] = ACTIONS(5088),
    [anon_sym_GT2] = ACTIONS(5090),
    [anon_sym_operator] = ACTIONS(5088),
    [anon_sym_try] = ACTIONS(5088),
    [anon_sym_friend] = ACTIONS(5088),
    [anon_sym_using] = ACTIONS(5088),
    [anon_sym_concept] = ACTIONS(5088),
    [anon_sym_requires] = ACTIONS(5088),
  },
  [1600] = {
    [sym_identifier] = ACTIONS(5092),
    [anon_sym_COMMA] = ACTIONS(5094),
    [anon_sym_RPAREN] = ACTIONS(5094),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_TILDE] = ACTIONS(5094),
    [anon_sym_STAR] = ACTIONS(5094),
    [anon_sym_PIPE_PIPE] = ACTIONS(5094),
    [anon_sym_AMP_AMP] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(5092),
    [anon_sym_SEMI] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(5092),
    [anon_sym_virtual] = ACTIONS(5092),
    [anon_sym_extern] = ACTIONS(5092),
    [anon_sym___attribute__] = ACTIONS(5092),
    [anon_sym_COLON_COLON] = ACTIONS(5094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5094),
    [anon_sym___declspec] = ACTIONS(5092),
    [anon_sym___based] = ACTIONS(5092),
    [anon_sym___cdecl] = ACTIONS(5092),
    [anon_sym___clrcall] = ACTIONS(5092),
    [anon_sym___stdcall] = ACTIONS(5092),
    [anon_sym___fastcall] = ACTIONS(5092),
    [anon_sym___thiscall] = ACTIONS(5092),
    [anon_sym___vectorcall] = ACTIONS(5092),
    [anon_sym_LBRACE] = ACTIONS(5094),
    [anon_sym_signed] = ACTIONS(5092),
    [anon_sym_unsigned] = ACTIONS(5092),
    [anon_sym_long] = ACTIONS(5092),
    [anon_sym_short] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [anon_sym_static] = ACTIONS(5092),
    [anon_sym_EQ] = ACTIONS(5094),
    [anon_sym_register] = ACTIONS(5092),
    [anon_sym_inline] = ACTIONS(5092),
    [anon_sym___inline] = ACTIONS(5092),
    [anon_sym___inline__] = ACTIONS(5092),
    [anon_sym___forceinline] = ACTIONS(5092),
    [anon_sym_thread_local] = ACTIONS(5092),
    [anon_sym___thread] = ACTIONS(5092),
    [anon_sym_const] = ACTIONS(5092),
    [anon_sym_constexpr] = ACTIONS(5092),
    [anon_sym_volatile] = ACTIONS(5092),
    [anon_sym_restrict] = ACTIONS(5092),
    [anon_sym___restrict__] = ACTIONS(5092),
    [anon_sym__Atomic] = ACTIONS(5092),
    [anon_sym__Noreturn] = ACTIONS(5092),
    [anon_sym_noreturn] = ACTIONS(5092),
    [anon_sym__Nonnull] = ACTIONS(5092),
    [anon_sym_mutable] = ACTIONS(5092),
    [anon_sym_constinit] = ACTIONS(5092),
    [anon_sym_consteval] = ACTIONS(5092),
    [anon_sym_PROGMEM] = ACTIONS(5092),
    [anon_sym_alignas] = ACTIONS(5092),
    [anon_sym__Alignas] = ACTIONS(5092),
    [aux_sym_primitive_type_token1] = ACTIONS(5092),
    [anon_sym_byte] = ACTIONS(5092),
    [anon_sym_word] = ACTIONS(5092),
    [anon_sym_enum] = ACTIONS(5092),
    [anon_sym_class] = ACTIONS(5092),
    [anon_sym_struct] = ACTIONS(5092),
    [anon_sym_union] = ACTIONS(5092),
    [anon_sym_or] = ACTIONS(5092),
    [anon_sym_and] = ACTIONS(5092),
    [anon_sym_asm] = ACTIONS(5092),
    [anon_sym___asm__] = ACTIONS(5092),
    [anon_sym___asm] = ACTIONS(5092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5092),
    [anon_sym_decltype] = ACTIONS(5092),
    [anon_sym_final] = ACTIONS(5092),
    [anon_sym_override] = ACTIONS(5092),
    [anon_sym_explicit] = ACTIONS(5092),
    [anon_sym_typename] = ACTIONS(5092),
    [anon_sym_template] = ACTIONS(5092),
    [anon_sym_GT2] = ACTIONS(5094),
    [anon_sym_operator] = ACTIONS(5092),
    [anon_sym_try] = ACTIONS(5092),
    [anon_sym_friend] = ACTIONS(5092),
    [anon_sym_using] = ACTIONS(5092),
    [anon_sym_concept] = ACTIONS(5092),
    [anon_sym_requires] = ACTIONS(5092),
  },
  [1601] = {
    [sym_identifier] = ACTIONS(5096),
    [anon_sym_COMMA] = ACTIONS(5098),
    [anon_sym_RPAREN] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_TILDE] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_PIPE_PIPE] = ACTIONS(5098),
    [anon_sym_AMP_AMP] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(5096),
    [anon_sym_SEMI] = ACTIONS(5098),
    [anon_sym___extension__] = ACTIONS(5096),
    [anon_sym_virtual] = ACTIONS(5096),
    [anon_sym_extern] = ACTIONS(5096),
    [anon_sym___attribute__] = ACTIONS(5096),
    [anon_sym_COLON_COLON] = ACTIONS(5098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5098),
    [anon_sym___declspec] = ACTIONS(5096),
    [anon_sym___based] = ACTIONS(5096),
    [anon_sym___cdecl] = ACTIONS(5096),
    [anon_sym___clrcall] = ACTIONS(5096),
    [anon_sym___stdcall] = ACTIONS(5096),
    [anon_sym___fastcall] = ACTIONS(5096),
    [anon_sym___thiscall] = ACTIONS(5096),
    [anon_sym___vectorcall] = ACTIONS(5096),
    [anon_sym_LBRACE] = ACTIONS(5098),
    [anon_sym_signed] = ACTIONS(5096),
    [anon_sym_unsigned] = ACTIONS(5096),
    [anon_sym_long] = ACTIONS(5096),
    [anon_sym_short] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [anon_sym_static] = ACTIONS(5096),
    [anon_sym_EQ] = ACTIONS(5098),
    [anon_sym_register] = ACTIONS(5096),
    [anon_sym_inline] = ACTIONS(5096),
    [anon_sym___inline] = ACTIONS(5096),
    [anon_sym___inline__] = ACTIONS(5096),
    [anon_sym___forceinline] = ACTIONS(5096),
    [anon_sym_thread_local] = ACTIONS(5096),
    [anon_sym___thread] = ACTIONS(5096),
    [anon_sym_const] = ACTIONS(5096),
    [anon_sym_constexpr] = ACTIONS(5096),
    [anon_sym_volatile] = ACTIONS(5096),
    [anon_sym_restrict] = ACTIONS(5096),
    [anon_sym___restrict__] = ACTIONS(5096),
    [anon_sym__Atomic] = ACTIONS(5096),
    [anon_sym__Noreturn] = ACTIONS(5096),
    [anon_sym_noreturn] = ACTIONS(5096),
    [anon_sym__Nonnull] = ACTIONS(5096),
    [anon_sym_mutable] = ACTIONS(5096),
    [anon_sym_constinit] = ACTIONS(5096),
    [anon_sym_consteval] = ACTIONS(5096),
    [anon_sym_PROGMEM] = ACTIONS(5096),
    [anon_sym_alignas] = ACTIONS(5096),
    [anon_sym__Alignas] = ACTIONS(5096),
    [aux_sym_primitive_type_token1] = ACTIONS(5096),
    [anon_sym_byte] = ACTIONS(5096),
    [anon_sym_word] = ACTIONS(5096),
    [anon_sym_enum] = ACTIONS(5096),
    [anon_sym_class] = ACTIONS(5096),
    [anon_sym_struct] = ACTIONS(5096),
    [anon_sym_union] = ACTIONS(5096),
    [anon_sym_or] = ACTIONS(5096),
    [anon_sym_and] = ACTIONS(5096),
    [anon_sym_asm] = ACTIONS(5096),
    [anon_sym___asm__] = ACTIONS(5096),
    [anon_sym___asm] = ACTIONS(5096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5096),
    [anon_sym_decltype] = ACTIONS(5096),
    [anon_sym_final] = ACTIONS(5096),
    [anon_sym_override] = ACTIONS(5096),
    [anon_sym_explicit] = ACTIONS(5096),
    [anon_sym_typename] = ACTIONS(5096),
    [anon_sym_template] = ACTIONS(5096),
    [anon_sym_GT2] = ACTIONS(5098),
    [anon_sym_operator] = ACTIONS(5096),
    [anon_sym_try] = ACTIONS(5096),
    [anon_sym_friend] = ACTIONS(5096),
    [anon_sym_using] = ACTIONS(5096),
    [anon_sym_concept] = ACTIONS(5096),
    [anon_sym_requires] = ACTIONS(5096),
  },
  [1602] = {
    [sym_identifier] = ACTIONS(5100),
    [anon_sym_COMMA] = ACTIONS(5102),
    [anon_sym_RPAREN] = ACTIONS(5102),
    [anon_sym_LPAREN2] = ACTIONS(5102),
    [anon_sym_TILDE] = ACTIONS(5102),
    [anon_sym_STAR] = ACTIONS(5102),
    [anon_sym_PIPE_PIPE] = ACTIONS(5102),
    [anon_sym_AMP_AMP] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5102),
    [anon_sym___extension__] = ACTIONS(5100),
    [anon_sym_virtual] = ACTIONS(5100),
    [anon_sym_extern] = ACTIONS(5100),
    [anon_sym___attribute__] = ACTIONS(5100),
    [anon_sym_COLON_COLON] = ACTIONS(5102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5102),
    [anon_sym___declspec] = ACTIONS(5100),
    [anon_sym___based] = ACTIONS(5100),
    [anon_sym___cdecl] = ACTIONS(5100),
    [anon_sym___clrcall] = ACTIONS(5100),
    [anon_sym___stdcall] = ACTIONS(5100),
    [anon_sym___fastcall] = ACTIONS(5100),
    [anon_sym___thiscall] = ACTIONS(5100),
    [anon_sym___vectorcall] = ACTIONS(5100),
    [anon_sym_LBRACE] = ACTIONS(5102),
    [anon_sym_signed] = ACTIONS(5100),
    [anon_sym_unsigned] = ACTIONS(5100),
    [anon_sym_long] = ACTIONS(5100),
    [anon_sym_short] = ACTIONS(5100),
    [anon_sym_LBRACK] = ACTIONS(5100),
    [anon_sym_static] = ACTIONS(5100),
    [anon_sym_EQ] = ACTIONS(5102),
    [anon_sym_register] = ACTIONS(5100),
    [anon_sym_inline] = ACTIONS(5100),
    [anon_sym___inline] = ACTIONS(5100),
    [anon_sym___inline__] = ACTIONS(5100),
    [anon_sym___forceinline] = ACTIONS(5100),
    [anon_sym_thread_local] = ACTIONS(5100),
    [anon_sym___thread] = ACTIONS(5100),
    [anon_sym_const] = ACTIONS(5100),
    [anon_sym_constexpr] = ACTIONS(5100),
    [anon_sym_volatile] = ACTIONS(5100),
    [anon_sym_restrict] = ACTIONS(5100),
    [anon_sym___restrict__] = ACTIONS(5100),
    [anon_sym__Atomic] = ACTIONS(5100),
    [anon_sym__Noreturn] = ACTIONS(5100),
    [anon_sym_noreturn] = ACTIONS(5100),
    [anon_sym__Nonnull] = ACTIONS(5100),
    [anon_sym_mutable] = ACTIONS(5100),
    [anon_sym_constinit] = ACTIONS(5100),
    [anon_sym_consteval] = ACTIONS(5100),
    [anon_sym_PROGMEM] = ACTIONS(5100),
    [anon_sym_alignas] = ACTIONS(5100),
    [anon_sym__Alignas] = ACTIONS(5100),
    [aux_sym_primitive_type_token1] = ACTIONS(5100),
    [anon_sym_byte] = ACTIONS(5100),
    [anon_sym_word] = ACTIONS(5100),
    [anon_sym_enum] = ACTIONS(5100),
    [anon_sym_class] = ACTIONS(5100),
    [anon_sym_struct] = ACTIONS(5100),
    [anon_sym_union] = ACTIONS(5100),
    [anon_sym_or] = ACTIONS(5100),
    [anon_sym_and] = ACTIONS(5100),
    [anon_sym_asm] = ACTIONS(5100),
    [anon_sym___asm__] = ACTIONS(5100),
    [anon_sym___asm] = ACTIONS(5100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5100),
    [anon_sym_decltype] = ACTIONS(5100),
    [anon_sym_final] = ACTIONS(5100),
    [anon_sym_override] = ACTIONS(5100),
    [anon_sym_explicit] = ACTIONS(5100),
    [anon_sym_typename] = ACTIONS(5100),
    [anon_sym_template] = ACTIONS(5100),
    [anon_sym_GT2] = ACTIONS(5102),
    [anon_sym_operator] = ACTIONS(5100),
    [anon_sym_try] = ACTIONS(5100),
    [anon_sym_friend] = ACTIONS(5100),
    [anon_sym_using] = ACTIONS(5100),
    [anon_sym_concept] = ACTIONS(5100),
    [anon_sym_requires] = ACTIONS(5100),
  },
  [1603] = {
    [sym_identifier] = ACTIONS(5104),
    [anon_sym_COMMA] = ACTIONS(5106),
    [anon_sym_RPAREN] = ACTIONS(5106),
    [anon_sym_LPAREN2] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [anon_sym_STAR] = ACTIONS(5106),
    [anon_sym_PIPE_PIPE] = ACTIONS(5106),
    [anon_sym_AMP_AMP] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [anon_sym___extension__] = ACTIONS(5104),
    [anon_sym_virtual] = ACTIONS(5104),
    [anon_sym_extern] = ACTIONS(5104),
    [anon_sym___attribute__] = ACTIONS(5104),
    [anon_sym_COLON_COLON] = ACTIONS(5106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5106),
    [anon_sym___declspec] = ACTIONS(5104),
    [anon_sym___based] = ACTIONS(5104),
    [anon_sym___cdecl] = ACTIONS(5104),
    [anon_sym___clrcall] = ACTIONS(5104),
    [anon_sym___stdcall] = ACTIONS(5104),
    [anon_sym___fastcall] = ACTIONS(5104),
    [anon_sym___thiscall] = ACTIONS(5104),
    [anon_sym___vectorcall] = ACTIONS(5104),
    [anon_sym_LBRACE] = ACTIONS(5106),
    [anon_sym_signed] = ACTIONS(5104),
    [anon_sym_unsigned] = ACTIONS(5104),
    [anon_sym_long] = ACTIONS(5104),
    [anon_sym_short] = ACTIONS(5104),
    [anon_sym_LBRACK] = ACTIONS(5104),
    [anon_sym_static] = ACTIONS(5104),
    [anon_sym_EQ] = ACTIONS(5106),
    [anon_sym_register] = ACTIONS(5104),
    [anon_sym_inline] = ACTIONS(5104),
    [anon_sym___inline] = ACTIONS(5104),
    [anon_sym___inline__] = ACTIONS(5104),
    [anon_sym___forceinline] = ACTIONS(5104),
    [anon_sym_thread_local] = ACTIONS(5104),
    [anon_sym___thread] = ACTIONS(5104),
    [anon_sym_const] = ACTIONS(5104),
    [anon_sym_constexpr] = ACTIONS(5104),
    [anon_sym_volatile] = ACTIONS(5104),
    [anon_sym_restrict] = ACTIONS(5104),
    [anon_sym___restrict__] = ACTIONS(5104),
    [anon_sym__Atomic] = ACTIONS(5104),
    [anon_sym__Noreturn] = ACTIONS(5104),
    [anon_sym_noreturn] = ACTIONS(5104),
    [anon_sym__Nonnull] = ACTIONS(5104),
    [anon_sym_mutable] = ACTIONS(5104),
    [anon_sym_constinit] = ACTIONS(5104),
    [anon_sym_consteval] = ACTIONS(5104),
    [anon_sym_PROGMEM] = ACTIONS(5104),
    [anon_sym_alignas] = ACTIONS(5104),
    [anon_sym__Alignas] = ACTIONS(5104),
    [aux_sym_primitive_type_token1] = ACTIONS(5104),
    [anon_sym_byte] = ACTIONS(5104),
    [anon_sym_word] = ACTIONS(5104),
    [anon_sym_enum] = ACTIONS(5104),
    [anon_sym_class] = ACTIONS(5104),
    [anon_sym_struct] = ACTIONS(5104),
    [anon_sym_union] = ACTIONS(5104),
    [anon_sym_or] = ACTIONS(5104),
    [anon_sym_and] = ACTIONS(5104),
    [anon_sym_asm] = ACTIONS(5104),
    [anon_sym___asm__] = ACTIONS(5104),
    [anon_sym___asm] = ACTIONS(5104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5104),
    [anon_sym_decltype] = ACTIONS(5104),
    [anon_sym_final] = ACTIONS(5104),
    [anon_sym_override] = ACTIONS(5104),
    [anon_sym_explicit] = ACTIONS(5104),
    [anon_sym_typename] = ACTIONS(5104),
    [anon_sym_template] = ACTIONS(5104),
    [anon_sym_GT2] = ACTIONS(5106),
    [anon_sym_operator] = ACTIONS(5104),
    [anon_sym_try] = ACTIONS(5104),
    [anon_sym_friend] = ACTIONS(5104),
    [anon_sym_using] = ACTIONS(5104),
    [anon_sym_concept] = ACTIONS(5104),
    [anon_sym_requires] = ACTIONS(5104),
  },
  [1604] = {
    [sym_identifier] = ACTIONS(5108),
    [anon_sym_COMMA] = ACTIONS(5110),
    [anon_sym_RPAREN] = ACTIONS(5110),
    [anon_sym_LPAREN2] = ACTIONS(5110),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_STAR] = ACTIONS(5110),
    [anon_sym_PIPE_PIPE] = ACTIONS(5110),
    [anon_sym_AMP_AMP] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [anon_sym___extension__] = ACTIONS(5108),
    [anon_sym_virtual] = ACTIONS(5108),
    [anon_sym_extern] = ACTIONS(5108),
    [anon_sym___attribute__] = ACTIONS(5108),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5110),
    [anon_sym___declspec] = ACTIONS(5108),
    [anon_sym___based] = ACTIONS(5108),
    [anon_sym___cdecl] = ACTIONS(5108),
    [anon_sym___clrcall] = ACTIONS(5108),
    [anon_sym___stdcall] = ACTIONS(5108),
    [anon_sym___fastcall] = ACTIONS(5108),
    [anon_sym___thiscall] = ACTIONS(5108),
    [anon_sym___vectorcall] = ACTIONS(5108),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_signed] = ACTIONS(5108),
    [anon_sym_unsigned] = ACTIONS(5108),
    [anon_sym_long] = ACTIONS(5108),
    [anon_sym_short] = ACTIONS(5108),
    [anon_sym_LBRACK] = ACTIONS(5108),
    [anon_sym_static] = ACTIONS(5108),
    [anon_sym_EQ] = ACTIONS(5110),
    [anon_sym_register] = ACTIONS(5108),
    [anon_sym_inline] = ACTIONS(5108),
    [anon_sym___inline] = ACTIONS(5108),
    [anon_sym___inline__] = ACTIONS(5108),
    [anon_sym___forceinline] = ACTIONS(5108),
    [anon_sym_thread_local] = ACTIONS(5108),
    [anon_sym___thread] = ACTIONS(5108),
    [anon_sym_const] = ACTIONS(5108),
    [anon_sym_constexpr] = ACTIONS(5108),
    [anon_sym_volatile] = ACTIONS(5108),
    [anon_sym_restrict] = ACTIONS(5108),
    [anon_sym___restrict__] = ACTIONS(5108),
    [anon_sym__Atomic] = ACTIONS(5108),
    [anon_sym__Noreturn] = ACTIONS(5108),
    [anon_sym_noreturn] = ACTIONS(5108),
    [anon_sym__Nonnull] = ACTIONS(5108),
    [anon_sym_mutable] = ACTIONS(5108),
    [anon_sym_constinit] = ACTIONS(5108),
    [anon_sym_consteval] = ACTIONS(5108),
    [anon_sym_PROGMEM] = ACTIONS(5108),
    [anon_sym_alignas] = ACTIONS(5108),
    [anon_sym__Alignas] = ACTIONS(5108),
    [aux_sym_primitive_type_token1] = ACTIONS(5108),
    [anon_sym_byte] = ACTIONS(5108),
    [anon_sym_word] = ACTIONS(5108),
    [anon_sym_enum] = ACTIONS(5108),
    [anon_sym_class] = ACTIONS(5108),
    [anon_sym_struct] = ACTIONS(5108),
    [anon_sym_union] = ACTIONS(5108),
    [anon_sym_or] = ACTIONS(5108),
    [anon_sym_and] = ACTIONS(5108),
    [anon_sym_asm] = ACTIONS(5108),
    [anon_sym___asm__] = ACTIONS(5108),
    [anon_sym___asm] = ACTIONS(5108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5108),
    [anon_sym_decltype] = ACTIONS(5108),
    [anon_sym_final] = ACTIONS(5108),
    [anon_sym_override] = ACTIONS(5108),
    [anon_sym_explicit] = ACTIONS(5108),
    [anon_sym_typename] = ACTIONS(5108),
    [anon_sym_template] = ACTIONS(5108),
    [anon_sym_GT2] = ACTIONS(5110),
    [anon_sym_operator] = ACTIONS(5108),
    [anon_sym_try] = ACTIONS(5108),
    [anon_sym_friend] = ACTIONS(5108),
    [anon_sym_using] = ACTIONS(5108),
    [anon_sym_concept] = ACTIONS(5108),
    [anon_sym_requires] = ACTIONS(5108),
  },
  [1605] = {
    [sym_identifier] = ACTIONS(5112),
    [anon_sym_COMMA] = ACTIONS(5114),
    [anon_sym_RPAREN] = ACTIONS(5114),
    [anon_sym_LPAREN2] = ACTIONS(5114),
    [anon_sym_TILDE] = ACTIONS(5114),
    [anon_sym_STAR] = ACTIONS(5114),
    [anon_sym_PIPE_PIPE] = ACTIONS(5114),
    [anon_sym_AMP_AMP] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [anon_sym___extension__] = ACTIONS(5112),
    [anon_sym_virtual] = ACTIONS(5112),
    [anon_sym_extern] = ACTIONS(5112),
    [anon_sym___attribute__] = ACTIONS(5112),
    [anon_sym_COLON_COLON] = ACTIONS(5114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5114),
    [anon_sym___declspec] = ACTIONS(5112),
    [anon_sym___based] = ACTIONS(5112),
    [anon_sym___cdecl] = ACTIONS(5112),
    [anon_sym___clrcall] = ACTIONS(5112),
    [anon_sym___stdcall] = ACTIONS(5112),
    [anon_sym___fastcall] = ACTIONS(5112),
    [anon_sym___thiscall] = ACTIONS(5112),
    [anon_sym___vectorcall] = ACTIONS(5112),
    [anon_sym_LBRACE] = ACTIONS(5114),
    [anon_sym_signed] = ACTIONS(5112),
    [anon_sym_unsigned] = ACTIONS(5112),
    [anon_sym_long] = ACTIONS(5112),
    [anon_sym_short] = ACTIONS(5112),
    [anon_sym_LBRACK] = ACTIONS(5112),
    [anon_sym_static] = ACTIONS(5112),
    [anon_sym_EQ] = ACTIONS(5114),
    [anon_sym_register] = ACTIONS(5112),
    [anon_sym_inline] = ACTIONS(5112),
    [anon_sym___inline] = ACTIONS(5112),
    [anon_sym___inline__] = ACTIONS(5112),
    [anon_sym___forceinline] = ACTIONS(5112),
    [anon_sym_thread_local] = ACTIONS(5112),
    [anon_sym___thread] = ACTIONS(5112),
    [anon_sym_const] = ACTIONS(5112),
    [anon_sym_constexpr] = ACTIONS(5112),
    [anon_sym_volatile] = ACTIONS(5112),
    [anon_sym_restrict] = ACTIONS(5112),
    [anon_sym___restrict__] = ACTIONS(5112),
    [anon_sym__Atomic] = ACTIONS(5112),
    [anon_sym__Noreturn] = ACTIONS(5112),
    [anon_sym_noreturn] = ACTIONS(5112),
    [anon_sym__Nonnull] = ACTIONS(5112),
    [anon_sym_mutable] = ACTIONS(5112),
    [anon_sym_constinit] = ACTIONS(5112),
    [anon_sym_consteval] = ACTIONS(5112),
    [anon_sym_PROGMEM] = ACTIONS(5112),
    [anon_sym_alignas] = ACTIONS(5112),
    [anon_sym__Alignas] = ACTIONS(5112),
    [aux_sym_primitive_type_token1] = ACTIONS(5112),
    [anon_sym_byte] = ACTIONS(5112),
    [anon_sym_word] = ACTIONS(5112),
    [anon_sym_enum] = ACTIONS(5112),
    [anon_sym_class] = ACTIONS(5112),
    [anon_sym_struct] = ACTIONS(5112),
    [anon_sym_union] = ACTIONS(5112),
    [anon_sym_or] = ACTIONS(5112),
    [anon_sym_and] = ACTIONS(5112),
    [anon_sym_asm] = ACTIONS(5112),
    [anon_sym___asm__] = ACTIONS(5112),
    [anon_sym___asm] = ACTIONS(5112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5112),
    [anon_sym_decltype] = ACTIONS(5112),
    [anon_sym_final] = ACTIONS(5112),
    [anon_sym_override] = ACTIONS(5112),
    [anon_sym_explicit] = ACTIONS(5112),
    [anon_sym_typename] = ACTIONS(5112),
    [anon_sym_template] = ACTIONS(5112),
    [anon_sym_GT2] = ACTIONS(5114),
    [anon_sym_operator] = ACTIONS(5112),
    [anon_sym_try] = ACTIONS(5112),
    [anon_sym_friend] = ACTIONS(5112),
    [anon_sym_using] = ACTIONS(5112),
    [anon_sym_concept] = ACTIONS(5112),
    [anon_sym_requires] = ACTIONS(5112),
  },
  [1606] = {
    [sym_identifier] = ACTIONS(5108),
    [anon_sym_COMMA] = ACTIONS(5110),
    [anon_sym_RPAREN] = ACTIONS(5110),
    [anon_sym_LPAREN2] = ACTIONS(5110),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_STAR] = ACTIONS(5110),
    [anon_sym_PIPE_PIPE] = ACTIONS(5110),
    [anon_sym_AMP_AMP] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [anon_sym___extension__] = ACTIONS(5108),
    [anon_sym_virtual] = ACTIONS(5108),
    [anon_sym_extern] = ACTIONS(5108),
    [anon_sym___attribute__] = ACTIONS(5108),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5110),
    [anon_sym___declspec] = ACTIONS(5108),
    [anon_sym___based] = ACTIONS(5108),
    [anon_sym___cdecl] = ACTIONS(5108),
    [anon_sym___clrcall] = ACTIONS(5108),
    [anon_sym___stdcall] = ACTIONS(5108),
    [anon_sym___fastcall] = ACTIONS(5108),
    [anon_sym___thiscall] = ACTIONS(5108),
    [anon_sym___vectorcall] = ACTIONS(5108),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_signed] = ACTIONS(5108),
    [anon_sym_unsigned] = ACTIONS(5108),
    [anon_sym_long] = ACTIONS(5108),
    [anon_sym_short] = ACTIONS(5108),
    [anon_sym_LBRACK] = ACTIONS(5108),
    [anon_sym_static] = ACTIONS(5108),
    [anon_sym_EQ] = ACTIONS(5110),
    [anon_sym_register] = ACTIONS(5108),
    [anon_sym_inline] = ACTIONS(5108),
    [anon_sym___inline] = ACTIONS(5108),
    [anon_sym___inline__] = ACTIONS(5108),
    [anon_sym___forceinline] = ACTIONS(5108),
    [anon_sym_thread_local] = ACTIONS(5108),
    [anon_sym___thread] = ACTIONS(5108),
    [anon_sym_const] = ACTIONS(5108),
    [anon_sym_constexpr] = ACTIONS(5108),
    [anon_sym_volatile] = ACTIONS(5108),
    [anon_sym_restrict] = ACTIONS(5108),
    [anon_sym___restrict__] = ACTIONS(5108),
    [anon_sym__Atomic] = ACTIONS(5108),
    [anon_sym__Noreturn] = ACTIONS(5108),
    [anon_sym_noreturn] = ACTIONS(5108),
    [anon_sym__Nonnull] = ACTIONS(5108),
    [anon_sym_mutable] = ACTIONS(5108),
    [anon_sym_constinit] = ACTIONS(5108),
    [anon_sym_consteval] = ACTIONS(5108),
    [anon_sym_PROGMEM] = ACTIONS(5108),
    [anon_sym_alignas] = ACTIONS(5108),
    [anon_sym__Alignas] = ACTIONS(5108),
    [aux_sym_primitive_type_token1] = ACTIONS(5108),
    [anon_sym_byte] = ACTIONS(5108),
    [anon_sym_word] = ACTIONS(5108),
    [anon_sym_enum] = ACTIONS(5108),
    [anon_sym_class] = ACTIONS(5108),
    [anon_sym_struct] = ACTIONS(5108),
    [anon_sym_union] = ACTIONS(5108),
    [anon_sym_or] = ACTIONS(5108),
    [anon_sym_and] = ACTIONS(5108),
    [anon_sym_asm] = ACTIONS(5108),
    [anon_sym___asm__] = ACTIONS(5108),
    [anon_sym___asm] = ACTIONS(5108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5108),
    [anon_sym_decltype] = ACTIONS(5108),
    [anon_sym_final] = ACTIONS(5108),
    [anon_sym_override] = ACTIONS(5108),
    [anon_sym_explicit] = ACTIONS(5108),
    [anon_sym_typename] = ACTIONS(5108),
    [anon_sym_template] = ACTIONS(5108),
    [anon_sym_GT2] = ACTIONS(5110),
    [anon_sym_operator] = ACTIONS(5108),
    [anon_sym_try] = ACTIONS(5108),
    [anon_sym_friend] = ACTIONS(5108),
    [anon_sym_using] = ACTIONS(5108),
    [anon_sym_concept] = ACTIONS(5108),
    [anon_sym_requires] = ACTIONS(5108),
  },
  [1607] = {
    [sym_identifier] = ACTIONS(5116),
    [anon_sym_COMMA] = ACTIONS(5118),
    [anon_sym_RPAREN] = ACTIONS(5118),
    [anon_sym_LPAREN2] = ACTIONS(5118),
    [anon_sym_TILDE] = ACTIONS(5118),
    [anon_sym_STAR] = ACTIONS(5118),
    [anon_sym_PIPE_PIPE] = ACTIONS(5118),
    [anon_sym_AMP_AMP] = ACTIONS(5118),
    [anon_sym_AMP] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(5118),
    [anon_sym___extension__] = ACTIONS(5116),
    [anon_sym_virtual] = ACTIONS(5116),
    [anon_sym_extern] = ACTIONS(5116),
    [anon_sym___attribute__] = ACTIONS(5116),
    [anon_sym_COLON_COLON] = ACTIONS(5118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5118),
    [anon_sym___declspec] = ACTIONS(5116),
    [anon_sym___based] = ACTIONS(5116),
    [anon_sym___cdecl] = ACTIONS(5116),
    [anon_sym___clrcall] = ACTIONS(5116),
    [anon_sym___stdcall] = ACTIONS(5116),
    [anon_sym___fastcall] = ACTIONS(5116),
    [anon_sym___thiscall] = ACTIONS(5116),
    [anon_sym___vectorcall] = ACTIONS(5116),
    [anon_sym_LBRACE] = ACTIONS(5118),
    [anon_sym_signed] = ACTIONS(5116),
    [anon_sym_unsigned] = ACTIONS(5116),
    [anon_sym_long] = ACTIONS(5116),
    [anon_sym_short] = ACTIONS(5116),
    [anon_sym_LBRACK] = ACTIONS(5116),
    [anon_sym_static] = ACTIONS(5116),
    [anon_sym_EQ] = ACTIONS(5118),
    [anon_sym_register] = ACTIONS(5116),
    [anon_sym_inline] = ACTIONS(5116),
    [anon_sym___inline] = ACTIONS(5116),
    [anon_sym___inline__] = ACTIONS(5116),
    [anon_sym___forceinline] = ACTIONS(5116),
    [anon_sym_thread_local] = ACTIONS(5116),
    [anon_sym___thread] = ACTIONS(5116),
    [anon_sym_const] = ACTIONS(5116),
    [anon_sym_constexpr] = ACTIONS(5116),
    [anon_sym_volatile] = ACTIONS(5116),
    [anon_sym_restrict] = ACTIONS(5116),
    [anon_sym___restrict__] = ACTIONS(5116),
    [anon_sym__Atomic] = ACTIONS(5116),
    [anon_sym__Noreturn] = ACTIONS(5116),
    [anon_sym_noreturn] = ACTIONS(5116),
    [anon_sym__Nonnull] = ACTIONS(5116),
    [anon_sym_mutable] = ACTIONS(5116),
    [anon_sym_constinit] = ACTIONS(5116),
    [anon_sym_consteval] = ACTIONS(5116),
    [anon_sym_PROGMEM] = ACTIONS(5116),
    [anon_sym_alignas] = ACTIONS(5116),
    [anon_sym__Alignas] = ACTIONS(5116),
    [aux_sym_primitive_type_token1] = ACTIONS(5116),
    [anon_sym_byte] = ACTIONS(5116),
    [anon_sym_word] = ACTIONS(5116),
    [anon_sym_enum] = ACTIONS(5116),
    [anon_sym_class] = ACTIONS(5116),
    [anon_sym_struct] = ACTIONS(5116),
    [anon_sym_union] = ACTIONS(5116),
    [anon_sym_or] = ACTIONS(5116),
    [anon_sym_and] = ACTIONS(5116),
    [anon_sym_asm] = ACTIONS(5116),
    [anon_sym___asm__] = ACTIONS(5116),
    [anon_sym___asm] = ACTIONS(5116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5116),
    [anon_sym_decltype] = ACTIONS(5116),
    [anon_sym_final] = ACTIONS(5116),
    [anon_sym_override] = ACTIONS(5116),
    [anon_sym_explicit] = ACTIONS(5116),
    [anon_sym_typename] = ACTIONS(5116),
    [anon_sym_template] = ACTIONS(5116),
    [anon_sym_GT2] = ACTIONS(5118),
    [anon_sym_operator] = ACTIONS(5116),
    [anon_sym_try] = ACTIONS(5116),
    [anon_sym_friend] = ACTIONS(5116),
    [anon_sym_using] = ACTIONS(5116),
    [anon_sym_concept] = ACTIONS(5116),
    [anon_sym_requires] = ACTIONS(5116),
  },
  [1608] = {
    [sym_identifier] = ACTIONS(5120),
    [anon_sym_COMMA] = ACTIONS(5122),
    [anon_sym_RPAREN] = ACTIONS(5122),
    [anon_sym_LPAREN2] = ACTIONS(5122),
    [anon_sym_TILDE] = ACTIONS(5122),
    [anon_sym_STAR] = ACTIONS(5122),
    [anon_sym_PIPE_PIPE] = ACTIONS(5122),
    [anon_sym_AMP_AMP] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(5120),
    [anon_sym_SEMI] = ACTIONS(5122),
    [anon_sym___extension__] = ACTIONS(5120),
    [anon_sym_virtual] = ACTIONS(5120),
    [anon_sym_extern] = ACTIONS(5120),
    [anon_sym___attribute__] = ACTIONS(5120),
    [anon_sym_COLON_COLON] = ACTIONS(5122),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5122),
    [anon_sym___declspec] = ACTIONS(5120),
    [anon_sym___based] = ACTIONS(5120),
    [anon_sym___cdecl] = ACTIONS(5120),
    [anon_sym___clrcall] = ACTIONS(5120),
    [anon_sym___stdcall] = ACTIONS(5120),
    [anon_sym___fastcall] = ACTIONS(5120),
    [anon_sym___thiscall] = ACTIONS(5120),
    [anon_sym___vectorcall] = ACTIONS(5120),
    [anon_sym_LBRACE] = ACTIONS(5122),
    [anon_sym_signed] = ACTIONS(5120),
    [anon_sym_unsigned] = ACTIONS(5120),
    [anon_sym_long] = ACTIONS(5120),
    [anon_sym_short] = ACTIONS(5120),
    [anon_sym_LBRACK] = ACTIONS(5120),
    [anon_sym_static] = ACTIONS(5120),
    [anon_sym_EQ] = ACTIONS(5122),
    [anon_sym_register] = ACTIONS(5120),
    [anon_sym_inline] = ACTIONS(5120),
    [anon_sym___inline] = ACTIONS(5120),
    [anon_sym___inline__] = ACTIONS(5120),
    [anon_sym___forceinline] = ACTIONS(5120),
    [anon_sym_thread_local] = ACTIONS(5120),
    [anon_sym___thread] = ACTIONS(5120),
    [anon_sym_const] = ACTIONS(5120),
    [anon_sym_constexpr] = ACTIONS(5120),
    [anon_sym_volatile] = ACTIONS(5120),
    [anon_sym_restrict] = ACTIONS(5120),
    [anon_sym___restrict__] = ACTIONS(5120),
    [anon_sym__Atomic] = ACTIONS(5120),
    [anon_sym__Noreturn] = ACTIONS(5120),
    [anon_sym_noreturn] = ACTIONS(5120),
    [anon_sym__Nonnull] = ACTIONS(5120),
    [anon_sym_mutable] = ACTIONS(5120),
    [anon_sym_constinit] = ACTIONS(5120),
    [anon_sym_consteval] = ACTIONS(5120),
    [anon_sym_PROGMEM] = ACTIONS(5120),
    [anon_sym_alignas] = ACTIONS(5120),
    [anon_sym__Alignas] = ACTIONS(5120),
    [aux_sym_primitive_type_token1] = ACTIONS(5120),
    [anon_sym_byte] = ACTIONS(5120),
    [anon_sym_word] = ACTIONS(5120),
    [anon_sym_enum] = ACTIONS(5120),
    [anon_sym_class] = ACTIONS(5120),
    [anon_sym_struct] = ACTIONS(5120),
    [anon_sym_union] = ACTIONS(5120),
    [anon_sym_or] = ACTIONS(5120),
    [anon_sym_and] = ACTIONS(5120),
    [anon_sym_asm] = ACTIONS(5120),
    [anon_sym___asm__] = ACTIONS(5120),
    [anon_sym___asm] = ACTIONS(5120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5120),
    [anon_sym_decltype] = ACTIONS(5120),
    [anon_sym_final] = ACTIONS(5120),
    [anon_sym_override] = ACTIONS(5120),
    [anon_sym_explicit] = ACTIONS(5120),
    [anon_sym_typename] = ACTIONS(5120),
    [anon_sym_template] = ACTIONS(5120),
    [anon_sym_GT2] = ACTIONS(5122),
    [anon_sym_operator] = ACTIONS(5120),
    [anon_sym_try] = ACTIONS(5120),
    [anon_sym_friend] = ACTIONS(5120),
    [anon_sym_using] = ACTIONS(5120),
    [anon_sym_concept] = ACTIONS(5120),
    [anon_sym_requires] = ACTIONS(5120),
  },
  [1609] = {
    [sym_identifier] = ACTIONS(5124),
    [anon_sym_COMMA] = ACTIONS(5126),
    [anon_sym_RPAREN] = ACTIONS(5126),
    [anon_sym_LPAREN2] = ACTIONS(5126),
    [anon_sym_TILDE] = ACTIONS(5126),
    [anon_sym_STAR] = ACTIONS(5126),
    [anon_sym_PIPE_PIPE] = ACTIONS(5126),
    [anon_sym_AMP_AMP] = ACTIONS(5126),
    [anon_sym_AMP] = ACTIONS(5124),
    [anon_sym_SEMI] = ACTIONS(5126),
    [anon_sym___extension__] = ACTIONS(5124),
    [anon_sym_virtual] = ACTIONS(5124),
    [anon_sym_extern] = ACTIONS(5124),
    [anon_sym___attribute__] = ACTIONS(5124),
    [anon_sym_COLON_COLON] = ACTIONS(5126),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5126),
    [anon_sym___declspec] = ACTIONS(5124),
    [anon_sym___based] = ACTIONS(5124),
    [anon_sym___cdecl] = ACTIONS(5124),
    [anon_sym___clrcall] = ACTIONS(5124),
    [anon_sym___stdcall] = ACTIONS(5124),
    [anon_sym___fastcall] = ACTIONS(5124),
    [anon_sym___thiscall] = ACTIONS(5124),
    [anon_sym___vectorcall] = ACTIONS(5124),
    [anon_sym_LBRACE] = ACTIONS(5126),
    [anon_sym_signed] = ACTIONS(5124),
    [anon_sym_unsigned] = ACTIONS(5124),
    [anon_sym_long] = ACTIONS(5124),
    [anon_sym_short] = ACTIONS(5124),
    [anon_sym_LBRACK] = ACTIONS(5124),
    [anon_sym_static] = ACTIONS(5124),
    [anon_sym_EQ] = ACTIONS(5126),
    [anon_sym_register] = ACTIONS(5124),
    [anon_sym_inline] = ACTIONS(5124),
    [anon_sym___inline] = ACTIONS(5124),
    [anon_sym___inline__] = ACTIONS(5124),
    [anon_sym___forceinline] = ACTIONS(5124),
    [anon_sym_thread_local] = ACTIONS(5124),
    [anon_sym___thread] = ACTIONS(5124),
    [anon_sym_const] = ACTIONS(5124),
    [anon_sym_constexpr] = ACTIONS(5124),
    [anon_sym_volatile] = ACTIONS(5124),
    [anon_sym_restrict] = ACTIONS(5124),
    [anon_sym___restrict__] = ACTIONS(5124),
    [anon_sym__Atomic] = ACTIONS(5124),
    [anon_sym__Noreturn] = ACTIONS(5124),
    [anon_sym_noreturn] = ACTIONS(5124),
    [anon_sym__Nonnull] = ACTIONS(5124),
    [anon_sym_mutable] = ACTIONS(5124),
    [anon_sym_constinit] = ACTIONS(5124),
    [anon_sym_consteval] = ACTIONS(5124),
    [anon_sym_PROGMEM] = ACTIONS(5124),
    [anon_sym_alignas] = ACTIONS(5124),
    [anon_sym__Alignas] = ACTIONS(5124),
    [aux_sym_primitive_type_token1] = ACTIONS(5124),
    [anon_sym_byte] = ACTIONS(5124),
    [anon_sym_word] = ACTIONS(5124),
    [anon_sym_enum] = ACTIONS(5124),
    [anon_sym_class] = ACTIONS(5124),
    [anon_sym_struct] = ACTIONS(5124),
    [anon_sym_union] = ACTIONS(5124),
    [anon_sym_or] = ACTIONS(5124),
    [anon_sym_and] = ACTIONS(5124),
    [anon_sym_asm] = ACTIONS(5124),
    [anon_sym___asm__] = ACTIONS(5124),
    [anon_sym___asm] = ACTIONS(5124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5124),
    [anon_sym_decltype] = ACTIONS(5124),
    [anon_sym_final] = ACTIONS(5124),
    [anon_sym_override] = ACTIONS(5124),
    [anon_sym_explicit] = ACTIONS(5124),
    [anon_sym_typename] = ACTIONS(5124),
    [anon_sym_template] = ACTIONS(5124),
    [anon_sym_GT2] = ACTIONS(5126),
    [anon_sym_operator] = ACTIONS(5124),
    [anon_sym_try] = ACTIONS(5124),
    [anon_sym_friend] = ACTIONS(5124),
    [anon_sym_using] = ACTIONS(5124),
    [anon_sym_concept] = ACTIONS(5124),
    [anon_sym_requires] = ACTIONS(5124),
  },
  [1610] = {
    [sym_identifier] = ACTIONS(5128),
    [anon_sym_COMMA] = ACTIONS(5130),
    [anon_sym_RPAREN] = ACTIONS(5130),
    [anon_sym_LPAREN2] = ACTIONS(5130),
    [anon_sym_TILDE] = ACTIONS(5130),
    [anon_sym_STAR] = ACTIONS(5130),
    [anon_sym_PIPE_PIPE] = ACTIONS(5130),
    [anon_sym_AMP_AMP] = ACTIONS(5130),
    [anon_sym_AMP] = ACTIONS(5128),
    [anon_sym_SEMI] = ACTIONS(5130),
    [anon_sym___extension__] = ACTIONS(5128),
    [anon_sym_virtual] = ACTIONS(5128),
    [anon_sym_extern] = ACTIONS(5128),
    [anon_sym___attribute__] = ACTIONS(5128),
    [anon_sym_COLON_COLON] = ACTIONS(5130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5130),
    [anon_sym___declspec] = ACTIONS(5128),
    [anon_sym___based] = ACTIONS(5128),
    [anon_sym___cdecl] = ACTIONS(5128),
    [anon_sym___clrcall] = ACTIONS(5128),
    [anon_sym___stdcall] = ACTIONS(5128),
    [anon_sym___fastcall] = ACTIONS(5128),
    [anon_sym___thiscall] = ACTIONS(5128),
    [anon_sym___vectorcall] = ACTIONS(5128),
    [anon_sym_LBRACE] = ACTIONS(5130),
    [anon_sym_signed] = ACTIONS(5128),
    [anon_sym_unsigned] = ACTIONS(5128),
    [anon_sym_long] = ACTIONS(5128),
    [anon_sym_short] = ACTIONS(5128),
    [anon_sym_LBRACK] = ACTIONS(5128),
    [anon_sym_static] = ACTIONS(5128),
    [anon_sym_EQ] = ACTIONS(5130),
    [anon_sym_register] = ACTIONS(5128),
    [anon_sym_inline] = ACTIONS(5128),
    [anon_sym___inline] = ACTIONS(5128),
    [anon_sym___inline__] = ACTIONS(5128),
    [anon_sym___forceinline] = ACTIONS(5128),
    [anon_sym_thread_local] = ACTIONS(5128),
    [anon_sym___thread] = ACTIONS(5128),
    [anon_sym_const] = ACTIONS(5128),
    [anon_sym_constexpr] = ACTIONS(5128),
    [anon_sym_volatile] = ACTIONS(5128),
    [anon_sym_restrict] = ACTIONS(5128),
    [anon_sym___restrict__] = ACTIONS(5128),
    [anon_sym__Atomic] = ACTIONS(5128),
    [anon_sym__Noreturn] = ACTIONS(5128),
    [anon_sym_noreturn] = ACTIONS(5128),
    [anon_sym__Nonnull] = ACTIONS(5128),
    [anon_sym_mutable] = ACTIONS(5128),
    [anon_sym_constinit] = ACTIONS(5128),
    [anon_sym_consteval] = ACTIONS(5128),
    [anon_sym_PROGMEM] = ACTIONS(5128),
    [anon_sym_alignas] = ACTIONS(5128),
    [anon_sym__Alignas] = ACTIONS(5128),
    [aux_sym_primitive_type_token1] = ACTIONS(5128),
    [anon_sym_byte] = ACTIONS(5128),
    [anon_sym_word] = ACTIONS(5128),
    [anon_sym_enum] = ACTIONS(5128),
    [anon_sym_class] = ACTIONS(5128),
    [anon_sym_struct] = ACTIONS(5128),
    [anon_sym_union] = ACTIONS(5128),
    [anon_sym_or] = ACTIONS(5128),
    [anon_sym_and] = ACTIONS(5128),
    [anon_sym_asm] = ACTIONS(5128),
    [anon_sym___asm__] = ACTIONS(5128),
    [anon_sym___asm] = ACTIONS(5128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5128),
    [anon_sym_decltype] = ACTIONS(5128),
    [anon_sym_final] = ACTIONS(5128),
    [anon_sym_override] = ACTIONS(5128),
    [anon_sym_explicit] = ACTIONS(5128),
    [anon_sym_typename] = ACTIONS(5128),
    [anon_sym_template] = ACTIONS(5128),
    [anon_sym_GT2] = ACTIONS(5130),
    [anon_sym_operator] = ACTIONS(5128),
    [anon_sym_try] = ACTIONS(5128),
    [anon_sym_friend] = ACTIONS(5128),
    [anon_sym_using] = ACTIONS(5128),
    [anon_sym_concept] = ACTIONS(5128),
    [anon_sym_requires] = ACTIONS(5128),
  },
  [1611] = {
    [sym_identifier] = ACTIONS(5108),
    [anon_sym_COMMA] = ACTIONS(5110),
    [anon_sym_RPAREN] = ACTIONS(5110),
    [anon_sym_LPAREN2] = ACTIONS(5110),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_STAR] = ACTIONS(5110),
    [anon_sym_PIPE_PIPE] = ACTIONS(5110),
    [anon_sym_AMP_AMP] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [anon_sym___extension__] = ACTIONS(5108),
    [anon_sym_virtual] = ACTIONS(5108),
    [anon_sym_extern] = ACTIONS(5108),
    [anon_sym___attribute__] = ACTIONS(5108),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5110),
    [anon_sym___declspec] = ACTIONS(5108),
    [anon_sym___based] = ACTIONS(5108),
    [anon_sym___cdecl] = ACTIONS(5108),
    [anon_sym___clrcall] = ACTIONS(5108),
    [anon_sym___stdcall] = ACTIONS(5108),
    [anon_sym___fastcall] = ACTIONS(5108),
    [anon_sym___thiscall] = ACTIONS(5108),
    [anon_sym___vectorcall] = ACTIONS(5108),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_signed] = ACTIONS(5108),
    [anon_sym_unsigned] = ACTIONS(5108),
    [anon_sym_long] = ACTIONS(5108),
    [anon_sym_short] = ACTIONS(5108),
    [anon_sym_LBRACK] = ACTIONS(5108),
    [anon_sym_static] = ACTIONS(5108),
    [anon_sym_EQ] = ACTIONS(5110),
    [anon_sym_register] = ACTIONS(5108),
    [anon_sym_inline] = ACTIONS(5108),
    [anon_sym___inline] = ACTIONS(5108),
    [anon_sym___inline__] = ACTIONS(5108),
    [anon_sym___forceinline] = ACTIONS(5108),
    [anon_sym_thread_local] = ACTIONS(5108),
    [anon_sym___thread] = ACTIONS(5108),
    [anon_sym_const] = ACTIONS(5108),
    [anon_sym_constexpr] = ACTIONS(5108),
    [anon_sym_volatile] = ACTIONS(5108),
    [anon_sym_restrict] = ACTIONS(5108),
    [anon_sym___restrict__] = ACTIONS(5108),
    [anon_sym__Atomic] = ACTIONS(5108),
    [anon_sym__Noreturn] = ACTIONS(5108),
    [anon_sym_noreturn] = ACTIONS(5108),
    [anon_sym__Nonnull] = ACTIONS(5108),
    [anon_sym_mutable] = ACTIONS(5108),
    [anon_sym_constinit] = ACTIONS(5108),
    [anon_sym_consteval] = ACTIONS(5108),
    [anon_sym_PROGMEM] = ACTIONS(5108),
    [anon_sym_alignas] = ACTIONS(5108),
    [anon_sym__Alignas] = ACTIONS(5108),
    [aux_sym_primitive_type_token1] = ACTIONS(5108),
    [anon_sym_byte] = ACTIONS(5108),
    [anon_sym_word] = ACTIONS(5108),
    [anon_sym_enum] = ACTIONS(5108),
    [anon_sym_class] = ACTIONS(5108),
    [anon_sym_struct] = ACTIONS(5108),
    [anon_sym_union] = ACTIONS(5108),
    [anon_sym_or] = ACTIONS(5108),
    [anon_sym_and] = ACTIONS(5108),
    [anon_sym_asm] = ACTIONS(5108),
    [anon_sym___asm__] = ACTIONS(5108),
    [anon_sym___asm] = ACTIONS(5108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5108),
    [anon_sym_decltype] = ACTIONS(5108),
    [anon_sym_final] = ACTIONS(5108),
    [anon_sym_override] = ACTIONS(5108),
    [anon_sym_explicit] = ACTIONS(5108),
    [anon_sym_typename] = ACTIONS(5108),
    [anon_sym_template] = ACTIONS(5108),
    [anon_sym_GT2] = ACTIONS(5110),
    [anon_sym_operator] = ACTIONS(5108),
    [anon_sym_try] = ACTIONS(5108),
    [anon_sym_friend] = ACTIONS(5108),
    [anon_sym_using] = ACTIONS(5108),
    [anon_sym_concept] = ACTIONS(5108),
    [anon_sym_requires] = ACTIONS(5108),
  },
  [1612] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4010),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(6774),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_type_parameter_declaration] = STATE(6774),
    [sym_variadic_type_parameter_declaration] = STATE(6774),
    [sym_optional_type_parameter_declaration] = STATE(6774),
    [sym_template_template_parameter_declaration] = STATE(6774),
    [sym_optional_parameter_declaration] = STATE(6774),
    [sym_variadic_parameter_declaration] = STATE(6774),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6192),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4870),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(5132),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(5134),
    [anon_sym_template] = ACTIONS(5136),
    [anon_sym_GT2] = ACTIONS(5138),
  },
  [1613] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4010),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(7036),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_type_parameter_declaration] = STATE(7036),
    [sym_variadic_type_parameter_declaration] = STATE(7036),
    [sym_optional_type_parameter_declaration] = STATE(7036),
    [sym_template_template_parameter_declaration] = STATE(7036),
    [sym_optional_parameter_declaration] = STATE(7036),
    [sym_variadic_parameter_declaration] = STATE(7036),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6192),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4870),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(5132),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(5134),
    [anon_sym_template] = ACTIONS(5136),
    [anon_sym_GT2] = ACTIONS(5140),
  },
  [1614] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4010),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(7320),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_type_parameter_declaration] = STATE(7320),
    [sym_variadic_type_parameter_declaration] = STATE(7320),
    [sym_optional_type_parameter_declaration] = STATE(7320),
    [sym_template_template_parameter_declaration] = STATE(7320),
    [sym_optional_parameter_declaration] = STATE(7320),
    [sym_variadic_parameter_declaration] = STATE(7320),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6192),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4870),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(5132),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(5134),
    [anon_sym_template] = ACTIONS(5136),
  },
  [1615] = {
    [sym_identifier] = ACTIONS(5142),
    [anon_sym_LPAREN2] = ACTIONS(5144),
    [anon_sym_BANG] = ACTIONS(5144),
    [anon_sym_TILDE] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5142),
    [anon_sym_PLUS] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(5144),
    [anon_sym_SEMI] = ACTIONS(5144),
    [anon_sym___extension__] = ACTIONS(5142),
    [anon_sym_COLON_COLON] = ACTIONS(5144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5144),
    [anon_sym_LBRACE] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5142),
    [aux_sym_primitive_type_token1] = ACTIONS(5142),
    [anon_sym_byte] = ACTIONS(5142),
    [anon_sym_word] = ACTIONS(5142),
    [anon_sym_if] = ACTIONS(5142),
    [anon_sym_switch] = ACTIONS(5142),
    [anon_sym_case] = ACTIONS(5142),
    [anon_sym_default] = ACTIONS(5142),
    [anon_sym_while] = ACTIONS(5142),
    [anon_sym_do] = ACTIONS(5142),
    [anon_sym_for] = ACTIONS(5142),
    [anon_sym_return] = ACTIONS(5142),
    [anon_sym_break] = ACTIONS(5142),
    [anon_sym_continue] = ACTIONS(5142),
    [anon_sym_goto] = ACTIONS(5142),
    [anon_sym___try] = ACTIONS(5142),
    [anon_sym___leave] = ACTIONS(5142),
    [anon_sym_not] = ACTIONS(5142),
    [anon_sym_compl] = ACTIONS(5142),
    [anon_sym_DASH_DASH] = ACTIONS(5144),
    [anon_sym_PLUS_PLUS] = ACTIONS(5144),
    [anon_sym_sizeof] = ACTIONS(5142),
    [anon_sym___alignof__] = ACTIONS(5142),
    [anon_sym___alignof] = ACTIONS(5142),
    [anon_sym__alignof] = ACTIONS(5142),
    [anon_sym_alignof] = ACTIONS(5142),
    [anon_sym__Alignof] = ACTIONS(5142),
    [anon_sym_offsetof] = ACTIONS(5142),
    [anon_sym__Generic] = ACTIONS(5142),
    [anon_sym_asm] = ACTIONS(5142),
    [anon_sym___asm__] = ACTIONS(5142),
    [anon_sym___asm] = ACTIONS(5142),
    [aux_sym_number_literal_token1] = ACTIONS(5144),
    [aux_sym_number_literal_token2] = ACTIONS(5142),
    [anon_sym_L_SQUOTE] = ACTIONS(5144),
    [anon_sym_u_SQUOTE] = ACTIONS(5144),
    [anon_sym_U_SQUOTE] = ACTIONS(5144),
    [anon_sym_u8_SQUOTE] = ACTIONS(5144),
    [anon_sym_SQUOTE] = ACTIONS(5144),
    [anon_sym_L_DQUOTE] = ACTIONS(5144),
    [anon_sym_u_DQUOTE] = ACTIONS(5144),
    [anon_sym_U_DQUOTE] = ACTIONS(5144),
    [anon_sym_u8_DQUOTE] = ACTIONS(5144),
    [anon_sym_DQUOTE] = ACTIONS(5144),
    [sym_true] = ACTIONS(5142),
    [sym_false] = ACTIONS(5142),
    [anon_sym_NULL] = ACTIONS(5142),
    [anon_sym_nullptr] = ACTIONS(5142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5142),
    [anon_sym_template] = ACTIONS(5142),
    [anon_sym_try] = ACTIONS(5142),
    [anon_sym_delete] = ACTIONS(5142),
    [anon_sym_throw] = ACTIONS(5142),
    [anon_sym_co_return] = ACTIONS(5142),
    [anon_sym_co_yield] = ACTIONS(5142),
    [anon_sym_R_DQUOTE] = ACTIONS(5144),
    [anon_sym_LR_DQUOTE] = ACTIONS(5144),
    [anon_sym_uR_DQUOTE] = ACTIONS(5144),
    [anon_sym_UR_DQUOTE] = ACTIONS(5144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5144),
    [anon_sym_co_await] = ACTIONS(5142),
    [anon_sym_new] = ACTIONS(5142),
    [anon_sym_requires] = ACTIONS(5142),
    [sym_this] = ACTIONS(5142),
  },
  [1616] = {
    [sym_identifier] = ACTIONS(5146),
    [anon_sym_LPAREN2] = ACTIONS(5148),
    [anon_sym_BANG] = ACTIONS(5148),
    [anon_sym_TILDE] = ACTIONS(5148),
    [anon_sym_DASH] = ACTIONS(5146),
    [anon_sym_PLUS] = ACTIONS(5146),
    [anon_sym_STAR] = ACTIONS(5148),
    [anon_sym_AMP] = ACTIONS(5148),
    [anon_sym_SEMI] = ACTIONS(5148),
    [anon_sym___extension__] = ACTIONS(5146),
    [anon_sym_COLON_COLON] = ACTIONS(5148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5148),
    [anon_sym_LBRACE] = ACTIONS(5148),
    [anon_sym_LBRACK] = ACTIONS(5146),
    [aux_sym_primitive_type_token1] = ACTIONS(5146),
    [anon_sym_byte] = ACTIONS(5146),
    [anon_sym_word] = ACTIONS(5146),
    [anon_sym_if] = ACTIONS(5146),
    [anon_sym_switch] = ACTIONS(5146),
    [anon_sym_case] = ACTIONS(5146),
    [anon_sym_default] = ACTIONS(5146),
    [anon_sym_while] = ACTIONS(5146),
    [anon_sym_do] = ACTIONS(5146),
    [anon_sym_for] = ACTIONS(5146),
    [anon_sym_return] = ACTIONS(5146),
    [anon_sym_break] = ACTIONS(5146),
    [anon_sym_continue] = ACTIONS(5146),
    [anon_sym_goto] = ACTIONS(5146),
    [anon_sym___try] = ACTIONS(5146),
    [anon_sym___leave] = ACTIONS(5146),
    [anon_sym_not] = ACTIONS(5146),
    [anon_sym_compl] = ACTIONS(5146),
    [anon_sym_DASH_DASH] = ACTIONS(5148),
    [anon_sym_PLUS_PLUS] = ACTIONS(5148),
    [anon_sym_sizeof] = ACTIONS(5146),
    [anon_sym___alignof__] = ACTIONS(5146),
    [anon_sym___alignof] = ACTIONS(5146),
    [anon_sym__alignof] = ACTIONS(5146),
    [anon_sym_alignof] = ACTIONS(5146),
    [anon_sym__Alignof] = ACTIONS(5146),
    [anon_sym_offsetof] = ACTIONS(5146),
    [anon_sym__Generic] = ACTIONS(5146),
    [anon_sym_asm] = ACTIONS(5146),
    [anon_sym___asm__] = ACTIONS(5146),
    [anon_sym___asm] = ACTIONS(5146),
    [aux_sym_number_literal_token1] = ACTIONS(5148),
    [aux_sym_number_literal_token2] = ACTIONS(5146),
    [anon_sym_L_SQUOTE] = ACTIONS(5148),
    [anon_sym_u_SQUOTE] = ACTIONS(5148),
    [anon_sym_U_SQUOTE] = ACTIONS(5148),
    [anon_sym_u8_SQUOTE] = ACTIONS(5148),
    [anon_sym_SQUOTE] = ACTIONS(5148),
    [anon_sym_L_DQUOTE] = ACTIONS(5148),
    [anon_sym_u_DQUOTE] = ACTIONS(5148),
    [anon_sym_U_DQUOTE] = ACTIONS(5148),
    [anon_sym_u8_DQUOTE] = ACTIONS(5148),
    [anon_sym_DQUOTE] = ACTIONS(5148),
    [sym_true] = ACTIONS(5146),
    [sym_false] = ACTIONS(5146),
    [anon_sym_NULL] = ACTIONS(5146),
    [anon_sym_nullptr] = ACTIONS(5146),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5146),
    [anon_sym_template] = ACTIONS(5146),
    [anon_sym_try] = ACTIONS(5146),
    [anon_sym_delete] = ACTIONS(5146),
    [anon_sym_throw] = ACTIONS(5146),
    [anon_sym_co_return] = ACTIONS(5146),
    [anon_sym_co_yield] = ACTIONS(5146),
    [anon_sym_R_DQUOTE] = ACTIONS(5148),
    [anon_sym_LR_DQUOTE] = ACTIONS(5148),
    [anon_sym_uR_DQUOTE] = ACTIONS(5148),
    [anon_sym_UR_DQUOTE] = ACTIONS(5148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5148),
    [anon_sym_co_await] = ACTIONS(5146),
    [anon_sym_new] = ACTIONS(5146),
    [anon_sym_requires] = ACTIONS(5146),
    [sym_this] = ACTIONS(5146),
  },
  [1617] = {
    [sym_type_qualifier] = STATE(1617),
    [sym_alignas_qualifier] = STATE(1640),
    [aux_sym_array_declarator_repeat1] = STATE(1617),
    [sym_identifier] = ACTIONS(5150),
    [anon_sym_LPAREN2] = ACTIONS(5152),
    [anon_sym_BANG] = ACTIONS(5152),
    [anon_sym_TILDE] = ACTIONS(5152),
    [anon_sym_DASH] = ACTIONS(5150),
    [anon_sym_PLUS] = ACTIONS(5150),
    [anon_sym_STAR] = ACTIONS(5152),
    [anon_sym_AMP] = ACTIONS(5152),
    [anon_sym___extension__] = ACTIONS(5154),
    [anon_sym_COLON_COLON] = ACTIONS(5152),
    [anon_sym_LBRACK] = ACTIONS(5152),
    [anon_sym_static] = ACTIONS(5157),
    [anon_sym_RBRACK] = ACTIONS(5152),
    [anon_sym_const] = ACTIONS(5154),
    [anon_sym_constexpr] = ACTIONS(5154),
    [anon_sym_volatile] = ACTIONS(5154),
    [anon_sym_restrict] = ACTIONS(5154),
    [anon_sym___restrict__] = ACTIONS(5154),
    [anon_sym__Atomic] = ACTIONS(5154),
    [anon_sym__Noreturn] = ACTIONS(5154),
    [anon_sym_noreturn] = ACTIONS(5154),
    [anon_sym__Nonnull] = ACTIONS(5154),
    [anon_sym_mutable] = ACTIONS(5154),
    [anon_sym_constinit] = ACTIONS(5154),
    [anon_sym_consteval] = ACTIONS(5154),
    [anon_sym_PROGMEM] = ACTIONS(5154),
    [anon_sym_alignas] = ACTIONS(5160),
    [anon_sym__Alignas] = ACTIONS(5160),
    [aux_sym_primitive_type_token1] = ACTIONS(5150),
    [anon_sym_byte] = ACTIONS(5150),
    [anon_sym_word] = ACTIONS(5150),
    [anon_sym_not] = ACTIONS(5150),
    [anon_sym_compl] = ACTIONS(5150),
    [anon_sym_DASH_DASH] = ACTIONS(5152),
    [anon_sym_PLUS_PLUS] = ACTIONS(5152),
    [anon_sym_sizeof] = ACTIONS(5150),
    [anon_sym___alignof__] = ACTIONS(5150),
    [anon_sym___alignof] = ACTIONS(5150),
    [anon_sym__alignof] = ACTIONS(5150),
    [anon_sym_alignof] = ACTIONS(5150),
    [anon_sym__Alignof] = ACTIONS(5150),
    [anon_sym_offsetof] = ACTIONS(5150),
    [anon_sym__Generic] = ACTIONS(5150),
    [anon_sym_asm] = ACTIONS(5150),
    [anon_sym___asm__] = ACTIONS(5150),
    [anon_sym___asm] = ACTIONS(5150),
    [aux_sym_number_literal_token1] = ACTIONS(5152),
    [aux_sym_number_literal_token2] = ACTIONS(5150),
    [anon_sym_L_SQUOTE] = ACTIONS(5152),
    [anon_sym_u_SQUOTE] = ACTIONS(5152),
    [anon_sym_U_SQUOTE] = ACTIONS(5152),
    [anon_sym_u8_SQUOTE] = ACTIONS(5152),
    [anon_sym_SQUOTE] = ACTIONS(5152),
    [anon_sym_L_DQUOTE] = ACTIONS(5152),
    [anon_sym_u_DQUOTE] = ACTIONS(5152),
    [anon_sym_U_DQUOTE] = ACTIONS(5152),
    [anon_sym_u8_DQUOTE] = ACTIONS(5152),
    [anon_sym_DQUOTE] = ACTIONS(5152),
    [sym_true] = ACTIONS(5150),
    [sym_false] = ACTIONS(5150),
    [anon_sym_NULL] = ACTIONS(5150),
    [anon_sym_nullptr] = ACTIONS(5150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5150),
    [anon_sym_template] = ACTIONS(5150),
    [anon_sym_delete] = ACTIONS(5150),
    [anon_sym_R_DQUOTE] = ACTIONS(5152),
    [anon_sym_LR_DQUOTE] = ACTIONS(5152),
    [anon_sym_uR_DQUOTE] = ACTIONS(5152),
    [anon_sym_UR_DQUOTE] = ACTIONS(5152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5152),
    [anon_sym_co_await] = ACTIONS(5150),
    [anon_sym_new] = ACTIONS(5150),
    [anon_sym_requires] = ACTIONS(5150),
    [sym_this] = ACTIONS(5150),
  },
  [1618] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1618),
    [sym_identifier] = ACTIONS(5163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5165),
    [anon_sym_COMMA] = ACTIONS(5165),
    [anon_sym_RPAREN] = ACTIONS(5165),
    [aux_sym_preproc_if_token2] = ACTIONS(5165),
    [aux_sym_preproc_else_token1] = ACTIONS(5165),
    [aux_sym_preproc_elif_token1] = ACTIONS(5163),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5165),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5165),
    [anon_sym_LPAREN2] = ACTIONS(5165),
    [anon_sym_DASH] = ACTIONS(5163),
    [anon_sym_PLUS] = ACTIONS(5163),
    [anon_sym_STAR] = ACTIONS(5165),
    [anon_sym_SLASH] = ACTIONS(5163),
    [anon_sym_PERCENT] = ACTIONS(5165),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5165),
    [anon_sym_PIPE] = ACTIONS(5163),
    [anon_sym_CARET] = ACTIONS(5165),
    [anon_sym_AMP] = ACTIONS(5163),
    [anon_sym_EQ_EQ] = ACTIONS(5165),
    [anon_sym_BANG_EQ] = ACTIONS(5165),
    [anon_sym_GT] = ACTIONS(5163),
    [anon_sym_GT_EQ] = ACTIONS(5165),
    [anon_sym_LT_EQ] = ACTIONS(5163),
    [anon_sym_LT] = ACTIONS(5163),
    [anon_sym_LT_LT] = ACTIONS(5165),
    [anon_sym_GT_GT] = ACTIONS(5165),
    [anon_sym_SEMI] = ACTIONS(5165),
    [anon_sym___extension__] = ACTIONS(5163),
    [anon_sym___attribute__] = ACTIONS(5163),
    [anon_sym_LBRACE] = ACTIONS(5165),
    [anon_sym_RBRACE] = ACTIONS(5165),
    [anon_sym_signed] = ACTIONS(5167),
    [anon_sym_unsigned] = ACTIONS(5167),
    [anon_sym_long] = ACTIONS(5167),
    [anon_sym_short] = ACTIONS(5167),
    [anon_sym_LBRACK] = ACTIONS(5165),
    [anon_sym_RBRACK] = ACTIONS(5165),
    [anon_sym_const] = ACTIONS(5163),
    [anon_sym_constexpr] = ACTIONS(5163),
    [anon_sym_volatile] = ACTIONS(5163),
    [anon_sym_restrict] = ACTIONS(5163),
    [anon_sym___restrict__] = ACTIONS(5163),
    [anon_sym__Atomic] = ACTIONS(5163),
    [anon_sym__Noreturn] = ACTIONS(5163),
    [anon_sym_noreturn] = ACTIONS(5163),
    [anon_sym__Nonnull] = ACTIONS(5163),
    [anon_sym_mutable] = ACTIONS(5163),
    [anon_sym_constinit] = ACTIONS(5163),
    [anon_sym_consteval] = ACTIONS(5163),
    [anon_sym_PROGMEM] = ACTIONS(5163),
    [anon_sym_alignas] = ACTIONS(5163),
    [anon_sym__Alignas] = ACTIONS(5163),
    [aux_sym_primitive_type_token1] = ACTIONS(5163),
    [anon_sym_byte] = ACTIONS(5163),
    [anon_sym_word] = ACTIONS(5163),
    [anon_sym_COLON] = ACTIONS(5165),
    [anon_sym_QMARK] = ACTIONS(5165),
    [anon_sym_LT_EQ_GT] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5163),
    [anon_sym_and] = ACTIONS(5163),
    [anon_sym_bitor] = ACTIONS(5163),
    [anon_sym_xor] = ACTIONS(5163),
    [anon_sym_bitand] = ACTIONS(5163),
    [anon_sym_not_eq] = ACTIONS(5163),
    [anon_sym_DASH_DASH] = ACTIONS(5165),
    [anon_sym_PLUS_PLUS] = ACTIONS(5165),
    [anon_sym_DOT] = ACTIONS(5163),
    [anon_sym_DOT_STAR] = ACTIONS(5165),
    [anon_sym_DASH_GT] = ACTIONS(5165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5163),
    [anon_sym_decltype] = ACTIONS(5163),
    [anon_sym_final] = ACTIONS(5163),
    [anon_sym_override] = ACTIONS(5163),
    [anon_sym_requires] = ACTIONS(5163),
  },
  [1619] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(6780),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(6780),
    [sym_variadic_parameter_declaration] = STATE(6780),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6192),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5170),
    [anon_sym_RPAREN] = ACTIONS(5172),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1620] = {
    [sym_catch_clause] = STATE(1621),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1621),
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [aux_sym_preproc_else_token1] = ACTIONS(2564),
    [aux_sym_preproc_elif_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_virtual] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_PROGMEM] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [aux_sym_primitive_type_token1] = ACTIONS(2564),
    [anon_sym_byte] = ACTIONS(2564),
    [anon_sym_word] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_friend] = ACTIONS(2564),
    [anon_sym_public] = ACTIONS(2564),
    [anon_sym_private] = ACTIONS(2564),
    [anon_sym_protected] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_catch] = ACTIONS(5174),
  },
  [1621] = {
    [sym_catch_clause] = STATE(1621),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1621),
    [sym_identifier] = ACTIONS(2551),
    [aux_sym_preproc_def_token1] = ACTIONS(2551),
    [aux_sym_preproc_if_token1] = ACTIONS(2551),
    [aux_sym_preproc_if_token2] = ACTIONS(2551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2551),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2551),
    [aux_sym_preproc_else_token1] = ACTIONS(2551),
    [aux_sym_preproc_elif_token1] = ACTIONS(2551),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2551),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2551),
    [sym_preproc_directive] = ACTIONS(2551),
    [anon_sym_LPAREN2] = ACTIONS(2553),
    [anon_sym_TILDE] = ACTIONS(2553),
    [anon_sym_STAR] = ACTIONS(2553),
    [anon_sym_AMP_AMP] = ACTIONS(2553),
    [anon_sym_AMP] = ACTIONS(2551),
    [anon_sym_SEMI] = ACTIONS(2553),
    [anon_sym___extension__] = ACTIONS(2551),
    [anon_sym_typedef] = ACTIONS(2551),
    [anon_sym_virtual] = ACTIONS(2551),
    [anon_sym_extern] = ACTIONS(2551),
    [anon_sym___attribute__] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2553),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2553),
    [anon_sym___declspec] = ACTIONS(2551),
    [anon_sym___based] = ACTIONS(2551),
    [anon_sym_signed] = ACTIONS(2551),
    [anon_sym_unsigned] = ACTIONS(2551),
    [anon_sym_long] = ACTIONS(2551),
    [anon_sym_short] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2551),
    [anon_sym_static] = ACTIONS(2551),
    [anon_sym_register] = ACTIONS(2551),
    [anon_sym_inline] = ACTIONS(2551),
    [anon_sym___inline] = ACTIONS(2551),
    [anon_sym___inline__] = ACTIONS(2551),
    [anon_sym___forceinline] = ACTIONS(2551),
    [anon_sym_thread_local] = ACTIONS(2551),
    [anon_sym___thread] = ACTIONS(2551),
    [anon_sym_const] = ACTIONS(2551),
    [anon_sym_constexpr] = ACTIONS(2551),
    [anon_sym_volatile] = ACTIONS(2551),
    [anon_sym_restrict] = ACTIONS(2551),
    [anon_sym___restrict__] = ACTIONS(2551),
    [anon_sym__Atomic] = ACTIONS(2551),
    [anon_sym__Noreturn] = ACTIONS(2551),
    [anon_sym_noreturn] = ACTIONS(2551),
    [anon_sym__Nonnull] = ACTIONS(2551),
    [anon_sym_mutable] = ACTIONS(2551),
    [anon_sym_constinit] = ACTIONS(2551),
    [anon_sym_consteval] = ACTIONS(2551),
    [anon_sym_PROGMEM] = ACTIONS(2551),
    [anon_sym_alignas] = ACTIONS(2551),
    [anon_sym__Alignas] = ACTIONS(2551),
    [aux_sym_primitive_type_token1] = ACTIONS(2551),
    [anon_sym_byte] = ACTIONS(2551),
    [anon_sym_word] = ACTIONS(2551),
    [anon_sym_enum] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2551),
    [anon_sym_struct] = ACTIONS(2551),
    [anon_sym_union] = ACTIONS(2551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2551),
    [anon_sym_decltype] = ACTIONS(2551),
    [anon_sym_explicit] = ACTIONS(2551),
    [anon_sym_typename] = ACTIONS(2551),
    [anon_sym_template] = ACTIONS(2551),
    [anon_sym_operator] = ACTIONS(2551),
    [anon_sym_friend] = ACTIONS(2551),
    [anon_sym_public] = ACTIONS(2551),
    [anon_sym_private] = ACTIONS(2551),
    [anon_sym_protected] = ACTIONS(2551),
    [anon_sym_using] = ACTIONS(2551),
    [anon_sym_static_assert] = ACTIONS(2551),
    [anon_sym_catch] = ACTIONS(5176),
  },
  [1622] = {
    [sym_catch_clause] = STATE(1621),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1621),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token2] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [aux_sym_preproc_else_token1] = ACTIONS(2658),
    [aux_sym_preproc_elif_token1] = ACTIONS(2658),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___based] = ACTIONS(2658),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_PROGMEM] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [aux_sym_primitive_type_token1] = ACTIONS(2658),
    [anon_sym_byte] = ACTIONS(2658),
    [anon_sym_word] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_explicit] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_friend] = ACTIONS(2658),
    [anon_sym_public] = ACTIONS(2658),
    [anon_sym_private] = ACTIONS(2658),
    [anon_sym_protected] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(2658),
    [anon_sym_static_assert] = ACTIONS(2658),
    [anon_sym_catch] = ACTIONS(5174),
  },
  [1623] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(6984),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(6984),
    [sym_variadic_parameter_declaration] = STATE(6984),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6192),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5179),
    [anon_sym_RPAREN] = ACTIONS(5181),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1624] = {
    [sym_catch_clause] = STATE(1621),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1621),
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [aux_sym_preproc_else_token1] = ACTIONS(2662),
    [aux_sym_preproc_elif_token1] = ACTIONS(2662),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_virtual] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___based] = ACTIONS(2662),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_mutable] = ACTIONS(2662),
    [anon_sym_constinit] = ACTIONS(2662),
    [anon_sym_consteval] = ACTIONS(2662),
    [anon_sym_PROGMEM] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [aux_sym_primitive_type_token1] = ACTIONS(2662),
    [anon_sym_byte] = ACTIONS(2662),
    [anon_sym_word] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_class] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2662),
    [anon_sym_decltype] = ACTIONS(2662),
    [anon_sym_explicit] = ACTIONS(2662),
    [anon_sym_typename] = ACTIONS(2662),
    [anon_sym_template] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_friend] = ACTIONS(2662),
    [anon_sym_public] = ACTIONS(2662),
    [anon_sym_private] = ACTIONS(2662),
    [anon_sym_protected] = ACTIONS(2662),
    [anon_sym_using] = ACTIONS(2662),
    [anon_sym_static_assert] = ACTIONS(2662),
    [anon_sym_catch] = ACTIONS(5174),
  },
  [1625] = {
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4931),
    [anon_sym_COMMA] = ACTIONS(4931),
    [anon_sym_RPAREN] = ACTIONS(4931),
    [anon_sym_LPAREN2] = ACTIONS(4933),
    [anon_sym_TILDE] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4933),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4931),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4933),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4931),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4931),
    [anon_sym_GT_GT] = ACTIONS(4931),
    [anon_sym_SEMI] = ACTIONS(4931),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym_virtual] = ACTIONS(4929),
    [anon_sym_extern] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym_COLON_COLON] = ACTIONS(4936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4936),
    [anon_sym___declspec] = ACTIONS(4929),
    [anon_sym___based] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_RBRACE] = ACTIONS(4931),
    [anon_sym_LBRACK] = ACTIONS(4940),
    [anon_sym_static] = ACTIONS(4929),
    [anon_sym_register] = ACTIONS(4929),
    [anon_sym_inline] = ACTIONS(4929),
    [anon_sym___inline] = ACTIONS(4929),
    [anon_sym___inline__] = ACTIONS(4929),
    [anon_sym___forceinline] = ACTIONS(4929),
    [anon_sym_thread_local] = ACTIONS(4929),
    [anon_sym___thread] = ACTIONS(4929),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_PROGMEM] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_template] = ACTIONS(4929),
    [anon_sym_operator] = ACTIONS(4929),
  },
  [1626] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(6889),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(6889),
    [sym_variadic_parameter_declaration] = STATE(6889),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6192),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5183),
    [anon_sym_RPAREN] = ACTIONS(5185),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1627] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(7089),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(7089),
    [sym_variadic_parameter_declaration] = STATE(7089),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6192),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1907),
    [anon_sym_RPAREN] = ACTIONS(4178),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1628] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4896),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4896),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4896),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4896),
    [anon_sym_GT_GT] = ACTIONS(4896),
    [anon_sym___extension__] = ACTIONS(4898),
    [anon_sym___attribute__] = ACTIONS(4898),
    [anon_sym_COLON_COLON] = ACTIONS(4898),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_EQ] = ACTIONS(4896),
    [anon_sym_const] = ACTIONS(4896),
    [anon_sym_constexpr] = ACTIONS(4898),
    [anon_sym_volatile] = ACTIONS(4898),
    [anon_sym_restrict] = ACTIONS(4898),
    [anon_sym___restrict__] = ACTIONS(4898),
    [anon_sym__Atomic] = ACTIONS(4898),
    [anon_sym__Noreturn] = ACTIONS(4898),
    [anon_sym_noreturn] = ACTIONS(4898),
    [anon_sym__Nonnull] = ACTIONS(4898),
    [anon_sym_mutable] = ACTIONS(4898),
    [anon_sym_constinit] = ACTIONS(4898),
    [anon_sym_consteval] = ACTIONS(4898),
    [anon_sym_PROGMEM] = ACTIONS(4898),
    [anon_sym_alignas] = ACTIONS(4898),
    [anon_sym__Alignas] = ACTIONS(4898),
    [anon_sym_COLON] = ACTIONS(4896),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_STAR_EQ] = ACTIONS(4898),
    [anon_sym_SLASH_EQ] = ACTIONS(4898),
    [anon_sym_PERCENT_EQ] = ACTIONS(4898),
    [anon_sym_PLUS_EQ] = ACTIONS(4898),
    [anon_sym_DASH_EQ] = ACTIONS(4898),
    [anon_sym_LT_LT_EQ] = ACTIONS(4898),
    [anon_sym_GT_GT_EQ] = ACTIONS(4898),
    [anon_sym_AMP_EQ] = ACTIONS(4898),
    [anon_sym_CARET_EQ] = ACTIONS(4898),
    [anon_sym_PIPE_EQ] = ACTIONS(4898),
    [anon_sym_and_eq] = ACTIONS(4898),
    [anon_sym_or_eq] = ACTIONS(4898),
    [anon_sym_xor_eq] = ACTIONS(4898),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4898),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4898),
    [anon_sym_not_eq] = ACTIONS(4898),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4898),
    [anon_sym_decltype] = ACTIONS(4898),
    [anon_sym_final] = ACTIONS(4898),
    [anon_sym_override] = ACTIONS(4898),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4898),
  },
  [1629] = {
    [sym_string_literal] = STATE(1644),
    [sym_template_argument_list] = STATE(2299),
    [sym_raw_string_literal] = STATE(1644),
    [sym_identifier] = ACTIONS(4132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_RPAREN] = ACTIONS(4124),
    [aux_sym_preproc_if_token2] = ACTIONS(4124),
    [aux_sym_preproc_else_token1] = ACTIONS(4124),
    [aux_sym_preproc_elif_token1] = ACTIONS(4132),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(5187),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_RBRACE] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_RBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4124),
    [anon_sym_SLASH_EQ] = ACTIONS(4124),
    [anon_sym_PERCENT_EQ] = ACTIONS(4124),
    [anon_sym_PLUS_EQ] = ACTIONS(4124),
    [anon_sym_DASH_EQ] = ACTIONS(4124),
    [anon_sym_LT_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT_GT_EQ] = ACTIONS(4124),
    [anon_sym_AMP_EQ] = ACTIONS(4124),
    [anon_sym_CARET_EQ] = ACTIONS(4124),
    [anon_sym_PIPE_EQ] = ACTIONS(4124),
    [anon_sym_and_eq] = ACTIONS(4132),
    [anon_sym_or_eq] = ACTIONS(4132),
    [anon_sym_xor_eq] = ACTIONS(4132),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4132),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4132),
    [anon_sym_not_eq] = ACTIONS(4132),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
  },
  [1630] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4902),
    [anon_sym_COMMA] = ACTIONS(4902),
    [anon_sym_RPAREN] = ACTIONS(4902),
    [anon_sym_LPAREN2] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4900),
    [anon_sym_STAR] = ACTIONS(4900),
    [anon_sym_SLASH] = ACTIONS(4900),
    [anon_sym_PERCENT] = ACTIONS(4900),
    [anon_sym_PIPE_PIPE] = ACTIONS(4902),
    [anon_sym_AMP_AMP] = ACTIONS(4902),
    [anon_sym_PIPE] = ACTIONS(4900),
    [anon_sym_CARET] = ACTIONS(4900),
    [anon_sym_AMP] = ACTIONS(4900),
    [anon_sym_EQ_EQ] = ACTIONS(4902),
    [anon_sym_BANG_EQ] = ACTIONS(4902),
    [anon_sym_GT] = ACTIONS(4900),
    [anon_sym_GT_EQ] = ACTIONS(4902),
    [anon_sym_LT_EQ] = ACTIONS(4900),
    [anon_sym_LT] = ACTIONS(4900),
    [anon_sym_LT_LT] = ACTIONS(4900),
    [anon_sym_GT_GT] = ACTIONS(4900),
    [anon_sym___extension__] = ACTIONS(4902),
    [anon_sym___attribute__] = ACTIONS(4902),
    [anon_sym_COLON_COLON] = ACTIONS(4902),
    [anon_sym_LBRACE] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [anon_sym_EQ] = ACTIONS(4900),
    [anon_sym_const] = ACTIONS(4900),
    [anon_sym_constexpr] = ACTIONS(4902),
    [anon_sym_volatile] = ACTIONS(4902),
    [anon_sym_restrict] = ACTIONS(4902),
    [anon_sym___restrict__] = ACTIONS(4902),
    [anon_sym__Atomic] = ACTIONS(4902),
    [anon_sym__Noreturn] = ACTIONS(4902),
    [anon_sym_noreturn] = ACTIONS(4902),
    [anon_sym__Nonnull] = ACTIONS(4902),
    [anon_sym_mutable] = ACTIONS(4902),
    [anon_sym_constinit] = ACTIONS(4902),
    [anon_sym_consteval] = ACTIONS(4902),
    [anon_sym_PROGMEM] = ACTIONS(4902),
    [anon_sym_alignas] = ACTIONS(4902),
    [anon_sym__Alignas] = ACTIONS(4902),
    [anon_sym_COLON] = ACTIONS(4900),
    [anon_sym_QMARK] = ACTIONS(4902),
    [anon_sym_STAR_EQ] = ACTIONS(4902),
    [anon_sym_SLASH_EQ] = ACTIONS(4902),
    [anon_sym_PERCENT_EQ] = ACTIONS(4902),
    [anon_sym_PLUS_EQ] = ACTIONS(4902),
    [anon_sym_DASH_EQ] = ACTIONS(4902),
    [anon_sym_LT_LT_EQ] = ACTIONS(4902),
    [anon_sym_GT_GT_EQ] = ACTIONS(4902),
    [anon_sym_AMP_EQ] = ACTIONS(4902),
    [anon_sym_CARET_EQ] = ACTIONS(4902),
    [anon_sym_PIPE_EQ] = ACTIONS(4902),
    [anon_sym_and_eq] = ACTIONS(4902),
    [anon_sym_or_eq] = ACTIONS(4902),
    [anon_sym_xor_eq] = ACTIONS(4902),
    [anon_sym_LT_EQ_GT] = ACTIONS(4902),
    [anon_sym_or] = ACTIONS(4900),
    [anon_sym_and] = ACTIONS(4900),
    [anon_sym_bitor] = ACTIONS(4902),
    [anon_sym_xor] = ACTIONS(4900),
    [anon_sym_bitand] = ACTIONS(4902),
    [anon_sym_not_eq] = ACTIONS(4902),
    [anon_sym_DASH_DASH] = ACTIONS(4902),
    [anon_sym_PLUS_PLUS] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_DOT_STAR] = ACTIONS(4902),
    [anon_sym_DASH_GT] = ACTIONS(4900),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4902),
    [anon_sym_decltype] = ACTIONS(4902),
    [anon_sym_final] = ACTIONS(4902),
    [anon_sym_override] = ACTIONS(4902),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4902),
  },
  [1631] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4906),
    [anon_sym_COMMA] = ACTIONS(4906),
    [anon_sym_RPAREN] = ACTIONS(4906),
    [anon_sym_LPAREN2] = ACTIONS(4906),
    [anon_sym_DASH] = ACTIONS(4904),
    [anon_sym_PLUS] = ACTIONS(4904),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_SLASH] = ACTIONS(4904),
    [anon_sym_PERCENT] = ACTIONS(4904),
    [anon_sym_PIPE_PIPE] = ACTIONS(4906),
    [anon_sym_AMP_AMP] = ACTIONS(4906),
    [anon_sym_PIPE] = ACTIONS(4904),
    [anon_sym_CARET] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4904),
    [anon_sym_EQ_EQ] = ACTIONS(4906),
    [anon_sym_BANG_EQ] = ACTIONS(4906),
    [anon_sym_GT] = ACTIONS(4904),
    [anon_sym_GT_EQ] = ACTIONS(4906),
    [anon_sym_LT_EQ] = ACTIONS(4904),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym_LT_LT] = ACTIONS(4904),
    [anon_sym_GT_GT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(4906),
    [anon_sym___attribute__] = ACTIONS(4906),
    [anon_sym_COLON_COLON] = ACTIONS(4906),
    [anon_sym_LBRACE] = ACTIONS(4906),
    [anon_sym_LBRACK] = ACTIONS(4906),
    [anon_sym_EQ] = ACTIONS(4904),
    [anon_sym_const] = ACTIONS(4904),
    [anon_sym_constexpr] = ACTIONS(4906),
    [anon_sym_volatile] = ACTIONS(4906),
    [anon_sym_restrict] = ACTIONS(4906),
    [anon_sym___restrict__] = ACTIONS(4906),
    [anon_sym__Atomic] = ACTIONS(4906),
    [anon_sym__Noreturn] = ACTIONS(4906),
    [anon_sym_noreturn] = ACTIONS(4906),
    [anon_sym__Nonnull] = ACTIONS(4906),
    [anon_sym_mutable] = ACTIONS(4906),
    [anon_sym_constinit] = ACTIONS(4906),
    [anon_sym_consteval] = ACTIONS(4906),
    [anon_sym_PROGMEM] = ACTIONS(4906),
    [anon_sym_alignas] = ACTIONS(4906),
    [anon_sym__Alignas] = ACTIONS(4906),
    [anon_sym_COLON] = ACTIONS(4904),
    [anon_sym_QMARK] = ACTIONS(4906),
    [anon_sym_STAR_EQ] = ACTIONS(4906),
    [anon_sym_SLASH_EQ] = ACTIONS(4906),
    [anon_sym_PERCENT_EQ] = ACTIONS(4906),
    [anon_sym_PLUS_EQ] = ACTIONS(4906),
    [anon_sym_DASH_EQ] = ACTIONS(4906),
    [anon_sym_LT_LT_EQ] = ACTIONS(4906),
    [anon_sym_GT_GT_EQ] = ACTIONS(4906),
    [anon_sym_AMP_EQ] = ACTIONS(4906),
    [anon_sym_CARET_EQ] = ACTIONS(4906),
    [anon_sym_PIPE_EQ] = ACTIONS(4906),
    [anon_sym_and_eq] = ACTIONS(4906),
    [anon_sym_or_eq] = ACTIONS(4906),
    [anon_sym_xor_eq] = ACTIONS(4906),
    [anon_sym_LT_EQ_GT] = ACTIONS(4906),
    [anon_sym_or] = ACTIONS(4904),
    [anon_sym_and] = ACTIONS(4904),
    [anon_sym_bitor] = ACTIONS(4906),
    [anon_sym_xor] = ACTIONS(4904),
    [anon_sym_bitand] = ACTIONS(4906),
    [anon_sym_not_eq] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DOT] = ACTIONS(4904),
    [anon_sym_DOT_STAR] = ACTIONS(4906),
    [anon_sym_DASH_GT] = ACTIONS(4904),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4906),
    [anon_sym_decltype] = ACTIONS(4906),
    [anon_sym_final] = ACTIONS(4906),
    [anon_sym_override] = ACTIONS(4906),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4906),
  },
  [1632] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(4886),
    [anon_sym_DASH] = ACTIONS(4884),
    [anon_sym_PLUS] = ACTIONS(4884),
    [anon_sym_STAR] = ACTIONS(4884),
    [anon_sym_SLASH] = ACTIONS(4884),
    [anon_sym_PERCENT] = ACTIONS(4884),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4886),
    [anon_sym_PIPE] = ACTIONS(4884),
    [anon_sym_CARET] = ACTIONS(4884),
    [anon_sym_AMP] = ACTIONS(4884),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4884),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4884),
    [anon_sym_LT] = ACTIONS(4884),
    [anon_sym_LT_LT] = ACTIONS(4884),
    [anon_sym_GT_GT] = ACTIONS(4884),
    [anon_sym___extension__] = ACTIONS(4886),
    [anon_sym___attribute__] = ACTIONS(4886),
    [anon_sym_COLON_COLON] = ACTIONS(4886),
    [anon_sym_LBRACE] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4886),
    [anon_sym_EQ] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4886),
    [anon_sym_volatile] = ACTIONS(4886),
    [anon_sym_restrict] = ACTIONS(4886),
    [anon_sym___restrict__] = ACTIONS(4886),
    [anon_sym__Atomic] = ACTIONS(4886),
    [anon_sym__Noreturn] = ACTIONS(4886),
    [anon_sym_noreturn] = ACTIONS(4886),
    [anon_sym__Nonnull] = ACTIONS(4886),
    [anon_sym_mutable] = ACTIONS(4886),
    [anon_sym_constinit] = ACTIONS(4886),
    [anon_sym_consteval] = ACTIONS(4886),
    [anon_sym_PROGMEM] = ACTIONS(4886),
    [anon_sym_alignas] = ACTIONS(4886),
    [anon_sym__Alignas] = ACTIONS(4886),
    [anon_sym_COLON] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4886),
    [anon_sym_or_eq] = ACTIONS(4886),
    [anon_sym_xor_eq] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4884),
    [anon_sym_and] = ACTIONS(4884),
    [anon_sym_bitor] = ACTIONS(4886),
    [anon_sym_xor] = ACTIONS(4884),
    [anon_sym_bitand] = ACTIONS(4886),
    [anon_sym_not_eq] = ACTIONS(4886),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4884),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4886),
    [anon_sym_decltype] = ACTIONS(4886),
    [anon_sym_final] = ACTIONS(4886),
    [anon_sym_override] = ACTIONS(4886),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4886),
  },
  [1633] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4890),
    [anon_sym_COMMA] = ACTIONS(4890),
    [anon_sym_RPAREN] = ACTIONS(4890),
    [anon_sym_LPAREN2] = ACTIONS(4890),
    [anon_sym_DASH] = ACTIONS(4888),
    [anon_sym_PLUS] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4888),
    [anon_sym_SLASH] = ACTIONS(4888),
    [anon_sym_PERCENT] = ACTIONS(4888),
    [anon_sym_PIPE_PIPE] = ACTIONS(4890),
    [anon_sym_AMP_AMP] = ACTIONS(4890),
    [anon_sym_PIPE] = ACTIONS(4888),
    [anon_sym_CARET] = ACTIONS(4888),
    [anon_sym_AMP] = ACTIONS(4888),
    [anon_sym_EQ_EQ] = ACTIONS(4890),
    [anon_sym_BANG_EQ] = ACTIONS(4890),
    [anon_sym_GT] = ACTIONS(4888),
    [anon_sym_GT_EQ] = ACTIONS(4890),
    [anon_sym_LT_EQ] = ACTIONS(4888),
    [anon_sym_LT] = ACTIONS(4888),
    [anon_sym_LT_LT] = ACTIONS(4888),
    [anon_sym_GT_GT] = ACTIONS(4888),
    [anon_sym___extension__] = ACTIONS(4890),
    [anon_sym___attribute__] = ACTIONS(4890),
    [anon_sym_COLON_COLON] = ACTIONS(4890),
    [anon_sym_LBRACE] = ACTIONS(4890),
    [anon_sym_LBRACK] = ACTIONS(4890),
    [anon_sym_EQ] = ACTIONS(4888),
    [anon_sym_const] = ACTIONS(4888),
    [anon_sym_constexpr] = ACTIONS(4890),
    [anon_sym_volatile] = ACTIONS(4890),
    [anon_sym_restrict] = ACTIONS(4890),
    [anon_sym___restrict__] = ACTIONS(4890),
    [anon_sym__Atomic] = ACTIONS(4890),
    [anon_sym__Noreturn] = ACTIONS(4890),
    [anon_sym_noreturn] = ACTIONS(4890),
    [anon_sym__Nonnull] = ACTIONS(4890),
    [anon_sym_mutable] = ACTIONS(4890),
    [anon_sym_constinit] = ACTIONS(4890),
    [anon_sym_consteval] = ACTIONS(4890),
    [anon_sym_PROGMEM] = ACTIONS(4890),
    [anon_sym_alignas] = ACTIONS(4890),
    [anon_sym__Alignas] = ACTIONS(4890),
    [anon_sym_COLON] = ACTIONS(4888),
    [anon_sym_QMARK] = ACTIONS(4890),
    [anon_sym_STAR_EQ] = ACTIONS(4890),
    [anon_sym_SLASH_EQ] = ACTIONS(4890),
    [anon_sym_PERCENT_EQ] = ACTIONS(4890),
    [anon_sym_PLUS_EQ] = ACTIONS(4890),
    [anon_sym_DASH_EQ] = ACTIONS(4890),
    [anon_sym_LT_LT_EQ] = ACTIONS(4890),
    [anon_sym_GT_GT_EQ] = ACTIONS(4890),
    [anon_sym_AMP_EQ] = ACTIONS(4890),
    [anon_sym_CARET_EQ] = ACTIONS(4890),
    [anon_sym_PIPE_EQ] = ACTIONS(4890),
    [anon_sym_and_eq] = ACTIONS(4890),
    [anon_sym_or_eq] = ACTIONS(4890),
    [anon_sym_xor_eq] = ACTIONS(4890),
    [anon_sym_LT_EQ_GT] = ACTIONS(4890),
    [anon_sym_or] = ACTIONS(4888),
    [anon_sym_and] = ACTIONS(4888),
    [anon_sym_bitor] = ACTIONS(4890),
    [anon_sym_xor] = ACTIONS(4888),
    [anon_sym_bitand] = ACTIONS(4890),
    [anon_sym_not_eq] = ACTIONS(4890),
    [anon_sym_DASH_DASH] = ACTIONS(4890),
    [anon_sym_PLUS_PLUS] = ACTIONS(4890),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_DOT_STAR] = ACTIONS(4890),
    [anon_sym_DASH_GT] = ACTIONS(4888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4890),
    [anon_sym_decltype] = ACTIONS(4890),
    [anon_sym_final] = ACTIONS(4890),
    [anon_sym_override] = ACTIONS(4890),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4890),
  },
  [1634] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(7305),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(7305),
    [sym_variadic_parameter_declaration] = STATE(7305),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6192),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5190),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1635] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(7075),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(7075),
    [sym_variadic_parameter_declaration] = STATE(7075),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6192),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4870),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1636] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4894),
    [anon_sym_COMMA] = ACTIONS(4894),
    [anon_sym_RPAREN] = ACTIONS(4894),
    [anon_sym_LPAREN2] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4892),
    [anon_sym_STAR] = ACTIONS(4892),
    [anon_sym_SLASH] = ACTIONS(4892),
    [anon_sym_PERCENT] = ACTIONS(4892),
    [anon_sym_PIPE_PIPE] = ACTIONS(4894),
    [anon_sym_AMP_AMP] = ACTIONS(4894),
    [anon_sym_PIPE] = ACTIONS(4892),
    [anon_sym_CARET] = ACTIONS(4892),
    [anon_sym_AMP] = ACTIONS(4892),
    [anon_sym_EQ_EQ] = ACTIONS(4894),
    [anon_sym_BANG_EQ] = ACTIONS(4894),
    [anon_sym_GT] = ACTIONS(4892),
    [anon_sym_GT_EQ] = ACTIONS(4894),
    [anon_sym_LT_EQ] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym_LT_LT] = ACTIONS(4892),
    [anon_sym_GT_GT] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(4894),
    [anon_sym___attribute__] = ACTIONS(4894),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACE] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [anon_sym_EQ] = ACTIONS(4892),
    [anon_sym_const] = ACTIONS(4892),
    [anon_sym_constexpr] = ACTIONS(4894),
    [anon_sym_volatile] = ACTIONS(4894),
    [anon_sym_restrict] = ACTIONS(4894),
    [anon_sym___restrict__] = ACTIONS(4894),
    [anon_sym__Atomic] = ACTIONS(4894),
    [anon_sym__Noreturn] = ACTIONS(4894),
    [anon_sym_noreturn] = ACTIONS(4894),
    [anon_sym__Nonnull] = ACTIONS(4894),
    [anon_sym_mutable] = ACTIONS(4894),
    [anon_sym_constinit] = ACTIONS(4894),
    [anon_sym_consteval] = ACTIONS(4894),
    [anon_sym_PROGMEM] = ACTIONS(4894),
    [anon_sym_alignas] = ACTIONS(4894),
    [anon_sym__Alignas] = ACTIONS(4894),
    [anon_sym_COLON] = ACTIONS(4892),
    [anon_sym_QMARK] = ACTIONS(4894),
    [anon_sym_STAR_EQ] = ACTIONS(4894),
    [anon_sym_SLASH_EQ] = ACTIONS(4894),
    [anon_sym_PERCENT_EQ] = ACTIONS(4894),
    [anon_sym_PLUS_EQ] = ACTIONS(4894),
    [anon_sym_DASH_EQ] = ACTIONS(4894),
    [anon_sym_LT_LT_EQ] = ACTIONS(4894),
    [anon_sym_GT_GT_EQ] = ACTIONS(4894),
    [anon_sym_AMP_EQ] = ACTIONS(4894),
    [anon_sym_CARET_EQ] = ACTIONS(4894),
    [anon_sym_PIPE_EQ] = ACTIONS(4894),
    [anon_sym_and_eq] = ACTIONS(4894),
    [anon_sym_or_eq] = ACTIONS(4894),
    [anon_sym_xor_eq] = ACTIONS(4894),
    [anon_sym_LT_EQ_GT] = ACTIONS(4894),
    [anon_sym_or] = ACTIONS(4892),
    [anon_sym_and] = ACTIONS(4892),
    [anon_sym_bitor] = ACTIONS(4894),
    [anon_sym_xor] = ACTIONS(4892),
    [anon_sym_bitand] = ACTIONS(4894),
    [anon_sym_not_eq] = ACTIONS(4894),
    [anon_sym_DASH_DASH] = ACTIONS(4894),
    [anon_sym_PLUS_PLUS] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_DOT_STAR] = ACTIONS(4894),
    [anon_sym_DASH_GT] = ACTIONS(4892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4894),
    [anon_sym_decltype] = ACTIONS(4894),
    [anon_sym_final] = ACTIONS(4894),
    [anon_sym_override] = ACTIONS(4894),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4894),
  },
  [1637] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4910),
    [anon_sym_COMMA] = ACTIONS(4910),
    [anon_sym_RPAREN] = ACTIONS(4910),
    [anon_sym_LPAREN2] = ACTIONS(4910),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_STAR] = ACTIONS(4908),
    [anon_sym_SLASH] = ACTIONS(4908),
    [anon_sym_PERCENT] = ACTIONS(4908),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4910),
    [anon_sym_PIPE] = ACTIONS(4908),
    [anon_sym_CARET] = ACTIONS(4908),
    [anon_sym_AMP] = ACTIONS(4908),
    [anon_sym_EQ_EQ] = ACTIONS(4910),
    [anon_sym_BANG_EQ] = ACTIONS(4910),
    [anon_sym_GT] = ACTIONS(4908),
    [anon_sym_GT_EQ] = ACTIONS(4910),
    [anon_sym_LT_EQ] = ACTIONS(4908),
    [anon_sym_LT] = ACTIONS(4908),
    [anon_sym_LT_LT] = ACTIONS(4908),
    [anon_sym_GT_GT] = ACTIONS(4908),
    [anon_sym___extension__] = ACTIONS(4910),
    [anon_sym___attribute__] = ACTIONS(4910),
    [anon_sym_COLON_COLON] = ACTIONS(4910),
    [anon_sym_LBRACE] = ACTIONS(4910),
    [anon_sym_LBRACK] = ACTIONS(4910),
    [anon_sym_EQ] = ACTIONS(4908),
    [anon_sym_const] = ACTIONS(4908),
    [anon_sym_constexpr] = ACTIONS(4910),
    [anon_sym_volatile] = ACTIONS(4910),
    [anon_sym_restrict] = ACTIONS(4910),
    [anon_sym___restrict__] = ACTIONS(4910),
    [anon_sym__Atomic] = ACTIONS(4910),
    [anon_sym__Noreturn] = ACTIONS(4910),
    [anon_sym_noreturn] = ACTIONS(4910),
    [anon_sym__Nonnull] = ACTIONS(4910),
    [anon_sym_mutable] = ACTIONS(4910),
    [anon_sym_constinit] = ACTIONS(4910),
    [anon_sym_consteval] = ACTIONS(4910),
    [anon_sym_PROGMEM] = ACTIONS(4910),
    [anon_sym_alignas] = ACTIONS(4910),
    [anon_sym__Alignas] = ACTIONS(4910),
    [anon_sym_COLON] = ACTIONS(4908),
    [anon_sym_QMARK] = ACTIONS(4910),
    [anon_sym_STAR_EQ] = ACTIONS(4910),
    [anon_sym_SLASH_EQ] = ACTIONS(4910),
    [anon_sym_PERCENT_EQ] = ACTIONS(4910),
    [anon_sym_PLUS_EQ] = ACTIONS(4910),
    [anon_sym_DASH_EQ] = ACTIONS(4910),
    [anon_sym_LT_LT_EQ] = ACTIONS(4910),
    [anon_sym_GT_GT_EQ] = ACTIONS(4910),
    [anon_sym_AMP_EQ] = ACTIONS(4910),
    [anon_sym_CARET_EQ] = ACTIONS(4910),
    [anon_sym_PIPE_EQ] = ACTIONS(4910),
    [anon_sym_and_eq] = ACTIONS(4910),
    [anon_sym_or_eq] = ACTIONS(4910),
    [anon_sym_xor_eq] = ACTIONS(4910),
    [anon_sym_LT_EQ_GT] = ACTIONS(4910),
    [anon_sym_or] = ACTIONS(4908),
    [anon_sym_and] = ACTIONS(4908),
    [anon_sym_bitor] = ACTIONS(4910),
    [anon_sym_xor] = ACTIONS(4908),
    [anon_sym_bitand] = ACTIONS(4910),
    [anon_sym_not_eq] = ACTIONS(4910),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_DOT] = ACTIONS(4908),
    [anon_sym_DOT_STAR] = ACTIONS(4910),
    [anon_sym_DASH_GT] = ACTIONS(4908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4910),
    [anon_sym_decltype] = ACTIONS(4910),
    [anon_sym_final] = ACTIONS(4910),
    [anon_sym_override] = ACTIONS(4910),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4910),
  },
  [1638] = {
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4933),
    [anon_sym_COMMA] = ACTIONS(4933),
    [anon_sym_RPAREN] = ACTIONS(4933),
    [anon_sym_LPAREN2] = ACTIONS(4933),
    [anon_sym_TILDE] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4933),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4931),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4933),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4931),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4931),
    [anon_sym_GT_GT] = ACTIONS(4931),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym_virtual] = ACTIONS(4929),
    [anon_sym_extern] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym_COLON_COLON] = ACTIONS(4936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4936),
    [anon_sym___declspec] = ACTIONS(4929),
    [anon_sym___based] = ACTIONS(4929),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_LBRACK] = ACTIONS(4940),
    [anon_sym_static] = ACTIONS(4929),
    [anon_sym_EQ] = ACTIONS(4929),
    [anon_sym_register] = ACTIONS(4929),
    [anon_sym_inline] = ACTIONS(4929),
    [anon_sym___inline] = ACTIONS(4929),
    [anon_sym___inline__] = ACTIONS(4929),
    [anon_sym___forceinline] = ACTIONS(4929),
    [anon_sym_thread_local] = ACTIONS(4929),
    [anon_sym___thread] = ACTIONS(4929),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_PROGMEM] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_template] = ACTIONS(4929),
    [anon_sym_operator] = ACTIONS(4929),
  },
  [1639] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4896),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4896),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4896),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4896),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4896),
    [anon_sym_GT_GT] = ACTIONS(4896),
    [anon_sym___extension__] = ACTIONS(4898),
    [anon_sym___attribute__] = ACTIONS(4898),
    [anon_sym_COLON_COLON] = ACTIONS(4898),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_EQ] = ACTIONS(4896),
    [anon_sym_const] = ACTIONS(4896),
    [anon_sym_constexpr] = ACTIONS(4898),
    [anon_sym_volatile] = ACTIONS(4898),
    [anon_sym_restrict] = ACTIONS(4898),
    [anon_sym___restrict__] = ACTIONS(4898),
    [anon_sym__Atomic] = ACTIONS(4898),
    [anon_sym__Noreturn] = ACTIONS(4898),
    [anon_sym_noreturn] = ACTIONS(4898),
    [anon_sym__Nonnull] = ACTIONS(4898),
    [anon_sym_mutable] = ACTIONS(4898),
    [anon_sym_constinit] = ACTIONS(4898),
    [anon_sym_consteval] = ACTIONS(4898),
    [anon_sym_PROGMEM] = ACTIONS(4898),
    [anon_sym_alignas] = ACTIONS(4898),
    [anon_sym__Alignas] = ACTIONS(4898),
    [anon_sym_COLON] = ACTIONS(4896),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_STAR_EQ] = ACTIONS(4898),
    [anon_sym_SLASH_EQ] = ACTIONS(4898),
    [anon_sym_PERCENT_EQ] = ACTIONS(4898),
    [anon_sym_PLUS_EQ] = ACTIONS(4898),
    [anon_sym_DASH_EQ] = ACTIONS(4898),
    [anon_sym_LT_LT_EQ] = ACTIONS(4898),
    [anon_sym_GT_GT_EQ] = ACTIONS(4896),
    [anon_sym_AMP_EQ] = ACTIONS(4898),
    [anon_sym_CARET_EQ] = ACTIONS(4898),
    [anon_sym_PIPE_EQ] = ACTIONS(4898),
    [anon_sym_and_eq] = ACTIONS(4898),
    [anon_sym_or_eq] = ACTIONS(4898),
    [anon_sym_xor_eq] = ACTIONS(4898),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4898),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4898),
    [anon_sym_not_eq] = ACTIONS(4898),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4898),
    [anon_sym_decltype] = ACTIONS(4898),
    [anon_sym_final] = ACTIONS(4898),
    [anon_sym_override] = ACTIONS(4898),
    [anon_sym_GT2] = ACTIONS(4898),
  },
  [1640] = {
    [sym_identifier] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_RBRACK] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2528),
    [anon_sym_byte] = ACTIONS(2528),
    [anon_sym_word] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2528),
    [anon_sym_compl] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [anon_sym___asm] = ACTIONS(2528),
    [aux_sym_number_literal_token1] = ACTIONS(2518),
    [aux_sym_number_literal_token2] = ACTIONS(2528),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_R_DQUOTE] = ACTIONS(2518),
    [anon_sym_LR_DQUOTE] = ACTIONS(2518),
    [anon_sym_uR_DQUOTE] = ACTIONS(2518),
    [anon_sym_UR_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2518),
    [anon_sym_co_await] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_requires] = ACTIONS(2528),
    [sym_this] = ACTIONS(2528),
  },
  [1641] = {
    [sym__declaration_modifiers] = STATE(1858),
    [sym__declaration_specifiers] = STATE(4034),
    [sym_attribute_specifier] = STATE(1858),
    [sym_attribute_declaration] = STATE(1858),
    [sym_ms_declspec_modifier] = STATE(1858),
    [sym_storage_class_specifier] = STATE(1858),
    [sym_type_qualifier] = STATE(1858),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_parameter_declaration] = STATE(7312),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_optional_parameter_declaration] = STATE(7312),
    [sym_variadic_parameter_declaration] = STATE(7312),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6192),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1858),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4870),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1642] = {
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_if_token2] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [aux_sym_preproc_else_token1] = ACTIONS(1969),
    [aux_sym_preproc_elif_token1] = ACTIONS(1969),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(1967),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_friend] = ACTIONS(1969),
    [anon_sym_public] = ACTIONS(1969),
    [anon_sym_private] = ACTIONS(1969),
    [anon_sym_protected] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
    [anon_sym_catch] = ACTIONS(1969),
  },
  [1643] = {
    [sym_string_literal] = STATE(1650),
    [sym_raw_string_literal] = STATE(1650),
    [aux_sym_concatenated_string_repeat1] = STATE(1650),
    [sym_identifier] = ACTIONS(5192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5194),
    [anon_sym_COMMA] = ACTIONS(5194),
    [anon_sym_RPAREN] = ACTIONS(5194),
    [aux_sym_preproc_if_token2] = ACTIONS(5194),
    [aux_sym_preproc_else_token1] = ACTIONS(5194),
    [aux_sym_preproc_elif_token1] = ACTIONS(5196),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5194),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5194),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_STAR] = ACTIONS(5196),
    [anon_sym_SLASH] = ACTIONS(5196),
    [anon_sym_PERCENT] = ACTIONS(5196),
    [anon_sym_PIPE_PIPE] = ACTIONS(5194),
    [anon_sym_AMP_AMP] = ACTIONS(5194),
    [anon_sym_PIPE] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5196),
    [anon_sym_AMP] = ACTIONS(5196),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5194),
    [anon_sym_GT] = ACTIONS(5196),
    [anon_sym_GT_EQ] = ACTIONS(5194),
    [anon_sym_LT_EQ] = ACTIONS(5196),
    [anon_sym_LT] = ACTIONS(5196),
    [anon_sym_LT_LT] = ACTIONS(5196),
    [anon_sym_GT_GT] = ACTIONS(5196),
    [anon_sym_SEMI] = ACTIONS(5194),
    [anon_sym_RBRACE] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [anon_sym_RBRACK] = ACTIONS(5194),
    [anon_sym_EQ] = ACTIONS(5196),
    [anon_sym_COLON] = ACTIONS(5194),
    [anon_sym_QMARK] = ACTIONS(5194),
    [anon_sym_STAR_EQ] = ACTIONS(5194),
    [anon_sym_SLASH_EQ] = ACTIONS(5194),
    [anon_sym_PERCENT_EQ] = ACTIONS(5194),
    [anon_sym_PLUS_EQ] = ACTIONS(5194),
    [anon_sym_DASH_EQ] = ACTIONS(5194),
    [anon_sym_LT_LT_EQ] = ACTIONS(5194),
    [anon_sym_GT_GT_EQ] = ACTIONS(5194),
    [anon_sym_AMP_EQ] = ACTIONS(5194),
    [anon_sym_CARET_EQ] = ACTIONS(5194),
    [anon_sym_PIPE_EQ] = ACTIONS(5194),
    [anon_sym_and_eq] = ACTIONS(5196),
    [anon_sym_or_eq] = ACTIONS(5196),
    [anon_sym_xor_eq] = ACTIONS(5196),
    [anon_sym_LT_EQ_GT] = ACTIONS(5194),
    [anon_sym_or] = ACTIONS(5196),
    [anon_sym_and] = ACTIONS(5196),
    [anon_sym_bitor] = ACTIONS(5196),
    [anon_sym_xor] = ACTIONS(5196),
    [anon_sym_bitand] = ACTIONS(5196),
    [anon_sym_not_eq] = ACTIONS(5196),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5196),
    [anon_sym_DOT_STAR] = ACTIONS(5194),
    [anon_sym_DASH_GT] = ACTIONS(5194),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [sym_literal_suffix] = ACTIONS(5196),
  },
  [1644] = {
    [sym_string_literal] = STATE(1643),
    [sym_raw_string_literal] = STATE(1643),
    [aux_sym_concatenated_string_repeat1] = STATE(1643),
    [sym_identifier] = ACTIONS(5198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5200),
    [anon_sym_COMMA] = ACTIONS(5200),
    [anon_sym_RPAREN] = ACTIONS(5200),
    [aux_sym_preproc_if_token2] = ACTIONS(5200),
    [aux_sym_preproc_else_token1] = ACTIONS(5200),
    [aux_sym_preproc_elif_token1] = ACTIONS(5202),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5200),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5200),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_DASH] = ACTIONS(5202),
    [anon_sym_PLUS] = ACTIONS(5202),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_SLASH] = ACTIONS(5202),
    [anon_sym_PERCENT] = ACTIONS(5202),
    [anon_sym_PIPE_PIPE] = ACTIONS(5200),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_PIPE] = ACTIONS(5202),
    [anon_sym_CARET] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_EQ_EQ] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5200),
    [anon_sym_GT] = ACTIONS(5202),
    [anon_sym_GT_EQ] = ACTIONS(5200),
    [anon_sym_LT_EQ] = ACTIONS(5202),
    [anon_sym_LT] = ACTIONS(5202),
    [anon_sym_LT_LT] = ACTIONS(5202),
    [anon_sym_GT_GT] = ACTIONS(5202),
    [anon_sym_SEMI] = ACTIONS(5200),
    [anon_sym_RBRACE] = ACTIONS(5200),
    [anon_sym_LBRACK] = ACTIONS(5200),
    [anon_sym_RBRACK] = ACTIONS(5200),
    [anon_sym_EQ] = ACTIONS(5202),
    [anon_sym_COLON] = ACTIONS(5200),
    [anon_sym_QMARK] = ACTIONS(5200),
    [anon_sym_STAR_EQ] = ACTIONS(5200),
    [anon_sym_SLASH_EQ] = ACTIONS(5200),
    [anon_sym_PERCENT_EQ] = ACTIONS(5200),
    [anon_sym_PLUS_EQ] = ACTIONS(5200),
    [anon_sym_DASH_EQ] = ACTIONS(5200),
    [anon_sym_LT_LT_EQ] = ACTIONS(5200),
    [anon_sym_GT_GT_EQ] = ACTIONS(5200),
    [anon_sym_AMP_EQ] = ACTIONS(5200),
    [anon_sym_CARET_EQ] = ACTIONS(5200),
    [anon_sym_PIPE_EQ] = ACTIONS(5200),
    [anon_sym_and_eq] = ACTIONS(5202),
    [anon_sym_or_eq] = ACTIONS(5202),
    [anon_sym_xor_eq] = ACTIONS(5202),
    [anon_sym_LT_EQ_GT] = ACTIONS(5200),
    [anon_sym_or] = ACTIONS(5202),
    [anon_sym_and] = ACTIONS(5202),
    [anon_sym_bitor] = ACTIONS(5202),
    [anon_sym_xor] = ACTIONS(5202),
    [anon_sym_bitand] = ACTIONS(5202),
    [anon_sym_not_eq] = ACTIONS(5202),
    [anon_sym_DASH_DASH] = ACTIONS(5200),
    [anon_sym_PLUS_PLUS] = ACTIONS(5200),
    [anon_sym_DOT] = ACTIONS(5202),
    [anon_sym_DOT_STAR] = ACTIONS(5200),
    [anon_sym_DASH_GT] = ACTIONS(5200),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [sym_literal_suffix] = ACTIONS(5202),
  },
  [1645] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token2] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [aux_sym_preproc_else_token1] = ACTIONS(2696),
    [aux_sym_preproc_elif_token1] = ACTIONS(2696),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_PROGMEM] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [aux_sym_primitive_type_token1] = ACTIONS(2696),
    [anon_sym_byte] = ACTIONS(2696),
    [anon_sym_word] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_friend] = ACTIONS(2696),
    [anon_sym_public] = ACTIONS(2696),
    [anon_sym_private] = ACTIONS(2696),
    [anon_sym_protected] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_catch] = ACTIONS(2696),
  },
  [1646] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(4886),
    [anon_sym_DASH] = ACTIONS(4884),
    [anon_sym_PLUS] = ACTIONS(4884),
    [anon_sym_STAR] = ACTIONS(4884),
    [anon_sym_SLASH] = ACTIONS(4884),
    [anon_sym_PERCENT] = ACTIONS(4884),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4886),
    [anon_sym_PIPE] = ACTIONS(4884),
    [anon_sym_CARET] = ACTIONS(4884),
    [anon_sym_AMP] = ACTIONS(4884),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4884),
    [anon_sym_GT_EQ] = ACTIONS(4884),
    [anon_sym_LT_EQ] = ACTIONS(4884),
    [anon_sym_LT] = ACTIONS(4884),
    [anon_sym_LT_LT] = ACTIONS(4884),
    [anon_sym_GT_GT] = ACTIONS(4884),
    [anon_sym___extension__] = ACTIONS(4886),
    [anon_sym___attribute__] = ACTIONS(4886),
    [anon_sym_COLON_COLON] = ACTIONS(4886),
    [anon_sym_LBRACE] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4886),
    [anon_sym_EQ] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4886),
    [anon_sym_volatile] = ACTIONS(4886),
    [anon_sym_restrict] = ACTIONS(4886),
    [anon_sym___restrict__] = ACTIONS(4886),
    [anon_sym__Atomic] = ACTIONS(4886),
    [anon_sym__Noreturn] = ACTIONS(4886),
    [anon_sym_noreturn] = ACTIONS(4886),
    [anon_sym__Nonnull] = ACTIONS(4886),
    [anon_sym_mutable] = ACTIONS(4886),
    [anon_sym_constinit] = ACTIONS(4886),
    [anon_sym_consteval] = ACTIONS(4886),
    [anon_sym_PROGMEM] = ACTIONS(4886),
    [anon_sym_alignas] = ACTIONS(4886),
    [anon_sym__Alignas] = ACTIONS(4886),
    [anon_sym_COLON] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4884),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4886),
    [anon_sym_or_eq] = ACTIONS(4886),
    [anon_sym_xor_eq] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4884),
    [anon_sym_and] = ACTIONS(4884),
    [anon_sym_bitor] = ACTIONS(4886),
    [anon_sym_xor] = ACTIONS(4884),
    [anon_sym_bitand] = ACTIONS(4886),
    [anon_sym_not_eq] = ACTIONS(4886),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4884),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4886),
    [anon_sym_decltype] = ACTIONS(4886),
    [anon_sym_final] = ACTIONS(4886),
    [anon_sym_override] = ACTIONS(4886),
    [anon_sym_GT2] = ACTIONS(4886),
  },
  [1647] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4890),
    [anon_sym_COMMA] = ACTIONS(4890),
    [anon_sym_LPAREN2] = ACTIONS(4890),
    [anon_sym_DASH] = ACTIONS(4888),
    [anon_sym_PLUS] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4888),
    [anon_sym_SLASH] = ACTIONS(4888),
    [anon_sym_PERCENT] = ACTIONS(4888),
    [anon_sym_PIPE_PIPE] = ACTIONS(4890),
    [anon_sym_AMP_AMP] = ACTIONS(4890),
    [anon_sym_PIPE] = ACTIONS(4888),
    [anon_sym_CARET] = ACTIONS(4888),
    [anon_sym_AMP] = ACTIONS(4888),
    [anon_sym_EQ_EQ] = ACTIONS(4890),
    [anon_sym_BANG_EQ] = ACTIONS(4890),
    [anon_sym_GT] = ACTIONS(4888),
    [anon_sym_GT_EQ] = ACTIONS(4888),
    [anon_sym_LT_EQ] = ACTIONS(4888),
    [anon_sym_LT] = ACTIONS(4888),
    [anon_sym_LT_LT] = ACTIONS(4888),
    [anon_sym_GT_GT] = ACTIONS(4888),
    [anon_sym___extension__] = ACTIONS(4890),
    [anon_sym___attribute__] = ACTIONS(4890),
    [anon_sym_COLON_COLON] = ACTIONS(4890),
    [anon_sym_LBRACE] = ACTIONS(4890),
    [anon_sym_LBRACK] = ACTIONS(4890),
    [anon_sym_EQ] = ACTIONS(4888),
    [anon_sym_const] = ACTIONS(4888),
    [anon_sym_constexpr] = ACTIONS(4890),
    [anon_sym_volatile] = ACTIONS(4890),
    [anon_sym_restrict] = ACTIONS(4890),
    [anon_sym___restrict__] = ACTIONS(4890),
    [anon_sym__Atomic] = ACTIONS(4890),
    [anon_sym__Noreturn] = ACTIONS(4890),
    [anon_sym_noreturn] = ACTIONS(4890),
    [anon_sym__Nonnull] = ACTIONS(4890),
    [anon_sym_mutable] = ACTIONS(4890),
    [anon_sym_constinit] = ACTIONS(4890),
    [anon_sym_consteval] = ACTIONS(4890),
    [anon_sym_PROGMEM] = ACTIONS(4890),
    [anon_sym_alignas] = ACTIONS(4890),
    [anon_sym__Alignas] = ACTIONS(4890),
    [anon_sym_COLON] = ACTIONS(4888),
    [anon_sym_QMARK] = ACTIONS(4890),
    [anon_sym_STAR_EQ] = ACTIONS(4890),
    [anon_sym_SLASH_EQ] = ACTIONS(4890),
    [anon_sym_PERCENT_EQ] = ACTIONS(4890),
    [anon_sym_PLUS_EQ] = ACTIONS(4890),
    [anon_sym_DASH_EQ] = ACTIONS(4890),
    [anon_sym_LT_LT_EQ] = ACTIONS(4890),
    [anon_sym_GT_GT_EQ] = ACTIONS(4888),
    [anon_sym_AMP_EQ] = ACTIONS(4890),
    [anon_sym_CARET_EQ] = ACTIONS(4890),
    [anon_sym_PIPE_EQ] = ACTIONS(4890),
    [anon_sym_and_eq] = ACTIONS(4890),
    [anon_sym_or_eq] = ACTIONS(4890),
    [anon_sym_xor_eq] = ACTIONS(4890),
    [anon_sym_LT_EQ_GT] = ACTIONS(4890),
    [anon_sym_or] = ACTIONS(4888),
    [anon_sym_and] = ACTIONS(4888),
    [anon_sym_bitor] = ACTIONS(4890),
    [anon_sym_xor] = ACTIONS(4888),
    [anon_sym_bitand] = ACTIONS(4890),
    [anon_sym_not_eq] = ACTIONS(4890),
    [anon_sym_DASH_DASH] = ACTIONS(4890),
    [anon_sym_PLUS_PLUS] = ACTIONS(4890),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_DOT_STAR] = ACTIONS(4890),
    [anon_sym_DASH_GT] = ACTIONS(4890),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4890),
    [anon_sym_decltype] = ACTIONS(4890),
    [anon_sym_final] = ACTIONS(4890),
    [anon_sym_override] = ACTIONS(4890),
    [anon_sym_GT2] = ACTIONS(4890),
  },
  [1648] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4910),
    [anon_sym_COMMA] = ACTIONS(4910),
    [anon_sym_LPAREN2] = ACTIONS(4910),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_STAR] = ACTIONS(4908),
    [anon_sym_SLASH] = ACTIONS(4908),
    [anon_sym_PERCENT] = ACTIONS(4908),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4910),
    [anon_sym_PIPE] = ACTIONS(4908),
    [anon_sym_CARET] = ACTIONS(4908),
    [anon_sym_AMP] = ACTIONS(4908),
    [anon_sym_EQ_EQ] = ACTIONS(4910),
    [anon_sym_BANG_EQ] = ACTIONS(4910),
    [anon_sym_GT] = ACTIONS(4908),
    [anon_sym_GT_EQ] = ACTIONS(4908),
    [anon_sym_LT_EQ] = ACTIONS(4908),
    [anon_sym_LT] = ACTIONS(4908),
    [anon_sym_LT_LT] = ACTIONS(4908),
    [anon_sym_GT_GT] = ACTIONS(4908),
    [anon_sym___extension__] = ACTIONS(4910),
    [anon_sym___attribute__] = ACTIONS(4910),
    [anon_sym_COLON_COLON] = ACTIONS(4910),
    [anon_sym_LBRACE] = ACTIONS(4910),
    [anon_sym_LBRACK] = ACTIONS(4910),
    [anon_sym_EQ] = ACTIONS(4908),
    [anon_sym_const] = ACTIONS(4908),
    [anon_sym_constexpr] = ACTIONS(4910),
    [anon_sym_volatile] = ACTIONS(4910),
    [anon_sym_restrict] = ACTIONS(4910),
    [anon_sym___restrict__] = ACTIONS(4910),
    [anon_sym__Atomic] = ACTIONS(4910),
    [anon_sym__Noreturn] = ACTIONS(4910),
    [anon_sym_noreturn] = ACTIONS(4910),
    [anon_sym__Nonnull] = ACTIONS(4910),
    [anon_sym_mutable] = ACTIONS(4910),
    [anon_sym_constinit] = ACTIONS(4910),
    [anon_sym_consteval] = ACTIONS(4910),
    [anon_sym_PROGMEM] = ACTIONS(4910),
    [anon_sym_alignas] = ACTIONS(4910),
    [anon_sym__Alignas] = ACTIONS(4910),
    [anon_sym_COLON] = ACTIONS(4908),
    [anon_sym_QMARK] = ACTIONS(4910),
    [anon_sym_STAR_EQ] = ACTIONS(4910),
    [anon_sym_SLASH_EQ] = ACTIONS(4910),
    [anon_sym_PERCENT_EQ] = ACTIONS(4910),
    [anon_sym_PLUS_EQ] = ACTIONS(4910),
    [anon_sym_DASH_EQ] = ACTIONS(4910),
    [anon_sym_LT_LT_EQ] = ACTIONS(4910),
    [anon_sym_GT_GT_EQ] = ACTIONS(4908),
    [anon_sym_AMP_EQ] = ACTIONS(4910),
    [anon_sym_CARET_EQ] = ACTIONS(4910),
    [anon_sym_PIPE_EQ] = ACTIONS(4910),
    [anon_sym_and_eq] = ACTIONS(4910),
    [anon_sym_or_eq] = ACTIONS(4910),
    [anon_sym_xor_eq] = ACTIONS(4910),
    [anon_sym_LT_EQ_GT] = ACTIONS(4910),
    [anon_sym_or] = ACTIONS(4908),
    [anon_sym_and] = ACTIONS(4908),
    [anon_sym_bitor] = ACTIONS(4910),
    [anon_sym_xor] = ACTIONS(4908),
    [anon_sym_bitand] = ACTIONS(4910),
    [anon_sym_not_eq] = ACTIONS(4910),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_DOT] = ACTIONS(4908),
    [anon_sym_DOT_STAR] = ACTIONS(4910),
    [anon_sym_DASH_GT] = ACTIONS(4910),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4910),
    [anon_sym_decltype] = ACTIONS(4910),
    [anon_sym_final] = ACTIONS(4910),
    [anon_sym_override] = ACTIONS(4910),
    [anon_sym_GT2] = ACTIONS(4910),
  },
  [1649] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4906),
    [anon_sym_COMMA] = ACTIONS(4906),
    [anon_sym_LPAREN2] = ACTIONS(4906),
    [anon_sym_DASH] = ACTIONS(4904),
    [anon_sym_PLUS] = ACTIONS(4904),
    [anon_sym_STAR] = ACTIONS(4904),
    [anon_sym_SLASH] = ACTIONS(4904),
    [anon_sym_PERCENT] = ACTIONS(4904),
    [anon_sym_PIPE_PIPE] = ACTIONS(4906),
    [anon_sym_AMP_AMP] = ACTIONS(4906),
    [anon_sym_PIPE] = ACTIONS(4904),
    [anon_sym_CARET] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4904),
    [anon_sym_EQ_EQ] = ACTIONS(4906),
    [anon_sym_BANG_EQ] = ACTIONS(4906),
    [anon_sym_GT] = ACTIONS(4904),
    [anon_sym_GT_EQ] = ACTIONS(4904),
    [anon_sym_LT_EQ] = ACTIONS(4904),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym_LT_LT] = ACTIONS(4904),
    [anon_sym_GT_GT] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(4906),
    [anon_sym___attribute__] = ACTIONS(4906),
    [anon_sym_COLON_COLON] = ACTIONS(4906),
    [anon_sym_LBRACE] = ACTIONS(4906),
    [anon_sym_LBRACK] = ACTIONS(4906),
    [anon_sym_EQ] = ACTIONS(4904),
    [anon_sym_const] = ACTIONS(4904),
    [anon_sym_constexpr] = ACTIONS(4906),
    [anon_sym_volatile] = ACTIONS(4906),
    [anon_sym_restrict] = ACTIONS(4906),
    [anon_sym___restrict__] = ACTIONS(4906),
    [anon_sym__Atomic] = ACTIONS(4906),
    [anon_sym__Noreturn] = ACTIONS(4906),
    [anon_sym_noreturn] = ACTIONS(4906),
    [anon_sym__Nonnull] = ACTIONS(4906),
    [anon_sym_mutable] = ACTIONS(4906),
    [anon_sym_constinit] = ACTIONS(4906),
    [anon_sym_consteval] = ACTIONS(4906),
    [anon_sym_PROGMEM] = ACTIONS(4906),
    [anon_sym_alignas] = ACTIONS(4906),
    [anon_sym__Alignas] = ACTIONS(4906),
    [anon_sym_COLON] = ACTIONS(4904),
    [anon_sym_QMARK] = ACTIONS(4906),
    [anon_sym_STAR_EQ] = ACTIONS(4906),
    [anon_sym_SLASH_EQ] = ACTIONS(4906),
    [anon_sym_PERCENT_EQ] = ACTIONS(4906),
    [anon_sym_PLUS_EQ] = ACTIONS(4906),
    [anon_sym_DASH_EQ] = ACTIONS(4906),
    [anon_sym_LT_LT_EQ] = ACTIONS(4906),
    [anon_sym_GT_GT_EQ] = ACTIONS(4904),
    [anon_sym_AMP_EQ] = ACTIONS(4906),
    [anon_sym_CARET_EQ] = ACTIONS(4906),
    [anon_sym_PIPE_EQ] = ACTIONS(4906),
    [anon_sym_and_eq] = ACTIONS(4906),
    [anon_sym_or_eq] = ACTIONS(4906),
    [anon_sym_xor_eq] = ACTIONS(4906),
    [anon_sym_LT_EQ_GT] = ACTIONS(4906),
    [anon_sym_or] = ACTIONS(4904),
    [anon_sym_and] = ACTIONS(4904),
    [anon_sym_bitor] = ACTIONS(4906),
    [anon_sym_xor] = ACTIONS(4904),
    [anon_sym_bitand] = ACTIONS(4906),
    [anon_sym_not_eq] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DOT] = ACTIONS(4904),
    [anon_sym_DOT_STAR] = ACTIONS(4906),
    [anon_sym_DASH_GT] = ACTIONS(4906),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4906),
    [anon_sym_decltype] = ACTIONS(4906),
    [anon_sym_final] = ACTIONS(4906),
    [anon_sym_override] = ACTIONS(4906),
    [anon_sym_GT2] = ACTIONS(4906),
  },
  [1650] = {
    [sym_string_literal] = STATE(1650),
    [sym_raw_string_literal] = STATE(1650),
    [aux_sym_concatenated_string_repeat1] = STATE(1650),
    [sym_identifier] = ACTIONS(5204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5207),
    [anon_sym_COMMA] = ACTIONS(5207),
    [anon_sym_RPAREN] = ACTIONS(5207),
    [aux_sym_preproc_if_token2] = ACTIONS(5207),
    [aux_sym_preproc_else_token1] = ACTIONS(5207),
    [aux_sym_preproc_elif_token1] = ACTIONS(5209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5207),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(5207),
    [anon_sym_DASH] = ACTIONS(5209),
    [anon_sym_PLUS] = ACTIONS(5209),
    [anon_sym_STAR] = ACTIONS(5209),
    [anon_sym_SLASH] = ACTIONS(5209),
    [anon_sym_PERCENT] = ACTIONS(5209),
    [anon_sym_PIPE_PIPE] = ACTIONS(5207),
    [anon_sym_AMP_AMP] = ACTIONS(5207),
    [anon_sym_PIPE] = ACTIONS(5209),
    [anon_sym_CARET] = ACTIONS(5209),
    [anon_sym_AMP] = ACTIONS(5209),
    [anon_sym_EQ_EQ] = ACTIONS(5207),
    [anon_sym_BANG_EQ] = ACTIONS(5207),
    [anon_sym_GT] = ACTIONS(5209),
    [anon_sym_GT_EQ] = ACTIONS(5207),
    [anon_sym_LT_EQ] = ACTIONS(5209),
    [anon_sym_LT] = ACTIONS(5209),
    [anon_sym_LT_LT] = ACTIONS(5209),
    [anon_sym_GT_GT] = ACTIONS(5209),
    [anon_sym_SEMI] = ACTIONS(5207),
    [anon_sym_RBRACE] = ACTIONS(5207),
    [anon_sym_LBRACK] = ACTIONS(5207),
    [anon_sym_RBRACK] = ACTIONS(5207),
    [anon_sym_EQ] = ACTIONS(5209),
    [anon_sym_COLON] = ACTIONS(5207),
    [anon_sym_QMARK] = ACTIONS(5207),
    [anon_sym_STAR_EQ] = ACTIONS(5207),
    [anon_sym_SLASH_EQ] = ACTIONS(5207),
    [anon_sym_PERCENT_EQ] = ACTIONS(5207),
    [anon_sym_PLUS_EQ] = ACTIONS(5207),
    [anon_sym_DASH_EQ] = ACTIONS(5207),
    [anon_sym_LT_LT_EQ] = ACTIONS(5207),
    [anon_sym_GT_GT_EQ] = ACTIONS(5207),
    [anon_sym_AMP_EQ] = ACTIONS(5207),
    [anon_sym_CARET_EQ] = ACTIONS(5207),
    [anon_sym_PIPE_EQ] = ACTIONS(5207),
    [anon_sym_and_eq] = ACTIONS(5209),
    [anon_sym_or_eq] = ACTIONS(5209),
    [anon_sym_xor_eq] = ACTIONS(5209),
    [anon_sym_LT_EQ_GT] = ACTIONS(5207),
    [anon_sym_or] = ACTIONS(5209),
    [anon_sym_and] = ACTIONS(5209),
    [anon_sym_bitor] = ACTIONS(5209),
    [anon_sym_xor] = ACTIONS(5209),
    [anon_sym_bitand] = ACTIONS(5209),
    [anon_sym_not_eq] = ACTIONS(5209),
    [anon_sym_DASH_DASH] = ACTIONS(5207),
    [anon_sym_PLUS_PLUS] = ACTIONS(5207),
    [anon_sym_DOT] = ACTIONS(5209),
    [anon_sym_DOT_STAR] = ACTIONS(5207),
    [anon_sym_DASH_GT] = ACTIONS(5207),
    [anon_sym_L_DQUOTE] = ACTIONS(5211),
    [anon_sym_u_DQUOTE] = ACTIONS(5211),
    [anon_sym_U_DQUOTE] = ACTIONS(5211),
    [anon_sym_u8_DQUOTE] = ACTIONS(5211),
    [anon_sym_DQUOTE] = ACTIONS(5211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5214),
    [anon_sym_LR_DQUOTE] = ACTIONS(5214),
    [anon_sym_uR_DQUOTE] = ACTIONS(5214),
    [anon_sym_UR_DQUOTE] = ACTIONS(5214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5214),
    [sym_literal_suffix] = ACTIONS(5209),
  },
  [1651] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4894),
    [anon_sym_COMMA] = ACTIONS(4894),
    [anon_sym_LPAREN2] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4892),
    [anon_sym_STAR] = ACTIONS(4892),
    [anon_sym_SLASH] = ACTIONS(4892),
    [anon_sym_PERCENT] = ACTIONS(4892),
    [anon_sym_PIPE_PIPE] = ACTIONS(4894),
    [anon_sym_AMP_AMP] = ACTIONS(4894),
    [anon_sym_PIPE] = ACTIONS(4892),
    [anon_sym_CARET] = ACTIONS(4892),
    [anon_sym_AMP] = ACTIONS(4892),
    [anon_sym_EQ_EQ] = ACTIONS(4894),
    [anon_sym_BANG_EQ] = ACTIONS(4894),
    [anon_sym_GT] = ACTIONS(4892),
    [anon_sym_GT_EQ] = ACTIONS(4892),
    [anon_sym_LT_EQ] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym_LT_LT] = ACTIONS(4892),
    [anon_sym_GT_GT] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(4894),
    [anon_sym___attribute__] = ACTIONS(4894),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACE] = ACTIONS(4894),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [anon_sym_EQ] = ACTIONS(4892),
    [anon_sym_const] = ACTIONS(4892),
    [anon_sym_constexpr] = ACTIONS(4894),
    [anon_sym_volatile] = ACTIONS(4894),
    [anon_sym_restrict] = ACTIONS(4894),
    [anon_sym___restrict__] = ACTIONS(4894),
    [anon_sym__Atomic] = ACTIONS(4894),
    [anon_sym__Noreturn] = ACTIONS(4894),
    [anon_sym_noreturn] = ACTIONS(4894),
    [anon_sym__Nonnull] = ACTIONS(4894),
    [anon_sym_mutable] = ACTIONS(4894),
    [anon_sym_constinit] = ACTIONS(4894),
    [anon_sym_consteval] = ACTIONS(4894),
    [anon_sym_PROGMEM] = ACTIONS(4894),
    [anon_sym_alignas] = ACTIONS(4894),
    [anon_sym__Alignas] = ACTIONS(4894),
    [anon_sym_COLON] = ACTIONS(4892),
    [anon_sym_QMARK] = ACTIONS(4894),
    [anon_sym_STAR_EQ] = ACTIONS(4894),
    [anon_sym_SLASH_EQ] = ACTIONS(4894),
    [anon_sym_PERCENT_EQ] = ACTIONS(4894),
    [anon_sym_PLUS_EQ] = ACTIONS(4894),
    [anon_sym_DASH_EQ] = ACTIONS(4894),
    [anon_sym_LT_LT_EQ] = ACTIONS(4894),
    [anon_sym_GT_GT_EQ] = ACTIONS(4892),
    [anon_sym_AMP_EQ] = ACTIONS(4894),
    [anon_sym_CARET_EQ] = ACTIONS(4894),
    [anon_sym_PIPE_EQ] = ACTIONS(4894),
    [anon_sym_and_eq] = ACTIONS(4894),
    [anon_sym_or_eq] = ACTIONS(4894),
    [anon_sym_xor_eq] = ACTIONS(4894),
    [anon_sym_LT_EQ_GT] = ACTIONS(4894),
    [anon_sym_or] = ACTIONS(4892),
    [anon_sym_and] = ACTIONS(4892),
    [anon_sym_bitor] = ACTIONS(4894),
    [anon_sym_xor] = ACTIONS(4892),
    [anon_sym_bitand] = ACTIONS(4894),
    [anon_sym_not_eq] = ACTIONS(4894),
    [anon_sym_DASH_DASH] = ACTIONS(4894),
    [anon_sym_PLUS_PLUS] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_DOT_STAR] = ACTIONS(4894),
    [anon_sym_DASH_GT] = ACTIONS(4894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4894),
    [anon_sym_decltype] = ACTIONS(4894),
    [anon_sym_final] = ACTIONS(4894),
    [anon_sym_override] = ACTIONS(4894),
    [anon_sym_GT2] = ACTIONS(4894),
  },
  [1652] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4902),
    [anon_sym_COMMA] = ACTIONS(4902),
    [anon_sym_LPAREN2] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4900),
    [anon_sym_STAR] = ACTIONS(4900),
    [anon_sym_SLASH] = ACTIONS(4900),
    [anon_sym_PERCENT] = ACTIONS(4900),
    [anon_sym_PIPE_PIPE] = ACTIONS(4902),
    [anon_sym_AMP_AMP] = ACTIONS(4902),
    [anon_sym_PIPE] = ACTIONS(4900),
    [anon_sym_CARET] = ACTIONS(4900),
    [anon_sym_AMP] = ACTIONS(4900),
    [anon_sym_EQ_EQ] = ACTIONS(4902),
    [anon_sym_BANG_EQ] = ACTIONS(4902),
    [anon_sym_GT] = ACTIONS(4900),
    [anon_sym_GT_EQ] = ACTIONS(4900),
    [anon_sym_LT_EQ] = ACTIONS(4900),
    [anon_sym_LT] = ACTIONS(4900),
    [anon_sym_LT_LT] = ACTIONS(4900),
    [anon_sym_GT_GT] = ACTIONS(4900),
    [anon_sym___extension__] = ACTIONS(4902),
    [anon_sym___attribute__] = ACTIONS(4902),
    [anon_sym_COLON_COLON] = ACTIONS(4902),
    [anon_sym_LBRACE] = ACTIONS(4902),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [anon_sym_EQ] = ACTIONS(4900),
    [anon_sym_const] = ACTIONS(4900),
    [anon_sym_constexpr] = ACTIONS(4902),
    [anon_sym_volatile] = ACTIONS(4902),
    [anon_sym_restrict] = ACTIONS(4902),
    [anon_sym___restrict__] = ACTIONS(4902),
    [anon_sym__Atomic] = ACTIONS(4902),
    [anon_sym__Noreturn] = ACTIONS(4902),
    [anon_sym_noreturn] = ACTIONS(4902),
    [anon_sym__Nonnull] = ACTIONS(4902),
    [anon_sym_mutable] = ACTIONS(4902),
    [anon_sym_constinit] = ACTIONS(4902),
    [anon_sym_consteval] = ACTIONS(4902),
    [anon_sym_PROGMEM] = ACTIONS(4902),
    [anon_sym_alignas] = ACTIONS(4902),
    [anon_sym__Alignas] = ACTIONS(4902),
    [anon_sym_COLON] = ACTIONS(4900),
    [anon_sym_QMARK] = ACTIONS(4902),
    [anon_sym_STAR_EQ] = ACTIONS(4902),
    [anon_sym_SLASH_EQ] = ACTIONS(4902),
    [anon_sym_PERCENT_EQ] = ACTIONS(4902),
    [anon_sym_PLUS_EQ] = ACTIONS(4902),
    [anon_sym_DASH_EQ] = ACTIONS(4902),
    [anon_sym_LT_LT_EQ] = ACTIONS(4902),
    [anon_sym_GT_GT_EQ] = ACTIONS(4900),
    [anon_sym_AMP_EQ] = ACTIONS(4902),
    [anon_sym_CARET_EQ] = ACTIONS(4902),
    [anon_sym_PIPE_EQ] = ACTIONS(4902),
    [anon_sym_and_eq] = ACTIONS(4902),
    [anon_sym_or_eq] = ACTIONS(4902),
    [anon_sym_xor_eq] = ACTIONS(4902),
    [anon_sym_LT_EQ_GT] = ACTIONS(4902),
    [anon_sym_or] = ACTIONS(4900),
    [anon_sym_and] = ACTIONS(4900),
    [anon_sym_bitor] = ACTIONS(4902),
    [anon_sym_xor] = ACTIONS(4900),
    [anon_sym_bitand] = ACTIONS(4902),
    [anon_sym_not_eq] = ACTIONS(4902),
    [anon_sym_DASH_DASH] = ACTIONS(4902),
    [anon_sym_PLUS_PLUS] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_DOT_STAR] = ACTIONS(4902),
    [anon_sym_DASH_GT] = ACTIONS(4902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4902),
    [anon_sym_decltype] = ACTIONS(4902),
    [anon_sym_final] = ACTIONS(4902),
    [anon_sym_override] = ACTIONS(4902),
    [anon_sym_GT2] = ACTIONS(4902),
  },
  [1653] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token2] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [aux_sym_preproc_else_token1] = ACTIONS(1973),
    [aux_sym_preproc_elif_token1] = ACTIONS(1973),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_PROGMEM] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [aux_sym_primitive_type_token1] = ACTIONS(1973),
    [anon_sym_byte] = ACTIONS(1973),
    [anon_sym_word] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_friend] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_catch] = ACTIONS(1973),
  },
  [1654] = {
    [sym_identifier] = ACTIONS(5217),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_BANG] = ACTIONS(5219),
    [anon_sym_TILDE] = ACTIONS(5219),
    [anon_sym_DASH] = ACTIONS(5217),
    [anon_sym_PLUS] = ACTIONS(5217),
    [anon_sym_STAR] = ACTIONS(5219),
    [anon_sym_AMP] = ACTIONS(5219),
    [anon_sym___extension__] = ACTIONS(5217),
    [anon_sym_COLON_COLON] = ACTIONS(5219),
    [anon_sym_LBRACK] = ACTIONS(5219),
    [anon_sym_static] = ACTIONS(5217),
    [anon_sym_RBRACK] = ACTIONS(5219),
    [anon_sym_const] = ACTIONS(5217),
    [anon_sym_constexpr] = ACTIONS(5217),
    [anon_sym_volatile] = ACTIONS(5217),
    [anon_sym_restrict] = ACTIONS(5217),
    [anon_sym___restrict__] = ACTIONS(5217),
    [anon_sym__Atomic] = ACTIONS(5217),
    [anon_sym__Noreturn] = ACTIONS(5217),
    [anon_sym_noreturn] = ACTIONS(5217),
    [anon_sym__Nonnull] = ACTIONS(5217),
    [anon_sym_mutable] = ACTIONS(5217),
    [anon_sym_constinit] = ACTIONS(5217),
    [anon_sym_consteval] = ACTIONS(5217),
    [anon_sym_PROGMEM] = ACTIONS(5217),
    [anon_sym_alignas] = ACTIONS(5217),
    [anon_sym__Alignas] = ACTIONS(5217),
    [aux_sym_primitive_type_token1] = ACTIONS(5217),
    [anon_sym_byte] = ACTIONS(5217),
    [anon_sym_word] = ACTIONS(5217),
    [anon_sym_not] = ACTIONS(5217),
    [anon_sym_compl] = ACTIONS(5217),
    [anon_sym_DASH_DASH] = ACTIONS(5219),
    [anon_sym_PLUS_PLUS] = ACTIONS(5219),
    [anon_sym_sizeof] = ACTIONS(5217),
    [anon_sym___alignof__] = ACTIONS(5217),
    [anon_sym___alignof] = ACTIONS(5217),
    [anon_sym__alignof] = ACTIONS(5217),
    [anon_sym_alignof] = ACTIONS(5217),
    [anon_sym__Alignof] = ACTIONS(5217),
    [anon_sym_offsetof] = ACTIONS(5217),
    [anon_sym__Generic] = ACTIONS(5217),
    [anon_sym_asm] = ACTIONS(5217),
    [anon_sym___asm__] = ACTIONS(5217),
    [anon_sym___asm] = ACTIONS(5217),
    [aux_sym_number_literal_token1] = ACTIONS(5219),
    [aux_sym_number_literal_token2] = ACTIONS(5217),
    [anon_sym_L_SQUOTE] = ACTIONS(5219),
    [anon_sym_u_SQUOTE] = ACTIONS(5219),
    [anon_sym_U_SQUOTE] = ACTIONS(5219),
    [anon_sym_u8_SQUOTE] = ACTIONS(5219),
    [anon_sym_SQUOTE] = ACTIONS(5219),
    [anon_sym_L_DQUOTE] = ACTIONS(5219),
    [anon_sym_u_DQUOTE] = ACTIONS(5219),
    [anon_sym_U_DQUOTE] = ACTIONS(5219),
    [anon_sym_u8_DQUOTE] = ACTIONS(5219),
    [anon_sym_DQUOTE] = ACTIONS(5219),
    [sym_true] = ACTIONS(5217),
    [sym_false] = ACTIONS(5217),
    [anon_sym_NULL] = ACTIONS(5217),
    [anon_sym_nullptr] = ACTIONS(5217),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5217),
    [anon_sym_template] = ACTIONS(5217),
    [anon_sym_delete] = ACTIONS(5217),
    [anon_sym_R_DQUOTE] = ACTIONS(5219),
    [anon_sym_LR_DQUOTE] = ACTIONS(5219),
    [anon_sym_uR_DQUOTE] = ACTIONS(5219),
    [anon_sym_UR_DQUOTE] = ACTIONS(5219),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5219),
    [anon_sym_co_await] = ACTIONS(5217),
    [anon_sym_new] = ACTIONS(5217),
    [anon_sym_requires] = ACTIONS(5217),
    [sym_this] = ACTIONS(5217),
  },
  [1655] = {
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_if_token2] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [aux_sym_preproc_else_token1] = ACTIONS(1969),
    [aux_sym_preproc_elif_token1] = ACTIONS(1969),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(5221),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_friend] = ACTIONS(1969),
    [anon_sym_public] = ACTIONS(1969),
    [anon_sym_private] = ACTIONS(1969),
    [anon_sym_protected] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
  },
  [1656] = {
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_if_token2] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [aux_sym_preproc_else_token1] = ACTIONS(1969),
    [aux_sym_preproc_elif_token1] = ACTIONS(1969),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_friend] = ACTIONS(1969),
    [anon_sym_public] = ACTIONS(1969),
    [anon_sym_private] = ACTIONS(1969),
    [anon_sym_protected] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
  },
  [1657] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token2] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2976),
    [aux_sym_preproc_elif_token1] = ACTIONS(2976),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_PROGMEM] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [aux_sym_primitive_type_token1] = ACTIONS(2976),
    [anon_sym_byte] = ACTIONS(2976),
    [anon_sym_word] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_friend] = ACTIONS(2976),
    [anon_sym_public] = ACTIONS(2976),
    [anon_sym_private] = ACTIONS(2976),
    [anon_sym_protected] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
  },
  [1658] = {
    [sym_identifier] = ACTIONS(5223),
    [aux_sym_preproc_def_token1] = ACTIONS(5223),
    [aux_sym_preproc_if_token1] = ACTIONS(5223),
    [aux_sym_preproc_if_token2] = ACTIONS(5223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5223),
    [aux_sym_preproc_else_token1] = ACTIONS(5223),
    [aux_sym_preproc_elif_token1] = ACTIONS(5223),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5223),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5223),
    [sym_preproc_directive] = ACTIONS(5223),
    [anon_sym_LPAREN2] = ACTIONS(5225),
    [anon_sym_TILDE] = ACTIONS(5225),
    [anon_sym_STAR] = ACTIONS(5225),
    [anon_sym_AMP_AMP] = ACTIONS(5225),
    [anon_sym_AMP] = ACTIONS(5223),
    [anon_sym_SEMI] = ACTIONS(5225),
    [anon_sym___extension__] = ACTIONS(5223),
    [anon_sym_typedef] = ACTIONS(5223),
    [anon_sym_virtual] = ACTIONS(5223),
    [anon_sym_extern] = ACTIONS(5223),
    [anon_sym___attribute__] = ACTIONS(5223),
    [anon_sym_COLON_COLON] = ACTIONS(5225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5225),
    [anon_sym___declspec] = ACTIONS(5223),
    [anon_sym___based] = ACTIONS(5223),
    [anon_sym_signed] = ACTIONS(5223),
    [anon_sym_unsigned] = ACTIONS(5223),
    [anon_sym_long] = ACTIONS(5223),
    [anon_sym_short] = ACTIONS(5223),
    [anon_sym_LBRACK] = ACTIONS(5223),
    [anon_sym_static] = ACTIONS(5223),
    [anon_sym_register] = ACTIONS(5223),
    [anon_sym_inline] = ACTIONS(5223),
    [anon_sym___inline] = ACTIONS(5223),
    [anon_sym___inline__] = ACTIONS(5223),
    [anon_sym___forceinline] = ACTIONS(5223),
    [anon_sym_thread_local] = ACTIONS(5223),
    [anon_sym___thread] = ACTIONS(5223),
    [anon_sym_const] = ACTIONS(5223),
    [anon_sym_constexpr] = ACTIONS(5223),
    [anon_sym_volatile] = ACTIONS(5223),
    [anon_sym_restrict] = ACTIONS(5223),
    [anon_sym___restrict__] = ACTIONS(5223),
    [anon_sym__Atomic] = ACTIONS(5223),
    [anon_sym__Noreturn] = ACTIONS(5223),
    [anon_sym_noreturn] = ACTIONS(5223),
    [anon_sym__Nonnull] = ACTIONS(5223),
    [anon_sym_mutable] = ACTIONS(5223),
    [anon_sym_constinit] = ACTIONS(5223),
    [anon_sym_consteval] = ACTIONS(5223),
    [anon_sym_PROGMEM] = ACTIONS(5223),
    [anon_sym_alignas] = ACTIONS(5223),
    [anon_sym__Alignas] = ACTIONS(5223),
    [aux_sym_primitive_type_token1] = ACTIONS(5223),
    [anon_sym_byte] = ACTIONS(5223),
    [anon_sym_word] = ACTIONS(5223),
    [anon_sym_enum] = ACTIONS(5223),
    [anon_sym_class] = ACTIONS(5223),
    [anon_sym_struct] = ACTIONS(5223),
    [anon_sym_union] = ACTIONS(5223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5223),
    [anon_sym_decltype] = ACTIONS(5223),
    [anon_sym_explicit] = ACTIONS(5223),
    [anon_sym_typename] = ACTIONS(5223),
    [anon_sym_template] = ACTIONS(5223),
    [anon_sym_operator] = ACTIONS(5223),
    [anon_sym_friend] = ACTIONS(5223),
    [anon_sym_public] = ACTIONS(5223),
    [anon_sym_private] = ACTIONS(5223),
    [anon_sym_protected] = ACTIONS(5223),
    [anon_sym_using] = ACTIONS(5223),
    [anon_sym_static_assert] = ACTIONS(5223),
  },
  [1659] = {
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4898),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4898),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4898),
    [anon_sym_GT_GT] = ACTIONS(4898),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(4896),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym_COLON_COLON] = ACTIONS(4898),
    [anon_sym___based] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_RBRACE] = ACTIONS(4898),
    [anon_sym_signed] = ACTIONS(4896),
    [anon_sym_unsigned] = ACTIONS(4896),
    [anon_sym_long] = ACTIONS(4896),
    [anon_sym_short] = ACTIONS(4896),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_RBRACK] = ACTIONS(4898),
    [anon_sym_const] = ACTIONS(4896),
    [anon_sym_constexpr] = ACTIONS(4896),
    [anon_sym_volatile] = ACTIONS(4896),
    [anon_sym_restrict] = ACTIONS(4896),
    [anon_sym___restrict__] = ACTIONS(4896),
    [anon_sym__Atomic] = ACTIONS(4896),
    [anon_sym__Noreturn] = ACTIONS(4896),
    [anon_sym_noreturn] = ACTIONS(4896),
    [anon_sym__Nonnull] = ACTIONS(4896),
    [anon_sym_mutable] = ACTIONS(4896),
    [anon_sym_constinit] = ACTIONS(4896),
    [anon_sym_consteval] = ACTIONS(4896),
    [anon_sym_PROGMEM] = ACTIONS(4896),
    [anon_sym_alignas] = ACTIONS(4896),
    [anon_sym__Alignas] = ACTIONS(4896),
    [aux_sym_primitive_type_token1] = ACTIONS(4896),
    [anon_sym_byte] = ACTIONS(4896),
    [anon_sym_word] = ACTIONS(4896),
    [anon_sym_COLON] = ACTIONS(4896),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_final] = ACTIONS(4896),
    [anon_sym_override] = ACTIONS(4896),
    [anon_sym_requires] = ACTIONS(4896),
  },
  [1660] = {
    [sym_identifier] = ACTIONS(3000),
    [aux_sym_preproc_def_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token2] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3000),
    [aux_sym_preproc_else_token1] = ACTIONS(3000),
    [aux_sym_preproc_elif_token1] = ACTIONS(3000),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3000),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(3002),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3000),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3000),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_virtual] = ACTIONS(3000),
    [anon_sym_extern] = ACTIONS(3000),
    [anon_sym___attribute__] = ACTIONS(3000),
    [anon_sym_COLON_COLON] = ACTIONS(3002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3002),
    [anon_sym___declspec] = ACTIONS(3000),
    [anon_sym___based] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(3000),
    [anon_sym_unsigned] = ACTIONS(3000),
    [anon_sym_long] = ACTIONS(3000),
    [anon_sym_short] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_register] = ACTIONS(3000),
    [anon_sym_inline] = ACTIONS(3000),
    [anon_sym___inline] = ACTIONS(3000),
    [anon_sym___inline__] = ACTIONS(3000),
    [anon_sym___forceinline] = ACTIONS(3000),
    [anon_sym_thread_local] = ACTIONS(3000),
    [anon_sym___thread] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_constexpr] = ACTIONS(3000),
    [anon_sym_volatile] = ACTIONS(3000),
    [anon_sym_restrict] = ACTIONS(3000),
    [anon_sym___restrict__] = ACTIONS(3000),
    [anon_sym__Atomic] = ACTIONS(3000),
    [anon_sym__Noreturn] = ACTIONS(3000),
    [anon_sym_noreturn] = ACTIONS(3000),
    [anon_sym__Nonnull] = ACTIONS(3000),
    [anon_sym_mutable] = ACTIONS(3000),
    [anon_sym_constinit] = ACTIONS(3000),
    [anon_sym_consteval] = ACTIONS(3000),
    [anon_sym_PROGMEM] = ACTIONS(3000),
    [anon_sym_alignas] = ACTIONS(3000),
    [anon_sym__Alignas] = ACTIONS(3000),
    [aux_sym_primitive_type_token1] = ACTIONS(3000),
    [anon_sym_byte] = ACTIONS(3000),
    [anon_sym_word] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_struct] = ACTIONS(3000),
    [anon_sym_union] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3000),
    [anon_sym_decltype] = ACTIONS(3000),
    [anon_sym_explicit] = ACTIONS(3000),
    [anon_sym_typename] = ACTIONS(3000),
    [anon_sym_template] = ACTIONS(3000),
    [anon_sym_operator] = ACTIONS(3000),
    [anon_sym_friend] = ACTIONS(3000),
    [anon_sym_public] = ACTIONS(3000),
    [anon_sym_private] = ACTIONS(3000),
    [anon_sym_protected] = ACTIONS(3000),
    [anon_sym_using] = ACTIONS(3000),
    [anon_sym_static_assert] = ACTIONS(3000),
  },
  [1661] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(4886),
    [anon_sym_DASH] = ACTIONS(4884),
    [anon_sym_PLUS] = ACTIONS(4884),
    [anon_sym_STAR] = ACTIONS(4886),
    [anon_sym_SLASH] = ACTIONS(4884),
    [anon_sym_PERCENT] = ACTIONS(4886),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4886),
    [anon_sym_PIPE] = ACTIONS(4884),
    [anon_sym_CARET] = ACTIONS(4886),
    [anon_sym_AMP] = ACTIONS(4884),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4884),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4884),
    [anon_sym_LT] = ACTIONS(4884),
    [anon_sym_LT_LT] = ACTIONS(4886),
    [anon_sym_GT_GT] = ACTIONS(4886),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4886),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4886),
    [anon_sym_RBRACE] = ACTIONS(4886),
    [anon_sym_signed] = ACTIONS(4884),
    [anon_sym_unsigned] = ACTIONS(4884),
    [anon_sym_long] = ACTIONS(4884),
    [anon_sym_short] = ACTIONS(4884),
    [anon_sym_LBRACK] = ACTIONS(4886),
    [anon_sym_RBRACK] = ACTIONS(4886),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_PROGMEM] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [aux_sym_primitive_type_token1] = ACTIONS(4884),
    [anon_sym_byte] = ACTIONS(4884),
    [anon_sym_word] = ACTIONS(4884),
    [anon_sym_COLON] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4884),
    [anon_sym_and] = ACTIONS(4884),
    [anon_sym_bitor] = ACTIONS(4884),
    [anon_sym_xor] = ACTIONS(4884),
    [anon_sym_bitand] = ACTIONS(4884),
    [anon_sym_not_eq] = ACTIONS(4884),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4884),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_final] = ACTIONS(4884),
    [anon_sym_override] = ACTIONS(4884),
    [anon_sym_requires] = ACTIONS(4884),
  },
  [1662] = {
    [sym_identifier] = ACTIONS(5227),
    [aux_sym_preproc_def_token1] = ACTIONS(5227),
    [aux_sym_preproc_if_token1] = ACTIONS(5227),
    [aux_sym_preproc_if_token2] = ACTIONS(5227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5227),
    [aux_sym_preproc_else_token1] = ACTIONS(5227),
    [aux_sym_preproc_elif_token1] = ACTIONS(5227),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5227),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5227),
    [sym_preproc_directive] = ACTIONS(5227),
    [anon_sym_LPAREN2] = ACTIONS(5229),
    [anon_sym_TILDE] = ACTIONS(5229),
    [anon_sym_STAR] = ACTIONS(5229),
    [anon_sym_AMP_AMP] = ACTIONS(5229),
    [anon_sym_AMP] = ACTIONS(5227),
    [anon_sym_SEMI] = ACTIONS(5229),
    [anon_sym___extension__] = ACTIONS(5227),
    [anon_sym_typedef] = ACTIONS(5227),
    [anon_sym_virtual] = ACTIONS(5227),
    [anon_sym_extern] = ACTIONS(5227),
    [anon_sym___attribute__] = ACTIONS(5227),
    [anon_sym_COLON_COLON] = ACTIONS(5229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5229),
    [anon_sym___declspec] = ACTIONS(5227),
    [anon_sym___based] = ACTIONS(5227),
    [anon_sym_signed] = ACTIONS(5227),
    [anon_sym_unsigned] = ACTIONS(5227),
    [anon_sym_long] = ACTIONS(5227),
    [anon_sym_short] = ACTIONS(5227),
    [anon_sym_LBRACK] = ACTIONS(5227),
    [anon_sym_static] = ACTIONS(5227),
    [anon_sym_register] = ACTIONS(5227),
    [anon_sym_inline] = ACTIONS(5227),
    [anon_sym___inline] = ACTIONS(5227),
    [anon_sym___inline__] = ACTIONS(5227),
    [anon_sym___forceinline] = ACTIONS(5227),
    [anon_sym_thread_local] = ACTIONS(5227),
    [anon_sym___thread] = ACTIONS(5227),
    [anon_sym_const] = ACTIONS(5227),
    [anon_sym_constexpr] = ACTIONS(5227),
    [anon_sym_volatile] = ACTIONS(5227),
    [anon_sym_restrict] = ACTIONS(5227),
    [anon_sym___restrict__] = ACTIONS(5227),
    [anon_sym__Atomic] = ACTIONS(5227),
    [anon_sym__Noreturn] = ACTIONS(5227),
    [anon_sym_noreturn] = ACTIONS(5227),
    [anon_sym__Nonnull] = ACTIONS(5227),
    [anon_sym_mutable] = ACTIONS(5227),
    [anon_sym_constinit] = ACTIONS(5227),
    [anon_sym_consteval] = ACTIONS(5227),
    [anon_sym_PROGMEM] = ACTIONS(5227),
    [anon_sym_alignas] = ACTIONS(5227),
    [anon_sym__Alignas] = ACTIONS(5227),
    [aux_sym_primitive_type_token1] = ACTIONS(5227),
    [anon_sym_byte] = ACTIONS(5227),
    [anon_sym_word] = ACTIONS(5227),
    [anon_sym_enum] = ACTIONS(5227),
    [anon_sym_class] = ACTIONS(5227),
    [anon_sym_struct] = ACTIONS(5227),
    [anon_sym_union] = ACTIONS(5227),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5227),
    [anon_sym_decltype] = ACTIONS(5227),
    [anon_sym_explicit] = ACTIONS(5227),
    [anon_sym_typename] = ACTIONS(5227),
    [anon_sym_template] = ACTIONS(5227),
    [anon_sym_operator] = ACTIONS(5227),
    [anon_sym_friend] = ACTIONS(5227),
    [anon_sym_public] = ACTIONS(5227),
    [anon_sym_private] = ACTIONS(5227),
    [anon_sym_protected] = ACTIONS(5227),
    [anon_sym_using] = ACTIONS(5227),
    [anon_sym_static_assert] = ACTIONS(5227),
  },
  [1663] = {
    [sym_identifier] = ACTIONS(5227),
    [aux_sym_preproc_def_token1] = ACTIONS(5227),
    [aux_sym_preproc_if_token1] = ACTIONS(5227),
    [aux_sym_preproc_if_token2] = ACTIONS(5227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5227),
    [aux_sym_preproc_else_token1] = ACTIONS(5227),
    [aux_sym_preproc_elif_token1] = ACTIONS(5227),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5227),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5227),
    [sym_preproc_directive] = ACTIONS(5227),
    [anon_sym_LPAREN2] = ACTIONS(5229),
    [anon_sym_TILDE] = ACTIONS(5229),
    [anon_sym_STAR] = ACTIONS(5229),
    [anon_sym_AMP_AMP] = ACTIONS(5229),
    [anon_sym_AMP] = ACTIONS(5227),
    [anon_sym_SEMI] = ACTIONS(5229),
    [anon_sym___extension__] = ACTIONS(5227),
    [anon_sym_typedef] = ACTIONS(5227),
    [anon_sym_virtual] = ACTIONS(5227),
    [anon_sym_extern] = ACTIONS(5227),
    [anon_sym___attribute__] = ACTIONS(5227),
    [anon_sym_COLON_COLON] = ACTIONS(5229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5229),
    [anon_sym___declspec] = ACTIONS(5227),
    [anon_sym___based] = ACTIONS(5227),
    [anon_sym_signed] = ACTIONS(5227),
    [anon_sym_unsigned] = ACTIONS(5227),
    [anon_sym_long] = ACTIONS(5227),
    [anon_sym_short] = ACTIONS(5227),
    [anon_sym_LBRACK] = ACTIONS(5227),
    [anon_sym_static] = ACTIONS(5227),
    [anon_sym_register] = ACTIONS(5227),
    [anon_sym_inline] = ACTIONS(5227),
    [anon_sym___inline] = ACTIONS(5227),
    [anon_sym___inline__] = ACTIONS(5227),
    [anon_sym___forceinline] = ACTIONS(5227),
    [anon_sym_thread_local] = ACTIONS(5227),
    [anon_sym___thread] = ACTIONS(5227),
    [anon_sym_const] = ACTIONS(5227),
    [anon_sym_constexpr] = ACTIONS(5227),
    [anon_sym_volatile] = ACTIONS(5227),
    [anon_sym_restrict] = ACTIONS(5227),
    [anon_sym___restrict__] = ACTIONS(5227),
    [anon_sym__Atomic] = ACTIONS(5227),
    [anon_sym__Noreturn] = ACTIONS(5227),
    [anon_sym_noreturn] = ACTIONS(5227),
    [anon_sym__Nonnull] = ACTIONS(5227),
    [anon_sym_mutable] = ACTIONS(5227),
    [anon_sym_constinit] = ACTIONS(5227),
    [anon_sym_consteval] = ACTIONS(5227),
    [anon_sym_PROGMEM] = ACTIONS(5227),
    [anon_sym_alignas] = ACTIONS(5227),
    [anon_sym__Alignas] = ACTIONS(5227),
    [aux_sym_primitive_type_token1] = ACTIONS(5227),
    [anon_sym_byte] = ACTIONS(5227),
    [anon_sym_word] = ACTIONS(5227),
    [anon_sym_enum] = ACTIONS(5227),
    [anon_sym_class] = ACTIONS(5227),
    [anon_sym_struct] = ACTIONS(5227),
    [anon_sym_union] = ACTIONS(5227),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5227),
    [anon_sym_decltype] = ACTIONS(5227),
    [anon_sym_explicit] = ACTIONS(5227),
    [anon_sym_typename] = ACTIONS(5227),
    [anon_sym_template] = ACTIONS(5227),
    [anon_sym_operator] = ACTIONS(5227),
    [anon_sym_friend] = ACTIONS(5227),
    [anon_sym_public] = ACTIONS(5227),
    [anon_sym_private] = ACTIONS(5227),
    [anon_sym_protected] = ACTIONS(5227),
    [anon_sym_using] = ACTIONS(5227),
    [anon_sym_static_assert] = ACTIONS(5227),
  },
  [1664] = {
    [sym_identifier] = ACTIONS(3066),
    [aux_sym_preproc_def_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token2] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3066),
    [aux_sym_preproc_else_token1] = ACTIONS(3066),
    [aux_sym_preproc_elif_token1] = ACTIONS(3066),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3066),
    [sym_preproc_directive] = ACTIONS(3066),
    [anon_sym_LPAREN2] = ACTIONS(3068),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3068),
    [anon_sym___extension__] = ACTIONS(3066),
    [anon_sym_typedef] = ACTIONS(3066),
    [anon_sym_virtual] = ACTIONS(3066),
    [anon_sym_extern] = ACTIONS(3066),
    [anon_sym___attribute__] = ACTIONS(3066),
    [anon_sym_COLON_COLON] = ACTIONS(3068),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3068),
    [anon_sym___declspec] = ACTIONS(3066),
    [anon_sym___based] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3066),
    [anon_sym_unsigned] = ACTIONS(3066),
    [anon_sym_long] = ACTIONS(3066),
    [anon_sym_short] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_register] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(3066),
    [anon_sym___inline] = ACTIONS(3066),
    [anon_sym___inline__] = ACTIONS(3066),
    [anon_sym___forceinline] = ACTIONS(3066),
    [anon_sym_thread_local] = ACTIONS(3066),
    [anon_sym___thread] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_constexpr] = ACTIONS(3066),
    [anon_sym_volatile] = ACTIONS(3066),
    [anon_sym_restrict] = ACTIONS(3066),
    [anon_sym___restrict__] = ACTIONS(3066),
    [anon_sym__Atomic] = ACTIONS(3066),
    [anon_sym__Noreturn] = ACTIONS(3066),
    [anon_sym_noreturn] = ACTIONS(3066),
    [anon_sym__Nonnull] = ACTIONS(3066),
    [anon_sym_mutable] = ACTIONS(3066),
    [anon_sym_constinit] = ACTIONS(3066),
    [anon_sym_consteval] = ACTIONS(3066),
    [anon_sym_PROGMEM] = ACTIONS(3066),
    [anon_sym_alignas] = ACTIONS(3066),
    [anon_sym__Alignas] = ACTIONS(3066),
    [aux_sym_primitive_type_token1] = ACTIONS(3066),
    [anon_sym_byte] = ACTIONS(3066),
    [anon_sym_word] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_struct] = ACTIONS(3066),
    [anon_sym_union] = ACTIONS(3066),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3066),
    [anon_sym_decltype] = ACTIONS(3066),
    [anon_sym_explicit] = ACTIONS(3066),
    [anon_sym_typename] = ACTIONS(3066),
    [anon_sym_template] = ACTIONS(3066),
    [anon_sym_operator] = ACTIONS(3066),
    [anon_sym_friend] = ACTIONS(3066),
    [anon_sym_public] = ACTIONS(3066),
    [anon_sym_private] = ACTIONS(3066),
    [anon_sym_protected] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_static_assert] = ACTIONS(3066),
  },
  [1665] = {
    [sym_identifier] = ACTIONS(5231),
    [aux_sym_preproc_def_token1] = ACTIONS(5231),
    [aux_sym_preproc_if_token1] = ACTIONS(5231),
    [aux_sym_preproc_if_token2] = ACTIONS(5231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5231),
    [aux_sym_preproc_else_token1] = ACTIONS(5231),
    [aux_sym_preproc_elif_token1] = ACTIONS(5231),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5231),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5231),
    [sym_preproc_directive] = ACTIONS(5231),
    [anon_sym_LPAREN2] = ACTIONS(5233),
    [anon_sym_TILDE] = ACTIONS(5233),
    [anon_sym_STAR] = ACTIONS(5233),
    [anon_sym_AMP_AMP] = ACTIONS(5233),
    [anon_sym_AMP] = ACTIONS(5231),
    [anon_sym_SEMI] = ACTIONS(5233),
    [anon_sym___extension__] = ACTIONS(5231),
    [anon_sym_typedef] = ACTIONS(5231),
    [anon_sym_virtual] = ACTIONS(5231),
    [anon_sym_extern] = ACTIONS(5231),
    [anon_sym___attribute__] = ACTIONS(5231),
    [anon_sym_COLON_COLON] = ACTIONS(5233),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5233),
    [anon_sym___declspec] = ACTIONS(5231),
    [anon_sym___based] = ACTIONS(5231),
    [anon_sym_signed] = ACTIONS(5231),
    [anon_sym_unsigned] = ACTIONS(5231),
    [anon_sym_long] = ACTIONS(5231),
    [anon_sym_short] = ACTIONS(5231),
    [anon_sym_LBRACK] = ACTIONS(5231),
    [anon_sym_static] = ACTIONS(5231),
    [anon_sym_register] = ACTIONS(5231),
    [anon_sym_inline] = ACTIONS(5231),
    [anon_sym___inline] = ACTIONS(5231),
    [anon_sym___inline__] = ACTIONS(5231),
    [anon_sym___forceinline] = ACTIONS(5231),
    [anon_sym_thread_local] = ACTIONS(5231),
    [anon_sym___thread] = ACTIONS(5231),
    [anon_sym_const] = ACTIONS(5231),
    [anon_sym_constexpr] = ACTIONS(5231),
    [anon_sym_volatile] = ACTIONS(5231),
    [anon_sym_restrict] = ACTIONS(5231),
    [anon_sym___restrict__] = ACTIONS(5231),
    [anon_sym__Atomic] = ACTIONS(5231),
    [anon_sym__Noreturn] = ACTIONS(5231),
    [anon_sym_noreturn] = ACTIONS(5231),
    [anon_sym__Nonnull] = ACTIONS(5231),
    [anon_sym_mutable] = ACTIONS(5231),
    [anon_sym_constinit] = ACTIONS(5231),
    [anon_sym_consteval] = ACTIONS(5231),
    [anon_sym_PROGMEM] = ACTIONS(5231),
    [anon_sym_alignas] = ACTIONS(5231),
    [anon_sym__Alignas] = ACTIONS(5231),
    [aux_sym_primitive_type_token1] = ACTIONS(5231),
    [anon_sym_byte] = ACTIONS(5231),
    [anon_sym_word] = ACTIONS(5231),
    [anon_sym_enum] = ACTIONS(5231),
    [anon_sym_class] = ACTIONS(5231),
    [anon_sym_struct] = ACTIONS(5231),
    [anon_sym_union] = ACTIONS(5231),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5231),
    [anon_sym_decltype] = ACTIONS(5231),
    [anon_sym_explicit] = ACTIONS(5231),
    [anon_sym_typename] = ACTIONS(5231),
    [anon_sym_template] = ACTIONS(5231),
    [anon_sym_operator] = ACTIONS(5231),
    [anon_sym_friend] = ACTIONS(5231),
    [anon_sym_public] = ACTIONS(5231),
    [anon_sym_private] = ACTIONS(5231),
    [anon_sym_protected] = ACTIONS(5231),
    [anon_sym_using] = ACTIONS(5231),
    [anon_sym_static_assert] = ACTIONS(5231),
  },
  [1666] = {
    [sym_identifier] = ACTIONS(5235),
    [aux_sym_preproc_def_token1] = ACTIONS(5235),
    [aux_sym_preproc_if_token1] = ACTIONS(5235),
    [aux_sym_preproc_if_token2] = ACTIONS(5235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5235),
    [aux_sym_preproc_else_token1] = ACTIONS(5235),
    [aux_sym_preproc_elif_token1] = ACTIONS(5235),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5235),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5235),
    [sym_preproc_directive] = ACTIONS(5235),
    [anon_sym_LPAREN2] = ACTIONS(5237),
    [anon_sym_TILDE] = ACTIONS(5237),
    [anon_sym_STAR] = ACTIONS(5237),
    [anon_sym_AMP_AMP] = ACTIONS(5237),
    [anon_sym_AMP] = ACTIONS(5235),
    [anon_sym_SEMI] = ACTIONS(5237),
    [anon_sym___extension__] = ACTIONS(5235),
    [anon_sym_typedef] = ACTIONS(5235),
    [anon_sym_virtual] = ACTIONS(5235),
    [anon_sym_extern] = ACTIONS(5235),
    [anon_sym___attribute__] = ACTIONS(5235),
    [anon_sym_COLON_COLON] = ACTIONS(5237),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5237),
    [anon_sym___declspec] = ACTIONS(5235),
    [anon_sym___based] = ACTIONS(5235),
    [anon_sym_signed] = ACTIONS(5235),
    [anon_sym_unsigned] = ACTIONS(5235),
    [anon_sym_long] = ACTIONS(5235),
    [anon_sym_short] = ACTIONS(5235),
    [anon_sym_LBRACK] = ACTIONS(5235),
    [anon_sym_static] = ACTIONS(5235),
    [anon_sym_register] = ACTIONS(5235),
    [anon_sym_inline] = ACTIONS(5235),
    [anon_sym___inline] = ACTIONS(5235),
    [anon_sym___inline__] = ACTIONS(5235),
    [anon_sym___forceinline] = ACTIONS(5235),
    [anon_sym_thread_local] = ACTIONS(5235),
    [anon_sym___thread] = ACTIONS(5235),
    [anon_sym_const] = ACTIONS(5235),
    [anon_sym_constexpr] = ACTIONS(5235),
    [anon_sym_volatile] = ACTIONS(5235),
    [anon_sym_restrict] = ACTIONS(5235),
    [anon_sym___restrict__] = ACTIONS(5235),
    [anon_sym__Atomic] = ACTIONS(5235),
    [anon_sym__Noreturn] = ACTIONS(5235),
    [anon_sym_noreturn] = ACTIONS(5235),
    [anon_sym__Nonnull] = ACTIONS(5235),
    [anon_sym_mutable] = ACTIONS(5235),
    [anon_sym_constinit] = ACTIONS(5235),
    [anon_sym_consteval] = ACTIONS(5235),
    [anon_sym_PROGMEM] = ACTIONS(5235),
    [anon_sym_alignas] = ACTIONS(5235),
    [anon_sym__Alignas] = ACTIONS(5235),
    [aux_sym_primitive_type_token1] = ACTIONS(5235),
    [anon_sym_byte] = ACTIONS(5235),
    [anon_sym_word] = ACTIONS(5235),
    [anon_sym_enum] = ACTIONS(5235),
    [anon_sym_class] = ACTIONS(5235),
    [anon_sym_struct] = ACTIONS(5235),
    [anon_sym_union] = ACTIONS(5235),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5235),
    [anon_sym_decltype] = ACTIONS(5235),
    [anon_sym_explicit] = ACTIONS(5235),
    [anon_sym_typename] = ACTIONS(5235),
    [anon_sym_template] = ACTIONS(5235),
    [anon_sym_operator] = ACTIONS(5235),
    [anon_sym_friend] = ACTIONS(5235),
    [anon_sym_public] = ACTIONS(5235),
    [anon_sym_private] = ACTIONS(5235),
    [anon_sym_protected] = ACTIONS(5235),
    [anon_sym_using] = ACTIONS(5235),
    [anon_sym_static_assert] = ACTIONS(5235),
  },
  [1667] = {
    [sym_identifier] = ACTIONS(5239),
    [aux_sym_preproc_def_token1] = ACTIONS(5239),
    [aux_sym_preproc_if_token1] = ACTIONS(5239),
    [aux_sym_preproc_if_token2] = ACTIONS(5239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5239),
    [aux_sym_preproc_else_token1] = ACTIONS(5239),
    [aux_sym_preproc_elif_token1] = ACTIONS(5239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5239),
    [sym_preproc_directive] = ACTIONS(5239),
    [anon_sym_LPAREN2] = ACTIONS(5241),
    [anon_sym_TILDE] = ACTIONS(5241),
    [anon_sym_STAR] = ACTIONS(5241),
    [anon_sym_AMP_AMP] = ACTIONS(5241),
    [anon_sym_AMP] = ACTIONS(5239),
    [anon_sym_SEMI] = ACTIONS(5241),
    [anon_sym___extension__] = ACTIONS(5239),
    [anon_sym_typedef] = ACTIONS(5239),
    [anon_sym_virtual] = ACTIONS(5239),
    [anon_sym_extern] = ACTIONS(5239),
    [anon_sym___attribute__] = ACTIONS(5239),
    [anon_sym_COLON_COLON] = ACTIONS(5241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5241),
    [anon_sym___declspec] = ACTIONS(5239),
    [anon_sym___based] = ACTIONS(5239),
    [anon_sym_signed] = ACTIONS(5239),
    [anon_sym_unsigned] = ACTIONS(5239),
    [anon_sym_long] = ACTIONS(5239),
    [anon_sym_short] = ACTIONS(5239),
    [anon_sym_LBRACK] = ACTIONS(5239),
    [anon_sym_static] = ACTIONS(5239),
    [anon_sym_register] = ACTIONS(5239),
    [anon_sym_inline] = ACTIONS(5239),
    [anon_sym___inline] = ACTIONS(5239),
    [anon_sym___inline__] = ACTIONS(5239),
    [anon_sym___forceinline] = ACTIONS(5239),
    [anon_sym_thread_local] = ACTIONS(5239),
    [anon_sym___thread] = ACTIONS(5239),
    [anon_sym_const] = ACTIONS(5239),
    [anon_sym_constexpr] = ACTIONS(5239),
    [anon_sym_volatile] = ACTIONS(5239),
    [anon_sym_restrict] = ACTIONS(5239),
    [anon_sym___restrict__] = ACTIONS(5239),
    [anon_sym__Atomic] = ACTIONS(5239),
    [anon_sym__Noreturn] = ACTIONS(5239),
    [anon_sym_noreturn] = ACTIONS(5239),
    [anon_sym__Nonnull] = ACTIONS(5239),
    [anon_sym_mutable] = ACTIONS(5239),
    [anon_sym_constinit] = ACTIONS(5239),
    [anon_sym_consteval] = ACTIONS(5239),
    [anon_sym_PROGMEM] = ACTIONS(5239),
    [anon_sym_alignas] = ACTIONS(5239),
    [anon_sym__Alignas] = ACTIONS(5239),
    [aux_sym_primitive_type_token1] = ACTIONS(5239),
    [anon_sym_byte] = ACTIONS(5239),
    [anon_sym_word] = ACTIONS(5239),
    [anon_sym_enum] = ACTIONS(5239),
    [anon_sym_class] = ACTIONS(5239),
    [anon_sym_struct] = ACTIONS(5239),
    [anon_sym_union] = ACTIONS(5239),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5239),
    [anon_sym_decltype] = ACTIONS(5239),
    [anon_sym_explicit] = ACTIONS(5239),
    [anon_sym_typename] = ACTIONS(5239),
    [anon_sym_template] = ACTIONS(5239),
    [anon_sym_operator] = ACTIONS(5239),
    [anon_sym_friend] = ACTIONS(5239),
    [anon_sym_public] = ACTIONS(5239),
    [anon_sym_private] = ACTIONS(5239),
    [anon_sym_protected] = ACTIONS(5239),
    [anon_sym_using] = ACTIONS(5239),
    [anon_sym_static_assert] = ACTIONS(5239),
  },
  [1668] = {
    [sym_identifier] = ACTIONS(5243),
    [aux_sym_preproc_def_token1] = ACTIONS(5243),
    [aux_sym_preproc_if_token1] = ACTIONS(5243),
    [aux_sym_preproc_if_token2] = ACTIONS(5243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5243),
    [aux_sym_preproc_else_token1] = ACTIONS(5243),
    [aux_sym_preproc_elif_token1] = ACTIONS(5243),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5243),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5243),
    [sym_preproc_directive] = ACTIONS(5243),
    [anon_sym_LPAREN2] = ACTIONS(5245),
    [anon_sym_TILDE] = ACTIONS(5245),
    [anon_sym_STAR] = ACTIONS(5245),
    [anon_sym_AMP_AMP] = ACTIONS(5245),
    [anon_sym_AMP] = ACTIONS(5243),
    [anon_sym_SEMI] = ACTIONS(5245),
    [anon_sym___extension__] = ACTIONS(5243),
    [anon_sym_typedef] = ACTIONS(5243),
    [anon_sym_virtual] = ACTIONS(5243),
    [anon_sym_extern] = ACTIONS(5243),
    [anon_sym___attribute__] = ACTIONS(5243),
    [anon_sym_COLON_COLON] = ACTIONS(5245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5245),
    [anon_sym___declspec] = ACTIONS(5243),
    [anon_sym___based] = ACTIONS(5243),
    [anon_sym_signed] = ACTIONS(5243),
    [anon_sym_unsigned] = ACTIONS(5243),
    [anon_sym_long] = ACTIONS(5243),
    [anon_sym_short] = ACTIONS(5243),
    [anon_sym_LBRACK] = ACTIONS(5243),
    [anon_sym_static] = ACTIONS(5243),
    [anon_sym_register] = ACTIONS(5243),
    [anon_sym_inline] = ACTIONS(5243),
    [anon_sym___inline] = ACTIONS(5243),
    [anon_sym___inline__] = ACTIONS(5243),
    [anon_sym___forceinline] = ACTIONS(5243),
    [anon_sym_thread_local] = ACTIONS(5243),
    [anon_sym___thread] = ACTIONS(5243),
    [anon_sym_const] = ACTIONS(5243),
    [anon_sym_constexpr] = ACTIONS(5243),
    [anon_sym_volatile] = ACTIONS(5243),
    [anon_sym_restrict] = ACTIONS(5243),
    [anon_sym___restrict__] = ACTIONS(5243),
    [anon_sym__Atomic] = ACTIONS(5243),
    [anon_sym__Noreturn] = ACTIONS(5243),
    [anon_sym_noreturn] = ACTIONS(5243),
    [anon_sym__Nonnull] = ACTIONS(5243),
    [anon_sym_mutable] = ACTIONS(5243),
    [anon_sym_constinit] = ACTIONS(5243),
    [anon_sym_consteval] = ACTIONS(5243),
    [anon_sym_PROGMEM] = ACTIONS(5243),
    [anon_sym_alignas] = ACTIONS(5243),
    [anon_sym__Alignas] = ACTIONS(5243),
    [aux_sym_primitive_type_token1] = ACTIONS(5243),
    [anon_sym_byte] = ACTIONS(5243),
    [anon_sym_word] = ACTIONS(5243),
    [anon_sym_enum] = ACTIONS(5243),
    [anon_sym_class] = ACTIONS(5243),
    [anon_sym_struct] = ACTIONS(5243),
    [anon_sym_union] = ACTIONS(5243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5243),
    [anon_sym_decltype] = ACTIONS(5243),
    [anon_sym_explicit] = ACTIONS(5243),
    [anon_sym_typename] = ACTIONS(5243),
    [anon_sym_template] = ACTIONS(5243),
    [anon_sym_operator] = ACTIONS(5243),
    [anon_sym_friend] = ACTIONS(5243),
    [anon_sym_public] = ACTIONS(5243),
    [anon_sym_private] = ACTIONS(5243),
    [anon_sym_protected] = ACTIONS(5243),
    [anon_sym_using] = ACTIONS(5243),
    [anon_sym_static_assert] = ACTIONS(5243),
  },
  [1669] = {
    [sym_identifier] = ACTIONS(5239),
    [aux_sym_preproc_def_token1] = ACTIONS(5239),
    [aux_sym_preproc_if_token1] = ACTIONS(5239),
    [aux_sym_preproc_if_token2] = ACTIONS(5239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5239),
    [aux_sym_preproc_else_token1] = ACTIONS(5239),
    [aux_sym_preproc_elif_token1] = ACTIONS(5239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5239),
    [sym_preproc_directive] = ACTIONS(5239),
    [anon_sym_LPAREN2] = ACTIONS(5241),
    [anon_sym_TILDE] = ACTIONS(5241),
    [anon_sym_STAR] = ACTIONS(5241),
    [anon_sym_AMP_AMP] = ACTIONS(5241),
    [anon_sym_AMP] = ACTIONS(5239),
    [anon_sym_SEMI] = ACTIONS(5241),
    [anon_sym___extension__] = ACTIONS(5239),
    [anon_sym_typedef] = ACTIONS(5239),
    [anon_sym_virtual] = ACTIONS(5239),
    [anon_sym_extern] = ACTIONS(5239),
    [anon_sym___attribute__] = ACTIONS(5239),
    [anon_sym_COLON_COLON] = ACTIONS(5241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5241),
    [anon_sym___declspec] = ACTIONS(5239),
    [anon_sym___based] = ACTIONS(5239),
    [anon_sym_signed] = ACTIONS(5239),
    [anon_sym_unsigned] = ACTIONS(5239),
    [anon_sym_long] = ACTIONS(5239),
    [anon_sym_short] = ACTIONS(5239),
    [anon_sym_LBRACK] = ACTIONS(5239),
    [anon_sym_static] = ACTIONS(5239),
    [anon_sym_register] = ACTIONS(5239),
    [anon_sym_inline] = ACTIONS(5239),
    [anon_sym___inline] = ACTIONS(5239),
    [anon_sym___inline__] = ACTIONS(5239),
    [anon_sym___forceinline] = ACTIONS(5239),
    [anon_sym_thread_local] = ACTIONS(5239),
    [anon_sym___thread] = ACTIONS(5239),
    [anon_sym_const] = ACTIONS(5239),
    [anon_sym_constexpr] = ACTIONS(5239),
    [anon_sym_volatile] = ACTIONS(5239),
    [anon_sym_restrict] = ACTIONS(5239),
    [anon_sym___restrict__] = ACTIONS(5239),
    [anon_sym__Atomic] = ACTIONS(5239),
    [anon_sym__Noreturn] = ACTIONS(5239),
    [anon_sym_noreturn] = ACTIONS(5239),
    [anon_sym__Nonnull] = ACTIONS(5239),
    [anon_sym_mutable] = ACTIONS(5239),
    [anon_sym_constinit] = ACTIONS(5239),
    [anon_sym_consteval] = ACTIONS(5239),
    [anon_sym_PROGMEM] = ACTIONS(5239),
    [anon_sym_alignas] = ACTIONS(5239),
    [anon_sym__Alignas] = ACTIONS(5239),
    [aux_sym_primitive_type_token1] = ACTIONS(5239),
    [anon_sym_byte] = ACTIONS(5239),
    [anon_sym_word] = ACTIONS(5239),
    [anon_sym_enum] = ACTIONS(5239),
    [anon_sym_class] = ACTIONS(5239),
    [anon_sym_struct] = ACTIONS(5239),
    [anon_sym_union] = ACTIONS(5239),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5239),
    [anon_sym_decltype] = ACTIONS(5239),
    [anon_sym_explicit] = ACTIONS(5239),
    [anon_sym_typename] = ACTIONS(5239),
    [anon_sym_template] = ACTIONS(5239),
    [anon_sym_operator] = ACTIONS(5239),
    [anon_sym_friend] = ACTIONS(5239),
    [anon_sym_public] = ACTIONS(5239),
    [anon_sym_private] = ACTIONS(5239),
    [anon_sym_protected] = ACTIONS(5239),
    [anon_sym_using] = ACTIONS(5239),
    [anon_sym_static_assert] = ACTIONS(5239),
  },
  [1670] = {
    [sym_identifier] = ACTIONS(5243),
    [aux_sym_preproc_def_token1] = ACTIONS(5243),
    [aux_sym_preproc_if_token1] = ACTIONS(5243),
    [aux_sym_preproc_if_token2] = ACTIONS(5243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5243),
    [aux_sym_preproc_else_token1] = ACTIONS(5243),
    [aux_sym_preproc_elif_token1] = ACTIONS(5243),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5243),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5243),
    [sym_preproc_directive] = ACTIONS(5243),
    [anon_sym_LPAREN2] = ACTIONS(5245),
    [anon_sym_TILDE] = ACTIONS(5245),
    [anon_sym_STAR] = ACTIONS(5245),
    [anon_sym_AMP_AMP] = ACTIONS(5245),
    [anon_sym_AMP] = ACTIONS(5243),
    [anon_sym_SEMI] = ACTIONS(5245),
    [anon_sym___extension__] = ACTIONS(5243),
    [anon_sym_typedef] = ACTIONS(5243),
    [anon_sym_virtual] = ACTIONS(5243),
    [anon_sym_extern] = ACTIONS(5243),
    [anon_sym___attribute__] = ACTIONS(5243),
    [anon_sym_COLON_COLON] = ACTIONS(5245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5245),
    [anon_sym___declspec] = ACTIONS(5243),
    [anon_sym___based] = ACTIONS(5243),
    [anon_sym_signed] = ACTIONS(5243),
    [anon_sym_unsigned] = ACTIONS(5243),
    [anon_sym_long] = ACTIONS(5243),
    [anon_sym_short] = ACTIONS(5243),
    [anon_sym_LBRACK] = ACTIONS(5243),
    [anon_sym_static] = ACTIONS(5243),
    [anon_sym_register] = ACTIONS(5243),
    [anon_sym_inline] = ACTIONS(5243),
    [anon_sym___inline] = ACTIONS(5243),
    [anon_sym___inline__] = ACTIONS(5243),
    [anon_sym___forceinline] = ACTIONS(5243),
    [anon_sym_thread_local] = ACTIONS(5243),
    [anon_sym___thread] = ACTIONS(5243),
    [anon_sym_const] = ACTIONS(5243),
    [anon_sym_constexpr] = ACTIONS(5243),
    [anon_sym_volatile] = ACTIONS(5243),
    [anon_sym_restrict] = ACTIONS(5243),
    [anon_sym___restrict__] = ACTIONS(5243),
    [anon_sym__Atomic] = ACTIONS(5243),
    [anon_sym__Noreturn] = ACTIONS(5243),
    [anon_sym_noreturn] = ACTIONS(5243),
    [anon_sym__Nonnull] = ACTIONS(5243),
    [anon_sym_mutable] = ACTIONS(5243),
    [anon_sym_constinit] = ACTIONS(5243),
    [anon_sym_consteval] = ACTIONS(5243),
    [anon_sym_PROGMEM] = ACTIONS(5243),
    [anon_sym_alignas] = ACTIONS(5243),
    [anon_sym__Alignas] = ACTIONS(5243),
    [aux_sym_primitive_type_token1] = ACTIONS(5243),
    [anon_sym_byte] = ACTIONS(5243),
    [anon_sym_word] = ACTIONS(5243),
    [anon_sym_enum] = ACTIONS(5243),
    [anon_sym_class] = ACTIONS(5243),
    [anon_sym_struct] = ACTIONS(5243),
    [anon_sym_union] = ACTIONS(5243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5243),
    [anon_sym_decltype] = ACTIONS(5243),
    [anon_sym_explicit] = ACTIONS(5243),
    [anon_sym_typename] = ACTIONS(5243),
    [anon_sym_template] = ACTIONS(5243),
    [anon_sym_operator] = ACTIONS(5243),
    [anon_sym_friend] = ACTIONS(5243),
    [anon_sym_public] = ACTIONS(5243),
    [anon_sym_private] = ACTIONS(5243),
    [anon_sym_protected] = ACTIONS(5243),
    [anon_sym_using] = ACTIONS(5243),
    [anon_sym_static_assert] = ACTIONS(5243),
  },
  [1671] = {
    [sym_identifier] = ACTIONS(5247),
    [aux_sym_preproc_def_token1] = ACTIONS(5247),
    [aux_sym_preproc_if_token1] = ACTIONS(5247),
    [aux_sym_preproc_if_token2] = ACTIONS(5247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5247),
    [aux_sym_preproc_else_token1] = ACTIONS(5247),
    [aux_sym_preproc_elif_token1] = ACTIONS(5247),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5247),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5247),
    [sym_preproc_directive] = ACTIONS(5247),
    [anon_sym_LPAREN2] = ACTIONS(5249),
    [anon_sym_TILDE] = ACTIONS(5249),
    [anon_sym_STAR] = ACTIONS(5249),
    [anon_sym_AMP_AMP] = ACTIONS(5249),
    [anon_sym_AMP] = ACTIONS(5247),
    [anon_sym_SEMI] = ACTIONS(5249),
    [anon_sym___extension__] = ACTIONS(5247),
    [anon_sym_typedef] = ACTIONS(5247),
    [anon_sym_virtual] = ACTIONS(5247),
    [anon_sym_extern] = ACTIONS(5247),
    [anon_sym___attribute__] = ACTIONS(5247),
    [anon_sym_COLON_COLON] = ACTIONS(5249),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5249),
    [anon_sym___declspec] = ACTIONS(5247),
    [anon_sym___based] = ACTIONS(5247),
    [anon_sym_signed] = ACTIONS(5247),
    [anon_sym_unsigned] = ACTIONS(5247),
    [anon_sym_long] = ACTIONS(5247),
    [anon_sym_short] = ACTIONS(5247),
    [anon_sym_LBRACK] = ACTIONS(5247),
    [anon_sym_static] = ACTIONS(5247),
    [anon_sym_register] = ACTIONS(5247),
    [anon_sym_inline] = ACTIONS(5247),
    [anon_sym___inline] = ACTIONS(5247),
    [anon_sym___inline__] = ACTIONS(5247),
    [anon_sym___forceinline] = ACTIONS(5247),
    [anon_sym_thread_local] = ACTIONS(5247),
    [anon_sym___thread] = ACTIONS(5247),
    [anon_sym_const] = ACTIONS(5247),
    [anon_sym_constexpr] = ACTIONS(5247),
    [anon_sym_volatile] = ACTIONS(5247),
    [anon_sym_restrict] = ACTIONS(5247),
    [anon_sym___restrict__] = ACTIONS(5247),
    [anon_sym__Atomic] = ACTIONS(5247),
    [anon_sym__Noreturn] = ACTIONS(5247),
    [anon_sym_noreturn] = ACTIONS(5247),
    [anon_sym__Nonnull] = ACTIONS(5247),
    [anon_sym_mutable] = ACTIONS(5247),
    [anon_sym_constinit] = ACTIONS(5247),
    [anon_sym_consteval] = ACTIONS(5247),
    [anon_sym_PROGMEM] = ACTIONS(5247),
    [anon_sym_alignas] = ACTIONS(5247),
    [anon_sym__Alignas] = ACTIONS(5247),
    [aux_sym_primitive_type_token1] = ACTIONS(5247),
    [anon_sym_byte] = ACTIONS(5247),
    [anon_sym_word] = ACTIONS(5247),
    [anon_sym_enum] = ACTIONS(5247),
    [anon_sym_class] = ACTIONS(5247),
    [anon_sym_struct] = ACTIONS(5247),
    [anon_sym_union] = ACTIONS(5247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5247),
    [anon_sym_decltype] = ACTIONS(5247),
    [anon_sym_explicit] = ACTIONS(5247),
    [anon_sym_typename] = ACTIONS(5247),
    [anon_sym_template] = ACTIONS(5247),
    [anon_sym_operator] = ACTIONS(5247),
    [anon_sym_friend] = ACTIONS(5247),
    [anon_sym_public] = ACTIONS(5247),
    [anon_sym_private] = ACTIONS(5247),
    [anon_sym_protected] = ACTIONS(5247),
    [anon_sym_using] = ACTIONS(5247),
    [anon_sym_static_assert] = ACTIONS(5247),
  },
  [1672] = {
    [sym_identifier] = ACTIONS(5251),
    [aux_sym_preproc_def_token1] = ACTIONS(5251),
    [aux_sym_preproc_if_token1] = ACTIONS(5251),
    [aux_sym_preproc_if_token2] = ACTIONS(5251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5251),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5251),
    [aux_sym_preproc_else_token1] = ACTIONS(5251),
    [aux_sym_preproc_elif_token1] = ACTIONS(5251),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5251),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5251),
    [sym_preproc_directive] = ACTIONS(5251),
    [anon_sym_LPAREN2] = ACTIONS(5253),
    [anon_sym_TILDE] = ACTIONS(5253),
    [anon_sym_STAR] = ACTIONS(5253),
    [anon_sym_AMP_AMP] = ACTIONS(5253),
    [anon_sym_AMP] = ACTIONS(5251),
    [anon_sym_SEMI] = ACTIONS(5253),
    [anon_sym___extension__] = ACTIONS(5251),
    [anon_sym_typedef] = ACTIONS(5251),
    [anon_sym_virtual] = ACTIONS(5251),
    [anon_sym_extern] = ACTIONS(5251),
    [anon_sym___attribute__] = ACTIONS(5251),
    [anon_sym_COLON_COLON] = ACTIONS(5253),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5253),
    [anon_sym___declspec] = ACTIONS(5251),
    [anon_sym___based] = ACTIONS(5251),
    [anon_sym_signed] = ACTIONS(5251),
    [anon_sym_unsigned] = ACTIONS(5251),
    [anon_sym_long] = ACTIONS(5251),
    [anon_sym_short] = ACTIONS(5251),
    [anon_sym_LBRACK] = ACTIONS(5251),
    [anon_sym_static] = ACTIONS(5251),
    [anon_sym_register] = ACTIONS(5251),
    [anon_sym_inline] = ACTIONS(5251),
    [anon_sym___inline] = ACTIONS(5251),
    [anon_sym___inline__] = ACTIONS(5251),
    [anon_sym___forceinline] = ACTIONS(5251),
    [anon_sym_thread_local] = ACTIONS(5251),
    [anon_sym___thread] = ACTIONS(5251),
    [anon_sym_const] = ACTIONS(5251),
    [anon_sym_constexpr] = ACTIONS(5251),
    [anon_sym_volatile] = ACTIONS(5251),
    [anon_sym_restrict] = ACTIONS(5251),
    [anon_sym___restrict__] = ACTIONS(5251),
    [anon_sym__Atomic] = ACTIONS(5251),
    [anon_sym__Noreturn] = ACTIONS(5251),
    [anon_sym_noreturn] = ACTIONS(5251),
    [anon_sym__Nonnull] = ACTIONS(5251),
    [anon_sym_mutable] = ACTIONS(5251),
    [anon_sym_constinit] = ACTIONS(5251),
    [anon_sym_consteval] = ACTIONS(5251),
    [anon_sym_PROGMEM] = ACTIONS(5251),
    [anon_sym_alignas] = ACTIONS(5251),
    [anon_sym__Alignas] = ACTIONS(5251),
    [aux_sym_primitive_type_token1] = ACTIONS(5251),
    [anon_sym_byte] = ACTIONS(5251),
    [anon_sym_word] = ACTIONS(5251),
    [anon_sym_enum] = ACTIONS(5251),
    [anon_sym_class] = ACTIONS(5251),
    [anon_sym_struct] = ACTIONS(5251),
    [anon_sym_union] = ACTIONS(5251),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5251),
    [anon_sym_decltype] = ACTIONS(5251),
    [anon_sym_explicit] = ACTIONS(5251),
    [anon_sym_typename] = ACTIONS(5251),
    [anon_sym_template] = ACTIONS(5251),
    [anon_sym_operator] = ACTIONS(5251),
    [anon_sym_friend] = ACTIONS(5251),
    [anon_sym_public] = ACTIONS(5251),
    [anon_sym_private] = ACTIONS(5251),
    [anon_sym_protected] = ACTIONS(5251),
    [anon_sym_using] = ACTIONS(5251),
    [anon_sym_static_assert] = ACTIONS(5251),
  },
  [1673] = {
    [sym_identifier] = ACTIONS(5255),
    [aux_sym_preproc_def_token1] = ACTIONS(5255),
    [aux_sym_preproc_if_token1] = ACTIONS(5255),
    [aux_sym_preproc_if_token2] = ACTIONS(5255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5255),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5255),
    [aux_sym_preproc_else_token1] = ACTIONS(5255),
    [aux_sym_preproc_elif_token1] = ACTIONS(5255),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5255),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5255),
    [sym_preproc_directive] = ACTIONS(5255),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_TILDE] = ACTIONS(5257),
    [anon_sym_STAR] = ACTIONS(5257),
    [anon_sym_AMP_AMP] = ACTIONS(5257),
    [anon_sym_AMP] = ACTIONS(5255),
    [anon_sym_SEMI] = ACTIONS(5257),
    [anon_sym___extension__] = ACTIONS(5255),
    [anon_sym_typedef] = ACTIONS(5255),
    [anon_sym_virtual] = ACTIONS(5255),
    [anon_sym_extern] = ACTIONS(5255),
    [anon_sym___attribute__] = ACTIONS(5255),
    [anon_sym_COLON_COLON] = ACTIONS(5257),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5257),
    [anon_sym___declspec] = ACTIONS(5255),
    [anon_sym___based] = ACTIONS(5255),
    [anon_sym_signed] = ACTIONS(5255),
    [anon_sym_unsigned] = ACTIONS(5255),
    [anon_sym_long] = ACTIONS(5255),
    [anon_sym_short] = ACTIONS(5255),
    [anon_sym_LBRACK] = ACTIONS(5255),
    [anon_sym_static] = ACTIONS(5255),
    [anon_sym_register] = ACTIONS(5255),
    [anon_sym_inline] = ACTIONS(5255),
    [anon_sym___inline] = ACTIONS(5255),
    [anon_sym___inline__] = ACTIONS(5255),
    [anon_sym___forceinline] = ACTIONS(5255),
    [anon_sym_thread_local] = ACTIONS(5255),
    [anon_sym___thread] = ACTIONS(5255),
    [anon_sym_const] = ACTIONS(5255),
    [anon_sym_constexpr] = ACTIONS(5255),
    [anon_sym_volatile] = ACTIONS(5255),
    [anon_sym_restrict] = ACTIONS(5255),
    [anon_sym___restrict__] = ACTIONS(5255),
    [anon_sym__Atomic] = ACTIONS(5255),
    [anon_sym__Noreturn] = ACTIONS(5255),
    [anon_sym_noreturn] = ACTIONS(5255),
    [anon_sym__Nonnull] = ACTIONS(5255),
    [anon_sym_mutable] = ACTIONS(5255),
    [anon_sym_constinit] = ACTIONS(5255),
    [anon_sym_consteval] = ACTIONS(5255),
    [anon_sym_PROGMEM] = ACTIONS(5255),
    [anon_sym_alignas] = ACTIONS(5255),
    [anon_sym__Alignas] = ACTIONS(5255),
    [aux_sym_primitive_type_token1] = ACTIONS(5255),
    [anon_sym_byte] = ACTIONS(5255),
    [anon_sym_word] = ACTIONS(5255),
    [anon_sym_enum] = ACTIONS(5255),
    [anon_sym_class] = ACTIONS(5255),
    [anon_sym_struct] = ACTIONS(5255),
    [anon_sym_union] = ACTIONS(5255),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5255),
    [anon_sym_decltype] = ACTIONS(5255),
    [anon_sym_explicit] = ACTIONS(5255),
    [anon_sym_typename] = ACTIONS(5255),
    [anon_sym_template] = ACTIONS(5255),
    [anon_sym_operator] = ACTIONS(5255),
    [anon_sym_friend] = ACTIONS(5255),
    [anon_sym_public] = ACTIONS(5255),
    [anon_sym_private] = ACTIONS(5255),
    [anon_sym_protected] = ACTIONS(5255),
    [anon_sym_using] = ACTIONS(5255),
    [anon_sym_static_assert] = ACTIONS(5255),
  },
  [1674] = {
    [sym_identifier] = ACTIONS(5259),
    [aux_sym_preproc_def_token1] = ACTIONS(5259),
    [aux_sym_preproc_if_token1] = ACTIONS(5259),
    [aux_sym_preproc_if_token2] = ACTIONS(5259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5259),
    [aux_sym_preproc_else_token1] = ACTIONS(5259),
    [aux_sym_preproc_elif_token1] = ACTIONS(5259),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5259),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5259),
    [sym_preproc_directive] = ACTIONS(5259),
    [anon_sym_LPAREN2] = ACTIONS(5261),
    [anon_sym_TILDE] = ACTIONS(5261),
    [anon_sym_STAR] = ACTIONS(5261),
    [anon_sym_AMP_AMP] = ACTIONS(5261),
    [anon_sym_AMP] = ACTIONS(5259),
    [anon_sym_SEMI] = ACTIONS(5261),
    [anon_sym___extension__] = ACTIONS(5259),
    [anon_sym_typedef] = ACTIONS(5259),
    [anon_sym_virtual] = ACTIONS(5259),
    [anon_sym_extern] = ACTIONS(5259),
    [anon_sym___attribute__] = ACTIONS(5259),
    [anon_sym_COLON_COLON] = ACTIONS(5261),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5261),
    [anon_sym___declspec] = ACTIONS(5259),
    [anon_sym___based] = ACTIONS(5259),
    [anon_sym_signed] = ACTIONS(5259),
    [anon_sym_unsigned] = ACTIONS(5259),
    [anon_sym_long] = ACTIONS(5259),
    [anon_sym_short] = ACTIONS(5259),
    [anon_sym_LBRACK] = ACTIONS(5259),
    [anon_sym_static] = ACTIONS(5259),
    [anon_sym_register] = ACTIONS(5259),
    [anon_sym_inline] = ACTIONS(5259),
    [anon_sym___inline] = ACTIONS(5259),
    [anon_sym___inline__] = ACTIONS(5259),
    [anon_sym___forceinline] = ACTIONS(5259),
    [anon_sym_thread_local] = ACTIONS(5259),
    [anon_sym___thread] = ACTIONS(5259),
    [anon_sym_const] = ACTIONS(5259),
    [anon_sym_constexpr] = ACTIONS(5259),
    [anon_sym_volatile] = ACTIONS(5259),
    [anon_sym_restrict] = ACTIONS(5259),
    [anon_sym___restrict__] = ACTIONS(5259),
    [anon_sym__Atomic] = ACTIONS(5259),
    [anon_sym__Noreturn] = ACTIONS(5259),
    [anon_sym_noreturn] = ACTIONS(5259),
    [anon_sym__Nonnull] = ACTIONS(5259),
    [anon_sym_mutable] = ACTIONS(5259),
    [anon_sym_constinit] = ACTIONS(5259),
    [anon_sym_consteval] = ACTIONS(5259),
    [anon_sym_PROGMEM] = ACTIONS(5259),
    [anon_sym_alignas] = ACTIONS(5259),
    [anon_sym__Alignas] = ACTIONS(5259),
    [aux_sym_primitive_type_token1] = ACTIONS(5259),
    [anon_sym_byte] = ACTIONS(5259),
    [anon_sym_word] = ACTIONS(5259),
    [anon_sym_enum] = ACTIONS(5259),
    [anon_sym_class] = ACTIONS(5259),
    [anon_sym_struct] = ACTIONS(5259),
    [anon_sym_union] = ACTIONS(5259),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5259),
    [anon_sym_decltype] = ACTIONS(5259),
    [anon_sym_explicit] = ACTIONS(5259),
    [anon_sym_typename] = ACTIONS(5259),
    [anon_sym_template] = ACTIONS(5259),
    [anon_sym_operator] = ACTIONS(5259),
    [anon_sym_friend] = ACTIONS(5259),
    [anon_sym_public] = ACTIONS(5259),
    [anon_sym_private] = ACTIONS(5259),
    [anon_sym_protected] = ACTIONS(5259),
    [anon_sym_using] = ACTIONS(5259),
    [anon_sym_static_assert] = ACTIONS(5259),
  },
  [1675] = {
    [sym_identifier] = ACTIONS(5263),
    [aux_sym_preproc_def_token1] = ACTIONS(5263),
    [aux_sym_preproc_if_token1] = ACTIONS(5263),
    [aux_sym_preproc_if_token2] = ACTIONS(5263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5263),
    [aux_sym_preproc_else_token1] = ACTIONS(5263),
    [aux_sym_preproc_elif_token1] = ACTIONS(5263),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5263),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5263),
    [sym_preproc_directive] = ACTIONS(5263),
    [anon_sym_LPAREN2] = ACTIONS(5265),
    [anon_sym_TILDE] = ACTIONS(5265),
    [anon_sym_STAR] = ACTIONS(5265),
    [anon_sym_AMP_AMP] = ACTIONS(5265),
    [anon_sym_AMP] = ACTIONS(5263),
    [anon_sym_SEMI] = ACTIONS(5265),
    [anon_sym___extension__] = ACTIONS(5263),
    [anon_sym_typedef] = ACTIONS(5263),
    [anon_sym_virtual] = ACTIONS(5263),
    [anon_sym_extern] = ACTIONS(5263),
    [anon_sym___attribute__] = ACTIONS(5263),
    [anon_sym_COLON_COLON] = ACTIONS(5265),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5265),
    [anon_sym___declspec] = ACTIONS(5263),
    [anon_sym___based] = ACTIONS(5263),
    [anon_sym_signed] = ACTIONS(5263),
    [anon_sym_unsigned] = ACTIONS(5263),
    [anon_sym_long] = ACTIONS(5263),
    [anon_sym_short] = ACTIONS(5263),
    [anon_sym_LBRACK] = ACTIONS(5263),
    [anon_sym_static] = ACTIONS(5263),
    [anon_sym_register] = ACTIONS(5263),
    [anon_sym_inline] = ACTIONS(5263),
    [anon_sym___inline] = ACTIONS(5263),
    [anon_sym___inline__] = ACTIONS(5263),
    [anon_sym___forceinline] = ACTIONS(5263),
    [anon_sym_thread_local] = ACTIONS(5263),
    [anon_sym___thread] = ACTIONS(5263),
    [anon_sym_const] = ACTIONS(5263),
    [anon_sym_constexpr] = ACTIONS(5263),
    [anon_sym_volatile] = ACTIONS(5263),
    [anon_sym_restrict] = ACTIONS(5263),
    [anon_sym___restrict__] = ACTIONS(5263),
    [anon_sym__Atomic] = ACTIONS(5263),
    [anon_sym__Noreturn] = ACTIONS(5263),
    [anon_sym_noreturn] = ACTIONS(5263),
    [anon_sym__Nonnull] = ACTIONS(5263),
    [anon_sym_mutable] = ACTIONS(5263),
    [anon_sym_constinit] = ACTIONS(5263),
    [anon_sym_consteval] = ACTIONS(5263),
    [anon_sym_PROGMEM] = ACTIONS(5263),
    [anon_sym_alignas] = ACTIONS(5263),
    [anon_sym__Alignas] = ACTIONS(5263),
    [aux_sym_primitive_type_token1] = ACTIONS(5263),
    [anon_sym_byte] = ACTIONS(5263),
    [anon_sym_word] = ACTIONS(5263),
    [anon_sym_enum] = ACTIONS(5263),
    [anon_sym_class] = ACTIONS(5263),
    [anon_sym_struct] = ACTIONS(5263),
    [anon_sym_union] = ACTIONS(5263),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5263),
    [anon_sym_decltype] = ACTIONS(5263),
    [anon_sym_explicit] = ACTIONS(5263),
    [anon_sym_typename] = ACTIONS(5263),
    [anon_sym_template] = ACTIONS(5263),
    [anon_sym_operator] = ACTIONS(5263),
    [anon_sym_friend] = ACTIONS(5263),
    [anon_sym_public] = ACTIONS(5263),
    [anon_sym_private] = ACTIONS(5263),
    [anon_sym_protected] = ACTIONS(5263),
    [anon_sym_using] = ACTIONS(5263),
    [anon_sym_static_assert] = ACTIONS(5263),
  },
  [1676] = {
    [sym_identifier] = ACTIONS(5267),
    [aux_sym_preproc_def_token1] = ACTIONS(5267),
    [aux_sym_preproc_if_token1] = ACTIONS(5267),
    [aux_sym_preproc_if_token2] = ACTIONS(5267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5267),
    [aux_sym_preproc_else_token1] = ACTIONS(5267),
    [aux_sym_preproc_elif_token1] = ACTIONS(5267),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5267),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5267),
    [sym_preproc_directive] = ACTIONS(5267),
    [anon_sym_LPAREN2] = ACTIONS(5269),
    [anon_sym_TILDE] = ACTIONS(5269),
    [anon_sym_STAR] = ACTIONS(5269),
    [anon_sym_AMP_AMP] = ACTIONS(5269),
    [anon_sym_AMP] = ACTIONS(5267),
    [anon_sym_SEMI] = ACTIONS(5269),
    [anon_sym___extension__] = ACTIONS(5267),
    [anon_sym_typedef] = ACTIONS(5267),
    [anon_sym_virtual] = ACTIONS(5267),
    [anon_sym_extern] = ACTIONS(5267),
    [anon_sym___attribute__] = ACTIONS(5267),
    [anon_sym_COLON_COLON] = ACTIONS(5269),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5269),
    [anon_sym___declspec] = ACTIONS(5267),
    [anon_sym___based] = ACTIONS(5267),
    [anon_sym_signed] = ACTIONS(5267),
    [anon_sym_unsigned] = ACTIONS(5267),
    [anon_sym_long] = ACTIONS(5267),
    [anon_sym_short] = ACTIONS(5267),
    [anon_sym_LBRACK] = ACTIONS(5267),
    [anon_sym_static] = ACTIONS(5267),
    [anon_sym_register] = ACTIONS(5267),
    [anon_sym_inline] = ACTIONS(5267),
    [anon_sym___inline] = ACTIONS(5267),
    [anon_sym___inline__] = ACTIONS(5267),
    [anon_sym___forceinline] = ACTIONS(5267),
    [anon_sym_thread_local] = ACTIONS(5267),
    [anon_sym___thread] = ACTIONS(5267),
    [anon_sym_const] = ACTIONS(5267),
    [anon_sym_constexpr] = ACTIONS(5267),
    [anon_sym_volatile] = ACTIONS(5267),
    [anon_sym_restrict] = ACTIONS(5267),
    [anon_sym___restrict__] = ACTIONS(5267),
    [anon_sym__Atomic] = ACTIONS(5267),
    [anon_sym__Noreturn] = ACTIONS(5267),
    [anon_sym_noreturn] = ACTIONS(5267),
    [anon_sym__Nonnull] = ACTIONS(5267),
    [anon_sym_mutable] = ACTIONS(5267),
    [anon_sym_constinit] = ACTIONS(5267),
    [anon_sym_consteval] = ACTIONS(5267),
    [anon_sym_PROGMEM] = ACTIONS(5267),
    [anon_sym_alignas] = ACTIONS(5267),
    [anon_sym__Alignas] = ACTIONS(5267),
    [aux_sym_primitive_type_token1] = ACTIONS(5267),
    [anon_sym_byte] = ACTIONS(5267),
    [anon_sym_word] = ACTIONS(5267),
    [anon_sym_enum] = ACTIONS(5267),
    [anon_sym_class] = ACTIONS(5267),
    [anon_sym_struct] = ACTIONS(5267),
    [anon_sym_union] = ACTIONS(5267),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5267),
    [anon_sym_decltype] = ACTIONS(5267),
    [anon_sym_explicit] = ACTIONS(5267),
    [anon_sym_typename] = ACTIONS(5267),
    [anon_sym_template] = ACTIONS(5267),
    [anon_sym_operator] = ACTIONS(5267),
    [anon_sym_friend] = ACTIONS(5267),
    [anon_sym_public] = ACTIONS(5267),
    [anon_sym_private] = ACTIONS(5267),
    [anon_sym_protected] = ACTIONS(5267),
    [anon_sym_using] = ACTIONS(5267),
    [anon_sym_static_assert] = ACTIONS(5267),
  },
  [1677] = {
    [sym_identifier] = ACTIONS(5271),
    [aux_sym_preproc_def_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token2] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5271),
    [aux_sym_preproc_else_token1] = ACTIONS(5271),
    [aux_sym_preproc_elif_token1] = ACTIONS(5271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5271),
    [sym_preproc_directive] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5273),
    [anon_sym_TILDE] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5273),
    [anon_sym_AMP_AMP] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5271),
    [anon_sym_SEMI] = ACTIONS(5273),
    [anon_sym___extension__] = ACTIONS(5271),
    [anon_sym_typedef] = ACTIONS(5271),
    [anon_sym_virtual] = ACTIONS(5271),
    [anon_sym_extern] = ACTIONS(5271),
    [anon_sym___attribute__] = ACTIONS(5271),
    [anon_sym_COLON_COLON] = ACTIONS(5273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5273),
    [anon_sym___declspec] = ACTIONS(5271),
    [anon_sym___based] = ACTIONS(5271),
    [anon_sym_signed] = ACTIONS(5271),
    [anon_sym_unsigned] = ACTIONS(5271),
    [anon_sym_long] = ACTIONS(5271),
    [anon_sym_short] = ACTIONS(5271),
    [anon_sym_LBRACK] = ACTIONS(5271),
    [anon_sym_static] = ACTIONS(5271),
    [anon_sym_register] = ACTIONS(5271),
    [anon_sym_inline] = ACTIONS(5271),
    [anon_sym___inline] = ACTIONS(5271),
    [anon_sym___inline__] = ACTIONS(5271),
    [anon_sym___forceinline] = ACTIONS(5271),
    [anon_sym_thread_local] = ACTIONS(5271),
    [anon_sym___thread] = ACTIONS(5271),
    [anon_sym_const] = ACTIONS(5271),
    [anon_sym_constexpr] = ACTIONS(5271),
    [anon_sym_volatile] = ACTIONS(5271),
    [anon_sym_restrict] = ACTIONS(5271),
    [anon_sym___restrict__] = ACTIONS(5271),
    [anon_sym__Atomic] = ACTIONS(5271),
    [anon_sym__Noreturn] = ACTIONS(5271),
    [anon_sym_noreturn] = ACTIONS(5271),
    [anon_sym__Nonnull] = ACTIONS(5271),
    [anon_sym_mutable] = ACTIONS(5271),
    [anon_sym_constinit] = ACTIONS(5271),
    [anon_sym_consteval] = ACTIONS(5271),
    [anon_sym_PROGMEM] = ACTIONS(5271),
    [anon_sym_alignas] = ACTIONS(5271),
    [anon_sym__Alignas] = ACTIONS(5271),
    [aux_sym_primitive_type_token1] = ACTIONS(5271),
    [anon_sym_byte] = ACTIONS(5271),
    [anon_sym_word] = ACTIONS(5271),
    [anon_sym_enum] = ACTIONS(5271),
    [anon_sym_class] = ACTIONS(5271),
    [anon_sym_struct] = ACTIONS(5271),
    [anon_sym_union] = ACTIONS(5271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5271),
    [anon_sym_decltype] = ACTIONS(5271),
    [anon_sym_explicit] = ACTIONS(5271),
    [anon_sym_typename] = ACTIONS(5271),
    [anon_sym_template] = ACTIONS(5271),
    [anon_sym_operator] = ACTIONS(5271),
    [anon_sym_friend] = ACTIONS(5271),
    [anon_sym_public] = ACTIONS(5271),
    [anon_sym_private] = ACTIONS(5271),
    [anon_sym_protected] = ACTIONS(5271),
    [anon_sym_using] = ACTIONS(5271),
    [anon_sym_static_assert] = ACTIONS(5271),
  },
  [1678] = {
    [sym_identifier] = ACTIONS(5271),
    [aux_sym_preproc_def_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token2] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5271),
    [aux_sym_preproc_else_token1] = ACTIONS(5271),
    [aux_sym_preproc_elif_token1] = ACTIONS(5271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5271),
    [sym_preproc_directive] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5273),
    [anon_sym_TILDE] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5273),
    [anon_sym_AMP_AMP] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5271),
    [anon_sym_SEMI] = ACTIONS(5273),
    [anon_sym___extension__] = ACTIONS(5271),
    [anon_sym_typedef] = ACTIONS(5271),
    [anon_sym_virtual] = ACTIONS(5271),
    [anon_sym_extern] = ACTIONS(5271),
    [anon_sym___attribute__] = ACTIONS(5271),
    [anon_sym_COLON_COLON] = ACTIONS(5273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5273),
    [anon_sym___declspec] = ACTIONS(5271),
    [anon_sym___based] = ACTIONS(5271),
    [anon_sym_signed] = ACTIONS(5271),
    [anon_sym_unsigned] = ACTIONS(5271),
    [anon_sym_long] = ACTIONS(5271),
    [anon_sym_short] = ACTIONS(5271),
    [anon_sym_LBRACK] = ACTIONS(5271),
    [anon_sym_static] = ACTIONS(5271),
    [anon_sym_register] = ACTIONS(5271),
    [anon_sym_inline] = ACTIONS(5271),
    [anon_sym___inline] = ACTIONS(5271),
    [anon_sym___inline__] = ACTIONS(5271),
    [anon_sym___forceinline] = ACTIONS(5271),
    [anon_sym_thread_local] = ACTIONS(5271),
    [anon_sym___thread] = ACTIONS(5271),
    [anon_sym_const] = ACTIONS(5271),
    [anon_sym_constexpr] = ACTIONS(5271),
    [anon_sym_volatile] = ACTIONS(5271),
    [anon_sym_restrict] = ACTIONS(5271),
    [anon_sym___restrict__] = ACTIONS(5271),
    [anon_sym__Atomic] = ACTIONS(5271),
    [anon_sym__Noreturn] = ACTIONS(5271),
    [anon_sym_noreturn] = ACTIONS(5271),
    [anon_sym__Nonnull] = ACTIONS(5271),
    [anon_sym_mutable] = ACTIONS(5271),
    [anon_sym_constinit] = ACTIONS(5271),
    [anon_sym_consteval] = ACTIONS(5271),
    [anon_sym_PROGMEM] = ACTIONS(5271),
    [anon_sym_alignas] = ACTIONS(5271),
    [anon_sym__Alignas] = ACTIONS(5271),
    [aux_sym_primitive_type_token1] = ACTIONS(5271),
    [anon_sym_byte] = ACTIONS(5271),
    [anon_sym_word] = ACTIONS(5271),
    [anon_sym_enum] = ACTIONS(5271),
    [anon_sym_class] = ACTIONS(5271),
    [anon_sym_struct] = ACTIONS(5271),
    [anon_sym_union] = ACTIONS(5271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5271),
    [anon_sym_decltype] = ACTIONS(5271),
    [anon_sym_explicit] = ACTIONS(5271),
    [anon_sym_typename] = ACTIONS(5271),
    [anon_sym_template] = ACTIONS(5271),
    [anon_sym_operator] = ACTIONS(5271),
    [anon_sym_friend] = ACTIONS(5271),
    [anon_sym_public] = ACTIONS(5271),
    [anon_sym_private] = ACTIONS(5271),
    [anon_sym_protected] = ACTIONS(5271),
    [anon_sym_using] = ACTIONS(5271),
    [anon_sym_static_assert] = ACTIONS(5271),
  },
  [1679] = {
    [sym_identifier] = ACTIONS(5275),
    [aux_sym_preproc_def_token1] = ACTIONS(5275),
    [aux_sym_preproc_if_token1] = ACTIONS(5275),
    [aux_sym_preproc_if_token2] = ACTIONS(5275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5275),
    [aux_sym_preproc_else_token1] = ACTIONS(5275),
    [aux_sym_preproc_elif_token1] = ACTIONS(5275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5275),
    [sym_preproc_directive] = ACTIONS(5275),
    [anon_sym_LPAREN2] = ACTIONS(5277),
    [anon_sym_TILDE] = ACTIONS(5277),
    [anon_sym_STAR] = ACTIONS(5277),
    [anon_sym_AMP_AMP] = ACTIONS(5277),
    [anon_sym_AMP] = ACTIONS(5275),
    [anon_sym_SEMI] = ACTIONS(5277),
    [anon_sym___extension__] = ACTIONS(5275),
    [anon_sym_typedef] = ACTIONS(5275),
    [anon_sym_virtual] = ACTIONS(5275),
    [anon_sym_extern] = ACTIONS(5275),
    [anon_sym___attribute__] = ACTIONS(5275),
    [anon_sym_COLON_COLON] = ACTIONS(5277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5277),
    [anon_sym___declspec] = ACTIONS(5275),
    [anon_sym___based] = ACTIONS(5275),
    [anon_sym_signed] = ACTIONS(5275),
    [anon_sym_unsigned] = ACTIONS(5275),
    [anon_sym_long] = ACTIONS(5275),
    [anon_sym_short] = ACTIONS(5275),
    [anon_sym_LBRACK] = ACTIONS(5275),
    [anon_sym_static] = ACTIONS(5275),
    [anon_sym_register] = ACTIONS(5275),
    [anon_sym_inline] = ACTIONS(5275),
    [anon_sym___inline] = ACTIONS(5275),
    [anon_sym___inline__] = ACTIONS(5275),
    [anon_sym___forceinline] = ACTIONS(5275),
    [anon_sym_thread_local] = ACTIONS(5275),
    [anon_sym___thread] = ACTIONS(5275),
    [anon_sym_const] = ACTIONS(5275),
    [anon_sym_constexpr] = ACTIONS(5275),
    [anon_sym_volatile] = ACTIONS(5275),
    [anon_sym_restrict] = ACTIONS(5275),
    [anon_sym___restrict__] = ACTIONS(5275),
    [anon_sym__Atomic] = ACTIONS(5275),
    [anon_sym__Noreturn] = ACTIONS(5275),
    [anon_sym_noreturn] = ACTIONS(5275),
    [anon_sym__Nonnull] = ACTIONS(5275),
    [anon_sym_mutable] = ACTIONS(5275),
    [anon_sym_constinit] = ACTIONS(5275),
    [anon_sym_consteval] = ACTIONS(5275),
    [anon_sym_PROGMEM] = ACTIONS(5275),
    [anon_sym_alignas] = ACTIONS(5275),
    [anon_sym__Alignas] = ACTIONS(5275),
    [aux_sym_primitive_type_token1] = ACTIONS(5275),
    [anon_sym_byte] = ACTIONS(5275),
    [anon_sym_word] = ACTIONS(5275),
    [anon_sym_enum] = ACTIONS(5275),
    [anon_sym_class] = ACTIONS(5275),
    [anon_sym_struct] = ACTIONS(5275),
    [anon_sym_union] = ACTIONS(5275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5275),
    [anon_sym_decltype] = ACTIONS(5275),
    [anon_sym_explicit] = ACTIONS(5275),
    [anon_sym_typename] = ACTIONS(5275),
    [anon_sym_template] = ACTIONS(5275),
    [anon_sym_operator] = ACTIONS(5275),
    [anon_sym_friend] = ACTIONS(5275),
    [anon_sym_public] = ACTIONS(5275),
    [anon_sym_private] = ACTIONS(5275),
    [anon_sym_protected] = ACTIONS(5275),
    [anon_sym_using] = ACTIONS(5275),
    [anon_sym_static_assert] = ACTIONS(5275),
  },
  [1680] = {
    [sym_identifier] = ACTIONS(5279),
    [aux_sym_preproc_def_token1] = ACTIONS(5279),
    [aux_sym_preproc_if_token1] = ACTIONS(5279),
    [aux_sym_preproc_if_token2] = ACTIONS(5279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5279),
    [aux_sym_preproc_else_token1] = ACTIONS(5279),
    [aux_sym_preproc_elif_token1] = ACTIONS(5279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5279),
    [sym_preproc_directive] = ACTIONS(5279),
    [anon_sym_LPAREN2] = ACTIONS(5281),
    [anon_sym_TILDE] = ACTIONS(5281),
    [anon_sym_STAR] = ACTIONS(5281),
    [anon_sym_AMP_AMP] = ACTIONS(5281),
    [anon_sym_AMP] = ACTIONS(5279),
    [anon_sym_SEMI] = ACTIONS(5281),
    [anon_sym___extension__] = ACTIONS(5279),
    [anon_sym_typedef] = ACTIONS(5279),
    [anon_sym_virtual] = ACTIONS(5279),
    [anon_sym_extern] = ACTIONS(5279),
    [anon_sym___attribute__] = ACTIONS(5279),
    [anon_sym_COLON_COLON] = ACTIONS(5281),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5281),
    [anon_sym___declspec] = ACTIONS(5279),
    [anon_sym___based] = ACTIONS(5279),
    [anon_sym_signed] = ACTIONS(5279),
    [anon_sym_unsigned] = ACTIONS(5279),
    [anon_sym_long] = ACTIONS(5279),
    [anon_sym_short] = ACTIONS(5279),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_static] = ACTIONS(5279),
    [anon_sym_register] = ACTIONS(5279),
    [anon_sym_inline] = ACTIONS(5279),
    [anon_sym___inline] = ACTIONS(5279),
    [anon_sym___inline__] = ACTIONS(5279),
    [anon_sym___forceinline] = ACTIONS(5279),
    [anon_sym_thread_local] = ACTIONS(5279),
    [anon_sym___thread] = ACTIONS(5279),
    [anon_sym_const] = ACTIONS(5279),
    [anon_sym_constexpr] = ACTIONS(5279),
    [anon_sym_volatile] = ACTIONS(5279),
    [anon_sym_restrict] = ACTIONS(5279),
    [anon_sym___restrict__] = ACTIONS(5279),
    [anon_sym__Atomic] = ACTIONS(5279),
    [anon_sym__Noreturn] = ACTIONS(5279),
    [anon_sym_noreturn] = ACTIONS(5279),
    [anon_sym__Nonnull] = ACTIONS(5279),
    [anon_sym_mutable] = ACTIONS(5279),
    [anon_sym_constinit] = ACTIONS(5279),
    [anon_sym_consteval] = ACTIONS(5279),
    [anon_sym_PROGMEM] = ACTIONS(5279),
    [anon_sym_alignas] = ACTIONS(5279),
    [anon_sym__Alignas] = ACTIONS(5279),
    [aux_sym_primitive_type_token1] = ACTIONS(5279),
    [anon_sym_byte] = ACTIONS(5279),
    [anon_sym_word] = ACTIONS(5279),
    [anon_sym_enum] = ACTIONS(5279),
    [anon_sym_class] = ACTIONS(5279),
    [anon_sym_struct] = ACTIONS(5279),
    [anon_sym_union] = ACTIONS(5279),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5279),
    [anon_sym_decltype] = ACTIONS(5279),
    [anon_sym_explicit] = ACTIONS(5279),
    [anon_sym_typename] = ACTIONS(5279),
    [anon_sym_template] = ACTIONS(5279),
    [anon_sym_operator] = ACTIONS(5279),
    [anon_sym_friend] = ACTIONS(5279),
    [anon_sym_public] = ACTIONS(5279),
    [anon_sym_private] = ACTIONS(5279),
    [anon_sym_protected] = ACTIONS(5279),
    [anon_sym_using] = ACTIONS(5279),
    [anon_sym_static_assert] = ACTIONS(5279),
  },
  [1681] = {
    [sym_identifier] = ACTIONS(3074),
    [aux_sym_preproc_def_token1] = ACTIONS(3074),
    [aux_sym_preproc_if_token1] = ACTIONS(3074),
    [aux_sym_preproc_if_token2] = ACTIONS(3074),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3074),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3074),
    [aux_sym_preproc_else_token1] = ACTIONS(3074),
    [aux_sym_preproc_elif_token1] = ACTIONS(3074),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3074),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3074),
    [sym_preproc_directive] = ACTIONS(3074),
    [anon_sym_LPAREN2] = ACTIONS(3076),
    [anon_sym_TILDE] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym___extension__] = ACTIONS(3074),
    [anon_sym_typedef] = ACTIONS(3074),
    [anon_sym_virtual] = ACTIONS(3074),
    [anon_sym_extern] = ACTIONS(3074),
    [anon_sym___attribute__] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3076),
    [anon_sym___declspec] = ACTIONS(3074),
    [anon_sym___based] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3074),
    [anon_sym_unsigned] = ACTIONS(3074),
    [anon_sym_long] = ACTIONS(3074),
    [anon_sym_short] = ACTIONS(3074),
    [anon_sym_LBRACK] = ACTIONS(3074),
    [anon_sym_static] = ACTIONS(3074),
    [anon_sym_register] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym___inline] = ACTIONS(3074),
    [anon_sym___inline__] = ACTIONS(3074),
    [anon_sym___forceinline] = ACTIONS(3074),
    [anon_sym_thread_local] = ACTIONS(3074),
    [anon_sym___thread] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_constexpr] = ACTIONS(3074),
    [anon_sym_volatile] = ACTIONS(3074),
    [anon_sym_restrict] = ACTIONS(3074),
    [anon_sym___restrict__] = ACTIONS(3074),
    [anon_sym__Atomic] = ACTIONS(3074),
    [anon_sym__Noreturn] = ACTIONS(3074),
    [anon_sym_noreturn] = ACTIONS(3074),
    [anon_sym__Nonnull] = ACTIONS(3074),
    [anon_sym_mutable] = ACTIONS(3074),
    [anon_sym_constinit] = ACTIONS(3074),
    [anon_sym_consteval] = ACTIONS(3074),
    [anon_sym_PROGMEM] = ACTIONS(3074),
    [anon_sym_alignas] = ACTIONS(3074),
    [anon_sym__Alignas] = ACTIONS(3074),
    [aux_sym_primitive_type_token1] = ACTIONS(3074),
    [anon_sym_byte] = ACTIONS(3074),
    [anon_sym_word] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_class] = ACTIONS(3074),
    [anon_sym_struct] = ACTIONS(3074),
    [anon_sym_union] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3074),
    [anon_sym_explicit] = ACTIONS(3074),
    [anon_sym_typename] = ACTIONS(3074),
    [anon_sym_template] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_friend] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_using] = ACTIONS(3074),
    [anon_sym_static_assert] = ACTIONS(3074),
  },
  [1682] = {
    [sym_identifier] = ACTIONS(5283),
    [aux_sym_preproc_def_token1] = ACTIONS(5283),
    [aux_sym_preproc_if_token1] = ACTIONS(5283),
    [aux_sym_preproc_if_token2] = ACTIONS(5283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5283),
    [aux_sym_preproc_else_token1] = ACTIONS(5283),
    [aux_sym_preproc_elif_token1] = ACTIONS(5283),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5283),
    [sym_preproc_directive] = ACTIONS(5283),
    [anon_sym_LPAREN2] = ACTIONS(5285),
    [anon_sym_TILDE] = ACTIONS(5285),
    [anon_sym_STAR] = ACTIONS(5285),
    [anon_sym_AMP_AMP] = ACTIONS(5285),
    [anon_sym_AMP] = ACTIONS(5283),
    [anon_sym_SEMI] = ACTIONS(5285),
    [anon_sym___extension__] = ACTIONS(5283),
    [anon_sym_typedef] = ACTIONS(5283),
    [anon_sym_virtual] = ACTIONS(5283),
    [anon_sym_extern] = ACTIONS(5283),
    [anon_sym___attribute__] = ACTIONS(5283),
    [anon_sym_COLON_COLON] = ACTIONS(5285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5285),
    [anon_sym___declspec] = ACTIONS(5283),
    [anon_sym___based] = ACTIONS(5283),
    [anon_sym_signed] = ACTIONS(5283),
    [anon_sym_unsigned] = ACTIONS(5283),
    [anon_sym_long] = ACTIONS(5283),
    [anon_sym_short] = ACTIONS(5283),
    [anon_sym_LBRACK] = ACTIONS(5283),
    [anon_sym_static] = ACTIONS(5283),
    [anon_sym_register] = ACTIONS(5283),
    [anon_sym_inline] = ACTIONS(5283),
    [anon_sym___inline] = ACTIONS(5283),
    [anon_sym___inline__] = ACTIONS(5283),
    [anon_sym___forceinline] = ACTIONS(5283),
    [anon_sym_thread_local] = ACTIONS(5283),
    [anon_sym___thread] = ACTIONS(5283),
    [anon_sym_const] = ACTIONS(5283),
    [anon_sym_constexpr] = ACTIONS(5283),
    [anon_sym_volatile] = ACTIONS(5283),
    [anon_sym_restrict] = ACTIONS(5283),
    [anon_sym___restrict__] = ACTIONS(5283),
    [anon_sym__Atomic] = ACTIONS(5283),
    [anon_sym__Noreturn] = ACTIONS(5283),
    [anon_sym_noreturn] = ACTIONS(5283),
    [anon_sym__Nonnull] = ACTIONS(5283),
    [anon_sym_mutable] = ACTIONS(5283),
    [anon_sym_constinit] = ACTIONS(5283),
    [anon_sym_consteval] = ACTIONS(5283),
    [anon_sym_PROGMEM] = ACTIONS(5283),
    [anon_sym_alignas] = ACTIONS(5283),
    [anon_sym__Alignas] = ACTIONS(5283),
    [aux_sym_primitive_type_token1] = ACTIONS(5283),
    [anon_sym_byte] = ACTIONS(5283),
    [anon_sym_word] = ACTIONS(5283),
    [anon_sym_enum] = ACTIONS(5283),
    [anon_sym_class] = ACTIONS(5283),
    [anon_sym_struct] = ACTIONS(5283),
    [anon_sym_union] = ACTIONS(5283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5283),
    [anon_sym_decltype] = ACTIONS(5283),
    [anon_sym_explicit] = ACTIONS(5283),
    [anon_sym_typename] = ACTIONS(5283),
    [anon_sym_template] = ACTIONS(5283),
    [anon_sym_operator] = ACTIONS(5283),
    [anon_sym_friend] = ACTIONS(5283),
    [anon_sym_public] = ACTIONS(5283),
    [anon_sym_private] = ACTIONS(5283),
    [anon_sym_protected] = ACTIONS(5283),
    [anon_sym_using] = ACTIONS(5283),
    [anon_sym_static_assert] = ACTIONS(5283),
  },
  [1683] = {
    [sym_identifier] = ACTIONS(5287),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5289),
    [anon_sym_COMMA] = ACTIONS(5289),
    [anon_sym_RPAREN] = ACTIONS(5289),
    [anon_sym_LPAREN2] = ACTIONS(5289),
    [anon_sym_DASH] = ACTIONS(5287),
    [anon_sym_PLUS] = ACTIONS(5287),
    [anon_sym_STAR] = ACTIONS(5289),
    [anon_sym_SLASH] = ACTIONS(5287),
    [anon_sym_PERCENT] = ACTIONS(5289),
    [anon_sym_PIPE_PIPE] = ACTIONS(5289),
    [anon_sym_AMP_AMP] = ACTIONS(5289),
    [anon_sym_PIPE] = ACTIONS(5287),
    [anon_sym_CARET] = ACTIONS(5289),
    [anon_sym_AMP] = ACTIONS(5287),
    [anon_sym_EQ_EQ] = ACTIONS(5289),
    [anon_sym_BANG_EQ] = ACTIONS(5289),
    [anon_sym_GT] = ACTIONS(5287),
    [anon_sym_GT_EQ] = ACTIONS(5289),
    [anon_sym_LT_EQ] = ACTIONS(5287),
    [anon_sym_LT] = ACTIONS(5287),
    [anon_sym_LT_LT] = ACTIONS(5289),
    [anon_sym_GT_GT] = ACTIONS(5289),
    [anon_sym_SEMI] = ACTIONS(5289),
    [anon_sym___extension__] = ACTIONS(5287),
    [anon_sym___attribute__] = ACTIONS(5287),
    [anon_sym_COLON_COLON] = ACTIONS(5289),
    [anon_sym___based] = ACTIONS(5287),
    [anon_sym_LBRACE] = ACTIONS(5289),
    [anon_sym_RBRACE] = ACTIONS(5289),
    [anon_sym_signed] = ACTIONS(5287),
    [anon_sym_unsigned] = ACTIONS(5287),
    [anon_sym_long] = ACTIONS(5287),
    [anon_sym_short] = ACTIONS(5287),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_RBRACK] = ACTIONS(5289),
    [anon_sym_const] = ACTIONS(5287),
    [anon_sym_constexpr] = ACTIONS(5287),
    [anon_sym_volatile] = ACTIONS(5287),
    [anon_sym_restrict] = ACTIONS(5287),
    [anon_sym___restrict__] = ACTIONS(5287),
    [anon_sym__Atomic] = ACTIONS(5287),
    [anon_sym__Noreturn] = ACTIONS(5287),
    [anon_sym_noreturn] = ACTIONS(5287),
    [anon_sym__Nonnull] = ACTIONS(5287),
    [anon_sym_mutable] = ACTIONS(5287),
    [anon_sym_constinit] = ACTIONS(5287),
    [anon_sym_consteval] = ACTIONS(5287),
    [anon_sym_PROGMEM] = ACTIONS(5287),
    [anon_sym_alignas] = ACTIONS(5287),
    [anon_sym__Alignas] = ACTIONS(5287),
    [aux_sym_primitive_type_token1] = ACTIONS(5287),
    [anon_sym_byte] = ACTIONS(5287),
    [anon_sym_word] = ACTIONS(5287),
    [anon_sym_COLON] = ACTIONS(5287),
    [anon_sym_QMARK] = ACTIONS(5289),
    [anon_sym_LT_EQ_GT] = ACTIONS(5289),
    [anon_sym_or] = ACTIONS(5287),
    [anon_sym_and] = ACTIONS(5287),
    [anon_sym_bitor] = ACTIONS(5287),
    [anon_sym_xor] = ACTIONS(5287),
    [anon_sym_bitand] = ACTIONS(5287),
    [anon_sym_not_eq] = ACTIONS(5287),
    [anon_sym_DASH_DASH] = ACTIONS(5289),
    [anon_sym_PLUS_PLUS] = ACTIONS(5289),
    [anon_sym_DOT] = ACTIONS(5287),
    [anon_sym_DOT_STAR] = ACTIONS(5289),
    [anon_sym_DASH_GT] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5287),
    [anon_sym_decltype] = ACTIONS(5287),
    [anon_sym_final] = ACTIONS(5287),
    [anon_sym_override] = ACTIONS(5287),
    [anon_sym_requires] = ACTIONS(5287),
  },
  [1684] = {
    [sym_identifier] = ACTIONS(5291),
    [aux_sym_preproc_def_token1] = ACTIONS(5291),
    [aux_sym_preproc_if_token1] = ACTIONS(5291),
    [aux_sym_preproc_if_token2] = ACTIONS(5291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5291),
    [aux_sym_preproc_else_token1] = ACTIONS(5291),
    [aux_sym_preproc_elif_token1] = ACTIONS(5291),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5291),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5291),
    [sym_preproc_directive] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5293),
    [anon_sym_TILDE] = ACTIONS(5293),
    [anon_sym_STAR] = ACTIONS(5293),
    [anon_sym_AMP_AMP] = ACTIONS(5293),
    [anon_sym_AMP] = ACTIONS(5291),
    [anon_sym_SEMI] = ACTIONS(5293),
    [anon_sym___extension__] = ACTIONS(5291),
    [anon_sym_typedef] = ACTIONS(5291),
    [anon_sym_virtual] = ACTIONS(5291),
    [anon_sym_extern] = ACTIONS(5291),
    [anon_sym___attribute__] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5293),
    [anon_sym___declspec] = ACTIONS(5291),
    [anon_sym___based] = ACTIONS(5291),
    [anon_sym_signed] = ACTIONS(5291),
    [anon_sym_unsigned] = ACTIONS(5291),
    [anon_sym_long] = ACTIONS(5291),
    [anon_sym_short] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5291),
    [anon_sym_static] = ACTIONS(5291),
    [anon_sym_register] = ACTIONS(5291),
    [anon_sym_inline] = ACTIONS(5291),
    [anon_sym___inline] = ACTIONS(5291),
    [anon_sym___inline__] = ACTIONS(5291),
    [anon_sym___forceinline] = ACTIONS(5291),
    [anon_sym_thread_local] = ACTIONS(5291),
    [anon_sym___thread] = ACTIONS(5291),
    [anon_sym_const] = ACTIONS(5291),
    [anon_sym_constexpr] = ACTIONS(5291),
    [anon_sym_volatile] = ACTIONS(5291),
    [anon_sym_restrict] = ACTIONS(5291),
    [anon_sym___restrict__] = ACTIONS(5291),
    [anon_sym__Atomic] = ACTIONS(5291),
    [anon_sym__Noreturn] = ACTIONS(5291),
    [anon_sym_noreturn] = ACTIONS(5291),
    [anon_sym__Nonnull] = ACTIONS(5291),
    [anon_sym_mutable] = ACTIONS(5291),
    [anon_sym_constinit] = ACTIONS(5291),
    [anon_sym_consteval] = ACTIONS(5291),
    [anon_sym_PROGMEM] = ACTIONS(5291),
    [anon_sym_alignas] = ACTIONS(5291),
    [anon_sym__Alignas] = ACTIONS(5291),
    [aux_sym_primitive_type_token1] = ACTIONS(5291),
    [anon_sym_byte] = ACTIONS(5291),
    [anon_sym_word] = ACTIONS(5291),
    [anon_sym_enum] = ACTIONS(5291),
    [anon_sym_class] = ACTIONS(5291),
    [anon_sym_struct] = ACTIONS(5291),
    [anon_sym_union] = ACTIONS(5291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5291),
    [anon_sym_decltype] = ACTIONS(5291),
    [anon_sym_explicit] = ACTIONS(5291),
    [anon_sym_typename] = ACTIONS(5291),
    [anon_sym_template] = ACTIONS(5291),
    [anon_sym_operator] = ACTIONS(5291),
    [anon_sym_friend] = ACTIONS(5291),
    [anon_sym_public] = ACTIONS(5291),
    [anon_sym_private] = ACTIONS(5291),
    [anon_sym_protected] = ACTIONS(5291),
    [anon_sym_using] = ACTIONS(5291),
    [anon_sym_static_assert] = ACTIONS(5291),
  },
  [1685] = {
    [sym_identifier] = ACTIONS(5295),
    [aux_sym_preproc_def_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token2] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5295),
    [aux_sym_preproc_else_token1] = ACTIONS(5295),
    [aux_sym_preproc_elif_token1] = ACTIONS(5295),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5295),
    [sym_preproc_directive] = ACTIONS(5295),
    [anon_sym_LPAREN2] = ACTIONS(5297),
    [anon_sym_TILDE] = ACTIONS(5297),
    [anon_sym_STAR] = ACTIONS(5297),
    [anon_sym_AMP_AMP] = ACTIONS(5297),
    [anon_sym_AMP] = ACTIONS(5295),
    [anon_sym_SEMI] = ACTIONS(5297),
    [anon_sym___extension__] = ACTIONS(5295),
    [anon_sym_typedef] = ACTIONS(5295),
    [anon_sym_virtual] = ACTIONS(5295),
    [anon_sym_extern] = ACTIONS(5295),
    [anon_sym___attribute__] = ACTIONS(5295),
    [anon_sym_COLON_COLON] = ACTIONS(5297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5297),
    [anon_sym___declspec] = ACTIONS(5295),
    [anon_sym___based] = ACTIONS(5295),
    [anon_sym_signed] = ACTIONS(5295),
    [anon_sym_unsigned] = ACTIONS(5295),
    [anon_sym_long] = ACTIONS(5295),
    [anon_sym_short] = ACTIONS(5295),
    [anon_sym_LBRACK] = ACTIONS(5295),
    [anon_sym_static] = ACTIONS(5295),
    [anon_sym_register] = ACTIONS(5295),
    [anon_sym_inline] = ACTIONS(5295),
    [anon_sym___inline] = ACTIONS(5295),
    [anon_sym___inline__] = ACTIONS(5295),
    [anon_sym___forceinline] = ACTIONS(5295),
    [anon_sym_thread_local] = ACTIONS(5295),
    [anon_sym___thread] = ACTIONS(5295),
    [anon_sym_const] = ACTIONS(5295),
    [anon_sym_constexpr] = ACTIONS(5295),
    [anon_sym_volatile] = ACTIONS(5295),
    [anon_sym_restrict] = ACTIONS(5295),
    [anon_sym___restrict__] = ACTIONS(5295),
    [anon_sym__Atomic] = ACTIONS(5295),
    [anon_sym__Noreturn] = ACTIONS(5295),
    [anon_sym_noreturn] = ACTIONS(5295),
    [anon_sym__Nonnull] = ACTIONS(5295),
    [anon_sym_mutable] = ACTIONS(5295),
    [anon_sym_constinit] = ACTIONS(5295),
    [anon_sym_consteval] = ACTIONS(5295),
    [anon_sym_PROGMEM] = ACTIONS(5295),
    [anon_sym_alignas] = ACTIONS(5295),
    [anon_sym__Alignas] = ACTIONS(5295),
    [aux_sym_primitive_type_token1] = ACTIONS(5295),
    [anon_sym_byte] = ACTIONS(5295),
    [anon_sym_word] = ACTIONS(5295),
    [anon_sym_enum] = ACTIONS(5295),
    [anon_sym_class] = ACTIONS(5295),
    [anon_sym_struct] = ACTIONS(5295),
    [anon_sym_union] = ACTIONS(5295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5295),
    [anon_sym_decltype] = ACTIONS(5295),
    [anon_sym_explicit] = ACTIONS(5295),
    [anon_sym_typename] = ACTIONS(5295),
    [anon_sym_template] = ACTIONS(5295),
    [anon_sym_operator] = ACTIONS(5295),
    [anon_sym_friend] = ACTIONS(5295),
    [anon_sym_public] = ACTIONS(5295),
    [anon_sym_private] = ACTIONS(5295),
    [anon_sym_protected] = ACTIONS(5295),
    [anon_sym_using] = ACTIONS(5295),
    [anon_sym_static_assert] = ACTIONS(5295),
  },
  [1686] = {
    [sym_identifier] = ACTIONS(5299),
    [aux_sym_preproc_def_token1] = ACTIONS(5299),
    [aux_sym_preproc_if_token1] = ACTIONS(5299),
    [aux_sym_preproc_if_token2] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5299),
    [aux_sym_preproc_else_token1] = ACTIONS(5299),
    [aux_sym_preproc_elif_token1] = ACTIONS(5299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5299),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5299),
    [sym_preproc_directive] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5301),
    [anon_sym_TILDE] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_AMP_AMP] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5299),
    [anon_sym_SEMI] = ACTIONS(5301),
    [anon_sym___extension__] = ACTIONS(5299),
    [anon_sym_typedef] = ACTIONS(5299),
    [anon_sym_virtual] = ACTIONS(5299),
    [anon_sym_extern] = ACTIONS(5299),
    [anon_sym___attribute__] = ACTIONS(5299),
    [anon_sym_COLON_COLON] = ACTIONS(5301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5301),
    [anon_sym___declspec] = ACTIONS(5299),
    [anon_sym___based] = ACTIONS(5299),
    [anon_sym_signed] = ACTIONS(5299),
    [anon_sym_unsigned] = ACTIONS(5299),
    [anon_sym_long] = ACTIONS(5299),
    [anon_sym_short] = ACTIONS(5299),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_static] = ACTIONS(5299),
    [anon_sym_register] = ACTIONS(5299),
    [anon_sym_inline] = ACTIONS(5299),
    [anon_sym___inline] = ACTIONS(5299),
    [anon_sym___inline__] = ACTIONS(5299),
    [anon_sym___forceinline] = ACTIONS(5299),
    [anon_sym_thread_local] = ACTIONS(5299),
    [anon_sym___thread] = ACTIONS(5299),
    [anon_sym_const] = ACTIONS(5299),
    [anon_sym_constexpr] = ACTIONS(5299),
    [anon_sym_volatile] = ACTIONS(5299),
    [anon_sym_restrict] = ACTIONS(5299),
    [anon_sym___restrict__] = ACTIONS(5299),
    [anon_sym__Atomic] = ACTIONS(5299),
    [anon_sym__Noreturn] = ACTIONS(5299),
    [anon_sym_noreturn] = ACTIONS(5299),
    [anon_sym__Nonnull] = ACTIONS(5299),
    [anon_sym_mutable] = ACTIONS(5299),
    [anon_sym_constinit] = ACTIONS(5299),
    [anon_sym_consteval] = ACTIONS(5299),
    [anon_sym_PROGMEM] = ACTIONS(5299),
    [anon_sym_alignas] = ACTIONS(5299),
    [anon_sym__Alignas] = ACTIONS(5299),
    [aux_sym_primitive_type_token1] = ACTIONS(5299),
    [anon_sym_byte] = ACTIONS(5299),
    [anon_sym_word] = ACTIONS(5299),
    [anon_sym_enum] = ACTIONS(5299),
    [anon_sym_class] = ACTIONS(5299),
    [anon_sym_struct] = ACTIONS(5299),
    [anon_sym_union] = ACTIONS(5299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5299),
    [anon_sym_decltype] = ACTIONS(5299),
    [anon_sym_explicit] = ACTIONS(5299),
    [anon_sym_typename] = ACTIONS(5299),
    [anon_sym_template] = ACTIONS(5299),
    [anon_sym_operator] = ACTIONS(5299),
    [anon_sym_friend] = ACTIONS(5299),
    [anon_sym_public] = ACTIONS(5299),
    [anon_sym_private] = ACTIONS(5299),
    [anon_sym_protected] = ACTIONS(5299),
    [anon_sym_using] = ACTIONS(5299),
    [anon_sym_static_assert] = ACTIONS(5299),
  },
  [1687] = {
    [sym_identifier] = ACTIONS(5299),
    [aux_sym_preproc_def_token1] = ACTIONS(5299),
    [aux_sym_preproc_if_token1] = ACTIONS(5299),
    [aux_sym_preproc_if_token2] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5299),
    [aux_sym_preproc_else_token1] = ACTIONS(5299),
    [aux_sym_preproc_elif_token1] = ACTIONS(5299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5299),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5299),
    [sym_preproc_directive] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5301),
    [anon_sym_TILDE] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_AMP_AMP] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5299),
    [anon_sym_SEMI] = ACTIONS(5301),
    [anon_sym___extension__] = ACTIONS(5299),
    [anon_sym_typedef] = ACTIONS(5299),
    [anon_sym_virtual] = ACTIONS(5299),
    [anon_sym_extern] = ACTIONS(5299),
    [anon_sym___attribute__] = ACTIONS(5299),
    [anon_sym_COLON_COLON] = ACTIONS(5301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5301),
    [anon_sym___declspec] = ACTIONS(5299),
    [anon_sym___based] = ACTIONS(5299),
    [anon_sym_signed] = ACTIONS(5299),
    [anon_sym_unsigned] = ACTIONS(5299),
    [anon_sym_long] = ACTIONS(5299),
    [anon_sym_short] = ACTIONS(5299),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_static] = ACTIONS(5299),
    [anon_sym_register] = ACTIONS(5299),
    [anon_sym_inline] = ACTIONS(5299),
    [anon_sym___inline] = ACTIONS(5299),
    [anon_sym___inline__] = ACTIONS(5299),
    [anon_sym___forceinline] = ACTIONS(5299),
    [anon_sym_thread_local] = ACTIONS(5299),
    [anon_sym___thread] = ACTIONS(5299),
    [anon_sym_const] = ACTIONS(5299),
    [anon_sym_constexpr] = ACTIONS(5299),
    [anon_sym_volatile] = ACTIONS(5299),
    [anon_sym_restrict] = ACTIONS(5299),
    [anon_sym___restrict__] = ACTIONS(5299),
    [anon_sym__Atomic] = ACTIONS(5299),
    [anon_sym__Noreturn] = ACTIONS(5299),
    [anon_sym_noreturn] = ACTIONS(5299),
    [anon_sym__Nonnull] = ACTIONS(5299),
    [anon_sym_mutable] = ACTIONS(5299),
    [anon_sym_constinit] = ACTIONS(5299),
    [anon_sym_consteval] = ACTIONS(5299),
    [anon_sym_PROGMEM] = ACTIONS(5299),
    [anon_sym_alignas] = ACTIONS(5299),
    [anon_sym__Alignas] = ACTIONS(5299),
    [aux_sym_primitive_type_token1] = ACTIONS(5299),
    [anon_sym_byte] = ACTIONS(5299),
    [anon_sym_word] = ACTIONS(5299),
    [anon_sym_enum] = ACTIONS(5299),
    [anon_sym_class] = ACTIONS(5299),
    [anon_sym_struct] = ACTIONS(5299),
    [anon_sym_union] = ACTIONS(5299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5299),
    [anon_sym_decltype] = ACTIONS(5299),
    [anon_sym_explicit] = ACTIONS(5299),
    [anon_sym_typename] = ACTIONS(5299),
    [anon_sym_template] = ACTIONS(5299),
    [anon_sym_operator] = ACTIONS(5299),
    [anon_sym_friend] = ACTIONS(5299),
    [anon_sym_public] = ACTIONS(5299),
    [anon_sym_private] = ACTIONS(5299),
    [anon_sym_protected] = ACTIONS(5299),
    [anon_sym_using] = ACTIONS(5299),
    [anon_sym_static_assert] = ACTIONS(5299),
  },
  [1688] = {
    [sym_identifier] = ACTIONS(5303),
    [aux_sym_preproc_def_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token2] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5303),
    [aux_sym_preproc_else_token1] = ACTIONS(5303),
    [aux_sym_preproc_elif_token1] = ACTIONS(5303),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5303),
    [sym_preproc_directive] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5305),
    [anon_sym_TILDE] = ACTIONS(5305),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_AMP] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym___extension__] = ACTIONS(5303),
    [anon_sym_typedef] = ACTIONS(5303),
    [anon_sym_virtual] = ACTIONS(5303),
    [anon_sym_extern] = ACTIONS(5303),
    [anon_sym___attribute__] = ACTIONS(5303),
    [anon_sym_COLON_COLON] = ACTIONS(5305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5305),
    [anon_sym___declspec] = ACTIONS(5303),
    [anon_sym___based] = ACTIONS(5303),
    [anon_sym_signed] = ACTIONS(5303),
    [anon_sym_unsigned] = ACTIONS(5303),
    [anon_sym_long] = ACTIONS(5303),
    [anon_sym_short] = ACTIONS(5303),
    [anon_sym_LBRACK] = ACTIONS(5303),
    [anon_sym_static] = ACTIONS(5303),
    [anon_sym_register] = ACTIONS(5303),
    [anon_sym_inline] = ACTIONS(5303),
    [anon_sym___inline] = ACTIONS(5303),
    [anon_sym___inline__] = ACTIONS(5303),
    [anon_sym___forceinline] = ACTIONS(5303),
    [anon_sym_thread_local] = ACTIONS(5303),
    [anon_sym___thread] = ACTIONS(5303),
    [anon_sym_const] = ACTIONS(5303),
    [anon_sym_constexpr] = ACTIONS(5303),
    [anon_sym_volatile] = ACTIONS(5303),
    [anon_sym_restrict] = ACTIONS(5303),
    [anon_sym___restrict__] = ACTIONS(5303),
    [anon_sym__Atomic] = ACTIONS(5303),
    [anon_sym__Noreturn] = ACTIONS(5303),
    [anon_sym_noreturn] = ACTIONS(5303),
    [anon_sym__Nonnull] = ACTIONS(5303),
    [anon_sym_mutable] = ACTIONS(5303),
    [anon_sym_constinit] = ACTIONS(5303),
    [anon_sym_consteval] = ACTIONS(5303),
    [anon_sym_PROGMEM] = ACTIONS(5303),
    [anon_sym_alignas] = ACTIONS(5303),
    [anon_sym__Alignas] = ACTIONS(5303),
    [aux_sym_primitive_type_token1] = ACTIONS(5303),
    [anon_sym_byte] = ACTIONS(5303),
    [anon_sym_word] = ACTIONS(5303),
    [anon_sym_enum] = ACTIONS(5303),
    [anon_sym_class] = ACTIONS(5303),
    [anon_sym_struct] = ACTIONS(5303),
    [anon_sym_union] = ACTIONS(5303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5303),
    [anon_sym_decltype] = ACTIONS(5303),
    [anon_sym_explicit] = ACTIONS(5303),
    [anon_sym_typename] = ACTIONS(5303),
    [anon_sym_template] = ACTIONS(5303),
    [anon_sym_operator] = ACTIONS(5303),
    [anon_sym_friend] = ACTIONS(5303),
    [anon_sym_public] = ACTIONS(5303),
    [anon_sym_private] = ACTIONS(5303),
    [anon_sym_protected] = ACTIONS(5303),
    [anon_sym_using] = ACTIONS(5303),
    [anon_sym_static_assert] = ACTIONS(5303),
  },
  [1689] = {
    [sym_identifier] = ACTIONS(5307),
    [aux_sym_preproc_def_token1] = ACTIONS(5307),
    [aux_sym_preproc_if_token1] = ACTIONS(5307),
    [aux_sym_preproc_if_token2] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5307),
    [aux_sym_preproc_else_token1] = ACTIONS(5307),
    [aux_sym_preproc_elif_token1] = ACTIONS(5307),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5307),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5307),
    [sym_preproc_directive] = ACTIONS(5307),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_TILDE] = ACTIONS(5309),
    [anon_sym_STAR] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_SEMI] = ACTIONS(5309),
    [anon_sym___extension__] = ACTIONS(5307),
    [anon_sym_typedef] = ACTIONS(5307),
    [anon_sym_virtual] = ACTIONS(5307),
    [anon_sym_extern] = ACTIONS(5307),
    [anon_sym___attribute__] = ACTIONS(5307),
    [anon_sym_COLON_COLON] = ACTIONS(5309),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5309),
    [anon_sym___declspec] = ACTIONS(5307),
    [anon_sym___based] = ACTIONS(5307),
    [anon_sym_signed] = ACTIONS(5307),
    [anon_sym_unsigned] = ACTIONS(5307),
    [anon_sym_long] = ACTIONS(5307),
    [anon_sym_short] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5307),
    [anon_sym_static] = ACTIONS(5307),
    [anon_sym_register] = ACTIONS(5307),
    [anon_sym_inline] = ACTIONS(5307),
    [anon_sym___inline] = ACTIONS(5307),
    [anon_sym___inline__] = ACTIONS(5307),
    [anon_sym___forceinline] = ACTIONS(5307),
    [anon_sym_thread_local] = ACTIONS(5307),
    [anon_sym___thread] = ACTIONS(5307),
    [anon_sym_const] = ACTIONS(5307),
    [anon_sym_constexpr] = ACTIONS(5307),
    [anon_sym_volatile] = ACTIONS(5307),
    [anon_sym_restrict] = ACTIONS(5307),
    [anon_sym___restrict__] = ACTIONS(5307),
    [anon_sym__Atomic] = ACTIONS(5307),
    [anon_sym__Noreturn] = ACTIONS(5307),
    [anon_sym_noreturn] = ACTIONS(5307),
    [anon_sym__Nonnull] = ACTIONS(5307),
    [anon_sym_mutable] = ACTIONS(5307),
    [anon_sym_constinit] = ACTIONS(5307),
    [anon_sym_consteval] = ACTIONS(5307),
    [anon_sym_PROGMEM] = ACTIONS(5307),
    [anon_sym_alignas] = ACTIONS(5307),
    [anon_sym__Alignas] = ACTIONS(5307),
    [aux_sym_primitive_type_token1] = ACTIONS(5307),
    [anon_sym_byte] = ACTIONS(5307),
    [anon_sym_word] = ACTIONS(5307),
    [anon_sym_enum] = ACTIONS(5307),
    [anon_sym_class] = ACTIONS(5307),
    [anon_sym_struct] = ACTIONS(5307),
    [anon_sym_union] = ACTIONS(5307),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5307),
    [anon_sym_decltype] = ACTIONS(5307),
    [anon_sym_explicit] = ACTIONS(5307),
    [anon_sym_typename] = ACTIONS(5307),
    [anon_sym_template] = ACTIONS(5307),
    [anon_sym_operator] = ACTIONS(5307),
    [anon_sym_friend] = ACTIONS(5307),
    [anon_sym_public] = ACTIONS(5307),
    [anon_sym_private] = ACTIONS(5307),
    [anon_sym_protected] = ACTIONS(5307),
    [anon_sym_using] = ACTIONS(5307),
    [anon_sym_static_assert] = ACTIONS(5307),
  },
  [1690] = {
    [sym_identifier] = ACTIONS(5311),
    [aux_sym_preproc_def_token1] = ACTIONS(5311),
    [aux_sym_preproc_if_token1] = ACTIONS(5311),
    [aux_sym_preproc_if_token2] = ACTIONS(5311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5311),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5311),
    [aux_sym_preproc_else_token1] = ACTIONS(5311),
    [aux_sym_preproc_elif_token1] = ACTIONS(5311),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5311),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5311),
    [sym_preproc_directive] = ACTIONS(5311),
    [anon_sym_LPAREN2] = ACTIONS(5313),
    [anon_sym_TILDE] = ACTIONS(5313),
    [anon_sym_STAR] = ACTIONS(5313),
    [anon_sym_AMP_AMP] = ACTIONS(5313),
    [anon_sym_AMP] = ACTIONS(5311),
    [anon_sym_SEMI] = ACTIONS(5313),
    [anon_sym___extension__] = ACTIONS(5311),
    [anon_sym_typedef] = ACTIONS(5311),
    [anon_sym_virtual] = ACTIONS(5311),
    [anon_sym_extern] = ACTIONS(5311),
    [anon_sym___attribute__] = ACTIONS(5311),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5313),
    [anon_sym___declspec] = ACTIONS(5311),
    [anon_sym___based] = ACTIONS(5311),
    [anon_sym_signed] = ACTIONS(5311),
    [anon_sym_unsigned] = ACTIONS(5311),
    [anon_sym_long] = ACTIONS(5311),
    [anon_sym_short] = ACTIONS(5311),
    [anon_sym_LBRACK] = ACTIONS(5311),
    [anon_sym_static] = ACTIONS(5311),
    [anon_sym_register] = ACTIONS(5311),
    [anon_sym_inline] = ACTIONS(5311),
    [anon_sym___inline] = ACTIONS(5311),
    [anon_sym___inline__] = ACTIONS(5311),
    [anon_sym___forceinline] = ACTIONS(5311),
    [anon_sym_thread_local] = ACTIONS(5311),
    [anon_sym___thread] = ACTIONS(5311),
    [anon_sym_const] = ACTIONS(5311),
    [anon_sym_constexpr] = ACTIONS(5311),
    [anon_sym_volatile] = ACTIONS(5311),
    [anon_sym_restrict] = ACTIONS(5311),
    [anon_sym___restrict__] = ACTIONS(5311),
    [anon_sym__Atomic] = ACTIONS(5311),
    [anon_sym__Noreturn] = ACTIONS(5311),
    [anon_sym_noreturn] = ACTIONS(5311),
    [anon_sym__Nonnull] = ACTIONS(5311),
    [anon_sym_mutable] = ACTIONS(5311),
    [anon_sym_constinit] = ACTIONS(5311),
    [anon_sym_consteval] = ACTIONS(5311),
    [anon_sym_PROGMEM] = ACTIONS(5311),
    [anon_sym_alignas] = ACTIONS(5311),
    [anon_sym__Alignas] = ACTIONS(5311),
    [aux_sym_primitive_type_token1] = ACTIONS(5311),
    [anon_sym_byte] = ACTIONS(5311),
    [anon_sym_word] = ACTIONS(5311),
    [anon_sym_enum] = ACTIONS(5311),
    [anon_sym_class] = ACTIONS(5311),
    [anon_sym_struct] = ACTIONS(5311),
    [anon_sym_union] = ACTIONS(5311),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5311),
    [anon_sym_decltype] = ACTIONS(5311),
    [anon_sym_explicit] = ACTIONS(5311),
    [anon_sym_typename] = ACTIONS(5311),
    [anon_sym_template] = ACTIONS(5311),
    [anon_sym_operator] = ACTIONS(5311),
    [anon_sym_friend] = ACTIONS(5311),
    [anon_sym_public] = ACTIONS(5311),
    [anon_sym_private] = ACTIONS(5311),
    [anon_sym_protected] = ACTIONS(5311),
    [anon_sym_using] = ACTIONS(5311),
    [anon_sym_static_assert] = ACTIONS(5311),
  },
  [1691] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token2] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [aux_sym_preproc_else_token1] = ACTIONS(3107),
    [aux_sym_preproc_elif_token1] = ACTIONS(3107),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3109),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym__Nonnull] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [anon_sym_PROGMEM] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym__Alignas] = ACTIONS(3107),
    [aux_sym_primitive_type_token1] = ACTIONS(3107),
    [anon_sym_byte] = ACTIONS(3107),
    [anon_sym_word] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_friend] = ACTIONS(3107),
    [anon_sym_public] = ACTIONS(3107),
    [anon_sym_private] = ACTIONS(3107),
    [anon_sym_protected] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
  },
  [1692] = {
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token2] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [aux_sym_preproc_else_token1] = ACTIONS(3095),
    [aux_sym_preproc_elif_token1] = ACTIONS(3095),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym__Nonnull] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [anon_sym_PROGMEM] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym__Alignas] = ACTIONS(3095),
    [aux_sym_primitive_type_token1] = ACTIONS(3095),
    [anon_sym_byte] = ACTIONS(3095),
    [anon_sym_word] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_friend] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
  },
  [1693] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [aux_sym_preproc_else_token1] = ACTIONS(3151),
    [aux_sym_preproc_elif_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_PROGMEM] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [aux_sym_primitive_type_token1] = ACTIONS(3151),
    [anon_sym_byte] = ACTIONS(3151),
    [anon_sym_word] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_friend] = ACTIONS(3151),
    [anon_sym_public] = ACTIONS(3151),
    [anon_sym_private] = ACTIONS(3151),
    [anon_sym_protected] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
  },
  [1694] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [aux_sym_preproc_else_token1] = ACTIONS(3040),
    [aux_sym_preproc_elif_token1] = ACTIONS(3040),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
  },
  [1695] = {
    [sym_identifier] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token2] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [aux_sym_preproc_else_token1] = ACTIONS(3047),
    [aux_sym_preproc_elif_token1] = ACTIONS(3047),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3049),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3047),
    [anon_sym_SEMI] = ACTIONS(3049),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3047),
    [anon_sym_virtual] = ACTIONS(3047),
    [anon_sym_extern] = ACTIONS(3047),
    [anon_sym___attribute__] = ACTIONS(3047),
    [anon_sym_COLON_COLON] = ACTIONS(3049),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3049),
    [anon_sym___declspec] = ACTIONS(3047),
    [anon_sym___based] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(3047),
    [anon_sym_unsigned] = ACTIONS(3047),
    [anon_sym_long] = ACTIONS(3047),
    [anon_sym_short] = ACTIONS(3047),
    [anon_sym_LBRACK] = ACTIONS(3047),
    [anon_sym_static] = ACTIONS(3047),
    [anon_sym_register] = ACTIONS(3047),
    [anon_sym_inline] = ACTIONS(3047),
    [anon_sym___inline] = ACTIONS(3047),
    [anon_sym___inline__] = ACTIONS(3047),
    [anon_sym___forceinline] = ACTIONS(3047),
    [anon_sym_thread_local] = ACTIONS(3047),
    [anon_sym___thread] = ACTIONS(3047),
    [anon_sym_const] = ACTIONS(3047),
    [anon_sym_constexpr] = ACTIONS(3047),
    [anon_sym_volatile] = ACTIONS(3047),
    [anon_sym_restrict] = ACTIONS(3047),
    [anon_sym___restrict__] = ACTIONS(3047),
    [anon_sym__Atomic] = ACTIONS(3047),
    [anon_sym__Noreturn] = ACTIONS(3047),
    [anon_sym_noreturn] = ACTIONS(3047),
    [anon_sym__Nonnull] = ACTIONS(3047),
    [anon_sym_mutable] = ACTIONS(3047),
    [anon_sym_constinit] = ACTIONS(3047),
    [anon_sym_consteval] = ACTIONS(3047),
    [anon_sym_PROGMEM] = ACTIONS(3047),
    [anon_sym_alignas] = ACTIONS(3047),
    [anon_sym__Alignas] = ACTIONS(3047),
    [aux_sym_primitive_type_token1] = ACTIONS(3047),
    [anon_sym_byte] = ACTIONS(3047),
    [anon_sym_word] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3047),
    [anon_sym_class] = ACTIONS(3047),
    [anon_sym_struct] = ACTIONS(3047),
    [anon_sym_union] = ACTIONS(3047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3047),
    [anon_sym_decltype] = ACTIONS(3047),
    [anon_sym_explicit] = ACTIONS(3047),
    [anon_sym_typename] = ACTIONS(3047),
    [anon_sym_template] = ACTIONS(3047),
    [anon_sym_operator] = ACTIONS(3047),
    [anon_sym_friend] = ACTIONS(3047),
    [anon_sym_public] = ACTIONS(3047),
    [anon_sym_private] = ACTIONS(3047),
    [anon_sym_protected] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3047),
    [anon_sym_static_assert] = ACTIONS(3047),
  },
  [1696] = {
    [sym_identifier] = ACTIONS(3186),
    [aux_sym_preproc_def_token1] = ACTIONS(3186),
    [aux_sym_preproc_if_token1] = ACTIONS(3186),
    [aux_sym_preproc_if_token2] = ACTIONS(3186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3186),
    [aux_sym_preproc_else_token1] = ACTIONS(3186),
    [aux_sym_preproc_elif_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3186),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3186),
    [sym_preproc_directive] = ACTIONS(3186),
    [anon_sym_LPAREN2] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym___extension__] = ACTIONS(3186),
    [anon_sym_typedef] = ACTIONS(3186),
    [anon_sym_virtual] = ACTIONS(3186),
    [anon_sym_extern] = ACTIONS(3186),
    [anon_sym___attribute__] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3188),
    [anon_sym___declspec] = ACTIONS(3186),
    [anon_sym___based] = ACTIONS(3186),
    [anon_sym_signed] = ACTIONS(3186),
    [anon_sym_unsigned] = ACTIONS(3186),
    [anon_sym_long] = ACTIONS(3186),
    [anon_sym_short] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_register] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym___inline] = ACTIONS(3186),
    [anon_sym___inline__] = ACTIONS(3186),
    [anon_sym___forceinline] = ACTIONS(3186),
    [anon_sym_thread_local] = ACTIONS(3186),
    [anon_sym___thread] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_constexpr] = ACTIONS(3186),
    [anon_sym_volatile] = ACTIONS(3186),
    [anon_sym_restrict] = ACTIONS(3186),
    [anon_sym___restrict__] = ACTIONS(3186),
    [anon_sym__Atomic] = ACTIONS(3186),
    [anon_sym__Noreturn] = ACTIONS(3186),
    [anon_sym_noreturn] = ACTIONS(3186),
    [anon_sym__Nonnull] = ACTIONS(3186),
    [anon_sym_mutable] = ACTIONS(3186),
    [anon_sym_constinit] = ACTIONS(3186),
    [anon_sym_consteval] = ACTIONS(3186),
    [anon_sym_PROGMEM] = ACTIONS(3186),
    [anon_sym_alignas] = ACTIONS(3186),
    [anon_sym__Alignas] = ACTIONS(3186),
    [aux_sym_primitive_type_token1] = ACTIONS(3186),
    [anon_sym_byte] = ACTIONS(3186),
    [anon_sym_word] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_struct] = ACTIONS(3186),
    [anon_sym_union] = ACTIONS(3186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3186),
    [anon_sym_decltype] = ACTIONS(3186),
    [anon_sym_explicit] = ACTIONS(3186),
    [anon_sym_typename] = ACTIONS(3186),
    [anon_sym_template] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_friend] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_static_assert] = ACTIONS(3186),
  },
  [1697] = {
    [sym_identifier] = ACTIONS(3210),
    [aux_sym_preproc_def_token1] = ACTIONS(3210),
    [aux_sym_preproc_if_token1] = ACTIONS(3210),
    [aux_sym_preproc_if_token2] = ACTIONS(3210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3210),
    [aux_sym_preproc_else_token1] = ACTIONS(3210),
    [aux_sym_preproc_elif_token1] = ACTIONS(3210),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3210),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3210),
    [sym_preproc_directive] = ACTIONS(3210),
    [anon_sym_LPAREN2] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym___extension__] = ACTIONS(3210),
    [anon_sym_typedef] = ACTIONS(3210),
    [anon_sym_virtual] = ACTIONS(3210),
    [anon_sym_extern] = ACTIONS(3210),
    [anon_sym___attribute__] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3212),
    [anon_sym___declspec] = ACTIONS(3210),
    [anon_sym___based] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3210),
    [anon_sym_unsigned] = ACTIONS(3210),
    [anon_sym_long] = ACTIONS(3210),
    [anon_sym_short] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_register] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym___inline] = ACTIONS(3210),
    [anon_sym___inline__] = ACTIONS(3210),
    [anon_sym___forceinline] = ACTIONS(3210),
    [anon_sym_thread_local] = ACTIONS(3210),
    [anon_sym___thread] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(3210),
    [anon_sym_restrict] = ACTIONS(3210),
    [anon_sym___restrict__] = ACTIONS(3210),
    [anon_sym__Atomic] = ACTIONS(3210),
    [anon_sym__Noreturn] = ACTIONS(3210),
    [anon_sym_noreturn] = ACTIONS(3210),
    [anon_sym__Nonnull] = ACTIONS(3210),
    [anon_sym_mutable] = ACTIONS(3210),
    [anon_sym_constinit] = ACTIONS(3210),
    [anon_sym_consteval] = ACTIONS(3210),
    [anon_sym_PROGMEM] = ACTIONS(3210),
    [anon_sym_alignas] = ACTIONS(3210),
    [anon_sym__Alignas] = ACTIONS(3210),
    [aux_sym_primitive_type_token1] = ACTIONS(3210),
    [anon_sym_byte] = ACTIONS(3210),
    [anon_sym_word] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_struct] = ACTIONS(3210),
    [anon_sym_union] = ACTIONS(3210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3210),
    [anon_sym_decltype] = ACTIONS(3210),
    [anon_sym_explicit] = ACTIONS(3210),
    [anon_sym_typename] = ACTIONS(3210),
    [anon_sym_template] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_static_assert] = ACTIONS(3210),
  },
  [1698] = {
    [sym_identifier] = ACTIONS(5315),
    [aux_sym_preproc_def_token1] = ACTIONS(5315),
    [aux_sym_preproc_if_token1] = ACTIONS(5315),
    [aux_sym_preproc_if_token2] = ACTIONS(5315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5315),
    [aux_sym_preproc_else_token1] = ACTIONS(5315),
    [aux_sym_preproc_elif_token1] = ACTIONS(5315),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5315),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5315),
    [sym_preproc_directive] = ACTIONS(5315),
    [anon_sym_LPAREN2] = ACTIONS(5317),
    [anon_sym_TILDE] = ACTIONS(5317),
    [anon_sym_STAR] = ACTIONS(5317),
    [anon_sym_AMP_AMP] = ACTIONS(5317),
    [anon_sym_AMP] = ACTIONS(5315),
    [anon_sym_SEMI] = ACTIONS(5317),
    [anon_sym___extension__] = ACTIONS(5315),
    [anon_sym_typedef] = ACTIONS(5315),
    [anon_sym_virtual] = ACTIONS(5315),
    [anon_sym_extern] = ACTIONS(5315),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_COLON_COLON] = ACTIONS(5317),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5317),
    [anon_sym___declspec] = ACTIONS(5315),
    [anon_sym___based] = ACTIONS(5315),
    [anon_sym_signed] = ACTIONS(5315),
    [anon_sym_unsigned] = ACTIONS(5315),
    [anon_sym_long] = ACTIONS(5315),
    [anon_sym_short] = ACTIONS(5315),
    [anon_sym_LBRACK] = ACTIONS(5315),
    [anon_sym_static] = ACTIONS(5315),
    [anon_sym_register] = ACTIONS(5315),
    [anon_sym_inline] = ACTIONS(5315),
    [anon_sym___inline] = ACTIONS(5315),
    [anon_sym___inline__] = ACTIONS(5315),
    [anon_sym___forceinline] = ACTIONS(5315),
    [anon_sym_thread_local] = ACTIONS(5315),
    [anon_sym___thread] = ACTIONS(5315),
    [anon_sym_const] = ACTIONS(5315),
    [anon_sym_constexpr] = ACTIONS(5315),
    [anon_sym_volatile] = ACTIONS(5315),
    [anon_sym_restrict] = ACTIONS(5315),
    [anon_sym___restrict__] = ACTIONS(5315),
    [anon_sym__Atomic] = ACTIONS(5315),
    [anon_sym__Noreturn] = ACTIONS(5315),
    [anon_sym_noreturn] = ACTIONS(5315),
    [anon_sym__Nonnull] = ACTIONS(5315),
    [anon_sym_mutable] = ACTIONS(5315),
    [anon_sym_constinit] = ACTIONS(5315),
    [anon_sym_consteval] = ACTIONS(5315),
    [anon_sym_PROGMEM] = ACTIONS(5315),
    [anon_sym_alignas] = ACTIONS(5315),
    [anon_sym__Alignas] = ACTIONS(5315),
    [aux_sym_primitive_type_token1] = ACTIONS(5315),
    [anon_sym_byte] = ACTIONS(5315),
    [anon_sym_word] = ACTIONS(5315),
    [anon_sym_enum] = ACTIONS(5315),
    [anon_sym_class] = ACTIONS(5315),
    [anon_sym_struct] = ACTIONS(5315),
    [anon_sym_union] = ACTIONS(5315),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5315),
    [anon_sym_decltype] = ACTIONS(5315),
    [anon_sym_explicit] = ACTIONS(5315),
    [anon_sym_typename] = ACTIONS(5315),
    [anon_sym_template] = ACTIONS(5315),
    [anon_sym_operator] = ACTIONS(5315),
    [anon_sym_friend] = ACTIONS(5315),
    [anon_sym_public] = ACTIONS(5315),
    [anon_sym_private] = ACTIONS(5315),
    [anon_sym_protected] = ACTIONS(5315),
    [anon_sym_using] = ACTIONS(5315),
    [anon_sym_static_assert] = ACTIONS(5315),
  },
  [1699] = {
    [sym_identifier] = ACTIONS(5319),
    [aux_sym_preproc_def_token1] = ACTIONS(5319),
    [aux_sym_preproc_if_token1] = ACTIONS(5319),
    [aux_sym_preproc_if_token2] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5319),
    [aux_sym_preproc_else_token1] = ACTIONS(5319),
    [aux_sym_preproc_elif_token1] = ACTIONS(5319),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5319),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5319),
    [sym_preproc_directive] = ACTIONS(5319),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_TILDE] = ACTIONS(5321),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym_typedef] = ACTIONS(5319),
    [anon_sym_virtual] = ACTIONS(5319),
    [anon_sym_extern] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5321),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5321),
    [anon_sym___declspec] = ACTIONS(5319),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym_signed] = ACTIONS(5319),
    [anon_sym_unsigned] = ACTIONS(5319),
    [anon_sym_long] = ACTIONS(5319),
    [anon_sym_short] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5319),
    [anon_sym_static] = ACTIONS(5319),
    [anon_sym_register] = ACTIONS(5319),
    [anon_sym_inline] = ACTIONS(5319),
    [anon_sym___inline] = ACTIONS(5319),
    [anon_sym___inline__] = ACTIONS(5319),
    [anon_sym___forceinline] = ACTIONS(5319),
    [anon_sym_thread_local] = ACTIONS(5319),
    [anon_sym___thread] = ACTIONS(5319),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [aux_sym_primitive_type_token1] = ACTIONS(5319),
    [anon_sym_byte] = ACTIONS(5319),
    [anon_sym_word] = ACTIONS(5319),
    [anon_sym_enum] = ACTIONS(5319),
    [anon_sym_class] = ACTIONS(5319),
    [anon_sym_struct] = ACTIONS(5319),
    [anon_sym_union] = ACTIONS(5319),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_explicit] = ACTIONS(5319),
    [anon_sym_typename] = ACTIONS(5319),
    [anon_sym_template] = ACTIONS(5319),
    [anon_sym_operator] = ACTIONS(5319),
    [anon_sym_friend] = ACTIONS(5319),
    [anon_sym_public] = ACTIONS(5319),
    [anon_sym_private] = ACTIONS(5319),
    [anon_sym_protected] = ACTIONS(5319),
    [anon_sym_using] = ACTIONS(5319),
    [anon_sym_static_assert] = ACTIONS(5319),
  },
  [1700] = {
    [sym_identifier] = ACTIONS(5319),
    [aux_sym_preproc_def_token1] = ACTIONS(5319),
    [aux_sym_preproc_if_token1] = ACTIONS(5319),
    [aux_sym_preproc_if_token2] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5319),
    [aux_sym_preproc_else_token1] = ACTIONS(5319),
    [aux_sym_preproc_elif_token1] = ACTIONS(5319),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5319),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5319),
    [sym_preproc_directive] = ACTIONS(5319),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_TILDE] = ACTIONS(5321),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym_typedef] = ACTIONS(5319),
    [anon_sym_virtual] = ACTIONS(5319),
    [anon_sym_extern] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5321),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5321),
    [anon_sym___declspec] = ACTIONS(5319),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym_signed] = ACTIONS(5319),
    [anon_sym_unsigned] = ACTIONS(5319),
    [anon_sym_long] = ACTIONS(5319),
    [anon_sym_short] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5319),
    [anon_sym_static] = ACTIONS(5319),
    [anon_sym_register] = ACTIONS(5319),
    [anon_sym_inline] = ACTIONS(5319),
    [anon_sym___inline] = ACTIONS(5319),
    [anon_sym___inline__] = ACTIONS(5319),
    [anon_sym___forceinline] = ACTIONS(5319),
    [anon_sym_thread_local] = ACTIONS(5319),
    [anon_sym___thread] = ACTIONS(5319),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [aux_sym_primitive_type_token1] = ACTIONS(5319),
    [anon_sym_byte] = ACTIONS(5319),
    [anon_sym_word] = ACTIONS(5319),
    [anon_sym_enum] = ACTIONS(5319),
    [anon_sym_class] = ACTIONS(5319),
    [anon_sym_struct] = ACTIONS(5319),
    [anon_sym_union] = ACTIONS(5319),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_explicit] = ACTIONS(5319),
    [anon_sym_typename] = ACTIONS(5319),
    [anon_sym_template] = ACTIONS(5319),
    [anon_sym_operator] = ACTIONS(5319),
    [anon_sym_friend] = ACTIONS(5319),
    [anon_sym_public] = ACTIONS(5319),
    [anon_sym_private] = ACTIONS(5319),
    [anon_sym_protected] = ACTIONS(5319),
    [anon_sym_using] = ACTIONS(5319),
    [anon_sym_static_assert] = ACTIONS(5319),
  },
  [1701] = {
    [sym_identifier] = ACTIONS(5319),
    [aux_sym_preproc_def_token1] = ACTIONS(5319),
    [aux_sym_preproc_if_token1] = ACTIONS(5319),
    [aux_sym_preproc_if_token2] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5319),
    [aux_sym_preproc_else_token1] = ACTIONS(5319),
    [aux_sym_preproc_elif_token1] = ACTIONS(5319),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5319),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5319),
    [sym_preproc_directive] = ACTIONS(5319),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_TILDE] = ACTIONS(5321),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym_typedef] = ACTIONS(5319),
    [anon_sym_virtual] = ACTIONS(5319),
    [anon_sym_extern] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5321),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5321),
    [anon_sym___declspec] = ACTIONS(5319),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym_signed] = ACTIONS(5319),
    [anon_sym_unsigned] = ACTIONS(5319),
    [anon_sym_long] = ACTIONS(5319),
    [anon_sym_short] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5319),
    [anon_sym_static] = ACTIONS(5319),
    [anon_sym_register] = ACTIONS(5319),
    [anon_sym_inline] = ACTIONS(5319),
    [anon_sym___inline] = ACTIONS(5319),
    [anon_sym___inline__] = ACTIONS(5319),
    [anon_sym___forceinline] = ACTIONS(5319),
    [anon_sym_thread_local] = ACTIONS(5319),
    [anon_sym___thread] = ACTIONS(5319),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [aux_sym_primitive_type_token1] = ACTIONS(5319),
    [anon_sym_byte] = ACTIONS(5319),
    [anon_sym_word] = ACTIONS(5319),
    [anon_sym_enum] = ACTIONS(5319),
    [anon_sym_class] = ACTIONS(5319),
    [anon_sym_struct] = ACTIONS(5319),
    [anon_sym_union] = ACTIONS(5319),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_explicit] = ACTIONS(5319),
    [anon_sym_typename] = ACTIONS(5319),
    [anon_sym_template] = ACTIONS(5319),
    [anon_sym_operator] = ACTIONS(5319),
    [anon_sym_friend] = ACTIONS(5319),
    [anon_sym_public] = ACTIONS(5319),
    [anon_sym_private] = ACTIONS(5319),
    [anon_sym_protected] = ACTIONS(5319),
    [anon_sym_using] = ACTIONS(5319),
    [anon_sym_static_assert] = ACTIONS(5319),
  },
  [1702] = {
    [sym_identifier] = ACTIONS(5315),
    [aux_sym_preproc_def_token1] = ACTIONS(5315),
    [aux_sym_preproc_if_token1] = ACTIONS(5315),
    [aux_sym_preproc_if_token2] = ACTIONS(5315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5315),
    [aux_sym_preproc_else_token1] = ACTIONS(5315),
    [aux_sym_preproc_elif_token1] = ACTIONS(5315),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5315),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5315),
    [sym_preproc_directive] = ACTIONS(5315),
    [anon_sym_LPAREN2] = ACTIONS(5317),
    [anon_sym_TILDE] = ACTIONS(5317),
    [anon_sym_STAR] = ACTIONS(5317),
    [anon_sym_AMP_AMP] = ACTIONS(5317),
    [anon_sym_AMP] = ACTIONS(5315),
    [anon_sym_SEMI] = ACTIONS(5317),
    [anon_sym___extension__] = ACTIONS(5315),
    [anon_sym_typedef] = ACTIONS(5315),
    [anon_sym_virtual] = ACTIONS(5315),
    [anon_sym_extern] = ACTIONS(5315),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_COLON_COLON] = ACTIONS(5317),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5317),
    [anon_sym___declspec] = ACTIONS(5315),
    [anon_sym___based] = ACTIONS(5315),
    [anon_sym_signed] = ACTIONS(5315),
    [anon_sym_unsigned] = ACTIONS(5315),
    [anon_sym_long] = ACTIONS(5315),
    [anon_sym_short] = ACTIONS(5315),
    [anon_sym_LBRACK] = ACTIONS(5315),
    [anon_sym_static] = ACTIONS(5315),
    [anon_sym_register] = ACTIONS(5315),
    [anon_sym_inline] = ACTIONS(5315),
    [anon_sym___inline] = ACTIONS(5315),
    [anon_sym___inline__] = ACTIONS(5315),
    [anon_sym___forceinline] = ACTIONS(5315),
    [anon_sym_thread_local] = ACTIONS(5315),
    [anon_sym___thread] = ACTIONS(5315),
    [anon_sym_const] = ACTIONS(5315),
    [anon_sym_constexpr] = ACTIONS(5315),
    [anon_sym_volatile] = ACTIONS(5315),
    [anon_sym_restrict] = ACTIONS(5315),
    [anon_sym___restrict__] = ACTIONS(5315),
    [anon_sym__Atomic] = ACTIONS(5315),
    [anon_sym__Noreturn] = ACTIONS(5315),
    [anon_sym_noreturn] = ACTIONS(5315),
    [anon_sym__Nonnull] = ACTIONS(5315),
    [anon_sym_mutable] = ACTIONS(5315),
    [anon_sym_constinit] = ACTIONS(5315),
    [anon_sym_consteval] = ACTIONS(5315),
    [anon_sym_PROGMEM] = ACTIONS(5315),
    [anon_sym_alignas] = ACTIONS(5315),
    [anon_sym__Alignas] = ACTIONS(5315),
    [aux_sym_primitive_type_token1] = ACTIONS(5315),
    [anon_sym_byte] = ACTIONS(5315),
    [anon_sym_word] = ACTIONS(5315),
    [anon_sym_enum] = ACTIONS(5315),
    [anon_sym_class] = ACTIONS(5315),
    [anon_sym_struct] = ACTIONS(5315),
    [anon_sym_union] = ACTIONS(5315),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5315),
    [anon_sym_decltype] = ACTIONS(5315),
    [anon_sym_explicit] = ACTIONS(5315),
    [anon_sym_typename] = ACTIONS(5315),
    [anon_sym_template] = ACTIONS(5315),
    [anon_sym_operator] = ACTIONS(5315),
    [anon_sym_friend] = ACTIONS(5315),
    [anon_sym_public] = ACTIONS(5315),
    [anon_sym_private] = ACTIONS(5315),
    [anon_sym_protected] = ACTIONS(5315),
    [anon_sym_using] = ACTIONS(5315),
    [anon_sym_static_assert] = ACTIONS(5315),
  },
  [1703] = {
    [sym_identifier] = ACTIONS(5323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5325),
    [anon_sym_COMMA] = ACTIONS(5325),
    [anon_sym_RPAREN] = ACTIONS(5325),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_DASH] = ACTIONS(5323),
    [anon_sym_PLUS] = ACTIONS(5323),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_SLASH] = ACTIONS(5323),
    [anon_sym_PERCENT] = ACTIONS(5325),
    [anon_sym_PIPE_PIPE] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_PIPE] = ACTIONS(5323),
    [anon_sym_CARET] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_EQ_EQ] = ACTIONS(5325),
    [anon_sym_BANG_EQ] = ACTIONS(5325),
    [anon_sym_GT] = ACTIONS(5323),
    [anon_sym_GT_EQ] = ACTIONS(5325),
    [anon_sym_LT_EQ] = ACTIONS(5323),
    [anon_sym_LT] = ACTIONS(5323),
    [anon_sym_LT_LT] = ACTIONS(5325),
    [anon_sym_GT_GT] = ACTIONS(5325),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___extension__] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym___based] = ACTIONS(5323),
    [anon_sym_LBRACE] = ACTIONS(5325),
    [anon_sym_RBRACE] = ACTIONS(5325),
    [anon_sym_signed] = ACTIONS(5323),
    [anon_sym_unsigned] = ACTIONS(5323),
    [anon_sym_long] = ACTIONS(5323),
    [anon_sym_short] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5325),
    [anon_sym_RBRACK] = ACTIONS(5325),
    [anon_sym_const] = ACTIONS(5323),
    [anon_sym_constexpr] = ACTIONS(5323),
    [anon_sym_volatile] = ACTIONS(5323),
    [anon_sym_restrict] = ACTIONS(5323),
    [anon_sym___restrict__] = ACTIONS(5323),
    [anon_sym__Atomic] = ACTIONS(5323),
    [anon_sym__Noreturn] = ACTIONS(5323),
    [anon_sym_noreturn] = ACTIONS(5323),
    [anon_sym__Nonnull] = ACTIONS(5323),
    [anon_sym_mutable] = ACTIONS(5323),
    [anon_sym_constinit] = ACTIONS(5323),
    [anon_sym_consteval] = ACTIONS(5323),
    [anon_sym_PROGMEM] = ACTIONS(5323),
    [anon_sym_alignas] = ACTIONS(5323),
    [anon_sym__Alignas] = ACTIONS(5323),
    [aux_sym_primitive_type_token1] = ACTIONS(5323),
    [anon_sym_byte] = ACTIONS(5323),
    [anon_sym_word] = ACTIONS(5323),
    [anon_sym_COLON] = ACTIONS(5323),
    [anon_sym_QMARK] = ACTIONS(5325),
    [anon_sym_LT_EQ_GT] = ACTIONS(5325),
    [anon_sym_or] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [anon_sym_bitor] = ACTIONS(5323),
    [anon_sym_xor] = ACTIONS(5323),
    [anon_sym_bitand] = ACTIONS(5323),
    [anon_sym_not_eq] = ACTIONS(5323),
    [anon_sym_DASH_DASH] = ACTIONS(5325),
    [anon_sym_PLUS_PLUS] = ACTIONS(5325),
    [anon_sym_DOT] = ACTIONS(5323),
    [anon_sym_DOT_STAR] = ACTIONS(5325),
    [anon_sym_DASH_GT] = ACTIONS(5325),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_final] = ACTIONS(5323),
    [anon_sym_override] = ACTIONS(5323),
    [anon_sym_requires] = ACTIONS(5323),
  },
  [1704] = {
    [sym_identifier] = ACTIONS(3214),
    [aux_sym_preproc_def_token1] = ACTIONS(3214),
    [aux_sym_preproc_if_token1] = ACTIONS(3214),
    [aux_sym_preproc_if_token2] = ACTIONS(3214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3214),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3214),
    [aux_sym_preproc_else_token1] = ACTIONS(3214),
    [aux_sym_preproc_elif_token1] = ACTIONS(3214),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3214),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3214),
    [sym_preproc_directive] = ACTIONS(3214),
    [anon_sym_LPAREN2] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_typedef] = ACTIONS(3214),
    [anon_sym_virtual] = ACTIONS(3214),
    [anon_sym_extern] = ACTIONS(3214),
    [anon_sym___attribute__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3216),
    [anon_sym___declspec] = ACTIONS(3214),
    [anon_sym___based] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3214),
    [anon_sym_unsigned] = ACTIONS(3214),
    [anon_sym_long] = ACTIONS(3214),
    [anon_sym_short] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_register] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym___inline] = ACTIONS(3214),
    [anon_sym___inline__] = ACTIONS(3214),
    [anon_sym___forceinline] = ACTIONS(3214),
    [anon_sym_thread_local] = ACTIONS(3214),
    [anon_sym___thread] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_constexpr] = ACTIONS(3214),
    [anon_sym_volatile] = ACTIONS(3214),
    [anon_sym_restrict] = ACTIONS(3214),
    [anon_sym___restrict__] = ACTIONS(3214),
    [anon_sym__Atomic] = ACTIONS(3214),
    [anon_sym__Noreturn] = ACTIONS(3214),
    [anon_sym_noreturn] = ACTIONS(3214),
    [anon_sym__Nonnull] = ACTIONS(3214),
    [anon_sym_mutable] = ACTIONS(3214),
    [anon_sym_constinit] = ACTIONS(3214),
    [anon_sym_consteval] = ACTIONS(3214),
    [anon_sym_PROGMEM] = ACTIONS(3214),
    [anon_sym_alignas] = ACTIONS(3214),
    [anon_sym__Alignas] = ACTIONS(3214),
    [aux_sym_primitive_type_token1] = ACTIONS(3214),
    [anon_sym_byte] = ACTIONS(3214),
    [anon_sym_word] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_struct] = ACTIONS(3214),
    [anon_sym_union] = ACTIONS(3214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3214),
    [anon_sym_decltype] = ACTIONS(3214),
    [anon_sym_explicit] = ACTIONS(3214),
    [anon_sym_typename] = ACTIONS(3214),
    [anon_sym_template] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_friend] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_static_assert] = ACTIONS(3214),
  },
  [1705] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token2] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [aux_sym_preproc_else_token1] = ACTIONS(2936),
    [aux_sym_preproc_elif_token1] = ACTIONS(2936),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_PROGMEM] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [aux_sym_primitive_type_token1] = ACTIONS(2936),
    [anon_sym_byte] = ACTIONS(2936),
    [anon_sym_word] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_friend] = ACTIONS(2936),
    [anon_sym_public] = ACTIONS(2936),
    [anon_sym_private] = ACTIONS(2936),
    [anon_sym_protected] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
  },
  [1706] = {
    [sym_identifier] = ACTIONS(5329),
    [aux_sym_preproc_def_token1] = ACTIONS(5329),
    [aux_sym_preproc_if_token1] = ACTIONS(5329),
    [aux_sym_preproc_if_token2] = ACTIONS(5329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5329),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5329),
    [aux_sym_preproc_else_token1] = ACTIONS(5329),
    [aux_sym_preproc_elif_token1] = ACTIONS(5329),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5329),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5329),
    [sym_preproc_directive] = ACTIONS(5329),
    [anon_sym_LPAREN2] = ACTIONS(5331),
    [anon_sym_TILDE] = ACTIONS(5331),
    [anon_sym_STAR] = ACTIONS(5331),
    [anon_sym_AMP_AMP] = ACTIONS(5331),
    [anon_sym_AMP] = ACTIONS(5329),
    [anon_sym_SEMI] = ACTIONS(5331),
    [anon_sym___extension__] = ACTIONS(5329),
    [anon_sym_typedef] = ACTIONS(5329),
    [anon_sym_virtual] = ACTIONS(5329),
    [anon_sym_extern] = ACTIONS(5329),
    [anon_sym___attribute__] = ACTIONS(5329),
    [anon_sym_COLON_COLON] = ACTIONS(5331),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5331),
    [anon_sym___declspec] = ACTIONS(5329),
    [anon_sym___based] = ACTIONS(5329),
    [anon_sym_signed] = ACTIONS(5329),
    [anon_sym_unsigned] = ACTIONS(5329),
    [anon_sym_long] = ACTIONS(5329),
    [anon_sym_short] = ACTIONS(5329),
    [anon_sym_LBRACK] = ACTIONS(5329),
    [anon_sym_static] = ACTIONS(5329),
    [anon_sym_register] = ACTIONS(5329),
    [anon_sym_inline] = ACTIONS(5329),
    [anon_sym___inline] = ACTIONS(5329),
    [anon_sym___inline__] = ACTIONS(5329),
    [anon_sym___forceinline] = ACTIONS(5329),
    [anon_sym_thread_local] = ACTIONS(5329),
    [anon_sym___thread] = ACTIONS(5329),
    [anon_sym_const] = ACTIONS(5329),
    [anon_sym_constexpr] = ACTIONS(5329),
    [anon_sym_volatile] = ACTIONS(5329),
    [anon_sym_restrict] = ACTIONS(5329),
    [anon_sym___restrict__] = ACTIONS(5329),
    [anon_sym__Atomic] = ACTIONS(5329),
    [anon_sym__Noreturn] = ACTIONS(5329),
    [anon_sym_noreturn] = ACTIONS(5329),
    [anon_sym__Nonnull] = ACTIONS(5329),
    [anon_sym_mutable] = ACTIONS(5329),
    [anon_sym_constinit] = ACTIONS(5329),
    [anon_sym_consteval] = ACTIONS(5329),
    [anon_sym_PROGMEM] = ACTIONS(5329),
    [anon_sym_alignas] = ACTIONS(5329),
    [anon_sym__Alignas] = ACTIONS(5329),
    [aux_sym_primitive_type_token1] = ACTIONS(5329),
    [anon_sym_byte] = ACTIONS(5329),
    [anon_sym_word] = ACTIONS(5329),
    [anon_sym_enum] = ACTIONS(5329),
    [anon_sym_class] = ACTIONS(5329),
    [anon_sym_struct] = ACTIONS(5329),
    [anon_sym_union] = ACTIONS(5329),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5329),
    [anon_sym_decltype] = ACTIONS(5329),
    [anon_sym_explicit] = ACTIONS(5329),
    [anon_sym_typename] = ACTIONS(5329),
    [anon_sym_template] = ACTIONS(5329),
    [anon_sym_operator] = ACTIONS(5329),
    [anon_sym_friend] = ACTIONS(5329),
    [anon_sym_public] = ACTIONS(5329),
    [anon_sym_private] = ACTIONS(5329),
    [anon_sym_protected] = ACTIONS(5329),
    [anon_sym_using] = ACTIONS(5329),
    [anon_sym_static_assert] = ACTIONS(5329),
  },
  [1707] = {
    [sym_identifier] = ACTIONS(5333),
    [aux_sym_preproc_def_token1] = ACTIONS(5333),
    [aux_sym_preproc_if_token1] = ACTIONS(5333),
    [aux_sym_preproc_if_token2] = ACTIONS(5333),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5333),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5333),
    [aux_sym_preproc_else_token1] = ACTIONS(5333),
    [aux_sym_preproc_elif_token1] = ACTIONS(5333),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5333),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5333),
    [sym_preproc_directive] = ACTIONS(5333),
    [anon_sym_LPAREN2] = ACTIONS(5335),
    [anon_sym_TILDE] = ACTIONS(5335),
    [anon_sym_STAR] = ACTIONS(5335),
    [anon_sym_AMP_AMP] = ACTIONS(5335),
    [anon_sym_AMP] = ACTIONS(5333),
    [anon_sym_SEMI] = ACTIONS(5335),
    [anon_sym___extension__] = ACTIONS(5333),
    [anon_sym_typedef] = ACTIONS(5333),
    [anon_sym_virtual] = ACTIONS(5333),
    [anon_sym_extern] = ACTIONS(5333),
    [anon_sym___attribute__] = ACTIONS(5333),
    [anon_sym_COLON_COLON] = ACTIONS(5335),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5335),
    [anon_sym___declspec] = ACTIONS(5333),
    [anon_sym___based] = ACTIONS(5333),
    [anon_sym_signed] = ACTIONS(5333),
    [anon_sym_unsigned] = ACTIONS(5333),
    [anon_sym_long] = ACTIONS(5333),
    [anon_sym_short] = ACTIONS(5333),
    [anon_sym_LBRACK] = ACTIONS(5333),
    [anon_sym_static] = ACTIONS(5333),
    [anon_sym_register] = ACTIONS(5333),
    [anon_sym_inline] = ACTIONS(5333),
    [anon_sym___inline] = ACTIONS(5333),
    [anon_sym___inline__] = ACTIONS(5333),
    [anon_sym___forceinline] = ACTIONS(5333),
    [anon_sym_thread_local] = ACTIONS(5333),
    [anon_sym___thread] = ACTIONS(5333),
    [anon_sym_const] = ACTIONS(5333),
    [anon_sym_constexpr] = ACTIONS(5333),
    [anon_sym_volatile] = ACTIONS(5333),
    [anon_sym_restrict] = ACTIONS(5333),
    [anon_sym___restrict__] = ACTIONS(5333),
    [anon_sym__Atomic] = ACTIONS(5333),
    [anon_sym__Noreturn] = ACTIONS(5333),
    [anon_sym_noreturn] = ACTIONS(5333),
    [anon_sym__Nonnull] = ACTIONS(5333),
    [anon_sym_mutable] = ACTIONS(5333),
    [anon_sym_constinit] = ACTIONS(5333),
    [anon_sym_consteval] = ACTIONS(5333),
    [anon_sym_PROGMEM] = ACTIONS(5333),
    [anon_sym_alignas] = ACTIONS(5333),
    [anon_sym__Alignas] = ACTIONS(5333),
    [aux_sym_primitive_type_token1] = ACTIONS(5333),
    [anon_sym_byte] = ACTIONS(5333),
    [anon_sym_word] = ACTIONS(5333),
    [anon_sym_enum] = ACTIONS(5333),
    [anon_sym_class] = ACTIONS(5333),
    [anon_sym_struct] = ACTIONS(5333),
    [anon_sym_union] = ACTIONS(5333),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5333),
    [anon_sym_decltype] = ACTIONS(5333),
    [anon_sym_explicit] = ACTIONS(5333),
    [anon_sym_typename] = ACTIONS(5333),
    [anon_sym_template] = ACTIONS(5333),
    [anon_sym_operator] = ACTIONS(5333),
    [anon_sym_friend] = ACTIONS(5333),
    [anon_sym_public] = ACTIONS(5333),
    [anon_sym_private] = ACTIONS(5333),
    [anon_sym_protected] = ACTIONS(5333),
    [anon_sym_using] = ACTIONS(5333),
    [anon_sym_static_assert] = ACTIONS(5333),
  },
  [1708] = {
    [sym_identifier] = ACTIONS(5323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5325),
    [anon_sym_COMMA] = ACTIONS(5325),
    [anon_sym_RPAREN] = ACTIONS(5325),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_DASH] = ACTIONS(5323),
    [anon_sym_PLUS] = ACTIONS(5323),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_SLASH] = ACTIONS(5323),
    [anon_sym_PERCENT] = ACTIONS(5325),
    [anon_sym_PIPE_PIPE] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_PIPE] = ACTIONS(5323),
    [anon_sym_CARET] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_EQ_EQ] = ACTIONS(5325),
    [anon_sym_BANG_EQ] = ACTIONS(5325),
    [anon_sym_GT] = ACTIONS(5323),
    [anon_sym_GT_EQ] = ACTIONS(5325),
    [anon_sym_LT_EQ] = ACTIONS(5323),
    [anon_sym_LT] = ACTIONS(5323),
    [anon_sym_LT_LT] = ACTIONS(5325),
    [anon_sym_GT_GT] = ACTIONS(5325),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___extension__] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym___based] = ACTIONS(5323),
    [anon_sym_LBRACE] = ACTIONS(5325),
    [anon_sym_RBRACE] = ACTIONS(5325),
    [anon_sym_signed] = ACTIONS(5323),
    [anon_sym_unsigned] = ACTIONS(5323),
    [anon_sym_long] = ACTIONS(5323),
    [anon_sym_short] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5325),
    [anon_sym_RBRACK] = ACTIONS(5325),
    [anon_sym_const] = ACTIONS(5323),
    [anon_sym_constexpr] = ACTIONS(5323),
    [anon_sym_volatile] = ACTIONS(5323),
    [anon_sym_restrict] = ACTIONS(5323),
    [anon_sym___restrict__] = ACTIONS(5323),
    [anon_sym__Atomic] = ACTIONS(5323),
    [anon_sym__Noreturn] = ACTIONS(5323),
    [anon_sym_noreturn] = ACTIONS(5323),
    [anon_sym__Nonnull] = ACTIONS(5323),
    [anon_sym_mutable] = ACTIONS(5323),
    [anon_sym_constinit] = ACTIONS(5323),
    [anon_sym_consteval] = ACTIONS(5323),
    [anon_sym_PROGMEM] = ACTIONS(5323),
    [anon_sym_alignas] = ACTIONS(5323),
    [anon_sym__Alignas] = ACTIONS(5323),
    [aux_sym_primitive_type_token1] = ACTIONS(5323),
    [anon_sym_byte] = ACTIONS(5323),
    [anon_sym_word] = ACTIONS(5323),
    [anon_sym_COLON] = ACTIONS(5323),
    [anon_sym_QMARK] = ACTIONS(5325),
    [anon_sym_LT_EQ_GT] = ACTIONS(5325),
    [anon_sym_or] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [anon_sym_bitor] = ACTIONS(5323),
    [anon_sym_xor] = ACTIONS(5323),
    [anon_sym_bitand] = ACTIONS(5323),
    [anon_sym_not_eq] = ACTIONS(5323),
    [anon_sym_DASH_DASH] = ACTIONS(5325),
    [anon_sym_PLUS_PLUS] = ACTIONS(5325),
    [anon_sym_DOT] = ACTIONS(5323),
    [anon_sym_DOT_STAR] = ACTIONS(5325),
    [anon_sym_DASH_GT] = ACTIONS(5325),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_final] = ACTIONS(5323),
    [anon_sym_override] = ACTIONS(5323),
    [anon_sym_requires] = ACTIONS(5323),
  },
  [1709] = {
    [sym_template_argument_list] = STATE(1758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4914),
    [anon_sym_COMMA] = ACTIONS(4914),
    [anon_sym_RPAREN] = ACTIONS(4916),
    [anon_sym_LPAREN2] = ACTIONS(4916),
    [anon_sym_DASH] = ACTIONS(4921),
    [anon_sym_PLUS] = ACTIONS(4921),
    [anon_sym_STAR] = ACTIONS(4923),
    [anon_sym_SLASH] = ACTIONS(4921),
    [anon_sym_PERCENT] = ACTIONS(4921),
    [anon_sym_PIPE_PIPE] = ACTIONS(4914),
    [anon_sym_AMP_AMP] = ACTIONS(4916),
    [anon_sym_PIPE] = ACTIONS(4921),
    [anon_sym_CARET] = ACTIONS(4921),
    [anon_sym_AMP] = ACTIONS(4923),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_GT] = ACTIONS(4921),
    [anon_sym_GT_EQ] = ACTIONS(4914),
    [anon_sym_LT_EQ] = ACTIONS(4921),
    [anon_sym_LT] = ACTIONS(4949),
    [anon_sym_LT_LT] = ACTIONS(4921),
    [anon_sym_GT_GT] = ACTIONS(4921),
    [anon_sym___extension__] = ACTIONS(4919),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4914),
    [anon_sym_LBRACE] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4923),
    [anon_sym_EQ] = ACTIONS(4921),
    [anon_sym_const] = ACTIONS(4912),
    [anon_sym_constexpr] = ACTIONS(4919),
    [anon_sym_volatile] = ACTIONS(4919),
    [anon_sym_restrict] = ACTIONS(4919),
    [anon_sym___restrict__] = ACTIONS(4919),
    [anon_sym__Atomic] = ACTIONS(4919),
    [anon_sym__Noreturn] = ACTIONS(4919),
    [anon_sym_noreturn] = ACTIONS(4919),
    [anon_sym__Nonnull] = ACTIONS(4919),
    [anon_sym_mutable] = ACTIONS(4919),
    [anon_sym_constinit] = ACTIONS(4919),
    [anon_sym_consteval] = ACTIONS(4919),
    [anon_sym_PROGMEM] = ACTIONS(4919),
    [anon_sym_alignas] = ACTIONS(4919),
    [anon_sym__Alignas] = ACTIONS(4919),
    [anon_sym_QMARK] = ACTIONS(4914),
    [anon_sym_STAR_EQ] = ACTIONS(4914),
    [anon_sym_SLASH_EQ] = ACTIONS(4914),
    [anon_sym_PERCENT_EQ] = ACTIONS(4914),
    [anon_sym_PLUS_EQ] = ACTIONS(4914),
    [anon_sym_DASH_EQ] = ACTIONS(4914),
    [anon_sym_LT_LT_EQ] = ACTIONS(4914),
    [anon_sym_GT_GT_EQ] = ACTIONS(4914),
    [anon_sym_AMP_EQ] = ACTIONS(4914),
    [anon_sym_CARET_EQ] = ACTIONS(4914),
    [anon_sym_PIPE_EQ] = ACTIONS(4914),
    [anon_sym_and_eq] = ACTIONS(4914),
    [anon_sym_or_eq] = ACTIONS(4914),
    [anon_sym_xor_eq] = ACTIONS(4914),
    [anon_sym_LT_EQ_GT] = ACTIONS(4914),
    [anon_sym_or] = ACTIONS(4921),
    [anon_sym_and] = ACTIONS(4921),
    [anon_sym_bitor] = ACTIONS(4914),
    [anon_sym_xor] = ACTIONS(4921),
    [anon_sym_bitand] = ACTIONS(4914),
    [anon_sym_not_eq] = ACTIONS(4914),
    [anon_sym_DASH_DASH] = ACTIONS(4914),
    [anon_sym_PLUS_PLUS] = ACTIONS(4914),
    [anon_sym_DOT] = ACTIONS(4921),
    [anon_sym_DOT_STAR] = ACTIONS(4914),
    [anon_sym_DASH_GT] = ACTIONS(4921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4919),
    [anon_sym_decltype] = ACTIONS(4919),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4914),
  },
  [1710] = {
    [sym_identifier] = ACTIONS(3194),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token2] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3194),
    [aux_sym_preproc_else_token1] = ACTIONS(3194),
    [aux_sym_preproc_elif_token1] = ACTIONS(3194),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3194),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3194),
    [sym_preproc_directive] = ACTIONS(3194),
    [anon_sym_LPAREN2] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym___extension__] = ACTIONS(3194),
    [anon_sym_typedef] = ACTIONS(3194),
    [anon_sym_virtual] = ACTIONS(3194),
    [anon_sym_extern] = ACTIONS(3194),
    [anon_sym___attribute__] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3196),
    [anon_sym___declspec] = ACTIONS(3194),
    [anon_sym___based] = ACTIONS(3194),
    [anon_sym_signed] = ACTIONS(3194),
    [anon_sym_unsigned] = ACTIONS(3194),
    [anon_sym_long] = ACTIONS(3194),
    [anon_sym_short] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_register] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym___inline] = ACTIONS(3194),
    [anon_sym___inline__] = ACTIONS(3194),
    [anon_sym___forceinline] = ACTIONS(3194),
    [anon_sym_thread_local] = ACTIONS(3194),
    [anon_sym___thread] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_constexpr] = ACTIONS(3194),
    [anon_sym_volatile] = ACTIONS(3194),
    [anon_sym_restrict] = ACTIONS(3194),
    [anon_sym___restrict__] = ACTIONS(3194),
    [anon_sym__Atomic] = ACTIONS(3194),
    [anon_sym__Noreturn] = ACTIONS(3194),
    [anon_sym_noreturn] = ACTIONS(3194),
    [anon_sym__Nonnull] = ACTIONS(3194),
    [anon_sym_mutable] = ACTIONS(3194),
    [anon_sym_constinit] = ACTIONS(3194),
    [anon_sym_consteval] = ACTIONS(3194),
    [anon_sym_PROGMEM] = ACTIONS(3194),
    [anon_sym_alignas] = ACTIONS(3194),
    [anon_sym__Alignas] = ACTIONS(3194),
    [aux_sym_primitive_type_token1] = ACTIONS(3194),
    [anon_sym_byte] = ACTIONS(3194),
    [anon_sym_word] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_struct] = ACTIONS(3194),
    [anon_sym_union] = ACTIONS(3194),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3194),
    [anon_sym_decltype] = ACTIONS(3194),
    [anon_sym_explicit] = ACTIONS(3194),
    [anon_sym_typename] = ACTIONS(3194),
    [anon_sym_template] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_friend] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_static_assert] = ACTIONS(3194),
  },
  [1711] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [aux_sym_preproc_else_token1] = ACTIONS(2814),
    [aux_sym_preproc_elif_token1] = ACTIONS(2814),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_PROGMEM] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [aux_sym_primitive_type_token1] = ACTIONS(2814),
    [anon_sym_byte] = ACTIONS(2814),
    [anon_sym_word] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_friend] = ACTIONS(2814),
    [anon_sym_public] = ACTIONS(2814),
    [anon_sym_private] = ACTIONS(2814),
    [anon_sym_protected] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
  },
  [1712] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [aux_sym_preproc_else_token1] = ACTIONS(2790),
    [aux_sym_preproc_elif_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_PROGMEM] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [aux_sym_primitive_type_token1] = ACTIONS(2790),
    [anon_sym_byte] = ACTIONS(2790),
    [anon_sym_word] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_friend] = ACTIONS(2790),
    [anon_sym_public] = ACTIONS(2790),
    [anon_sym_private] = ACTIONS(2790),
    [anon_sym_protected] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
  },
  [1713] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token2] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [aux_sym_preproc_else_token1] = ACTIONS(2984),
    [aux_sym_preproc_elif_token1] = ACTIONS(2984),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_friend] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
  },
  [1714] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [aux_sym_preproc_else_token1] = ACTIONS(2814),
    [aux_sym_preproc_elif_token1] = ACTIONS(2814),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_PROGMEM] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [aux_sym_primitive_type_token1] = ACTIONS(2814),
    [anon_sym_byte] = ACTIONS(2814),
    [anon_sym_word] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_friend] = ACTIONS(2814),
    [anon_sym_public] = ACTIONS(2814),
    [anon_sym_private] = ACTIONS(2814),
    [anon_sym_protected] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
  },
  [1715] = {
    [sym_identifier] = ACTIONS(2818),
    [aux_sym_preproc_def_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token2] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2818),
    [aux_sym_preproc_else_token1] = ACTIONS(2818),
    [aux_sym_preproc_elif_token1] = ACTIONS(2818),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2818),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2818),
    [sym_preproc_directive] = ACTIONS(2818),
    [anon_sym_LPAREN2] = ACTIONS(2820),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_AMP_AMP] = ACTIONS(2820),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym___extension__] = ACTIONS(2818),
    [anon_sym_typedef] = ACTIONS(2818),
    [anon_sym_virtual] = ACTIONS(2818),
    [anon_sym_extern] = ACTIONS(2818),
    [anon_sym___attribute__] = ACTIONS(2818),
    [anon_sym_COLON_COLON] = ACTIONS(2820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2820),
    [anon_sym___declspec] = ACTIONS(2818),
    [anon_sym___based] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2818),
    [anon_sym_unsigned] = ACTIONS(2818),
    [anon_sym_long] = ACTIONS(2818),
    [anon_sym_short] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_register] = ACTIONS(2818),
    [anon_sym_inline] = ACTIONS(2818),
    [anon_sym___inline] = ACTIONS(2818),
    [anon_sym___inline__] = ACTIONS(2818),
    [anon_sym___forceinline] = ACTIONS(2818),
    [anon_sym_thread_local] = ACTIONS(2818),
    [anon_sym___thread] = ACTIONS(2818),
    [anon_sym_const] = ACTIONS(2818),
    [anon_sym_constexpr] = ACTIONS(2818),
    [anon_sym_volatile] = ACTIONS(2818),
    [anon_sym_restrict] = ACTIONS(2818),
    [anon_sym___restrict__] = ACTIONS(2818),
    [anon_sym__Atomic] = ACTIONS(2818),
    [anon_sym__Noreturn] = ACTIONS(2818),
    [anon_sym_noreturn] = ACTIONS(2818),
    [anon_sym__Nonnull] = ACTIONS(2818),
    [anon_sym_mutable] = ACTIONS(2818),
    [anon_sym_constinit] = ACTIONS(2818),
    [anon_sym_consteval] = ACTIONS(2818),
    [anon_sym_PROGMEM] = ACTIONS(2818),
    [anon_sym_alignas] = ACTIONS(2818),
    [anon_sym__Alignas] = ACTIONS(2818),
    [aux_sym_primitive_type_token1] = ACTIONS(2818),
    [anon_sym_byte] = ACTIONS(2818),
    [anon_sym_word] = ACTIONS(2818),
    [anon_sym_enum] = ACTIONS(2818),
    [anon_sym_class] = ACTIONS(2818),
    [anon_sym_struct] = ACTIONS(2818),
    [anon_sym_union] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2818),
    [anon_sym_decltype] = ACTIONS(2818),
    [anon_sym_explicit] = ACTIONS(2818),
    [anon_sym_typename] = ACTIONS(2818),
    [anon_sym_template] = ACTIONS(2818),
    [anon_sym_operator] = ACTIONS(2818),
    [anon_sym_friend] = ACTIONS(2818),
    [anon_sym_public] = ACTIONS(2818),
    [anon_sym_private] = ACTIONS(2818),
    [anon_sym_protected] = ACTIONS(2818),
    [anon_sym_using] = ACTIONS(2818),
    [anon_sym_static_assert] = ACTIONS(2818),
  },
  [1716] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [aux_sym_preproc_else_token1] = ACTIONS(2944),
    [aux_sym_preproc_elif_token1] = ACTIONS(2944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_PROGMEM] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [aux_sym_primitive_type_token1] = ACTIONS(2944),
    [anon_sym_byte] = ACTIONS(2944),
    [anon_sym_word] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_friend] = ACTIONS(2944),
    [anon_sym_public] = ACTIONS(2944),
    [anon_sym_private] = ACTIONS(2944),
    [anon_sym_protected] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
  },
  [1717] = {
    [sym_identifier] = ACTIONS(3125),
    [aux_sym_preproc_def_token1] = ACTIONS(3125),
    [aux_sym_preproc_if_token1] = ACTIONS(3125),
    [aux_sym_preproc_if_token2] = ACTIONS(3125),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3125),
    [aux_sym_preproc_else_token1] = ACTIONS(3125),
    [aux_sym_preproc_elif_token1] = ACTIONS(3125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3125),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3125),
    [sym_preproc_directive] = ACTIONS(3125),
    [anon_sym_LPAREN2] = ACTIONS(3127),
    [anon_sym_TILDE] = ACTIONS(3127),
    [anon_sym_STAR] = ACTIONS(3127),
    [anon_sym_AMP_AMP] = ACTIONS(3127),
    [anon_sym_AMP] = ACTIONS(3125),
    [anon_sym_SEMI] = ACTIONS(3127),
    [anon_sym___extension__] = ACTIONS(3125),
    [anon_sym_typedef] = ACTIONS(3125),
    [anon_sym_virtual] = ACTIONS(3125),
    [anon_sym_extern] = ACTIONS(3125),
    [anon_sym___attribute__] = ACTIONS(3125),
    [anon_sym_COLON_COLON] = ACTIONS(3127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3127),
    [anon_sym___declspec] = ACTIONS(3125),
    [anon_sym___based] = ACTIONS(3125),
    [anon_sym_signed] = ACTIONS(3125),
    [anon_sym_unsigned] = ACTIONS(3125),
    [anon_sym_long] = ACTIONS(3125),
    [anon_sym_short] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3125),
    [anon_sym_static] = ACTIONS(3125),
    [anon_sym_register] = ACTIONS(3125),
    [anon_sym_inline] = ACTIONS(3125),
    [anon_sym___inline] = ACTIONS(3125),
    [anon_sym___inline__] = ACTIONS(3125),
    [anon_sym___forceinline] = ACTIONS(3125),
    [anon_sym_thread_local] = ACTIONS(3125),
    [anon_sym___thread] = ACTIONS(3125),
    [anon_sym_const] = ACTIONS(3125),
    [anon_sym_constexpr] = ACTIONS(3125),
    [anon_sym_volatile] = ACTIONS(3125),
    [anon_sym_restrict] = ACTIONS(3125),
    [anon_sym___restrict__] = ACTIONS(3125),
    [anon_sym__Atomic] = ACTIONS(3125),
    [anon_sym__Noreturn] = ACTIONS(3125),
    [anon_sym_noreturn] = ACTIONS(3125),
    [anon_sym__Nonnull] = ACTIONS(3125),
    [anon_sym_mutable] = ACTIONS(3125),
    [anon_sym_constinit] = ACTIONS(3125),
    [anon_sym_consteval] = ACTIONS(3125),
    [anon_sym_PROGMEM] = ACTIONS(3125),
    [anon_sym_alignas] = ACTIONS(3125),
    [anon_sym__Alignas] = ACTIONS(3125),
    [aux_sym_primitive_type_token1] = ACTIONS(3125),
    [anon_sym_byte] = ACTIONS(3125),
    [anon_sym_word] = ACTIONS(3125),
    [anon_sym_enum] = ACTIONS(3125),
    [anon_sym_class] = ACTIONS(3125),
    [anon_sym_struct] = ACTIONS(3125),
    [anon_sym_union] = ACTIONS(3125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3125),
    [anon_sym_decltype] = ACTIONS(3125),
    [anon_sym_explicit] = ACTIONS(3125),
    [anon_sym_typename] = ACTIONS(3125),
    [anon_sym_template] = ACTIONS(3125),
    [anon_sym_operator] = ACTIONS(3125),
    [anon_sym_friend] = ACTIONS(3125),
    [anon_sym_public] = ACTIONS(3125),
    [anon_sym_private] = ACTIONS(3125),
    [anon_sym_protected] = ACTIONS(3125),
    [anon_sym_using] = ACTIONS(3125),
    [anon_sym_static_assert] = ACTIONS(3125),
  },
  [1718] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [aux_sym_preproc_else_token1] = ACTIONS(2790),
    [aux_sym_preproc_elif_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_PROGMEM] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [aux_sym_primitive_type_token1] = ACTIONS(2790),
    [anon_sym_byte] = ACTIONS(2790),
    [anon_sym_word] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_friend] = ACTIONS(2790),
    [anon_sym_public] = ACTIONS(2790),
    [anon_sym_private] = ACTIONS(2790),
    [anon_sym_protected] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
  },
  [1719] = {
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token2] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2968),
    [aux_sym_preproc_else_token1] = ACTIONS(2968),
    [aux_sym_preproc_elif_token1] = ACTIONS(2968),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2968),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2968),
    [sym_preproc_directive] = ACTIONS(2968),
    [anon_sym_LPAREN2] = ACTIONS(2970),
    [anon_sym_TILDE] = ACTIONS(2970),
    [anon_sym_STAR] = ACTIONS(2970),
    [anon_sym_AMP_AMP] = ACTIONS(2970),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2970),
    [anon_sym___extension__] = ACTIONS(2968),
    [anon_sym_typedef] = ACTIONS(2968),
    [anon_sym_virtual] = ACTIONS(2968),
    [anon_sym_extern] = ACTIONS(2968),
    [anon_sym___attribute__] = ACTIONS(2968),
    [anon_sym_COLON_COLON] = ACTIONS(2970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2970),
    [anon_sym___declspec] = ACTIONS(2968),
    [anon_sym___based] = ACTIONS(2968),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_register] = ACTIONS(2968),
    [anon_sym_inline] = ACTIONS(2968),
    [anon_sym___inline] = ACTIONS(2968),
    [anon_sym___inline__] = ACTIONS(2968),
    [anon_sym___forceinline] = ACTIONS(2968),
    [anon_sym_thread_local] = ACTIONS(2968),
    [anon_sym___thread] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2968),
    [anon_sym_constexpr] = ACTIONS(2968),
    [anon_sym_volatile] = ACTIONS(2968),
    [anon_sym_restrict] = ACTIONS(2968),
    [anon_sym___restrict__] = ACTIONS(2968),
    [anon_sym__Atomic] = ACTIONS(2968),
    [anon_sym__Noreturn] = ACTIONS(2968),
    [anon_sym_noreturn] = ACTIONS(2968),
    [anon_sym__Nonnull] = ACTIONS(2968),
    [anon_sym_mutable] = ACTIONS(2968),
    [anon_sym_constinit] = ACTIONS(2968),
    [anon_sym_consteval] = ACTIONS(2968),
    [anon_sym_PROGMEM] = ACTIONS(2968),
    [anon_sym_alignas] = ACTIONS(2968),
    [anon_sym__Alignas] = ACTIONS(2968),
    [aux_sym_primitive_type_token1] = ACTIONS(2968),
    [anon_sym_byte] = ACTIONS(2968),
    [anon_sym_word] = ACTIONS(2968),
    [anon_sym_enum] = ACTIONS(2968),
    [anon_sym_class] = ACTIONS(2968),
    [anon_sym_struct] = ACTIONS(2968),
    [anon_sym_union] = ACTIONS(2968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2968),
    [anon_sym_decltype] = ACTIONS(2968),
    [anon_sym_explicit] = ACTIONS(2968),
    [anon_sym_typename] = ACTIONS(2968),
    [anon_sym_template] = ACTIONS(2968),
    [anon_sym_operator] = ACTIONS(2968),
    [anon_sym_friend] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_using] = ACTIONS(2968),
    [anon_sym_static_assert] = ACTIONS(2968),
  },
  [1720] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token2] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [aux_sym_preproc_else_token1] = ACTIONS(2948),
    [aux_sym_preproc_elif_token1] = ACTIONS(2948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym__Nonnull] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_PROGMEM] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym__Alignas] = ACTIONS(2948),
    [aux_sym_primitive_type_token1] = ACTIONS(2948),
    [anon_sym_byte] = ACTIONS(2948),
    [anon_sym_word] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_friend] = ACTIONS(2948),
    [anon_sym_public] = ACTIONS(2948),
    [anon_sym_private] = ACTIONS(2948),
    [anon_sym_protected] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
  },
  [1721] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token2] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [aux_sym_preproc_else_token1] = ACTIONS(2996),
    [aux_sym_preproc_elif_token1] = ACTIONS(2996),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_friend] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
  },
  [1722] = {
    [sym_identifier] = ACTIONS(3129),
    [aux_sym_preproc_def_token1] = ACTIONS(3129),
    [aux_sym_preproc_if_token1] = ACTIONS(3129),
    [aux_sym_preproc_if_token2] = ACTIONS(3129),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3129),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3129),
    [aux_sym_preproc_else_token1] = ACTIONS(3129),
    [aux_sym_preproc_elif_token1] = ACTIONS(3129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3129),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3129),
    [sym_preproc_directive] = ACTIONS(3129),
    [anon_sym_LPAREN2] = ACTIONS(3131),
    [anon_sym_TILDE] = ACTIONS(3131),
    [anon_sym_STAR] = ACTIONS(3131),
    [anon_sym_AMP_AMP] = ACTIONS(3131),
    [anon_sym_AMP] = ACTIONS(3129),
    [anon_sym_SEMI] = ACTIONS(3131),
    [anon_sym___extension__] = ACTIONS(3129),
    [anon_sym_typedef] = ACTIONS(3129),
    [anon_sym_virtual] = ACTIONS(3129),
    [anon_sym_extern] = ACTIONS(3129),
    [anon_sym___attribute__] = ACTIONS(3129),
    [anon_sym_COLON_COLON] = ACTIONS(3131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3131),
    [anon_sym___declspec] = ACTIONS(3129),
    [anon_sym___based] = ACTIONS(3129),
    [anon_sym_signed] = ACTIONS(3129),
    [anon_sym_unsigned] = ACTIONS(3129),
    [anon_sym_long] = ACTIONS(3129),
    [anon_sym_short] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(3129),
    [anon_sym_static] = ACTIONS(3129),
    [anon_sym_register] = ACTIONS(3129),
    [anon_sym_inline] = ACTIONS(3129),
    [anon_sym___inline] = ACTIONS(3129),
    [anon_sym___inline__] = ACTIONS(3129),
    [anon_sym___forceinline] = ACTIONS(3129),
    [anon_sym_thread_local] = ACTIONS(3129),
    [anon_sym___thread] = ACTIONS(3129),
    [anon_sym_const] = ACTIONS(3129),
    [anon_sym_constexpr] = ACTIONS(3129),
    [anon_sym_volatile] = ACTIONS(3129),
    [anon_sym_restrict] = ACTIONS(3129),
    [anon_sym___restrict__] = ACTIONS(3129),
    [anon_sym__Atomic] = ACTIONS(3129),
    [anon_sym__Noreturn] = ACTIONS(3129),
    [anon_sym_noreturn] = ACTIONS(3129),
    [anon_sym__Nonnull] = ACTIONS(3129),
    [anon_sym_mutable] = ACTIONS(3129),
    [anon_sym_constinit] = ACTIONS(3129),
    [anon_sym_consteval] = ACTIONS(3129),
    [anon_sym_PROGMEM] = ACTIONS(3129),
    [anon_sym_alignas] = ACTIONS(3129),
    [anon_sym__Alignas] = ACTIONS(3129),
    [aux_sym_primitive_type_token1] = ACTIONS(3129),
    [anon_sym_byte] = ACTIONS(3129),
    [anon_sym_word] = ACTIONS(3129),
    [anon_sym_enum] = ACTIONS(3129),
    [anon_sym_class] = ACTIONS(3129),
    [anon_sym_struct] = ACTIONS(3129),
    [anon_sym_union] = ACTIONS(3129),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3129),
    [anon_sym_decltype] = ACTIONS(3129),
    [anon_sym_explicit] = ACTIONS(3129),
    [anon_sym_typename] = ACTIONS(3129),
    [anon_sym_template] = ACTIONS(3129),
    [anon_sym_operator] = ACTIONS(3129),
    [anon_sym_friend] = ACTIONS(3129),
    [anon_sym_public] = ACTIONS(3129),
    [anon_sym_private] = ACTIONS(3129),
    [anon_sym_protected] = ACTIONS(3129),
    [anon_sym_using] = ACTIONS(3129),
    [anon_sym_static_assert] = ACTIONS(3129),
  },
  [1723] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token2] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [aux_sym_preproc_else_token1] = ACTIONS(2996),
    [aux_sym_preproc_elif_token1] = ACTIONS(2996),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_friend] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
  },
  [1724] = {
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token2] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [aux_sym_preproc_else_token1] = ACTIONS(2920),
    [aux_sym_preproc_elif_token1] = ACTIONS(2920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_PROGMEM] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [aux_sym_primitive_type_token1] = ACTIONS(2920),
    [anon_sym_byte] = ACTIONS(2920),
    [anon_sym_word] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_friend] = ACTIONS(2920),
    [anon_sym_public] = ACTIONS(2920),
    [anon_sym_private] = ACTIONS(2920),
    [anon_sym_protected] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
  },
  [1725] = {
    [sym_identifier] = ACTIONS(2888),
    [aux_sym_preproc_def_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token2] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2888),
    [aux_sym_preproc_else_token1] = ACTIONS(2888),
    [aux_sym_preproc_elif_token1] = ACTIONS(2888),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2888),
    [sym_preproc_directive] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2890),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_AMP_AMP] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2890),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2890),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym___based] = ACTIONS(2888),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_PROGMEM] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym__Alignas] = ACTIONS(2888),
    [aux_sym_primitive_type_token1] = ACTIONS(2888),
    [anon_sym_byte] = ACTIONS(2888),
    [anon_sym_word] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_operator] = ACTIONS(2888),
    [anon_sym_friend] = ACTIONS(2888),
    [anon_sym_public] = ACTIONS(2888),
    [anon_sym_private] = ACTIONS(2888),
    [anon_sym_protected] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_static_assert] = ACTIONS(2888),
  },
  [1726] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [aux_sym_preproc_else_token1] = ACTIONS(2972),
    [aux_sym_preproc_elif_token1] = ACTIONS(2972),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_friend] = ACTIONS(2972),
    [anon_sym_public] = ACTIONS(2972),
    [anon_sym_private] = ACTIONS(2972),
    [anon_sym_protected] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
  },
  [1727] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [aux_sym_preproc_else_token1] = ACTIONS(2972),
    [aux_sym_preproc_elif_token1] = ACTIONS(2972),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_friend] = ACTIONS(2972),
    [anon_sym_public] = ACTIONS(2972),
    [anon_sym_private] = ACTIONS(2972),
    [anon_sym_protected] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
  },
  [1728] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [aux_sym_preproc_else_token1] = ACTIONS(2928),
    [aux_sym_preproc_elif_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_PROGMEM] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [aux_sym_primitive_type_token1] = ACTIONS(2928),
    [anon_sym_byte] = ACTIONS(2928),
    [anon_sym_word] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_friend] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_protected] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
  },
  [1729] = {
    [sym_identifier] = ACTIONS(3099),
    [aux_sym_preproc_def_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token2] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3099),
    [aux_sym_preproc_else_token1] = ACTIONS(3099),
    [aux_sym_preproc_elif_token1] = ACTIONS(3099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3099),
    [anon_sym_LPAREN2] = ACTIONS(3101),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_AMP_AMP] = ACTIONS(3101),
    [anon_sym_AMP] = ACTIONS(3099),
    [anon_sym_SEMI] = ACTIONS(3101),
    [anon_sym___extension__] = ACTIONS(3099),
    [anon_sym_typedef] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym___attribute__] = ACTIONS(3099),
    [anon_sym_COLON_COLON] = ACTIONS(3101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3101),
    [anon_sym___declspec] = ACTIONS(3099),
    [anon_sym___based] = ACTIONS(3099),
    [anon_sym_signed] = ACTIONS(3099),
    [anon_sym_unsigned] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_register] = ACTIONS(3099),
    [anon_sym_inline] = ACTIONS(3099),
    [anon_sym___inline] = ACTIONS(3099),
    [anon_sym___inline__] = ACTIONS(3099),
    [anon_sym___forceinline] = ACTIONS(3099),
    [anon_sym_thread_local] = ACTIONS(3099),
    [anon_sym___thread] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_constexpr] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_restrict] = ACTIONS(3099),
    [anon_sym___restrict__] = ACTIONS(3099),
    [anon_sym__Atomic] = ACTIONS(3099),
    [anon_sym__Noreturn] = ACTIONS(3099),
    [anon_sym_noreturn] = ACTIONS(3099),
    [anon_sym__Nonnull] = ACTIONS(3099),
    [anon_sym_mutable] = ACTIONS(3099),
    [anon_sym_constinit] = ACTIONS(3099),
    [anon_sym_consteval] = ACTIONS(3099),
    [anon_sym_PROGMEM] = ACTIONS(3099),
    [anon_sym_alignas] = ACTIONS(3099),
    [anon_sym__Alignas] = ACTIONS(3099),
    [aux_sym_primitive_type_token1] = ACTIONS(3099),
    [anon_sym_byte] = ACTIONS(3099),
    [anon_sym_word] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_union] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3099),
    [anon_sym_decltype] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_typename] = ACTIONS(3099),
    [anon_sym_template] = ACTIONS(3099),
    [anon_sym_operator] = ACTIONS(3099),
    [anon_sym_friend] = ACTIONS(3099),
    [anon_sym_public] = ACTIONS(3099),
    [anon_sym_private] = ACTIONS(3099),
    [anon_sym_protected] = ACTIONS(3099),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static_assert] = ACTIONS(3099),
  },
  [1730] = {
    [sym_identifier] = ACTIONS(4888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4890),
    [anon_sym_COMMA] = ACTIONS(4890),
    [anon_sym_RPAREN] = ACTIONS(4890),
    [anon_sym_LPAREN2] = ACTIONS(4890),
    [anon_sym_DASH] = ACTIONS(4888),
    [anon_sym_PLUS] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_SLASH] = ACTIONS(4888),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4890),
    [anon_sym_AMP_AMP] = ACTIONS(4890),
    [anon_sym_PIPE] = ACTIONS(4888),
    [anon_sym_CARET] = ACTIONS(4890),
    [anon_sym_AMP] = ACTIONS(4888),
    [anon_sym_EQ_EQ] = ACTIONS(4890),
    [anon_sym_BANG_EQ] = ACTIONS(4890),
    [anon_sym_GT] = ACTIONS(4888),
    [anon_sym_GT_EQ] = ACTIONS(4890),
    [anon_sym_LT_EQ] = ACTIONS(4888),
    [anon_sym_LT] = ACTIONS(4888),
    [anon_sym_LT_LT] = ACTIONS(4890),
    [anon_sym_GT_GT] = ACTIONS(4890),
    [anon_sym_SEMI] = ACTIONS(4890),
    [anon_sym___extension__] = ACTIONS(4888),
    [anon_sym___attribute__] = ACTIONS(4888),
    [anon_sym_COLON_COLON] = ACTIONS(4890),
    [anon_sym___based] = ACTIONS(4888),
    [anon_sym_LBRACE] = ACTIONS(4890),
    [anon_sym_RBRACE] = ACTIONS(4890),
    [anon_sym_signed] = ACTIONS(4888),
    [anon_sym_unsigned] = ACTIONS(4888),
    [anon_sym_long] = ACTIONS(4888),
    [anon_sym_short] = ACTIONS(4888),
    [anon_sym_LBRACK] = ACTIONS(4890),
    [anon_sym_RBRACK] = ACTIONS(4890),
    [anon_sym_const] = ACTIONS(4888),
    [anon_sym_constexpr] = ACTIONS(4888),
    [anon_sym_volatile] = ACTIONS(4888),
    [anon_sym_restrict] = ACTIONS(4888),
    [anon_sym___restrict__] = ACTIONS(4888),
    [anon_sym__Atomic] = ACTIONS(4888),
    [anon_sym__Noreturn] = ACTIONS(4888),
    [anon_sym_noreturn] = ACTIONS(4888),
    [anon_sym__Nonnull] = ACTIONS(4888),
    [anon_sym_mutable] = ACTIONS(4888),
    [anon_sym_constinit] = ACTIONS(4888),
    [anon_sym_consteval] = ACTIONS(4888),
    [anon_sym_PROGMEM] = ACTIONS(4888),
    [anon_sym_alignas] = ACTIONS(4888),
    [anon_sym__Alignas] = ACTIONS(4888),
    [aux_sym_primitive_type_token1] = ACTIONS(4888),
    [anon_sym_byte] = ACTIONS(4888),
    [anon_sym_word] = ACTIONS(4888),
    [anon_sym_COLON] = ACTIONS(4888),
    [anon_sym_QMARK] = ACTIONS(4890),
    [anon_sym_LT_EQ_GT] = ACTIONS(4890),
    [anon_sym_or] = ACTIONS(4888),
    [anon_sym_and] = ACTIONS(4888),
    [anon_sym_bitor] = ACTIONS(4888),
    [anon_sym_xor] = ACTIONS(4888),
    [anon_sym_bitand] = ACTIONS(4888),
    [anon_sym_not_eq] = ACTIONS(4888),
    [anon_sym_DASH_DASH] = ACTIONS(4890),
    [anon_sym_PLUS_PLUS] = ACTIONS(4890),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_DOT_STAR] = ACTIONS(4890),
    [anon_sym_DASH_GT] = ACTIONS(4890),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4888),
    [anon_sym_decltype] = ACTIONS(4888),
    [anon_sym_final] = ACTIONS(4888),
    [anon_sym_override] = ACTIONS(4888),
    [anon_sym_requires] = ACTIONS(4888),
  },
  [1731] = {
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5339),
    [anon_sym_COMMA] = ACTIONS(5339),
    [anon_sym_RPAREN] = ACTIONS(5339),
    [anon_sym_LPAREN2] = ACTIONS(5339),
    [anon_sym_DASH] = ACTIONS(5337),
    [anon_sym_PLUS] = ACTIONS(5337),
    [anon_sym_STAR] = ACTIONS(5339),
    [anon_sym_SLASH] = ACTIONS(5337),
    [anon_sym_PERCENT] = ACTIONS(5339),
    [anon_sym_PIPE_PIPE] = ACTIONS(5339),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_PIPE] = ACTIONS(5337),
    [anon_sym_CARET] = ACTIONS(5339),
    [anon_sym_AMP] = ACTIONS(5337),
    [anon_sym_EQ_EQ] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5339),
    [anon_sym_GT] = ACTIONS(5337),
    [anon_sym_GT_EQ] = ACTIONS(5339),
    [anon_sym_LT_EQ] = ACTIONS(5337),
    [anon_sym_LT] = ACTIONS(5337),
    [anon_sym_LT_LT] = ACTIONS(5339),
    [anon_sym_GT_GT] = ACTIONS(5339),
    [anon_sym_SEMI] = ACTIONS(5339),
    [anon_sym___extension__] = ACTIONS(5337),
    [anon_sym___attribute__] = ACTIONS(5337),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym___based] = ACTIONS(5337),
    [anon_sym_LBRACE] = ACTIONS(5339),
    [anon_sym_RBRACE] = ACTIONS(5339),
    [anon_sym_signed] = ACTIONS(5337),
    [anon_sym_unsigned] = ACTIONS(5337),
    [anon_sym_long] = ACTIONS(5337),
    [anon_sym_short] = ACTIONS(5337),
    [anon_sym_LBRACK] = ACTIONS(5339),
    [anon_sym_RBRACK] = ACTIONS(5339),
    [anon_sym_const] = ACTIONS(5337),
    [anon_sym_constexpr] = ACTIONS(5337),
    [anon_sym_volatile] = ACTIONS(5337),
    [anon_sym_restrict] = ACTIONS(5337),
    [anon_sym___restrict__] = ACTIONS(5337),
    [anon_sym__Atomic] = ACTIONS(5337),
    [anon_sym__Noreturn] = ACTIONS(5337),
    [anon_sym_noreturn] = ACTIONS(5337),
    [anon_sym__Nonnull] = ACTIONS(5337),
    [anon_sym_mutable] = ACTIONS(5337),
    [anon_sym_constinit] = ACTIONS(5337),
    [anon_sym_consteval] = ACTIONS(5337),
    [anon_sym_PROGMEM] = ACTIONS(5337),
    [anon_sym_alignas] = ACTIONS(5337),
    [anon_sym__Alignas] = ACTIONS(5337),
    [aux_sym_primitive_type_token1] = ACTIONS(5337),
    [anon_sym_byte] = ACTIONS(5337),
    [anon_sym_word] = ACTIONS(5337),
    [anon_sym_COLON] = ACTIONS(5337),
    [anon_sym_QMARK] = ACTIONS(5339),
    [anon_sym_LT_EQ_GT] = ACTIONS(5339),
    [anon_sym_or] = ACTIONS(5337),
    [anon_sym_and] = ACTIONS(5337),
    [anon_sym_bitor] = ACTIONS(5337),
    [anon_sym_xor] = ACTIONS(5337),
    [anon_sym_bitand] = ACTIONS(5337),
    [anon_sym_not_eq] = ACTIONS(5337),
    [anon_sym_DASH_DASH] = ACTIONS(5339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5339),
    [anon_sym_DOT] = ACTIONS(5337),
    [anon_sym_DOT_STAR] = ACTIONS(5339),
    [anon_sym_DASH_GT] = ACTIONS(5339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5337),
    [anon_sym_decltype] = ACTIONS(5337),
    [anon_sym_final] = ACTIONS(5337),
    [anon_sym_override] = ACTIONS(5337),
    [anon_sym_requires] = ACTIONS(5337),
  },
  [1732] = {
    [sym_identifier] = ACTIONS(3103),
    [aux_sym_preproc_def_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token2] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3103),
    [aux_sym_preproc_else_token1] = ACTIONS(3103),
    [aux_sym_preproc_elif_token1] = ACTIONS(3103),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3103),
    [sym_preproc_directive] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP_AMP] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3103),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_typedef] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym___based] = ACTIONS(3103),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym__Nonnull] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [anon_sym_PROGMEM] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym__Alignas] = ACTIONS(3103),
    [aux_sym_primitive_type_token1] = ACTIONS(3103),
    [anon_sym_byte] = ACTIONS(3103),
    [anon_sym_word] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(3103),
    [anon_sym_friend] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static_assert] = ACTIONS(3103),
  },
  [1733] = {
    [sym_identifier] = ACTIONS(4892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4894),
    [anon_sym_COMMA] = ACTIONS(4894),
    [anon_sym_RPAREN] = ACTIONS(4894),
    [anon_sym_LPAREN2] = ACTIONS(4894),
    [anon_sym_DASH] = ACTIONS(4892),
    [anon_sym_PLUS] = ACTIONS(4892),
    [anon_sym_STAR] = ACTIONS(4894),
    [anon_sym_SLASH] = ACTIONS(4892),
    [anon_sym_PERCENT] = ACTIONS(4894),
    [anon_sym_PIPE_PIPE] = ACTIONS(4894),
    [anon_sym_AMP_AMP] = ACTIONS(4894),
    [anon_sym_PIPE] = ACTIONS(4892),
    [anon_sym_CARET] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(4892),
    [anon_sym_EQ_EQ] = ACTIONS(4894),
    [anon_sym_BANG_EQ] = ACTIONS(4894),
    [anon_sym_GT] = ACTIONS(4892),
    [anon_sym_GT_EQ] = ACTIONS(4894),
    [anon_sym_LT_EQ] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym_LT_LT] = ACTIONS(4894),
    [anon_sym_GT_GT] = ACTIONS(4894),
    [anon_sym_SEMI] = ACTIONS(4894),
    [anon_sym___extension__] = ACTIONS(4892),
    [anon_sym___attribute__] = ACTIONS(4892),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym___based] = ACTIONS(4892),
    [anon_sym_LBRACE] = ACTIONS(4894),
    [anon_sym_RBRACE] = ACTIONS(4894),
    [anon_sym_signed] = ACTIONS(4892),
    [anon_sym_unsigned] = ACTIONS(4892),
    [anon_sym_long] = ACTIONS(4892),
    [anon_sym_short] = ACTIONS(4892),
    [anon_sym_LBRACK] = ACTIONS(4894),
    [anon_sym_RBRACK] = ACTIONS(4894),
    [anon_sym_const] = ACTIONS(4892),
    [anon_sym_constexpr] = ACTIONS(4892),
    [anon_sym_volatile] = ACTIONS(4892),
    [anon_sym_restrict] = ACTIONS(4892),
    [anon_sym___restrict__] = ACTIONS(4892),
    [anon_sym__Atomic] = ACTIONS(4892),
    [anon_sym__Noreturn] = ACTIONS(4892),
    [anon_sym_noreturn] = ACTIONS(4892),
    [anon_sym__Nonnull] = ACTIONS(4892),
    [anon_sym_mutable] = ACTIONS(4892),
    [anon_sym_constinit] = ACTIONS(4892),
    [anon_sym_consteval] = ACTIONS(4892),
    [anon_sym_PROGMEM] = ACTIONS(4892),
    [anon_sym_alignas] = ACTIONS(4892),
    [anon_sym__Alignas] = ACTIONS(4892),
    [aux_sym_primitive_type_token1] = ACTIONS(4892),
    [anon_sym_byte] = ACTIONS(4892),
    [anon_sym_word] = ACTIONS(4892),
    [anon_sym_COLON] = ACTIONS(4892),
    [anon_sym_QMARK] = ACTIONS(4894),
    [anon_sym_LT_EQ_GT] = ACTIONS(4894),
    [anon_sym_or] = ACTIONS(4892),
    [anon_sym_and] = ACTIONS(4892),
    [anon_sym_bitor] = ACTIONS(4892),
    [anon_sym_xor] = ACTIONS(4892),
    [anon_sym_bitand] = ACTIONS(4892),
    [anon_sym_not_eq] = ACTIONS(4892),
    [anon_sym_DASH_DASH] = ACTIONS(4894),
    [anon_sym_PLUS_PLUS] = ACTIONS(4894),
    [anon_sym_DOT] = ACTIONS(4892),
    [anon_sym_DOT_STAR] = ACTIONS(4894),
    [anon_sym_DASH_GT] = ACTIONS(4894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4892),
    [anon_sym_decltype] = ACTIONS(4892),
    [anon_sym_final] = ACTIONS(4892),
    [anon_sym_override] = ACTIONS(4892),
    [anon_sym_requires] = ACTIONS(4892),
  },
  [1734] = {
    [sym_primitive_type] = STATE(2053),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1782),
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_DASH] = ACTIONS(5345),
    [anon_sym_PLUS] = ACTIONS(5345),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_SLASH] = ACTIONS(5345),
    [anon_sym_PERCENT] = ACTIONS(5343),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_PIPE] = ACTIONS(5345),
    [anon_sym_CARET] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5345),
    [anon_sym_EQ_EQ] = ACTIONS(5343),
    [anon_sym_BANG_EQ] = ACTIONS(5343),
    [anon_sym_GT] = ACTIONS(5345),
    [anon_sym_GT_EQ] = ACTIONS(5343),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_LT] = ACTIONS(5345),
    [anon_sym_LT_LT] = ACTIONS(5343),
    [anon_sym_GT_GT] = ACTIONS(5343),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___extension__] = ACTIONS(5345),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_RBRACE] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(5347),
    [anon_sym_unsigned] = ACTIONS(5347),
    [anon_sym_long] = ACTIONS(5347),
    [anon_sym_short] = ACTIONS(5347),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_RBRACK] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5345),
    [anon_sym_constexpr] = ACTIONS(5345),
    [anon_sym_volatile] = ACTIONS(5345),
    [anon_sym_restrict] = ACTIONS(5345),
    [anon_sym___restrict__] = ACTIONS(5345),
    [anon_sym__Atomic] = ACTIONS(5345),
    [anon_sym__Noreturn] = ACTIONS(5345),
    [anon_sym_noreturn] = ACTIONS(5345),
    [anon_sym__Nonnull] = ACTIONS(5345),
    [anon_sym_mutable] = ACTIONS(5345),
    [anon_sym_constinit] = ACTIONS(5345),
    [anon_sym_consteval] = ACTIONS(5345),
    [anon_sym_PROGMEM] = ACTIONS(5345),
    [anon_sym_alignas] = ACTIONS(5345),
    [anon_sym__Alignas] = ACTIONS(5345),
    [aux_sym_primitive_type_token1] = ACTIONS(1789),
    [anon_sym_byte] = ACTIONS(1789),
    [anon_sym_word] = ACTIONS(1789),
    [anon_sym_COLON] = ACTIONS(5343),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_LT_EQ_GT] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5345),
    [anon_sym_and] = ACTIONS(5345),
    [anon_sym_bitor] = ACTIONS(5345),
    [anon_sym_xor] = ACTIONS(5345),
    [anon_sym_bitand] = ACTIONS(5345),
    [anon_sym_not_eq] = ACTIONS(5345),
    [anon_sym_DASH_DASH] = ACTIONS(5343),
    [anon_sym_PLUS_PLUS] = ACTIONS(5343),
    [anon_sym_DOT] = ACTIONS(5345),
    [anon_sym_DOT_STAR] = ACTIONS(5343),
    [anon_sym_DASH_GT] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5345),
    [anon_sym_decltype] = ACTIONS(5345),
    [anon_sym_final] = ACTIONS(5345),
    [anon_sym_override] = ACTIONS(5345),
    [anon_sym_requires] = ACTIONS(5345),
  },
  [1735] = {
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token2] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [aux_sym_preproc_else_token1] = ACTIONS(2830),
    [aux_sym_preproc_elif_token1] = ACTIONS(2830),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym__Nonnull] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [anon_sym_PROGMEM] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym__Alignas] = ACTIONS(2830),
    [aux_sym_primitive_type_token1] = ACTIONS(2830),
    [anon_sym_byte] = ACTIONS(2830),
    [anon_sym_word] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_friend] = ACTIONS(2830),
    [anon_sym_public] = ACTIONS(2830),
    [anon_sym_private] = ACTIONS(2830),
    [anon_sym_protected] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
  },
  [1736] = {
    [sym_identifier] = ACTIONS(4904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4906),
    [anon_sym_COMMA] = ACTIONS(4906),
    [anon_sym_RPAREN] = ACTIONS(4906),
    [anon_sym_LPAREN2] = ACTIONS(4906),
    [anon_sym_DASH] = ACTIONS(4904),
    [anon_sym_PLUS] = ACTIONS(4904),
    [anon_sym_STAR] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4904),
    [anon_sym_PERCENT] = ACTIONS(4906),
    [anon_sym_PIPE_PIPE] = ACTIONS(4906),
    [anon_sym_AMP_AMP] = ACTIONS(4906),
    [anon_sym_PIPE] = ACTIONS(4904),
    [anon_sym_CARET] = ACTIONS(4906),
    [anon_sym_AMP] = ACTIONS(4904),
    [anon_sym_EQ_EQ] = ACTIONS(4906),
    [anon_sym_BANG_EQ] = ACTIONS(4906),
    [anon_sym_GT] = ACTIONS(4904),
    [anon_sym_GT_EQ] = ACTIONS(4906),
    [anon_sym_LT_EQ] = ACTIONS(4904),
    [anon_sym_LT] = ACTIONS(4904),
    [anon_sym_LT_LT] = ACTIONS(4906),
    [anon_sym_GT_GT] = ACTIONS(4906),
    [anon_sym_SEMI] = ACTIONS(4906),
    [anon_sym___extension__] = ACTIONS(4904),
    [anon_sym___attribute__] = ACTIONS(4904),
    [anon_sym_COLON_COLON] = ACTIONS(4906),
    [anon_sym___based] = ACTIONS(4904),
    [anon_sym_LBRACE] = ACTIONS(4906),
    [anon_sym_RBRACE] = ACTIONS(4906),
    [anon_sym_signed] = ACTIONS(4904),
    [anon_sym_unsigned] = ACTIONS(4904),
    [anon_sym_long] = ACTIONS(4904),
    [anon_sym_short] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4906),
    [anon_sym_RBRACK] = ACTIONS(4906),
    [anon_sym_const] = ACTIONS(4904),
    [anon_sym_constexpr] = ACTIONS(4904),
    [anon_sym_volatile] = ACTIONS(4904),
    [anon_sym_restrict] = ACTIONS(4904),
    [anon_sym___restrict__] = ACTIONS(4904),
    [anon_sym__Atomic] = ACTIONS(4904),
    [anon_sym__Noreturn] = ACTIONS(4904),
    [anon_sym_noreturn] = ACTIONS(4904),
    [anon_sym__Nonnull] = ACTIONS(4904),
    [anon_sym_mutable] = ACTIONS(4904),
    [anon_sym_constinit] = ACTIONS(4904),
    [anon_sym_consteval] = ACTIONS(4904),
    [anon_sym_PROGMEM] = ACTIONS(4904),
    [anon_sym_alignas] = ACTIONS(4904),
    [anon_sym__Alignas] = ACTIONS(4904),
    [aux_sym_primitive_type_token1] = ACTIONS(4904),
    [anon_sym_byte] = ACTIONS(4904),
    [anon_sym_word] = ACTIONS(4904),
    [anon_sym_COLON] = ACTIONS(4904),
    [anon_sym_QMARK] = ACTIONS(4906),
    [anon_sym_LT_EQ_GT] = ACTIONS(4906),
    [anon_sym_or] = ACTIONS(4904),
    [anon_sym_and] = ACTIONS(4904),
    [anon_sym_bitor] = ACTIONS(4904),
    [anon_sym_xor] = ACTIONS(4904),
    [anon_sym_bitand] = ACTIONS(4904),
    [anon_sym_not_eq] = ACTIONS(4904),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DOT] = ACTIONS(4904),
    [anon_sym_DOT_STAR] = ACTIONS(4906),
    [anon_sym_DASH_GT] = ACTIONS(4906),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4904),
    [anon_sym_decltype] = ACTIONS(4904),
    [anon_sym_final] = ACTIONS(4904),
    [anon_sym_override] = ACTIONS(4904),
    [anon_sym_requires] = ACTIONS(4904),
  },
  [1737] = {
    [sym_identifier] = ACTIONS(4908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4910),
    [anon_sym_COMMA] = ACTIONS(4910),
    [anon_sym_RPAREN] = ACTIONS(4910),
    [anon_sym_LPAREN2] = ACTIONS(4910),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_STAR] = ACTIONS(4910),
    [anon_sym_SLASH] = ACTIONS(4908),
    [anon_sym_PERCENT] = ACTIONS(4910),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4910),
    [anon_sym_PIPE] = ACTIONS(4908),
    [anon_sym_CARET] = ACTIONS(4910),
    [anon_sym_AMP] = ACTIONS(4908),
    [anon_sym_EQ_EQ] = ACTIONS(4910),
    [anon_sym_BANG_EQ] = ACTIONS(4910),
    [anon_sym_GT] = ACTIONS(4908),
    [anon_sym_GT_EQ] = ACTIONS(4910),
    [anon_sym_LT_EQ] = ACTIONS(4908),
    [anon_sym_LT] = ACTIONS(4908),
    [anon_sym_LT_LT] = ACTIONS(4910),
    [anon_sym_GT_GT] = ACTIONS(4910),
    [anon_sym_SEMI] = ACTIONS(4910),
    [anon_sym___extension__] = ACTIONS(4908),
    [anon_sym___attribute__] = ACTIONS(4908),
    [anon_sym_COLON_COLON] = ACTIONS(4910),
    [anon_sym___based] = ACTIONS(4908),
    [anon_sym_LBRACE] = ACTIONS(4910),
    [anon_sym_RBRACE] = ACTIONS(4910),
    [anon_sym_signed] = ACTIONS(4908),
    [anon_sym_unsigned] = ACTIONS(4908),
    [anon_sym_long] = ACTIONS(4908),
    [anon_sym_short] = ACTIONS(4908),
    [anon_sym_LBRACK] = ACTIONS(4910),
    [anon_sym_RBRACK] = ACTIONS(4910),
    [anon_sym_const] = ACTIONS(4908),
    [anon_sym_constexpr] = ACTIONS(4908),
    [anon_sym_volatile] = ACTIONS(4908),
    [anon_sym_restrict] = ACTIONS(4908),
    [anon_sym___restrict__] = ACTIONS(4908),
    [anon_sym__Atomic] = ACTIONS(4908),
    [anon_sym__Noreturn] = ACTIONS(4908),
    [anon_sym_noreturn] = ACTIONS(4908),
    [anon_sym__Nonnull] = ACTIONS(4908),
    [anon_sym_mutable] = ACTIONS(4908),
    [anon_sym_constinit] = ACTIONS(4908),
    [anon_sym_consteval] = ACTIONS(4908),
    [anon_sym_PROGMEM] = ACTIONS(4908),
    [anon_sym_alignas] = ACTIONS(4908),
    [anon_sym__Alignas] = ACTIONS(4908),
    [aux_sym_primitive_type_token1] = ACTIONS(4908),
    [anon_sym_byte] = ACTIONS(4908),
    [anon_sym_word] = ACTIONS(4908),
    [anon_sym_COLON] = ACTIONS(4908),
    [anon_sym_QMARK] = ACTIONS(4910),
    [anon_sym_LT_EQ_GT] = ACTIONS(4910),
    [anon_sym_or] = ACTIONS(4908),
    [anon_sym_and] = ACTIONS(4908),
    [anon_sym_bitor] = ACTIONS(4908),
    [anon_sym_xor] = ACTIONS(4908),
    [anon_sym_bitand] = ACTIONS(4908),
    [anon_sym_not_eq] = ACTIONS(4908),
    [anon_sym_DASH_DASH] = ACTIONS(4910),
    [anon_sym_PLUS_PLUS] = ACTIONS(4910),
    [anon_sym_DOT] = ACTIONS(4908),
    [anon_sym_DOT_STAR] = ACTIONS(4910),
    [anon_sym_DASH_GT] = ACTIONS(4910),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4908),
    [anon_sym_decltype] = ACTIONS(4908),
    [anon_sym_final] = ACTIONS(4908),
    [anon_sym_override] = ACTIONS(4908),
    [anon_sym_requires] = ACTIONS(4908),
  },
  [1738] = {
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token2] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [aux_sym_preproc_else_token1] = ACTIONS(2822),
    [aux_sym_preproc_elif_token1] = ACTIONS(2822),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_virtual] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym__Nonnull] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [anon_sym_PROGMEM] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym__Alignas] = ACTIONS(2822),
    [aux_sym_primitive_type_token1] = ACTIONS(2822),
    [anon_sym_byte] = ACTIONS(2822),
    [anon_sym_word] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_friend] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
  },
  [1739] = {
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token2] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [aux_sym_preproc_else_token1] = ACTIONS(2964),
    [aux_sym_preproc_elif_token1] = ACTIONS(2964),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_virtual] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym__Nonnull] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [anon_sym_PROGMEM] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym__Alignas] = ACTIONS(2964),
    [aux_sym_primitive_type_token1] = ACTIONS(2964),
    [anon_sym_byte] = ACTIONS(2964),
    [anon_sym_word] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_friend] = ACTIONS(2964),
    [anon_sym_public] = ACTIONS(2964),
    [anon_sym_private] = ACTIONS(2964),
    [anon_sym_protected] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
  },
  [1740] = {
    [sym_identifier] = ACTIONS(2988),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token2] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2988),
    [aux_sym_preproc_else_token1] = ACTIONS(2988),
    [aux_sym_preproc_elif_token1] = ACTIONS(2988),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2988),
    [sym_preproc_directive] = ACTIONS(2988),
    [anon_sym_LPAREN2] = ACTIONS(2990),
    [anon_sym_TILDE] = ACTIONS(2990),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2990),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_typedef] = ACTIONS(2988),
    [anon_sym_virtual] = ACTIONS(2988),
    [anon_sym_extern] = ACTIONS(2988),
    [anon_sym___attribute__] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(2990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2990),
    [anon_sym___declspec] = ACTIONS(2988),
    [anon_sym___based] = ACTIONS(2988),
    [anon_sym_signed] = ACTIONS(2988),
    [anon_sym_unsigned] = ACTIONS(2988),
    [anon_sym_long] = ACTIONS(2988),
    [anon_sym_short] = ACTIONS(2988),
    [anon_sym_LBRACK] = ACTIONS(2988),
    [anon_sym_static] = ACTIONS(2988),
    [anon_sym_register] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(2988),
    [anon_sym___inline] = ACTIONS(2988),
    [anon_sym___inline__] = ACTIONS(2988),
    [anon_sym___forceinline] = ACTIONS(2988),
    [anon_sym_thread_local] = ACTIONS(2988),
    [anon_sym___thread] = ACTIONS(2988),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_PROGMEM] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2988),
    [anon_sym__Alignas] = ACTIONS(2988),
    [aux_sym_primitive_type_token1] = ACTIONS(2988),
    [anon_sym_byte] = ACTIONS(2988),
    [anon_sym_word] = ACTIONS(2988),
    [anon_sym_enum] = ACTIONS(2988),
    [anon_sym_class] = ACTIONS(2988),
    [anon_sym_struct] = ACTIONS(2988),
    [anon_sym_union] = ACTIONS(2988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2988),
    [anon_sym_decltype] = ACTIONS(2988),
    [anon_sym_explicit] = ACTIONS(2988),
    [anon_sym_typename] = ACTIONS(2988),
    [anon_sym_template] = ACTIONS(2988),
    [anon_sym_operator] = ACTIONS(2988),
    [anon_sym_friend] = ACTIONS(2988),
    [anon_sym_public] = ACTIONS(2988),
    [anon_sym_private] = ACTIONS(2988),
    [anon_sym_protected] = ACTIONS(2988),
    [anon_sym_using] = ACTIONS(2988),
    [anon_sym_static_assert] = ACTIONS(2988),
  },
  [1741] = {
    [sym_identifier] = ACTIONS(4900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4902),
    [anon_sym_COMMA] = ACTIONS(4902),
    [anon_sym_RPAREN] = ACTIONS(4902),
    [anon_sym_LPAREN2] = ACTIONS(4902),
    [anon_sym_DASH] = ACTIONS(4900),
    [anon_sym_PLUS] = ACTIONS(4900),
    [anon_sym_STAR] = ACTIONS(4902),
    [anon_sym_SLASH] = ACTIONS(4900),
    [anon_sym_PERCENT] = ACTIONS(4902),
    [anon_sym_PIPE_PIPE] = ACTIONS(4902),
    [anon_sym_AMP_AMP] = ACTIONS(4902),
    [anon_sym_PIPE] = ACTIONS(4900),
    [anon_sym_CARET] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(4900),
    [anon_sym_EQ_EQ] = ACTIONS(4902),
    [anon_sym_BANG_EQ] = ACTIONS(4902),
    [anon_sym_GT] = ACTIONS(4900),
    [anon_sym_GT_EQ] = ACTIONS(4902),
    [anon_sym_LT_EQ] = ACTIONS(4900),
    [anon_sym_LT] = ACTIONS(4900),
    [anon_sym_LT_LT] = ACTIONS(4902),
    [anon_sym_GT_GT] = ACTIONS(4902),
    [anon_sym_SEMI] = ACTIONS(4902),
    [anon_sym___extension__] = ACTIONS(4900),
    [anon_sym___attribute__] = ACTIONS(4900),
    [anon_sym_COLON_COLON] = ACTIONS(4902),
    [anon_sym___based] = ACTIONS(4900),
    [anon_sym_LBRACE] = ACTIONS(4902),
    [anon_sym_RBRACE] = ACTIONS(4902),
    [anon_sym_signed] = ACTIONS(4900),
    [anon_sym_unsigned] = ACTIONS(4900),
    [anon_sym_long] = ACTIONS(4900),
    [anon_sym_short] = ACTIONS(4900),
    [anon_sym_LBRACK] = ACTIONS(4902),
    [anon_sym_RBRACK] = ACTIONS(4902),
    [anon_sym_const] = ACTIONS(4900),
    [anon_sym_constexpr] = ACTIONS(4900),
    [anon_sym_volatile] = ACTIONS(4900),
    [anon_sym_restrict] = ACTIONS(4900),
    [anon_sym___restrict__] = ACTIONS(4900),
    [anon_sym__Atomic] = ACTIONS(4900),
    [anon_sym__Noreturn] = ACTIONS(4900),
    [anon_sym_noreturn] = ACTIONS(4900),
    [anon_sym__Nonnull] = ACTIONS(4900),
    [anon_sym_mutable] = ACTIONS(4900),
    [anon_sym_constinit] = ACTIONS(4900),
    [anon_sym_consteval] = ACTIONS(4900),
    [anon_sym_PROGMEM] = ACTIONS(4900),
    [anon_sym_alignas] = ACTIONS(4900),
    [anon_sym__Alignas] = ACTIONS(4900),
    [aux_sym_primitive_type_token1] = ACTIONS(4900),
    [anon_sym_byte] = ACTIONS(4900),
    [anon_sym_word] = ACTIONS(4900),
    [anon_sym_COLON] = ACTIONS(4900),
    [anon_sym_QMARK] = ACTIONS(4902),
    [anon_sym_LT_EQ_GT] = ACTIONS(4902),
    [anon_sym_or] = ACTIONS(4900),
    [anon_sym_and] = ACTIONS(4900),
    [anon_sym_bitor] = ACTIONS(4900),
    [anon_sym_xor] = ACTIONS(4900),
    [anon_sym_bitand] = ACTIONS(4900),
    [anon_sym_not_eq] = ACTIONS(4900),
    [anon_sym_DASH_DASH] = ACTIONS(4902),
    [anon_sym_PLUS_PLUS] = ACTIONS(4902),
    [anon_sym_DOT] = ACTIONS(4900),
    [anon_sym_DOT_STAR] = ACTIONS(4902),
    [anon_sym_DASH_GT] = ACTIONS(4902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4900),
    [anon_sym_decltype] = ACTIONS(4900),
    [anon_sym_final] = ACTIONS(4900),
    [anon_sym_override] = ACTIONS(4900),
    [anon_sym_requires] = ACTIONS(4900),
  },
  [1742] = {
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token2] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [aux_sym_preproc_else_token1] = ACTIONS(2992),
    [aux_sym_preproc_elif_token1] = ACTIONS(2992),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_PROGMEM] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [aux_sym_primitive_type_token1] = ACTIONS(2992),
    [anon_sym_byte] = ACTIONS(2992),
    [anon_sym_word] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_friend] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
  },
  [1743] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token2] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [aux_sym_preproc_else_token1] = ACTIONS(2924),
    [aux_sym_preproc_elif_token1] = ACTIONS(2924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_PROGMEM] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [aux_sym_primitive_type_token1] = ACTIONS(2924),
    [anon_sym_byte] = ACTIONS(2924),
    [anon_sym_word] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_friend] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_protected] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
  },
  [1744] = {
    [sym_identifier] = ACTIONS(3141),
    [aux_sym_preproc_def_token1] = ACTIONS(3141),
    [aux_sym_preproc_if_token1] = ACTIONS(3141),
    [aux_sym_preproc_if_token2] = ACTIONS(3141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3141),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3141),
    [aux_sym_preproc_else_token1] = ACTIONS(3141),
    [aux_sym_preproc_elif_token1] = ACTIONS(3141),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3141),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3141),
    [sym_preproc_directive] = ACTIONS(3141),
    [anon_sym_LPAREN2] = ACTIONS(3143),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_STAR] = ACTIONS(3143),
    [anon_sym_AMP_AMP] = ACTIONS(3143),
    [anon_sym_AMP] = ACTIONS(3141),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym___extension__] = ACTIONS(3141),
    [anon_sym_typedef] = ACTIONS(3141),
    [anon_sym_virtual] = ACTIONS(3141),
    [anon_sym_extern] = ACTIONS(3141),
    [anon_sym___attribute__] = ACTIONS(3141),
    [anon_sym_COLON_COLON] = ACTIONS(3143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3143),
    [anon_sym___declspec] = ACTIONS(3141),
    [anon_sym___based] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3141),
    [anon_sym_unsigned] = ACTIONS(3141),
    [anon_sym_long] = ACTIONS(3141),
    [anon_sym_short] = ACTIONS(3141),
    [anon_sym_LBRACK] = ACTIONS(3141),
    [anon_sym_static] = ACTIONS(3141),
    [anon_sym_register] = ACTIONS(3141),
    [anon_sym_inline] = ACTIONS(3141),
    [anon_sym___inline] = ACTIONS(3141),
    [anon_sym___inline__] = ACTIONS(3141),
    [anon_sym___forceinline] = ACTIONS(3141),
    [anon_sym_thread_local] = ACTIONS(3141),
    [anon_sym___thread] = ACTIONS(3141),
    [anon_sym_const] = ACTIONS(3141),
    [anon_sym_constexpr] = ACTIONS(3141),
    [anon_sym_volatile] = ACTIONS(3141),
    [anon_sym_restrict] = ACTIONS(3141),
    [anon_sym___restrict__] = ACTIONS(3141),
    [anon_sym__Atomic] = ACTIONS(3141),
    [anon_sym__Noreturn] = ACTIONS(3141),
    [anon_sym_noreturn] = ACTIONS(3141),
    [anon_sym__Nonnull] = ACTIONS(3141),
    [anon_sym_mutable] = ACTIONS(3141),
    [anon_sym_constinit] = ACTIONS(3141),
    [anon_sym_consteval] = ACTIONS(3141),
    [anon_sym_PROGMEM] = ACTIONS(3141),
    [anon_sym_alignas] = ACTIONS(3141),
    [anon_sym__Alignas] = ACTIONS(3141),
    [aux_sym_primitive_type_token1] = ACTIONS(3141),
    [anon_sym_byte] = ACTIONS(3141),
    [anon_sym_word] = ACTIONS(3141),
    [anon_sym_enum] = ACTIONS(3141),
    [anon_sym_class] = ACTIONS(3141),
    [anon_sym_struct] = ACTIONS(3141),
    [anon_sym_union] = ACTIONS(3141),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3141),
    [anon_sym_decltype] = ACTIONS(3141),
    [anon_sym_explicit] = ACTIONS(3141),
    [anon_sym_typename] = ACTIONS(3141),
    [anon_sym_template] = ACTIONS(3141),
    [anon_sym_operator] = ACTIONS(3141),
    [anon_sym_friend] = ACTIONS(3141),
    [anon_sym_public] = ACTIONS(3141),
    [anon_sym_private] = ACTIONS(3141),
    [anon_sym_protected] = ACTIONS(3141),
    [anon_sym_using] = ACTIONS(3141),
    [anon_sym_static_assert] = ACTIONS(3141),
  },
  [1745] = {
    [sym_identifier] = ACTIONS(5349),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5351),
    [anon_sym_COMMA] = ACTIONS(5351),
    [anon_sym_RPAREN] = ACTIONS(5351),
    [anon_sym_LPAREN2] = ACTIONS(5351),
    [anon_sym_DASH] = ACTIONS(5349),
    [anon_sym_PLUS] = ACTIONS(5349),
    [anon_sym_STAR] = ACTIONS(5351),
    [anon_sym_SLASH] = ACTIONS(5349),
    [anon_sym_PERCENT] = ACTIONS(5351),
    [anon_sym_PIPE_PIPE] = ACTIONS(5351),
    [anon_sym_AMP_AMP] = ACTIONS(5351),
    [anon_sym_PIPE] = ACTIONS(5349),
    [anon_sym_CARET] = ACTIONS(5351),
    [anon_sym_AMP] = ACTIONS(5349),
    [anon_sym_EQ_EQ] = ACTIONS(5351),
    [anon_sym_BANG_EQ] = ACTIONS(5351),
    [anon_sym_GT] = ACTIONS(5349),
    [anon_sym_GT_EQ] = ACTIONS(5351),
    [anon_sym_LT_EQ] = ACTIONS(5349),
    [anon_sym_LT] = ACTIONS(5349),
    [anon_sym_LT_LT] = ACTIONS(5351),
    [anon_sym_GT_GT] = ACTIONS(5351),
    [anon_sym_SEMI] = ACTIONS(5351),
    [anon_sym___extension__] = ACTIONS(5349),
    [anon_sym___attribute__] = ACTIONS(5349),
    [anon_sym_COLON_COLON] = ACTIONS(5351),
    [anon_sym___based] = ACTIONS(5349),
    [anon_sym_LBRACE] = ACTIONS(5351),
    [anon_sym_RBRACE] = ACTIONS(5351),
    [anon_sym_signed] = ACTIONS(5349),
    [anon_sym_unsigned] = ACTIONS(5349),
    [anon_sym_long] = ACTIONS(5349),
    [anon_sym_short] = ACTIONS(5349),
    [anon_sym_LBRACK] = ACTIONS(5351),
    [anon_sym_RBRACK] = ACTIONS(5351),
    [anon_sym_const] = ACTIONS(5349),
    [anon_sym_constexpr] = ACTIONS(5349),
    [anon_sym_volatile] = ACTIONS(5349),
    [anon_sym_restrict] = ACTIONS(5349),
    [anon_sym___restrict__] = ACTIONS(5349),
    [anon_sym__Atomic] = ACTIONS(5349),
    [anon_sym__Noreturn] = ACTIONS(5349),
    [anon_sym_noreturn] = ACTIONS(5349),
    [anon_sym__Nonnull] = ACTIONS(5349),
    [anon_sym_mutable] = ACTIONS(5349),
    [anon_sym_constinit] = ACTIONS(5349),
    [anon_sym_consteval] = ACTIONS(5349),
    [anon_sym_PROGMEM] = ACTIONS(5349),
    [anon_sym_alignas] = ACTIONS(5349),
    [anon_sym__Alignas] = ACTIONS(5349),
    [aux_sym_primitive_type_token1] = ACTIONS(5349),
    [anon_sym_byte] = ACTIONS(5349),
    [anon_sym_word] = ACTIONS(5349),
    [anon_sym_COLON] = ACTIONS(5349),
    [anon_sym_QMARK] = ACTIONS(5351),
    [anon_sym_LT_EQ_GT] = ACTIONS(5351),
    [anon_sym_or] = ACTIONS(5349),
    [anon_sym_and] = ACTIONS(5349),
    [anon_sym_bitor] = ACTIONS(5349),
    [anon_sym_xor] = ACTIONS(5349),
    [anon_sym_bitand] = ACTIONS(5349),
    [anon_sym_not_eq] = ACTIONS(5349),
    [anon_sym_DASH_DASH] = ACTIONS(5351),
    [anon_sym_PLUS_PLUS] = ACTIONS(5351),
    [anon_sym_DOT] = ACTIONS(5349),
    [anon_sym_DOT_STAR] = ACTIONS(5351),
    [anon_sym_DASH_GT] = ACTIONS(5351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5349),
    [anon_sym_decltype] = ACTIONS(5349),
    [anon_sym_final] = ACTIONS(5349),
    [anon_sym_override] = ACTIONS(5349),
    [anon_sym_requires] = ACTIONS(5349),
  },
  [1746] = {
    [sym_identifier] = ACTIONS(3137),
    [aux_sym_preproc_def_token1] = ACTIONS(3137),
    [aux_sym_preproc_if_token1] = ACTIONS(3137),
    [aux_sym_preproc_if_token2] = ACTIONS(3137),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3137),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3137),
    [aux_sym_preproc_else_token1] = ACTIONS(3137),
    [aux_sym_preproc_elif_token1] = ACTIONS(3137),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3137),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3137),
    [sym_preproc_directive] = ACTIONS(3137),
    [anon_sym_LPAREN2] = ACTIONS(3139),
    [anon_sym_TILDE] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(3139),
    [anon_sym_AMP_AMP] = ACTIONS(3139),
    [anon_sym_AMP] = ACTIONS(3137),
    [anon_sym_SEMI] = ACTIONS(3139),
    [anon_sym___extension__] = ACTIONS(3137),
    [anon_sym_typedef] = ACTIONS(3137),
    [anon_sym_virtual] = ACTIONS(3137),
    [anon_sym_extern] = ACTIONS(3137),
    [anon_sym___attribute__] = ACTIONS(3137),
    [anon_sym_COLON_COLON] = ACTIONS(3139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3139),
    [anon_sym___declspec] = ACTIONS(3137),
    [anon_sym___based] = ACTIONS(3137),
    [anon_sym_signed] = ACTIONS(3137),
    [anon_sym_unsigned] = ACTIONS(3137),
    [anon_sym_long] = ACTIONS(3137),
    [anon_sym_short] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_static] = ACTIONS(3137),
    [anon_sym_register] = ACTIONS(3137),
    [anon_sym_inline] = ACTIONS(3137),
    [anon_sym___inline] = ACTIONS(3137),
    [anon_sym___inline__] = ACTIONS(3137),
    [anon_sym___forceinline] = ACTIONS(3137),
    [anon_sym_thread_local] = ACTIONS(3137),
    [anon_sym___thread] = ACTIONS(3137),
    [anon_sym_const] = ACTIONS(3137),
    [anon_sym_constexpr] = ACTIONS(3137),
    [anon_sym_volatile] = ACTIONS(3137),
    [anon_sym_restrict] = ACTIONS(3137),
    [anon_sym___restrict__] = ACTIONS(3137),
    [anon_sym__Atomic] = ACTIONS(3137),
    [anon_sym__Noreturn] = ACTIONS(3137),
    [anon_sym_noreturn] = ACTIONS(3137),
    [anon_sym__Nonnull] = ACTIONS(3137),
    [anon_sym_mutable] = ACTIONS(3137),
    [anon_sym_constinit] = ACTIONS(3137),
    [anon_sym_consteval] = ACTIONS(3137),
    [anon_sym_PROGMEM] = ACTIONS(3137),
    [anon_sym_alignas] = ACTIONS(3137),
    [anon_sym__Alignas] = ACTIONS(3137),
    [aux_sym_primitive_type_token1] = ACTIONS(3137),
    [anon_sym_byte] = ACTIONS(3137),
    [anon_sym_word] = ACTIONS(3137),
    [anon_sym_enum] = ACTIONS(3137),
    [anon_sym_class] = ACTIONS(3137),
    [anon_sym_struct] = ACTIONS(3137),
    [anon_sym_union] = ACTIONS(3137),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3137),
    [anon_sym_decltype] = ACTIONS(3137),
    [anon_sym_explicit] = ACTIONS(3137),
    [anon_sym_typename] = ACTIONS(3137),
    [anon_sym_template] = ACTIONS(3137),
    [anon_sym_operator] = ACTIONS(3137),
    [anon_sym_friend] = ACTIONS(3137),
    [anon_sym_public] = ACTIONS(3137),
    [anon_sym_private] = ACTIONS(3137),
    [anon_sym_protected] = ACTIONS(3137),
    [anon_sym_using] = ACTIONS(3137),
    [anon_sym_static_assert] = ACTIONS(3137),
  },
  [1747] = {
    [sym_identifier] = ACTIONS(5353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5355),
    [anon_sym_COMMA] = ACTIONS(5355),
    [anon_sym_RPAREN] = ACTIONS(5355),
    [anon_sym_LPAREN2] = ACTIONS(5355),
    [anon_sym_DASH] = ACTIONS(5353),
    [anon_sym_PLUS] = ACTIONS(5353),
    [anon_sym_STAR] = ACTIONS(5355),
    [anon_sym_SLASH] = ACTIONS(5353),
    [anon_sym_PERCENT] = ACTIONS(5355),
    [anon_sym_PIPE_PIPE] = ACTIONS(5355),
    [anon_sym_AMP_AMP] = ACTIONS(5355),
    [anon_sym_PIPE] = ACTIONS(5353),
    [anon_sym_CARET] = ACTIONS(5355),
    [anon_sym_AMP] = ACTIONS(5353),
    [anon_sym_EQ_EQ] = ACTIONS(5355),
    [anon_sym_BANG_EQ] = ACTIONS(5355),
    [anon_sym_GT] = ACTIONS(5353),
    [anon_sym_GT_EQ] = ACTIONS(5355),
    [anon_sym_LT_EQ] = ACTIONS(5353),
    [anon_sym_LT] = ACTIONS(5353),
    [anon_sym_LT_LT] = ACTIONS(5355),
    [anon_sym_GT_GT] = ACTIONS(5355),
    [anon_sym_SEMI] = ACTIONS(5355),
    [anon_sym___extension__] = ACTIONS(5353),
    [anon_sym___attribute__] = ACTIONS(5353),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym___based] = ACTIONS(5353),
    [anon_sym_LBRACE] = ACTIONS(5355),
    [anon_sym_RBRACE] = ACTIONS(5355),
    [anon_sym_signed] = ACTIONS(5353),
    [anon_sym_unsigned] = ACTIONS(5353),
    [anon_sym_long] = ACTIONS(5353),
    [anon_sym_short] = ACTIONS(5353),
    [anon_sym_LBRACK] = ACTIONS(5355),
    [anon_sym_RBRACK] = ACTIONS(5355),
    [anon_sym_const] = ACTIONS(5353),
    [anon_sym_constexpr] = ACTIONS(5353),
    [anon_sym_volatile] = ACTIONS(5353),
    [anon_sym_restrict] = ACTIONS(5353),
    [anon_sym___restrict__] = ACTIONS(5353),
    [anon_sym__Atomic] = ACTIONS(5353),
    [anon_sym__Noreturn] = ACTIONS(5353),
    [anon_sym_noreturn] = ACTIONS(5353),
    [anon_sym__Nonnull] = ACTIONS(5353),
    [anon_sym_mutable] = ACTIONS(5353),
    [anon_sym_constinit] = ACTIONS(5353),
    [anon_sym_consteval] = ACTIONS(5353),
    [anon_sym_PROGMEM] = ACTIONS(5353),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [aux_sym_primitive_type_token1] = ACTIONS(5353),
    [anon_sym_byte] = ACTIONS(5353),
    [anon_sym_word] = ACTIONS(5353),
    [anon_sym_COLON] = ACTIONS(5353),
    [anon_sym_QMARK] = ACTIONS(5355),
    [anon_sym_LT_EQ_GT] = ACTIONS(5355),
    [anon_sym_or] = ACTIONS(5353),
    [anon_sym_and] = ACTIONS(5353),
    [anon_sym_bitor] = ACTIONS(5353),
    [anon_sym_xor] = ACTIONS(5353),
    [anon_sym_bitand] = ACTIONS(5353),
    [anon_sym_not_eq] = ACTIONS(5353),
    [anon_sym_DASH_DASH] = ACTIONS(5355),
    [anon_sym_PLUS_PLUS] = ACTIONS(5355),
    [anon_sym_DOT] = ACTIONS(5353),
    [anon_sym_DOT_STAR] = ACTIONS(5355),
    [anon_sym_DASH_GT] = ACTIONS(5355),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5353),
    [anon_sym_decltype] = ACTIONS(5353),
    [anon_sym_final] = ACTIONS(5353),
    [anon_sym_override] = ACTIONS(5353),
    [anon_sym_requires] = ACTIONS(5353),
  },
  [1748] = {
    [sym_identifier] = ACTIONS(3012),
    [aux_sym_preproc_def_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token2] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3012),
    [aux_sym_preproc_else_token1] = ACTIONS(3012),
    [aux_sym_preproc_elif_token1] = ACTIONS(3012),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3012),
    [sym_preproc_directive] = ACTIONS(3012),
    [anon_sym_LPAREN2] = ACTIONS(3014),
    [anon_sym_TILDE] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3012),
    [anon_sym_typedef] = ACTIONS(3012),
    [anon_sym_virtual] = ACTIONS(3012),
    [anon_sym_extern] = ACTIONS(3012),
    [anon_sym___attribute__] = ACTIONS(3012),
    [anon_sym_COLON_COLON] = ACTIONS(3014),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3014),
    [anon_sym___declspec] = ACTIONS(3012),
    [anon_sym___based] = ACTIONS(3012),
    [anon_sym_signed] = ACTIONS(3012),
    [anon_sym_unsigned] = ACTIONS(3012),
    [anon_sym_long] = ACTIONS(3012),
    [anon_sym_short] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_static] = ACTIONS(3012),
    [anon_sym_register] = ACTIONS(3012),
    [anon_sym_inline] = ACTIONS(3012),
    [anon_sym___inline] = ACTIONS(3012),
    [anon_sym___inline__] = ACTIONS(3012),
    [anon_sym___forceinline] = ACTIONS(3012),
    [anon_sym_thread_local] = ACTIONS(3012),
    [anon_sym___thread] = ACTIONS(3012),
    [anon_sym_const] = ACTIONS(3012),
    [anon_sym_constexpr] = ACTIONS(3012),
    [anon_sym_volatile] = ACTIONS(3012),
    [anon_sym_restrict] = ACTIONS(3012),
    [anon_sym___restrict__] = ACTIONS(3012),
    [anon_sym__Atomic] = ACTIONS(3012),
    [anon_sym__Noreturn] = ACTIONS(3012),
    [anon_sym_noreturn] = ACTIONS(3012),
    [anon_sym__Nonnull] = ACTIONS(3012),
    [anon_sym_mutable] = ACTIONS(3012),
    [anon_sym_constinit] = ACTIONS(3012),
    [anon_sym_consteval] = ACTIONS(3012),
    [anon_sym_PROGMEM] = ACTIONS(3012),
    [anon_sym_alignas] = ACTIONS(3012),
    [anon_sym__Alignas] = ACTIONS(3012),
    [aux_sym_primitive_type_token1] = ACTIONS(3012),
    [anon_sym_byte] = ACTIONS(3012),
    [anon_sym_word] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3012),
    [anon_sym_struct] = ACTIONS(3012),
    [anon_sym_union] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3012),
    [anon_sym_decltype] = ACTIONS(3012),
    [anon_sym_explicit] = ACTIONS(3012),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(3012),
    [anon_sym_friend] = ACTIONS(3012),
    [anon_sym_public] = ACTIONS(3012),
    [anon_sym_private] = ACTIONS(3012),
    [anon_sym_protected] = ACTIONS(3012),
    [anon_sym_using] = ACTIONS(3012),
    [anon_sym_static_assert] = ACTIONS(3012),
  },
  [1749] = {
    [sym_identifier] = ACTIONS(3133),
    [aux_sym_preproc_def_token1] = ACTIONS(3133),
    [aux_sym_preproc_if_token1] = ACTIONS(3133),
    [aux_sym_preproc_if_token2] = ACTIONS(3133),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3133),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3133),
    [aux_sym_preproc_else_token1] = ACTIONS(3133),
    [aux_sym_preproc_elif_token1] = ACTIONS(3133),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3133),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3133),
    [sym_preproc_directive] = ACTIONS(3133),
    [anon_sym_LPAREN2] = ACTIONS(3135),
    [anon_sym_TILDE] = ACTIONS(3135),
    [anon_sym_STAR] = ACTIONS(3135),
    [anon_sym_AMP_AMP] = ACTIONS(3135),
    [anon_sym_AMP] = ACTIONS(3133),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym___extension__] = ACTIONS(3133),
    [anon_sym_typedef] = ACTIONS(3133),
    [anon_sym_virtual] = ACTIONS(3133),
    [anon_sym_extern] = ACTIONS(3133),
    [anon_sym___attribute__] = ACTIONS(3133),
    [anon_sym_COLON_COLON] = ACTIONS(3135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3135),
    [anon_sym___declspec] = ACTIONS(3133),
    [anon_sym___based] = ACTIONS(3133),
    [anon_sym_signed] = ACTIONS(3133),
    [anon_sym_unsigned] = ACTIONS(3133),
    [anon_sym_long] = ACTIONS(3133),
    [anon_sym_short] = ACTIONS(3133),
    [anon_sym_LBRACK] = ACTIONS(3133),
    [anon_sym_static] = ACTIONS(3133),
    [anon_sym_register] = ACTIONS(3133),
    [anon_sym_inline] = ACTIONS(3133),
    [anon_sym___inline] = ACTIONS(3133),
    [anon_sym___inline__] = ACTIONS(3133),
    [anon_sym___forceinline] = ACTIONS(3133),
    [anon_sym_thread_local] = ACTIONS(3133),
    [anon_sym___thread] = ACTIONS(3133),
    [anon_sym_const] = ACTIONS(3133),
    [anon_sym_constexpr] = ACTIONS(3133),
    [anon_sym_volatile] = ACTIONS(3133),
    [anon_sym_restrict] = ACTIONS(3133),
    [anon_sym___restrict__] = ACTIONS(3133),
    [anon_sym__Atomic] = ACTIONS(3133),
    [anon_sym__Noreturn] = ACTIONS(3133),
    [anon_sym_noreturn] = ACTIONS(3133),
    [anon_sym__Nonnull] = ACTIONS(3133),
    [anon_sym_mutable] = ACTIONS(3133),
    [anon_sym_constinit] = ACTIONS(3133),
    [anon_sym_consteval] = ACTIONS(3133),
    [anon_sym_PROGMEM] = ACTIONS(3133),
    [anon_sym_alignas] = ACTIONS(3133),
    [anon_sym__Alignas] = ACTIONS(3133),
    [aux_sym_primitive_type_token1] = ACTIONS(3133),
    [anon_sym_byte] = ACTIONS(3133),
    [anon_sym_word] = ACTIONS(3133),
    [anon_sym_enum] = ACTIONS(3133),
    [anon_sym_class] = ACTIONS(3133),
    [anon_sym_struct] = ACTIONS(3133),
    [anon_sym_union] = ACTIONS(3133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3133),
    [anon_sym_decltype] = ACTIONS(3133),
    [anon_sym_explicit] = ACTIONS(3133),
    [anon_sym_typename] = ACTIONS(3133),
    [anon_sym_template] = ACTIONS(3133),
    [anon_sym_operator] = ACTIONS(3133),
    [anon_sym_friend] = ACTIONS(3133),
    [anon_sym_public] = ACTIONS(3133),
    [anon_sym_private] = ACTIONS(3133),
    [anon_sym_protected] = ACTIONS(3133),
    [anon_sym_using] = ACTIONS(3133),
    [anon_sym_static_assert] = ACTIONS(3133),
  },
  [1750] = {
    [sym_identifier] = ACTIONS(3016),
    [aux_sym_preproc_def_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token2] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3016),
    [aux_sym_preproc_else_token1] = ACTIONS(3016),
    [aux_sym_preproc_elif_token1] = ACTIONS(3016),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3016),
    [sym_preproc_directive] = ACTIONS(3016),
    [anon_sym_LPAREN2] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym___extension__] = ACTIONS(3016),
    [anon_sym_typedef] = ACTIONS(3016),
    [anon_sym_virtual] = ACTIONS(3016),
    [anon_sym_extern] = ACTIONS(3016),
    [anon_sym___attribute__] = ACTIONS(3016),
    [anon_sym_COLON_COLON] = ACTIONS(3018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3018),
    [anon_sym___declspec] = ACTIONS(3016),
    [anon_sym___based] = ACTIONS(3016),
    [anon_sym_signed] = ACTIONS(3016),
    [anon_sym_unsigned] = ACTIONS(3016),
    [anon_sym_long] = ACTIONS(3016),
    [anon_sym_short] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_register] = ACTIONS(3016),
    [anon_sym_inline] = ACTIONS(3016),
    [anon_sym___inline] = ACTIONS(3016),
    [anon_sym___inline__] = ACTIONS(3016),
    [anon_sym___forceinline] = ACTIONS(3016),
    [anon_sym_thread_local] = ACTIONS(3016),
    [anon_sym___thread] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_constexpr] = ACTIONS(3016),
    [anon_sym_volatile] = ACTIONS(3016),
    [anon_sym_restrict] = ACTIONS(3016),
    [anon_sym___restrict__] = ACTIONS(3016),
    [anon_sym__Atomic] = ACTIONS(3016),
    [anon_sym__Noreturn] = ACTIONS(3016),
    [anon_sym_noreturn] = ACTIONS(3016),
    [anon_sym__Nonnull] = ACTIONS(3016),
    [anon_sym_mutable] = ACTIONS(3016),
    [anon_sym_constinit] = ACTIONS(3016),
    [anon_sym_consteval] = ACTIONS(3016),
    [anon_sym_PROGMEM] = ACTIONS(3016),
    [anon_sym_alignas] = ACTIONS(3016),
    [anon_sym__Alignas] = ACTIONS(3016),
    [aux_sym_primitive_type_token1] = ACTIONS(3016),
    [anon_sym_byte] = ACTIONS(3016),
    [anon_sym_word] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_struct] = ACTIONS(3016),
    [anon_sym_union] = ACTIONS(3016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3016),
    [anon_sym_decltype] = ACTIONS(3016),
    [anon_sym_explicit] = ACTIONS(3016),
    [anon_sym_typename] = ACTIONS(3016),
    [anon_sym_template] = ACTIONS(3016),
    [anon_sym_operator] = ACTIONS(3016),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3016),
  },
  [1751] = {
    [sym_identifier] = ACTIONS(3020),
    [aux_sym_preproc_def_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token2] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3020),
    [aux_sym_preproc_else_token1] = ACTIONS(3020),
    [aux_sym_preproc_elif_token1] = ACTIONS(3020),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3020),
    [sym_preproc_directive] = ACTIONS(3020),
    [anon_sym_LPAREN2] = ACTIONS(3022),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3022),
    [anon_sym_AMP] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym___extension__] = ACTIONS(3020),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_virtual] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(3020),
    [anon_sym___attribute__] = ACTIONS(3020),
    [anon_sym_COLON_COLON] = ACTIONS(3022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(3020),
    [anon_sym___based] = ACTIONS(3020),
    [anon_sym_signed] = ACTIONS(3020),
    [anon_sym_unsigned] = ACTIONS(3020),
    [anon_sym_long] = ACTIONS(3020),
    [anon_sym_short] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_register] = ACTIONS(3020),
    [anon_sym_inline] = ACTIONS(3020),
    [anon_sym___inline] = ACTIONS(3020),
    [anon_sym___inline__] = ACTIONS(3020),
    [anon_sym___forceinline] = ACTIONS(3020),
    [anon_sym_thread_local] = ACTIONS(3020),
    [anon_sym___thread] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_constexpr] = ACTIONS(3020),
    [anon_sym_volatile] = ACTIONS(3020),
    [anon_sym_restrict] = ACTIONS(3020),
    [anon_sym___restrict__] = ACTIONS(3020),
    [anon_sym__Atomic] = ACTIONS(3020),
    [anon_sym__Noreturn] = ACTIONS(3020),
    [anon_sym_noreturn] = ACTIONS(3020),
    [anon_sym__Nonnull] = ACTIONS(3020),
    [anon_sym_mutable] = ACTIONS(3020),
    [anon_sym_constinit] = ACTIONS(3020),
    [anon_sym_consteval] = ACTIONS(3020),
    [anon_sym_PROGMEM] = ACTIONS(3020),
    [anon_sym_alignas] = ACTIONS(3020),
    [anon_sym__Alignas] = ACTIONS(3020),
    [aux_sym_primitive_type_token1] = ACTIONS(3020),
    [anon_sym_byte] = ACTIONS(3020),
    [anon_sym_word] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_struct] = ACTIONS(3020),
    [anon_sym_union] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3020),
    [anon_sym_decltype] = ACTIONS(3020),
    [anon_sym_explicit] = ACTIONS(3020),
    [anon_sym_typename] = ACTIONS(3020),
    [anon_sym_template] = ACTIONS(3020),
    [anon_sym_operator] = ACTIONS(3020),
    [anon_sym_friend] = ACTIONS(3020),
    [anon_sym_public] = ACTIONS(3020),
    [anon_sym_private] = ACTIONS(3020),
    [anon_sym_protected] = ACTIONS(3020),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3020),
  },
  [1752] = {
    [sym_identifier] = ACTIONS(3004),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token2] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3004),
    [aux_sym_preproc_else_token1] = ACTIONS(3004),
    [aux_sym_preproc_elif_token1] = ACTIONS(3004),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3004),
    [sym_preproc_directive] = ACTIONS(3004),
    [anon_sym_LPAREN2] = ACTIONS(3006),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3006),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3004),
    [anon_sym_virtual] = ACTIONS(3004),
    [anon_sym_extern] = ACTIONS(3004),
    [anon_sym___attribute__] = ACTIONS(3004),
    [anon_sym_COLON_COLON] = ACTIONS(3006),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3006),
    [anon_sym___declspec] = ACTIONS(3004),
    [anon_sym___based] = ACTIONS(3004),
    [anon_sym_signed] = ACTIONS(3004),
    [anon_sym_unsigned] = ACTIONS(3004),
    [anon_sym_long] = ACTIONS(3004),
    [anon_sym_short] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_register] = ACTIONS(3004),
    [anon_sym_inline] = ACTIONS(3004),
    [anon_sym___inline] = ACTIONS(3004),
    [anon_sym___inline__] = ACTIONS(3004),
    [anon_sym___forceinline] = ACTIONS(3004),
    [anon_sym_thread_local] = ACTIONS(3004),
    [anon_sym___thread] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_constexpr] = ACTIONS(3004),
    [anon_sym_volatile] = ACTIONS(3004),
    [anon_sym_restrict] = ACTIONS(3004),
    [anon_sym___restrict__] = ACTIONS(3004),
    [anon_sym__Atomic] = ACTIONS(3004),
    [anon_sym__Noreturn] = ACTIONS(3004),
    [anon_sym_noreturn] = ACTIONS(3004),
    [anon_sym__Nonnull] = ACTIONS(3004),
    [anon_sym_mutable] = ACTIONS(3004),
    [anon_sym_constinit] = ACTIONS(3004),
    [anon_sym_consteval] = ACTIONS(3004),
    [anon_sym_PROGMEM] = ACTIONS(3004),
    [anon_sym_alignas] = ACTIONS(3004),
    [anon_sym__Alignas] = ACTIONS(3004),
    [aux_sym_primitive_type_token1] = ACTIONS(3004),
    [anon_sym_byte] = ACTIONS(3004),
    [anon_sym_word] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_union] = ACTIONS(3004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3004),
    [anon_sym_explicit] = ACTIONS(3004),
    [anon_sym_typename] = ACTIONS(3004),
    [anon_sym_template] = ACTIONS(3004),
    [anon_sym_operator] = ACTIONS(3004),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(3004),
    [anon_sym_private] = ACTIONS(3004),
    [anon_sym_protected] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(3004),
    [anon_sym_static_assert] = ACTIONS(3004),
  },
  [1753] = {
    [sym_identifier] = ACTIONS(3028),
    [aux_sym_preproc_def_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token2] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3028),
    [aux_sym_preproc_else_token1] = ACTIONS(3028),
    [aux_sym_preproc_elif_token1] = ACTIONS(3028),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3028),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym___based] = ACTIONS(3028),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym__Nonnull] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym__Alignas] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_explicit] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_operator] = ACTIONS(3028),
    [anon_sym_friend] = ACTIONS(3028),
    [anon_sym_public] = ACTIONS(3028),
    [anon_sym_private] = ACTIONS(3028),
    [anon_sym_protected] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_static_assert] = ACTIONS(3028),
  },
  [1754] = {
    [sym_identifier] = ACTIONS(3070),
    [aux_sym_preproc_def_token1] = ACTIONS(3070),
    [aux_sym_preproc_if_token1] = ACTIONS(3070),
    [aux_sym_preproc_if_token2] = ACTIONS(3070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3070),
    [aux_sym_preproc_else_token1] = ACTIONS(3070),
    [aux_sym_preproc_elif_token1] = ACTIONS(3070),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3070),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3070),
    [sym_preproc_directive] = ACTIONS(3070),
    [anon_sym_LPAREN2] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym___extension__] = ACTIONS(3070),
    [anon_sym_typedef] = ACTIONS(3070),
    [anon_sym_virtual] = ACTIONS(3070),
    [anon_sym_extern] = ACTIONS(3070),
    [anon_sym___attribute__] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3072),
    [anon_sym___declspec] = ACTIONS(3070),
    [anon_sym___based] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3070),
    [anon_sym_unsigned] = ACTIONS(3070),
    [anon_sym_long] = ACTIONS(3070),
    [anon_sym_short] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(3070),
    [anon_sym_static] = ACTIONS(3070),
    [anon_sym_register] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym___inline] = ACTIONS(3070),
    [anon_sym___inline__] = ACTIONS(3070),
    [anon_sym___forceinline] = ACTIONS(3070),
    [anon_sym_thread_local] = ACTIONS(3070),
    [anon_sym___thread] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_constexpr] = ACTIONS(3070),
    [anon_sym_volatile] = ACTIONS(3070),
    [anon_sym_restrict] = ACTIONS(3070),
    [anon_sym___restrict__] = ACTIONS(3070),
    [anon_sym__Atomic] = ACTIONS(3070),
    [anon_sym__Noreturn] = ACTIONS(3070),
    [anon_sym_noreturn] = ACTIONS(3070),
    [anon_sym__Nonnull] = ACTIONS(3070),
    [anon_sym_mutable] = ACTIONS(3070),
    [anon_sym_constinit] = ACTIONS(3070),
    [anon_sym_consteval] = ACTIONS(3070),
    [anon_sym_PROGMEM] = ACTIONS(3070),
    [anon_sym_alignas] = ACTIONS(3070),
    [anon_sym__Alignas] = ACTIONS(3070),
    [aux_sym_primitive_type_token1] = ACTIONS(3070),
    [anon_sym_byte] = ACTIONS(3070),
    [anon_sym_word] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_class] = ACTIONS(3070),
    [anon_sym_struct] = ACTIONS(3070),
    [anon_sym_union] = ACTIONS(3070),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3070),
    [anon_sym_decltype] = ACTIONS(3070),
    [anon_sym_explicit] = ACTIONS(3070),
    [anon_sym_typename] = ACTIONS(3070),
    [anon_sym_template] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_friend] = ACTIONS(3070),
    [anon_sym_public] = ACTIONS(3070),
    [anon_sym_private] = ACTIONS(3070),
    [anon_sym_protected] = ACTIONS(3070),
    [anon_sym_using] = ACTIONS(3070),
    [anon_sym_static_assert] = ACTIONS(3070),
  },
  [1755] = {
    [sym_decltype_auto] = STATE(1806),
    [sym_identifier] = ACTIONS(5357),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5359),
    [anon_sym_COMMA] = ACTIONS(5359),
    [anon_sym_RPAREN] = ACTIONS(5359),
    [anon_sym_LPAREN2] = ACTIONS(5359),
    [anon_sym_DASH] = ACTIONS(5357),
    [anon_sym_PLUS] = ACTIONS(5357),
    [anon_sym_STAR] = ACTIONS(5359),
    [anon_sym_SLASH] = ACTIONS(5357),
    [anon_sym_PERCENT] = ACTIONS(5359),
    [anon_sym_PIPE_PIPE] = ACTIONS(5359),
    [anon_sym_AMP_AMP] = ACTIONS(5359),
    [anon_sym_PIPE] = ACTIONS(5357),
    [anon_sym_CARET] = ACTIONS(5359),
    [anon_sym_AMP] = ACTIONS(5357),
    [anon_sym_EQ_EQ] = ACTIONS(5359),
    [anon_sym_BANG_EQ] = ACTIONS(5359),
    [anon_sym_GT] = ACTIONS(5357),
    [anon_sym_GT_EQ] = ACTIONS(5359),
    [anon_sym_LT_EQ] = ACTIONS(5357),
    [anon_sym_LT] = ACTIONS(5357),
    [anon_sym_LT_LT] = ACTIONS(5359),
    [anon_sym_GT_GT] = ACTIONS(5359),
    [anon_sym_SEMI] = ACTIONS(5359),
    [anon_sym___extension__] = ACTIONS(5357),
    [anon_sym___attribute__] = ACTIONS(5357),
    [anon_sym___based] = ACTIONS(5357),
    [anon_sym_LBRACE] = ACTIONS(5359),
    [anon_sym_RBRACE] = ACTIONS(5359),
    [anon_sym_signed] = ACTIONS(5357),
    [anon_sym_unsigned] = ACTIONS(5357),
    [anon_sym_long] = ACTIONS(5357),
    [anon_sym_short] = ACTIONS(5357),
    [anon_sym_LBRACK] = ACTIONS(5359),
    [anon_sym_RBRACK] = ACTIONS(5359),
    [anon_sym_const] = ACTIONS(5357),
    [anon_sym_constexpr] = ACTIONS(5357),
    [anon_sym_volatile] = ACTIONS(5357),
    [anon_sym_restrict] = ACTIONS(5357),
    [anon_sym___restrict__] = ACTIONS(5357),
    [anon_sym__Atomic] = ACTIONS(5357),
    [anon_sym__Noreturn] = ACTIONS(5357),
    [anon_sym_noreturn] = ACTIONS(5357),
    [anon_sym__Nonnull] = ACTIONS(5357),
    [anon_sym_mutable] = ACTIONS(5357),
    [anon_sym_constinit] = ACTIONS(5357),
    [anon_sym_consteval] = ACTIONS(5357),
    [anon_sym_PROGMEM] = ACTIONS(5357),
    [anon_sym_alignas] = ACTIONS(5357),
    [anon_sym__Alignas] = ACTIONS(5357),
    [aux_sym_primitive_type_token1] = ACTIONS(5357),
    [anon_sym_byte] = ACTIONS(5357),
    [anon_sym_word] = ACTIONS(5357),
    [anon_sym_COLON] = ACTIONS(5359),
    [anon_sym_QMARK] = ACTIONS(5359),
    [anon_sym_LT_EQ_GT] = ACTIONS(5359),
    [anon_sym_or] = ACTIONS(5357),
    [anon_sym_and] = ACTIONS(5357),
    [anon_sym_bitor] = ACTIONS(5357),
    [anon_sym_xor] = ACTIONS(5357),
    [anon_sym_bitand] = ACTIONS(5357),
    [anon_sym_not_eq] = ACTIONS(5357),
    [anon_sym_DASH_DASH] = ACTIONS(5359),
    [anon_sym_PLUS_PLUS] = ACTIONS(5359),
    [anon_sym_DOT] = ACTIONS(5357),
    [anon_sym_DOT_STAR] = ACTIONS(5359),
    [anon_sym_DASH_GT] = ACTIONS(5359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5361),
    [anon_sym_decltype] = ACTIONS(5363),
    [anon_sym_final] = ACTIONS(5357),
    [anon_sym_override] = ACTIONS(5357),
    [anon_sym_requires] = ACTIONS(5357),
  },
  [1756] = {
    [sym_identifier] = ACTIONS(3082),
    [aux_sym_preproc_def_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token2] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3082),
    [aux_sym_preproc_else_token1] = ACTIONS(3082),
    [aux_sym_preproc_elif_token1] = ACTIONS(3082),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3082),
    [sym_preproc_directive] = ACTIONS(3082),
    [anon_sym_LPAREN2] = ACTIONS(3084),
    [anon_sym_TILDE] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym___extension__] = ACTIONS(3082),
    [anon_sym_typedef] = ACTIONS(3082),
    [anon_sym_virtual] = ACTIONS(3082),
    [anon_sym_extern] = ACTIONS(3082),
    [anon_sym___attribute__] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3084),
    [anon_sym___declspec] = ACTIONS(3082),
    [anon_sym___based] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3082),
    [anon_sym_unsigned] = ACTIONS(3082),
    [anon_sym_long] = ACTIONS(3082),
    [anon_sym_short] = ACTIONS(3082),
    [anon_sym_LBRACK] = ACTIONS(3082),
    [anon_sym_static] = ACTIONS(3082),
    [anon_sym_register] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym___inline] = ACTIONS(3082),
    [anon_sym___inline__] = ACTIONS(3082),
    [anon_sym___forceinline] = ACTIONS(3082),
    [anon_sym_thread_local] = ACTIONS(3082),
    [anon_sym___thread] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_constexpr] = ACTIONS(3082),
    [anon_sym_volatile] = ACTIONS(3082),
    [anon_sym_restrict] = ACTIONS(3082),
    [anon_sym___restrict__] = ACTIONS(3082),
    [anon_sym__Atomic] = ACTIONS(3082),
    [anon_sym__Noreturn] = ACTIONS(3082),
    [anon_sym_noreturn] = ACTIONS(3082),
    [anon_sym__Nonnull] = ACTIONS(3082),
    [anon_sym_mutable] = ACTIONS(3082),
    [anon_sym_constinit] = ACTIONS(3082),
    [anon_sym_consteval] = ACTIONS(3082),
    [anon_sym_PROGMEM] = ACTIONS(3082),
    [anon_sym_alignas] = ACTIONS(3082),
    [anon_sym__Alignas] = ACTIONS(3082),
    [aux_sym_primitive_type_token1] = ACTIONS(3082),
    [anon_sym_byte] = ACTIONS(3082),
    [anon_sym_word] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3082),
    [anon_sym_struct] = ACTIONS(3082),
    [anon_sym_union] = ACTIONS(3082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3082),
    [anon_sym_decltype] = ACTIONS(3082),
    [anon_sym_explicit] = ACTIONS(3082),
    [anon_sym_typename] = ACTIONS(3082),
    [anon_sym_template] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_friend] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_using] = ACTIONS(3082),
    [anon_sym_static_assert] = ACTIONS(3082),
  },
  [1757] = {
    [sym_identifier] = ACTIONS(3082),
    [aux_sym_preproc_def_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token2] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3082),
    [aux_sym_preproc_else_token1] = ACTIONS(3082),
    [aux_sym_preproc_elif_token1] = ACTIONS(3082),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3082),
    [sym_preproc_directive] = ACTIONS(3082),
    [anon_sym_LPAREN2] = ACTIONS(3084),
    [anon_sym_TILDE] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym___extension__] = ACTIONS(3082),
    [anon_sym_typedef] = ACTIONS(3082),
    [anon_sym_virtual] = ACTIONS(3082),
    [anon_sym_extern] = ACTIONS(3082),
    [anon_sym___attribute__] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3084),
    [anon_sym___declspec] = ACTIONS(3082),
    [anon_sym___based] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3082),
    [anon_sym_unsigned] = ACTIONS(3082),
    [anon_sym_long] = ACTIONS(3082),
    [anon_sym_short] = ACTIONS(3082),
    [anon_sym_LBRACK] = ACTIONS(3082),
    [anon_sym_static] = ACTIONS(3082),
    [anon_sym_register] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym___inline] = ACTIONS(3082),
    [anon_sym___inline__] = ACTIONS(3082),
    [anon_sym___forceinline] = ACTIONS(3082),
    [anon_sym_thread_local] = ACTIONS(3082),
    [anon_sym___thread] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_constexpr] = ACTIONS(3082),
    [anon_sym_volatile] = ACTIONS(3082),
    [anon_sym_restrict] = ACTIONS(3082),
    [anon_sym___restrict__] = ACTIONS(3082),
    [anon_sym__Atomic] = ACTIONS(3082),
    [anon_sym__Noreturn] = ACTIONS(3082),
    [anon_sym_noreturn] = ACTIONS(3082),
    [anon_sym__Nonnull] = ACTIONS(3082),
    [anon_sym_mutable] = ACTIONS(3082),
    [anon_sym_constinit] = ACTIONS(3082),
    [anon_sym_consteval] = ACTIONS(3082),
    [anon_sym_PROGMEM] = ACTIONS(3082),
    [anon_sym_alignas] = ACTIONS(3082),
    [anon_sym__Alignas] = ACTIONS(3082),
    [aux_sym_primitive_type_token1] = ACTIONS(3082),
    [anon_sym_byte] = ACTIONS(3082),
    [anon_sym_word] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3082),
    [anon_sym_struct] = ACTIONS(3082),
    [anon_sym_union] = ACTIONS(3082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3082),
    [anon_sym_decltype] = ACTIONS(3082),
    [anon_sym_explicit] = ACTIONS(3082),
    [anon_sym_typename] = ACTIONS(3082),
    [anon_sym_template] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_friend] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_using] = ACTIONS(3082),
    [anon_sym_static_assert] = ACTIONS(3082),
  },
  [1758] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4931),
    [anon_sym_COMMA] = ACTIONS(4931),
    [anon_sym_RPAREN] = ACTIONS(4933),
    [anon_sym_LPAREN2] = ACTIONS(4933),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4940),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4938),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4933),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4938),
    [anon_sym_GT_GT] = ACTIONS(4938),
    [anon_sym_SEMI] = ACTIONS(4931),
    [anon_sym___extension__] = ACTIONS(4936),
    [anon_sym_COLON_COLON] = ACTIONS(4936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4931),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_LBRACK] = ACTIONS(4940),
    [anon_sym_EQ] = ACTIONS(4938),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4936),
    [anon_sym_volatile] = ACTIONS(4936),
    [anon_sym_restrict] = ACTIONS(4936),
    [anon_sym___restrict__] = ACTIONS(4936),
    [anon_sym__Atomic] = ACTIONS(4936),
    [anon_sym__Noreturn] = ACTIONS(4936),
    [anon_sym_noreturn] = ACTIONS(4936),
    [anon_sym__Nonnull] = ACTIONS(4936),
    [anon_sym_mutable] = ACTIONS(4936),
    [anon_sym_constinit] = ACTIONS(4936),
    [anon_sym_consteval] = ACTIONS(4936),
    [anon_sym_PROGMEM] = ACTIONS(4936),
    [anon_sym_alignas] = ACTIONS(4936),
    [anon_sym__Alignas] = ACTIONS(4936),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_STAR_EQ] = ACTIONS(4931),
    [anon_sym_SLASH_EQ] = ACTIONS(4931),
    [anon_sym_PERCENT_EQ] = ACTIONS(4931),
    [anon_sym_PLUS_EQ] = ACTIONS(4931),
    [anon_sym_DASH_EQ] = ACTIONS(4931),
    [anon_sym_LT_LT_EQ] = ACTIONS(4931),
    [anon_sym_GT_GT_EQ] = ACTIONS(4931),
    [anon_sym_AMP_EQ] = ACTIONS(4931),
    [anon_sym_CARET_EQ] = ACTIONS(4931),
    [anon_sym_PIPE_EQ] = ACTIONS(4931),
    [anon_sym_and_eq] = ACTIONS(4931),
    [anon_sym_or_eq] = ACTIONS(4931),
    [anon_sym_xor_eq] = ACTIONS(4931),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4931),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4931),
    [anon_sym_not_eq] = ACTIONS(4931),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4936),
    [anon_sym_decltype] = ACTIONS(4936),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4931),
  },
  [1759] = {
    [sym_identifier] = ACTIONS(3008),
    [aux_sym_preproc_def_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token2] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [aux_sym_preproc_else_token1] = ACTIONS(3008),
    [aux_sym_preproc_elif_token1] = ACTIONS(3008),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3008),
    [anon_sym_LPAREN2] = ACTIONS(3010),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(3008),
    [anon_sym_typedef] = ACTIONS(3008),
    [anon_sym_virtual] = ACTIONS(3008),
    [anon_sym_extern] = ACTIONS(3008),
    [anon_sym___attribute__] = ACTIONS(3008),
    [anon_sym_COLON_COLON] = ACTIONS(3010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3010),
    [anon_sym___declspec] = ACTIONS(3008),
    [anon_sym___based] = ACTIONS(3008),
    [anon_sym_signed] = ACTIONS(3008),
    [anon_sym_unsigned] = ACTIONS(3008),
    [anon_sym_long] = ACTIONS(3008),
    [anon_sym_short] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_register] = ACTIONS(3008),
    [anon_sym_inline] = ACTIONS(3008),
    [anon_sym___inline] = ACTIONS(3008),
    [anon_sym___inline__] = ACTIONS(3008),
    [anon_sym___forceinline] = ACTIONS(3008),
    [anon_sym_thread_local] = ACTIONS(3008),
    [anon_sym___thread] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_constexpr] = ACTIONS(3008),
    [anon_sym_volatile] = ACTIONS(3008),
    [anon_sym_restrict] = ACTIONS(3008),
    [anon_sym___restrict__] = ACTIONS(3008),
    [anon_sym__Atomic] = ACTIONS(3008),
    [anon_sym__Noreturn] = ACTIONS(3008),
    [anon_sym_noreturn] = ACTIONS(3008),
    [anon_sym__Nonnull] = ACTIONS(3008),
    [anon_sym_mutable] = ACTIONS(3008),
    [anon_sym_constinit] = ACTIONS(3008),
    [anon_sym_consteval] = ACTIONS(3008),
    [anon_sym_PROGMEM] = ACTIONS(3008),
    [anon_sym_alignas] = ACTIONS(3008),
    [anon_sym__Alignas] = ACTIONS(3008),
    [aux_sym_primitive_type_token1] = ACTIONS(3008),
    [anon_sym_byte] = ACTIONS(3008),
    [anon_sym_word] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3008),
    [anon_sym_decltype] = ACTIONS(3008),
    [anon_sym_explicit] = ACTIONS(3008),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(3008),
    [anon_sym_operator] = ACTIONS(3008),
    [anon_sym_friend] = ACTIONS(3008),
    [anon_sym_public] = ACTIONS(3008),
    [anon_sym_private] = ACTIONS(3008),
    [anon_sym_protected] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_static_assert] = ACTIONS(3008),
  },
  [1760] = {
    [sym_identifier] = ACTIONS(3178),
    [aux_sym_preproc_def_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3178),
    [aux_sym_preproc_else_token1] = ACTIONS(3178),
    [aux_sym_preproc_elif_token1] = ACTIONS(3178),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3178),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3178),
    [sym_preproc_directive] = ACTIONS(3178),
    [anon_sym_LPAREN2] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3178),
    [anon_sym_typedef] = ACTIONS(3178),
    [anon_sym_virtual] = ACTIONS(3178),
    [anon_sym_extern] = ACTIONS(3178),
    [anon_sym___attribute__] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3180),
    [anon_sym___declspec] = ACTIONS(3178),
    [anon_sym___based] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3178),
    [anon_sym_unsigned] = ACTIONS(3178),
    [anon_sym_long] = ACTIONS(3178),
    [anon_sym_short] = ACTIONS(3178),
    [anon_sym_LBRACK] = ACTIONS(3178),
    [anon_sym_static] = ACTIONS(3178),
    [anon_sym_register] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym___inline] = ACTIONS(3178),
    [anon_sym___inline__] = ACTIONS(3178),
    [anon_sym___forceinline] = ACTIONS(3178),
    [anon_sym_thread_local] = ACTIONS(3178),
    [anon_sym___thread] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_constexpr] = ACTIONS(3178),
    [anon_sym_volatile] = ACTIONS(3178),
    [anon_sym_restrict] = ACTIONS(3178),
    [anon_sym___restrict__] = ACTIONS(3178),
    [anon_sym__Atomic] = ACTIONS(3178),
    [anon_sym__Noreturn] = ACTIONS(3178),
    [anon_sym_noreturn] = ACTIONS(3178),
    [anon_sym__Nonnull] = ACTIONS(3178),
    [anon_sym_mutable] = ACTIONS(3178),
    [anon_sym_constinit] = ACTIONS(3178),
    [anon_sym_consteval] = ACTIONS(3178),
    [anon_sym_PROGMEM] = ACTIONS(3178),
    [anon_sym_alignas] = ACTIONS(3178),
    [anon_sym__Alignas] = ACTIONS(3178),
    [aux_sym_primitive_type_token1] = ACTIONS(3178),
    [anon_sym_byte] = ACTIONS(3178),
    [anon_sym_word] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_class] = ACTIONS(3178),
    [anon_sym_struct] = ACTIONS(3178),
    [anon_sym_union] = ACTIONS(3178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3178),
    [anon_sym_decltype] = ACTIONS(3178),
    [anon_sym_explicit] = ACTIONS(3178),
    [anon_sym_typename] = ACTIONS(3178),
    [anon_sym_template] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_friend] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_using] = ACTIONS(3178),
    [anon_sym_static_assert] = ACTIONS(3178),
  },
  [1761] = {
    [sym_identifier] = ACTIONS(5365),
    [aux_sym_preproc_def_token1] = ACTIONS(5365),
    [aux_sym_preproc_if_token1] = ACTIONS(5365),
    [aux_sym_preproc_if_token2] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5365),
    [aux_sym_preproc_else_token1] = ACTIONS(5365),
    [aux_sym_preproc_elif_token1] = ACTIONS(5365),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5365),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5365),
    [sym_preproc_directive] = ACTIONS(5365),
    [anon_sym_LPAREN2] = ACTIONS(5367),
    [anon_sym_TILDE] = ACTIONS(5367),
    [anon_sym_STAR] = ACTIONS(5367),
    [anon_sym_AMP_AMP] = ACTIONS(5367),
    [anon_sym_AMP] = ACTIONS(5365),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5365),
    [anon_sym_typedef] = ACTIONS(5365),
    [anon_sym_virtual] = ACTIONS(5365),
    [anon_sym_extern] = ACTIONS(5365),
    [anon_sym___attribute__] = ACTIONS(5365),
    [anon_sym_COLON_COLON] = ACTIONS(5367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5367),
    [anon_sym___declspec] = ACTIONS(5365),
    [anon_sym___based] = ACTIONS(5365),
    [anon_sym_signed] = ACTIONS(5365),
    [anon_sym_unsigned] = ACTIONS(5365),
    [anon_sym_long] = ACTIONS(5365),
    [anon_sym_short] = ACTIONS(5365),
    [anon_sym_LBRACK] = ACTIONS(5365),
    [anon_sym_static] = ACTIONS(5365),
    [anon_sym_register] = ACTIONS(5365),
    [anon_sym_inline] = ACTIONS(5365),
    [anon_sym___inline] = ACTIONS(5365),
    [anon_sym___inline__] = ACTIONS(5365),
    [anon_sym___forceinline] = ACTIONS(5365),
    [anon_sym_thread_local] = ACTIONS(5365),
    [anon_sym___thread] = ACTIONS(5365),
    [anon_sym_const] = ACTIONS(5365),
    [anon_sym_constexpr] = ACTIONS(5365),
    [anon_sym_volatile] = ACTIONS(5365),
    [anon_sym_restrict] = ACTIONS(5365),
    [anon_sym___restrict__] = ACTIONS(5365),
    [anon_sym__Atomic] = ACTIONS(5365),
    [anon_sym__Noreturn] = ACTIONS(5365),
    [anon_sym_noreturn] = ACTIONS(5365),
    [anon_sym__Nonnull] = ACTIONS(5365),
    [anon_sym_mutable] = ACTIONS(5365),
    [anon_sym_constinit] = ACTIONS(5365),
    [anon_sym_consteval] = ACTIONS(5365),
    [anon_sym_PROGMEM] = ACTIONS(5365),
    [anon_sym_alignas] = ACTIONS(5365),
    [anon_sym__Alignas] = ACTIONS(5365),
    [aux_sym_primitive_type_token1] = ACTIONS(5365),
    [anon_sym_byte] = ACTIONS(5365),
    [anon_sym_word] = ACTIONS(5365),
    [anon_sym_enum] = ACTIONS(5365),
    [anon_sym_class] = ACTIONS(5365),
    [anon_sym_struct] = ACTIONS(5365),
    [anon_sym_union] = ACTIONS(5365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5365),
    [anon_sym_decltype] = ACTIONS(5365),
    [anon_sym_explicit] = ACTIONS(5365),
    [anon_sym_typename] = ACTIONS(5365),
    [anon_sym_template] = ACTIONS(5365),
    [anon_sym_operator] = ACTIONS(5365),
    [anon_sym_friend] = ACTIONS(5365),
    [anon_sym_public] = ACTIONS(5365),
    [anon_sym_private] = ACTIONS(5365),
    [anon_sym_protected] = ACTIONS(5365),
    [anon_sym_using] = ACTIONS(5365),
    [anon_sym_static_assert] = ACTIONS(5365),
  },
  [1762] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token2] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [aux_sym_preproc_else_token1] = ACTIONS(5369),
    [aux_sym_preproc_elif_token1] = ACTIONS(5369),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_LPAREN2] = ACTIONS(5371),
    [anon_sym_TILDE] = ACTIONS(5371),
    [anon_sym_STAR] = ACTIONS(5371),
    [anon_sym_AMP_AMP] = ACTIONS(5371),
    [anon_sym_AMP] = ACTIONS(5369),
    [anon_sym_SEMI] = ACTIONS(5371),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_virtual] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym_COLON_COLON] = ACTIONS(5371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___based] = ACTIONS(5369),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_mutable] = ACTIONS(5369),
    [anon_sym_constinit] = ACTIONS(5369),
    [anon_sym_consteval] = ACTIONS(5369),
    [anon_sym_PROGMEM] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [aux_sym_primitive_type_token1] = ACTIONS(5369),
    [anon_sym_byte] = ACTIONS(5369),
    [anon_sym_word] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_class] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5369),
    [anon_sym_decltype] = ACTIONS(5369),
    [anon_sym_explicit] = ACTIONS(5369),
    [anon_sym_typename] = ACTIONS(5369),
    [anon_sym_template] = ACTIONS(5369),
    [anon_sym_operator] = ACTIONS(5369),
    [anon_sym_friend] = ACTIONS(5369),
    [anon_sym_public] = ACTIONS(5369),
    [anon_sym_private] = ACTIONS(5369),
    [anon_sym_protected] = ACTIONS(5369),
    [anon_sym_using] = ACTIONS(5369),
    [anon_sym_static_assert] = ACTIONS(5369),
  },
  [1763] = {
    [sym_identifier] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token2] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [aux_sym_preproc_else_token1] = ACTIONS(3190),
    [aux_sym_preproc_elif_token1] = ACTIONS(3190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3190),
    [anon_sym_typedef] = ACTIONS(3190),
    [anon_sym_virtual] = ACTIONS(3190),
    [anon_sym_extern] = ACTIONS(3190),
    [anon_sym___attribute__] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3192),
    [anon_sym___declspec] = ACTIONS(3190),
    [anon_sym___based] = ACTIONS(3190),
    [anon_sym_signed] = ACTIONS(3190),
    [anon_sym_unsigned] = ACTIONS(3190),
    [anon_sym_long] = ACTIONS(3190),
    [anon_sym_short] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_register] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym___inline] = ACTIONS(3190),
    [anon_sym___inline__] = ACTIONS(3190),
    [anon_sym___forceinline] = ACTIONS(3190),
    [anon_sym_thread_local] = ACTIONS(3190),
    [anon_sym___thread] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_constexpr] = ACTIONS(3190),
    [anon_sym_volatile] = ACTIONS(3190),
    [anon_sym_restrict] = ACTIONS(3190),
    [anon_sym___restrict__] = ACTIONS(3190),
    [anon_sym__Atomic] = ACTIONS(3190),
    [anon_sym__Noreturn] = ACTIONS(3190),
    [anon_sym_noreturn] = ACTIONS(3190),
    [anon_sym__Nonnull] = ACTIONS(3190),
    [anon_sym_mutable] = ACTIONS(3190),
    [anon_sym_constinit] = ACTIONS(3190),
    [anon_sym_consteval] = ACTIONS(3190),
    [anon_sym_PROGMEM] = ACTIONS(3190),
    [anon_sym_alignas] = ACTIONS(3190),
    [anon_sym__Alignas] = ACTIONS(3190),
    [aux_sym_primitive_type_token1] = ACTIONS(3190),
    [anon_sym_byte] = ACTIONS(3190),
    [anon_sym_word] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_struct] = ACTIONS(3190),
    [anon_sym_union] = ACTIONS(3190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3190),
    [anon_sym_decltype] = ACTIONS(3190),
    [anon_sym_explicit] = ACTIONS(3190),
    [anon_sym_typename] = ACTIONS(3190),
    [anon_sym_template] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_friend] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_static_assert] = ACTIONS(3190),
  },
  [1764] = {
    [sym_identifier] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token2] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [aux_sym_preproc_else_token1] = ACTIONS(3190),
    [aux_sym_preproc_elif_token1] = ACTIONS(3190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3190),
    [anon_sym_typedef] = ACTIONS(3190),
    [anon_sym_virtual] = ACTIONS(3190),
    [anon_sym_extern] = ACTIONS(3190),
    [anon_sym___attribute__] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3192),
    [anon_sym___declspec] = ACTIONS(3190),
    [anon_sym___based] = ACTIONS(3190),
    [anon_sym_signed] = ACTIONS(3190),
    [anon_sym_unsigned] = ACTIONS(3190),
    [anon_sym_long] = ACTIONS(3190),
    [anon_sym_short] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_register] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym___inline] = ACTIONS(3190),
    [anon_sym___inline__] = ACTIONS(3190),
    [anon_sym___forceinline] = ACTIONS(3190),
    [anon_sym_thread_local] = ACTIONS(3190),
    [anon_sym___thread] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_constexpr] = ACTIONS(3190),
    [anon_sym_volatile] = ACTIONS(3190),
    [anon_sym_restrict] = ACTIONS(3190),
    [anon_sym___restrict__] = ACTIONS(3190),
    [anon_sym__Atomic] = ACTIONS(3190),
    [anon_sym__Noreturn] = ACTIONS(3190),
    [anon_sym_noreturn] = ACTIONS(3190),
    [anon_sym__Nonnull] = ACTIONS(3190),
    [anon_sym_mutable] = ACTIONS(3190),
    [anon_sym_constinit] = ACTIONS(3190),
    [anon_sym_consteval] = ACTIONS(3190),
    [anon_sym_PROGMEM] = ACTIONS(3190),
    [anon_sym_alignas] = ACTIONS(3190),
    [anon_sym__Alignas] = ACTIONS(3190),
    [aux_sym_primitive_type_token1] = ACTIONS(3190),
    [anon_sym_byte] = ACTIONS(3190),
    [anon_sym_word] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_struct] = ACTIONS(3190),
    [anon_sym_union] = ACTIONS(3190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3190),
    [anon_sym_decltype] = ACTIONS(3190),
    [anon_sym_explicit] = ACTIONS(3190),
    [anon_sym_typename] = ACTIONS(3190),
    [anon_sym_template] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_friend] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_static_assert] = ACTIONS(3190),
  },
  [1765] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1765),
    [sym_identifier] = ACTIONS(5163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5165),
    [anon_sym_COMMA] = ACTIONS(5165),
    [anon_sym_RPAREN] = ACTIONS(5165),
    [aux_sym_preproc_if_token2] = ACTIONS(5165),
    [aux_sym_preproc_else_token1] = ACTIONS(5165),
    [aux_sym_preproc_elif_token1] = ACTIONS(5163),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5165),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5165),
    [anon_sym_LPAREN2] = ACTIONS(5165),
    [anon_sym_DASH] = ACTIONS(5163),
    [anon_sym_PLUS] = ACTIONS(5163),
    [anon_sym_STAR] = ACTIONS(5163),
    [anon_sym_SLASH] = ACTIONS(5163),
    [anon_sym_PERCENT] = ACTIONS(5163),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5165),
    [anon_sym_PIPE] = ACTIONS(5163),
    [anon_sym_CARET] = ACTIONS(5163),
    [anon_sym_AMP] = ACTIONS(5163),
    [anon_sym_EQ_EQ] = ACTIONS(5165),
    [anon_sym_BANG_EQ] = ACTIONS(5165),
    [anon_sym_GT] = ACTIONS(5163),
    [anon_sym_GT_EQ] = ACTIONS(5165),
    [anon_sym_LT_EQ] = ACTIONS(5163),
    [anon_sym_LT] = ACTIONS(5163),
    [anon_sym_LT_LT] = ACTIONS(5163),
    [anon_sym_GT_GT] = ACTIONS(5163),
    [anon_sym_SEMI] = ACTIONS(5165),
    [anon_sym___attribute__] = ACTIONS(5163),
    [anon_sym_LBRACE] = ACTIONS(5165),
    [anon_sym_RBRACE] = ACTIONS(5165),
    [anon_sym_signed] = ACTIONS(5373),
    [anon_sym_unsigned] = ACTIONS(5373),
    [anon_sym_long] = ACTIONS(5373),
    [anon_sym_short] = ACTIONS(5373),
    [anon_sym_LBRACK] = ACTIONS(5165),
    [anon_sym_RBRACK] = ACTIONS(5165),
    [anon_sym_EQ] = ACTIONS(5163),
    [aux_sym_primitive_type_token1] = ACTIONS(5163),
    [anon_sym_byte] = ACTIONS(5163),
    [anon_sym_word] = ACTIONS(5163),
    [anon_sym_COLON] = ACTIONS(5165),
    [anon_sym_QMARK] = ACTIONS(5165),
    [anon_sym_STAR_EQ] = ACTIONS(5165),
    [anon_sym_SLASH_EQ] = ACTIONS(5165),
    [anon_sym_PERCENT_EQ] = ACTIONS(5165),
    [anon_sym_PLUS_EQ] = ACTIONS(5165),
    [anon_sym_DASH_EQ] = ACTIONS(5165),
    [anon_sym_LT_LT_EQ] = ACTIONS(5165),
    [anon_sym_GT_GT_EQ] = ACTIONS(5165),
    [anon_sym_AMP_EQ] = ACTIONS(5165),
    [anon_sym_CARET_EQ] = ACTIONS(5165),
    [anon_sym_PIPE_EQ] = ACTIONS(5165),
    [anon_sym_and_eq] = ACTIONS(5163),
    [anon_sym_or_eq] = ACTIONS(5163),
    [anon_sym_xor_eq] = ACTIONS(5163),
    [anon_sym_LT_EQ_GT] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5163),
    [anon_sym_and] = ACTIONS(5163),
    [anon_sym_bitor] = ACTIONS(5163),
    [anon_sym_xor] = ACTIONS(5163),
    [anon_sym_bitand] = ACTIONS(5163),
    [anon_sym_not_eq] = ACTIONS(5163),
    [anon_sym_DASH_DASH] = ACTIONS(5165),
    [anon_sym_PLUS_PLUS] = ACTIONS(5165),
    [anon_sym_DOT] = ACTIONS(5163),
    [anon_sym_DOT_STAR] = ACTIONS(5165),
    [anon_sym_DASH_GT] = ACTIONS(5165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5163),
    [anon_sym_decltype] = ACTIONS(5163),
  },
  [1766] = {
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5378),
    [anon_sym_COMMA] = ACTIONS(5378),
    [anon_sym_RPAREN] = ACTIONS(5378),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_DASH] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5378),
    [anon_sym_SLASH] = ACTIONS(5376),
    [anon_sym_PERCENT] = ACTIONS(5378),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_PIPE] = ACTIONS(5376),
    [anon_sym_CARET] = ACTIONS(5378),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_EQ_EQ] = ACTIONS(5378),
    [anon_sym_BANG_EQ] = ACTIONS(5378),
    [anon_sym_GT] = ACTIONS(5376),
    [anon_sym_GT_EQ] = ACTIONS(5378),
    [anon_sym_LT_EQ] = ACTIONS(5376),
    [anon_sym_LT] = ACTIONS(5376),
    [anon_sym_LT_LT] = ACTIONS(5378),
    [anon_sym_GT_GT] = ACTIONS(5378),
    [anon_sym_SEMI] = ACTIONS(5378),
    [anon_sym___extension__] = ACTIONS(5376),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym___based] = ACTIONS(5376),
    [anon_sym_LBRACE] = ACTIONS(5378),
    [anon_sym_RBRACE] = ACTIONS(5378),
    [anon_sym_signed] = ACTIONS(5376),
    [anon_sym_unsigned] = ACTIONS(5376),
    [anon_sym_long] = ACTIONS(5376),
    [anon_sym_short] = ACTIONS(5376),
    [anon_sym_LBRACK] = ACTIONS(5378),
    [anon_sym_RBRACK] = ACTIONS(5378),
    [anon_sym_const] = ACTIONS(5376),
    [anon_sym_constexpr] = ACTIONS(5376),
    [anon_sym_volatile] = ACTIONS(5376),
    [anon_sym_restrict] = ACTIONS(5376),
    [anon_sym___restrict__] = ACTIONS(5376),
    [anon_sym__Atomic] = ACTIONS(5376),
    [anon_sym__Noreturn] = ACTIONS(5376),
    [anon_sym_noreturn] = ACTIONS(5376),
    [anon_sym__Nonnull] = ACTIONS(5376),
    [anon_sym_mutable] = ACTIONS(5376),
    [anon_sym_constinit] = ACTIONS(5376),
    [anon_sym_consteval] = ACTIONS(5376),
    [anon_sym_PROGMEM] = ACTIONS(5376),
    [anon_sym_alignas] = ACTIONS(5376),
    [anon_sym__Alignas] = ACTIONS(5376),
    [aux_sym_primitive_type_token1] = ACTIONS(5376),
    [anon_sym_byte] = ACTIONS(5376),
    [anon_sym_word] = ACTIONS(5376),
    [anon_sym_COLON] = ACTIONS(5378),
    [anon_sym_QMARK] = ACTIONS(5378),
    [anon_sym_LT_EQ_GT] = ACTIONS(5378),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [anon_sym_bitor] = ACTIONS(5376),
    [anon_sym_xor] = ACTIONS(5376),
    [anon_sym_bitand] = ACTIONS(5376),
    [anon_sym_not_eq] = ACTIONS(5376),
    [anon_sym_DASH_DASH] = ACTIONS(5378),
    [anon_sym_PLUS_PLUS] = ACTIONS(5378),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_DOT_STAR] = ACTIONS(5378),
    [anon_sym_DASH_GT] = ACTIONS(5378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
    [anon_sym_final] = ACTIONS(5376),
    [anon_sym_override] = ACTIONS(5376),
    [anon_sym_requires] = ACTIONS(5376),
  },
  [1767] = {
    [sym_identifier] = ACTIONS(5380),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5382),
    [anon_sym_COMMA] = ACTIONS(5382),
    [anon_sym_RPAREN] = ACTIONS(5382),
    [anon_sym_LPAREN2] = ACTIONS(5382),
    [anon_sym_DASH] = ACTIONS(5380),
    [anon_sym_PLUS] = ACTIONS(5380),
    [anon_sym_STAR] = ACTIONS(5382),
    [anon_sym_SLASH] = ACTIONS(5380),
    [anon_sym_PERCENT] = ACTIONS(5382),
    [anon_sym_PIPE_PIPE] = ACTIONS(5382),
    [anon_sym_AMP_AMP] = ACTIONS(5382),
    [anon_sym_PIPE] = ACTIONS(5380),
    [anon_sym_CARET] = ACTIONS(5382),
    [anon_sym_AMP] = ACTIONS(5380),
    [anon_sym_EQ_EQ] = ACTIONS(5382),
    [anon_sym_BANG_EQ] = ACTIONS(5382),
    [anon_sym_GT] = ACTIONS(5380),
    [anon_sym_GT_EQ] = ACTIONS(5382),
    [anon_sym_LT_EQ] = ACTIONS(5380),
    [anon_sym_LT] = ACTIONS(5380),
    [anon_sym_LT_LT] = ACTIONS(5382),
    [anon_sym_GT_GT] = ACTIONS(5382),
    [anon_sym_SEMI] = ACTIONS(5382),
    [anon_sym___extension__] = ACTIONS(5380),
    [anon_sym___attribute__] = ACTIONS(5380),
    [anon_sym___based] = ACTIONS(5380),
    [anon_sym_LBRACE] = ACTIONS(5382),
    [anon_sym_RBRACE] = ACTIONS(5382),
    [anon_sym_signed] = ACTIONS(5380),
    [anon_sym_unsigned] = ACTIONS(5380),
    [anon_sym_long] = ACTIONS(5380),
    [anon_sym_short] = ACTIONS(5380),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [anon_sym_RBRACK] = ACTIONS(5382),
    [anon_sym_const] = ACTIONS(5380),
    [anon_sym_constexpr] = ACTIONS(5380),
    [anon_sym_volatile] = ACTIONS(5380),
    [anon_sym_restrict] = ACTIONS(5380),
    [anon_sym___restrict__] = ACTIONS(5380),
    [anon_sym__Atomic] = ACTIONS(5380),
    [anon_sym__Noreturn] = ACTIONS(5380),
    [anon_sym_noreturn] = ACTIONS(5380),
    [anon_sym__Nonnull] = ACTIONS(5380),
    [anon_sym_mutable] = ACTIONS(5380),
    [anon_sym_constinit] = ACTIONS(5380),
    [anon_sym_consteval] = ACTIONS(5380),
    [anon_sym_PROGMEM] = ACTIONS(5380),
    [anon_sym_alignas] = ACTIONS(5380),
    [anon_sym__Alignas] = ACTIONS(5380),
    [aux_sym_primitive_type_token1] = ACTIONS(5380),
    [anon_sym_byte] = ACTIONS(5380),
    [anon_sym_word] = ACTIONS(5380),
    [anon_sym_COLON] = ACTIONS(5382),
    [anon_sym_QMARK] = ACTIONS(5382),
    [anon_sym_LT_EQ_GT] = ACTIONS(5382),
    [anon_sym_or] = ACTIONS(5380),
    [anon_sym_and] = ACTIONS(5380),
    [anon_sym_bitor] = ACTIONS(5380),
    [anon_sym_xor] = ACTIONS(5380),
    [anon_sym_bitand] = ACTIONS(5380),
    [anon_sym_not_eq] = ACTIONS(5380),
    [anon_sym_DASH_DASH] = ACTIONS(5382),
    [anon_sym_PLUS_PLUS] = ACTIONS(5382),
    [anon_sym_DOT] = ACTIONS(5380),
    [anon_sym_DOT_STAR] = ACTIONS(5382),
    [anon_sym_DASH_GT] = ACTIONS(5382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5380),
    [anon_sym_decltype] = ACTIONS(5380),
    [anon_sym_final] = ACTIONS(5380),
    [anon_sym_override] = ACTIONS(5380),
    [anon_sym_requires] = ACTIONS(5380),
  },
  [1768] = {
    [sym_identifier] = ACTIONS(5384),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5386),
    [anon_sym_COMMA] = ACTIONS(5386),
    [anon_sym_RPAREN] = ACTIONS(5386),
    [anon_sym_LPAREN2] = ACTIONS(5386),
    [anon_sym_DASH] = ACTIONS(5384),
    [anon_sym_PLUS] = ACTIONS(5384),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_SLASH] = ACTIONS(5384),
    [anon_sym_PERCENT] = ACTIONS(5386),
    [anon_sym_PIPE_PIPE] = ACTIONS(5386),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_PIPE] = ACTIONS(5384),
    [anon_sym_CARET] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(5384),
    [anon_sym_EQ_EQ] = ACTIONS(5386),
    [anon_sym_BANG_EQ] = ACTIONS(5386),
    [anon_sym_GT] = ACTIONS(5384),
    [anon_sym_GT_EQ] = ACTIONS(5386),
    [anon_sym_LT_EQ] = ACTIONS(5384),
    [anon_sym_LT] = ACTIONS(5384),
    [anon_sym_LT_LT] = ACTIONS(5386),
    [anon_sym_GT_GT] = ACTIONS(5386),
    [anon_sym_SEMI] = ACTIONS(5386),
    [anon_sym___extension__] = ACTIONS(5384),
    [anon_sym___attribute__] = ACTIONS(5384),
    [anon_sym___based] = ACTIONS(5384),
    [anon_sym_LBRACE] = ACTIONS(5386),
    [anon_sym_RBRACE] = ACTIONS(5386),
    [anon_sym_signed] = ACTIONS(5384),
    [anon_sym_unsigned] = ACTIONS(5384),
    [anon_sym_long] = ACTIONS(5384),
    [anon_sym_short] = ACTIONS(5384),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_RBRACK] = ACTIONS(5386),
    [anon_sym_const] = ACTIONS(5384),
    [anon_sym_constexpr] = ACTIONS(5384),
    [anon_sym_volatile] = ACTIONS(5384),
    [anon_sym_restrict] = ACTIONS(5384),
    [anon_sym___restrict__] = ACTIONS(5384),
    [anon_sym__Atomic] = ACTIONS(5384),
    [anon_sym__Noreturn] = ACTIONS(5384),
    [anon_sym_noreturn] = ACTIONS(5384),
    [anon_sym__Nonnull] = ACTIONS(5384),
    [anon_sym_mutable] = ACTIONS(5384),
    [anon_sym_constinit] = ACTIONS(5384),
    [anon_sym_consteval] = ACTIONS(5384),
    [anon_sym_PROGMEM] = ACTIONS(5384),
    [anon_sym_alignas] = ACTIONS(5384),
    [anon_sym__Alignas] = ACTIONS(5384),
    [aux_sym_primitive_type_token1] = ACTIONS(5384),
    [anon_sym_byte] = ACTIONS(5384),
    [anon_sym_word] = ACTIONS(5384),
    [anon_sym_COLON] = ACTIONS(5386),
    [anon_sym_QMARK] = ACTIONS(5386),
    [anon_sym_LT_EQ_GT] = ACTIONS(5386),
    [anon_sym_or] = ACTIONS(5384),
    [anon_sym_and] = ACTIONS(5384),
    [anon_sym_bitor] = ACTIONS(5384),
    [anon_sym_xor] = ACTIONS(5384),
    [anon_sym_bitand] = ACTIONS(5384),
    [anon_sym_not_eq] = ACTIONS(5384),
    [anon_sym_DASH_DASH] = ACTIONS(5386),
    [anon_sym_PLUS_PLUS] = ACTIONS(5386),
    [anon_sym_DOT] = ACTIONS(5384),
    [anon_sym_DOT_STAR] = ACTIONS(5386),
    [anon_sym_DASH_GT] = ACTIONS(5386),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5384),
    [anon_sym_decltype] = ACTIONS(5384),
    [anon_sym_final] = ACTIONS(5384),
    [anon_sym_override] = ACTIONS(5384),
    [anon_sym_requires] = ACTIONS(5384),
  },
  [1769] = {
    [sym_identifier] = ACTIONS(5388),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5390),
    [anon_sym_COMMA] = ACTIONS(5390),
    [anon_sym_RPAREN] = ACTIONS(5390),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [anon_sym_DASH] = ACTIONS(5388),
    [anon_sym_PLUS] = ACTIONS(5388),
    [anon_sym_STAR] = ACTIONS(5390),
    [anon_sym_SLASH] = ACTIONS(5388),
    [anon_sym_PERCENT] = ACTIONS(5390),
    [anon_sym_PIPE_PIPE] = ACTIONS(5390),
    [anon_sym_AMP_AMP] = ACTIONS(5390),
    [anon_sym_PIPE] = ACTIONS(5388),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_AMP] = ACTIONS(5388),
    [anon_sym_EQ_EQ] = ACTIONS(5390),
    [anon_sym_BANG_EQ] = ACTIONS(5390),
    [anon_sym_GT] = ACTIONS(5388),
    [anon_sym_GT_EQ] = ACTIONS(5390),
    [anon_sym_LT_EQ] = ACTIONS(5388),
    [anon_sym_LT] = ACTIONS(5388),
    [anon_sym_LT_LT] = ACTIONS(5390),
    [anon_sym_GT_GT] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(5390),
    [anon_sym___extension__] = ACTIONS(5388),
    [anon_sym___attribute__] = ACTIONS(5388),
    [anon_sym___based] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(5390),
    [anon_sym_RBRACE] = ACTIONS(5390),
    [anon_sym_signed] = ACTIONS(5388),
    [anon_sym_unsigned] = ACTIONS(5388),
    [anon_sym_long] = ACTIONS(5388),
    [anon_sym_short] = ACTIONS(5388),
    [anon_sym_LBRACK] = ACTIONS(5390),
    [anon_sym_RBRACK] = ACTIONS(5390),
    [anon_sym_const] = ACTIONS(5388),
    [anon_sym_constexpr] = ACTIONS(5388),
    [anon_sym_volatile] = ACTIONS(5388),
    [anon_sym_restrict] = ACTIONS(5388),
    [anon_sym___restrict__] = ACTIONS(5388),
    [anon_sym__Atomic] = ACTIONS(5388),
    [anon_sym__Noreturn] = ACTIONS(5388),
    [anon_sym_noreturn] = ACTIONS(5388),
    [anon_sym__Nonnull] = ACTIONS(5388),
    [anon_sym_mutable] = ACTIONS(5388),
    [anon_sym_constinit] = ACTIONS(5388),
    [anon_sym_consteval] = ACTIONS(5388),
    [anon_sym_PROGMEM] = ACTIONS(5388),
    [anon_sym_alignas] = ACTIONS(5388),
    [anon_sym__Alignas] = ACTIONS(5388),
    [aux_sym_primitive_type_token1] = ACTIONS(5388),
    [anon_sym_byte] = ACTIONS(5388),
    [anon_sym_word] = ACTIONS(5388),
    [anon_sym_COLON] = ACTIONS(5390),
    [anon_sym_QMARK] = ACTIONS(5390),
    [anon_sym_LT_EQ_GT] = ACTIONS(5390),
    [anon_sym_or] = ACTIONS(5388),
    [anon_sym_and] = ACTIONS(5388),
    [anon_sym_bitor] = ACTIONS(5388),
    [anon_sym_xor] = ACTIONS(5388),
    [anon_sym_bitand] = ACTIONS(5388),
    [anon_sym_not_eq] = ACTIONS(5388),
    [anon_sym_DASH_DASH] = ACTIONS(5390),
    [anon_sym_PLUS_PLUS] = ACTIONS(5390),
    [anon_sym_DOT] = ACTIONS(5388),
    [anon_sym_DOT_STAR] = ACTIONS(5390),
    [anon_sym_DASH_GT] = ACTIONS(5390),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5388),
    [anon_sym_decltype] = ACTIONS(5388),
    [anon_sym_final] = ACTIONS(5388),
    [anon_sym_override] = ACTIONS(5388),
    [anon_sym_requires] = ACTIONS(5388),
  },
  [1770] = {
    [sym_identifier] = ACTIONS(5392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5394),
    [anon_sym_COMMA] = ACTIONS(5394),
    [anon_sym_RPAREN] = ACTIONS(5394),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5392),
    [anon_sym_PLUS] = ACTIONS(5392),
    [anon_sym_STAR] = ACTIONS(5394),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5394),
    [anon_sym_PIPE_PIPE] = ACTIONS(5394),
    [anon_sym_AMP_AMP] = ACTIONS(5394),
    [anon_sym_PIPE] = ACTIONS(5392),
    [anon_sym_CARET] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_EQ_EQ] = ACTIONS(5394),
    [anon_sym_BANG_EQ] = ACTIONS(5394),
    [anon_sym_GT] = ACTIONS(5392),
    [anon_sym_GT_EQ] = ACTIONS(5394),
    [anon_sym_LT_EQ] = ACTIONS(5392),
    [anon_sym_LT] = ACTIONS(5392),
    [anon_sym_LT_LT] = ACTIONS(5394),
    [anon_sym_GT_GT] = ACTIONS(5394),
    [anon_sym_SEMI] = ACTIONS(5394),
    [anon_sym___extension__] = ACTIONS(5392),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym___based] = ACTIONS(5392),
    [anon_sym_LBRACE] = ACTIONS(5394),
    [anon_sym_RBRACE] = ACTIONS(5394),
    [anon_sym_signed] = ACTIONS(5392),
    [anon_sym_unsigned] = ACTIONS(5392),
    [anon_sym_long] = ACTIONS(5392),
    [anon_sym_short] = ACTIONS(5392),
    [anon_sym_LBRACK] = ACTIONS(5394),
    [anon_sym_RBRACK] = ACTIONS(5394),
    [anon_sym_const] = ACTIONS(5392),
    [anon_sym_constexpr] = ACTIONS(5392),
    [anon_sym_volatile] = ACTIONS(5392),
    [anon_sym_restrict] = ACTIONS(5392),
    [anon_sym___restrict__] = ACTIONS(5392),
    [anon_sym__Atomic] = ACTIONS(5392),
    [anon_sym__Noreturn] = ACTIONS(5392),
    [anon_sym_noreturn] = ACTIONS(5392),
    [anon_sym__Nonnull] = ACTIONS(5392),
    [anon_sym_mutable] = ACTIONS(5392),
    [anon_sym_constinit] = ACTIONS(5392),
    [anon_sym_consteval] = ACTIONS(5392),
    [anon_sym_PROGMEM] = ACTIONS(5392),
    [anon_sym_alignas] = ACTIONS(5392),
    [anon_sym__Alignas] = ACTIONS(5392),
    [aux_sym_primitive_type_token1] = ACTIONS(5392),
    [anon_sym_byte] = ACTIONS(5392),
    [anon_sym_word] = ACTIONS(5392),
    [anon_sym_COLON] = ACTIONS(5394),
    [anon_sym_QMARK] = ACTIONS(5394),
    [anon_sym_LT_EQ_GT] = ACTIONS(5394),
    [anon_sym_or] = ACTIONS(5392),
    [anon_sym_and] = ACTIONS(5392),
    [anon_sym_bitor] = ACTIONS(5392),
    [anon_sym_xor] = ACTIONS(5392),
    [anon_sym_bitand] = ACTIONS(5392),
    [anon_sym_not_eq] = ACTIONS(5392),
    [anon_sym_DASH_DASH] = ACTIONS(5394),
    [anon_sym_PLUS_PLUS] = ACTIONS(5394),
    [anon_sym_DOT] = ACTIONS(5392),
    [anon_sym_DOT_STAR] = ACTIONS(5394),
    [anon_sym_DASH_GT] = ACTIONS(5394),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5392),
    [anon_sym_decltype] = ACTIONS(5392),
    [anon_sym_final] = ACTIONS(5392),
    [anon_sym_override] = ACTIONS(5392),
    [anon_sym_requires] = ACTIONS(5392),
  },
  [1771] = {
    [sym_identifier] = ACTIONS(5396),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5398),
    [anon_sym_COMMA] = ACTIONS(5398),
    [anon_sym_RPAREN] = ACTIONS(5398),
    [anon_sym_LPAREN2] = ACTIONS(5398),
    [anon_sym_DASH] = ACTIONS(5396),
    [anon_sym_PLUS] = ACTIONS(5396),
    [anon_sym_STAR] = ACTIONS(5398),
    [anon_sym_SLASH] = ACTIONS(5396),
    [anon_sym_PERCENT] = ACTIONS(5398),
    [anon_sym_PIPE_PIPE] = ACTIONS(5398),
    [anon_sym_AMP_AMP] = ACTIONS(5398),
    [anon_sym_PIPE] = ACTIONS(5396),
    [anon_sym_CARET] = ACTIONS(5398),
    [anon_sym_AMP] = ACTIONS(5396),
    [anon_sym_EQ_EQ] = ACTIONS(5398),
    [anon_sym_BANG_EQ] = ACTIONS(5398),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5398),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_LT_LT] = ACTIONS(5398),
    [anon_sym_GT_GT] = ACTIONS(5398),
    [anon_sym_SEMI] = ACTIONS(5398),
    [anon_sym___extension__] = ACTIONS(5396),
    [anon_sym___attribute__] = ACTIONS(5396),
    [anon_sym___based] = ACTIONS(5396),
    [anon_sym_LBRACE] = ACTIONS(5398),
    [anon_sym_RBRACE] = ACTIONS(5398),
    [anon_sym_signed] = ACTIONS(5396),
    [anon_sym_unsigned] = ACTIONS(5396),
    [anon_sym_long] = ACTIONS(5396),
    [anon_sym_short] = ACTIONS(5396),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [anon_sym_RBRACK] = ACTIONS(5398),
    [anon_sym_const] = ACTIONS(5396),
    [anon_sym_constexpr] = ACTIONS(5396),
    [anon_sym_volatile] = ACTIONS(5396),
    [anon_sym_restrict] = ACTIONS(5396),
    [anon_sym___restrict__] = ACTIONS(5396),
    [anon_sym__Atomic] = ACTIONS(5396),
    [anon_sym__Noreturn] = ACTIONS(5396),
    [anon_sym_noreturn] = ACTIONS(5396),
    [anon_sym__Nonnull] = ACTIONS(5396),
    [anon_sym_mutable] = ACTIONS(5396),
    [anon_sym_constinit] = ACTIONS(5396),
    [anon_sym_consteval] = ACTIONS(5396),
    [anon_sym_PROGMEM] = ACTIONS(5396),
    [anon_sym_alignas] = ACTIONS(5396),
    [anon_sym__Alignas] = ACTIONS(5396),
    [aux_sym_primitive_type_token1] = ACTIONS(5396),
    [anon_sym_byte] = ACTIONS(5396),
    [anon_sym_word] = ACTIONS(5396),
    [anon_sym_COLON] = ACTIONS(5398),
    [anon_sym_QMARK] = ACTIONS(5398),
    [anon_sym_LT_EQ_GT] = ACTIONS(5398),
    [anon_sym_or] = ACTIONS(5396),
    [anon_sym_and] = ACTIONS(5396),
    [anon_sym_bitor] = ACTIONS(5396),
    [anon_sym_xor] = ACTIONS(5396),
    [anon_sym_bitand] = ACTIONS(5396),
    [anon_sym_not_eq] = ACTIONS(5396),
    [anon_sym_DASH_DASH] = ACTIONS(5398),
    [anon_sym_PLUS_PLUS] = ACTIONS(5398),
    [anon_sym_DOT] = ACTIONS(5396),
    [anon_sym_DOT_STAR] = ACTIONS(5398),
    [anon_sym_DASH_GT] = ACTIONS(5398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5396),
    [anon_sym_decltype] = ACTIONS(5396),
    [anon_sym_final] = ACTIONS(5396),
    [anon_sym_override] = ACTIONS(5396),
    [anon_sym_requires] = ACTIONS(5396),
  },
  [1772] = {
    [sym_identifier] = ACTIONS(5400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5402),
    [anon_sym_COMMA] = ACTIONS(5402),
    [anon_sym_RPAREN] = ACTIONS(5402),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5400),
    [anon_sym_PLUS] = ACTIONS(5400),
    [anon_sym_STAR] = ACTIONS(5402),
    [anon_sym_SLASH] = ACTIONS(5400),
    [anon_sym_PERCENT] = ACTIONS(5402),
    [anon_sym_PIPE_PIPE] = ACTIONS(5402),
    [anon_sym_AMP_AMP] = ACTIONS(5402),
    [anon_sym_PIPE] = ACTIONS(5400),
    [anon_sym_CARET] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(5400),
    [anon_sym_EQ_EQ] = ACTIONS(5402),
    [anon_sym_BANG_EQ] = ACTIONS(5402),
    [anon_sym_GT] = ACTIONS(5400),
    [anon_sym_GT_EQ] = ACTIONS(5402),
    [anon_sym_LT_EQ] = ACTIONS(5400),
    [anon_sym_LT] = ACTIONS(5400),
    [anon_sym_LT_LT] = ACTIONS(5402),
    [anon_sym_GT_GT] = ACTIONS(5402),
    [anon_sym_SEMI] = ACTIONS(5402),
    [anon_sym___extension__] = ACTIONS(5400),
    [anon_sym___attribute__] = ACTIONS(5400),
    [anon_sym___based] = ACTIONS(5400),
    [anon_sym_LBRACE] = ACTIONS(5402),
    [anon_sym_RBRACE] = ACTIONS(5402),
    [anon_sym_signed] = ACTIONS(5400),
    [anon_sym_unsigned] = ACTIONS(5400),
    [anon_sym_long] = ACTIONS(5400),
    [anon_sym_short] = ACTIONS(5400),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [anon_sym_RBRACK] = ACTIONS(5402),
    [anon_sym_const] = ACTIONS(5400),
    [anon_sym_constexpr] = ACTIONS(5400),
    [anon_sym_volatile] = ACTIONS(5400),
    [anon_sym_restrict] = ACTIONS(5400),
    [anon_sym___restrict__] = ACTIONS(5400),
    [anon_sym__Atomic] = ACTIONS(5400),
    [anon_sym__Noreturn] = ACTIONS(5400),
    [anon_sym_noreturn] = ACTIONS(5400),
    [anon_sym__Nonnull] = ACTIONS(5400),
    [anon_sym_mutable] = ACTIONS(5400),
    [anon_sym_constinit] = ACTIONS(5400),
    [anon_sym_consteval] = ACTIONS(5400),
    [anon_sym_PROGMEM] = ACTIONS(5400),
    [anon_sym_alignas] = ACTIONS(5400),
    [anon_sym__Alignas] = ACTIONS(5400),
    [aux_sym_primitive_type_token1] = ACTIONS(5400),
    [anon_sym_byte] = ACTIONS(5400),
    [anon_sym_word] = ACTIONS(5400),
    [anon_sym_COLON] = ACTIONS(5402),
    [anon_sym_QMARK] = ACTIONS(5402),
    [anon_sym_LT_EQ_GT] = ACTIONS(5402),
    [anon_sym_or] = ACTIONS(5400),
    [anon_sym_and] = ACTIONS(5400),
    [anon_sym_bitor] = ACTIONS(5400),
    [anon_sym_xor] = ACTIONS(5400),
    [anon_sym_bitand] = ACTIONS(5400),
    [anon_sym_not_eq] = ACTIONS(5400),
    [anon_sym_DASH_DASH] = ACTIONS(5402),
    [anon_sym_PLUS_PLUS] = ACTIONS(5402),
    [anon_sym_DOT] = ACTIONS(5400),
    [anon_sym_DOT_STAR] = ACTIONS(5402),
    [anon_sym_DASH_GT] = ACTIONS(5402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5400),
    [anon_sym_decltype] = ACTIONS(5400),
    [anon_sym_final] = ACTIONS(5400),
    [anon_sym_override] = ACTIONS(5400),
    [anon_sym_requires] = ACTIONS(5400),
  },
  [1773] = {
    [sym_identifier] = ACTIONS(5404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5406),
    [anon_sym_COMMA] = ACTIONS(5406),
    [anon_sym_RPAREN] = ACTIONS(5406),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_DASH] = ACTIONS(5404),
    [anon_sym_PLUS] = ACTIONS(5404),
    [anon_sym_STAR] = ACTIONS(5406),
    [anon_sym_SLASH] = ACTIONS(5404),
    [anon_sym_PERCENT] = ACTIONS(5406),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_PIPE] = ACTIONS(5404),
    [anon_sym_CARET] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5406),
    [anon_sym_GT] = ACTIONS(5404),
    [anon_sym_GT_EQ] = ACTIONS(5406),
    [anon_sym_LT_EQ] = ACTIONS(5404),
    [anon_sym_LT] = ACTIONS(5404),
    [anon_sym_LT_LT] = ACTIONS(5406),
    [anon_sym_GT_GT] = ACTIONS(5406),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___extension__] = ACTIONS(5404),
    [anon_sym___attribute__] = ACTIONS(5404),
    [anon_sym___based] = ACTIONS(5404),
    [anon_sym_LBRACE] = ACTIONS(5406),
    [anon_sym_RBRACE] = ACTIONS(5406),
    [anon_sym_signed] = ACTIONS(5404),
    [anon_sym_unsigned] = ACTIONS(5404),
    [anon_sym_long] = ACTIONS(5404),
    [anon_sym_short] = ACTIONS(5404),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_RBRACK] = ACTIONS(5406),
    [anon_sym_const] = ACTIONS(5404),
    [anon_sym_constexpr] = ACTIONS(5404),
    [anon_sym_volatile] = ACTIONS(5404),
    [anon_sym_restrict] = ACTIONS(5404),
    [anon_sym___restrict__] = ACTIONS(5404),
    [anon_sym__Atomic] = ACTIONS(5404),
    [anon_sym__Noreturn] = ACTIONS(5404),
    [anon_sym_noreturn] = ACTIONS(5404),
    [anon_sym__Nonnull] = ACTIONS(5404),
    [anon_sym_mutable] = ACTIONS(5404),
    [anon_sym_constinit] = ACTIONS(5404),
    [anon_sym_consteval] = ACTIONS(5404),
    [anon_sym_PROGMEM] = ACTIONS(5404),
    [anon_sym_alignas] = ACTIONS(5404),
    [anon_sym__Alignas] = ACTIONS(5404),
    [aux_sym_primitive_type_token1] = ACTIONS(5404),
    [anon_sym_byte] = ACTIONS(5404),
    [anon_sym_word] = ACTIONS(5404),
    [anon_sym_COLON] = ACTIONS(5406),
    [anon_sym_QMARK] = ACTIONS(5406),
    [anon_sym_LT_EQ_GT] = ACTIONS(5406),
    [anon_sym_or] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(5404),
    [anon_sym_bitor] = ACTIONS(5404),
    [anon_sym_xor] = ACTIONS(5404),
    [anon_sym_bitand] = ACTIONS(5404),
    [anon_sym_not_eq] = ACTIONS(5404),
    [anon_sym_DASH_DASH] = ACTIONS(5406),
    [anon_sym_PLUS_PLUS] = ACTIONS(5406),
    [anon_sym_DOT] = ACTIONS(5404),
    [anon_sym_DOT_STAR] = ACTIONS(5406),
    [anon_sym_DASH_GT] = ACTIONS(5406),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
    [anon_sym_final] = ACTIONS(5404),
    [anon_sym_override] = ACTIONS(5404),
    [anon_sym_requires] = ACTIONS(5404),
  },
  [1774] = {
    [sym_identifier] = ACTIONS(5408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5410),
    [anon_sym_COMMA] = ACTIONS(5410),
    [anon_sym_RPAREN] = ACTIONS(5410),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_DASH] = ACTIONS(5408),
    [anon_sym_PLUS] = ACTIONS(5408),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_SLASH] = ACTIONS(5408),
    [anon_sym_PERCENT] = ACTIONS(5410),
    [anon_sym_PIPE_PIPE] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_PIPE] = ACTIONS(5408),
    [anon_sym_CARET] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5410),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_GT] = ACTIONS(5408),
    [anon_sym_GT_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5408),
    [anon_sym_LT] = ACTIONS(5408),
    [anon_sym_LT_LT] = ACTIONS(5410),
    [anon_sym_GT_GT] = ACTIONS(5410),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___extension__] = ACTIONS(5408),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym___based] = ACTIONS(5408),
    [anon_sym_LBRACE] = ACTIONS(5410),
    [anon_sym_RBRACE] = ACTIONS(5410),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5410),
    [anon_sym_RBRACK] = ACTIONS(5410),
    [anon_sym_const] = ACTIONS(5408),
    [anon_sym_constexpr] = ACTIONS(5408),
    [anon_sym_volatile] = ACTIONS(5408),
    [anon_sym_restrict] = ACTIONS(5408),
    [anon_sym___restrict__] = ACTIONS(5408),
    [anon_sym__Atomic] = ACTIONS(5408),
    [anon_sym__Noreturn] = ACTIONS(5408),
    [anon_sym_noreturn] = ACTIONS(5408),
    [anon_sym__Nonnull] = ACTIONS(5408),
    [anon_sym_mutable] = ACTIONS(5408),
    [anon_sym_constinit] = ACTIONS(5408),
    [anon_sym_consteval] = ACTIONS(5408),
    [anon_sym_PROGMEM] = ACTIONS(5408),
    [anon_sym_alignas] = ACTIONS(5408),
    [anon_sym__Alignas] = ACTIONS(5408),
    [aux_sym_primitive_type_token1] = ACTIONS(5408),
    [anon_sym_byte] = ACTIONS(5408),
    [anon_sym_word] = ACTIONS(5408),
    [anon_sym_COLON] = ACTIONS(5410),
    [anon_sym_QMARK] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_or] = ACTIONS(5408),
    [anon_sym_and] = ACTIONS(5408),
    [anon_sym_bitor] = ACTIONS(5408),
    [anon_sym_xor] = ACTIONS(5408),
    [anon_sym_bitand] = ACTIONS(5408),
    [anon_sym_not_eq] = ACTIONS(5408),
    [anon_sym_DASH_DASH] = ACTIONS(5410),
    [anon_sym_PLUS_PLUS] = ACTIONS(5410),
    [anon_sym_DOT] = ACTIONS(5408),
    [anon_sym_DOT_STAR] = ACTIONS(5410),
    [anon_sym_DASH_GT] = ACTIONS(5410),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
    [anon_sym_final] = ACTIONS(5408),
    [anon_sym_override] = ACTIONS(5408),
    [anon_sym_requires] = ACTIONS(5408),
  },
  [1775] = {
    [sym_identifier] = ACTIONS(5412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5414),
    [anon_sym_COMMA] = ACTIONS(5414),
    [anon_sym_RPAREN] = ACTIONS(5414),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_DASH] = ACTIONS(5412),
    [anon_sym_PLUS] = ACTIONS(5412),
    [anon_sym_STAR] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5412),
    [anon_sym_PERCENT] = ACTIONS(5414),
    [anon_sym_PIPE_PIPE] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_PIPE] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5414),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_EQ_EQ] = ACTIONS(5414),
    [anon_sym_BANG_EQ] = ACTIONS(5414),
    [anon_sym_GT] = ACTIONS(5412),
    [anon_sym_GT_EQ] = ACTIONS(5414),
    [anon_sym_LT_EQ] = ACTIONS(5412),
    [anon_sym_LT] = ACTIONS(5412),
    [anon_sym_LT_LT] = ACTIONS(5414),
    [anon_sym_GT_GT] = ACTIONS(5414),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___extension__] = ACTIONS(5412),
    [anon_sym___attribute__] = ACTIONS(5412),
    [anon_sym___based] = ACTIONS(5412),
    [anon_sym_LBRACE] = ACTIONS(5414),
    [anon_sym_RBRACE] = ACTIONS(5414),
    [anon_sym_signed] = ACTIONS(5412),
    [anon_sym_unsigned] = ACTIONS(5412),
    [anon_sym_long] = ACTIONS(5412),
    [anon_sym_short] = ACTIONS(5412),
    [anon_sym_LBRACK] = ACTIONS(5414),
    [anon_sym_RBRACK] = ACTIONS(5414),
    [anon_sym_const] = ACTIONS(5412),
    [anon_sym_constexpr] = ACTIONS(5412),
    [anon_sym_volatile] = ACTIONS(5412),
    [anon_sym_restrict] = ACTIONS(5412),
    [anon_sym___restrict__] = ACTIONS(5412),
    [anon_sym__Atomic] = ACTIONS(5412),
    [anon_sym__Noreturn] = ACTIONS(5412),
    [anon_sym_noreturn] = ACTIONS(5412),
    [anon_sym__Nonnull] = ACTIONS(5412),
    [anon_sym_mutable] = ACTIONS(5412),
    [anon_sym_constinit] = ACTIONS(5412),
    [anon_sym_consteval] = ACTIONS(5412),
    [anon_sym_PROGMEM] = ACTIONS(5412),
    [anon_sym_alignas] = ACTIONS(5412),
    [anon_sym__Alignas] = ACTIONS(5412),
    [aux_sym_primitive_type_token1] = ACTIONS(5412),
    [anon_sym_byte] = ACTIONS(5412),
    [anon_sym_word] = ACTIONS(5412),
    [anon_sym_COLON] = ACTIONS(5414),
    [anon_sym_QMARK] = ACTIONS(5414),
    [anon_sym_LT_EQ_GT] = ACTIONS(5414),
    [anon_sym_or] = ACTIONS(5412),
    [anon_sym_and] = ACTIONS(5412),
    [anon_sym_bitor] = ACTIONS(5412),
    [anon_sym_xor] = ACTIONS(5412),
    [anon_sym_bitand] = ACTIONS(5412),
    [anon_sym_not_eq] = ACTIONS(5412),
    [anon_sym_DASH_DASH] = ACTIONS(5414),
    [anon_sym_PLUS_PLUS] = ACTIONS(5414),
    [anon_sym_DOT] = ACTIONS(5412),
    [anon_sym_DOT_STAR] = ACTIONS(5414),
    [anon_sym_DASH_GT] = ACTIONS(5414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
    [anon_sym_final] = ACTIONS(5412),
    [anon_sym_override] = ACTIONS(5412),
    [anon_sym_requires] = ACTIONS(5412),
  },
  [1776] = {
    [sym_identifier] = ACTIONS(5416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5418),
    [anon_sym_COMMA] = ACTIONS(5418),
    [anon_sym_RPAREN] = ACTIONS(5418),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_DASH] = ACTIONS(5416),
    [anon_sym_PLUS] = ACTIONS(5416),
    [anon_sym_STAR] = ACTIONS(5418),
    [anon_sym_SLASH] = ACTIONS(5416),
    [anon_sym_PERCENT] = ACTIONS(5418),
    [anon_sym_PIPE_PIPE] = ACTIONS(5418),
    [anon_sym_AMP_AMP] = ACTIONS(5418),
    [anon_sym_PIPE] = ACTIONS(5416),
    [anon_sym_CARET] = ACTIONS(5418),
    [anon_sym_AMP] = ACTIONS(5416),
    [anon_sym_EQ_EQ] = ACTIONS(5418),
    [anon_sym_BANG_EQ] = ACTIONS(5418),
    [anon_sym_GT] = ACTIONS(5416),
    [anon_sym_GT_EQ] = ACTIONS(5418),
    [anon_sym_LT_EQ] = ACTIONS(5416),
    [anon_sym_LT] = ACTIONS(5416),
    [anon_sym_LT_LT] = ACTIONS(5418),
    [anon_sym_GT_GT] = ACTIONS(5418),
    [anon_sym_SEMI] = ACTIONS(5418),
    [anon_sym___extension__] = ACTIONS(5416),
    [anon_sym___attribute__] = ACTIONS(5416),
    [anon_sym___based] = ACTIONS(5416),
    [anon_sym_LBRACE] = ACTIONS(5418),
    [anon_sym_RBRACE] = ACTIONS(5418),
    [anon_sym_signed] = ACTIONS(5416),
    [anon_sym_unsigned] = ACTIONS(5416),
    [anon_sym_long] = ACTIONS(5416),
    [anon_sym_short] = ACTIONS(5416),
    [anon_sym_LBRACK] = ACTIONS(5418),
    [anon_sym_RBRACK] = ACTIONS(5418),
    [anon_sym_const] = ACTIONS(5416),
    [anon_sym_constexpr] = ACTIONS(5416),
    [anon_sym_volatile] = ACTIONS(5416),
    [anon_sym_restrict] = ACTIONS(5416),
    [anon_sym___restrict__] = ACTIONS(5416),
    [anon_sym__Atomic] = ACTIONS(5416),
    [anon_sym__Noreturn] = ACTIONS(5416),
    [anon_sym_noreturn] = ACTIONS(5416),
    [anon_sym__Nonnull] = ACTIONS(5416),
    [anon_sym_mutable] = ACTIONS(5416),
    [anon_sym_constinit] = ACTIONS(5416),
    [anon_sym_consteval] = ACTIONS(5416),
    [anon_sym_PROGMEM] = ACTIONS(5416),
    [anon_sym_alignas] = ACTIONS(5416),
    [anon_sym__Alignas] = ACTIONS(5416),
    [aux_sym_primitive_type_token1] = ACTIONS(5416),
    [anon_sym_byte] = ACTIONS(5416),
    [anon_sym_word] = ACTIONS(5416),
    [anon_sym_COLON] = ACTIONS(5418),
    [anon_sym_QMARK] = ACTIONS(5418),
    [anon_sym_LT_EQ_GT] = ACTIONS(5418),
    [anon_sym_or] = ACTIONS(5416),
    [anon_sym_and] = ACTIONS(5416),
    [anon_sym_bitor] = ACTIONS(5416),
    [anon_sym_xor] = ACTIONS(5416),
    [anon_sym_bitand] = ACTIONS(5416),
    [anon_sym_not_eq] = ACTIONS(5416),
    [anon_sym_DASH_DASH] = ACTIONS(5418),
    [anon_sym_PLUS_PLUS] = ACTIONS(5418),
    [anon_sym_DOT] = ACTIONS(5416),
    [anon_sym_DOT_STAR] = ACTIONS(5418),
    [anon_sym_DASH_GT] = ACTIONS(5418),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5416),
    [anon_sym_decltype] = ACTIONS(5416),
    [anon_sym_final] = ACTIONS(5416),
    [anon_sym_override] = ACTIONS(5416),
    [anon_sym_requires] = ACTIONS(5416),
  },
  [1777] = {
    [sym_identifier] = ACTIONS(2528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2518),
    [anon_sym_COMMA] = ACTIONS(2518),
    [anon_sym_RPAREN] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_virtual] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_EQ] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_PROGMEM] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [aux_sym_primitive_type_token1] = ACTIONS(2528),
    [anon_sym_byte] = ACTIONS(2528),
    [anon_sym_word] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [anon_sym___asm] = ACTIONS(2528),
    [anon_sym_DASH_GT] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [anon_sym_final] = ACTIONS(2528),
    [anon_sym_override] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_GT2] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_noexcept] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_requires] = ACTIONS(2528),
  },
  [1778] = {
    [sym_identifier] = ACTIONS(5420),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5422),
    [anon_sym_COMMA] = ACTIONS(5422),
    [anon_sym_RPAREN] = ACTIONS(5422),
    [anon_sym_LPAREN2] = ACTIONS(5422),
    [anon_sym_DASH] = ACTIONS(5420),
    [anon_sym_PLUS] = ACTIONS(5420),
    [anon_sym_STAR] = ACTIONS(5422),
    [anon_sym_SLASH] = ACTIONS(5420),
    [anon_sym_PERCENT] = ACTIONS(5422),
    [anon_sym_PIPE_PIPE] = ACTIONS(5422),
    [anon_sym_AMP_AMP] = ACTIONS(5422),
    [anon_sym_PIPE] = ACTIONS(5420),
    [anon_sym_CARET] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(5420),
    [anon_sym_EQ_EQ] = ACTIONS(5422),
    [anon_sym_BANG_EQ] = ACTIONS(5422),
    [anon_sym_GT] = ACTIONS(5420),
    [anon_sym_GT_EQ] = ACTIONS(5422),
    [anon_sym_LT_EQ] = ACTIONS(5420),
    [anon_sym_LT] = ACTIONS(5420),
    [anon_sym_LT_LT] = ACTIONS(5422),
    [anon_sym_GT_GT] = ACTIONS(5422),
    [anon_sym_SEMI] = ACTIONS(5422),
    [anon_sym___extension__] = ACTIONS(5420),
    [anon_sym___attribute__] = ACTIONS(5420),
    [anon_sym___based] = ACTIONS(5420),
    [anon_sym_LBRACE] = ACTIONS(5422),
    [anon_sym_RBRACE] = ACTIONS(5422),
    [anon_sym_signed] = ACTIONS(5420),
    [anon_sym_unsigned] = ACTIONS(5420),
    [anon_sym_long] = ACTIONS(5420),
    [anon_sym_short] = ACTIONS(5420),
    [anon_sym_LBRACK] = ACTIONS(5422),
    [anon_sym_RBRACK] = ACTIONS(5422),
    [anon_sym_const] = ACTIONS(5420),
    [anon_sym_constexpr] = ACTIONS(5420),
    [anon_sym_volatile] = ACTIONS(5420),
    [anon_sym_restrict] = ACTIONS(5420),
    [anon_sym___restrict__] = ACTIONS(5420),
    [anon_sym__Atomic] = ACTIONS(5420),
    [anon_sym__Noreturn] = ACTIONS(5420),
    [anon_sym_noreturn] = ACTIONS(5420),
    [anon_sym__Nonnull] = ACTIONS(5420),
    [anon_sym_mutable] = ACTIONS(5420),
    [anon_sym_constinit] = ACTIONS(5420),
    [anon_sym_consteval] = ACTIONS(5420),
    [anon_sym_PROGMEM] = ACTIONS(5420),
    [anon_sym_alignas] = ACTIONS(5420),
    [anon_sym__Alignas] = ACTIONS(5420),
    [aux_sym_primitive_type_token1] = ACTIONS(5420),
    [anon_sym_byte] = ACTIONS(5420),
    [anon_sym_word] = ACTIONS(5420),
    [anon_sym_COLON] = ACTIONS(5422),
    [anon_sym_QMARK] = ACTIONS(5422),
    [anon_sym_LT_EQ_GT] = ACTIONS(5422),
    [anon_sym_or] = ACTIONS(5420),
    [anon_sym_and] = ACTIONS(5420),
    [anon_sym_bitor] = ACTIONS(5420),
    [anon_sym_xor] = ACTIONS(5420),
    [anon_sym_bitand] = ACTIONS(5420),
    [anon_sym_not_eq] = ACTIONS(5420),
    [anon_sym_DASH_DASH] = ACTIONS(5422),
    [anon_sym_PLUS_PLUS] = ACTIONS(5422),
    [anon_sym_DOT] = ACTIONS(5420),
    [anon_sym_DOT_STAR] = ACTIONS(5422),
    [anon_sym_DASH_GT] = ACTIONS(5422),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5420),
    [anon_sym_decltype] = ACTIONS(5420),
    [anon_sym_final] = ACTIONS(5420),
    [anon_sym_override] = ACTIONS(5420),
    [anon_sym_requires] = ACTIONS(5420),
  },
  [1779] = {
    [sym_identifier] = ACTIONS(5424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5426),
    [anon_sym_COMMA] = ACTIONS(5426),
    [anon_sym_RPAREN] = ACTIONS(5426),
    [anon_sym_LPAREN2] = ACTIONS(5426),
    [anon_sym_DASH] = ACTIONS(5424),
    [anon_sym_PLUS] = ACTIONS(5424),
    [anon_sym_STAR] = ACTIONS(5426),
    [anon_sym_SLASH] = ACTIONS(5424),
    [anon_sym_PERCENT] = ACTIONS(5426),
    [anon_sym_PIPE_PIPE] = ACTIONS(5426),
    [anon_sym_AMP_AMP] = ACTIONS(5426),
    [anon_sym_PIPE] = ACTIONS(5424),
    [anon_sym_CARET] = ACTIONS(5426),
    [anon_sym_AMP] = ACTIONS(5424),
    [anon_sym_EQ_EQ] = ACTIONS(5426),
    [anon_sym_BANG_EQ] = ACTIONS(5426),
    [anon_sym_GT] = ACTIONS(5424),
    [anon_sym_GT_EQ] = ACTIONS(5426),
    [anon_sym_LT_EQ] = ACTIONS(5424),
    [anon_sym_LT] = ACTIONS(5424),
    [anon_sym_LT_LT] = ACTIONS(5426),
    [anon_sym_GT_GT] = ACTIONS(5426),
    [anon_sym_SEMI] = ACTIONS(5426),
    [anon_sym___extension__] = ACTIONS(5424),
    [anon_sym___attribute__] = ACTIONS(5424),
    [anon_sym___based] = ACTIONS(5424),
    [anon_sym_LBRACE] = ACTIONS(5426),
    [anon_sym_RBRACE] = ACTIONS(5426),
    [anon_sym_signed] = ACTIONS(5424),
    [anon_sym_unsigned] = ACTIONS(5424),
    [anon_sym_long] = ACTIONS(5424),
    [anon_sym_short] = ACTIONS(5424),
    [anon_sym_LBRACK] = ACTIONS(5426),
    [anon_sym_RBRACK] = ACTIONS(5426),
    [anon_sym_const] = ACTIONS(5424),
    [anon_sym_constexpr] = ACTIONS(5424),
    [anon_sym_volatile] = ACTIONS(5424),
    [anon_sym_restrict] = ACTIONS(5424),
    [anon_sym___restrict__] = ACTIONS(5424),
    [anon_sym__Atomic] = ACTIONS(5424),
    [anon_sym__Noreturn] = ACTIONS(5424),
    [anon_sym_noreturn] = ACTIONS(5424),
    [anon_sym__Nonnull] = ACTIONS(5424),
    [anon_sym_mutable] = ACTIONS(5424),
    [anon_sym_constinit] = ACTIONS(5424),
    [anon_sym_consteval] = ACTIONS(5424),
    [anon_sym_PROGMEM] = ACTIONS(5424),
    [anon_sym_alignas] = ACTIONS(5424),
    [anon_sym__Alignas] = ACTIONS(5424),
    [aux_sym_primitive_type_token1] = ACTIONS(5424),
    [anon_sym_byte] = ACTIONS(5424),
    [anon_sym_word] = ACTIONS(5424),
    [anon_sym_COLON] = ACTIONS(5426),
    [anon_sym_QMARK] = ACTIONS(5426),
    [anon_sym_LT_EQ_GT] = ACTIONS(5426),
    [anon_sym_or] = ACTIONS(5424),
    [anon_sym_and] = ACTIONS(5424),
    [anon_sym_bitor] = ACTIONS(5424),
    [anon_sym_xor] = ACTIONS(5424),
    [anon_sym_bitand] = ACTIONS(5424),
    [anon_sym_not_eq] = ACTIONS(5424),
    [anon_sym_DASH_DASH] = ACTIONS(5426),
    [anon_sym_PLUS_PLUS] = ACTIONS(5426),
    [anon_sym_DOT] = ACTIONS(5424),
    [anon_sym_DOT_STAR] = ACTIONS(5426),
    [anon_sym_DASH_GT] = ACTIONS(5426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5424),
    [anon_sym_decltype] = ACTIONS(5424),
    [anon_sym_final] = ACTIONS(5424),
    [anon_sym_override] = ACTIONS(5424),
    [anon_sym_requires] = ACTIONS(5424),
  },
  [1780] = {
    [sym_identifier] = ACTIONS(5428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5430),
    [anon_sym_COMMA] = ACTIONS(5430),
    [anon_sym_RPAREN] = ACTIONS(5430),
    [anon_sym_LPAREN2] = ACTIONS(5430),
    [anon_sym_DASH] = ACTIONS(5428),
    [anon_sym_PLUS] = ACTIONS(5428),
    [anon_sym_STAR] = ACTIONS(5430),
    [anon_sym_SLASH] = ACTIONS(5428),
    [anon_sym_PERCENT] = ACTIONS(5430),
    [anon_sym_PIPE_PIPE] = ACTIONS(5430),
    [anon_sym_AMP_AMP] = ACTIONS(5430),
    [anon_sym_PIPE] = ACTIONS(5428),
    [anon_sym_CARET] = ACTIONS(5430),
    [anon_sym_AMP] = ACTIONS(5428),
    [anon_sym_EQ_EQ] = ACTIONS(5430),
    [anon_sym_BANG_EQ] = ACTIONS(5430),
    [anon_sym_GT] = ACTIONS(5428),
    [anon_sym_GT_EQ] = ACTIONS(5430),
    [anon_sym_LT_EQ] = ACTIONS(5428),
    [anon_sym_LT] = ACTIONS(5428),
    [anon_sym_LT_LT] = ACTIONS(5430),
    [anon_sym_GT_GT] = ACTIONS(5430),
    [anon_sym_SEMI] = ACTIONS(5430),
    [anon_sym___extension__] = ACTIONS(5428),
    [anon_sym___attribute__] = ACTIONS(5428),
    [anon_sym___based] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(5430),
    [anon_sym_RBRACE] = ACTIONS(5430),
    [anon_sym_signed] = ACTIONS(5428),
    [anon_sym_unsigned] = ACTIONS(5428),
    [anon_sym_long] = ACTIONS(5428),
    [anon_sym_short] = ACTIONS(5428),
    [anon_sym_LBRACK] = ACTIONS(5430),
    [anon_sym_RBRACK] = ACTIONS(5430),
    [anon_sym_const] = ACTIONS(5428),
    [anon_sym_constexpr] = ACTIONS(5428),
    [anon_sym_volatile] = ACTIONS(5428),
    [anon_sym_restrict] = ACTIONS(5428),
    [anon_sym___restrict__] = ACTIONS(5428),
    [anon_sym__Atomic] = ACTIONS(5428),
    [anon_sym__Noreturn] = ACTIONS(5428),
    [anon_sym_noreturn] = ACTIONS(5428),
    [anon_sym__Nonnull] = ACTIONS(5428),
    [anon_sym_mutable] = ACTIONS(5428),
    [anon_sym_constinit] = ACTIONS(5428),
    [anon_sym_consteval] = ACTIONS(5428),
    [anon_sym_PROGMEM] = ACTIONS(5428),
    [anon_sym_alignas] = ACTIONS(5428),
    [anon_sym__Alignas] = ACTIONS(5428),
    [aux_sym_primitive_type_token1] = ACTIONS(5428),
    [anon_sym_byte] = ACTIONS(5428),
    [anon_sym_word] = ACTIONS(5428),
    [anon_sym_COLON] = ACTIONS(5430),
    [anon_sym_QMARK] = ACTIONS(5430),
    [anon_sym_LT_EQ_GT] = ACTIONS(5430),
    [anon_sym_or] = ACTIONS(5428),
    [anon_sym_and] = ACTIONS(5428),
    [anon_sym_bitor] = ACTIONS(5428),
    [anon_sym_xor] = ACTIONS(5428),
    [anon_sym_bitand] = ACTIONS(5428),
    [anon_sym_not_eq] = ACTIONS(5428),
    [anon_sym_DASH_DASH] = ACTIONS(5430),
    [anon_sym_PLUS_PLUS] = ACTIONS(5430),
    [anon_sym_DOT] = ACTIONS(5428),
    [anon_sym_DOT_STAR] = ACTIONS(5430),
    [anon_sym_DASH_GT] = ACTIONS(5430),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5428),
    [anon_sym_decltype] = ACTIONS(5428),
    [anon_sym_final] = ACTIONS(5428),
    [anon_sym_override] = ACTIONS(5428),
    [anon_sym_requires] = ACTIONS(5428),
  },
  [1781] = {
    [sym_catch_clause] = STATE(1804),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_virtual] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_PROGMEM] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [aux_sym_primitive_type_token1] = ACTIONS(2564),
    [anon_sym_byte] = ACTIONS(2564),
    [anon_sym_word] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_friend] = ACTIONS(2564),
    [anon_sym_public] = ACTIONS(2564),
    [anon_sym_private] = ACTIONS(2564),
    [anon_sym_protected] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_catch] = ACTIONS(5432),
  },
  [1782] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1618),
    [sym_identifier] = ACTIONS(5163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5434),
    [anon_sym_COMMA] = ACTIONS(5434),
    [anon_sym_RPAREN] = ACTIONS(5434),
    [anon_sym_LPAREN2] = ACTIONS(5434),
    [anon_sym_DASH] = ACTIONS(5437),
    [anon_sym_PLUS] = ACTIONS(5437),
    [anon_sym_STAR] = ACTIONS(5434),
    [anon_sym_SLASH] = ACTIONS(5437),
    [anon_sym_PERCENT] = ACTIONS(5434),
    [anon_sym_PIPE_PIPE] = ACTIONS(5434),
    [anon_sym_AMP_AMP] = ACTIONS(5434),
    [anon_sym_PIPE] = ACTIONS(5437),
    [anon_sym_CARET] = ACTIONS(5434),
    [anon_sym_AMP] = ACTIONS(5437),
    [anon_sym_EQ_EQ] = ACTIONS(5434),
    [anon_sym_BANG_EQ] = ACTIONS(5434),
    [anon_sym_GT] = ACTIONS(5437),
    [anon_sym_GT_EQ] = ACTIONS(5434),
    [anon_sym_LT_EQ] = ACTIONS(5437),
    [anon_sym_LT] = ACTIONS(5437),
    [anon_sym_LT_LT] = ACTIONS(5434),
    [anon_sym_GT_GT] = ACTIONS(5434),
    [anon_sym_SEMI] = ACTIONS(5434),
    [anon_sym___extension__] = ACTIONS(5437),
    [anon_sym___attribute__] = ACTIONS(5437),
    [anon_sym_LBRACE] = ACTIONS(5434),
    [anon_sym_RBRACE] = ACTIONS(5434),
    [anon_sym_signed] = ACTIONS(5167),
    [anon_sym_unsigned] = ACTIONS(5167),
    [anon_sym_long] = ACTIONS(5167),
    [anon_sym_short] = ACTIONS(5167),
    [anon_sym_LBRACK] = ACTIONS(5434),
    [anon_sym_RBRACK] = ACTIONS(5434),
    [anon_sym_const] = ACTIONS(5437),
    [anon_sym_constexpr] = ACTIONS(5437),
    [anon_sym_volatile] = ACTIONS(5437),
    [anon_sym_restrict] = ACTIONS(5437),
    [anon_sym___restrict__] = ACTIONS(5437),
    [anon_sym__Atomic] = ACTIONS(5437),
    [anon_sym__Noreturn] = ACTIONS(5437),
    [anon_sym_noreturn] = ACTIONS(5437),
    [anon_sym__Nonnull] = ACTIONS(5437),
    [anon_sym_mutable] = ACTIONS(5437),
    [anon_sym_constinit] = ACTIONS(5437),
    [anon_sym_consteval] = ACTIONS(5437),
    [anon_sym_PROGMEM] = ACTIONS(5437),
    [anon_sym_alignas] = ACTIONS(5437),
    [anon_sym__Alignas] = ACTIONS(5437),
    [aux_sym_primitive_type_token1] = ACTIONS(5163),
    [anon_sym_byte] = ACTIONS(5163),
    [anon_sym_word] = ACTIONS(5163),
    [anon_sym_COLON] = ACTIONS(5434),
    [anon_sym_QMARK] = ACTIONS(5434),
    [anon_sym_LT_EQ_GT] = ACTIONS(5434),
    [anon_sym_or] = ACTIONS(5437),
    [anon_sym_and] = ACTIONS(5437),
    [anon_sym_bitor] = ACTIONS(5437),
    [anon_sym_xor] = ACTIONS(5437),
    [anon_sym_bitand] = ACTIONS(5437),
    [anon_sym_not_eq] = ACTIONS(5437),
    [anon_sym_DASH_DASH] = ACTIONS(5434),
    [anon_sym_PLUS_PLUS] = ACTIONS(5434),
    [anon_sym_DOT] = ACTIONS(5437),
    [anon_sym_DOT_STAR] = ACTIONS(5434),
    [anon_sym_DASH_GT] = ACTIONS(5434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5437),
    [anon_sym_decltype] = ACTIONS(5437),
    [anon_sym_final] = ACTIONS(5437),
    [anon_sym_override] = ACTIONS(5437),
    [anon_sym_requires] = ACTIONS(5437),
  },
  [1783] = {
    [sym_identifier] = ACTIONS(5440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5442),
    [anon_sym_COMMA] = ACTIONS(5442),
    [anon_sym_RPAREN] = ACTIONS(5442),
    [anon_sym_LPAREN2] = ACTIONS(5442),
    [anon_sym_DASH] = ACTIONS(5440),
    [anon_sym_PLUS] = ACTIONS(5440),
    [anon_sym_STAR] = ACTIONS(5442),
    [anon_sym_SLASH] = ACTIONS(5440),
    [anon_sym_PERCENT] = ACTIONS(5442),
    [anon_sym_PIPE_PIPE] = ACTIONS(5442),
    [anon_sym_AMP_AMP] = ACTIONS(5442),
    [anon_sym_PIPE] = ACTIONS(5440),
    [anon_sym_CARET] = ACTIONS(5442),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_EQ_EQ] = ACTIONS(5442),
    [anon_sym_BANG_EQ] = ACTIONS(5442),
    [anon_sym_GT] = ACTIONS(5440),
    [anon_sym_GT_EQ] = ACTIONS(5442),
    [anon_sym_LT_EQ] = ACTIONS(5440),
    [anon_sym_LT] = ACTIONS(5440),
    [anon_sym_LT_LT] = ACTIONS(5442),
    [anon_sym_GT_GT] = ACTIONS(5442),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym___extension__] = ACTIONS(5440),
    [anon_sym___attribute__] = ACTIONS(5440),
    [anon_sym___based] = ACTIONS(5440),
    [anon_sym_LBRACE] = ACTIONS(5442),
    [anon_sym_RBRACE] = ACTIONS(5442),
    [anon_sym_signed] = ACTIONS(5440),
    [anon_sym_unsigned] = ACTIONS(5440),
    [anon_sym_long] = ACTIONS(5440),
    [anon_sym_short] = ACTIONS(5440),
    [anon_sym_LBRACK] = ACTIONS(5442),
    [anon_sym_RBRACK] = ACTIONS(5442),
    [anon_sym_const] = ACTIONS(5440),
    [anon_sym_constexpr] = ACTIONS(5440),
    [anon_sym_volatile] = ACTIONS(5440),
    [anon_sym_restrict] = ACTIONS(5440),
    [anon_sym___restrict__] = ACTIONS(5440),
    [anon_sym__Atomic] = ACTIONS(5440),
    [anon_sym__Noreturn] = ACTIONS(5440),
    [anon_sym_noreturn] = ACTIONS(5440),
    [anon_sym__Nonnull] = ACTIONS(5440),
    [anon_sym_mutable] = ACTIONS(5440),
    [anon_sym_constinit] = ACTIONS(5440),
    [anon_sym_consteval] = ACTIONS(5440),
    [anon_sym_PROGMEM] = ACTIONS(5440),
    [anon_sym_alignas] = ACTIONS(5440),
    [anon_sym__Alignas] = ACTIONS(5440),
    [aux_sym_primitive_type_token1] = ACTIONS(5440),
    [anon_sym_byte] = ACTIONS(5440),
    [anon_sym_word] = ACTIONS(5440),
    [anon_sym_COLON] = ACTIONS(5442),
    [anon_sym_QMARK] = ACTIONS(5442),
    [anon_sym_LT_EQ_GT] = ACTIONS(5442),
    [anon_sym_or] = ACTIONS(5440),
    [anon_sym_and] = ACTIONS(5440),
    [anon_sym_bitor] = ACTIONS(5440),
    [anon_sym_xor] = ACTIONS(5440),
    [anon_sym_bitand] = ACTIONS(5440),
    [anon_sym_not_eq] = ACTIONS(5440),
    [anon_sym_DASH_DASH] = ACTIONS(5442),
    [anon_sym_PLUS_PLUS] = ACTIONS(5442),
    [anon_sym_DOT] = ACTIONS(5440),
    [anon_sym_DOT_STAR] = ACTIONS(5442),
    [anon_sym_DASH_GT] = ACTIONS(5442),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5440),
    [anon_sym_decltype] = ACTIONS(5440),
    [anon_sym_final] = ACTIONS(5440),
    [anon_sym_override] = ACTIONS(5440),
    [anon_sym_requires] = ACTIONS(5440),
  },
  [1784] = {
    [sym_identifier] = ACTIONS(5444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5446),
    [anon_sym_COMMA] = ACTIONS(5446),
    [anon_sym_RPAREN] = ACTIONS(5446),
    [anon_sym_LPAREN2] = ACTIONS(5446),
    [anon_sym_DASH] = ACTIONS(5444),
    [anon_sym_PLUS] = ACTIONS(5444),
    [anon_sym_STAR] = ACTIONS(5446),
    [anon_sym_SLASH] = ACTIONS(5444),
    [anon_sym_PERCENT] = ACTIONS(5446),
    [anon_sym_PIPE_PIPE] = ACTIONS(5446),
    [anon_sym_AMP_AMP] = ACTIONS(5446),
    [anon_sym_PIPE] = ACTIONS(5444),
    [anon_sym_CARET] = ACTIONS(5446),
    [anon_sym_AMP] = ACTIONS(5444),
    [anon_sym_EQ_EQ] = ACTIONS(5446),
    [anon_sym_BANG_EQ] = ACTIONS(5446),
    [anon_sym_GT] = ACTIONS(5444),
    [anon_sym_GT_EQ] = ACTIONS(5446),
    [anon_sym_LT_EQ] = ACTIONS(5444),
    [anon_sym_LT] = ACTIONS(5444),
    [anon_sym_LT_LT] = ACTIONS(5446),
    [anon_sym_GT_GT] = ACTIONS(5446),
    [anon_sym_SEMI] = ACTIONS(5446),
    [anon_sym___extension__] = ACTIONS(5444),
    [anon_sym___attribute__] = ACTIONS(5444),
    [anon_sym___based] = ACTIONS(5444),
    [anon_sym_LBRACE] = ACTIONS(5446),
    [anon_sym_RBRACE] = ACTIONS(5446),
    [anon_sym_signed] = ACTIONS(5444),
    [anon_sym_unsigned] = ACTIONS(5444),
    [anon_sym_long] = ACTIONS(5444),
    [anon_sym_short] = ACTIONS(5444),
    [anon_sym_LBRACK] = ACTIONS(5446),
    [anon_sym_RBRACK] = ACTIONS(5446),
    [anon_sym_const] = ACTIONS(5444),
    [anon_sym_constexpr] = ACTIONS(5444),
    [anon_sym_volatile] = ACTIONS(5444),
    [anon_sym_restrict] = ACTIONS(5444),
    [anon_sym___restrict__] = ACTIONS(5444),
    [anon_sym__Atomic] = ACTIONS(5444),
    [anon_sym__Noreturn] = ACTIONS(5444),
    [anon_sym_noreturn] = ACTIONS(5444),
    [anon_sym__Nonnull] = ACTIONS(5444),
    [anon_sym_mutable] = ACTIONS(5444),
    [anon_sym_constinit] = ACTIONS(5444),
    [anon_sym_consteval] = ACTIONS(5444),
    [anon_sym_PROGMEM] = ACTIONS(5444),
    [anon_sym_alignas] = ACTIONS(5444),
    [anon_sym__Alignas] = ACTIONS(5444),
    [aux_sym_primitive_type_token1] = ACTIONS(5444),
    [anon_sym_byte] = ACTIONS(5444),
    [anon_sym_word] = ACTIONS(5444),
    [anon_sym_COLON] = ACTIONS(5446),
    [anon_sym_QMARK] = ACTIONS(5446),
    [anon_sym_LT_EQ_GT] = ACTIONS(5446),
    [anon_sym_or] = ACTIONS(5444),
    [anon_sym_and] = ACTIONS(5444),
    [anon_sym_bitor] = ACTIONS(5444),
    [anon_sym_xor] = ACTIONS(5444),
    [anon_sym_bitand] = ACTIONS(5444),
    [anon_sym_not_eq] = ACTIONS(5444),
    [anon_sym_DASH_DASH] = ACTIONS(5446),
    [anon_sym_PLUS_PLUS] = ACTIONS(5446),
    [anon_sym_DOT] = ACTIONS(5444),
    [anon_sym_DOT_STAR] = ACTIONS(5446),
    [anon_sym_DASH_GT] = ACTIONS(5446),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5444),
    [anon_sym_decltype] = ACTIONS(5444),
    [anon_sym_final] = ACTIONS(5444),
    [anon_sym_override] = ACTIONS(5444),
    [anon_sym_requires] = ACTIONS(5444),
  },
  [1785] = {
    [sym_catch_clause] = STATE(1811),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1811),
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_virtual] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___based] = ACTIONS(2662),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_mutable] = ACTIONS(2662),
    [anon_sym_constinit] = ACTIONS(2662),
    [anon_sym_consteval] = ACTIONS(2662),
    [anon_sym_PROGMEM] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [aux_sym_primitive_type_token1] = ACTIONS(2662),
    [anon_sym_byte] = ACTIONS(2662),
    [anon_sym_word] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_class] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2662),
    [anon_sym_decltype] = ACTIONS(2662),
    [anon_sym_explicit] = ACTIONS(2662),
    [anon_sym_typename] = ACTIONS(2662),
    [anon_sym_template] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_friend] = ACTIONS(2662),
    [anon_sym_public] = ACTIONS(2662),
    [anon_sym_private] = ACTIONS(2662),
    [anon_sym_protected] = ACTIONS(2662),
    [anon_sym_using] = ACTIONS(2662),
    [anon_sym_static_assert] = ACTIONS(2662),
    [anon_sym_catch] = ACTIONS(5448),
  },
  [1786] = {
    [sym_identifier] = ACTIONS(5450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5452),
    [anon_sym_COMMA] = ACTIONS(5452),
    [anon_sym_RPAREN] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5452),
    [anon_sym_DASH] = ACTIONS(5450),
    [anon_sym_PLUS] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5452),
    [anon_sym_SLASH] = ACTIONS(5450),
    [anon_sym_PERCENT] = ACTIONS(5452),
    [anon_sym_PIPE_PIPE] = ACTIONS(5452),
    [anon_sym_AMP_AMP] = ACTIONS(5452),
    [anon_sym_PIPE] = ACTIONS(5450),
    [anon_sym_CARET] = ACTIONS(5452),
    [anon_sym_AMP] = ACTIONS(5450),
    [anon_sym_EQ_EQ] = ACTIONS(5452),
    [anon_sym_BANG_EQ] = ACTIONS(5452),
    [anon_sym_GT] = ACTIONS(5450),
    [anon_sym_GT_EQ] = ACTIONS(5452),
    [anon_sym_LT_EQ] = ACTIONS(5450),
    [anon_sym_LT] = ACTIONS(5450),
    [anon_sym_LT_LT] = ACTIONS(5452),
    [anon_sym_GT_GT] = ACTIONS(5452),
    [anon_sym_SEMI] = ACTIONS(5452),
    [anon_sym___extension__] = ACTIONS(5450),
    [anon_sym___attribute__] = ACTIONS(5450),
    [anon_sym___based] = ACTIONS(5450),
    [anon_sym_LBRACE] = ACTIONS(5452),
    [anon_sym_RBRACE] = ACTIONS(5452),
    [anon_sym_signed] = ACTIONS(5450),
    [anon_sym_unsigned] = ACTIONS(5450),
    [anon_sym_long] = ACTIONS(5450),
    [anon_sym_short] = ACTIONS(5450),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_RBRACK] = ACTIONS(5452),
    [anon_sym_const] = ACTIONS(5450),
    [anon_sym_constexpr] = ACTIONS(5450),
    [anon_sym_volatile] = ACTIONS(5450),
    [anon_sym_restrict] = ACTIONS(5450),
    [anon_sym___restrict__] = ACTIONS(5450),
    [anon_sym__Atomic] = ACTIONS(5450),
    [anon_sym__Noreturn] = ACTIONS(5450),
    [anon_sym_noreturn] = ACTIONS(5450),
    [anon_sym__Nonnull] = ACTIONS(5450),
    [anon_sym_mutable] = ACTIONS(5450),
    [anon_sym_constinit] = ACTIONS(5450),
    [anon_sym_consteval] = ACTIONS(5450),
    [anon_sym_PROGMEM] = ACTIONS(5450),
    [anon_sym_alignas] = ACTIONS(5450),
    [anon_sym__Alignas] = ACTIONS(5450),
    [aux_sym_primitive_type_token1] = ACTIONS(5450),
    [anon_sym_byte] = ACTIONS(5450),
    [anon_sym_word] = ACTIONS(5450),
    [anon_sym_COLON] = ACTIONS(5452),
    [anon_sym_QMARK] = ACTIONS(5452),
    [anon_sym_LT_EQ_GT] = ACTIONS(5452),
    [anon_sym_or] = ACTIONS(5450),
    [anon_sym_and] = ACTIONS(5450),
    [anon_sym_bitor] = ACTIONS(5450),
    [anon_sym_xor] = ACTIONS(5450),
    [anon_sym_bitand] = ACTIONS(5450),
    [anon_sym_not_eq] = ACTIONS(5450),
    [anon_sym_DASH_DASH] = ACTIONS(5452),
    [anon_sym_PLUS_PLUS] = ACTIONS(5452),
    [anon_sym_DOT] = ACTIONS(5450),
    [anon_sym_DOT_STAR] = ACTIONS(5452),
    [anon_sym_DASH_GT] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5450),
    [anon_sym_decltype] = ACTIONS(5450),
    [anon_sym_final] = ACTIONS(5450),
    [anon_sym_override] = ACTIONS(5450),
    [anon_sym_requires] = ACTIONS(5450),
  },
  [1787] = {
    [sym_identifier] = ACTIONS(5454),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5456),
    [anon_sym_COMMA] = ACTIONS(5456),
    [anon_sym_RPAREN] = ACTIONS(5456),
    [anon_sym_LPAREN2] = ACTIONS(5456),
    [anon_sym_DASH] = ACTIONS(5454),
    [anon_sym_PLUS] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5456),
    [anon_sym_SLASH] = ACTIONS(5454),
    [anon_sym_PERCENT] = ACTIONS(5456),
    [anon_sym_PIPE_PIPE] = ACTIONS(5456),
    [anon_sym_AMP_AMP] = ACTIONS(5456),
    [anon_sym_PIPE] = ACTIONS(5454),
    [anon_sym_CARET] = ACTIONS(5456),
    [anon_sym_AMP] = ACTIONS(5454),
    [anon_sym_EQ_EQ] = ACTIONS(5456),
    [anon_sym_BANG_EQ] = ACTIONS(5456),
    [anon_sym_GT] = ACTIONS(5454),
    [anon_sym_GT_EQ] = ACTIONS(5456),
    [anon_sym_LT_EQ] = ACTIONS(5454),
    [anon_sym_LT] = ACTIONS(5454),
    [anon_sym_LT_LT] = ACTIONS(5456),
    [anon_sym_GT_GT] = ACTIONS(5456),
    [anon_sym_SEMI] = ACTIONS(5456),
    [anon_sym___extension__] = ACTIONS(5454),
    [anon_sym___attribute__] = ACTIONS(5454),
    [anon_sym___based] = ACTIONS(5454),
    [anon_sym_LBRACE] = ACTIONS(5456),
    [anon_sym_RBRACE] = ACTIONS(5456),
    [anon_sym_signed] = ACTIONS(5454),
    [anon_sym_unsigned] = ACTIONS(5454),
    [anon_sym_long] = ACTIONS(5454),
    [anon_sym_short] = ACTIONS(5454),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_RBRACK] = ACTIONS(5456),
    [anon_sym_const] = ACTIONS(5454),
    [anon_sym_constexpr] = ACTIONS(5454),
    [anon_sym_volatile] = ACTIONS(5454),
    [anon_sym_restrict] = ACTIONS(5454),
    [anon_sym___restrict__] = ACTIONS(5454),
    [anon_sym__Atomic] = ACTIONS(5454),
    [anon_sym__Noreturn] = ACTIONS(5454),
    [anon_sym_noreturn] = ACTIONS(5454),
    [anon_sym__Nonnull] = ACTIONS(5454),
    [anon_sym_mutable] = ACTIONS(5454),
    [anon_sym_constinit] = ACTIONS(5454),
    [anon_sym_consteval] = ACTIONS(5454),
    [anon_sym_PROGMEM] = ACTIONS(5454),
    [anon_sym_alignas] = ACTIONS(5454),
    [anon_sym__Alignas] = ACTIONS(5454),
    [aux_sym_primitive_type_token1] = ACTIONS(5454),
    [anon_sym_byte] = ACTIONS(5454),
    [anon_sym_word] = ACTIONS(5454),
    [anon_sym_COLON] = ACTIONS(5456),
    [anon_sym_QMARK] = ACTIONS(5456),
    [anon_sym_LT_EQ_GT] = ACTIONS(5456),
    [anon_sym_or] = ACTIONS(5454),
    [anon_sym_and] = ACTIONS(5454),
    [anon_sym_bitor] = ACTIONS(5454),
    [anon_sym_xor] = ACTIONS(5454),
    [anon_sym_bitand] = ACTIONS(5454),
    [anon_sym_not_eq] = ACTIONS(5454),
    [anon_sym_DASH_DASH] = ACTIONS(5456),
    [anon_sym_PLUS_PLUS] = ACTIONS(5456),
    [anon_sym_DOT] = ACTIONS(5454),
    [anon_sym_DOT_STAR] = ACTIONS(5456),
    [anon_sym_DASH_GT] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5454),
    [anon_sym_decltype] = ACTIONS(5454),
    [anon_sym_final] = ACTIONS(5454),
    [anon_sym_override] = ACTIONS(5454),
    [anon_sym_requires] = ACTIONS(5454),
  },
  [1788] = {
    [sym_identifier] = ACTIONS(5458),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5460),
    [anon_sym_COMMA] = ACTIONS(5460),
    [anon_sym_RPAREN] = ACTIONS(5460),
    [anon_sym_LPAREN2] = ACTIONS(5460),
    [anon_sym_DASH] = ACTIONS(5458),
    [anon_sym_PLUS] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5460),
    [anon_sym_SLASH] = ACTIONS(5458),
    [anon_sym_PERCENT] = ACTIONS(5460),
    [anon_sym_PIPE_PIPE] = ACTIONS(5460),
    [anon_sym_AMP_AMP] = ACTIONS(5460),
    [anon_sym_PIPE] = ACTIONS(5458),
    [anon_sym_CARET] = ACTIONS(5460),
    [anon_sym_AMP] = ACTIONS(5458),
    [anon_sym_EQ_EQ] = ACTIONS(5460),
    [anon_sym_BANG_EQ] = ACTIONS(5460),
    [anon_sym_GT] = ACTIONS(5458),
    [anon_sym_GT_EQ] = ACTIONS(5460),
    [anon_sym_LT_EQ] = ACTIONS(5458),
    [anon_sym_LT] = ACTIONS(5458),
    [anon_sym_LT_LT] = ACTIONS(5460),
    [anon_sym_GT_GT] = ACTIONS(5460),
    [anon_sym_SEMI] = ACTIONS(5460),
    [anon_sym___extension__] = ACTIONS(5458),
    [anon_sym___attribute__] = ACTIONS(5458),
    [anon_sym___based] = ACTIONS(5458),
    [anon_sym_LBRACE] = ACTIONS(5460),
    [anon_sym_RBRACE] = ACTIONS(5460),
    [anon_sym_signed] = ACTIONS(5458),
    [anon_sym_unsigned] = ACTIONS(5458),
    [anon_sym_long] = ACTIONS(5458),
    [anon_sym_short] = ACTIONS(5458),
    [anon_sym_LBRACK] = ACTIONS(5460),
    [anon_sym_RBRACK] = ACTIONS(5460),
    [anon_sym_const] = ACTIONS(5458),
    [anon_sym_constexpr] = ACTIONS(5458),
    [anon_sym_volatile] = ACTIONS(5458),
    [anon_sym_restrict] = ACTIONS(5458),
    [anon_sym___restrict__] = ACTIONS(5458),
    [anon_sym__Atomic] = ACTIONS(5458),
    [anon_sym__Noreturn] = ACTIONS(5458),
    [anon_sym_noreturn] = ACTIONS(5458),
    [anon_sym__Nonnull] = ACTIONS(5458),
    [anon_sym_mutable] = ACTIONS(5458),
    [anon_sym_constinit] = ACTIONS(5458),
    [anon_sym_consteval] = ACTIONS(5458),
    [anon_sym_PROGMEM] = ACTIONS(5458),
    [anon_sym_alignas] = ACTIONS(5458),
    [anon_sym__Alignas] = ACTIONS(5458),
    [aux_sym_primitive_type_token1] = ACTIONS(5458),
    [anon_sym_byte] = ACTIONS(5458),
    [anon_sym_word] = ACTIONS(5458),
    [anon_sym_COLON] = ACTIONS(5460),
    [anon_sym_QMARK] = ACTIONS(5460),
    [anon_sym_LT_EQ_GT] = ACTIONS(5460),
    [anon_sym_or] = ACTIONS(5458),
    [anon_sym_and] = ACTIONS(5458),
    [anon_sym_bitor] = ACTIONS(5458),
    [anon_sym_xor] = ACTIONS(5458),
    [anon_sym_bitand] = ACTIONS(5458),
    [anon_sym_not_eq] = ACTIONS(5458),
    [anon_sym_DASH_DASH] = ACTIONS(5460),
    [anon_sym_PLUS_PLUS] = ACTIONS(5460),
    [anon_sym_DOT] = ACTIONS(5458),
    [anon_sym_DOT_STAR] = ACTIONS(5460),
    [anon_sym_DASH_GT] = ACTIONS(5460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5458),
    [anon_sym_decltype] = ACTIONS(5458),
    [anon_sym_final] = ACTIONS(5458),
    [anon_sym_override] = ACTIONS(5458),
    [anon_sym_requires] = ACTIONS(5458),
  },
  [1789] = {
    [sym_identifier] = ACTIONS(5462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5464),
    [anon_sym_COMMA] = ACTIONS(5464),
    [anon_sym_RPAREN] = ACTIONS(5464),
    [anon_sym_LPAREN2] = ACTIONS(5464),
    [anon_sym_DASH] = ACTIONS(5462),
    [anon_sym_PLUS] = ACTIONS(5462),
    [anon_sym_STAR] = ACTIONS(5464),
    [anon_sym_SLASH] = ACTIONS(5462),
    [anon_sym_PERCENT] = ACTIONS(5464),
    [anon_sym_PIPE_PIPE] = ACTIONS(5464),
    [anon_sym_AMP_AMP] = ACTIONS(5464),
    [anon_sym_PIPE] = ACTIONS(5462),
    [anon_sym_CARET] = ACTIONS(5464),
    [anon_sym_AMP] = ACTIONS(5462),
    [anon_sym_EQ_EQ] = ACTIONS(5464),
    [anon_sym_BANG_EQ] = ACTIONS(5464),
    [anon_sym_GT] = ACTIONS(5462),
    [anon_sym_GT_EQ] = ACTIONS(5464),
    [anon_sym_LT_EQ] = ACTIONS(5462),
    [anon_sym_LT] = ACTIONS(5462),
    [anon_sym_LT_LT] = ACTIONS(5464),
    [anon_sym_GT_GT] = ACTIONS(5464),
    [anon_sym_SEMI] = ACTIONS(5464),
    [anon_sym___extension__] = ACTIONS(5462),
    [anon_sym___attribute__] = ACTIONS(5462),
    [anon_sym___based] = ACTIONS(5462),
    [anon_sym_LBRACE] = ACTIONS(5464),
    [anon_sym_RBRACE] = ACTIONS(5464),
    [anon_sym_signed] = ACTIONS(5462),
    [anon_sym_unsigned] = ACTIONS(5462),
    [anon_sym_long] = ACTIONS(5462),
    [anon_sym_short] = ACTIONS(5462),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_RBRACK] = ACTIONS(5464),
    [anon_sym_const] = ACTIONS(5462),
    [anon_sym_constexpr] = ACTIONS(5462),
    [anon_sym_volatile] = ACTIONS(5462),
    [anon_sym_restrict] = ACTIONS(5462),
    [anon_sym___restrict__] = ACTIONS(5462),
    [anon_sym__Atomic] = ACTIONS(5462),
    [anon_sym__Noreturn] = ACTIONS(5462),
    [anon_sym_noreturn] = ACTIONS(5462),
    [anon_sym__Nonnull] = ACTIONS(5462),
    [anon_sym_mutable] = ACTIONS(5462),
    [anon_sym_constinit] = ACTIONS(5462),
    [anon_sym_consteval] = ACTIONS(5462),
    [anon_sym_PROGMEM] = ACTIONS(5462),
    [anon_sym_alignas] = ACTIONS(5462),
    [anon_sym__Alignas] = ACTIONS(5462),
    [aux_sym_primitive_type_token1] = ACTIONS(5462),
    [anon_sym_byte] = ACTIONS(5462),
    [anon_sym_word] = ACTIONS(5462),
    [anon_sym_COLON] = ACTIONS(5464),
    [anon_sym_QMARK] = ACTIONS(5464),
    [anon_sym_LT_EQ_GT] = ACTIONS(5464),
    [anon_sym_or] = ACTIONS(5462),
    [anon_sym_and] = ACTIONS(5462),
    [anon_sym_bitor] = ACTIONS(5462),
    [anon_sym_xor] = ACTIONS(5462),
    [anon_sym_bitand] = ACTIONS(5462),
    [anon_sym_not_eq] = ACTIONS(5462),
    [anon_sym_DASH_DASH] = ACTIONS(5464),
    [anon_sym_PLUS_PLUS] = ACTIONS(5464),
    [anon_sym_DOT] = ACTIONS(5462),
    [anon_sym_DOT_STAR] = ACTIONS(5464),
    [anon_sym_DASH_GT] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5462),
    [anon_sym_decltype] = ACTIONS(5462),
    [anon_sym_final] = ACTIONS(5462),
    [anon_sym_override] = ACTIONS(5462),
    [anon_sym_requires] = ACTIONS(5462),
  },
  [1790] = {
    [sym_identifier] = ACTIONS(5466),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5468),
    [anon_sym_COMMA] = ACTIONS(5468),
    [anon_sym_RPAREN] = ACTIONS(5468),
    [anon_sym_LPAREN2] = ACTIONS(5468),
    [anon_sym_DASH] = ACTIONS(5466),
    [anon_sym_PLUS] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5468),
    [anon_sym_SLASH] = ACTIONS(5466),
    [anon_sym_PERCENT] = ACTIONS(5468),
    [anon_sym_PIPE_PIPE] = ACTIONS(5468),
    [anon_sym_AMP_AMP] = ACTIONS(5468),
    [anon_sym_PIPE] = ACTIONS(5466),
    [anon_sym_CARET] = ACTIONS(5468),
    [anon_sym_AMP] = ACTIONS(5466),
    [anon_sym_EQ_EQ] = ACTIONS(5468),
    [anon_sym_BANG_EQ] = ACTIONS(5468),
    [anon_sym_GT] = ACTIONS(5466),
    [anon_sym_GT_EQ] = ACTIONS(5468),
    [anon_sym_LT_EQ] = ACTIONS(5466),
    [anon_sym_LT] = ACTIONS(5466),
    [anon_sym_LT_LT] = ACTIONS(5468),
    [anon_sym_GT_GT] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5468),
    [anon_sym___extension__] = ACTIONS(5466),
    [anon_sym___attribute__] = ACTIONS(5466),
    [anon_sym___based] = ACTIONS(5466),
    [anon_sym_LBRACE] = ACTIONS(5468),
    [anon_sym_RBRACE] = ACTIONS(5468),
    [anon_sym_signed] = ACTIONS(5466),
    [anon_sym_unsigned] = ACTIONS(5466),
    [anon_sym_long] = ACTIONS(5466),
    [anon_sym_short] = ACTIONS(5466),
    [anon_sym_LBRACK] = ACTIONS(5468),
    [anon_sym_RBRACK] = ACTIONS(5468),
    [anon_sym_const] = ACTIONS(5466),
    [anon_sym_constexpr] = ACTIONS(5466),
    [anon_sym_volatile] = ACTIONS(5466),
    [anon_sym_restrict] = ACTIONS(5466),
    [anon_sym___restrict__] = ACTIONS(5466),
    [anon_sym__Atomic] = ACTIONS(5466),
    [anon_sym__Noreturn] = ACTIONS(5466),
    [anon_sym_noreturn] = ACTIONS(5466),
    [anon_sym__Nonnull] = ACTIONS(5466),
    [anon_sym_mutable] = ACTIONS(5466),
    [anon_sym_constinit] = ACTIONS(5466),
    [anon_sym_consteval] = ACTIONS(5466),
    [anon_sym_PROGMEM] = ACTIONS(5466),
    [anon_sym_alignas] = ACTIONS(5466),
    [anon_sym__Alignas] = ACTIONS(5466),
    [aux_sym_primitive_type_token1] = ACTIONS(5466),
    [anon_sym_byte] = ACTIONS(5466),
    [anon_sym_word] = ACTIONS(5466),
    [anon_sym_COLON] = ACTIONS(5468),
    [anon_sym_QMARK] = ACTIONS(5468),
    [anon_sym_LT_EQ_GT] = ACTIONS(5468),
    [anon_sym_or] = ACTIONS(5466),
    [anon_sym_and] = ACTIONS(5466),
    [anon_sym_bitor] = ACTIONS(5466),
    [anon_sym_xor] = ACTIONS(5466),
    [anon_sym_bitand] = ACTIONS(5466),
    [anon_sym_not_eq] = ACTIONS(5466),
    [anon_sym_DASH_DASH] = ACTIONS(5468),
    [anon_sym_PLUS_PLUS] = ACTIONS(5468),
    [anon_sym_DOT] = ACTIONS(5466),
    [anon_sym_DOT_STAR] = ACTIONS(5468),
    [anon_sym_DASH_GT] = ACTIONS(5468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5466),
    [anon_sym_decltype] = ACTIONS(5466),
    [anon_sym_final] = ACTIONS(5466),
    [anon_sym_override] = ACTIONS(5466),
    [anon_sym_requires] = ACTIONS(5466),
  },
  [1791] = {
    [sym_identifier] = ACTIONS(5323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5325),
    [anon_sym_COMMA] = ACTIONS(5325),
    [anon_sym_RPAREN] = ACTIONS(5325),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_DASH] = ACTIONS(5323),
    [anon_sym_PLUS] = ACTIONS(5323),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_SLASH] = ACTIONS(5323),
    [anon_sym_PERCENT] = ACTIONS(5325),
    [anon_sym_PIPE_PIPE] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_PIPE] = ACTIONS(5323),
    [anon_sym_CARET] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_EQ_EQ] = ACTIONS(5325),
    [anon_sym_BANG_EQ] = ACTIONS(5325),
    [anon_sym_GT] = ACTIONS(5323),
    [anon_sym_GT_EQ] = ACTIONS(5325),
    [anon_sym_LT_EQ] = ACTIONS(5323),
    [anon_sym_LT] = ACTIONS(5323),
    [anon_sym_LT_LT] = ACTIONS(5325),
    [anon_sym_GT_GT] = ACTIONS(5325),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___extension__] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym___based] = ACTIONS(5323),
    [anon_sym_LBRACE] = ACTIONS(5325),
    [anon_sym_RBRACE] = ACTIONS(5325),
    [anon_sym_signed] = ACTIONS(5323),
    [anon_sym_unsigned] = ACTIONS(5323),
    [anon_sym_long] = ACTIONS(5323),
    [anon_sym_short] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5325),
    [anon_sym_RBRACK] = ACTIONS(5325),
    [anon_sym_const] = ACTIONS(5323),
    [anon_sym_constexpr] = ACTIONS(5323),
    [anon_sym_volatile] = ACTIONS(5323),
    [anon_sym_restrict] = ACTIONS(5323),
    [anon_sym___restrict__] = ACTIONS(5323),
    [anon_sym__Atomic] = ACTIONS(5323),
    [anon_sym__Noreturn] = ACTIONS(5323),
    [anon_sym_noreturn] = ACTIONS(5323),
    [anon_sym__Nonnull] = ACTIONS(5323),
    [anon_sym_mutable] = ACTIONS(5323),
    [anon_sym_constinit] = ACTIONS(5323),
    [anon_sym_consteval] = ACTIONS(5323),
    [anon_sym_PROGMEM] = ACTIONS(5323),
    [anon_sym_alignas] = ACTIONS(5323),
    [anon_sym__Alignas] = ACTIONS(5323),
    [aux_sym_primitive_type_token1] = ACTIONS(5323),
    [anon_sym_byte] = ACTIONS(5323),
    [anon_sym_word] = ACTIONS(5323),
    [anon_sym_COLON] = ACTIONS(5325),
    [anon_sym_QMARK] = ACTIONS(5325),
    [anon_sym_LT_EQ_GT] = ACTIONS(5325),
    [anon_sym_or] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [anon_sym_bitor] = ACTIONS(5323),
    [anon_sym_xor] = ACTIONS(5323),
    [anon_sym_bitand] = ACTIONS(5323),
    [anon_sym_not_eq] = ACTIONS(5323),
    [anon_sym_DASH_DASH] = ACTIONS(5325),
    [anon_sym_PLUS_PLUS] = ACTIONS(5325),
    [anon_sym_DOT] = ACTIONS(5323),
    [anon_sym_DOT_STAR] = ACTIONS(5325),
    [anon_sym_DASH_GT] = ACTIONS(5325),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_final] = ACTIONS(5323),
    [anon_sym_override] = ACTIONS(5323),
    [anon_sym_requires] = ACTIONS(5323),
  },
  [1792] = {
    [sym_template_argument_list] = STATE(1831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4914),
    [anon_sym_COMMA] = ACTIONS(4914),
    [anon_sym_RPAREN] = ACTIONS(4916),
    [anon_sym_LPAREN2] = ACTIONS(4916),
    [anon_sym_DASH] = ACTIONS(4921),
    [anon_sym_PLUS] = ACTIONS(4921),
    [anon_sym_STAR] = ACTIONS(4923),
    [anon_sym_SLASH] = ACTIONS(4921),
    [anon_sym_PERCENT] = ACTIONS(4921),
    [anon_sym_PIPE_PIPE] = ACTIONS(4914),
    [anon_sym_AMP_AMP] = ACTIONS(4916),
    [anon_sym_PIPE] = ACTIONS(4921),
    [anon_sym_CARET] = ACTIONS(4921),
    [anon_sym_AMP] = ACTIONS(4923),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_GT] = ACTIONS(4921),
    [anon_sym_GT_EQ] = ACTIONS(4914),
    [anon_sym_LT_EQ] = ACTIONS(4921),
    [anon_sym_LT] = ACTIONS(5470),
    [anon_sym_LT_LT] = ACTIONS(4921),
    [anon_sym_GT_GT] = ACTIONS(4921),
    [anon_sym___extension__] = ACTIONS(4919),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4916),
    [anon_sym_EQ] = ACTIONS(4921),
    [anon_sym_const] = ACTIONS(4912),
    [anon_sym_constexpr] = ACTIONS(4919),
    [anon_sym_volatile] = ACTIONS(4919),
    [anon_sym_restrict] = ACTIONS(4919),
    [anon_sym___restrict__] = ACTIONS(4919),
    [anon_sym__Atomic] = ACTIONS(4919),
    [anon_sym__Noreturn] = ACTIONS(4919),
    [anon_sym_noreturn] = ACTIONS(4919),
    [anon_sym__Nonnull] = ACTIONS(4919),
    [anon_sym_mutable] = ACTIONS(4919),
    [anon_sym_constinit] = ACTIONS(4919),
    [anon_sym_consteval] = ACTIONS(4919),
    [anon_sym_PROGMEM] = ACTIONS(4919),
    [anon_sym_alignas] = ACTIONS(4919),
    [anon_sym__Alignas] = ACTIONS(4919),
    [anon_sym_QMARK] = ACTIONS(4914),
    [anon_sym_STAR_EQ] = ACTIONS(4914),
    [anon_sym_SLASH_EQ] = ACTIONS(4914),
    [anon_sym_PERCENT_EQ] = ACTIONS(4914),
    [anon_sym_PLUS_EQ] = ACTIONS(4914),
    [anon_sym_DASH_EQ] = ACTIONS(4914),
    [anon_sym_LT_LT_EQ] = ACTIONS(4914),
    [anon_sym_GT_GT_EQ] = ACTIONS(4914),
    [anon_sym_AMP_EQ] = ACTIONS(4914),
    [anon_sym_CARET_EQ] = ACTIONS(4914),
    [anon_sym_PIPE_EQ] = ACTIONS(4914),
    [anon_sym_and_eq] = ACTIONS(4914),
    [anon_sym_or_eq] = ACTIONS(4914),
    [anon_sym_xor_eq] = ACTIONS(4914),
    [anon_sym_LT_EQ_GT] = ACTIONS(4914),
    [anon_sym_or] = ACTIONS(4921),
    [anon_sym_and] = ACTIONS(4921),
    [anon_sym_bitor] = ACTIONS(4914),
    [anon_sym_xor] = ACTIONS(4921),
    [anon_sym_bitand] = ACTIONS(4914),
    [anon_sym_not_eq] = ACTIONS(4914),
    [anon_sym_DASH_DASH] = ACTIONS(4914),
    [anon_sym_PLUS_PLUS] = ACTIONS(4914),
    [anon_sym_DOT] = ACTIONS(4921),
    [anon_sym_DOT_STAR] = ACTIONS(4914),
    [anon_sym_DASH_GT] = ACTIONS(4921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4919),
    [anon_sym_decltype] = ACTIONS(4919),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4914),
  },
  [1793] = {
    [sym_catch_clause] = STATE(1804),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_virtual] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___based] = ACTIONS(2662),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_mutable] = ACTIONS(2662),
    [anon_sym_constinit] = ACTIONS(2662),
    [anon_sym_consteval] = ACTIONS(2662),
    [anon_sym_PROGMEM] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [aux_sym_primitive_type_token1] = ACTIONS(2662),
    [anon_sym_byte] = ACTIONS(2662),
    [anon_sym_word] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_class] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2662),
    [anon_sym_decltype] = ACTIONS(2662),
    [anon_sym_explicit] = ACTIONS(2662),
    [anon_sym_typename] = ACTIONS(2662),
    [anon_sym_template] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_friend] = ACTIONS(2662),
    [anon_sym_public] = ACTIONS(2662),
    [anon_sym_private] = ACTIONS(2662),
    [anon_sym_protected] = ACTIONS(2662),
    [anon_sym_using] = ACTIONS(2662),
    [anon_sym_static_assert] = ACTIONS(2662),
    [anon_sym_catch] = ACTIONS(5432),
  },
  [1794] = {
    [sym_catch_clause] = STATE(1811),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1811),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___based] = ACTIONS(2658),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_PROGMEM] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [aux_sym_primitive_type_token1] = ACTIONS(2658),
    [anon_sym_byte] = ACTIONS(2658),
    [anon_sym_word] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_explicit] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_friend] = ACTIONS(2658),
    [anon_sym_public] = ACTIONS(2658),
    [anon_sym_private] = ACTIONS(2658),
    [anon_sym_protected] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(2658),
    [anon_sym_static_assert] = ACTIONS(2658),
    [anon_sym_catch] = ACTIONS(5448),
  },
  [1795] = {
    [sym_identifier] = ACTIONS(5473),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5475),
    [anon_sym_COMMA] = ACTIONS(5475),
    [anon_sym_RPAREN] = ACTIONS(5475),
    [anon_sym_LPAREN2] = ACTIONS(5475),
    [anon_sym_DASH] = ACTIONS(5473),
    [anon_sym_PLUS] = ACTIONS(5473),
    [anon_sym_STAR] = ACTIONS(5475),
    [anon_sym_SLASH] = ACTIONS(5473),
    [anon_sym_PERCENT] = ACTIONS(5475),
    [anon_sym_PIPE_PIPE] = ACTIONS(5475),
    [anon_sym_AMP_AMP] = ACTIONS(5475),
    [anon_sym_PIPE] = ACTIONS(5473),
    [anon_sym_CARET] = ACTIONS(5475),
    [anon_sym_AMP] = ACTIONS(5473),
    [anon_sym_EQ_EQ] = ACTIONS(5475),
    [anon_sym_BANG_EQ] = ACTIONS(5475),
    [anon_sym_GT] = ACTIONS(5473),
    [anon_sym_GT_EQ] = ACTIONS(5475),
    [anon_sym_LT_EQ] = ACTIONS(5473),
    [anon_sym_LT] = ACTIONS(5473),
    [anon_sym_LT_LT] = ACTIONS(5475),
    [anon_sym_GT_GT] = ACTIONS(5475),
    [anon_sym_SEMI] = ACTIONS(5475),
    [anon_sym___extension__] = ACTIONS(5473),
    [anon_sym___attribute__] = ACTIONS(5473),
    [anon_sym___based] = ACTIONS(5473),
    [anon_sym_LBRACE] = ACTIONS(5475),
    [anon_sym_RBRACE] = ACTIONS(5475),
    [anon_sym_signed] = ACTIONS(5473),
    [anon_sym_unsigned] = ACTIONS(5473),
    [anon_sym_long] = ACTIONS(5473),
    [anon_sym_short] = ACTIONS(5473),
    [anon_sym_LBRACK] = ACTIONS(5475),
    [anon_sym_RBRACK] = ACTIONS(5475),
    [anon_sym_const] = ACTIONS(5473),
    [anon_sym_constexpr] = ACTIONS(5473),
    [anon_sym_volatile] = ACTIONS(5473),
    [anon_sym_restrict] = ACTIONS(5473),
    [anon_sym___restrict__] = ACTIONS(5473),
    [anon_sym__Atomic] = ACTIONS(5473),
    [anon_sym__Noreturn] = ACTIONS(5473),
    [anon_sym_noreturn] = ACTIONS(5473),
    [anon_sym__Nonnull] = ACTIONS(5473),
    [anon_sym_mutable] = ACTIONS(5473),
    [anon_sym_constinit] = ACTIONS(5473),
    [anon_sym_consteval] = ACTIONS(5473),
    [anon_sym_PROGMEM] = ACTIONS(5473),
    [anon_sym_alignas] = ACTIONS(5473),
    [anon_sym__Alignas] = ACTIONS(5473),
    [aux_sym_primitive_type_token1] = ACTIONS(5473),
    [anon_sym_byte] = ACTIONS(5473),
    [anon_sym_word] = ACTIONS(5473),
    [anon_sym_COLON] = ACTIONS(5475),
    [anon_sym_QMARK] = ACTIONS(5475),
    [anon_sym_LT_EQ_GT] = ACTIONS(5475),
    [anon_sym_or] = ACTIONS(5473),
    [anon_sym_and] = ACTIONS(5473),
    [anon_sym_bitor] = ACTIONS(5473),
    [anon_sym_xor] = ACTIONS(5473),
    [anon_sym_bitand] = ACTIONS(5473),
    [anon_sym_not_eq] = ACTIONS(5473),
    [anon_sym_DASH_DASH] = ACTIONS(5475),
    [anon_sym_PLUS_PLUS] = ACTIONS(5475),
    [anon_sym_DOT] = ACTIONS(5473),
    [anon_sym_DOT_STAR] = ACTIONS(5475),
    [anon_sym_DASH_GT] = ACTIONS(5475),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5473),
    [anon_sym_decltype] = ACTIONS(5473),
    [anon_sym_final] = ACTIONS(5473),
    [anon_sym_override] = ACTIONS(5473),
    [anon_sym_requires] = ACTIONS(5473),
  },
  [1796] = {
    [sym_identifier] = ACTIONS(5477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5479),
    [anon_sym_COMMA] = ACTIONS(5479),
    [anon_sym_RPAREN] = ACTIONS(5479),
    [anon_sym_LPAREN2] = ACTIONS(5479),
    [anon_sym_DASH] = ACTIONS(5477),
    [anon_sym_PLUS] = ACTIONS(5477),
    [anon_sym_STAR] = ACTIONS(5479),
    [anon_sym_SLASH] = ACTIONS(5477),
    [anon_sym_PERCENT] = ACTIONS(5479),
    [anon_sym_PIPE_PIPE] = ACTIONS(5479),
    [anon_sym_AMP_AMP] = ACTIONS(5479),
    [anon_sym_PIPE] = ACTIONS(5477),
    [anon_sym_CARET] = ACTIONS(5479),
    [anon_sym_AMP] = ACTIONS(5477),
    [anon_sym_EQ_EQ] = ACTIONS(5479),
    [anon_sym_BANG_EQ] = ACTIONS(5479),
    [anon_sym_GT] = ACTIONS(5477),
    [anon_sym_GT_EQ] = ACTIONS(5479),
    [anon_sym_LT_EQ] = ACTIONS(5477),
    [anon_sym_LT] = ACTIONS(5477),
    [anon_sym_LT_LT] = ACTIONS(5479),
    [anon_sym_GT_GT] = ACTIONS(5479),
    [anon_sym_SEMI] = ACTIONS(5479),
    [anon_sym___extension__] = ACTIONS(5477),
    [anon_sym___attribute__] = ACTIONS(5477),
    [anon_sym___based] = ACTIONS(5477),
    [anon_sym_LBRACE] = ACTIONS(5479),
    [anon_sym_RBRACE] = ACTIONS(5479),
    [anon_sym_signed] = ACTIONS(5477),
    [anon_sym_unsigned] = ACTIONS(5477),
    [anon_sym_long] = ACTIONS(5477),
    [anon_sym_short] = ACTIONS(5477),
    [anon_sym_LBRACK] = ACTIONS(5479),
    [anon_sym_RBRACK] = ACTIONS(5479),
    [anon_sym_const] = ACTIONS(5477),
    [anon_sym_constexpr] = ACTIONS(5477),
    [anon_sym_volatile] = ACTIONS(5477),
    [anon_sym_restrict] = ACTIONS(5477),
    [anon_sym___restrict__] = ACTIONS(5477),
    [anon_sym__Atomic] = ACTIONS(5477),
    [anon_sym__Noreturn] = ACTIONS(5477),
    [anon_sym_noreturn] = ACTIONS(5477),
    [anon_sym__Nonnull] = ACTIONS(5477),
    [anon_sym_mutable] = ACTIONS(5477),
    [anon_sym_constinit] = ACTIONS(5477),
    [anon_sym_consteval] = ACTIONS(5477),
    [anon_sym_PROGMEM] = ACTIONS(5477),
    [anon_sym_alignas] = ACTIONS(5477),
    [anon_sym__Alignas] = ACTIONS(5477),
    [aux_sym_primitive_type_token1] = ACTIONS(5477),
    [anon_sym_byte] = ACTIONS(5477),
    [anon_sym_word] = ACTIONS(5477),
    [anon_sym_COLON] = ACTIONS(5479),
    [anon_sym_QMARK] = ACTIONS(5479),
    [anon_sym_LT_EQ_GT] = ACTIONS(5479),
    [anon_sym_or] = ACTIONS(5477),
    [anon_sym_and] = ACTIONS(5477),
    [anon_sym_bitor] = ACTIONS(5477),
    [anon_sym_xor] = ACTIONS(5477),
    [anon_sym_bitand] = ACTIONS(5477),
    [anon_sym_not_eq] = ACTIONS(5477),
    [anon_sym_DASH_DASH] = ACTIONS(5479),
    [anon_sym_PLUS_PLUS] = ACTIONS(5479),
    [anon_sym_DOT] = ACTIONS(5477),
    [anon_sym_DOT_STAR] = ACTIONS(5479),
    [anon_sym_DASH_GT] = ACTIONS(5479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5477),
    [anon_sym_decltype] = ACTIONS(5477),
    [anon_sym_final] = ACTIONS(5477),
    [anon_sym_override] = ACTIONS(5477),
    [anon_sym_requires] = ACTIONS(5477),
  },
  [1797] = {
    [sym_identifier] = ACTIONS(5481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5483),
    [anon_sym_COMMA] = ACTIONS(5483),
    [anon_sym_RPAREN] = ACTIONS(5483),
    [anon_sym_LPAREN2] = ACTIONS(5483),
    [anon_sym_DASH] = ACTIONS(5481),
    [anon_sym_PLUS] = ACTIONS(5481),
    [anon_sym_STAR] = ACTIONS(5483),
    [anon_sym_SLASH] = ACTIONS(5481),
    [anon_sym_PERCENT] = ACTIONS(5483),
    [anon_sym_PIPE_PIPE] = ACTIONS(5483),
    [anon_sym_AMP_AMP] = ACTIONS(5483),
    [anon_sym_PIPE] = ACTIONS(5481),
    [anon_sym_CARET] = ACTIONS(5483),
    [anon_sym_AMP] = ACTIONS(5481),
    [anon_sym_EQ_EQ] = ACTIONS(5483),
    [anon_sym_BANG_EQ] = ACTIONS(5483),
    [anon_sym_GT] = ACTIONS(5481),
    [anon_sym_GT_EQ] = ACTIONS(5483),
    [anon_sym_LT_EQ] = ACTIONS(5481),
    [anon_sym_LT] = ACTIONS(5481),
    [anon_sym_LT_LT] = ACTIONS(5483),
    [anon_sym_GT_GT] = ACTIONS(5483),
    [anon_sym_SEMI] = ACTIONS(5483),
    [anon_sym___extension__] = ACTIONS(5481),
    [anon_sym___attribute__] = ACTIONS(5481),
    [anon_sym___based] = ACTIONS(5481),
    [anon_sym_LBRACE] = ACTIONS(5483),
    [anon_sym_RBRACE] = ACTIONS(5483),
    [anon_sym_signed] = ACTIONS(5481),
    [anon_sym_unsigned] = ACTIONS(5481),
    [anon_sym_long] = ACTIONS(5481),
    [anon_sym_short] = ACTIONS(5481),
    [anon_sym_LBRACK] = ACTIONS(5483),
    [anon_sym_RBRACK] = ACTIONS(5483),
    [anon_sym_const] = ACTIONS(5481),
    [anon_sym_constexpr] = ACTIONS(5481),
    [anon_sym_volatile] = ACTIONS(5481),
    [anon_sym_restrict] = ACTIONS(5481),
    [anon_sym___restrict__] = ACTIONS(5481),
    [anon_sym__Atomic] = ACTIONS(5481),
    [anon_sym__Noreturn] = ACTIONS(5481),
    [anon_sym_noreturn] = ACTIONS(5481),
    [anon_sym__Nonnull] = ACTIONS(5481),
    [anon_sym_mutable] = ACTIONS(5481),
    [anon_sym_constinit] = ACTIONS(5481),
    [anon_sym_consteval] = ACTIONS(5481),
    [anon_sym_PROGMEM] = ACTIONS(5481),
    [anon_sym_alignas] = ACTIONS(5481),
    [anon_sym__Alignas] = ACTIONS(5481),
    [aux_sym_primitive_type_token1] = ACTIONS(5481),
    [anon_sym_byte] = ACTIONS(5481),
    [anon_sym_word] = ACTIONS(5481),
    [anon_sym_COLON] = ACTIONS(5483),
    [anon_sym_QMARK] = ACTIONS(5483),
    [anon_sym_LT_EQ_GT] = ACTIONS(5483),
    [anon_sym_or] = ACTIONS(5481),
    [anon_sym_and] = ACTIONS(5481),
    [anon_sym_bitor] = ACTIONS(5481),
    [anon_sym_xor] = ACTIONS(5481),
    [anon_sym_bitand] = ACTIONS(5481),
    [anon_sym_not_eq] = ACTIONS(5481),
    [anon_sym_DASH_DASH] = ACTIONS(5483),
    [anon_sym_PLUS_PLUS] = ACTIONS(5483),
    [anon_sym_DOT] = ACTIONS(5481),
    [anon_sym_DOT_STAR] = ACTIONS(5483),
    [anon_sym_DASH_GT] = ACTIONS(5483),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5481),
    [anon_sym_decltype] = ACTIONS(5481),
    [anon_sym_final] = ACTIONS(5481),
    [anon_sym_override] = ACTIONS(5481),
    [anon_sym_requires] = ACTIONS(5481),
  },
  [1798] = {
    [sym_identifier] = ACTIONS(5462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5464),
    [anon_sym_COMMA] = ACTIONS(5464),
    [anon_sym_RPAREN] = ACTIONS(5464),
    [anon_sym_LPAREN2] = ACTIONS(5464),
    [anon_sym_DASH] = ACTIONS(5462),
    [anon_sym_PLUS] = ACTIONS(5462),
    [anon_sym_STAR] = ACTIONS(5464),
    [anon_sym_SLASH] = ACTIONS(5462),
    [anon_sym_PERCENT] = ACTIONS(5464),
    [anon_sym_PIPE_PIPE] = ACTIONS(5464),
    [anon_sym_AMP_AMP] = ACTIONS(5464),
    [anon_sym_PIPE] = ACTIONS(5462),
    [anon_sym_CARET] = ACTIONS(5464),
    [anon_sym_AMP] = ACTIONS(5462),
    [anon_sym_EQ_EQ] = ACTIONS(5464),
    [anon_sym_BANG_EQ] = ACTIONS(5464),
    [anon_sym_GT] = ACTIONS(5462),
    [anon_sym_GT_EQ] = ACTIONS(5464),
    [anon_sym_LT_EQ] = ACTIONS(5462),
    [anon_sym_LT] = ACTIONS(5462),
    [anon_sym_LT_LT] = ACTIONS(5464),
    [anon_sym_GT_GT] = ACTIONS(5464),
    [anon_sym_SEMI] = ACTIONS(5464),
    [anon_sym___extension__] = ACTIONS(5462),
    [anon_sym___attribute__] = ACTIONS(5462),
    [anon_sym___based] = ACTIONS(5462),
    [anon_sym_LBRACE] = ACTIONS(5464),
    [anon_sym_RBRACE] = ACTIONS(5464),
    [anon_sym_signed] = ACTIONS(5462),
    [anon_sym_unsigned] = ACTIONS(5462),
    [anon_sym_long] = ACTIONS(5462),
    [anon_sym_short] = ACTIONS(5462),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_RBRACK] = ACTIONS(5464),
    [anon_sym_const] = ACTIONS(5462),
    [anon_sym_constexpr] = ACTIONS(5462),
    [anon_sym_volatile] = ACTIONS(5462),
    [anon_sym_restrict] = ACTIONS(5462),
    [anon_sym___restrict__] = ACTIONS(5462),
    [anon_sym__Atomic] = ACTIONS(5462),
    [anon_sym__Noreturn] = ACTIONS(5462),
    [anon_sym_noreturn] = ACTIONS(5462),
    [anon_sym__Nonnull] = ACTIONS(5462),
    [anon_sym_mutable] = ACTIONS(5462),
    [anon_sym_constinit] = ACTIONS(5462),
    [anon_sym_consteval] = ACTIONS(5462),
    [anon_sym_PROGMEM] = ACTIONS(5462),
    [anon_sym_alignas] = ACTIONS(5462),
    [anon_sym__Alignas] = ACTIONS(5462),
    [aux_sym_primitive_type_token1] = ACTIONS(5462),
    [anon_sym_byte] = ACTIONS(5462),
    [anon_sym_word] = ACTIONS(5462),
    [anon_sym_COLON] = ACTIONS(5464),
    [anon_sym_QMARK] = ACTIONS(5464),
    [anon_sym_LT_EQ_GT] = ACTIONS(5464),
    [anon_sym_or] = ACTIONS(5462),
    [anon_sym_and] = ACTIONS(5462),
    [anon_sym_bitor] = ACTIONS(5462),
    [anon_sym_xor] = ACTIONS(5462),
    [anon_sym_bitand] = ACTIONS(5462),
    [anon_sym_not_eq] = ACTIONS(5462),
    [anon_sym_DASH_DASH] = ACTIONS(5464),
    [anon_sym_PLUS_PLUS] = ACTIONS(5464),
    [anon_sym_DOT] = ACTIONS(5462),
    [anon_sym_DOT_STAR] = ACTIONS(5464),
    [anon_sym_DASH_GT] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5462),
    [anon_sym_decltype] = ACTIONS(5462),
    [anon_sym_final] = ACTIONS(5462),
    [anon_sym_override] = ACTIONS(5462),
    [anon_sym_requires] = ACTIONS(5462),
  },
  [1799] = {
    [sym_identifier] = ACTIONS(5485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5487),
    [anon_sym_COMMA] = ACTIONS(5487),
    [anon_sym_RPAREN] = ACTIONS(5487),
    [anon_sym_LPAREN2] = ACTIONS(5487),
    [anon_sym_DASH] = ACTIONS(5485),
    [anon_sym_PLUS] = ACTIONS(5485),
    [anon_sym_STAR] = ACTIONS(5487),
    [anon_sym_SLASH] = ACTIONS(5485),
    [anon_sym_PERCENT] = ACTIONS(5487),
    [anon_sym_PIPE_PIPE] = ACTIONS(5487),
    [anon_sym_AMP_AMP] = ACTIONS(5487),
    [anon_sym_PIPE] = ACTIONS(5485),
    [anon_sym_CARET] = ACTIONS(5487),
    [anon_sym_AMP] = ACTIONS(5485),
    [anon_sym_EQ_EQ] = ACTIONS(5487),
    [anon_sym_BANG_EQ] = ACTIONS(5487),
    [anon_sym_GT] = ACTIONS(5485),
    [anon_sym_GT_EQ] = ACTIONS(5487),
    [anon_sym_LT_EQ] = ACTIONS(5485),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(5487),
    [anon_sym_GT_GT] = ACTIONS(5487),
    [anon_sym_SEMI] = ACTIONS(5487),
    [anon_sym___extension__] = ACTIONS(5485),
    [anon_sym___attribute__] = ACTIONS(5485),
    [anon_sym___based] = ACTIONS(5485),
    [anon_sym_LBRACE] = ACTIONS(5487),
    [anon_sym_RBRACE] = ACTIONS(5487),
    [anon_sym_signed] = ACTIONS(5485),
    [anon_sym_unsigned] = ACTIONS(5485),
    [anon_sym_long] = ACTIONS(5485),
    [anon_sym_short] = ACTIONS(5485),
    [anon_sym_LBRACK] = ACTIONS(5487),
    [anon_sym_RBRACK] = ACTIONS(5487),
    [anon_sym_const] = ACTIONS(5485),
    [anon_sym_constexpr] = ACTIONS(5485),
    [anon_sym_volatile] = ACTIONS(5485),
    [anon_sym_restrict] = ACTIONS(5485),
    [anon_sym___restrict__] = ACTIONS(5485),
    [anon_sym__Atomic] = ACTIONS(5485),
    [anon_sym__Noreturn] = ACTIONS(5485),
    [anon_sym_noreturn] = ACTIONS(5485),
    [anon_sym__Nonnull] = ACTIONS(5485),
    [anon_sym_mutable] = ACTIONS(5485),
    [anon_sym_constinit] = ACTIONS(5485),
    [anon_sym_consteval] = ACTIONS(5485),
    [anon_sym_PROGMEM] = ACTIONS(5485),
    [anon_sym_alignas] = ACTIONS(5485),
    [anon_sym__Alignas] = ACTIONS(5485),
    [aux_sym_primitive_type_token1] = ACTIONS(5485),
    [anon_sym_byte] = ACTIONS(5485),
    [anon_sym_word] = ACTIONS(5485),
    [anon_sym_COLON] = ACTIONS(5487),
    [anon_sym_QMARK] = ACTIONS(5487),
    [anon_sym_LT_EQ_GT] = ACTIONS(5487),
    [anon_sym_or] = ACTIONS(5485),
    [anon_sym_and] = ACTIONS(5485),
    [anon_sym_bitor] = ACTIONS(5485),
    [anon_sym_xor] = ACTIONS(5485),
    [anon_sym_bitand] = ACTIONS(5485),
    [anon_sym_not_eq] = ACTIONS(5485),
    [anon_sym_DASH_DASH] = ACTIONS(5487),
    [anon_sym_PLUS_PLUS] = ACTIONS(5487),
    [anon_sym_DOT] = ACTIONS(5485),
    [anon_sym_DOT_STAR] = ACTIONS(5487),
    [anon_sym_DASH_GT] = ACTIONS(5487),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5485),
    [anon_sym_decltype] = ACTIONS(5485),
    [anon_sym_final] = ACTIONS(5485),
    [anon_sym_override] = ACTIONS(5485),
    [anon_sym_requires] = ACTIONS(5485),
  },
  [1800] = {
    [sym_identifier] = ACTIONS(5489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5491),
    [anon_sym_COMMA] = ACTIONS(5491),
    [anon_sym_RPAREN] = ACTIONS(5491),
    [anon_sym_LPAREN2] = ACTIONS(5491),
    [anon_sym_DASH] = ACTIONS(5489),
    [anon_sym_PLUS] = ACTIONS(5489),
    [anon_sym_STAR] = ACTIONS(5491),
    [anon_sym_SLASH] = ACTIONS(5489),
    [anon_sym_PERCENT] = ACTIONS(5491),
    [anon_sym_PIPE_PIPE] = ACTIONS(5491),
    [anon_sym_AMP_AMP] = ACTIONS(5491),
    [anon_sym_PIPE] = ACTIONS(5489),
    [anon_sym_CARET] = ACTIONS(5491),
    [anon_sym_AMP] = ACTIONS(5489),
    [anon_sym_EQ_EQ] = ACTIONS(5491),
    [anon_sym_BANG_EQ] = ACTIONS(5491),
    [anon_sym_GT] = ACTIONS(5489),
    [anon_sym_GT_EQ] = ACTIONS(5491),
    [anon_sym_LT_EQ] = ACTIONS(5489),
    [anon_sym_LT] = ACTIONS(5489),
    [anon_sym_LT_LT] = ACTIONS(5491),
    [anon_sym_GT_GT] = ACTIONS(5491),
    [anon_sym_SEMI] = ACTIONS(5491),
    [anon_sym___extension__] = ACTIONS(5489),
    [anon_sym___attribute__] = ACTIONS(5489),
    [anon_sym___based] = ACTIONS(5489),
    [anon_sym_LBRACE] = ACTIONS(5491),
    [anon_sym_RBRACE] = ACTIONS(5491),
    [anon_sym_signed] = ACTIONS(5489),
    [anon_sym_unsigned] = ACTIONS(5489),
    [anon_sym_long] = ACTIONS(5489),
    [anon_sym_short] = ACTIONS(5489),
    [anon_sym_LBRACK] = ACTIONS(5491),
    [anon_sym_RBRACK] = ACTIONS(5491),
    [anon_sym_const] = ACTIONS(5489),
    [anon_sym_constexpr] = ACTIONS(5489),
    [anon_sym_volatile] = ACTIONS(5489),
    [anon_sym_restrict] = ACTIONS(5489),
    [anon_sym___restrict__] = ACTIONS(5489),
    [anon_sym__Atomic] = ACTIONS(5489),
    [anon_sym__Noreturn] = ACTIONS(5489),
    [anon_sym_noreturn] = ACTIONS(5489),
    [anon_sym__Nonnull] = ACTIONS(5489),
    [anon_sym_mutable] = ACTIONS(5489),
    [anon_sym_constinit] = ACTIONS(5489),
    [anon_sym_consteval] = ACTIONS(5489),
    [anon_sym_PROGMEM] = ACTIONS(5489),
    [anon_sym_alignas] = ACTIONS(5489),
    [anon_sym__Alignas] = ACTIONS(5489),
    [aux_sym_primitive_type_token1] = ACTIONS(5489),
    [anon_sym_byte] = ACTIONS(5489),
    [anon_sym_word] = ACTIONS(5489),
    [anon_sym_COLON] = ACTIONS(5491),
    [anon_sym_QMARK] = ACTIONS(5491),
    [anon_sym_LT_EQ_GT] = ACTIONS(5491),
    [anon_sym_or] = ACTIONS(5489),
    [anon_sym_and] = ACTIONS(5489),
    [anon_sym_bitor] = ACTIONS(5489),
    [anon_sym_xor] = ACTIONS(5489),
    [anon_sym_bitand] = ACTIONS(5489),
    [anon_sym_not_eq] = ACTIONS(5489),
    [anon_sym_DASH_DASH] = ACTIONS(5491),
    [anon_sym_PLUS_PLUS] = ACTIONS(5491),
    [anon_sym_DOT] = ACTIONS(5489),
    [anon_sym_DOT_STAR] = ACTIONS(5491),
    [anon_sym_DASH_GT] = ACTIONS(5491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5489),
    [anon_sym_decltype] = ACTIONS(5489),
    [anon_sym_final] = ACTIONS(5489),
    [anon_sym_override] = ACTIONS(5489),
    [anon_sym_requires] = ACTIONS(5489),
  },
  [1801] = {
    [sym_identifier] = ACTIONS(5493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5495),
    [anon_sym_COMMA] = ACTIONS(5495),
    [anon_sym_RPAREN] = ACTIONS(5495),
    [anon_sym_LPAREN2] = ACTIONS(5495),
    [anon_sym_DASH] = ACTIONS(5493),
    [anon_sym_PLUS] = ACTIONS(5493),
    [anon_sym_STAR] = ACTIONS(5495),
    [anon_sym_SLASH] = ACTIONS(5493),
    [anon_sym_PERCENT] = ACTIONS(5495),
    [anon_sym_PIPE_PIPE] = ACTIONS(5495),
    [anon_sym_AMP_AMP] = ACTIONS(5495),
    [anon_sym_PIPE] = ACTIONS(5493),
    [anon_sym_CARET] = ACTIONS(5495),
    [anon_sym_AMP] = ACTIONS(5493),
    [anon_sym_EQ_EQ] = ACTIONS(5495),
    [anon_sym_BANG_EQ] = ACTIONS(5495),
    [anon_sym_GT] = ACTIONS(5493),
    [anon_sym_GT_EQ] = ACTIONS(5495),
    [anon_sym_LT_EQ] = ACTIONS(5493),
    [anon_sym_LT] = ACTIONS(5493),
    [anon_sym_LT_LT] = ACTIONS(5495),
    [anon_sym_GT_GT] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5495),
    [anon_sym___extension__] = ACTIONS(5493),
    [anon_sym___attribute__] = ACTIONS(5493),
    [anon_sym___based] = ACTIONS(5493),
    [anon_sym_LBRACE] = ACTIONS(5495),
    [anon_sym_RBRACE] = ACTIONS(5495),
    [anon_sym_signed] = ACTIONS(5493),
    [anon_sym_unsigned] = ACTIONS(5493),
    [anon_sym_long] = ACTIONS(5493),
    [anon_sym_short] = ACTIONS(5493),
    [anon_sym_LBRACK] = ACTIONS(5495),
    [anon_sym_RBRACK] = ACTIONS(5495),
    [anon_sym_const] = ACTIONS(5493),
    [anon_sym_constexpr] = ACTIONS(5493),
    [anon_sym_volatile] = ACTIONS(5493),
    [anon_sym_restrict] = ACTIONS(5493),
    [anon_sym___restrict__] = ACTIONS(5493),
    [anon_sym__Atomic] = ACTIONS(5493),
    [anon_sym__Noreturn] = ACTIONS(5493),
    [anon_sym_noreturn] = ACTIONS(5493),
    [anon_sym__Nonnull] = ACTIONS(5493),
    [anon_sym_mutable] = ACTIONS(5493),
    [anon_sym_constinit] = ACTIONS(5493),
    [anon_sym_consteval] = ACTIONS(5493),
    [anon_sym_PROGMEM] = ACTIONS(5493),
    [anon_sym_alignas] = ACTIONS(5493),
    [anon_sym__Alignas] = ACTIONS(5493),
    [aux_sym_primitive_type_token1] = ACTIONS(5493),
    [anon_sym_byte] = ACTIONS(5493),
    [anon_sym_word] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(5495),
    [anon_sym_LT_EQ_GT] = ACTIONS(5495),
    [anon_sym_or] = ACTIONS(5493),
    [anon_sym_and] = ACTIONS(5493),
    [anon_sym_bitor] = ACTIONS(5493),
    [anon_sym_xor] = ACTIONS(5493),
    [anon_sym_bitand] = ACTIONS(5493),
    [anon_sym_not_eq] = ACTIONS(5493),
    [anon_sym_DASH_DASH] = ACTIONS(5495),
    [anon_sym_PLUS_PLUS] = ACTIONS(5495),
    [anon_sym_DOT] = ACTIONS(5493),
    [anon_sym_DOT_STAR] = ACTIONS(5495),
    [anon_sym_DASH_GT] = ACTIONS(5495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5493),
    [anon_sym_decltype] = ACTIONS(5493),
    [anon_sym_final] = ACTIONS(5493),
    [anon_sym_override] = ACTIONS(5493),
    [anon_sym_requires] = ACTIONS(5493),
  },
  [1802] = {
    [sym_identifier] = ACTIONS(5497),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5499),
    [anon_sym_COMMA] = ACTIONS(5499),
    [anon_sym_RPAREN] = ACTIONS(5499),
    [anon_sym_LPAREN2] = ACTIONS(5499),
    [anon_sym_DASH] = ACTIONS(5497),
    [anon_sym_PLUS] = ACTIONS(5497),
    [anon_sym_STAR] = ACTIONS(5499),
    [anon_sym_SLASH] = ACTIONS(5497),
    [anon_sym_PERCENT] = ACTIONS(5499),
    [anon_sym_PIPE_PIPE] = ACTIONS(5499),
    [anon_sym_AMP_AMP] = ACTIONS(5499),
    [anon_sym_PIPE] = ACTIONS(5497),
    [anon_sym_CARET] = ACTIONS(5499),
    [anon_sym_AMP] = ACTIONS(5497),
    [anon_sym_EQ_EQ] = ACTIONS(5499),
    [anon_sym_BANG_EQ] = ACTIONS(5499),
    [anon_sym_GT] = ACTIONS(5497),
    [anon_sym_GT_EQ] = ACTIONS(5499),
    [anon_sym_LT_EQ] = ACTIONS(5497),
    [anon_sym_LT] = ACTIONS(5497),
    [anon_sym_LT_LT] = ACTIONS(5499),
    [anon_sym_GT_GT] = ACTIONS(5499),
    [anon_sym_SEMI] = ACTIONS(5499),
    [anon_sym___extension__] = ACTIONS(5497),
    [anon_sym___attribute__] = ACTIONS(5497),
    [anon_sym___based] = ACTIONS(5497),
    [anon_sym_LBRACE] = ACTIONS(5499),
    [anon_sym_RBRACE] = ACTIONS(5499),
    [anon_sym_signed] = ACTIONS(5497),
    [anon_sym_unsigned] = ACTIONS(5497),
    [anon_sym_long] = ACTIONS(5497),
    [anon_sym_short] = ACTIONS(5497),
    [anon_sym_LBRACK] = ACTIONS(5499),
    [anon_sym_RBRACK] = ACTIONS(5499),
    [anon_sym_const] = ACTIONS(5497),
    [anon_sym_constexpr] = ACTIONS(5497),
    [anon_sym_volatile] = ACTIONS(5497),
    [anon_sym_restrict] = ACTIONS(5497),
    [anon_sym___restrict__] = ACTIONS(5497),
    [anon_sym__Atomic] = ACTIONS(5497),
    [anon_sym__Noreturn] = ACTIONS(5497),
    [anon_sym_noreturn] = ACTIONS(5497),
    [anon_sym__Nonnull] = ACTIONS(5497),
    [anon_sym_mutable] = ACTIONS(5497),
    [anon_sym_constinit] = ACTIONS(5497),
    [anon_sym_consteval] = ACTIONS(5497),
    [anon_sym_PROGMEM] = ACTIONS(5497),
    [anon_sym_alignas] = ACTIONS(5497),
    [anon_sym__Alignas] = ACTIONS(5497),
    [aux_sym_primitive_type_token1] = ACTIONS(5497),
    [anon_sym_byte] = ACTIONS(5497),
    [anon_sym_word] = ACTIONS(5497),
    [anon_sym_COLON] = ACTIONS(5499),
    [anon_sym_QMARK] = ACTIONS(5499),
    [anon_sym_LT_EQ_GT] = ACTIONS(5499),
    [anon_sym_or] = ACTIONS(5497),
    [anon_sym_and] = ACTIONS(5497),
    [anon_sym_bitor] = ACTIONS(5497),
    [anon_sym_xor] = ACTIONS(5497),
    [anon_sym_bitand] = ACTIONS(5497),
    [anon_sym_not_eq] = ACTIONS(5497),
    [anon_sym_DASH_DASH] = ACTIONS(5499),
    [anon_sym_PLUS_PLUS] = ACTIONS(5499),
    [anon_sym_DOT] = ACTIONS(5497),
    [anon_sym_DOT_STAR] = ACTIONS(5499),
    [anon_sym_DASH_GT] = ACTIONS(5499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5497),
    [anon_sym_decltype] = ACTIONS(5497),
    [anon_sym_final] = ACTIONS(5497),
    [anon_sym_override] = ACTIONS(5497),
    [anon_sym_requires] = ACTIONS(5497),
  },
  [1803] = {
    [sym_identifier] = ACTIONS(5501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5503),
    [anon_sym_COMMA] = ACTIONS(5503),
    [anon_sym_RPAREN] = ACTIONS(5503),
    [anon_sym_LPAREN2] = ACTIONS(5503),
    [anon_sym_DASH] = ACTIONS(5501),
    [anon_sym_PLUS] = ACTIONS(5501),
    [anon_sym_STAR] = ACTIONS(5503),
    [anon_sym_SLASH] = ACTIONS(5501),
    [anon_sym_PERCENT] = ACTIONS(5503),
    [anon_sym_PIPE_PIPE] = ACTIONS(5503),
    [anon_sym_AMP_AMP] = ACTIONS(5503),
    [anon_sym_PIPE] = ACTIONS(5501),
    [anon_sym_CARET] = ACTIONS(5503),
    [anon_sym_AMP] = ACTIONS(5501),
    [anon_sym_EQ_EQ] = ACTIONS(5503),
    [anon_sym_BANG_EQ] = ACTIONS(5503),
    [anon_sym_GT] = ACTIONS(5501),
    [anon_sym_GT_EQ] = ACTIONS(5503),
    [anon_sym_LT_EQ] = ACTIONS(5501),
    [anon_sym_LT] = ACTIONS(5501),
    [anon_sym_LT_LT] = ACTIONS(5503),
    [anon_sym_GT_GT] = ACTIONS(5503),
    [anon_sym_SEMI] = ACTIONS(5503),
    [anon_sym___extension__] = ACTIONS(5501),
    [anon_sym___attribute__] = ACTIONS(5501),
    [anon_sym___based] = ACTIONS(5501),
    [anon_sym_LBRACE] = ACTIONS(5503),
    [anon_sym_RBRACE] = ACTIONS(5503),
    [anon_sym_signed] = ACTIONS(5501),
    [anon_sym_unsigned] = ACTIONS(5501),
    [anon_sym_long] = ACTIONS(5501),
    [anon_sym_short] = ACTIONS(5501),
    [anon_sym_LBRACK] = ACTIONS(5503),
    [anon_sym_RBRACK] = ACTIONS(5503),
    [anon_sym_const] = ACTIONS(5501),
    [anon_sym_constexpr] = ACTIONS(5501),
    [anon_sym_volatile] = ACTIONS(5501),
    [anon_sym_restrict] = ACTIONS(5501),
    [anon_sym___restrict__] = ACTIONS(5501),
    [anon_sym__Atomic] = ACTIONS(5501),
    [anon_sym__Noreturn] = ACTIONS(5501),
    [anon_sym_noreturn] = ACTIONS(5501),
    [anon_sym__Nonnull] = ACTIONS(5501),
    [anon_sym_mutable] = ACTIONS(5501),
    [anon_sym_constinit] = ACTIONS(5501),
    [anon_sym_consteval] = ACTIONS(5501),
    [anon_sym_PROGMEM] = ACTIONS(5501),
    [anon_sym_alignas] = ACTIONS(5501),
    [anon_sym__Alignas] = ACTIONS(5501),
    [aux_sym_primitive_type_token1] = ACTIONS(5501),
    [anon_sym_byte] = ACTIONS(5501),
    [anon_sym_word] = ACTIONS(5501),
    [anon_sym_COLON] = ACTIONS(5503),
    [anon_sym_QMARK] = ACTIONS(5503),
    [anon_sym_LT_EQ_GT] = ACTIONS(5503),
    [anon_sym_or] = ACTIONS(5501),
    [anon_sym_and] = ACTIONS(5501),
    [anon_sym_bitor] = ACTIONS(5501),
    [anon_sym_xor] = ACTIONS(5501),
    [anon_sym_bitand] = ACTIONS(5501),
    [anon_sym_not_eq] = ACTIONS(5501),
    [anon_sym_DASH_DASH] = ACTIONS(5503),
    [anon_sym_PLUS_PLUS] = ACTIONS(5503),
    [anon_sym_DOT] = ACTIONS(5501),
    [anon_sym_DOT_STAR] = ACTIONS(5503),
    [anon_sym_DASH_GT] = ACTIONS(5503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5501),
    [anon_sym_decltype] = ACTIONS(5501),
    [anon_sym_final] = ACTIONS(5501),
    [anon_sym_override] = ACTIONS(5501),
    [anon_sym_requires] = ACTIONS(5501),
  },
  [1804] = {
    [sym_catch_clause] = STATE(1804),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(2551),
    [aux_sym_preproc_def_token1] = ACTIONS(2551),
    [aux_sym_preproc_if_token1] = ACTIONS(2551),
    [aux_sym_preproc_if_token2] = ACTIONS(2551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2551),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2551),
    [sym_preproc_directive] = ACTIONS(2551),
    [anon_sym_LPAREN2] = ACTIONS(2553),
    [anon_sym_TILDE] = ACTIONS(2553),
    [anon_sym_STAR] = ACTIONS(2553),
    [anon_sym_AMP_AMP] = ACTIONS(2553),
    [anon_sym_AMP] = ACTIONS(2551),
    [anon_sym_SEMI] = ACTIONS(2553),
    [anon_sym___extension__] = ACTIONS(2551),
    [anon_sym_typedef] = ACTIONS(2551),
    [anon_sym_virtual] = ACTIONS(2551),
    [anon_sym_extern] = ACTIONS(2551),
    [anon_sym___attribute__] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2553),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2553),
    [anon_sym___declspec] = ACTIONS(2551),
    [anon_sym___based] = ACTIONS(2551),
    [anon_sym_signed] = ACTIONS(2551),
    [anon_sym_unsigned] = ACTIONS(2551),
    [anon_sym_long] = ACTIONS(2551),
    [anon_sym_short] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2551),
    [anon_sym_static] = ACTIONS(2551),
    [anon_sym_register] = ACTIONS(2551),
    [anon_sym_inline] = ACTIONS(2551),
    [anon_sym___inline] = ACTIONS(2551),
    [anon_sym___inline__] = ACTIONS(2551),
    [anon_sym___forceinline] = ACTIONS(2551),
    [anon_sym_thread_local] = ACTIONS(2551),
    [anon_sym___thread] = ACTIONS(2551),
    [anon_sym_const] = ACTIONS(2551),
    [anon_sym_constexpr] = ACTIONS(2551),
    [anon_sym_volatile] = ACTIONS(2551),
    [anon_sym_restrict] = ACTIONS(2551),
    [anon_sym___restrict__] = ACTIONS(2551),
    [anon_sym__Atomic] = ACTIONS(2551),
    [anon_sym__Noreturn] = ACTIONS(2551),
    [anon_sym_noreturn] = ACTIONS(2551),
    [anon_sym__Nonnull] = ACTIONS(2551),
    [anon_sym_mutable] = ACTIONS(2551),
    [anon_sym_constinit] = ACTIONS(2551),
    [anon_sym_consteval] = ACTIONS(2551),
    [anon_sym_PROGMEM] = ACTIONS(2551),
    [anon_sym_alignas] = ACTIONS(2551),
    [anon_sym__Alignas] = ACTIONS(2551),
    [aux_sym_primitive_type_token1] = ACTIONS(2551),
    [anon_sym_byte] = ACTIONS(2551),
    [anon_sym_word] = ACTIONS(2551),
    [anon_sym_enum] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2551),
    [anon_sym_struct] = ACTIONS(2551),
    [anon_sym_union] = ACTIONS(2551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2551),
    [anon_sym_decltype] = ACTIONS(2551),
    [anon_sym_explicit] = ACTIONS(2551),
    [anon_sym_typename] = ACTIONS(2551),
    [anon_sym_template] = ACTIONS(2551),
    [anon_sym_operator] = ACTIONS(2551),
    [anon_sym_friend] = ACTIONS(2551),
    [anon_sym_public] = ACTIONS(2551),
    [anon_sym_private] = ACTIONS(2551),
    [anon_sym_protected] = ACTIONS(2551),
    [anon_sym_using] = ACTIONS(2551),
    [anon_sym_static_assert] = ACTIONS(2551),
    [anon_sym_catch] = ACTIONS(5505),
  },
  [1805] = {
    [sym_identifier] = ACTIONS(5217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5219),
    [anon_sym_COMMA] = ACTIONS(5219),
    [anon_sym_RPAREN] = ACTIONS(5219),
    [anon_sym_LPAREN2] = ACTIONS(5219),
    [anon_sym_TILDE] = ACTIONS(5219),
    [anon_sym_STAR] = ACTIONS(5219),
    [anon_sym_AMP_AMP] = ACTIONS(5219),
    [anon_sym_AMP] = ACTIONS(5217),
    [anon_sym_SEMI] = ACTIONS(5219),
    [anon_sym___extension__] = ACTIONS(5217),
    [anon_sym_virtual] = ACTIONS(5217),
    [anon_sym_extern] = ACTIONS(5217),
    [anon_sym___attribute__] = ACTIONS(5217),
    [anon_sym_COLON_COLON] = ACTIONS(5219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5219),
    [anon_sym___declspec] = ACTIONS(5217),
    [anon_sym___based] = ACTIONS(5217),
    [anon_sym_LBRACE] = ACTIONS(5219),
    [anon_sym_signed] = ACTIONS(5217),
    [anon_sym_unsigned] = ACTIONS(5217),
    [anon_sym_long] = ACTIONS(5217),
    [anon_sym_short] = ACTIONS(5217),
    [anon_sym_LBRACK] = ACTIONS(5217),
    [anon_sym_static] = ACTIONS(5217),
    [anon_sym_EQ] = ACTIONS(5219),
    [anon_sym_register] = ACTIONS(5217),
    [anon_sym_inline] = ACTIONS(5217),
    [anon_sym___inline] = ACTIONS(5217),
    [anon_sym___inline__] = ACTIONS(5217),
    [anon_sym___forceinline] = ACTIONS(5217),
    [anon_sym_thread_local] = ACTIONS(5217),
    [anon_sym___thread] = ACTIONS(5217),
    [anon_sym_const] = ACTIONS(5217),
    [anon_sym_constexpr] = ACTIONS(5217),
    [anon_sym_volatile] = ACTIONS(5217),
    [anon_sym_restrict] = ACTIONS(5217),
    [anon_sym___restrict__] = ACTIONS(5217),
    [anon_sym__Atomic] = ACTIONS(5217),
    [anon_sym__Noreturn] = ACTIONS(5217),
    [anon_sym_noreturn] = ACTIONS(5217),
    [anon_sym__Nonnull] = ACTIONS(5217),
    [anon_sym_mutable] = ACTIONS(5217),
    [anon_sym_constinit] = ACTIONS(5217),
    [anon_sym_consteval] = ACTIONS(5217),
    [anon_sym_PROGMEM] = ACTIONS(5217),
    [anon_sym_alignas] = ACTIONS(5217),
    [anon_sym__Alignas] = ACTIONS(5217),
    [aux_sym_primitive_type_token1] = ACTIONS(5217),
    [anon_sym_byte] = ACTIONS(5217),
    [anon_sym_word] = ACTIONS(5217),
    [anon_sym_enum] = ACTIONS(5217),
    [anon_sym_class] = ACTIONS(5217),
    [anon_sym_struct] = ACTIONS(5217),
    [anon_sym_union] = ACTIONS(5217),
    [anon_sym_asm] = ACTIONS(5217),
    [anon_sym___asm__] = ACTIONS(5217),
    [anon_sym___asm] = ACTIONS(5217),
    [anon_sym_DASH_GT] = ACTIONS(5219),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5217),
    [anon_sym_decltype] = ACTIONS(5217),
    [anon_sym_final] = ACTIONS(5217),
    [anon_sym_override] = ACTIONS(5217),
    [anon_sym_explicit] = ACTIONS(5217),
    [anon_sym_typename] = ACTIONS(5217),
    [anon_sym_template] = ACTIONS(5217),
    [anon_sym_GT2] = ACTIONS(5219),
    [anon_sym_operator] = ACTIONS(5217),
    [anon_sym_try] = ACTIONS(5217),
    [anon_sym_noexcept] = ACTIONS(5217),
    [anon_sym_throw] = ACTIONS(5217),
    [anon_sym_requires] = ACTIONS(5217),
  },
  [1806] = {
    [sym_identifier] = ACTIONS(5508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5510),
    [anon_sym_COMMA] = ACTIONS(5510),
    [anon_sym_RPAREN] = ACTIONS(5510),
    [anon_sym_LPAREN2] = ACTIONS(5510),
    [anon_sym_DASH] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5508),
    [anon_sym_STAR] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5508),
    [anon_sym_PERCENT] = ACTIONS(5510),
    [anon_sym_PIPE_PIPE] = ACTIONS(5510),
    [anon_sym_AMP_AMP] = ACTIONS(5510),
    [anon_sym_PIPE] = ACTIONS(5508),
    [anon_sym_CARET] = ACTIONS(5510),
    [anon_sym_AMP] = ACTIONS(5508),
    [anon_sym_EQ_EQ] = ACTIONS(5510),
    [anon_sym_BANG_EQ] = ACTIONS(5510),
    [anon_sym_GT] = ACTIONS(5508),
    [anon_sym_GT_EQ] = ACTIONS(5510),
    [anon_sym_LT_EQ] = ACTIONS(5508),
    [anon_sym_LT] = ACTIONS(5508),
    [anon_sym_LT_LT] = ACTIONS(5510),
    [anon_sym_GT_GT] = ACTIONS(5510),
    [anon_sym_SEMI] = ACTIONS(5510),
    [anon_sym___extension__] = ACTIONS(5508),
    [anon_sym___attribute__] = ACTIONS(5508),
    [anon_sym___based] = ACTIONS(5508),
    [anon_sym_LBRACE] = ACTIONS(5510),
    [anon_sym_RBRACE] = ACTIONS(5510),
    [anon_sym_signed] = ACTIONS(5508),
    [anon_sym_unsigned] = ACTIONS(5508),
    [anon_sym_long] = ACTIONS(5508),
    [anon_sym_short] = ACTIONS(5508),
    [anon_sym_LBRACK] = ACTIONS(5510),
    [anon_sym_RBRACK] = ACTIONS(5510),
    [anon_sym_const] = ACTIONS(5508),
    [anon_sym_constexpr] = ACTIONS(5508),
    [anon_sym_volatile] = ACTIONS(5508),
    [anon_sym_restrict] = ACTIONS(5508),
    [anon_sym___restrict__] = ACTIONS(5508),
    [anon_sym__Atomic] = ACTIONS(5508),
    [anon_sym__Noreturn] = ACTIONS(5508),
    [anon_sym_noreturn] = ACTIONS(5508),
    [anon_sym__Nonnull] = ACTIONS(5508),
    [anon_sym_mutable] = ACTIONS(5508),
    [anon_sym_constinit] = ACTIONS(5508),
    [anon_sym_consteval] = ACTIONS(5508),
    [anon_sym_PROGMEM] = ACTIONS(5508),
    [anon_sym_alignas] = ACTIONS(5508),
    [anon_sym__Alignas] = ACTIONS(5508),
    [aux_sym_primitive_type_token1] = ACTIONS(5508),
    [anon_sym_byte] = ACTIONS(5508),
    [anon_sym_word] = ACTIONS(5508),
    [anon_sym_COLON] = ACTIONS(5510),
    [anon_sym_QMARK] = ACTIONS(5510),
    [anon_sym_LT_EQ_GT] = ACTIONS(5510),
    [anon_sym_or] = ACTIONS(5508),
    [anon_sym_and] = ACTIONS(5508),
    [anon_sym_bitor] = ACTIONS(5508),
    [anon_sym_xor] = ACTIONS(5508),
    [anon_sym_bitand] = ACTIONS(5508),
    [anon_sym_not_eq] = ACTIONS(5508),
    [anon_sym_DASH_DASH] = ACTIONS(5510),
    [anon_sym_PLUS_PLUS] = ACTIONS(5510),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_DOT_STAR] = ACTIONS(5510),
    [anon_sym_DASH_GT] = ACTIONS(5510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5508),
    [anon_sym_decltype] = ACTIONS(5508),
    [anon_sym_final] = ACTIONS(5508),
    [anon_sym_override] = ACTIONS(5508),
    [anon_sym_requires] = ACTIONS(5508),
  },
  [1807] = {
    [sym_identifier] = ACTIONS(5512),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5514),
    [anon_sym_COMMA] = ACTIONS(5514),
    [anon_sym_RPAREN] = ACTIONS(5514),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_STAR] = ACTIONS(5514),
    [anon_sym_SLASH] = ACTIONS(5512),
    [anon_sym_PERCENT] = ACTIONS(5514),
    [anon_sym_PIPE_PIPE] = ACTIONS(5514),
    [anon_sym_AMP_AMP] = ACTIONS(5514),
    [anon_sym_PIPE] = ACTIONS(5512),
    [anon_sym_CARET] = ACTIONS(5514),
    [anon_sym_AMP] = ACTIONS(5512),
    [anon_sym_EQ_EQ] = ACTIONS(5514),
    [anon_sym_BANG_EQ] = ACTIONS(5514),
    [anon_sym_GT] = ACTIONS(5512),
    [anon_sym_GT_EQ] = ACTIONS(5514),
    [anon_sym_LT_EQ] = ACTIONS(5512),
    [anon_sym_LT] = ACTIONS(5512),
    [anon_sym_LT_LT] = ACTIONS(5514),
    [anon_sym_GT_GT] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5514),
    [anon_sym___extension__] = ACTIONS(5512),
    [anon_sym___attribute__] = ACTIONS(5512),
    [anon_sym___based] = ACTIONS(5512),
    [anon_sym_LBRACE] = ACTIONS(5514),
    [anon_sym_RBRACE] = ACTIONS(5514),
    [anon_sym_signed] = ACTIONS(5512),
    [anon_sym_unsigned] = ACTIONS(5512),
    [anon_sym_long] = ACTIONS(5512),
    [anon_sym_short] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5514),
    [anon_sym_RBRACK] = ACTIONS(5514),
    [anon_sym_const] = ACTIONS(5512),
    [anon_sym_constexpr] = ACTIONS(5512),
    [anon_sym_volatile] = ACTIONS(5512),
    [anon_sym_restrict] = ACTIONS(5512),
    [anon_sym___restrict__] = ACTIONS(5512),
    [anon_sym__Atomic] = ACTIONS(5512),
    [anon_sym__Noreturn] = ACTIONS(5512),
    [anon_sym_noreturn] = ACTIONS(5512),
    [anon_sym__Nonnull] = ACTIONS(5512),
    [anon_sym_mutable] = ACTIONS(5512),
    [anon_sym_constinit] = ACTIONS(5512),
    [anon_sym_consteval] = ACTIONS(5512),
    [anon_sym_PROGMEM] = ACTIONS(5512),
    [anon_sym_alignas] = ACTIONS(5512),
    [anon_sym__Alignas] = ACTIONS(5512),
    [aux_sym_primitive_type_token1] = ACTIONS(5512),
    [anon_sym_byte] = ACTIONS(5512),
    [anon_sym_word] = ACTIONS(5512),
    [anon_sym_COLON] = ACTIONS(5514),
    [anon_sym_QMARK] = ACTIONS(5514),
    [anon_sym_LT_EQ_GT] = ACTIONS(5514),
    [anon_sym_or] = ACTIONS(5512),
    [anon_sym_and] = ACTIONS(5512),
    [anon_sym_bitor] = ACTIONS(5512),
    [anon_sym_xor] = ACTIONS(5512),
    [anon_sym_bitand] = ACTIONS(5512),
    [anon_sym_not_eq] = ACTIONS(5512),
    [anon_sym_DASH_DASH] = ACTIONS(5514),
    [anon_sym_PLUS_PLUS] = ACTIONS(5514),
    [anon_sym_DOT] = ACTIONS(5512),
    [anon_sym_DOT_STAR] = ACTIONS(5514),
    [anon_sym_DASH_GT] = ACTIONS(5514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5512),
    [anon_sym_decltype] = ACTIONS(5512),
    [anon_sym_final] = ACTIONS(5512),
    [anon_sym_override] = ACTIONS(5512),
    [anon_sym_requires] = ACTIONS(5512),
  },
  [1808] = {
    [sym_identifier] = ACTIONS(5481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5483),
    [anon_sym_COMMA] = ACTIONS(5483),
    [anon_sym_RPAREN] = ACTIONS(5483),
    [anon_sym_LPAREN2] = ACTIONS(5483),
    [anon_sym_DASH] = ACTIONS(5481),
    [anon_sym_PLUS] = ACTIONS(5481),
    [anon_sym_STAR] = ACTIONS(5483),
    [anon_sym_SLASH] = ACTIONS(5481),
    [anon_sym_PERCENT] = ACTIONS(5483),
    [anon_sym_PIPE_PIPE] = ACTIONS(5483),
    [anon_sym_AMP_AMP] = ACTIONS(5483),
    [anon_sym_PIPE] = ACTIONS(5481),
    [anon_sym_CARET] = ACTIONS(5483),
    [anon_sym_AMP] = ACTIONS(5481),
    [anon_sym_EQ_EQ] = ACTIONS(5483),
    [anon_sym_BANG_EQ] = ACTIONS(5483),
    [anon_sym_GT] = ACTIONS(5481),
    [anon_sym_GT_EQ] = ACTIONS(5483),
    [anon_sym_LT_EQ] = ACTIONS(5481),
    [anon_sym_LT] = ACTIONS(5481),
    [anon_sym_LT_LT] = ACTIONS(5483),
    [anon_sym_GT_GT] = ACTIONS(5483),
    [anon_sym_SEMI] = ACTIONS(5483),
    [anon_sym___extension__] = ACTIONS(5481),
    [anon_sym___attribute__] = ACTIONS(5481),
    [anon_sym___based] = ACTIONS(5481),
    [anon_sym_LBRACE] = ACTIONS(5483),
    [anon_sym_RBRACE] = ACTIONS(5483),
    [anon_sym_signed] = ACTIONS(5481),
    [anon_sym_unsigned] = ACTIONS(5481),
    [anon_sym_long] = ACTIONS(5481),
    [anon_sym_short] = ACTIONS(5481),
    [anon_sym_LBRACK] = ACTIONS(5483),
    [anon_sym_RBRACK] = ACTIONS(5483),
    [anon_sym_const] = ACTIONS(5481),
    [anon_sym_constexpr] = ACTIONS(5481),
    [anon_sym_volatile] = ACTIONS(5481),
    [anon_sym_restrict] = ACTIONS(5481),
    [anon_sym___restrict__] = ACTIONS(5481),
    [anon_sym__Atomic] = ACTIONS(5481),
    [anon_sym__Noreturn] = ACTIONS(5481),
    [anon_sym_noreturn] = ACTIONS(5481),
    [anon_sym__Nonnull] = ACTIONS(5481),
    [anon_sym_mutable] = ACTIONS(5481),
    [anon_sym_constinit] = ACTIONS(5481),
    [anon_sym_consteval] = ACTIONS(5481),
    [anon_sym_PROGMEM] = ACTIONS(5481),
    [anon_sym_alignas] = ACTIONS(5481),
    [anon_sym__Alignas] = ACTIONS(5481),
    [aux_sym_primitive_type_token1] = ACTIONS(5481),
    [anon_sym_byte] = ACTIONS(5481),
    [anon_sym_word] = ACTIONS(5481),
    [anon_sym_COLON] = ACTIONS(5483),
    [anon_sym_QMARK] = ACTIONS(5483),
    [anon_sym_LT_EQ_GT] = ACTIONS(5483),
    [anon_sym_or] = ACTIONS(5481),
    [anon_sym_and] = ACTIONS(5481),
    [anon_sym_bitor] = ACTIONS(5481),
    [anon_sym_xor] = ACTIONS(5481),
    [anon_sym_bitand] = ACTIONS(5481),
    [anon_sym_not_eq] = ACTIONS(5481),
    [anon_sym_DASH_DASH] = ACTIONS(5483),
    [anon_sym_PLUS_PLUS] = ACTIONS(5483),
    [anon_sym_DOT] = ACTIONS(5481),
    [anon_sym_DOT_STAR] = ACTIONS(5483),
    [anon_sym_DASH_GT] = ACTIONS(5483),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5481),
    [anon_sym_decltype] = ACTIONS(5481),
    [anon_sym_final] = ACTIONS(5481),
    [anon_sym_override] = ACTIONS(5481),
    [anon_sym_requires] = ACTIONS(5481),
  },
  [1809] = {
    [sym_identifier] = ACTIONS(5481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5483),
    [anon_sym_COMMA] = ACTIONS(5483),
    [anon_sym_RPAREN] = ACTIONS(5483),
    [anon_sym_LPAREN2] = ACTIONS(5483),
    [anon_sym_DASH] = ACTIONS(5481),
    [anon_sym_PLUS] = ACTIONS(5481),
    [anon_sym_STAR] = ACTIONS(5483),
    [anon_sym_SLASH] = ACTIONS(5481),
    [anon_sym_PERCENT] = ACTIONS(5483),
    [anon_sym_PIPE_PIPE] = ACTIONS(5483),
    [anon_sym_AMP_AMP] = ACTIONS(5483),
    [anon_sym_PIPE] = ACTIONS(5481),
    [anon_sym_CARET] = ACTIONS(5483),
    [anon_sym_AMP] = ACTIONS(5481),
    [anon_sym_EQ_EQ] = ACTIONS(5483),
    [anon_sym_BANG_EQ] = ACTIONS(5483),
    [anon_sym_GT] = ACTIONS(5481),
    [anon_sym_GT_EQ] = ACTIONS(5483),
    [anon_sym_LT_EQ] = ACTIONS(5481),
    [anon_sym_LT] = ACTIONS(5481),
    [anon_sym_LT_LT] = ACTIONS(5483),
    [anon_sym_GT_GT] = ACTIONS(5483),
    [anon_sym_SEMI] = ACTIONS(5483),
    [anon_sym___extension__] = ACTIONS(5481),
    [anon_sym___attribute__] = ACTIONS(5481),
    [anon_sym___based] = ACTIONS(5481),
    [anon_sym_LBRACE] = ACTIONS(5483),
    [anon_sym_RBRACE] = ACTIONS(5483),
    [anon_sym_signed] = ACTIONS(5481),
    [anon_sym_unsigned] = ACTIONS(5481),
    [anon_sym_long] = ACTIONS(5481),
    [anon_sym_short] = ACTIONS(5481),
    [anon_sym_LBRACK] = ACTIONS(5483),
    [anon_sym_RBRACK] = ACTIONS(5483),
    [anon_sym_const] = ACTIONS(5481),
    [anon_sym_constexpr] = ACTIONS(5481),
    [anon_sym_volatile] = ACTIONS(5481),
    [anon_sym_restrict] = ACTIONS(5481),
    [anon_sym___restrict__] = ACTIONS(5481),
    [anon_sym__Atomic] = ACTIONS(5481),
    [anon_sym__Noreturn] = ACTIONS(5481),
    [anon_sym_noreturn] = ACTIONS(5481),
    [anon_sym__Nonnull] = ACTIONS(5481),
    [anon_sym_mutable] = ACTIONS(5481),
    [anon_sym_constinit] = ACTIONS(5481),
    [anon_sym_consteval] = ACTIONS(5481),
    [anon_sym_PROGMEM] = ACTIONS(5481),
    [anon_sym_alignas] = ACTIONS(5481),
    [anon_sym__Alignas] = ACTIONS(5481),
    [aux_sym_primitive_type_token1] = ACTIONS(5481),
    [anon_sym_byte] = ACTIONS(5481),
    [anon_sym_word] = ACTIONS(5481),
    [anon_sym_COLON] = ACTIONS(5483),
    [anon_sym_QMARK] = ACTIONS(5483),
    [anon_sym_LT_EQ_GT] = ACTIONS(5483),
    [anon_sym_or] = ACTIONS(5481),
    [anon_sym_and] = ACTIONS(5481),
    [anon_sym_bitor] = ACTIONS(5481),
    [anon_sym_xor] = ACTIONS(5481),
    [anon_sym_bitand] = ACTIONS(5481),
    [anon_sym_not_eq] = ACTIONS(5481),
    [anon_sym_DASH_DASH] = ACTIONS(5483),
    [anon_sym_PLUS_PLUS] = ACTIONS(5483),
    [anon_sym_DOT] = ACTIONS(5481),
    [anon_sym_DOT_STAR] = ACTIONS(5483),
    [anon_sym_DASH_GT] = ACTIONS(5483),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5481),
    [anon_sym_decltype] = ACTIONS(5481),
    [anon_sym_final] = ACTIONS(5481),
    [anon_sym_override] = ACTIONS(5481),
    [anon_sym_requires] = ACTIONS(5481),
  },
  [1810] = {
    [sym_identifier] = ACTIONS(5516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5518),
    [anon_sym_COMMA] = ACTIONS(5518),
    [anon_sym_RPAREN] = ACTIONS(5518),
    [anon_sym_LPAREN2] = ACTIONS(5518),
    [anon_sym_TILDE] = ACTIONS(5518),
    [anon_sym_STAR] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym_SEMI] = ACTIONS(5518),
    [anon_sym___extension__] = ACTIONS(5516),
    [anon_sym_virtual] = ACTIONS(5516),
    [anon_sym_extern] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5516),
    [anon_sym_COLON_COLON] = ACTIONS(5518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5518),
    [anon_sym___declspec] = ACTIONS(5516),
    [anon_sym___based] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(5518),
    [anon_sym_signed] = ACTIONS(5516),
    [anon_sym_unsigned] = ACTIONS(5516),
    [anon_sym_long] = ACTIONS(5516),
    [anon_sym_short] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5516),
    [anon_sym_static] = ACTIONS(5516),
    [anon_sym_EQ] = ACTIONS(5518),
    [anon_sym_register] = ACTIONS(5516),
    [anon_sym_inline] = ACTIONS(5516),
    [anon_sym___inline] = ACTIONS(5516),
    [anon_sym___inline__] = ACTIONS(5516),
    [anon_sym___forceinline] = ACTIONS(5516),
    [anon_sym_thread_local] = ACTIONS(5516),
    [anon_sym___thread] = ACTIONS(5516),
    [anon_sym_const] = ACTIONS(5516),
    [anon_sym_constexpr] = ACTIONS(5516),
    [anon_sym_volatile] = ACTIONS(5516),
    [anon_sym_restrict] = ACTIONS(5516),
    [anon_sym___restrict__] = ACTIONS(5516),
    [anon_sym__Atomic] = ACTIONS(5516),
    [anon_sym__Noreturn] = ACTIONS(5516),
    [anon_sym_noreturn] = ACTIONS(5516),
    [anon_sym__Nonnull] = ACTIONS(5516),
    [anon_sym_mutable] = ACTIONS(5516),
    [anon_sym_constinit] = ACTIONS(5516),
    [anon_sym_consteval] = ACTIONS(5516),
    [anon_sym_PROGMEM] = ACTIONS(5516),
    [anon_sym_alignas] = ACTIONS(5516),
    [anon_sym__Alignas] = ACTIONS(5516),
    [aux_sym_primitive_type_token1] = ACTIONS(5516),
    [anon_sym_byte] = ACTIONS(5516),
    [anon_sym_word] = ACTIONS(5516),
    [anon_sym_enum] = ACTIONS(5516),
    [anon_sym_class] = ACTIONS(5516),
    [anon_sym_struct] = ACTIONS(5516),
    [anon_sym_union] = ACTIONS(5516),
    [anon_sym_asm] = ACTIONS(5516),
    [anon_sym___asm__] = ACTIONS(5516),
    [anon_sym___asm] = ACTIONS(5516),
    [anon_sym_DASH_GT] = ACTIONS(5518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5516),
    [anon_sym_decltype] = ACTIONS(5516),
    [anon_sym_final] = ACTIONS(5516),
    [anon_sym_override] = ACTIONS(5516),
    [anon_sym_explicit] = ACTIONS(5516),
    [anon_sym_typename] = ACTIONS(5516),
    [anon_sym_template] = ACTIONS(5516),
    [anon_sym_GT2] = ACTIONS(5518),
    [anon_sym_operator] = ACTIONS(5516),
    [anon_sym_try] = ACTIONS(5516),
    [anon_sym_noexcept] = ACTIONS(5516),
    [anon_sym_throw] = ACTIONS(5516),
    [anon_sym_requires] = ACTIONS(5516),
  },
  [1811] = {
    [sym_catch_clause] = STATE(1811),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1811),
    [sym_identifier] = ACTIONS(2551),
    [aux_sym_preproc_def_token1] = ACTIONS(2551),
    [aux_sym_preproc_if_token1] = ACTIONS(2551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2551),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2551),
    [sym_preproc_directive] = ACTIONS(2551),
    [anon_sym_LPAREN2] = ACTIONS(2553),
    [anon_sym_TILDE] = ACTIONS(2553),
    [anon_sym_STAR] = ACTIONS(2553),
    [anon_sym_AMP_AMP] = ACTIONS(2553),
    [anon_sym_AMP] = ACTIONS(2551),
    [anon_sym_SEMI] = ACTIONS(2553),
    [anon_sym___extension__] = ACTIONS(2551),
    [anon_sym_typedef] = ACTIONS(2551),
    [anon_sym_virtual] = ACTIONS(2551),
    [anon_sym_extern] = ACTIONS(2551),
    [anon_sym___attribute__] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2553),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2553),
    [anon_sym___declspec] = ACTIONS(2551),
    [anon_sym___based] = ACTIONS(2551),
    [anon_sym_RBRACE] = ACTIONS(2553),
    [anon_sym_signed] = ACTIONS(2551),
    [anon_sym_unsigned] = ACTIONS(2551),
    [anon_sym_long] = ACTIONS(2551),
    [anon_sym_short] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2551),
    [anon_sym_static] = ACTIONS(2551),
    [anon_sym_register] = ACTIONS(2551),
    [anon_sym_inline] = ACTIONS(2551),
    [anon_sym___inline] = ACTIONS(2551),
    [anon_sym___inline__] = ACTIONS(2551),
    [anon_sym___forceinline] = ACTIONS(2551),
    [anon_sym_thread_local] = ACTIONS(2551),
    [anon_sym___thread] = ACTIONS(2551),
    [anon_sym_const] = ACTIONS(2551),
    [anon_sym_constexpr] = ACTIONS(2551),
    [anon_sym_volatile] = ACTIONS(2551),
    [anon_sym_restrict] = ACTIONS(2551),
    [anon_sym___restrict__] = ACTIONS(2551),
    [anon_sym__Atomic] = ACTIONS(2551),
    [anon_sym__Noreturn] = ACTIONS(2551),
    [anon_sym_noreturn] = ACTIONS(2551),
    [anon_sym__Nonnull] = ACTIONS(2551),
    [anon_sym_mutable] = ACTIONS(2551),
    [anon_sym_constinit] = ACTIONS(2551),
    [anon_sym_consteval] = ACTIONS(2551),
    [anon_sym_PROGMEM] = ACTIONS(2551),
    [anon_sym_alignas] = ACTIONS(2551),
    [anon_sym__Alignas] = ACTIONS(2551),
    [aux_sym_primitive_type_token1] = ACTIONS(2551),
    [anon_sym_byte] = ACTIONS(2551),
    [anon_sym_word] = ACTIONS(2551),
    [anon_sym_enum] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2551),
    [anon_sym_struct] = ACTIONS(2551),
    [anon_sym_union] = ACTIONS(2551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2551),
    [anon_sym_decltype] = ACTIONS(2551),
    [anon_sym_explicit] = ACTIONS(2551),
    [anon_sym_typename] = ACTIONS(2551),
    [anon_sym_template] = ACTIONS(2551),
    [anon_sym_operator] = ACTIONS(2551),
    [anon_sym_friend] = ACTIONS(2551),
    [anon_sym_public] = ACTIONS(2551),
    [anon_sym_private] = ACTIONS(2551),
    [anon_sym_protected] = ACTIONS(2551),
    [anon_sym_using] = ACTIONS(2551),
    [anon_sym_static_assert] = ACTIONS(2551),
    [anon_sym_catch] = ACTIONS(5520),
  },
  [1812] = {
    [sym_identifier] = ACTIONS(5523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5525),
    [anon_sym_COMMA] = ACTIONS(5525),
    [anon_sym_RPAREN] = ACTIONS(5525),
    [anon_sym_LPAREN2] = ACTIONS(5525),
    [anon_sym_DASH] = ACTIONS(5523),
    [anon_sym_PLUS] = ACTIONS(5523),
    [anon_sym_STAR] = ACTIONS(5525),
    [anon_sym_SLASH] = ACTIONS(5523),
    [anon_sym_PERCENT] = ACTIONS(5525),
    [anon_sym_PIPE_PIPE] = ACTIONS(5525),
    [anon_sym_AMP_AMP] = ACTIONS(5525),
    [anon_sym_PIPE] = ACTIONS(5523),
    [anon_sym_CARET] = ACTIONS(5525),
    [anon_sym_AMP] = ACTIONS(5523),
    [anon_sym_EQ_EQ] = ACTIONS(5525),
    [anon_sym_BANG_EQ] = ACTIONS(5525),
    [anon_sym_GT] = ACTIONS(5523),
    [anon_sym_GT_EQ] = ACTIONS(5525),
    [anon_sym_LT_EQ] = ACTIONS(5523),
    [anon_sym_LT] = ACTIONS(5523),
    [anon_sym_LT_LT] = ACTIONS(5525),
    [anon_sym_GT_GT] = ACTIONS(5525),
    [anon_sym_SEMI] = ACTIONS(5525),
    [anon_sym___extension__] = ACTIONS(5523),
    [anon_sym___attribute__] = ACTIONS(5523),
    [anon_sym___based] = ACTIONS(5523),
    [anon_sym_LBRACE] = ACTIONS(5525),
    [anon_sym_RBRACE] = ACTIONS(5525),
    [anon_sym_signed] = ACTIONS(5523),
    [anon_sym_unsigned] = ACTIONS(5523),
    [anon_sym_long] = ACTIONS(5523),
    [anon_sym_short] = ACTIONS(5523),
    [anon_sym_LBRACK] = ACTIONS(5525),
    [anon_sym_RBRACK] = ACTIONS(5525),
    [anon_sym_const] = ACTIONS(5523),
    [anon_sym_constexpr] = ACTIONS(5523),
    [anon_sym_volatile] = ACTIONS(5523),
    [anon_sym_restrict] = ACTIONS(5523),
    [anon_sym___restrict__] = ACTIONS(5523),
    [anon_sym__Atomic] = ACTIONS(5523),
    [anon_sym__Noreturn] = ACTIONS(5523),
    [anon_sym_noreturn] = ACTIONS(5523),
    [anon_sym__Nonnull] = ACTIONS(5523),
    [anon_sym_mutable] = ACTIONS(5523),
    [anon_sym_constinit] = ACTIONS(5523),
    [anon_sym_consteval] = ACTIONS(5523),
    [anon_sym_PROGMEM] = ACTIONS(5523),
    [anon_sym_alignas] = ACTIONS(5523),
    [anon_sym__Alignas] = ACTIONS(5523),
    [aux_sym_primitive_type_token1] = ACTIONS(5523),
    [anon_sym_byte] = ACTIONS(5523),
    [anon_sym_word] = ACTIONS(5523),
    [anon_sym_COLON] = ACTIONS(5525),
    [anon_sym_QMARK] = ACTIONS(5525),
    [anon_sym_LT_EQ_GT] = ACTIONS(5525),
    [anon_sym_or] = ACTIONS(5523),
    [anon_sym_and] = ACTIONS(5523),
    [anon_sym_bitor] = ACTIONS(5523),
    [anon_sym_xor] = ACTIONS(5523),
    [anon_sym_bitand] = ACTIONS(5523),
    [anon_sym_not_eq] = ACTIONS(5523),
    [anon_sym_DASH_DASH] = ACTIONS(5525),
    [anon_sym_PLUS_PLUS] = ACTIONS(5525),
    [anon_sym_DOT] = ACTIONS(5523),
    [anon_sym_DOT_STAR] = ACTIONS(5525),
    [anon_sym_DASH_GT] = ACTIONS(5525),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5523),
    [anon_sym_decltype] = ACTIONS(5523),
    [anon_sym_final] = ACTIONS(5523),
    [anon_sym_override] = ACTIONS(5523),
    [anon_sym_requires] = ACTIONS(5523),
  },
  [1813] = {
    [sym_identifier] = ACTIONS(5527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5529),
    [anon_sym_COMMA] = ACTIONS(5529),
    [anon_sym_RPAREN] = ACTIONS(5529),
    [anon_sym_LPAREN2] = ACTIONS(5529),
    [anon_sym_DASH] = ACTIONS(5527),
    [anon_sym_PLUS] = ACTIONS(5527),
    [anon_sym_STAR] = ACTIONS(5529),
    [anon_sym_SLASH] = ACTIONS(5527),
    [anon_sym_PERCENT] = ACTIONS(5529),
    [anon_sym_PIPE_PIPE] = ACTIONS(5529),
    [anon_sym_AMP_AMP] = ACTIONS(5529),
    [anon_sym_PIPE] = ACTIONS(5527),
    [anon_sym_CARET] = ACTIONS(5529),
    [anon_sym_AMP] = ACTIONS(5527),
    [anon_sym_EQ_EQ] = ACTIONS(5529),
    [anon_sym_BANG_EQ] = ACTIONS(5529),
    [anon_sym_GT] = ACTIONS(5527),
    [anon_sym_GT_EQ] = ACTIONS(5529),
    [anon_sym_LT_EQ] = ACTIONS(5527),
    [anon_sym_LT] = ACTIONS(5527),
    [anon_sym_LT_LT] = ACTIONS(5529),
    [anon_sym_GT_GT] = ACTIONS(5529),
    [anon_sym_SEMI] = ACTIONS(5529),
    [anon_sym___extension__] = ACTIONS(5527),
    [anon_sym___attribute__] = ACTIONS(5527),
    [anon_sym___based] = ACTIONS(5527),
    [anon_sym_LBRACE] = ACTIONS(5529),
    [anon_sym_RBRACE] = ACTIONS(5529),
    [anon_sym_signed] = ACTIONS(5527),
    [anon_sym_unsigned] = ACTIONS(5527),
    [anon_sym_long] = ACTIONS(5527),
    [anon_sym_short] = ACTIONS(5527),
    [anon_sym_LBRACK] = ACTIONS(5529),
    [anon_sym_RBRACK] = ACTIONS(5529),
    [anon_sym_const] = ACTIONS(5527),
    [anon_sym_constexpr] = ACTIONS(5527),
    [anon_sym_volatile] = ACTIONS(5527),
    [anon_sym_restrict] = ACTIONS(5527),
    [anon_sym___restrict__] = ACTIONS(5527),
    [anon_sym__Atomic] = ACTIONS(5527),
    [anon_sym__Noreturn] = ACTIONS(5527),
    [anon_sym_noreturn] = ACTIONS(5527),
    [anon_sym__Nonnull] = ACTIONS(5527),
    [anon_sym_mutable] = ACTIONS(5527),
    [anon_sym_constinit] = ACTIONS(5527),
    [anon_sym_consteval] = ACTIONS(5527),
    [anon_sym_PROGMEM] = ACTIONS(5527),
    [anon_sym_alignas] = ACTIONS(5527),
    [anon_sym__Alignas] = ACTIONS(5527),
    [aux_sym_primitive_type_token1] = ACTIONS(5527),
    [anon_sym_byte] = ACTIONS(5527),
    [anon_sym_word] = ACTIONS(5527),
    [anon_sym_COLON] = ACTIONS(5529),
    [anon_sym_QMARK] = ACTIONS(5529),
    [anon_sym_LT_EQ_GT] = ACTIONS(5529),
    [anon_sym_or] = ACTIONS(5527),
    [anon_sym_and] = ACTIONS(5527),
    [anon_sym_bitor] = ACTIONS(5527),
    [anon_sym_xor] = ACTIONS(5527),
    [anon_sym_bitand] = ACTIONS(5527),
    [anon_sym_not_eq] = ACTIONS(5527),
    [anon_sym_DASH_DASH] = ACTIONS(5529),
    [anon_sym_PLUS_PLUS] = ACTIONS(5529),
    [anon_sym_DOT] = ACTIONS(5527),
    [anon_sym_DOT_STAR] = ACTIONS(5529),
    [anon_sym_DASH_GT] = ACTIONS(5529),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5527),
    [anon_sym_decltype] = ACTIONS(5527),
    [anon_sym_final] = ACTIONS(5527),
    [anon_sym_override] = ACTIONS(5527),
    [anon_sym_requires] = ACTIONS(5527),
  },
  [1814] = {
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5339),
    [anon_sym_COMMA] = ACTIONS(5339),
    [anon_sym_RPAREN] = ACTIONS(5339),
    [anon_sym_LPAREN2] = ACTIONS(5339),
    [anon_sym_DASH] = ACTIONS(5337),
    [anon_sym_PLUS] = ACTIONS(5337),
    [anon_sym_STAR] = ACTIONS(5339),
    [anon_sym_SLASH] = ACTIONS(5337),
    [anon_sym_PERCENT] = ACTIONS(5339),
    [anon_sym_PIPE_PIPE] = ACTIONS(5339),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_PIPE] = ACTIONS(5337),
    [anon_sym_CARET] = ACTIONS(5339),
    [anon_sym_AMP] = ACTIONS(5337),
    [anon_sym_EQ_EQ] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5339),
    [anon_sym_GT] = ACTIONS(5337),
    [anon_sym_GT_EQ] = ACTIONS(5339),
    [anon_sym_LT_EQ] = ACTIONS(5337),
    [anon_sym_LT] = ACTIONS(5337),
    [anon_sym_LT_LT] = ACTIONS(5339),
    [anon_sym_GT_GT] = ACTIONS(5339),
    [anon_sym_SEMI] = ACTIONS(5339),
    [anon_sym___extension__] = ACTIONS(5337),
    [anon_sym___attribute__] = ACTIONS(5337),
    [anon_sym___based] = ACTIONS(5337),
    [anon_sym_LBRACE] = ACTIONS(5339),
    [anon_sym_RBRACE] = ACTIONS(5339),
    [anon_sym_signed] = ACTIONS(5337),
    [anon_sym_unsigned] = ACTIONS(5337),
    [anon_sym_long] = ACTIONS(5337),
    [anon_sym_short] = ACTIONS(5337),
    [anon_sym_LBRACK] = ACTIONS(5339),
    [anon_sym_RBRACK] = ACTIONS(5339),
    [anon_sym_const] = ACTIONS(5337),
    [anon_sym_constexpr] = ACTIONS(5337),
    [anon_sym_volatile] = ACTIONS(5337),
    [anon_sym_restrict] = ACTIONS(5337),
    [anon_sym___restrict__] = ACTIONS(5337),
    [anon_sym__Atomic] = ACTIONS(5337),
    [anon_sym__Noreturn] = ACTIONS(5337),
    [anon_sym_noreturn] = ACTIONS(5337),
    [anon_sym__Nonnull] = ACTIONS(5337),
    [anon_sym_mutable] = ACTIONS(5337),
    [anon_sym_constinit] = ACTIONS(5337),
    [anon_sym_consteval] = ACTIONS(5337),
    [anon_sym_PROGMEM] = ACTIONS(5337),
    [anon_sym_alignas] = ACTIONS(5337),
    [anon_sym__Alignas] = ACTIONS(5337),
    [aux_sym_primitive_type_token1] = ACTIONS(5337),
    [anon_sym_byte] = ACTIONS(5337),
    [anon_sym_word] = ACTIONS(5337),
    [anon_sym_COLON] = ACTIONS(5339),
    [anon_sym_QMARK] = ACTIONS(5339),
    [anon_sym_LT_EQ_GT] = ACTIONS(5339),
    [anon_sym_or] = ACTIONS(5337),
    [anon_sym_and] = ACTIONS(5337),
    [anon_sym_bitor] = ACTIONS(5337),
    [anon_sym_xor] = ACTIONS(5337),
    [anon_sym_bitand] = ACTIONS(5337),
    [anon_sym_not_eq] = ACTIONS(5337),
    [anon_sym_DASH_DASH] = ACTIONS(5339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5339),
    [anon_sym_DOT] = ACTIONS(5337),
    [anon_sym_DOT_STAR] = ACTIONS(5339),
    [anon_sym_DASH_GT] = ACTIONS(5339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5337),
    [anon_sym_decltype] = ACTIONS(5337),
    [anon_sym_final] = ACTIONS(5337),
    [anon_sym_override] = ACTIONS(5337),
    [anon_sym_requires] = ACTIONS(5337),
  },
  [1815] = {
    [sym_catch_clause] = STATE(1811),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1811),
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_virtual] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym_RBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_PROGMEM] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [aux_sym_primitive_type_token1] = ACTIONS(2564),
    [anon_sym_byte] = ACTIONS(2564),
    [anon_sym_word] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_friend] = ACTIONS(2564),
    [anon_sym_public] = ACTIONS(2564),
    [anon_sym_private] = ACTIONS(2564),
    [anon_sym_protected] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_catch] = ACTIONS(5448),
  },
  [1816] = {
    [sym_catch_clause] = STATE(1804),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token2] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___based] = ACTIONS(2658),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_PROGMEM] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [aux_sym_primitive_type_token1] = ACTIONS(2658),
    [anon_sym_byte] = ACTIONS(2658),
    [anon_sym_word] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_explicit] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_friend] = ACTIONS(2658),
    [anon_sym_public] = ACTIONS(2658),
    [anon_sym_private] = ACTIONS(2658),
    [anon_sym_protected] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(2658),
    [anon_sym_static_assert] = ACTIONS(2658),
    [anon_sym_catch] = ACTIONS(5432),
  },
  [1817] = {
    [sym_identifier] = ACTIONS(5531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5533),
    [anon_sym_COMMA] = ACTIONS(5533),
    [anon_sym_RPAREN] = ACTIONS(5533),
    [anon_sym_LPAREN2] = ACTIONS(5533),
    [anon_sym_DASH] = ACTIONS(5531),
    [anon_sym_PLUS] = ACTIONS(5531),
    [anon_sym_STAR] = ACTIONS(5533),
    [anon_sym_SLASH] = ACTIONS(5531),
    [anon_sym_PERCENT] = ACTIONS(5533),
    [anon_sym_PIPE_PIPE] = ACTIONS(5533),
    [anon_sym_AMP_AMP] = ACTIONS(5533),
    [anon_sym_PIPE] = ACTIONS(5531),
    [anon_sym_CARET] = ACTIONS(5533),
    [anon_sym_AMP] = ACTIONS(5531),
    [anon_sym_EQ_EQ] = ACTIONS(5533),
    [anon_sym_BANG_EQ] = ACTIONS(5533),
    [anon_sym_GT] = ACTIONS(5531),
    [anon_sym_GT_EQ] = ACTIONS(5533),
    [anon_sym_LT_EQ] = ACTIONS(5531),
    [anon_sym_LT] = ACTIONS(5531),
    [anon_sym_LT_LT] = ACTIONS(5533),
    [anon_sym_GT_GT] = ACTIONS(5533),
    [anon_sym_SEMI] = ACTIONS(5533),
    [anon_sym___extension__] = ACTIONS(5531),
    [anon_sym___attribute__] = ACTIONS(5531),
    [anon_sym___based] = ACTIONS(5531),
    [anon_sym_LBRACE] = ACTIONS(5533),
    [anon_sym_RBRACE] = ACTIONS(5533),
    [anon_sym_signed] = ACTIONS(5531),
    [anon_sym_unsigned] = ACTIONS(5531),
    [anon_sym_long] = ACTIONS(5531),
    [anon_sym_short] = ACTIONS(5531),
    [anon_sym_LBRACK] = ACTIONS(5533),
    [anon_sym_RBRACK] = ACTIONS(5533),
    [anon_sym_const] = ACTIONS(5531),
    [anon_sym_constexpr] = ACTIONS(5531),
    [anon_sym_volatile] = ACTIONS(5531),
    [anon_sym_restrict] = ACTIONS(5531),
    [anon_sym___restrict__] = ACTIONS(5531),
    [anon_sym__Atomic] = ACTIONS(5531),
    [anon_sym__Noreturn] = ACTIONS(5531),
    [anon_sym_noreturn] = ACTIONS(5531),
    [anon_sym__Nonnull] = ACTIONS(5531),
    [anon_sym_mutable] = ACTIONS(5531),
    [anon_sym_constinit] = ACTIONS(5531),
    [anon_sym_consteval] = ACTIONS(5531),
    [anon_sym_PROGMEM] = ACTIONS(5531),
    [anon_sym_alignas] = ACTIONS(5531),
    [anon_sym__Alignas] = ACTIONS(5531),
    [aux_sym_primitive_type_token1] = ACTIONS(5531),
    [anon_sym_byte] = ACTIONS(5531),
    [anon_sym_word] = ACTIONS(5531),
    [anon_sym_COLON] = ACTIONS(5533),
    [anon_sym_QMARK] = ACTIONS(5533),
    [anon_sym_LT_EQ_GT] = ACTIONS(5533),
    [anon_sym_or] = ACTIONS(5531),
    [anon_sym_and] = ACTIONS(5531),
    [anon_sym_bitor] = ACTIONS(5531),
    [anon_sym_xor] = ACTIONS(5531),
    [anon_sym_bitand] = ACTIONS(5531),
    [anon_sym_not_eq] = ACTIONS(5531),
    [anon_sym_DASH_DASH] = ACTIONS(5533),
    [anon_sym_PLUS_PLUS] = ACTIONS(5533),
    [anon_sym_DOT] = ACTIONS(5531),
    [anon_sym_DOT_STAR] = ACTIONS(5533),
    [anon_sym_DASH_GT] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5531),
    [anon_sym_decltype] = ACTIONS(5531),
    [anon_sym_final] = ACTIONS(5531),
    [anon_sym_override] = ACTIONS(5531),
    [anon_sym_requires] = ACTIONS(5531),
  },
  [1818] = {
    [sym_identifier] = ACTIONS(5535),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5537),
    [anon_sym_COMMA] = ACTIONS(5537),
    [anon_sym_RPAREN] = ACTIONS(5537),
    [aux_sym_preproc_if_token2] = ACTIONS(5537),
    [aux_sym_preproc_else_token1] = ACTIONS(5537),
    [aux_sym_preproc_elif_token1] = ACTIONS(5535),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5537),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5537),
    [anon_sym_LPAREN2] = ACTIONS(5537),
    [anon_sym_DASH] = ACTIONS(5535),
    [anon_sym_PLUS] = ACTIONS(5535),
    [anon_sym_STAR] = ACTIONS(5535),
    [anon_sym_SLASH] = ACTIONS(5535),
    [anon_sym_PERCENT] = ACTIONS(5535),
    [anon_sym_PIPE_PIPE] = ACTIONS(5537),
    [anon_sym_AMP_AMP] = ACTIONS(5537),
    [anon_sym_PIPE] = ACTIONS(5535),
    [anon_sym_CARET] = ACTIONS(5535),
    [anon_sym_AMP] = ACTIONS(5535),
    [anon_sym_EQ_EQ] = ACTIONS(5537),
    [anon_sym_BANG_EQ] = ACTIONS(5537),
    [anon_sym_GT] = ACTIONS(5535),
    [anon_sym_GT_EQ] = ACTIONS(5537),
    [anon_sym_LT_EQ] = ACTIONS(5535),
    [anon_sym_LT] = ACTIONS(5535),
    [anon_sym_LT_LT] = ACTIONS(5535),
    [anon_sym_GT_GT] = ACTIONS(5535),
    [anon_sym_SEMI] = ACTIONS(5537),
    [anon_sym_RBRACE] = ACTIONS(5537),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym_RBRACK] = ACTIONS(5537),
    [anon_sym_EQ] = ACTIONS(5535),
    [anon_sym_COLON] = ACTIONS(5537),
    [anon_sym_QMARK] = ACTIONS(5537),
    [anon_sym_STAR_EQ] = ACTIONS(5537),
    [anon_sym_SLASH_EQ] = ACTIONS(5537),
    [anon_sym_PERCENT_EQ] = ACTIONS(5537),
    [anon_sym_PLUS_EQ] = ACTIONS(5537),
    [anon_sym_DASH_EQ] = ACTIONS(5537),
    [anon_sym_LT_LT_EQ] = ACTIONS(5537),
    [anon_sym_GT_GT_EQ] = ACTIONS(5537),
    [anon_sym_AMP_EQ] = ACTIONS(5537),
    [anon_sym_CARET_EQ] = ACTIONS(5537),
    [anon_sym_PIPE_EQ] = ACTIONS(5537),
    [anon_sym_and_eq] = ACTIONS(5535),
    [anon_sym_or_eq] = ACTIONS(5535),
    [anon_sym_xor_eq] = ACTIONS(5535),
    [anon_sym_LT_EQ_GT] = ACTIONS(5537),
    [anon_sym_or] = ACTIONS(5535),
    [anon_sym_and] = ACTIONS(5535),
    [anon_sym_bitor] = ACTIONS(5535),
    [anon_sym_xor] = ACTIONS(5535),
    [anon_sym_bitand] = ACTIONS(5535),
    [anon_sym_not_eq] = ACTIONS(5535),
    [anon_sym_DASH_DASH] = ACTIONS(5537),
    [anon_sym_PLUS_PLUS] = ACTIONS(5537),
    [anon_sym_DOT] = ACTIONS(5535),
    [anon_sym_DOT_STAR] = ACTIONS(5537),
    [anon_sym_DASH_GT] = ACTIONS(5537),
    [anon_sym_L_DQUOTE] = ACTIONS(5537),
    [anon_sym_u_DQUOTE] = ACTIONS(5537),
    [anon_sym_U_DQUOTE] = ACTIONS(5537),
    [anon_sym_u8_DQUOTE] = ACTIONS(5537),
    [anon_sym_DQUOTE] = ACTIONS(5537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5537),
    [anon_sym_LR_DQUOTE] = ACTIONS(5537),
    [anon_sym_uR_DQUOTE] = ACTIONS(5537),
    [anon_sym_UR_DQUOTE] = ACTIONS(5537),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5537),
    [sym_literal_suffix] = ACTIONS(5535),
  },
  [1819] = {
    [sym__declaration_modifiers] = STATE(3251),
    [sym_attribute_specifier] = STATE(3251),
    [sym_attribute_declaration] = STATE(3251),
    [sym_ms_declspec_modifier] = STATE(3251),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5970),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(3251),
    [sym_type_qualifier] = STATE(3251),
    [sym_alignas_qualifier] = STATE(2951),
    [sym_decltype] = STATE(8169),
    [sym_explicit_function_specifier] = STATE(3251),
    [sym_operator_cast] = STATE(6377),
    [sym__constructor_specifiers] = STATE(3251),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5366),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_operator_cast_identifier] = STATE(6377),
    [sym_operator_name] = STATE(5932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3251),
    [sym_identifier] = ACTIONS(5539),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5543),
    [anon_sym_extern] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5547),
    [anon_sym_COLON_COLON] = ACTIONS(5549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5551),
    [anon_sym___declspec] = ACTIONS(5553),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5545),
    [anon_sym_register] = ACTIONS(5545),
    [anon_sym_inline] = ACTIONS(5545),
    [anon_sym___inline] = ACTIONS(5545),
    [anon_sym___inline__] = ACTIONS(5545),
    [anon_sym___forceinline] = ACTIONS(5545),
    [anon_sym_thread_local] = ACTIONS(5545),
    [anon_sym___thread] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5541),
    [anon_sym_constexpr] = ACTIONS(5541),
    [anon_sym_volatile] = ACTIONS(5541),
    [anon_sym_restrict] = ACTIONS(5541),
    [anon_sym___restrict__] = ACTIONS(5541),
    [anon_sym__Atomic] = ACTIONS(5541),
    [anon_sym__Noreturn] = ACTIONS(5541),
    [anon_sym_noreturn] = ACTIONS(5541),
    [anon_sym__Nonnull] = ACTIONS(5541),
    [anon_sym_mutable] = ACTIONS(5541),
    [anon_sym_constinit] = ACTIONS(5541),
    [anon_sym_consteval] = ACTIONS(5541),
    [anon_sym_PROGMEM] = ACTIONS(5541),
    [anon_sym_alignas] = ACTIONS(5555),
    [anon_sym__Alignas] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1820] = {
    [sym__declaration_modifiers] = STATE(3251),
    [sym_attribute_specifier] = STATE(3251),
    [sym_attribute_declaration] = STATE(3251),
    [sym_ms_declspec_modifier] = STATE(3251),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5831),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(3251),
    [sym_type_qualifier] = STATE(3251),
    [sym_alignas_qualifier] = STATE(2951),
    [sym_decltype] = STATE(8169),
    [sym_explicit_function_specifier] = STATE(3251),
    [sym_operator_cast] = STATE(6347),
    [sym__constructor_specifiers] = STATE(3251),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5366),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_operator_cast_identifier] = STATE(6347),
    [sym_operator_name] = STATE(5932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3251),
    [sym_identifier] = ACTIONS(5539),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5543),
    [anon_sym_extern] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5547),
    [anon_sym_COLON_COLON] = ACTIONS(5549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5551),
    [anon_sym___declspec] = ACTIONS(5553),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5545),
    [anon_sym_register] = ACTIONS(5545),
    [anon_sym_inline] = ACTIONS(5545),
    [anon_sym___inline] = ACTIONS(5545),
    [anon_sym___inline__] = ACTIONS(5545),
    [anon_sym___forceinline] = ACTIONS(5545),
    [anon_sym_thread_local] = ACTIONS(5545),
    [anon_sym___thread] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5541),
    [anon_sym_constexpr] = ACTIONS(5541),
    [anon_sym_volatile] = ACTIONS(5541),
    [anon_sym_restrict] = ACTIONS(5541),
    [anon_sym___restrict__] = ACTIONS(5541),
    [anon_sym__Atomic] = ACTIONS(5541),
    [anon_sym__Noreturn] = ACTIONS(5541),
    [anon_sym_noreturn] = ACTIONS(5541),
    [anon_sym__Nonnull] = ACTIONS(5541),
    [anon_sym_mutable] = ACTIONS(5541),
    [anon_sym_constinit] = ACTIONS(5541),
    [anon_sym_consteval] = ACTIONS(5541),
    [anon_sym_PROGMEM] = ACTIONS(5541),
    [anon_sym_alignas] = ACTIONS(5555),
    [anon_sym__Alignas] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1821] = {
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4632),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4982),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1822] = {
    [sym__declaration_modifiers] = STATE(3251),
    [sym_attribute_specifier] = STATE(3251),
    [sym_attribute_declaration] = STATE(3251),
    [sym_ms_declspec_modifier] = STATE(3251),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5857),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(3251),
    [sym_type_qualifier] = STATE(3251),
    [sym_alignas_qualifier] = STATE(2951),
    [sym_decltype] = STATE(8169),
    [sym_explicit_function_specifier] = STATE(3251),
    [sym_operator_cast] = STATE(6377),
    [sym__constructor_specifiers] = STATE(3251),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5366),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_operator_cast_identifier] = STATE(6377),
    [sym_operator_name] = STATE(5932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3251),
    [sym_identifier] = ACTIONS(5539),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5543),
    [anon_sym_extern] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5547),
    [anon_sym_COLON_COLON] = ACTIONS(5549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5551),
    [anon_sym___declspec] = ACTIONS(5553),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5545),
    [anon_sym_register] = ACTIONS(5545),
    [anon_sym_inline] = ACTIONS(5545),
    [anon_sym___inline] = ACTIONS(5545),
    [anon_sym___inline__] = ACTIONS(5545),
    [anon_sym___forceinline] = ACTIONS(5545),
    [anon_sym_thread_local] = ACTIONS(5545),
    [anon_sym___thread] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5541),
    [anon_sym_constexpr] = ACTIONS(5541),
    [anon_sym_volatile] = ACTIONS(5541),
    [anon_sym_restrict] = ACTIONS(5541),
    [anon_sym___restrict__] = ACTIONS(5541),
    [anon_sym__Atomic] = ACTIONS(5541),
    [anon_sym__Noreturn] = ACTIONS(5541),
    [anon_sym_noreturn] = ACTIONS(5541),
    [anon_sym__Nonnull] = ACTIONS(5541),
    [anon_sym_mutable] = ACTIONS(5541),
    [anon_sym_constinit] = ACTIONS(5541),
    [anon_sym_consteval] = ACTIONS(5541),
    [anon_sym_PROGMEM] = ACTIONS(5541),
    [anon_sym_alignas] = ACTIONS(5555),
    [anon_sym__Alignas] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1823] = {
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4652),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4982),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1824] = {
    [sym__declaration_modifiers] = STATE(3251),
    [sym_attribute_specifier] = STATE(3251),
    [sym_attribute_declaration] = STATE(3251),
    [sym_ms_declspec_modifier] = STATE(3251),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5882),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(3251),
    [sym_type_qualifier] = STATE(3251),
    [sym_alignas_qualifier] = STATE(2951),
    [sym_decltype] = STATE(8169),
    [sym_explicit_function_specifier] = STATE(3251),
    [sym_operator_cast] = STATE(6357),
    [sym__constructor_specifiers] = STATE(3251),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5366),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_operator_cast_identifier] = STATE(6357),
    [sym_operator_name] = STATE(5932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3251),
    [sym_identifier] = ACTIONS(5539),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5543),
    [anon_sym_extern] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5547),
    [anon_sym_COLON_COLON] = ACTIONS(5549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5551),
    [anon_sym___declspec] = ACTIONS(5553),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5545),
    [anon_sym_register] = ACTIONS(5545),
    [anon_sym_inline] = ACTIONS(5545),
    [anon_sym___inline] = ACTIONS(5545),
    [anon_sym___inline__] = ACTIONS(5545),
    [anon_sym___forceinline] = ACTIONS(5545),
    [anon_sym_thread_local] = ACTIONS(5545),
    [anon_sym___thread] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5541),
    [anon_sym_constexpr] = ACTIONS(5541),
    [anon_sym_volatile] = ACTIONS(5541),
    [anon_sym_restrict] = ACTIONS(5541),
    [anon_sym___restrict__] = ACTIONS(5541),
    [anon_sym__Atomic] = ACTIONS(5541),
    [anon_sym__Noreturn] = ACTIONS(5541),
    [anon_sym_noreturn] = ACTIONS(5541),
    [anon_sym__Nonnull] = ACTIONS(5541),
    [anon_sym_mutable] = ACTIONS(5541),
    [anon_sym_constinit] = ACTIONS(5541),
    [anon_sym_consteval] = ACTIONS(5541),
    [anon_sym_PROGMEM] = ACTIONS(5541),
    [anon_sym_alignas] = ACTIONS(5555),
    [anon_sym__Alignas] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1825] = {
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4637),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4982),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1826] = {
    [sym__declaration_modifiers] = STATE(3251),
    [sym_attribute_specifier] = STATE(3251),
    [sym_attribute_declaration] = STATE(3251),
    [sym_ms_declspec_modifier] = STATE(3251),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5950),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(3251),
    [sym_type_qualifier] = STATE(3251),
    [sym_alignas_qualifier] = STATE(2951),
    [sym_decltype] = STATE(8169),
    [sym_explicit_function_specifier] = STATE(3251),
    [sym_operator_cast] = STATE(6361),
    [sym__constructor_specifiers] = STATE(3251),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5366),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3251),
    [sym_identifier] = ACTIONS(5539),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5543),
    [anon_sym_extern] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5547),
    [anon_sym_COLON_COLON] = ACTIONS(5549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5551),
    [anon_sym___declspec] = ACTIONS(5553),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5545),
    [anon_sym_register] = ACTIONS(5545),
    [anon_sym_inline] = ACTIONS(5545),
    [anon_sym___inline] = ACTIONS(5545),
    [anon_sym___inline__] = ACTIONS(5545),
    [anon_sym___forceinline] = ACTIONS(5545),
    [anon_sym_thread_local] = ACTIONS(5545),
    [anon_sym___thread] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5541),
    [anon_sym_constexpr] = ACTIONS(5541),
    [anon_sym_volatile] = ACTIONS(5541),
    [anon_sym_restrict] = ACTIONS(5541),
    [anon_sym___restrict__] = ACTIONS(5541),
    [anon_sym__Atomic] = ACTIONS(5541),
    [anon_sym__Noreturn] = ACTIONS(5541),
    [anon_sym_noreturn] = ACTIONS(5541),
    [anon_sym__Nonnull] = ACTIONS(5541),
    [anon_sym_mutable] = ACTIONS(5541),
    [anon_sym_constinit] = ACTIONS(5541),
    [anon_sym_consteval] = ACTIONS(5541),
    [anon_sym_PROGMEM] = ACTIONS(5541),
    [anon_sym_alignas] = ACTIONS(5555),
    [anon_sym__Alignas] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1827] = {
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4643),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4982),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1828] = {
    [sym__declaration_modifiers] = STATE(3251),
    [sym_attribute_specifier] = STATE(3251),
    [sym_attribute_declaration] = STATE(3251),
    [sym_ms_declspec_modifier] = STATE(3251),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5856),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(3251),
    [sym_type_qualifier] = STATE(3251),
    [sym_alignas_qualifier] = STATE(2951),
    [sym_decltype] = STATE(8169),
    [sym_explicit_function_specifier] = STATE(3251),
    [sym_operator_cast] = STATE(6361),
    [sym__constructor_specifiers] = STATE(3251),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5366),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3251),
    [sym_identifier] = ACTIONS(5539),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5543),
    [anon_sym_extern] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5547),
    [anon_sym_COLON_COLON] = ACTIONS(5549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5551),
    [anon_sym___declspec] = ACTIONS(5553),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5545),
    [anon_sym_register] = ACTIONS(5545),
    [anon_sym_inline] = ACTIONS(5545),
    [anon_sym___inline] = ACTIONS(5545),
    [anon_sym___inline__] = ACTIONS(5545),
    [anon_sym___forceinline] = ACTIONS(5545),
    [anon_sym_thread_local] = ACTIONS(5545),
    [anon_sym___thread] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5541),
    [anon_sym_constexpr] = ACTIONS(5541),
    [anon_sym_volatile] = ACTIONS(5541),
    [anon_sym_restrict] = ACTIONS(5541),
    [anon_sym___restrict__] = ACTIONS(5541),
    [anon_sym__Atomic] = ACTIONS(5541),
    [anon_sym__Noreturn] = ACTIONS(5541),
    [anon_sym_noreturn] = ACTIONS(5541),
    [anon_sym__Nonnull] = ACTIONS(5541),
    [anon_sym_mutable] = ACTIONS(5541),
    [anon_sym_constinit] = ACTIONS(5541),
    [anon_sym_consteval] = ACTIONS(5541),
    [anon_sym_PROGMEM] = ACTIONS(5541),
    [anon_sym_alignas] = ACTIONS(5555),
    [anon_sym__Alignas] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1829] = {
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(5064),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4982),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1830] = {
    [sym__declaration_modifiers] = STATE(3251),
    [sym_attribute_specifier] = STATE(3251),
    [sym_attribute_declaration] = STATE(3251),
    [sym_ms_declspec_modifier] = STATE(3251),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5877),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(3251),
    [sym_type_qualifier] = STATE(3251),
    [sym_alignas_qualifier] = STATE(2951),
    [sym_decltype] = STATE(8169),
    [sym_explicit_function_specifier] = STATE(3251),
    [sym_operator_cast] = STATE(6383),
    [sym__constructor_specifiers] = STATE(3251),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5366),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_operator_cast_identifier] = STATE(6383),
    [sym_operator_name] = STATE(5932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3251),
    [sym_identifier] = ACTIONS(5539),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5543),
    [anon_sym_extern] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5547),
    [anon_sym_COLON_COLON] = ACTIONS(5549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5551),
    [anon_sym___declspec] = ACTIONS(5553),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5545),
    [anon_sym_register] = ACTIONS(5545),
    [anon_sym_inline] = ACTIONS(5545),
    [anon_sym___inline] = ACTIONS(5545),
    [anon_sym___inline__] = ACTIONS(5545),
    [anon_sym___forceinline] = ACTIONS(5545),
    [anon_sym_thread_local] = ACTIONS(5545),
    [anon_sym___thread] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5541),
    [anon_sym_constexpr] = ACTIONS(5541),
    [anon_sym_volatile] = ACTIONS(5541),
    [anon_sym_restrict] = ACTIONS(5541),
    [anon_sym___restrict__] = ACTIONS(5541),
    [anon_sym__Atomic] = ACTIONS(5541),
    [anon_sym__Noreturn] = ACTIONS(5541),
    [anon_sym_noreturn] = ACTIONS(5541),
    [anon_sym__Nonnull] = ACTIONS(5541),
    [anon_sym_mutable] = ACTIONS(5541),
    [anon_sym_constinit] = ACTIONS(5541),
    [anon_sym_consteval] = ACTIONS(5541),
    [anon_sym_PROGMEM] = ACTIONS(5541),
    [anon_sym_alignas] = ACTIONS(5555),
    [anon_sym__Alignas] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1831] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4931),
    [anon_sym_COMMA] = ACTIONS(4931),
    [anon_sym_RPAREN] = ACTIONS(4933),
    [anon_sym_LPAREN2] = ACTIONS(4933),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4940),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4938),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4933),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4938),
    [anon_sym_GT_GT] = ACTIONS(4938),
    [anon_sym___extension__] = ACTIONS(4936),
    [anon_sym_COLON_COLON] = ACTIONS(4936),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_LBRACK] = ACTIONS(4933),
    [anon_sym_EQ] = ACTIONS(4938),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4936),
    [anon_sym_volatile] = ACTIONS(4936),
    [anon_sym_restrict] = ACTIONS(4936),
    [anon_sym___restrict__] = ACTIONS(4936),
    [anon_sym__Atomic] = ACTIONS(4936),
    [anon_sym__Noreturn] = ACTIONS(4936),
    [anon_sym_noreturn] = ACTIONS(4936),
    [anon_sym__Nonnull] = ACTIONS(4936),
    [anon_sym_mutable] = ACTIONS(4936),
    [anon_sym_constinit] = ACTIONS(4936),
    [anon_sym_consteval] = ACTIONS(4936),
    [anon_sym_PROGMEM] = ACTIONS(4936),
    [anon_sym_alignas] = ACTIONS(4936),
    [anon_sym__Alignas] = ACTIONS(4936),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_STAR_EQ] = ACTIONS(4931),
    [anon_sym_SLASH_EQ] = ACTIONS(4931),
    [anon_sym_PERCENT_EQ] = ACTIONS(4931),
    [anon_sym_PLUS_EQ] = ACTIONS(4931),
    [anon_sym_DASH_EQ] = ACTIONS(4931),
    [anon_sym_LT_LT_EQ] = ACTIONS(4931),
    [anon_sym_GT_GT_EQ] = ACTIONS(4931),
    [anon_sym_AMP_EQ] = ACTIONS(4931),
    [anon_sym_CARET_EQ] = ACTIONS(4931),
    [anon_sym_PIPE_EQ] = ACTIONS(4931),
    [anon_sym_and_eq] = ACTIONS(4931),
    [anon_sym_or_eq] = ACTIONS(4931),
    [anon_sym_xor_eq] = ACTIONS(4931),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4931),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4931),
    [anon_sym_not_eq] = ACTIONS(4931),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4936),
    [anon_sym_decltype] = ACTIONS(4936),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4931),
  },
  [1832] = {
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4681),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4982),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1833] = {
    [sym_identifier] = ACTIONS(5557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5559),
    [anon_sym_COMMA] = ACTIONS(5559),
    [anon_sym_RPAREN] = ACTIONS(5559),
    [aux_sym_preproc_if_token2] = ACTIONS(5559),
    [aux_sym_preproc_else_token1] = ACTIONS(5559),
    [aux_sym_preproc_elif_token1] = ACTIONS(5557),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5559),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5559),
    [anon_sym_LPAREN2] = ACTIONS(5559),
    [anon_sym_DASH] = ACTIONS(5557),
    [anon_sym_PLUS] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5557),
    [anon_sym_SLASH] = ACTIONS(5557),
    [anon_sym_PERCENT] = ACTIONS(5557),
    [anon_sym_PIPE_PIPE] = ACTIONS(5559),
    [anon_sym_AMP_AMP] = ACTIONS(5559),
    [anon_sym_PIPE] = ACTIONS(5557),
    [anon_sym_CARET] = ACTIONS(5557),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_EQ_EQ] = ACTIONS(5559),
    [anon_sym_BANG_EQ] = ACTIONS(5559),
    [anon_sym_GT] = ACTIONS(5557),
    [anon_sym_GT_EQ] = ACTIONS(5559),
    [anon_sym_LT_EQ] = ACTIONS(5557),
    [anon_sym_LT] = ACTIONS(5557),
    [anon_sym_LT_LT] = ACTIONS(5557),
    [anon_sym_GT_GT] = ACTIONS(5557),
    [anon_sym_SEMI] = ACTIONS(5559),
    [anon_sym_RBRACE] = ACTIONS(5559),
    [anon_sym_LBRACK] = ACTIONS(5559),
    [anon_sym_RBRACK] = ACTIONS(5559),
    [anon_sym_EQ] = ACTIONS(5557),
    [anon_sym_COLON] = ACTIONS(5559),
    [anon_sym_QMARK] = ACTIONS(5559),
    [anon_sym_STAR_EQ] = ACTIONS(5559),
    [anon_sym_SLASH_EQ] = ACTIONS(5559),
    [anon_sym_PERCENT_EQ] = ACTIONS(5559),
    [anon_sym_PLUS_EQ] = ACTIONS(5559),
    [anon_sym_DASH_EQ] = ACTIONS(5559),
    [anon_sym_LT_LT_EQ] = ACTIONS(5559),
    [anon_sym_GT_GT_EQ] = ACTIONS(5559),
    [anon_sym_AMP_EQ] = ACTIONS(5559),
    [anon_sym_CARET_EQ] = ACTIONS(5559),
    [anon_sym_PIPE_EQ] = ACTIONS(5559),
    [anon_sym_and_eq] = ACTIONS(5557),
    [anon_sym_or_eq] = ACTIONS(5557),
    [anon_sym_xor_eq] = ACTIONS(5557),
    [anon_sym_LT_EQ_GT] = ACTIONS(5559),
    [anon_sym_or] = ACTIONS(5557),
    [anon_sym_and] = ACTIONS(5557),
    [anon_sym_bitor] = ACTIONS(5557),
    [anon_sym_xor] = ACTIONS(5557),
    [anon_sym_bitand] = ACTIONS(5557),
    [anon_sym_not_eq] = ACTIONS(5557),
    [anon_sym_DASH_DASH] = ACTIONS(5559),
    [anon_sym_PLUS_PLUS] = ACTIONS(5559),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_DOT_STAR] = ACTIONS(5559),
    [anon_sym_DASH_GT] = ACTIONS(5559),
    [anon_sym_L_DQUOTE] = ACTIONS(5559),
    [anon_sym_u_DQUOTE] = ACTIONS(5559),
    [anon_sym_U_DQUOTE] = ACTIONS(5559),
    [anon_sym_u8_DQUOTE] = ACTIONS(5559),
    [anon_sym_DQUOTE] = ACTIONS(5559),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5559),
    [anon_sym_LR_DQUOTE] = ACTIONS(5559),
    [anon_sym_uR_DQUOTE] = ACTIONS(5559),
    [anon_sym_UR_DQUOTE] = ACTIONS(5559),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5559),
    [sym_literal_suffix] = ACTIONS(5557),
  },
  [1834] = {
    [sym__declaration_modifiers] = STATE(3251),
    [sym_attribute_specifier] = STATE(3251),
    [sym_attribute_declaration] = STATE(3251),
    [sym_ms_declspec_modifier] = STATE(3251),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(3251),
    [sym_type_qualifier] = STATE(3251),
    [sym_alignas_qualifier] = STATE(2951),
    [sym_decltype] = STATE(8169),
    [sym_explicit_function_specifier] = STATE(3251),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(3251),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5366),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3251),
    [sym_identifier] = ACTIONS(5539),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5543),
    [anon_sym_extern] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5547),
    [anon_sym_COLON_COLON] = ACTIONS(5549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5551),
    [anon_sym___declspec] = ACTIONS(5553),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5545),
    [anon_sym_register] = ACTIONS(5545),
    [anon_sym_inline] = ACTIONS(5545),
    [anon_sym___inline] = ACTIONS(5545),
    [anon_sym___inline__] = ACTIONS(5545),
    [anon_sym___forceinline] = ACTIONS(5545),
    [anon_sym_thread_local] = ACTIONS(5545),
    [anon_sym___thread] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5541),
    [anon_sym_constexpr] = ACTIONS(5541),
    [anon_sym_volatile] = ACTIONS(5541),
    [anon_sym_restrict] = ACTIONS(5541),
    [anon_sym___restrict__] = ACTIONS(5541),
    [anon_sym__Atomic] = ACTIONS(5541),
    [anon_sym__Noreturn] = ACTIONS(5541),
    [anon_sym_noreturn] = ACTIONS(5541),
    [anon_sym__Nonnull] = ACTIONS(5541),
    [anon_sym_mutable] = ACTIONS(5541),
    [anon_sym_constinit] = ACTIONS(5541),
    [anon_sym_consteval] = ACTIONS(5541),
    [anon_sym_PROGMEM] = ACTIONS(5541),
    [anon_sym_alignas] = ACTIONS(5555),
    [anon_sym__Alignas] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1835] = {
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4629),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4982),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1836] = {
    [sym__declaration_modifiers] = STATE(3251),
    [sym_attribute_specifier] = STATE(3251),
    [sym_attribute_declaration] = STATE(3251),
    [sym_ms_declspec_modifier] = STATE(3251),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5997),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(3251),
    [sym_type_qualifier] = STATE(3251),
    [sym_alignas_qualifier] = STATE(2951),
    [sym_decltype] = STATE(8169),
    [sym_explicit_function_specifier] = STATE(3251),
    [sym_operator_cast] = STATE(6383),
    [sym__constructor_specifiers] = STATE(3251),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5366),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_operator_cast_identifier] = STATE(6383),
    [sym_operator_name] = STATE(5932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3251),
    [sym_identifier] = ACTIONS(5539),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5543),
    [anon_sym_extern] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5547),
    [anon_sym_COLON_COLON] = ACTIONS(5549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5551),
    [anon_sym___declspec] = ACTIONS(5553),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5545),
    [anon_sym_register] = ACTIONS(5545),
    [anon_sym_inline] = ACTIONS(5545),
    [anon_sym___inline] = ACTIONS(5545),
    [anon_sym___inline__] = ACTIONS(5545),
    [anon_sym___forceinline] = ACTIONS(5545),
    [anon_sym_thread_local] = ACTIONS(5545),
    [anon_sym___thread] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5541),
    [anon_sym_constexpr] = ACTIONS(5541),
    [anon_sym_volatile] = ACTIONS(5541),
    [anon_sym_restrict] = ACTIONS(5541),
    [anon_sym___restrict__] = ACTIONS(5541),
    [anon_sym__Atomic] = ACTIONS(5541),
    [anon_sym__Noreturn] = ACTIONS(5541),
    [anon_sym_noreturn] = ACTIONS(5541),
    [anon_sym__Nonnull] = ACTIONS(5541),
    [anon_sym_mutable] = ACTIONS(5541),
    [anon_sym_constinit] = ACTIONS(5541),
    [anon_sym_consteval] = ACTIONS(5541),
    [anon_sym_PROGMEM] = ACTIONS(5541),
    [anon_sym_alignas] = ACTIONS(5555),
    [anon_sym__Alignas] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1837] = {
    [sym__declaration_modifiers] = STATE(3251),
    [sym_attribute_specifier] = STATE(3251),
    [sym_attribute_declaration] = STATE(3251),
    [sym_ms_declspec_modifier] = STATE(3251),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5830),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(3251),
    [sym_type_qualifier] = STATE(3251),
    [sym_alignas_qualifier] = STATE(2951),
    [sym_decltype] = STATE(8169),
    [sym_explicit_function_specifier] = STATE(3251),
    [sym_operator_cast] = STATE(6344),
    [sym__constructor_specifiers] = STATE(3251),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5366),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3251),
    [sym_identifier] = ACTIONS(5539),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5543),
    [anon_sym_extern] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5547),
    [anon_sym_COLON_COLON] = ACTIONS(5549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5551),
    [anon_sym___declspec] = ACTIONS(5553),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5545),
    [anon_sym_register] = ACTIONS(5545),
    [anon_sym_inline] = ACTIONS(5545),
    [anon_sym___inline] = ACTIONS(5545),
    [anon_sym___inline__] = ACTIONS(5545),
    [anon_sym___forceinline] = ACTIONS(5545),
    [anon_sym_thread_local] = ACTIONS(5545),
    [anon_sym___thread] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5541),
    [anon_sym_constexpr] = ACTIONS(5541),
    [anon_sym_volatile] = ACTIONS(5541),
    [anon_sym_restrict] = ACTIONS(5541),
    [anon_sym___restrict__] = ACTIONS(5541),
    [anon_sym__Atomic] = ACTIONS(5541),
    [anon_sym__Noreturn] = ACTIONS(5541),
    [anon_sym_noreturn] = ACTIONS(5541),
    [anon_sym__Nonnull] = ACTIONS(5541),
    [anon_sym_mutable] = ACTIONS(5541),
    [anon_sym_constinit] = ACTIONS(5541),
    [anon_sym_consteval] = ACTIONS(5541),
    [anon_sym_PROGMEM] = ACTIONS(5541),
    [anon_sym_alignas] = ACTIONS(5555),
    [anon_sym__Alignas] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1838] = {
    [sym__declaration_modifiers] = STATE(3251),
    [sym_attribute_specifier] = STATE(3251),
    [sym_attribute_declaration] = STATE(3251),
    [sym_ms_declspec_modifier] = STATE(3251),
    [sym_ms_based_modifier] = STATE(8181),
    [sym__declarator] = STATE(6326),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_function_declarator] = STATE(5965),
    [sym_array_declarator] = STATE(5932),
    [sym_storage_class_specifier] = STATE(3251),
    [sym_type_qualifier] = STATE(3251),
    [sym_alignas_qualifier] = STATE(2951),
    [sym_decltype] = STATE(8169),
    [sym_explicit_function_specifier] = STATE(3251),
    [sym_operator_cast] = STATE(6357),
    [sym__constructor_specifiers] = STATE(3251),
    [sym_reference_declarator] = STATE(5932),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5366),
    [sym_qualified_identifier] = STATE(5932),
    [sym_qualified_operator_cast_identifier] = STATE(6357),
    [sym_operator_name] = STATE(5932),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3251),
    [sym_identifier] = ACTIONS(5539),
    [anon_sym_LPAREN2] = ACTIONS(3240),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(5541),
    [anon_sym_virtual] = ACTIONS(5543),
    [anon_sym_extern] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5547),
    [anon_sym_COLON_COLON] = ACTIONS(5549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5551),
    [anon_sym___declspec] = ACTIONS(5553),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(5545),
    [anon_sym_register] = ACTIONS(5545),
    [anon_sym_inline] = ACTIONS(5545),
    [anon_sym___inline] = ACTIONS(5545),
    [anon_sym___inline__] = ACTIONS(5545),
    [anon_sym___forceinline] = ACTIONS(5545),
    [anon_sym_thread_local] = ACTIONS(5545),
    [anon_sym___thread] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5541),
    [anon_sym_constexpr] = ACTIONS(5541),
    [anon_sym_volatile] = ACTIONS(5541),
    [anon_sym_restrict] = ACTIONS(5541),
    [anon_sym___restrict__] = ACTIONS(5541),
    [anon_sym__Atomic] = ACTIONS(5541),
    [anon_sym__Noreturn] = ACTIONS(5541),
    [anon_sym_noreturn] = ACTIONS(5541),
    [anon_sym__Nonnull] = ACTIONS(5541),
    [anon_sym_mutable] = ACTIONS(5541),
    [anon_sym_constinit] = ACTIONS(5541),
    [anon_sym_consteval] = ACTIONS(5541),
    [anon_sym_PROGMEM] = ACTIONS(5541),
    [anon_sym_alignas] = ACTIONS(5555),
    [anon_sym__Alignas] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_explicit] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(133),
  },
  [1839] = {
    [sym_template_argument_list] = STATE(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4916),
    [anon_sym_COMMA] = ACTIONS(4916),
    [anon_sym_LPAREN2] = ACTIONS(4916),
    [anon_sym_DASH] = ACTIONS(4921),
    [anon_sym_PLUS] = ACTIONS(4921),
    [anon_sym_STAR] = ACTIONS(4923),
    [anon_sym_SLASH] = ACTIONS(4921),
    [anon_sym_PERCENT] = ACTIONS(4921),
    [anon_sym_PIPE_PIPE] = ACTIONS(4914),
    [anon_sym_AMP_AMP] = ACTIONS(4916),
    [anon_sym_PIPE] = ACTIONS(4921),
    [anon_sym_CARET] = ACTIONS(4921),
    [anon_sym_AMP] = ACTIONS(4923),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_GT] = ACTIONS(4921),
    [anon_sym_GT_EQ] = ACTIONS(4921),
    [anon_sym_LT_EQ] = ACTIONS(4921),
    [anon_sym_LT] = ACTIONS(5561),
    [anon_sym_LT_LT] = ACTIONS(4921),
    [anon_sym_GT_GT] = ACTIONS(4921),
    [anon_sym___extension__] = ACTIONS(4919),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4916),
    [anon_sym_EQ] = ACTIONS(4921),
    [anon_sym_const] = ACTIONS(4912),
    [anon_sym_constexpr] = ACTIONS(4919),
    [anon_sym_volatile] = ACTIONS(4919),
    [anon_sym_restrict] = ACTIONS(4919),
    [anon_sym___restrict__] = ACTIONS(4919),
    [anon_sym__Atomic] = ACTIONS(4919),
    [anon_sym__Noreturn] = ACTIONS(4919),
    [anon_sym_noreturn] = ACTIONS(4919),
    [anon_sym__Nonnull] = ACTIONS(4919),
    [anon_sym_mutable] = ACTIONS(4919),
    [anon_sym_constinit] = ACTIONS(4919),
    [anon_sym_consteval] = ACTIONS(4919),
    [anon_sym_PROGMEM] = ACTIONS(4919),
    [anon_sym_alignas] = ACTIONS(4919),
    [anon_sym__Alignas] = ACTIONS(4919),
    [anon_sym_QMARK] = ACTIONS(4914),
    [anon_sym_STAR_EQ] = ACTIONS(4914),
    [anon_sym_SLASH_EQ] = ACTIONS(4914),
    [anon_sym_PERCENT_EQ] = ACTIONS(4914),
    [anon_sym_PLUS_EQ] = ACTIONS(4914),
    [anon_sym_DASH_EQ] = ACTIONS(4914),
    [anon_sym_LT_LT_EQ] = ACTIONS(4914),
    [anon_sym_GT_GT_EQ] = ACTIONS(4921),
    [anon_sym_AMP_EQ] = ACTIONS(4914),
    [anon_sym_CARET_EQ] = ACTIONS(4914),
    [anon_sym_PIPE_EQ] = ACTIONS(4914),
    [anon_sym_and_eq] = ACTIONS(4914),
    [anon_sym_or_eq] = ACTIONS(4914),
    [anon_sym_xor_eq] = ACTIONS(4914),
    [anon_sym_LT_EQ_GT] = ACTIONS(4914),
    [anon_sym_or] = ACTIONS(4921),
    [anon_sym_and] = ACTIONS(4921),
    [anon_sym_bitor] = ACTIONS(4914),
    [anon_sym_xor] = ACTIONS(4921),
    [anon_sym_bitand] = ACTIONS(4914),
    [anon_sym_not_eq] = ACTIONS(4914),
    [anon_sym_DASH_DASH] = ACTIONS(4914),
    [anon_sym_PLUS_PLUS] = ACTIONS(4914),
    [anon_sym_DOT] = ACTIONS(4921),
    [anon_sym_DOT_STAR] = ACTIONS(4914),
    [anon_sym_DASH_GT] = ACTIONS(4914),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4919),
    [anon_sym_decltype] = ACTIONS(4919),
    [anon_sym_GT2] = ACTIONS(4916),
  },
  [1840] = {
    [sym_identifier] = ACTIONS(5564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5566),
    [anon_sym_COMMA] = ACTIONS(5566),
    [anon_sym_RPAREN] = ACTIONS(5566),
    [aux_sym_preproc_if_token2] = ACTIONS(5566),
    [aux_sym_preproc_else_token1] = ACTIONS(5566),
    [aux_sym_preproc_elif_token1] = ACTIONS(5564),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5566),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5566),
    [anon_sym_LPAREN2] = ACTIONS(5566),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_STAR] = ACTIONS(5564),
    [anon_sym_SLASH] = ACTIONS(5564),
    [anon_sym_PERCENT] = ACTIONS(5564),
    [anon_sym_PIPE_PIPE] = ACTIONS(5566),
    [anon_sym_AMP_AMP] = ACTIONS(5566),
    [anon_sym_PIPE] = ACTIONS(5564),
    [anon_sym_CARET] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5566),
    [anon_sym_GT] = ACTIONS(5564),
    [anon_sym_GT_EQ] = ACTIONS(5566),
    [anon_sym_LT_EQ] = ACTIONS(5564),
    [anon_sym_LT] = ACTIONS(5564),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_SEMI] = ACTIONS(5566),
    [anon_sym_RBRACE] = ACTIONS(5566),
    [anon_sym_LBRACK] = ACTIONS(5566),
    [anon_sym_RBRACK] = ACTIONS(5566),
    [anon_sym_EQ] = ACTIONS(5564),
    [anon_sym_COLON] = ACTIONS(5566),
    [anon_sym_QMARK] = ACTIONS(5566),
    [anon_sym_STAR_EQ] = ACTIONS(5566),
    [anon_sym_SLASH_EQ] = ACTIONS(5566),
    [anon_sym_PERCENT_EQ] = ACTIONS(5566),
    [anon_sym_PLUS_EQ] = ACTIONS(5566),
    [anon_sym_DASH_EQ] = ACTIONS(5566),
    [anon_sym_LT_LT_EQ] = ACTIONS(5566),
    [anon_sym_GT_GT_EQ] = ACTIONS(5566),
    [anon_sym_AMP_EQ] = ACTIONS(5566),
    [anon_sym_CARET_EQ] = ACTIONS(5566),
    [anon_sym_PIPE_EQ] = ACTIONS(5566),
    [anon_sym_and_eq] = ACTIONS(5564),
    [anon_sym_or_eq] = ACTIONS(5564),
    [anon_sym_xor_eq] = ACTIONS(5564),
    [anon_sym_LT_EQ_GT] = ACTIONS(5566),
    [anon_sym_or] = ACTIONS(5564),
    [anon_sym_and] = ACTIONS(5564),
    [anon_sym_bitor] = ACTIONS(5564),
    [anon_sym_xor] = ACTIONS(5564),
    [anon_sym_bitand] = ACTIONS(5564),
    [anon_sym_not_eq] = ACTIONS(5564),
    [anon_sym_DASH_DASH] = ACTIONS(5566),
    [anon_sym_PLUS_PLUS] = ACTIONS(5566),
    [anon_sym_DOT] = ACTIONS(5564),
    [anon_sym_DOT_STAR] = ACTIONS(5566),
    [anon_sym_DASH_GT] = ACTIONS(5566),
    [anon_sym_L_DQUOTE] = ACTIONS(5566),
    [anon_sym_u_DQUOTE] = ACTIONS(5566),
    [anon_sym_U_DQUOTE] = ACTIONS(5566),
    [anon_sym_u8_DQUOTE] = ACTIONS(5566),
    [anon_sym_DQUOTE] = ACTIONS(5566),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5566),
    [anon_sym_LR_DQUOTE] = ACTIONS(5566),
    [anon_sym_uR_DQUOTE] = ACTIONS(5566),
    [anon_sym_UR_DQUOTE] = ACTIONS(5566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5566),
    [sym_literal_suffix] = ACTIONS(5564),
  },
  [1841] = {
    [sym_identifier] = ACTIONS(5568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5570),
    [anon_sym_COMMA] = ACTIONS(5570),
    [anon_sym_RPAREN] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_else_token1] = ACTIONS(5570),
    [aux_sym_preproc_elif_token1] = ACTIONS(5568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_STAR] = ACTIONS(5568),
    [anon_sym_SLASH] = ACTIONS(5568),
    [anon_sym_PERCENT] = ACTIONS(5568),
    [anon_sym_PIPE_PIPE] = ACTIONS(5570),
    [anon_sym_AMP_AMP] = ACTIONS(5570),
    [anon_sym_PIPE] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(5568),
    [anon_sym_EQ_EQ] = ACTIONS(5570),
    [anon_sym_BANG_EQ] = ACTIONS(5570),
    [anon_sym_GT] = ACTIONS(5568),
    [anon_sym_GT_EQ] = ACTIONS(5570),
    [anon_sym_LT_EQ] = ACTIONS(5568),
    [anon_sym_LT] = ACTIONS(5568),
    [anon_sym_LT_LT] = ACTIONS(5568),
    [anon_sym_GT_GT] = ACTIONS(5568),
    [anon_sym_SEMI] = ACTIONS(5570),
    [anon_sym_RBRACE] = ACTIONS(5570),
    [anon_sym_LBRACK] = ACTIONS(5570),
    [anon_sym_RBRACK] = ACTIONS(5570),
    [anon_sym_EQ] = ACTIONS(5568),
    [anon_sym_COLON] = ACTIONS(5570),
    [anon_sym_QMARK] = ACTIONS(5570),
    [anon_sym_STAR_EQ] = ACTIONS(5570),
    [anon_sym_SLASH_EQ] = ACTIONS(5570),
    [anon_sym_PERCENT_EQ] = ACTIONS(5570),
    [anon_sym_PLUS_EQ] = ACTIONS(5570),
    [anon_sym_DASH_EQ] = ACTIONS(5570),
    [anon_sym_LT_LT_EQ] = ACTIONS(5570),
    [anon_sym_GT_GT_EQ] = ACTIONS(5570),
    [anon_sym_AMP_EQ] = ACTIONS(5570),
    [anon_sym_CARET_EQ] = ACTIONS(5570),
    [anon_sym_PIPE_EQ] = ACTIONS(5570),
    [anon_sym_and_eq] = ACTIONS(5568),
    [anon_sym_or_eq] = ACTIONS(5568),
    [anon_sym_xor_eq] = ACTIONS(5568),
    [anon_sym_LT_EQ_GT] = ACTIONS(5570),
    [anon_sym_or] = ACTIONS(5568),
    [anon_sym_and] = ACTIONS(5568),
    [anon_sym_bitor] = ACTIONS(5568),
    [anon_sym_xor] = ACTIONS(5568),
    [anon_sym_bitand] = ACTIONS(5568),
    [anon_sym_not_eq] = ACTIONS(5568),
    [anon_sym_DASH_DASH] = ACTIONS(5570),
    [anon_sym_PLUS_PLUS] = ACTIONS(5570),
    [anon_sym_DOT] = ACTIONS(5568),
    [anon_sym_DOT_STAR] = ACTIONS(5570),
    [anon_sym_DASH_GT] = ACTIONS(5570),
    [anon_sym_L_DQUOTE] = ACTIONS(5570),
    [anon_sym_u_DQUOTE] = ACTIONS(5570),
    [anon_sym_U_DQUOTE] = ACTIONS(5570),
    [anon_sym_u8_DQUOTE] = ACTIONS(5570),
    [anon_sym_DQUOTE] = ACTIONS(5570),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5570),
    [anon_sym_LR_DQUOTE] = ACTIONS(5570),
    [anon_sym_uR_DQUOTE] = ACTIONS(5570),
    [anon_sym_UR_DQUOTE] = ACTIONS(5570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5570),
    [sym_literal_suffix] = ACTIONS(5568),
  },
  [1842] = {
    [sym__declaration_modifiers] = STATE(1856),
    [sym__declaration_specifiers] = STATE(4639),
    [sym_attribute_specifier] = STATE(1856),
    [sym_attribute_declaration] = STATE(1856),
    [sym_ms_declspec_modifier] = STATE(1856),
    [sym_storage_class_specifier] = STATE(1856),
    [sym_type_qualifier] = STATE(1856),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1856),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4982),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1417),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1843] = {
    [sym__declaration_modifiers] = STATE(2926),
    [sym_attribute_specifier] = STATE(2926),
    [sym_attribute_declaration] = STATE(2926),
    [sym_ms_declspec_modifier] = STATE(2926),
    [sym_storage_class_specifier] = STATE(2926),
    [sym_type_qualifier] = STATE(2926),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2280),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2926),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4982),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(5572),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3266),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1844] = {
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym_RBRACE] = ACTIONS(1967),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_friend] = ACTIONS(1969),
    [anon_sym_public] = ACTIONS(1969),
    [anon_sym_private] = ACTIONS(1969),
    [anon_sym_protected] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
  },
  [1845] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token2] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_PROGMEM] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [aux_sym_primitive_type_token1] = ACTIONS(1973),
    [anon_sym_byte] = ACTIONS(1973),
    [anon_sym_word] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_friend] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_catch] = ACTIONS(1973),
  },
  [1846] = {
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4936),
    [anon_sym_COMMA] = ACTIONS(4936),
    [anon_sym_RPAREN] = ACTIONS(4936),
    [aux_sym_preproc_if_token2] = ACTIONS(4936),
    [aux_sym_preproc_else_token1] = ACTIONS(4936),
    [aux_sym_preproc_elif_token1] = ACTIONS(4929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4929),
    [anon_sym_PLUS] = ACTIONS(4929),
    [anon_sym_STAR] = ACTIONS(4936),
    [anon_sym_SLASH] = ACTIONS(4929),
    [anon_sym_PERCENT] = ACTIONS(4936),
    [anon_sym_PIPE_PIPE] = ACTIONS(4936),
    [anon_sym_AMP_AMP] = ACTIONS(4936),
    [anon_sym_PIPE] = ACTIONS(4929),
    [anon_sym_CARET] = ACTIONS(4936),
    [anon_sym_AMP] = ACTIONS(4929),
    [anon_sym_EQ_EQ] = ACTIONS(4936),
    [anon_sym_BANG_EQ] = ACTIONS(4936),
    [anon_sym_GT] = ACTIONS(4929),
    [anon_sym_GT_EQ] = ACTIONS(4936),
    [anon_sym_LT_EQ] = ACTIONS(4929),
    [anon_sym_LT] = ACTIONS(4929),
    [anon_sym_LT_LT] = ACTIONS(4936),
    [anon_sym_GT_GT] = ACTIONS(4936),
    [anon_sym_SEMI] = ACTIONS(4936),
    [anon_sym___extension__] = ACTIONS(4929),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym_COLON_COLON] = ACTIONS(4936),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_RBRACE] = ACTIONS(4936),
    [anon_sym_LBRACK] = ACTIONS(4936),
    [anon_sym_RBRACK] = ACTIONS(4936),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_restrict] = ACTIONS(4929),
    [anon_sym___restrict__] = ACTIONS(4929),
    [anon_sym__Atomic] = ACTIONS(4929),
    [anon_sym__Noreturn] = ACTIONS(4929),
    [anon_sym_noreturn] = ACTIONS(4929),
    [anon_sym__Nonnull] = ACTIONS(4929),
    [anon_sym_mutable] = ACTIONS(4929),
    [anon_sym_constinit] = ACTIONS(4929),
    [anon_sym_consteval] = ACTIONS(4929),
    [anon_sym_PROGMEM] = ACTIONS(4929),
    [anon_sym_alignas] = ACTIONS(4929),
    [anon_sym__Alignas] = ACTIONS(4929),
    [anon_sym_COLON] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(4936),
    [anon_sym_LT_EQ_GT] = ACTIONS(4936),
    [anon_sym_or] = ACTIONS(4929),
    [anon_sym_and] = ACTIONS(4929),
    [anon_sym_bitor] = ACTIONS(4929),
    [anon_sym_xor] = ACTIONS(4929),
    [anon_sym_bitand] = ACTIONS(4929),
    [anon_sym_not_eq] = ACTIONS(4929),
    [anon_sym_DASH_DASH] = ACTIONS(4936),
    [anon_sym_PLUS_PLUS] = ACTIONS(4936),
    [anon_sym_DOT] = ACTIONS(4929),
    [anon_sym_DOT_STAR] = ACTIONS(4936),
    [anon_sym_DASH_GT] = ACTIONS(4936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_final] = ACTIONS(4929),
    [anon_sym_override] = ACTIONS(4929),
    [anon_sym_requires] = ACTIONS(4929),
  },
  [1847] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(3687),
    [sym_raw_string_literal] = STATE(2527),
    [sym_identifier] = ACTIONS(4132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [aux_sym_preproc_if_token2] = ACTIONS(4124),
    [aux_sym_preproc_else_token1] = ACTIONS(4124),
    [aux_sym_preproc_elif_token1] = ACTIONS(4132),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(5574),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(5577),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(5579),
    [anon_sym_SLASH_EQ] = ACTIONS(5579),
    [anon_sym_PERCENT_EQ] = ACTIONS(5579),
    [anon_sym_PLUS_EQ] = ACTIONS(5579),
    [anon_sym_DASH_EQ] = ACTIONS(5579),
    [anon_sym_LT_LT_EQ] = ACTIONS(5579),
    [anon_sym_GT_GT_EQ] = ACTIONS(5579),
    [anon_sym_AMP_EQ] = ACTIONS(5579),
    [anon_sym_CARET_EQ] = ACTIONS(5579),
    [anon_sym_PIPE_EQ] = ACTIONS(5579),
    [anon_sym_and_eq] = ACTIONS(5577),
    [anon_sym_or_eq] = ACTIONS(5577),
    [anon_sym_xor_eq] = ACTIONS(5577),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4132),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4132),
    [anon_sym_not_eq] = ACTIONS(4132),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [1848] = {
    [sym_identifier] = ACTIONS(1973),
    [aux_sym_preproc_def_token1] = ACTIONS(1973),
    [aux_sym_preproc_if_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1973),
    [sym_preproc_directive] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_typedef] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym_RBRACE] = ACTIONS(1971),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_PROGMEM] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [aux_sym_primitive_type_token1] = ACTIONS(1973),
    [anon_sym_byte] = ACTIONS(1973),
    [anon_sym_word] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_friend] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_static_assert] = ACTIONS(1973),
    [anon_sym_catch] = ACTIONS(1973),
  },
  [1849] = {
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_if_token2] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(1967),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_friend] = ACTIONS(1969),
    [anon_sym_public] = ACTIONS(1969),
    [anon_sym_private] = ACTIONS(1969),
    [anon_sym_protected] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
    [anon_sym_catch] = ACTIONS(1969),
  },
  [1850] = {
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(1967),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym_RBRACE] = ACTIONS(1967),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_friend] = ACTIONS(1969),
    [anon_sym_public] = ACTIONS(1969),
    [anon_sym_private] = ACTIONS(1969),
    [anon_sym_protected] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
    [anon_sym_catch] = ACTIONS(1969),
  },
  [1851] = {
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(5221),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym_RBRACE] = ACTIONS(1967),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_friend] = ACTIONS(1969),
    [anon_sym_public] = ACTIONS(1969),
    [anon_sym_private] = ACTIONS(1969),
    [anon_sym_protected] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
  },
  [1852] = {
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_if_token2] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(5221),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_friend] = ACTIONS(1969),
    [anon_sym_public] = ACTIONS(1969),
    [anon_sym_private] = ACTIONS(1969),
    [anon_sym_protected] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
  },
  [1853] = {
    [sym__declaration_modifiers] = STATE(2926),
    [sym_attribute_specifier] = STATE(2926),
    [sym_attribute_declaration] = STATE(2926),
    [sym_ms_declspec_modifier] = STATE(2926),
    [sym_storage_class_specifier] = STATE(2926),
    [sym_type_qualifier] = STATE(2926),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(3926),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2902),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6211),
    [sym_qualified_type_identifier] = STATE(2583),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2926),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2581),
    [sym_identifier] = ACTIONS(3800),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(5572),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3808),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(3810),
    [anon_sym_unsigned] = ACTIONS(3810),
    [anon_sym_long] = ACTIONS(3810),
    [anon_sym_short] = ACTIONS(3810),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(3812),
    [anon_sym_class] = ACTIONS(3814),
    [anon_sym_struct] = ACTIONS(3816),
    [anon_sym_union] = ACTIONS(3818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3820),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1854] = {
    [sym_template_argument_list] = STATE(2013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4914),
    [anon_sym_RPAREN] = ACTIONS(4916),
    [anon_sym_LPAREN2] = ACTIONS(4916),
    [anon_sym_DASH] = ACTIONS(4921),
    [anon_sym_PLUS] = ACTIONS(4921),
    [anon_sym_STAR] = ACTIONS(4923),
    [anon_sym_SLASH] = ACTIONS(4921),
    [anon_sym_PERCENT] = ACTIONS(4921),
    [anon_sym_PIPE_PIPE] = ACTIONS(4914),
    [anon_sym_AMP_AMP] = ACTIONS(4916),
    [anon_sym_PIPE] = ACTIONS(4921),
    [anon_sym_CARET] = ACTIONS(4921),
    [anon_sym_AMP] = ACTIONS(4923),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_GT] = ACTIONS(4921),
    [anon_sym_GT_EQ] = ACTIONS(4914),
    [anon_sym_LT_EQ] = ACTIONS(4921),
    [anon_sym_LT] = ACTIONS(5581),
    [anon_sym_LT_LT] = ACTIONS(4921),
    [anon_sym_GT_GT] = ACTIONS(4921),
    [anon_sym___extension__] = ACTIONS(4919),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4916),
    [anon_sym_EQ] = ACTIONS(4921),
    [anon_sym_const] = ACTIONS(4912),
    [anon_sym_constexpr] = ACTIONS(4919),
    [anon_sym_volatile] = ACTIONS(4919),
    [anon_sym_restrict] = ACTIONS(4919),
    [anon_sym___restrict__] = ACTIONS(4919),
    [anon_sym__Atomic] = ACTIONS(4919),
    [anon_sym__Noreturn] = ACTIONS(4919),
    [anon_sym_noreturn] = ACTIONS(4919),
    [anon_sym__Nonnull] = ACTIONS(4919),
    [anon_sym_mutable] = ACTIONS(4919),
    [anon_sym_constinit] = ACTIONS(4919),
    [anon_sym_consteval] = ACTIONS(4919),
    [anon_sym_PROGMEM] = ACTIONS(4919),
    [anon_sym_alignas] = ACTIONS(4919),
    [anon_sym__Alignas] = ACTIONS(4919),
    [anon_sym_QMARK] = ACTIONS(4914),
    [anon_sym_STAR_EQ] = ACTIONS(4914),
    [anon_sym_SLASH_EQ] = ACTIONS(4914),
    [anon_sym_PERCENT_EQ] = ACTIONS(4914),
    [anon_sym_PLUS_EQ] = ACTIONS(4914),
    [anon_sym_DASH_EQ] = ACTIONS(4914),
    [anon_sym_LT_LT_EQ] = ACTIONS(4914),
    [anon_sym_GT_GT_EQ] = ACTIONS(4914),
    [anon_sym_AMP_EQ] = ACTIONS(4914),
    [anon_sym_CARET_EQ] = ACTIONS(4914),
    [anon_sym_PIPE_EQ] = ACTIONS(4914),
    [anon_sym_and_eq] = ACTIONS(4914),
    [anon_sym_or_eq] = ACTIONS(4914),
    [anon_sym_xor_eq] = ACTIONS(4914),
    [anon_sym_LT_EQ_GT] = ACTIONS(4914),
    [anon_sym_or] = ACTIONS(4921),
    [anon_sym_and] = ACTIONS(4921),
    [anon_sym_bitor] = ACTIONS(4914),
    [anon_sym_xor] = ACTIONS(4921),
    [anon_sym_bitand] = ACTIONS(4914),
    [anon_sym_not_eq] = ACTIONS(4914),
    [anon_sym_DASH_DASH] = ACTIONS(4914),
    [anon_sym_PLUS_PLUS] = ACTIONS(4914),
    [anon_sym_DOT] = ACTIONS(4921),
    [anon_sym_DOT_STAR] = ACTIONS(4914),
    [anon_sym_DASH_GT] = ACTIONS(4914),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4919),
    [anon_sym_decltype] = ACTIONS(4919),
  },
  [1855] = {
    [sym_identifier] = ACTIONS(1969),
    [aux_sym_preproc_def_token1] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(1969),
    [aux_sym_preproc_if_token2] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1969),
    [sym_preproc_directive] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_typedef] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_friend] = ACTIONS(1969),
    [anon_sym_public] = ACTIONS(1969),
    [anon_sym_private] = ACTIONS(1969),
    [anon_sym_protected] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_static_assert] = ACTIONS(1969),
  },
  [1856] = {
    [sym__declaration_modifiers] = STATE(2926),
    [sym_attribute_specifier] = STATE(2926),
    [sym_attribute_declaration] = STATE(2926),
    [sym_ms_declspec_modifier] = STATE(2926),
    [sym_storage_class_specifier] = STATE(2926),
    [sym_type_qualifier] = STATE(2926),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2280),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6219),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2926),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4982),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(5572),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1857] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym_RBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_PROGMEM] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [aux_sym_primitive_type_token1] = ACTIONS(2696),
    [anon_sym_byte] = ACTIONS(2696),
    [anon_sym_word] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_friend] = ACTIONS(2696),
    [anon_sym_public] = ACTIONS(2696),
    [anon_sym_private] = ACTIONS(2696),
    [anon_sym_protected] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_catch] = ACTIONS(2696),
  },
  [1858] = {
    [sym__declaration_modifiers] = STATE(2926),
    [sym_attribute_specifier] = STATE(2926),
    [sym_attribute_declaration] = STATE(2926),
    [sym_ms_declspec_modifier] = STATE(2926),
    [sym_storage_class_specifier] = STATE(2926),
    [sym_type_qualifier] = STATE(2926),
    [sym_alignas_qualifier] = STATE(1777),
    [sym_type_specifier] = STATE(2280),
    [sym_sized_type_specifier] = STATE(2381),
    [sym_primitive_type] = STATE(2591),
    [sym_enum_specifier] = STATE(2381),
    [sym_struct_specifier] = STATE(2381),
    [sym_union_specifier] = STATE(2381),
    [sym_placeholder_type_specifier] = STATE(2381),
    [sym_decltype_auto] = STATE(2376),
    [sym_decltype] = STATE(2289),
    [sym_class_specifier] = STATE(2381),
    [sym_dependent_type] = STATE(2381),
    [sym_template_type] = STATE(2289),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(6192),
    [sym_qualified_type_identifier] = STATE(2947),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2926),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2218),
    [sym_identifier] = ACTIONS(4870),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(5572),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1759),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_PROGMEM] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_struct] = ACTIONS(1865),
    [anon_sym_union] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(123),
    [anon_sym_decltype] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(1893),
    [anon_sym_template] = ACTIONS(1423),
  },
  [1859] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4933),
    [anon_sym_COMMA] = ACTIONS(4933),
    [anon_sym_LPAREN2] = ACTIONS(4933),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4940),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4938),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4933),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4938),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4938),
    [anon_sym_GT_GT] = ACTIONS(4938),
    [anon_sym___extension__] = ACTIONS(4936),
    [anon_sym_COLON_COLON] = ACTIONS(4936),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_LBRACK] = ACTIONS(4933),
    [anon_sym_EQ] = ACTIONS(4938),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4936),
    [anon_sym_volatile] = ACTIONS(4936),
    [anon_sym_restrict] = ACTIONS(4936),
    [anon_sym___restrict__] = ACTIONS(4936),
    [anon_sym__Atomic] = ACTIONS(4936),
    [anon_sym__Noreturn] = ACTIONS(4936),
    [anon_sym_noreturn] = ACTIONS(4936),
    [anon_sym__Nonnull] = ACTIONS(4936),
    [anon_sym_mutable] = ACTIONS(4936),
    [anon_sym_constinit] = ACTIONS(4936),
    [anon_sym_consteval] = ACTIONS(4936),
    [anon_sym_PROGMEM] = ACTIONS(4936),
    [anon_sym_alignas] = ACTIONS(4936),
    [anon_sym__Alignas] = ACTIONS(4936),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_STAR_EQ] = ACTIONS(4931),
    [anon_sym_SLASH_EQ] = ACTIONS(4931),
    [anon_sym_PERCENT_EQ] = ACTIONS(4931),
    [anon_sym_PLUS_EQ] = ACTIONS(4931),
    [anon_sym_DASH_EQ] = ACTIONS(4931),
    [anon_sym_LT_LT_EQ] = ACTIONS(4931),
    [anon_sym_GT_GT_EQ] = ACTIONS(4938),
    [anon_sym_AMP_EQ] = ACTIONS(4931),
    [anon_sym_CARET_EQ] = ACTIONS(4931),
    [anon_sym_PIPE_EQ] = ACTIONS(4931),
    [anon_sym_and_eq] = ACTIONS(4931),
    [anon_sym_or_eq] = ACTIONS(4931),
    [anon_sym_xor_eq] = ACTIONS(4931),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4931),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4931),
    [anon_sym_not_eq] = ACTIONS(4931),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4936),
    [anon_sym_decltype] = ACTIONS(4936),
    [anon_sym_GT2] = ACTIONS(4933),
  },
  [1860] = {
    [sym_attribute_specifier] = STATE(2257),
    [sym_field_declaration_list] = STATE(2148),
    [sym_virtual_specifier] = STATE(6576),
    [sym_base_class_clause] = STATE(7341),
    [sym_identifier] = ACTIONS(5584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5586),
    [anon_sym_COMMA] = ACTIONS(5586),
    [anon_sym_RPAREN] = ACTIONS(5586),
    [aux_sym_preproc_if_token2] = ACTIONS(5586),
    [aux_sym_preproc_else_token1] = ACTIONS(5586),
    [aux_sym_preproc_elif_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5586),
    [anon_sym_LPAREN2] = ACTIONS(5586),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_STAR] = ACTIONS(5584),
    [anon_sym_SLASH] = ACTIONS(5584),
    [anon_sym_PERCENT] = ACTIONS(5584),
    [anon_sym_PIPE_PIPE] = ACTIONS(5586),
    [anon_sym_AMP_AMP] = ACTIONS(5586),
    [anon_sym_PIPE] = ACTIONS(5584),
    [anon_sym_CARET] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(5584),
    [anon_sym_EQ_EQ] = ACTIONS(5586),
    [anon_sym_BANG_EQ] = ACTIONS(5586),
    [anon_sym_GT] = ACTIONS(5584),
    [anon_sym_GT_EQ] = ACTIONS(5586),
    [anon_sym_LT_EQ] = ACTIONS(5584),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(5584),
    [anon_sym_GT_GT] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5586),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5590),
    [anon_sym_RBRACE] = ACTIONS(5586),
    [anon_sym_LBRACK] = ACTIONS(5586),
    [anon_sym_RBRACK] = ACTIONS(5586),
    [anon_sym_EQ] = ACTIONS(5584),
    [anon_sym_COLON] = ACTIONS(5592),
    [anon_sym_QMARK] = ACTIONS(5586),
    [anon_sym_STAR_EQ] = ACTIONS(5586),
    [anon_sym_SLASH_EQ] = ACTIONS(5586),
    [anon_sym_PERCENT_EQ] = ACTIONS(5586),
    [anon_sym_PLUS_EQ] = ACTIONS(5586),
    [anon_sym_DASH_EQ] = ACTIONS(5586),
    [anon_sym_LT_LT_EQ] = ACTIONS(5586),
    [anon_sym_GT_GT_EQ] = ACTIONS(5586),
    [anon_sym_AMP_EQ] = ACTIONS(5586),
    [anon_sym_CARET_EQ] = ACTIONS(5586),
    [anon_sym_PIPE_EQ] = ACTIONS(5586),
    [anon_sym_and_eq] = ACTIONS(5584),
    [anon_sym_or_eq] = ACTIONS(5584),
    [anon_sym_xor_eq] = ACTIONS(5584),
    [anon_sym_LT_EQ_GT] = ACTIONS(5586),
    [anon_sym_or] = ACTIONS(5584),
    [anon_sym_and] = ACTIONS(5584),
    [anon_sym_bitor] = ACTIONS(5584),
    [anon_sym_xor] = ACTIONS(5584),
    [anon_sym_bitand] = ACTIONS(5584),
    [anon_sym_not_eq] = ACTIONS(5584),
    [anon_sym_DASH_DASH] = ACTIONS(5586),
    [anon_sym_PLUS_PLUS] = ACTIONS(5586),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_DOT_STAR] = ACTIONS(5586),
    [anon_sym_DASH_GT] = ACTIONS(5586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5584),
    [anon_sym_decltype] = ACTIONS(5584),
    [anon_sym_final] = ACTIONS(5594),
    [anon_sym_override] = ACTIONS(5594),
  },
  [1861] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token2] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_PROGMEM] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [aux_sym_primitive_type_token1] = ACTIONS(2696),
    [anon_sym_byte] = ACTIONS(2696),
    [anon_sym_word] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_friend] = ACTIONS(2696),
    [anon_sym_public] = ACTIONS(2696),
    [anon_sym_private] = ACTIONS(2696),
    [anon_sym_protected] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_catch] = ACTIONS(2696),
  },
  [1862] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1862),
    [sym_identifier] = ACTIONS(5163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5165),
    [anon_sym_COMMA] = ACTIONS(5165),
    [anon_sym_RPAREN] = ACTIONS(5165),
    [anon_sym_LPAREN2] = ACTIONS(5165),
    [anon_sym_TILDE] = ACTIONS(5165),
    [anon_sym_STAR] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5165),
    [anon_sym_AMP] = ACTIONS(5163),
    [anon_sym_SEMI] = ACTIONS(5165),
    [anon_sym___extension__] = ACTIONS(5163),
    [anon_sym_virtual] = ACTIONS(5163),
    [anon_sym_extern] = ACTIONS(5163),
    [anon_sym___attribute__] = ACTIONS(5163),
    [anon_sym_COLON_COLON] = ACTIONS(5165),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5165),
    [anon_sym___declspec] = ACTIONS(5163),
    [anon_sym___based] = ACTIONS(5163),
    [anon_sym___cdecl] = ACTIONS(5163),
    [anon_sym___clrcall] = ACTIONS(5163),
    [anon_sym___stdcall] = ACTIONS(5163),
    [anon_sym___fastcall] = ACTIONS(5163),
    [anon_sym___thiscall] = ACTIONS(5163),
    [anon_sym___vectorcall] = ACTIONS(5163),
    [anon_sym_LBRACE] = ACTIONS(5165),
    [anon_sym_signed] = ACTIONS(5596),
    [anon_sym_unsigned] = ACTIONS(5596),
    [anon_sym_long] = ACTIONS(5596),
    [anon_sym_short] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5163),
    [anon_sym_static] = ACTIONS(5163),
    [anon_sym_EQ] = ACTIONS(5165),
    [anon_sym_register] = ACTIONS(5163),
    [anon_sym_inline] = ACTIONS(5163),
    [anon_sym___inline] = ACTIONS(5163),
    [anon_sym___inline__] = ACTIONS(5163),
    [anon_sym___forceinline] = ACTIONS(5163),
    [anon_sym_thread_local] = ACTIONS(5163),
    [anon_sym___thread] = ACTIONS(5163),
    [anon_sym_const] = ACTIONS(5163),
    [anon_sym_constexpr] = ACTIONS(5163),
    [anon_sym_volatile] = ACTIONS(5163),
    [anon_sym_restrict] = ACTIONS(5163),
    [anon_sym___restrict__] = ACTIONS(5163),
    [anon_sym__Atomic] = ACTIONS(5163),
    [anon_sym__Noreturn] = ACTIONS(5163),
    [anon_sym_noreturn] = ACTIONS(5163),
    [anon_sym__Nonnull] = ACTIONS(5163),
    [anon_sym_mutable] = ACTIONS(5163),
    [anon_sym_constinit] = ACTIONS(5163),
    [anon_sym_consteval] = ACTIONS(5163),
    [anon_sym_PROGMEM] = ACTIONS(5163),
    [anon_sym_alignas] = ACTIONS(5163),
    [anon_sym__Alignas] = ACTIONS(5163),
    [aux_sym_primitive_type_token1] = ACTIONS(5163),
    [anon_sym_byte] = ACTIONS(5163),
    [anon_sym_word] = ACTIONS(5163),
    [anon_sym_asm] = ACTIONS(5163),
    [anon_sym___asm__] = ACTIONS(5163),
    [anon_sym___asm] = ACTIONS(5163),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5163),
    [anon_sym_decltype] = ACTIONS(5163),
    [anon_sym_final] = ACTIONS(5163),
    [anon_sym_override] = ACTIONS(5163),
    [anon_sym_template] = ACTIONS(5163),
    [anon_sym_GT2] = ACTIONS(5165),
    [anon_sym_operator] = ACTIONS(5163),
    [anon_sym_try] = ACTIONS(5163),
    [anon_sym_requires] = ACTIONS(5163),
  },
  [1863] = {
    [sym_identifier] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token2] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3190),
    [anon_sym_typedef] = ACTIONS(3190),
    [anon_sym_virtual] = ACTIONS(3190),
    [anon_sym_extern] = ACTIONS(3190),
    [anon_sym___attribute__] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3192),
    [anon_sym___declspec] = ACTIONS(3190),
    [anon_sym___based] = ACTIONS(3190),
    [anon_sym_signed] = ACTIONS(3190),
    [anon_sym_unsigned] = ACTIONS(3190),
    [anon_sym_long] = ACTIONS(3190),
    [anon_sym_short] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_register] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym___inline] = ACTIONS(3190),
    [anon_sym___inline__] = ACTIONS(3190),
    [anon_sym___forceinline] = ACTIONS(3190),
    [anon_sym_thread_local] = ACTIONS(3190),
    [anon_sym___thread] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_constexpr] = ACTIONS(3190),
    [anon_sym_volatile] = ACTIONS(3190),
    [anon_sym_restrict] = ACTIONS(3190),
    [anon_sym___restrict__] = ACTIONS(3190),
    [anon_sym__Atomic] = ACTIONS(3190),
    [anon_sym__Noreturn] = ACTIONS(3190),
    [anon_sym_noreturn] = ACTIONS(3190),
    [anon_sym__Nonnull] = ACTIONS(3190),
    [anon_sym_mutable] = ACTIONS(3190),
    [anon_sym_constinit] = ACTIONS(3190),
    [anon_sym_consteval] = ACTIONS(3190),
    [anon_sym_PROGMEM] = ACTIONS(3190),
    [anon_sym_alignas] = ACTIONS(3190),
    [anon_sym__Alignas] = ACTIONS(3190),
    [aux_sym_primitive_type_token1] = ACTIONS(3190),
    [anon_sym_byte] = ACTIONS(3190),
    [anon_sym_word] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_struct] = ACTIONS(3190),
    [anon_sym_union] = ACTIONS(3190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3190),
    [anon_sym_decltype] = ACTIONS(3190),
    [anon_sym_explicit] = ACTIONS(3190),
    [anon_sym_typename] = ACTIONS(3190),
    [anon_sym_template] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_friend] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_static_assert] = ACTIONS(3190),
  },
  [1864] = {
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym_RBRACE] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym__Nonnull] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [anon_sym_PROGMEM] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym__Alignas] = ACTIONS(3095),
    [aux_sym_primitive_type_token1] = ACTIONS(3095),
    [anon_sym_byte] = ACTIONS(3095),
    [anon_sym_word] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_friend] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
  },
  [1865] = {
    [sym_identifier] = ACTIONS(3016),
    [aux_sym_preproc_def_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3016),
    [sym_preproc_directive] = ACTIONS(3016),
    [anon_sym_LPAREN2] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym___extension__] = ACTIONS(3016),
    [anon_sym_typedef] = ACTIONS(3016),
    [anon_sym_virtual] = ACTIONS(3016),
    [anon_sym_extern] = ACTIONS(3016),
    [anon_sym___attribute__] = ACTIONS(3016),
    [anon_sym_COLON_COLON] = ACTIONS(3018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3018),
    [anon_sym___declspec] = ACTIONS(3016),
    [anon_sym___based] = ACTIONS(3016),
    [anon_sym_RBRACE] = ACTIONS(3018),
    [anon_sym_signed] = ACTIONS(3016),
    [anon_sym_unsigned] = ACTIONS(3016),
    [anon_sym_long] = ACTIONS(3016),
    [anon_sym_short] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_register] = ACTIONS(3016),
    [anon_sym_inline] = ACTIONS(3016),
    [anon_sym___inline] = ACTIONS(3016),
    [anon_sym___inline__] = ACTIONS(3016),
    [anon_sym___forceinline] = ACTIONS(3016),
    [anon_sym_thread_local] = ACTIONS(3016),
    [anon_sym___thread] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_constexpr] = ACTIONS(3016),
    [anon_sym_volatile] = ACTIONS(3016),
    [anon_sym_restrict] = ACTIONS(3016),
    [anon_sym___restrict__] = ACTIONS(3016),
    [anon_sym__Atomic] = ACTIONS(3016),
    [anon_sym__Noreturn] = ACTIONS(3016),
    [anon_sym_noreturn] = ACTIONS(3016),
    [anon_sym__Nonnull] = ACTIONS(3016),
    [anon_sym_mutable] = ACTIONS(3016),
    [anon_sym_constinit] = ACTIONS(3016),
    [anon_sym_consteval] = ACTIONS(3016),
    [anon_sym_PROGMEM] = ACTIONS(3016),
    [anon_sym_alignas] = ACTIONS(3016),
    [anon_sym__Alignas] = ACTIONS(3016),
    [aux_sym_primitive_type_token1] = ACTIONS(3016),
    [anon_sym_byte] = ACTIONS(3016),
    [anon_sym_word] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_struct] = ACTIONS(3016),
    [anon_sym_union] = ACTIONS(3016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3016),
    [anon_sym_decltype] = ACTIONS(3016),
    [anon_sym_explicit] = ACTIONS(3016),
    [anon_sym_typename] = ACTIONS(3016),
    [anon_sym_template] = ACTIONS(3016),
    [anon_sym_operator] = ACTIONS(3016),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3016),
  },
  [1866] = {
    [sym_identifier] = ACTIONS(3020),
    [aux_sym_preproc_def_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3020),
    [sym_preproc_directive] = ACTIONS(3020),
    [anon_sym_LPAREN2] = ACTIONS(3022),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3022),
    [anon_sym_AMP] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym___extension__] = ACTIONS(3020),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_virtual] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(3020),
    [anon_sym___attribute__] = ACTIONS(3020),
    [anon_sym_COLON_COLON] = ACTIONS(3022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(3020),
    [anon_sym___based] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3022),
    [anon_sym_signed] = ACTIONS(3020),
    [anon_sym_unsigned] = ACTIONS(3020),
    [anon_sym_long] = ACTIONS(3020),
    [anon_sym_short] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_register] = ACTIONS(3020),
    [anon_sym_inline] = ACTIONS(3020),
    [anon_sym___inline] = ACTIONS(3020),
    [anon_sym___inline__] = ACTIONS(3020),
    [anon_sym___forceinline] = ACTIONS(3020),
    [anon_sym_thread_local] = ACTIONS(3020),
    [anon_sym___thread] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_constexpr] = ACTIONS(3020),
    [anon_sym_volatile] = ACTIONS(3020),
    [anon_sym_restrict] = ACTIONS(3020),
    [anon_sym___restrict__] = ACTIONS(3020),
    [anon_sym__Atomic] = ACTIONS(3020),
    [anon_sym__Noreturn] = ACTIONS(3020),
    [anon_sym_noreturn] = ACTIONS(3020),
    [anon_sym__Nonnull] = ACTIONS(3020),
    [anon_sym_mutable] = ACTIONS(3020),
    [anon_sym_constinit] = ACTIONS(3020),
    [anon_sym_consteval] = ACTIONS(3020),
    [anon_sym_PROGMEM] = ACTIONS(3020),
    [anon_sym_alignas] = ACTIONS(3020),
    [anon_sym__Alignas] = ACTIONS(3020),
    [aux_sym_primitive_type_token1] = ACTIONS(3020),
    [anon_sym_byte] = ACTIONS(3020),
    [anon_sym_word] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_struct] = ACTIONS(3020),
    [anon_sym_union] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3020),
    [anon_sym_decltype] = ACTIONS(3020),
    [anon_sym_explicit] = ACTIONS(3020),
    [anon_sym_typename] = ACTIONS(3020),
    [anon_sym_template] = ACTIONS(3020),
    [anon_sym_operator] = ACTIONS(3020),
    [anon_sym_friend] = ACTIONS(3020),
    [anon_sym_public] = ACTIONS(3020),
    [anon_sym_private] = ACTIONS(3020),
    [anon_sym_protected] = ACTIONS(3020),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3020),
  },
  [1867] = {
    [sym_identifier] = ACTIONS(3020),
    [aux_sym_preproc_def_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token1] = ACTIONS(3020),
    [aux_sym_preproc_if_token2] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3020),
    [sym_preproc_directive] = ACTIONS(3020),
    [anon_sym_LPAREN2] = ACTIONS(3022),
    [anon_sym_TILDE] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3022),
    [anon_sym_AMP] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym___extension__] = ACTIONS(3020),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_virtual] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(3020),
    [anon_sym___attribute__] = ACTIONS(3020),
    [anon_sym_COLON_COLON] = ACTIONS(3022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(3020),
    [anon_sym___based] = ACTIONS(3020),
    [anon_sym_signed] = ACTIONS(3020),
    [anon_sym_unsigned] = ACTIONS(3020),
    [anon_sym_long] = ACTIONS(3020),
    [anon_sym_short] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_static] = ACTIONS(3020),
    [anon_sym_register] = ACTIONS(3020),
    [anon_sym_inline] = ACTIONS(3020),
    [anon_sym___inline] = ACTIONS(3020),
    [anon_sym___inline__] = ACTIONS(3020),
    [anon_sym___forceinline] = ACTIONS(3020),
    [anon_sym_thread_local] = ACTIONS(3020),
    [anon_sym___thread] = ACTIONS(3020),
    [anon_sym_const] = ACTIONS(3020),
    [anon_sym_constexpr] = ACTIONS(3020),
    [anon_sym_volatile] = ACTIONS(3020),
    [anon_sym_restrict] = ACTIONS(3020),
    [anon_sym___restrict__] = ACTIONS(3020),
    [anon_sym__Atomic] = ACTIONS(3020),
    [anon_sym__Noreturn] = ACTIONS(3020),
    [anon_sym_noreturn] = ACTIONS(3020),
    [anon_sym__Nonnull] = ACTIONS(3020),
    [anon_sym_mutable] = ACTIONS(3020),
    [anon_sym_constinit] = ACTIONS(3020),
    [anon_sym_consteval] = ACTIONS(3020),
    [anon_sym_PROGMEM] = ACTIONS(3020),
    [anon_sym_alignas] = ACTIONS(3020),
    [anon_sym__Alignas] = ACTIONS(3020),
    [aux_sym_primitive_type_token1] = ACTIONS(3020),
    [anon_sym_byte] = ACTIONS(3020),
    [anon_sym_word] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3020),
    [anon_sym_struct] = ACTIONS(3020),
    [anon_sym_union] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3020),
    [anon_sym_decltype] = ACTIONS(3020),
    [anon_sym_explicit] = ACTIONS(3020),
    [anon_sym_typename] = ACTIONS(3020),
    [anon_sym_template] = ACTIONS(3020),
    [anon_sym_operator] = ACTIONS(3020),
    [anon_sym_friend] = ACTIONS(3020),
    [anon_sym_public] = ACTIONS(3020),
    [anon_sym_private] = ACTIONS(3020),
    [anon_sym_protected] = ACTIONS(3020),
    [anon_sym_using] = ACTIONS(3020),
    [anon_sym_static_assert] = ACTIONS(3020),
  },
  [1868] = {
    [sym_identifier] = ACTIONS(5311),
    [aux_sym_preproc_def_token1] = ACTIONS(5311),
    [aux_sym_preproc_if_token1] = ACTIONS(5311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5311),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5311),
    [sym_preproc_directive] = ACTIONS(5311),
    [anon_sym_LPAREN2] = ACTIONS(5313),
    [anon_sym_TILDE] = ACTIONS(5313),
    [anon_sym_STAR] = ACTIONS(5313),
    [anon_sym_AMP_AMP] = ACTIONS(5313),
    [anon_sym_AMP] = ACTIONS(5311),
    [anon_sym_SEMI] = ACTIONS(5313),
    [anon_sym___extension__] = ACTIONS(5311),
    [anon_sym_typedef] = ACTIONS(5311),
    [anon_sym_virtual] = ACTIONS(5311),
    [anon_sym_extern] = ACTIONS(5311),
    [anon_sym___attribute__] = ACTIONS(5311),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5313),
    [anon_sym___declspec] = ACTIONS(5311),
    [anon_sym___based] = ACTIONS(5311),
    [anon_sym_RBRACE] = ACTIONS(5313),
    [anon_sym_signed] = ACTIONS(5311),
    [anon_sym_unsigned] = ACTIONS(5311),
    [anon_sym_long] = ACTIONS(5311),
    [anon_sym_short] = ACTIONS(5311),
    [anon_sym_LBRACK] = ACTIONS(5311),
    [anon_sym_static] = ACTIONS(5311),
    [anon_sym_register] = ACTIONS(5311),
    [anon_sym_inline] = ACTIONS(5311),
    [anon_sym___inline] = ACTIONS(5311),
    [anon_sym___inline__] = ACTIONS(5311),
    [anon_sym___forceinline] = ACTIONS(5311),
    [anon_sym_thread_local] = ACTIONS(5311),
    [anon_sym___thread] = ACTIONS(5311),
    [anon_sym_const] = ACTIONS(5311),
    [anon_sym_constexpr] = ACTIONS(5311),
    [anon_sym_volatile] = ACTIONS(5311),
    [anon_sym_restrict] = ACTIONS(5311),
    [anon_sym___restrict__] = ACTIONS(5311),
    [anon_sym__Atomic] = ACTIONS(5311),
    [anon_sym__Noreturn] = ACTIONS(5311),
    [anon_sym_noreturn] = ACTIONS(5311),
    [anon_sym__Nonnull] = ACTIONS(5311),
    [anon_sym_mutable] = ACTIONS(5311),
    [anon_sym_constinit] = ACTIONS(5311),
    [anon_sym_consteval] = ACTIONS(5311),
    [anon_sym_PROGMEM] = ACTIONS(5311),
    [anon_sym_alignas] = ACTIONS(5311),
    [anon_sym__Alignas] = ACTIONS(5311),
    [aux_sym_primitive_type_token1] = ACTIONS(5311),
    [anon_sym_byte] = ACTIONS(5311),
    [anon_sym_word] = ACTIONS(5311),
    [anon_sym_enum] = ACTIONS(5311),
    [anon_sym_class] = ACTIONS(5311),
    [anon_sym_struct] = ACTIONS(5311),
    [anon_sym_union] = ACTIONS(5311),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5311),
    [anon_sym_decltype] = ACTIONS(5311),
    [anon_sym_explicit] = ACTIONS(5311),
    [anon_sym_typename] = ACTIONS(5311),
    [anon_sym_template] = ACTIONS(5311),
    [anon_sym_operator] = ACTIONS(5311),
    [anon_sym_friend] = ACTIONS(5311),
    [anon_sym_public] = ACTIONS(5311),
    [anon_sym_private] = ACTIONS(5311),
    [anon_sym_protected] = ACTIONS(5311),
    [anon_sym_using] = ACTIONS(5311),
    [anon_sym_static_assert] = ACTIONS(5311),
  },
  [1869] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token2] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym__Nonnull] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_PROGMEM] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym__Alignas] = ACTIONS(2948),
    [aux_sym_primitive_type_token1] = ACTIONS(2948),
    [anon_sym_byte] = ACTIONS(2948),
    [anon_sym_word] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_friend] = ACTIONS(2948),
    [anon_sym_public] = ACTIONS(2948),
    [anon_sym_private] = ACTIONS(2948),
    [anon_sym_protected] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
  },
  [1870] = {
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token2] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_PROGMEM] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [aux_sym_primitive_type_token1] = ACTIONS(2920),
    [anon_sym_byte] = ACTIONS(2920),
    [anon_sym_word] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_friend] = ACTIONS(2920),
    [anon_sym_public] = ACTIONS(2920),
    [anon_sym_private] = ACTIONS(2920),
    [anon_sym_protected] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
  },
  [1871] = {
    [sym_identifier] = ACTIONS(3008),
    [aux_sym_preproc_def_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token2] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3008),
    [anon_sym_LPAREN2] = ACTIONS(3010),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(3008),
    [anon_sym_typedef] = ACTIONS(3008),
    [anon_sym_virtual] = ACTIONS(3008),
    [anon_sym_extern] = ACTIONS(3008),
    [anon_sym___attribute__] = ACTIONS(3008),
    [anon_sym_COLON_COLON] = ACTIONS(3010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3010),
    [anon_sym___declspec] = ACTIONS(3008),
    [anon_sym___based] = ACTIONS(3008),
    [anon_sym_signed] = ACTIONS(3008),
    [anon_sym_unsigned] = ACTIONS(3008),
    [anon_sym_long] = ACTIONS(3008),
    [anon_sym_short] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_register] = ACTIONS(3008),
    [anon_sym_inline] = ACTIONS(3008),
    [anon_sym___inline] = ACTIONS(3008),
    [anon_sym___inline__] = ACTIONS(3008),
    [anon_sym___forceinline] = ACTIONS(3008),
    [anon_sym_thread_local] = ACTIONS(3008),
    [anon_sym___thread] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_constexpr] = ACTIONS(3008),
    [anon_sym_volatile] = ACTIONS(3008),
    [anon_sym_restrict] = ACTIONS(3008),
    [anon_sym___restrict__] = ACTIONS(3008),
    [anon_sym__Atomic] = ACTIONS(3008),
    [anon_sym__Noreturn] = ACTIONS(3008),
    [anon_sym_noreturn] = ACTIONS(3008),
    [anon_sym__Nonnull] = ACTIONS(3008),
    [anon_sym_mutable] = ACTIONS(3008),
    [anon_sym_constinit] = ACTIONS(3008),
    [anon_sym_consteval] = ACTIONS(3008),
    [anon_sym_PROGMEM] = ACTIONS(3008),
    [anon_sym_alignas] = ACTIONS(3008),
    [anon_sym__Alignas] = ACTIONS(3008),
    [aux_sym_primitive_type_token1] = ACTIONS(3008),
    [anon_sym_byte] = ACTIONS(3008),
    [anon_sym_word] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3008),
    [anon_sym_decltype] = ACTIONS(3008),
    [anon_sym_explicit] = ACTIONS(3008),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(3008),
    [anon_sym_operator] = ACTIONS(3008),
    [anon_sym_friend] = ACTIONS(3008),
    [anon_sym_public] = ACTIONS(3008),
    [anon_sym_private] = ACTIONS(3008),
    [anon_sym_protected] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_static_assert] = ACTIONS(3008),
  },
  [1872] = {
    [sym_identifier] = ACTIONS(5319),
    [aux_sym_preproc_def_token1] = ACTIONS(5319),
    [aux_sym_preproc_if_token1] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5319),
    [sym_preproc_directive] = ACTIONS(5319),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_TILDE] = ACTIONS(5321),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym_typedef] = ACTIONS(5319),
    [anon_sym_virtual] = ACTIONS(5319),
    [anon_sym_extern] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5321),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5321),
    [anon_sym___declspec] = ACTIONS(5319),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym_RBRACE] = ACTIONS(5321),
    [anon_sym_signed] = ACTIONS(5319),
    [anon_sym_unsigned] = ACTIONS(5319),
    [anon_sym_long] = ACTIONS(5319),
    [anon_sym_short] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5319),
    [anon_sym_static] = ACTIONS(5319),
    [anon_sym_register] = ACTIONS(5319),
    [anon_sym_inline] = ACTIONS(5319),
    [anon_sym___inline] = ACTIONS(5319),
    [anon_sym___inline__] = ACTIONS(5319),
    [anon_sym___forceinline] = ACTIONS(5319),
    [anon_sym_thread_local] = ACTIONS(5319),
    [anon_sym___thread] = ACTIONS(5319),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [aux_sym_primitive_type_token1] = ACTIONS(5319),
    [anon_sym_byte] = ACTIONS(5319),
    [anon_sym_word] = ACTIONS(5319),
    [anon_sym_enum] = ACTIONS(5319),
    [anon_sym_class] = ACTIONS(5319),
    [anon_sym_struct] = ACTIONS(5319),
    [anon_sym_union] = ACTIONS(5319),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_explicit] = ACTIONS(5319),
    [anon_sym_typename] = ACTIONS(5319),
    [anon_sym_template] = ACTIONS(5319),
    [anon_sym_operator] = ACTIONS(5319),
    [anon_sym_friend] = ACTIONS(5319),
    [anon_sym_public] = ACTIONS(5319),
    [anon_sym_private] = ACTIONS(5319),
    [anon_sym_protected] = ACTIONS(5319),
    [anon_sym_using] = ACTIONS(5319),
    [anon_sym_static_assert] = ACTIONS(5319),
  },
  [1873] = {
    [sym_identifier] = ACTIONS(3103),
    [aux_sym_preproc_def_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token2] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3103),
    [sym_preproc_directive] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP_AMP] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3103),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_typedef] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym___based] = ACTIONS(3103),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym__Nonnull] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [anon_sym_PROGMEM] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym__Alignas] = ACTIONS(3103),
    [aux_sym_primitive_type_token1] = ACTIONS(3103),
    [anon_sym_byte] = ACTIONS(3103),
    [anon_sym_word] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(3103),
    [anon_sym_friend] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static_assert] = ACTIONS(3103),
  },
  [1874] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_PROGMEM] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [aux_sym_primitive_type_token1] = ACTIONS(2924),
    [anon_sym_byte] = ACTIONS(2924),
    [anon_sym_word] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_friend] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_protected] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
  },
  [1875] = {
    [sym_identifier] = ACTIONS(3137),
    [aux_sym_preproc_def_token1] = ACTIONS(3137),
    [aux_sym_preproc_if_token1] = ACTIONS(3137),
    [aux_sym_preproc_if_token2] = ACTIONS(3137),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3137),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3137),
    [sym_preproc_directive] = ACTIONS(3137),
    [anon_sym_LPAREN2] = ACTIONS(3139),
    [anon_sym_TILDE] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(3139),
    [anon_sym_AMP_AMP] = ACTIONS(3139),
    [anon_sym_AMP] = ACTIONS(3137),
    [anon_sym_SEMI] = ACTIONS(3139),
    [anon_sym___extension__] = ACTIONS(3137),
    [anon_sym_typedef] = ACTIONS(3137),
    [anon_sym_virtual] = ACTIONS(3137),
    [anon_sym_extern] = ACTIONS(3137),
    [anon_sym___attribute__] = ACTIONS(3137),
    [anon_sym_COLON_COLON] = ACTIONS(3139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3139),
    [anon_sym___declspec] = ACTIONS(3137),
    [anon_sym___based] = ACTIONS(3137),
    [anon_sym_signed] = ACTIONS(3137),
    [anon_sym_unsigned] = ACTIONS(3137),
    [anon_sym_long] = ACTIONS(3137),
    [anon_sym_short] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_static] = ACTIONS(3137),
    [anon_sym_register] = ACTIONS(3137),
    [anon_sym_inline] = ACTIONS(3137),
    [anon_sym___inline] = ACTIONS(3137),
    [anon_sym___inline__] = ACTIONS(3137),
    [anon_sym___forceinline] = ACTIONS(3137),
    [anon_sym_thread_local] = ACTIONS(3137),
    [anon_sym___thread] = ACTIONS(3137),
    [anon_sym_const] = ACTIONS(3137),
    [anon_sym_constexpr] = ACTIONS(3137),
    [anon_sym_volatile] = ACTIONS(3137),
    [anon_sym_restrict] = ACTIONS(3137),
    [anon_sym___restrict__] = ACTIONS(3137),
    [anon_sym__Atomic] = ACTIONS(3137),
    [anon_sym__Noreturn] = ACTIONS(3137),
    [anon_sym_noreturn] = ACTIONS(3137),
    [anon_sym__Nonnull] = ACTIONS(3137),
    [anon_sym_mutable] = ACTIONS(3137),
    [anon_sym_constinit] = ACTIONS(3137),
    [anon_sym_consteval] = ACTIONS(3137),
    [anon_sym_PROGMEM] = ACTIONS(3137),
    [anon_sym_alignas] = ACTIONS(3137),
    [anon_sym__Alignas] = ACTIONS(3137),
    [aux_sym_primitive_type_token1] = ACTIONS(3137),
    [anon_sym_byte] = ACTIONS(3137),
    [anon_sym_word] = ACTIONS(3137),
    [anon_sym_enum] = ACTIONS(3137),
    [anon_sym_class] = ACTIONS(3137),
    [anon_sym_struct] = ACTIONS(3137),
    [anon_sym_union] = ACTIONS(3137),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3137),
    [anon_sym_decltype] = ACTIONS(3137),
    [anon_sym_explicit] = ACTIONS(3137),
    [anon_sym_typename] = ACTIONS(3137),
    [anon_sym_template] = ACTIONS(3137),
    [anon_sym_operator] = ACTIONS(3137),
    [anon_sym_friend] = ACTIONS(3137),
    [anon_sym_public] = ACTIONS(3137),
    [anon_sym_private] = ACTIONS(3137),
    [anon_sym_protected] = ACTIONS(3137),
    [anon_sym_using] = ACTIONS(3137),
    [anon_sym_static_assert] = ACTIONS(3137),
  },
  [1876] = {
    [sym_identifier] = ACTIONS(5516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5518),
    [anon_sym_COMMA] = ACTIONS(5518),
    [anon_sym_RPAREN] = ACTIONS(5518),
    [aux_sym_preproc_if_token2] = ACTIONS(5518),
    [aux_sym_preproc_else_token1] = ACTIONS(5518),
    [aux_sym_preproc_elif_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5518),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5518),
    [anon_sym_LPAREN2] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5516),
    [anon_sym_PLUS] = ACTIONS(5516),
    [anon_sym_STAR] = ACTIONS(5518),
    [anon_sym_SLASH] = ACTIONS(5516),
    [anon_sym_PERCENT] = ACTIONS(5518),
    [anon_sym_PIPE_PIPE] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5518),
    [anon_sym_PIPE] = ACTIONS(5516),
    [anon_sym_CARET] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym_EQ_EQ] = ACTIONS(5518),
    [anon_sym_BANG_EQ] = ACTIONS(5518),
    [anon_sym_GT] = ACTIONS(5516),
    [anon_sym_GT_EQ] = ACTIONS(5518),
    [anon_sym_LT_EQ] = ACTIONS(5516),
    [anon_sym_LT] = ACTIONS(5516),
    [anon_sym_LT_LT] = ACTIONS(5518),
    [anon_sym_GT_GT] = ACTIONS(5518),
    [anon_sym_SEMI] = ACTIONS(5518),
    [anon_sym___extension__] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(5518),
    [anon_sym_RBRACE] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [anon_sym_RBRACK] = ACTIONS(5518),
    [anon_sym_const] = ACTIONS(5516),
    [anon_sym_constexpr] = ACTIONS(5516),
    [anon_sym_volatile] = ACTIONS(5516),
    [anon_sym_restrict] = ACTIONS(5516),
    [anon_sym___restrict__] = ACTIONS(5516),
    [anon_sym__Atomic] = ACTIONS(5516),
    [anon_sym__Noreturn] = ACTIONS(5516),
    [anon_sym_noreturn] = ACTIONS(5516),
    [anon_sym__Nonnull] = ACTIONS(5516),
    [anon_sym_mutable] = ACTIONS(5516),
    [anon_sym_constinit] = ACTIONS(5516),
    [anon_sym_consteval] = ACTIONS(5516),
    [anon_sym_PROGMEM] = ACTIONS(5516),
    [anon_sym_alignas] = ACTIONS(5516),
    [anon_sym__Alignas] = ACTIONS(5516),
    [anon_sym_COLON] = ACTIONS(5518),
    [anon_sym_QMARK] = ACTIONS(5518),
    [anon_sym_LT_EQ_GT] = ACTIONS(5518),
    [anon_sym_or] = ACTIONS(5516),
    [anon_sym_and] = ACTIONS(5516),
    [anon_sym_bitor] = ACTIONS(5516),
    [anon_sym_xor] = ACTIONS(5516),
    [anon_sym_bitand] = ACTIONS(5516),
    [anon_sym_not_eq] = ACTIONS(5516),
    [anon_sym_DASH_DASH] = ACTIONS(5518),
    [anon_sym_PLUS_PLUS] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5516),
    [anon_sym_DOT_STAR] = ACTIONS(5518),
    [anon_sym_DASH_GT] = ACTIONS(5518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5516),
    [anon_sym_decltype] = ACTIONS(5516),
    [anon_sym_final] = ACTIONS(5516),
    [anon_sym_override] = ACTIONS(5516),
    [anon_sym_requires] = ACTIONS(5516),
  },
  [1877] = {
    [sym_identifier] = ACTIONS(3141),
    [aux_sym_preproc_def_token1] = ACTIONS(3141),
    [aux_sym_preproc_if_token1] = ACTIONS(3141),
    [aux_sym_preproc_if_token2] = ACTIONS(3141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3141),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3141),
    [sym_preproc_directive] = ACTIONS(3141),
    [anon_sym_LPAREN2] = ACTIONS(3143),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_STAR] = ACTIONS(3143),
    [anon_sym_AMP_AMP] = ACTIONS(3143),
    [anon_sym_AMP] = ACTIONS(3141),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym___extension__] = ACTIONS(3141),
    [anon_sym_typedef] = ACTIONS(3141),
    [anon_sym_virtual] = ACTIONS(3141),
    [anon_sym_extern] = ACTIONS(3141),
    [anon_sym___attribute__] = ACTIONS(3141),
    [anon_sym_COLON_COLON] = ACTIONS(3143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3143),
    [anon_sym___declspec] = ACTIONS(3141),
    [anon_sym___based] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3141),
    [anon_sym_unsigned] = ACTIONS(3141),
    [anon_sym_long] = ACTIONS(3141),
    [anon_sym_short] = ACTIONS(3141),
    [anon_sym_LBRACK] = ACTIONS(3141),
    [anon_sym_static] = ACTIONS(3141),
    [anon_sym_register] = ACTIONS(3141),
    [anon_sym_inline] = ACTIONS(3141),
    [anon_sym___inline] = ACTIONS(3141),
    [anon_sym___inline__] = ACTIONS(3141),
    [anon_sym___forceinline] = ACTIONS(3141),
    [anon_sym_thread_local] = ACTIONS(3141),
    [anon_sym___thread] = ACTIONS(3141),
    [anon_sym_const] = ACTIONS(3141),
    [anon_sym_constexpr] = ACTIONS(3141),
    [anon_sym_volatile] = ACTIONS(3141),
    [anon_sym_restrict] = ACTIONS(3141),
    [anon_sym___restrict__] = ACTIONS(3141),
    [anon_sym__Atomic] = ACTIONS(3141),
    [anon_sym__Noreturn] = ACTIONS(3141),
    [anon_sym_noreturn] = ACTIONS(3141),
    [anon_sym__Nonnull] = ACTIONS(3141),
    [anon_sym_mutable] = ACTIONS(3141),
    [anon_sym_constinit] = ACTIONS(3141),
    [anon_sym_consteval] = ACTIONS(3141),
    [anon_sym_PROGMEM] = ACTIONS(3141),
    [anon_sym_alignas] = ACTIONS(3141),
    [anon_sym__Alignas] = ACTIONS(3141),
    [aux_sym_primitive_type_token1] = ACTIONS(3141),
    [anon_sym_byte] = ACTIONS(3141),
    [anon_sym_word] = ACTIONS(3141),
    [anon_sym_enum] = ACTIONS(3141),
    [anon_sym_class] = ACTIONS(3141),
    [anon_sym_struct] = ACTIONS(3141),
    [anon_sym_union] = ACTIONS(3141),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3141),
    [anon_sym_decltype] = ACTIONS(3141),
    [anon_sym_explicit] = ACTIONS(3141),
    [anon_sym_typename] = ACTIONS(3141),
    [anon_sym_template] = ACTIONS(3141),
    [anon_sym_operator] = ACTIONS(3141),
    [anon_sym_friend] = ACTIONS(3141),
    [anon_sym_public] = ACTIONS(3141),
    [anon_sym_private] = ACTIONS(3141),
    [anon_sym_protected] = ACTIONS(3141),
    [anon_sym_using] = ACTIONS(3141),
    [anon_sym_static_assert] = ACTIONS(3141),
  },
  [1878] = {
    [sym_identifier] = ACTIONS(3186),
    [aux_sym_preproc_def_token1] = ACTIONS(3186),
    [aux_sym_preproc_if_token1] = ACTIONS(3186),
    [aux_sym_preproc_if_token2] = ACTIONS(3186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3186),
    [sym_preproc_directive] = ACTIONS(3186),
    [anon_sym_LPAREN2] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym___extension__] = ACTIONS(3186),
    [anon_sym_typedef] = ACTIONS(3186),
    [anon_sym_virtual] = ACTIONS(3186),
    [anon_sym_extern] = ACTIONS(3186),
    [anon_sym___attribute__] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3188),
    [anon_sym___declspec] = ACTIONS(3186),
    [anon_sym___based] = ACTIONS(3186),
    [anon_sym_signed] = ACTIONS(3186),
    [anon_sym_unsigned] = ACTIONS(3186),
    [anon_sym_long] = ACTIONS(3186),
    [anon_sym_short] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_register] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym___inline] = ACTIONS(3186),
    [anon_sym___inline__] = ACTIONS(3186),
    [anon_sym___forceinline] = ACTIONS(3186),
    [anon_sym_thread_local] = ACTIONS(3186),
    [anon_sym___thread] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_constexpr] = ACTIONS(3186),
    [anon_sym_volatile] = ACTIONS(3186),
    [anon_sym_restrict] = ACTIONS(3186),
    [anon_sym___restrict__] = ACTIONS(3186),
    [anon_sym__Atomic] = ACTIONS(3186),
    [anon_sym__Noreturn] = ACTIONS(3186),
    [anon_sym_noreturn] = ACTIONS(3186),
    [anon_sym__Nonnull] = ACTIONS(3186),
    [anon_sym_mutable] = ACTIONS(3186),
    [anon_sym_constinit] = ACTIONS(3186),
    [anon_sym_consteval] = ACTIONS(3186),
    [anon_sym_PROGMEM] = ACTIONS(3186),
    [anon_sym_alignas] = ACTIONS(3186),
    [anon_sym__Alignas] = ACTIONS(3186),
    [aux_sym_primitive_type_token1] = ACTIONS(3186),
    [anon_sym_byte] = ACTIONS(3186),
    [anon_sym_word] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_struct] = ACTIONS(3186),
    [anon_sym_union] = ACTIONS(3186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3186),
    [anon_sym_decltype] = ACTIONS(3186),
    [anon_sym_explicit] = ACTIONS(3186),
    [anon_sym_typename] = ACTIONS(3186),
    [anon_sym_template] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_friend] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_static_assert] = ACTIONS(3186),
  },
  [1879] = {
    [sym_identifier] = ACTIONS(5365),
    [aux_sym_preproc_def_token1] = ACTIONS(5365),
    [aux_sym_preproc_if_token1] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5365),
    [sym_preproc_directive] = ACTIONS(5365),
    [anon_sym_LPAREN2] = ACTIONS(5367),
    [anon_sym_TILDE] = ACTIONS(5367),
    [anon_sym_STAR] = ACTIONS(5367),
    [anon_sym_AMP_AMP] = ACTIONS(5367),
    [anon_sym_AMP] = ACTIONS(5365),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5365),
    [anon_sym_typedef] = ACTIONS(5365),
    [anon_sym_virtual] = ACTIONS(5365),
    [anon_sym_extern] = ACTIONS(5365),
    [anon_sym___attribute__] = ACTIONS(5365),
    [anon_sym_COLON_COLON] = ACTIONS(5367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5367),
    [anon_sym___declspec] = ACTIONS(5365),
    [anon_sym___based] = ACTIONS(5365),
    [anon_sym_RBRACE] = ACTIONS(5367),
    [anon_sym_signed] = ACTIONS(5365),
    [anon_sym_unsigned] = ACTIONS(5365),
    [anon_sym_long] = ACTIONS(5365),
    [anon_sym_short] = ACTIONS(5365),
    [anon_sym_LBRACK] = ACTIONS(5365),
    [anon_sym_static] = ACTIONS(5365),
    [anon_sym_register] = ACTIONS(5365),
    [anon_sym_inline] = ACTIONS(5365),
    [anon_sym___inline] = ACTIONS(5365),
    [anon_sym___inline__] = ACTIONS(5365),
    [anon_sym___forceinline] = ACTIONS(5365),
    [anon_sym_thread_local] = ACTIONS(5365),
    [anon_sym___thread] = ACTIONS(5365),
    [anon_sym_const] = ACTIONS(5365),
    [anon_sym_constexpr] = ACTIONS(5365),
    [anon_sym_volatile] = ACTIONS(5365),
    [anon_sym_restrict] = ACTIONS(5365),
    [anon_sym___restrict__] = ACTIONS(5365),
    [anon_sym__Atomic] = ACTIONS(5365),
    [anon_sym__Noreturn] = ACTIONS(5365),
    [anon_sym_noreturn] = ACTIONS(5365),
    [anon_sym__Nonnull] = ACTIONS(5365),
    [anon_sym_mutable] = ACTIONS(5365),
    [anon_sym_constinit] = ACTIONS(5365),
    [anon_sym_consteval] = ACTIONS(5365),
    [anon_sym_PROGMEM] = ACTIONS(5365),
    [anon_sym_alignas] = ACTIONS(5365),
    [anon_sym__Alignas] = ACTIONS(5365),
    [aux_sym_primitive_type_token1] = ACTIONS(5365),
    [anon_sym_byte] = ACTIONS(5365),
    [anon_sym_word] = ACTIONS(5365),
    [anon_sym_enum] = ACTIONS(5365),
    [anon_sym_class] = ACTIONS(5365),
    [anon_sym_struct] = ACTIONS(5365),
    [anon_sym_union] = ACTIONS(5365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5365),
    [anon_sym_decltype] = ACTIONS(5365),
    [anon_sym_explicit] = ACTIONS(5365),
    [anon_sym_typename] = ACTIONS(5365),
    [anon_sym_template] = ACTIONS(5365),
    [anon_sym_operator] = ACTIONS(5365),
    [anon_sym_friend] = ACTIONS(5365),
    [anon_sym_public] = ACTIONS(5365),
    [anon_sym_private] = ACTIONS(5365),
    [anon_sym_protected] = ACTIONS(5365),
    [anon_sym_using] = ACTIONS(5365),
    [anon_sym_static_assert] = ACTIONS(5365),
  },
  [1880] = {
    [sym_identifier] = ACTIONS(3125),
    [aux_sym_preproc_def_token1] = ACTIONS(3125),
    [aux_sym_preproc_if_token1] = ACTIONS(3125),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3125),
    [sym_preproc_directive] = ACTIONS(3125),
    [anon_sym_LPAREN2] = ACTIONS(3127),
    [anon_sym_TILDE] = ACTIONS(3127),
    [anon_sym_STAR] = ACTIONS(3127),
    [anon_sym_AMP_AMP] = ACTIONS(3127),
    [anon_sym_AMP] = ACTIONS(3125),
    [anon_sym_SEMI] = ACTIONS(3127),
    [anon_sym___extension__] = ACTIONS(3125),
    [anon_sym_typedef] = ACTIONS(3125),
    [anon_sym_virtual] = ACTIONS(3125),
    [anon_sym_extern] = ACTIONS(3125),
    [anon_sym___attribute__] = ACTIONS(3125),
    [anon_sym_COLON_COLON] = ACTIONS(3127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3127),
    [anon_sym___declspec] = ACTIONS(3125),
    [anon_sym___based] = ACTIONS(3125),
    [anon_sym_RBRACE] = ACTIONS(3127),
    [anon_sym_signed] = ACTIONS(3125),
    [anon_sym_unsigned] = ACTIONS(3125),
    [anon_sym_long] = ACTIONS(3125),
    [anon_sym_short] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3125),
    [anon_sym_static] = ACTIONS(3125),
    [anon_sym_register] = ACTIONS(3125),
    [anon_sym_inline] = ACTIONS(3125),
    [anon_sym___inline] = ACTIONS(3125),
    [anon_sym___inline__] = ACTIONS(3125),
    [anon_sym___forceinline] = ACTIONS(3125),
    [anon_sym_thread_local] = ACTIONS(3125),
    [anon_sym___thread] = ACTIONS(3125),
    [anon_sym_const] = ACTIONS(3125),
    [anon_sym_constexpr] = ACTIONS(3125),
    [anon_sym_volatile] = ACTIONS(3125),
    [anon_sym_restrict] = ACTIONS(3125),
    [anon_sym___restrict__] = ACTIONS(3125),
    [anon_sym__Atomic] = ACTIONS(3125),
    [anon_sym__Noreturn] = ACTIONS(3125),
    [anon_sym_noreturn] = ACTIONS(3125),
    [anon_sym__Nonnull] = ACTIONS(3125),
    [anon_sym_mutable] = ACTIONS(3125),
    [anon_sym_constinit] = ACTIONS(3125),
    [anon_sym_consteval] = ACTIONS(3125),
    [anon_sym_PROGMEM] = ACTIONS(3125),
    [anon_sym_alignas] = ACTIONS(3125),
    [anon_sym__Alignas] = ACTIONS(3125),
    [aux_sym_primitive_type_token1] = ACTIONS(3125),
    [anon_sym_byte] = ACTIONS(3125),
    [anon_sym_word] = ACTIONS(3125),
    [anon_sym_enum] = ACTIONS(3125),
    [anon_sym_class] = ACTIONS(3125),
    [anon_sym_struct] = ACTIONS(3125),
    [anon_sym_union] = ACTIONS(3125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3125),
    [anon_sym_decltype] = ACTIONS(3125),
    [anon_sym_explicit] = ACTIONS(3125),
    [anon_sym_typename] = ACTIONS(3125),
    [anon_sym_template] = ACTIONS(3125),
    [anon_sym_operator] = ACTIONS(3125),
    [anon_sym_friend] = ACTIONS(3125),
    [anon_sym_public] = ACTIONS(3125),
    [anon_sym_private] = ACTIONS(3125),
    [anon_sym_protected] = ACTIONS(3125),
    [anon_sym_using] = ACTIONS(3125),
    [anon_sym_static_assert] = ACTIONS(3125),
  },
  [1881] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_LPAREN2] = ACTIONS(5371),
    [anon_sym_TILDE] = ACTIONS(5371),
    [anon_sym_STAR] = ACTIONS(5371),
    [anon_sym_AMP_AMP] = ACTIONS(5371),
    [anon_sym_AMP] = ACTIONS(5369),
    [anon_sym_SEMI] = ACTIONS(5371),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_virtual] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym_COLON_COLON] = ACTIONS(5371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___based] = ACTIONS(5369),
    [anon_sym_RBRACE] = ACTIONS(5371),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_mutable] = ACTIONS(5369),
    [anon_sym_constinit] = ACTIONS(5369),
    [anon_sym_consteval] = ACTIONS(5369),
    [anon_sym_PROGMEM] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [aux_sym_primitive_type_token1] = ACTIONS(5369),
    [anon_sym_byte] = ACTIONS(5369),
    [anon_sym_word] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_class] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5369),
    [anon_sym_decltype] = ACTIONS(5369),
    [anon_sym_explicit] = ACTIONS(5369),
    [anon_sym_typename] = ACTIONS(5369),
    [anon_sym_template] = ACTIONS(5369),
    [anon_sym_operator] = ACTIONS(5369),
    [anon_sym_friend] = ACTIONS(5369),
    [anon_sym_public] = ACTIONS(5369),
    [anon_sym_private] = ACTIONS(5369),
    [anon_sym_protected] = ACTIONS(5369),
    [anon_sym_using] = ACTIONS(5369),
    [anon_sym_static_assert] = ACTIONS(5369),
  },
  [1882] = {
    [sym_identifier] = ACTIONS(3129),
    [aux_sym_preproc_def_token1] = ACTIONS(3129),
    [aux_sym_preproc_if_token1] = ACTIONS(3129),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3129),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3129),
    [sym_preproc_directive] = ACTIONS(3129),
    [anon_sym_LPAREN2] = ACTIONS(3131),
    [anon_sym_TILDE] = ACTIONS(3131),
    [anon_sym_STAR] = ACTIONS(3131),
    [anon_sym_AMP_AMP] = ACTIONS(3131),
    [anon_sym_AMP] = ACTIONS(3129),
    [anon_sym_SEMI] = ACTIONS(3131),
    [anon_sym___extension__] = ACTIONS(3129),
    [anon_sym_typedef] = ACTIONS(3129),
    [anon_sym_virtual] = ACTIONS(3129),
    [anon_sym_extern] = ACTIONS(3129),
    [anon_sym___attribute__] = ACTIONS(3129),
    [anon_sym_COLON_COLON] = ACTIONS(3131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3131),
    [anon_sym___declspec] = ACTIONS(3129),
    [anon_sym___based] = ACTIONS(3129),
    [anon_sym_RBRACE] = ACTIONS(3131),
    [anon_sym_signed] = ACTIONS(3129),
    [anon_sym_unsigned] = ACTIONS(3129),
    [anon_sym_long] = ACTIONS(3129),
    [anon_sym_short] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(3129),
    [anon_sym_static] = ACTIONS(3129),
    [anon_sym_register] = ACTIONS(3129),
    [anon_sym_inline] = ACTIONS(3129),
    [anon_sym___inline] = ACTIONS(3129),
    [anon_sym___inline__] = ACTIONS(3129),
    [anon_sym___forceinline] = ACTIONS(3129),
    [anon_sym_thread_local] = ACTIONS(3129),
    [anon_sym___thread] = ACTIONS(3129),
    [anon_sym_const] = ACTIONS(3129),
    [anon_sym_constexpr] = ACTIONS(3129),
    [anon_sym_volatile] = ACTIONS(3129),
    [anon_sym_restrict] = ACTIONS(3129),
    [anon_sym___restrict__] = ACTIONS(3129),
    [anon_sym__Atomic] = ACTIONS(3129),
    [anon_sym__Noreturn] = ACTIONS(3129),
    [anon_sym_noreturn] = ACTIONS(3129),
    [anon_sym__Nonnull] = ACTIONS(3129),
    [anon_sym_mutable] = ACTIONS(3129),
    [anon_sym_constinit] = ACTIONS(3129),
    [anon_sym_consteval] = ACTIONS(3129),
    [anon_sym_PROGMEM] = ACTIONS(3129),
    [anon_sym_alignas] = ACTIONS(3129),
    [anon_sym__Alignas] = ACTIONS(3129),
    [aux_sym_primitive_type_token1] = ACTIONS(3129),
    [anon_sym_byte] = ACTIONS(3129),
    [anon_sym_word] = ACTIONS(3129),
    [anon_sym_enum] = ACTIONS(3129),
    [anon_sym_class] = ACTIONS(3129),
    [anon_sym_struct] = ACTIONS(3129),
    [anon_sym_union] = ACTIONS(3129),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3129),
    [anon_sym_decltype] = ACTIONS(3129),
    [anon_sym_explicit] = ACTIONS(3129),
    [anon_sym_typename] = ACTIONS(3129),
    [anon_sym_template] = ACTIONS(3129),
    [anon_sym_operator] = ACTIONS(3129),
    [anon_sym_friend] = ACTIONS(3129),
    [anon_sym_public] = ACTIONS(3129),
    [anon_sym_private] = ACTIONS(3129),
    [anon_sym_protected] = ACTIONS(3129),
    [anon_sym_using] = ACTIONS(3129),
    [anon_sym_static_assert] = ACTIONS(3129),
  },
  [1883] = {
    [sym_identifier] = ACTIONS(5315),
    [aux_sym_preproc_def_token1] = ACTIONS(5315),
    [aux_sym_preproc_if_token1] = ACTIONS(5315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5315),
    [sym_preproc_directive] = ACTIONS(5315),
    [anon_sym_LPAREN2] = ACTIONS(5317),
    [anon_sym_TILDE] = ACTIONS(5317),
    [anon_sym_STAR] = ACTIONS(5317),
    [anon_sym_AMP_AMP] = ACTIONS(5317),
    [anon_sym_AMP] = ACTIONS(5315),
    [anon_sym_SEMI] = ACTIONS(5317),
    [anon_sym___extension__] = ACTIONS(5315),
    [anon_sym_typedef] = ACTIONS(5315),
    [anon_sym_virtual] = ACTIONS(5315),
    [anon_sym_extern] = ACTIONS(5315),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_COLON_COLON] = ACTIONS(5317),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5317),
    [anon_sym___declspec] = ACTIONS(5315),
    [anon_sym___based] = ACTIONS(5315),
    [anon_sym_RBRACE] = ACTIONS(5317),
    [anon_sym_signed] = ACTIONS(5315),
    [anon_sym_unsigned] = ACTIONS(5315),
    [anon_sym_long] = ACTIONS(5315),
    [anon_sym_short] = ACTIONS(5315),
    [anon_sym_LBRACK] = ACTIONS(5315),
    [anon_sym_static] = ACTIONS(5315),
    [anon_sym_register] = ACTIONS(5315),
    [anon_sym_inline] = ACTIONS(5315),
    [anon_sym___inline] = ACTIONS(5315),
    [anon_sym___inline__] = ACTIONS(5315),
    [anon_sym___forceinline] = ACTIONS(5315),
    [anon_sym_thread_local] = ACTIONS(5315),
    [anon_sym___thread] = ACTIONS(5315),
    [anon_sym_const] = ACTIONS(5315),
    [anon_sym_constexpr] = ACTIONS(5315),
    [anon_sym_volatile] = ACTIONS(5315),
    [anon_sym_restrict] = ACTIONS(5315),
    [anon_sym___restrict__] = ACTIONS(5315),
    [anon_sym__Atomic] = ACTIONS(5315),
    [anon_sym__Noreturn] = ACTIONS(5315),
    [anon_sym_noreturn] = ACTIONS(5315),
    [anon_sym__Nonnull] = ACTIONS(5315),
    [anon_sym_mutable] = ACTIONS(5315),
    [anon_sym_constinit] = ACTIONS(5315),
    [anon_sym_consteval] = ACTIONS(5315),
    [anon_sym_PROGMEM] = ACTIONS(5315),
    [anon_sym_alignas] = ACTIONS(5315),
    [anon_sym__Alignas] = ACTIONS(5315),
    [aux_sym_primitive_type_token1] = ACTIONS(5315),
    [anon_sym_byte] = ACTIONS(5315),
    [anon_sym_word] = ACTIONS(5315),
    [anon_sym_enum] = ACTIONS(5315),
    [anon_sym_class] = ACTIONS(5315),
    [anon_sym_struct] = ACTIONS(5315),
    [anon_sym_union] = ACTIONS(5315),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5315),
    [anon_sym_decltype] = ACTIONS(5315),
    [anon_sym_explicit] = ACTIONS(5315),
    [anon_sym_typename] = ACTIONS(5315),
    [anon_sym_template] = ACTIONS(5315),
    [anon_sym_operator] = ACTIONS(5315),
    [anon_sym_friend] = ACTIONS(5315),
    [anon_sym_public] = ACTIONS(5315),
    [anon_sym_private] = ACTIONS(5315),
    [anon_sym_protected] = ACTIONS(5315),
    [anon_sym_using] = ACTIONS(5315),
    [anon_sym_static_assert] = ACTIONS(5315),
  },
  [1884] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_PROGMEM] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [aux_sym_primitive_type_token1] = ACTIONS(3151),
    [anon_sym_byte] = ACTIONS(3151),
    [anon_sym_word] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_friend] = ACTIONS(3151),
    [anon_sym_public] = ACTIONS(3151),
    [anon_sym_private] = ACTIONS(3151),
    [anon_sym_protected] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
  },
  [1885] = {
    [sym_identifier] = ACTIONS(3210),
    [aux_sym_preproc_def_token1] = ACTIONS(3210),
    [aux_sym_preproc_if_token1] = ACTIONS(3210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3210),
    [sym_preproc_directive] = ACTIONS(3210),
    [anon_sym_LPAREN2] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym___extension__] = ACTIONS(3210),
    [anon_sym_typedef] = ACTIONS(3210),
    [anon_sym_virtual] = ACTIONS(3210),
    [anon_sym_extern] = ACTIONS(3210),
    [anon_sym___attribute__] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3212),
    [anon_sym___declspec] = ACTIONS(3210),
    [anon_sym___based] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_signed] = ACTIONS(3210),
    [anon_sym_unsigned] = ACTIONS(3210),
    [anon_sym_long] = ACTIONS(3210),
    [anon_sym_short] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_register] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym___inline] = ACTIONS(3210),
    [anon_sym___inline__] = ACTIONS(3210),
    [anon_sym___forceinline] = ACTIONS(3210),
    [anon_sym_thread_local] = ACTIONS(3210),
    [anon_sym___thread] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(3210),
    [anon_sym_restrict] = ACTIONS(3210),
    [anon_sym___restrict__] = ACTIONS(3210),
    [anon_sym__Atomic] = ACTIONS(3210),
    [anon_sym__Noreturn] = ACTIONS(3210),
    [anon_sym_noreturn] = ACTIONS(3210),
    [anon_sym__Nonnull] = ACTIONS(3210),
    [anon_sym_mutable] = ACTIONS(3210),
    [anon_sym_constinit] = ACTIONS(3210),
    [anon_sym_consteval] = ACTIONS(3210),
    [anon_sym_PROGMEM] = ACTIONS(3210),
    [anon_sym_alignas] = ACTIONS(3210),
    [anon_sym__Alignas] = ACTIONS(3210),
    [aux_sym_primitive_type_token1] = ACTIONS(3210),
    [anon_sym_byte] = ACTIONS(3210),
    [anon_sym_word] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_struct] = ACTIONS(3210),
    [anon_sym_union] = ACTIONS(3210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3210),
    [anon_sym_decltype] = ACTIONS(3210),
    [anon_sym_explicit] = ACTIONS(3210),
    [anon_sym_typename] = ACTIONS(3210),
    [anon_sym_template] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_static_assert] = ACTIONS(3210),
  },
  [1886] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_PROGMEM] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [aux_sym_primitive_type_token1] = ACTIONS(2790),
    [anon_sym_byte] = ACTIONS(2790),
    [anon_sym_word] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_friend] = ACTIONS(2790),
    [anon_sym_public] = ACTIONS(2790),
    [anon_sym_private] = ACTIONS(2790),
    [anon_sym_protected] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
  },
  [1887] = {
    [sym_identifier] = ACTIONS(2818),
    [aux_sym_preproc_def_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token2] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2818),
    [sym_preproc_directive] = ACTIONS(2818),
    [anon_sym_LPAREN2] = ACTIONS(2820),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_AMP_AMP] = ACTIONS(2820),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym___extension__] = ACTIONS(2818),
    [anon_sym_typedef] = ACTIONS(2818),
    [anon_sym_virtual] = ACTIONS(2818),
    [anon_sym_extern] = ACTIONS(2818),
    [anon_sym___attribute__] = ACTIONS(2818),
    [anon_sym_COLON_COLON] = ACTIONS(2820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2820),
    [anon_sym___declspec] = ACTIONS(2818),
    [anon_sym___based] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2818),
    [anon_sym_unsigned] = ACTIONS(2818),
    [anon_sym_long] = ACTIONS(2818),
    [anon_sym_short] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_register] = ACTIONS(2818),
    [anon_sym_inline] = ACTIONS(2818),
    [anon_sym___inline] = ACTIONS(2818),
    [anon_sym___inline__] = ACTIONS(2818),
    [anon_sym___forceinline] = ACTIONS(2818),
    [anon_sym_thread_local] = ACTIONS(2818),
    [anon_sym___thread] = ACTIONS(2818),
    [anon_sym_const] = ACTIONS(2818),
    [anon_sym_constexpr] = ACTIONS(2818),
    [anon_sym_volatile] = ACTIONS(2818),
    [anon_sym_restrict] = ACTIONS(2818),
    [anon_sym___restrict__] = ACTIONS(2818),
    [anon_sym__Atomic] = ACTIONS(2818),
    [anon_sym__Noreturn] = ACTIONS(2818),
    [anon_sym_noreturn] = ACTIONS(2818),
    [anon_sym__Nonnull] = ACTIONS(2818),
    [anon_sym_mutable] = ACTIONS(2818),
    [anon_sym_constinit] = ACTIONS(2818),
    [anon_sym_consteval] = ACTIONS(2818),
    [anon_sym_PROGMEM] = ACTIONS(2818),
    [anon_sym_alignas] = ACTIONS(2818),
    [anon_sym__Alignas] = ACTIONS(2818),
    [aux_sym_primitive_type_token1] = ACTIONS(2818),
    [anon_sym_byte] = ACTIONS(2818),
    [anon_sym_word] = ACTIONS(2818),
    [anon_sym_enum] = ACTIONS(2818),
    [anon_sym_class] = ACTIONS(2818),
    [anon_sym_struct] = ACTIONS(2818),
    [anon_sym_union] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2818),
    [anon_sym_decltype] = ACTIONS(2818),
    [anon_sym_explicit] = ACTIONS(2818),
    [anon_sym_typename] = ACTIONS(2818),
    [anon_sym_template] = ACTIONS(2818),
    [anon_sym_operator] = ACTIONS(2818),
    [anon_sym_friend] = ACTIONS(2818),
    [anon_sym_public] = ACTIONS(2818),
    [anon_sym_private] = ACTIONS(2818),
    [anon_sym_protected] = ACTIONS(2818),
    [anon_sym_using] = ACTIONS(2818),
    [anon_sym_static_assert] = ACTIONS(2818),
  },
  [1888] = {
    [sym_identifier] = ACTIONS(3214),
    [aux_sym_preproc_def_token1] = ACTIONS(3214),
    [aux_sym_preproc_if_token1] = ACTIONS(3214),
    [aux_sym_preproc_if_token2] = ACTIONS(3214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3214),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3214),
    [sym_preproc_directive] = ACTIONS(3214),
    [anon_sym_LPAREN2] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_typedef] = ACTIONS(3214),
    [anon_sym_virtual] = ACTIONS(3214),
    [anon_sym_extern] = ACTIONS(3214),
    [anon_sym___attribute__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3216),
    [anon_sym___declspec] = ACTIONS(3214),
    [anon_sym___based] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3214),
    [anon_sym_unsigned] = ACTIONS(3214),
    [anon_sym_long] = ACTIONS(3214),
    [anon_sym_short] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_register] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym___inline] = ACTIONS(3214),
    [anon_sym___inline__] = ACTIONS(3214),
    [anon_sym___forceinline] = ACTIONS(3214),
    [anon_sym_thread_local] = ACTIONS(3214),
    [anon_sym___thread] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_constexpr] = ACTIONS(3214),
    [anon_sym_volatile] = ACTIONS(3214),
    [anon_sym_restrict] = ACTIONS(3214),
    [anon_sym___restrict__] = ACTIONS(3214),
    [anon_sym__Atomic] = ACTIONS(3214),
    [anon_sym__Noreturn] = ACTIONS(3214),
    [anon_sym_noreturn] = ACTIONS(3214),
    [anon_sym__Nonnull] = ACTIONS(3214),
    [anon_sym_mutable] = ACTIONS(3214),
    [anon_sym_constinit] = ACTIONS(3214),
    [anon_sym_consteval] = ACTIONS(3214),
    [anon_sym_PROGMEM] = ACTIONS(3214),
    [anon_sym_alignas] = ACTIONS(3214),
    [anon_sym__Alignas] = ACTIONS(3214),
    [aux_sym_primitive_type_token1] = ACTIONS(3214),
    [anon_sym_byte] = ACTIONS(3214),
    [anon_sym_word] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_struct] = ACTIONS(3214),
    [anon_sym_union] = ACTIONS(3214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3214),
    [anon_sym_decltype] = ACTIONS(3214),
    [anon_sym_explicit] = ACTIONS(3214),
    [anon_sym_typename] = ACTIONS(3214),
    [anon_sym_template] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_friend] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_static_assert] = ACTIONS(3214),
  },
  [1889] = {
    [sym_identifier] = ACTIONS(3210),
    [aux_sym_preproc_def_token1] = ACTIONS(3210),
    [aux_sym_preproc_if_token1] = ACTIONS(3210),
    [aux_sym_preproc_if_token2] = ACTIONS(3210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3210),
    [sym_preproc_directive] = ACTIONS(3210),
    [anon_sym_LPAREN2] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym___extension__] = ACTIONS(3210),
    [anon_sym_typedef] = ACTIONS(3210),
    [anon_sym_virtual] = ACTIONS(3210),
    [anon_sym_extern] = ACTIONS(3210),
    [anon_sym___attribute__] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3212),
    [anon_sym___declspec] = ACTIONS(3210),
    [anon_sym___based] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3210),
    [anon_sym_unsigned] = ACTIONS(3210),
    [anon_sym_long] = ACTIONS(3210),
    [anon_sym_short] = ACTIONS(3210),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3210),
    [anon_sym_register] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym___inline] = ACTIONS(3210),
    [anon_sym___inline__] = ACTIONS(3210),
    [anon_sym___forceinline] = ACTIONS(3210),
    [anon_sym_thread_local] = ACTIONS(3210),
    [anon_sym___thread] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_constexpr] = ACTIONS(3210),
    [anon_sym_volatile] = ACTIONS(3210),
    [anon_sym_restrict] = ACTIONS(3210),
    [anon_sym___restrict__] = ACTIONS(3210),
    [anon_sym__Atomic] = ACTIONS(3210),
    [anon_sym__Noreturn] = ACTIONS(3210),
    [anon_sym_noreturn] = ACTIONS(3210),
    [anon_sym__Nonnull] = ACTIONS(3210),
    [anon_sym_mutable] = ACTIONS(3210),
    [anon_sym_constinit] = ACTIONS(3210),
    [anon_sym_consteval] = ACTIONS(3210),
    [anon_sym_PROGMEM] = ACTIONS(3210),
    [anon_sym_alignas] = ACTIONS(3210),
    [anon_sym__Alignas] = ACTIONS(3210),
    [aux_sym_primitive_type_token1] = ACTIONS(3210),
    [anon_sym_byte] = ACTIONS(3210),
    [anon_sym_word] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3210),
    [anon_sym_struct] = ACTIONS(3210),
    [anon_sym_union] = ACTIONS(3210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3210),
    [anon_sym_decltype] = ACTIONS(3210),
    [anon_sym_explicit] = ACTIONS(3210),
    [anon_sym_typename] = ACTIONS(3210),
    [anon_sym_template] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_friend] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_using] = ACTIONS(3210),
    [anon_sym_static_assert] = ACTIONS(3210),
  },
  [1890] = {
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token2] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym__Nonnull] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [anon_sym_PROGMEM] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym__Alignas] = ACTIONS(2830),
    [aux_sym_primitive_type_token1] = ACTIONS(2830),
    [anon_sym_byte] = ACTIONS(2830),
    [anon_sym_word] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_friend] = ACTIONS(2830),
    [anon_sym_public] = ACTIONS(2830),
    [anon_sym_private] = ACTIONS(2830),
    [anon_sym_protected] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
  },
  [1891] = {
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token2] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_virtual] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym__Nonnull] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [anon_sym_PROGMEM] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym__Alignas] = ACTIONS(2822),
    [aux_sym_primitive_type_token1] = ACTIONS(2822),
    [anon_sym_byte] = ACTIONS(2822),
    [anon_sym_word] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_friend] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
  },
  [1892] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym_RBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_friend] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
  },
  [1893] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym_RBRACE] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_friend] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
  },
  [1894] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym_RBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_PROGMEM] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [aux_sym_primitive_type_token1] = ACTIONS(2976),
    [anon_sym_byte] = ACTIONS(2976),
    [anon_sym_word] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_friend] = ACTIONS(2976),
    [anon_sym_public] = ACTIONS(2976),
    [anon_sym_private] = ACTIONS(2976),
    [anon_sym_protected] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
  },
  [1895] = {
    [sym_identifier] = ACTIONS(3012),
    [aux_sym_preproc_def_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token2] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3012),
    [sym_preproc_directive] = ACTIONS(3012),
    [anon_sym_LPAREN2] = ACTIONS(3014),
    [anon_sym_TILDE] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3012),
    [anon_sym_typedef] = ACTIONS(3012),
    [anon_sym_virtual] = ACTIONS(3012),
    [anon_sym_extern] = ACTIONS(3012),
    [anon_sym___attribute__] = ACTIONS(3012),
    [anon_sym_COLON_COLON] = ACTIONS(3014),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3014),
    [anon_sym___declspec] = ACTIONS(3012),
    [anon_sym___based] = ACTIONS(3012),
    [anon_sym_signed] = ACTIONS(3012),
    [anon_sym_unsigned] = ACTIONS(3012),
    [anon_sym_long] = ACTIONS(3012),
    [anon_sym_short] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_static] = ACTIONS(3012),
    [anon_sym_register] = ACTIONS(3012),
    [anon_sym_inline] = ACTIONS(3012),
    [anon_sym___inline] = ACTIONS(3012),
    [anon_sym___inline__] = ACTIONS(3012),
    [anon_sym___forceinline] = ACTIONS(3012),
    [anon_sym_thread_local] = ACTIONS(3012),
    [anon_sym___thread] = ACTIONS(3012),
    [anon_sym_const] = ACTIONS(3012),
    [anon_sym_constexpr] = ACTIONS(3012),
    [anon_sym_volatile] = ACTIONS(3012),
    [anon_sym_restrict] = ACTIONS(3012),
    [anon_sym___restrict__] = ACTIONS(3012),
    [anon_sym__Atomic] = ACTIONS(3012),
    [anon_sym__Noreturn] = ACTIONS(3012),
    [anon_sym_noreturn] = ACTIONS(3012),
    [anon_sym__Nonnull] = ACTIONS(3012),
    [anon_sym_mutable] = ACTIONS(3012),
    [anon_sym_constinit] = ACTIONS(3012),
    [anon_sym_consteval] = ACTIONS(3012),
    [anon_sym_PROGMEM] = ACTIONS(3012),
    [anon_sym_alignas] = ACTIONS(3012),
    [anon_sym__Alignas] = ACTIONS(3012),
    [aux_sym_primitive_type_token1] = ACTIONS(3012),
    [anon_sym_byte] = ACTIONS(3012),
    [anon_sym_word] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3012),
    [anon_sym_struct] = ACTIONS(3012),
    [anon_sym_union] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3012),
    [anon_sym_decltype] = ACTIONS(3012),
    [anon_sym_explicit] = ACTIONS(3012),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(3012),
    [anon_sym_friend] = ACTIONS(3012),
    [anon_sym_public] = ACTIONS(3012),
    [anon_sym_private] = ACTIONS(3012),
    [anon_sym_protected] = ACTIONS(3012),
    [anon_sym_using] = ACTIONS(3012),
    [anon_sym_static_assert] = ACTIONS(3012),
  },
  [1896] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_PROGMEM] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [aux_sym_primitive_type_token1] = ACTIONS(2928),
    [anon_sym_byte] = ACTIONS(2928),
    [anon_sym_word] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_friend] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_protected] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
  },
  [1897] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_PROGMEM] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [aux_sym_primitive_type_token1] = ACTIONS(2814),
    [anon_sym_byte] = ACTIONS(2814),
    [anon_sym_word] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_friend] = ACTIONS(2814),
    [anon_sym_public] = ACTIONS(2814),
    [anon_sym_private] = ACTIONS(2814),
    [anon_sym_protected] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
  },
  [1898] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token2] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_LPAREN2] = ACTIONS(5371),
    [anon_sym_TILDE] = ACTIONS(5371),
    [anon_sym_STAR] = ACTIONS(5371),
    [anon_sym_AMP_AMP] = ACTIONS(5371),
    [anon_sym_AMP] = ACTIONS(5369),
    [anon_sym_SEMI] = ACTIONS(5371),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_virtual] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym_COLON_COLON] = ACTIONS(5371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___based] = ACTIONS(5369),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_mutable] = ACTIONS(5369),
    [anon_sym_constinit] = ACTIONS(5369),
    [anon_sym_consteval] = ACTIONS(5369),
    [anon_sym_PROGMEM] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [aux_sym_primitive_type_token1] = ACTIONS(5369),
    [anon_sym_byte] = ACTIONS(5369),
    [anon_sym_word] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_class] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5369),
    [anon_sym_decltype] = ACTIONS(5369),
    [anon_sym_explicit] = ACTIONS(5369),
    [anon_sym_typename] = ACTIONS(5369),
    [anon_sym_template] = ACTIONS(5369),
    [anon_sym_operator] = ACTIONS(5369),
    [anon_sym_friend] = ACTIONS(5369),
    [anon_sym_public] = ACTIONS(5369),
    [anon_sym_private] = ACTIONS(5369),
    [anon_sym_protected] = ACTIONS(5369),
    [anon_sym_using] = ACTIONS(5369),
    [anon_sym_static_assert] = ACTIONS(5369),
  },
  [1899] = {
    [sym_identifier] = ACTIONS(5365),
    [aux_sym_preproc_def_token1] = ACTIONS(5365),
    [aux_sym_preproc_if_token1] = ACTIONS(5365),
    [aux_sym_preproc_if_token2] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5365),
    [sym_preproc_directive] = ACTIONS(5365),
    [anon_sym_LPAREN2] = ACTIONS(5367),
    [anon_sym_TILDE] = ACTIONS(5367),
    [anon_sym_STAR] = ACTIONS(5367),
    [anon_sym_AMP_AMP] = ACTIONS(5367),
    [anon_sym_AMP] = ACTIONS(5365),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5365),
    [anon_sym_typedef] = ACTIONS(5365),
    [anon_sym_virtual] = ACTIONS(5365),
    [anon_sym_extern] = ACTIONS(5365),
    [anon_sym___attribute__] = ACTIONS(5365),
    [anon_sym_COLON_COLON] = ACTIONS(5367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5367),
    [anon_sym___declspec] = ACTIONS(5365),
    [anon_sym___based] = ACTIONS(5365),
    [anon_sym_signed] = ACTIONS(5365),
    [anon_sym_unsigned] = ACTIONS(5365),
    [anon_sym_long] = ACTIONS(5365),
    [anon_sym_short] = ACTIONS(5365),
    [anon_sym_LBRACK] = ACTIONS(5365),
    [anon_sym_static] = ACTIONS(5365),
    [anon_sym_register] = ACTIONS(5365),
    [anon_sym_inline] = ACTIONS(5365),
    [anon_sym___inline] = ACTIONS(5365),
    [anon_sym___inline__] = ACTIONS(5365),
    [anon_sym___forceinline] = ACTIONS(5365),
    [anon_sym_thread_local] = ACTIONS(5365),
    [anon_sym___thread] = ACTIONS(5365),
    [anon_sym_const] = ACTIONS(5365),
    [anon_sym_constexpr] = ACTIONS(5365),
    [anon_sym_volatile] = ACTIONS(5365),
    [anon_sym_restrict] = ACTIONS(5365),
    [anon_sym___restrict__] = ACTIONS(5365),
    [anon_sym__Atomic] = ACTIONS(5365),
    [anon_sym__Noreturn] = ACTIONS(5365),
    [anon_sym_noreturn] = ACTIONS(5365),
    [anon_sym__Nonnull] = ACTIONS(5365),
    [anon_sym_mutable] = ACTIONS(5365),
    [anon_sym_constinit] = ACTIONS(5365),
    [anon_sym_consteval] = ACTIONS(5365),
    [anon_sym_PROGMEM] = ACTIONS(5365),
    [anon_sym_alignas] = ACTIONS(5365),
    [anon_sym__Alignas] = ACTIONS(5365),
    [aux_sym_primitive_type_token1] = ACTIONS(5365),
    [anon_sym_byte] = ACTIONS(5365),
    [anon_sym_word] = ACTIONS(5365),
    [anon_sym_enum] = ACTIONS(5365),
    [anon_sym_class] = ACTIONS(5365),
    [anon_sym_struct] = ACTIONS(5365),
    [anon_sym_union] = ACTIONS(5365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5365),
    [anon_sym_decltype] = ACTIONS(5365),
    [anon_sym_explicit] = ACTIONS(5365),
    [anon_sym_typename] = ACTIONS(5365),
    [anon_sym_template] = ACTIONS(5365),
    [anon_sym_operator] = ACTIONS(5365),
    [anon_sym_friend] = ACTIONS(5365),
    [anon_sym_public] = ACTIONS(5365),
    [anon_sym_private] = ACTIONS(5365),
    [anon_sym_protected] = ACTIONS(5365),
    [anon_sym_using] = ACTIONS(5365),
    [anon_sym_static_assert] = ACTIONS(5365),
  },
  [1900] = {
    [sym_identifier] = ACTIONS(3074),
    [aux_sym_preproc_def_token1] = ACTIONS(3074),
    [aux_sym_preproc_if_token1] = ACTIONS(3074),
    [aux_sym_preproc_if_token2] = ACTIONS(3074),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3074),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3074),
    [sym_preproc_directive] = ACTIONS(3074),
    [anon_sym_LPAREN2] = ACTIONS(3076),
    [anon_sym_TILDE] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym___extension__] = ACTIONS(3074),
    [anon_sym_typedef] = ACTIONS(3074),
    [anon_sym_virtual] = ACTIONS(3074),
    [anon_sym_extern] = ACTIONS(3074),
    [anon_sym___attribute__] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3076),
    [anon_sym___declspec] = ACTIONS(3074),
    [anon_sym___based] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3074),
    [anon_sym_unsigned] = ACTIONS(3074),
    [anon_sym_long] = ACTIONS(3074),
    [anon_sym_short] = ACTIONS(3074),
    [anon_sym_LBRACK] = ACTIONS(3074),
    [anon_sym_static] = ACTIONS(3074),
    [anon_sym_register] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym___inline] = ACTIONS(3074),
    [anon_sym___inline__] = ACTIONS(3074),
    [anon_sym___forceinline] = ACTIONS(3074),
    [anon_sym_thread_local] = ACTIONS(3074),
    [anon_sym___thread] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_constexpr] = ACTIONS(3074),
    [anon_sym_volatile] = ACTIONS(3074),
    [anon_sym_restrict] = ACTIONS(3074),
    [anon_sym___restrict__] = ACTIONS(3074),
    [anon_sym__Atomic] = ACTIONS(3074),
    [anon_sym__Noreturn] = ACTIONS(3074),
    [anon_sym_noreturn] = ACTIONS(3074),
    [anon_sym__Nonnull] = ACTIONS(3074),
    [anon_sym_mutable] = ACTIONS(3074),
    [anon_sym_constinit] = ACTIONS(3074),
    [anon_sym_consteval] = ACTIONS(3074),
    [anon_sym_PROGMEM] = ACTIONS(3074),
    [anon_sym_alignas] = ACTIONS(3074),
    [anon_sym__Alignas] = ACTIONS(3074),
    [aux_sym_primitive_type_token1] = ACTIONS(3074),
    [anon_sym_byte] = ACTIONS(3074),
    [anon_sym_word] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_class] = ACTIONS(3074),
    [anon_sym_struct] = ACTIONS(3074),
    [anon_sym_union] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3074),
    [anon_sym_explicit] = ACTIONS(3074),
    [anon_sym_typename] = ACTIONS(3074),
    [anon_sym_template] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_friend] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_using] = ACTIONS(3074),
    [anon_sym_static_assert] = ACTIONS(3074),
  },
  [1901] = {
    [sym_identifier] = ACTIONS(3066),
    [aux_sym_preproc_def_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token2] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3066),
    [sym_preproc_directive] = ACTIONS(3066),
    [anon_sym_LPAREN2] = ACTIONS(3068),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3068),
    [anon_sym___extension__] = ACTIONS(3066),
    [anon_sym_typedef] = ACTIONS(3066),
    [anon_sym_virtual] = ACTIONS(3066),
    [anon_sym_extern] = ACTIONS(3066),
    [anon_sym___attribute__] = ACTIONS(3066),
    [anon_sym_COLON_COLON] = ACTIONS(3068),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3068),
    [anon_sym___declspec] = ACTIONS(3066),
    [anon_sym___based] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3066),
    [anon_sym_unsigned] = ACTIONS(3066),
    [anon_sym_long] = ACTIONS(3066),
    [anon_sym_short] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_register] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(3066),
    [anon_sym___inline] = ACTIONS(3066),
    [anon_sym___inline__] = ACTIONS(3066),
    [anon_sym___forceinline] = ACTIONS(3066),
    [anon_sym_thread_local] = ACTIONS(3066),
    [anon_sym___thread] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_constexpr] = ACTIONS(3066),
    [anon_sym_volatile] = ACTIONS(3066),
    [anon_sym_restrict] = ACTIONS(3066),
    [anon_sym___restrict__] = ACTIONS(3066),
    [anon_sym__Atomic] = ACTIONS(3066),
    [anon_sym__Noreturn] = ACTIONS(3066),
    [anon_sym_noreturn] = ACTIONS(3066),
    [anon_sym__Nonnull] = ACTIONS(3066),
    [anon_sym_mutable] = ACTIONS(3066),
    [anon_sym_constinit] = ACTIONS(3066),
    [anon_sym_consteval] = ACTIONS(3066),
    [anon_sym_PROGMEM] = ACTIONS(3066),
    [anon_sym_alignas] = ACTIONS(3066),
    [anon_sym__Alignas] = ACTIONS(3066),
    [aux_sym_primitive_type_token1] = ACTIONS(3066),
    [anon_sym_byte] = ACTIONS(3066),
    [anon_sym_word] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_struct] = ACTIONS(3066),
    [anon_sym_union] = ACTIONS(3066),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3066),
    [anon_sym_decltype] = ACTIONS(3066),
    [anon_sym_explicit] = ACTIONS(3066),
    [anon_sym_typename] = ACTIONS(3066),
    [anon_sym_template] = ACTIONS(3066),
    [anon_sym_operator] = ACTIONS(3066),
    [anon_sym_friend] = ACTIONS(3066),
    [anon_sym_public] = ACTIONS(3066),
    [anon_sym_private] = ACTIONS(3066),
    [anon_sym_protected] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_static_assert] = ACTIONS(3066),
  },
  [1902] = {
    [sym_identifier] = ACTIONS(5303),
    [aux_sym_preproc_def_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5303),
    [sym_preproc_directive] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5305),
    [anon_sym_TILDE] = ACTIONS(5305),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_AMP] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym___extension__] = ACTIONS(5303),
    [anon_sym_typedef] = ACTIONS(5303),
    [anon_sym_virtual] = ACTIONS(5303),
    [anon_sym_extern] = ACTIONS(5303),
    [anon_sym___attribute__] = ACTIONS(5303),
    [anon_sym_COLON_COLON] = ACTIONS(5305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5305),
    [anon_sym___declspec] = ACTIONS(5303),
    [anon_sym___based] = ACTIONS(5303),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_signed] = ACTIONS(5303),
    [anon_sym_unsigned] = ACTIONS(5303),
    [anon_sym_long] = ACTIONS(5303),
    [anon_sym_short] = ACTIONS(5303),
    [anon_sym_LBRACK] = ACTIONS(5303),
    [anon_sym_static] = ACTIONS(5303),
    [anon_sym_register] = ACTIONS(5303),
    [anon_sym_inline] = ACTIONS(5303),
    [anon_sym___inline] = ACTIONS(5303),
    [anon_sym___inline__] = ACTIONS(5303),
    [anon_sym___forceinline] = ACTIONS(5303),
    [anon_sym_thread_local] = ACTIONS(5303),
    [anon_sym___thread] = ACTIONS(5303),
    [anon_sym_const] = ACTIONS(5303),
    [anon_sym_constexpr] = ACTIONS(5303),
    [anon_sym_volatile] = ACTIONS(5303),
    [anon_sym_restrict] = ACTIONS(5303),
    [anon_sym___restrict__] = ACTIONS(5303),
    [anon_sym__Atomic] = ACTIONS(5303),
    [anon_sym__Noreturn] = ACTIONS(5303),
    [anon_sym_noreturn] = ACTIONS(5303),
    [anon_sym__Nonnull] = ACTIONS(5303),
    [anon_sym_mutable] = ACTIONS(5303),
    [anon_sym_constinit] = ACTIONS(5303),
    [anon_sym_consteval] = ACTIONS(5303),
    [anon_sym_PROGMEM] = ACTIONS(5303),
    [anon_sym_alignas] = ACTIONS(5303),
    [anon_sym__Alignas] = ACTIONS(5303),
    [aux_sym_primitive_type_token1] = ACTIONS(5303),
    [anon_sym_byte] = ACTIONS(5303),
    [anon_sym_word] = ACTIONS(5303),
    [anon_sym_enum] = ACTIONS(5303),
    [anon_sym_class] = ACTIONS(5303),
    [anon_sym_struct] = ACTIONS(5303),
    [anon_sym_union] = ACTIONS(5303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5303),
    [anon_sym_decltype] = ACTIONS(5303),
    [anon_sym_explicit] = ACTIONS(5303),
    [anon_sym_typename] = ACTIONS(5303),
    [anon_sym_template] = ACTIONS(5303),
    [anon_sym_operator] = ACTIONS(5303),
    [anon_sym_friend] = ACTIONS(5303),
    [anon_sym_public] = ACTIONS(5303),
    [anon_sym_private] = ACTIONS(5303),
    [anon_sym_protected] = ACTIONS(5303),
    [anon_sym_using] = ACTIONS(5303),
    [anon_sym_static_assert] = ACTIONS(5303),
  },
  [1903] = {
    [sym_identifier] = ACTIONS(3016),
    [aux_sym_preproc_def_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token1] = ACTIONS(3016),
    [aux_sym_preproc_if_token2] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3016),
    [sym_preproc_directive] = ACTIONS(3016),
    [anon_sym_LPAREN2] = ACTIONS(3018),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3018),
    [anon_sym___extension__] = ACTIONS(3016),
    [anon_sym_typedef] = ACTIONS(3016),
    [anon_sym_virtual] = ACTIONS(3016),
    [anon_sym_extern] = ACTIONS(3016),
    [anon_sym___attribute__] = ACTIONS(3016),
    [anon_sym_COLON_COLON] = ACTIONS(3018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3018),
    [anon_sym___declspec] = ACTIONS(3016),
    [anon_sym___based] = ACTIONS(3016),
    [anon_sym_signed] = ACTIONS(3016),
    [anon_sym_unsigned] = ACTIONS(3016),
    [anon_sym_long] = ACTIONS(3016),
    [anon_sym_short] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_static] = ACTIONS(3016),
    [anon_sym_register] = ACTIONS(3016),
    [anon_sym_inline] = ACTIONS(3016),
    [anon_sym___inline] = ACTIONS(3016),
    [anon_sym___inline__] = ACTIONS(3016),
    [anon_sym___forceinline] = ACTIONS(3016),
    [anon_sym_thread_local] = ACTIONS(3016),
    [anon_sym___thread] = ACTIONS(3016),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_constexpr] = ACTIONS(3016),
    [anon_sym_volatile] = ACTIONS(3016),
    [anon_sym_restrict] = ACTIONS(3016),
    [anon_sym___restrict__] = ACTIONS(3016),
    [anon_sym__Atomic] = ACTIONS(3016),
    [anon_sym__Noreturn] = ACTIONS(3016),
    [anon_sym_noreturn] = ACTIONS(3016),
    [anon_sym__Nonnull] = ACTIONS(3016),
    [anon_sym_mutable] = ACTIONS(3016),
    [anon_sym_constinit] = ACTIONS(3016),
    [anon_sym_consteval] = ACTIONS(3016),
    [anon_sym_PROGMEM] = ACTIONS(3016),
    [anon_sym_alignas] = ACTIONS(3016),
    [anon_sym__Alignas] = ACTIONS(3016),
    [aux_sym_primitive_type_token1] = ACTIONS(3016),
    [anon_sym_byte] = ACTIONS(3016),
    [anon_sym_word] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_struct] = ACTIONS(3016),
    [anon_sym_union] = ACTIONS(3016),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3016),
    [anon_sym_decltype] = ACTIONS(3016),
    [anon_sym_explicit] = ACTIONS(3016),
    [anon_sym_typename] = ACTIONS(3016),
    [anon_sym_template] = ACTIONS(3016),
    [anon_sym_operator] = ACTIONS(3016),
    [anon_sym_friend] = ACTIONS(3016),
    [anon_sym_public] = ACTIONS(3016),
    [anon_sym_private] = ACTIONS(3016),
    [anon_sym_protected] = ACTIONS(3016),
    [anon_sym_using] = ACTIONS(3016),
    [anon_sym_static_assert] = ACTIONS(3016),
  },
  [1904] = {
    [sym_identifier] = ACTIONS(3133),
    [aux_sym_preproc_def_token1] = ACTIONS(3133),
    [aux_sym_preproc_if_token1] = ACTIONS(3133),
    [aux_sym_preproc_if_token2] = ACTIONS(3133),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3133),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3133),
    [sym_preproc_directive] = ACTIONS(3133),
    [anon_sym_LPAREN2] = ACTIONS(3135),
    [anon_sym_TILDE] = ACTIONS(3135),
    [anon_sym_STAR] = ACTIONS(3135),
    [anon_sym_AMP_AMP] = ACTIONS(3135),
    [anon_sym_AMP] = ACTIONS(3133),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym___extension__] = ACTIONS(3133),
    [anon_sym_typedef] = ACTIONS(3133),
    [anon_sym_virtual] = ACTIONS(3133),
    [anon_sym_extern] = ACTIONS(3133),
    [anon_sym___attribute__] = ACTIONS(3133),
    [anon_sym_COLON_COLON] = ACTIONS(3135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3135),
    [anon_sym___declspec] = ACTIONS(3133),
    [anon_sym___based] = ACTIONS(3133),
    [anon_sym_signed] = ACTIONS(3133),
    [anon_sym_unsigned] = ACTIONS(3133),
    [anon_sym_long] = ACTIONS(3133),
    [anon_sym_short] = ACTIONS(3133),
    [anon_sym_LBRACK] = ACTIONS(3133),
    [anon_sym_static] = ACTIONS(3133),
    [anon_sym_register] = ACTIONS(3133),
    [anon_sym_inline] = ACTIONS(3133),
    [anon_sym___inline] = ACTIONS(3133),
    [anon_sym___inline__] = ACTIONS(3133),
    [anon_sym___forceinline] = ACTIONS(3133),
    [anon_sym_thread_local] = ACTIONS(3133),
    [anon_sym___thread] = ACTIONS(3133),
    [anon_sym_const] = ACTIONS(3133),
    [anon_sym_constexpr] = ACTIONS(3133),
    [anon_sym_volatile] = ACTIONS(3133),
    [anon_sym_restrict] = ACTIONS(3133),
    [anon_sym___restrict__] = ACTIONS(3133),
    [anon_sym__Atomic] = ACTIONS(3133),
    [anon_sym__Noreturn] = ACTIONS(3133),
    [anon_sym_noreturn] = ACTIONS(3133),
    [anon_sym__Nonnull] = ACTIONS(3133),
    [anon_sym_mutable] = ACTIONS(3133),
    [anon_sym_constinit] = ACTIONS(3133),
    [anon_sym_consteval] = ACTIONS(3133),
    [anon_sym_PROGMEM] = ACTIONS(3133),
    [anon_sym_alignas] = ACTIONS(3133),
    [anon_sym__Alignas] = ACTIONS(3133),
    [aux_sym_primitive_type_token1] = ACTIONS(3133),
    [anon_sym_byte] = ACTIONS(3133),
    [anon_sym_word] = ACTIONS(3133),
    [anon_sym_enum] = ACTIONS(3133),
    [anon_sym_class] = ACTIONS(3133),
    [anon_sym_struct] = ACTIONS(3133),
    [anon_sym_union] = ACTIONS(3133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3133),
    [anon_sym_decltype] = ACTIONS(3133),
    [anon_sym_explicit] = ACTIONS(3133),
    [anon_sym_typename] = ACTIONS(3133),
    [anon_sym_template] = ACTIONS(3133),
    [anon_sym_operator] = ACTIONS(3133),
    [anon_sym_friend] = ACTIONS(3133),
    [anon_sym_public] = ACTIONS(3133),
    [anon_sym_private] = ACTIONS(3133),
    [anon_sym_protected] = ACTIONS(3133),
    [anon_sym_using] = ACTIONS(3133),
    [anon_sym_static_assert] = ACTIONS(3133),
  },
  [1905] = {
    [sym_identifier] = ACTIONS(3004),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token2] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3004),
    [sym_preproc_directive] = ACTIONS(3004),
    [anon_sym_LPAREN2] = ACTIONS(3006),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3006),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3004),
    [anon_sym_virtual] = ACTIONS(3004),
    [anon_sym_extern] = ACTIONS(3004),
    [anon_sym___attribute__] = ACTIONS(3004),
    [anon_sym_COLON_COLON] = ACTIONS(3006),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3006),
    [anon_sym___declspec] = ACTIONS(3004),
    [anon_sym___based] = ACTIONS(3004),
    [anon_sym_signed] = ACTIONS(3004),
    [anon_sym_unsigned] = ACTIONS(3004),
    [anon_sym_long] = ACTIONS(3004),
    [anon_sym_short] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_register] = ACTIONS(3004),
    [anon_sym_inline] = ACTIONS(3004),
    [anon_sym___inline] = ACTIONS(3004),
    [anon_sym___inline__] = ACTIONS(3004),
    [anon_sym___forceinline] = ACTIONS(3004),
    [anon_sym_thread_local] = ACTIONS(3004),
    [anon_sym___thread] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_constexpr] = ACTIONS(3004),
    [anon_sym_volatile] = ACTIONS(3004),
    [anon_sym_restrict] = ACTIONS(3004),
    [anon_sym___restrict__] = ACTIONS(3004),
    [anon_sym__Atomic] = ACTIONS(3004),
    [anon_sym__Noreturn] = ACTIONS(3004),
    [anon_sym_noreturn] = ACTIONS(3004),
    [anon_sym__Nonnull] = ACTIONS(3004),
    [anon_sym_mutable] = ACTIONS(3004),
    [anon_sym_constinit] = ACTIONS(3004),
    [anon_sym_consteval] = ACTIONS(3004),
    [anon_sym_PROGMEM] = ACTIONS(3004),
    [anon_sym_alignas] = ACTIONS(3004),
    [anon_sym__Alignas] = ACTIONS(3004),
    [aux_sym_primitive_type_token1] = ACTIONS(3004),
    [anon_sym_byte] = ACTIONS(3004),
    [anon_sym_word] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_union] = ACTIONS(3004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3004),
    [anon_sym_explicit] = ACTIONS(3004),
    [anon_sym_typename] = ACTIONS(3004),
    [anon_sym_template] = ACTIONS(3004),
    [anon_sym_operator] = ACTIONS(3004),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(3004),
    [anon_sym_private] = ACTIONS(3004),
    [anon_sym_protected] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(3004),
    [anon_sym_static_assert] = ACTIONS(3004),
  },
  [1906] = {
    [sym_identifier] = ACTIONS(5247),
    [aux_sym_preproc_def_token1] = ACTIONS(5247),
    [aux_sym_preproc_if_token1] = ACTIONS(5247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5247),
    [sym_preproc_directive] = ACTIONS(5247),
    [anon_sym_LPAREN2] = ACTIONS(5249),
    [anon_sym_TILDE] = ACTIONS(5249),
    [anon_sym_STAR] = ACTIONS(5249),
    [anon_sym_AMP_AMP] = ACTIONS(5249),
    [anon_sym_AMP] = ACTIONS(5247),
    [anon_sym_SEMI] = ACTIONS(5249),
    [anon_sym___extension__] = ACTIONS(5247),
    [anon_sym_typedef] = ACTIONS(5247),
    [anon_sym_virtual] = ACTIONS(5247),
    [anon_sym_extern] = ACTIONS(5247),
    [anon_sym___attribute__] = ACTIONS(5247),
    [anon_sym_COLON_COLON] = ACTIONS(5249),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5249),
    [anon_sym___declspec] = ACTIONS(5247),
    [anon_sym___based] = ACTIONS(5247),
    [anon_sym_RBRACE] = ACTIONS(5249),
    [anon_sym_signed] = ACTIONS(5247),
    [anon_sym_unsigned] = ACTIONS(5247),
    [anon_sym_long] = ACTIONS(5247),
    [anon_sym_short] = ACTIONS(5247),
    [anon_sym_LBRACK] = ACTIONS(5247),
    [anon_sym_static] = ACTIONS(5247),
    [anon_sym_register] = ACTIONS(5247),
    [anon_sym_inline] = ACTIONS(5247),
    [anon_sym___inline] = ACTIONS(5247),
    [anon_sym___inline__] = ACTIONS(5247),
    [anon_sym___forceinline] = ACTIONS(5247),
    [anon_sym_thread_local] = ACTIONS(5247),
    [anon_sym___thread] = ACTIONS(5247),
    [anon_sym_const] = ACTIONS(5247),
    [anon_sym_constexpr] = ACTIONS(5247),
    [anon_sym_volatile] = ACTIONS(5247),
    [anon_sym_restrict] = ACTIONS(5247),
    [anon_sym___restrict__] = ACTIONS(5247),
    [anon_sym__Atomic] = ACTIONS(5247),
    [anon_sym__Noreturn] = ACTIONS(5247),
    [anon_sym_noreturn] = ACTIONS(5247),
    [anon_sym__Nonnull] = ACTIONS(5247),
    [anon_sym_mutable] = ACTIONS(5247),
    [anon_sym_constinit] = ACTIONS(5247),
    [anon_sym_consteval] = ACTIONS(5247),
    [anon_sym_PROGMEM] = ACTIONS(5247),
    [anon_sym_alignas] = ACTIONS(5247),
    [anon_sym__Alignas] = ACTIONS(5247),
    [aux_sym_primitive_type_token1] = ACTIONS(5247),
    [anon_sym_byte] = ACTIONS(5247),
    [anon_sym_word] = ACTIONS(5247),
    [anon_sym_enum] = ACTIONS(5247),
    [anon_sym_class] = ACTIONS(5247),
    [anon_sym_struct] = ACTIONS(5247),
    [anon_sym_union] = ACTIONS(5247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5247),
    [anon_sym_decltype] = ACTIONS(5247),
    [anon_sym_explicit] = ACTIONS(5247),
    [anon_sym_typename] = ACTIONS(5247),
    [anon_sym_template] = ACTIONS(5247),
    [anon_sym_operator] = ACTIONS(5247),
    [anon_sym_friend] = ACTIONS(5247),
    [anon_sym_public] = ACTIONS(5247),
    [anon_sym_private] = ACTIONS(5247),
    [anon_sym_protected] = ACTIONS(5247),
    [anon_sym_using] = ACTIONS(5247),
    [anon_sym_static_assert] = ACTIONS(5247),
  },
  [1907] = {
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token2] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_virtual] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym__Nonnull] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [anon_sym_PROGMEM] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym__Alignas] = ACTIONS(2964),
    [aux_sym_primitive_type_token1] = ACTIONS(2964),
    [anon_sym_byte] = ACTIONS(2964),
    [anon_sym_word] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_friend] = ACTIONS(2964),
    [anon_sym_public] = ACTIONS(2964),
    [anon_sym_private] = ACTIONS(2964),
    [anon_sym_protected] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
  },
  [1908] = {
    [sym_identifier] = ACTIONS(3028),
    [aux_sym_preproc_def_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token2] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3028),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym___based] = ACTIONS(3028),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym__Nonnull] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym__Alignas] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_explicit] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_operator] = ACTIONS(3028),
    [anon_sym_friend] = ACTIONS(3028),
    [anon_sym_public] = ACTIONS(3028),
    [anon_sym_private] = ACTIONS(3028),
    [anon_sym_protected] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_static_assert] = ACTIONS(3028),
  },
  [1909] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token2] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_PROGMEM] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [aux_sym_primitive_type_token1] = ACTIONS(2924),
    [anon_sym_byte] = ACTIONS(2924),
    [anon_sym_word] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_friend] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_protected] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
  },
  [1910] = {
    [sym_identifier] = ACTIONS(3070),
    [aux_sym_preproc_def_token1] = ACTIONS(3070),
    [aux_sym_preproc_if_token1] = ACTIONS(3070),
    [aux_sym_preproc_if_token2] = ACTIONS(3070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3070),
    [sym_preproc_directive] = ACTIONS(3070),
    [anon_sym_LPAREN2] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym___extension__] = ACTIONS(3070),
    [anon_sym_typedef] = ACTIONS(3070),
    [anon_sym_virtual] = ACTIONS(3070),
    [anon_sym_extern] = ACTIONS(3070),
    [anon_sym___attribute__] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3072),
    [anon_sym___declspec] = ACTIONS(3070),
    [anon_sym___based] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3070),
    [anon_sym_unsigned] = ACTIONS(3070),
    [anon_sym_long] = ACTIONS(3070),
    [anon_sym_short] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(3070),
    [anon_sym_static] = ACTIONS(3070),
    [anon_sym_register] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym___inline] = ACTIONS(3070),
    [anon_sym___inline__] = ACTIONS(3070),
    [anon_sym___forceinline] = ACTIONS(3070),
    [anon_sym_thread_local] = ACTIONS(3070),
    [anon_sym___thread] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_constexpr] = ACTIONS(3070),
    [anon_sym_volatile] = ACTIONS(3070),
    [anon_sym_restrict] = ACTIONS(3070),
    [anon_sym___restrict__] = ACTIONS(3070),
    [anon_sym__Atomic] = ACTIONS(3070),
    [anon_sym__Noreturn] = ACTIONS(3070),
    [anon_sym_noreturn] = ACTIONS(3070),
    [anon_sym__Nonnull] = ACTIONS(3070),
    [anon_sym_mutable] = ACTIONS(3070),
    [anon_sym_constinit] = ACTIONS(3070),
    [anon_sym_consteval] = ACTIONS(3070),
    [anon_sym_PROGMEM] = ACTIONS(3070),
    [anon_sym_alignas] = ACTIONS(3070),
    [anon_sym__Alignas] = ACTIONS(3070),
    [aux_sym_primitive_type_token1] = ACTIONS(3070),
    [anon_sym_byte] = ACTIONS(3070),
    [anon_sym_word] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_class] = ACTIONS(3070),
    [anon_sym_struct] = ACTIONS(3070),
    [anon_sym_union] = ACTIONS(3070),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3070),
    [anon_sym_decltype] = ACTIONS(3070),
    [anon_sym_explicit] = ACTIONS(3070),
    [anon_sym_typename] = ACTIONS(3070),
    [anon_sym_template] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_friend] = ACTIONS(3070),
    [anon_sym_public] = ACTIONS(3070),
    [anon_sym_private] = ACTIONS(3070),
    [anon_sym_protected] = ACTIONS(3070),
    [anon_sym_using] = ACTIONS(3070),
    [anon_sym_static_assert] = ACTIONS(3070),
  },
  [1911] = {
    [sym_identifier] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token2] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3049),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3047),
    [anon_sym_SEMI] = ACTIONS(3049),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3047),
    [anon_sym_virtual] = ACTIONS(3047),
    [anon_sym_extern] = ACTIONS(3047),
    [anon_sym___attribute__] = ACTIONS(3047),
    [anon_sym_COLON_COLON] = ACTIONS(3049),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3049),
    [anon_sym___declspec] = ACTIONS(3047),
    [anon_sym___based] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(3047),
    [anon_sym_unsigned] = ACTIONS(3047),
    [anon_sym_long] = ACTIONS(3047),
    [anon_sym_short] = ACTIONS(3047),
    [anon_sym_LBRACK] = ACTIONS(3047),
    [anon_sym_static] = ACTIONS(3047),
    [anon_sym_register] = ACTIONS(3047),
    [anon_sym_inline] = ACTIONS(3047),
    [anon_sym___inline] = ACTIONS(3047),
    [anon_sym___inline__] = ACTIONS(3047),
    [anon_sym___forceinline] = ACTIONS(3047),
    [anon_sym_thread_local] = ACTIONS(3047),
    [anon_sym___thread] = ACTIONS(3047),
    [anon_sym_const] = ACTIONS(3047),
    [anon_sym_constexpr] = ACTIONS(3047),
    [anon_sym_volatile] = ACTIONS(3047),
    [anon_sym_restrict] = ACTIONS(3047),
    [anon_sym___restrict__] = ACTIONS(3047),
    [anon_sym__Atomic] = ACTIONS(3047),
    [anon_sym__Noreturn] = ACTIONS(3047),
    [anon_sym_noreturn] = ACTIONS(3047),
    [anon_sym__Nonnull] = ACTIONS(3047),
    [anon_sym_mutable] = ACTIONS(3047),
    [anon_sym_constinit] = ACTIONS(3047),
    [anon_sym_consteval] = ACTIONS(3047),
    [anon_sym_PROGMEM] = ACTIONS(3047),
    [anon_sym_alignas] = ACTIONS(3047),
    [anon_sym__Alignas] = ACTIONS(3047),
    [aux_sym_primitive_type_token1] = ACTIONS(3047),
    [anon_sym_byte] = ACTIONS(3047),
    [anon_sym_word] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3047),
    [anon_sym_class] = ACTIONS(3047),
    [anon_sym_struct] = ACTIONS(3047),
    [anon_sym_union] = ACTIONS(3047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3047),
    [anon_sym_decltype] = ACTIONS(3047),
    [anon_sym_explicit] = ACTIONS(3047),
    [anon_sym_typename] = ACTIONS(3047),
    [anon_sym_template] = ACTIONS(3047),
    [anon_sym_operator] = ACTIONS(3047),
    [anon_sym_friend] = ACTIONS(3047),
    [anon_sym_public] = ACTIONS(3047),
    [anon_sym_private] = ACTIONS(3047),
    [anon_sym_protected] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3047),
    [anon_sym_static_assert] = ACTIONS(3047),
  },
  [1912] = {
    [sym_identifier] = ACTIONS(3082),
    [aux_sym_preproc_def_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token2] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3082),
    [sym_preproc_directive] = ACTIONS(3082),
    [anon_sym_LPAREN2] = ACTIONS(3084),
    [anon_sym_TILDE] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym___extension__] = ACTIONS(3082),
    [anon_sym_typedef] = ACTIONS(3082),
    [anon_sym_virtual] = ACTIONS(3082),
    [anon_sym_extern] = ACTIONS(3082),
    [anon_sym___attribute__] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3084),
    [anon_sym___declspec] = ACTIONS(3082),
    [anon_sym___based] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3082),
    [anon_sym_unsigned] = ACTIONS(3082),
    [anon_sym_long] = ACTIONS(3082),
    [anon_sym_short] = ACTIONS(3082),
    [anon_sym_LBRACK] = ACTIONS(3082),
    [anon_sym_static] = ACTIONS(3082),
    [anon_sym_register] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym___inline] = ACTIONS(3082),
    [anon_sym___inline__] = ACTIONS(3082),
    [anon_sym___forceinline] = ACTIONS(3082),
    [anon_sym_thread_local] = ACTIONS(3082),
    [anon_sym___thread] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_constexpr] = ACTIONS(3082),
    [anon_sym_volatile] = ACTIONS(3082),
    [anon_sym_restrict] = ACTIONS(3082),
    [anon_sym___restrict__] = ACTIONS(3082),
    [anon_sym__Atomic] = ACTIONS(3082),
    [anon_sym__Noreturn] = ACTIONS(3082),
    [anon_sym_noreturn] = ACTIONS(3082),
    [anon_sym__Nonnull] = ACTIONS(3082),
    [anon_sym_mutable] = ACTIONS(3082),
    [anon_sym_constinit] = ACTIONS(3082),
    [anon_sym_consteval] = ACTIONS(3082),
    [anon_sym_PROGMEM] = ACTIONS(3082),
    [anon_sym_alignas] = ACTIONS(3082),
    [anon_sym__Alignas] = ACTIONS(3082),
    [aux_sym_primitive_type_token1] = ACTIONS(3082),
    [anon_sym_byte] = ACTIONS(3082),
    [anon_sym_word] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3082),
    [anon_sym_struct] = ACTIONS(3082),
    [anon_sym_union] = ACTIONS(3082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3082),
    [anon_sym_decltype] = ACTIONS(3082),
    [anon_sym_explicit] = ACTIONS(3082),
    [anon_sym_typename] = ACTIONS(3082),
    [anon_sym_template] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_friend] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_using] = ACTIONS(3082),
    [anon_sym_static_assert] = ACTIONS(3082),
  },
  [1913] = {
    [sym_identifier] = ACTIONS(3082),
    [aux_sym_preproc_def_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token2] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3082),
    [sym_preproc_directive] = ACTIONS(3082),
    [anon_sym_LPAREN2] = ACTIONS(3084),
    [anon_sym_TILDE] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym___extension__] = ACTIONS(3082),
    [anon_sym_typedef] = ACTIONS(3082),
    [anon_sym_virtual] = ACTIONS(3082),
    [anon_sym_extern] = ACTIONS(3082),
    [anon_sym___attribute__] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3084),
    [anon_sym___declspec] = ACTIONS(3082),
    [anon_sym___based] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3082),
    [anon_sym_unsigned] = ACTIONS(3082),
    [anon_sym_long] = ACTIONS(3082),
    [anon_sym_short] = ACTIONS(3082),
    [anon_sym_LBRACK] = ACTIONS(3082),
    [anon_sym_static] = ACTIONS(3082),
    [anon_sym_register] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym___inline] = ACTIONS(3082),
    [anon_sym___inline__] = ACTIONS(3082),
    [anon_sym___forceinline] = ACTIONS(3082),
    [anon_sym_thread_local] = ACTIONS(3082),
    [anon_sym___thread] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_constexpr] = ACTIONS(3082),
    [anon_sym_volatile] = ACTIONS(3082),
    [anon_sym_restrict] = ACTIONS(3082),
    [anon_sym___restrict__] = ACTIONS(3082),
    [anon_sym__Atomic] = ACTIONS(3082),
    [anon_sym__Noreturn] = ACTIONS(3082),
    [anon_sym_noreturn] = ACTIONS(3082),
    [anon_sym__Nonnull] = ACTIONS(3082),
    [anon_sym_mutable] = ACTIONS(3082),
    [anon_sym_constinit] = ACTIONS(3082),
    [anon_sym_consteval] = ACTIONS(3082),
    [anon_sym_PROGMEM] = ACTIONS(3082),
    [anon_sym_alignas] = ACTIONS(3082),
    [anon_sym__Alignas] = ACTIONS(3082),
    [aux_sym_primitive_type_token1] = ACTIONS(3082),
    [anon_sym_byte] = ACTIONS(3082),
    [anon_sym_word] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3082),
    [anon_sym_struct] = ACTIONS(3082),
    [anon_sym_union] = ACTIONS(3082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3082),
    [anon_sym_decltype] = ACTIONS(3082),
    [anon_sym_explicit] = ACTIONS(3082),
    [anon_sym_typename] = ACTIONS(3082),
    [anon_sym_template] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_friend] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_using] = ACTIONS(3082),
    [anon_sym_static_assert] = ACTIONS(3082),
  },
  [1914] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_PROGMEM] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [aux_sym_primitive_type_token1] = ACTIONS(2814),
    [anon_sym_byte] = ACTIONS(2814),
    [anon_sym_word] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_friend] = ACTIONS(2814),
    [anon_sym_public] = ACTIONS(2814),
    [anon_sym_private] = ACTIONS(2814),
    [anon_sym_protected] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
  },
  [1915] = {
    [sym_identifier] = ACTIONS(5223),
    [aux_sym_preproc_def_token1] = ACTIONS(5223),
    [aux_sym_preproc_if_token1] = ACTIONS(5223),
    [aux_sym_preproc_if_token2] = ACTIONS(5223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5223),
    [sym_preproc_directive] = ACTIONS(5223),
    [anon_sym_LPAREN2] = ACTIONS(5225),
    [anon_sym_TILDE] = ACTIONS(5225),
    [anon_sym_STAR] = ACTIONS(5225),
    [anon_sym_AMP_AMP] = ACTIONS(5225),
    [anon_sym_AMP] = ACTIONS(5223),
    [anon_sym_SEMI] = ACTIONS(5225),
    [anon_sym___extension__] = ACTIONS(5223),
    [anon_sym_typedef] = ACTIONS(5223),
    [anon_sym_virtual] = ACTIONS(5223),
    [anon_sym_extern] = ACTIONS(5223),
    [anon_sym___attribute__] = ACTIONS(5223),
    [anon_sym_COLON_COLON] = ACTIONS(5225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5225),
    [anon_sym___declspec] = ACTIONS(5223),
    [anon_sym___based] = ACTIONS(5223),
    [anon_sym_signed] = ACTIONS(5223),
    [anon_sym_unsigned] = ACTIONS(5223),
    [anon_sym_long] = ACTIONS(5223),
    [anon_sym_short] = ACTIONS(5223),
    [anon_sym_LBRACK] = ACTIONS(5223),
    [anon_sym_static] = ACTIONS(5223),
    [anon_sym_register] = ACTIONS(5223),
    [anon_sym_inline] = ACTIONS(5223),
    [anon_sym___inline] = ACTIONS(5223),
    [anon_sym___inline__] = ACTIONS(5223),
    [anon_sym___forceinline] = ACTIONS(5223),
    [anon_sym_thread_local] = ACTIONS(5223),
    [anon_sym___thread] = ACTIONS(5223),
    [anon_sym_const] = ACTIONS(5223),
    [anon_sym_constexpr] = ACTIONS(5223),
    [anon_sym_volatile] = ACTIONS(5223),
    [anon_sym_restrict] = ACTIONS(5223),
    [anon_sym___restrict__] = ACTIONS(5223),
    [anon_sym__Atomic] = ACTIONS(5223),
    [anon_sym__Noreturn] = ACTIONS(5223),
    [anon_sym_noreturn] = ACTIONS(5223),
    [anon_sym__Nonnull] = ACTIONS(5223),
    [anon_sym_mutable] = ACTIONS(5223),
    [anon_sym_constinit] = ACTIONS(5223),
    [anon_sym_consteval] = ACTIONS(5223),
    [anon_sym_PROGMEM] = ACTIONS(5223),
    [anon_sym_alignas] = ACTIONS(5223),
    [anon_sym__Alignas] = ACTIONS(5223),
    [aux_sym_primitive_type_token1] = ACTIONS(5223),
    [anon_sym_byte] = ACTIONS(5223),
    [anon_sym_word] = ACTIONS(5223),
    [anon_sym_enum] = ACTIONS(5223),
    [anon_sym_class] = ACTIONS(5223),
    [anon_sym_struct] = ACTIONS(5223),
    [anon_sym_union] = ACTIONS(5223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5223),
    [anon_sym_decltype] = ACTIONS(5223),
    [anon_sym_explicit] = ACTIONS(5223),
    [anon_sym_typename] = ACTIONS(5223),
    [anon_sym_template] = ACTIONS(5223),
    [anon_sym_operator] = ACTIONS(5223),
    [anon_sym_friend] = ACTIONS(5223),
    [anon_sym_public] = ACTIONS(5223),
    [anon_sym_private] = ACTIONS(5223),
    [anon_sym_protected] = ACTIONS(5223),
    [anon_sym_using] = ACTIONS(5223),
    [anon_sym_static_assert] = ACTIONS(5223),
  },
  [1916] = {
    [sym_identifier] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token2] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3190),
    [anon_sym_typedef] = ACTIONS(3190),
    [anon_sym_virtual] = ACTIONS(3190),
    [anon_sym_extern] = ACTIONS(3190),
    [anon_sym___attribute__] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3192),
    [anon_sym___declspec] = ACTIONS(3190),
    [anon_sym___based] = ACTIONS(3190),
    [anon_sym_signed] = ACTIONS(3190),
    [anon_sym_unsigned] = ACTIONS(3190),
    [anon_sym_long] = ACTIONS(3190),
    [anon_sym_short] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_register] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym___inline] = ACTIONS(3190),
    [anon_sym___inline__] = ACTIONS(3190),
    [anon_sym___forceinline] = ACTIONS(3190),
    [anon_sym_thread_local] = ACTIONS(3190),
    [anon_sym___thread] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_constexpr] = ACTIONS(3190),
    [anon_sym_volatile] = ACTIONS(3190),
    [anon_sym_restrict] = ACTIONS(3190),
    [anon_sym___restrict__] = ACTIONS(3190),
    [anon_sym__Atomic] = ACTIONS(3190),
    [anon_sym__Noreturn] = ACTIONS(3190),
    [anon_sym_noreturn] = ACTIONS(3190),
    [anon_sym__Nonnull] = ACTIONS(3190),
    [anon_sym_mutable] = ACTIONS(3190),
    [anon_sym_constinit] = ACTIONS(3190),
    [anon_sym_consteval] = ACTIONS(3190),
    [anon_sym_PROGMEM] = ACTIONS(3190),
    [anon_sym_alignas] = ACTIONS(3190),
    [anon_sym__Alignas] = ACTIONS(3190),
    [aux_sym_primitive_type_token1] = ACTIONS(3190),
    [anon_sym_byte] = ACTIONS(3190),
    [anon_sym_word] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_struct] = ACTIONS(3190),
    [anon_sym_union] = ACTIONS(3190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3190),
    [anon_sym_decltype] = ACTIONS(3190),
    [anon_sym_explicit] = ACTIONS(3190),
    [anon_sym_typename] = ACTIONS(3190),
    [anon_sym_template] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_friend] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_static_assert] = ACTIONS(3190),
  },
  [1917] = {
    [sym_identifier] = ACTIONS(5333),
    [aux_sym_preproc_def_token1] = ACTIONS(5333),
    [aux_sym_preproc_if_token1] = ACTIONS(5333),
    [aux_sym_preproc_if_token2] = ACTIONS(5333),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5333),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5333),
    [sym_preproc_directive] = ACTIONS(5333),
    [anon_sym_LPAREN2] = ACTIONS(5335),
    [anon_sym_TILDE] = ACTIONS(5335),
    [anon_sym_STAR] = ACTIONS(5335),
    [anon_sym_AMP_AMP] = ACTIONS(5335),
    [anon_sym_AMP] = ACTIONS(5333),
    [anon_sym_SEMI] = ACTIONS(5335),
    [anon_sym___extension__] = ACTIONS(5333),
    [anon_sym_typedef] = ACTIONS(5333),
    [anon_sym_virtual] = ACTIONS(5333),
    [anon_sym_extern] = ACTIONS(5333),
    [anon_sym___attribute__] = ACTIONS(5333),
    [anon_sym_COLON_COLON] = ACTIONS(5335),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5335),
    [anon_sym___declspec] = ACTIONS(5333),
    [anon_sym___based] = ACTIONS(5333),
    [anon_sym_signed] = ACTIONS(5333),
    [anon_sym_unsigned] = ACTIONS(5333),
    [anon_sym_long] = ACTIONS(5333),
    [anon_sym_short] = ACTIONS(5333),
    [anon_sym_LBRACK] = ACTIONS(5333),
    [anon_sym_static] = ACTIONS(5333),
    [anon_sym_register] = ACTIONS(5333),
    [anon_sym_inline] = ACTIONS(5333),
    [anon_sym___inline] = ACTIONS(5333),
    [anon_sym___inline__] = ACTIONS(5333),
    [anon_sym___forceinline] = ACTIONS(5333),
    [anon_sym_thread_local] = ACTIONS(5333),
    [anon_sym___thread] = ACTIONS(5333),
    [anon_sym_const] = ACTIONS(5333),
    [anon_sym_constexpr] = ACTIONS(5333),
    [anon_sym_volatile] = ACTIONS(5333),
    [anon_sym_restrict] = ACTIONS(5333),
    [anon_sym___restrict__] = ACTIONS(5333),
    [anon_sym__Atomic] = ACTIONS(5333),
    [anon_sym__Noreturn] = ACTIONS(5333),
    [anon_sym_noreturn] = ACTIONS(5333),
    [anon_sym__Nonnull] = ACTIONS(5333),
    [anon_sym_mutable] = ACTIONS(5333),
    [anon_sym_constinit] = ACTIONS(5333),
    [anon_sym_consteval] = ACTIONS(5333),
    [anon_sym_PROGMEM] = ACTIONS(5333),
    [anon_sym_alignas] = ACTIONS(5333),
    [anon_sym__Alignas] = ACTIONS(5333),
    [aux_sym_primitive_type_token1] = ACTIONS(5333),
    [anon_sym_byte] = ACTIONS(5333),
    [anon_sym_word] = ACTIONS(5333),
    [anon_sym_enum] = ACTIONS(5333),
    [anon_sym_class] = ACTIONS(5333),
    [anon_sym_struct] = ACTIONS(5333),
    [anon_sym_union] = ACTIONS(5333),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5333),
    [anon_sym_decltype] = ACTIONS(5333),
    [anon_sym_explicit] = ACTIONS(5333),
    [anon_sym_typename] = ACTIONS(5333),
    [anon_sym_template] = ACTIONS(5333),
    [anon_sym_operator] = ACTIONS(5333),
    [anon_sym_friend] = ACTIONS(5333),
    [anon_sym_public] = ACTIONS(5333),
    [anon_sym_private] = ACTIONS(5333),
    [anon_sym_protected] = ACTIONS(5333),
    [anon_sym_using] = ACTIONS(5333),
    [anon_sym_static_assert] = ACTIONS(5333),
  },
  [1918] = {
    [sym_identifier] = ACTIONS(2988),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2988),
    [sym_preproc_directive] = ACTIONS(2988),
    [anon_sym_LPAREN2] = ACTIONS(2990),
    [anon_sym_TILDE] = ACTIONS(2990),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2990),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_typedef] = ACTIONS(2988),
    [anon_sym_virtual] = ACTIONS(2988),
    [anon_sym_extern] = ACTIONS(2988),
    [anon_sym___attribute__] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(2990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2990),
    [anon_sym___declspec] = ACTIONS(2988),
    [anon_sym___based] = ACTIONS(2988),
    [anon_sym_RBRACE] = ACTIONS(2990),
    [anon_sym_signed] = ACTIONS(2988),
    [anon_sym_unsigned] = ACTIONS(2988),
    [anon_sym_long] = ACTIONS(2988),
    [anon_sym_short] = ACTIONS(2988),
    [anon_sym_LBRACK] = ACTIONS(2988),
    [anon_sym_static] = ACTIONS(2988),
    [anon_sym_register] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(2988),
    [anon_sym___inline] = ACTIONS(2988),
    [anon_sym___inline__] = ACTIONS(2988),
    [anon_sym___forceinline] = ACTIONS(2988),
    [anon_sym_thread_local] = ACTIONS(2988),
    [anon_sym___thread] = ACTIONS(2988),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_PROGMEM] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2988),
    [anon_sym__Alignas] = ACTIONS(2988),
    [aux_sym_primitive_type_token1] = ACTIONS(2988),
    [anon_sym_byte] = ACTIONS(2988),
    [anon_sym_word] = ACTIONS(2988),
    [anon_sym_enum] = ACTIONS(2988),
    [anon_sym_class] = ACTIONS(2988),
    [anon_sym_struct] = ACTIONS(2988),
    [anon_sym_union] = ACTIONS(2988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2988),
    [anon_sym_decltype] = ACTIONS(2988),
    [anon_sym_explicit] = ACTIONS(2988),
    [anon_sym_typename] = ACTIONS(2988),
    [anon_sym_template] = ACTIONS(2988),
    [anon_sym_operator] = ACTIONS(2988),
    [anon_sym_friend] = ACTIONS(2988),
    [anon_sym_public] = ACTIONS(2988),
    [anon_sym_private] = ACTIONS(2988),
    [anon_sym_protected] = ACTIONS(2988),
    [anon_sym_using] = ACTIONS(2988),
    [anon_sym_static_assert] = ACTIONS(2988),
  },
  [1919] = {
    [sym_identifier] = ACTIONS(5329),
    [aux_sym_preproc_def_token1] = ACTIONS(5329),
    [aux_sym_preproc_if_token1] = ACTIONS(5329),
    [aux_sym_preproc_if_token2] = ACTIONS(5329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5329),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5329),
    [sym_preproc_directive] = ACTIONS(5329),
    [anon_sym_LPAREN2] = ACTIONS(5331),
    [anon_sym_TILDE] = ACTIONS(5331),
    [anon_sym_STAR] = ACTIONS(5331),
    [anon_sym_AMP_AMP] = ACTIONS(5331),
    [anon_sym_AMP] = ACTIONS(5329),
    [anon_sym_SEMI] = ACTIONS(5331),
    [anon_sym___extension__] = ACTIONS(5329),
    [anon_sym_typedef] = ACTIONS(5329),
    [anon_sym_virtual] = ACTIONS(5329),
    [anon_sym_extern] = ACTIONS(5329),
    [anon_sym___attribute__] = ACTIONS(5329),
    [anon_sym_COLON_COLON] = ACTIONS(5331),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5331),
    [anon_sym___declspec] = ACTIONS(5329),
    [anon_sym___based] = ACTIONS(5329),
    [anon_sym_signed] = ACTIONS(5329),
    [anon_sym_unsigned] = ACTIONS(5329),
    [anon_sym_long] = ACTIONS(5329),
    [anon_sym_short] = ACTIONS(5329),
    [anon_sym_LBRACK] = ACTIONS(5329),
    [anon_sym_static] = ACTIONS(5329),
    [anon_sym_register] = ACTIONS(5329),
    [anon_sym_inline] = ACTIONS(5329),
    [anon_sym___inline] = ACTIONS(5329),
    [anon_sym___inline__] = ACTIONS(5329),
    [anon_sym___forceinline] = ACTIONS(5329),
    [anon_sym_thread_local] = ACTIONS(5329),
    [anon_sym___thread] = ACTIONS(5329),
    [anon_sym_const] = ACTIONS(5329),
    [anon_sym_constexpr] = ACTIONS(5329),
    [anon_sym_volatile] = ACTIONS(5329),
    [anon_sym_restrict] = ACTIONS(5329),
    [anon_sym___restrict__] = ACTIONS(5329),
    [anon_sym__Atomic] = ACTIONS(5329),
    [anon_sym__Noreturn] = ACTIONS(5329),
    [anon_sym_noreturn] = ACTIONS(5329),
    [anon_sym__Nonnull] = ACTIONS(5329),
    [anon_sym_mutable] = ACTIONS(5329),
    [anon_sym_constinit] = ACTIONS(5329),
    [anon_sym_consteval] = ACTIONS(5329),
    [anon_sym_PROGMEM] = ACTIONS(5329),
    [anon_sym_alignas] = ACTIONS(5329),
    [anon_sym__Alignas] = ACTIONS(5329),
    [aux_sym_primitive_type_token1] = ACTIONS(5329),
    [anon_sym_byte] = ACTIONS(5329),
    [anon_sym_word] = ACTIONS(5329),
    [anon_sym_enum] = ACTIONS(5329),
    [anon_sym_class] = ACTIONS(5329),
    [anon_sym_struct] = ACTIONS(5329),
    [anon_sym_union] = ACTIONS(5329),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5329),
    [anon_sym_decltype] = ACTIONS(5329),
    [anon_sym_explicit] = ACTIONS(5329),
    [anon_sym_typename] = ACTIONS(5329),
    [anon_sym_template] = ACTIONS(5329),
    [anon_sym_operator] = ACTIONS(5329),
    [anon_sym_friend] = ACTIONS(5329),
    [anon_sym_public] = ACTIONS(5329),
    [anon_sym_private] = ACTIONS(5329),
    [anon_sym_protected] = ACTIONS(5329),
    [anon_sym_using] = ACTIONS(5329),
    [anon_sym_static_assert] = ACTIONS(5329),
  },
  [1920] = {
    [sym_identifier] = ACTIONS(5315),
    [aux_sym_preproc_def_token1] = ACTIONS(5315),
    [aux_sym_preproc_if_token1] = ACTIONS(5315),
    [aux_sym_preproc_if_token2] = ACTIONS(5315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5315),
    [sym_preproc_directive] = ACTIONS(5315),
    [anon_sym_LPAREN2] = ACTIONS(5317),
    [anon_sym_TILDE] = ACTIONS(5317),
    [anon_sym_STAR] = ACTIONS(5317),
    [anon_sym_AMP_AMP] = ACTIONS(5317),
    [anon_sym_AMP] = ACTIONS(5315),
    [anon_sym_SEMI] = ACTIONS(5317),
    [anon_sym___extension__] = ACTIONS(5315),
    [anon_sym_typedef] = ACTIONS(5315),
    [anon_sym_virtual] = ACTIONS(5315),
    [anon_sym_extern] = ACTIONS(5315),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_COLON_COLON] = ACTIONS(5317),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5317),
    [anon_sym___declspec] = ACTIONS(5315),
    [anon_sym___based] = ACTIONS(5315),
    [anon_sym_signed] = ACTIONS(5315),
    [anon_sym_unsigned] = ACTIONS(5315),
    [anon_sym_long] = ACTIONS(5315),
    [anon_sym_short] = ACTIONS(5315),
    [anon_sym_LBRACK] = ACTIONS(5315),
    [anon_sym_static] = ACTIONS(5315),
    [anon_sym_register] = ACTIONS(5315),
    [anon_sym_inline] = ACTIONS(5315),
    [anon_sym___inline] = ACTIONS(5315),
    [anon_sym___inline__] = ACTIONS(5315),
    [anon_sym___forceinline] = ACTIONS(5315),
    [anon_sym_thread_local] = ACTIONS(5315),
    [anon_sym___thread] = ACTIONS(5315),
    [anon_sym_const] = ACTIONS(5315),
    [anon_sym_constexpr] = ACTIONS(5315),
    [anon_sym_volatile] = ACTIONS(5315),
    [anon_sym_restrict] = ACTIONS(5315),
    [anon_sym___restrict__] = ACTIONS(5315),
    [anon_sym__Atomic] = ACTIONS(5315),
    [anon_sym__Noreturn] = ACTIONS(5315),
    [anon_sym_noreturn] = ACTIONS(5315),
    [anon_sym__Nonnull] = ACTIONS(5315),
    [anon_sym_mutable] = ACTIONS(5315),
    [anon_sym_constinit] = ACTIONS(5315),
    [anon_sym_consteval] = ACTIONS(5315),
    [anon_sym_PROGMEM] = ACTIONS(5315),
    [anon_sym_alignas] = ACTIONS(5315),
    [anon_sym__Alignas] = ACTIONS(5315),
    [aux_sym_primitive_type_token1] = ACTIONS(5315),
    [anon_sym_byte] = ACTIONS(5315),
    [anon_sym_word] = ACTIONS(5315),
    [anon_sym_enum] = ACTIONS(5315),
    [anon_sym_class] = ACTIONS(5315),
    [anon_sym_struct] = ACTIONS(5315),
    [anon_sym_union] = ACTIONS(5315),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5315),
    [anon_sym_decltype] = ACTIONS(5315),
    [anon_sym_explicit] = ACTIONS(5315),
    [anon_sym_typename] = ACTIONS(5315),
    [anon_sym_template] = ACTIONS(5315),
    [anon_sym_operator] = ACTIONS(5315),
    [anon_sym_friend] = ACTIONS(5315),
    [anon_sym_public] = ACTIONS(5315),
    [anon_sym_private] = ACTIONS(5315),
    [anon_sym_protected] = ACTIONS(5315),
    [anon_sym_using] = ACTIONS(5315),
    [anon_sym_static_assert] = ACTIONS(5315),
  },
  [1921] = {
    [sym_identifier] = ACTIONS(3194),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token2] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3194),
    [sym_preproc_directive] = ACTIONS(3194),
    [anon_sym_LPAREN2] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym___extension__] = ACTIONS(3194),
    [anon_sym_typedef] = ACTIONS(3194),
    [anon_sym_virtual] = ACTIONS(3194),
    [anon_sym_extern] = ACTIONS(3194),
    [anon_sym___attribute__] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3196),
    [anon_sym___declspec] = ACTIONS(3194),
    [anon_sym___based] = ACTIONS(3194),
    [anon_sym_signed] = ACTIONS(3194),
    [anon_sym_unsigned] = ACTIONS(3194),
    [anon_sym_long] = ACTIONS(3194),
    [anon_sym_short] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_register] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym___inline] = ACTIONS(3194),
    [anon_sym___inline__] = ACTIONS(3194),
    [anon_sym___forceinline] = ACTIONS(3194),
    [anon_sym_thread_local] = ACTIONS(3194),
    [anon_sym___thread] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_constexpr] = ACTIONS(3194),
    [anon_sym_volatile] = ACTIONS(3194),
    [anon_sym_restrict] = ACTIONS(3194),
    [anon_sym___restrict__] = ACTIONS(3194),
    [anon_sym__Atomic] = ACTIONS(3194),
    [anon_sym__Noreturn] = ACTIONS(3194),
    [anon_sym_noreturn] = ACTIONS(3194),
    [anon_sym__Nonnull] = ACTIONS(3194),
    [anon_sym_mutable] = ACTIONS(3194),
    [anon_sym_constinit] = ACTIONS(3194),
    [anon_sym_consteval] = ACTIONS(3194),
    [anon_sym_PROGMEM] = ACTIONS(3194),
    [anon_sym_alignas] = ACTIONS(3194),
    [anon_sym__Alignas] = ACTIONS(3194),
    [aux_sym_primitive_type_token1] = ACTIONS(3194),
    [anon_sym_byte] = ACTIONS(3194),
    [anon_sym_word] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_struct] = ACTIONS(3194),
    [anon_sym_union] = ACTIONS(3194),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3194),
    [anon_sym_decltype] = ACTIONS(3194),
    [anon_sym_explicit] = ACTIONS(3194),
    [anon_sym_typename] = ACTIONS(3194),
    [anon_sym_template] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_friend] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_static_assert] = ACTIONS(3194),
  },
  [1922] = {
    [sym_identifier] = ACTIONS(3099),
    [aux_sym_preproc_def_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token2] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3099),
    [anon_sym_LPAREN2] = ACTIONS(3101),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_AMP_AMP] = ACTIONS(3101),
    [anon_sym_AMP] = ACTIONS(3099),
    [anon_sym_SEMI] = ACTIONS(3101),
    [anon_sym___extension__] = ACTIONS(3099),
    [anon_sym_typedef] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym___attribute__] = ACTIONS(3099),
    [anon_sym_COLON_COLON] = ACTIONS(3101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3101),
    [anon_sym___declspec] = ACTIONS(3099),
    [anon_sym___based] = ACTIONS(3099),
    [anon_sym_signed] = ACTIONS(3099),
    [anon_sym_unsigned] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_register] = ACTIONS(3099),
    [anon_sym_inline] = ACTIONS(3099),
    [anon_sym___inline] = ACTIONS(3099),
    [anon_sym___inline__] = ACTIONS(3099),
    [anon_sym___forceinline] = ACTIONS(3099),
    [anon_sym_thread_local] = ACTIONS(3099),
    [anon_sym___thread] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_constexpr] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_restrict] = ACTIONS(3099),
    [anon_sym___restrict__] = ACTIONS(3099),
    [anon_sym__Atomic] = ACTIONS(3099),
    [anon_sym__Noreturn] = ACTIONS(3099),
    [anon_sym_noreturn] = ACTIONS(3099),
    [anon_sym__Nonnull] = ACTIONS(3099),
    [anon_sym_mutable] = ACTIONS(3099),
    [anon_sym_constinit] = ACTIONS(3099),
    [anon_sym_consteval] = ACTIONS(3099),
    [anon_sym_PROGMEM] = ACTIONS(3099),
    [anon_sym_alignas] = ACTIONS(3099),
    [anon_sym__Alignas] = ACTIONS(3099),
    [aux_sym_primitive_type_token1] = ACTIONS(3099),
    [anon_sym_byte] = ACTIONS(3099),
    [anon_sym_word] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_union] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3099),
    [anon_sym_decltype] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_typename] = ACTIONS(3099),
    [anon_sym_template] = ACTIONS(3099),
    [anon_sym_operator] = ACTIONS(3099),
    [anon_sym_friend] = ACTIONS(3099),
    [anon_sym_public] = ACTIONS(3099),
    [anon_sym_private] = ACTIONS(3099),
    [anon_sym_protected] = ACTIONS(3099),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static_assert] = ACTIONS(3099),
  },
  [1923] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_PROGMEM] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [aux_sym_primitive_type_token1] = ACTIONS(2928),
    [anon_sym_byte] = ACTIONS(2928),
    [anon_sym_word] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_friend] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_protected] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
  },
  [1924] = {
    [sym_identifier] = ACTIONS(3082),
    [aux_sym_preproc_def_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3082),
    [sym_preproc_directive] = ACTIONS(3082),
    [anon_sym_LPAREN2] = ACTIONS(3084),
    [anon_sym_TILDE] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym___extension__] = ACTIONS(3082),
    [anon_sym_typedef] = ACTIONS(3082),
    [anon_sym_virtual] = ACTIONS(3082),
    [anon_sym_extern] = ACTIONS(3082),
    [anon_sym___attribute__] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3084),
    [anon_sym___declspec] = ACTIONS(3082),
    [anon_sym___based] = ACTIONS(3082),
    [anon_sym_RBRACE] = ACTIONS(3084),
    [anon_sym_signed] = ACTIONS(3082),
    [anon_sym_unsigned] = ACTIONS(3082),
    [anon_sym_long] = ACTIONS(3082),
    [anon_sym_short] = ACTIONS(3082),
    [anon_sym_LBRACK] = ACTIONS(3082),
    [anon_sym_static] = ACTIONS(3082),
    [anon_sym_register] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym___inline] = ACTIONS(3082),
    [anon_sym___inline__] = ACTIONS(3082),
    [anon_sym___forceinline] = ACTIONS(3082),
    [anon_sym_thread_local] = ACTIONS(3082),
    [anon_sym___thread] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_constexpr] = ACTIONS(3082),
    [anon_sym_volatile] = ACTIONS(3082),
    [anon_sym_restrict] = ACTIONS(3082),
    [anon_sym___restrict__] = ACTIONS(3082),
    [anon_sym__Atomic] = ACTIONS(3082),
    [anon_sym__Noreturn] = ACTIONS(3082),
    [anon_sym_noreturn] = ACTIONS(3082),
    [anon_sym__Nonnull] = ACTIONS(3082),
    [anon_sym_mutable] = ACTIONS(3082),
    [anon_sym_constinit] = ACTIONS(3082),
    [anon_sym_consteval] = ACTIONS(3082),
    [anon_sym_PROGMEM] = ACTIONS(3082),
    [anon_sym_alignas] = ACTIONS(3082),
    [anon_sym__Alignas] = ACTIONS(3082),
    [aux_sym_primitive_type_token1] = ACTIONS(3082),
    [anon_sym_byte] = ACTIONS(3082),
    [anon_sym_word] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3082),
    [anon_sym_struct] = ACTIONS(3082),
    [anon_sym_union] = ACTIONS(3082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3082),
    [anon_sym_decltype] = ACTIONS(3082),
    [anon_sym_explicit] = ACTIONS(3082),
    [anon_sym_typename] = ACTIONS(3082),
    [anon_sym_template] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_friend] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_using] = ACTIONS(3082),
    [anon_sym_static_assert] = ACTIONS(3082),
  },
  [1925] = {
    [sym_identifier] = ACTIONS(3082),
    [aux_sym_preproc_def_token1] = ACTIONS(3082),
    [aux_sym_preproc_if_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3082),
    [sym_preproc_directive] = ACTIONS(3082),
    [anon_sym_LPAREN2] = ACTIONS(3084),
    [anon_sym_TILDE] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym___extension__] = ACTIONS(3082),
    [anon_sym_typedef] = ACTIONS(3082),
    [anon_sym_virtual] = ACTIONS(3082),
    [anon_sym_extern] = ACTIONS(3082),
    [anon_sym___attribute__] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3084),
    [anon_sym___declspec] = ACTIONS(3082),
    [anon_sym___based] = ACTIONS(3082),
    [anon_sym_RBRACE] = ACTIONS(3084),
    [anon_sym_signed] = ACTIONS(3082),
    [anon_sym_unsigned] = ACTIONS(3082),
    [anon_sym_long] = ACTIONS(3082),
    [anon_sym_short] = ACTIONS(3082),
    [anon_sym_LBRACK] = ACTIONS(3082),
    [anon_sym_static] = ACTIONS(3082),
    [anon_sym_register] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym___inline] = ACTIONS(3082),
    [anon_sym___inline__] = ACTIONS(3082),
    [anon_sym___forceinline] = ACTIONS(3082),
    [anon_sym_thread_local] = ACTIONS(3082),
    [anon_sym___thread] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_constexpr] = ACTIONS(3082),
    [anon_sym_volatile] = ACTIONS(3082),
    [anon_sym_restrict] = ACTIONS(3082),
    [anon_sym___restrict__] = ACTIONS(3082),
    [anon_sym__Atomic] = ACTIONS(3082),
    [anon_sym__Noreturn] = ACTIONS(3082),
    [anon_sym_noreturn] = ACTIONS(3082),
    [anon_sym__Nonnull] = ACTIONS(3082),
    [anon_sym_mutable] = ACTIONS(3082),
    [anon_sym_constinit] = ACTIONS(3082),
    [anon_sym_consteval] = ACTIONS(3082),
    [anon_sym_PROGMEM] = ACTIONS(3082),
    [anon_sym_alignas] = ACTIONS(3082),
    [anon_sym__Alignas] = ACTIONS(3082),
    [aux_sym_primitive_type_token1] = ACTIONS(3082),
    [anon_sym_byte] = ACTIONS(3082),
    [anon_sym_word] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3082),
    [anon_sym_struct] = ACTIONS(3082),
    [anon_sym_union] = ACTIONS(3082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3082),
    [anon_sym_decltype] = ACTIONS(3082),
    [anon_sym_explicit] = ACTIONS(3082),
    [anon_sym_typename] = ACTIONS(3082),
    [anon_sym_template] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_friend] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_using] = ACTIONS(3082),
    [anon_sym_static_assert] = ACTIONS(3082),
  },
  [1926] = {
    [sym_identifier] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3190),
    [anon_sym_typedef] = ACTIONS(3190),
    [anon_sym_virtual] = ACTIONS(3190),
    [anon_sym_extern] = ACTIONS(3190),
    [anon_sym___attribute__] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3192),
    [anon_sym___declspec] = ACTIONS(3190),
    [anon_sym___based] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3190),
    [anon_sym_unsigned] = ACTIONS(3190),
    [anon_sym_long] = ACTIONS(3190),
    [anon_sym_short] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_register] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym___inline] = ACTIONS(3190),
    [anon_sym___inline__] = ACTIONS(3190),
    [anon_sym___forceinline] = ACTIONS(3190),
    [anon_sym_thread_local] = ACTIONS(3190),
    [anon_sym___thread] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_constexpr] = ACTIONS(3190),
    [anon_sym_volatile] = ACTIONS(3190),
    [anon_sym_restrict] = ACTIONS(3190),
    [anon_sym___restrict__] = ACTIONS(3190),
    [anon_sym__Atomic] = ACTIONS(3190),
    [anon_sym__Noreturn] = ACTIONS(3190),
    [anon_sym_noreturn] = ACTIONS(3190),
    [anon_sym__Nonnull] = ACTIONS(3190),
    [anon_sym_mutable] = ACTIONS(3190),
    [anon_sym_constinit] = ACTIONS(3190),
    [anon_sym_consteval] = ACTIONS(3190),
    [anon_sym_PROGMEM] = ACTIONS(3190),
    [anon_sym_alignas] = ACTIONS(3190),
    [anon_sym__Alignas] = ACTIONS(3190),
    [aux_sym_primitive_type_token1] = ACTIONS(3190),
    [anon_sym_byte] = ACTIONS(3190),
    [anon_sym_word] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_struct] = ACTIONS(3190),
    [anon_sym_union] = ACTIONS(3190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3190),
    [anon_sym_decltype] = ACTIONS(3190),
    [anon_sym_explicit] = ACTIONS(3190),
    [anon_sym_typename] = ACTIONS(3190),
    [anon_sym_template] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_friend] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_static_assert] = ACTIONS(3190),
  },
  [1927] = {
    [sym_identifier] = ACTIONS(3190),
    [aux_sym_preproc_def_token1] = ACTIONS(3190),
    [aux_sym_preproc_if_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3190),
    [sym_preproc_directive] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(3192),
    [anon_sym_TILDE] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3190),
    [anon_sym_typedef] = ACTIONS(3190),
    [anon_sym_virtual] = ACTIONS(3190),
    [anon_sym_extern] = ACTIONS(3190),
    [anon_sym___attribute__] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3192),
    [anon_sym___declspec] = ACTIONS(3190),
    [anon_sym___based] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3190),
    [anon_sym_unsigned] = ACTIONS(3190),
    [anon_sym_long] = ACTIONS(3190),
    [anon_sym_short] = ACTIONS(3190),
    [anon_sym_LBRACK] = ACTIONS(3190),
    [anon_sym_static] = ACTIONS(3190),
    [anon_sym_register] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym___inline] = ACTIONS(3190),
    [anon_sym___inline__] = ACTIONS(3190),
    [anon_sym___forceinline] = ACTIONS(3190),
    [anon_sym_thread_local] = ACTIONS(3190),
    [anon_sym___thread] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_constexpr] = ACTIONS(3190),
    [anon_sym_volatile] = ACTIONS(3190),
    [anon_sym_restrict] = ACTIONS(3190),
    [anon_sym___restrict__] = ACTIONS(3190),
    [anon_sym__Atomic] = ACTIONS(3190),
    [anon_sym__Noreturn] = ACTIONS(3190),
    [anon_sym_noreturn] = ACTIONS(3190),
    [anon_sym__Nonnull] = ACTIONS(3190),
    [anon_sym_mutable] = ACTIONS(3190),
    [anon_sym_constinit] = ACTIONS(3190),
    [anon_sym_consteval] = ACTIONS(3190),
    [anon_sym_PROGMEM] = ACTIONS(3190),
    [anon_sym_alignas] = ACTIONS(3190),
    [anon_sym__Alignas] = ACTIONS(3190),
    [aux_sym_primitive_type_token1] = ACTIONS(3190),
    [anon_sym_byte] = ACTIONS(3190),
    [anon_sym_word] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_class] = ACTIONS(3190),
    [anon_sym_struct] = ACTIONS(3190),
    [anon_sym_union] = ACTIONS(3190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3190),
    [anon_sym_decltype] = ACTIONS(3190),
    [anon_sym_explicit] = ACTIONS(3190),
    [anon_sym_typename] = ACTIONS(3190),
    [anon_sym_template] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_friend] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_using] = ACTIONS(3190),
    [anon_sym_static_assert] = ACTIONS(3190),
  },
  [1928] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_PROGMEM] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [aux_sym_primitive_type_token1] = ACTIONS(2814),
    [anon_sym_byte] = ACTIONS(2814),
    [anon_sym_word] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_friend] = ACTIONS(2814),
    [anon_sym_public] = ACTIONS(2814),
    [anon_sym_private] = ACTIONS(2814),
    [anon_sym_protected] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
  },
  [1929] = {
    [sym_identifier] = ACTIONS(5319),
    [aux_sym_preproc_def_token1] = ACTIONS(5319),
    [aux_sym_preproc_if_token1] = ACTIONS(5319),
    [aux_sym_preproc_if_token2] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5319),
    [sym_preproc_directive] = ACTIONS(5319),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_TILDE] = ACTIONS(5321),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym_typedef] = ACTIONS(5319),
    [anon_sym_virtual] = ACTIONS(5319),
    [anon_sym_extern] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5321),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5321),
    [anon_sym___declspec] = ACTIONS(5319),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym_signed] = ACTIONS(5319),
    [anon_sym_unsigned] = ACTIONS(5319),
    [anon_sym_long] = ACTIONS(5319),
    [anon_sym_short] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5319),
    [anon_sym_static] = ACTIONS(5319),
    [anon_sym_register] = ACTIONS(5319),
    [anon_sym_inline] = ACTIONS(5319),
    [anon_sym___inline] = ACTIONS(5319),
    [anon_sym___inline__] = ACTIONS(5319),
    [anon_sym___forceinline] = ACTIONS(5319),
    [anon_sym_thread_local] = ACTIONS(5319),
    [anon_sym___thread] = ACTIONS(5319),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [aux_sym_primitive_type_token1] = ACTIONS(5319),
    [anon_sym_byte] = ACTIONS(5319),
    [anon_sym_word] = ACTIONS(5319),
    [anon_sym_enum] = ACTIONS(5319),
    [anon_sym_class] = ACTIONS(5319),
    [anon_sym_struct] = ACTIONS(5319),
    [anon_sym_union] = ACTIONS(5319),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_explicit] = ACTIONS(5319),
    [anon_sym_typename] = ACTIONS(5319),
    [anon_sym_template] = ACTIONS(5319),
    [anon_sym_operator] = ACTIONS(5319),
    [anon_sym_friend] = ACTIONS(5319),
    [anon_sym_public] = ACTIONS(5319),
    [anon_sym_private] = ACTIONS(5319),
    [anon_sym_protected] = ACTIONS(5319),
    [anon_sym_using] = ACTIONS(5319),
    [anon_sym_static_assert] = ACTIONS(5319),
  },
  [1930] = {
    [sym_identifier] = ACTIONS(5333),
    [aux_sym_preproc_def_token1] = ACTIONS(5333),
    [aux_sym_preproc_if_token1] = ACTIONS(5333),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5333),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5333),
    [sym_preproc_directive] = ACTIONS(5333),
    [anon_sym_LPAREN2] = ACTIONS(5335),
    [anon_sym_TILDE] = ACTIONS(5335),
    [anon_sym_STAR] = ACTIONS(5335),
    [anon_sym_AMP_AMP] = ACTIONS(5335),
    [anon_sym_AMP] = ACTIONS(5333),
    [anon_sym_SEMI] = ACTIONS(5335),
    [anon_sym___extension__] = ACTIONS(5333),
    [anon_sym_typedef] = ACTIONS(5333),
    [anon_sym_virtual] = ACTIONS(5333),
    [anon_sym_extern] = ACTIONS(5333),
    [anon_sym___attribute__] = ACTIONS(5333),
    [anon_sym_COLON_COLON] = ACTIONS(5335),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5335),
    [anon_sym___declspec] = ACTIONS(5333),
    [anon_sym___based] = ACTIONS(5333),
    [anon_sym_RBRACE] = ACTIONS(5335),
    [anon_sym_signed] = ACTIONS(5333),
    [anon_sym_unsigned] = ACTIONS(5333),
    [anon_sym_long] = ACTIONS(5333),
    [anon_sym_short] = ACTIONS(5333),
    [anon_sym_LBRACK] = ACTIONS(5333),
    [anon_sym_static] = ACTIONS(5333),
    [anon_sym_register] = ACTIONS(5333),
    [anon_sym_inline] = ACTIONS(5333),
    [anon_sym___inline] = ACTIONS(5333),
    [anon_sym___inline__] = ACTIONS(5333),
    [anon_sym___forceinline] = ACTIONS(5333),
    [anon_sym_thread_local] = ACTIONS(5333),
    [anon_sym___thread] = ACTIONS(5333),
    [anon_sym_const] = ACTIONS(5333),
    [anon_sym_constexpr] = ACTIONS(5333),
    [anon_sym_volatile] = ACTIONS(5333),
    [anon_sym_restrict] = ACTIONS(5333),
    [anon_sym___restrict__] = ACTIONS(5333),
    [anon_sym__Atomic] = ACTIONS(5333),
    [anon_sym__Noreturn] = ACTIONS(5333),
    [anon_sym_noreturn] = ACTIONS(5333),
    [anon_sym__Nonnull] = ACTIONS(5333),
    [anon_sym_mutable] = ACTIONS(5333),
    [anon_sym_constinit] = ACTIONS(5333),
    [anon_sym_consteval] = ACTIONS(5333),
    [anon_sym_PROGMEM] = ACTIONS(5333),
    [anon_sym_alignas] = ACTIONS(5333),
    [anon_sym__Alignas] = ACTIONS(5333),
    [aux_sym_primitive_type_token1] = ACTIONS(5333),
    [anon_sym_byte] = ACTIONS(5333),
    [anon_sym_word] = ACTIONS(5333),
    [anon_sym_enum] = ACTIONS(5333),
    [anon_sym_class] = ACTIONS(5333),
    [anon_sym_struct] = ACTIONS(5333),
    [anon_sym_union] = ACTIONS(5333),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5333),
    [anon_sym_decltype] = ACTIONS(5333),
    [anon_sym_explicit] = ACTIONS(5333),
    [anon_sym_typename] = ACTIONS(5333),
    [anon_sym_template] = ACTIONS(5333),
    [anon_sym_operator] = ACTIONS(5333),
    [anon_sym_friend] = ACTIONS(5333),
    [anon_sym_public] = ACTIONS(5333),
    [anon_sym_private] = ACTIONS(5333),
    [anon_sym_protected] = ACTIONS(5333),
    [anon_sym_using] = ACTIONS(5333),
    [anon_sym_static_assert] = ACTIONS(5333),
  },
  [1931] = {
    [sym_identifier] = ACTIONS(5319),
    [aux_sym_preproc_def_token1] = ACTIONS(5319),
    [aux_sym_preproc_if_token1] = ACTIONS(5319),
    [aux_sym_preproc_if_token2] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5319),
    [sym_preproc_directive] = ACTIONS(5319),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_TILDE] = ACTIONS(5321),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym_typedef] = ACTIONS(5319),
    [anon_sym_virtual] = ACTIONS(5319),
    [anon_sym_extern] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5321),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5321),
    [anon_sym___declspec] = ACTIONS(5319),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym_signed] = ACTIONS(5319),
    [anon_sym_unsigned] = ACTIONS(5319),
    [anon_sym_long] = ACTIONS(5319),
    [anon_sym_short] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5319),
    [anon_sym_static] = ACTIONS(5319),
    [anon_sym_register] = ACTIONS(5319),
    [anon_sym_inline] = ACTIONS(5319),
    [anon_sym___inline] = ACTIONS(5319),
    [anon_sym___inline__] = ACTIONS(5319),
    [anon_sym___forceinline] = ACTIONS(5319),
    [anon_sym_thread_local] = ACTIONS(5319),
    [anon_sym___thread] = ACTIONS(5319),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [aux_sym_primitive_type_token1] = ACTIONS(5319),
    [anon_sym_byte] = ACTIONS(5319),
    [anon_sym_word] = ACTIONS(5319),
    [anon_sym_enum] = ACTIONS(5319),
    [anon_sym_class] = ACTIONS(5319),
    [anon_sym_struct] = ACTIONS(5319),
    [anon_sym_union] = ACTIONS(5319),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_explicit] = ACTIONS(5319),
    [anon_sym_typename] = ACTIONS(5319),
    [anon_sym_template] = ACTIONS(5319),
    [anon_sym_operator] = ACTIONS(5319),
    [anon_sym_friend] = ACTIONS(5319),
    [anon_sym_public] = ACTIONS(5319),
    [anon_sym_private] = ACTIONS(5319),
    [anon_sym_protected] = ACTIONS(5319),
    [anon_sym_using] = ACTIONS(5319),
    [anon_sym_static_assert] = ACTIONS(5319),
  },
  [1932] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3109),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym_RBRACE] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym__Nonnull] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [anon_sym_PROGMEM] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym__Alignas] = ACTIONS(3107),
    [aux_sym_primitive_type_token1] = ACTIONS(3107),
    [anon_sym_byte] = ACTIONS(3107),
    [anon_sym_word] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_friend] = ACTIONS(3107),
    [anon_sym_public] = ACTIONS(3107),
    [anon_sym_private] = ACTIONS(3107),
    [anon_sym_protected] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
  },
  [1933] = {
    [sym_identifier] = ACTIONS(5299),
    [aux_sym_preproc_def_token1] = ACTIONS(5299),
    [aux_sym_preproc_if_token1] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5299),
    [sym_preproc_directive] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5301),
    [anon_sym_TILDE] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_AMP_AMP] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5299),
    [anon_sym_SEMI] = ACTIONS(5301),
    [anon_sym___extension__] = ACTIONS(5299),
    [anon_sym_typedef] = ACTIONS(5299),
    [anon_sym_virtual] = ACTIONS(5299),
    [anon_sym_extern] = ACTIONS(5299),
    [anon_sym___attribute__] = ACTIONS(5299),
    [anon_sym_COLON_COLON] = ACTIONS(5301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5301),
    [anon_sym___declspec] = ACTIONS(5299),
    [anon_sym___based] = ACTIONS(5299),
    [anon_sym_RBRACE] = ACTIONS(5301),
    [anon_sym_signed] = ACTIONS(5299),
    [anon_sym_unsigned] = ACTIONS(5299),
    [anon_sym_long] = ACTIONS(5299),
    [anon_sym_short] = ACTIONS(5299),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_static] = ACTIONS(5299),
    [anon_sym_register] = ACTIONS(5299),
    [anon_sym_inline] = ACTIONS(5299),
    [anon_sym___inline] = ACTIONS(5299),
    [anon_sym___inline__] = ACTIONS(5299),
    [anon_sym___forceinline] = ACTIONS(5299),
    [anon_sym_thread_local] = ACTIONS(5299),
    [anon_sym___thread] = ACTIONS(5299),
    [anon_sym_const] = ACTIONS(5299),
    [anon_sym_constexpr] = ACTIONS(5299),
    [anon_sym_volatile] = ACTIONS(5299),
    [anon_sym_restrict] = ACTIONS(5299),
    [anon_sym___restrict__] = ACTIONS(5299),
    [anon_sym__Atomic] = ACTIONS(5299),
    [anon_sym__Noreturn] = ACTIONS(5299),
    [anon_sym_noreturn] = ACTIONS(5299),
    [anon_sym__Nonnull] = ACTIONS(5299),
    [anon_sym_mutable] = ACTIONS(5299),
    [anon_sym_constinit] = ACTIONS(5299),
    [anon_sym_consteval] = ACTIONS(5299),
    [anon_sym_PROGMEM] = ACTIONS(5299),
    [anon_sym_alignas] = ACTIONS(5299),
    [anon_sym__Alignas] = ACTIONS(5299),
    [aux_sym_primitive_type_token1] = ACTIONS(5299),
    [anon_sym_byte] = ACTIONS(5299),
    [anon_sym_word] = ACTIONS(5299),
    [anon_sym_enum] = ACTIONS(5299),
    [anon_sym_class] = ACTIONS(5299),
    [anon_sym_struct] = ACTIONS(5299),
    [anon_sym_union] = ACTIONS(5299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5299),
    [anon_sym_decltype] = ACTIONS(5299),
    [anon_sym_explicit] = ACTIONS(5299),
    [anon_sym_typename] = ACTIONS(5299),
    [anon_sym_template] = ACTIONS(5299),
    [anon_sym_operator] = ACTIONS(5299),
    [anon_sym_friend] = ACTIONS(5299),
    [anon_sym_public] = ACTIONS(5299),
    [anon_sym_private] = ACTIONS(5299),
    [anon_sym_protected] = ACTIONS(5299),
    [anon_sym_using] = ACTIONS(5299),
    [anon_sym_static_assert] = ACTIONS(5299),
  },
  [1934] = {
    [sym_identifier] = ACTIONS(5299),
    [aux_sym_preproc_def_token1] = ACTIONS(5299),
    [aux_sym_preproc_if_token1] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5299),
    [sym_preproc_directive] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5301),
    [anon_sym_TILDE] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_AMP_AMP] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5299),
    [anon_sym_SEMI] = ACTIONS(5301),
    [anon_sym___extension__] = ACTIONS(5299),
    [anon_sym_typedef] = ACTIONS(5299),
    [anon_sym_virtual] = ACTIONS(5299),
    [anon_sym_extern] = ACTIONS(5299),
    [anon_sym___attribute__] = ACTIONS(5299),
    [anon_sym_COLON_COLON] = ACTIONS(5301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5301),
    [anon_sym___declspec] = ACTIONS(5299),
    [anon_sym___based] = ACTIONS(5299),
    [anon_sym_RBRACE] = ACTIONS(5301),
    [anon_sym_signed] = ACTIONS(5299),
    [anon_sym_unsigned] = ACTIONS(5299),
    [anon_sym_long] = ACTIONS(5299),
    [anon_sym_short] = ACTIONS(5299),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_static] = ACTIONS(5299),
    [anon_sym_register] = ACTIONS(5299),
    [anon_sym_inline] = ACTIONS(5299),
    [anon_sym___inline] = ACTIONS(5299),
    [anon_sym___inline__] = ACTIONS(5299),
    [anon_sym___forceinline] = ACTIONS(5299),
    [anon_sym_thread_local] = ACTIONS(5299),
    [anon_sym___thread] = ACTIONS(5299),
    [anon_sym_const] = ACTIONS(5299),
    [anon_sym_constexpr] = ACTIONS(5299),
    [anon_sym_volatile] = ACTIONS(5299),
    [anon_sym_restrict] = ACTIONS(5299),
    [anon_sym___restrict__] = ACTIONS(5299),
    [anon_sym__Atomic] = ACTIONS(5299),
    [anon_sym__Noreturn] = ACTIONS(5299),
    [anon_sym_noreturn] = ACTIONS(5299),
    [anon_sym__Nonnull] = ACTIONS(5299),
    [anon_sym_mutable] = ACTIONS(5299),
    [anon_sym_constinit] = ACTIONS(5299),
    [anon_sym_consteval] = ACTIONS(5299),
    [anon_sym_PROGMEM] = ACTIONS(5299),
    [anon_sym_alignas] = ACTIONS(5299),
    [anon_sym__Alignas] = ACTIONS(5299),
    [aux_sym_primitive_type_token1] = ACTIONS(5299),
    [anon_sym_byte] = ACTIONS(5299),
    [anon_sym_word] = ACTIONS(5299),
    [anon_sym_enum] = ACTIONS(5299),
    [anon_sym_class] = ACTIONS(5299),
    [anon_sym_struct] = ACTIONS(5299),
    [anon_sym_union] = ACTIONS(5299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5299),
    [anon_sym_decltype] = ACTIONS(5299),
    [anon_sym_explicit] = ACTIONS(5299),
    [anon_sym_typename] = ACTIONS(5299),
    [anon_sym_template] = ACTIONS(5299),
    [anon_sym_operator] = ACTIONS(5299),
    [anon_sym_friend] = ACTIONS(5299),
    [anon_sym_public] = ACTIONS(5299),
    [anon_sym_private] = ACTIONS(5299),
    [anon_sym_protected] = ACTIONS(5299),
    [anon_sym_using] = ACTIONS(5299),
    [anon_sym_static_assert] = ACTIONS(5299),
  },
  [1935] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token2] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_friend] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
  },
  [1936] = {
    [sym_identifier] = ACTIONS(5319),
    [aux_sym_preproc_def_token1] = ACTIONS(5319),
    [aux_sym_preproc_if_token1] = ACTIONS(5319),
    [aux_sym_preproc_if_token2] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5319),
    [sym_preproc_directive] = ACTIONS(5319),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_TILDE] = ACTIONS(5321),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym_typedef] = ACTIONS(5319),
    [anon_sym_virtual] = ACTIONS(5319),
    [anon_sym_extern] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5321),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5321),
    [anon_sym___declspec] = ACTIONS(5319),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym_signed] = ACTIONS(5319),
    [anon_sym_unsigned] = ACTIONS(5319),
    [anon_sym_long] = ACTIONS(5319),
    [anon_sym_short] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5319),
    [anon_sym_static] = ACTIONS(5319),
    [anon_sym_register] = ACTIONS(5319),
    [anon_sym_inline] = ACTIONS(5319),
    [anon_sym___inline] = ACTIONS(5319),
    [anon_sym___inline__] = ACTIONS(5319),
    [anon_sym___forceinline] = ACTIONS(5319),
    [anon_sym_thread_local] = ACTIONS(5319),
    [anon_sym___thread] = ACTIONS(5319),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [aux_sym_primitive_type_token1] = ACTIONS(5319),
    [anon_sym_byte] = ACTIONS(5319),
    [anon_sym_word] = ACTIONS(5319),
    [anon_sym_enum] = ACTIONS(5319),
    [anon_sym_class] = ACTIONS(5319),
    [anon_sym_struct] = ACTIONS(5319),
    [anon_sym_union] = ACTIONS(5319),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_explicit] = ACTIONS(5319),
    [anon_sym_typename] = ACTIONS(5319),
    [anon_sym_template] = ACTIONS(5319),
    [anon_sym_operator] = ACTIONS(5319),
    [anon_sym_friend] = ACTIONS(5319),
    [anon_sym_public] = ACTIONS(5319),
    [anon_sym_private] = ACTIONS(5319),
    [anon_sym_protected] = ACTIONS(5319),
    [anon_sym_using] = ACTIONS(5319),
    [anon_sym_static_assert] = ACTIONS(5319),
  },
  [1937] = {
    [sym_identifier] = ACTIONS(5315),
    [aux_sym_preproc_def_token1] = ACTIONS(5315),
    [aux_sym_preproc_if_token1] = ACTIONS(5315),
    [aux_sym_preproc_if_token2] = ACTIONS(5315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5315),
    [sym_preproc_directive] = ACTIONS(5315),
    [anon_sym_LPAREN2] = ACTIONS(5317),
    [anon_sym_TILDE] = ACTIONS(5317),
    [anon_sym_STAR] = ACTIONS(5317),
    [anon_sym_AMP_AMP] = ACTIONS(5317),
    [anon_sym_AMP] = ACTIONS(5315),
    [anon_sym_SEMI] = ACTIONS(5317),
    [anon_sym___extension__] = ACTIONS(5315),
    [anon_sym_typedef] = ACTIONS(5315),
    [anon_sym_virtual] = ACTIONS(5315),
    [anon_sym_extern] = ACTIONS(5315),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_COLON_COLON] = ACTIONS(5317),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5317),
    [anon_sym___declspec] = ACTIONS(5315),
    [anon_sym___based] = ACTIONS(5315),
    [anon_sym_signed] = ACTIONS(5315),
    [anon_sym_unsigned] = ACTIONS(5315),
    [anon_sym_long] = ACTIONS(5315),
    [anon_sym_short] = ACTIONS(5315),
    [anon_sym_LBRACK] = ACTIONS(5315),
    [anon_sym_static] = ACTIONS(5315),
    [anon_sym_register] = ACTIONS(5315),
    [anon_sym_inline] = ACTIONS(5315),
    [anon_sym___inline] = ACTIONS(5315),
    [anon_sym___inline__] = ACTIONS(5315),
    [anon_sym___forceinline] = ACTIONS(5315),
    [anon_sym_thread_local] = ACTIONS(5315),
    [anon_sym___thread] = ACTIONS(5315),
    [anon_sym_const] = ACTIONS(5315),
    [anon_sym_constexpr] = ACTIONS(5315),
    [anon_sym_volatile] = ACTIONS(5315),
    [anon_sym_restrict] = ACTIONS(5315),
    [anon_sym___restrict__] = ACTIONS(5315),
    [anon_sym__Atomic] = ACTIONS(5315),
    [anon_sym__Noreturn] = ACTIONS(5315),
    [anon_sym_noreturn] = ACTIONS(5315),
    [anon_sym__Nonnull] = ACTIONS(5315),
    [anon_sym_mutable] = ACTIONS(5315),
    [anon_sym_constinit] = ACTIONS(5315),
    [anon_sym_consteval] = ACTIONS(5315),
    [anon_sym_PROGMEM] = ACTIONS(5315),
    [anon_sym_alignas] = ACTIONS(5315),
    [anon_sym__Alignas] = ACTIONS(5315),
    [aux_sym_primitive_type_token1] = ACTIONS(5315),
    [anon_sym_byte] = ACTIONS(5315),
    [anon_sym_word] = ACTIONS(5315),
    [anon_sym_enum] = ACTIONS(5315),
    [anon_sym_class] = ACTIONS(5315),
    [anon_sym_struct] = ACTIONS(5315),
    [anon_sym_union] = ACTIONS(5315),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5315),
    [anon_sym_decltype] = ACTIONS(5315),
    [anon_sym_explicit] = ACTIONS(5315),
    [anon_sym_typename] = ACTIONS(5315),
    [anon_sym_template] = ACTIONS(5315),
    [anon_sym_operator] = ACTIONS(5315),
    [anon_sym_friend] = ACTIONS(5315),
    [anon_sym_public] = ACTIONS(5315),
    [anon_sym_private] = ACTIONS(5315),
    [anon_sym_protected] = ACTIONS(5315),
    [anon_sym_using] = ACTIONS(5315),
    [anon_sym_static_assert] = ACTIONS(5315),
  },
  [1938] = {
    [sym_identifier] = ACTIONS(5295),
    [aux_sym_preproc_def_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token1] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5295),
    [sym_preproc_directive] = ACTIONS(5295),
    [anon_sym_LPAREN2] = ACTIONS(5297),
    [anon_sym_TILDE] = ACTIONS(5297),
    [anon_sym_STAR] = ACTIONS(5297),
    [anon_sym_AMP_AMP] = ACTIONS(5297),
    [anon_sym_AMP] = ACTIONS(5295),
    [anon_sym_SEMI] = ACTIONS(5297),
    [anon_sym___extension__] = ACTIONS(5295),
    [anon_sym_typedef] = ACTIONS(5295),
    [anon_sym_virtual] = ACTIONS(5295),
    [anon_sym_extern] = ACTIONS(5295),
    [anon_sym___attribute__] = ACTIONS(5295),
    [anon_sym_COLON_COLON] = ACTIONS(5297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5297),
    [anon_sym___declspec] = ACTIONS(5295),
    [anon_sym___based] = ACTIONS(5295),
    [anon_sym_RBRACE] = ACTIONS(5297),
    [anon_sym_signed] = ACTIONS(5295),
    [anon_sym_unsigned] = ACTIONS(5295),
    [anon_sym_long] = ACTIONS(5295),
    [anon_sym_short] = ACTIONS(5295),
    [anon_sym_LBRACK] = ACTIONS(5295),
    [anon_sym_static] = ACTIONS(5295),
    [anon_sym_register] = ACTIONS(5295),
    [anon_sym_inline] = ACTIONS(5295),
    [anon_sym___inline] = ACTIONS(5295),
    [anon_sym___inline__] = ACTIONS(5295),
    [anon_sym___forceinline] = ACTIONS(5295),
    [anon_sym_thread_local] = ACTIONS(5295),
    [anon_sym___thread] = ACTIONS(5295),
    [anon_sym_const] = ACTIONS(5295),
    [anon_sym_constexpr] = ACTIONS(5295),
    [anon_sym_volatile] = ACTIONS(5295),
    [anon_sym_restrict] = ACTIONS(5295),
    [anon_sym___restrict__] = ACTIONS(5295),
    [anon_sym__Atomic] = ACTIONS(5295),
    [anon_sym__Noreturn] = ACTIONS(5295),
    [anon_sym_noreturn] = ACTIONS(5295),
    [anon_sym__Nonnull] = ACTIONS(5295),
    [anon_sym_mutable] = ACTIONS(5295),
    [anon_sym_constinit] = ACTIONS(5295),
    [anon_sym_consteval] = ACTIONS(5295),
    [anon_sym_PROGMEM] = ACTIONS(5295),
    [anon_sym_alignas] = ACTIONS(5295),
    [anon_sym__Alignas] = ACTIONS(5295),
    [aux_sym_primitive_type_token1] = ACTIONS(5295),
    [anon_sym_byte] = ACTIONS(5295),
    [anon_sym_word] = ACTIONS(5295),
    [anon_sym_enum] = ACTIONS(5295),
    [anon_sym_class] = ACTIONS(5295),
    [anon_sym_struct] = ACTIONS(5295),
    [anon_sym_union] = ACTIONS(5295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5295),
    [anon_sym_decltype] = ACTIONS(5295),
    [anon_sym_explicit] = ACTIONS(5295),
    [anon_sym_typename] = ACTIONS(5295),
    [anon_sym_template] = ACTIONS(5295),
    [anon_sym_operator] = ACTIONS(5295),
    [anon_sym_friend] = ACTIONS(5295),
    [anon_sym_public] = ACTIONS(5295),
    [anon_sym_private] = ACTIONS(5295),
    [anon_sym_protected] = ACTIONS(5295),
    [anon_sym_using] = ACTIONS(5295),
    [anon_sym_static_assert] = ACTIONS(5295),
  },
  [1939] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
  },
  [1940] = {
    [sym_identifier] = ACTIONS(5251),
    [aux_sym_preproc_def_token1] = ACTIONS(5251),
    [aux_sym_preproc_if_token1] = ACTIONS(5251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5251),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5251),
    [sym_preproc_directive] = ACTIONS(5251),
    [anon_sym_LPAREN2] = ACTIONS(5253),
    [anon_sym_TILDE] = ACTIONS(5253),
    [anon_sym_STAR] = ACTIONS(5253),
    [anon_sym_AMP_AMP] = ACTIONS(5253),
    [anon_sym_AMP] = ACTIONS(5251),
    [anon_sym_SEMI] = ACTIONS(5253),
    [anon_sym___extension__] = ACTIONS(5251),
    [anon_sym_typedef] = ACTIONS(5251),
    [anon_sym_virtual] = ACTIONS(5251),
    [anon_sym_extern] = ACTIONS(5251),
    [anon_sym___attribute__] = ACTIONS(5251),
    [anon_sym_COLON_COLON] = ACTIONS(5253),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5253),
    [anon_sym___declspec] = ACTIONS(5251),
    [anon_sym___based] = ACTIONS(5251),
    [anon_sym_RBRACE] = ACTIONS(5253),
    [anon_sym_signed] = ACTIONS(5251),
    [anon_sym_unsigned] = ACTIONS(5251),
    [anon_sym_long] = ACTIONS(5251),
    [anon_sym_short] = ACTIONS(5251),
    [anon_sym_LBRACK] = ACTIONS(5251),
    [anon_sym_static] = ACTIONS(5251),
    [anon_sym_register] = ACTIONS(5251),
    [anon_sym_inline] = ACTIONS(5251),
    [anon_sym___inline] = ACTIONS(5251),
    [anon_sym___inline__] = ACTIONS(5251),
    [anon_sym___forceinline] = ACTIONS(5251),
    [anon_sym_thread_local] = ACTIONS(5251),
    [anon_sym___thread] = ACTIONS(5251),
    [anon_sym_const] = ACTIONS(5251),
    [anon_sym_constexpr] = ACTIONS(5251),
    [anon_sym_volatile] = ACTIONS(5251),
    [anon_sym_restrict] = ACTIONS(5251),
    [anon_sym___restrict__] = ACTIONS(5251),
    [anon_sym__Atomic] = ACTIONS(5251),
    [anon_sym__Noreturn] = ACTIONS(5251),
    [anon_sym_noreturn] = ACTIONS(5251),
    [anon_sym__Nonnull] = ACTIONS(5251),
    [anon_sym_mutable] = ACTIONS(5251),
    [anon_sym_constinit] = ACTIONS(5251),
    [anon_sym_consteval] = ACTIONS(5251),
    [anon_sym_PROGMEM] = ACTIONS(5251),
    [anon_sym_alignas] = ACTIONS(5251),
    [anon_sym__Alignas] = ACTIONS(5251),
    [aux_sym_primitive_type_token1] = ACTIONS(5251),
    [anon_sym_byte] = ACTIONS(5251),
    [anon_sym_word] = ACTIONS(5251),
    [anon_sym_enum] = ACTIONS(5251),
    [anon_sym_class] = ACTIONS(5251),
    [anon_sym_struct] = ACTIONS(5251),
    [anon_sym_union] = ACTIONS(5251),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5251),
    [anon_sym_decltype] = ACTIONS(5251),
    [anon_sym_explicit] = ACTIONS(5251),
    [anon_sym_typename] = ACTIONS(5251),
    [anon_sym_template] = ACTIONS(5251),
    [anon_sym_operator] = ACTIONS(5251),
    [anon_sym_friend] = ACTIONS(5251),
    [anon_sym_public] = ACTIONS(5251),
    [anon_sym_private] = ACTIONS(5251),
    [anon_sym_protected] = ACTIONS(5251),
    [anon_sym_using] = ACTIONS(5251),
    [anon_sym_static_assert] = ACTIONS(5251),
  },
  [1941] = {
    [sym_identifier] = ACTIONS(5329),
    [aux_sym_preproc_def_token1] = ACTIONS(5329),
    [aux_sym_preproc_if_token1] = ACTIONS(5329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5329),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5329),
    [sym_preproc_directive] = ACTIONS(5329),
    [anon_sym_LPAREN2] = ACTIONS(5331),
    [anon_sym_TILDE] = ACTIONS(5331),
    [anon_sym_STAR] = ACTIONS(5331),
    [anon_sym_AMP_AMP] = ACTIONS(5331),
    [anon_sym_AMP] = ACTIONS(5329),
    [anon_sym_SEMI] = ACTIONS(5331),
    [anon_sym___extension__] = ACTIONS(5329),
    [anon_sym_typedef] = ACTIONS(5329),
    [anon_sym_virtual] = ACTIONS(5329),
    [anon_sym_extern] = ACTIONS(5329),
    [anon_sym___attribute__] = ACTIONS(5329),
    [anon_sym_COLON_COLON] = ACTIONS(5331),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5331),
    [anon_sym___declspec] = ACTIONS(5329),
    [anon_sym___based] = ACTIONS(5329),
    [anon_sym_RBRACE] = ACTIONS(5331),
    [anon_sym_signed] = ACTIONS(5329),
    [anon_sym_unsigned] = ACTIONS(5329),
    [anon_sym_long] = ACTIONS(5329),
    [anon_sym_short] = ACTIONS(5329),
    [anon_sym_LBRACK] = ACTIONS(5329),
    [anon_sym_static] = ACTIONS(5329),
    [anon_sym_register] = ACTIONS(5329),
    [anon_sym_inline] = ACTIONS(5329),
    [anon_sym___inline] = ACTIONS(5329),
    [anon_sym___inline__] = ACTIONS(5329),
    [anon_sym___forceinline] = ACTIONS(5329),
    [anon_sym_thread_local] = ACTIONS(5329),
    [anon_sym___thread] = ACTIONS(5329),
    [anon_sym_const] = ACTIONS(5329),
    [anon_sym_constexpr] = ACTIONS(5329),
    [anon_sym_volatile] = ACTIONS(5329),
    [anon_sym_restrict] = ACTIONS(5329),
    [anon_sym___restrict__] = ACTIONS(5329),
    [anon_sym__Atomic] = ACTIONS(5329),
    [anon_sym__Noreturn] = ACTIONS(5329),
    [anon_sym_noreturn] = ACTIONS(5329),
    [anon_sym__Nonnull] = ACTIONS(5329),
    [anon_sym_mutable] = ACTIONS(5329),
    [anon_sym_constinit] = ACTIONS(5329),
    [anon_sym_consteval] = ACTIONS(5329),
    [anon_sym_PROGMEM] = ACTIONS(5329),
    [anon_sym_alignas] = ACTIONS(5329),
    [anon_sym__Alignas] = ACTIONS(5329),
    [aux_sym_primitive_type_token1] = ACTIONS(5329),
    [anon_sym_byte] = ACTIONS(5329),
    [anon_sym_word] = ACTIONS(5329),
    [anon_sym_enum] = ACTIONS(5329),
    [anon_sym_class] = ACTIONS(5329),
    [anon_sym_struct] = ACTIONS(5329),
    [anon_sym_union] = ACTIONS(5329),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5329),
    [anon_sym_decltype] = ACTIONS(5329),
    [anon_sym_explicit] = ACTIONS(5329),
    [anon_sym_typename] = ACTIONS(5329),
    [anon_sym_template] = ACTIONS(5329),
    [anon_sym_operator] = ACTIONS(5329),
    [anon_sym_friend] = ACTIONS(5329),
    [anon_sym_public] = ACTIONS(5329),
    [anon_sym_private] = ACTIONS(5329),
    [anon_sym_protected] = ACTIONS(5329),
    [anon_sym_using] = ACTIONS(5329),
    [anon_sym_static_assert] = ACTIONS(5329),
  },
  [1942] = {
    [sym_template_argument_list] = STATE(1578),
    [sym_identifier] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(4919),
    [anon_sym_TILDE] = ACTIONS(4919),
    [anon_sym_STAR] = ACTIONS(4919),
    [anon_sym_PIPE_PIPE] = ACTIONS(4919),
    [anon_sym_AMP_AMP] = ACTIONS(4919),
    [anon_sym_AMP] = ACTIONS(4912),
    [anon_sym_LT] = ACTIONS(5599),
    [anon_sym___extension__] = ACTIONS(4912),
    [anon_sym_virtual] = ACTIONS(4912),
    [anon_sym_extern] = ACTIONS(4912),
    [anon_sym___attribute__] = ACTIONS(4912),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4919),
    [anon_sym___declspec] = ACTIONS(4912),
    [anon_sym___based] = ACTIONS(4912),
    [anon_sym___cdecl] = ACTIONS(4912),
    [anon_sym___clrcall] = ACTIONS(4912),
    [anon_sym___stdcall] = ACTIONS(4912),
    [anon_sym___fastcall] = ACTIONS(4912),
    [anon_sym___thiscall] = ACTIONS(4912),
    [anon_sym___vectorcall] = ACTIONS(4912),
    [anon_sym_signed] = ACTIONS(4912),
    [anon_sym_unsigned] = ACTIONS(4912),
    [anon_sym_long] = ACTIONS(4912),
    [anon_sym_short] = ACTIONS(4912),
    [anon_sym_LBRACK] = ACTIONS(4912),
    [anon_sym_static] = ACTIONS(4912),
    [anon_sym_register] = ACTIONS(4912),
    [anon_sym_inline] = ACTIONS(4912),
    [anon_sym___inline] = ACTIONS(4912),
    [anon_sym___inline__] = ACTIONS(4912),
    [anon_sym___forceinline] = ACTIONS(4912),
    [anon_sym_thread_local] = ACTIONS(4912),
    [anon_sym___thread] = ACTIONS(4912),
    [anon_sym_const] = ACTIONS(4912),
    [anon_sym_constexpr] = ACTIONS(4912),
    [anon_sym_volatile] = ACTIONS(4912),
    [anon_sym_restrict] = ACTIONS(4912),
    [anon_sym___restrict__] = ACTIONS(4912),
    [anon_sym__Atomic] = ACTIONS(4912),
    [anon_sym__Noreturn] = ACTIONS(4912),
    [anon_sym_noreturn] = ACTIONS(4912),
    [anon_sym__Nonnull] = ACTIONS(4912),
    [anon_sym_mutable] = ACTIONS(4912),
    [anon_sym_constinit] = ACTIONS(4912),
    [anon_sym_consteval] = ACTIONS(4912),
    [anon_sym_PROGMEM] = ACTIONS(4912),
    [anon_sym_alignas] = ACTIONS(4912),
    [anon_sym__Alignas] = ACTIONS(4912),
    [aux_sym_primitive_type_token1] = ACTIONS(4912),
    [anon_sym_byte] = ACTIONS(4912),
    [anon_sym_word] = ACTIONS(4912),
    [anon_sym_enum] = ACTIONS(4912),
    [anon_sym_class] = ACTIONS(4912),
    [anon_sym_struct] = ACTIONS(4912),
    [anon_sym_union] = ACTIONS(4912),
    [anon_sym_or] = ACTIONS(4912),
    [anon_sym_and] = ACTIONS(4912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4912),
    [anon_sym_decltype] = ACTIONS(4912),
    [anon_sym_explicit] = ACTIONS(4912),
    [anon_sym_typename] = ACTIONS(4912),
    [anon_sym_template] = ACTIONS(4912),
    [anon_sym_operator] = ACTIONS(4912),
    [anon_sym_friend] = ACTIONS(4912),
    [anon_sym_using] = ACTIONS(4912),
    [anon_sym_concept] = ACTIONS(4912),
  },
  [1943] = {
    [sym_identifier] = ACTIONS(5243),
    [aux_sym_preproc_def_token1] = ACTIONS(5243),
    [aux_sym_preproc_if_token1] = ACTIONS(5243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5243),
    [sym_preproc_directive] = ACTIONS(5243),
    [anon_sym_LPAREN2] = ACTIONS(5245),
    [anon_sym_TILDE] = ACTIONS(5245),
    [anon_sym_STAR] = ACTIONS(5245),
    [anon_sym_AMP_AMP] = ACTIONS(5245),
    [anon_sym_AMP] = ACTIONS(5243),
    [anon_sym_SEMI] = ACTIONS(5245),
    [anon_sym___extension__] = ACTIONS(5243),
    [anon_sym_typedef] = ACTIONS(5243),
    [anon_sym_virtual] = ACTIONS(5243),
    [anon_sym_extern] = ACTIONS(5243),
    [anon_sym___attribute__] = ACTIONS(5243),
    [anon_sym_COLON_COLON] = ACTIONS(5245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5245),
    [anon_sym___declspec] = ACTIONS(5243),
    [anon_sym___based] = ACTIONS(5243),
    [anon_sym_RBRACE] = ACTIONS(5245),
    [anon_sym_signed] = ACTIONS(5243),
    [anon_sym_unsigned] = ACTIONS(5243),
    [anon_sym_long] = ACTIONS(5243),
    [anon_sym_short] = ACTIONS(5243),
    [anon_sym_LBRACK] = ACTIONS(5243),
    [anon_sym_static] = ACTIONS(5243),
    [anon_sym_register] = ACTIONS(5243),
    [anon_sym_inline] = ACTIONS(5243),
    [anon_sym___inline] = ACTIONS(5243),
    [anon_sym___inline__] = ACTIONS(5243),
    [anon_sym___forceinline] = ACTIONS(5243),
    [anon_sym_thread_local] = ACTIONS(5243),
    [anon_sym___thread] = ACTIONS(5243),
    [anon_sym_const] = ACTIONS(5243),
    [anon_sym_constexpr] = ACTIONS(5243),
    [anon_sym_volatile] = ACTIONS(5243),
    [anon_sym_restrict] = ACTIONS(5243),
    [anon_sym___restrict__] = ACTIONS(5243),
    [anon_sym__Atomic] = ACTIONS(5243),
    [anon_sym__Noreturn] = ACTIONS(5243),
    [anon_sym_noreturn] = ACTIONS(5243),
    [anon_sym__Nonnull] = ACTIONS(5243),
    [anon_sym_mutable] = ACTIONS(5243),
    [anon_sym_constinit] = ACTIONS(5243),
    [anon_sym_consteval] = ACTIONS(5243),
    [anon_sym_PROGMEM] = ACTIONS(5243),
    [anon_sym_alignas] = ACTIONS(5243),
    [anon_sym__Alignas] = ACTIONS(5243),
    [aux_sym_primitive_type_token1] = ACTIONS(5243),
    [anon_sym_byte] = ACTIONS(5243),
    [anon_sym_word] = ACTIONS(5243),
    [anon_sym_enum] = ACTIONS(5243),
    [anon_sym_class] = ACTIONS(5243),
    [anon_sym_struct] = ACTIONS(5243),
    [anon_sym_union] = ACTIONS(5243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5243),
    [anon_sym_decltype] = ACTIONS(5243),
    [anon_sym_explicit] = ACTIONS(5243),
    [anon_sym_typename] = ACTIONS(5243),
    [anon_sym_template] = ACTIONS(5243),
    [anon_sym_operator] = ACTIONS(5243),
    [anon_sym_friend] = ACTIONS(5243),
    [anon_sym_public] = ACTIONS(5243),
    [anon_sym_private] = ACTIONS(5243),
    [anon_sym_protected] = ACTIONS(5243),
    [anon_sym_using] = ACTIONS(5243),
    [anon_sym_static_assert] = ACTIONS(5243),
  },
  [1944] = {
    [sym_identifier] = ACTIONS(2996),
    [aux_sym_preproc_def_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token1] = ACTIONS(2996),
    [aux_sym_preproc_if_token2] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_LPAREN2] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym___extension__] = ACTIONS(2996),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_virtual] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym___attribute__] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2998),
    [anon_sym___declspec] = ACTIONS(2996),
    [anon_sym___based] = ACTIONS(2996),
    [anon_sym_signed] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym___inline] = ACTIONS(2996),
    [anon_sym___inline__] = ACTIONS(2996),
    [anon_sym___forceinline] = ACTIONS(2996),
    [anon_sym_thread_local] = ACTIONS(2996),
    [anon_sym___thread] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_constexpr] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym___restrict__] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym__Noreturn] = ACTIONS(2996),
    [anon_sym_noreturn] = ACTIONS(2996),
    [anon_sym__Nonnull] = ACTIONS(2996),
    [anon_sym_mutable] = ACTIONS(2996),
    [anon_sym_constinit] = ACTIONS(2996),
    [anon_sym_consteval] = ACTIONS(2996),
    [anon_sym_PROGMEM] = ACTIONS(2996),
    [anon_sym_alignas] = ACTIONS(2996),
    [anon_sym__Alignas] = ACTIONS(2996),
    [aux_sym_primitive_type_token1] = ACTIONS(2996),
    [anon_sym_byte] = ACTIONS(2996),
    [anon_sym_word] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2996),
    [anon_sym_decltype] = ACTIONS(2996),
    [anon_sym_explicit] = ACTIONS(2996),
    [anon_sym_typename] = ACTIONS(2996),
    [anon_sym_template] = ACTIONS(2996),
    [anon_sym_operator] = ACTIONS(2996),
    [anon_sym_friend] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_static_assert] = ACTIONS(2996),
  },
  [1945] = {
    [sym_identifier] = ACTIONS(5291),
    [aux_sym_preproc_def_token1] = ACTIONS(5291),
    [aux_sym_preproc_if_token1] = ACTIONS(5291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5291),
    [sym_preproc_directive] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5293),
    [anon_sym_TILDE] = ACTIONS(5293),
    [anon_sym_STAR] = ACTIONS(5293),
    [anon_sym_AMP_AMP] = ACTIONS(5293),
    [anon_sym_AMP] = ACTIONS(5291),
    [anon_sym_SEMI] = ACTIONS(5293),
    [anon_sym___extension__] = ACTIONS(5291),
    [anon_sym_typedef] = ACTIONS(5291),
    [anon_sym_virtual] = ACTIONS(5291),
    [anon_sym_extern] = ACTIONS(5291),
    [anon_sym___attribute__] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5293),
    [anon_sym___declspec] = ACTIONS(5291),
    [anon_sym___based] = ACTIONS(5291),
    [anon_sym_RBRACE] = ACTIONS(5293),
    [anon_sym_signed] = ACTIONS(5291),
    [anon_sym_unsigned] = ACTIONS(5291),
    [anon_sym_long] = ACTIONS(5291),
    [anon_sym_short] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5291),
    [anon_sym_static] = ACTIONS(5291),
    [anon_sym_register] = ACTIONS(5291),
    [anon_sym_inline] = ACTIONS(5291),
    [anon_sym___inline] = ACTIONS(5291),
    [anon_sym___inline__] = ACTIONS(5291),
    [anon_sym___forceinline] = ACTIONS(5291),
    [anon_sym_thread_local] = ACTIONS(5291),
    [anon_sym___thread] = ACTIONS(5291),
    [anon_sym_const] = ACTIONS(5291),
    [anon_sym_constexpr] = ACTIONS(5291),
    [anon_sym_volatile] = ACTIONS(5291),
    [anon_sym_restrict] = ACTIONS(5291),
    [anon_sym___restrict__] = ACTIONS(5291),
    [anon_sym__Atomic] = ACTIONS(5291),
    [anon_sym__Noreturn] = ACTIONS(5291),
    [anon_sym_noreturn] = ACTIONS(5291),
    [anon_sym__Nonnull] = ACTIONS(5291),
    [anon_sym_mutable] = ACTIONS(5291),
    [anon_sym_constinit] = ACTIONS(5291),
    [anon_sym_consteval] = ACTIONS(5291),
    [anon_sym_PROGMEM] = ACTIONS(5291),
    [anon_sym_alignas] = ACTIONS(5291),
    [anon_sym__Alignas] = ACTIONS(5291),
    [aux_sym_primitive_type_token1] = ACTIONS(5291),
    [anon_sym_byte] = ACTIONS(5291),
    [anon_sym_word] = ACTIONS(5291),
    [anon_sym_enum] = ACTIONS(5291),
    [anon_sym_class] = ACTIONS(5291),
    [anon_sym_struct] = ACTIONS(5291),
    [anon_sym_union] = ACTIONS(5291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5291),
    [anon_sym_decltype] = ACTIONS(5291),
    [anon_sym_explicit] = ACTIONS(5291),
    [anon_sym_typename] = ACTIONS(5291),
    [anon_sym_template] = ACTIONS(5291),
    [anon_sym_operator] = ACTIONS(5291),
    [anon_sym_friend] = ACTIONS(5291),
    [anon_sym_public] = ACTIONS(5291),
    [anon_sym_private] = ACTIONS(5291),
    [anon_sym_protected] = ACTIONS(5291),
    [anon_sym_using] = ACTIONS(5291),
    [anon_sym_static_assert] = ACTIONS(5291),
  },
  [1946] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token2] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_friend] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
  },
  [1947] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_friend] = ACTIONS(2972),
    [anon_sym_public] = ACTIONS(2972),
    [anon_sym_private] = ACTIONS(2972),
    [anon_sym_protected] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
  },
  [1948] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_friend] = ACTIONS(2972),
    [anon_sym_public] = ACTIONS(2972),
    [anon_sym_private] = ACTIONS(2972),
    [anon_sym_protected] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
  },
  [1949] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token2] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3109),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym__Nonnull] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [anon_sym_PROGMEM] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym__Alignas] = ACTIONS(3107),
    [aux_sym_primitive_type_token1] = ACTIONS(3107),
    [anon_sym_byte] = ACTIONS(3107),
    [anon_sym_word] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_friend] = ACTIONS(3107),
    [anon_sym_public] = ACTIONS(3107),
    [anon_sym_private] = ACTIONS(3107),
    [anon_sym_protected] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
  },
  [1950] = {
    [sym_identifier] = ACTIONS(5239),
    [aux_sym_preproc_def_token1] = ACTIONS(5239),
    [aux_sym_preproc_if_token1] = ACTIONS(5239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5239),
    [sym_preproc_directive] = ACTIONS(5239),
    [anon_sym_LPAREN2] = ACTIONS(5241),
    [anon_sym_TILDE] = ACTIONS(5241),
    [anon_sym_STAR] = ACTIONS(5241),
    [anon_sym_AMP_AMP] = ACTIONS(5241),
    [anon_sym_AMP] = ACTIONS(5239),
    [anon_sym_SEMI] = ACTIONS(5241),
    [anon_sym___extension__] = ACTIONS(5239),
    [anon_sym_typedef] = ACTIONS(5239),
    [anon_sym_virtual] = ACTIONS(5239),
    [anon_sym_extern] = ACTIONS(5239),
    [anon_sym___attribute__] = ACTIONS(5239),
    [anon_sym_COLON_COLON] = ACTIONS(5241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5241),
    [anon_sym___declspec] = ACTIONS(5239),
    [anon_sym___based] = ACTIONS(5239),
    [anon_sym_RBRACE] = ACTIONS(5241),
    [anon_sym_signed] = ACTIONS(5239),
    [anon_sym_unsigned] = ACTIONS(5239),
    [anon_sym_long] = ACTIONS(5239),
    [anon_sym_short] = ACTIONS(5239),
    [anon_sym_LBRACK] = ACTIONS(5239),
    [anon_sym_static] = ACTIONS(5239),
    [anon_sym_register] = ACTIONS(5239),
    [anon_sym_inline] = ACTIONS(5239),
    [anon_sym___inline] = ACTIONS(5239),
    [anon_sym___inline__] = ACTIONS(5239),
    [anon_sym___forceinline] = ACTIONS(5239),
    [anon_sym_thread_local] = ACTIONS(5239),
    [anon_sym___thread] = ACTIONS(5239),
    [anon_sym_const] = ACTIONS(5239),
    [anon_sym_constexpr] = ACTIONS(5239),
    [anon_sym_volatile] = ACTIONS(5239),
    [anon_sym_restrict] = ACTIONS(5239),
    [anon_sym___restrict__] = ACTIONS(5239),
    [anon_sym__Atomic] = ACTIONS(5239),
    [anon_sym__Noreturn] = ACTIONS(5239),
    [anon_sym_noreturn] = ACTIONS(5239),
    [anon_sym__Nonnull] = ACTIONS(5239),
    [anon_sym_mutable] = ACTIONS(5239),
    [anon_sym_constinit] = ACTIONS(5239),
    [anon_sym_consteval] = ACTIONS(5239),
    [anon_sym_PROGMEM] = ACTIONS(5239),
    [anon_sym_alignas] = ACTIONS(5239),
    [anon_sym__Alignas] = ACTIONS(5239),
    [aux_sym_primitive_type_token1] = ACTIONS(5239),
    [anon_sym_byte] = ACTIONS(5239),
    [anon_sym_word] = ACTIONS(5239),
    [anon_sym_enum] = ACTIONS(5239),
    [anon_sym_class] = ACTIONS(5239),
    [anon_sym_struct] = ACTIONS(5239),
    [anon_sym_union] = ACTIONS(5239),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5239),
    [anon_sym_decltype] = ACTIONS(5239),
    [anon_sym_explicit] = ACTIONS(5239),
    [anon_sym_typename] = ACTIONS(5239),
    [anon_sym_template] = ACTIONS(5239),
    [anon_sym_operator] = ACTIONS(5239),
    [anon_sym_friend] = ACTIONS(5239),
    [anon_sym_public] = ACTIONS(5239),
    [anon_sym_private] = ACTIONS(5239),
    [anon_sym_protected] = ACTIONS(5239),
    [anon_sym_using] = ACTIONS(5239),
    [anon_sym_static_assert] = ACTIONS(5239),
  },
  [1951] = {
    [sym_identifier] = ACTIONS(5315),
    [aux_sym_preproc_def_token1] = ACTIONS(5315),
    [aux_sym_preproc_if_token1] = ACTIONS(5315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5315),
    [sym_preproc_directive] = ACTIONS(5315),
    [anon_sym_LPAREN2] = ACTIONS(5317),
    [anon_sym_TILDE] = ACTIONS(5317),
    [anon_sym_STAR] = ACTIONS(5317),
    [anon_sym_AMP_AMP] = ACTIONS(5317),
    [anon_sym_AMP] = ACTIONS(5315),
    [anon_sym_SEMI] = ACTIONS(5317),
    [anon_sym___extension__] = ACTIONS(5315),
    [anon_sym_typedef] = ACTIONS(5315),
    [anon_sym_virtual] = ACTIONS(5315),
    [anon_sym_extern] = ACTIONS(5315),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_COLON_COLON] = ACTIONS(5317),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5317),
    [anon_sym___declspec] = ACTIONS(5315),
    [anon_sym___based] = ACTIONS(5315),
    [anon_sym_RBRACE] = ACTIONS(5317),
    [anon_sym_signed] = ACTIONS(5315),
    [anon_sym_unsigned] = ACTIONS(5315),
    [anon_sym_long] = ACTIONS(5315),
    [anon_sym_short] = ACTIONS(5315),
    [anon_sym_LBRACK] = ACTIONS(5315),
    [anon_sym_static] = ACTIONS(5315),
    [anon_sym_register] = ACTIONS(5315),
    [anon_sym_inline] = ACTIONS(5315),
    [anon_sym___inline] = ACTIONS(5315),
    [anon_sym___inline__] = ACTIONS(5315),
    [anon_sym___forceinline] = ACTIONS(5315),
    [anon_sym_thread_local] = ACTIONS(5315),
    [anon_sym___thread] = ACTIONS(5315),
    [anon_sym_const] = ACTIONS(5315),
    [anon_sym_constexpr] = ACTIONS(5315),
    [anon_sym_volatile] = ACTIONS(5315),
    [anon_sym_restrict] = ACTIONS(5315),
    [anon_sym___restrict__] = ACTIONS(5315),
    [anon_sym__Atomic] = ACTIONS(5315),
    [anon_sym__Noreturn] = ACTIONS(5315),
    [anon_sym_noreturn] = ACTIONS(5315),
    [anon_sym__Nonnull] = ACTIONS(5315),
    [anon_sym_mutable] = ACTIONS(5315),
    [anon_sym_constinit] = ACTIONS(5315),
    [anon_sym_consteval] = ACTIONS(5315),
    [anon_sym_PROGMEM] = ACTIONS(5315),
    [anon_sym_alignas] = ACTIONS(5315),
    [anon_sym__Alignas] = ACTIONS(5315),
    [aux_sym_primitive_type_token1] = ACTIONS(5315),
    [anon_sym_byte] = ACTIONS(5315),
    [anon_sym_word] = ACTIONS(5315),
    [anon_sym_enum] = ACTIONS(5315),
    [anon_sym_class] = ACTIONS(5315),
    [anon_sym_struct] = ACTIONS(5315),
    [anon_sym_union] = ACTIONS(5315),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5315),
    [anon_sym_decltype] = ACTIONS(5315),
    [anon_sym_explicit] = ACTIONS(5315),
    [anon_sym_typename] = ACTIONS(5315),
    [anon_sym_template] = ACTIONS(5315),
    [anon_sym_operator] = ACTIONS(5315),
    [anon_sym_friend] = ACTIONS(5315),
    [anon_sym_public] = ACTIONS(5315),
    [anon_sym_private] = ACTIONS(5315),
    [anon_sym_protected] = ACTIONS(5315),
    [anon_sym_using] = ACTIONS(5315),
    [anon_sym_static_assert] = ACTIONS(5315),
  },
  [1952] = {
    [sym_identifier] = ACTIONS(3178),
    [aux_sym_preproc_def_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token2] = ACTIONS(3178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3178),
    [sym_preproc_directive] = ACTIONS(3178),
    [anon_sym_LPAREN2] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3178),
    [anon_sym_typedef] = ACTIONS(3178),
    [anon_sym_virtual] = ACTIONS(3178),
    [anon_sym_extern] = ACTIONS(3178),
    [anon_sym___attribute__] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3180),
    [anon_sym___declspec] = ACTIONS(3178),
    [anon_sym___based] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3178),
    [anon_sym_unsigned] = ACTIONS(3178),
    [anon_sym_long] = ACTIONS(3178),
    [anon_sym_short] = ACTIONS(3178),
    [anon_sym_LBRACK] = ACTIONS(3178),
    [anon_sym_static] = ACTIONS(3178),
    [anon_sym_register] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym___inline] = ACTIONS(3178),
    [anon_sym___inline__] = ACTIONS(3178),
    [anon_sym___forceinline] = ACTIONS(3178),
    [anon_sym_thread_local] = ACTIONS(3178),
    [anon_sym___thread] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_constexpr] = ACTIONS(3178),
    [anon_sym_volatile] = ACTIONS(3178),
    [anon_sym_restrict] = ACTIONS(3178),
    [anon_sym___restrict__] = ACTIONS(3178),
    [anon_sym__Atomic] = ACTIONS(3178),
    [anon_sym__Noreturn] = ACTIONS(3178),
    [anon_sym_noreturn] = ACTIONS(3178),
    [anon_sym__Nonnull] = ACTIONS(3178),
    [anon_sym_mutable] = ACTIONS(3178),
    [anon_sym_constinit] = ACTIONS(3178),
    [anon_sym_consteval] = ACTIONS(3178),
    [anon_sym_PROGMEM] = ACTIONS(3178),
    [anon_sym_alignas] = ACTIONS(3178),
    [anon_sym__Alignas] = ACTIONS(3178),
    [aux_sym_primitive_type_token1] = ACTIONS(3178),
    [anon_sym_byte] = ACTIONS(3178),
    [anon_sym_word] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_class] = ACTIONS(3178),
    [anon_sym_struct] = ACTIONS(3178),
    [anon_sym_union] = ACTIONS(3178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3178),
    [anon_sym_decltype] = ACTIONS(3178),
    [anon_sym_explicit] = ACTIONS(3178),
    [anon_sym_typename] = ACTIONS(3178),
    [anon_sym_template] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_friend] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_using] = ACTIONS(3178),
    [anon_sym_static_assert] = ACTIONS(3178),
  },
  [1953] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym_RBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_PROGMEM] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [aux_sym_primitive_type_token1] = ACTIONS(2790),
    [anon_sym_byte] = ACTIONS(2790),
    [anon_sym_word] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_friend] = ACTIONS(2790),
    [anon_sym_public] = ACTIONS(2790),
    [anon_sym_private] = ACTIONS(2790),
    [anon_sym_protected] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
  },
  [1954] = {
    [sym_identifier] = ACTIONS(5319),
    [aux_sym_preproc_def_token1] = ACTIONS(5319),
    [aux_sym_preproc_if_token1] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5319),
    [sym_preproc_directive] = ACTIONS(5319),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_TILDE] = ACTIONS(5321),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym_typedef] = ACTIONS(5319),
    [anon_sym_virtual] = ACTIONS(5319),
    [anon_sym_extern] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5321),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5321),
    [anon_sym___declspec] = ACTIONS(5319),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym_RBRACE] = ACTIONS(5321),
    [anon_sym_signed] = ACTIONS(5319),
    [anon_sym_unsigned] = ACTIONS(5319),
    [anon_sym_long] = ACTIONS(5319),
    [anon_sym_short] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5319),
    [anon_sym_static] = ACTIONS(5319),
    [anon_sym_register] = ACTIONS(5319),
    [anon_sym_inline] = ACTIONS(5319),
    [anon_sym___inline] = ACTIONS(5319),
    [anon_sym___inline__] = ACTIONS(5319),
    [anon_sym___forceinline] = ACTIONS(5319),
    [anon_sym_thread_local] = ACTIONS(5319),
    [anon_sym___thread] = ACTIONS(5319),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [aux_sym_primitive_type_token1] = ACTIONS(5319),
    [anon_sym_byte] = ACTIONS(5319),
    [anon_sym_word] = ACTIONS(5319),
    [anon_sym_enum] = ACTIONS(5319),
    [anon_sym_class] = ACTIONS(5319),
    [anon_sym_struct] = ACTIONS(5319),
    [anon_sym_union] = ACTIONS(5319),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_explicit] = ACTIONS(5319),
    [anon_sym_typename] = ACTIONS(5319),
    [anon_sym_template] = ACTIONS(5319),
    [anon_sym_operator] = ACTIONS(5319),
    [anon_sym_friend] = ACTIONS(5319),
    [anon_sym_public] = ACTIONS(5319),
    [anon_sym_private] = ACTIONS(5319),
    [anon_sym_protected] = ACTIONS(5319),
    [anon_sym_using] = ACTIONS(5319),
    [anon_sym_static_assert] = ACTIONS(5319),
  },
  [1955] = {
    [sym_identifier] = ACTIONS(5319),
    [aux_sym_preproc_def_token1] = ACTIONS(5319),
    [aux_sym_preproc_if_token1] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5319),
    [sym_preproc_directive] = ACTIONS(5319),
    [anon_sym_LPAREN2] = ACTIONS(5321),
    [anon_sym_TILDE] = ACTIONS(5321),
    [anon_sym_STAR] = ACTIONS(5321),
    [anon_sym_AMP_AMP] = ACTIONS(5321),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5321),
    [anon_sym___extension__] = ACTIONS(5319),
    [anon_sym_typedef] = ACTIONS(5319),
    [anon_sym_virtual] = ACTIONS(5319),
    [anon_sym_extern] = ACTIONS(5319),
    [anon_sym___attribute__] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5321),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5321),
    [anon_sym___declspec] = ACTIONS(5319),
    [anon_sym___based] = ACTIONS(5319),
    [anon_sym_RBRACE] = ACTIONS(5321),
    [anon_sym_signed] = ACTIONS(5319),
    [anon_sym_unsigned] = ACTIONS(5319),
    [anon_sym_long] = ACTIONS(5319),
    [anon_sym_short] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5319),
    [anon_sym_static] = ACTIONS(5319),
    [anon_sym_register] = ACTIONS(5319),
    [anon_sym_inline] = ACTIONS(5319),
    [anon_sym___inline] = ACTIONS(5319),
    [anon_sym___inline__] = ACTIONS(5319),
    [anon_sym___forceinline] = ACTIONS(5319),
    [anon_sym_thread_local] = ACTIONS(5319),
    [anon_sym___thread] = ACTIONS(5319),
    [anon_sym_const] = ACTIONS(5319),
    [anon_sym_constexpr] = ACTIONS(5319),
    [anon_sym_volatile] = ACTIONS(5319),
    [anon_sym_restrict] = ACTIONS(5319),
    [anon_sym___restrict__] = ACTIONS(5319),
    [anon_sym__Atomic] = ACTIONS(5319),
    [anon_sym__Noreturn] = ACTIONS(5319),
    [anon_sym_noreturn] = ACTIONS(5319),
    [anon_sym__Nonnull] = ACTIONS(5319),
    [anon_sym_mutable] = ACTIONS(5319),
    [anon_sym_constinit] = ACTIONS(5319),
    [anon_sym_consteval] = ACTIONS(5319),
    [anon_sym_PROGMEM] = ACTIONS(5319),
    [anon_sym_alignas] = ACTIONS(5319),
    [anon_sym__Alignas] = ACTIONS(5319),
    [aux_sym_primitive_type_token1] = ACTIONS(5319),
    [anon_sym_byte] = ACTIONS(5319),
    [anon_sym_word] = ACTIONS(5319),
    [anon_sym_enum] = ACTIONS(5319),
    [anon_sym_class] = ACTIONS(5319),
    [anon_sym_struct] = ACTIONS(5319),
    [anon_sym_union] = ACTIONS(5319),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5319),
    [anon_sym_decltype] = ACTIONS(5319),
    [anon_sym_explicit] = ACTIONS(5319),
    [anon_sym_typename] = ACTIONS(5319),
    [anon_sym_template] = ACTIONS(5319),
    [anon_sym_operator] = ACTIONS(5319),
    [anon_sym_friend] = ACTIONS(5319),
    [anon_sym_public] = ACTIONS(5319),
    [anon_sym_private] = ACTIONS(5319),
    [anon_sym_protected] = ACTIONS(5319),
    [anon_sym_using] = ACTIONS(5319),
    [anon_sym_static_assert] = ACTIONS(5319),
  },
  [1956] = {
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token2] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym__Nonnull] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [anon_sym_PROGMEM] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym__Alignas] = ACTIONS(3095),
    [aux_sym_primitive_type_token1] = ACTIONS(3095),
    [anon_sym_byte] = ACTIONS(3095),
    [anon_sym_word] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_friend] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
  },
  [1957] = {
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym_RBRACE] = ACTIONS(2994),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_PROGMEM] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [aux_sym_primitive_type_token1] = ACTIONS(2992),
    [anon_sym_byte] = ACTIONS(2992),
    [anon_sym_word] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_friend] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
  },
  [1958] = {
    [sym_identifier] = ACTIONS(5255),
    [aux_sym_preproc_def_token1] = ACTIONS(5255),
    [aux_sym_preproc_if_token1] = ACTIONS(5255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5255),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5255),
    [sym_preproc_directive] = ACTIONS(5255),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_TILDE] = ACTIONS(5257),
    [anon_sym_STAR] = ACTIONS(5257),
    [anon_sym_AMP_AMP] = ACTIONS(5257),
    [anon_sym_AMP] = ACTIONS(5255),
    [anon_sym_SEMI] = ACTIONS(5257),
    [anon_sym___extension__] = ACTIONS(5255),
    [anon_sym_typedef] = ACTIONS(5255),
    [anon_sym_virtual] = ACTIONS(5255),
    [anon_sym_extern] = ACTIONS(5255),
    [anon_sym___attribute__] = ACTIONS(5255),
    [anon_sym_COLON_COLON] = ACTIONS(5257),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5257),
    [anon_sym___declspec] = ACTIONS(5255),
    [anon_sym___based] = ACTIONS(5255),
    [anon_sym_RBRACE] = ACTIONS(5257),
    [anon_sym_signed] = ACTIONS(5255),
    [anon_sym_unsigned] = ACTIONS(5255),
    [anon_sym_long] = ACTIONS(5255),
    [anon_sym_short] = ACTIONS(5255),
    [anon_sym_LBRACK] = ACTIONS(5255),
    [anon_sym_static] = ACTIONS(5255),
    [anon_sym_register] = ACTIONS(5255),
    [anon_sym_inline] = ACTIONS(5255),
    [anon_sym___inline] = ACTIONS(5255),
    [anon_sym___inline__] = ACTIONS(5255),
    [anon_sym___forceinline] = ACTIONS(5255),
    [anon_sym_thread_local] = ACTIONS(5255),
    [anon_sym___thread] = ACTIONS(5255),
    [anon_sym_const] = ACTIONS(5255),
    [anon_sym_constexpr] = ACTIONS(5255),
    [anon_sym_volatile] = ACTIONS(5255),
    [anon_sym_restrict] = ACTIONS(5255),
    [anon_sym___restrict__] = ACTIONS(5255),
    [anon_sym__Atomic] = ACTIONS(5255),
    [anon_sym__Noreturn] = ACTIONS(5255),
    [anon_sym_noreturn] = ACTIONS(5255),
    [anon_sym__Nonnull] = ACTIONS(5255),
    [anon_sym_mutable] = ACTIONS(5255),
    [anon_sym_constinit] = ACTIONS(5255),
    [anon_sym_consteval] = ACTIONS(5255),
    [anon_sym_PROGMEM] = ACTIONS(5255),
    [anon_sym_alignas] = ACTIONS(5255),
    [anon_sym__Alignas] = ACTIONS(5255),
    [aux_sym_primitive_type_token1] = ACTIONS(5255),
    [anon_sym_byte] = ACTIONS(5255),
    [anon_sym_word] = ACTIONS(5255),
    [anon_sym_enum] = ACTIONS(5255),
    [anon_sym_class] = ACTIONS(5255),
    [anon_sym_struct] = ACTIONS(5255),
    [anon_sym_union] = ACTIONS(5255),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5255),
    [anon_sym_decltype] = ACTIONS(5255),
    [anon_sym_explicit] = ACTIONS(5255),
    [anon_sym_typename] = ACTIONS(5255),
    [anon_sym_template] = ACTIONS(5255),
    [anon_sym_operator] = ACTIONS(5255),
    [anon_sym_friend] = ACTIONS(5255),
    [anon_sym_public] = ACTIONS(5255),
    [anon_sym_private] = ACTIONS(5255),
    [anon_sym_protected] = ACTIONS(5255),
    [anon_sym_using] = ACTIONS(5255),
    [anon_sym_static_assert] = ACTIONS(5255),
  },
  [1959] = {
    [sym_identifier] = ACTIONS(3008),
    [aux_sym_preproc_def_token1] = ACTIONS(3008),
    [aux_sym_preproc_if_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3008),
    [anon_sym_LPAREN2] = ACTIONS(3010),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(3008),
    [anon_sym_typedef] = ACTIONS(3008),
    [anon_sym_virtual] = ACTIONS(3008),
    [anon_sym_extern] = ACTIONS(3008),
    [anon_sym___attribute__] = ACTIONS(3008),
    [anon_sym_COLON_COLON] = ACTIONS(3010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3010),
    [anon_sym___declspec] = ACTIONS(3008),
    [anon_sym___based] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3010),
    [anon_sym_signed] = ACTIONS(3008),
    [anon_sym_unsigned] = ACTIONS(3008),
    [anon_sym_long] = ACTIONS(3008),
    [anon_sym_short] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_register] = ACTIONS(3008),
    [anon_sym_inline] = ACTIONS(3008),
    [anon_sym___inline] = ACTIONS(3008),
    [anon_sym___inline__] = ACTIONS(3008),
    [anon_sym___forceinline] = ACTIONS(3008),
    [anon_sym_thread_local] = ACTIONS(3008),
    [anon_sym___thread] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_constexpr] = ACTIONS(3008),
    [anon_sym_volatile] = ACTIONS(3008),
    [anon_sym_restrict] = ACTIONS(3008),
    [anon_sym___restrict__] = ACTIONS(3008),
    [anon_sym__Atomic] = ACTIONS(3008),
    [anon_sym__Noreturn] = ACTIONS(3008),
    [anon_sym_noreturn] = ACTIONS(3008),
    [anon_sym__Nonnull] = ACTIONS(3008),
    [anon_sym_mutable] = ACTIONS(3008),
    [anon_sym_constinit] = ACTIONS(3008),
    [anon_sym_consteval] = ACTIONS(3008),
    [anon_sym_PROGMEM] = ACTIONS(3008),
    [anon_sym_alignas] = ACTIONS(3008),
    [anon_sym__Alignas] = ACTIONS(3008),
    [aux_sym_primitive_type_token1] = ACTIONS(3008),
    [anon_sym_byte] = ACTIONS(3008),
    [anon_sym_word] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_struct] = ACTIONS(3008),
    [anon_sym_union] = ACTIONS(3008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3008),
    [anon_sym_decltype] = ACTIONS(3008),
    [anon_sym_explicit] = ACTIONS(3008),
    [anon_sym_typename] = ACTIONS(3008),
    [anon_sym_template] = ACTIONS(3008),
    [anon_sym_operator] = ACTIONS(3008),
    [anon_sym_friend] = ACTIONS(3008),
    [anon_sym_public] = ACTIONS(3008),
    [anon_sym_private] = ACTIONS(3008),
    [anon_sym_protected] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_static_assert] = ACTIONS(3008),
  },
  [1960] = {
    [sym_identifier] = ACTIONS(2992),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token2] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2992),
    [sym_preproc_directive] = ACTIONS(2992),
    [anon_sym_LPAREN2] = ACTIONS(2994),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym___extension__] = ACTIONS(2992),
    [anon_sym_typedef] = ACTIONS(2992),
    [anon_sym_virtual] = ACTIONS(2992),
    [anon_sym_extern] = ACTIONS(2992),
    [anon_sym___attribute__] = ACTIONS(2992),
    [anon_sym_COLON_COLON] = ACTIONS(2994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2994),
    [anon_sym___declspec] = ACTIONS(2992),
    [anon_sym___based] = ACTIONS(2992),
    [anon_sym_signed] = ACTIONS(2992),
    [anon_sym_unsigned] = ACTIONS(2992),
    [anon_sym_long] = ACTIONS(2992),
    [anon_sym_short] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2992),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_register] = ACTIONS(2992),
    [anon_sym_inline] = ACTIONS(2992),
    [anon_sym___inline] = ACTIONS(2992),
    [anon_sym___inline__] = ACTIONS(2992),
    [anon_sym___forceinline] = ACTIONS(2992),
    [anon_sym_thread_local] = ACTIONS(2992),
    [anon_sym___thread] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_constexpr] = ACTIONS(2992),
    [anon_sym_volatile] = ACTIONS(2992),
    [anon_sym_restrict] = ACTIONS(2992),
    [anon_sym___restrict__] = ACTIONS(2992),
    [anon_sym__Atomic] = ACTIONS(2992),
    [anon_sym__Noreturn] = ACTIONS(2992),
    [anon_sym_noreturn] = ACTIONS(2992),
    [anon_sym__Nonnull] = ACTIONS(2992),
    [anon_sym_mutable] = ACTIONS(2992),
    [anon_sym_constinit] = ACTIONS(2992),
    [anon_sym_consteval] = ACTIONS(2992),
    [anon_sym_PROGMEM] = ACTIONS(2992),
    [anon_sym_alignas] = ACTIONS(2992),
    [anon_sym__Alignas] = ACTIONS(2992),
    [aux_sym_primitive_type_token1] = ACTIONS(2992),
    [anon_sym_byte] = ACTIONS(2992),
    [anon_sym_word] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_struct] = ACTIONS(2992),
    [anon_sym_union] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2992),
    [anon_sym_decltype] = ACTIONS(2992),
    [anon_sym_explicit] = ACTIONS(2992),
    [anon_sym_typename] = ACTIONS(2992),
    [anon_sym_template] = ACTIONS(2992),
    [anon_sym_operator] = ACTIONS(2992),
    [anon_sym_friend] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_static_assert] = ACTIONS(2992),
  },
  [1961] = {
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_virtual] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym_RBRACE] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym__Nonnull] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [anon_sym_PROGMEM] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym__Alignas] = ACTIONS(2964),
    [aux_sym_primitive_type_token1] = ACTIONS(2964),
    [anon_sym_byte] = ACTIONS(2964),
    [anon_sym_word] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_friend] = ACTIONS(2964),
    [anon_sym_public] = ACTIONS(2964),
    [anon_sym_private] = ACTIONS(2964),
    [anon_sym_protected] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
  },
  [1962] = {
    [sym_identifier] = ACTIONS(5243),
    [aux_sym_preproc_def_token1] = ACTIONS(5243),
    [aux_sym_preproc_if_token1] = ACTIONS(5243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5243),
    [sym_preproc_directive] = ACTIONS(5243),
    [anon_sym_LPAREN2] = ACTIONS(5245),
    [anon_sym_TILDE] = ACTIONS(5245),
    [anon_sym_STAR] = ACTIONS(5245),
    [anon_sym_AMP_AMP] = ACTIONS(5245),
    [anon_sym_AMP] = ACTIONS(5243),
    [anon_sym_SEMI] = ACTIONS(5245),
    [anon_sym___extension__] = ACTIONS(5243),
    [anon_sym_typedef] = ACTIONS(5243),
    [anon_sym_virtual] = ACTIONS(5243),
    [anon_sym_extern] = ACTIONS(5243),
    [anon_sym___attribute__] = ACTIONS(5243),
    [anon_sym_COLON_COLON] = ACTIONS(5245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5245),
    [anon_sym___declspec] = ACTIONS(5243),
    [anon_sym___based] = ACTIONS(5243),
    [anon_sym_RBRACE] = ACTIONS(5245),
    [anon_sym_signed] = ACTIONS(5243),
    [anon_sym_unsigned] = ACTIONS(5243),
    [anon_sym_long] = ACTIONS(5243),
    [anon_sym_short] = ACTIONS(5243),
    [anon_sym_LBRACK] = ACTIONS(5243),
    [anon_sym_static] = ACTIONS(5243),
    [anon_sym_register] = ACTIONS(5243),
    [anon_sym_inline] = ACTIONS(5243),
    [anon_sym___inline] = ACTIONS(5243),
    [anon_sym___inline__] = ACTIONS(5243),
    [anon_sym___forceinline] = ACTIONS(5243),
    [anon_sym_thread_local] = ACTIONS(5243),
    [anon_sym___thread] = ACTIONS(5243),
    [anon_sym_const] = ACTIONS(5243),
    [anon_sym_constexpr] = ACTIONS(5243),
    [anon_sym_volatile] = ACTIONS(5243),
    [anon_sym_restrict] = ACTIONS(5243),
    [anon_sym___restrict__] = ACTIONS(5243),
    [anon_sym__Atomic] = ACTIONS(5243),
    [anon_sym__Noreturn] = ACTIONS(5243),
    [anon_sym_noreturn] = ACTIONS(5243),
    [anon_sym__Nonnull] = ACTIONS(5243),
    [anon_sym_mutable] = ACTIONS(5243),
    [anon_sym_constinit] = ACTIONS(5243),
    [anon_sym_consteval] = ACTIONS(5243),
    [anon_sym_PROGMEM] = ACTIONS(5243),
    [anon_sym_alignas] = ACTIONS(5243),
    [anon_sym__Alignas] = ACTIONS(5243),
    [aux_sym_primitive_type_token1] = ACTIONS(5243),
    [anon_sym_byte] = ACTIONS(5243),
    [anon_sym_word] = ACTIONS(5243),
    [anon_sym_enum] = ACTIONS(5243),
    [anon_sym_class] = ACTIONS(5243),
    [anon_sym_struct] = ACTIONS(5243),
    [anon_sym_union] = ACTIONS(5243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5243),
    [anon_sym_decltype] = ACTIONS(5243),
    [anon_sym_explicit] = ACTIONS(5243),
    [anon_sym_typename] = ACTIONS(5243),
    [anon_sym_template] = ACTIONS(5243),
    [anon_sym_operator] = ACTIONS(5243),
    [anon_sym_friend] = ACTIONS(5243),
    [anon_sym_public] = ACTIONS(5243),
    [anon_sym_private] = ACTIONS(5243),
    [anon_sym_protected] = ACTIONS(5243),
    [anon_sym_using] = ACTIONS(5243),
    [anon_sym_static_assert] = ACTIONS(5243),
  },
  [1963] = {
    [sym_identifier] = ACTIONS(3214),
    [aux_sym_preproc_def_token1] = ACTIONS(3214),
    [aux_sym_preproc_if_token1] = ACTIONS(3214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3214),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3214),
    [sym_preproc_directive] = ACTIONS(3214),
    [anon_sym_LPAREN2] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym___extension__] = ACTIONS(3214),
    [anon_sym_typedef] = ACTIONS(3214),
    [anon_sym_virtual] = ACTIONS(3214),
    [anon_sym_extern] = ACTIONS(3214),
    [anon_sym___attribute__] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3216),
    [anon_sym___declspec] = ACTIONS(3214),
    [anon_sym___based] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_signed] = ACTIONS(3214),
    [anon_sym_unsigned] = ACTIONS(3214),
    [anon_sym_long] = ACTIONS(3214),
    [anon_sym_short] = ACTIONS(3214),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3214),
    [anon_sym_register] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym___inline] = ACTIONS(3214),
    [anon_sym___inline__] = ACTIONS(3214),
    [anon_sym___forceinline] = ACTIONS(3214),
    [anon_sym_thread_local] = ACTIONS(3214),
    [anon_sym___thread] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_constexpr] = ACTIONS(3214),
    [anon_sym_volatile] = ACTIONS(3214),
    [anon_sym_restrict] = ACTIONS(3214),
    [anon_sym___restrict__] = ACTIONS(3214),
    [anon_sym__Atomic] = ACTIONS(3214),
    [anon_sym__Noreturn] = ACTIONS(3214),
    [anon_sym_noreturn] = ACTIONS(3214),
    [anon_sym__Nonnull] = ACTIONS(3214),
    [anon_sym_mutable] = ACTIONS(3214),
    [anon_sym_constinit] = ACTIONS(3214),
    [anon_sym_consteval] = ACTIONS(3214),
    [anon_sym_PROGMEM] = ACTIONS(3214),
    [anon_sym_alignas] = ACTIONS(3214),
    [anon_sym__Alignas] = ACTIONS(3214),
    [aux_sym_primitive_type_token1] = ACTIONS(3214),
    [anon_sym_byte] = ACTIONS(3214),
    [anon_sym_word] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3214),
    [anon_sym_struct] = ACTIONS(3214),
    [anon_sym_union] = ACTIONS(3214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3214),
    [anon_sym_decltype] = ACTIONS(3214),
    [anon_sym_explicit] = ACTIONS(3214),
    [anon_sym_typename] = ACTIONS(3214),
    [anon_sym_template] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_friend] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_using] = ACTIONS(3214),
    [anon_sym_static_assert] = ACTIONS(3214),
  },
  [1964] = {
    [sym_identifier] = ACTIONS(5239),
    [aux_sym_preproc_def_token1] = ACTIONS(5239),
    [aux_sym_preproc_if_token1] = ACTIONS(5239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5239),
    [sym_preproc_directive] = ACTIONS(5239),
    [anon_sym_LPAREN2] = ACTIONS(5241),
    [anon_sym_TILDE] = ACTIONS(5241),
    [anon_sym_STAR] = ACTIONS(5241),
    [anon_sym_AMP_AMP] = ACTIONS(5241),
    [anon_sym_AMP] = ACTIONS(5239),
    [anon_sym_SEMI] = ACTIONS(5241),
    [anon_sym___extension__] = ACTIONS(5239),
    [anon_sym_typedef] = ACTIONS(5239),
    [anon_sym_virtual] = ACTIONS(5239),
    [anon_sym_extern] = ACTIONS(5239),
    [anon_sym___attribute__] = ACTIONS(5239),
    [anon_sym_COLON_COLON] = ACTIONS(5241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5241),
    [anon_sym___declspec] = ACTIONS(5239),
    [anon_sym___based] = ACTIONS(5239),
    [anon_sym_RBRACE] = ACTIONS(5241),
    [anon_sym_signed] = ACTIONS(5239),
    [anon_sym_unsigned] = ACTIONS(5239),
    [anon_sym_long] = ACTIONS(5239),
    [anon_sym_short] = ACTIONS(5239),
    [anon_sym_LBRACK] = ACTIONS(5239),
    [anon_sym_static] = ACTIONS(5239),
    [anon_sym_register] = ACTIONS(5239),
    [anon_sym_inline] = ACTIONS(5239),
    [anon_sym___inline] = ACTIONS(5239),
    [anon_sym___inline__] = ACTIONS(5239),
    [anon_sym___forceinline] = ACTIONS(5239),
    [anon_sym_thread_local] = ACTIONS(5239),
    [anon_sym___thread] = ACTIONS(5239),
    [anon_sym_const] = ACTIONS(5239),
    [anon_sym_constexpr] = ACTIONS(5239),
    [anon_sym_volatile] = ACTIONS(5239),
    [anon_sym_restrict] = ACTIONS(5239),
    [anon_sym___restrict__] = ACTIONS(5239),
    [anon_sym__Atomic] = ACTIONS(5239),
    [anon_sym__Noreturn] = ACTIONS(5239),
    [anon_sym_noreturn] = ACTIONS(5239),
    [anon_sym__Nonnull] = ACTIONS(5239),
    [anon_sym_mutable] = ACTIONS(5239),
    [anon_sym_constinit] = ACTIONS(5239),
    [anon_sym_consteval] = ACTIONS(5239),
    [anon_sym_PROGMEM] = ACTIONS(5239),
    [anon_sym_alignas] = ACTIONS(5239),
    [anon_sym__Alignas] = ACTIONS(5239),
    [aux_sym_primitive_type_token1] = ACTIONS(5239),
    [anon_sym_byte] = ACTIONS(5239),
    [anon_sym_word] = ACTIONS(5239),
    [anon_sym_enum] = ACTIONS(5239),
    [anon_sym_class] = ACTIONS(5239),
    [anon_sym_struct] = ACTIONS(5239),
    [anon_sym_union] = ACTIONS(5239),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5239),
    [anon_sym_decltype] = ACTIONS(5239),
    [anon_sym_explicit] = ACTIONS(5239),
    [anon_sym_typename] = ACTIONS(5239),
    [anon_sym_template] = ACTIONS(5239),
    [anon_sym_operator] = ACTIONS(5239),
    [anon_sym_friend] = ACTIONS(5239),
    [anon_sym_public] = ACTIONS(5239),
    [anon_sym_private] = ACTIONS(5239),
    [anon_sym_protected] = ACTIONS(5239),
    [anon_sym_using] = ACTIONS(5239),
    [anon_sym_static_assert] = ACTIONS(5239),
  },
  [1965] = {
    [sym_identifier] = ACTIONS(5259),
    [aux_sym_preproc_def_token1] = ACTIONS(5259),
    [aux_sym_preproc_if_token1] = ACTIONS(5259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5259),
    [sym_preproc_directive] = ACTIONS(5259),
    [anon_sym_LPAREN2] = ACTIONS(5261),
    [anon_sym_TILDE] = ACTIONS(5261),
    [anon_sym_STAR] = ACTIONS(5261),
    [anon_sym_AMP_AMP] = ACTIONS(5261),
    [anon_sym_AMP] = ACTIONS(5259),
    [anon_sym_SEMI] = ACTIONS(5261),
    [anon_sym___extension__] = ACTIONS(5259),
    [anon_sym_typedef] = ACTIONS(5259),
    [anon_sym_virtual] = ACTIONS(5259),
    [anon_sym_extern] = ACTIONS(5259),
    [anon_sym___attribute__] = ACTIONS(5259),
    [anon_sym_COLON_COLON] = ACTIONS(5261),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5261),
    [anon_sym___declspec] = ACTIONS(5259),
    [anon_sym___based] = ACTIONS(5259),
    [anon_sym_RBRACE] = ACTIONS(5261),
    [anon_sym_signed] = ACTIONS(5259),
    [anon_sym_unsigned] = ACTIONS(5259),
    [anon_sym_long] = ACTIONS(5259),
    [anon_sym_short] = ACTIONS(5259),
    [anon_sym_LBRACK] = ACTIONS(5259),
    [anon_sym_static] = ACTIONS(5259),
    [anon_sym_register] = ACTIONS(5259),
    [anon_sym_inline] = ACTIONS(5259),
    [anon_sym___inline] = ACTIONS(5259),
    [anon_sym___inline__] = ACTIONS(5259),
    [anon_sym___forceinline] = ACTIONS(5259),
    [anon_sym_thread_local] = ACTIONS(5259),
    [anon_sym___thread] = ACTIONS(5259),
    [anon_sym_const] = ACTIONS(5259),
    [anon_sym_constexpr] = ACTIONS(5259),
    [anon_sym_volatile] = ACTIONS(5259),
    [anon_sym_restrict] = ACTIONS(5259),
    [anon_sym___restrict__] = ACTIONS(5259),
    [anon_sym__Atomic] = ACTIONS(5259),
    [anon_sym__Noreturn] = ACTIONS(5259),
    [anon_sym_noreturn] = ACTIONS(5259),
    [anon_sym__Nonnull] = ACTIONS(5259),
    [anon_sym_mutable] = ACTIONS(5259),
    [anon_sym_constinit] = ACTIONS(5259),
    [anon_sym_consteval] = ACTIONS(5259),
    [anon_sym_PROGMEM] = ACTIONS(5259),
    [anon_sym_alignas] = ACTIONS(5259),
    [anon_sym__Alignas] = ACTIONS(5259),
    [aux_sym_primitive_type_token1] = ACTIONS(5259),
    [anon_sym_byte] = ACTIONS(5259),
    [anon_sym_word] = ACTIONS(5259),
    [anon_sym_enum] = ACTIONS(5259),
    [anon_sym_class] = ACTIONS(5259),
    [anon_sym_struct] = ACTIONS(5259),
    [anon_sym_union] = ACTIONS(5259),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5259),
    [anon_sym_decltype] = ACTIONS(5259),
    [anon_sym_explicit] = ACTIONS(5259),
    [anon_sym_typename] = ACTIONS(5259),
    [anon_sym_template] = ACTIONS(5259),
    [anon_sym_operator] = ACTIONS(5259),
    [anon_sym_friend] = ACTIONS(5259),
    [anon_sym_public] = ACTIONS(5259),
    [anon_sym_private] = ACTIONS(5259),
    [anon_sym_protected] = ACTIONS(5259),
    [anon_sym_using] = ACTIONS(5259),
    [anon_sym_static_assert] = ACTIONS(5259),
  },
  [1966] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym_RBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_PROGMEM] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [aux_sym_primitive_type_token1] = ACTIONS(2790),
    [anon_sym_byte] = ACTIONS(2790),
    [anon_sym_word] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_friend] = ACTIONS(2790),
    [anon_sym_public] = ACTIONS(2790),
    [anon_sym_private] = ACTIONS(2790),
    [anon_sym_protected] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
  },
  [1967] = {
    [sym_identifier] = ACTIONS(2988),
    [aux_sym_preproc_def_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token1] = ACTIONS(2988),
    [aux_sym_preproc_if_token2] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2988),
    [sym_preproc_directive] = ACTIONS(2988),
    [anon_sym_LPAREN2] = ACTIONS(2990),
    [anon_sym_TILDE] = ACTIONS(2990),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2990),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_typedef] = ACTIONS(2988),
    [anon_sym_virtual] = ACTIONS(2988),
    [anon_sym_extern] = ACTIONS(2988),
    [anon_sym___attribute__] = ACTIONS(2988),
    [anon_sym_COLON_COLON] = ACTIONS(2990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2990),
    [anon_sym___declspec] = ACTIONS(2988),
    [anon_sym___based] = ACTIONS(2988),
    [anon_sym_signed] = ACTIONS(2988),
    [anon_sym_unsigned] = ACTIONS(2988),
    [anon_sym_long] = ACTIONS(2988),
    [anon_sym_short] = ACTIONS(2988),
    [anon_sym_LBRACK] = ACTIONS(2988),
    [anon_sym_static] = ACTIONS(2988),
    [anon_sym_register] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(2988),
    [anon_sym___inline] = ACTIONS(2988),
    [anon_sym___inline__] = ACTIONS(2988),
    [anon_sym___forceinline] = ACTIONS(2988),
    [anon_sym_thread_local] = ACTIONS(2988),
    [anon_sym___thread] = ACTIONS(2988),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2988),
    [anon_sym_volatile] = ACTIONS(2988),
    [anon_sym_restrict] = ACTIONS(2988),
    [anon_sym___restrict__] = ACTIONS(2988),
    [anon_sym__Atomic] = ACTIONS(2988),
    [anon_sym__Noreturn] = ACTIONS(2988),
    [anon_sym_noreturn] = ACTIONS(2988),
    [anon_sym__Nonnull] = ACTIONS(2988),
    [anon_sym_mutable] = ACTIONS(2988),
    [anon_sym_constinit] = ACTIONS(2988),
    [anon_sym_consteval] = ACTIONS(2988),
    [anon_sym_PROGMEM] = ACTIONS(2988),
    [anon_sym_alignas] = ACTIONS(2988),
    [anon_sym__Alignas] = ACTIONS(2988),
    [aux_sym_primitive_type_token1] = ACTIONS(2988),
    [anon_sym_byte] = ACTIONS(2988),
    [anon_sym_word] = ACTIONS(2988),
    [anon_sym_enum] = ACTIONS(2988),
    [anon_sym_class] = ACTIONS(2988),
    [anon_sym_struct] = ACTIONS(2988),
    [anon_sym_union] = ACTIONS(2988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2988),
    [anon_sym_decltype] = ACTIONS(2988),
    [anon_sym_explicit] = ACTIONS(2988),
    [anon_sym_typename] = ACTIONS(2988),
    [anon_sym_template] = ACTIONS(2988),
    [anon_sym_operator] = ACTIONS(2988),
    [anon_sym_friend] = ACTIONS(2988),
    [anon_sym_public] = ACTIONS(2988),
    [anon_sym_private] = ACTIONS(2988),
    [anon_sym_protected] = ACTIONS(2988),
    [anon_sym_using] = ACTIONS(2988),
    [anon_sym_static_assert] = ACTIONS(2988),
  },
  [1968] = {
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2968),
    [sym_preproc_directive] = ACTIONS(2968),
    [anon_sym_LPAREN2] = ACTIONS(2970),
    [anon_sym_TILDE] = ACTIONS(2970),
    [anon_sym_STAR] = ACTIONS(2970),
    [anon_sym_AMP_AMP] = ACTIONS(2970),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2970),
    [anon_sym___extension__] = ACTIONS(2968),
    [anon_sym_typedef] = ACTIONS(2968),
    [anon_sym_virtual] = ACTIONS(2968),
    [anon_sym_extern] = ACTIONS(2968),
    [anon_sym___attribute__] = ACTIONS(2968),
    [anon_sym_COLON_COLON] = ACTIONS(2970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2970),
    [anon_sym___declspec] = ACTIONS(2968),
    [anon_sym___based] = ACTIONS(2968),
    [anon_sym_RBRACE] = ACTIONS(2970),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_register] = ACTIONS(2968),
    [anon_sym_inline] = ACTIONS(2968),
    [anon_sym___inline] = ACTIONS(2968),
    [anon_sym___inline__] = ACTIONS(2968),
    [anon_sym___forceinline] = ACTIONS(2968),
    [anon_sym_thread_local] = ACTIONS(2968),
    [anon_sym___thread] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2968),
    [anon_sym_constexpr] = ACTIONS(2968),
    [anon_sym_volatile] = ACTIONS(2968),
    [anon_sym_restrict] = ACTIONS(2968),
    [anon_sym___restrict__] = ACTIONS(2968),
    [anon_sym__Atomic] = ACTIONS(2968),
    [anon_sym__Noreturn] = ACTIONS(2968),
    [anon_sym_noreturn] = ACTIONS(2968),
    [anon_sym__Nonnull] = ACTIONS(2968),
    [anon_sym_mutable] = ACTIONS(2968),
    [anon_sym_constinit] = ACTIONS(2968),
    [anon_sym_consteval] = ACTIONS(2968),
    [anon_sym_PROGMEM] = ACTIONS(2968),
    [anon_sym_alignas] = ACTIONS(2968),
    [anon_sym__Alignas] = ACTIONS(2968),
    [aux_sym_primitive_type_token1] = ACTIONS(2968),
    [anon_sym_byte] = ACTIONS(2968),
    [anon_sym_word] = ACTIONS(2968),
    [anon_sym_enum] = ACTIONS(2968),
    [anon_sym_class] = ACTIONS(2968),
    [anon_sym_struct] = ACTIONS(2968),
    [anon_sym_union] = ACTIONS(2968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2968),
    [anon_sym_decltype] = ACTIONS(2968),
    [anon_sym_explicit] = ACTIONS(2968),
    [anon_sym_typename] = ACTIONS(2968),
    [anon_sym_template] = ACTIONS(2968),
    [anon_sym_operator] = ACTIONS(2968),
    [anon_sym_friend] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_using] = ACTIONS(2968),
    [anon_sym_static_assert] = ACTIONS(2968),
  },
  [1969] = {
    [sym_identifier] = ACTIONS(5235),
    [aux_sym_preproc_def_token1] = ACTIONS(5235),
    [aux_sym_preproc_if_token1] = ACTIONS(5235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5235),
    [sym_preproc_directive] = ACTIONS(5235),
    [anon_sym_LPAREN2] = ACTIONS(5237),
    [anon_sym_TILDE] = ACTIONS(5237),
    [anon_sym_STAR] = ACTIONS(5237),
    [anon_sym_AMP_AMP] = ACTIONS(5237),
    [anon_sym_AMP] = ACTIONS(5235),
    [anon_sym_SEMI] = ACTIONS(5237),
    [anon_sym___extension__] = ACTIONS(5235),
    [anon_sym_typedef] = ACTIONS(5235),
    [anon_sym_virtual] = ACTIONS(5235),
    [anon_sym_extern] = ACTIONS(5235),
    [anon_sym___attribute__] = ACTIONS(5235),
    [anon_sym_COLON_COLON] = ACTIONS(5237),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5237),
    [anon_sym___declspec] = ACTIONS(5235),
    [anon_sym___based] = ACTIONS(5235),
    [anon_sym_RBRACE] = ACTIONS(5237),
    [anon_sym_signed] = ACTIONS(5235),
    [anon_sym_unsigned] = ACTIONS(5235),
    [anon_sym_long] = ACTIONS(5235),
    [anon_sym_short] = ACTIONS(5235),
    [anon_sym_LBRACK] = ACTIONS(5235),
    [anon_sym_static] = ACTIONS(5235),
    [anon_sym_register] = ACTIONS(5235),
    [anon_sym_inline] = ACTIONS(5235),
    [anon_sym___inline] = ACTIONS(5235),
    [anon_sym___inline__] = ACTIONS(5235),
    [anon_sym___forceinline] = ACTIONS(5235),
    [anon_sym_thread_local] = ACTIONS(5235),
    [anon_sym___thread] = ACTIONS(5235),
    [anon_sym_const] = ACTIONS(5235),
    [anon_sym_constexpr] = ACTIONS(5235),
    [anon_sym_volatile] = ACTIONS(5235),
    [anon_sym_restrict] = ACTIONS(5235),
    [anon_sym___restrict__] = ACTIONS(5235),
    [anon_sym__Atomic] = ACTIONS(5235),
    [anon_sym__Noreturn] = ACTIONS(5235),
    [anon_sym_noreturn] = ACTIONS(5235),
    [anon_sym__Nonnull] = ACTIONS(5235),
    [anon_sym_mutable] = ACTIONS(5235),
    [anon_sym_constinit] = ACTIONS(5235),
    [anon_sym_consteval] = ACTIONS(5235),
    [anon_sym_PROGMEM] = ACTIONS(5235),
    [anon_sym_alignas] = ACTIONS(5235),
    [anon_sym__Alignas] = ACTIONS(5235),
    [aux_sym_primitive_type_token1] = ACTIONS(5235),
    [anon_sym_byte] = ACTIONS(5235),
    [anon_sym_word] = ACTIONS(5235),
    [anon_sym_enum] = ACTIONS(5235),
    [anon_sym_class] = ACTIONS(5235),
    [anon_sym_struct] = ACTIONS(5235),
    [anon_sym_union] = ACTIONS(5235),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5235),
    [anon_sym_decltype] = ACTIONS(5235),
    [anon_sym_explicit] = ACTIONS(5235),
    [anon_sym_typename] = ACTIONS(5235),
    [anon_sym_template] = ACTIONS(5235),
    [anon_sym_operator] = ACTIONS(5235),
    [anon_sym_friend] = ACTIONS(5235),
    [anon_sym_public] = ACTIONS(5235),
    [anon_sym_private] = ACTIONS(5235),
    [anon_sym_protected] = ACTIONS(5235),
    [anon_sym_using] = ACTIONS(5235),
    [anon_sym_static_assert] = ACTIONS(5235),
  },
  [1970] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym_RBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_PROGMEM] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [aux_sym_primitive_type_token1] = ACTIONS(2944),
    [anon_sym_byte] = ACTIONS(2944),
    [anon_sym_word] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_friend] = ACTIONS(2944),
    [anon_sym_public] = ACTIONS(2944),
    [anon_sym_private] = ACTIONS(2944),
    [anon_sym_protected] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
  },
  [1971] = {
    [sym_identifier] = ACTIONS(5231),
    [aux_sym_preproc_def_token1] = ACTIONS(5231),
    [aux_sym_preproc_if_token1] = ACTIONS(5231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5231),
    [sym_preproc_directive] = ACTIONS(5231),
    [anon_sym_LPAREN2] = ACTIONS(5233),
    [anon_sym_TILDE] = ACTIONS(5233),
    [anon_sym_STAR] = ACTIONS(5233),
    [anon_sym_AMP_AMP] = ACTIONS(5233),
    [anon_sym_AMP] = ACTIONS(5231),
    [anon_sym_SEMI] = ACTIONS(5233),
    [anon_sym___extension__] = ACTIONS(5231),
    [anon_sym_typedef] = ACTIONS(5231),
    [anon_sym_virtual] = ACTIONS(5231),
    [anon_sym_extern] = ACTIONS(5231),
    [anon_sym___attribute__] = ACTIONS(5231),
    [anon_sym_COLON_COLON] = ACTIONS(5233),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5233),
    [anon_sym___declspec] = ACTIONS(5231),
    [anon_sym___based] = ACTIONS(5231),
    [anon_sym_RBRACE] = ACTIONS(5233),
    [anon_sym_signed] = ACTIONS(5231),
    [anon_sym_unsigned] = ACTIONS(5231),
    [anon_sym_long] = ACTIONS(5231),
    [anon_sym_short] = ACTIONS(5231),
    [anon_sym_LBRACK] = ACTIONS(5231),
    [anon_sym_static] = ACTIONS(5231),
    [anon_sym_register] = ACTIONS(5231),
    [anon_sym_inline] = ACTIONS(5231),
    [anon_sym___inline] = ACTIONS(5231),
    [anon_sym___inline__] = ACTIONS(5231),
    [anon_sym___forceinline] = ACTIONS(5231),
    [anon_sym_thread_local] = ACTIONS(5231),
    [anon_sym___thread] = ACTIONS(5231),
    [anon_sym_const] = ACTIONS(5231),
    [anon_sym_constexpr] = ACTIONS(5231),
    [anon_sym_volatile] = ACTIONS(5231),
    [anon_sym_restrict] = ACTIONS(5231),
    [anon_sym___restrict__] = ACTIONS(5231),
    [anon_sym__Atomic] = ACTIONS(5231),
    [anon_sym__Noreturn] = ACTIONS(5231),
    [anon_sym_noreturn] = ACTIONS(5231),
    [anon_sym__Nonnull] = ACTIONS(5231),
    [anon_sym_mutable] = ACTIONS(5231),
    [anon_sym_constinit] = ACTIONS(5231),
    [anon_sym_consteval] = ACTIONS(5231),
    [anon_sym_PROGMEM] = ACTIONS(5231),
    [anon_sym_alignas] = ACTIONS(5231),
    [anon_sym__Alignas] = ACTIONS(5231),
    [aux_sym_primitive_type_token1] = ACTIONS(5231),
    [anon_sym_byte] = ACTIONS(5231),
    [anon_sym_word] = ACTIONS(5231),
    [anon_sym_enum] = ACTIONS(5231),
    [anon_sym_class] = ACTIONS(5231),
    [anon_sym_struct] = ACTIONS(5231),
    [anon_sym_union] = ACTIONS(5231),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5231),
    [anon_sym_decltype] = ACTIONS(5231),
    [anon_sym_explicit] = ACTIONS(5231),
    [anon_sym_typename] = ACTIONS(5231),
    [anon_sym_template] = ACTIONS(5231),
    [anon_sym_operator] = ACTIONS(5231),
    [anon_sym_friend] = ACTIONS(5231),
    [anon_sym_public] = ACTIONS(5231),
    [anon_sym_private] = ACTIONS(5231),
    [anon_sym_protected] = ACTIONS(5231),
    [anon_sym_using] = ACTIONS(5231),
    [anon_sym_static_assert] = ACTIONS(5231),
  },
  [1972] = {
    [sym_identifier] = ACTIONS(5263),
    [aux_sym_preproc_def_token1] = ACTIONS(5263),
    [aux_sym_preproc_if_token1] = ACTIONS(5263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5263),
    [sym_preproc_directive] = ACTIONS(5263),
    [anon_sym_LPAREN2] = ACTIONS(5265),
    [anon_sym_TILDE] = ACTIONS(5265),
    [anon_sym_STAR] = ACTIONS(5265),
    [anon_sym_AMP_AMP] = ACTIONS(5265),
    [anon_sym_AMP] = ACTIONS(5263),
    [anon_sym_SEMI] = ACTIONS(5265),
    [anon_sym___extension__] = ACTIONS(5263),
    [anon_sym_typedef] = ACTIONS(5263),
    [anon_sym_virtual] = ACTIONS(5263),
    [anon_sym_extern] = ACTIONS(5263),
    [anon_sym___attribute__] = ACTIONS(5263),
    [anon_sym_COLON_COLON] = ACTIONS(5265),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5265),
    [anon_sym___declspec] = ACTIONS(5263),
    [anon_sym___based] = ACTIONS(5263),
    [anon_sym_RBRACE] = ACTIONS(5265),
    [anon_sym_signed] = ACTIONS(5263),
    [anon_sym_unsigned] = ACTIONS(5263),
    [anon_sym_long] = ACTIONS(5263),
    [anon_sym_short] = ACTIONS(5263),
    [anon_sym_LBRACK] = ACTIONS(5263),
    [anon_sym_static] = ACTIONS(5263),
    [anon_sym_register] = ACTIONS(5263),
    [anon_sym_inline] = ACTIONS(5263),
    [anon_sym___inline] = ACTIONS(5263),
    [anon_sym___inline__] = ACTIONS(5263),
    [anon_sym___forceinline] = ACTIONS(5263),
    [anon_sym_thread_local] = ACTIONS(5263),
    [anon_sym___thread] = ACTIONS(5263),
    [anon_sym_const] = ACTIONS(5263),
    [anon_sym_constexpr] = ACTIONS(5263),
    [anon_sym_volatile] = ACTIONS(5263),
    [anon_sym_restrict] = ACTIONS(5263),
    [anon_sym___restrict__] = ACTIONS(5263),
    [anon_sym__Atomic] = ACTIONS(5263),
    [anon_sym__Noreturn] = ACTIONS(5263),
    [anon_sym_noreturn] = ACTIONS(5263),
    [anon_sym__Nonnull] = ACTIONS(5263),
    [anon_sym_mutable] = ACTIONS(5263),
    [anon_sym_constinit] = ACTIONS(5263),
    [anon_sym_consteval] = ACTIONS(5263),
    [anon_sym_PROGMEM] = ACTIONS(5263),
    [anon_sym_alignas] = ACTIONS(5263),
    [anon_sym__Alignas] = ACTIONS(5263),
    [aux_sym_primitive_type_token1] = ACTIONS(5263),
    [anon_sym_byte] = ACTIONS(5263),
    [anon_sym_word] = ACTIONS(5263),
    [anon_sym_enum] = ACTIONS(5263),
    [anon_sym_class] = ACTIONS(5263),
    [anon_sym_struct] = ACTIONS(5263),
    [anon_sym_union] = ACTIONS(5263),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5263),
    [anon_sym_decltype] = ACTIONS(5263),
    [anon_sym_explicit] = ACTIONS(5263),
    [anon_sym_typename] = ACTIONS(5263),
    [anon_sym_template] = ACTIONS(5263),
    [anon_sym_operator] = ACTIONS(5263),
    [anon_sym_friend] = ACTIONS(5263),
    [anon_sym_public] = ACTIONS(5263),
    [anon_sym_private] = ACTIONS(5263),
    [anon_sym_protected] = ACTIONS(5263),
    [anon_sym_using] = ACTIONS(5263),
    [anon_sym_static_assert] = ACTIONS(5263),
  },
  [1973] = {
    [sym_identifier] = ACTIONS(5267),
    [aux_sym_preproc_def_token1] = ACTIONS(5267),
    [aux_sym_preproc_if_token1] = ACTIONS(5267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5267),
    [sym_preproc_directive] = ACTIONS(5267),
    [anon_sym_LPAREN2] = ACTIONS(5269),
    [anon_sym_TILDE] = ACTIONS(5269),
    [anon_sym_STAR] = ACTIONS(5269),
    [anon_sym_AMP_AMP] = ACTIONS(5269),
    [anon_sym_AMP] = ACTIONS(5267),
    [anon_sym_SEMI] = ACTIONS(5269),
    [anon_sym___extension__] = ACTIONS(5267),
    [anon_sym_typedef] = ACTIONS(5267),
    [anon_sym_virtual] = ACTIONS(5267),
    [anon_sym_extern] = ACTIONS(5267),
    [anon_sym___attribute__] = ACTIONS(5267),
    [anon_sym_COLON_COLON] = ACTIONS(5269),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5269),
    [anon_sym___declspec] = ACTIONS(5267),
    [anon_sym___based] = ACTIONS(5267),
    [anon_sym_RBRACE] = ACTIONS(5269),
    [anon_sym_signed] = ACTIONS(5267),
    [anon_sym_unsigned] = ACTIONS(5267),
    [anon_sym_long] = ACTIONS(5267),
    [anon_sym_short] = ACTIONS(5267),
    [anon_sym_LBRACK] = ACTIONS(5267),
    [anon_sym_static] = ACTIONS(5267),
    [anon_sym_register] = ACTIONS(5267),
    [anon_sym_inline] = ACTIONS(5267),
    [anon_sym___inline] = ACTIONS(5267),
    [anon_sym___inline__] = ACTIONS(5267),
    [anon_sym___forceinline] = ACTIONS(5267),
    [anon_sym_thread_local] = ACTIONS(5267),
    [anon_sym___thread] = ACTIONS(5267),
    [anon_sym_const] = ACTIONS(5267),
    [anon_sym_constexpr] = ACTIONS(5267),
    [anon_sym_volatile] = ACTIONS(5267),
    [anon_sym_restrict] = ACTIONS(5267),
    [anon_sym___restrict__] = ACTIONS(5267),
    [anon_sym__Atomic] = ACTIONS(5267),
    [anon_sym__Noreturn] = ACTIONS(5267),
    [anon_sym_noreturn] = ACTIONS(5267),
    [anon_sym__Nonnull] = ACTIONS(5267),
    [anon_sym_mutable] = ACTIONS(5267),
    [anon_sym_constinit] = ACTIONS(5267),
    [anon_sym_consteval] = ACTIONS(5267),
    [anon_sym_PROGMEM] = ACTIONS(5267),
    [anon_sym_alignas] = ACTIONS(5267),
    [anon_sym__Alignas] = ACTIONS(5267),
    [aux_sym_primitive_type_token1] = ACTIONS(5267),
    [anon_sym_byte] = ACTIONS(5267),
    [anon_sym_word] = ACTIONS(5267),
    [anon_sym_enum] = ACTIONS(5267),
    [anon_sym_class] = ACTIONS(5267),
    [anon_sym_struct] = ACTIONS(5267),
    [anon_sym_union] = ACTIONS(5267),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5267),
    [anon_sym_decltype] = ACTIONS(5267),
    [anon_sym_explicit] = ACTIONS(5267),
    [anon_sym_typename] = ACTIONS(5267),
    [anon_sym_template] = ACTIONS(5267),
    [anon_sym_operator] = ACTIONS(5267),
    [anon_sym_friend] = ACTIONS(5267),
    [anon_sym_public] = ACTIONS(5267),
    [anon_sym_private] = ACTIONS(5267),
    [anon_sym_protected] = ACTIONS(5267),
    [anon_sym_using] = ACTIONS(5267),
    [anon_sym_static_assert] = ACTIONS(5267),
  },
  [1974] = {
    [sym_identifier] = ACTIONS(5311),
    [aux_sym_preproc_def_token1] = ACTIONS(5311),
    [aux_sym_preproc_if_token1] = ACTIONS(5311),
    [aux_sym_preproc_if_token2] = ACTIONS(5311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5311),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5311),
    [sym_preproc_directive] = ACTIONS(5311),
    [anon_sym_LPAREN2] = ACTIONS(5313),
    [anon_sym_TILDE] = ACTIONS(5313),
    [anon_sym_STAR] = ACTIONS(5313),
    [anon_sym_AMP_AMP] = ACTIONS(5313),
    [anon_sym_AMP] = ACTIONS(5311),
    [anon_sym_SEMI] = ACTIONS(5313),
    [anon_sym___extension__] = ACTIONS(5311),
    [anon_sym_typedef] = ACTIONS(5311),
    [anon_sym_virtual] = ACTIONS(5311),
    [anon_sym_extern] = ACTIONS(5311),
    [anon_sym___attribute__] = ACTIONS(5311),
    [anon_sym_COLON_COLON] = ACTIONS(5313),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5313),
    [anon_sym___declspec] = ACTIONS(5311),
    [anon_sym___based] = ACTIONS(5311),
    [anon_sym_signed] = ACTIONS(5311),
    [anon_sym_unsigned] = ACTIONS(5311),
    [anon_sym_long] = ACTIONS(5311),
    [anon_sym_short] = ACTIONS(5311),
    [anon_sym_LBRACK] = ACTIONS(5311),
    [anon_sym_static] = ACTIONS(5311),
    [anon_sym_register] = ACTIONS(5311),
    [anon_sym_inline] = ACTIONS(5311),
    [anon_sym___inline] = ACTIONS(5311),
    [anon_sym___inline__] = ACTIONS(5311),
    [anon_sym___forceinline] = ACTIONS(5311),
    [anon_sym_thread_local] = ACTIONS(5311),
    [anon_sym___thread] = ACTIONS(5311),
    [anon_sym_const] = ACTIONS(5311),
    [anon_sym_constexpr] = ACTIONS(5311),
    [anon_sym_volatile] = ACTIONS(5311),
    [anon_sym_restrict] = ACTIONS(5311),
    [anon_sym___restrict__] = ACTIONS(5311),
    [anon_sym__Atomic] = ACTIONS(5311),
    [anon_sym__Noreturn] = ACTIONS(5311),
    [anon_sym_noreturn] = ACTIONS(5311),
    [anon_sym__Nonnull] = ACTIONS(5311),
    [anon_sym_mutable] = ACTIONS(5311),
    [anon_sym_constinit] = ACTIONS(5311),
    [anon_sym_consteval] = ACTIONS(5311),
    [anon_sym_PROGMEM] = ACTIONS(5311),
    [anon_sym_alignas] = ACTIONS(5311),
    [anon_sym__Alignas] = ACTIONS(5311),
    [aux_sym_primitive_type_token1] = ACTIONS(5311),
    [anon_sym_byte] = ACTIONS(5311),
    [anon_sym_word] = ACTIONS(5311),
    [anon_sym_enum] = ACTIONS(5311),
    [anon_sym_class] = ACTIONS(5311),
    [anon_sym_struct] = ACTIONS(5311),
    [anon_sym_union] = ACTIONS(5311),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5311),
    [anon_sym_decltype] = ACTIONS(5311),
    [anon_sym_explicit] = ACTIONS(5311),
    [anon_sym_typename] = ACTIONS(5311),
    [anon_sym_template] = ACTIONS(5311),
    [anon_sym_operator] = ACTIONS(5311),
    [anon_sym_friend] = ACTIONS(5311),
    [anon_sym_public] = ACTIONS(5311),
    [anon_sym_private] = ACTIONS(5311),
    [anon_sym_protected] = ACTIONS(5311),
    [anon_sym_using] = ACTIONS(5311),
    [anon_sym_static_assert] = ACTIONS(5311),
  },
  [1975] = {
    [sym_identifier] = ACTIONS(5307),
    [aux_sym_preproc_def_token1] = ACTIONS(5307),
    [aux_sym_preproc_if_token1] = ACTIONS(5307),
    [aux_sym_preproc_if_token2] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5307),
    [sym_preproc_directive] = ACTIONS(5307),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_TILDE] = ACTIONS(5309),
    [anon_sym_STAR] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_SEMI] = ACTIONS(5309),
    [anon_sym___extension__] = ACTIONS(5307),
    [anon_sym_typedef] = ACTIONS(5307),
    [anon_sym_virtual] = ACTIONS(5307),
    [anon_sym_extern] = ACTIONS(5307),
    [anon_sym___attribute__] = ACTIONS(5307),
    [anon_sym_COLON_COLON] = ACTIONS(5309),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5309),
    [anon_sym___declspec] = ACTIONS(5307),
    [anon_sym___based] = ACTIONS(5307),
    [anon_sym_signed] = ACTIONS(5307),
    [anon_sym_unsigned] = ACTIONS(5307),
    [anon_sym_long] = ACTIONS(5307),
    [anon_sym_short] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5307),
    [anon_sym_static] = ACTIONS(5307),
    [anon_sym_register] = ACTIONS(5307),
    [anon_sym_inline] = ACTIONS(5307),
    [anon_sym___inline] = ACTIONS(5307),
    [anon_sym___inline__] = ACTIONS(5307),
    [anon_sym___forceinline] = ACTIONS(5307),
    [anon_sym_thread_local] = ACTIONS(5307),
    [anon_sym___thread] = ACTIONS(5307),
    [anon_sym_const] = ACTIONS(5307),
    [anon_sym_constexpr] = ACTIONS(5307),
    [anon_sym_volatile] = ACTIONS(5307),
    [anon_sym_restrict] = ACTIONS(5307),
    [anon_sym___restrict__] = ACTIONS(5307),
    [anon_sym__Atomic] = ACTIONS(5307),
    [anon_sym__Noreturn] = ACTIONS(5307),
    [anon_sym_noreturn] = ACTIONS(5307),
    [anon_sym__Nonnull] = ACTIONS(5307),
    [anon_sym_mutable] = ACTIONS(5307),
    [anon_sym_constinit] = ACTIONS(5307),
    [anon_sym_consteval] = ACTIONS(5307),
    [anon_sym_PROGMEM] = ACTIONS(5307),
    [anon_sym_alignas] = ACTIONS(5307),
    [anon_sym__Alignas] = ACTIONS(5307),
    [aux_sym_primitive_type_token1] = ACTIONS(5307),
    [anon_sym_byte] = ACTIONS(5307),
    [anon_sym_word] = ACTIONS(5307),
    [anon_sym_enum] = ACTIONS(5307),
    [anon_sym_class] = ACTIONS(5307),
    [anon_sym_struct] = ACTIONS(5307),
    [anon_sym_union] = ACTIONS(5307),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5307),
    [anon_sym_decltype] = ACTIONS(5307),
    [anon_sym_explicit] = ACTIONS(5307),
    [anon_sym_typename] = ACTIONS(5307),
    [anon_sym_template] = ACTIONS(5307),
    [anon_sym_operator] = ACTIONS(5307),
    [anon_sym_friend] = ACTIONS(5307),
    [anon_sym_public] = ACTIONS(5307),
    [anon_sym_private] = ACTIONS(5307),
    [anon_sym_protected] = ACTIONS(5307),
    [anon_sym_using] = ACTIONS(5307),
    [anon_sym_static_assert] = ACTIONS(5307),
  },
  [1976] = {
    [sym_identifier] = ACTIONS(5303),
    [aux_sym_preproc_def_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token2] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5303),
    [sym_preproc_directive] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5305),
    [anon_sym_TILDE] = ACTIONS(5305),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_AMP] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym___extension__] = ACTIONS(5303),
    [anon_sym_typedef] = ACTIONS(5303),
    [anon_sym_virtual] = ACTIONS(5303),
    [anon_sym_extern] = ACTIONS(5303),
    [anon_sym___attribute__] = ACTIONS(5303),
    [anon_sym_COLON_COLON] = ACTIONS(5305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5305),
    [anon_sym___declspec] = ACTIONS(5303),
    [anon_sym___based] = ACTIONS(5303),
    [anon_sym_signed] = ACTIONS(5303),
    [anon_sym_unsigned] = ACTIONS(5303),
    [anon_sym_long] = ACTIONS(5303),
    [anon_sym_short] = ACTIONS(5303),
    [anon_sym_LBRACK] = ACTIONS(5303),
    [anon_sym_static] = ACTIONS(5303),
    [anon_sym_register] = ACTIONS(5303),
    [anon_sym_inline] = ACTIONS(5303),
    [anon_sym___inline] = ACTIONS(5303),
    [anon_sym___inline__] = ACTIONS(5303),
    [anon_sym___forceinline] = ACTIONS(5303),
    [anon_sym_thread_local] = ACTIONS(5303),
    [anon_sym___thread] = ACTIONS(5303),
    [anon_sym_const] = ACTIONS(5303),
    [anon_sym_constexpr] = ACTIONS(5303),
    [anon_sym_volatile] = ACTIONS(5303),
    [anon_sym_restrict] = ACTIONS(5303),
    [anon_sym___restrict__] = ACTIONS(5303),
    [anon_sym__Atomic] = ACTIONS(5303),
    [anon_sym__Noreturn] = ACTIONS(5303),
    [anon_sym_noreturn] = ACTIONS(5303),
    [anon_sym__Nonnull] = ACTIONS(5303),
    [anon_sym_mutable] = ACTIONS(5303),
    [anon_sym_constinit] = ACTIONS(5303),
    [anon_sym_consteval] = ACTIONS(5303),
    [anon_sym_PROGMEM] = ACTIONS(5303),
    [anon_sym_alignas] = ACTIONS(5303),
    [anon_sym__Alignas] = ACTIONS(5303),
    [aux_sym_primitive_type_token1] = ACTIONS(5303),
    [anon_sym_byte] = ACTIONS(5303),
    [anon_sym_word] = ACTIONS(5303),
    [anon_sym_enum] = ACTIONS(5303),
    [anon_sym_class] = ACTIONS(5303),
    [anon_sym_struct] = ACTIONS(5303),
    [anon_sym_union] = ACTIONS(5303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5303),
    [anon_sym_decltype] = ACTIONS(5303),
    [anon_sym_explicit] = ACTIONS(5303),
    [anon_sym_typename] = ACTIONS(5303),
    [anon_sym_template] = ACTIONS(5303),
    [anon_sym_operator] = ACTIONS(5303),
    [anon_sym_friend] = ACTIONS(5303),
    [anon_sym_public] = ACTIONS(5303),
    [anon_sym_private] = ACTIONS(5303),
    [anon_sym_protected] = ACTIONS(5303),
    [anon_sym_using] = ACTIONS(5303),
    [anon_sym_static_assert] = ACTIONS(5303),
  },
  [1977] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token2] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_PROGMEM] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [aux_sym_primitive_type_token1] = ACTIONS(2936),
    [anon_sym_byte] = ACTIONS(2936),
    [anon_sym_word] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_friend] = ACTIONS(2936),
    [anon_sym_public] = ACTIONS(2936),
    [anon_sym_private] = ACTIONS(2936),
    [anon_sym_protected] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
  },
  [1978] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym_RBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_PROGMEM] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [aux_sym_primitive_type_token1] = ACTIONS(2936),
    [anon_sym_byte] = ACTIONS(2936),
    [anon_sym_word] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_friend] = ACTIONS(2936),
    [anon_sym_public] = ACTIONS(2936),
    [anon_sym_private] = ACTIONS(2936),
    [anon_sym_protected] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
  },
  [1979] = {
    [sym_identifier] = ACTIONS(5299),
    [aux_sym_preproc_def_token1] = ACTIONS(5299),
    [aux_sym_preproc_if_token1] = ACTIONS(5299),
    [aux_sym_preproc_if_token2] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5299),
    [sym_preproc_directive] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5301),
    [anon_sym_TILDE] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_AMP_AMP] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5299),
    [anon_sym_SEMI] = ACTIONS(5301),
    [anon_sym___extension__] = ACTIONS(5299),
    [anon_sym_typedef] = ACTIONS(5299),
    [anon_sym_virtual] = ACTIONS(5299),
    [anon_sym_extern] = ACTIONS(5299),
    [anon_sym___attribute__] = ACTIONS(5299),
    [anon_sym_COLON_COLON] = ACTIONS(5301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5301),
    [anon_sym___declspec] = ACTIONS(5299),
    [anon_sym___based] = ACTIONS(5299),
    [anon_sym_signed] = ACTIONS(5299),
    [anon_sym_unsigned] = ACTIONS(5299),
    [anon_sym_long] = ACTIONS(5299),
    [anon_sym_short] = ACTIONS(5299),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_static] = ACTIONS(5299),
    [anon_sym_register] = ACTIONS(5299),
    [anon_sym_inline] = ACTIONS(5299),
    [anon_sym___inline] = ACTIONS(5299),
    [anon_sym___inline__] = ACTIONS(5299),
    [anon_sym___forceinline] = ACTIONS(5299),
    [anon_sym_thread_local] = ACTIONS(5299),
    [anon_sym___thread] = ACTIONS(5299),
    [anon_sym_const] = ACTIONS(5299),
    [anon_sym_constexpr] = ACTIONS(5299),
    [anon_sym_volatile] = ACTIONS(5299),
    [anon_sym_restrict] = ACTIONS(5299),
    [anon_sym___restrict__] = ACTIONS(5299),
    [anon_sym__Atomic] = ACTIONS(5299),
    [anon_sym__Noreturn] = ACTIONS(5299),
    [anon_sym_noreturn] = ACTIONS(5299),
    [anon_sym__Nonnull] = ACTIONS(5299),
    [anon_sym_mutable] = ACTIONS(5299),
    [anon_sym_constinit] = ACTIONS(5299),
    [anon_sym_consteval] = ACTIONS(5299),
    [anon_sym_PROGMEM] = ACTIONS(5299),
    [anon_sym_alignas] = ACTIONS(5299),
    [anon_sym__Alignas] = ACTIONS(5299),
    [aux_sym_primitive_type_token1] = ACTIONS(5299),
    [anon_sym_byte] = ACTIONS(5299),
    [anon_sym_word] = ACTIONS(5299),
    [anon_sym_enum] = ACTIONS(5299),
    [anon_sym_class] = ACTIONS(5299),
    [anon_sym_struct] = ACTIONS(5299),
    [anon_sym_union] = ACTIONS(5299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5299),
    [anon_sym_decltype] = ACTIONS(5299),
    [anon_sym_explicit] = ACTIONS(5299),
    [anon_sym_typename] = ACTIONS(5299),
    [anon_sym_template] = ACTIONS(5299),
    [anon_sym_operator] = ACTIONS(5299),
    [anon_sym_friend] = ACTIONS(5299),
    [anon_sym_public] = ACTIONS(5299),
    [anon_sym_private] = ACTIONS(5299),
    [anon_sym_protected] = ACTIONS(5299),
    [anon_sym_using] = ACTIONS(5299),
    [anon_sym_static_assert] = ACTIONS(5299),
  },
  [1980] = {
    [sym_identifier] = ACTIONS(5299),
    [aux_sym_preproc_def_token1] = ACTIONS(5299),
    [aux_sym_preproc_if_token1] = ACTIONS(5299),
    [aux_sym_preproc_if_token2] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5299),
    [sym_preproc_directive] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5301),
    [anon_sym_TILDE] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_AMP_AMP] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5299),
    [anon_sym_SEMI] = ACTIONS(5301),
    [anon_sym___extension__] = ACTIONS(5299),
    [anon_sym_typedef] = ACTIONS(5299),
    [anon_sym_virtual] = ACTIONS(5299),
    [anon_sym_extern] = ACTIONS(5299),
    [anon_sym___attribute__] = ACTIONS(5299),
    [anon_sym_COLON_COLON] = ACTIONS(5301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5301),
    [anon_sym___declspec] = ACTIONS(5299),
    [anon_sym___based] = ACTIONS(5299),
    [anon_sym_signed] = ACTIONS(5299),
    [anon_sym_unsigned] = ACTIONS(5299),
    [anon_sym_long] = ACTIONS(5299),
    [anon_sym_short] = ACTIONS(5299),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_static] = ACTIONS(5299),
    [anon_sym_register] = ACTIONS(5299),
    [anon_sym_inline] = ACTIONS(5299),
    [anon_sym___inline] = ACTIONS(5299),
    [anon_sym___inline__] = ACTIONS(5299),
    [anon_sym___forceinline] = ACTIONS(5299),
    [anon_sym_thread_local] = ACTIONS(5299),
    [anon_sym___thread] = ACTIONS(5299),
    [anon_sym_const] = ACTIONS(5299),
    [anon_sym_constexpr] = ACTIONS(5299),
    [anon_sym_volatile] = ACTIONS(5299),
    [anon_sym_restrict] = ACTIONS(5299),
    [anon_sym___restrict__] = ACTIONS(5299),
    [anon_sym__Atomic] = ACTIONS(5299),
    [anon_sym__Noreturn] = ACTIONS(5299),
    [anon_sym_noreturn] = ACTIONS(5299),
    [anon_sym__Nonnull] = ACTIONS(5299),
    [anon_sym_mutable] = ACTIONS(5299),
    [anon_sym_constinit] = ACTIONS(5299),
    [anon_sym_consteval] = ACTIONS(5299),
    [anon_sym_PROGMEM] = ACTIONS(5299),
    [anon_sym_alignas] = ACTIONS(5299),
    [anon_sym__Alignas] = ACTIONS(5299),
    [aux_sym_primitive_type_token1] = ACTIONS(5299),
    [anon_sym_byte] = ACTIONS(5299),
    [anon_sym_word] = ACTIONS(5299),
    [anon_sym_enum] = ACTIONS(5299),
    [anon_sym_class] = ACTIONS(5299),
    [anon_sym_struct] = ACTIONS(5299),
    [anon_sym_union] = ACTIONS(5299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5299),
    [anon_sym_decltype] = ACTIONS(5299),
    [anon_sym_explicit] = ACTIONS(5299),
    [anon_sym_typename] = ACTIONS(5299),
    [anon_sym_template] = ACTIONS(5299),
    [anon_sym_operator] = ACTIONS(5299),
    [anon_sym_friend] = ACTIONS(5299),
    [anon_sym_public] = ACTIONS(5299),
    [anon_sym_private] = ACTIONS(5299),
    [anon_sym_protected] = ACTIONS(5299),
    [anon_sym_using] = ACTIONS(5299),
    [anon_sym_static_assert] = ACTIONS(5299),
  },
  [1981] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym_RBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym__Nonnull] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_PROGMEM] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym__Alignas] = ACTIONS(2948),
    [aux_sym_primitive_type_token1] = ACTIONS(2948),
    [anon_sym_byte] = ACTIONS(2948),
    [anon_sym_word] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_friend] = ACTIONS(2948),
    [anon_sym_public] = ACTIONS(2948),
    [anon_sym_private] = ACTIONS(2948),
    [anon_sym_protected] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
  },
  [1982] = {
    [sym_identifier] = ACTIONS(5271),
    [aux_sym_preproc_def_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5271),
    [sym_preproc_directive] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5273),
    [anon_sym_TILDE] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5273),
    [anon_sym_AMP_AMP] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5271),
    [anon_sym_SEMI] = ACTIONS(5273),
    [anon_sym___extension__] = ACTIONS(5271),
    [anon_sym_typedef] = ACTIONS(5271),
    [anon_sym_virtual] = ACTIONS(5271),
    [anon_sym_extern] = ACTIONS(5271),
    [anon_sym___attribute__] = ACTIONS(5271),
    [anon_sym_COLON_COLON] = ACTIONS(5273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5273),
    [anon_sym___declspec] = ACTIONS(5271),
    [anon_sym___based] = ACTIONS(5271),
    [anon_sym_RBRACE] = ACTIONS(5273),
    [anon_sym_signed] = ACTIONS(5271),
    [anon_sym_unsigned] = ACTIONS(5271),
    [anon_sym_long] = ACTIONS(5271),
    [anon_sym_short] = ACTIONS(5271),
    [anon_sym_LBRACK] = ACTIONS(5271),
    [anon_sym_static] = ACTIONS(5271),
    [anon_sym_register] = ACTIONS(5271),
    [anon_sym_inline] = ACTIONS(5271),
    [anon_sym___inline] = ACTIONS(5271),
    [anon_sym___inline__] = ACTIONS(5271),
    [anon_sym___forceinline] = ACTIONS(5271),
    [anon_sym_thread_local] = ACTIONS(5271),
    [anon_sym___thread] = ACTIONS(5271),
    [anon_sym_const] = ACTIONS(5271),
    [anon_sym_constexpr] = ACTIONS(5271),
    [anon_sym_volatile] = ACTIONS(5271),
    [anon_sym_restrict] = ACTIONS(5271),
    [anon_sym___restrict__] = ACTIONS(5271),
    [anon_sym__Atomic] = ACTIONS(5271),
    [anon_sym__Noreturn] = ACTIONS(5271),
    [anon_sym_noreturn] = ACTIONS(5271),
    [anon_sym__Nonnull] = ACTIONS(5271),
    [anon_sym_mutable] = ACTIONS(5271),
    [anon_sym_constinit] = ACTIONS(5271),
    [anon_sym_consteval] = ACTIONS(5271),
    [anon_sym_PROGMEM] = ACTIONS(5271),
    [anon_sym_alignas] = ACTIONS(5271),
    [anon_sym__Alignas] = ACTIONS(5271),
    [aux_sym_primitive_type_token1] = ACTIONS(5271),
    [anon_sym_byte] = ACTIONS(5271),
    [anon_sym_word] = ACTIONS(5271),
    [anon_sym_enum] = ACTIONS(5271),
    [anon_sym_class] = ACTIONS(5271),
    [anon_sym_struct] = ACTIONS(5271),
    [anon_sym_union] = ACTIONS(5271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5271),
    [anon_sym_decltype] = ACTIONS(5271),
    [anon_sym_explicit] = ACTIONS(5271),
    [anon_sym_typename] = ACTIONS(5271),
    [anon_sym_template] = ACTIONS(5271),
    [anon_sym_operator] = ACTIONS(5271),
    [anon_sym_friend] = ACTIONS(5271),
    [anon_sym_public] = ACTIONS(5271),
    [anon_sym_private] = ACTIONS(5271),
    [anon_sym_protected] = ACTIONS(5271),
    [anon_sym_using] = ACTIONS(5271),
    [anon_sym_static_assert] = ACTIONS(5271),
  },
  [1983] = {
    [sym_identifier] = ACTIONS(5271),
    [aux_sym_preproc_def_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5271),
    [sym_preproc_directive] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5273),
    [anon_sym_TILDE] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5273),
    [anon_sym_AMP_AMP] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5271),
    [anon_sym_SEMI] = ACTIONS(5273),
    [anon_sym___extension__] = ACTIONS(5271),
    [anon_sym_typedef] = ACTIONS(5271),
    [anon_sym_virtual] = ACTIONS(5271),
    [anon_sym_extern] = ACTIONS(5271),
    [anon_sym___attribute__] = ACTIONS(5271),
    [anon_sym_COLON_COLON] = ACTIONS(5273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5273),
    [anon_sym___declspec] = ACTIONS(5271),
    [anon_sym___based] = ACTIONS(5271),
    [anon_sym_RBRACE] = ACTIONS(5273),
    [anon_sym_signed] = ACTIONS(5271),
    [anon_sym_unsigned] = ACTIONS(5271),
    [anon_sym_long] = ACTIONS(5271),
    [anon_sym_short] = ACTIONS(5271),
    [anon_sym_LBRACK] = ACTIONS(5271),
    [anon_sym_static] = ACTIONS(5271),
    [anon_sym_register] = ACTIONS(5271),
    [anon_sym_inline] = ACTIONS(5271),
    [anon_sym___inline] = ACTIONS(5271),
    [anon_sym___inline__] = ACTIONS(5271),
    [anon_sym___forceinline] = ACTIONS(5271),
    [anon_sym_thread_local] = ACTIONS(5271),
    [anon_sym___thread] = ACTIONS(5271),
    [anon_sym_const] = ACTIONS(5271),
    [anon_sym_constexpr] = ACTIONS(5271),
    [anon_sym_volatile] = ACTIONS(5271),
    [anon_sym_restrict] = ACTIONS(5271),
    [anon_sym___restrict__] = ACTIONS(5271),
    [anon_sym__Atomic] = ACTIONS(5271),
    [anon_sym__Noreturn] = ACTIONS(5271),
    [anon_sym_noreturn] = ACTIONS(5271),
    [anon_sym__Nonnull] = ACTIONS(5271),
    [anon_sym_mutable] = ACTIONS(5271),
    [anon_sym_constinit] = ACTIONS(5271),
    [anon_sym_consteval] = ACTIONS(5271),
    [anon_sym_PROGMEM] = ACTIONS(5271),
    [anon_sym_alignas] = ACTIONS(5271),
    [anon_sym__Alignas] = ACTIONS(5271),
    [aux_sym_primitive_type_token1] = ACTIONS(5271),
    [anon_sym_byte] = ACTIONS(5271),
    [anon_sym_word] = ACTIONS(5271),
    [anon_sym_enum] = ACTIONS(5271),
    [anon_sym_class] = ACTIONS(5271),
    [anon_sym_struct] = ACTIONS(5271),
    [anon_sym_union] = ACTIONS(5271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5271),
    [anon_sym_decltype] = ACTIONS(5271),
    [anon_sym_explicit] = ACTIONS(5271),
    [anon_sym_typename] = ACTIONS(5271),
    [anon_sym_template] = ACTIONS(5271),
    [anon_sym_operator] = ACTIONS(5271),
    [anon_sym_friend] = ACTIONS(5271),
    [anon_sym_public] = ACTIONS(5271),
    [anon_sym_private] = ACTIONS(5271),
    [anon_sym_protected] = ACTIONS(5271),
    [anon_sym_using] = ACTIONS(5271),
    [anon_sym_static_assert] = ACTIONS(5271),
  },
  [1984] = {
    [sym_identifier] = ACTIONS(3012),
    [aux_sym_preproc_def_token1] = ACTIONS(3012),
    [aux_sym_preproc_if_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3012),
    [sym_preproc_directive] = ACTIONS(3012),
    [anon_sym_LPAREN2] = ACTIONS(3014),
    [anon_sym_TILDE] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3012),
    [anon_sym_typedef] = ACTIONS(3012),
    [anon_sym_virtual] = ACTIONS(3012),
    [anon_sym_extern] = ACTIONS(3012),
    [anon_sym___attribute__] = ACTIONS(3012),
    [anon_sym_COLON_COLON] = ACTIONS(3014),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3014),
    [anon_sym___declspec] = ACTIONS(3012),
    [anon_sym___based] = ACTIONS(3012),
    [anon_sym_RBRACE] = ACTIONS(3014),
    [anon_sym_signed] = ACTIONS(3012),
    [anon_sym_unsigned] = ACTIONS(3012),
    [anon_sym_long] = ACTIONS(3012),
    [anon_sym_short] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_static] = ACTIONS(3012),
    [anon_sym_register] = ACTIONS(3012),
    [anon_sym_inline] = ACTIONS(3012),
    [anon_sym___inline] = ACTIONS(3012),
    [anon_sym___inline__] = ACTIONS(3012),
    [anon_sym___forceinline] = ACTIONS(3012),
    [anon_sym_thread_local] = ACTIONS(3012),
    [anon_sym___thread] = ACTIONS(3012),
    [anon_sym_const] = ACTIONS(3012),
    [anon_sym_constexpr] = ACTIONS(3012),
    [anon_sym_volatile] = ACTIONS(3012),
    [anon_sym_restrict] = ACTIONS(3012),
    [anon_sym___restrict__] = ACTIONS(3012),
    [anon_sym__Atomic] = ACTIONS(3012),
    [anon_sym__Noreturn] = ACTIONS(3012),
    [anon_sym_noreturn] = ACTIONS(3012),
    [anon_sym__Nonnull] = ACTIONS(3012),
    [anon_sym_mutable] = ACTIONS(3012),
    [anon_sym_constinit] = ACTIONS(3012),
    [anon_sym_consteval] = ACTIONS(3012),
    [anon_sym_PROGMEM] = ACTIONS(3012),
    [anon_sym_alignas] = ACTIONS(3012),
    [anon_sym__Alignas] = ACTIONS(3012),
    [aux_sym_primitive_type_token1] = ACTIONS(3012),
    [anon_sym_byte] = ACTIONS(3012),
    [anon_sym_word] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3012),
    [anon_sym_struct] = ACTIONS(3012),
    [anon_sym_union] = ACTIONS(3012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3012),
    [anon_sym_decltype] = ACTIONS(3012),
    [anon_sym_explicit] = ACTIONS(3012),
    [anon_sym_typename] = ACTIONS(3012),
    [anon_sym_template] = ACTIONS(3012),
    [anon_sym_operator] = ACTIONS(3012),
    [anon_sym_friend] = ACTIONS(3012),
    [anon_sym_public] = ACTIONS(3012),
    [anon_sym_private] = ACTIONS(3012),
    [anon_sym_protected] = ACTIONS(3012),
    [anon_sym_using] = ACTIONS(3012),
    [anon_sym_static_assert] = ACTIONS(3012),
  },
  [1985] = {
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym_RBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_PROGMEM] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [aux_sym_primitive_type_token1] = ACTIONS(2920),
    [anon_sym_byte] = ACTIONS(2920),
    [anon_sym_word] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_friend] = ACTIONS(2920),
    [anon_sym_public] = ACTIONS(2920),
    [anon_sym_private] = ACTIONS(2920),
    [anon_sym_protected] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
  },
  [1986] = {
    [sym_identifier] = ACTIONS(2984),
    [aux_sym_preproc_def_token1] = ACTIONS(2984),
    [aux_sym_preproc_if_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2984),
    [sym_preproc_directive] = ACTIONS(2984),
    [anon_sym_LPAREN2] = ACTIONS(2986),
    [anon_sym_TILDE] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_typedef] = ACTIONS(2984),
    [anon_sym_virtual] = ACTIONS(2984),
    [anon_sym_extern] = ACTIONS(2984),
    [anon_sym___attribute__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2986),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2986),
    [anon_sym___declspec] = ACTIONS(2984),
    [anon_sym___based] = ACTIONS(2984),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2984),
    [anon_sym_unsigned] = ACTIONS(2984),
    [anon_sym_long] = ACTIONS(2984),
    [anon_sym_short] = ACTIONS(2984),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_static] = ACTIONS(2984),
    [anon_sym_register] = ACTIONS(2984),
    [anon_sym_inline] = ACTIONS(2984),
    [anon_sym___inline] = ACTIONS(2984),
    [anon_sym___inline__] = ACTIONS(2984),
    [anon_sym___forceinline] = ACTIONS(2984),
    [anon_sym_thread_local] = ACTIONS(2984),
    [anon_sym___thread] = ACTIONS(2984),
    [anon_sym_const] = ACTIONS(2984),
    [anon_sym_constexpr] = ACTIONS(2984),
    [anon_sym_volatile] = ACTIONS(2984),
    [anon_sym_restrict] = ACTIONS(2984),
    [anon_sym___restrict__] = ACTIONS(2984),
    [anon_sym__Atomic] = ACTIONS(2984),
    [anon_sym__Noreturn] = ACTIONS(2984),
    [anon_sym_noreturn] = ACTIONS(2984),
    [anon_sym__Nonnull] = ACTIONS(2984),
    [anon_sym_mutable] = ACTIONS(2984),
    [anon_sym_constinit] = ACTIONS(2984),
    [anon_sym_consteval] = ACTIONS(2984),
    [anon_sym_PROGMEM] = ACTIONS(2984),
    [anon_sym_alignas] = ACTIONS(2984),
    [anon_sym__Alignas] = ACTIONS(2984),
    [aux_sym_primitive_type_token1] = ACTIONS(2984),
    [anon_sym_byte] = ACTIONS(2984),
    [anon_sym_word] = ACTIONS(2984),
    [anon_sym_enum] = ACTIONS(2984),
    [anon_sym_class] = ACTIONS(2984),
    [anon_sym_struct] = ACTIONS(2984),
    [anon_sym_union] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2984),
    [anon_sym_decltype] = ACTIONS(2984),
    [anon_sym_explicit] = ACTIONS(2984),
    [anon_sym_typename] = ACTIONS(2984),
    [anon_sym_template] = ACTIONS(2984),
    [anon_sym_operator] = ACTIONS(2984),
    [anon_sym_friend] = ACTIONS(2984),
    [anon_sym_public] = ACTIONS(2984),
    [anon_sym_private] = ACTIONS(2984),
    [anon_sym_protected] = ACTIONS(2984),
    [anon_sym_using] = ACTIONS(2984),
    [anon_sym_static_assert] = ACTIONS(2984),
  },
  [1987] = {
    [sym_identifier] = ACTIONS(5275),
    [aux_sym_preproc_def_token1] = ACTIONS(5275),
    [aux_sym_preproc_if_token1] = ACTIONS(5275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5275),
    [sym_preproc_directive] = ACTIONS(5275),
    [anon_sym_LPAREN2] = ACTIONS(5277),
    [anon_sym_TILDE] = ACTIONS(5277),
    [anon_sym_STAR] = ACTIONS(5277),
    [anon_sym_AMP_AMP] = ACTIONS(5277),
    [anon_sym_AMP] = ACTIONS(5275),
    [anon_sym_SEMI] = ACTIONS(5277),
    [anon_sym___extension__] = ACTIONS(5275),
    [anon_sym_typedef] = ACTIONS(5275),
    [anon_sym_virtual] = ACTIONS(5275),
    [anon_sym_extern] = ACTIONS(5275),
    [anon_sym___attribute__] = ACTIONS(5275),
    [anon_sym_COLON_COLON] = ACTIONS(5277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5277),
    [anon_sym___declspec] = ACTIONS(5275),
    [anon_sym___based] = ACTIONS(5275),
    [anon_sym_RBRACE] = ACTIONS(5277),
    [anon_sym_signed] = ACTIONS(5275),
    [anon_sym_unsigned] = ACTIONS(5275),
    [anon_sym_long] = ACTIONS(5275),
    [anon_sym_short] = ACTIONS(5275),
    [anon_sym_LBRACK] = ACTIONS(5275),
    [anon_sym_static] = ACTIONS(5275),
    [anon_sym_register] = ACTIONS(5275),
    [anon_sym_inline] = ACTIONS(5275),
    [anon_sym___inline] = ACTIONS(5275),
    [anon_sym___inline__] = ACTIONS(5275),
    [anon_sym___forceinline] = ACTIONS(5275),
    [anon_sym_thread_local] = ACTIONS(5275),
    [anon_sym___thread] = ACTIONS(5275),
    [anon_sym_const] = ACTIONS(5275),
    [anon_sym_constexpr] = ACTIONS(5275),
    [anon_sym_volatile] = ACTIONS(5275),
    [anon_sym_restrict] = ACTIONS(5275),
    [anon_sym___restrict__] = ACTIONS(5275),
    [anon_sym__Atomic] = ACTIONS(5275),
    [anon_sym__Noreturn] = ACTIONS(5275),
    [anon_sym_noreturn] = ACTIONS(5275),
    [anon_sym__Nonnull] = ACTIONS(5275),
    [anon_sym_mutable] = ACTIONS(5275),
    [anon_sym_constinit] = ACTIONS(5275),
    [anon_sym_consteval] = ACTIONS(5275),
    [anon_sym_PROGMEM] = ACTIONS(5275),
    [anon_sym_alignas] = ACTIONS(5275),
    [anon_sym__Alignas] = ACTIONS(5275),
    [aux_sym_primitive_type_token1] = ACTIONS(5275),
    [anon_sym_byte] = ACTIONS(5275),
    [anon_sym_word] = ACTIONS(5275),
    [anon_sym_enum] = ACTIONS(5275),
    [anon_sym_class] = ACTIONS(5275),
    [anon_sym_struct] = ACTIONS(5275),
    [anon_sym_union] = ACTIONS(5275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5275),
    [anon_sym_decltype] = ACTIONS(5275),
    [anon_sym_explicit] = ACTIONS(5275),
    [anon_sym_typename] = ACTIONS(5275),
    [anon_sym_template] = ACTIONS(5275),
    [anon_sym_operator] = ACTIONS(5275),
    [anon_sym_friend] = ACTIONS(5275),
    [anon_sym_public] = ACTIONS(5275),
    [anon_sym_private] = ACTIONS(5275),
    [anon_sym_protected] = ACTIONS(5275),
    [anon_sym_using] = ACTIONS(5275),
    [anon_sym_static_assert] = ACTIONS(5275),
  },
  [1988] = {
    [sym_identifier] = ACTIONS(5279),
    [aux_sym_preproc_def_token1] = ACTIONS(5279),
    [aux_sym_preproc_if_token1] = ACTIONS(5279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5279),
    [sym_preproc_directive] = ACTIONS(5279),
    [anon_sym_LPAREN2] = ACTIONS(5281),
    [anon_sym_TILDE] = ACTIONS(5281),
    [anon_sym_STAR] = ACTIONS(5281),
    [anon_sym_AMP_AMP] = ACTIONS(5281),
    [anon_sym_AMP] = ACTIONS(5279),
    [anon_sym_SEMI] = ACTIONS(5281),
    [anon_sym___extension__] = ACTIONS(5279),
    [anon_sym_typedef] = ACTIONS(5279),
    [anon_sym_virtual] = ACTIONS(5279),
    [anon_sym_extern] = ACTIONS(5279),
    [anon_sym___attribute__] = ACTIONS(5279),
    [anon_sym_COLON_COLON] = ACTIONS(5281),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5281),
    [anon_sym___declspec] = ACTIONS(5279),
    [anon_sym___based] = ACTIONS(5279),
    [anon_sym_RBRACE] = ACTIONS(5281),
    [anon_sym_signed] = ACTIONS(5279),
    [anon_sym_unsigned] = ACTIONS(5279),
    [anon_sym_long] = ACTIONS(5279),
    [anon_sym_short] = ACTIONS(5279),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_static] = ACTIONS(5279),
    [anon_sym_register] = ACTIONS(5279),
    [anon_sym_inline] = ACTIONS(5279),
    [anon_sym___inline] = ACTIONS(5279),
    [anon_sym___inline__] = ACTIONS(5279),
    [anon_sym___forceinline] = ACTIONS(5279),
    [anon_sym_thread_local] = ACTIONS(5279),
    [anon_sym___thread] = ACTIONS(5279),
    [anon_sym_const] = ACTIONS(5279),
    [anon_sym_constexpr] = ACTIONS(5279),
    [anon_sym_volatile] = ACTIONS(5279),
    [anon_sym_restrict] = ACTIONS(5279),
    [anon_sym___restrict__] = ACTIONS(5279),
    [anon_sym__Atomic] = ACTIONS(5279),
    [anon_sym__Noreturn] = ACTIONS(5279),
    [anon_sym_noreturn] = ACTIONS(5279),
    [anon_sym__Nonnull] = ACTIONS(5279),
    [anon_sym_mutable] = ACTIONS(5279),
    [anon_sym_constinit] = ACTIONS(5279),
    [anon_sym_consteval] = ACTIONS(5279),
    [anon_sym_PROGMEM] = ACTIONS(5279),
    [anon_sym_alignas] = ACTIONS(5279),
    [anon_sym__Alignas] = ACTIONS(5279),
    [aux_sym_primitive_type_token1] = ACTIONS(5279),
    [anon_sym_byte] = ACTIONS(5279),
    [anon_sym_word] = ACTIONS(5279),
    [anon_sym_enum] = ACTIONS(5279),
    [anon_sym_class] = ACTIONS(5279),
    [anon_sym_struct] = ACTIONS(5279),
    [anon_sym_union] = ACTIONS(5279),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5279),
    [anon_sym_decltype] = ACTIONS(5279),
    [anon_sym_explicit] = ACTIONS(5279),
    [anon_sym_typename] = ACTIONS(5279),
    [anon_sym_template] = ACTIONS(5279),
    [anon_sym_operator] = ACTIONS(5279),
    [anon_sym_friend] = ACTIONS(5279),
    [anon_sym_public] = ACTIONS(5279),
    [anon_sym_private] = ACTIONS(5279),
    [anon_sym_protected] = ACTIONS(5279),
    [anon_sym_using] = ACTIONS(5279),
    [anon_sym_static_assert] = ACTIONS(5279),
  },
  [1989] = {
    [sym_identifier] = ACTIONS(5295),
    [aux_sym_preproc_def_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token2] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5295),
    [sym_preproc_directive] = ACTIONS(5295),
    [anon_sym_LPAREN2] = ACTIONS(5297),
    [anon_sym_TILDE] = ACTIONS(5297),
    [anon_sym_STAR] = ACTIONS(5297),
    [anon_sym_AMP_AMP] = ACTIONS(5297),
    [anon_sym_AMP] = ACTIONS(5295),
    [anon_sym_SEMI] = ACTIONS(5297),
    [anon_sym___extension__] = ACTIONS(5295),
    [anon_sym_typedef] = ACTIONS(5295),
    [anon_sym_virtual] = ACTIONS(5295),
    [anon_sym_extern] = ACTIONS(5295),
    [anon_sym___attribute__] = ACTIONS(5295),
    [anon_sym_COLON_COLON] = ACTIONS(5297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5297),
    [anon_sym___declspec] = ACTIONS(5295),
    [anon_sym___based] = ACTIONS(5295),
    [anon_sym_signed] = ACTIONS(5295),
    [anon_sym_unsigned] = ACTIONS(5295),
    [anon_sym_long] = ACTIONS(5295),
    [anon_sym_short] = ACTIONS(5295),
    [anon_sym_LBRACK] = ACTIONS(5295),
    [anon_sym_static] = ACTIONS(5295),
    [anon_sym_register] = ACTIONS(5295),
    [anon_sym_inline] = ACTIONS(5295),
    [anon_sym___inline] = ACTIONS(5295),
    [anon_sym___inline__] = ACTIONS(5295),
    [anon_sym___forceinline] = ACTIONS(5295),
    [anon_sym_thread_local] = ACTIONS(5295),
    [anon_sym___thread] = ACTIONS(5295),
    [anon_sym_const] = ACTIONS(5295),
    [anon_sym_constexpr] = ACTIONS(5295),
    [anon_sym_volatile] = ACTIONS(5295),
    [anon_sym_restrict] = ACTIONS(5295),
    [anon_sym___restrict__] = ACTIONS(5295),
    [anon_sym__Atomic] = ACTIONS(5295),
    [anon_sym__Noreturn] = ACTIONS(5295),
    [anon_sym_noreturn] = ACTIONS(5295),
    [anon_sym__Nonnull] = ACTIONS(5295),
    [anon_sym_mutable] = ACTIONS(5295),
    [anon_sym_constinit] = ACTIONS(5295),
    [anon_sym_consteval] = ACTIONS(5295),
    [anon_sym_PROGMEM] = ACTIONS(5295),
    [anon_sym_alignas] = ACTIONS(5295),
    [anon_sym__Alignas] = ACTIONS(5295),
    [aux_sym_primitive_type_token1] = ACTIONS(5295),
    [anon_sym_byte] = ACTIONS(5295),
    [anon_sym_word] = ACTIONS(5295),
    [anon_sym_enum] = ACTIONS(5295),
    [anon_sym_class] = ACTIONS(5295),
    [anon_sym_struct] = ACTIONS(5295),
    [anon_sym_union] = ACTIONS(5295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5295),
    [anon_sym_decltype] = ACTIONS(5295),
    [anon_sym_explicit] = ACTIONS(5295),
    [anon_sym_typename] = ACTIONS(5295),
    [anon_sym_template] = ACTIONS(5295),
    [anon_sym_operator] = ACTIONS(5295),
    [anon_sym_friend] = ACTIONS(5295),
    [anon_sym_public] = ACTIONS(5295),
    [anon_sym_private] = ACTIONS(5295),
    [anon_sym_protected] = ACTIONS(5295),
    [anon_sym_using] = ACTIONS(5295),
    [anon_sym_static_assert] = ACTIONS(5295),
  },
  [1990] = {
    [sym_identifier] = ACTIONS(3099),
    [aux_sym_preproc_def_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3099),
    [anon_sym_LPAREN2] = ACTIONS(3101),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_AMP_AMP] = ACTIONS(3101),
    [anon_sym_AMP] = ACTIONS(3099),
    [anon_sym_SEMI] = ACTIONS(3101),
    [anon_sym___extension__] = ACTIONS(3099),
    [anon_sym_typedef] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym___attribute__] = ACTIONS(3099),
    [anon_sym_COLON_COLON] = ACTIONS(3101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3101),
    [anon_sym___declspec] = ACTIONS(3099),
    [anon_sym___based] = ACTIONS(3099),
    [anon_sym_RBRACE] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3099),
    [anon_sym_unsigned] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_register] = ACTIONS(3099),
    [anon_sym_inline] = ACTIONS(3099),
    [anon_sym___inline] = ACTIONS(3099),
    [anon_sym___inline__] = ACTIONS(3099),
    [anon_sym___forceinline] = ACTIONS(3099),
    [anon_sym_thread_local] = ACTIONS(3099),
    [anon_sym___thread] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_constexpr] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_restrict] = ACTIONS(3099),
    [anon_sym___restrict__] = ACTIONS(3099),
    [anon_sym__Atomic] = ACTIONS(3099),
    [anon_sym__Noreturn] = ACTIONS(3099),
    [anon_sym_noreturn] = ACTIONS(3099),
    [anon_sym__Nonnull] = ACTIONS(3099),
    [anon_sym_mutable] = ACTIONS(3099),
    [anon_sym_constinit] = ACTIONS(3099),
    [anon_sym_consteval] = ACTIONS(3099),
    [anon_sym_PROGMEM] = ACTIONS(3099),
    [anon_sym_alignas] = ACTIONS(3099),
    [anon_sym__Alignas] = ACTIONS(3099),
    [aux_sym_primitive_type_token1] = ACTIONS(3099),
    [anon_sym_byte] = ACTIONS(3099),
    [anon_sym_word] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_union] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3099),
    [anon_sym_decltype] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_typename] = ACTIONS(3099),
    [anon_sym_template] = ACTIONS(3099),
    [anon_sym_operator] = ACTIONS(3099),
    [anon_sym_friend] = ACTIONS(3099),
    [anon_sym_public] = ACTIONS(3099),
    [anon_sym_private] = ACTIONS(3099),
    [anon_sym_protected] = ACTIONS(3099),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static_assert] = ACTIONS(3099),
  },
  [1991] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_PROGMEM] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [aux_sym_primitive_type_token1] = ACTIONS(2944),
    [anon_sym_byte] = ACTIONS(2944),
    [anon_sym_word] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_friend] = ACTIONS(2944),
    [anon_sym_public] = ACTIONS(2944),
    [anon_sym_private] = ACTIONS(2944),
    [anon_sym_protected] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
  },
  [1992] = {
    [sym_identifier] = ACTIONS(5291),
    [aux_sym_preproc_def_token1] = ACTIONS(5291),
    [aux_sym_preproc_if_token1] = ACTIONS(5291),
    [aux_sym_preproc_if_token2] = ACTIONS(5291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5291),
    [sym_preproc_directive] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5293),
    [anon_sym_TILDE] = ACTIONS(5293),
    [anon_sym_STAR] = ACTIONS(5293),
    [anon_sym_AMP_AMP] = ACTIONS(5293),
    [anon_sym_AMP] = ACTIONS(5291),
    [anon_sym_SEMI] = ACTIONS(5293),
    [anon_sym___extension__] = ACTIONS(5291),
    [anon_sym_typedef] = ACTIONS(5291),
    [anon_sym_virtual] = ACTIONS(5291),
    [anon_sym_extern] = ACTIONS(5291),
    [anon_sym___attribute__] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5293),
    [anon_sym___declspec] = ACTIONS(5291),
    [anon_sym___based] = ACTIONS(5291),
    [anon_sym_signed] = ACTIONS(5291),
    [anon_sym_unsigned] = ACTIONS(5291),
    [anon_sym_long] = ACTIONS(5291),
    [anon_sym_short] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5291),
    [anon_sym_static] = ACTIONS(5291),
    [anon_sym_register] = ACTIONS(5291),
    [anon_sym_inline] = ACTIONS(5291),
    [anon_sym___inline] = ACTIONS(5291),
    [anon_sym___inline__] = ACTIONS(5291),
    [anon_sym___forceinline] = ACTIONS(5291),
    [anon_sym_thread_local] = ACTIONS(5291),
    [anon_sym___thread] = ACTIONS(5291),
    [anon_sym_const] = ACTIONS(5291),
    [anon_sym_constexpr] = ACTIONS(5291),
    [anon_sym_volatile] = ACTIONS(5291),
    [anon_sym_restrict] = ACTIONS(5291),
    [anon_sym___restrict__] = ACTIONS(5291),
    [anon_sym__Atomic] = ACTIONS(5291),
    [anon_sym__Noreturn] = ACTIONS(5291),
    [anon_sym_noreturn] = ACTIONS(5291),
    [anon_sym__Nonnull] = ACTIONS(5291),
    [anon_sym_mutable] = ACTIONS(5291),
    [anon_sym_constinit] = ACTIONS(5291),
    [anon_sym_consteval] = ACTIONS(5291),
    [anon_sym_PROGMEM] = ACTIONS(5291),
    [anon_sym_alignas] = ACTIONS(5291),
    [anon_sym__Alignas] = ACTIONS(5291),
    [aux_sym_primitive_type_token1] = ACTIONS(5291),
    [anon_sym_byte] = ACTIONS(5291),
    [anon_sym_word] = ACTIONS(5291),
    [anon_sym_enum] = ACTIONS(5291),
    [anon_sym_class] = ACTIONS(5291),
    [anon_sym_struct] = ACTIONS(5291),
    [anon_sym_union] = ACTIONS(5291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5291),
    [anon_sym_decltype] = ACTIONS(5291),
    [anon_sym_explicit] = ACTIONS(5291),
    [anon_sym_typename] = ACTIONS(5291),
    [anon_sym_template] = ACTIONS(5291),
    [anon_sym_operator] = ACTIONS(5291),
    [anon_sym_friend] = ACTIONS(5291),
    [anon_sym_public] = ACTIONS(5291),
    [anon_sym_private] = ACTIONS(5291),
    [anon_sym_protected] = ACTIONS(5291),
    [anon_sym_using] = ACTIONS(5291),
    [anon_sym_static_assert] = ACTIONS(5291),
  },
  [1993] = {
    [sym_identifier] = ACTIONS(3103),
    [aux_sym_preproc_def_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3103),
    [sym_preproc_directive] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP_AMP] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3103),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_typedef] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym___based] = ACTIONS(3103),
    [anon_sym_RBRACE] = ACTIONS(3105),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym__Nonnull] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [anon_sym_PROGMEM] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym__Alignas] = ACTIONS(3103),
    [aux_sym_primitive_type_token1] = ACTIONS(3103),
    [anon_sym_byte] = ACTIONS(3103),
    [anon_sym_word] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(3103),
    [anon_sym_friend] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static_assert] = ACTIONS(3103),
  },
  [1994] = {
    [sym_identifier] = ACTIONS(5283),
    [aux_sym_preproc_def_token1] = ACTIONS(5283),
    [aux_sym_preproc_if_token1] = ACTIONS(5283),
    [aux_sym_preproc_if_token2] = ACTIONS(5283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5283),
    [sym_preproc_directive] = ACTIONS(5283),
    [anon_sym_LPAREN2] = ACTIONS(5285),
    [anon_sym_TILDE] = ACTIONS(5285),
    [anon_sym_STAR] = ACTIONS(5285),
    [anon_sym_AMP_AMP] = ACTIONS(5285),
    [anon_sym_AMP] = ACTIONS(5283),
    [anon_sym_SEMI] = ACTIONS(5285),
    [anon_sym___extension__] = ACTIONS(5283),
    [anon_sym_typedef] = ACTIONS(5283),
    [anon_sym_virtual] = ACTIONS(5283),
    [anon_sym_extern] = ACTIONS(5283),
    [anon_sym___attribute__] = ACTIONS(5283),
    [anon_sym_COLON_COLON] = ACTIONS(5285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5285),
    [anon_sym___declspec] = ACTIONS(5283),
    [anon_sym___based] = ACTIONS(5283),
    [anon_sym_signed] = ACTIONS(5283),
    [anon_sym_unsigned] = ACTIONS(5283),
    [anon_sym_long] = ACTIONS(5283),
    [anon_sym_short] = ACTIONS(5283),
    [anon_sym_LBRACK] = ACTIONS(5283),
    [anon_sym_static] = ACTIONS(5283),
    [anon_sym_register] = ACTIONS(5283),
    [anon_sym_inline] = ACTIONS(5283),
    [anon_sym___inline] = ACTIONS(5283),
    [anon_sym___inline__] = ACTIONS(5283),
    [anon_sym___forceinline] = ACTIONS(5283),
    [anon_sym_thread_local] = ACTIONS(5283),
    [anon_sym___thread] = ACTIONS(5283),
    [anon_sym_const] = ACTIONS(5283),
    [anon_sym_constexpr] = ACTIONS(5283),
    [anon_sym_volatile] = ACTIONS(5283),
    [anon_sym_restrict] = ACTIONS(5283),
    [anon_sym___restrict__] = ACTIONS(5283),
    [anon_sym__Atomic] = ACTIONS(5283),
    [anon_sym__Noreturn] = ACTIONS(5283),
    [anon_sym_noreturn] = ACTIONS(5283),
    [anon_sym__Nonnull] = ACTIONS(5283),
    [anon_sym_mutable] = ACTIONS(5283),
    [anon_sym_constinit] = ACTIONS(5283),
    [anon_sym_consteval] = ACTIONS(5283),
    [anon_sym_PROGMEM] = ACTIONS(5283),
    [anon_sym_alignas] = ACTIONS(5283),
    [anon_sym__Alignas] = ACTIONS(5283),
    [aux_sym_primitive_type_token1] = ACTIONS(5283),
    [anon_sym_byte] = ACTIONS(5283),
    [anon_sym_word] = ACTIONS(5283),
    [anon_sym_enum] = ACTIONS(5283),
    [anon_sym_class] = ACTIONS(5283),
    [anon_sym_struct] = ACTIONS(5283),
    [anon_sym_union] = ACTIONS(5283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5283),
    [anon_sym_decltype] = ACTIONS(5283),
    [anon_sym_explicit] = ACTIONS(5283),
    [anon_sym_typename] = ACTIONS(5283),
    [anon_sym_template] = ACTIONS(5283),
    [anon_sym_operator] = ACTIONS(5283),
    [anon_sym_friend] = ACTIONS(5283),
    [anon_sym_public] = ACTIONS(5283),
    [anon_sym_private] = ACTIONS(5283),
    [anon_sym_protected] = ACTIONS(5283),
    [anon_sym_using] = ACTIONS(5283),
    [anon_sym_static_assert] = ACTIONS(5283),
  },
  [1995] = {
    [sym_identifier] = ACTIONS(5279),
    [aux_sym_preproc_def_token1] = ACTIONS(5279),
    [aux_sym_preproc_if_token1] = ACTIONS(5279),
    [aux_sym_preproc_if_token2] = ACTIONS(5279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5279),
    [sym_preproc_directive] = ACTIONS(5279),
    [anon_sym_LPAREN2] = ACTIONS(5281),
    [anon_sym_TILDE] = ACTIONS(5281),
    [anon_sym_STAR] = ACTIONS(5281),
    [anon_sym_AMP_AMP] = ACTIONS(5281),
    [anon_sym_AMP] = ACTIONS(5279),
    [anon_sym_SEMI] = ACTIONS(5281),
    [anon_sym___extension__] = ACTIONS(5279),
    [anon_sym_typedef] = ACTIONS(5279),
    [anon_sym_virtual] = ACTIONS(5279),
    [anon_sym_extern] = ACTIONS(5279),
    [anon_sym___attribute__] = ACTIONS(5279),
    [anon_sym_COLON_COLON] = ACTIONS(5281),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5281),
    [anon_sym___declspec] = ACTIONS(5279),
    [anon_sym___based] = ACTIONS(5279),
    [anon_sym_signed] = ACTIONS(5279),
    [anon_sym_unsigned] = ACTIONS(5279),
    [anon_sym_long] = ACTIONS(5279),
    [anon_sym_short] = ACTIONS(5279),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_static] = ACTIONS(5279),
    [anon_sym_register] = ACTIONS(5279),
    [anon_sym_inline] = ACTIONS(5279),
    [anon_sym___inline] = ACTIONS(5279),
    [anon_sym___inline__] = ACTIONS(5279),
    [anon_sym___forceinline] = ACTIONS(5279),
    [anon_sym_thread_local] = ACTIONS(5279),
    [anon_sym___thread] = ACTIONS(5279),
    [anon_sym_const] = ACTIONS(5279),
    [anon_sym_constexpr] = ACTIONS(5279),
    [anon_sym_volatile] = ACTIONS(5279),
    [anon_sym_restrict] = ACTIONS(5279),
    [anon_sym___restrict__] = ACTIONS(5279),
    [anon_sym__Atomic] = ACTIONS(5279),
    [anon_sym__Noreturn] = ACTIONS(5279),
    [anon_sym_noreturn] = ACTIONS(5279),
    [anon_sym__Nonnull] = ACTIONS(5279),
    [anon_sym_mutable] = ACTIONS(5279),
    [anon_sym_constinit] = ACTIONS(5279),
    [anon_sym_consteval] = ACTIONS(5279),
    [anon_sym_PROGMEM] = ACTIONS(5279),
    [anon_sym_alignas] = ACTIONS(5279),
    [anon_sym__Alignas] = ACTIONS(5279),
    [aux_sym_primitive_type_token1] = ACTIONS(5279),
    [anon_sym_byte] = ACTIONS(5279),
    [anon_sym_word] = ACTIONS(5279),
    [anon_sym_enum] = ACTIONS(5279),
    [anon_sym_class] = ACTIONS(5279),
    [anon_sym_struct] = ACTIONS(5279),
    [anon_sym_union] = ACTIONS(5279),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5279),
    [anon_sym_decltype] = ACTIONS(5279),
    [anon_sym_explicit] = ACTIONS(5279),
    [anon_sym_typename] = ACTIONS(5279),
    [anon_sym_template] = ACTIONS(5279),
    [anon_sym_operator] = ACTIONS(5279),
    [anon_sym_friend] = ACTIONS(5279),
    [anon_sym_public] = ACTIONS(5279),
    [anon_sym_private] = ACTIONS(5279),
    [anon_sym_protected] = ACTIONS(5279),
    [anon_sym_using] = ACTIONS(5279),
    [anon_sym_static_assert] = ACTIONS(5279),
  },
  [1996] = {
    [sym_identifier] = ACTIONS(5307),
    [aux_sym_preproc_def_token1] = ACTIONS(5307),
    [aux_sym_preproc_if_token1] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5307),
    [sym_preproc_directive] = ACTIONS(5307),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_TILDE] = ACTIONS(5309),
    [anon_sym_STAR] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_SEMI] = ACTIONS(5309),
    [anon_sym___extension__] = ACTIONS(5307),
    [anon_sym_typedef] = ACTIONS(5307),
    [anon_sym_virtual] = ACTIONS(5307),
    [anon_sym_extern] = ACTIONS(5307),
    [anon_sym___attribute__] = ACTIONS(5307),
    [anon_sym_COLON_COLON] = ACTIONS(5309),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5309),
    [anon_sym___declspec] = ACTIONS(5307),
    [anon_sym___based] = ACTIONS(5307),
    [anon_sym_RBRACE] = ACTIONS(5309),
    [anon_sym_signed] = ACTIONS(5307),
    [anon_sym_unsigned] = ACTIONS(5307),
    [anon_sym_long] = ACTIONS(5307),
    [anon_sym_short] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5307),
    [anon_sym_static] = ACTIONS(5307),
    [anon_sym_register] = ACTIONS(5307),
    [anon_sym_inline] = ACTIONS(5307),
    [anon_sym___inline] = ACTIONS(5307),
    [anon_sym___inline__] = ACTIONS(5307),
    [anon_sym___forceinline] = ACTIONS(5307),
    [anon_sym_thread_local] = ACTIONS(5307),
    [anon_sym___thread] = ACTIONS(5307),
    [anon_sym_const] = ACTIONS(5307),
    [anon_sym_constexpr] = ACTIONS(5307),
    [anon_sym_volatile] = ACTIONS(5307),
    [anon_sym_restrict] = ACTIONS(5307),
    [anon_sym___restrict__] = ACTIONS(5307),
    [anon_sym__Atomic] = ACTIONS(5307),
    [anon_sym__Noreturn] = ACTIONS(5307),
    [anon_sym_noreturn] = ACTIONS(5307),
    [anon_sym__Nonnull] = ACTIONS(5307),
    [anon_sym_mutable] = ACTIONS(5307),
    [anon_sym_constinit] = ACTIONS(5307),
    [anon_sym_consteval] = ACTIONS(5307),
    [anon_sym_PROGMEM] = ACTIONS(5307),
    [anon_sym_alignas] = ACTIONS(5307),
    [anon_sym__Alignas] = ACTIONS(5307),
    [aux_sym_primitive_type_token1] = ACTIONS(5307),
    [anon_sym_byte] = ACTIONS(5307),
    [anon_sym_word] = ACTIONS(5307),
    [anon_sym_enum] = ACTIONS(5307),
    [anon_sym_class] = ACTIONS(5307),
    [anon_sym_struct] = ACTIONS(5307),
    [anon_sym_union] = ACTIONS(5307),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5307),
    [anon_sym_decltype] = ACTIONS(5307),
    [anon_sym_explicit] = ACTIONS(5307),
    [anon_sym_typename] = ACTIONS(5307),
    [anon_sym_template] = ACTIONS(5307),
    [anon_sym_operator] = ACTIONS(5307),
    [anon_sym_friend] = ACTIONS(5307),
    [anon_sym_public] = ACTIONS(5307),
    [anon_sym_private] = ACTIONS(5307),
    [anon_sym_protected] = ACTIONS(5307),
    [anon_sym_using] = ACTIONS(5307),
    [anon_sym_static_assert] = ACTIONS(5307),
  },
  [1997] = {
    [sym_identifier] = ACTIONS(5275),
    [aux_sym_preproc_def_token1] = ACTIONS(5275),
    [aux_sym_preproc_if_token1] = ACTIONS(5275),
    [aux_sym_preproc_if_token2] = ACTIONS(5275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5275),
    [sym_preproc_directive] = ACTIONS(5275),
    [anon_sym_LPAREN2] = ACTIONS(5277),
    [anon_sym_TILDE] = ACTIONS(5277),
    [anon_sym_STAR] = ACTIONS(5277),
    [anon_sym_AMP_AMP] = ACTIONS(5277),
    [anon_sym_AMP] = ACTIONS(5275),
    [anon_sym_SEMI] = ACTIONS(5277),
    [anon_sym___extension__] = ACTIONS(5275),
    [anon_sym_typedef] = ACTIONS(5275),
    [anon_sym_virtual] = ACTIONS(5275),
    [anon_sym_extern] = ACTIONS(5275),
    [anon_sym___attribute__] = ACTIONS(5275),
    [anon_sym_COLON_COLON] = ACTIONS(5277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5277),
    [anon_sym___declspec] = ACTIONS(5275),
    [anon_sym___based] = ACTIONS(5275),
    [anon_sym_signed] = ACTIONS(5275),
    [anon_sym_unsigned] = ACTIONS(5275),
    [anon_sym_long] = ACTIONS(5275),
    [anon_sym_short] = ACTIONS(5275),
    [anon_sym_LBRACK] = ACTIONS(5275),
    [anon_sym_static] = ACTIONS(5275),
    [anon_sym_register] = ACTIONS(5275),
    [anon_sym_inline] = ACTIONS(5275),
    [anon_sym___inline] = ACTIONS(5275),
    [anon_sym___inline__] = ACTIONS(5275),
    [anon_sym___forceinline] = ACTIONS(5275),
    [anon_sym_thread_local] = ACTIONS(5275),
    [anon_sym___thread] = ACTIONS(5275),
    [anon_sym_const] = ACTIONS(5275),
    [anon_sym_constexpr] = ACTIONS(5275),
    [anon_sym_volatile] = ACTIONS(5275),
    [anon_sym_restrict] = ACTIONS(5275),
    [anon_sym___restrict__] = ACTIONS(5275),
    [anon_sym__Atomic] = ACTIONS(5275),
    [anon_sym__Noreturn] = ACTIONS(5275),
    [anon_sym_noreturn] = ACTIONS(5275),
    [anon_sym__Nonnull] = ACTIONS(5275),
    [anon_sym_mutable] = ACTIONS(5275),
    [anon_sym_constinit] = ACTIONS(5275),
    [anon_sym_consteval] = ACTIONS(5275),
    [anon_sym_PROGMEM] = ACTIONS(5275),
    [anon_sym_alignas] = ACTIONS(5275),
    [anon_sym__Alignas] = ACTIONS(5275),
    [aux_sym_primitive_type_token1] = ACTIONS(5275),
    [anon_sym_byte] = ACTIONS(5275),
    [anon_sym_word] = ACTIONS(5275),
    [anon_sym_enum] = ACTIONS(5275),
    [anon_sym_class] = ACTIONS(5275),
    [anon_sym_struct] = ACTIONS(5275),
    [anon_sym_union] = ACTIONS(5275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5275),
    [anon_sym_decltype] = ACTIONS(5275),
    [anon_sym_explicit] = ACTIONS(5275),
    [anon_sym_typename] = ACTIONS(5275),
    [anon_sym_template] = ACTIONS(5275),
    [anon_sym_operator] = ACTIONS(5275),
    [anon_sym_friend] = ACTIONS(5275),
    [anon_sym_public] = ACTIONS(5275),
    [anon_sym_private] = ACTIONS(5275),
    [anon_sym_protected] = ACTIONS(5275),
    [anon_sym_using] = ACTIONS(5275),
    [anon_sym_static_assert] = ACTIONS(5275),
  },
  [1998] = {
    [sym_identifier] = ACTIONS(5271),
    [aux_sym_preproc_def_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token2] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5271),
    [sym_preproc_directive] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5273),
    [anon_sym_TILDE] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5273),
    [anon_sym_AMP_AMP] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5271),
    [anon_sym_SEMI] = ACTIONS(5273),
    [anon_sym___extension__] = ACTIONS(5271),
    [anon_sym_typedef] = ACTIONS(5271),
    [anon_sym_virtual] = ACTIONS(5271),
    [anon_sym_extern] = ACTIONS(5271),
    [anon_sym___attribute__] = ACTIONS(5271),
    [anon_sym_COLON_COLON] = ACTIONS(5273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5273),
    [anon_sym___declspec] = ACTIONS(5271),
    [anon_sym___based] = ACTIONS(5271),
    [anon_sym_signed] = ACTIONS(5271),
    [anon_sym_unsigned] = ACTIONS(5271),
    [anon_sym_long] = ACTIONS(5271),
    [anon_sym_short] = ACTIONS(5271),
    [anon_sym_LBRACK] = ACTIONS(5271),
    [anon_sym_static] = ACTIONS(5271),
    [anon_sym_register] = ACTIONS(5271),
    [anon_sym_inline] = ACTIONS(5271),
    [anon_sym___inline] = ACTIONS(5271),
    [anon_sym___inline__] = ACTIONS(5271),
    [anon_sym___forceinline] = ACTIONS(5271),
    [anon_sym_thread_local] = ACTIONS(5271),
    [anon_sym___thread] = ACTIONS(5271),
    [anon_sym_const] = ACTIONS(5271),
    [anon_sym_constexpr] = ACTIONS(5271),
    [anon_sym_volatile] = ACTIONS(5271),
    [anon_sym_restrict] = ACTIONS(5271),
    [anon_sym___restrict__] = ACTIONS(5271),
    [anon_sym__Atomic] = ACTIONS(5271),
    [anon_sym__Noreturn] = ACTIONS(5271),
    [anon_sym_noreturn] = ACTIONS(5271),
    [anon_sym__Nonnull] = ACTIONS(5271),
    [anon_sym_mutable] = ACTIONS(5271),
    [anon_sym_constinit] = ACTIONS(5271),
    [anon_sym_consteval] = ACTIONS(5271),
    [anon_sym_PROGMEM] = ACTIONS(5271),
    [anon_sym_alignas] = ACTIONS(5271),
    [anon_sym__Alignas] = ACTIONS(5271),
    [aux_sym_primitive_type_token1] = ACTIONS(5271),
    [anon_sym_byte] = ACTIONS(5271),
    [anon_sym_word] = ACTIONS(5271),
    [anon_sym_enum] = ACTIONS(5271),
    [anon_sym_class] = ACTIONS(5271),
    [anon_sym_struct] = ACTIONS(5271),
    [anon_sym_union] = ACTIONS(5271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5271),
    [anon_sym_decltype] = ACTIONS(5271),
    [anon_sym_explicit] = ACTIONS(5271),
    [anon_sym_typename] = ACTIONS(5271),
    [anon_sym_template] = ACTIONS(5271),
    [anon_sym_operator] = ACTIONS(5271),
    [anon_sym_friend] = ACTIONS(5271),
    [anon_sym_public] = ACTIONS(5271),
    [anon_sym_private] = ACTIONS(5271),
    [anon_sym_protected] = ACTIONS(5271),
    [anon_sym_using] = ACTIONS(5271),
    [anon_sym_static_assert] = ACTIONS(5271),
  },
  [1999] = {
    [sym_identifier] = ACTIONS(5271),
    [aux_sym_preproc_def_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token2] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5271),
    [sym_preproc_directive] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5273),
    [anon_sym_TILDE] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5273),
    [anon_sym_AMP_AMP] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5271),
    [anon_sym_SEMI] = ACTIONS(5273),
    [anon_sym___extension__] = ACTIONS(5271),
    [anon_sym_typedef] = ACTIONS(5271),
    [anon_sym_virtual] = ACTIONS(5271),
    [anon_sym_extern] = ACTIONS(5271),
    [anon_sym___attribute__] = ACTIONS(5271),
    [anon_sym_COLON_COLON] = ACTIONS(5273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5273),
    [anon_sym___declspec] = ACTIONS(5271),
    [anon_sym___based] = ACTIONS(5271),
    [anon_sym_signed] = ACTIONS(5271),
    [anon_sym_unsigned] = ACTIONS(5271),
    [anon_sym_long] = ACTIONS(5271),
    [anon_sym_short] = ACTIONS(5271),
    [anon_sym_LBRACK] = ACTIONS(5271),
    [anon_sym_static] = ACTIONS(5271),
    [anon_sym_register] = ACTIONS(5271),
    [anon_sym_inline] = ACTIONS(5271),
    [anon_sym___inline] = ACTIONS(5271),
    [anon_sym___inline__] = ACTIONS(5271),
    [anon_sym___forceinline] = ACTIONS(5271),
    [anon_sym_thread_local] = ACTIONS(5271),
    [anon_sym___thread] = ACTIONS(5271),
    [anon_sym_const] = ACTIONS(5271),
    [anon_sym_constexpr] = ACTIONS(5271),
    [anon_sym_volatile] = ACTIONS(5271),
    [anon_sym_restrict] = ACTIONS(5271),
    [anon_sym___restrict__] = ACTIONS(5271),
    [anon_sym__Atomic] = ACTIONS(5271),
    [anon_sym__Noreturn] = ACTIONS(5271),
    [anon_sym_noreturn] = ACTIONS(5271),
    [anon_sym__Nonnull] = ACTIONS(5271),
    [anon_sym_mutable] = ACTIONS(5271),
    [anon_sym_constinit] = ACTIONS(5271),
    [anon_sym_consteval] = ACTIONS(5271),
    [anon_sym_PROGMEM] = ACTIONS(5271),
    [anon_sym_alignas] = ACTIONS(5271),
    [anon_sym__Alignas] = ACTIONS(5271),
    [aux_sym_primitive_type_token1] = ACTIONS(5271),
    [anon_sym_byte] = ACTIONS(5271),
    [anon_sym_word] = ACTIONS(5271),
    [anon_sym_enum] = ACTIONS(5271),
    [anon_sym_class] = ACTIONS(5271),
    [anon_sym_struct] = ACTIONS(5271),
    [anon_sym_union] = ACTIONS(5271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5271),
    [anon_sym_decltype] = ACTIONS(5271),
    [anon_sym_explicit] = ACTIONS(5271),
    [anon_sym_typename] = ACTIONS(5271),
    [anon_sym_template] = ACTIONS(5271),
    [anon_sym_operator] = ACTIONS(5271),
    [anon_sym_friend] = ACTIONS(5271),
    [anon_sym_public] = ACTIONS(5271),
    [anon_sym_private] = ACTIONS(5271),
    [anon_sym_protected] = ACTIONS(5271),
    [anon_sym_using] = ACTIONS(5271),
    [anon_sym_static_assert] = ACTIONS(5271),
  },
  [2000] = {
    [sym_identifier] = ACTIONS(5267),
    [aux_sym_preproc_def_token1] = ACTIONS(5267),
    [aux_sym_preproc_if_token1] = ACTIONS(5267),
    [aux_sym_preproc_if_token2] = ACTIONS(5267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5267),
    [sym_preproc_directive] = ACTIONS(5267),
    [anon_sym_LPAREN2] = ACTIONS(5269),
    [anon_sym_TILDE] = ACTIONS(5269),
    [anon_sym_STAR] = ACTIONS(5269),
    [anon_sym_AMP_AMP] = ACTIONS(5269),
    [anon_sym_AMP] = ACTIONS(5267),
    [anon_sym_SEMI] = ACTIONS(5269),
    [anon_sym___extension__] = ACTIONS(5267),
    [anon_sym_typedef] = ACTIONS(5267),
    [anon_sym_virtual] = ACTIONS(5267),
    [anon_sym_extern] = ACTIONS(5267),
    [anon_sym___attribute__] = ACTIONS(5267),
    [anon_sym_COLON_COLON] = ACTIONS(5269),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5269),
    [anon_sym___declspec] = ACTIONS(5267),
    [anon_sym___based] = ACTIONS(5267),
    [anon_sym_signed] = ACTIONS(5267),
    [anon_sym_unsigned] = ACTIONS(5267),
    [anon_sym_long] = ACTIONS(5267),
    [anon_sym_short] = ACTIONS(5267),
    [anon_sym_LBRACK] = ACTIONS(5267),
    [anon_sym_static] = ACTIONS(5267),
    [anon_sym_register] = ACTIONS(5267),
    [anon_sym_inline] = ACTIONS(5267),
    [anon_sym___inline] = ACTIONS(5267),
    [anon_sym___inline__] = ACTIONS(5267),
    [anon_sym___forceinline] = ACTIONS(5267),
    [anon_sym_thread_local] = ACTIONS(5267),
    [anon_sym___thread] = ACTIONS(5267),
    [anon_sym_const] = ACTIONS(5267),
    [anon_sym_constexpr] = ACTIONS(5267),
    [anon_sym_volatile] = ACTIONS(5267),
    [anon_sym_restrict] = ACTIONS(5267),
    [anon_sym___restrict__] = ACTIONS(5267),
    [anon_sym__Atomic] = ACTIONS(5267),
    [anon_sym__Noreturn] = ACTIONS(5267),
    [anon_sym_noreturn] = ACTIONS(5267),
    [anon_sym__Nonnull] = ACTIONS(5267),
    [anon_sym_mutable] = ACTIONS(5267),
    [anon_sym_constinit] = ACTIONS(5267),
    [anon_sym_consteval] = ACTIONS(5267),
    [anon_sym_PROGMEM] = ACTIONS(5267),
    [anon_sym_alignas] = ACTIONS(5267),
    [anon_sym__Alignas] = ACTIONS(5267),
    [aux_sym_primitive_type_token1] = ACTIONS(5267),
    [anon_sym_byte] = ACTIONS(5267),
    [anon_sym_word] = ACTIONS(5267),
    [anon_sym_enum] = ACTIONS(5267),
    [anon_sym_class] = ACTIONS(5267),
    [anon_sym_struct] = ACTIONS(5267),
    [anon_sym_union] = ACTIONS(5267),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5267),
    [anon_sym_decltype] = ACTIONS(5267),
    [anon_sym_explicit] = ACTIONS(5267),
    [anon_sym_typename] = ACTIONS(5267),
    [anon_sym_template] = ACTIONS(5267),
    [anon_sym_operator] = ACTIONS(5267),
    [anon_sym_friend] = ACTIONS(5267),
    [anon_sym_public] = ACTIONS(5267),
    [anon_sym_private] = ACTIONS(5267),
    [anon_sym_protected] = ACTIONS(5267),
    [anon_sym_using] = ACTIONS(5267),
    [anon_sym_static_assert] = ACTIONS(5267),
  },
  [2001] = {
    [sym_identifier] = ACTIONS(5263),
    [aux_sym_preproc_def_token1] = ACTIONS(5263),
    [aux_sym_preproc_if_token1] = ACTIONS(5263),
    [aux_sym_preproc_if_token2] = ACTIONS(5263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5263),
    [sym_preproc_directive] = ACTIONS(5263),
    [anon_sym_LPAREN2] = ACTIONS(5265),
    [anon_sym_TILDE] = ACTIONS(5265),
    [anon_sym_STAR] = ACTIONS(5265),
    [anon_sym_AMP_AMP] = ACTIONS(5265),
    [anon_sym_AMP] = ACTIONS(5263),
    [anon_sym_SEMI] = ACTIONS(5265),
    [anon_sym___extension__] = ACTIONS(5263),
    [anon_sym_typedef] = ACTIONS(5263),
    [anon_sym_virtual] = ACTIONS(5263),
    [anon_sym_extern] = ACTIONS(5263),
    [anon_sym___attribute__] = ACTIONS(5263),
    [anon_sym_COLON_COLON] = ACTIONS(5265),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5265),
    [anon_sym___declspec] = ACTIONS(5263),
    [anon_sym___based] = ACTIONS(5263),
    [anon_sym_signed] = ACTIONS(5263),
    [anon_sym_unsigned] = ACTIONS(5263),
    [anon_sym_long] = ACTIONS(5263),
    [anon_sym_short] = ACTIONS(5263),
    [anon_sym_LBRACK] = ACTIONS(5263),
    [anon_sym_static] = ACTIONS(5263),
    [anon_sym_register] = ACTIONS(5263),
    [anon_sym_inline] = ACTIONS(5263),
    [anon_sym___inline] = ACTIONS(5263),
    [anon_sym___inline__] = ACTIONS(5263),
    [anon_sym___forceinline] = ACTIONS(5263),
    [anon_sym_thread_local] = ACTIONS(5263),
    [anon_sym___thread] = ACTIONS(5263),
    [anon_sym_const] = ACTIONS(5263),
    [anon_sym_constexpr] = ACTIONS(5263),
    [anon_sym_volatile] = ACTIONS(5263),
    [anon_sym_restrict] = ACTIONS(5263),
    [anon_sym___restrict__] = ACTIONS(5263),
    [anon_sym__Atomic] = ACTIONS(5263),
    [anon_sym__Noreturn] = ACTIONS(5263),
    [anon_sym_noreturn] = ACTIONS(5263),
    [anon_sym__Nonnull] = ACTIONS(5263),
    [anon_sym_mutable] = ACTIONS(5263),
    [anon_sym_constinit] = ACTIONS(5263),
    [anon_sym_consteval] = ACTIONS(5263),
    [anon_sym_PROGMEM] = ACTIONS(5263),
    [anon_sym_alignas] = ACTIONS(5263),
    [anon_sym__Alignas] = ACTIONS(5263),
    [aux_sym_primitive_type_token1] = ACTIONS(5263),
    [anon_sym_byte] = ACTIONS(5263),
    [anon_sym_word] = ACTIONS(5263),
    [anon_sym_enum] = ACTIONS(5263),
    [anon_sym_class] = ACTIONS(5263),
    [anon_sym_struct] = ACTIONS(5263),
    [anon_sym_union] = ACTIONS(5263),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5263),
    [anon_sym_decltype] = ACTIONS(5263),
    [anon_sym_explicit] = ACTIONS(5263),
    [anon_sym_typename] = ACTIONS(5263),
    [anon_sym_template] = ACTIONS(5263),
    [anon_sym_operator] = ACTIONS(5263),
    [anon_sym_friend] = ACTIONS(5263),
    [anon_sym_public] = ACTIONS(5263),
    [anon_sym_private] = ACTIONS(5263),
    [anon_sym_protected] = ACTIONS(5263),
    [anon_sym_using] = ACTIONS(5263),
    [anon_sym_static_assert] = ACTIONS(5263),
  },
  [2002] = {
    [sym_identifier] = ACTIONS(5259),
    [aux_sym_preproc_def_token1] = ACTIONS(5259),
    [aux_sym_preproc_if_token1] = ACTIONS(5259),
    [aux_sym_preproc_if_token2] = ACTIONS(5259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5259),
    [sym_preproc_directive] = ACTIONS(5259),
    [anon_sym_LPAREN2] = ACTIONS(5261),
    [anon_sym_TILDE] = ACTIONS(5261),
    [anon_sym_STAR] = ACTIONS(5261),
    [anon_sym_AMP_AMP] = ACTIONS(5261),
    [anon_sym_AMP] = ACTIONS(5259),
    [anon_sym_SEMI] = ACTIONS(5261),
    [anon_sym___extension__] = ACTIONS(5259),
    [anon_sym_typedef] = ACTIONS(5259),
    [anon_sym_virtual] = ACTIONS(5259),
    [anon_sym_extern] = ACTIONS(5259),
    [anon_sym___attribute__] = ACTIONS(5259),
    [anon_sym_COLON_COLON] = ACTIONS(5261),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5261),
    [anon_sym___declspec] = ACTIONS(5259),
    [anon_sym___based] = ACTIONS(5259),
    [anon_sym_signed] = ACTIONS(5259),
    [anon_sym_unsigned] = ACTIONS(5259),
    [anon_sym_long] = ACTIONS(5259),
    [anon_sym_short] = ACTIONS(5259),
    [anon_sym_LBRACK] = ACTIONS(5259),
    [anon_sym_static] = ACTIONS(5259),
    [anon_sym_register] = ACTIONS(5259),
    [anon_sym_inline] = ACTIONS(5259),
    [anon_sym___inline] = ACTIONS(5259),
    [anon_sym___inline__] = ACTIONS(5259),
    [anon_sym___forceinline] = ACTIONS(5259),
    [anon_sym_thread_local] = ACTIONS(5259),
    [anon_sym___thread] = ACTIONS(5259),
    [anon_sym_const] = ACTIONS(5259),
    [anon_sym_constexpr] = ACTIONS(5259),
    [anon_sym_volatile] = ACTIONS(5259),
    [anon_sym_restrict] = ACTIONS(5259),
    [anon_sym___restrict__] = ACTIONS(5259),
    [anon_sym__Atomic] = ACTIONS(5259),
    [anon_sym__Noreturn] = ACTIONS(5259),
    [anon_sym_noreturn] = ACTIONS(5259),
    [anon_sym__Nonnull] = ACTIONS(5259),
    [anon_sym_mutable] = ACTIONS(5259),
    [anon_sym_constinit] = ACTIONS(5259),
    [anon_sym_consteval] = ACTIONS(5259),
    [anon_sym_PROGMEM] = ACTIONS(5259),
    [anon_sym_alignas] = ACTIONS(5259),
    [anon_sym__Alignas] = ACTIONS(5259),
    [aux_sym_primitive_type_token1] = ACTIONS(5259),
    [anon_sym_byte] = ACTIONS(5259),
    [anon_sym_word] = ACTIONS(5259),
    [anon_sym_enum] = ACTIONS(5259),
    [anon_sym_class] = ACTIONS(5259),
    [anon_sym_struct] = ACTIONS(5259),
    [anon_sym_union] = ACTIONS(5259),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5259),
    [anon_sym_decltype] = ACTIONS(5259),
    [anon_sym_explicit] = ACTIONS(5259),
    [anon_sym_typename] = ACTIONS(5259),
    [anon_sym_template] = ACTIONS(5259),
    [anon_sym_operator] = ACTIONS(5259),
    [anon_sym_friend] = ACTIONS(5259),
    [anon_sym_public] = ACTIONS(5259),
    [anon_sym_private] = ACTIONS(5259),
    [anon_sym_protected] = ACTIONS(5259),
    [anon_sym_using] = ACTIONS(5259),
    [anon_sym_static_assert] = ACTIONS(5259),
  },
  [2003] = {
    [sym_identifier] = ACTIONS(5255),
    [aux_sym_preproc_def_token1] = ACTIONS(5255),
    [aux_sym_preproc_if_token1] = ACTIONS(5255),
    [aux_sym_preproc_if_token2] = ACTIONS(5255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5255),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5255),
    [sym_preproc_directive] = ACTIONS(5255),
    [anon_sym_LPAREN2] = ACTIONS(5257),
    [anon_sym_TILDE] = ACTIONS(5257),
    [anon_sym_STAR] = ACTIONS(5257),
    [anon_sym_AMP_AMP] = ACTIONS(5257),
    [anon_sym_AMP] = ACTIONS(5255),
    [anon_sym_SEMI] = ACTIONS(5257),
    [anon_sym___extension__] = ACTIONS(5255),
    [anon_sym_typedef] = ACTIONS(5255),
    [anon_sym_virtual] = ACTIONS(5255),
    [anon_sym_extern] = ACTIONS(5255),
    [anon_sym___attribute__] = ACTIONS(5255),
    [anon_sym_COLON_COLON] = ACTIONS(5257),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5257),
    [anon_sym___declspec] = ACTIONS(5255),
    [anon_sym___based] = ACTIONS(5255),
    [anon_sym_signed] = ACTIONS(5255),
    [anon_sym_unsigned] = ACTIONS(5255),
    [anon_sym_long] = ACTIONS(5255),
    [anon_sym_short] = ACTIONS(5255),
    [anon_sym_LBRACK] = ACTIONS(5255),
    [anon_sym_static] = ACTIONS(5255),
    [anon_sym_register] = ACTIONS(5255),
    [anon_sym_inline] = ACTIONS(5255),
    [anon_sym___inline] = ACTIONS(5255),
    [anon_sym___inline__] = ACTIONS(5255),
    [anon_sym___forceinline] = ACTIONS(5255),
    [anon_sym_thread_local] = ACTIONS(5255),
    [anon_sym___thread] = ACTIONS(5255),
    [anon_sym_const] = ACTIONS(5255),
    [anon_sym_constexpr] = ACTIONS(5255),
    [anon_sym_volatile] = ACTIONS(5255),
    [anon_sym_restrict] = ACTIONS(5255),
    [anon_sym___restrict__] = ACTIONS(5255),
    [anon_sym__Atomic] = ACTIONS(5255),
    [anon_sym__Noreturn] = ACTIONS(5255),
    [anon_sym_noreturn] = ACTIONS(5255),
    [anon_sym__Nonnull] = ACTIONS(5255),
    [anon_sym_mutable] = ACTIONS(5255),
    [anon_sym_constinit] = ACTIONS(5255),
    [anon_sym_consteval] = ACTIONS(5255),
    [anon_sym_PROGMEM] = ACTIONS(5255),
    [anon_sym_alignas] = ACTIONS(5255),
    [anon_sym__Alignas] = ACTIONS(5255),
    [aux_sym_primitive_type_token1] = ACTIONS(5255),
    [anon_sym_byte] = ACTIONS(5255),
    [anon_sym_word] = ACTIONS(5255),
    [anon_sym_enum] = ACTIONS(5255),
    [anon_sym_class] = ACTIONS(5255),
    [anon_sym_struct] = ACTIONS(5255),
    [anon_sym_union] = ACTIONS(5255),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5255),
    [anon_sym_decltype] = ACTIONS(5255),
    [anon_sym_explicit] = ACTIONS(5255),
    [anon_sym_typename] = ACTIONS(5255),
    [anon_sym_template] = ACTIONS(5255),
    [anon_sym_operator] = ACTIONS(5255),
    [anon_sym_friend] = ACTIONS(5255),
    [anon_sym_public] = ACTIONS(5255),
    [anon_sym_private] = ACTIONS(5255),
    [anon_sym_protected] = ACTIONS(5255),
    [anon_sym_using] = ACTIONS(5255),
    [anon_sym_static_assert] = ACTIONS(5255),
  },
  [2004] = {
    [sym_identifier] = ACTIONS(5251),
    [aux_sym_preproc_def_token1] = ACTIONS(5251),
    [aux_sym_preproc_if_token1] = ACTIONS(5251),
    [aux_sym_preproc_if_token2] = ACTIONS(5251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5251),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5251),
    [sym_preproc_directive] = ACTIONS(5251),
    [anon_sym_LPAREN2] = ACTIONS(5253),
    [anon_sym_TILDE] = ACTIONS(5253),
    [anon_sym_STAR] = ACTIONS(5253),
    [anon_sym_AMP_AMP] = ACTIONS(5253),
    [anon_sym_AMP] = ACTIONS(5251),
    [anon_sym_SEMI] = ACTIONS(5253),
    [anon_sym___extension__] = ACTIONS(5251),
    [anon_sym_typedef] = ACTIONS(5251),
    [anon_sym_virtual] = ACTIONS(5251),
    [anon_sym_extern] = ACTIONS(5251),
    [anon_sym___attribute__] = ACTIONS(5251),
    [anon_sym_COLON_COLON] = ACTIONS(5253),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5253),
    [anon_sym___declspec] = ACTIONS(5251),
    [anon_sym___based] = ACTIONS(5251),
    [anon_sym_signed] = ACTIONS(5251),
    [anon_sym_unsigned] = ACTIONS(5251),
    [anon_sym_long] = ACTIONS(5251),
    [anon_sym_short] = ACTIONS(5251),
    [anon_sym_LBRACK] = ACTIONS(5251),
    [anon_sym_static] = ACTIONS(5251),
    [anon_sym_register] = ACTIONS(5251),
    [anon_sym_inline] = ACTIONS(5251),
    [anon_sym___inline] = ACTIONS(5251),
    [anon_sym___inline__] = ACTIONS(5251),
    [anon_sym___forceinline] = ACTIONS(5251),
    [anon_sym_thread_local] = ACTIONS(5251),
    [anon_sym___thread] = ACTIONS(5251),
    [anon_sym_const] = ACTIONS(5251),
    [anon_sym_constexpr] = ACTIONS(5251),
    [anon_sym_volatile] = ACTIONS(5251),
    [anon_sym_restrict] = ACTIONS(5251),
    [anon_sym___restrict__] = ACTIONS(5251),
    [anon_sym__Atomic] = ACTIONS(5251),
    [anon_sym__Noreturn] = ACTIONS(5251),
    [anon_sym_noreturn] = ACTIONS(5251),
    [anon_sym__Nonnull] = ACTIONS(5251),
    [anon_sym_mutable] = ACTIONS(5251),
    [anon_sym_constinit] = ACTIONS(5251),
    [anon_sym_consteval] = ACTIONS(5251),
    [anon_sym_PROGMEM] = ACTIONS(5251),
    [anon_sym_alignas] = ACTIONS(5251),
    [anon_sym__Alignas] = ACTIONS(5251),
    [aux_sym_primitive_type_token1] = ACTIONS(5251),
    [anon_sym_byte] = ACTIONS(5251),
    [anon_sym_word] = ACTIONS(5251),
    [anon_sym_enum] = ACTIONS(5251),
    [anon_sym_class] = ACTIONS(5251),
    [anon_sym_struct] = ACTIONS(5251),
    [anon_sym_union] = ACTIONS(5251),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5251),
    [anon_sym_decltype] = ACTIONS(5251),
    [anon_sym_explicit] = ACTIONS(5251),
    [anon_sym_typename] = ACTIONS(5251),
    [anon_sym_template] = ACTIONS(5251),
    [anon_sym_operator] = ACTIONS(5251),
    [anon_sym_friend] = ACTIONS(5251),
    [anon_sym_public] = ACTIONS(5251),
    [anon_sym_private] = ACTIONS(5251),
    [anon_sym_protected] = ACTIONS(5251),
    [anon_sym_using] = ACTIONS(5251),
    [anon_sym_static_assert] = ACTIONS(5251),
  },
  [2005] = {
    [sym_identifier] = ACTIONS(2888),
    [aux_sym_preproc_def_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token2] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2888),
    [sym_preproc_directive] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2890),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_AMP_AMP] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2890),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2890),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym___based] = ACTIONS(2888),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_PROGMEM] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym__Alignas] = ACTIONS(2888),
    [aux_sym_primitive_type_token1] = ACTIONS(2888),
    [anon_sym_byte] = ACTIONS(2888),
    [anon_sym_word] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_operator] = ACTIONS(2888),
    [anon_sym_friend] = ACTIONS(2888),
    [anon_sym_public] = ACTIONS(2888),
    [anon_sym_private] = ACTIONS(2888),
    [anon_sym_protected] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_static_assert] = ACTIONS(2888),
  },
  [2006] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_PROGMEM] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [aux_sym_primitive_type_token1] = ACTIONS(2814),
    [anon_sym_byte] = ACTIONS(2814),
    [anon_sym_word] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_friend] = ACTIONS(2814),
    [anon_sym_public] = ACTIONS(2814),
    [anon_sym_private] = ACTIONS(2814),
    [anon_sym_protected] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
  },
  [2007] = {
    [sym_identifier] = ACTIONS(5223),
    [aux_sym_preproc_def_token1] = ACTIONS(5223),
    [aux_sym_preproc_if_token1] = ACTIONS(5223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5223),
    [sym_preproc_directive] = ACTIONS(5223),
    [anon_sym_LPAREN2] = ACTIONS(5225),
    [anon_sym_TILDE] = ACTIONS(5225),
    [anon_sym_STAR] = ACTIONS(5225),
    [anon_sym_AMP_AMP] = ACTIONS(5225),
    [anon_sym_AMP] = ACTIONS(5223),
    [anon_sym_SEMI] = ACTIONS(5225),
    [anon_sym___extension__] = ACTIONS(5223),
    [anon_sym_typedef] = ACTIONS(5223),
    [anon_sym_virtual] = ACTIONS(5223),
    [anon_sym_extern] = ACTIONS(5223),
    [anon_sym___attribute__] = ACTIONS(5223),
    [anon_sym_COLON_COLON] = ACTIONS(5225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5225),
    [anon_sym___declspec] = ACTIONS(5223),
    [anon_sym___based] = ACTIONS(5223),
    [anon_sym_RBRACE] = ACTIONS(5225),
    [anon_sym_signed] = ACTIONS(5223),
    [anon_sym_unsigned] = ACTIONS(5223),
    [anon_sym_long] = ACTIONS(5223),
    [anon_sym_short] = ACTIONS(5223),
    [anon_sym_LBRACK] = ACTIONS(5223),
    [anon_sym_static] = ACTIONS(5223),
    [anon_sym_register] = ACTIONS(5223),
    [anon_sym_inline] = ACTIONS(5223),
    [anon_sym___inline] = ACTIONS(5223),
    [anon_sym___inline__] = ACTIONS(5223),
    [anon_sym___forceinline] = ACTIONS(5223),
    [anon_sym_thread_local] = ACTIONS(5223),
    [anon_sym___thread] = ACTIONS(5223),
    [anon_sym_const] = ACTIONS(5223),
    [anon_sym_constexpr] = ACTIONS(5223),
    [anon_sym_volatile] = ACTIONS(5223),
    [anon_sym_restrict] = ACTIONS(5223),
    [anon_sym___restrict__] = ACTIONS(5223),
    [anon_sym__Atomic] = ACTIONS(5223),
    [anon_sym__Noreturn] = ACTIONS(5223),
    [anon_sym_noreturn] = ACTIONS(5223),
    [anon_sym__Nonnull] = ACTIONS(5223),
    [anon_sym_mutable] = ACTIONS(5223),
    [anon_sym_constinit] = ACTIONS(5223),
    [anon_sym_consteval] = ACTIONS(5223),
    [anon_sym_PROGMEM] = ACTIONS(5223),
    [anon_sym_alignas] = ACTIONS(5223),
    [anon_sym__Alignas] = ACTIONS(5223),
    [aux_sym_primitive_type_token1] = ACTIONS(5223),
    [anon_sym_byte] = ACTIONS(5223),
    [anon_sym_word] = ACTIONS(5223),
    [anon_sym_enum] = ACTIONS(5223),
    [anon_sym_class] = ACTIONS(5223),
    [anon_sym_struct] = ACTIONS(5223),
    [anon_sym_union] = ACTIONS(5223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5223),
    [anon_sym_decltype] = ACTIONS(5223),
    [anon_sym_explicit] = ACTIONS(5223),
    [anon_sym_typename] = ACTIONS(5223),
    [anon_sym_template] = ACTIONS(5223),
    [anon_sym_operator] = ACTIONS(5223),
    [anon_sym_friend] = ACTIONS(5223),
    [anon_sym_public] = ACTIONS(5223),
    [anon_sym_private] = ACTIONS(5223),
    [anon_sym_protected] = ACTIONS(5223),
    [anon_sym_using] = ACTIONS(5223),
    [anon_sym_static_assert] = ACTIONS(5223),
  },
  [2008] = {
    [sym_identifier] = ACTIONS(5283),
    [aux_sym_preproc_def_token1] = ACTIONS(5283),
    [aux_sym_preproc_if_token1] = ACTIONS(5283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5283),
    [sym_preproc_directive] = ACTIONS(5283),
    [anon_sym_LPAREN2] = ACTIONS(5285),
    [anon_sym_TILDE] = ACTIONS(5285),
    [anon_sym_STAR] = ACTIONS(5285),
    [anon_sym_AMP_AMP] = ACTIONS(5285),
    [anon_sym_AMP] = ACTIONS(5283),
    [anon_sym_SEMI] = ACTIONS(5285),
    [anon_sym___extension__] = ACTIONS(5283),
    [anon_sym_typedef] = ACTIONS(5283),
    [anon_sym_virtual] = ACTIONS(5283),
    [anon_sym_extern] = ACTIONS(5283),
    [anon_sym___attribute__] = ACTIONS(5283),
    [anon_sym_COLON_COLON] = ACTIONS(5285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5285),
    [anon_sym___declspec] = ACTIONS(5283),
    [anon_sym___based] = ACTIONS(5283),
    [anon_sym_RBRACE] = ACTIONS(5285),
    [anon_sym_signed] = ACTIONS(5283),
    [anon_sym_unsigned] = ACTIONS(5283),
    [anon_sym_long] = ACTIONS(5283),
    [anon_sym_short] = ACTIONS(5283),
    [anon_sym_LBRACK] = ACTIONS(5283),
    [anon_sym_static] = ACTIONS(5283),
    [anon_sym_register] = ACTIONS(5283),
    [anon_sym_inline] = ACTIONS(5283),
    [anon_sym___inline] = ACTIONS(5283),
    [anon_sym___inline__] = ACTIONS(5283),
    [anon_sym___forceinline] = ACTIONS(5283),
    [anon_sym_thread_local] = ACTIONS(5283),
    [anon_sym___thread] = ACTIONS(5283),
    [anon_sym_const] = ACTIONS(5283),
    [anon_sym_constexpr] = ACTIONS(5283),
    [anon_sym_volatile] = ACTIONS(5283),
    [anon_sym_restrict] = ACTIONS(5283),
    [anon_sym___restrict__] = ACTIONS(5283),
    [anon_sym__Atomic] = ACTIONS(5283),
    [anon_sym__Noreturn] = ACTIONS(5283),
    [anon_sym_noreturn] = ACTIONS(5283),
    [anon_sym__Nonnull] = ACTIONS(5283),
    [anon_sym_mutable] = ACTIONS(5283),
    [anon_sym_constinit] = ACTIONS(5283),
    [anon_sym_consteval] = ACTIONS(5283),
    [anon_sym_PROGMEM] = ACTIONS(5283),
    [anon_sym_alignas] = ACTIONS(5283),
    [anon_sym__Alignas] = ACTIONS(5283),
    [aux_sym_primitive_type_token1] = ACTIONS(5283),
    [anon_sym_byte] = ACTIONS(5283),
    [anon_sym_word] = ACTIONS(5283),
    [anon_sym_enum] = ACTIONS(5283),
    [anon_sym_class] = ACTIONS(5283),
    [anon_sym_struct] = ACTIONS(5283),
    [anon_sym_union] = ACTIONS(5283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5283),
    [anon_sym_decltype] = ACTIONS(5283),
    [anon_sym_explicit] = ACTIONS(5283),
    [anon_sym_typename] = ACTIONS(5283),
    [anon_sym_template] = ACTIONS(5283),
    [anon_sym_operator] = ACTIONS(5283),
    [anon_sym_friend] = ACTIONS(5283),
    [anon_sym_public] = ACTIONS(5283),
    [anon_sym_private] = ACTIONS(5283),
    [anon_sym_protected] = ACTIONS(5283),
    [anon_sym_using] = ACTIONS(5283),
    [anon_sym_static_assert] = ACTIONS(5283),
  },
  [2009] = {
    [sym_identifier] = ACTIONS(2888),
    [aux_sym_preproc_def_token1] = ACTIONS(2888),
    [aux_sym_preproc_if_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2888),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2888),
    [sym_preproc_directive] = ACTIONS(2888),
    [anon_sym_LPAREN2] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2890),
    [anon_sym_STAR] = ACTIONS(2890),
    [anon_sym_AMP_AMP] = ACTIONS(2890),
    [anon_sym_AMP] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2890),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_typedef] = ACTIONS(2888),
    [anon_sym_virtual] = ACTIONS(2888),
    [anon_sym_extern] = ACTIONS(2888),
    [anon_sym___attribute__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2890),
    [anon_sym___declspec] = ACTIONS(2888),
    [anon_sym___based] = ACTIONS(2888),
    [anon_sym_RBRACE] = ACTIONS(2890),
    [anon_sym_signed] = ACTIONS(2888),
    [anon_sym_unsigned] = ACTIONS(2888),
    [anon_sym_long] = ACTIONS(2888),
    [anon_sym_short] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_register] = ACTIONS(2888),
    [anon_sym_inline] = ACTIONS(2888),
    [anon_sym___inline] = ACTIONS(2888),
    [anon_sym___inline__] = ACTIONS(2888),
    [anon_sym___forceinline] = ACTIONS(2888),
    [anon_sym_thread_local] = ACTIONS(2888),
    [anon_sym___thread] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_PROGMEM] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2888),
    [anon_sym__Alignas] = ACTIONS(2888),
    [aux_sym_primitive_type_token1] = ACTIONS(2888),
    [anon_sym_byte] = ACTIONS(2888),
    [anon_sym_word] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_struct] = ACTIONS(2888),
    [anon_sym_union] = ACTIONS(2888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2888),
    [anon_sym_decltype] = ACTIONS(2888),
    [anon_sym_explicit] = ACTIONS(2888),
    [anon_sym_typename] = ACTIONS(2888),
    [anon_sym_template] = ACTIONS(2888),
    [anon_sym_operator] = ACTIONS(2888),
    [anon_sym_friend] = ACTIONS(2888),
    [anon_sym_public] = ACTIONS(2888),
    [anon_sym_private] = ACTIONS(2888),
    [anon_sym_protected] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_static_assert] = ACTIONS(2888),
  },
  [2010] = {
    [sym_template_argument_list] = STATE(1578),
    [sym_identifier] = ACTIONS(5601),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(4148),
    [anon_sym_STAR] = ACTIONS(4148),
    [anon_sym_PIPE_PIPE] = ACTIONS(4148),
    [anon_sym_AMP_AMP] = ACTIONS(4148),
    [anon_sym_AMP] = ACTIONS(5601),
    [anon_sym_LT] = ACTIONS(5599),
    [anon_sym___extension__] = ACTIONS(5601),
    [anon_sym_virtual] = ACTIONS(5601),
    [anon_sym_extern] = ACTIONS(5601),
    [anon_sym___attribute__] = ACTIONS(5601),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4148),
    [anon_sym___declspec] = ACTIONS(5601),
    [anon_sym___based] = ACTIONS(5601),
    [anon_sym___cdecl] = ACTIONS(5601),
    [anon_sym___clrcall] = ACTIONS(5601),
    [anon_sym___stdcall] = ACTIONS(5601),
    [anon_sym___fastcall] = ACTIONS(5601),
    [anon_sym___thiscall] = ACTIONS(5601),
    [anon_sym___vectorcall] = ACTIONS(5601),
    [anon_sym_signed] = ACTIONS(5601),
    [anon_sym_unsigned] = ACTIONS(5601),
    [anon_sym_long] = ACTIONS(5601),
    [anon_sym_short] = ACTIONS(5601),
    [anon_sym_LBRACK] = ACTIONS(5601),
    [anon_sym_static] = ACTIONS(5601),
    [anon_sym_register] = ACTIONS(5601),
    [anon_sym_inline] = ACTIONS(5601),
    [anon_sym___inline] = ACTIONS(5601),
    [anon_sym___inline__] = ACTIONS(5601),
    [anon_sym___forceinline] = ACTIONS(5601),
    [anon_sym_thread_local] = ACTIONS(5601),
    [anon_sym___thread] = ACTIONS(5601),
    [anon_sym_const] = ACTIONS(5601),
    [anon_sym_constexpr] = ACTIONS(5601),
    [anon_sym_volatile] = ACTIONS(5601),
    [anon_sym_restrict] = ACTIONS(5601),
    [anon_sym___restrict__] = ACTIONS(5601),
    [anon_sym__Atomic] = ACTIONS(5601),
    [anon_sym__Noreturn] = ACTIONS(5601),
    [anon_sym_noreturn] = ACTIONS(5601),
    [anon_sym__Nonnull] = ACTIONS(5601),
    [anon_sym_mutable] = ACTIONS(5601),
    [anon_sym_constinit] = ACTIONS(5601),
    [anon_sym_consteval] = ACTIONS(5601),
    [anon_sym_PROGMEM] = ACTIONS(5601),
    [anon_sym_alignas] = ACTIONS(5601),
    [anon_sym__Alignas] = ACTIONS(5601),
    [aux_sym_primitive_type_token1] = ACTIONS(5601),
    [anon_sym_byte] = ACTIONS(5601),
    [anon_sym_word] = ACTIONS(5601),
    [anon_sym_enum] = ACTIONS(5601),
    [anon_sym_class] = ACTIONS(5601),
    [anon_sym_struct] = ACTIONS(5601),
    [anon_sym_union] = ACTIONS(5601),
    [anon_sym_or] = ACTIONS(5601),
    [anon_sym_and] = ACTIONS(5601),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5601),
    [anon_sym_decltype] = ACTIONS(5601),
    [anon_sym_explicit] = ACTIONS(5601),
    [anon_sym_typename] = ACTIONS(5601),
    [anon_sym_template] = ACTIONS(5601),
    [anon_sym_operator] = ACTIONS(5601),
    [anon_sym_friend] = ACTIONS(5601),
    [anon_sym_using] = ACTIONS(5601),
    [anon_sym_concept] = ACTIONS(5601),
  },
  [2011] = {
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5339),
    [anon_sym_COMMA] = ACTIONS(5339),
    [anon_sym_RPAREN] = ACTIONS(5339),
    [aux_sym_preproc_if_token2] = ACTIONS(5339),
    [aux_sym_preproc_else_token1] = ACTIONS(5339),
    [aux_sym_preproc_elif_token1] = ACTIONS(5337),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5339),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5339),
    [anon_sym_LPAREN2] = ACTIONS(5339),
    [anon_sym_DASH] = ACTIONS(5337),
    [anon_sym_PLUS] = ACTIONS(5337),
    [anon_sym_STAR] = ACTIONS(5339),
    [anon_sym_SLASH] = ACTIONS(5337),
    [anon_sym_PERCENT] = ACTIONS(5339),
    [anon_sym_PIPE_PIPE] = ACTIONS(5339),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_PIPE] = ACTIONS(5337),
    [anon_sym_CARET] = ACTIONS(5339),
    [anon_sym_AMP] = ACTIONS(5337),
    [anon_sym_EQ_EQ] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5339),
    [anon_sym_GT] = ACTIONS(5337),
    [anon_sym_GT_EQ] = ACTIONS(5339),
    [anon_sym_LT_EQ] = ACTIONS(5337),
    [anon_sym_LT] = ACTIONS(5337),
    [anon_sym_LT_LT] = ACTIONS(5339),
    [anon_sym_GT_GT] = ACTIONS(5339),
    [anon_sym_SEMI] = ACTIONS(5339),
    [anon_sym___extension__] = ACTIONS(5337),
    [anon_sym___attribute__] = ACTIONS(5337),
    [anon_sym_LBRACE] = ACTIONS(5339),
    [anon_sym_RBRACE] = ACTIONS(5339),
    [anon_sym_LBRACK] = ACTIONS(5339),
    [anon_sym_RBRACK] = ACTIONS(5339),
    [anon_sym_const] = ACTIONS(5337),
    [anon_sym_constexpr] = ACTIONS(5337),
    [anon_sym_volatile] = ACTIONS(5337),
    [anon_sym_restrict] = ACTIONS(5337),
    [anon_sym___restrict__] = ACTIONS(5337),
    [anon_sym__Atomic] = ACTIONS(5337),
    [anon_sym__Noreturn] = ACTIONS(5337),
    [anon_sym_noreturn] = ACTIONS(5337),
    [anon_sym__Nonnull] = ACTIONS(5337),
    [anon_sym_mutable] = ACTIONS(5337),
    [anon_sym_constinit] = ACTIONS(5337),
    [anon_sym_consteval] = ACTIONS(5337),
    [anon_sym_PROGMEM] = ACTIONS(5337),
    [anon_sym_alignas] = ACTIONS(5337),
    [anon_sym__Alignas] = ACTIONS(5337),
    [anon_sym_COLON] = ACTIONS(5339),
    [anon_sym_QMARK] = ACTIONS(5339),
    [anon_sym_LT_EQ_GT] = ACTIONS(5339),
    [anon_sym_or] = ACTIONS(5337),
    [anon_sym_and] = ACTIONS(5337),
    [anon_sym_bitor] = ACTIONS(5337),
    [anon_sym_xor] = ACTIONS(5337),
    [anon_sym_bitand] = ACTIONS(5337),
    [anon_sym_not_eq] = ACTIONS(5337),
    [anon_sym_DASH_DASH] = ACTIONS(5339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5339),
    [anon_sym_DOT] = ACTIONS(5337),
    [anon_sym_DOT_STAR] = ACTIONS(5339),
    [anon_sym_DASH_GT] = ACTIONS(5339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5337),
    [anon_sym_decltype] = ACTIONS(5337),
    [anon_sym_final] = ACTIONS(5337),
    [anon_sym_override] = ACTIONS(5337),
    [anon_sym_requires] = ACTIONS(5337),
  },
  [2012] = {
    [sym_identifier] = ACTIONS(3000),
    [aux_sym_preproc_def_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token2] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3000),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(3002),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3000),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3000),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_virtual] = ACTIONS(3000),
    [anon_sym_extern] = ACTIONS(3000),
    [anon_sym___attribute__] = ACTIONS(3000),
    [anon_sym_COLON_COLON] = ACTIONS(3002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3002),
    [anon_sym___declspec] = ACTIONS(3000),
    [anon_sym___based] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(3000),
    [anon_sym_unsigned] = ACTIONS(3000),
    [anon_sym_long] = ACTIONS(3000),
    [anon_sym_short] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_register] = ACTIONS(3000),
    [anon_sym_inline] = ACTIONS(3000),
    [anon_sym___inline] = ACTIONS(3000),
    [anon_sym___inline__] = ACTIONS(3000),
    [anon_sym___forceinline] = ACTIONS(3000),
    [anon_sym_thread_local] = ACTIONS(3000),
    [anon_sym___thread] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_constexpr] = ACTIONS(3000),
    [anon_sym_volatile] = ACTIONS(3000),
    [anon_sym_restrict] = ACTIONS(3000),
    [anon_sym___restrict__] = ACTIONS(3000),
    [anon_sym__Atomic] = ACTIONS(3000),
    [anon_sym__Noreturn] = ACTIONS(3000),
    [anon_sym_noreturn] = ACTIONS(3000),
    [anon_sym__Nonnull] = ACTIONS(3000),
    [anon_sym_mutable] = ACTIONS(3000),
    [anon_sym_constinit] = ACTIONS(3000),
    [anon_sym_consteval] = ACTIONS(3000),
    [anon_sym_PROGMEM] = ACTIONS(3000),
    [anon_sym_alignas] = ACTIONS(3000),
    [anon_sym__Alignas] = ACTIONS(3000),
    [aux_sym_primitive_type_token1] = ACTIONS(3000),
    [anon_sym_byte] = ACTIONS(3000),
    [anon_sym_word] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_struct] = ACTIONS(3000),
    [anon_sym_union] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3000),
    [anon_sym_decltype] = ACTIONS(3000),
    [anon_sym_explicit] = ACTIONS(3000),
    [anon_sym_typename] = ACTIONS(3000),
    [anon_sym_template] = ACTIONS(3000),
    [anon_sym_operator] = ACTIONS(3000),
    [anon_sym_friend] = ACTIONS(3000),
    [anon_sym_public] = ACTIONS(3000),
    [anon_sym_private] = ACTIONS(3000),
    [anon_sym_protected] = ACTIONS(3000),
    [anon_sym_using] = ACTIONS(3000),
    [anon_sym_static_assert] = ACTIONS(3000),
  },
  [2013] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4931),
    [anon_sym_RPAREN] = ACTIONS(4933),
    [anon_sym_LPAREN2] = ACTIONS(4933),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4940),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4938),
    [anon_sym_PIPE_PIPE] = ACTIONS(4931),
    [anon_sym_AMP_AMP] = ACTIONS(4933),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4931),
    [anon_sym_BANG_EQ] = ACTIONS(4931),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4931),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4938),
    [anon_sym_GT_GT] = ACTIONS(4938),
    [anon_sym___extension__] = ACTIONS(4936),
    [anon_sym_COLON_COLON] = ACTIONS(4936),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_LBRACK] = ACTIONS(4933),
    [anon_sym_EQ] = ACTIONS(4938),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_constexpr] = ACTIONS(4936),
    [anon_sym_volatile] = ACTIONS(4936),
    [anon_sym_restrict] = ACTIONS(4936),
    [anon_sym___restrict__] = ACTIONS(4936),
    [anon_sym__Atomic] = ACTIONS(4936),
    [anon_sym__Noreturn] = ACTIONS(4936),
    [anon_sym_noreturn] = ACTIONS(4936),
    [anon_sym__Nonnull] = ACTIONS(4936),
    [anon_sym_mutable] = ACTIONS(4936),
    [anon_sym_constinit] = ACTIONS(4936),
    [anon_sym_consteval] = ACTIONS(4936),
    [anon_sym_PROGMEM] = ACTIONS(4936),
    [anon_sym_alignas] = ACTIONS(4936),
    [anon_sym__Alignas] = ACTIONS(4936),
    [anon_sym_QMARK] = ACTIONS(4931),
    [anon_sym_STAR_EQ] = ACTIONS(4931),
    [anon_sym_SLASH_EQ] = ACTIONS(4931),
    [anon_sym_PERCENT_EQ] = ACTIONS(4931),
    [anon_sym_PLUS_EQ] = ACTIONS(4931),
    [anon_sym_DASH_EQ] = ACTIONS(4931),
    [anon_sym_LT_LT_EQ] = ACTIONS(4931),
    [anon_sym_GT_GT_EQ] = ACTIONS(4931),
    [anon_sym_AMP_EQ] = ACTIONS(4931),
    [anon_sym_CARET_EQ] = ACTIONS(4931),
    [anon_sym_PIPE_EQ] = ACTIONS(4931),
    [anon_sym_and_eq] = ACTIONS(4931),
    [anon_sym_or_eq] = ACTIONS(4931),
    [anon_sym_xor_eq] = ACTIONS(4931),
    [anon_sym_LT_EQ_GT] = ACTIONS(4931),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4931),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4931),
    [anon_sym_not_eq] = ACTIONS(4931),
    [anon_sym_DASH_DASH] = ACTIONS(4931),
    [anon_sym_PLUS_PLUS] = ACTIONS(4931),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4931),
    [anon_sym_DASH_GT] = ACTIONS(4931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4936),
    [anon_sym_decltype] = ACTIONS(4936),
  },
  [2014] = {
    [sym_primitive_type] = STATE(2252),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2059),
    [sym_identifier] = ACTIONS(5603),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_DASH] = ACTIONS(5345),
    [anon_sym_PLUS] = ACTIONS(5345),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_SLASH] = ACTIONS(5345),
    [anon_sym_PERCENT] = ACTIONS(5343),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_PIPE] = ACTIONS(5345),
    [anon_sym_CARET] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5345),
    [anon_sym_EQ_EQ] = ACTIONS(5343),
    [anon_sym_BANG_EQ] = ACTIONS(5343),
    [anon_sym_GT] = ACTIONS(5345),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_LT] = ACTIONS(5345),
    [anon_sym_LT_LT] = ACTIONS(5343),
    [anon_sym_GT_GT] = ACTIONS(5345),
    [anon_sym___extension__] = ACTIONS(5345),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(5605),
    [anon_sym_unsigned] = ACTIONS(5605),
    [anon_sym_long] = ACTIONS(5605),
    [anon_sym_short] = ACTIONS(5605),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5345),
    [anon_sym_constexpr] = ACTIONS(5345),
    [anon_sym_volatile] = ACTIONS(5345),
    [anon_sym_restrict] = ACTIONS(5345),
    [anon_sym___restrict__] = ACTIONS(5345),
    [anon_sym__Atomic] = ACTIONS(5345),
    [anon_sym__Noreturn] = ACTIONS(5345),
    [anon_sym_noreturn] = ACTIONS(5345),
    [anon_sym__Nonnull] = ACTIONS(5345),
    [anon_sym_mutable] = ACTIONS(5345),
    [anon_sym_constinit] = ACTIONS(5345),
    [anon_sym_consteval] = ACTIONS(5345),
    [anon_sym_PROGMEM] = ACTIONS(5345),
    [anon_sym_alignas] = ACTIONS(5345),
    [anon_sym__Alignas] = ACTIONS(5345),
    [aux_sym_primitive_type_token1] = ACTIONS(2586),
    [anon_sym_byte] = ACTIONS(2586),
    [anon_sym_word] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_LT_EQ_GT] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5345),
    [anon_sym_and] = ACTIONS(5345),
    [anon_sym_bitor] = ACTIONS(5345),
    [anon_sym_xor] = ACTIONS(5345),
    [anon_sym_bitand] = ACTIONS(5345),
    [anon_sym_not_eq] = ACTIONS(5345),
    [anon_sym_DASH_DASH] = ACTIONS(5343),
    [anon_sym_PLUS_PLUS] = ACTIONS(5343),
    [anon_sym_DOT] = ACTIONS(5345),
    [anon_sym_DOT_STAR] = ACTIONS(5343),
    [anon_sym_DASH_GT] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5345),
    [anon_sym_decltype] = ACTIONS(5345),
    [anon_sym_final] = ACTIONS(5345),
    [anon_sym_override] = ACTIONS(5345),
    [anon_sym_GT2] = ACTIONS(5343),
    [anon_sym_requires] = ACTIONS(5345),
  },
  [2015] = {
    [sym_identifier] = ACTIONS(5247),
    [aux_sym_preproc_def_token1] = ACTIONS(5247),
    [aux_sym_preproc_if_token1] = ACTIONS(5247),
    [aux_sym_preproc_if_token2] = ACTIONS(5247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5247),
    [sym_preproc_directive] = ACTIONS(5247),
    [anon_sym_LPAREN2] = ACTIONS(5249),
    [anon_sym_TILDE] = ACTIONS(5249),
    [anon_sym_STAR] = ACTIONS(5249),
    [anon_sym_AMP_AMP] = ACTIONS(5249),
    [anon_sym_AMP] = ACTIONS(5247),
    [anon_sym_SEMI] = ACTIONS(5249),
    [anon_sym___extension__] = ACTIONS(5247),
    [anon_sym_typedef] = ACTIONS(5247),
    [anon_sym_virtual] = ACTIONS(5247),
    [anon_sym_extern] = ACTIONS(5247),
    [anon_sym___attribute__] = ACTIONS(5247),
    [anon_sym_COLON_COLON] = ACTIONS(5249),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5249),
    [anon_sym___declspec] = ACTIONS(5247),
    [anon_sym___based] = ACTIONS(5247),
    [anon_sym_signed] = ACTIONS(5247),
    [anon_sym_unsigned] = ACTIONS(5247),
    [anon_sym_long] = ACTIONS(5247),
    [anon_sym_short] = ACTIONS(5247),
    [anon_sym_LBRACK] = ACTIONS(5247),
    [anon_sym_static] = ACTIONS(5247),
    [anon_sym_register] = ACTIONS(5247),
    [anon_sym_inline] = ACTIONS(5247),
    [anon_sym___inline] = ACTIONS(5247),
    [anon_sym___inline__] = ACTIONS(5247),
    [anon_sym___forceinline] = ACTIONS(5247),
    [anon_sym_thread_local] = ACTIONS(5247),
    [anon_sym___thread] = ACTIONS(5247),
    [anon_sym_const] = ACTIONS(5247),
    [anon_sym_constexpr] = ACTIONS(5247),
    [anon_sym_volatile] = ACTIONS(5247),
    [anon_sym_restrict] = ACTIONS(5247),
    [anon_sym___restrict__] = ACTIONS(5247),
    [anon_sym__Atomic] = ACTIONS(5247),
    [anon_sym__Noreturn] = ACTIONS(5247),
    [anon_sym_noreturn] = ACTIONS(5247),
    [anon_sym__Nonnull] = ACTIONS(5247),
    [anon_sym_mutable] = ACTIONS(5247),
    [anon_sym_constinit] = ACTIONS(5247),
    [anon_sym_consteval] = ACTIONS(5247),
    [anon_sym_PROGMEM] = ACTIONS(5247),
    [anon_sym_alignas] = ACTIONS(5247),
    [anon_sym__Alignas] = ACTIONS(5247),
    [aux_sym_primitive_type_token1] = ACTIONS(5247),
    [anon_sym_byte] = ACTIONS(5247),
    [anon_sym_word] = ACTIONS(5247),
    [anon_sym_enum] = ACTIONS(5247),
    [anon_sym_class] = ACTIONS(5247),
    [anon_sym_struct] = ACTIONS(5247),
    [anon_sym_union] = ACTIONS(5247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5247),
    [anon_sym_decltype] = ACTIONS(5247),
    [anon_sym_explicit] = ACTIONS(5247),
    [anon_sym_typename] = ACTIONS(5247),
    [anon_sym_template] = ACTIONS(5247),
    [anon_sym_operator] = ACTIONS(5247),
    [anon_sym_friend] = ACTIONS(5247),
    [anon_sym_public] = ACTIONS(5247),
    [anon_sym_private] = ACTIONS(5247),
    [anon_sym_protected] = ACTIONS(5247),
    [anon_sym_using] = ACTIONS(5247),
    [anon_sym_static_assert] = ACTIONS(5247),
  },
  [2016] = {
    [sym_identifier] = ACTIONS(5243),
    [aux_sym_preproc_def_token1] = ACTIONS(5243),
    [aux_sym_preproc_if_token1] = ACTIONS(5243),
    [aux_sym_preproc_if_token2] = ACTIONS(5243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5243),
    [sym_preproc_directive] = ACTIONS(5243),
    [anon_sym_LPAREN2] = ACTIONS(5245),
    [anon_sym_TILDE] = ACTIONS(5245),
    [anon_sym_STAR] = ACTIONS(5245),
    [anon_sym_AMP_AMP] = ACTIONS(5245),
    [anon_sym_AMP] = ACTIONS(5243),
    [anon_sym_SEMI] = ACTIONS(5245),
    [anon_sym___extension__] = ACTIONS(5243),
    [anon_sym_typedef] = ACTIONS(5243),
    [anon_sym_virtual] = ACTIONS(5243),
    [anon_sym_extern] = ACTIONS(5243),
    [anon_sym___attribute__] = ACTIONS(5243),
    [anon_sym_COLON_COLON] = ACTIONS(5245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5245),
    [anon_sym___declspec] = ACTIONS(5243),
    [anon_sym___based] = ACTIONS(5243),
    [anon_sym_signed] = ACTIONS(5243),
    [anon_sym_unsigned] = ACTIONS(5243),
    [anon_sym_long] = ACTIONS(5243),
    [anon_sym_short] = ACTIONS(5243),
    [anon_sym_LBRACK] = ACTIONS(5243),
    [anon_sym_static] = ACTIONS(5243),
    [anon_sym_register] = ACTIONS(5243),
    [anon_sym_inline] = ACTIONS(5243),
    [anon_sym___inline] = ACTIONS(5243),
    [anon_sym___inline__] = ACTIONS(5243),
    [anon_sym___forceinline] = ACTIONS(5243),
    [anon_sym_thread_local] = ACTIONS(5243),
    [anon_sym___thread] = ACTIONS(5243),
    [anon_sym_const] = ACTIONS(5243),
    [anon_sym_constexpr] = ACTIONS(5243),
    [anon_sym_volatile] = ACTIONS(5243),
    [anon_sym_restrict] = ACTIONS(5243),
    [anon_sym___restrict__] = ACTIONS(5243),
    [anon_sym__Atomic] = ACTIONS(5243),
    [anon_sym__Noreturn] = ACTIONS(5243),
    [anon_sym_noreturn] = ACTIONS(5243),
    [anon_sym__Nonnull] = ACTIONS(5243),
    [anon_sym_mutable] = ACTIONS(5243),
    [anon_sym_constinit] = ACTIONS(5243),
    [anon_sym_consteval] = ACTIONS(5243),
    [anon_sym_PROGMEM] = ACTIONS(5243),
    [anon_sym_alignas] = ACTIONS(5243),
    [anon_sym__Alignas] = ACTIONS(5243),
    [aux_sym_primitive_type_token1] = ACTIONS(5243),
    [anon_sym_byte] = ACTIONS(5243),
    [anon_sym_word] = ACTIONS(5243),
    [anon_sym_enum] = ACTIONS(5243),
    [anon_sym_class] = ACTIONS(5243),
    [anon_sym_struct] = ACTIONS(5243),
    [anon_sym_union] = ACTIONS(5243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5243),
    [anon_sym_decltype] = ACTIONS(5243),
    [anon_sym_explicit] = ACTIONS(5243),
    [anon_sym_typename] = ACTIONS(5243),
    [anon_sym_template] = ACTIONS(5243),
    [anon_sym_operator] = ACTIONS(5243),
    [anon_sym_friend] = ACTIONS(5243),
    [anon_sym_public] = ACTIONS(5243),
    [anon_sym_private] = ACTIONS(5243),
    [anon_sym_protected] = ACTIONS(5243),
    [anon_sym_using] = ACTIONS(5243),
    [anon_sym_static_assert] = ACTIONS(5243),
  },
  [2017] = {
    [sym_identifier] = ACTIONS(2818),
    [aux_sym_preproc_def_token1] = ACTIONS(2818),
    [aux_sym_preproc_if_token1] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2818),
    [sym_preproc_directive] = ACTIONS(2818),
    [anon_sym_LPAREN2] = ACTIONS(2820),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_AMP_AMP] = ACTIONS(2820),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym___extension__] = ACTIONS(2818),
    [anon_sym_typedef] = ACTIONS(2818),
    [anon_sym_virtual] = ACTIONS(2818),
    [anon_sym_extern] = ACTIONS(2818),
    [anon_sym___attribute__] = ACTIONS(2818),
    [anon_sym_COLON_COLON] = ACTIONS(2820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2820),
    [anon_sym___declspec] = ACTIONS(2818),
    [anon_sym___based] = ACTIONS(2818),
    [anon_sym_RBRACE] = ACTIONS(2820),
    [anon_sym_signed] = ACTIONS(2818),
    [anon_sym_unsigned] = ACTIONS(2818),
    [anon_sym_long] = ACTIONS(2818),
    [anon_sym_short] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_register] = ACTIONS(2818),
    [anon_sym_inline] = ACTIONS(2818),
    [anon_sym___inline] = ACTIONS(2818),
    [anon_sym___inline__] = ACTIONS(2818),
    [anon_sym___forceinline] = ACTIONS(2818),
    [anon_sym_thread_local] = ACTIONS(2818),
    [anon_sym___thread] = ACTIONS(2818),
    [anon_sym_const] = ACTIONS(2818),
    [anon_sym_constexpr] = ACTIONS(2818),
    [anon_sym_volatile] = ACTIONS(2818),
    [anon_sym_restrict] = ACTIONS(2818),
    [anon_sym___restrict__] = ACTIONS(2818),
    [anon_sym__Atomic] = ACTIONS(2818),
    [anon_sym__Noreturn] = ACTIONS(2818),
    [anon_sym_noreturn] = ACTIONS(2818),
    [anon_sym__Nonnull] = ACTIONS(2818),
    [anon_sym_mutable] = ACTIONS(2818),
    [anon_sym_constinit] = ACTIONS(2818),
    [anon_sym_consteval] = ACTIONS(2818),
    [anon_sym_PROGMEM] = ACTIONS(2818),
    [anon_sym_alignas] = ACTIONS(2818),
    [anon_sym__Alignas] = ACTIONS(2818),
    [aux_sym_primitive_type_token1] = ACTIONS(2818),
    [anon_sym_byte] = ACTIONS(2818),
    [anon_sym_word] = ACTIONS(2818),
    [anon_sym_enum] = ACTIONS(2818),
    [anon_sym_class] = ACTIONS(2818),
    [anon_sym_struct] = ACTIONS(2818),
    [anon_sym_union] = ACTIONS(2818),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2818),
    [anon_sym_decltype] = ACTIONS(2818),
    [anon_sym_explicit] = ACTIONS(2818),
    [anon_sym_typename] = ACTIONS(2818),
    [anon_sym_template] = ACTIONS(2818),
    [anon_sym_operator] = ACTIONS(2818),
    [anon_sym_friend] = ACTIONS(2818),
    [anon_sym_public] = ACTIONS(2818),
    [anon_sym_private] = ACTIONS(2818),
    [anon_sym_protected] = ACTIONS(2818),
    [anon_sym_using] = ACTIONS(2818),
    [anon_sym_static_assert] = ACTIONS(2818),
  },
  [2018] = {
    [sym_identifier] = ACTIONS(5239),
    [aux_sym_preproc_def_token1] = ACTIONS(5239),
    [aux_sym_preproc_if_token1] = ACTIONS(5239),
    [aux_sym_preproc_if_token2] = ACTIONS(5239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5239),
    [sym_preproc_directive] = ACTIONS(5239),
    [anon_sym_LPAREN2] = ACTIONS(5241),
    [anon_sym_TILDE] = ACTIONS(5241),
    [anon_sym_STAR] = ACTIONS(5241),
    [anon_sym_AMP_AMP] = ACTIONS(5241),
    [anon_sym_AMP] = ACTIONS(5239),
    [anon_sym_SEMI] = ACTIONS(5241),
    [anon_sym___extension__] = ACTIONS(5239),
    [anon_sym_typedef] = ACTIONS(5239),
    [anon_sym_virtual] = ACTIONS(5239),
    [anon_sym_extern] = ACTIONS(5239),
    [anon_sym___attribute__] = ACTIONS(5239),
    [anon_sym_COLON_COLON] = ACTIONS(5241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5241),
    [anon_sym___declspec] = ACTIONS(5239),
    [anon_sym___based] = ACTIONS(5239),
    [anon_sym_signed] = ACTIONS(5239),
    [anon_sym_unsigned] = ACTIONS(5239),
    [anon_sym_long] = ACTIONS(5239),
    [anon_sym_short] = ACTIONS(5239),
    [anon_sym_LBRACK] = ACTIONS(5239),
    [anon_sym_static] = ACTIONS(5239),
    [anon_sym_register] = ACTIONS(5239),
    [anon_sym_inline] = ACTIONS(5239),
    [anon_sym___inline] = ACTIONS(5239),
    [anon_sym___inline__] = ACTIONS(5239),
    [anon_sym___forceinline] = ACTIONS(5239),
    [anon_sym_thread_local] = ACTIONS(5239),
    [anon_sym___thread] = ACTIONS(5239),
    [anon_sym_const] = ACTIONS(5239),
    [anon_sym_constexpr] = ACTIONS(5239),
    [anon_sym_volatile] = ACTIONS(5239),
    [anon_sym_restrict] = ACTIONS(5239),
    [anon_sym___restrict__] = ACTIONS(5239),
    [anon_sym__Atomic] = ACTIONS(5239),
    [anon_sym__Noreturn] = ACTIONS(5239),
    [anon_sym_noreturn] = ACTIONS(5239),
    [anon_sym__Nonnull] = ACTIONS(5239),
    [anon_sym_mutable] = ACTIONS(5239),
    [anon_sym_constinit] = ACTIONS(5239),
    [anon_sym_consteval] = ACTIONS(5239),
    [anon_sym_PROGMEM] = ACTIONS(5239),
    [anon_sym_alignas] = ACTIONS(5239),
    [anon_sym__Alignas] = ACTIONS(5239),
    [aux_sym_primitive_type_token1] = ACTIONS(5239),
    [anon_sym_byte] = ACTIONS(5239),
    [anon_sym_word] = ACTIONS(5239),
    [anon_sym_enum] = ACTIONS(5239),
    [anon_sym_class] = ACTIONS(5239),
    [anon_sym_struct] = ACTIONS(5239),
    [anon_sym_union] = ACTIONS(5239),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5239),
    [anon_sym_decltype] = ACTIONS(5239),
    [anon_sym_explicit] = ACTIONS(5239),
    [anon_sym_typename] = ACTIONS(5239),
    [anon_sym_template] = ACTIONS(5239),
    [anon_sym_operator] = ACTIONS(5239),
    [anon_sym_friend] = ACTIONS(5239),
    [anon_sym_public] = ACTIONS(5239),
    [anon_sym_private] = ACTIONS(5239),
    [anon_sym_protected] = ACTIONS(5239),
    [anon_sym_using] = ACTIONS(5239),
    [anon_sym_static_assert] = ACTIONS(5239),
  },
  [2019] = {
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym_RBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym__Nonnull] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [anon_sym_PROGMEM] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym__Alignas] = ACTIONS(2830),
    [aux_sym_primitive_type_token1] = ACTIONS(2830),
    [anon_sym_byte] = ACTIONS(2830),
    [anon_sym_word] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_friend] = ACTIONS(2830),
    [anon_sym_public] = ACTIONS(2830),
    [anon_sym_private] = ACTIONS(2830),
    [anon_sym_protected] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
  },
  [2020] = {
    [sym_identifier] = ACTIONS(5243),
    [aux_sym_preproc_def_token1] = ACTIONS(5243),
    [aux_sym_preproc_if_token1] = ACTIONS(5243),
    [aux_sym_preproc_if_token2] = ACTIONS(5243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5243),
    [sym_preproc_directive] = ACTIONS(5243),
    [anon_sym_LPAREN2] = ACTIONS(5245),
    [anon_sym_TILDE] = ACTIONS(5245),
    [anon_sym_STAR] = ACTIONS(5245),
    [anon_sym_AMP_AMP] = ACTIONS(5245),
    [anon_sym_AMP] = ACTIONS(5243),
    [anon_sym_SEMI] = ACTIONS(5245),
    [anon_sym___extension__] = ACTIONS(5243),
    [anon_sym_typedef] = ACTIONS(5243),
    [anon_sym_virtual] = ACTIONS(5243),
    [anon_sym_extern] = ACTIONS(5243),
    [anon_sym___attribute__] = ACTIONS(5243),
    [anon_sym_COLON_COLON] = ACTIONS(5245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5245),
    [anon_sym___declspec] = ACTIONS(5243),
    [anon_sym___based] = ACTIONS(5243),
    [anon_sym_signed] = ACTIONS(5243),
    [anon_sym_unsigned] = ACTIONS(5243),
    [anon_sym_long] = ACTIONS(5243),
    [anon_sym_short] = ACTIONS(5243),
    [anon_sym_LBRACK] = ACTIONS(5243),
    [anon_sym_static] = ACTIONS(5243),
    [anon_sym_register] = ACTIONS(5243),
    [anon_sym_inline] = ACTIONS(5243),
    [anon_sym___inline] = ACTIONS(5243),
    [anon_sym___inline__] = ACTIONS(5243),
    [anon_sym___forceinline] = ACTIONS(5243),
    [anon_sym_thread_local] = ACTIONS(5243),
    [anon_sym___thread] = ACTIONS(5243),
    [anon_sym_const] = ACTIONS(5243),
    [anon_sym_constexpr] = ACTIONS(5243),
    [anon_sym_volatile] = ACTIONS(5243),
    [anon_sym_restrict] = ACTIONS(5243),
    [anon_sym___restrict__] = ACTIONS(5243),
    [anon_sym__Atomic] = ACTIONS(5243),
    [anon_sym__Noreturn] = ACTIONS(5243),
    [anon_sym_noreturn] = ACTIONS(5243),
    [anon_sym__Nonnull] = ACTIONS(5243),
    [anon_sym_mutable] = ACTIONS(5243),
    [anon_sym_constinit] = ACTIONS(5243),
    [anon_sym_consteval] = ACTIONS(5243),
    [anon_sym_PROGMEM] = ACTIONS(5243),
    [anon_sym_alignas] = ACTIONS(5243),
    [anon_sym__Alignas] = ACTIONS(5243),
    [aux_sym_primitive_type_token1] = ACTIONS(5243),
    [anon_sym_byte] = ACTIONS(5243),
    [anon_sym_word] = ACTIONS(5243),
    [anon_sym_enum] = ACTIONS(5243),
    [anon_sym_class] = ACTIONS(5243),
    [anon_sym_struct] = ACTIONS(5243),
    [anon_sym_union] = ACTIONS(5243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5243),
    [anon_sym_decltype] = ACTIONS(5243),
    [anon_sym_explicit] = ACTIONS(5243),
    [anon_sym_typename] = ACTIONS(5243),
    [anon_sym_template] = ACTIONS(5243),
    [anon_sym_operator] = ACTIONS(5243),
    [anon_sym_friend] = ACTIONS(5243),
    [anon_sym_public] = ACTIONS(5243),
    [anon_sym_private] = ACTIONS(5243),
    [anon_sym_protected] = ACTIONS(5243),
    [anon_sym_using] = ACTIONS(5243),
    [anon_sym_static_assert] = ACTIONS(5243),
  },
  [2021] = {
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_virtual] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym__Nonnull] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [anon_sym_PROGMEM] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym__Alignas] = ACTIONS(2822),
    [aux_sym_primitive_type_token1] = ACTIONS(2822),
    [anon_sym_byte] = ACTIONS(2822),
    [anon_sym_word] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_friend] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
  },
  [2022] = {
    [sym_identifier] = ACTIONS(3141),
    [aux_sym_preproc_def_token1] = ACTIONS(3141),
    [aux_sym_preproc_if_token1] = ACTIONS(3141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3141),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3141),
    [sym_preproc_directive] = ACTIONS(3141),
    [anon_sym_LPAREN2] = ACTIONS(3143),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_STAR] = ACTIONS(3143),
    [anon_sym_AMP_AMP] = ACTIONS(3143),
    [anon_sym_AMP] = ACTIONS(3141),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym___extension__] = ACTIONS(3141),
    [anon_sym_typedef] = ACTIONS(3141),
    [anon_sym_virtual] = ACTIONS(3141),
    [anon_sym_extern] = ACTIONS(3141),
    [anon_sym___attribute__] = ACTIONS(3141),
    [anon_sym_COLON_COLON] = ACTIONS(3143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3143),
    [anon_sym___declspec] = ACTIONS(3141),
    [anon_sym___based] = ACTIONS(3141),
    [anon_sym_RBRACE] = ACTIONS(3143),
    [anon_sym_signed] = ACTIONS(3141),
    [anon_sym_unsigned] = ACTIONS(3141),
    [anon_sym_long] = ACTIONS(3141),
    [anon_sym_short] = ACTIONS(3141),
    [anon_sym_LBRACK] = ACTIONS(3141),
    [anon_sym_static] = ACTIONS(3141),
    [anon_sym_register] = ACTIONS(3141),
    [anon_sym_inline] = ACTIONS(3141),
    [anon_sym___inline] = ACTIONS(3141),
    [anon_sym___inline__] = ACTIONS(3141),
    [anon_sym___forceinline] = ACTIONS(3141),
    [anon_sym_thread_local] = ACTIONS(3141),
    [anon_sym___thread] = ACTIONS(3141),
    [anon_sym_const] = ACTIONS(3141),
    [anon_sym_constexpr] = ACTIONS(3141),
    [anon_sym_volatile] = ACTIONS(3141),
    [anon_sym_restrict] = ACTIONS(3141),
    [anon_sym___restrict__] = ACTIONS(3141),
    [anon_sym__Atomic] = ACTIONS(3141),
    [anon_sym__Noreturn] = ACTIONS(3141),
    [anon_sym_noreturn] = ACTIONS(3141),
    [anon_sym__Nonnull] = ACTIONS(3141),
    [anon_sym_mutable] = ACTIONS(3141),
    [anon_sym_constinit] = ACTIONS(3141),
    [anon_sym_consteval] = ACTIONS(3141),
    [anon_sym_PROGMEM] = ACTIONS(3141),
    [anon_sym_alignas] = ACTIONS(3141),
    [anon_sym__Alignas] = ACTIONS(3141),
    [aux_sym_primitive_type_token1] = ACTIONS(3141),
    [anon_sym_byte] = ACTIONS(3141),
    [anon_sym_word] = ACTIONS(3141),
    [anon_sym_enum] = ACTIONS(3141),
    [anon_sym_class] = ACTIONS(3141),
    [anon_sym_struct] = ACTIONS(3141),
    [anon_sym_union] = ACTIONS(3141),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3141),
    [anon_sym_decltype] = ACTIONS(3141),
    [anon_sym_explicit] = ACTIONS(3141),
    [anon_sym_typename] = ACTIONS(3141),
    [anon_sym_template] = ACTIONS(3141),
    [anon_sym_operator] = ACTIONS(3141),
    [anon_sym_friend] = ACTIONS(3141),
    [anon_sym_public] = ACTIONS(3141),
    [anon_sym_private] = ACTIONS(3141),
    [anon_sym_protected] = ACTIONS(3141),
    [anon_sym_using] = ACTIONS(3141),
    [anon_sym_static_assert] = ACTIONS(3141),
  },
  [2023] = {
    [sym_identifier] = ACTIONS(3137),
    [aux_sym_preproc_def_token1] = ACTIONS(3137),
    [aux_sym_preproc_if_token1] = ACTIONS(3137),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3137),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3137),
    [sym_preproc_directive] = ACTIONS(3137),
    [anon_sym_LPAREN2] = ACTIONS(3139),
    [anon_sym_TILDE] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(3139),
    [anon_sym_AMP_AMP] = ACTIONS(3139),
    [anon_sym_AMP] = ACTIONS(3137),
    [anon_sym_SEMI] = ACTIONS(3139),
    [anon_sym___extension__] = ACTIONS(3137),
    [anon_sym_typedef] = ACTIONS(3137),
    [anon_sym_virtual] = ACTIONS(3137),
    [anon_sym_extern] = ACTIONS(3137),
    [anon_sym___attribute__] = ACTIONS(3137),
    [anon_sym_COLON_COLON] = ACTIONS(3139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3139),
    [anon_sym___declspec] = ACTIONS(3137),
    [anon_sym___based] = ACTIONS(3137),
    [anon_sym_RBRACE] = ACTIONS(3139),
    [anon_sym_signed] = ACTIONS(3137),
    [anon_sym_unsigned] = ACTIONS(3137),
    [anon_sym_long] = ACTIONS(3137),
    [anon_sym_short] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_static] = ACTIONS(3137),
    [anon_sym_register] = ACTIONS(3137),
    [anon_sym_inline] = ACTIONS(3137),
    [anon_sym___inline] = ACTIONS(3137),
    [anon_sym___inline__] = ACTIONS(3137),
    [anon_sym___forceinline] = ACTIONS(3137),
    [anon_sym_thread_local] = ACTIONS(3137),
    [anon_sym___thread] = ACTIONS(3137),
    [anon_sym_const] = ACTIONS(3137),
    [anon_sym_constexpr] = ACTIONS(3137),
    [anon_sym_volatile] = ACTIONS(3137),
    [anon_sym_restrict] = ACTIONS(3137),
    [anon_sym___restrict__] = ACTIONS(3137),
    [anon_sym__Atomic] = ACTIONS(3137),
    [anon_sym__Noreturn] = ACTIONS(3137),
    [anon_sym_noreturn] = ACTIONS(3137),
    [anon_sym__Nonnull] = ACTIONS(3137),
    [anon_sym_mutable] = ACTIONS(3137),
    [anon_sym_constinit] = ACTIONS(3137),
    [anon_sym_consteval] = ACTIONS(3137),
    [anon_sym_PROGMEM] = ACTIONS(3137),
    [anon_sym_alignas] = ACTIONS(3137),
    [anon_sym__Alignas] = ACTIONS(3137),
    [aux_sym_primitive_type_token1] = ACTIONS(3137),
    [anon_sym_byte] = ACTIONS(3137),
    [anon_sym_word] = ACTIONS(3137),
    [anon_sym_enum] = ACTIONS(3137),
    [anon_sym_class] = ACTIONS(3137),
    [anon_sym_struct] = ACTIONS(3137),
    [anon_sym_union] = ACTIONS(3137),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3137),
    [anon_sym_decltype] = ACTIONS(3137),
    [anon_sym_explicit] = ACTIONS(3137),
    [anon_sym_typename] = ACTIONS(3137),
    [anon_sym_template] = ACTIONS(3137),
    [anon_sym_operator] = ACTIONS(3137),
    [anon_sym_friend] = ACTIONS(3137),
    [anon_sym_public] = ACTIONS(3137),
    [anon_sym_private] = ACTIONS(3137),
    [anon_sym_protected] = ACTIONS(3137),
    [anon_sym_using] = ACTIONS(3137),
    [anon_sym_static_assert] = ACTIONS(3137),
  },
  [2024] = {
    [sym_identifier] = ACTIONS(5239),
    [aux_sym_preproc_def_token1] = ACTIONS(5239),
    [aux_sym_preproc_if_token1] = ACTIONS(5239),
    [aux_sym_preproc_if_token2] = ACTIONS(5239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5239),
    [sym_preproc_directive] = ACTIONS(5239),
    [anon_sym_LPAREN2] = ACTIONS(5241),
    [anon_sym_TILDE] = ACTIONS(5241),
    [anon_sym_STAR] = ACTIONS(5241),
    [anon_sym_AMP_AMP] = ACTIONS(5241),
    [anon_sym_AMP] = ACTIONS(5239),
    [anon_sym_SEMI] = ACTIONS(5241),
    [anon_sym___extension__] = ACTIONS(5239),
    [anon_sym_typedef] = ACTIONS(5239),
    [anon_sym_virtual] = ACTIONS(5239),
    [anon_sym_extern] = ACTIONS(5239),
    [anon_sym___attribute__] = ACTIONS(5239),
    [anon_sym_COLON_COLON] = ACTIONS(5241),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5241),
    [anon_sym___declspec] = ACTIONS(5239),
    [anon_sym___based] = ACTIONS(5239),
    [anon_sym_signed] = ACTIONS(5239),
    [anon_sym_unsigned] = ACTIONS(5239),
    [anon_sym_long] = ACTIONS(5239),
    [anon_sym_short] = ACTIONS(5239),
    [anon_sym_LBRACK] = ACTIONS(5239),
    [anon_sym_static] = ACTIONS(5239),
    [anon_sym_register] = ACTIONS(5239),
    [anon_sym_inline] = ACTIONS(5239),
    [anon_sym___inline] = ACTIONS(5239),
    [anon_sym___inline__] = ACTIONS(5239),
    [anon_sym___forceinline] = ACTIONS(5239),
    [anon_sym_thread_local] = ACTIONS(5239),
    [anon_sym___thread] = ACTIONS(5239),
    [anon_sym_const] = ACTIONS(5239),
    [anon_sym_constexpr] = ACTIONS(5239),
    [anon_sym_volatile] = ACTIONS(5239),
    [anon_sym_restrict] = ACTIONS(5239),
    [anon_sym___restrict__] = ACTIONS(5239),
    [anon_sym__Atomic] = ACTIONS(5239),
    [anon_sym__Noreturn] = ACTIONS(5239),
    [anon_sym_noreturn] = ACTIONS(5239),
    [anon_sym__Nonnull] = ACTIONS(5239),
    [anon_sym_mutable] = ACTIONS(5239),
    [anon_sym_constinit] = ACTIONS(5239),
    [anon_sym_consteval] = ACTIONS(5239),
    [anon_sym_PROGMEM] = ACTIONS(5239),
    [anon_sym_alignas] = ACTIONS(5239),
    [anon_sym__Alignas] = ACTIONS(5239),
    [aux_sym_primitive_type_token1] = ACTIONS(5239),
    [anon_sym_byte] = ACTIONS(5239),
    [anon_sym_word] = ACTIONS(5239),
    [anon_sym_enum] = ACTIONS(5239),
    [anon_sym_class] = ACTIONS(5239),
    [anon_sym_struct] = ACTIONS(5239),
    [anon_sym_union] = ACTIONS(5239),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5239),
    [anon_sym_decltype] = ACTIONS(5239),
    [anon_sym_explicit] = ACTIONS(5239),
    [anon_sym_typename] = ACTIONS(5239),
    [anon_sym_template] = ACTIONS(5239),
    [anon_sym_operator] = ACTIONS(5239),
    [anon_sym_friend] = ACTIONS(5239),
    [anon_sym_public] = ACTIONS(5239),
    [anon_sym_private] = ACTIONS(5239),
    [anon_sym_protected] = ACTIONS(5239),
    [anon_sym_using] = ACTIONS(5239),
    [anon_sym_static_assert] = ACTIONS(5239),
  },
  [2025] = {
    [sym_identifier] = ACTIONS(5235),
    [aux_sym_preproc_def_token1] = ACTIONS(5235),
    [aux_sym_preproc_if_token1] = ACTIONS(5235),
    [aux_sym_preproc_if_token2] = ACTIONS(5235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5235),
    [sym_preproc_directive] = ACTIONS(5235),
    [anon_sym_LPAREN2] = ACTIONS(5237),
    [anon_sym_TILDE] = ACTIONS(5237),
    [anon_sym_STAR] = ACTIONS(5237),
    [anon_sym_AMP_AMP] = ACTIONS(5237),
    [anon_sym_AMP] = ACTIONS(5235),
    [anon_sym_SEMI] = ACTIONS(5237),
    [anon_sym___extension__] = ACTIONS(5235),
    [anon_sym_typedef] = ACTIONS(5235),
    [anon_sym_virtual] = ACTIONS(5235),
    [anon_sym_extern] = ACTIONS(5235),
    [anon_sym___attribute__] = ACTIONS(5235),
    [anon_sym_COLON_COLON] = ACTIONS(5237),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5237),
    [anon_sym___declspec] = ACTIONS(5235),
    [anon_sym___based] = ACTIONS(5235),
    [anon_sym_signed] = ACTIONS(5235),
    [anon_sym_unsigned] = ACTIONS(5235),
    [anon_sym_long] = ACTIONS(5235),
    [anon_sym_short] = ACTIONS(5235),
    [anon_sym_LBRACK] = ACTIONS(5235),
    [anon_sym_static] = ACTIONS(5235),
    [anon_sym_register] = ACTIONS(5235),
    [anon_sym_inline] = ACTIONS(5235),
    [anon_sym___inline] = ACTIONS(5235),
    [anon_sym___inline__] = ACTIONS(5235),
    [anon_sym___forceinline] = ACTIONS(5235),
    [anon_sym_thread_local] = ACTIONS(5235),
    [anon_sym___thread] = ACTIONS(5235),
    [anon_sym_const] = ACTIONS(5235),
    [anon_sym_constexpr] = ACTIONS(5235),
    [anon_sym_volatile] = ACTIONS(5235),
    [anon_sym_restrict] = ACTIONS(5235),
    [anon_sym___restrict__] = ACTIONS(5235),
    [anon_sym__Atomic] = ACTIONS(5235),
    [anon_sym__Noreturn] = ACTIONS(5235),
    [anon_sym_noreturn] = ACTIONS(5235),
    [anon_sym__Nonnull] = ACTIONS(5235),
    [anon_sym_mutable] = ACTIONS(5235),
    [anon_sym_constinit] = ACTIONS(5235),
    [anon_sym_consteval] = ACTIONS(5235),
    [anon_sym_PROGMEM] = ACTIONS(5235),
    [anon_sym_alignas] = ACTIONS(5235),
    [anon_sym__Alignas] = ACTIONS(5235),
    [aux_sym_primitive_type_token1] = ACTIONS(5235),
    [anon_sym_byte] = ACTIONS(5235),
    [anon_sym_word] = ACTIONS(5235),
    [anon_sym_enum] = ACTIONS(5235),
    [anon_sym_class] = ACTIONS(5235),
    [anon_sym_struct] = ACTIONS(5235),
    [anon_sym_union] = ACTIONS(5235),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5235),
    [anon_sym_decltype] = ACTIONS(5235),
    [anon_sym_explicit] = ACTIONS(5235),
    [anon_sym_typename] = ACTIONS(5235),
    [anon_sym_template] = ACTIONS(5235),
    [anon_sym_operator] = ACTIONS(5235),
    [anon_sym_friend] = ACTIONS(5235),
    [anon_sym_public] = ACTIONS(5235),
    [anon_sym_private] = ACTIONS(5235),
    [anon_sym_protected] = ACTIONS(5235),
    [anon_sym_using] = ACTIONS(5235),
    [anon_sym_static_assert] = ACTIONS(5235),
  },
  [2026] = {
    [sym_identifier] = ACTIONS(3186),
    [aux_sym_preproc_def_token1] = ACTIONS(3186),
    [aux_sym_preproc_if_token1] = ACTIONS(3186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3186),
    [sym_preproc_directive] = ACTIONS(3186),
    [anon_sym_LPAREN2] = ACTIONS(3188),
    [anon_sym_TILDE] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym___extension__] = ACTIONS(3186),
    [anon_sym_typedef] = ACTIONS(3186),
    [anon_sym_virtual] = ACTIONS(3186),
    [anon_sym_extern] = ACTIONS(3186),
    [anon_sym___attribute__] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3188),
    [anon_sym___declspec] = ACTIONS(3186),
    [anon_sym___based] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_signed] = ACTIONS(3186),
    [anon_sym_unsigned] = ACTIONS(3186),
    [anon_sym_long] = ACTIONS(3186),
    [anon_sym_short] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3186),
    [anon_sym_static] = ACTIONS(3186),
    [anon_sym_register] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym___inline] = ACTIONS(3186),
    [anon_sym___inline__] = ACTIONS(3186),
    [anon_sym___forceinline] = ACTIONS(3186),
    [anon_sym_thread_local] = ACTIONS(3186),
    [anon_sym___thread] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_constexpr] = ACTIONS(3186),
    [anon_sym_volatile] = ACTIONS(3186),
    [anon_sym_restrict] = ACTIONS(3186),
    [anon_sym___restrict__] = ACTIONS(3186),
    [anon_sym__Atomic] = ACTIONS(3186),
    [anon_sym__Noreturn] = ACTIONS(3186),
    [anon_sym_noreturn] = ACTIONS(3186),
    [anon_sym__Nonnull] = ACTIONS(3186),
    [anon_sym_mutable] = ACTIONS(3186),
    [anon_sym_constinit] = ACTIONS(3186),
    [anon_sym_consteval] = ACTIONS(3186),
    [anon_sym_PROGMEM] = ACTIONS(3186),
    [anon_sym_alignas] = ACTIONS(3186),
    [anon_sym__Alignas] = ACTIONS(3186),
    [aux_sym_primitive_type_token1] = ACTIONS(3186),
    [anon_sym_byte] = ACTIONS(3186),
    [anon_sym_word] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_struct] = ACTIONS(3186),
    [anon_sym_union] = ACTIONS(3186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3186),
    [anon_sym_decltype] = ACTIONS(3186),
    [anon_sym_explicit] = ACTIONS(3186),
    [anon_sym_typename] = ACTIONS(3186),
    [anon_sym_template] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_friend] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_using] = ACTIONS(3186),
    [anon_sym_static_assert] = ACTIONS(3186),
  },
  [2027] = {
    [sym_identifier] = ACTIONS(5231),
    [aux_sym_preproc_def_token1] = ACTIONS(5231),
    [aux_sym_preproc_if_token1] = ACTIONS(5231),
    [aux_sym_preproc_if_token2] = ACTIONS(5231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5231),
    [sym_preproc_directive] = ACTIONS(5231),
    [anon_sym_LPAREN2] = ACTIONS(5233),
    [anon_sym_TILDE] = ACTIONS(5233),
    [anon_sym_STAR] = ACTIONS(5233),
    [anon_sym_AMP_AMP] = ACTIONS(5233),
    [anon_sym_AMP] = ACTIONS(5231),
    [anon_sym_SEMI] = ACTIONS(5233),
    [anon_sym___extension__] = ACTIONS(5231),
    [anon_sym_typedef] = ACTIONS(5231),
    [anon_sym_virtual] = ACTIONS(5231),
    [anon_sym_extern] = ACTIONS(5231),
    [anon_sym___attribute__] = ACTIONS(5231),
    [anon_sym_COLON_COLON] = ACTIONS(5233),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5233),
    [anon_sym___declspec] = ACTIONS(5231),
    [anon_sym___based] = ACTIONS(5231),
    [anon_sym_signed] = ACTIONS(5231),
    [anon_sym_unsigned] = ACTIONS(5231),
    [anon_sym_long] = ACTIONS(5231),
    [anon_sym_short] = ACTIONS(5231),
    [anon_sym_LBRACK] = ACTIONS(5231),
    [anon_sym_static] = ACTIONS(5231),
    [anon_sym_register] = ACTIONS(5231),
    [anon_sym_inline] = ACTIONS(5231),
    [anon_sym___inline] = ACTIONS(5231),
    [anon_sym___inline__] = ACTIONS(5231),
    [anon_sym___forceinline] = ACTIONS(5231),
    [anon_sym_thread_local] = ACTIONS(5231),
    [anon_sym___thread] = ACTIONS(5231),
    [anon_sym_const] = ACTIONS(5231),
    [anon_sym_constexpr] = ACTIONS(5231),
    [anon_sym_volatile] = ACTIONS(5231),
    [anon_sym_restrict] = ACTIONS(5231),
    [anon_sym___restrict__] = ACTIONS(5231),
    [anon_sym__Atomic] = ACTIONS(5231),
    [anon_sym__Noreturn] = ACTIONS(5231),
    [anon_sym_noreturn] = ACTIONS(5231),
    [anon_sym__Nonnull] = ACTIONS(5231),
    [anon_sym_mutable] = ACTIONS(5231),
    [anon_sym_constinit] = ACTIONS(5231),
    [anon_sym_consteval] = ACTIONS(5231),
    [anon_sym_PROGMEM] = ACTIONS(5231),
    [anon_sym_alignas] = ACTIONS(5231),
    [anon_sym__Alignas] = ACTIONS(5231),
    [aux_sym_primitive_type_token1] = ACTIONS(5231),
    [anon_sym_byte] = ACTIONS(5231),
    [anon_sym_word] = ACTIONS(5231),
    [anon_sym_enum] = ACTIONS(5231),
    [anon_sym_class] = ACTIONS(5231),
    [anon_sym_struct] = ACTIONS(5231),
    [anon_sym_union] = ACTIONS(5231),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5231),
    [anon_sym_decltype] = ACTIONS(5231),
    [anon_sym_explicit] = ACTIONS(5231),
    [anon_sym_typename] = ACTIONS(5231),
    [anon_sym_template] = ACTIONS(5231),
    [anon_sym_operator] = ACTIONS(5231),
    [anon_sym_friend] = ACTIONS(5231),
    [anon_sym_public] = ACTIONS(5231),
    [anon_sym_private] = ACTIONS(5231),
    [anon_sym_protected] = ACTIONS(5231),
    [anon_sym_using] = ACTIONS(5231),
    [anon_sym_static_assert] = ACTIONS(5231),
  },
  [2028] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym_RBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_PROGMEM] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [aux_sym_primitive_type_token1] = ACTIONS(3151),
    [anon_sym_byte] = ACTIONS(3151),
    [anon_sym_word] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_friend] = ACTIONS(3151),
    [anon_sym_public] = ACTIONS(3151),
    [anon_sym_private] = ACTIONS(3151),
    [anon_sym_protected] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
  },
  [2029] = {
    [sym_identifier] = ACTIONS(5227),
    [aux_sym_preproc_def_token1] = ACTIONS(5227),
    [aux_sym_preproc_if_token1] = ACTIONS(5227),
    [aux_sym_preproc_if_token2] = ACTIONS(5227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5227),
    [sym_preproc_directive] = ACTIONS(5227),
    [anon_sym_LPAREN2] = ACTIONS(5229),
    [anon_sym_TILDE] = ACTIONS(5229),
    [anon_sym_STAR] = ACTIONS(5229),
    [anon_sym_AMP_AMP] = ACTIONS(5229),
    [anon_sym_AMP] = ACTIONS(5227),
    [anon_sym_SEMI] = ACTIONS(5229),
    [anon_sym___extension__] = ACTIONS(5227),
    [anon_sym_typedef] = ACTIONS(5227),
    [anon_sym_virtual] = ACTIONS(5227),
    [anon_sym_extern] = ACTIONS(5227),
    [anon_sym___attribute__] = ACTIONS(5227),
    [anon_sym_COLON_COLON] = ACTIONS(5229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5229),
    [anon_sym___declspec] = ACTIONS(5227),
    [anon_sym___based] = ACTIONS(5227),
    [anon_sym_signed] = ACTIONS(5227),
    [anon_sym_unsigned] = ACTIONS(5227),
    [anon_sym_long] = ACTIONS(5227),
    [anon_sym_short] = ACTIONS(5227),
    [anon_sym_LBRACK] = ACTIONS(5227),
    [anon_sym_static] = ACTIONS(5227),
    [anon_sym_register] = ACTIONS(5227),
    [anon_sym_inline] = ACTIONS(5227),
    [anon_sym___inline] = ACTIONS(5227),
    [anon_sym___inline__] = ACTIONS(5227),
    [anon_sym___forceinline] = ACTIONS(5227),
    [anon_sym_thread_local] = ACTIONS(5227),
    [anon_sym___thread] = ACTIONS(5227),
    [anon_sym_const] = ACTIONS(5227),
    [anon_sym_constexpr] = ACTIONS(5227),
    [anon_sym_volatile] = ACTIONS(5227),
    [anon_sym_restrict] = ACTIONS(5227),
    [anon_sym___restrict__] = ACTIONS(5227),
    [anon_sym__Atomic] = ACTIONS(5227),
    [anon_sym__Noreturn] = ACTIONS(5227),
    [anon_sym_noreturn] = ACTIONS(5227),
    [anon_sym__Nonnull] = ACTIONS(5227),
    [anon_sym_mutable] = ACTIONS(5227),
    [anon_sym_constinit] = ACTIONS(5227),
    [anon_sym_consteval] = ACTIONS(5227),
    [anon_sym_PROGMEM] = ACTIONS(5227),
    [anon_sym_alignas] = ACTIONS(5227),
    [anon_sym__Alignas] = ACTIONS(5227),
    [aux_sym_primitive_type_token1] = ACTIONS(5227),
    [anon_sym_byte] = ACTIONS(5227),
    [anon_sym_word] = ACTIONS(5227),
    [anon_sym_enum] = ACTIONS(5227),
    [anon_sym_class] = ACTIONS(5227),
    [anon_sym_struct] = ACTIONS(5227),
    [anon_sym_union] = ACTIONS(5227),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5227),
    [anon_sym_decltype] = ACTIONS(5227),
    [anon_sym_explicit] = ACTIONS(5227),
    [anon_sym_typename] = ACTIONS(5227),
    [anon_sym_template] = ACTIONS(5227),
    [anon_sym_operator] = ACTIONS(5227),
    [anon_sym_friend] = ACTIONS(5227),
    [anon_sym_public] = ACTIONS(5227),
    [anon_sym_private] = ACTIONS(5227),
    [anon_sym_protected] = ACTIONS(5227),
    [anon_sym_using] = ACTIONS(5227),
    [anon_sym_static_assert] = ACTIONS(5227),
  },
  [2030] = {
    [sym_identifier] = ACTIONS(3133),
    [aux_sym_preproc_def_token1] = ACTIONS(3133),
    [aux_sym_preproc_if_token1] = ACTIONS(3133),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3133),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3133),
    [sym_preproc_directive] = ACTIONS(3133),
    [anon_sym_LPAREN2] = ACTIONS(3135),
    [anon_sym_TILDE] = ACTIONS(3135),
    [anon_sym_STAR] = ACTIONS(3135),
    [anon_sym_AMP_AMP] = ACTIONS(3135),
    [anon_sym_AMP] = ACTIONS(3133),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym___extension__] = ACTIONS(3133),
    [anon_sym_typedef] = ACTIONS(3133),
    [anon_sym_virtual] = ACTIONS(3133),
    [anon_sym_extern] = ACTIONS(3133),
    [anon_sym___attribute__] = ACTIONS(3133),
    [anon_sym_COLON_COLON] = ACTIONS(3135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3135),
    [anon_sym___declspec] = ACTIONS(3133),
    [anon_sym___based] = ACTIONS(3133),
    [anon_sym_RBRACE] = ACTIONS(3135),
    [anon_sym_signed] = ACTIONS(3133),
    [anon_sym_unsigned] = ACTIONS(3133),
    [anon_sym_long] = ACTIONS(3133),
    [anon_sym_short] = ACTIONS(3133),
    [anon_sym_LBRACK] = ACTIONS(3133),
    [anon_sym_static] = ACTIONS(3133),
    [anon_sym_register] = ACTIONS(3133),
    [anon_sym_inline] = ACTIONS(3133),
    [anon_sym___inline] = ACTIONS(3133),
    [anon_sym___inline__] = ACTIONS(3133),
    [anon_sym___forceinline] = ACTIONS(3133),
    [anon_sym_thread_local] = ACTIONS(3133),
    [anon_sym___thread] = ACTIONS(3133),
    [anon_sym_const] = ACTIONS(3133),
    [anon_sym_constexpr] = ACTIONS(3133),
    [anon_sym_volatile] = ACTIONS(3133),
    [anon_sym_restrict] = ACTIONS(3133),
    [anon_sym___restrict__] = ACTIONS(3133),
    [anon_sym__Atomic] = ACTIONS(3133),
    [anon_sym__Noreturn] = ACTIONS(3133),
    [anon_sym_noreturn] = ACTIONS(3133),
    [anon_sym__Nonnull] = ACTIONS(3133),
    [anon_sym_mutable] = ACTIONS(3133),
    [anon_sym_constinit] = ACTIONS(3133),
    [anon_sym_consteval] = ACTIONS(3133),
    [anon_sym_PROGMEM] = ACTIONS(3133),
    [anon_sym_alignas] = ACTIONS(3133),
    [anon_sym__Alignas] = ACTIONS(3133),
    [aux_sym_primitive_type_token1] = ACTIONS(3133),
    [anon_sym_byte] = ACTIONS(3133),
    [anon_sym_word] = ACTIONS(3133),
    [anon_sym_enum] = ACTIONS(3133),
    [anon_sym_class] = ACTIONS(3133),
    [anon_sym_struct] = ACTIONS(3133),
    [anon_sym_union] = ACTIONS(3133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3133),
    [anon_sym_decltype] = ACTIONS(3133),
    [anon_sym_explicit] = ACTIONS(3133),
    [anon_sym_typename] = ACTIONS(3133),
    [anon_sym_template] = ACTIONS(3133),
    [anon_sym_operator] = ACTIONS(3133),
    [anon_sym_friend] = ACTIONS(3133),
    [anon_sym_public] = ACTIONS(3133),
    [anon_sym_private] = ACTIONS(3133),
    [anon_sym_protected] = ACTIONS(3133),
    [anon_sym_using] = ACTIONS(3133),
    [anon_sym_static_assert] = ACTIONS(3133),
  },
  [2031] = {
    [sym_identifier] = ACTIONS(5227),
    [aux_sym_preproc_def_token1] = ACTIONS(5227),
    [aux_sym_preproc_if_token1] = ACTIONS(5227),
    [aux_sym_preproc_if_token2] = ACTIONS(5227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5227),
    [sym_preproc_directive] = ACTIONS(5227),
    [anon_sym_LPAREN2] = ACTIONS(5229),
    [anon_sym_TILDE] = ACTIONS(5229),
    [anon_sym_STAR] = ACTIONS(5229),
    [anon_sym_AMP_AMP] = ACTIONS(5229),
    [anon_sym_AMP] = ACTIONS(5227),
    [anon_sym_SEMI] = ACTIONS(5229),
    [anon_sym___extension__] = ACTIONS(5227),
    [anon_sym_typedef] = ACTIONS(5227),
    [anon_sym_virtual] = ACTIONS(5227),
    [anon_sym_extern] = ACTIONS(5227),
    [anon_sym___attribute__] = ACTIONS(5227),
    [anon_sym_COLON_COLON] = ACTIONS(5229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5229),
    [anon_sym___declspec] = ACTIONS(5227),
    [anon_sym___based] = ACTIONS(5227),
    [anon_sym_signed] = ACTIONS(5227),
    [anon_sym_unsigned] = ACTIONS(5227),
    [anon_sym_long] = ACTIONS(5227),
    [anon_sym_short] = ACTIONS(5227),
    [anon_sym_LBRACK] = ACTIONS(5227),
    [anon_sym_static] = ACTIONS(5227),
    [anon_sym_register] = ACTIONS(5227),
    [anon_sym_inline] = ACTIONS(5227),
    [anon_sym___inline] = ACTIONS(5227),
    [anon_sym___inline__] = ACTIONS(5227),
    [anon_sym___forceinline] = ACTIONS(5227),
    [anon_sym_thread_local] = ACTIONS(5227),
    [anon_sym___thread] = ACTIONS(5227),
    [anon_sym_const] = ACTIONS(5227),
    [anon_sym_constexpr] = ACTIONS(5227),
    [anon_sym_volatile] = ACTIONS(5227),
    [anon_sym_restrict] = ACTIONS(5227),
    [anon_sym___restrict__] = ACTIONS(5227),
    [anon_sym__Atomic] = ACTIONS(5227),
    [anon_sym__Noreturn] = ACTIONS(5227),
    [anon_sym_noreturn] = ACTIONS(5227),
    [anon_sym__Nonnull] = ACTIONS(5227),
    [anon_sym_mutable] = ACTIONS(5227),
    [anon_sym_constinit] = ACTIONS(5227),
    [anon_sym_consteval] = ACTIONS(5227),
    [anon_sym_PROGMEM] = ACTIONS(5227),
    [anon_sym_alignas] = ACTIONS(5227),
    [anon_sym__Alignas] = ACTIONS(5227),
    [aux_sym_primitive_type_token1] = ACTIONS(5227),
    [anon_sym_byte] = ACTIONS(5227),
    [anon_sym_word] = ACTIONS(5227),
    [anon_sym_enum] = ACTIONS(5227),
    [anon_sym_class] = ACTIONS(5227),
    [anon_sym_struct] = ACTIONS(5227),
    [anon_sym_union] = ACTIONS(5227),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5227),
    [anon_sym_decltype] = ACTIONS(5227),
    [anon_sym_explicit] = ACTIONS(5227),
    [anon_sym_typename] = ACTIONS(5227),
    [anon_sym_template] = ACTIONS(5227),
    [anon_sym_operator] = ACTIONS(5227),
    [anon_sym_friend] = ACTIONS(5227),
    [anon_sym_public] = ACTIONS(5227),
    [anon_sym_private] = ACTIONS(5227),
    [anon_sym_protected] = ACTIONS(5227),
    [anon_sym_using] = ACTIONS(5227),
    [anon_sym_static_assert] = ACTIONS(5227),
  },
  [2032] = {
    [sym_identifier] = ACTIONS(5227),
    [aux_sym_preproc_def_token1] = ACTIONS(5227),
    [aux_sym_preproc_if_token1] = ACTIONS(5227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5227),
    [sym_preproc_directive] = ACTIONS(5227),
    [anon_sym_LPAREN2] = ACTIONS(5229),
    [anon_sym_TILDE] = ACTIONS(5229),
    [anon_sym_STAR] = ACTIONS(5229),
    [anon_sym_AMP_AMP] = ACTIONS(5229),
    [anon_sym_AMP] = ACTIONS(5227),
    [anon_sym_SEMI] = ACTIONS(5229),
    [anon_sym___extension__] = ACTIONS(5227),
    [anon_sym_typedef] = ACTIONS(5227),
    [anon_sym_virtual] = ACTIONS(5227),
    [anon_sym_extern] = ACTIONS(5227),
    [anon_sym___attribute__] = ACTIONS(5227),
    [anon_sym_COLON_COLON] = ACTIONS(5229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5229),
    [anon_sym___declspec] = ACTIONS(5227),
    [anon_sym___based] = ACTIONS(5227),
    [anon_sym_RBRACE] = ACTIONS(5229),
    [anon_sym_signed] = ACTIONS(5227),
    [anon_sym_unsigned] = ACTIONS(5227),
    [anon_sym_long] = ACTIONS(5227),
    [anon_sym_short] = ACTIONS(5227),
    [anon_sym_LBRACK] = ACTIONS(5227),
    [anon_sym_static] = ACTIONS(5227),
    [anon_sym_register] = ACTIONS(5227),
    [anon_sym_inline] = ACTIONS(5227),
    [anon_sym___inline] = ACTIONS(5227),
    [anon_sym___inline__] = ACTIONS(5227),
    [anon_sym___forceinline] = ACTIONS(5227),
    [anon_sym_thread_local] = ACTIONS(5227),
    [anon_sym___thread] = ACTIONS(5227),
    [anon_sym_const] = ACTIONS(5227),
    [anon_sym_constexpr] = ACTIONS(5227),
    [anon_sym_volatile] = ACTIONS(5227),
    [anon_sym_restrict] = ACTIONS(5227),
    [anon_sym___restrict__] = ACTIONS(5227),
    [anon_sym__Atomic] = ACTIONS(5227),
    [anon_sym__Noreturn] = ACTIONS(5227),
    [anon_sym_noreturn] = ACTIONS(5227),
    [anon_sym__Nonnull] = ACTIONS(5227),
    [anon_sym_mutable] = ACTIONS(5227),
    [anon_sym_constinit] = ACTIONS(5227),
    [anon_sym_consteval] = ACTIONS(5227),
    [anon_sym_PROGMEM] = ACTIONS(5227),
    [anon_sym_alignas] = ACTIONS(5227),
    [anon_sym__Alignas] = ACTIONS(5227),
    [aux_sym_primitive_type_token1] = ACTIONS(5227),
    [anon_sym_byte] = ACTIONS(5227),
    [anon_sym_word] = ACTIONS(5227),
    [anon_sym_enum] = ACTIONS(5227),
    [anon_sym_class] = ACTIONS(5227),
    [anon_sym_struct] = ACTIONS(5227),
    [anon_sym_union] = ACTIONS(5227),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5227),
    [anon_sym_decltype] = ACTIONS(5227),
    [anon_sym_explicit] = ACTIONS(5227),
    [anon_sym_typename] = ACTIONS(5227),
    [anon_sym_template] = ACTIONS(5227),
    [anon_sym_operator] = ACTIONS(5227),
    [anon_sym_friend] = ACTIONS(5227),
    [anon_sym_public] = ACTIONS(5227),
    [anon_sym_private] = ACTIONS(5227),
    [anon_sym_protected] = ACTIONS(5227),
    [anon_sym_using] = ACTIONS(5227),
    [anon_sym_static_assert] = ACTIONS(5227),
  },
  [2033] = {
    [sym_identifier] = ACTIONS(3004),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3004),
    [sym_preproc_directive] = ACTIONS(3004),
    [anon_sym_LPAREN2] = ACTIONS(3006),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3006),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3006),
    [anon_sym___extension__] = ACTIONS(3004),
    [anon_sym_typedef] = ACTIONS(3004),
    [anon_sym_virtual] = ACTIONS(3004),
    [anon_sym_extern] = ACTIONS(3004),
    [anon_sym___attribute__] = ACTIONS(3004),
    [anon_sym_COLON_COLON] = ACTIONS(3006),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3006),
    [anon_sym___declspec] = ACTIONS(3004),
    [anon_sym___based] = ACTIONS(3004),
    [anon_sym_RBRACE] = ACTIONS(3006),
    [anon_sym_signed] = ACTIONS(3004),
    [anon_sym_unsigned] = ACTIONS(3004),
    [anon_sym_long] = ACTIONS(3004),
    [anon_sym_short] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_register] = ACTIONS(3004),
    [anon_sym_inline] = ACTIONS(3004),
    [anon_sym___inline] = ACTIONS(3004),
    [anon_sym___inline__] = ACTIONS(3004),
    [anon_sym___forceinline] = ACTIONS(3004),
    [anon_sym_thread_local] = ACTIONS(3004),
    [anon_sym___thread] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_constexpr] = ACTIONS(3004),
    [anon_sym_volatile] = ACTIONS(3004),
    [anon_sym_restrict] = ACTIONS(3004),
    [anon_sym___restrict__] = ACTIONS(3004),
    [anon_sym__Atomic] = ACTIONS(3004),
    [anon_sym__Noreturn] = ACTIONS(3004),
    [anon_sym_noreturn] = ACTIONS(3004),
    [anon_sym__Nonnull] = ACTIONS(3004),
    [anon_sym_mutable] = ACTIONS(3004),
    [anon_sym_constinit] = ACTIONS(3004),
    [anon_sym_consteval] = ACTIONS(3004),
    [anon_sym_PROGMEM] = ACTIONS(3004),
    [anon_sym_alignas] = ACTIONS(3004),
    [anon_sym__Alignas] = ACTIONS(3004),
    [aux_sym_primitive_type_token1] = ACTIONS(3004),
    [anon_sym_byte] = ACTIONS(3004),
    [anon_sym_word] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_struct] = ACTIONS(3004),
    [anon_sym_union] = ACTIONS(3004),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3004),
    [anon_sym_decltype] = ACTIONS(3004),
    [anon_sym_explicit] = ACTIONS(3004),
    [anon_sym_typename] = ACTIONS(3004),
    [anon_sym_template] = ACTIONS(3004),
    [anon_sym_operator] = ACTIONS(3004),
    [anon_sym_friend] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(3004),
    [anon_sym_private] = ACTIONS(3004),
    [anon_sym_protected] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(3004),
    [anon_sym_static_assert] = ACTIONS(3004),
  },
  [2034] = {
    [sym_identifier] = ACTIONS(3028),
    [aux_sym_preproc_def_token1] = ACTIONS(3028),
    [aux_sym_preproc_if_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3028),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3028),
    [sym_preproc_directive] = ACTIONS(3028),
    [anon_sym_LPAREN2] = ACTIONS(3030),
    [anon_sym_TILDE] = ACTIONS(3030),
    [anon_sym_STAR] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3028),
    [anon_sym_typedef] = ACTIONS(3028),
    [anon_sym_virtual] = ACTIONS(3028),
    [anon_sym_extern] = ACTIONS(3028),
    [anon_sym___attribute__] = ACTIONS(3028),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3030),
    [anon_sym___declspec] = ACTIONS(3028),
    [anon_sym___based] = ACTIONS(3028),
    [anon_sym_RBRACE] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3028),
    [anon_sym_unsigned] = ACTIONS(3028),
    [anon_sym_long] = ACTIONS(3028),
    [anon_sym_short] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3028),
    [anon_sym_register] = ACTIONS(3028),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym___inline] = ACTIONS(3028),
    [anon_sym___inline__] = ACTIONS(3028),
    [anon_sym___forceinline] = ACTIONS(3028),
    [anon_sym_thread_local] = ACTIONS(3028),
    [anon_sym___thread] = ACTIONS(3028),
    [anon_sym_const] = ACTIONS(3028),
    [anon_sym_constexpr] = ACTIONS(3028),
    [anon_sym_volatile] = ACTIONS(3028),
    [anon_sym_restrict] = ACTIONS(3028),
    [anon_sym___restrict__] = ACTIONS(3028),
    [anon_sym__Atomic] = ACTIONS(3028),
    [anon_sym__Noreturn] = ACTIONS(3028),
    [anon_sym_noreturn] = ACTIONS(3028),
    [anon_sym__Nonnull] = ACTIONS(3028),
    [anon_sym_mutable] = ACTIONS(3028),
    [anon_sym_constinit] = ACTIONS(3028),
    [anon_sym_consteval] = ACTIONS(3028),
    [anon_sym_PROGMEM] = ACTIONS(3028),
    [anon_sym_alignas] = ACTIONS(3028),
    [anon_sym__Alignas] = ACTIONS(3028),
    [aux_sym_primitive_type_token1] = ACTIONS(3028),
    [anon_sym_byte] = ACTIONS(3028),
    [anon_sym_word] = ACTIONS(3028),
    [anon_sym_enum] = ACTIONS(3028),
    [anon_sym_class] = ACTIONS(3028),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(3028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3028),
    [anon_sym_decltype] = ACTIONS(3028),
    [anon_sym_explicit] = ACTIONS(3028),
    [anon_sym_typename] = ACTIONS(3028),
    [anon_sym_template] = ACTIONS(3028),
    [anon_sym_operator] = ACTIONS(3028),
    [anon_sym_friend] = ACTIONS(3028),
    [anon_sym_public] = ACTIONS(3028),
    [anon_sym_private] = ACTIONS(3028),
    [anon_sym_protected] = ACTIONS(3028),
    [anon_sym_using] = ACTIONS(3028),
    [anon_sym_static_assert] = ACTIONS(3028),
  },
  [2035] = {
    [sym_identifier] = ACTIONS(3070),
    [aux_sym_preproc_def_token1] = ACTIONS(3070),
    [aux_sym_preproc_if_token1] = ACTIONS(3070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3070),
    [sym_preproc_directive] = ACTIONS(3070),
    [anon_sym_LPAREN2] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym___extension__] = ACTIONS(3070),
    [anon_sym_typedef] = ACTIONS(3070),
    [anon_sym_virtual] = ACTIONS(3070),
    [anon_sym_extern] = ACTIONS(3070),
    [anon_sym___attribute__] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3072),
    [anon_sym___declspec] = ACTIONS(3070),
    [anon_sym___based] = ACTIONS(3070),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_signed] = ACTIONS(3070),
    [anon_sym_unsigned] = ACTIONS(3070),
    [anon_sym_long] = ACTIONS(3070),
    [anon_sym_short] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(3070),
    [anon_sym_static] = ACTIONS(3070),
    [anon_sym_register] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym___inline] = ACTIONS(3070),
    [anon_sym___inline__] = ACTIONS(3070),
    [anon_sym___forceinline] = ACTIONS(3070),
    [anon_sym_thread_local] = ACTIONS(3070),
    [anon_sym___thread] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_constexpr] = ACTIONS(3070),
    [anon_sym_volatile] = ACTIONS(3070),
    [anon_sym_restrict] = ACTIONS(3070),
    [anon_sym___restrict__] = ACTIONS(3070),
    [anon_sym__Atomic] = ACTIONS(3070),
    [anon_sym__Noreturn] = ACTIONS(3070),
    [anon_sym_noreturn] = ACTIONS(3070),
    [anon_sym__Nonnull] = ACTIONS(3070),
    [anon_sym_mutable] = ACTIONS(3070),
    [anon_sym_constinit] = ACTIONS(3070),
    [anon_sym_consteval] = ACTIONS(3070),
    [anon_sym_PROGMEM] = ACTIONS(3070),
    [anon_sym_alignas] = ACTIONS(3070),
    [anon_sym__Alignas] = ACTIONS(3070),
    [aux_sym_primitive_type_token1] = ACTIONS(3070),
    [anon_sym_byte] = ACTIONS(3070),
    [anon_sym_word] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_class] = ACTIONS(3070),
    [anon_sym_struct] = ACTIONS(3070),
    [anon_sym_union] = ACTIONS(3070),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3070),
    [anon_sym_decltype] = ACTIONS(3070),
    [anon_sym_explicit] = ACTIONS(3070),
    [anon_sym_typename] = ACTIONS(3070),
    [anon_sym_template] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_friend] = ACTIONS(3070),
    [anon_sym_public] = ACTIONS(3070),
    [anon_sym_private] = ACTIONS(3070),
    [anon_sym_protected] = ACTIONS(3070),
    [anon_sym_using] = ACTIONS(3070),
    [anon_sym_static_assert] = ACTIONS(3070),
  },
  [2036] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token2] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_PROGMEM] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [aux_sym_primitive_type_token1] = ACTIONS(2976),
    [anon_sym_byte] = ACTIONS(2976),
    [anon_sym_word] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_friend] = ACTIONS(2976),
    [anon_sym_public] = ACTIONS(2976),
    [anon_sym_private] = ACTIONS(2976),
    [anon_sym_protected] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
  },
  [2037] = {
    [sym_identifier] = ACTIONS(3125),
    [aux_sym_preproc_def_token1] = ACTIONS(3125),
    [aux_sym_preproc_if_token1] = ACTIONS(3125),
    [aux_sym_preproc_if_token2] = ACTIONS(3125),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3125),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3125),
    [sym_preproc_directive] = ACTIONS(3125),
    [anon_sym_LPAREN2] = ACTIONS(3127),
    [anon_sym_TILDE] = ACTIONS(3127),
    [anon_sym_STAR] = ACTIONS(3127),
    [anon_sym_AMP_AMP] = ACTIONS(3127),
    [anon_sym_AMP] = ACTIONS(3125),
    [anon_sym_SEMI] = ACTIONS(3127),
    [anon_sym___extension__] = ACTIONS(3125),
    [anon_sym_typedef] = ACTIONS(3125),
    [anon_sym_virtual] = ACTIONS(3125),
    [anon_sym_extern] = ACTIONS(3125),
    [anon_sym___attribute__] = ACTIONS(3125),
    [anon_sym_COLON_COLON] = ACTIONS(3127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3127),
    [anon_sym___declspec] = ACTIONS(3125),
    [anon_sym___based] = ACTIONS(3125),
    [anon_sym_signed] = ACTIONS(3125),
    [anon_sym_unsigned] = ACTIONS(3125),
    [anon_sym_long] = ACTIONS(3125),
    [anon_sym_short] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3125),
    [anon_sym_static] = ACTIONS(3125),
    [anon_sym_register] = ACTIONS(3125),
    [anon_sym_inline] = ACTIONS(3125),
    [anon_sym___inline] = ACTIONS(3125),
    [anon_sym___inline__] = ACTIONS(3125),
    [anon_sym___forceinline] = ACTIONS(3125),
    [anon_sym_thread_local] = ACTIONS(3125),
    [anon_sym___thread] = ACTIONS(3125),
    [anon_sym_const] = ACTIONS(3125),
    [anon_sym_constexpr] = ACTIONS(3125),
    [anon_sym_volatile] = ACTIONS(3125),
    [anon_sym_restrict] = ACTIONS(3125),
    [anon_sym___restrict__] = ACTIONS(3125),
    [anon_sym__Atomic] = ACTIONS(3125),
    [anon_sym__Noreturn] = ACTIONS(3125),
    [anon_sym_noreturn] = ACTIONS(3125),
    [anon_sym__Nonnull] = ACTIONS(3125),
    [anon_sym_mutable] = ACTIONS(3125),
    [anon_sym_constinit] = ACTIONS(3125),
    [anon_sym_consteval] = ACTIONS(3125),
    [anon_sym_PROGMEM] = ACTIONS(3125),
    [anon_sym_alignas] = ACTIONS(3125),
    [anon_sym__Alignas] = ACTIONS(3125),
    [aux_sym_primitive_type_token1] = ACTIONS(3125),
    [anon_sym_byte] = ACTIONS(3125),
    [anon_sym_word] = ACTIONS(3125),
    [anon_sym_enum] = ACTIONS(3125),
    [anon_sym_class] = ACTIONS(3125),
    [anon_sym_struct] = ACTIONS(3125),
    [anon_sym_union] = ACTIONS(3125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3125),
    [anon_sym_decltype] = ACTIONS(3125),
    [anon_sym_explicit] = ACTIONS(3125),
    [anon_sym_typename] = ACTIONS(3125),
    [anon_sym_template] = ACTIONS(3125),
    [anon_sym_operator] = ACTIONS(3125),
    [anon_sym_friend] = ACTIONS(3125),
    [anon_sym_public] = ACTIONS(3125),
    [anon_sym_private] = ACTIONS(3125),
    [anon_sym_protected] = ACTIONS(3125),
    [anon_sym_using] = ACTIONS(3125),
    [anon_sym_static_assert] = ACTIONS(3125),
  },
  [2038] = {
    [sym_identifier] = ACTIONS(3000),
    [aux_sym_preproc_def_token1] = ACTIONS(3000),
    [aux_sym_preproc_if_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3000),
    [sym_preproc_directive] = ACTIONS(3000),
    [anon_sym_LPAREN2] = ACTIONS(3002),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3000),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(3000),
    [anon_sym_typedef] = ACTIONS(3000),
    [anon_sym_virtual] = ACTIONS(3000),
    [anon_sym_extern] = ACTIONS(3000),
    [anon_sym___attribute__] = ACTIONS(3000),
    [anon_sym_COLON_COLON] = ACTIONS(3002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3002),
    [anon_sym___declspec] = ACTIONS(3000),
    [anon_sym___based] = ACTIONS(3000),
    [anon_sym_RBRACE] = ACTIONS(3002),
    [anon_sym_signed] = ACTIONS(3000),
    [anon_sym_unsigned] = ACTIONS(3000),
    [anon_sym_long] = ACTIONS(3000),
    [anon_sym_short] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_register] = ACTIONS(3000),
    [anon_sym_inline] = ACTIONS(3000),
    [anon_sym___inline] = ACTIONS(3000),
    [anon_sym___inline__] = ACTIONS(3000),
    [anon_sym___forceinline] = ACTIONS(3000),
    [anon_sym_thread_local] = ACTIONS(3000),
    [anon_sym___thread] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_constexpr] = ACTIONS(3000),
    [anon_sym_volatile] = ACTIONS(3000),
    [anon_sym_restrict] = ACTIONS(3000),
    [anon_sym___restrict__] = ACTIONS(3000),
    [anon_sym__Atomic] = ACTIONS(3000),
    [anon_sym__Noreturn] = ACTIONS(3000),
    [anon_sym_noreturn] = ACTIONS(3000),
    [anon_sym__Nonnull] = ACTIONS(3000),
    [anon_sym_mutable] = ACTIONS(3000),
    [anon_sym_constinit] = ACTIONS(3000),
    [anon_sym_consteval] = ACTIONS(3000),
    [anon_sym_PROGMEM] = ACTIONS(3000),
    [anon_sym_alignas] = ACTIONS(3000),
    [anon_sym__Alignas] = ACTIONS(3000),
    [aux_sym_primitive_type_token1] = ACTIONS(3000),
    [anon_sym_byte] = ACTIONS(3000),
    [anon_sym_word] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_struct] = ACTIONS(3000),
    [anon_sym_union] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3000),
    [anon_sym_decltype] = ACTIONS(3000),
    [anon_sym_explicit] = ACTIONS(3000),
    [anon_sym_typename] = ACTIONS(3000),
    [anon_sym_template] = ACTIONS(3000),
    [anon_sym_operator] = ACTIONS(3000),
    [anon_sym_friend] = ACTIONS(3000),
    [anon_sym_public] = ACTIONS(3000),
    [anon_sym_private] = ACTIONS(3000),
    [anon_sym_protected] = ACTIONS(3000),
    [anon_sym_using] = ACTIONS(3000),
    [anon_sym_static_assert] = ACTIONS(3000),
  },
  [2039] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_friend] = ACTIONS(2972),
    [anon_sym_public] = ACTIONS(2972),
    [anon_sym_private] = ACTIONS(2972),
    [anon_sym_protected] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
  },
  [2040] = {
    [sym_identifier] = ACTIONS(3194),
    [aux_sym_preproc_def_token1] = ACTIONS(3194),
    [aux_sym_preproc_if_token1] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3194),
    [sym_preproc_directive] = ACTIONS(3194),
    [anon_sym_LPAREN2] = ACTIONS(3196),
    [anon_sym_TILDE] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym___extension__] = ACTIONS(3194),
    [anon_sym_typedef] = ACTIONS(3194),
    [anon_sym_virtual] = ACTIONS(3194),
    [anon_sym_extern] = ACTIONS(3194),
    [anon_sym___attribute__] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3196),
    [anon_sym___declspec] = ACTIONS(3194),
    [anon_sym___based] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_signed] = ACTIONS(3194),
    [anon_sym_unsigned] = ACTIONS(3194),
    [anon_sym_long] = ACTIONS(3194),
    [anon_sym_short] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3194),
    [anon_sym_register] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym___inline] = ACTIONS(3194),
    [anon_sym___inline__] = ACTIONS(3194),
    [anon_sym___forceinline] = ACTIONS(3194),
    [anon_sym_thread_local] = ACTIONS(3194),
    [anon_sym___thread] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_constexpr] = ACTIONS(3194),
    [anon_sym_volatile] = ACTIONS(3194),
    [anon_sym_restrict] = ACTIONS(3194),
    [anon_sym___restrict__] = ACTIONS(3194),
    [anon_sym__Atomic] = ACTIONS(3194),
    [anon_sym__Noreturn] = ACTIONS(3194),
    [anon_sym_noreturn] = ACTIONS(3194),
    [anon_sym__Nonnull] = ACTIONS(3194),
    [anon_sym_mutable] = ACTIONS(3194),
    [anon_sym_constinit] = ACTIONS(3194),
    [anon_sym_consteval] = ACTIONS(3194),
    [anon_sym_PROGMEM] = ACTIONS(3194),
    [anon_sym_alignas] = ACTIONS(3194),
    [anon_sym__Alignas] = ACTIONS(3194),
    [aux_sym_primitive_type_token1] = ACTIONS(3194),
    [anon_sym_byte] = ACTIONS(3194),
    [anon_sym_word] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_class] = ACTIONS(3194),
    [anon_sym_struct] = ACTIONS(3194),
    [anon_sym_union] = ACTIONS(3194),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3194),
    [anon_sym_decltype] = ACTIONS(3194),
    [anon_sym_explicit] = ACTIONS(3194),
    [anon_sym_typename] = ACTIONS(3194),
    [anon_sym_template] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_friend] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_using] = ACTIONS(3194),
    [anon_sym_static_assert] = ACTIONS(3194),
  },
  [2041] = {
    [sym_identifier] = ACTIONS(3129),
    [aux_sym_preproc_def_token1] = ACTIONS(3129),
    [aux_sym_preproc_if_token1] = ACTIONS(3129),
    [aux_sym_preproc_if_token2] = ACTIONS(3129),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3129),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3129),
    [sym_preproc_directive] = ACTIONS(3129),
    [anon_sym_LPAREN2] = ACTIONS(3131),
    [anon_sym_TILDE] = ACTIONS(3131),
    [anon_sym_STAR] = ACTIONS(3131),
    [anon_sym_AMP_AMP] = ACTIONS(3131),
    [anon_sym_AMP] = ACTIONS(3129),
    [anon_sym_SEMI] = ACTIONS(3131),
    [anon_sym___extension__] = ACTIONS(3129),
    [anon_sym_typedef] = ACTIONS(3129),
    [anon_sym_virtual] = ACTIONS(3129),
    [anon_sym_extern] = ACTIONS(3129),
    [anon_sym___attribute__] = ACTIONS(3129),
    [anon_sym_COLON_COLON] = ACTIONS(3131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3131),
    [anon_sym___declspec] = ACTIONS(3129),
    [anon_sym___based] = ACTIONS(3129),
    [anon_sym_signed] = ACTIONS(3129),
    [anon_sym_unsigned] = ACTIONS(3129),
    [anon_sym_long] = ACTIONS(3129),
    [anon_sym_short] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(3129),
    [anon_sym_static] = ACTIONS(3129),
    [anon_sym_register] = ACTIONS(3129),
    [anon_sym_inline] = ACTIONS(3129),
    [anon_sym___inline] = ACTIONS(3129),
    [anon_sym___inline__] = ACTIONS(3129),
    [anon_sym___forceinline] = ACTIONS(3129),
    [anon_sym_thread_local] = ACTIONS(3129),
    [anon_sym___thread] = ACTIONS(3129),
    [anon_sym_const] = ACTIONS(3129),
    [anon_sym_constexpr] = ACTIONS(3129),
    [anon_sym_volatile] = ACTIONS(3129),
    [anon_sym_restrict] = ACTIONS(3129),
    [anon_sym___restrict__] = ACTIONS(3129),
    [anon_sym__Atomic] = ACTIONS(3129),
    [anon_sym__Noreturn] = ACTIONS(3129),
    [anon_sym_noreturn] = ACTIONS(3129),
    [anon_sym__Nonnull] = ACTIONS(3129),
    [anon_sym_mutable] = ACTIONS(3129),
    [anon_sym_constinit] = ACTIONS(3129),
    [anon_sym_consteval] = ACTIONS(3129),
    [anon_sym_PROGMEM] = ACTIONS(3129),
    [anon_sym_alignas] = ACTIONS(3129),
    [anon_sym__Alignas] = ACTIONS(3129),
    [aux_sym_primitive_type_token1] = ACTIONS(3129),
    [anon_sym_byte] = ACTIONS(3129),
    [anon_sym_word] = ACTIONS(3129),
    [anon_sym_enum] = ACTIONS(3129),
    [anon_sym_class] = ACTIONS(3129),
    [anon_sym_struct] = ACTIONS(3129),
    [anon_sym_union] = ACTIONS(3129),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3129),
    [anon_sym_decltype] = ACTIONS(3129),
    [anon_sym_explicit] = ACTIONS(3129),
    [anon_sym_typename] = ACTIONS(3129),
    [anon_sym_template] = ACTIONS(3129),
    [anon_sym_operator] = ACTIONS(3129),
    [anon_sym_friend] = ACTIONS(3129),
    [anon_sym_public] = ACTIONS(3129),
    [anon_sym_private] = ACTIONS(3129),
    [anon_sym_protected] = ACTIONS(3129),
    [anon_sym_using] = ACTIONS(3129),
    [anon_sym_static_assert] = ACTIONS(3129),
  },
  [2042] = {
    [sym_identifier] = ACTIONS(3178),
    [aux_sym_preproc_def_token1] = ACTIONS(3178),
    [aux_sym_preproc_if_token1] = ACTIONS(3178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3178),
    [sym_preproc_directive] = ACTIONS(3178),
    [anon_sym_LPAREN2] = ACTIONS(3180),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3178),
    [anon_sym_typedef] = ACTIONS(3178),
    [anon_sym_virtual] = ACTIONS(3178),
    [anon_sym_extern] = ACTIONS(3178),
    [anon_sym___attribute__] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3180),
    [anon_sym___declspec] = ACTIONS(3178),
    [anon_sym___based] = ACTIONS(3178),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_signed] = ACTIONS(3178),
    [anon_sym_unsigned] = ACTIONS(3178),
    [anon_sym_long] = ACTIONS(3178),
    [anon_sym_short] = ACTIONS(3178),
    [anon_sym_LBRACK] = ACTIONS(3178),
    [anon_sym_static] = ACTIONS(3178),
    [anon_sym_register] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym___inline] = ACTIONS(3178),
    [anon_sym___inline__] = ACTIONS(3178),
    [anon_sym___forceinline] = ACTIONS(3178),
    [anon_sym_thread_local] = ACTIONS(3178),
    [anon_sym___thread] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_constexpr] = ACTIONS(3178),
    [anon_sym_volatile] = ACTIONS(3178),
    [anon_sym_restrict] = ACTIONS(3178),
    [anon_sym___restrict__] = ACTIONS(3178),
    [anon_sym__Atomic] = ACTIONS(3178),
    [anon_sym__Noreturn] = ACTIONS(3178),
    [anon_sym_noreturn] = ACTIONS(3178),
    [anon_sym__Nonnull] = ACTIONS(3178),
    [anon_sym_mutable] = ACTIONS(3178),
    [anon_sym_constinit] = ACTIONS(3178),
    [anon_sym_consteval] = ACTIONS(3178),
    [anon_sym_PROGMEM] = ACTIONS(3178),
    [anon_sym_alignas] = ACTIONS(3178),
    [anon_sym__Alignas] = ACTIONS(3178),
    [aux_sym_primitive_type_token1] = ACTIONS(3178),
    [anon_sym_byte] = ACTIONS(3178),
    [anon_sym_word] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_class] = ACTIONS(3178),
    [anon_sym_struct] = ACTIONS(3178),
    [anon_sym_union] = ACTIONS(3178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3178),
    [anon_sym_decltype] = ACTIONS(3178),
    [anon_sym_explicit] = ACTIONS(3178),
    [anon_sym_typename] = ACTIONS(3178),
    [anon_sym_template] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_friend] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_using] = ACTIONS(3178),
    [anon_sym_static_assert] = ACTIONS(3178),
  },
  [2043] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_friend] = ACTIONS(2972),
    [anon_sym_public] = ACTIONS(2972),
    [anon_sym_private] = ACTIONS(2972),
    [anon_sym_protected] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
  },
  [2044] = {
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token2] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2968),
    [sym_preproc_directive] = ACTIONS(2968),
    [anon_sym_LPAREN2] = ACTIONS(2970),
    [anon_sym_TILDE] = ACTIONS(2970),
    [anon_sym_STAR] = ACTIONS(2970),
    [anon_sym_AMP_AMP] = ACTIONS(2970),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2970),
    [anon_sym___extension__] = ACTIONS(2968),
    [anon_sym_typedef] = ACTIONS(2968),
    [anon_sym_virtual] = ACTIONS(2968),
    [anon_sym_extern] = ACTIONS(2968),
    [anon_sym___attribute__] = ACTIONS(2968),
    [anon_sym_COLON_COLON] = ACTIONS(2970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2970),
    [anon_sym___declspec] = ACTIONS(2968),
    [anon_sym___based] = ACTIONS(2968),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_register] = ACTIONS(2968),
    [anon_sym_inline] = ACTIONS(2968),
    [anon_sym___inline] = ACTIONS(2968),
    [anon_sym___inline__] = ACTIONS(2968),
    [anon_sym___forceinline] = ACTIONS(2968),
    [anon_sym_thread_local] = ACTIONS(2968),
    [anon_sym___thread] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2968),
    [anon_sym_constexpr] = ACTIONS(2968),
    [anon_sym_volatile] = ACTIONS(2968),
    [anon_sym_restrict] = ACTIONS(2968),
    [anon_sym___restrict__] = ACTIONS(2968),
    [anon_sym__Atomic] = ACTIONS(2968),
    [anon_sym__Noreturn] = ACTIONS(2968),
    [anon_sym_noreturn] = ACTIONS(2968),
    [anon_sym__Nonnull] = ACTIONS(2968),
    [anon_sym_mutable] = ACTIONS(2968),
    [anon_sym_constinit] = ACTIONS(2968),
    [anon_sym_consteval] = ACTIONS(2968),
    [anon_sym_PROGMEM] = ACTIONS(2968),
    [anon_sym_alignas] = ACTIONS(2968),
    [anon_sym__Alignas] = ACTIONS(2968),
    [aux_sym_primitive_type_token1] = ACTIONS(2968),
    [anon_sym_byte] = ACTIONS(2968),
    [anon_sym_word] = ACTIONS(2968),
    [anon_sym_enum] = ACTIONS(2968),
    [anon_sym_class] = ACTIONS(2968),
    [anon_sym_struct] = ACTIONS(2968),
    [anon_sym_union] = ACTIONS(2968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2968),
    [anon_sym_decltype] = ACTIONS(2968),
    [anon_sym_explicit] = ACTIONS(2968),
    [anon_sym_typename] = ACTIONS(2968),
    [anon_sym_template] = ACTIONS(2968),
    [anon_sym_operator] = ACTIONS(2968),
    [anon_sym_friend] = ACTIONS(2968),
    [anon_sym_public] = ACTIONS(2968),
    [anon_sym_private] = ACTIONS(2968),
    [anon_sym_protected] = ACTIONS(2968),
    [anon_sym_using] = ACTIONS(2968),
    [anon_sym_static_assert] = ACTIONS(2968),
  },
  [2045] = {
    [sym_identifier] = ACTIONS(5227),
    [aux_sym_preproc_def_token1] = ACTIONS(5227),
    [aux_sym_preproc_if_token1] = ACTIONS(5227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5227),
    [sym_preproc_directive] = ACTIONS(5227),
    [anon_sym_LPAREN2] = ACTIONS(5229),
    [anon_sym_TILDE] = ACTIONS(5229),
    [anon_sym_STAR] = ACTIONS(5229),
    [anon_sym_AMP_AMP] = ACTIONS(5229),
    [anon_sym_AMP] = ACTIONS(5227),
    [anon_sym_SEMI] = ACTIONS(5229),
    [anon_sym___extension__] = ACTIONS(5227),
    [anon_sym_typedef] = ACTIONS(5227),
    [anon_sym_virtual] = ACTIONS(5227),
    [anon_sym_extern] = ACTIONS(5227),
    [anon_sym___attribute__] = ACTIONS(5227),
    [anon_sym_COLON_COLON] = ACTIONS(5229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5229),
    [anon_sym___declspec] = ACTIONS(5227),
    [anon_sym___based] = ACTIONS(5227),
    [anon_sym_RBRACE] = ACTIONS(5229),
    [anon_sym_signed] = ACTIONS(5227),
    [anon_sym_unsigned] = ACTIONS(5227),
    [anon_sym_long] = ACTIONS(5227),
    [anon_sym_short] = ACTIONS(5227),
    [anon_sym_LBRACK] = ACTIONS(5227),
    [anon_sym_static] = ACTIONS(5227),
    [anon_sym_register] = ACTIONS(5227),
    [anon_sym_inline] = ACTIONS(5227),
    [anon_sym___inline] = ACTIONS(5227),
    [anon_sym___inline__] = ACTIONS(5227),
    [anon_sym___forceinline] = ACTIONS(5227),
    [anon_sym_thread_local] = ACTIONS(5227),
    [anon_sym___thread] = ACTIONS(5227),
    [anon_sym_const] = ACTIONS(5227),
    [anon_sym_constexpr] = ACTIONS(5227),
    [anon_sym_volatile] = ACTIONS(5227),
    [anon_sym_restrict] = ACTIONS(5227),
    [anon_sym___restrict__] = ACTIONS(5227),
    [anon_sym__Atomic] = ACTIONS(5227),
    [anon_sym__Noreturn] = ACTIONS(5227),
    [anon_sym_noreturn] = ACTIONS(5227),
    [anon_sym__Nonnull] = ACTIONS(5227),
    [anon_sym_mutable] = ACTIONS(5227),
    [anon_sym_constinit] = ACTIONS(5227),
    [anon_sym_consteval] = ACTIONS(5227),
    [anon_sym_PROGMEM] = ACTIONS(5227),
    [anon_sym_alignas] = ACTIONS(5227),
    [anon_sym__Alignas] = ACTIONS(5227),
    [aux_sym_primitive_type_token1] = ACTIONS(5227),
    [anon_sym_byte] = ACTIONS(5227),
    [anon_sym_word] = ACTIONS(5227),
    [anon_sym_enum] = ACTIONS(5227),
    [anon_sym_class] = ACTIONS(5227),
    [anon_sym_struct] = ACTIONS(5227),
    [anon_sym_union] = ACTIONS(5227),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5227),
    [anon_sym_decltype] = ACTIONS(5227),
    [anon_sym_explicit] = ACTIONS(5227),
    [anon_sym_typename] = ACTIONS(5227),
    [anon_sym_template] = ACTIONS(5227),
    [anon_sym_operator] = ACTIONS(5227),
    [anon_sym_friend] = ACTIONS(5227),
    [anon_sym_public] = ACTIONS(5227),
    [anon_sym_private] = ACTIONS(5227),
    [anon_sym_protected] = ACTIONS(5227),
    [anon_sym_using] = ACTIONS(5227),
    [anon_sym_static_assert] = ACTIONS(5227),
  },
  [2046] = {
    [sym_identifier] = ACTIONS(3074),
    [aux_sym_preproc_def_token1] = ACTIONS(3074),
    [aux_sym_preproc_if_token1] = ACTIONS(3074),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3074),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3074),
    [sym_preproc_directive] = ACTIONS(3074),
    [anon_sym_LPAREN2] = ACTIONS(3076),
    [anon_sym_TILDE] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym___extension__] = ACTIONS(3074),
    [anon_sym_typedef] = ACTIONS(3074),
    [anon_sym_virtual] = ACTIONS(3074),
    [anon_sym_extern] = ACTIONS(3074),
    [anon_sym___attribute__] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3076),
    [anon_sym___declspec] = ACTIONS(3074),
    [anon_sym___based] = ACTIONS(3074),
    [anon_sym_RBRACE] = ACTIONS(3076),
    [anon_sym_signed] = ACTIONS(3074),
    [anon_sym_unsigned] = ACTIONS(3074),
    [anon_sym_long] = ACTIONS(3074),
    [anon_sym_short] = ACTIONS(3074),
    [anon_sym_LBRACK] = ACTIONS(3074),
    [anon_sym_static] = ACTIONS(3074),
    [anon_sym_register] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym___inline] = ACTIONS(3074),
    [anon_sym___inline__] = ACTIONS(3074),
    [anon_sym___forceinline] = ACTIONS(3074),
    [anon_sym_thread_local] = ACTIONS(3074),
    [anon_sym___thread] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_constexpr] = ACTIONS(3074),
    [anon_sym_volatile] = ACTIONS(3074),
    [anon_sym_restrict] = ACTIONS(3074),
    [anon_sym___restrict__] = ACTIONS(3074),
    [anon_sym__Atomic] = ACTIONS(3074),
    [anon_sym__Noreturn] = ACTIONS(3074),
    [anon_sym_noreturn] = ACTIONS(3074),
    [anon_sym__Nonnull] = ACTIONS(3074),
    [anon_sym_mutable] = ACTIONS(3074),
    [anon_sym_constinit] = ACTIONS(3074),
    [anon_sym_consteval] = ACTIONS(3074),
    [anon_sym_PROGMEM] = ACTIONS(3074),
    [anon_sym_alignas] = ACTIONS(3074),
    [anon_sym__Alignas] = ACTIONS(3074),
    [aux_sym_primitive_type_token1] = ACTIONS(3074),
    [anon_sym_byte] = ACTIONS(3074),
    [anon_sym_word] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_class] = ACTIONS(3074),
    [anon_sym_struct] = ACTIONS(3074),
    [anon_sym_union] = ACTIONS(3074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3074),
    [anon_sym_decltype] = ACTIONS(3074),
    [anon_sym_explicit] = ACTIONS(3074),
    [anon_sym_typename] = ACTIONS(3074),
    [anon_sym_template] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_friend] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_using] = ACTIONS(3074),
    [anon_sym_static_assert] = ACTIONS(3074),
  },
  [2047] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_PROGMEM] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [aux_sym_primitive_type_token1] = ACTIONS(3040),
    [anon_sym_byte] = ACTIONS(3040),
    [anon_sym_word] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
  },
  [2048] = {
    [sym_identifier] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3049),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3047),
    [anon_sym_SEMI] = ACTIONS(3049),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3047),
    [anon_sym_virtual] = ACTIONS(3047),
    [anon_sym_extern] = ACTIONS(3047),
    [anon_sym___attribute__] = ACTIONS(3047),
    [anon_sym_COLON_COLON] = ACTIONS(3049),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3049),
    [anon_sym___declspec] = ACTIONS(3047),
    [anon_sym___based] = ACTIONS(3047),
    [anon_sym_RBRACE] = ACTIONS(3049),
    [anon_sym_signed] = ACTIONS(3047),
    [anon_sym_unsigned] = ACTIONS(3047),
    [anon_sym_long] = ACTIONS(3047),
    [anon_sym_short] = ACTIONS(3047),
    [anon_sym_LBRACK] = ACTIONS(3047),
    [anon_sym_static] = ACTIONS(3047),
    [anon_sym_register] = ACTIONS(3047),
    [anon_sym_inline] = ACTIONS(3047),
    [anon_sym___inline] = ACTIONS(3047),
    [anon_sym___inline__] = ACTIONS(3047),
    [anon_sym___forceinline] = ACTIONS(3047),
    [anon_sym_thread_local] = ACTIONS(3047),
    [anon_sym___thread] = ACTIONS(3047),
    [anon_sym_const] = ACTIONS(3047),
    [anon_sym_constexpr] = ACTIONS(3047),
    [anon_sym_volatile] = ACTIONS(3047),
    [anon_sym_restrict] = ACTIONS(3047),
    [anon_sym___restrict__] = ACTIONS(3047),
    [anon_sym__Atomic] = ACTIONS(3047),
    [anon_sym__Noreturn] = ACTIONS(3047),
    [anon_sym_noreturn] = ACTIONS(3047),
    [anon_sym__Nonnull] = ACTIONS(3047),
    [anon_sym_mutable] = ACTIONS(3047),
    [anon_sym_constinit] = ACTIONS(3047),
    [anon_sym_consteval] = ACTIONS(3047),
    [anon_sym_PROGMEM] = ACTIONS(3047),
    [anon_sym_alignas] = ACTIONS(3047),
    [anon_sym__Alignas] = ACTIONS(3047),
    [aux_sym_primitive_type_token1] = ACTIONS(3047),
    [anon_sym_byte] = ACTIONS(3047),
    [anon_sym_word] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3047),
    [anon_sym_class] = ACTIONS(3047),
    [anon_sym_struct] = ACTIONS(3047),
    [anon_sym_union] = ACTIONS(3047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3047),
    [anon_sym_decltype] = ACTIONS(3047),
    [anon_sym_explicit] = ACTIONS(3047),
    [anon_sym_typename] = ACTIONS(3047),
    [anon_sym_template] = ACTIONS(3047),
    [anon_sym_operator] = ACTIONS(3047),
    [anon_sym_friend] = ACTIONS(3047),
    [anon_sym_public] = ACTIONS(3047),
    [anon_sym_private] = ACTIONS(3047),
    [anon_sym_protected] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3047),
    [anon_sym_static_assert] = ACTIONS(3047),
  },
  [2049] = {
    [sym_identifier] = ACTIONS(3066),
    [aux_sym_preproc_def_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3066),
    [sym_preproc_directive] = ACTIONS(3066),
    [anon_sym_LPAREN2] = ACTIONS(3068),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3068),
    [anon_sym___extension__] = ACTIONS(3066),
    [anon_sym_typedef] = ACTIONS(3066),
    [anon_sym_virtual] = ACTIONS(3066),
    [anon_sym_extern] = ACTIONS(3066),
    [anon_sym___attribute__] = ACTIONS(3066),
    [anon_sym_COLON_COLON] = ACTIONS(3068),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3068),
    [anon_sym___declspec] = ACTIONS(3066),
    [anon_sym___based] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3068),
    [anon_sym_signed] = ACTIONS(3066),
    [anon_sym_unsigned] = ACTIONS(3066),
    [anon_sym_long] = ACTIONS(3066),
    [anon_sym_short] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_register] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(3066),
    [anon_sym___inline] = ACTIONS(3066),
    [anon_sym___inline__] = ACTIONS(3066),
    [anon_sym___forceinline] = ACTIONS(3066),
    [anon_sym_thread_local] = ACTIONS(3066),
    [anon_sym___thread] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_constexpr] = ACTIONS(3066),
    [anon_sym_volatile] = ACTIONS(3066),
    [anon_sym_restrict] = ACTIONS(3066),
    [anon_sym___restrict__] = ACTIONS(3066),
    [anon_sym__Atomic] = ACTIONS(3066),
    [anon_sym__Noreturn] = ACTIONS(3066),
    [anon_sym_noreturn] = ACTIONS(3066),
    [anon_sym__Nonnull] = ACTIONS(3066),
    [anon_sym_mutable] = ACTIONS(3066),
    [anon_sym_constinit] = ACTIONS(3066),
    [anon_sym_consteval] = ACTIONS(3066),
    [anon_sym_PROGMEM] = ACTIONS(3066),
    [anon_sym_alignas] = ACTIONS(3066),
    [anon_sym__Alignas] = ACTIONS(3066),
    [aux_sym_primitive_type_token1] = ACTIONS(3066),
    [anon_sym_byte] = ACTIONS(3066),
    [anon_sym_word] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_struct] = ACTIONS(3066),
    [anon_sym_union] = ACTIONS(3066),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3066),
    [anon_sym_decltype] = ACTIONS(3066),
    [anon_sym_explicit] = ACTIONS(3066),
    [anon_sym_typename] = ACTIONS(3066),
    [anon_sym_template] = ACTIONS(3066),
    [anon_sym_operator] = ACTIONS(3066),
    [anon_sym_friend] = ACTIONS(3066),
    [anon_sym_public] = ACTIONS(3066),
    [anon_sym_private] = ACTIONS(3066),
    [anon_sym_protected] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_static_assert] = ACTIONS(3066),
  },
  [2050] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_PROGMEM] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [aux_sym_primitive_type_token1] = ACTIONS(2790),
    [anon_sym_byte] = ACTIONS(2790),
    [anon_sym_word] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_friend] = ACTIONS(2790),
    [anon_sym_public] = ACTIONS(2790),
    [anon_sym_private] = ACTIONS(2790),
    [anon_sym_protected] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
  },
  [2051] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1618),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5607),
    [anon_sym_COMMA] = ACTIONS(5607),
    [anon_sym_RPAREN] = ACTIONS(5607),
    [anon_sym_LPAREN2] = ACTIONS(5607),
    [anon_sym_DASH] = ACTIONS(5609),
    [anon_sym_PLUS] = ACTIONS(5609),
    [anon_sym_STAR] = ACTIONS(5607),
    [anon_sym_SLASH] = ACTIONS(5609),
    [anon_sym_PERCENT] = ACTIONS(5607),
    [anon_sym_PIPE_PIPE] = ACTIONS(5607),
    [anon_sym_AMP_AMP] = ACTIONS(5607),
    [anon_sym_PIPE] = ACTIONS(5609),
    [anon_sym_CARET] = ACTIONS(5607),
    [anon_sym_AMP] = ACTIONS(5609),
    [anon_sym_EQ_EQ] = ACTIONS(5607),
    [anon_sym_BANG_EQ] = ACTIONS(5607),
    [anon_sym_GT] = ACTIONS(5609),
    [anon_sym_GT_EQ] = ACTIONS(5607),
    [anon_sym_LT_EQ] = ACTIONS(5609),
    [anon_sym_LT] = ACTIONS(5609),
    [anon_sym_LT_LT] = ACTIONS(5607),
    [anon_sym_GT_GT] = ACTIONS(5607),
    [anon_sym_SEMI] = ACTIONS(5607),
    [anon_sym___extension__] = ACTIONS(5607),
    [anon_sym___attribute__] = ACTIONS(5607),
    [anon_sym_LBRACE] = ACTIONS(5607),
    [anon_sym_RBRACE] = ACTIONS(5607),
    [anon_sym_signed] = ACTIONS(5611),
    [anon_sym_unsigned] = ACTIONS(5611),
    [anon_sym_long] = ACTIONS(5611),
    [anon_sym_short] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5607),
    [anon_sym_RBRACK] = ACTIONS(5607),
    [anon_sym_const] = ACTIONS(5609),
    [anon_sym_constexpr] = ACTIONS(5607),
    [anon_sym_volatile] = ACTIONS(5607),
    [anon_sym_restrict] = ACTIONS(5607),
    [anon_sym___restrict__] = ACTIONS(5607),
    [anon_sym__Atomic] = ACTIONS(5607),
    [anon_sym__Noreturn] = ACTIONS(5607),
    [anon_sym_noreturn] = ACTIONS(5607),
    [anon_sym__Nonnull] = ACTIONS(5607),
    [anon_sym_mutable] = ACTIONS(5607),
    [anon_sym_constinit] = ACTIONS(5607),
    [anon_sym_consteval] = ACTIONS(5607),
    [anon_sym_PROGMEM] = ACTIONS(5607),
    [anon_sym_alignas] = ACTIONS(5607),
    [anon_sym__Alignas] = ACTIONS(5607),
    [anon_sym_COLON] = ACTIONS(5607),
    [anon_sym_QMARK] = ACTIONS(5607),
    [anon_sym_LT_EQ_GT] = ACTIONS(5607),
    [anon_sym_or] = ACTIONS(5607),
    [anon_sym_and] = ACTIONS(5607),
    [anon_sym_bitor] = ACTIONS(5607),
    [anon_sym_xor] = ACTIONS(5607),
    [anon_sym_bitand] = ACTIONS(5607),
    [anon_sym_not_eq] = ACTIONS(5607),
    [anon_sym_DASH_DASH] = ACTIONS(5607),
    [anon_sym_PLUS_PLUS] = ACTIONS(5607),
    [anon_sym_DOT] = ACTIONS(5609),
    [anon_sym_DOT_STAR] = ACTIONS(5607),
    [anon_sym_DASH_GT] = ACTIONS(5607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5607),
    [anon_sym_decltype] = ACTIONS(5607),
    [anon_sym_final] = ACTIONS(5607),
    [anon_sym_override] = ACTIONS(5607),
    [anon_sym_requires] = ACTIONS(5607),
  },
  [2052] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5613),
    [anon_sym_COMMA] = ACTIONS(5613),
    [anon_sym_RPAREN] = ACTIONS(5613),
    [anon_sym_LPAREN2] = ACTIONS(5613),
    [anon_sym_DASH] = ACTIONS(5615),
    [anon_sym_PLUS] = ACTIONS(5615),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_SLASH] = ACTIONS(5615),
    [anon_sym_PERCENT] = ACTIONS(5613),
    [anon_sym_PIPE_PIPE] = ACTIONS(5613),
    [anon_sym_AMP_AMP] = ACTIONS(5613),
    [anon_sym_PIPE] = ACTIONS(5615),
    [anon_sym_CARET] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5615),
    [anon_sym_EQ_EQ] = ACTIONS(5613),
    [anon_sym_BANG_EQ] = ACTIONS(5613),
    [anon_sym_GT] = ACTIONS(5615),
    [anon_sym_GT_EQ] = ACTIONS(5613),
    [anon_sym_LT_EQ] = ACTIONS(5615),
    [anon_sym_LT] = ACTIONS(5615),
    [anon_sym_LT_LT] = ACTIONS(5613),
    [anon_sym_GT_GT] = ACTIONS(5613),
    [anon_sym_SEMI] = ACTIONS(5613),
    [anon_sym___extension__] = ACTIONS(5613),
    [anon_sym___attribute__] = ACTIONS(5613),
    [anon_sym_LBRACE] = ACTIONS(5613),
    [anon_sym_RBRACE] = ACTIONS(5613),
    [anon_sym_signed] = ACTIONS(5617),
    [anon_sym_unsigned] = ACTIONS(5617),
    [anon_sym_long] = ACTIONS(5617),
    [anon_sym_short] = ACTIONS(5617),
    [anon_sym_LBRACK] = ACTIONS(5613),
    [anon_sym_RBRACK] = ACTIONS(5613),
    [anon_sym_const] = ACTIONS(5615),
    [anon_sym_constexpr] = ACTIONS(5613),
    [anon_sym_volatile] = ACTIONS(5613),
    [anon_sym_restrict] = ACTIONS(5613),
    [anon_sym___restrict__] = ACTIONS(5613),
    [anon_sym__Atomic] = ACTIONS(5613),
    [anon_sym__Noreturn] = ACTIONS(5613),
    [anon_sym_noreturn] = ACTIONS(5613),
    [anon_sym__Nonnull] = ACTIONS(5613),
    [anon_sym_mutable] = ACTIONS(5613),
    [anon_sym_constinit] = ACTIONS(5613),
    [anon_sym_consteval] = ACTIONS(5613),
    [anon_sym_PROGMEM] = ACTIONS(5613),
    [anon_sym_alignas] = ACTIONS(5613),
    [anon_sym__Alignas] = ACTIONS(5613),
    [anon_sym_COLON] = ACTIONS(5613),
    [anon_sym_QMARK] = ACTIONS(5613),
    [anon_sym_LT_EQ_GT] = ACTIONS(5613),
    [anon_sym_or] = ACTIONS(5613),
    [anon_sym_and] = ACTIONS(5613),
    [anon_sym_bitor] = ACTIONS(5613),
    [anon_sym_xor] = ACTIONS(5613),
    [anon_sym_bitand] = ACTIONS(5613),
    [anon_sym_not_eq] = ACTIONS(5613),
    [anon_sym_DASH_DASH] = ACTIONS(5613),
    [anon_sym_PLUS_PLUS] = ACTIONS(5613),
    [anon_sym_DOT] = ACTIONS(5615),
    [anon_sym_DOT_STAR] = ACTIONS(5613),
    [anon_sym_DASH_GT] = ACTIONS(5613),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5613),
    [anon_sym_decltype] = ACTIONS(5613),
    [anon_sym_final] = ACTIONS(5613),
    [anon_sym_override] = ACTIONS(5613),
    [anon_sym_requires] = ACTIONS(5613),
  },
  [2053] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5619),
    [anon_sym_COMMA] = ACTIONS(5619),
    [anon_sym_RPAREN] = ACTIONS(5619),
    [anon_sym_LPAREN2] = ACTIONS(5619),
    [anon_sym_DASH] = ACTIONS(5621),
    [anon_sym_PLUS] = ACTIONS(5621),
    [anon_sym_STAR] = ACTIONS(5619),
    [anon_sym_SLASH] = ACTIONS(5621),
    [anon_sym_PERCENT] = ACTIONS(5619),
    [anon_sym_PIPE_PIPE] = ACTIONS(5619),
    [anon_sym_AMP_AMP] = ACTIONS(5619),
    [anon_sym_PIPE] = ACTIONS(5621),
    [anon_sym_CARET] = ACTIONS(5619),
    [anon_sym_AMP] = ACTIONS(5621),
    [anon_sym_EQ_EQ] = ACTIONS(5619),
    [anon_sym_BANG_EQ] = ACTIONS(5619),
    [anon_sym_GT] = ACTIONS(5621),
    [anon_sym_GT_EQ] = ACTIONS(5619),
    [anon_sym_LT_EQ] = ACTIONS(5621),
    [anon_sym_LT] = ACTIONS(5621),
    [anon_sym_LT_LT] = ACTIONS(5619),
    [anon_sym_GT_GT] = ACTIONS(5619),
    [anon_sym_SEMI] = ACTIONS(5619),
    [anon_sym___extension__] = ACTIONS(5619),
    [anon_sym___attribute__] = ACTIONS(5619),
    [anon_sym_LBRACE] = ACTIONS(5619),
    [anon_sym_RBRACE] = ACTIONS(5619),
    [anon_sym_signed] = ACTIONS(5623),
    [anon_sym_unsigned] = ACTIONS(5623),
    [anon_sym_long] = ACTIONS(5623),
    [anon_sym_short] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(5619),
    [anon_sym_RBRACK] = ACTIONS(5619),
    [anon_sym_const] = ACTIONS(5621),
    [anon_sym_constexpr] = ACTIONS(5619),
    [anon_sym_volatile] = ACTIONS(5619),
    [anon_sym_restrict] = ACTIONS(5619),
    [anon_sym___restrict__] = ACTIONS(5619),
    [anon_sym__Atomic] = ACTIONS(5619),
    [anon_sym__Noreturn] = ACTIONS(5619),
    [anon_sym_noreturn] = ACTIONS(5619),
    [anon_sym__Nonnull] = ACTIONS(5619),
    [anon_sym_mutable] = ACTIONS(5619),
    [anon_sym_constinit] = ACTIONS(5619),
    [anon_sym_consteval] = ACTIONS(5619),
    [anon_sym_PROGMEM] = ACTIONS(5619),
    [anon_sym_alignas] = ACTIONS(5619),
    [anon_sym__Alignas] = ACTIONS(5619),
    [anon_sym_COLON] = ACTIONS(5619),
    [anon_sym_QMARK] = ACTIONS(5619),
    [anon_sym_LT_EQ_GT] = ACTIONS(5619),
    [anon_sym_or] = ACTIONS(5619),
    [anon_sym_and] = ACTIONS(5619),
    [anon_sym_bitor] = ACTIONS(5619),
    [anon_sym_xor] = ACTIONS(5619),
    [anon_sym_bitand] = ACTIONS(5619),
    [anon_sym_not_eq] = ACTIONS(5619),
    [anon_sym_DASH_DASH] = ACTIONS(5619),
    [anon_sym_PLUS_PLUS] = ACTIONS(5619),
    [anon_sym_DOT] = ACTIONS(5621),
    [anon_sym_DOT_STAR] = ACTIONS(5619),
    [anon_sym_DASH_GT] = ACTIONS(5619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5619),
    [anon_sym_decltype] = ACTIONS(5619),
    [anon_sym_final] = ACTIONS(5619),
    [anon_sym_override] = ACTIONS(5619),
    [anon_sym_requires] = ACTIONS(5619),
  },
  [2054] = {
    [sym_string_literal] = STATE(1644),
    [sym_raw_string_literal] = STATE(1644),
    [sym_identifier] = ACTIONS(5625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5627),
    [anon_sym_COMMA] = ACTIONS(5627),
    [aux_sym_preproc_if_token2] = ACTIONS(5627),
    [aux_sym_preproc_else_token1] = ACTIONS(5627),
    [aux_sym_preproc_elif_token1] = ACTIONS(5625),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5627),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5627),
    [anon_sym_LPAREN2] = ACTIONS(5627),
    [anon_sym_DASH] = ACTIONS(5625),
    [anon_sym_PLUS] = ACTIONS(5625),
    [anon_sym_STAR] = ACTIONS(5625),
    [anon_sym_SLASH] = ACTIONS(5625),
    [anon_sym_PERCENT] = ACTIONS(5625),
    [anon_sym_PIPE_PIPE] = ACTIONS(5627),
    [anon_sym_AMP_AMP] = ACTIONS(5627),
    [anon_sym_PIPE] = ACTIONS(5625),
    [anon_sym_CARET] = ACTIONS(5625),
    [anon_sym_AMP] = ACTIONS(5625),
    [anon_sym_EQ_EQ] = ACTIONS(5627),
    [anon_sym_BANG_EQ] = ACTIONS(5627),
    [anon_sym_GT] = ACTIONS(5625),
    [anon_sym_GT_EQ] = ACTIONS(5627),
    [anon_sym_LT_EQ] = ACTIONS(5625),
    [anon_sym_LT] = ACTIONS(5625),
    [anon_sym_LT_LT] = ACTIONS(5625),
    [anon_sym_GT_GT] = ACTIONS(5625),
    [anon_sym_LBRACK] = ACTIONS(5627),
    [anon_sym_EQ] = ACTIONS(5625),
    [anon_sym_QMARK] = ACTIONS(5627),
    [anon_sym_STAR_EQ] = ACTIONS(5627),
    [anon_sym_SLASH_EQ] = ACTIONS(5627),
    [anon_sym_PERCENT_EQ] = ACTIONS(5627),
    [anon_sym_PLUS_EQ] = ACTIONS(5627),
    [anon_sym_DASH_EQ] = ACTIONS(5627),
    [anon_sym_LT_LT_EQ] = ACTIONS(5627),
    [anon_sym_GT_GT_EQ] = ACTIONS(5627),
    [anon_sym_AMP_EQ] = ACTIONS(5627),
    [anon_sym_CARET_EQ] = ACTIONS(5627),
    [anon_sym_PIPE_EQ] = ACTIONS(5627),
    [anon_sym_and_eq] = ACTIONS(5625),
    [anon_sym_or_eq] = ACTIONS(5625),
    [anon_sym_xor_eq] = ACTIONS(5625),
    [anon_sym_LT_EQ_GT] = ACTIONS(5627),
    [anon_sym_or] = ACTIONS(5625),
    [anon_sym_and] = ACTIONS(5625),
    [anon_sym_bitor] = ACTIONS(5625),
    [anon_sym_xor] = ACTIONS(5625),
    [anon_sym_bitand] = ACTIONS(5625),
    [anon_sym_not_eq] = ACTIONS(5625),
    [anon_sym_DASH_DASH] = ACTIONS(5627),
    [anon_sym_PLUS_PLUS] = ACTIONS(5627),
    [anon_sym_DOT] = ACTIONS(5625),
    [anon_sym_DOT_STAR] = ACTIONS(5627),
    [anon_sym_DASH_GT] = ACTIONS(5627),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [sym_literal_suffix] = ACTIONS(5625),
  },
  [2055] = {
    [sym_argument_list] = STATE(2493),
    [sym_initializer_list] = STATE(2493),
    [sym_decltype_auto] = STATE(2215),
    [sym_new_declarator] = STATE(2261),
    [sym_identifier] = ACTIONS(5629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5631),
    [anon_sym_COMMA] = ACTIONS(5631),
    [anon_sym_RPAREN] = ACTIONS(5631),
    [aux_sym_preproc_if_token2] = ACTIONS(5631),
    [aux_sym_preproc_else_token1] = ACTIONS(5631),
    [aux_sym_preproc_elif_token1] = ACTIONS(5629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5631),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5631),
    [anon_sym_LPAREN2] = ACTIONS(5633),
    [anon_sym_DASH] = ACTIONS(5629),
    [anon_sym_PLUS] = ACTIONS(5629),
    [anon_sym_STAR] = ACTIONS(5629),
    [anon_sym_SLASH] = ACTIONS(5629),
    [anon_sym_PERCENT] = ACTIONS(5629),
    [anon_sym_PIPE_PIPE] = ACTIONS(5631),
    [anon_sym_AMP_AMP] = ACTIONS(5631),
    [anon_sym_PIPE] = ACTIONS(5629),
    [anon_sym_CARET] = ACTIONS(5629),
    [anon_sym_AMP] = ACTIONS(5629),
    [anon_sym_EQ_EQ] = ACTIONS(5631),
    [anon_sym_BANG_EQ] = ACTIONS(5631),
    [anon_sym_GT] = ACTIONS(5629),
    [anon_sym_GT_EQ] = ACTIONS(5631),
    [anon_sym_LT_EQ] = ACTIONS(5629),
    [anon_sym_LT] = ACTIONS(5629),
    [anon_sym_LT_LT] = ACTIONS(5629),
    [anon_sym_GT_GT] = ACTIONS(5629),
    [anon_sym_SEMI] = ACTIONS(5631),
    [anon_sym___attribute__] = ACTIONS(5629),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_RBRACE] = ACTIONS(5631),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_RBRACK] = ACTIONS(5631),
    [anon_sym_EQ] = ACTIONS(5629),
    [anon_sym_COLON] = ACTIONS(5631),
    [anon_sym_QMARK] = ACTIONS(5631),
    [anon_sym_STAR_EQ] = ACTIONS(5631),
    [anon_sym_SLASH_EQ] = ACTIONS(5631),
    [anon_sym_PERCENT_EQ] = ACTIONS(5631),
    [anon_sym_PLUS_EQ] = ACTIONS(5631),
    [anon_sym_DASH_EQ] = ACTIONS(5631),
    [anon_sym_LT_LT_EQ] = ACTIONS(5631),
    [anon_sym_GT_GT_EQ] = ACTIONS(5631),
    [anon_sym_AMP_EQ] = ACTIONS(5631),
    [anon_sym_CARET_EQ] = ACTIONS(5631),
    [anon_sym_PIPE_EQ] = ACTIONS(5631),
    [anon_sym_and_eq] = ACTIONS(5629),
    [anon_sym_or_eq] = ACTIONS(5629),
    [anon_sym_xor_eq] = ACTIONS(5629),
    [anon_sym_LT_EQ_GT] = ACTIONS(5631),
    [anon_sym_or] = ACTIONS(5629),
    [anon_sym_and] = ACTIONS(5629),
    [anon_sym_bitor] = ACTIONS(5629),
    [anon_sym_xor] = ACTIONS(5629),
    [anon_sym_bitand] = ACTIONS(5629),
    [anon_sym_not_eq] = ACTIONS(5629),
    [anon_sym_DASH_DASH] = ACTIONS(5631),
    [anon_sym_PLUS_PLUS] = ACTIONS(5631),
    [anon_sym_DOT] = ACTIONS(5629),
    [anon_sym_DOT_STAR] = ACTIONS(5631),
    [anon_sym_DASH_GT] = ACTIONS(5631),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5637),
    [anon_sym_decltype] = ACTIONS(5639),
  },
  [2056] = {
    [sym_argument_list] = STATE(2502),
    [sym_initializer_list] = STATE(2502),
    [sym_decltype_auto] = STATE(2215),
    [sym_new_declarator] = STATE(2226),
    [sym_identifier] = ACTIONS(5641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5643),
    [anon_sym_COMMA] = ACTIONS(5643),
    [anon_sym_RPAREN] = ACTIONS(5643),
    [aux_sym_preproc_if_token2] = ACTIONS(5643),
    [aux_sym_preproc_else_token1] = ACTIONS(5643),
    [aux_sym_preproc_elif_token1] = ACTIONS(5641),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5643),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5643),
    [anon_sym_LPAREN2] = ACTIONS(5633),
    [anon_sym_DASH] = ACTIONS(5641),
    [anon_sym_PLUS] = ACTIONS(5641),
    [anon_sym_STAR] = ACTIONS(5641),
    [anon_sym_SLASH] = ACTIONS(5641),
    [anon_sym_PERCENT] = ACTIONS(5641),
    [anon_sym_PIPE_PIPE] = ACTIONS(5643),
    [anon_sym_AMP_AMP] = ACTIONS(5643),
    [anon_sym_PIPE] = ACTIONS(5641),
    [anon_sym_CARET] = ACTIONS(5641),
    [anon_sym_AMP] = ACTIONS(5641),
    [anon_sym_EQ_EQ] = ACTIONS(5643),
    [anon_sym_BANG_EQ] = ACTIONS(5643),
    [anon_sym_GT] = ACTIONS(5641),
    [anon_sym_GT_EQ] = ACTIONS(5643),
    [anon_sym_LT_EQ] = ACTIONS(5641),
    [anon_sym_LT] = ACTIONS(5641),
    [anon_sym_LT_LT] = ACTIONS(5641),
    [anon_sym_GT_GT] = ACTIONS(5641),
    [anon_sym_SEMI] = ACTIONS(5643),
    [anon_sym___attribute__] = ACTIONS(5641),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_RBRACE] = ACTIONS(5643),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_RBRACK] = ACTIONS(5643),
    [anon_sym_EQ] = ACTIONS(5641),
    [anon_sym_COLON] = ACTIONS(5643),
    [anon_sym_QMARK] = ACTIONS(5643),
    [anon_sym_STAR_EQ] = ACTIONS(5643),
    [anon_sym_SLASH_EQ] = ACTIONS(5643),
    [anon_sym_PERCENT_EQ] = ACTIONS(5643),
    [anon_sym_PLUS_EQ] = ACTIONS(5643),
    [anon_sym_DASH_EQ] = ACTIONS(5643),
    [anon_sym_LT_LT_EQ] = ACTIONS(5643),
    [anon_sym_GT_GT_EQ] = ACTIONS(5643),
    [anon_sym_AMP_EQ] = ACTIONS(5643),
    [anon_sym_CARET_EQ] = ACTIONS(5643),
    [anon_sym_PIPE_EQ] = ACTIONS(5643),
    [anon_sym_and_eq] = ACTIONS(5641),
    [anon_sym_or_eq] = ACTIONS(5641),
    [anon_sym_xor_eq] = ACTIONS(5641),
    [anon_sym_LT_EQ_GT] = ACTIONS(5643),
    [anon_sym_or] = ACTIONS(5641),
    [anon_sym_and] = ACTIONS(5641),
    [anon_sym_bitor] = ACTIONS(5641),
    [anon_sym_xor] = ACTIONS(5641),
    [anon_sym_bitand] = ACTIONS(5641),
    [anon_sym_not_eq] = ACTIONS(5641),
    [anon_sym_DASH_DASH] = ACTIONS(5643),
    [anon_sym_PLUS_PLUS] = ACTIONS(5643),
    [anon_sym_DOT] = ACTIONS(5641),
    [anon_sym_DOT_STAR] = ACTIONS(5643),
    [anon_sym_DASH_GT] = ACTIONS(5643),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5637),
    [anon_sym_decltype] = ACTIONS(5639),
  },
  [2057] = {
    [sym_primitive_type] = STATE(2277),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_DASH] = ACTIONS(5345),
    [anon_sym_PLUS] = ACTIONS(5345),
    [anon_sym_STAR] = ACTIONS(5345),
    [anon_sym_SLASH] = ACTIONS(5345),
    [anon_sym_PERCENT] = ACTIONS(5345),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_PIPE] = ACTIONS(5345),
    [anon_sym_CARET] = ACTIONS(5345),
    [anon_sym_AMP] = ACTIONS(5345),
    [anon_sym_EQ_EQ] = ACTIONS(5343),
    [anon_sym_BANG_EQ] = ACTIONS(5343),
    [anon_sym_GT] = ACTIONS(5345),
    [anon_sym_GT_EQ] = ACTIONS(5343),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_LT] = ACTIONS(5345),
    [anon_sym_LT_LT] = ACTIONS(5345),
    [anon_sym_GT_GT] = ACTIONS(5345),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_RBRACE] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(5647),
    [anon_sym_unsigned] = ACTIONS(5647),
    [anon_sym_long] = ACTIONS(5647),
    [anon_sym_short] = ACTIONS(5647),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_RBRACK] = ACTIONS(5343),
    [anon_sym_EQ] = ACTIONS(5345),
    [aux_sym_primitive_type_token1] = ACTIONS(5649),
    [anon_sym_byte] = ACTIONS(5649),
    [anon_sym_word] = ACTIONS(5649),
    [anon_sym_COLON] = ACTIONS(5343),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_STAR_EQ] = ACTIONS(5343),
    [anon_sym_SLASH_EQ] = ACTIONS(5343),
    [anon_sym_PERCENT_EQ] = ACTIONS(5343),
    [anon_sym_PLUS_EQ] = ACTIONS(5343),
    [anon_sym_DASH_EQ] = ACTIONS(5343),
    [anon_sym_LT_LT_EQ] = ACTIONS(5343),
    [anon_sym_GT_GT_EQ] = ACTIONS(5343),
    [anon_sym_AMP_EQ] = ACTIONS(5343),
    [anon_sym_CARET_EQ] = ACTIONS(5343),
    [anon_sym_PIPE_EQ] = ACTIONS(5343),
    [anon_sym_and_eq] = ACTIONS(5345),
    [anon_sym_or_eq] = ACTIONS(5345),
    [anon_sym_xor_eq] = ACTIONS(5345),
    [anon_sym_LT_EQ_GT] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5345),
    [anon_sym_and] = ACTIONS(5345),
    [anon_sym_bitor] = ACTIONS(5345),
    [anon_sym_xor] = ACTIONS(5345),
    [anon_sym_bitand] = ACTIONS(5345),
    [anon_sym_not_eq] = ACTIONS(5345),
    [anon_sym_DASH_DASH] = ACTIONS(5343),
    [anon_sym_PLUS_PLUS] = ACTIONS(5343),
    [anon_sym_DOT] = ACTIONS(5345),
    [anon_sym_DOT_STAR] = ACTIONS(5343),
    [anon_sym_DASH_GT] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5345),
    [anon_sym_decltype] = ACTIONS(5345),
  },
  [2058] = {
    [sym_argument_list] = STATE(2438),
    [sym_initializer_list] = STATE(2438),
    [sym_decltype_auto] = STATE(2215),
    [sym_new_declarator] = STATE(2244),
    [sym_identifier] = ACTIONS(5651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5653),
    [anon_sym_COMMA] = ACTIONS(5653),
    [anon_sym_RPAREN] = ACTIONS(5653),
    [aux_sym_preproc_if_token2] = ACTIONS(5653),
    [aux_sym_preproc_else_token1] = ACTIONS(5653),
    [aux_sym_preproc_elif_token1] = ACTIONS(5651),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5653),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5653),
    [anon_sym_LPAREN2] = ACTIONS(5633),
    [anon_sym_DASH] = ACTIONS(5651),
    [anon_sym_PLUS] = ACTIONS(5651),
    [anon_sym_STAR] = ACTIONS(5651),
    [anon_sym_SLASH] = ACTIONS(5651),
    [anon_sym_PERCENT] = ACTIONS(5651),
    [anon_sym_PIPE_PIPE] = ACTIONS(5653),
    [anon_sym_AMP_AMP] = ACTIONS(5653),
    [anon_sym_PIPE] = ACTIONS(5651),
    [anon_sym_CARET] = ACTIONS(5651),
    [anon_sym_AMP] = ACTIONS(5651),
    [anon_sym_EQ_EQ] = ACTIONS(5653),
    [anon_sym_BANG_EQ] = ACTIONS(5653),
    [anon_sym_GT] = ACTIONS(5651),
    [anon_sym_GT_EQ] = ACTIONS(5653),
    [anon_sym_LT_EQ] = ACTIONS(5651),
    [anon_sym_LT] = ACTIONS(5651),
    [anon_sym_LT_LT] = ACTIONS(5651),
    [anon_sym_GT_GT] = ACTIONS(5651),
    [anon_sym_SEMI] = ACTIONS(5653),
    [anon_sym___attribute__] = ACTIONS(5651),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_RBRACE] = ACTIONS(5653),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_RBRACK] = ACTIONS(5653),
    [anon_sym_EQ] = ACTIONS(5651),
    [anon_sym_COLON] = ACTIONS(5653),
    [anon_sym_QMARK] = ACTIONS(5653),
    [anon_sym_STAR_EQ] = ACTIONS(5653),
    [anon_sym_SLASH_EQ] = ACTIONS(5653),
    [anon_sym_PERCENT_EQ] = ACTIONS(5653),
    [anon_sym_PLUS_EQ] = ACTIONS(5653),
    [anon_sym_DASH_EQ] = ACTIONS(5653),
    [anon_sym_LT_LT_EQ] = ACTIONS(5653),
    [anon_sym_GT_GT_EQ] = ACTIONS(5653),
    [anon_sym_AMP_EQ] = ACTIONS(5653),
    [anon_sym_CARET_EQ] = ACTIONS(5653),
    [anon_sym_PIPE_EQ] = ACTIONS(5653),
    [anon_sym_and_eq] = ACTIONS(5651),
    [anon_sym_or_eq] = ACTIONS(5651),
    [anon_sym_xor_eq] = ACTIONS(5651),
    [anon_sym_LT_EQ_GT] = ACTIONS(5653),
    [anon_sym_or] = ACTIONS(5651),
    [anon_sym_and] = ACTIONS(5651),
    [anon_sym_bitor] = ACTIONS(5651),
    [anon_sym_xor] = ACTIONS(5651),
    [anon_sym_bitand] = ACTIONS(5651),
    [anon_sym_not_eq] = ACTIONS(5651),
    [anon_sym_DASH_DASH] = ACTIONS(5653),
    [anon_sym_PLUS_PLUS] = ACTIONS(5653),
    [anon_sym_DOT] = ACTIONS(5651),
    [anon_sym_DOT_STAR] = ACTIONS(5653),
    [anon_sym_DASH_GT] = ACTIONS(5653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5637),
    [anon_sym_decltype] = ACTIONS(5639),
  },
  [2059] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2063),
    [sym_identifier] = ACTIONS(5163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5434),
    [anon_sym_COMMA] = ACTIONS(5434),
    [anon_sym_LPAREN2] = ACTIONS(5434),
    [anon_sym_DASH] = ACTIONS(5437),
    [anon_sym_PLUS] = ACTIONS(5437),
    [anon_sym_STAR] = ACTIONS(5434),
    [anon_sym_SLASH] = ACTIONS(5437),
    [anon_sym_PERCENT] = ACTIONS(5434),
    [anon_sym_PIPE_PIPE] = ACTIONS(5434),
    [anon_sym_AMP_AMP] = ACTIONS(5434),
    [anon_sym_PIPE] = ACTIONS(5437),
    [anon_sym_CARET] = ACTIONS(5434),
    [anon_sym_AMP] = ACTIONS(5437),
    [anon_sym_EQ_EQ] = ACTIONS(5434),
    [anon_sym_BANG_EQ] = ACTIONS(5434),
    [anon_sym_GT] = ACTIONS(5437),
    [anon_sym_GT_EQ] = ACTIONS(5437),
    [anon_sym_LT_EQ] = ACTIONS(5437),
    [anon_sym_LT] = ACTIONS(5437),
    [anon_sym_LT_LT] = ACTIONS(5434),
    [anon_sym_GT_GT] = ACTIONS(5437),
    [anon_sym___extension__] = ACTIONS(5437),
    [anon_sym___attribute__] = ACTIONS(5437),
    [anon_sym_LBRACE] = ACTIONS(5434),
    [anon_sym_signed] = ACTIONS(5655),
    [anon_sym_unsigned] = ACTIONS(5655),
    [anon_sym_long] = ACTIONS(5655),
    [anon_sym_short] = ACTIONS(5655),
    [anon_sym_LBRACK] = ACTIONS(5434),
    [anon_sym_const] = ACTIONS(5437),
    [anon_sym_constexpr] = ACTIONS(5437),
    [anon_sym_volatile] = ACTIONS(5437),
    [anon_sym_restrict] = ACTIONS(5437),
    [anon_sym___restrict__] = ACTIONS(5437),
    [anon_sym__Atomic] = ACTIONS(5437),
    [anon_sym__Noreturn] = ACTIONS(5437),
    [anon_sym_noreturn] = ACTIONS(5437),
    [anon_sym__Nonnull] = ACTIONS(5437),
    [anon_sym_mutable] = ACTIONS(5437),
    [anon_sym_constinit] = ACTIONS(5437),
    [anon_sym_consteval] = ACTIONS(5437),
    [anon_sym_PROGMEM] = ACTIONS(5437),
    [anon_sym_alignas] = ACTIONS(5437),
    [anon_sym__Alignas] = ACTIONS(5437),
    [aux_sym_primitive_type_token1] = ACTIONS(5163),
    [anon_sym_byte] = ACTIONS(5163),
    [anon_sym_word] = ACTIONS(5163),
    [anon_sym_QMARK] = ACTIONS(5434),
    [anon_sym_LT_EQ_GT] = ACTIONS(5434),
    [anon_sym_or] = ACTIONS(5437),
    [anon_sym_and] = ACTIONS(5437),
    [anon_sym_bitor] = ACTIONS(5437),
    [anon_sym_xor] = ACTIONS(5437),
    [anon_sym_bitand] = ACTIONS(5437),
    [anon_sym_not_eq] = ACTIONS(5437),
    [anon_sym_DASH_DASH] = ACTIONS(5434),
    [anon_sym_PLUS_PLUS] = ACTIONS(5434),
    [anon_sym_DOT] = ACTIONS(5437),
    [anon_sym_DOT_STAR] = ACTIONS(5434),
    [anon_sym_DASH_GT] = ACTIONS(5434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5437),
    [anon_sym_decltype] = ACTIONS(5437),
    [anon_sym_final] = ACTIONS(5437),
    [anon_sym_override] = ACTIONS(5437),
    [anon_sym_GT2] = ACTIONS(5434),
    [anon_sym_requires] = ACTIONS(5437),
  },
  [2060] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5386),
    [anon_sym_COMMA] = ACTIONS(5386),
    [anon_sym_RPAREN] = ACTIONS(5386),
    [anon_sym_LPAREN2] = ACTIONS(5386),
    [anon_sym_DASH] = ACTIONS(5384),
    [anon_sym_PLUS] = ACTIONS(5384),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_SLASH] = ACTIONS(5384),
    [anon_sym_PERCENT] = ACTIONS(5386),
    [anon_sym_PIPE_PIPE] = ACTIONS(5386),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_PIPE] = ACTIONS(5384),
    [anon_sym_CARET] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(5384),
    [anon_sym_EQ_EQ] = ACTIONS(5386),
    [anon_sym_BANG_EQ] = ACTIONS(5386),
    [anon_sym_GT] = ACTIONS(5384),
    [anon_sym_GT_EQ] = ACTIONS(5386),
    [anon_sym_LT_EQ] = ACTIONS(5384),
    [anon_sym_LT] = ACTIONS(5384),
    [anon_sym_LT_LT] = ACTIONS(5386),
    [anon_sym_GT_GT] = ACTIONS(5386),
    [anon_sym_SEMI] = ACTIONS(5386),
    [anon_sym___extension__] = ACTIONS(5386),
    [anon_sym___attribute__] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5386),
    [anon_sym_RBRACE] = ACTIONS(5386),
    [anon_sym_signed] = ACTIONS(5658),
    [anon_sym_unsigned] = ACTIONS(5658),
    [anon_sym_long] = ACTIONS(5658),
    [anon_sym_short] = ACTIONS(5658),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_RBRACK] = ACTIONS(5386),
    [anon_sym_const] = ACTIONS(5384),
    [anon_sym_constexpr] = ACTIONS(5386),
    [anon_sym_volatile] = ACTIONS(5386),
    [anon_sym_restrict] = ACTIONS(5386),
    [anon_sym___restrict__] = ACTIONS(5386),
    [anon_sym__Atomic] = ACTIONS(5386),
    [anon_sym__Noreturn] = ACTIONS(5386),
    [anon_sym_noreturn] = ACTIONS(5386),
    [anon_sym__Nonnull] = ACTIONS(5386),
    [anon_sym_mutable] = ACTIONS(5386),
    [anon_sym_constinit] = ACTIONS(5386),
    [anon_sym_consteval] = ACTIONS(5386),
    [anon_sym_PROGMEM] = ACTIONS(5386),
    [anon_sym_alignas] = ACTIONS(5386),
    [anon_sym__Alignas] = ACTIONS(5386),
    [anon_sym_COLON] = ACTIONS(5386),
    [anon_sym_QMARK] = ACTIONS(5386),
    [anon_sym_LT_EQ_GT] = ACTIONS(5386),
    [anon_sym_or] = ACTIONS(5386),
    [anon_sym_and] = ACTIONS(5386),
    [anon_sym_bitor] = ACTIONS(5386),
    [anon_sym_xor] = ACTIONS(5386),
    [anon_sym_bitand] = ACTIONS(5386),
    [anon_sym_not_eq] = ACTIONS(5386),
    [anon_sym_DASH_DASH] = ACTIONS(5386),
    [anon_sym_PLUS_PLUS] = ACTIONS(5386),
    [anon_sym_DOT] = ACTIONS(5384),
    [anon_sym_DOT_STAR] = ACTIONS(5386),
    [anon_sym_DASH_GT] = ACTIONS(5386),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5386),
    [anon_sym_decltype] = ACTIONS(5386),
    [anon_sym_final] = ACTIONS(5386),
    [anon_sym_override] = ACTIONS(5386),
    [anon_sym_requires] = ACTIONS(5386),
  },
  [2061] = {
    [sym_argument_list] = STATE(2411),
    [sym_initializer_list] = STATE(2411),
    [sym_decltype_auto] = STATE(2215),
    [sym_new_declarator] = STATE(2200),
    [sym_identifier] = ACTIONS(5660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5662),
    [anon_sym_COMMA] = ACTIONS(5662),
    [anon_sym_RPAREN] = ACTIONS(5662),
    [aux_sym_preproc_if_token2] = ACTIONS(5662),
    [aux_sym_preproc_else_token1] = ACTIONS(5662),
    [aux_sym_preproc_elif_token1] = ACTIONS(5660),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5662),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5662),
    [anon_sym_LPAREN2] = ACTIONS(5633),
    [anon_sym_DASH] = ACTIONS(5660),
    [anon_sym_PLUS] = ACTIONS(5660),
    [anon_sym_STAR] = ACTIONS(5660),
    [anon_sym_SLASH] = ACTIONS(5660),
    [anon_sym_PERCENT] = ACTIONS(5660),
    [anon_sym_PIPE_PIPE] = ACTIONS(5662),
    [anon_sym_AMP_AMP] = ACTIONS(5662),
    [anon_sym_PIPE] = ACTIONS(5660),
    [anon_sym_CARET] = ACTIONS(5660),
    [anon_sym_AMP] = ACTIONS(5660),
    [anon_sym_EQ_EQ] = ACTIONS(5662),
    [anon_sym_BANG_EQ] = ACTIONS(5662),
    [anon_sym_GT] = ACTIONS(5660),
    [anon_sym_GT_EQ] = ACTIONS(5662),
    [anon_sym_LT_EQ] = ACTIONS(5660),
    [anon_sym_LT] = ACTIONS(5660),
    [anon_sym_LT_LT] = ACTIONS(5660),
    [anon_sym_GT_GT] = ACTIONS(5660),
    [anon_sym_SEMI] = ACTIONS(5662),
    [anon_sym___attribute__] = ACTIONS(5660),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_RBRACE] = ACTIONS(5662),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_RBRACK] = ACTIONS(5662),
    [anon_sym_EQ] = ACTIONS(5660),
    [anon_sym_COLON] = ACTIONS(5662),
    [anon_sym_QMARK] = ACTIONS(5662),
    [anon_sym_STAR_EQ] = ACTIONS(5662),
    [anon_sym_SLASH_EQ] = ACTIONS(5662),
    [anon_sym_PERCENT_EQ] = ACTIONS(5662),
    [anon_sym_PLUS_EQ] = ACTIONS(5662),
    [anon_sym_DASH_EQ] = ACTIONS(5662),
    [anon_sym_LT_LT_EQ] = ACTIONS(5662),
    [anon_sym_GT_GT_EQ] = ACTIONS(5662),
    [anon_sym_AMP_EQ] = ACTIONS(5662),
    [anon_sym_CARET_EQ] = ACTIONS(5662),
    [anon_sym_PIPE_EQ] = ACTIONS(5662),
    [anon_sym_and_eq] = ACTIONS(5660),
    [anon_sym_or_eq] = ACTIONS(5660),
    [anon_sym_xor_eq] = ACTIONS(5660),
    [anon_sym_LT_EQ_GT] = ACTIONS(5662),
    [anon_sym_or] = ACTIONS(5660),
    [anon_sym_and] = ACTIONS(5660),
    [anon_sym_bitor] = ACTIONS(5660),
    [anon_sym_xor] = ACTIONS(5660),
    [anon_sym_bitand] = ACTIONS(5660),
    [anon_sym_not_eq] = ACTIONS(5660),
    [anon_sym_DASH_DASH] = ACTIONS(5662),
    [anon_sym_PLUS_PLUS] = ACTIONS(5662),
    [anon_sym_DOT] = ACTIONS(5660),
    [anon_sym_DOT_STAR] = ACTIONS(5662),
    [anon_sym_DASH_GT] = ACTIONS(5662),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5637),
    [anon_sym_decltype] = ACTIONS(5639),
  },
  [2062] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5339),
    [anon_sym_COMMA] = ACTIONS(5339),
    [anon_sym_RPAREN] = ACTIONS(5339),
    [anon_sym_LPAREN2] = ACTIONS(5339),
    [anon_sym_DASH] = ACTIONS(5337),
    [anon_sym_PLUS] = ACTIONS(5337),
    [anon_sym_STAR] = ACTIONS(5339),
    [anon_sym_SLASH] = ACTIONS(5337),
    [anon_sym_PERCENT] = ACTIONS(5339),
    [anon_sym_PIPE_PIPE] = ACTIONS(5339),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_PIPE] = ACTIONS(5337),
    [anon_sym_CARET] = ACTIONS(5339),
    [anon_sym_AMP] = ACTIONS(5337),
    [anon_sym_EQ_EQ] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5339),
    [anon_sym_GT] = ACTIONS(5337),
    [anon_sym_GT_EQ] = ACTIONS(5339),
    [anon_sym_LT_EQ] = ACTIONS(5337),
    [anon_sym_LT] = ACTIONS(5337),
    [anon_sym_LT_LT] = ACTIONS(5339),
    [anon_sym_GT_GT] = ACTIONS(5339),
    [anon_sym_SEMI] = ACTIONS(5339),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym___attribute__] = ACTIONS(5339),
    [anon_sym_LBRACE] = ACTIONS(5339),
    [anon_sym_RBRACE] = ACTIONS(5339),
    [anon_sym_signed] = ACTIONS(5658),
    [anon_sym_unsigned] = ACTIONS(5658),
    [anon_sym_long] = ACTIONS(5658),
    [anon_sym_short] = ACTIONS(5658),
    [anon_sym_LBRACK] = ACTIONS(5339),
    [anon_sym_RBRACK] = ACTIONS(5339),
    [anon_sym_const] = ACTIONS(5337),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym__Nonnull] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [anon_sym_PROGMEM] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5339),
    [anon_sym__Alignas] = ACTIONS(5339),
    [anon_sym_COLON] = ACTIONS(5339),
    [anon_sym_QMARK] = ACTIONS(5339),
    [anon_sym_LT_EQ_GT] = ACTIONS(5339),
    [anon_sym_or] = ACTIONS(5339),
    [anon_sym_and] = ACTIONS(5339),
    [anon_sym_bitor] = ACTIONS(5339),
    [anon_sym_xor] = ACTIONS(5339),
    [anon_sym_bitand] = ACTIONS(5339),
    [anon_sym_not_eq] = ACTIONS(5339),
    [anon_sym_DASH_DASH] = ACTIONS(5339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5339),
    [anon_sym_DOT] = ACTIONS(5337),
    [anon_sym_DOT_STAR] = ACTIONS(5339),
    [anon_sym_DASH_GT] = ACTIONS(5339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5339),
    [anon_sym_decltype] = ACTIONS(5339),
    [anon_sym_final] = ACTIONS(5339),
    [anon_sym_override] = ACTIONS(5339),
    [anon_sym_requires] = ACTIONS(5339),
  },
  [2063] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2063),
    [sym_identifier] = ACTIONS(5163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5165),
    [anon_sym_COMMA] = ACTIONS(5165),
    [anon_sym_LPAREN2] = ACTIONS(5165),
    [anon_sym_DASH] = ACTIONS(5163),
    [anon_sym_PLUS] = ACTIONS(5163),
    [anon_sym_STAR] = ACTIONS(5165),
    [anon_sym_SLASH] = ACTIONS(5163),
    [anon_sym_PERCENT] = ACTIONS(5165),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5165),
    [anon_sym_PIPE] = ACTIONS(5163),
    [anon_sym_CARET] = ACTIONS(5165),
    [anon_sym_AMP] = ACTIONS(5163),
    [anon_sym_EQ_EQ] = ACTIONS(5165),
    [anon_sym_BANG_EQ] = ACTIONS(5165),
    [anon_sym_GT] = ACTIONS(5163),
    [anon_sym_GT_EQ] = ACTIONS(5163),
    [anon_sym_LT_EQ] = ACTIONS(5163),
    [anon_sym_LT] = ACTIONS(5163),
    [anon_sym_LT_LT] = ACTIONS(5165),
    [anon_sym_GT_GT] = ACTIONS(5163),
    [anon_sym___extension__] = ACTIONS(5163),
    [anon_sym___attribute__] = ACTIONS(5163),
    [anon_sym_LBRACE] = ACTIONS(5165),
    [anon_sym_signed] = ACTIONS(5655),
    [anon_sym_unsigned] = ACTIONS(5655),
    [anon_sym_long] = ACTIONS(5655),
    [anon_sym_short] = ACTIONS(5655),
    [anon_sym_LBRACK] = ACTIONS(5165),
    [anon_sym_const] = ACTIONS(5163),
    [anon_sym_constexpr] = ACTIONS(5163),
    [anon_sym_volatile] = ACTIONS(5163),
    [anon_sym_restrict] = ACTIONS(5163),
    [anon_sym___restrict__] = ACTIONS(5163),
    [anon_sym__Atomic] = ACTIONS(5163),
    [anon_sym__Noreturn] = ACTIONS(5163),
    [anon_sym_noreturn] = ACTIONS(5163),
    [anon_sym__Nonnull] = ACTIONS(5163),
    [anon_sym_mutable] = ACTIONS(5163),
    [anon_sym_constinit] = ACTIONS(5163),
    [anon_sym_consteval] = ACTIONS(5163),
    [anon_sym_PROGMEM] = ACTIONS(5163),
    [anon_sym_alignas] = ACTIONS(5163),
    [anon_sym__Alignas] = ACTIONS(5163),
    [aux_sym_primitive_type_token1] = ACTIONS(5163),
    [anon_sym_byte] = ACTIONS(5163),
    [anon_sym_word] = ACTIONS(5163),
    [anon_sym_QMARK] = ACTIONS(5165),
    [anon_sym_LT_EQ_GT] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5163),
    [anon_sym_and] = ACTIONS(5163),
    [anon_sym_bitor] = ACTIONS(5163),
    [anon_sym_xor] = ACTIONS(5163),
    [anon_sym_bitand] = ACTIONS(5163),
    [anon_sym_not_eq] = ACTIONS(5163),
    [anon_sym_DASH_DASH] = ACTIONS(5165),
    [anon_sym_PLUS_PLUS] = ACTIONS(5165),
    [anon_sym_DOT] = ACTIONS(5163),
    [anon_sym_DOT_STAR] = ACTIONS(5165),
    [anon_sym_DASH_GT] = ACTIONS(5165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5163),
    [anon_sym_decltype] = ACTIONS(5163),
    [anon_sym_final] = ACTIONS(5163),
    [anon_sym_override] = ACTIONS(5163),
    [anon_sym_GT2] = ACTIONS(5165),
    [anon_sym_requires] = ACTIONS(5163),
  },
  [2064] = {
    [sym_ms_based_modifier] = STATE(7620),
    [sym_ms_unaligned_ptr_modifier] = STATE(3982),
    [sym_ms_pointer_modifier] = STATE(3854),
    [sym__declarator] = STATE(6047),
    [sym__abstract_declarator] = STATE(6074),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_abstract_parenthesized_declarator] = STATE(5817),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_abstract_pointer_declarator] = STATE(5817),
    [sym_function_declarator] = STATE(5932),
    [sym_abstract_function_declarator] = STATE(5817),
    [sym_array_declarator] = STATE(5932),
    [sym_abstract_array_declarator] = STATE(5817),
    [sym_type_qualifier] = STATE(2564),
    [sym_alignas_qualifier] = STATE(4236),
    [sym_parameter_list] = STATE(2711),
    [sym_decltype] = STATE(8169),
    [sym_reference_declarator] = STATE(5932),
    [sym_abstract_reference_declarator] = STATE(5817),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym__function_declarator_seq] = STATE(5892),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(5932),
    [sym_operator_name] = STATE(5932),
    [aux_sym__type_definition_type_repeat1] = STATE(2564),
    [aux_sym_pointer_declarator_repeat1] = STATE(3854),
    [sym_identifier] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5666),
    [anon_sym_RPAREN] = ACTIONS(5666),
    [anon_sym_LPAREN2] = ACTIONS(4180),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(5668),
    [anon_sym_AMP_AMP] = ACTIONS(5670),
    [anon_sym_AMP] = ACTIONS(5672),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(5674),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2688),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2688),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2688),
    [anon_sym__unaligned] = ACTIONS(2690),
    [anon_sym___unaligned] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_EQ] = ACTIONS(5666),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym__Nonnull] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_PROGMEM] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym__Alignas] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(5666),
    [anon_sym_operator] = ACTIONS(1829),
  },
  [2065] = {
    [sym_identifier] = ACTIONS(5527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5529),
    [anon_sym_COMMA] = ACTIONS(5529),
    [anon_sym_RPAREN] = ACTIONS(5529),
    [aux_sym_preproc_if_token2] = ACTIONS(5529),
    [aux_sym_preproc_else_token1] = ACTIONS(5529),
    [aux_sym_preproc_elif_token1] = ACTIONS(5527),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5529),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5529),
    [anon_sym_LPAREN2] = ACTIONS(5529),
    [anon_sym_DASH] = ACTIONS(5527),
    [anon_sym_PLUS] = ACTIONS(5527),
    [anon_sym_STAR] = ACTIONS(5527),
    [anon_sym_SLASH] = ACTIONS(5527),
    [anon_sym_PERCENT] = ACTIONS(5527),
    [anon_sym_PIPE_PIPE] = ACTIONS(5529),
    [anon_sym_AMP_AMP] = ACTIONS(5529),
    [anon_sym_PIPE] = ACTIONS(5527),
    [anon_sym_CARET] = ACTIONS(5527),
    [anon_sym_AMP] = ACTIONS(5527),
    [anon_sym_EQ_EQ] = ACTIONS(5529),
    [anon_sym_BANG_EQ] = ACTIONS(5529),
    [anon_sym_GT] = ACTIONS(5527),
    [anon_sym_GT_EQ] = ACTIONS(5529),
    [anon_sym_LT_EQ] = ACTIONS(5527),
    [anon_sym_LT] = ACTIONS(5527),
    [anon_sym_LT_LT] = ACTIONS(5527),
    [anon_sym_GT_GT] = ACTIONS(5527),
    [anon_sym_SEMI] = ACTIONS(5529),
    [anon_sym___attribute__] = ACTIONS(5527),
    [anon_sym_LBRACE] = ACTIONS(5529),
    [anon_sym_RBRACE] = ACTIONS(5529),
    [anon_sym_signed] = ACTIONS(5527),
    [anon_sym_unsigned] = ACTIONS(5527),
    [anon_sym_long] = ACTIONS(5527),
    [anon_sym_short] = ACTIONS(5527),
    [anon_sym_LBRACK] = ACTIONS(5529),
    [anon_sym_RBRACK] = ACTIONS(5529),
    [anon_sym_EQ] = ACTIONS(5527),
    [anon_sym_COLON] = ACTIONS(5529),
    [anon_sym_QMARK] = ACTIONS(5529),
    [anon_sym_STAR_EQ] = ACTIONS(5529),
    [anon_sym_SLASH_EQ] = ACTIONS(5529),
    [anon_sym_PERCENT_EQ] = ACTIONS(5529),
    [anon_sym_PLUS_EQ] = ACTIONS(5529),
    [anon_sym_DASH_EQ] = ACTIONS(5529),
    [anon_sym_LT_LT_EQ] = ACTIONS(5529),
    [anon_sym_GT_GT_EQ] = ACTIONS(5529),
    [anon_sym_AMP_EQ] = ACTIONS(5529),
    [anon_sym_CARET_EQ] = ACTIONS(5529),
    [anon_sym_PIPE_EQ] = ACTIONS(5529),
    [anon_sym_and_eq] = ACTIONS(5527),
    [anon_sym_or_eq] = ACTIONS(5527),
    [anon_sym_xor_eq] = ACTIONS(5527),
    [anon_sym_LT_EQ_GT] = ACTIONS(5529),
    [anon_sym_or] = ACTIONS(5527),
    [anon_sym_and] = ACTIONS(5527),
    [anon_sym_bitor] = ACTIONS(5527),
    [anon_sym_xor] = ACTIONS(5527),
    [anon_sym_bitand] = ACTIONS(5527),
    [anon_sym_not_eq] = ACTIONS(5527),
    [anon_sym_DASH_DASH] = ACTIONS(5529),
    [anon_sym_PLUS_PLUS] = ACTIONS(5529),
    [anon_sym_DOT] = ACTIONS(5527),
    [anon_sym_DOT_STAR] = ACTIONS(5529),
    [anon_sym_DASH_GT] = ACTIONS(5529),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5527),
    [anon_sym_decltype] = ACTIONS(5527),
  },
  [2066] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1618),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_RPAREN] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5680),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_SLASH] = ACTIONS(5680),
    [anon_sym_PERCENT] = ACTIONS(5678),
    [anon_sym_PIPE_PIPE] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_PIPE] = ACTIONS(5680),
    [anon_sym_CARET] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5680),
    [anon_sym_EQ_EQ] = ACTIONS(5678),
    [anon_sym_BANG_EQ] = ACTIONS(5678),
    [anon_sym_GT] = ACTIONS(5680),
    [anon_sym_GT_EQ] = ACTIONS(5678),
    [anon_sym_LT_EQ] = ACTIONS(5680),
    [anon_sym_LT] = ACTIONS(5680),
    [anon_sym_LT_LT] = ACTIONS(5678),
    [anon_sym_GT_GT] = ACTIONS(5678),
    [anon_sym_SEMI] = ACTIONS(5678),
    [anon_sym___extension__] = ACTIONS(5678),
    [anon_sym___attribute__] = ACTIONS(5678),
    [anon_sym_LBRACE] = ACTIONS(5678),
    [anon_sym_RBRACE] = ACTIONS(5678),
    [anon_sym_signed] = ACTIONS(5611),
    [anon_sym_unsigned] = ACTIONS(5611),
    [anon_sym_long] = ACTIONS(5611),
    [anon_sym_short] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [anon_sym_RBRACK] = ACTIONS(5678),
    [anon_sym_const] = ACTIONS(5680),
    [anon_sym_constexpr] = ACTIONS(5678),
    [anon_sym_volatile] = ACTIONS(5678),
    [anon_sym_restrict] = ACTIONS(5678),
    [anon_sym___restrict__] = ACTIONS(5678),
    [anon_sym__Atomic] = ACTIONS(5678),
    [anon_sym__Noreturn] = ACTIONS(5678),
    [anon_sym_noreturn] = ACTIONS(5678),
    [anon_sym__Nonnull] = ACTIONS(5678),
    [anon_sym_mutable] = ACTIONS(5678),
    [anon_sym_constinit] = ACTIONS(5678),
    [anon_sym_consteval] = ACTIONS(5678),
    [anon_sym_PROGMEM] = ACTIONS(5678),
    [anon_sym_alignas] = ACTIONS(5678),
    [anon_sym__Alignas] = ACTIONS(5678),
    [anon_sym_COLON] = ACTIONS(5678),
    [anon_sym_QMARK] = ACTIONS(5678),
    [anon_sym_LT_EQ_GT] = ACTIONS(5678),
    [anon_sym_or] = ACTIONS(5678),
    [anon_sym_and] = ACTIONS(5678),
    [anon_sym_bitor] = ACTIONS(5678),
    [anon_sym_xor] = ACTIONS(5678),
    [anon_sym_bitand] = ACTIONS(5678),
    [anon_sym_not_eq] = ACTIONS(5678),
    [anon_sym_DASH_DASH] = ACTIONS(5678),
    [anon_sym_PLUS_PLUS] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5680),
    [anon_sym_DOT_STAR] = ACTIONS(5678),
    [anon_sym_DASH_GT] = ACTIONS(5678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5678),
    [anon_sym_decltype] = ACTIONS(5678),
    [anon_sym_final] = ACTIONS(5678),
    [anon_sym_override] = ACTIONS(5678),
    [anon_sym_requires] = ACTIONS(5678),
  },
  [2067] = {
    [sym_primitive_type] = STATE(2251),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2076),
    [sym_identifier] = ACTIONS(5682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [aux_sym_preproc_if_token2] = ACTIONS(5343),
    [aux_sym_preproc_else_token1] = ACTIONS(5343),
    [aux_sym_preproc_elif_token1] = ACTIONS(5345),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5343),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_DASH] = ACTIONS(5345),
    [anon_sym_PLUS] = ACTIONS(5345),
    [anon_sym_STAR] = ACTIONS(5345),
    [anon_sym_SLASH] = ACTIONS(5345),
    [anon_sym_PERCENT] = ACTIONS(5345),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_PIPE] = ACTIONS(5345),
    [anon_sym_CARET] = ACTIONS(5345),
    [anon_sym_AMP] = ACTIONS(5345),
    [anon_sym_EQ_EQ] = ACTIONS(5343),
    [anon_sym_BANG_EQ] = ACTIONS(5343),
    [anon_sym_GT] = ACTIONS(5345),
    [anon_sym_GT_EQ] = ACTIONS(5343),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_LT] = ACTIONS(5345),
    [anon_sym_LT_LT] = ACTIONS(5345),
    [anon_sym_GT_GT] = ACTIONS(5345),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(5685),
    [anon_sym_unsigned] = ACTIONS(5685),
    [anon_sym_long] = ACTIONS(5685),
    [anon_sym_short] = ACTIONS(5685),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_EQ] = ACTIONS(5345),
    [aux_sym_primitive_type_token1] = ACTIONS(5649),
    [anon_sym_byte] = ACTIONS(5649),
    [anon_sym_word] = ACTIONS(5649),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_STAR_EQ] = ACTIONS(5343),
    [anon_sym_SLASH_EQ] = ACTIONS(5343),
    [anon_sym_PERCENT_EQ] = ACTIONS(5343),
    [anon_sym_PLUS_EQ] = ACTIONS(5343),
    [anon_sym_DASH_EQ] = ACTIONS(5343),
    [anon_sym_LT_LT_EQ] = ACTIONS(5343),
    [anon_sym_GT_GT_EQ] = ACTIONS(5343),
    [anon_sym_AMP_EQ] = ACTIONS(5343),
    [anon_sym_CARET_EQ] = ACTIONS(5343),
    [anon_sym_PIPE_EQ] = ACTIONS(5343),
    [anon_sym_and_eq] = ACTIONS(5345),
    [anon_sym_or_eq] = ACTIONS(5345),
    [anon_sym_xor_eq] = ACTIONS(5345),
    [anon_sym_LT_EQ_GT] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5345),
    [anon_sym_and] = ACTIONS(5345),
    [anon_sym_bitor] = ACTIONS(5345),
    [anon_sym_xor] = ACTIONS(5345),
    [anon_sym_bitand] = ACTIONS(5345),
    [anon_sym_not_eq] = ACTIONS(5345),
    [anon_sym_DASH_DASH] = ACTIONS(5343),
    [anon_sym_PLUS_PLUS] = ACTIONS(5343),
    [anon_sym_DOT] = ACTIONS(5345),
    [anon_sym_DOT_STAR] = ACTIONS(5343),
    [anon_sym_DASH_GT] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5345),
    [anon_sym_decltype] = ACTIONS(5345),
  },
  [2068] = {
    [sym_ms_based_modifier] = STATE(7620),
    [sym_ms_unaligned_ptr_modifier] = STATE(3982),
    [sym_ms_pointer_modifier] = STATE(2064),
    [sym__declarator] = STATE(6029),
    [sym__abstract_declarator] = STATE(6095),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_abstract_parenthesized_declarator] = STATE(5817),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_abstract_pointer_declarator] = STATE(5817),
    [sym_function_declarator] = STATE(5932),
    [sym_abstract_function_declarator] = STATE(5817),
    [sym_array_declarator] = STATE(5932),
    [sym_abstract_array_declarator] = STATE(5817),
    [sym_type_qualifier] = STATE(2547),
    [sym_alignas_qualifier] = STATE(4236),
    [sym_parameter_list] = STATE(2711),
    [sym_decltype] = STATE(8169),
    [sym_reference_declarator] = STATE(5932),
    [sym_abstract_reference_declarator] = STATE(5817),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym__function_declarator_seq] = STATE(5892),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(5932),
    [sym_operator_name] = STATE(5932),
    [aux_sym__type_definition_type_repeat1] = STATE(2547),
    [aux_sym_pointer_declarator_repeat1] = STATE(2064),
    [sym_identifier] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5687),
    [anon_sym_RPAREN] = ACTIONS(5687),
    [anon_sym_LPAREN2] = ACTIONS(4180),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(5668),
    [anon_sym_AMP_AMP] = ACTIONS(5670),
    [anon_sym_AMP] = ACTIONS(5672),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(5674),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2688),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2688),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2688),
    [anon_sym__unaligned] = ACTIONS(2690),
    [anon_sym___unaligned] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_EQ] = ACTIONS(5687),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym__Nonnull] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_PROGMEM] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym__Alignas] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(5687),
    [anon_sym_operator] = ACTIONS(1829),
  },
  [2069] = {
    [sym_template_argument_list] = STATE(2090),
    [sym_identifier] = ACTIONS(4912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4919),
    [anon_sym_COMMA] = ACTIONS(4919),
    [anon_sym_RPAREN] = ACTIONS(4919),
    [aux_sym_preproc_if_token2] = ACTIONS(4919),
    [aux_sym_preproc_else_token1] = ACTIONS(4919),
    [aux_sym_preproc_elif_token1] = ACTIONS(4912),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4919),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4919),
    [anon_sym_LPAREN2] = ACTIONS(4919),
    [anon_sym_DASH] = ACTIONS(4912),
    [anon_sym_PLUS] = ACTIONS(4912),
    [anon_sym_STAR] = ACTIONS(4912),
    [anon_sym_SLASH] = ACTIONS(4912),
    [anon_sym_PERCENT] = ACTIONS(4912),
    [anon_sym_PIPE_PIPE] = ACTIONS(4919),
    [anon_sym_AMP_AMP] = ACTIONS(4919),
    [anon_sym_PIPE] = ACTIONS(4912),
    [anon_sym_CARET] = ACTIONS(4912),
    [anon_sym_AMP] = ACTIONS(4912),
    [anon_sym_EQ_EQ] = ACTIONS(4919),
    [anon_sym_BANG_EQ] = ACTIONS(4919),
    [anon_sym_GT] = ACTIONS(4912),
    [anon_sym_GT_EQ] = ACTIONS(4919),
    [anon_sym_LT_EQ] = ACTIONS(4912),
    [anon_sym_LT] = ACTIONS(5689),
    [anon_sym_LT_LT] = ACTIONS(4912),
    [anon_sym_GT_GT] = ACTIONS(4912),
    [anon_sym_SEMI] = ACTIONS(4919),
    [anon_sym___attribute__] = ACTIONS(4912),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4919),
    [anon_sym_RBRACE] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4919),
    [anon_sym_RBRACK] = ACTIONS(4919),
    [anon_sym_EQ] = ACTIONS(4912),
    [anon_sym_COLON] = ACTIONS(4912),
    [anon_sym_QMARK] = ACTIONS(4919),
    [anon_sym_STAR_EQ] = ACTIONS(4919),
    [anon_sym_SLASH_EQ] = ACTIONS(4919),
    [anon_sym_PERCENT_EQ] = ACTIONS(4919),
    [anon_sym_PLUS_EQ] = ACTIONS(4919),
    [anon_sym_DASH_EQ] = ACTIONS(4919),
    [anon_sym_LT_LT_EQ] = ACTIONS(4919),
    [anon_sym_GT_GT_EQ] = ACTIONS(4919),
    [anon_sym_AMP_EQ] = ACTIONS(4919),
    [anon_sym_CARET_EQ] = ACTIONS(4919),
    [anon_sym_PIPE_EQ] = ACTIONS(4919),
    [anon_sym_and_eq] = ACTIONS(4912),
    [anon_sym_or_eq] = ACTIONS(4912),
    [anon_sym_xor_eq] = ACTIONS(4912),
    [anon_sym_LT_EQ_GT] = ACTIONS(4919),
    [anon_sym_or] = ACTIONS(4912),
    [anon_sym_and] = ACTIONS(4912),
    [anon_sym_bitor] = ACTIONS(4912),
    [anon_sym_xor] = ACTIONS(4912),
    [anon_sym_bitand] = ACTIONS(4912),
    [anon_sym_not_eq] = ACTIONS(4912),
    [anon_sym_DASH_DASH] = ACTIONS(4919),
    [anon_sym_PLUS_PLUS] = ACTIONS(4919),
    [anon_sym_DOT] = ACTIONS(4912),
    [anon_sym_DOT_STAR] = ACTIONS(4919),
    [anon_sym_DASH_GT] = ACTIONS(4919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4912),
    [anon_sym_decltype] = ACTIONS(4912),
    [anon_sym_final] = ACTIONS(4912),
    [anon_sym_override] = ACTIONS(4912),
  },
  [2070] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1618),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5692),
    [anon_sym_COMMA] = ACTIONS(5692),
    [anon_sym_RPAREN] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_STAR] = ACTIONS(5692),
    [anon_sym_SLASH] = ACTIONS(5694),
    [anon_sym_PERCENT] = ACTIONS(5692),
    [anon_sym_PIPE_PIPE] = ACTIONS(5692),
    [anon_sym_AMP_AMP] = ACTIONS(5692),
    [anon_sym_PIPE] = ACTIONS(5694),
    [anon_sym_CARET] = ACTIONS(5692),
    [anon_sym_AMP] = ACTIONS(5694),
    [anon_sym_EQ_EQ] = ACTIONS(5692),
    [anon_sym_BANG_EQ] = ACTIONS(5692),
    [anon_sym_GT] = ACTIONS(5694),
    [anon_sym_GT_EQ] = ACTIONS(5692),
    [anon_sym_LT_EQ] = ACTIONS(5694),
    [anon_sym_LT] = ACTIONS(5694),
    [anon_sym_LT_LT] = ACTIONS(5692),
    [anon_sym_GT_GT] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(5692),
    [anon_sym___extension__] = ACTIONS(5692),
    [anon_sym___attribute__] = ACTIONS(5692),
    [anon_sym_LBRACE] = ACTIONS(5692),
    [anon_sym_RBRACE] = ACTIONS(5692),
    [anon_sym_signed] = ACTIONS(5611),
    [anon_sym_unsigned] = ACTIONS(5611),
    [anon_sym_long] = ACTIONS(5611),
    [anon_sym_short] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5692),
    [anon_sym_RBRACK] = ACTIONS(5692),
    [anon_sym_const] = ACTIONS(5694),
    [anon_sym_constexpr] = ACTIONS(5692),
    [anon_sym_volatile] = ACTIONS(5692),
    [anon_sym_restrict] = ACTIONS(5692),
    [anon_sym___restrict__] = ACTIONS(5692),
    [anon_sym__Atomic] = ACTIONS(5692),
    [anon_sym__Noreturn] = ACTIONS(5692),
    [anon_sym_noreturn] = ACTIONS(5692),
    [anon_sym__Nonnull] = ACTIONS(5692),
    [anon_sym_mutable] = ACTIONS(5692),
    [anon_sym_constinit] = ACTIONS(5692),
    [anon_sym_consteval] = ACTIONS(5692),
    [anon_sym_PROGMEM] = ACTIONS(5692),
    [anon_sym_alignas] = ACTIONS(5692),
    [anon_sym__Alignas] = ACTIONS(5692),
    [anon_sym_COLON] = ACTIONS(5692),
    [anon_sym_QMARK] = ACTIONS(5692),
    [anon_sym_LT_EQ_GT] = ACTIONS(5692),
    [anon_sym_or] = ACTIONS(5692),
    [anon_sym_and] = ACTIONS(5692),
    [anon_sym_bitor] = ACTIONS(5692),
    [anon_sym_xor] = ACTIONS(5692),
    [anon_sym_bitand] = ACTIONS(5692),
    [anon_sym_not_eq] = ACTIONS(5692),
    [anon_sym_DASH_DASH] = ACTIONS(5692),
    [anon_sym_PLUS_PLUS] = ACTIONS(5692),
    [anon_sym_DOT] = ACTIONS(5694),
    [anon_sym_DOT_STAR] = ACTIONS(5692),
    [anon_sym_DASH_GT] = ACTIONS(5692),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5692),
    [anon_sym_decltype] = ACTIONS(5692),
    [anon_sym_final] = ACTIONS(5692),
    [anon_sym_override] = ACTIONS(5692),
    [anon_sym_requires] = ACTIONS(5692),
  },
  [2071] = {
    [sym_template_argument_list] = STATE(2090),
    [sym_identifier] = ACTIONS(5601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4148),
    [anon_sym_COMMA] = ACTIONS(4148),
    [anon_sym_RPAREN] = ACTIONS(4148),
    [aux_sym_preproc_if_token2] = ACTIONS(4148),
    [aux_sym_preproc_else_token1] = ACTIONS(4148),
    [aux_sym_preproc_elif_token1] = ACTIONS(5601),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4148),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4148),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_DASH] = ACTIONS(5601),
    [anon_sym_PLUS] = ACTIONS(5601),
    [anon_sym_STAR] = ACTIONS(5601),
    [anon_sym_SLASH] = ACTIONS(5601),
    [anon_sym_PERCENT] = ACTIONS(5601),
    [anon_sym_PIPE_PIPE] = ACTIONS(4148),
    [anon_sym_AMP_AMP] = ACTIONS(4148),
    [anon_sym_PIPE] = ACTIONS(5601),
    [anon_sym_CARET] = ACTIONS(5601),
    [anon_sym_AMP] = ACTIONS(5601),
    [anon_sym_EQ_EQ] = ACTIONS(4148),
    [anon_sym_BANG_EQ] = ACTIONS(4148),
    [anon_sym_GT] = ACTIONS(5601),
    [anon_sym_GT_EQ] = ACTIONS(4148),
    [anon_sym_LT_EQ] = ACTIONS(5601),
    [anon_sym_LT] = ACTIONS(5696),
    [anon_sym_LT_LT] = ACTIONS(5601),
    [anon_sym_GT_GT] = ACTIONS(5601),
    [anon_sym_SEMI] = ACTIONS(4148),
    [anon_sym___attribute__] = ACTIONS(5601),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_RBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4148),
    [anon_sym_RBRACK] = ACTIONS(4148),
    [anon_sym_EQ] = ACTIONS(5601),
    [anon_sym_COLON] = ACTIONS(5601),
    [anon_sym_QMARK] = ACTIONS(4148),
    [anon_sym_STAR_EQ] = ACTIONS(4148),
    [anon_sym_SLASH_EQ] = ACTIONS(4148),
    [anon_sym_PERCENT_EQ] = ACTIONS(4148),
    [anon_sym_PLUS_EQ] = ACTIONS(4148),
    [anon_sym_DASH_EQ] = ACTIONS(4148),
    [anon_sym_LT_LT_EQ] = ACTIONS(4148),
    [anon_sym_GT_GT_EQ] = ACTIONS(4148),
    [anon_sym_AMP_EQ] = ACTIONS(4148),
    [anon_sym_CARET_EQ] = ACTIONS(4148),
    [anon_sym_PIPE_EQ] = ACTIONS(4148),
    [anon_sym_and_eq] = ACTIONS(5601),
    [anon_sym_or_eq] = ACTIONS(5601),
    [anon_sym_xor_eq] = ACTIONS(5601),
    [anon_sym_LT_EQ_GT] = ACTIONS(4148),
    [anon_sym_or] = ACTIONS(5601),
    [anon_sym_and] = ACTIONS(5601),
    [anon_sym_bitor] = ACTIONS(5601),
    [anon_sym_xor] = ACTIONS(5601),
    [anon_sym_bitand] = ACTIONS(5601),
    [anon_sym_not_eq] = ACTIONS(5601),
    [anon_sym_DASH_DASH] = ACTIONS(4148),
    [anon_sym_PLUS_PLUS] = ACTIONS(4148),
    [anon_sym_DOT] = ACTIONS(5601),
    [anon_sym_DOT_STAR] = ACTIONS(4148),
    [anon_sym_DASH_GT] = ACTIONS(4148),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5601),
    [anon_sym_decltype] = ACTIONS(5601),
    [anon_sym_final] = ACTIONS(5601),
    [anon_sym_override] = ACTIONS(5601),
  },
  [2072] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1618),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5698),
    [anon_sym_COMMA] = ACTIONS(5698),
    [anon_sym_RPAREN] = ACTIONS(5698),
    [anon_sym_LPAREN2] = ACTIONS(5698),
    [anon_sym_DASH] = ACTIONS(5700),
    [anon_sym_PLUS] = ACTIONS(5700),
    [anon_sym_STAR] = ACTIONS(5698),
    [anon_sym_SLASH] = ACTIONS(5700),
    [anon_sym_PERCENT] = ACTIONS(5698),
    [anon_sym_PIPE_PIPE] = ACTIONS(5698),
    [anon_sym_AMP_AMP] = ACTIONS(5698),
    [anon_sym_PIPE] = ACTIONS(5700),
    [anon_sym_CARET] = ACTIONS(5698),
    [anon_sym_AMP] = ACTIONS(5700),
    [anon_sym_EQ_EQ] = ACTIONS(5698),
    [anon_sym_BANG_EQ] = ACTIONS(5698),
    [anon_sym_GT] = ACTIONS(5700),
    [anon_sym_GT_EQ] = ACTIONS(5698),
    [anon_sym_LT_EQ] = ACTIONS(5700),
    [anon_sym_LT] = ACTIONS(5700),
    [anon_sym_LT_LT] = ACTIONS(5698),
    [anon_sym_GT_GT] = ACTIONS(5698),
    [anon_sym_SEMI] = ACTIONS(5698),
    [anon_sym___extension__] = ACTIONS(5698),
    [anon_sym___attribute__] = ACTIONS(5698),
    [anon_sym_LBRACE] = ACTIONS(5698),
    [anon_sym_RBRACE] = ACTIONS(5698),
    [anon_sym_signed] = ACTIONS(5611),
    [anon_sym_unsigned] = ACTIONS(5611),
    [anon_sym_long] = ACTIONS(5611),
    [anon_sym_short] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5698),
    [anon_sym_RBRACK] = ACTIONS(5698),
    [anon_sym_const] = ACTIONS(5700),
    [anon_sym_constexpr] = ACTIONS(5698),
    [anon_sym_volatile] = ACTIONS(5698),
    [anon_sym_restrict] = ACTIONS(5698),
    [anon_sym___restrict__] = ACTIONS(5698),
    [anon_sym__Atomic] = ACTIONS(5698),
    [anon_sym__Noreturn] = ACTIONS(5698),
    [anon_sym_noreturn] = ACTIONS(5698),
    [anon_sym__Nonnull] = ACTIONS(5698),
    [anon_sym_mutable] = ACTIONS(5698),
    [anon_sym_constinit] = ACTIONS(5698),
    [anon_sym_consteval] = ACTIONS(5698),
    [anon_sym_PROGMEM] = ACTIONS(5698),
    [anon_sym_alignas] = ACTIONS(5698),
    [anon_sym__Alignas] = ACTIONS(5698),
    [anon_sym_COLON] = ACTIONS(5698),
    [anon_sym_QMARK] = ACTIONS(5698),
    [anon_sym_LT_EQ_GT] = ACTIONS(5698),
    [anon_sym_or] = ACTIONS(5698),
    [anon_sym_and] = ACTIONS(5698),
    [anon_sym_bitor] = ACTIONS(5698),
    [anon_sym_xor] = ACTIONS(5698),
    [anon_sym_bitand] = ACTIONS(5698),
    [anon_sym_not_eq] = ACTIONS(5698),
    [anon_sym_DASH_DASH] = ACTIONS(5698),
    [anon_sym_PLUS_PLUS] = ACTIONS(5698),
    [anon_sym_DOT] = ACTIONS(5700),
    [anon_sym_DOT_STAR] = ACTIONS(5698),
    [anon_sym_DASH_GT] = ACTIONS(5698),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5698),
    [anon_sym_decltype] = ACTIONS(5698),
    [anon_sym_final] = ACTIONS(5698),
    [anon_sym_override] = ACTIONS(5698),
    [anon_sym_requires] = ACTIONS(5698),
  },
  [2073] = {
    [sym_identifier] = ACTIONS(5323),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_TILDE] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_PIPE_PIPE] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym___extension__] = ACTIONS(5323),
    [anon_sym_virtual] = ACTIONS(5323),
    [anon_sym_extern] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5325),
    [anon_sym___declspec] = ACTIONS(5323),
    [anon_sym___based] = ACTIONS(5323),
    [anon_sym___cdecl] = ACTIONS(5323),
    [anon_sym___clrcall] = ACTIONS(5323),
    [anon_sym___stdcall] = ACTIONS(5323),
    [anon_sym___fastcall] = ACTIONS(5323),
    [anon_sym___thiscall] = ACTIONS(5323),
    [anon_sym___vectorcall] = ACTIONS(5323),
    [anon_sym_signed] = ACTIONS(5323),
    [anon_sym_unsigned] = ACTIONS(5323),
    [anon_sym_long] = ACTIONS(5323),
    [anon_sym_short] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_static] = ACTIONS(5323),
    [anon_sym_register] = ACTIONS(5323),
    [anon_sym_inline] = ACTIONS(5323),
    [anon_sym___inline] = ACTIONS(5323),
    [anon_sym___inline__] = ACTIONS(5323),
    [anon_sym___forceinline] = ACTIONS(5323),
    [anon_sym_thread_local] = ACTIONS(5323),
    [anon_sym___thread] = ACTIONS(5323),
    [anon_sym_const] = ACTIONS(5323),
    [anon_sym_constexpr] = ACTIONS(5323),
    [anon_sym_volatile] = ACTIONS(5323),
    [anon_sym_restrict] = ACTIONS(5323),
    [anon_sym___restrict__] = ACTIONS(5323),
    [anon_sym__Atomic] = ACTIONS(5323),
    [anon_sym__Noreturn] = ACTIONS(5323),
    [anon_sym_noreturn] = ACTIONS(5323),
    [anon_sym__Nonnull] = ACTIONS(5323),
    [anon_sym_mutable] = ACTIONS(5323),
    [anon_sym_constinit] = ACTIONS(5323),
    [anon_sym_consteval] = ACTIONS(5323),
    [anon_sym_PROGMEM] = ACTIONS(5323),
    [anon_sym_alignas] = ACTIONS(5323),
    [anon_sym__Alignas] = ACTIONS(5323),
    [aux_sym_primitive_type_token1] = ACTIONS(5323),
    [anon_sym_byte] = ACTIONS(5323),
    [anon_sym_word] = ACTIONS(5323),
    [anon_sym_enum] = ACTIONS(5323),
    [anon_sym_class] = ACTIONS(5323),
    [anon_sym_struct] = ACTIONS(5323),
    [anon_sym_union] = ACTIONS(5323),
    [anon_sym_or] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_explicit] = ACTIONS(5323),
    [anon_sym_typename] = ACTIONS(5323),
    [anon_sym_template] = ACTIONS(5323),
    [anon_sym_operator] = ACTIONS(5323),
    [anon_sym_friend] = ACTIONS(5323),
    [anon_sym_using] = ACTIONS(5323),
    [anon_sym_concept] = ACTIONS(5323),
  },
  [2074] = {
    [sym_string_literal] = STATE(1644),
    [sym_template_argument_list] = STATE(2299),
    [sym_raw_string_literal] = STATE(1644),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(5702),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(5187),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5702),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_RBRACE] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4124),
    [anon_sym_SLASH_EQ] = ACTIONS(4124),
    [anon_sym_PERCENT_EQ] = ACTIONS(4124),
    [anon_sym_PLUS_EQ] = ACTIONS(4124),
    [anon_sym_DASH_EQ] = ACTIONS(4124),
    [anon_sym_LT_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT_GT_EQ] = ACTIONS(4124),
    [anon_sym_AMP_EQ] = ACTIONS(4124),
    [anon_sym_CARET_EQ] = ACTIONS(4124),
    [anon_sym_PIPE_EQ] = ACTIONS(4124),
    [anon_sym_and_eq] = ACTIONS(4124),
    [anon_sym_or_eq] = ACTIONS(4124),
    [anon_sym_xor_eq] = ACTIONS(4124),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
  },
  [2075] = {
    [sym_attribute_specifier] = STATE(1787),
    [sym_field_declaration_list] = STATE(2193),
    [sym_virtual_specifier] = STATE(6638),
    [sym_base_class_clause] = STATE(7219),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5586),
    [anon_sym_COMMA] = ACTIONS(5586),
    [anon_sym_RPAREN] = ACTIONS(5586),
    [anon_sym_LPAREN2] = ACTIONS(5586),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_STAR] = ACTIONS(5586),
    [anon_sym_SLASH] = ACTIONS(5584),
    [anon_sym_PERCENT] = ACTIONS(5586),
    [anon_sym_PIPE_PIPE] = ACTIONS(5586),
    [anon_sym_AMP_AMP] = ACTIONS(5586),
    [anon_sym_PIPE] = ACTIONS(5584),
    [anon_sym_CARET] = ACTIONS(5586),
    [anon_sym_AMP] = ACTIONS(5584),
    [anon_sym_EQ_EQ] = ACTIONS(5586),
    [anon_sym_BANG_EQ] = ACTIONS(5586),
    [anon_sym_GT] = ACTIONS(5584),
    [anon_sym_GT_EQ] = ACTIONS(5586),
    [anon_sym_LT_EQ] = ACTIONS(5584),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(5586),
    [anon_sym_GT_GT] = ACTIONS(5586),
    [anon_sym_SEMI] = ACTIONS(5586),
    [anon_sym___extension__] = ACTIONS(5586),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_RBRACE] = ACTIONS(5586),
    [anon_sym_LBRACK] = ACTIONS(5586),
    [anon_sym_RBRACK] = ACTIONS(5586),
    [anon_sym_const] = ACTIONS(5584),
    [anon_sym_constexpr] = ACTIONS(5586),
    [anon_sym_volatile] = ACTIONS(5586),
    [anon_sym_restrict] = ACTIONS(5586),
    [anon_sym___restrict__] = ACTIONS(5586),
    [anon_sym__Atomic] = ACTIONS(5586),
    [anon_sym__Noreturn] = ACTIONS(5586),
    [anon_sym_noreturn] = ACTIONS(5586),
    [anon_sym__Nonnull] = ACTIONS(5586),
    [anon_sym_mutable] = ACTIONS(5586),
    [anon_sym_constinit] = ACTIONS(5586),
    [anon_sym_consteval] = ACTIONS(5586),
    [anon_sym_PROGMEM] = ACTIONS(5586),
    [anon_sym_alignas] = ACTIONS(5586),
    [anon_sym__Alignas] = ACTIONS(5586),
    [anon_sym_COLON] = ACTIONS(5592),
    [anon_sym_QMARK] = ACTIONS(5586),
    [anon_sym_LT_EQ_GT] = ACTIONS(5586),
    [anon_sym_or] = ACTIONS(5586),
    [anon_sym_and] = ACTIONS(5586),
    [anon_sym_bitor] = ACTIONS(5586),
    [anon_sym_xor] = ACTIONS(5586),
    [anon_sym_bitand] = ACTIONS(5586),
    [anon_sym_not_eq] = ACTIONS(5586),
    [anon_sym_DASH_DASH] = ACTIONS(5586),
    [anon_sym_PLUS_PLUS] = ACTIONS(5586),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_DOT_STAR] = ACTIONS(5586),
    [anon_sym_DASH_GT] = ACTIONS(5586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5586),
    [anon_sym_decltype] = ACTIONS(5586),
    [anon_sym_final] = ACTIONS(5710),
    [anon_sym_override] = ACTIONS(5710),
    [anon_sym_requires] = ACTIONS(5586),
  },
  [2076] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1765),
    [sym_identifier] = ACTIONS(5437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5434),
    [anon_sym_COMMA] = ACTIONS(5434),
    [aux_sym_preproc_if_token2] = ACTIONS(5434),
    [aux_sym_preproc_else_token1] = ACTIONS(5434),
    [aux_sym_preproc_elif_token1] = ACTIONS(5437),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5434),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5434),
    [anon_sym_LPAREN2] = ACTIONS(5434),
    [anon_sym_DASH] = ACTIONS(5437),
    [anon_sym_PLUS] = ACTIONS(5437),
    [anon_sym_STAR] = ACTIONS(5437),
    [anon_sym_SLASH] = ACTIONS(5437),
    [anon_sym_PERCENT] = ACTIONS(5437),
    [anon_sym_PIPE_PIPE] = ACTIONS(5434),
    [anon_sym_AMP_AMP] = ACTIONS(5434),
    [anon_sym_PIPE] = ACTIONS(5437),
    [anon_sym_CARET] = ACTIONS(5437),
    [anon_sym_AMP] = ACTIONS(5437),
    [anon_sym_EQ_EQ] = ACTIONS(5434),
    [anon_sym_BANG_EQ] = ACTIONS(5434),
    [anon_sym_GT] = ACTIONS(5437),
    [anon_sym_GT_EQ] = ACTIONS(5434),
    [anon_sym_LT_EQ] = ACTIONS(5437),
    [anon_sym_LT] = ACTIONS(5437),
    [anon_sym_LT_LT] = ACTIONS(5437),
    [anon_sym_GT_GT] = ACTIONS(5437),
    [anon_sym___attribute__] = ACTIONS(5437),
    [anon_sym_LBRACE] = ACTIONS(5434),
    [anon_sym_signed] = ACTIONS(5373),
    [anon_sym_unsigned] = ACTIONS(5373),
    [anon_sym_long] = ACTIONS(5373),
    [anon_sym_short] = ACTIONS(5373),
    [anon_sym_LBRACK] = ACTIONS(5434),
    [anon_sym_EQ] = ACTIONS(5437),
    [aux_sym_primitive_type_token1] = ACTIONS(5163),
    [anon_sym_byte] = ACTIONS(5163),
    [anon_sym_word] = ACTIONS(5163),
    [anon_sym_QMARK] = ACTIONS(5434),
    [anon_sym_STAR_EQ] = ACTIONS(5434),
    [anon_sym_SLASH_EQ] = ACTIONS(5434),
    [anon_sym_PERCENT_EQ] = ACTIONS(5434),
    [anon_sym_PLUS_EQ] = ACTIONS(5434),
    [anon_sym_DASH_EQ] = ACTIONS(5434),
    [anon_sym_LT_LT_EQ] = ACTIONS(5434),
    [anon_sym_GT_GT_EQ] = ACTIONS(5434),
    [anon_sym_AMP_EQ] = ACTIONS(5434),
    [anon_sym_CARET_EQ] = ACTIONS(5434),
    [anon_sym_PIPE_EQ] = ACTIONS(5434),
    [anon_sym_and_eq] = ACTIONS(5437),
    [anon_sym_or_eq] = ACTIONS(5437),
    [anon_sym_xor_eq] = ACTIONS(5437),
    [anon_sym_LT_EQ_GT] = ACTIONS(5434),
    [anon_sym_or] = ACTIONS(5437),
    [anon_sym_and] = ACTIONS(5437),
    [anon_sym_bitor] = ACTIONS(5437),
    [anon_sym_xor] = ACTIONS(5437),
    [anon_sym_bitand] = ACTIONS(5437),
    [anon_sym_not_eq] = ACTIONS(5437),
    [anon_sym_DASH_DASH] = ACTIONS(5434),
    [anon_sym_PLUS_PLUS] = ACTIONS(5434),
    [anon_sym_DOT] = ACTIONS(5437),
    [anon_sym_DOT_STAR] = ACTIONS(5434),
    [anon_sym_DASH_GT] = ACTIONS(5434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5437),
    [anon_sym_decltype] = ACTIONS(5437),
  },
  [2077] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(3687),
    [sym_raw_string_literal] = STATE(2527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(5702),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5702),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_RBRACE] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4160),
    [anon_sym_or_eq] = ACTIONS(4160),
    [anon_sym_xor_eq] = ACTIONS(4160),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [2078] = {
    [sym_identifier] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5714),
    [anon_sym_TILDE] = ACTIONS(5714),
    [anon_sym_STAR] = ACTIONS(5714),
    [anon_sym_PIPE_PIPE] = ACTIONS(5716),
    [anon_sym_AMP_AMP] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(5712),
    [anon_sym___extension__] = ACTIONS(5712),
    [anon_sym_virtual] = ACTIONS(5712),
    [anon_sym_extern] = ACTIONS(5712),
    [anon_sym___attribute__] = ACTIONS(5712),
    [anon_sym_COLON_COLON] = ACTIONS(5714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5714),
    [anon_sym___declspec] = ACTIONS(5712),
    [anon_sym___based] = ACTIONS(5712),
    [anon_sym___cdecl] = ACTIONS(5712),
    [anon_sym___clrcall] = ACTIONS(5712),
    [anon_sym___stdcall] = ACTIONS(5712),
    [anon_sym___fastcall] = ACTIONS(5712),
    [anon_sym___thiscall] = ACTIONS(5712),
    [anon_sym___vectorcall] = ACTIONS(5712),
    [anon_sym_signed] = ACTIONS(5712),
    [anon_sym_unsigned] = ACTIONS(5712),
    [anon_sym_long] = ACTIONS(5712),
    [anon_sym_short] = ACTIONS(5712),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_static] = ACTIONS(5712),
    [anon_sym_register] = ACTIONS(5712),
    [anon_sym_inline] = ACTIONS(5712),
    [anon_sym___inline] = ACTIONS(5712),
    [anon_sym___inline__] = ACTIONS(5712),
    [anon_sym___forceinline] = ACTIONS(5712),
    [anon_sym_thread_local] = ACTIONS(5712),
    [anon_sym___thread] = ACTIONS(5712),
    [anon_sym_const] = ACTIONS(5712),
    [anon_sym_constexpr] = ACTIONS(5712),
    [anon_sym_volatile] = ACTIONS(5712),
    [anon_sym_restrict] = ACTIONS(5712),
    [anon_sym___restrict__] = ACTIONS(5712),
    [anon_sym__Atomic] = ACTIONS(5712),
    [anon_sym__Noreturn] = ACTIONS(5712),
    [anon_sym_noreturn] = ACTIONS(5712),
    [anon_sym__Nonnull] = ACTIONS(5712),
    [anon_sym_mutable] = ACTIONS(5712),
    [anon_sym_constinit] = ACTIONS(5712),
    [anon_sym_consteval] = ACTIONS(5712),
    [anon_sym_PROGMEM] = ACTIONS(5712),
    [anon_sym_alignas] = ACTIONS(5712),
    [anon_sym__Alignas] = ACTIONS(5712),
    [aux_sym_primitive_type_token1] = ACTIONS(5712),
    [anon_sym_byte] = ACTIONS(5712),
    [anon_sym_word] = ACTIONS(5712),
    [anon_sym_enum] = ACTIONS(5712),
    [anon_sym_class] = ACTIONS(5712),
    [anon_sym_struct] = ACTIONS(5712),
    [anon_sym_union] = ACTIONS(5712),
    [anon_sym_or] = ACTIONS(5720),
    [anon_sym_and] = ACTIONS(5722),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5712),
    [anon_sym_decltype] = ACTIONS(5712),
    [anon_sym_explicit] = ACTIONS(5712),
    [anon_sym_typename] = ACTIONS(5712),
    [anon_sym_template] = ACTIONS(5712),
    [anon_sym_operator] = ACTIONS(5712),
    [anon_sym_friend] = ACTIONS(5712),
    [anon_sym_using] = ACTIONS(5712),
    [anon_sym_concept] = ACTIONS(5712),
  },
  [2079] = {
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_TILDE] = ACTIONS(4898),
    [anon_sym_STAR] = ACTIONS(4898),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym___extension__] = ACTIONS(4896),
    [anon_sym_virtual] = ACTIONS(4896),
    [anon_sym_extern] = ACTIONS(4896),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym_COLON_COLON] = ACTIONS(4898),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4898),
    [anon_sym___declspec] = ACTIONS(4896),
    [anon_sym___based] = ACTIONS(4896),
    [anon_sym___cdecl] = ACTIONS(4896),
    [anon_sym___clrcall] = ACTIONS(4896),
    [anon_sym___stdcall] = ACTIONS(4896),
    [anon_sym___fastcall] = ACTIONS(4896),
    [anon_sym___thiscall] = ACTIONS(4896),
    [anon_sym___vectorcall] = ACTIONS(4896),
    [anon_sym_signed] = ACTIONS(4896),
    [anon_sym_unsigned] = ACTIONS(4896),
    [anon_sym_long] = ACTIONS(4896),
    [anon_sym_short] = ACTIONS(4896),
    [anon_sym_LBRACK] = ACTIONS(4896),
    [anon_sym_static] = ACTIONS(4896),
    [anon_sym_register] = ACTIONS(4896),
    [anon_sym_inline] = ACTIONS(4896),
    [anon_sym___inline] = ACTIONS(4896),
    [anon_sym___inline__] = ACTIONS(4896),
    [anon_sym___forceinline] = ACTIONS(4896),
    [anon_sym_thread_local] = ACTIONS(4896),
    [anon_sym___thread] = ACTIONS(4896),
    [anon_sym_const] = ACTIONS(4896),
    [anon_sym_constexpr] = ACTIONS(4896),
    [anon_sym_volatile] = ACTIONS(4896),
    [anon_sym_restrict] = ACTIONS(4896),
    [anon_sym___restrict__] = ACTIONS(4896),
    [anon_sym__Atomic] = ACTIONS(4896),
    [anon_sym__Noreturn] = ACTIONS(4896),
    [anon_sym_noreturn] = ACTIONS(4896),
    [anon_sym__Nonnull] = ACTIONS(4896),
    [anon_sym_mutable] = ACTIONS(4896),
    [anon_sym_constinit] = ACTIONS(4896),
    [anon_sym_consteval] = ACTIONS(4896),
    [anon_sym_PROGMEM] = ACTIONS(4896),
    [anon_sym_alignas] = ACTIONS(4896),
    [anon_sym__Alignas] = ACTIONS(4896),
    [aux_sym_primitive_type_token1] = ACTIONS(4896),
    [anon_sym_byte] = ACTIONS(4896),
    [anon_sym_word] = ACTIONS(4896),
    [anon_sym_enum] = ACTIONS(4896),
    [anon_sym_class] = ACTIONS(4896),
    [anon_sym_struct] = ACTIONS(4896),
    [anon_sym_union] = ACTIONS(4896),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_explicit] = ACTIONS(4896),
    [anon_sym_typename] = ACTIONS(4896),
    [anon_sym_template] = ACTIONS(4896),
    [anon_sym_operator] = ACTIONS(4896),
    [anon_sym_friend] = ACTIONS(4896),
    [anon_sym_using] = ACTIONS(4896),
    [anon_sym_concept] = ACTIONS(4896),
  },
  [2080] = {
    [sym_identifier] = ACTIONS(5323),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_TILDE] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_PIPE_PIPE] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym___extension__] = ACTIONS(5323),
    [anon_sym_virtual] = ACTIONS(5323),
    [anon_sym_extern] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5325),
    [anon_sym___declspec] = ACTIONS(5323),
    [anon_sym___based] = ACTIONS(5323),
    [anon_sym___cdecl] = ACTIONS(5323),
    [anon_sym___clrcall] = ACTIONS(5323),
    [anon_sym___stdcall] = ACTIONS(5323),
    [anon_sym___fastcall] = ACTIONS(5323),
    [anon_sym___thiscall] = ACTIONS(5323),
    [anon_sym___vectorcall] = ACTIONS(5323),
    [anon_sym_signed] = ACTIONS(5323),
    [anon_sym_unsigned] = ACTIONS(5323),
    [anon_sym_long] = ACTIONS(5323),
    [anon_sym_short] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_static] = ACTIONS(5323),
    [anon_sym_register] = ACTIONS(5323),
    [anon_sym_inline] = ACTIONS(5323),
    [anon_sym___inline] = ACTIONS(5323),
    [anon_sym___inline__] = ACTIONS(5323),
    [anon_sym___forceinline] = ACTIONS(5323),
    [anon_sym_thread_local] = ACTIONS(5323),
    [anon_sym___thread] = ACTIONS(5323),
    [anon_sym_const] = ACTIONS(5323),
    [anon_sym_constexpr] = ACTIONS(5323),
    [anon_sym_volatile] = ACTIONS(5323),
    [anon_sym_restrict] = ACTIONS(5323),
    [anon_sym___restrict__] = ACTIONS(5323),
    [anon_sym__Atomic] = ACTIONS(5323),
    [anon_sym__Noreturn] = ACTIONS(5323),
    [anon_sym_noreturn] = ACTIONS(5323),
    [anon_sym__Nonnull] = ACTIONS(5323),
    [anon_sym_mutable] = ACTIONS(5323),
    [anon_sym_constinit] = ACTIONS(5323),
    [anon_sym_consteval] = ACTIONS(5323),
    [anon_sym_PROGMEM] = ACTIONS(5323),
    [anon_sym_alignas] = ACTIONS(5323),
    [anon_sym__Alignas] = ACTIONS(5323),
    [aux_sym_primitive_type_token1] = ACTIONS(5323),
    [anon_sym_byte] = ACTIONS(5323),
    [anon_sym_word] = ACTIONS(5323),
    [anon_sym_enum] = ACTIONS(5323),
    [anon_sym_class] = ACTIONS(5323),
    [anon_sym_struct] = ACTIONS(5323),
    [anon_sym_union] = ACTIONS(5323),
    [anon_sym_or] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_explicit] = ACTIONS(5323),
    [anon_sym_typename] = ACTIONS(5323),
    [anon_sym_template] = ACTIONS(5323),
    [anon_sym_operator] = ACTIONS(5323),
    [anon_sym_friend] = ACTIONS(5323),
    [anon_sym_using] = ACTIONS(5323),
    [anon_sym_concept] = ACTIONS(5323),
  },
  [2081] = {
    [sym_identifier] = ACTIONS(5287),
    [anon_sym_LPAREN2] = ACTIONS(5289),
    [anon_sym_TILDE] = ACTIONS(5289),
    [anon_sym_STAR] = ACTIONS(5289),
    [anon_sym_PIPE_PIPE] = ACTIONS(5289),
    [anon_sym_AMP_AMP] = ACTIONS(5289),
    [anon_sym_AMP] = ACTIONS(5287),
    [anon_sym___extension__] = ACTIONS(5287),
    [anon_sym_virtual] = ACTIONS(5287),
    [anon_sym_extern] = ACTIONS(5287),
    [anon_sym___attribute__] = ACTIONS(5287),
    [anon_sym_COLON_COLON] = ACTIONS(5289),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5289),
    [anon_sym___declspec] = ACTIONS(5287),
    [anon_sym___based] = ACTIONS(5287),
    [anon_sym___cdecl] = ACTIONS(5287),
    [anon_sym___clrcall] = ACTIONS(5287),
    [anon_sym___stdcall] = ACTIONS(5287),
    [anon_sym___fastcall] = ACTIONS(5287),
    [anon_sym___thiscall] = ACTIONS(5287),
    [anon_sym___vectorcall] = ACTIONS(5287),
    [anon_sym_signed] = ACTIONS(5287),
    [anon_sym_unsigned] = ACTIONS(5287),
    [anon_sym_long] = ACTIONS(5287),
    [anon_sym_short] = ACTIONS(5287),
    [anon_sym_LBRACK] = ACTIONS(5287),
    [anon_sym_static] = ACTIONS(5287),
    [anon_sym_register] = ACTIONS(5287),
    [anon_sym_inline] = ACTIONS(5287),
    [anon_sym___inline] = ACTIONS(5287),
    [anon_sym___inline__] = ACTIONS(5287),
    [anon_sym___forceinline] = ACTIONS(5287),
    [anon_sym_thread_local] = ACTIONS(5287),
    [anon_sym___thread] = ACTIONS(5287),
    [anon_sym_const] = ACTIONS(5287),
    [anon_sym_constexpr] = ACTIONS(5287),
    [anon_sym_volatile] = ACTIONS(5287),
    [anon_sym_restrict] = ACTIONS(5287),
    [anon_sym___restrict__] = ACTIONS(5287),
    [anon_sym__Atomic] = ACTIONS(5287),
    [anon_sym__Noreturn] = ACTIONS(5287),
    [anon_sym_noreturn] = ACTIONS(5287),
    [anon_sym__Nonnull] = ACTIONS(5287),
    [anon_sym_mutable] = ACTIONS(5287),
    [anon_sym_constinit] = ACTIONS(5287),
    [anon_sym_consteval] = ACTIONS(5287),
    [anon_sym_PROGMEM] = ACTIONS(5287),
    [anon_sym_alignas] = ACTIONS(5287),
    [anon_sym__Alignas] = ACTIONS(5287),
    [aux_sym_primitive_type_token1] = ACTIONS(5287),
    [anon_sym_byte] = ACTIONS(5287),
    [anon_sym_word] = ACTIONS(5287),
    [anon_sym_enum] = ACTIONS(5287),
    [anon_sym_class] = ACTIONS(5287),
    [anon_sym_struct] = ACTIONS(5287),
    [anon_sym_union] = ACTIONS(5287),
    [anon_sym_or] = ACTIONS(5287),
    [anon_sym_and] = ACTIONS(5287),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5287),
    [anon_sym_decltype] = ACTIONS(5287),
    [anon_sym_explicit] = ACTIONS(5287),
    [anon_sym_typename] = ACTIONS(5287),
    [anon_sym_template] = ACTIONS(5287),
    [anon_sym_operator] = ACTIONS(5287),
    [anon_sym_friend] = ACTIONS(5287),
    [anon_sym_using] = ACTIONS(5287),
    [anon_sym_concept] = ACTIONS(5287),
  },
  [2082] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_LPAREN2] = ACTIONS(4886),
    [anon_sym_TILDE] = ACTIONS(4886),
    [anon_sym_STAR] = ACTIONS(4886),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4886),
    [anon_sym_AMP] = ACTIONS(4884),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4886),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4886),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym___cdecl] = ACTIONS(4884),
    [anon_sym___clrcall] = ACTIONS(4884),
    [anon_sym___stdcall] = ACTIONS(4884),
    [anon_sym___fastcall] = ACTIONS(4884),
    [anon_sym___thiscall] = ACTIONS(4884),
    [anon_sym___vectorcall] = ACTIONS(4884),
    [anon_sym_signed] = ACTIONS(4884),
    [anon_sym_unsigned] = ACTIONS(4884),
    [anon_sym_long] = ACTIONS(4884),
    [anon_sym_short] = ACTIONS(4884),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_PROGMEM] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [aux_sym_primitive_type_token1] = ACTIONS(4884),
    [anon_sym_byte] = ACTIONS(4884),
    [anon_sym_word] = ACTIONS(4884),
    [anon_sym_enum] = ACTIONS(4884),
    [anon_sym_class] = ACTIONS(4884),
    [anon_sym_struct] = ACTIONS(4884),
    [anon_sym_union] = ACTIONS(4884),
    [anon_sym_or] = ACTIONS(4884),
    [anon_sym_and] = ACTIONS(4884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_explicit] = ACTIONS(4884),
    [anon_sym_typename] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
    [anon_sym_friend] = ACTIONS(4884),
    [anon_sym_using] = ACTIONS(4884),
    [anon_sym_concept] = ACTIONS(4884),
  },
  [2083] = {
    [sym_identifier] = ACTIONS(5287),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5289),
    [anon_sym_COMMA] = ACTIONS(5289),
    [anon_sym_RPAREN] = ACTIONS(5289),
    [aux_sym_preproc_if_token2] = ACTIONS(5289),
    [aux_sym_preproc_else_token1] = ACTIONS(5289),
    [aux_sym_preproc_elif_token1] = ACTIONS(5287),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5289),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5289),
    [anon_sym_LPAREN2] = ACTIONS(5289),
    [anon_sym_DASH] = ACTIONS(5287),
    [anon_sym_PLUS] = ACTIONS(5287),
    [anon_sym_STAR] = ACTIONS(5287),
    [anon_sym_SLASH] = ACTIONS(5287),
    [anon_sym_PERCENT] = ACTIONS(5287),
    [anon_sym_PIPE_PIPE] = ACTIONS(5289),
    [anon_sym_AMP_AMP] = ACTIONS(5289),
    [anon_sym_PIPE] = ACTIONS(5287),
    [anon_sym_CARET] = ACTIONS(5287),
    [anon_sym_AMP] = ACTIONS(5287),
    [anon_sym_EQ_EQ] = ACTIONS(5289),
    [anon_sym_BANG_EQ] = ACTIONS(5289),
    [anon_sym_GT] = ACTIONS(5287),
    [anon_sym_GT_EQ] = ACTIONS(5289),
    [anon_sym_LT_EQ] = ACTIONS(5287),
    [anon_sym_LT] = ACTIONS(5287),
    [anon_sym_LT_LT] = ACTIONS(5287),
    [anon_sym_GT_GT] = ACTIONS(5287),
    [anon_sym_SEMI] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5287),
    [anon_sym_COLON_COLON] = ACTIONS(5289),
    [anon_sym_LBRACE] = ACTIONS(5289),
    [anon_sym_RBRACE] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_RBRACK] = ACTIONS(5289),
    [anon_sym_EQ] = ACTIONS(5287),
    [anon_sym_COLON] = ACTIONS(5287),
    [anon_sym_QMARK] = ACTIONS(5289),
    [anon_sym_STAR_EQ] = ACTIONS(5289),
    [anon_sym_SLASH_EQ] = ACTIONS(5289),
    [anon_sym_PERCENT_EQ] = ACTIONS(5289),
    [anon_sym_PLUS_EQ] = ACTIONS(5289),
    [anon_sym_DASH_EQ] = ACTIONS(5289),
    [anon_sym_LT_LT_EQ] = ACTIONS(5289),
    [anon_sym_GT_GT_EQ] = ACTIONS(5289),
    [anon_sym_AMP_EQ] = ACTIONS(5289),
    [anon_sym_CARET_EQ] = ACTIONS(5289),
    [anon_sym_PIPE_EQ] = ACTIONS(5289),
    [anon_sym_and_eq] = ACTIONS(5287),
    [anon_sym_or_eq] = ACTIONS(5287),
    [anon_sym_xor_eq] = ACTIONS(5287),
    [anon_sym_LT_EQ_GT] = ACTIONS(5289),
    [anon_sym_or] = ACTIONS(5287),
    [anon_sym_and] = ACTIONS(5287),
    [anon_sym_bitor] = ACTIONS(5287),
    [anon_sym_xor] = ACTIONS(5287),
    [anon_sym_bitand] = ACTIONS(5287),
    [anon_sym_not_eq] = ACTIONS(5287),
    [anon_sym_DASH_DASH] = ACTIONS(5289),
    [anon_sym_PLUS_PLUS] = ACTIONS(5289),
    [anon_sym_DOT] = ACTIONS(5287),
    [anon_sym_DOT_STAR] = ACTIONS(5289),
    [anon_sym_DASH_GT] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5287),
    [anon_sym_decltype] = ACTIONS(5287),
    [anon_sym_final] = ACTIONS(5287),
    [anon_sym_override] = ACTIONS(5287),
  },
  [2084] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(3687),
    [sym_raw_string_literal] = STATE(2527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_RPAREN] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_RBRACE] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4160),
    [anon_sym_or_eq] = ACTIONS(4160),
    [anon_sym_xor_eq] = ACTIONS(4160),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [2085] = {
    [sym_identifier] = ACTIONS(1969),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_PIPE_PIPE] = ACTIONS(1967),
    [anon_sym_AMP_AMP] = ACTIONS(1967),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym___extension__] = ACTIONS(1969),
    [anon_sym_virtual] = ACTIONS(1969),
    [anon_sym_extern] = ACTIONS(1969),
    [anon_sym___attribute__] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1967),
    [anon_sym___declspec] = ACTIONS(1969),
    [anon_sym___based] = ACTIONS(1969),
    [anon_sym___cdecl] = ACTIONS(1969),
    [anon_sym___clrcall] = ACTIONS(1969),
    [anon_sym___stdcall] = ACTIONS(1969),
    [anon_sym___fastcall] = ACTIONS(1969),
    [anon_sym___thiscall] = ACTIONS(1969),
    [anon_sym___vectorcall] = ACTIONS(1969),
    [anon_sym_signed] = ACTIONS(1969),
    [anon_sym_unsigned] = ACTIONS(1969),
    [anon_sym_long] = ACTIONS(1969),
    [anon_sym_short] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_register] = ACTIONS(1969),
    [anon_sym_inline] = ACTIONS(1969),
    [anon_sym___inline] = ACTIONS(1969),
    [anon_sym___inline__] = ACTIONS(1969),
    [anon_sym___forceinline] = ACTIONS(1969),
    [anon_sym_thread_local] = ACTIONS(1969),
    [anon_sym___thread] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_constexpr] = ACTIONS(1969),
    [anon_sym_volatile] = ACTIONS(1969),
    [anon_sym_restrict] = ACTIONS(1969),
    [anon_sym___restrict__] = ACTIONS(1969),
    [anon_sym__Atomic] = ACTIONS(1969),
    [anon_sym__Noreturn] = ACTIONS(1969),
    [anon_sym_noreturn] = ACTIONS(1969),
    [anon_sym__Nonnull] = ACTIONS(1969),
    [anon_sym_mutable] = ACTIONS(1969),
    [anon_sym_constinit] = ACTIONS(1969),
    [anon_sym_consteval] = ACTIONS(1969),
    [anon_sym_PROGMEM] = ACTIONS(1969),
    [anon_sym_alignas] = ACTIONS(1969),
    [anon_sym__Alignas] = ACTIONS(1969),
    [aux_sym_primitive_type_token1] = ACTIONS(1969),
    [anon_sym_byte] = ACTIONS(1969),
    [anon_sym_word] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_union] = ACTIONS(1969),
    [anon_sym_or] = ACTIONS(1969),
    [anon_sym_and] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1969),
    [anon_sym_decltype] = ACTIONS(1969),
    [anon_sym_explicit] = ACTIONS(1969),
    [anon_sym_typename] = ACTIONS(1969),
    [anon_sym_template] = ACTIONS(1969),
    [anon_sym_operator] = ACTIONS(1969),
    [anon_sym_friend] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1969),
    [anon_sym_concept] = ACTIONS(1969),
  },
  [2086] = {
    [sym_identifier] = ACTIONS(5353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5355),
    [anon_sym_COMMA] = ACTIONS(5355),
    [anon_sym_RPAREN] = ACTIONS(5355),
    [aux_sym_preproc_if_token2] = ACTIONS(5355),
    [aux_sym_preproc_else_token1] = ACTIONS(5355),
    [aux_sym_preproc_elif_token1] = ACTIONS(5353),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5355),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5355),
    [anon_sym_LPAREN2] = ACTIONS(5355),
    [anon_sym_DASH] = ACTIONS(5353),
    [anon_sym_PLUS] = ACTIONS(5353),
    [anon_sym_STAR] = ACTIONS(5353),
    [anon_sym_SLASH] = ACTIONS(5353),
    [anon_sym_PERCENT] = ACTIONS(5353),
    [anon_sym_PIPE_PIPE] = ACTIONS(5355),
    [anon_sym_AMP_AMP] = ACTIONS(5355),
    [anon_sym_PIPE] = ACTIONS(5353),
    [anon_sym_CARET] = ACTIONS(5353),
    [anon_sym_AMP] = ACTIONS(5353),
    [anon_sym_EQ_EQ] = ACTIONS(5355),
    [anon_sym_BANG_EQ] = ACTIONS(5355),
    [anon_sym_GT] = ACTIONS(5353),
    [anon_sym_GT_EQ] = ACTIONS(5355),
    [anon_sym_LT_EQ] = ACTIONS(5353),
    [anon_sym_LT] = ACTIONS(5353),
    [anon_sym_LT_LT] = ACTIONS(5353),
    [anon_sym_GT_GT] = ACTIONS(5353),
    [anon_sym_SEMI] = ACTIONS(5355),
    [anon_sym___attribute__] = ACTIONS(5353),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym_LBRACE] = ACTIONS(5355),
    [anon_sym_RBRACE] = ACTIONS(5355),
    [anon_sym_LBRACK] = ACTIONS(5355),
    [anon_sym_RBRACK] = ACTIONS(5355),
    [anon_sym_EQ] = ACTIONS(5353),
    [anon_sym_COLON] = ACTIONS(5353),
    [anon_sym_QMARK] = ACTIONS(5355),
    [anon_sym_STAR_EQ] = ACTIONS(5355),
    [anon_sym_SLASH_EQ] = ACTIONS(5355),
    [anon_sym_PERCENT_EQ] = ACTIONS(5355),
    [anon_sym_PLUS_EQ] = ACTIONS(5355),
    [anon_sym_DASH_EQ] = ACTIONS(5355),
    [anon_sym_LT_LT_EQ] = ACTIONS(5355),
    [anon_sym_GT_GT_EQ] = ACTIONS(5355),
    [anon_sym_AMP_EQ] = ACTIONS(5355),
    [anon_sym_CARET_EQ] = ACTIONS(5355),
    [anon_sym_PIPE_EQ] = ACTIONS(5355),
    [anon_sym_and_eq] = ACTIONS(5353),
    [anon_sym_or_eq] = ACTIONS(5353),
    [anon_sym_xor_eq] = ACTIONS(5353),
    [anon_sym_LT_EQ_GT] = ACTIONS(5355),
    [anon_sym_or] = ACTIONS(5353),
    [anon_sym_and] = ACTIONS(5353),
    [anon_sym_bitor] = ACTIONS(5353),
    [anon_sym_xor] = ACTIONS(5353),
    [anon_sym_bitand] = ACTIONS(5353),
    [anon_sym_not_eq] = ACTIONS(5353),
    [anon_sym_DASH_DASH] = ACTIONS(5355),
    [anon_sym_PLUS_PLUS] = ACTIONS(5355),
    [anon_sym_DOT] = ACTIONS(5353),
    [anon_sym_DOT_STAR] = ACTIONS(5355),
    [anon_sym_DASH_GT] = ACTIONS(5355),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5353),
    [anon_sym_decltype] = ACTIONS(5353),
    [anon_sym_final] = ACTIONS(5353),
    [anon_sym_override] = ACTIONS(5353),
  },
  [2087] = {
    [sym_identifier] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_TILDE] = ACTIONS(5726),
    [anon_sym_STAR] = ACTIONS(5726),
    [anon_sym_PIPE_PIPE] = ACTIONS(5726),
    [anon_sym_AMP_AMP] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(5724),
    [anon_sym___extension__] = ACTIONS(5724),
    [anon_sym_virtual] = ACTIONS(5724),
    [anon_sym_extern] = ACTIONS(5724),
    [anon_sym___attribute__] = ACTIONS(5724),
    [anon_sym_COLON_COLON] = ACTIONS(5726),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5726),
    [anon_sym___declspec] = ACTIONS(5724),
    [anon_sym___based] = ACTIONS(5724),
    [anon_sym___cdecl] = ACTIONS(5724),
    [anon_sym___clrcall] = ACTIONS(5724),
    [anon_sym___stdcall] = ACTIONS(5724),
    [anon_sym___fastcall] = ACTIONS(5724),
    [anon_sym___thiscall] = ACTIONS(5724),
    [anon_sym___vectorcall] = ACTIONS(5724),
    [anon_sym_signed] = ACTIONS(5724),
    [anon_sym_unsigned] = ACTIONS(5724),
    [anon_sym_long] = ACTIONS(5724),
    [anon_sym_short] = ACTIONS(5724),
    [anon_sym_LBRACK] = ACTIONS(5724),
    [anon_sym_static] = ACTIONS(5724),
    [anon_sym_register] = ACTIONS(5724),
    [anon_sym_inline] = ACTIONS(5724),
    [anon_sym___inline] = ACTIONS(5724),
    [anon_sym___inline__] = ACTIONS(5724),
    [anon_sym___forceinline] = ACTIONS(5724),
    [anon_sym_thread_local] = ACTIONS(5724),
    [anon_sym___thread] = ACTIONS(5724),
    [anon_sym_const] = ACTIONS(5724),
    [anon_sym_constexpr] = ACTIONS(5724),
    [anon_sym_volatile] = ACTIONS(5724),
    [anon_sym_restrict] = ACTIONS(5724),
    [anon_sym___restrict__] = ACTIONS(5724),
    [anon_sym__Atomic] = ACTIONS(5724),
    [anon_sym__Noreturn] = ACTIONS(5724),
    [anon_sym_noreturn] = ACTIONS(5724),
    [anon_sym__Nonnull] = ACTIONS(5724),
    [anon_sym_mutable] = ACTIONS(5724),
    [anon_sym_constinit] = ACTIONS(5724),
    [anon_sym_consteval] = ACTIONS(5724),
    [anon_sym_PROGMEM] = ACTIONS(5724),
    [anon_sym_alignas] = ACTIONS(5724),
    [anon_sym__Alignas] = ACTIONS(5724),
    [aux_sym_primitive_type_token1] = ACTIONS(5724),
    [anon_sym_byte] = ACTIONS(5724),
    [anon_sym_word] = ACTIONS(5724),
    [anon_sym_enum] = ACTIONS(5724),
    [anon_sym_class] = ACTIONS(5724),
    [anon_sym_struct] = ACTIONS(5724),
    [anon_sym_union] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5724),
    [anon_sym_and] = ACTIONS(5722),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5724),
    [anon_sym_decltype] = ACTIONS(5724),
    [anon_sym_explicit] = ACTIONS(5724),
    [anon_sym_typename] = ACTIONS(5724),
    [anon_sym_template] = ACTIONS(5724),
    [anon_sym_operator] = ACTIONS(5724),
    [anon_sym_friend] = ACTIONS(5724),
    [anon_sym_using] = ACTIONS(5724),
    [anon_sym_concept] = ACTIONS(5724),
  },
  [2088] = {
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_LPAREN2] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1973),
    [anon_sym___extension__] = ACTIONS(1973),
    [anon_sym_virtual] = ACTIONS(1973),
    [anon_sym_extern] = ACTIONS(1973),
    [anon_sym___attribute__] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1971),
    [anon_sym___declspec] = ACTIONS(1973),
    [anon_sym___based] = ACTIONS(1973),
    [anon_sym___cdecl] = ACTIONS(1973),
    [anon_sym___clrcall] = ACTIONS(1973),
    [anon_sym___stdcall] = ACTIONS(1973),
    [anon_sym___fastcall] = ACTIONS(1973),
    [anon_sym___thiscall] = ACTIONS(1973),
    [anon_sym___vectorcall] = ACTIONS(1973),
    [anon_sym_signed] = ACTIONS(1973),
    [anon_sym_unsigned] = ACTIONS(1973),
    [anon_sym_long] = ACTIONS(1973),
    [anon_sym_short] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_register] = ACTIONS(1973),
    [anon_sym_inline] = ACTIONS(1973),
    [anon_sym___inline] = ACTIONS(1973),
    [anon_sym___inline__] = ACTIONS(1973),
    [anon_sym___forceinline] = ACTIONS(1973),
    [anon_sym_thread_local] = ACTIONS(1973),
    [anon_sym___thread] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_constexpr] = ACTIONS(1973),
    [anon_sym_volatile] = ACTIONS(1973),
    [anon_sym_restrict] = ACTIONS(1973),
    [anon_sym___restrict__] = ACTIONS(1973),
    [anon_sym__Atomic] = ACTIONS(1973),
    [anon_sym__Noreturn] = ACTIONS(1973),
    [anon_sym_noreturn] = ACTIONS(1973),
    [anon_sym__Nonnull] = ACTIONS(1973),
    [anon_sym_mutable] = ACTIONS(1973),
    [anon_sym_constinit] = ACTIONS(1973),
    [anon_sym_consteval] = ACTIONS(1973),
    [anon_sym_PROGMEM] = ACTIONS(1973),
    [anon_sym_alignas] = ACTIONS(1973),
    [anon_sym__Alignas] = ACTIONS(1973),
    [aux_sym_primitive_type_token1] = ACTIONS(1973),
    [anon_sym_byte] = ACTIONS(1973),
    [anon_sym_word] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_struct] = ACTIONS(1973),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_or] = ACTIONS(1973),
    [anon_sym_and] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1973),
    [anon_sym_decltype] = ACTIONS(1973),
    [anon_sym_explicit] = ACTIONS(1973),
    [anon_sym_typename] = ACTIONS(1973),
    [anon_sym_template] = ACTIONS(1973),
    [anon_sym_operator] = ACTIONS(1973),
    [anon_sym_friend] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_concept] = ACTIONS(1973),
  },
  [2089] = {
    [sym_string_literal] = STATE(1644),
    [sym_raw_string_literal] = STATE(1644),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5627),
    [anon_sym_COMMA] = ACTIONS(5627),
    [anon_sym_RPAREN] = ACTIONS(5627),
    [anon_sym_LPAREN2] = ACTIONS(5627),
    [anon_sym_DASH] = ACTIONS(5625),
    [anon_sym_PLUS] = ACTIONS(5625),
    [anon_sym_STAR] = ACTIONS(5625),
    [anon_sym_SLASH] = ACTIONS(5625),
    [anon_sym_PERCENT] = ACTIONS(5625),
    [anon_sym_PIPE_PIPE] = ACTIONS(5627),
    [anon_sym_AMP_AMP] = ACTIONS(5627),
    [anon_sym_PIPE] = ACTIONS(5625),
    [anon_sym_CARET] = ACTIONS(5625),
    [anon_sym_AMP] = ACTIONS(5625),
    [anon_sym_EQ_EQ] = ACTIONS(5627),
    [anon_sym_BANG_EQ] = ACTIONS(5627),
    [anon_sym_GT] = ACTIONS(5625),
    [anon_sym_GT_EQ] = ACTIONS(5627),
    [anon_sym_LT_EQ] = ACTIONS(5625),
    [anon_sym_LT] = ACTIONS(5625),
    [anon_sym_LT_LT] = ACTIONS(5625),
    [anon_sym_GT_GT] = ACTIONS(5625),
    [anon_sym_SEMI] = ACTIONS(5627),
    [anon_sym_RBRACE] = ACTIONS(5627),
    [anon_sym_LBRACK] = ACTIONS(5627),
    [anon_sym_RBRACK] = ACTIONS(5627),
    [anon_sym_EQ] = ACTIONS(5625),
    [anon_sym_COLON] = ACTIONS(5627),
    [anon_sym_QMARK] = ACTIONS(5627),
    [anon_sym_STAR_EQ] = ACTIONS(5627),
    [anon_sym_SLASH_EQ] = ACTIONS(5627),
    [anon_sym_PERCENT_EQ] = ACTIONS(5627),
    [anon_sym_PLUS_EQ] = ACTIONS(5627),
    [anon_sym_DASH_EQ] = ACTIONS(5627),
    [anon_sym_LT_LT_EQ] = ACTIONS(5627),
    [anon_sym_GT_GT_EQ] = ACTIONS(5627),
    [anon_sym_AMP_EQ] = ACTIONS(5627),
    [anon_sym_CARET_EQ] = ACTIONS(5627),
    [anon_sym_PIPE_EQ] = ACTIONS(5627),
    [anon_sym_and_eq] = ACTIONS(5625),
    [anon_sym_or_eq] = ACTIONS(5625),
    [anon_sym_xor_eq] = ACTIONS(5625),
    [anon_sym_LT_EQ_GT] = ACTIONS(5627),
    [anon_sym_or] = ACTIONS(5625),
    [anon_sym_and] = ACTIONS(5625),
    [anon_sym_bitor] = ACTIONS(5625),
    [anon_sym_xor] = ACTIONS(5625),
    [anon_sym_bitand] = ACTIONS(5625),
    [anon_sym_not_eq] = ACTIONS(5625),
    [anon_sym_DASH_DASH] = ACTIONS(5627),
    [anon_sym_PLUS_PLUS] = ACTIONS(5627),
    [anon_sym_DOT] = ACTIONS(5625),
    [anon_sym_DOT_STAR] = ACTIONS(5627),
    [anon_sym_DASH_GT] = ACTIONS(5627),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
    [sym_literal_suffix] = ACTIONS(5625),
  },
  [2090] = {
    [sym_identifier] = ACTIONS(4929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4936),
    [anon_sym_COMMA] = ACTIONS(4936),
    [anon_sym_RPAREN] = ACTIONS(4936),
    [aux_sym_preproc_if_token2] = ACTIONS(4936),
    [aux_sym_preproc_else_token1] = ACTIONS(4936),
    [aux_sym_preproc_elif_token1] = ACTIONS(4929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4929),
    [anon_sym_PLUS] = ACTIONS(4929),
    [anon_sym_STAR] = ACTIONS(4929),
    [anon_sym_SLASH] = ACTIONS(4929),
    [anon_sym_PERCENT] = ACTIONS(4929),
    [anon_sym_PIPE_PIPE] = ACTIONS(4936),
    [anon_sym_AMP_AMP] = ACTIONS(4936),
    [anon_sym_PIPE] = ACTIONS(4929),
    [anon_sym_CARET] = ACTIONS(4929),
    [anon_sym_AMP] = ACTIONS(4929),
    [anon_sym_EQ_EQ] = ACTIONS(4936),
    [anon_sym_BANG_EQ] = ACTIONS(4936),
    [anon_sym_GT] = ACTIONS(4929),
    [anon_sym_GT_EQ] = ACTIONS(4936),
    [anon_sym_LT_EQ] = ACTIONS(4929),
    [anon_sym_LT] = ACTIONS(4929),
    [anon_sym_LT_LT] = ACTIONS(4929),
    [anon_sym_GT_GT] = ACTIONS(4929),
    [anon_sym_SEMI] = ACTIONS(4936),
    [anon_sym___attribute__] = ACTIONS(4929),
    [anon_sym_COLON_COLON] = ACTIONS(4936),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_RBRACE] = ACTIONS(4936),
    [anon_sym_LBRACK] = ACTIONS(4936),
    [anon_sym_RBRACK] = ACTIONS(4936),
    [anon_sym_EQ] = ACTIONS(4929),
    [anon_sym_COLON] = ACTIONS(4929),
    [anon_sym_QMARK] = ACTIONS(4936),
    [anon_sym_STAR_EQ] = ACTIONS(4936),
    [anon_sym_SLASH_EQ] = ACTIONS(4936),
    [anon_sym_PERCENT_EQ] = ACTIONS(4936),
    [anon_sym_PLUS_EQ] = ACTIONS(4936),
    [anon_sym_DASH_EQ] = ACTIONS(4936),
    [anon_sym_LT_LT_EQ] = ACTIONS(4936),
    [anon_sym_GT_GT_EQ] = ACTIONS(4936),
    [anon_sym_AMP_EQ] = ACTIONS(4936),
    [anon_sym_CARET_EQ] = ACTIONS(4936),
    [anon_sym_PIPE_EQ] = ACTIONS(4936),
    [anon_sym_and_eq] = ACTIONS(4929),
    [anon_sym_or_eq] = ACTIONS(4929),
    [anon_sym_xor_eq] = ACTIONS(4929),
    [anon_sym_LT_EQ_GT] = ACTIONS(4936),
    [anon_sym_or] = ACTIONS(4929),
    [anon_sym_and] = ACTIONS(4929),
    [anon_sym_bitor] = ACTIONS(4929),
    [anon_sym_xor] = ACTIONS(4929),
    [anon_sym_bitand] = ACTIONS(4929),
    [anon_sym_not_eq] = ACTIONS(4929),
    [anon_sym_DASH_DASH] = ACTIONS(4936),
    [anon_sym_PLUS_PLUS] = ACTIONS(4936),
    [anon_sym_DOT] = ACTIONS(4929),
    [anon_sym_DOT_STAR] = ACTIONS(4936),
    [anon_sym_DASH_GT] = ACTIONS(4936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4929),
    [anon_sym_decltype] = ACTIONS(4929),
    [anon_sym_final] = ACTIONS(4929),
    [anon_sym_override] = ACTIONS(4929),
  },
  [2091] = {
    [sym_identifier] = ACTIONS(3924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3926),
    [anon_sym_COMMA] = ACTIONS(3926),
    [anon_sym_RPAREN] = ACTIONS(3926),
    [anon_sym_LPAREN2] = ACTIONS(3926),
    [anon_sym_TILDE] = ACTIONS(3926),
    [anon_sym_STAR] = ACTIONS(3926),
    [anon_sym_AMP_AMP] = ACTIONS(3926),
    [anon_sym_AMP] = ACTIONS(3924),
    [anon_sym_SEMI] = ACTIONS(3926),
    [anon_sym___extension__] = ACTIONS(3924),
    [anon_sym_virtual] = ACTIONS(3924),
    [anon_sym_extern] = ACTIONS(3924),
    [anon_sym___attribute__] = ACTIONS(3924),
    [anon_sym_COLON_COLON] = ACTIONS(3926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3926),
    [anon_sym___declspec] = ACTIONS(3924),
    [anon_sym___based] = ACTIONS(3924),
    [anon_sym___cdecl] = ACTIONS(3924),
    [anon_sym___clrcall] = ACTIONS(3924),
    [anon_sym___stdcall] = ACTIONS(3924),
    [anon_sym___fastcall] = ACTIONS(3924),
    [anon_sym___thiscall] = ACTIONS(3924),
    [anon_sym___vectorcall] = ACTIONS(3924),
    [anon_sym_LBRACE] = ACTIONS(3926),
    [anon_sym_LBRACK] = ACTIONS(3924),
    [anon_sym_static] = ACTIONS(3924),
    [anon_sym_EQ] = ACTIONS(3926),
    [anon_sym_register] = ACTIONS(3924),
    [anon_sym_inline] = ACTIONS(3924),
    [anon_sym___inline] = ACTIONS(3924),
    [anon_sym___inline__] = ACTIONS(3924),
    [anon_sym___forceinline] = ACTIONS(3924),
    [anon_sym_thread_local] = ACTIONS(3924),
    [anon_sym___thread] = ACTIONS(3924),
    [anon_sym_const] = ACTIONS(3924),
    [anon_sym_constexpr] = ACTIONS(3924),
    [anon_sym_volatile] = ACTIONS(3924),
    [anon_sym_restrict] = ACTIONS(3924),
    [anon_sym___restrict__] = ACTIONS(3924),
    [anon_sym__Atomic] = ACTIONS(3924),
    [anon_sym__Noreturn] = ACTIONS(3924),
    [anon_sym_noreturn] = ACTIONS(3924),
    [anon_sym__Nonnull] = ACTIONS(3924),
    [anon_sym_mutable] = ACTIONS(3924),
    [anon_sym_constinit] = ACTIONS(3924),
    [anon_sym_consteval] = ACTIONS(3924),
    [anon_sym_PROGMEM] = ACTIONS(3924),
    [anon_sym_alignas] = ACTIONS(3924),
    [anon_sym__Alignas] = ACTIONS(3924),
    [anon_sym_COLON] = ACTIONS(3924),
    [anon_sym_asm] = ACTIONS(3924),
    [anon_sym___asm__] = ACTIONS(3924),
    [anon_sym___asm] = ACTIONS(3924),
    [anon_sym_DASH_GT] = ACTIONS(3926),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3924),
    [anon_sym_final] = ACTIONS(3924),
    [anon_sym_override] = ACTIONS(3924),
    [anon_sym_explicit] = ACTIONS(3924),
    [anon_sym_template] = ACTIONS(3924),
    [anon_sym_GT2] = ACTIONS(3926),
    [anon_sym_operator] = ACTIONS(3924),
    [anon_sym_try] = ACTIONS(3924),
    [anon_sym_public] = ACTIONS(3924),
    [anon_sym_private] = ACTIONS(3924),
    [anon_sym_protected] = ACTIONS(3924),
    [anon_sym_requires] = ACTIONS(3924),
  },
  [2092] = {
    [sym_identifier] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4902),
    [anon_sym_TILDE] = ACTIONS(4902),
    [anon_sym_STAR] = ACTIONS(4902),
    [anon_sym_PIPE_PIPE] = ACTIONS(4902),
    [anon_sym_AMP_AMP] = ACTIONS(4902),
    [anon_sym_AMP] = ACTIONS(4900),
    [anon_sym___extension__] = ACTIONS(4900),
    [anon_sym_virtual] = ACTIONS(4900),
    [anon_sym_extern] = ACTIONS(4900),
    [anon_sym___attribute__] = ACTIONS(4900),
    [anon_sym_COLON_COLON] = ACTIONS(4902),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4902),
    [anon_sym___declspec] = ACTIONS(4900),
    [anon_sym___based] = ACTIONS(4900),
    [anon_sym___cdecl] = ACTIONS(4900),
    [anon_sym___clrcall] = ACTIONS(4900),
    [anon_sym___stdcall] = ACTIONS(4900),
    [anon_sym___fastcall] = ACTIONS(4900),
    [anon_sym___thiscall] = ACTIONS(4900),
    [anon_sym___vectorcall] = ACTIONS(4900),
    [anon_sym_signed] = ACTIONS(4900),
    [anon_sym_unsigned] = ACTIONS(4900),
    [anon_sym_long] = ACTIONS(4900),
    [anon_sym_short] = ACTIONS(4900),
    [anon_sym_LBRACK] = ACTIONS(4900),
    [anon_sym_static] = ACTIONS(4900),
    [anon_sym_register] = ACTIONS(4900),
    [anon_sym_inline] = ACTIONS(4900),
    [anon_sym___inline] = ACTIONS(4900),
    [anon_sym___inline__] = ACTIONS(4900),
    [anon_sym___forceinline] = ACTIONS(4900),
    [anon_sym_thread_local] = ACTIONS(4900),
    [anon_sym___thread] = ACTIONS(4900),
    [anon_sym_const] = ACTIONS(4900),
    [anon_sym_constexpr] = ACTIONS(4900),
    [anon_sym_volatile] = ACTIONS(4900),
    [anon_sym_restrict] = ACTIONS(4900),
    [anon_sym___restrict__] = ACTIONS(4900),
    [anon_sym__Atomic] = ACTIONS(4900),
    [anon_sym__Noreturn] = ACTIONS(4900),
    [anon_sym_noreturn] = ACTIONS(4900),
    [anon_sym__Nonnull] = ACTIONS(4900),
    [anon_sym_mutable] = ACTIONS(4900),
    [anon_sym_constinit] = ACTIONS(4900),
    [anon_sym_consteval] = ACTIONS(4900),
    [anon_sym_PROGMEM] = ACTIONS(4900),
    [anon_sym_alignas] = ACTIONS(4900),
    [anon_sym__Alignas] = ACTIONS(4900),
    [aux_sym_primitive_type_token1] = ACTIONS(4900),
    [anon_sym_byte] = ACTIONS(4900),
    [anon_sym_word] = ACTIONS(4900),
    [anon_sym_enum] = ACTIONS(4900),
    [anon_sym_class] = ACTIONS(4900),
    [anon_sym_struct] = ACTIONS(4900),
    [anon_sym_union] = ACTIONS(4900),
    [anon_sym_or] = ACTIONS(4900),
    [anon_sym_and] = ACTIONS(4900),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4900),
    [anon_sym_decltype] = ACTIONS(4900),
    [anon_sym_explicit] = ACTIONS(4900),
    [anon_sym_typename] = ACTIONS(4900),
    [anon_sym_template] = ACTIONS(4900),
    [anon_sym_operator] = ACTIONS(4900),
    [anon_sym_friend] = ACTIONS(4900),
    [anon_sym_using] = ACTIONS(4900),
    [anon_sym_concept] = ACTIONS(4900),
  },
  [2093] = {
    [sym_string_literal] = STATE(2125),
    [sym_template_argument_list] = STATE(2960),
    [sym_raw_string_literal] = STATE(2125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_RPAREN] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4952),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4955),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(5731),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4124),
    [anon_sym_SLASH_EQ] = ACTIONS(4124),
    [anon_sym_PERCENT_EQ] = ACTIONS(4124),
    [anon_sym_PLUS_EQ] = ACTIONS(4124),
    [anon_sym_DASH_EQ] = ACTIONS(4124),
    [anon_sym_LT_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT_GT_EQ] = ACTIONS(4124),
    [anon_sym_AMP_EQ] = ACTIONS(4124),
    [anon_sym_CARET_EQ] = ACTIONS(4124),
    [anon_sym_PIPE_EQ] = ACTIONS(4124),
    [anon_sym_and_eq] = ACTIONS(4124),
    [anon_sym_or_eq] = ACTIONS(4124),
    [anon_sym_xor_eq] = ACTIONS(4124),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4132),
    [anon_sym_L_DQUOTE] = ACTIONS(4959),
    [anon_sym_u_DQUOTE] = ACTIONS(4959),
    [anon_sym_U_DQUOTE] = ACTIONS(4959),
    [anon_sym_u8_DQUOTE] = ACTIONS(4959),
    [anon_sym_DQUOTE] = ACTIONS(4959),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4961),
    [anon_sym_LR_DQUOTE] = ACTIONS(4961),
    [anon_sym_uR_DQUOTE] = ACTIONS(4961),
    [anon_sym_UR_DQUOTE] = ACTIONS(4961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4961),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4124),
  },
  [2094] = {
    [sym_string_literal] = STATE(2125),
    [sym_template_argument_list] = STATE(3166),
    [sym_raw_string_literal] = STATE(2125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_RPAREN] = ACTIONS(5702),
    [anon_sym_LPAREN2] = ACTIONS(5702),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4963),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5702),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4124),
    [anon_sym_SLASH_EQ] = ACTIONS(4124),
    [anon_sym_PERCENT_EQ] = ACTIONS(4124),
    [anon_sym_PLUS_EQ] = ACTIONS(4124),
    [anon_sym_DASH_EQ] = ACTIONS(4124),
    [anon_sym_LT_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT_GT_EQ] = ACTIONS(4124),
    [anon_sym_AMP_EQ] = ACTIONS(4124),
    [anon_sym_CARET_EQ] = ACTIONS(4124),
    [anon_sym_PIPE_EQ] = ACTIONS(4124),
    [anon_sym_and_eq] = ACTIONS(4124),
    [anon_sym_or_eq] = ACTIONS(4124),
    [anon_sym_xor_eq] = ACTIONS(4124),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4132),
    [anon_sym_L_DQUOTE] = ACTIONS(4959),
    [anon_sym_u_DQUOTE] = ACTIONS(4959),
    [anon_sym_U_DQUOTE] = ACTIONS(4959),
    [anon_sym_u8_DQUOTE] = ACTIONS(4959),
    [anon_sym_DQUOTE] = ACTIONS(4959),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4961),
    [anon_sym_LR_DQUOTE] = ACTIONS(4961),
    [anon_sym_uR_DQUOTE] = ACTIONS(4961),
    [anon_sym_UR_DQUOTE] = ACTIONS(4961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4961),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4124),
  },
  [2095] = {
    [sym_identifier] = ACTIONS(3942),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3944),
    [anon_sym_COMMA] = ACTIONS(3944),
    [anon_sym_RPAREN] = ACTIONS(3944),
    [anon_sym_LPAREN2] = ACTIONS(3944),
    [anon_sym_TILDE] = ACTIONS(3944),
    [anon_sym_STAR] = ACTIONS(3944),
    [anon_sym_AMP_AMP] = ACTIONS(3944),
    [anon_sym_AMP] = ACTIONS(3942),
    [anon_sym_SEMI] = ACTIONS(3944),
    [anon_sym___extension__] = ACTIONS(3942),
    [anon_sym_virtual] = ACTIONS(3942),
    [anon_sym_extern] = ACTIONS(3942),
    [anon_sym___attribute__] = ACTIONS(3942),
    [anon_sym_COLON_COLON] = ACTIONS(3944),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3944),
    [anon_sym___declspec] = ACTIONS(3942),
    [anon_sym___based] = ACTIONS(3942),
    [anon_sym___cdecl] = ACTIONS(3942),
    [anon_sym___clrcall] = ACTIONS(3942),
    [anon_sym___stdcall] = ACTIONS(3942),
    [anon_sym___fastcall] = ACTIONS(3942),
    [anon_sym___thiscall] = ACTIONS(3942),
    [anon_sym___vectorcall] = ACTIONS(3942),
    [anon_sym_LBRACE] = ACTIONS(3944),
    [anon_sym_LBRACK] = ACTIONS(3942),
    [anon_sym_static] = ACTIONS(3942),
    [anon_sym_EQ] = ACTIONS(3944),
    [anon_sym_register] = ACTIONS(3942),
    [anon_sym_inline] = ACTIONS(3942),
    [anon_sym___inline] = ACTIONS(3942),
    [anon_sym___inline__] = ACTIONS(3942),
    [anon_sym___forceinline] = ACTIONS(3942),
    [anon_sym_thread_local] = ACTIONS(3942),
    [anon_sym___thread] = ACTIONS(3942),
    [anon_sym_const] = ACTIONS(3942),
    [anon_sym_constexpr] = ACTIONS(3942),
    [anon_sym_volatile] = ACTIONS(3942),
    [anon_sym_restrict] = ACTIONS(3942),
    [anon_sym___restrict__] = ACTIONS(3942),
    [anon_sym__Atomic] = ACTIONS(3942),
    [anon_sym__Noreturn] = ACTIONS(3942),
    [anon_sym_noreturn] = ACTIONS(3942),
    [anon_sym__Nonnull] = ACTIONS(3942),
    [anon_sym_mutable] = ACTIONS(3942),
    [anon_sym_constinit] = ACTIONS(3942),
    [anon_sym_consteval] = ACTIONS(3942),
    [anon_sym_PROGMEM] = ACTIONS(3942),
    [anon_sym_alignas] = ACTIONS(3942),
    [anon_sym__Alignas] = ACTIONS(3942),
    [anon_sym_COLON] = ACTIONS(3942),
    [anon_sym_asm] = ACTIONS(3942),
    [anon_sym___asm__] = ACTIONS(3942),
    [anon_sym___asm] = ACTIONS(3942),
    [anon_sym_DASH_GT] = ACTIONS(3944),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3942),
    [anon_sym_final] = ACTIONS(3942),
    [anon_sym_override] = ACTIONS(3942),
    [anon_sym_explicit] = ACTIONS(3942),
    [anon_sym_template] = ACTIONS(3942),
    [anon_sym_GT2] = ACTIONS(3944),
    [anon_sym_operator] = ACTIONS(3942),
    [anon_sym_try] = ACTIONS(3942),
    [anon_sym_public] = ACTIONS(3942),
    [anon_sym_private] = ACTIONS(3942),
    [anon_sym_protected] = ACTIONS(3942),
    [anon_sym_requires] = ACTIONS(3942),
  },
  [2096] = {
    [sym_string_literal] = STATE(1644),
    [sym_template_argument_list] = STATE(2808),
    [sym_raw_string_literal] = STATE(1644),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(5734),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4955),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_RBRACE] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(5731),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4124),
    [anon_sym_SLASH_EQ] = ACTIONS(4124),
    [anon_sym_PERCENT_EQ] = ACTIONS(4124),
    [anon_sym_PLUS_EQ] = ACTIONS(4124),
    [anon_sym_DASH_EQ] = ACTIONS(4124),
    [anon_sym_LT_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT_GT_EQ] = ACTIONS(4124),
    [anon_sym_AMP_EQ] = ACTIONS(4124),
    [anon_sym_CARET_EQ] = ACTIONS(4124),
    [anon_sym_PIPE_EQ] = ACTIONS(4124),
    [anon_sym_and_eq] = ACTIONS(4124),
    [anon_sym_or_eq] = ACTIONS(4124),
    [anon_sym_xor_eq] = ACTIONS(4124),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(1943),
    [anon_sym_u_DQUOTE] = ACTIONS(1943),
    [anon_sym_U_DQUOTE] = ACTIONS(1943),
    [anon_sym_u8_DQUOTE] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1953),
    [anon_sym_LR_DQUOTE] = ACTIONS(1953),
    [anon_sym_uR_DQUOTE] = ACTIONS(1953),
    [anon_sym_UR_DQUOTE] = ACTIONS(1953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1953),
  },
  [2097] = {
    [sym_identifier] = ACTIONS(4892),
    [anon_sym_LPAREN2] = ACTIONS(4894),
    [anon_sym_TILDE] = ACTIONS(4894),
    [anon_sym_STAR] = ACTIONS(4894),
    [anon_sym_PIPE_PIPE] = ACTIONS(4894),
    [anon_sym_AMP_AMP] = ACTIONS(4894),
    [anon_sym_AMP] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(4892),
    [anon_sym_virtual] = ACTIONS(4892),
    [anon_sym_extern] = ACTIONS(4892),
    [anon_sym___attribute__] = ACTIONS(4892),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4894),
    [anon_sym___declspec] = ACTIONS(4892),
    [anon_sym___based] = ACTIONS(4892),
    [anon_sym___cdecl] = ACTIONS(4892),
    [anon_sym___clrcall] = ACTIONS(4892),
    [anon_sym___stdcall] = ACTIONS(4892),
    [anon_sym___fastcall] = ACTIONS(4892),
    [anon_sym___thiscall] = ACTIONS(4892),
    [anon_sym___vectorcall] = ACTIONS(4892),
    [anon_sym_signed] = ACTIONS(4892),
    [anon_sym_unsigned] = ACTIONS(4892),
    [anon_sym_long] = ACTIONS(4892),
    [anon_sym_short] = ACTIONS(4892),
    [anon_sym_LBRACK] = ACTIONS(4892),
    [anon_sym_static] = ACTIONS(4892),
    [anon_sym_register] = ACTIONS(4892),
    [anon_sym_inline] = ACTIONS(4892),
    [anon_sym___inline] = ACTIONS(4892),
    [anon_sym___inline__] = ACTIONS(4892),
    [anon_sym___forceinline] = ACTIONS(4892),
    [anon_sym_thread_local] = ACTIONS(4892),
    [anon_sym___thread] = ACTIONS(4892),
    [anon_sym_const] = ACTIONS(4892),
    [anon_sym_constexpr] = ACTIONS(4892),
    [anon_sym_volatile] = ACTIONS(4892),
    [anon_sym_restrict] = ACTIONS(4892),
    [anon_sym___restrict__] = ACTIONS(4892),
    [anon_sym__Atomic] = ACTIONS(4892),
    [anon_sym__Noreturn] = ACTIONS(4892),
    [anon_sym_noreturn] = ACTIONS(4892),
    [anon_sym__Nonnull] = ACTIONS(4892),
    [anon_sym_mutable] = ACTIONS(4892),
    [anon_sym_constinit] = ACTIONS(4892),
    [anon_sym_consteval] = ACTIONS(4892),
    [anon_sym_PROGMEM] = ACTIONS(4892),
    [anon_sym_alignas] = ACTIONS(4892),
    [anon_sym__Alignas] = ACTIONS(4892),
    [aux_sym_primitive_type_token1] = ACTIONS(4892),
    [anon_sym_byte] = ACTIONS(4892),
    [anon_sym_word] = ACTIONS(4892),
    [anon_sym_enum] = ACTIONS(4892),
    [anon_sym_class] = ACTIONS(4892),
    [anon_sym_struct] = ACTIONS(4892),
    [anon_sym_union] = ACTIONS(4892),
    [anon_sym_or] = ACTIONS(4892),
    [anon_sym_and] = ACTIONS(4892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4892),
    [anon_sym_decltype] = ACTIONS(4892),
    [anon_sym_explicit] = ACTIONS(4892),
    [anon_sym_typename] = ACTIONS(4892),
    [anon_sym_template] = ACTIONS(4892),
    [anon_sym_operator] = ACTIONS(4892),
    [anon_sym_friend] = ACTIONS(4892),
    [anon_sym_using] = ACTIONS(4892),
    [anon_sym_concept] = ACTIONS(4892),
  },
  [2098] = {
    [sym_identifier] = ACTIONS(4904),
    [anon_sym_LPAREN2] = ACTIONS(4906),
    [anon_sym_TILDE] = ACTIONS(4906),
    [anon_sym_STAR] = ACTIONS(4906),
    [anon_sym_PIPE_PIPE] = ACTIONS(4906),
    [anon_sym_AMP_AMP] = ACTIONS(4906),
    [anon_sym_AMP] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(4904),
    [anon_sym_virtual] = ACTIONS(4904),
    [anon_sym_extern] = ACTIONS(4904),
    [anon_sym___attribute__] = ACTIONS(4904),
    [anon_sym_COLON_COLON] = ACTIONS(4906),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4906),
    [anon_sym___declspec] = ACTIONS(4904),
    [anon_sym___based] = ACTIONS(4904),
    [anon_sym___cdecl] = ACTIONS(4904),
    [anon_sym___clrcall] = ACTIONS(4904),
    [anon_sym___stdcall] = ACTIONS(4904),
    [anon_sym___fastcall] = ACTIONS(4904),
    [anon_sym___thiscall] = ACTIONS(4904),
    [anon_sym___vectorcall] = ACTIONS(4904),
    [anon_sym_signed] = ACTIONS(4904),
    [anon_sym_unsigned] = ACTIONS(4904),
    [anon_sym_long] = ACTIONS(4904),
    [anon_sym_short] = ACTIONS(4904),
    [anon_sym_LBRACK] = ACTIONS(4904),
    [anon_sym_static] = ACTIONS(4904),
    [anon_sym_register] = ACTIONS(4904),
    [anon_sym_inline] = ACTIONS(4904),
    [anon_sym___inline] = ACTIONS(4904),
    [anon_sym___inline__] = ACTIONS(4904),
    [anon_sym___forceinline] = ACTIONS(4904),
    [anon_sym_thread_local] = ACTIONS(4904),
    [anon_sym___thread] = ACTIONS(4904),
    [anon_sym_const] = ACTIONS(4904),
    [anon_sym_constexpr] = ACTIONS(4904),
    [anon_sym_volatile] = ACTIONS(4904),
    [anon_sym_restrict] = ACTIONS(4904),
    [anon_sym___restrict__] = ACTIONS(4904),
    [anon_sym__Atomic] = ACTIONS(4904),
    [anon_sym__Noreturn] = ACTIONS(4904),
    [anon_sym_noreturn] = ACTIONS(4904),
    [anon_sym__Nonnull] = ACTIONS(4904),
    [anon_sym_mutable] = ACTIONS(4904),
    [anon_sym_constinit] = ACTIONS(4904),
    [anon_sym_consteval] = ACTIONS(4904),
    [anon_sym_PROGMEM] = ACTIONS(4904),
    [anon_sym_alignas] = ACTIONS(4904),
    [anon_sym__Alignas] = ACTIONS(4904),
    [aux_sym_primitive_type_token1] = ACTIONS(4904),
    [anon_sym_byte] = ACTIONS(4904),
    [anon_sym_word] = ACTIONS(4904),
    [anon_sym_enum] = ACTIONS(4904),
    [anon_sym_class] = ACTIONS(4904),
    [anon_sym_struct] = ACTIONS(4904),
    [anon_sym_union] = ACTIONS(4904),
    [anon_sym_or] = ACTIONS(4904),
    [anon_sym_and] = ACTIONS(4904),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4904),
    [anon_sym_decltype] = ACTIONS(4904),
    [anon_sym_explicit] = ACTIONS(4904),
    [anon_sym_typename] = ACTIONS(4904),
    [anon_sym_template] = ACTIONS(4904),
    [anon_sym_operator] = ACTIONS(4904),
    [anon_sym_friend] = ACTIONS(4904),
    [anon_sym_using] = ACTIONS(4904),
    [anon_sym_concept] = ACTIONS(4904),
  },
  [2099] = {
    [sym_identifier] = ACTIONS(5353),
    [anon_sym_LPAREN2] = ACTIONS(5355),
    [anon_sym_TILDE] = ACTIONS(5355),
    [anon_sym_STAR] = ACTIONS(5355),
    [anon_sym_PIPE_PIPE] = ACTIONS(5355),
    [anon_sym_AMP_AMP] = ACTIONS(5355),
    [anon_sym_AMP] = ACTIONS(5353),
    [anon_sym___extension__] = ACTIONS(5353),
    [anon_sym_virtual] = ACTIONS(5353),
    [anon_sym_extern] = ACTIONS(5353),
    [anon_sym___attribute__] = ACTIONS(5353),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5355),
    [anon_sym___declspec] = ACTIONS(5353),
    [anon_sym___based] = ACTIONS(5353),
    [anon_sym___cdecl] = ACTIONS(5353),
    [anon_sym___clrcall] = ACTIONS(5353),
    [anon_sym___stdcall] = ACTIONS(5353),
    [anon_sym___fastcall] = ACTIONS(5353),
    [anon_sym___thiscall] = ACTIONS(5353),
    [anon_sym___vectorcall] = ACTIONS(5353),
    [anon_sym_signed] = ACTIONS(5353),
    [anon_sym_unsigned] = ACTIONS(5353),
    [anon_sym_long] = ACTIONS(5353),
    [anon_sym_short] = ACTIONS(5353),
    [anon_sym_LBRACK] = ACTIONS(5353),
    [anon_sym_static] = ACTIONS(5353),
    [anon_sym_register] = ACTIONS(5353),
    [anon_sym_inline] = ACTIONS(5353),
    [anon_sym___inline] = ACTIONS(5353),
    [anon_sym___inline__] = ACTIONS(5353),
    [anon_sym___forceinline] = ACTIONS(5353),
    [anon_sym_thread_local] = ACTIONS(5353),
    [anon_sym___thread] = ACTIONS(5353),
    [anon_sym_const] = ACTIONS(5353),
    [anon_sym_constexpr] = ACTIONS(5353),
    [anon_sym_volatile] = ACTIONS(5353),
    [anon_sym_restrict] = ACTIONS(5353),
    [anon_sym___restrict__] = ACTIONS(5353),
    [anon_sym__Atomic] = ACTIONS(5353),
    [anon_sym__Noreturn] = ACTIONS(5353),
    [anon_sym_noreturn] = ACTIONS(5353),
    [anon_sym__Nonnull] = ACTIONS(5353),
    [anon_sym_mutable] = ACTIONS(5353),
    [anon_sym_constinit] = ACTIONS(5353),
    [anon_sym_consteval] = ACTIONS(5353),
    [anon_sym_PROGMEM] = ACTIONS(5353),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [aux_sym_primitive_type_token1] = ACTIONS(5353),
    [anon_sym_byte] = ACTIONS(5353),
    [anon_sym_word] = ACTIONS(5353),
    [anon_sym_enum] = ACTIONS(5353),
    [anon_sym_class] = ACTIONS(5353),
    [anon_sym_struct] = ACTIONS(5353),
    [anon_sym_union] = ACTIONS(5353),
    [anon_sym_or] = ACTIONS(5353),
    [anon_sym_and] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5353),
    [anon_sym_decltype] = ACTIONS(5353),
    [anon_sym_explicit] = ACTIONS(5353),
    [anon_sym_typename] = ACTIONS(5353),
    [anon_sym_template] = ACTIONS(5353),
    [anon_sym_operator] = ACTIONS(5353),
    [anon_sym_friend] = ACTIONS(5353),
    [anon_sym_using] = ACTIONS(5353),
    [anon_sym_concept] = ACTIONS(5353),
  },
  [2100] = {
    [sym_identifier] = ACTIONS(4908),
    [anon_sym_LPAREN2] = ACTIONS(4910),
    [anon_sym_TILDE] = ACTIONS(4910),
    [anon_sym_STAR] = ACTIONS(4910),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4910),
    [anon_sym_AMP] = ACTIONS(4908),
    [anon_sym___extension__] = ACTIONS(4908),
    [anon_sym_virtual] = ACTIONS(4908),
    [anon_sym_extern] = ACTIONS(4908),
    [anon_sym___attribute__] = ACTIONS(4908),
    [anon_sym_COLON_COLON] = ACTIONS(4910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4910),
    [anon_sym___declspec] = ACTIONS(4908),
    [anon_sym___based] = ACTIONS(4908),
    [anon_sym___cdecl] = ACTIONS(4908),
    [anon_sym___clrcall] = ACTIONS(4908),
    [anon_sym___stdcall] = ACTIONS(4908),
    [anon_sym___fastcall] = ACTIONS(4908),
    [anon_sym___thiscall] = ACTIONS(4908),
    [anon_sym___vectorcall] = ACTIONS(4908),
    [anon_sym_signed] = ACTIONS(4908),
    [anon_sym_unsigned] = ACTIONS(4908),
    [anon_sym_long] = ACTIONS(4908),
    [anon_sym_short] = ACTIONS(4908),
    [anon_sym_LBRACK] = ACTIONS(4908),
    [anon_sym_static] = ACTIONS(4908),
    [anon_sym_register] = ACTIONS(4908),
    [anon_sym_inline] = ACTIONS(4908),
    [anon_sym___inline] = ACTIONS(4908),
    [anon_sym___inline__] = ACTIONS(4908),
    [anon_sym___forceinline] = ACTIONS(4908),
    [anon_sym_thread_local] = ACTIONS(4908),
    [anon_sym___thread] = ACTIONS(4908),
    [anon_sym_const] = ACTIONS(4908),
    [anon_sym_constexpr] = ACTIONS(4908),
    [anon_sym_volatile] = ACTIONS(4908),
    [anon_sym_restrict] = ACTIONS(4908),
    [anon_sym___restrict__] = ACTIONS(4908),
    [anon_sym__Atomic] = ACTIONS(4908),
    [anon_sym__Noreturn] = ACTIONS(4908),
    [anon_sym_noreturn] = ACTIONS(4908),
    [anon_sym__Nonnull] = ACTIONS(4908),
    [anon_sym_mutable] = ACTIONS(4908),
    [anon_sym_constinit] = ACTIONS(4908),
    [anon_sym_consteval] = ACTIONS(4908),
    [anon_sym_PROGMEM] = ACTIONS(4908),
    [anon_sym_alignas] = ACTIONS(4908),
    [anon_sym__Alignas] = ACTIONS(4908),
    [aux_sym_primitive_type_token1] = ACTIONS(4908),
    [anon_sym_byte] = ACTIONS(4908),
    [anon_sym_word] = ACTIONS(4908),
    [anon_sym_enum] = ACTIONS(4908),
    [anon_sym_class] = ACTIONS(4908),
    [anon_sym_struct] = ACTIONS(4908),
    [anon_sym_union] = ACTIONS(4908),
    [anon_sym_or] = ACTIONS(4908),
    [anon_sym_and] = ACTIONS(4908),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4908),
    [anon_sym_decltype] = ACTIONS(4908),
    [anon_sym_explicit] = ACTIONS(4908),
    [anon_sym_typename] = ACTIONS(4908),
    [anon_sym_template] = ACTIONS(4908),
    [anon_sym_operator] = ACTIONS(4908),
    [anon_sym_friend] = ACTIONS(4908),
    [anon_sym_using] = ACTIONS(4908),
    [anon_sym_concept] = ACTIONS(4908),
  },
  [2101] = {
    [sym_identifier] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4890),
    [anon_sym_TILDE] = ACTIONS(4890),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4890),
    [anon_sym_AMP_AMP] = ACTIONS(4890),
    [anon_sym_AMP] = ACTIONS(4888),
    [anon_sym___extension__] = ACTIONS(4888),
    [anon_sym_virtual] = ACTIONS(4888),
    [anon_sym_extern] = ACTIONS(4888),
    [anon_sym___attribute__] = ACTIONS(4888),
    [anon_sym_COLON_COLON] = ACTIONS(4890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4890),
    [anon_sym___declspec] = ACTIONS(4888),
    [anon_sym___based] = ACTIONS(4888),
    [anon_sym___cdecl] = ACTIONS(4888),
    [anon_sym___clrcall] = ACTIONS(4888),
    [anon_sym___stdcall] = ACTIONS(4888),
    [anon_sym___fastcall] = ACTIONS(4888),
    [anon_sym___thiscall] = ACTIONS(4888),
    [anon_sym___vectorcall] = ACTIONS(4888),
    [anon_sym_signed] = ACTIONS(4888),
    [anon_sym_unsigned] = ACTIONS(4888),
    [anon_sym_long] = ACTIONS(4888),
    [anon_sym_short] = ACTIONS(4888),
    [anon_sym_LBRACK] = ACTIONS(4888),
    [anon_sym_static] = ACTIONS(4888),
    [anon_sym_register] = ACTIONS(4888),
    [anon_sym_inline] = ACTIONS(4888),
    [anon_sym___inline] = ACTIONS(4888),
    [anon_sym___inline__] = ACTIONS(4888),
    [anon_sym___forceinline] = ACTIONS(4888),
    [anon_sym_thread_local] = ACTIONS(4888),
    [anon_sym___thread] = ACTIONS(4888),
    [anon_sym_const] = ACTIONS(4888),
    [anon_sym_constexpr] = ACTIONS(4888),
    [anon_sym_volatile] = ACTIONS(4888),
    [anon_sym_restrict] = ACTIONS(4888),
    [anon_sym___restrict__] = ACTIONS(4888),
    [anon_sym__Atomic] = ACTIONS(4888),
    [anon_sym__Noreturn] = ACTIONS(4888),
    [anon_sym_noreturn] = ACTIONS(4888),
    [anon_sym__Nonnull] = ACTIONS(4888),
    [anon_sym_mutable] = ACTIONS(4888),
    [anon_sym_constinit] = ACTIONS(4888),
    [anon_sym_consteval] = ACTIONS(4888),
    [anon_sym_PROGMEM] = ACTIONS(4888),
    [anon_sym_alignas] = ACTIONS(4888),
    [anon_sym__Alignas] = ACTIONS(4888),
    [aux_sym_primitive_type_token1] = ACTIONS(4888),
    [anon_sym_byte] = ACTIONS(4888),
    [anon_sym_word] = ACTIONS(4888),
    [anon_sym_enum] = ACTIONS(4888),
    [anon_sym_class] = ACTIONS(4888),
    [anon_sym_struct] = ACTIONS(4888),
    [anon_sym_union] = ACTIONS(4888),
    [anon_sym_or] = ACTIONS(4888),
    [anon_sym_and] = ACTIONS(4888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4888),
    [anon_sym_decltype] = ACTIONS(4888),
    [anon_sym_explicit] = ACTIONS(4888),
    [anon_sym_typename] = ACTIONS(4888),
    [anon_sym_template] = ACTIONS(4888),
    [anon_sym_operator] = ACTIONS(4888),
    [anon_sym_friend] = ACTIONS(4888),
    [anon_sym_using] = ACTIONS(4888),
    [anon_sym_concept] = ACTIONS(4888),
  },
  [2102] = {
    [sym_identifier] = ACTIONS(5323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5325),
    [anon_sym_COMMA] = ACTIONS(5325),
    [anon_sym_RPAREN] = ACTIONS(5325),
    [aux_sym_preproc_if_token2] = ACTIONS(5325),
    [aux_sym_preproc_else_token1] = ACTIONS(5325),
    [aux_sym_preproc_elif_token1] = ACTIONS(5323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5325),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_DASH] = ACTIONS(5323),
    [anon_sym_PLUS] = ACTIONS(5323),
    [anon_sym_STAR] = ACTIONS(5323),
    [anon_sym_SLASH] = ACTIONS(5323),
    [anon_sym_PERCENT] = ACTIONS(5323),
    [anon_sym_PIPE_PIPE] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_PIPE] = ACTIONS(5323),
    [anon_sym_CARET] = ACTIONS(5323),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_EQ_EQ] = ACTIONS(5325),
    [anon_sym_BANG_EQ] = ACTIONS(5325),
    [anon_sym_GT] = ACTIONS(5323),
    [anon_sym_GT_EQ] = ACTIONS(5325),
    [anon_sym_LT_EQ] = ACTIONS(5323),
    [anon_sym_LT] = ACTIONS(5323),
    [anon_sym_LT_LT] = ACTIONS(5323),
    [anon_sym_GT_GT] = ACTIONS(5323),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym_LBRACE] = ACTIONS(5325),
    [anon_sym_RBRACE] = ACTIONS(5325),
    [anon_sym_LBRACK] = ACTIONS(5325),
    [anon_sym_RBRACK] = ACTIONS(5325),
    [anon_sym_EQ] = ACTIONS(5323),
    [anon_sym_COLON] = ACTIONS(5323),
    [anon_sym_QMARK] = ACTIONS(5325),
    [anon_sym_STAR_EQ] = ACTIONS(5325),
    [anon_sym_SLASH_EQ] = ACTIONS(5325),
    [anon_sym_PERCENT_EQ] = ACTIONS(5325),
    [anon_sym_PLUS_EQ] = ACTIONS(5325),
    [anon_sym_DASH_EQ] = ACTIONS(5325),
    [anon_sym_LT_LT_EQ] = ACTIONS(5325),
    [anon_sym_GT_GT_EQ] = ACTIONS(5325),
    [anon_sym_AMP_EQ] = ACTIONS(5325),
    [anon_sym_CARET_EQ] = ACTIONS(5325),
    [anon_sym_PIPE_EQ] = ACTIONS(5325),
    [anon_sym_and_eq] = ACTIONS(5323),
    [anon_sym_or_eq] = ACTIONS(5323),
    [anon_sym_xor_eq] = ACTIONS(5323),
    [anon_sym_LT_EQ_GT] = ACTIONS(5325),
    [anon_sym_or] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [anon_sym_bitor] = ACTIONS(5323),
    [anon_sym_xor] = ACTIONS(5323),
    [anon_sym_bitand] = ACTIONS(5323),
    [anon_sym_not_eq] = ACTIONS(5323),
    [anon_sym_DASH_DASH] = ACTIONS(5325),
    [anon_sym_PLUS_PLUS] = ACTIONS(5325),
    [anon_sym_DOT] = ACTIONS(5323),
    [anon_sym_DOT_STAR] = ACTIONS(5325),
    [anon_sym_DASH_GT] = ACTIONS(5325),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_final] = ACTIONS(5323),
    [anon_sym_override] = ACTIONS(5323),
  },
  [2103] = {
    [sym_identifier] = ACTIONS(5323),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_TILDE] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_PIPE_PIPE] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym___extension__] = ACTIONS(5323),
    [anon_sym_virtual] = ACTIONS(5323),
    [anon_sym_extern] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5325),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5325),
    [anon_sym___declspec] = ACTIONS(5323),
    [anon_sym___based] = ACTIONS(5323),
    [anon_sym___cdecl] = ACTIONS(5323),
    [anon_sym___clrcall] = ACTIONS(5323),
    [anon_sym___stdcall] = ACTIONS(5323),
    [anon_sym___fastcall] = ACTIONS(5323),
    [anon_sym___thiscall] = ACTIONS(5323),
    [anon_sym___vectorcall] = ACTIONS(5323),
    [anon_sym_signed] = ACTIONS(5323),
    [anon_sym_unsigned] = ACTIONS(5323),
    [anon_sym_long] = ACTIONS(5323),
    [anon_sym_short] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_static] = ACTIONS(5323),
    [anon_sym_register] = ACTIONS(5323),
    [anon_sym_inline] = ACTIONS(5323),
    [anon_sym___inline] = ACTIONS(5323),
    [anon_sym___inline__] = ACTIONS(5323),
    [anon_sym___forceinline] = ACTIONS(5323),
    [anon_sym_thread_local] = ACTIONS(5323),
    [anon_sym___thread] = ACTIONS(5323),
    [anon_sym_const] = ACTIONS(5323),
    [anon_sym_constexpr] = ACTIONS(5323),
    [anon_sym_volatile] = ACTIONS(5323),
    [anon_sym_restrict] = ACTIONS(5323),
    [anon_sym___restrict__] = ACTIONS(5323),
    [anon_sym__Atomic] = ACTIONS(5323),
    [anon_sym__Noreturn] = ACTIONS(5323),
    [anon_sym_noreturn] = ACTIONS(5323),
    [anon_sym__Nonnull] = ACTIONS(5323),
    [anon_sym_mutable] = ACTIONS(5323),
    [anon_sym_constinit] = ACTIONS(5323),
    [anon_sym_consteval] = ACTIONS(5323),
    [anon_sym_PROGMEM] = ACTIONS(5323),
    [anon_sym_alignas] = ACTIONS(5323),
    [anon_sym__Alignas] = ACTIONS(5323),
    [aux_sym_primitive_type_token1] = ACTIONS(5323),
    [anon_sym_byte] = ACTIONS(5323),
    [anon_sym_word] = ACTIONS(5323),
    [anon_sym_enum] = ACTIONS(5323),
    [anon_sym_class] = ACTIONS(5323),
    [anon_sym_struct] = ACTIONS(5323),
    [anon_sym_union] = ACTIONS(5323),
    [anon_sym_or] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_explicit] = ACTIONS(5323),
    [anon_sym_typename] = ACTIONS(5323),
    [anon_sym_template] = ACTIONS(5323),
    [anon_sym_operator] = ACTIONS(5323),
    [anon_sym_friend] = ACTIONS(5323),
    [anon_sym_using] = ACTIONS(5323),
    [anon_sym_concept] = ACTIONS(5323),
  },
  [2104] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1765),
    [sym_identifier] = ACTIONS(5163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5434),
    [anon_sym_COMMA] = ACTIONS(5434),
    [anon_sym_RPAREN] = ACTIONS(5434),
    [anon_sym_LPAREN2] = ACTIONS(5434),
    [anon_sym_DASH] = ACTIONS(5437),
    [anon_sym_PLUS] = ACTIONS(5437),
    [anon_sym_STAR] = ACTIONS(5437),
    [anon_sym_SLASH] = ACTIONS(5437),
    [anon_sym_PERCENT] = ACTIONS(5437),
    [anon_sym_PIPE_PIPE] = ACTIONS(5434),
    [anon_sym_AMP_AMP] = ACTIONS(5434),
    [anon_sym_PIPE] = ACTIONS(5437),
    [anon_sym_CARET] = ACTIONS(5437),
    [anon_sym_AMP] = ACTIONS(5437),
    [anon_sym_EQ_EQ] = ACTIONS(5434),
    [anon_sym_BANG_EQ] = ACTIONS(5434),
    [anon_sym_GT] = ACTIONS(5437),
    [anon_sym_GT_EQ] = ACTIONS(5434),
    [anon_sym_LT_EQ] = ACTIONS(5437),
    [anon_sym_LT] = ACTIONS(5437),
    [anon_sym_LT_LT] = ACTIONS(5437),
    [anon_sym_GT_GT] = ACTIONS(5437),
    [anon_sym_SEMI] = ACTIONS(5434),
    [anon_sym___attribute__] = ACTIONS(5437),
    [anon_sym_LBRACE] = ACTIONS(5434),
    [anon_sym_RBRACE] = ACTIONS(5434),
    [anon_sym_signed] = ACTIONS(5373),
    [anon_sym_unsigned] = ACTIONS(5373),
    [anon_sym_long] = ACTIONS(5373),
    [anon_sym_short] = ACTIONS(5373),
    [anon_sym_LBRACK] = ACTIONS(5434),
    [anon_sym_RBRACK] = ACTIONS(5434),
    [anon_sym_EQ] = ACTIONS(5437),
    [aux_sym_primitive_type_token1] = ACTIONS(5163),
    [anon_sym_byte] = ACTIONS(5163),
    [anon_sym_word] = ACTIONS(5163),
    [anon_sym_COLON] = ACTIONS(5434),
    [anon_sym_QMARK] = ACTIONS(5434),
    [anon_sym_STAR_EQ] = ACTIONS(5434),
    [anon_sym_SLASH_EQ] = ACTIONS(5434),
    [anon_sym_PERCENT_EQ] = ACTIONS(5434),
    [anon_sym_PLUS_EQ] = ACTIONS(5434),
    [anon_sym_DASH_EQ] = ACTIONS(5434),
    [anon_sym_LT_LT_EQ] = ACTIONS(5434),
    [anon_sym_GT_GT_EQ] = ACTIONS(5434),
    [anon_sym_AMP_EQ] = ACTIONS(5434),
    [anon_sym_CARET_EQ] = ACTIONS(5434),
    [anon_sym_PIPE_EQ] = ACTIONS(5434),
    [anon_sym_and_eq] = ACTIONS(5437),
    [anon_sym_or_eq] = ACTIONS(5437),
    [anon_sym_xor_eq] = ACTIONS(5437),
    [anon_sym_LT_EQ_GT] = ACTIONS(5434),
    [anon_sym_or] = ACTIONS(5437),
    [anon_sym_and] = ACTIONS(5437),
    [anon_sym_bitor] = ACTIONS(5437),
    [anon_sym_xor] = ACTIONS(5437),
    [anon_sym_bitand] = ACTIONS(5437),
    [anon_sym_not_eq] = ACTIONS(5437),
    [anon_sym_DASH_DASH] = ACTIONS(5434),
    [anon_sym_PLUS_PLUS] = ACTIONS(5434),
    [anon_sym_DOT] = ACTIONS(5437),
    [anon_sym_DOT_STAR] = ACTIONS(5434),
    [anon_sym_DASH_GT] = ACTIONS(5434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5437),
    [anon_sym_decltype] = ACTIONS(5437),
  },
  [2105] = {
    [sym_identifier] = ACTIONS(5323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5325),
    [anon_sym_COMMA] = ACTIONS(5325),
    [anon_sym_RPAREN] = ACTIONS(5325),
    [aux_sym_preproc_if_token2] = ACTIONS(5325),
    [aux_sym_preproc_else_token1] = ACTIONS(5325),
    [aux_sym_preproc_elif_token1] = ACTIONS(5323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5325),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_DASH] = ACTIONS(5323),
    [anon_sym_PLUS] = ACTIONS(5323),
    [anon_sym_STAR] = ACTIONS(5323),
    [anon_sym_SLASH] = ACTIONS(5323),
    [anon_sym_PERCENT] = ACTIONS(5323),
    [anon_sym_PIPE_PIPE] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_PIPE] = ACTIONS(5323),
    [anon_sym_CARET] = ACTIONS(5323),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_EQ_EQ] = ACTIONS(5325),
    [anon_sym_BANG_EQ] = ACTIONS(5325),
    [anon_sym_GT] = ACTIONS(5323),
    [anon_sym_GT_EQ] = ACTIONS(5325),
    [anon_sym_LT_EQ] = ACTIONS(5323),
    [anon_sym_LT] = ACTIONS(5323),
    [anon_sym_LT_LT] = ACTIONS(5323),
    [anon_sym_GT_GT] = ACTIONS(5323),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym_LBRACE] = ACTIONS(5325),
    [anon_sym_RBRACE] = ACTIONS(5325),
    [anon_sym_LBRACK] = ACTIONS(5325),
    [anon_sym_RBRACK] = ACTIONS(5325),
    [anon_sym_EQ] = ACTIONS(5323),
    [anon_sym_COLON] = ACTIONS(5323),
    [anon_sym_QMARK] = ACTIONS(5325),
    [anon_sym_STAR_EQ] = ACTIONS(5325),
    [anon_sym_SLASH_EQ] = ACTIONS(5325),
    [anon_sym_PERCENT_EQ] = ACTIONS(5325),
    [anon_sym_PLUS_EQ] = ACTIONS(5325),
    [anon_sym_DASH_EQ] = ACTIONS(5325),
    [anon_sym_LT_LT_EQ] = ACTIONS(5325),
    [anon_sym_GT_GT_EQ] = ACTIONS(5325),
    [anon_sym_AMP_EQ] = ACTIONS(5325),
    [anon_sym_CARET_EQ] = ACTIONS(5325),
    [anon_sym_PIPE_EQ] = ACTIONS(5325),
    [anon_sym_and_eq] = ACTIONS(5323),
    [anon_sym_or_eq] = ACTIONS(5323),
    [anon_sym_xor_eq] = ACTIONS(5323),
    [anon_sym_LT_EQ_GT] = ACTIONS(5325),
    [anon_sym_or] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [anon_sym_bitor] = ACTIONS(5323),
    [anon_sym_xor] = ACTIONS(5323),
    [anon_sym_bitand] = ACTIONS(5323),
    [anon_sym_not_eq] = ACTIONS(5323),
    [anon_sym_DASH_DASH] = ACTIONS(5325),
    [anon_sym_PLUS_PLUS] = ACTIONS(5325),
    [anon_sym_DOT] = ACTIONS(5323),
    [anon_sym_DOT_STAR] = ACTIONS(5325),
    [anon_sym_DASH_GT] = ACTIONS(5325),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_final] = ACTIONS(5323),
    [anon_sym_override] = ACTIONS(5323),
  },
  [2106] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(3687),
    [sym_raw_string_literal] = STATE(2527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_RBRACE] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_COLON] = ACTIONS(5737),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4160),
    [anon_sym_or_eq] = ACTIONS(4160),
    [anon_sym_xor_eq] = ACTIONS(4160),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [2107] = {
    [sym_identifier] = ACTIONS(5323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5325),
    [anon_sym_COMMA] = ACTIONS(5325),
    [anon_sym_RPAREN] = ACTIONS(5325),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_TILDE] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_PIPE_PIPE] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___extension__] = ACTIONS(5323),
    [anon_sym_virtual] = ACTIONS(5323),
    [anon_sym_extern] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5325),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5325),
    [anon_sym___declspec] = ACTIONS(5323),
    [anon_sym___based] = ACTIONS(5323),
    [anon_sym___cdecl] = ACTIONS(5323),
    [anon_sym___clrcall] = ACTIONS(5323),
    [anon_sym___stdcall] = ACTIONS(5323),
    [anon_sym___fastcall] = ACTIONS(5323),
    [anon_sym___thiscall] = ACTIONS(5323),
    [anon_sym___vectorcall] = ACTIONS(5323),
    [anon_sym_LBRACE] = ACTIONS(5325),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_static] = ACTIONS(5323),
    [anon_sym_EQ] = ACTIONS(5325),
    [anon_sym_register] = ACTIONS(5323),
    [anon_sym_inline] = ACTIONS(5323),
    [anon_sym___inline] = ACTIONS(5323),
    [anon_sym___inline__] = ACTIONS(5323),
    [anon_sym___forceinline] = ACTIONS(5323),
    [anon_sym_thread_local] = ACTIONS(5323),
    [anon_sym___thread] = ACTIONS(5323),
    [anon_sym_const] = ACTIONS(5323),
    [anon_sym_constexpr] = ACTIONS(5323),
    [anon_sym_volatile] = ACTIONS(5323),
    [anon_sym_restrict] = ACTIONS(5323),
    [anon_sym___restrict__] = ACTIONS(5323),
    [anon_sym__Atomic] = ACTIONS(5323),
    [anon_sym__Noreturn] = ACTIONS(5323),
    [anon_sym_noreturn] = ACTIONS(5323),
    [anon_sym__Nonnull] = ACTIONS(5323),
    [anon_sym_mutable] = ACTIONS(5323),
    [anon_sym_constinit] = ACTIONS(5323),
    [anon_sym_consteval] = ACTIONS(5323),
    [anon_sym_PROGMEM] = ACTIONS(5323),
    [anon_sym_alignas] = ACTIONS(5323),
    [anon_sym__Alignas] = ACTIONS(5323),
    [anon_sym_COLON] = ACTIONS(5323),
    [anon_sym_or] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [anon_sym_asm] = ACTIONS(5323),
    [anon_sym___asm__] = ACTIONS(5323),
    [anon_sym___asm] = ACTIONS(5323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_final] = ACTIONS(5323),
    [anon_sym_override] = ACTIONS(5323),
    [anon_sym_template] = ACTIONS(5323),
    [anon_sym_GT2] = ACTIONS(5325),
    [anon_sym_operator] = ACTIONS(5323),
    [anon_sym_try] = ACTIONS(5323),
    [anon_sym_requires] = ACTIONS(5323),
  },
  [2108] = {
    [sym_ms_based_modifier] = STATE(7620),
    [sym_ms_unaligned_ptr_modifier] = STATE(3982),
    [sym_ms_pointer_modifier] = STATE(3854),
    [sym__declarator] = STATE(6047),
    [sym__abstract_declarator] = STATE(6321),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_abstract_parenthesized_declarator] = STATE(5817),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_abstract_pointer_declarator] = STATE(5817),
    [sym_function_declarator] = STATE(5932),
    [sym_abstract_function_declarator] = STATE(5817),
    [sym_array_declarator] = STATE(5932),
    [sym_abstract_array_declarator] = STATE(5817),
    [sym_type_qualifier] = STATE(2628),
    [sym_alignas_qualifier] = STATE(4236),
    [sym_parameter_list] = STATE(2941),
    [sym_decltype] = STATE(8169),
    [sym_reference_declarator] = STATE(5932),
    [sym_abstract_reference_declarator] = STATE(5817),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym__function_declarator_seq] = STATE(5892),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(5932),
    [sym_operator_name] = STATE(5932),
    [aux_sym__type_definition_type_repeat1] = STATE(2628),
    [aux_sym_pointer_declarator_repeat1] = STATE(3854),
    [sym_identifier] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5666),
    [anon_sym_RPAREN] = ACTIONS(5666),
    [anon_sym_LPAREN2] = ACTIONS(4180),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(5739),
    [anon_sym_AMP_AMP] = ACTIONS(5741),
    [anon_sym_AMP] = ACTIONS(5743),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(5674),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2688),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2688),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2688),
    [anon_sym__unaligned] = ACTIONS(2690),
    [anon_sym___unaligned] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym__Nonnull] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_PROGMEM] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym__Alignas] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1829),
  },
  [2109] = {
    [sym_string_literal] = STATE(3186),
    [sym_template_argument_list] = STATE(3687),
    [sym_raw_string_literal] = STATE(3186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym___attribute__] = ACTIONS(4124),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(5745),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(5747),
    [anon_sym_SLASH_EQ] = ACTIONS(5747),
    [anon_sym_PERCENT_EQ] = ACTIONS(5747),
    [anon_sym_PLUS_EQ] = ACTIONS(5747),
    [anon_sym_DASH_EQ] = ACTIONS(5747),
    [anon_sym_LT_LT_EQ] = ACTIONS(5747),
    [anon_sym_GT_GT_EQ] = ACTIONS(5747),
    [anon_sym_AMP_EQ] = ACTIONS(5747),
    [anon_sym_CARET_EQ] = ACTIONS(5747),
    [anon_sym_PIPE_EQ] = ACTIONS(5747),
    [anon_sym_and_eq] = ACTIONS(5747),
    [anon_sym_or_eq] = ACTIONS(5747),
    [anon_sym_xor_eq] = ACTIONS(5747),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(5749),
    [anon_sym_u_DQUOTE] = ACTIONS(5749),
    [anon_sym_U_DQUOTE] = ACTIONS(5749),
    [anon_sym_u8_DQUOTE] = ACTIONS(5749),
    [anon_sym_DQUOTE] = ACTIONS(5749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5751),
    [anon_sym_LR_DQUOTE] = ACTIONS(5751),
    [anon_sym_uR_DQUOTE] = ACTIONS(5751),
    [anon_sym_UR_DQUOTE] = ACTIONS(5751),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5751),
  },
  [2110] = {
    [sym_ms_based_modifier] = STATE(7620),
    [sym_ms_unaligned_ptr_modifier] = STATE(3982),
    [sym_ms_pointer_modifier] = STATE(2108),
    [sym__declarator] = STATE(6029),
    [sym__abstract_declarator] = STATE(6292),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_abstract_parenthesized_declarator] = STATE(5817),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_abstract_pointer_declarator] = STATE(5817),
    [sym_function_declarator] = STATE(5932),
    [sym_abstract_function_declarator] = STATE(5817),
    [sym_array_declarator] = STATE(5932),
    [sym_abstract_array_declarator] = STATE(5817),
    [sym_type_qualifier] = STATE(2659),
    [sym_alignas_qualifier] = STATE(4236),
    [sym_parameter_list] = STATE(2941),
    [sym_decltype] = STATE(8169),
    [sym_reference_declarator] = STATE(5932),
    [sym_abstract_reference_declarator] = STATE(5817),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym__function_declarator_seq] = STATE(5892),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(5932),
    [sym_operator_name] = STATE(5932),
    [aux_sym__type_definition_type_repeat1] = STATE(2659),
    [aux_sym_pointer_declarator_repeat1] = STATE(2108),
    [sym_identifier] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5687),
    [anon_sym_RPAREN] = ACTIONS(5687),
    [anon_sym_LPAREN2] = ACTIONS(4180),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(5739),
    [anon_sym_AMP_AMP] = ACTIONS(5741),
    [anon_sym_AMP] = ACTIONS(5743),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(5674),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2688),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2688),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2688),
    [anon_sym__unaligned] = ACTIONS(2690),
    [anon_sym___unaligned] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym__Nonnull] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_PROGMEM] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym__Alignas] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1829),
  },
  [2111] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(3687),
    [sym_raw_string_literal] = STATE(2527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_COLON] = ACTIONS(4377),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4160),
    [anon_sym_or_eq] = ACTIONS(4160),
    [anon_sym_xor_eq] = ACTIONS(4160),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [2112] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(3687),
    [sym_raw_string_literal] = STATE(2527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_COLON] = ACTIONS(4164),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4160),
    [anon_sym_or_eq] = ACTIONS(4160),
    [anon_sym_xor_eq] = ACTIONS(4160),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [2113] = {
    [sym_attribute_specifier] = STATE(2254),
    [sym_enumerator_list] = STATE(2153),
    [sym_identifier] = ACTIONS(5753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5755),
    [anon_sym_COMMA] = ACTIONS(5755),
    [anon_sym_RPAREN] = ACTIONS(5755),
    [aux_sym_preproc_if_token2] = ACTIONS(5755),
    [aux_sym_preproc_else_token1] = ACTIONS(5755),
    [aux_sym_preproc_elif_token1] = ACTIONS(5753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5755),
    [anon_sym_LPAREN2] = ACTIONS(5755),
    [anon_sym_DASH] = ACTIONS(5753),
    [anon_sym_PLUS] = ACTIONS(5753),
    [anon_sym_STAR] = ACTIONS(5753),
    [anon_sym_SLASH] = ACTIONS(5753),
    [anon_sym_PERCENT] = ACTIONS(5753),
    [anon_sym_PIPE_PIPE] = ACTIONS(5755),
    [anon_sym_AMP_AMP] = ACTIONS(5755),
    [anon_sym_PIPE] = ACTIONS(5753),
    [anon_sym_CARET] = ACTIONS(5753),
    [anon_sym_AMP] = ACTIONS(5753),
    [anon_sym_EQ_EQ] = ACTIONS(5755),
    [anon_sym_BANG_EQ] = ACTIONS(5755),
    [anon_sym_GT] = ACTIONS(5753),
    [anon_sym_GT_EQ] = ACTIONS(5755),
    [anon_sym_LT_EQ] = ACTIONS(5753),
    [anon_sym_LT] = ACTIONS(5753),
    [anon_sym_LT_LT] = ACTIONS(5753),
    [anon_sym_GT_GT] = ACTIONS(5753),
    [anon_sym_SEMI] = ACTIONS(5755),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5757),
    [anon_sym_RBRACE] = ACTIONS(5755),
    [anon_sym_LBRACK] = ACTIONS(5755),
    [anon_sym_RBRACK] = ACTIONS(5755),
    [anon_sym_EQ] = ACTIONS(5753),
    [anon_sym_COLON] = ACTIONS(5755),
    [anon_sym_QMARK] = ACTIONS(5755),
    [anon_sym_STAR_EQ] = ACTIONS(5755),
    [anon_sym_SLASH_EQ] = ACTIONS(5755),
    [anon_sym_PERCENT_EQ] = ACTIONS(5755),
    [anon_sym_PLUS_EQ] = ACTIONS(5755),
    [anon_sym_DASH_EQ] = ACTIONS(5755),
    [anon_sym_LT_LT_EQ] = ACTIONS(5755),
    [anon_sym_GT_GT_EQ] = ACTIONS(5755),
    [anon_sym_AMP_EQ] = ACTIONS(5755),
    [anon_sym_CARET_EQ] = ACTIONS(5755),
    [anon_sym_PIPE_EQ] = ACTIONS(5755),
    [anon_sym_and_eq] = ACTIONS(5753),
    [anon_sym_or_eq] = ACTIONS(5753),
    [anon_sym_xor_eq] = ACTIONS(5753),
    [anon_sym_LT_EQ_GT] = ACTIONS(5755),
    [anon_sym_or] = ACTIONS(5753),
    [anon_sym_and] = ACTIONS(5753),
    [anon_sym_bitor] = ACTIONS(5753),
    [anon_sym_xor] = ACTIONS(5753),
    [anon_sym_bitand] = ACTIONS(5753),
    [anon_sym_not_eq] = ACTIONS(5753),
    [anon_sym_DASH_DASH] = ACTIONS(5755),
    [anon_sym_PLUS_PLUS] = ACTIONS(5755),
    [anon_sym_DOT] = ACTIONS(5753),
    [anon_sym_DOT_STAR] = ACTIONS(5755),
    [anon_sym_DASH_GT] = ACTIONS(5755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5753),
    [anon_sym_decltype] = ACTIONS(5753),
  },
  [2114] = {
    [sym_string_literal] = STATE(2115),
    [sym_template_argument_list] = STATE(2299),
    [sym_raw_string_literal] = STATE(2115),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(5187),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym___attribute__] = ACTIONS(4124),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4124),
    [anon_sym_SLASH_EQ] = ACTIONS(4124),
    [anon_sym_PERCENT_EQ] = ACTIONS(4124),
    [anon_sym_PLUS_EQ] = ACTIONS(4124),
    [anon_sym_DASH_EQ] = ACTIONS(4124),
    [anon_sym_LT_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT_GT_EQ] = ACTIONS(4124),
    [anon_sym_AMP_EQ] = ACTIONS(4124),
    [anon_sym_CARET_EQ] = ACTIONS(4124),
    [anon_sym_PIPE_EQ] = ACTIONS(4124),
    [anon_sym_and_eq] = ACTIONS(4124),
    [anon_sym_or_eq] = ACTIONS(4124),
    [anon_sym_xor_eq] = ACTIONS(4124),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(5759),
    [anon_sym_u_DQUOTE] = ACTIONS(5759),
    [anon_sym_U_DQUOTE] = ACTIONS(5759),
    [anon_sym_u8_DQUOTE] = ACTIONS(5759),
    [anon_sym_DQUOTE] = ACTIONS(5759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5761),
    [anon_sym_LR_DQUOTE] = ACTIONS(5761),
    [anon_sym_uR_DQUOTE] = ACTIONS(5761),
    [anon_sym_UR_DQUOTE] = ACTIONS(5761),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5761),
  },
  [2115] = {
    [sym_string_literal] = STATE(2129),
    [sym_raw_string_literal] = STATE(2129),
    [aux_sym_concatenated_string_repeat1] = STATE(2129),
    [sym_identifier] = ACTIONS(5763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5200),
    [anon_sym_COMMA] = ACTIONS(5200),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_DASH] = ACTIONS(5202),
    [anon_sym_PLUS] = ACTIONS(5202),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_SLASH] = ACTIONS(5202),
    [anon_sym_PERCENT] = ACTIONS(5202),
    [anon_sym_PIPE_PIPE] = ACTIONS(5200),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_PIPE] = ACTIONS(5202),
    [anon_sym_CARET] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_EQ_EQ] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5200),
    [anon_sym_GT] = ACTIONS(5202),
    [anon_sym_GT_EQ] = ACTIONS(5200),
    [anon_sym_LT_EQ] = ACTIONS(5202),
    [anon_sym_LT] = ACTIONS(5202),
    [anon_sym_LT_LT] = ACTIONS(5202),
    [anon_sym_GT_GT] = ACTIONS(5202),
    [anon_sym_SEMI] = ACTIONS(5200),
    [anon_sym___attribute__] = ACTIONS(5202),
    [anon_sym_LBRACK] = ACTIONS(5200),
    [anon_sym_EQ] = ACTIONS(5202),
    [anon_sym_QMARK] = ACTIONS(5200),
    [anon_sym_STAR_EQ] = ACTIONS(5200),
    [anon_sym_SLASH_EQ] = ACTIONS(5200),
    [anon_sym_PERCENT_EQ] = ACTIONS(5200),
    [anon_sym_PLUS_EQ] = ACTIONS(5200),
    [anon_sym_DASH_EQ] = ACTIONS(5200),
    [anon_sym_LT_LT_EQ] = ACTIONS(5200),
    [anon_sym_GT_GT_EQ] = ACTIONS(5200),
    [anon_sym_AMP_EQ] = ACTIONS(5200),
    [anon_sym_CARET_EQ] = ACTIONS(5200),
    [anon_sym_PIPE_EQ] = ACTIONS(5200),
    [anon_sym_and_eq] = ACTIONS(5202),
    [anon_sym_or_eq] = ACTIONS(5202),
    [anon_sym_xor_eq] = ACTIONS(5202),
    [anon_sym_LT_EQ_GT] = ACTIONS(5200),
    [anon_sym_or] = ACTIONS(5202),
    [anon_sym_and] = ACTIONS(5202),
    [anon_sym_bitor] = ACTIONS(5202),
    [anon_sym_xor] = ACTIONS(5202),
    [anon_sym_bitand] = ACTIONS(5202),
    [anon_sym_not_eq] = ACTIONS(5202),
    [anon_sym_DASH_DASH] = ACTIONS(5200),
    [anon_sym_PLUS_PLUS] = ACTIONS(5200),
    [anon_sym_DOT] = ACTIONS(5202),
    [anon_sym_DOT_STAR] = ACTIONS(5200),
    [anon_sym_DASH_GT] = ACTIONS(5200),
    [anon_sym_L_DQUOTE] = ACTIONS(5759),
    [anon_sym_u_DQUOTE] = ACTIONS(5759),
    [anon_sym_U_DQUOTE] = ACTIONS(5759),
    [anon_sym_u8_DQUOTE] = ACTIONS(5759),
    [anon_sym_DQUOTE] = ACTIONS(5759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5761),
    [anon_sym_LR_DQUOTE] = ACTIONS(5761),
    [anon_sym_uR_DQUOTE] = ACTIONS(5761),
    [anon_sym_UR_DQUOTE] = ACTIONS(5761),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5761),
    [sym_literal_suffix] = ACTIONS(5202),
  },
  [2116] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(3687),
    [sym_raw_string_literal] = STATE(2527),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(6895),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(5765),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_RBRACK] = ACTIONS(5767),
    [anon_sym_EQ] = ACTIONS(5770),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(5772),
    [anon_sym_SLASH_EQ] = ACTIONS(5772),
    [anon_sym_PERCENT_EQ] = ACTIONS(5772),
    [anon_sym_PLUS_EQ] = ACTIONS(5772),
    [anon_sym_DASH_EQ] = ACTIONS(5772),
    [anon_sym_LT_LT_EQ] = ACTIONS(5772),
    [anon_sym_GT_GT_EQ] = ACTIONS(5772),
    [anon_sym_AMP_EQ] = ACTIONS(5772),
    [anon_sym_CARET_EQ] = ACTIONS(5772),
    [anon_sym_PIPE_EQ] = ACTIONS(5772),
    [anon_sym_and_eq] = ACTIONS(5772),
    [anon_sym_or_eq] = ACTIONS(5772),
    [anon_sym_xor_eq] = ACTIONS(5772),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [2117] = {
    [sym_string_literal] = STATE(2304),
    [sym_template_argument_list] = STATE(3525),
    [sym_raw_string_literal] = STATE(2304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_RPAREN] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(5774),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4124),
    [anon_sym_SLASH_EQ] = ACTIONS(4124),
    [anon_sym_PERCENT_EQ] = ACTIONS(4124),
    [anon_sym_PLUS_EQ] = ACTIONS(4124),
    [anon_sym_DASH_EQ] = ACTIONS(4124),
    [anon_sym_LT_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT_GT_EQ] = ACTIONS(4124),
    [anon_sym_AMP_EQ] = ACTIONS(4124),
    [anon_sym_CARET_EQ] = ACTIONS(4124),
    [anon_sym_PIPE_EQ] = ACTIONS(4124),
    [anon_sym_and_eq] = ACTIONS(5777),
    [anon_sym_or_eq] = ACTIONS(5777),
    [anon_sym_xor_eq] = ACTIONS(5777),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4132),
    [anon_sym_L_DQUOTE] = ACTIONS(4384),
    [anon_sym_u_DQUOTE] = ACTIONS(4384),
    [anon_sym_U_DQUOTE] = ACTIONS(4384),
    [anon_sym_u8_DQUOTE] = ACTIONS(4384),
    [anon_sym_DQUOTE] = ACTIONS(4384),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4386),
    [anon_sym_LR_DQUOTE] = ACTIONS(4386),
    [anon_sym_uR_DQUOTE] = ACTIONS(4386),
    [anon_sym_UR_DQUOTE] = ACTIONS(4386),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4386),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4124),
  },
  [2118] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(3687),
    [sym_raw_string_literal] = STATE(2527),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(6895),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(5779),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_RBRACK] = ACTIONS(5767),
    [anon_sym_EQ] = ACTIONS(5770),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(5772),
    [anon_sym_SLASH_EQ] = ACTIONS(5772),
    [anon_sym_PERCENT_EQ] = ACTIONS(5772),
    [anon_sym_PLUS_EQ] = ACTIONS(5772),
    [anon_sym_DASH_EQ] = ACTIONS(5772),
    [anon_sym_LT_LT_EQ] = ACTIONS(5772),
    [anon_sym_GT_GT_EQ] = ACTIONS(5772),
    [anon_sym_AMP_EQ] = ACTIONS(5772),
    [anon_sym_CARET_EQ] = ACTIONS(5772),
    [anon_sym_PIPE_EQ] = ACTIONS(5772),
    [anon_sym_and_eq] = ACTIONS(5772),
    [anon_sym_or_eq] = ACTIONS(5772),
    [anon_sym_xor_eq] = ACTIONS(5772),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [2119] = {
    [sym_string_literal] = STATE(2119),
    [sym_raw_string_literal] = STATE(2119),
    [aux_sym_concatenated_string_repeat1] = STATE(2119),
    [sym_identifier] = ACTIONS(5782),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5207),
    [anon_sym_COMMA] = ACTIONS(5207),
    [anon_sym_RPAREN] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(5207),
    [anon_sym_DASH] = ACTIONS(5209),
    [anon_sym_PLUS] = ACTIONS(5209),
    [anon_sym_STAR] = ACTIONS(5209),
    [anon_sym_SLASH] = ACTIONS(5209),
    [anon_sym_PERCENT] = ACTIONS(5209),
    [anon_sym_PIPE_PIPE] = ACTIONS(5207),
    [anon_sym_AMP_AMP] = ACTIONS(5207),
    [anon_sym_PIPE] = ACTIONS(5209),
    [anon_sym_CARET] = ACTIONS(5209),
    [anon_sym_AMP] = ACTIONS(5209),
    [anon_sym_EQ_EQ] = ACTIONS(5207),
    [anon_sym_BANG_EQ] = ACTIONS(5207),
    [anon_sym_GT] = ACTIONS(5209),
    [anon_sym_GT_EQ] = ACTIONS(5207),
    [anon_sym_LT_EQ] = ACTIONS(5209),
    [anon_sym_LT] = ACTIONS(5209),
    [anon_sym_LT_LT] = ACTIONS(5209),
    [anon_sym_GT_GT] = ACTIONS(5209),
    [anon_sym_LBRACK] = ACTIONS(5207),
    [anon_sym_EQ] = ACTIONS(5209),
    [anon_sym_QMARK] = ACTIONS(5207),
    [anon_sym_STAR_EQ] = ACTIONS(5207),
    [anon_sym_SLASH_EQ] = ACTIONS(5207),
    [anon_sym_PERCENT_EQ] = ACTIONS(5207),
    [anon_sym_PLUS_EQ] = ACTIONS(5207),
    [anon_sym_DASH_EQ] = ACTIONS(5207),
    [anon_sym_LT_LT_EQ] = ACTIONS(5207),
    [anon_sym_GT_GT_EQ] = ACTIONS(5207),
    [anon_sym_AMP_EQ] = ACTIONS(5207),
    [anon_sym_CARET_EQ] = ACTIONS(5207),
    [anon_sym_PIPE_EQ] = ACTIONS(5207),
    [anon_sym_and_eq] = ACTIONS(5209),
    [anon_sym_or_eq] = ACTIONS(5209),
    [anon_sym_xor_eq] = ACTIONS(5209),
    [anon_sym_LT_EQ_GT] = ACTIONS(5207),
    [anon_sym_or] = ACTIONS(5209),
    [anon_sym_and] = ACTIONS(5209),
    [anon_sym_bitor] = ACTIONS(5209),
    [anon_sym_xor] = ACTIONS(5209),
    [anon_sym_bitand] = ACTIONS(5209),
    [anon_sym_not_eq] = ACTIONS(5209),
    [anon_sym_DASH_DASH] = ACTIONS(5207),
    [anon_sym_PLUS_PLUS] = ACTIONS(5207),
    [anon_sym_DOT] = ACTIONS(5209),
    [anon_sym_DOT_STAR] = ACTIONS(5207),
    [anon_sym_DASH_GT] = ACTIONS(5209),
    [anon_sym_L_DQUOTE] = ACTIONS(5785),
    [anon_sym_u_DQUOTE] = ACTIONS(5785),
    [anon_sym_U_DQUOTE] = ACTIONS(5785),
    [anon_sym_u8_DQUOTE] = ACTIONS(5785),
    [anon_sym_DQUOTE] = ACTIONS(5785),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5788),
    [anon_sym_LR_DQUOTE] = ACTIONS(5788),
    [anon_sym_uR_DQUOTE] = ACTIONS(5788),
    [anon_sym_UR_DQUOTE] = ACTIONS(5788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5788),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5207),
    [sym_literal_suffix] = ACTIONS(5209),
  },
  [2120] = {
    [sym_string_literal] = STATE(2120),
    [sym_raw_string_literal] = STATE(2120),
    [aux_sym_concatenated_string_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(5791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5207),
    [anon_sym_COMMA] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(5207),
    [anon_sym_DASH] = ACTIONS(5209),
    [anon_sym_PLUS] = ACTIONS(5209),
    [anon_sym_STAR] = ACTIONS(5209),
    [anon_sym_SLASH] = ACTIONS(5209),
    [anon_sym_PERCENT] = ACTIONS(5209),
    [anon_sym_PIPE_PIPE] = ACTIONS(5207),
    [anon_sym_AMP_AMP] = ACTIONS(5207),
    [anon_sym_PIPE] = ACTIONS(5209),
    [anon_sym_CARET] = ACTIONS(5209),
    [anon_sym_AMP] = ACTIONS(5209),
    [anon_sym_EQ_EQ] = ACTIONS(5207),
    [anon_sym_BANG_EQ] = ACTIONS(5207),
    [anon_sym_GT] = ACTIONS(5209),
    [anon_sym_GT_EQ] = ACTIONS(5207),
    [anon_sym_LT_EQ] = ACTIONS(5209),
    [anon_sym_LT] = ACTIONS(5209),
    [anon_sym_LT_LT] = ACTIONS(5209),
    [anon_sym_GT_GT] = ACTIONS(5209),
    [anon_sym_SEMI] = ACTIONS(5207),
    [anon_sym___attribute__] = ACTIONS(5209),
    [anon_sym_LBRACK] = ACTIONS(5207),
    [anon_sym_EQ] = ACTIONS(5209),
    [anon_sym_QMARK] = ACTIONS(5207),
    [anon_sym_STAR_EQ] = ACTIONS(5207),
    [anon_sym_SLASH_EQ] = ACTIONS(5207),
    [anon_sym_PERCENT_EQ] = ACTIONS(5207),
    [anon_sym_PLUS_EQ] = ACTIONS(5207),
    [anon_sym_DASH_EQ] = ACTIONS(5207),
    [anon_sym_LT_LT_EQ] = ACTIONS(5207),
    [anon_sym_GT_GT_EQ] = ACTIONS(5207),
    [anon_sym_AMP_EQ] = ACTIONS(5207),
    [anon_sym_CARET_EQ] = ACTIONS(5207),
    [anon_sym_PIPE_EQ] = ACTIONS(5207),
    [anon_sym_and_eq] = ACTIONS(5209),
    [anon_sym_or_eq] = ACTIONS(5209),
    [anon_sym_xor_eq] = ACTIONS(5209),
    [anon_sym_LT_EQ_GT] = ACTIONS(5207),
    [anon_sym_or] = ACTIONS(5209),
    [anon_sym_and] = ACTIONS(5209),
    [anon_sym_bitor] = ACTIONS(5209),
    [anon_sym_xor] = ACTIONS(5209),
    [anon_sym_bitand] = ACTIONS(5209),
    [anon_sym_not_eq] = ACTIONS(5209),
    [anon_sym_DASH_DASH] = ACTIONS(5207),
    [anon_sym_PLUS_PLUS] = ACTIONS(5207),
    [anon_sym_DOT] = ACTIONS(5209),
    [anon_sym_DOT_STAR] = ACTIONS(5207),
    [anon_sym_DASH_GT] = ACTIONS(5207),
    [anon_sym_L_DQUOTE] = ACTIONS(5794),
    [anon_sym_u_DQUOTE] = ACTIONS(5794),
    [anon_sym_U_DQUOTE] = ACTIONS(5794),
    [anon_sym_u8_DQUOTE] = ACTIONS(5794),
    [anon_sym_DQUOTE] = ACTIONS(5794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5797),
    [anon_sym_LR_DQUOTE] = ACTIONS(5797),
    [anon_sym_uR_DQUOTE] = ACTIONS(5797),
    [anon_sym_UR_DQUOTE] = ACTIONS(5797),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5797),
    [sym_literal_suffix] = ACTIONS(5209),
  },
  [2121] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(3687),
    [sym_raw_string_literal] = STATE(2527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_COLON] = ACTIONS(4162),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4160),
    [anon_sym_or_eq] = ACTIONS(4160),
    [anon_sym_xor_eq] = ACTIONS(4160),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [2122] = {
    [sym_string_literal] = STATE(2125),
    [sym_template_argument_list] = STATE(3166),
    [sym_raw_string_literal] = STATE(2125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_RPAREN] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4963),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4124),
    [anon_sym_SLASH_EQ] = ACTIONS(4124),
    [anon_sym_PERCENT_EQ] = ACTIONS(4124),
    [anon_sym_PLUS_EQ] = ACTIONS(4124),
    [anon_sym_DASH_EQ] = ACTIONS(4124),
    [anon_sym_LT_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT_GT_EQ] = ACTIONS(4124),
    [anon_sym_AMP_EQ] = ACTIONS(4124),
    [anon_sym_CARET_EQ] = ACTIONS(4124),
    [anon_sym_PIPE_EQ] = ACTIONS(4124),
    [anon_sym_and_eq] = ACTIONS(4124),
    [anon_sym_or_eq] = ACTIONS(4124),
    [anon_sym_xor_eq] = ACTIONS(4124),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4132),
    [anon_sym_L_DQUOTE] = ACTIONS(4959),
    [anon_sym_u_DQUOTE] = ACTIONS(4959),
    [anon_sym_U_DQUOTE] = ACTIONS(4959),
    [anon_sym_u8_DQUOTE] = ACTIONS(4959),
    [anon_sym_DQUOTE] = ACTIONS(4959),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4961),
    [anon_sym_LR_DQUOTE] = ACTIONS(4961),
    [anon_sym_uR_DQUOTE] = ACTIONS(4961),
    [anon_sym_UR_DQUOTE] = ACTIONS(4961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4961),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4124),
  },
  [2123] = {
    [sym_identifier] = ACTIONS(5323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5325),
    [anon_sym_COMMA] = ACTIONS(5325),
    [anon_sym_RPAREN] = ACTIONS(5325),
    [aux_sym_preproc_if_token2] = ACTIONS(5325),
    [aux_sym_preproc_else_token1] = ACTIONS(5325),
    [aux_sym_preproc_elif_token1] = ACTIONS(5323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5325),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_DASH] = ACTIONS(5323),
    [anon_sym_PLUS] = ACTIONS(5323),
    [anon_sym_STAR] = ACTIONS(5323),
    [anon_sym_SLASH] = ACTIONS(5323),
    [anon_sym_PERCENT] = ACTIONS(5323),
    [anon_sym_PIPE_PIPE] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_PIPE] = ACTIONS(5323),
    [anon_sym_CARET] = ACTIONS(5323),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_EQ_EQ] = ACTIONS(5325),
    [anon_sym_BANG_EQ] = ACTIONS(5325),
    [anon_sym_GT] = ACTIONS(5323),
    [anon_sym_GT_EQ] = ACTIONS(5325),
    [anon_sym_LT_EQ] = ACTIONS(5323),
    [anon_sym_LT] = ACTIONS(5323),
    [anon_sym_LT_LT] = ACTIONS(5323),
    [anon_sym_GT_GT] = ACTIONS(5323),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym_LBRACE] = ACTIONS(5325),
    [anon_sym_RBRACE] = ACTIONS(5325),
    [anon_sym_LBRACK] = ACTIONS(5325),
    [anon_sym_RBRACK] = ACTIONS(5325),
    [anon_sym_EQ] = ACTIONS(5323),
    [anon_sym_COLON] = ACTIONS(5325),
    [anon_sym_QMARK] = ACTIONS(5325),
    [anon_sym_STAR_EQ] = ACTIONS(5325),
    [anon_sym_SLASH_EQ] = ACTIONS(5325),
    [anon_sym_PERCENT_EQ] = ACTIONS(5325),
    [anon_sym_PLUS_EQ] = ACTIONS(5325),
    [anon_sym_DASH_EQ] = ACTIONS(5325),
    [anon_sym_LT_LT_EQ] = ACTIONS(5325),
    [anon_sym_GT_GT_EQ] = ACTIONS(5325),
    [anon_sym_AMP_EQ] = ACTIONS(5325),
    [anon_sym_CARET_EQ] = ACTIONS(5325),
    [anon_sym_PIPE_EQ] = ACTIONS(5325),
    [anon_sym_and_eq] = ACTIONS(5323),
    [anon_sym_or_eq] = ACTIONS(5323),
    [anon_sym_xor_eq] = ACTIONS(5323),
    [anon_sym_LT_EQ_GT] = ACTIONS(5325),
    [anon_sym_or] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [anon_sym_bitor] = ACTIONS(5323),
    [anon_sym_xor] = ACTIONS(5323),
    [anon_sym_bitand] = ACTIONS(5323),
    [anon_sym_not_eq] = ACTIONS(5323),
    [anon_sym_DASH_DASH] = ACTIONS(5325),
    [anon_sym_PLUS_PLUS] = ACTIONS(5325),
    [anon_sym_DOT] = ACTIONS(5323),
    [anon_sym_DOT_STAR] = ACTIONS(5325),
    [anon_sym_DASH_GT] = ACTIONS(5325),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_final] = ACTIONS(5323),
    [anon_sym_override] = ACTIONS(5323),
  },
  [2124] = {
    [sym_identifier] = ACTIONS(5287),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5289),
    [anon_sym_COMMA] = ACTIONS(5289),
    [anon_sym_RPAREN] = ACTIONS(5289),
    [anon_sym_LPAREN2] = ACTIONS(5289),
    [anon_sym_TILDE] = ACTIONS(5289),
    [anon_sym_STAR] = ACTIONS(5289),
    [anon_sym_PIPE_PIPE] = ACTIONS(5289),
    [anon_sym_AMP_AMP] = ACTIONS(5289),
    [anon_sym_AMP] = ACTIONS(5287),
    [anon_sym_SEMI] = ACTIONS(5289),
    [anon_sym___extension__] = ACTIONS(5287),
    [anon_sym_virtual] = ACTIONS(5287),
    [anon_sym_extern] = ACTIONS(5287),
    [anon_sym___attribute__] = ACTIONS(5287),
    [anon_sym_COLON_COLON] = ACTIONS(5289),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5289),
    [anon_sym___declspec] = ACTIONS(5287),
    [anon_sym___based] = ACTIONS(5287),
    [anon_sym___cdecl] = ACTIONS(5287),
    [anon_sym___clrcall] = ACTIONS(5287),
    [anon_sym___stdcall] = ACTIONS(5287),
    [anon_sym___fastcall] = ACTIONS(5287),
    [anon_sym___thiscall] = ACTIONS(5287),
    [anon_sym___vectorcall] = ACTIONS(5287),
    [anon_sym_LBRACE] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5287),
    [anon_sym_static] = ACTIONS(5287),
    [anon_sym_EQ] = ACTIONS(5289),
    [anon_sym_register] = ACTIONS(5287),
    [anon_sym_inline] = ACTIONS(5287),
    [anon_sym___inline] = ACTIONS(5287),
    [anon_sym___inline__] = ACTIONS(5287),
    [anon_sym___forceinline] = ACTIONS(5287),
    [anon_sym_thread_local] = ACTIONS(5287),
    [anon_sym___thread] = ACTIONS(5287),
    [anon_sym_const] = ACTIONS(5287),
    [anon_sym_constexpr] = ACTIONS(5287),
    [anon_sym_volatile] = ACTIONS(5287),
    [anon_sym_restrict] = ACTIONS(5287),
    [anon_sym___restrict__] = ACTIONS(5287),
    [anon_sym__Atomic] = ACTIONS(5287),
    [anon_sym__Noreturn] = ACTIONS(5287),
    [anon_sym_noreturn] = ACTIONS(5287),
    [anon_sym__Nonnull] = ACTIONS(5287),
    [anon_sym_mutable] = ACTIONS(5287),
    [anon_sym_constinit] = ACTIONS(5287),
    [anon_sym_consteval] = ACTIONS(5287),
    [anon_sym_PROGMEM] = ACTIONS(5287),
    [anon_sym_alignas] = ACTIONS(5287),
    [anon_sym__Alignas] = ACTIONS(5287),
    [anon_sym_COLON] = ACTIONS(5287),
    [anon_sym_or] = ACTIONS(5287),
    [anon_sym_and] = ACTIONS(5287),
    [anon_sym_asm] = ACTIONS(5287),
    [anon_sym___asm__] = ACTIONS(5287),
    [anon_sym___asm] = ACTIONS(5287),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5287),
    [anon_sym_decltype] = ACTIONS(5287),
    [anon_sym_final] = ACTIONS(5287),
    [anon_sym_override] = ACTIONS(5287),
    [anon_sym_template] = ACTIONS(5287),
    [anon_sym_GT2] = ACTIONS(5289),
    [anon_sym_operator] = ACTIONS(5287),
    [anon_sym_try] = ACTIONS(5287),
    [anon_sym_requires] = ACTIONS(5287),
  },
  [2125] = {
    [sym_string_literal] = STATE(2133),
    [sym_raw_string_literal] = STATE(2133),
    [aux_sym_concatenated_string_repeat1] = STATE(2133),
    [sym_identifier] = ACTIONS(5800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5200),
    [anon_sym_COMMA] = ACTIONS(5200),
    [anon_sym_RPAREN] = ACTIONS(5200),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_DASH] = ACTIONS(5202),
    [anon_sym_PLUS] = ACTIONS(5202),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_SLASH] = ACTIONS(5202),
    [anon_sym_PERCENT] = ACTIONS(5202),
    [anon_sym_PIPE_PIPE] = ACTIONS(5200),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_PIPE] = ACTIONS(5202),
    [anon_sym_CARET] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_EQ_EQ] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5200),
    [anon_sym_GT] = ACTIONS(5202),
    [anon_sym_GT_EQ] = ACTIONS(5200),
    [anon_sym_LT_EQ] = ACTIONS(5202),
    [anon_sym_LT] = ACTIONS(5202),
    [anon_sym_LT_LT] = ACTIONS(5202),
    [anon_sym_GT_GT] = ACTIONS(5202),
    [anon_sym_LBRACK] = ACTIONS(5200),
    [anon_sym_EQ] = ACTIONS(5202),
    [anon_sym_QMARK] = ACTIONS(5200),
    [anon_sym_STAR_EQ] = ACTIONS(5200),
    [anon_sym_SLASH_EQ] = ACTIONS(5200),
    [anon_sym_PERCENT_EQ] = ACTIONS(5200),
    [anon_sym_PLUS_EQ] = ACTIONS(5200),
    [anon_sym_DASH_EQ] = ACTIONS(5200),
    [anon_sym_LT_LT_EQ] = ACTIONS(5200),
    [anon_sym_GT_GT_EQ] = ACTIONS(5200),
    [anon_sym_AMP_EQ] = ACTIONS(5200),
    [anon_sym_CARET_EQ] = ACTIONS(5200),
    [anon_sym_PIPE_EQ] = ACTIONS(5200),
    [anon_sym_and_eq] = ACTIONS(5202),
    [anon_sym_or_eq] = ACTIONS(5202),
    [anon_sym_xor_eq] = ACTIONS(5202),
    [anon_sym_LT_EQ_GT] = ACTIONS(5200),
    [anon_sym_or] = ACTIONS(5202),
    [anon_sym_and] = ACTIONS(5202),
    [anon_sym_bitor] = ACTIONS(5202),
    [anon_sym_xor] = ACTIONS(5202),
    [anon_sym_bitand] = ACTIONS(5202),
    [anon_sym_not_eq] = ACTIONS(5202),
    [anon_sym_DASH_DASH] = ACTIONS(5200),
    [anon_sym_PLUS_PLUS] = ACTIONS(5200),
    [anon_sym_DOT] = ACTIONS(5202),
    [anon_sym_DOT_STAR] = ACTIONS(5200),
    [anon_sym_DASH_GT] = ACTIONS(5202),
    [anon_sym_L_DQUOTE] = ACTIONS(4959),
    [anon_sym_u_DQUOTE] = ACTIONS(4959),
    [anon_sym_U_DQUOTE] = ACTIONS(4959),
    [anon_sym_u8_DQUOTE] = ACTIONS(4959),
    [anon_sym_DQUOTE] = ACTIONS(4959),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4961),
    [anon_sym_LR_DQUOTE] = ACTIONS(4961),
    [anon_sym_uR_DQUOTE] = ACTIONS(4961),
    [anon_sym_UR_DQUOTE] = ACTIONS(4961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4961),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5200),
    [sym_literal_suffix] = ACTIONS(5202),
  },
  [2126] = {
    [sym_template_argument_list] = STATE(1578),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2241),
    [sym_identifier] = ACTIONS(5802),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5804),
    [anon_sym_COMMA] = ACTIONS(5804),
    [aux_sym_preproc_if_token2] = ACTIONS(5804),
    [aux_sym_preproc_else_token1] = ACTIONS(5804),
    [aux_sym_preproc_elif_token1] = ACTIONS(5802),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5804),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5804),
    [anon_sym_LPAREN2] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5802),
    [anon_sym_PIPE_PIPE] = ACTIONS(5804),
    [anon_sym_AMP_AMP] = ACTIONS(5804),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5804),
    [anon_sym_BANG_EQ] = ACTIONS(5804),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5804),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5802),
    [anon_sym_GT_GT] = ACTIONS(5802),
    [anon_sym___attribute__] = ACTIONS(5802),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(5804),
    [anon_sym_signed] = ACTIONS(5806),
    [anon_sym_unsigned] = ACTIONS(5806),
    [anon_sym_long] = ACTIONS(5806),
    [anon_sym_short] = ACTIONS(5806),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [anon_sym_EQ] = ACTIONS(5802),
    [anon_sym_QMARK] = ACTIONS(5804),
    [anon_sym_STAR_EQ] = ACTIONS(5804),
    [anon_sym_SLASH_EQ] = ACTIONS(5804),
    [anon_sym_PERCENT_EQ] = ACTIONS(5804),
    [anon_sym_PLUS_EQ] = ACTIONS(5804),
    [anon_sym_DASH_EQ] = ACTIONS(5804),
    [anon_sym_LT_LT_EQ] = ACTIONS(5804),
    [anon_sym_GT_GT_EQ] = ACTIONS(5804),
    [anon_sym_AMP_EQ] = ACTIONS(5804),
    [anon_sym_CARET_EQ] = ACTIONS(5804),
    [anon_sym_PIPE_EQ] = ACTIONS(5804),
    [anon_sym_and_eq] = ACTIONS(5802),
    [anon_sym_or_eq] = ACTIONS(5802),
    [anon_sym_xor_eq] = ACTIONS(5802),
    [anon_sym_LT_EQ_GT] = ACTIONS(5804),
    [anon_sym_or] = ACTIONS(5802),
    [anon_sym_and] = ACTIONS(5802),
    [anon_sym_bitor] = ACTIONS(5802),
    [anon_sym_xor] = ACTIONS(5802),
    [anon_sym_bitand] = ACTIONS(5802),
    [anon_sym_not_eq] = ACTIONS(5802),
    [anon_sym_DASH_DASH] = ACTIONS(5804),
    [anon_sym_PLUS_PLUS] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5804),
    [anon_sym_DASH_GT] = ACTIONS(5804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5802),
    [anon_sym_decltype] = ACTIONS(5802),
  },
  [2127] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(3687),
    [sym_raw_string_literal] = STATE(2527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_COLON] = ACTIONS(4337),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4160),
    [anon_sym_or_eq] = ACTIONS(4160),
    [anon_sym_xor_eq] = ACTIONS(4160),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [2128] = {
    [sym_ms_based_modifier] = STATE(7620),
    [sym_ms_unaligned_ptr_modifier] = STATE(3982),
    [sym_ms_pointer_modifier] = STATE(3854),
    [sym__declarator] = STATE(6047),
    [sym__abstract_declarator] = STATE(6332),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_abstract_parenthesized_declarator] = STATE(5817),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_abstract_pointer_declarator] = STATE(5817),
    [sym_function_declarator] = STATE(5932),
    [sym_abstract_function_declarator] = STATE(5817),
    [sym_array_declarator] = STATE(5932),
    [sym_abstract_array_declarator] = STATE(5817),
    [sym_type_qualifier] = STATE(2660),
    [sym_alignas_qualifier] = STATE(4236),
    [sym_parameter_list] = STATE(3125),
    [sym_decltype] = STATE(8169),
    [sym_reference_declarator] = STATE(5932),
    [sym_abstract_reference_declarator] = STATE(5817),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym__function_declarator_seq] = STATE(5892),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(5932),
    [sym_operator_name] = STATE(5932),
    [aux_sym__type_definition_type_repeat1] = STATE(2660),
    [aux_sym_pointer_declarator_repeat1] = STATE(3854),
    [sym_identifier] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5666),
    [anon_sym_LPAREN2] = ACTIONS(4180),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(5808),
    [anon_sym_AMP_AMP] = ACTIONS(5810),
    [anon_sym_AMP] = ACTIONS(5812),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(5674),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2688),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2688),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2688),
    [anon_sym__unaligned] = ACTIONS(2690),
    [anon_sym___unaligned] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym__Nonnull] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_PROGMEM] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym__Alignas] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(5666),
    [anon_sym_operator] = ACTIONS(1829),
  },
  [2129] = {
    [sym_string_literal] = STATE(2120),
    [sym_raw_string_literal] = STATE(2120),
    [aux_sym_concatenated_string_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(5814),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5194),
    [anon_sym_COMMA] = ACTIONS(5194),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_STAR] = ACTIONS(5196),
    [anon_sym_SLASH] = ACTIONS(5196),
    [anon_sym_PERCENT] = ACTIONS(5196),
    [anon_sym_PIPE_PIPE] = ACTIONS(5194),
    [anon_sym_AMP_AMP] = ACTIONS(5194),
    [anon_sym_PIPE] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5196),
    [anon_sym_AMP] = ACTIONS(5196),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5194),
    [anon_sym_GT] = ACTIONS(5196),
    [anon_sym_GT_EQ] = ACTIONS(5194),
    [anon_sym_LT_EQ] = ACTIONS(5196),
    [anon_sym_LT] = ACTIONS(5196),
    [anon_sym_LT_LT] = ACTIONS(5196),
    [anon_sym_GT_GT] = ACTIONS(5196),
    [anon_sym_SEMI] = ACTIONS(5194),
    [anon_sym___attribute__] = ACTIONS(5196),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [anon_sym_EQ] = ACTIONS(5196),
    [anon_sym_QMARK] = ACTIONS(5194),
    [anon_sym_STAR_EQ] = ACTIONS(5194),
    [anon_sym_SLASH_EQ] = ACTIONS(5194),
    [anon_sym_PERCENT_EQ] = ACTIONS(5194),
    [anon_sym_PLUS_EQ] = ACTIONS(5194),
    [anon_sym_DASH_EQ] = ACTIONS(5194),
    [anon_sym_LT_LT_EQ] = ACTIONS(5194),
    [anon_sym_GT_GT_EQ] = ACTIONS(5194),
    [anon_sym_AMP_EQ] = ACTIONS(5194),
    [anon_sym_CARET_EQ] = ACTIONS(5194),
    [anon_sym_PIPE_EQ] = ACTIONS(5194),
    [anon_sym_and_eq] = ACTIONS(5196),
    [anon_sym_or_eq] = ACTIONS(5196),
    [anon_sym_xor_eq] = ACTIONS(5196),
    [anon_sym_LT_EQ_GT] = ACTIONS(5194),
    [anon_sym_or] = ACTIONS(5196),
    [anon_sym_and] = ACTIONS(5196),
    [anon_sym_bitor] = ACTIONS(5196),
    [anon_sym_xor] = ACTIONS(5196),
    [anon_sym_bitand] = ACTIONS(5196),
    [anon_sym_not_eq] = ACTIONS(5196),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5196),
    [anon_sym_DOT_STAR] = ACTIONS(5194),
    [anon_sym_DASH_GT] = ACTIONS(5194),
    [anon_sym_L_DQUOTE] = ACTIONS(5759),
    [anon_sym_u_DQUOTE] = ACTIONS(5759),
    [anon_sym_U_DQUOTE] = ACTIONS(5759),
    [anon_sym_u8_DQUOTE] = ACTIONS(5759),
    [anon_sym_DQUOTE] = ACTIONS(5759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5761),
    [anon_sym_LR_DQUOTE] = ACTIONS(5761),
    [anon_sym_uR_DQUOTE] = ACTIONS(5761),
    [anon_sym_UR_DQUOTE] = ACTIONS(5761),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5761),
    [sym_literal_suffix] = ACTIONS(5196),
  },
  [2130] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(3687),
    [sym_raw_string_literal] = STATE(2527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_COLON] = ACTIONS(4166),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4160),
    [anon_sym_or_eq] = ACTIONS(4160),
    [anon_sym_xor_eq] = ACTIONS(4160),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [2131] = {
    [sym_ms_based_modifier] = STATE(7620),
    [sym_ms_unaligned_ptr_modifier] = STATE(3982),
    [sym_ms_pointer_modifier] = STATE(2128),
    [sym__declarator] = STATE(6029),
    [sym__abstract_declarator] = STATE(6298),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_abstract_parenthesized_declarator] = STATE(5817),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_abstract_pointer_declarator] = STATE(5817),
    [sym_function_declarator] = STATE(5932),
    [sym_abstract_function_declarator] = STATE(5817),
    [sym_array_declarator] = STATE(5932),
    [sym_abstract_array_declarator] = STATE(5817),
    [sym_type_qualifier] = STATE(2611),
    [sym_alignas_qualifier] = STATE(4236),
    [sym_parameter_list] = STATE(3125),
    [sym_decltype] = STATE(8169),
    [sym_reference_declarator] = STATE(5932),
    [sym_abstract_reference_declarator] = STATE(5817),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym__function_declarator_seq] = STATE(5892),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(5932),
    [sym_operator_name] = STATE(5932),
    [aux_sym__type_definition_type_repeat1] = STATE(2611),
    [aux_sym_pointer_declarator_repeat1] = STATE(2128),
    [sym_identifier] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5687),
    [anon_sym_LPAREN2] = ACTIONS(4180),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(5808),
    [anon_sym_AMP_AMP] = ACTIONS(5810),
    [anon_sym_AMP] = ACTIONS(5812),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(5674),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2688),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2688),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2688),
    [anon_sym__unaligned] = ACTIONS(2690),
    [anon_sym___unaligned] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym__Nonnull] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_PROGMEM] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym__Alignas] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_GT2] = ACTIONS(5687),
    [anon_sym_operator] = ACTIONS(1829),
  },
  [2132] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(3687),
    [sym_raw_string_literal] = STATE(2527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4124),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_COLON] = ACTIONS(4375),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4160),
    [anon_sym_SLASH_EQ] = ACTIONS(4160),
    [anon_sym_PERCENT_EQ] = ACTIONS(4160),
    [anon_sym_PLUS_EQ] = ACTIONS(4160),
    [anon_sym_DASH_EQ] = ACTIONS(4160),
    [anon_sym_LT_LT_EQ] = ACTIONS(4160),
    [anon_sym_GT_GT_EQ] = ACTIONS(4160),
    [anon_sym_AMP_EQ] = ACTIONS(4160),
    [anon_sym_CARET_EQ] = ACTIONS(4160),
    [anon_sym_PIPE_EQ] = ACTIONS(4160),
    [anon_sym_and_eq] = ACTIONS(4160),
    [anon_sym_or_eq] = ACTIONS(4160),
    [anon_sym_xor_eq] = ACTIONS(4160),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [2133] = {
    [sym_string_literal] = STATE(2119),
    [sym_raw_string_literal] = STATE(2119),
    [aux_sym_concatenated_string_repeat1] = STATE(2119),
    [sym_identifier] = ACTIONS(5816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5194),
    [anon_sym_COMMA] = ACTIONS(5194),
    [anon_sym_RPAREN] = ACTIONS(5194),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_STAR] = ACTIONS(5196),
    [anon_sym_SLASH] = ACTIONS(5196),
    [anon_sym_PERCENT] = ACTIONS(5196),
    [anon_sym_PIPE_PIPE] = ACTIONS(5194),
    [anon_sym_AMP_AMP] = ACTIONS(5194),
    [anon_sym_PIPE] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5196),
    [anon_sym_AMP] = ACTIONS(5196),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5194),
    [anon_sym_GT] = ACTIONS(5196),
    [anon_sym_GT_EQ] = ACTIONS(5194),
    [anon_sym_LT_EQ] = ACTIONS(5196),
    [anon_sym_LT] = ACTIONS(5196),
    [anon_sym_LT_LT] = ACTIONS(5196),
    [anon_sym_GT_GT] = ACTIONS(5196),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [anon_sym_EQ] = ACTIONS(5196),
    [anon_sym_QMARK] = ACTIONS(5194),
    [anon_sym_STAR_EQ] = ACTIONS(5194),
    [anon_sym_SLASH_EQ] = ACTIONS(5194),
    [anon_sym_PERCENT_EQ] = ACTIONS(5194),
    [anon_sym_PLUS_EQ] = ACTIONS(5194),
    [anon_sym_DASH_EQ] = ACTIONS(5194),
    [anon_sym_LT_LT_EQ] = ACTIONS(5194),
    [anon_sym_GT_GT_EQ] = ACTIONS(5194),
    [anon_sym_AMP_EQ] = ACTIONS(5194),
    [anon_sym_CARET_EQ] = ACTIONS(5194),
    [anon_sym_PIPE_EQ] = ACTIONS(5194),
    [anon_sym_and_eq] = ACTIONS(5196),
    [anon_sym_or_eq] = ACTIONS(5196),
    [anon_sym_xor_eq] = ACTIONS(5196),
    [anon_sym_LT_EQ_GT] = ACTIONS(5194),
    [anon_sym_or] = ACTIONS(5196),
    [anon_sym_and] = ACTIONS(5196),
    [anon_sym_bitor] = ACTIONS(5196),
    [anon_sym_xor] = ACTIONS(5196),
    [anon_sym_bitand] = ACTIONS(5196),
    [anon_sym_not_eq] = ACTIONS(5196),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5196),
    [anon_sym_DOT_STAR] = ACTIONS(5194),
    [anon_sym_DASH_GT] = ACTIONS(5196),
    [anon_sym_L_DQUOTE] = ACTIONS(4959),
    [anon_sym_u_DQUOTE] = ACTIONS(4959),
    [anon_sym_U_DQUOTE] = ACTIONS(4959),
    [anon_sym_u8_DQUOTE] = ACTIONS(4959),
    [anon_sym_DQUOTE] = ACTIONS(4959),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4961),
    [anon_sym_LR_DQUOTE] = ACTIONS(4961),
    [anon_sym_uR_DQUOTE] = ACTIONS(4961),
    [anon_sym_UR_DQUOTE] = ACTIONS(4961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4961),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5194),
    [sym_literal_suffix] = ACTIONS(5196),
  },
  [2134] = {
    [sym_identifier] = ACTIONS(5527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5529),
    [anon_sym_COMMA] = ACTIONS(5529),
    [anon_sym_RPAREN] = ACTIONS(5529),
    [anon_sym_LPAREN2] = ACTIONS(5529),
    [anon_sym_TILDE] = ACTIONS(5529),
    [anon_sym_STAR] = ACTIONS(5529),
    [anon_sym_AMP_AMP] = ACTIONS(5529),
    [anon_sym_AMP] = ACTIONS(5527),
    [anon_sym_SEMI] = ACTIONS(5529),
    [anon_sym___extension__] = ACTIONS(5527),
    [anon_sym_virtual] = ACTIONS(5527),
    [anon_sym_extern] = ACTIONS(5527),
    [anon_sym___attribute__] = ACTIONS(5527),
    [anon_sym_COLON_COLON] = ACTIONS(5529),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5529),
    [anon_sym___declspec] = ACTIONS(5527),
    [anon_sym___based] = ACTIONS(5527),
    [anon_sym___cdecl] = ACTIONS(5527),
    [anon_sym___clrcall] = ACTIONS(5527),
    [anon_sym___stdcall] = ACTIONS(5527),
    [anon_sym___fastcall] = ACTIONS(5527),
    [anon_sym___thiscall] = ACTIONS(5527),
    [anon_sym___vectorcall] = ACTIONS(5527),
    [anon_sym_LBRACE] = ACTIONS(5529),
    [anon_sym_signed] = ACTIONS(5527),
    [anon_sym_unsigned] = ACTIONS(5527),
    [anon_sym_long] = ACTIONS(5527),
    [anon_sym_short] = ACTIONS(5527),
    [anon_sym_LBRACK] = ACTIONS(5527),
    [anon_sym_static] = ACTIONS(5527),
    [anon_sym_EQ] = ACTIONS(5529),
    [anon_sym_register] = ACTIONS(5527),
    [anon_sym_inline] = ACTIONS(5527),
    [anon_sym___inline] = ACTIONS(5527),
    [anon_sym___inline__] = ACTIONS(5527),
    [anon_sym___forceinline] = ACTIONS(5527),
    [anon_sym_thread_local] = ACTIONS(5527),
    [anon_sym___thread] = ACTIONS(5527),
    [anon_sym_const] = ACTIONS(5527),
    [anon_sym_constexpr] = ACTIONS(5527),
    [anon_sym_volatile] = ACTIONS(5527),
    [anon_sym_restrict] = ACTIONS(5527),
    [anon_sym___restrict__] = ACTIONS(5527),
    [anon_sym__Atomic] = ACTIONS(5527),
    [anon_sym__Noreturn] = ACTIONS(5527),
    [anon_sym_noreturn] = ACTIONS(5527),
    [anon_sym__Nonnull] = ACTIONS(5527),
    [anon_sym_mutable] = ACTIONS(5527),
    [anon_sym_constinit] = ACTIONS(5527),
    [anon_sym_consteval] = ACTIONS(5527),
    [anon_sym_PROGMEM] = ACTIONS(5527),
    [anon_sym_alignas] = ACTIONS(5527),
    [anon_sym__Alignas] = ACTIONS(5527),
    [anon_sym_asm] = ACTIONS(5527),
    [anon_sym___asm__] = ACTIONS(5527),
    [anon_sym___asm] = ACTIONS(5527),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5527),
    [anon_sym_decltype] = ACTIONS(5527),
    [anon_sym_final] = ACTIONS(5527),
    [anon_sym_override] = ACTIONS(5527),
    [anon_sym_template] = ACTIONS(5527),
    [anon_sym_GT2] = ACTIONS(5529),
    [anon_sym_operator] = ACTIONS(5527),
    [anon_sym_try] = ACTIONS(5527),
    [anon_sym_requires] = ACTIONS(5527),
  },
  [2135] = {
    [sym_attribute_specifier] = STATE(2248),
    [sym_enumerator_list] = STATE(2162),
    [sym_identifier] = ACTIONS(5818),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5820),
    [anon_sym_COMMA] = ACTIONS(5820),
    [anon_sym_RPAREN] = ACTIONS(5820),
    [aux_sym_preproc_if_token2] = ACTIONS(5820),
    [aux_sym_preproc_else_token1] = ACTIONS(5820),
    [aux_sym_preproc_elif_token1] = ACTIONS(5818),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5820),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5820),
    [anon_sym_LPAREN2] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5818),
    [anon_sym_STAR] = ACTIONS(5818),
    [anon_sym_SLASH] = ACTIONS(5818),
    [anon_sym_PERCENT] = ACTIONS(5818),
    [anon_sym_PIPE_PIPE] = ACTIONS(5820),
    [anon_sym_AMP_AMP] = ACTIONS(5820),
    [anon_sym_PIPE] = ACTIONS(5818),
    [anon_sym_CARET] = ACTIONS(5818),
    [anon_sym_AMP] = ACTIONS(5818),
    [anon_sym_EQ_EQ] = ACTIONS(5820),
    [anon_sym_BANG_EQ] = ACTIONS(5820),
    [anon_sym_GT] = ACTIONS(5818),
    [anon_sym_GT_EQ] = ACTIONS(5820),
    [anon_sym_LT_EQ] = ACTIONS(5818),
    [anon_sym_LT] = ACTIONS(5818),
    [anon_sym_LT_LT] = ACTIONS(5818),
    [anon_sym_GT_GT] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5757),
    [anon_sym_RBRACE] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [anon_sym_RBRACK] = ACTIONS(5820),
    [anon_sym_EQ] = ACTIONS(5818),
    [anon_sym_COLON] = ACTIONS(5820),
    [anon_sym_QMARK] = ACTIONS(5820),
    [anon_sym_STAR_EQ] = ACTIONS(5820),
    [anon_sym_SLASH_EQ] = ACTIONS(5820),
    [anon_sym_PERCENT_EQ] = ACTIONS(5820),
    [anon_sym_PLUS_EQ] = ACTIONS(5820),
    [anon_sym_DASH_EQ] = ACTIONS(5820),
    [anon_sym_LT_LT_EQ] = ACTIONS(5820),
    [anon_sym_GT_GT_EQ] = ACTIONS(5820),
    [anon_sym_AMP_EQ] = ACTIONS(5820),
    [anon_sym_CARET_EQ] = ACTIONS(5820),
    [anon_sym_PIPE_EQ] = ACTIONS(5820),
    [anon_sym_and_eq] = ACTIONS(5818),
    [anon_sym_or_eq] = ACTIONS(5818),
    [anon_sym_xor_eq] = ACTIONS(5818),
    [anon_sym_LT_EQ_GT] = ACTIONS(5820),
    [anon_sym_or] = ACTIONS(5818),
    [anon_sym_and] = ACTIONS(5818),
    [anon_sym_bitor] = ACTIONS(5818),
    [anon_sym_xor] = ACTIONS(5818),
    [anon_sym_bitand] = ACTIONS(5818),
    [anon_sym_not_eq] = ACTIONS(5818),
    [anon_sym_DASH_DASH] = ACTIONS(5820),
    [anon_sym_PLUS_PLUS] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_DOT_STAR] = ACTIONS(5820),
    [anon_sym_DASH_GT] = ACTIONS(5820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5818),
    [anon_sym_decltype] = ACTIONS(5818),
  },
  [2136] = {
    [sym_identifier] = ACTIONS(5323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5325),
    [anon_sym_COMMA] = ACTIONS(5325),
    [anon_sym_RPAREN] = ACTIONS(5325),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_TILDE] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_PIPE_PIPE] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___extension__] = ACTIONS(5323),
    [anon_sym_virtual] = ACTIONS(5323),
    [anon_sym_extern] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5325),
    [anon_sym___declspec] = ACTIONS(5323),
    [anon_sym___based] = ACTIONS(5323),
    [anon_sym___cdecl] = ACTIONS(5323),
    [anon_sym___clrcall] = ACTIONS(5323),
    [anon_sym___stdcall] = ACTIONS(5323),
    [anon_sym___fastcall] = ACTIONS(5323),
    [anon_sym___thiscall] = ACTIONS(5323),
    [anon_sym___vectorcall] = ACTIONS(5323),
    [anon_sym_LBRACE] = ACTIONS(5325),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_static] = ACTIONS(5323),
    [anon_sym_EQ] = ACTIONS(5325),
    [anon_sym_register] = ACTIONS(5323),
    [anon_sym_inline] = ACTIONS(5323),
    [anon_sym___inline] = ACTIONS(5323),
    [anon_sym___inline__] = ACTIONS(5323),
    [anon_sym___forceinline] = ACTIONS(5323),
    [anon_sym_thread_local] = ACTIONS(5323),
    [anon_sym___thread] = ACTIONS(5323),
    [anon_sym_const] = ACTIONS(5323),
    [anon_sym_constexpr] = ACTIONS(5323),
    [anon_sym_volatile] = ACTIONS(5323),
    [anon_sym_restrict] = ACTIONS(5323),
    [anon_sym___restrict__] = ACTIONS(5323),
    [anon_sym__Atomic] = ACTIONS(5323),
    [anon_sym__Noreturn] = ACTIONS(5323),
    [anon_sym_noreturn] = ACTIONS(5323),
    [anon_sym__Nonnull] = ACTIONS(5323),
    [anon_sym_mutable] = ACTIONS(5323),
    [anon_sym_constinit] = ACTIONS(5323),
    [anon_sym_consteval] = ACTIONS(5323),
    [anon_sym_PROGMEM] = ACTIONS(5323),
    [anon_sym_alignas] = ACTIONS(5323),
    [anon_sym__Alignas] = ACTIONS(5323),
    [anon_sym_COLON] = ACTIONS(5323),
    [anon_sym_or] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [anon_sym_asm] = ACTIONS(5323),
    [anon_sym___asm__] = ACTIONS(5323),
    [anon_sym___asm] = ACTIONS(5323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_final] = ACTIONS(5323),
    [anon_sym_override] = ACTIONS(5323),
    [anon_sym_template] = ACTIONS(5323),
    [anon_sym_GT2] = ACTIONS(5325),
    [anon_sym_operator] = ACTIONS(5323),
    [anon_sym_try] = ACTIONS(5323),
    [anon_sym_requires] = ACTIONS(5323),
  },
  [2137] = {
    [sym_identifier] = ACTIONS(5323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5325),
    [anon_sym_COMMA] = ACTIONS(5325),
    [anon_sym_RPAREN] = ACTIONS(5325),
    [anon_sym_LPAREN2] = ACTIONS(5325),
    [anon_sym_TILDE] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_PIPE_PIPE] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_SEMI] = ACTIONS(5325),
    [anon_sym___extension__] = ACTIONS(5323),
    [anon_sym_virtual] = ACTIONS(5323),
    [anon_sym_extern] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5325),
    [anon_sym___declspec] = ACTIONS(5323),
    [anon_sym___based] = ACTIONS(5323),
    [anon_sym___cdecl] = ACTIONS(5323),
    [anon_sym___clrcall] = ACTIONS(5323),
    [anon_sym___stdcall] = ACTIONS(5323),
    [anon_sym___fastcall] = ACTIONS(5323),
    [anon_sym___thiscall] = ACTIONS(5323),
    [anon_sym___vectorcall] = ACTIONS(5323),
    [anon_sym_LBRACE] = ACTIONS(5325),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_static] = ACTIONS(5323),
    [anon_sym_EQ] = ACTIONS(5325),
    [anon_sym_register] = ACTIONS(5323),
    [anon_sym_inline] = ACTIONS(5323),
    [anon_sym___inline] = ACTIONS(5323),
    [anon_sym___inline__] = ACTIONS(5323),
    [anon_sym___forceinline] = ACTIONS(5323),
    [anon_sym_thread_local] = ACTIONS(5323),
    [anon_sym___thread] = ACTIONS(5323),
    [anon_sym_const] = ACTIONS(5323),
    [anon_sym_constexpr] = ACTIONS(5323),
    [anon_sym_volatile] = ACTIONS(5323),
    [anon_sym_restrict] = ACTIONS(5323),
    [anon_sym___restrict__] = ACTIONS(5323),
    [anon_sym__Atomic] = ACTIONS(5323),
    [anon_sym__Noreturn] = ACTIONS(5323),
    [anon_sym_noreturn] = ACTIONS(5323),
    [anon_sym__Nonnull] = ACTIONS(5323),
    [anon_sym_mutable] = ACTIONS(5323),
    [anon_sym_constinit] = ACTIONS(5323),
    [anon_sym_consteval] = ACTIONS(5323),
    [anon_sym_PROGMEM] = ACTIONS(5323),
    [anon_sym_alignas] = ACTIONS(5323),
    [anon_sym__Alignas] = ACTIONS(5323),
    [anon_sym_COLON] = ACTIONS(5323),
    [anon_sym_or] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [anon_sym_asm] = ACTIONS(5323),
    [anon_sym___asm__] = ACTIONS(5323),
    [anon_sym___asm] = ACTIONS(5323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5323),
    [anon_sym_decltype] = ACTIONS(5323),
    [anon_sym_final] = ACTIONS(5323),
    [anon_sym_override] = ACTIONS(5323),
    [anon_sym_template] = ACTIONS(5323),
    [anon_sym_GT2] = ACTIONS(5325),
    [anon_sym_operator] = ACTIONS(5323),
    [anon_sym_try] = ACTIONS(5323),
    [anon_sym_requires] = ACTIONS(5323),
  },
  [2138] = {
    [sym_identifier] = ACTIONS(5353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5355),
    [anon_sym_COMMA] = ACTIONS(5355),
    [anon_sym_RPAREN] = ACTIONS(5355),
    [anon_sym_LPAREN2] = ACTIONS(5355),
    [anon_sym_TILDE] = ACTIONS(5355),
    [anon_sym_STAR] = ACTIONS(5355),
    [anon_sym_PIPE_PIPE] = ACTIONS(5355),
    [anon_sym_AMP_AMP] = ACTIONS(5355),
    [anon_sym_AMP] = ACTIONS(5353),
    [anon_sym_SEMI] = ACTIONS(5355),
    [anon_sym___extension__] = ACTIONS(5353),
    [anon_sym_virtual] = ACTIONS(5353),
    [anon_sym_extern] = ACTIONS(5353),
    [anon_sym___attribute__] = ACTIONS(5353),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5355),
    [anon_sym___declspec] = ACTIONS(5353),
    [anon_sym___based] = ACTIONS(5353),
    [anon_sym___cdecl] = ACTIONS(5353),
    [anon_sym___clrcall] = ACTIONS(5353),
    [anon_sym___stdcall] = ACTIONS(5353),
    [anon_sym___fastcall] = ACTIONS(5353),
    [anon_sym___thiscall] = ACTIONS(5353),
    [anon_sym___vectorcall] = ACTIONS(5353),
    [anon_sym_LBRACE] = ACTIONS(5355),
    [anon_sym_LBRACK] = ACTIONS(5353),
    [anon_sym_static] = ACTIONS(5353),
    [anon_sym_EQ] = ACTIONS(5355),
    [anon_sym_register] = ACTIONS(5353),
    [anon_sym_inline] = ACTIONS(5353),
    [anon_sym___inline] = ACTIONS(5353),
    [anon_sym___inline__] = ACTIONS(5353),
    [anon_sym___forceinline] = ACTIONS(5353),
    [anon_sym_thread_local] = ACTIONS(5353),
    [anon_sym___thread] = ACTIONS(5353),
    [anon_sym_const] = ACTIONS(5353),
    [anon_sym_constexpr] = ACTIONS(5353),
    [anon_sym_volatile] = ACTIONS(5353),
    [anon_sym_restrict] = ACTIONS(5353),
    [anon_sym___restrict__] = ACTIONS(5353),
    [anon_sym__Atomic] = ACTIONS(5353),
    [anon_sym__Noreturn] = ACTIONS(5353),
    [anon_sym_noreturn] = ACTIONS(5353),
    [anon_sym__Nonnull] = ACTIONS(5353),
    [anon_sym_mutable] = ACTIONS(5353),
    [anon_sym_constinit] = ACTIONS(5353),
    [anon_sym_consteval] = ACTIONS(5353),
    [anon_sym_PROGMEM] = ACTIONS(5353),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [anon_sym_COLON] = ACTIONS(5353),
    [anon_sym_or] = ACTIONS(5353),
    [anon_sym_and] = ACTIONS(5353),
    [anon_sym_asm] = ACTIONS(5353),
    [anon_sym___asm__] = ACTIONS(5353),
    [anon_sym___asm] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5353),
    [anon_sym_decltype] = ACTIONS(5353),
    [anon_sym_final] = ACTIONS(5353),
    [anon_sym_override] = ACTIONS(5353),
    [anon_sym_template] = ACTIONS(5353),
    [anon_sym_GT2] = ACTIONS(5355),
    [anon_sym_operator] = ACTIONS(5353),
    [anon_sym_try] = ACTIONS(5353),
    [anon_sym_requires] = ACTIONS(5353),
  },
  [2139] = {
    [sym_primitive_type] = STATE(2522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2231),
    [sym_identifier] = ACTIONS(5822),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_DASH] = ACTIONS(5345),
    [anon_sym_PLUS] = ACTIONS(5345),
    [anon_sym_STAR] = ACTIONS(5345),
    [anon_sym_SLASH] = ACTIONS(5345),
    [anon_sym_PERCENT] = ACTIONS(5345),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_PIPE] = ACTIONS(5345),
    [anon_sym_CARET] = ACTIONS(5345),
    [anon_sym_AMP] = ACTIONS(5345),
    [anon_sym_EQ_EQ] = ACTIONS(5343),
    [anon_sym_BANG_EQ] = ACTIONS(5343),
    [anon_sym_GT] = ACTIONS(5345),
    [anon_sym_GT_EQ] = ACTIONS(5343),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_LT] = ACTIONS(5345),
    [anon_sym_LT_LT] = ACTIONS(5345),
    [anon_sym_GT_GT] = ACTIONS(5345),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(5824),
    [anon_sym_unsigned] = ACTIONS(5824),
    [anon_sym_long] = ACTIONS(5824),
    [anon_sym_short] = ACTIONS(5824),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_EQ] = ACTIONS(5345),
    [aux_sym_primitive_type_token1] = ACTIONS(5826),
    [anon_sym_byte] = ACTIONS(5826),
    [anon_sym_word] = ACTIONS(5826),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_STAR_EQ] = ACTIONS(5343),
    [anon_sym_SLASH_EQ] = ACTIONS(5343),
    [anon_sym_PERCENT_EQ] = ACTIONS(5343),
    [anon_sym_PLUS_EQ] = ACTIONS(5343),
    [anon_sym_DASH_EQ] = ACTIONS(5343),
    [anon_sym_LT_LT_EQ] = ACTIONS(5343),
    [anon_sym_GT_GT_EQ] = ACTIONS(5343),
    [anon_sym_AMP_EQ] = ACTIONS(5343),
    [anon_sym_CARET_EQ] = ACTIONS(5343),
    [anon_sym_PIPE_EQ] = ACTIONS(5343),
    [anon_sym_and_eq] = ACTIONS(5345),
    [anon_sym_or_eq] = ACTIONS(5345),
    [anon_sym_xor_eq] = ACTIONS(5345),
    [anon_sym_LT_EQ_GT] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5345),
    [anon_sym_and] = ACTIONS(5345),
    [anon_sym_bitor] = ACTIONS(5345),
    [anon_sym_xor] = ACTIONS(5345),
    [anon_sym_bitand] = ACTIONS(5345),
    [anon_sym_not_eq] = ACTIONS(5345),
    [anon_sym_DASH_DASH] = ACTIONS(5343),
    [anon_sym_PLUS_PLUS] = ACTIONS(5343),
    [anon_sym_DOT] = ACTIONS(5345),
    [anon_sym_DOT_STAR] = ACTIONS(5343),
    [anon_sym_DASH_GT] = ACTIONS(5345),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5345),
    [anon_sym_decltype] = ACTIONS(5345),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5343),
  },
  [2140] = {
    [sym_identifier] = ACTIONS(5349),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5351),
    [anon_sym_COMMA] = ACTIONS(5351),
    [anon_sym_RPAREN] = ACTIONS(5351),
    [aux_sym_preproc_if_token2] = ACTIONS(5351),
    [aux_sym_preproc_else_token1] = ACTIONS(5351),
    [aux_sym_preproc_elif_token1] = ACTIONS(5349),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5351),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5351),
    [anon_sym_LPAREN2] = ACTIONS(5351),
    [anon_sym_DASH] = ACTIONS(5349),
    [anon_sym_PLUS] = ACTIONS(5349),
    [anon_sym_STAR] = ACTIONS(5349),
    [anon_sym_SLASH] = ACTIONS(5349),
    [anon_sym_PERCENT] = ACTIONS(5349),
    [anon_sym_PIPE_PIPE] = ACTIONS(5351),
    [anon_sym_AMP_AMP] = ACTIONS(5351),
    [anon_sym_PIPE] = ACTIONS(5349),
    [anon_sym_CARET] = ACTIONS(5349),
    [anon_sym_AMP] = ACTIONS(5349),
    [anon_sym_EQ_EQ] = ACTIONS(5351),
    [anon_sym_BANG_EQ] = ACTIONS(5351),
    [anon_sym_GT] = ACTIONS(5349),
    [anon_sym_GT_EQ] = ACTIONS(5351),
    [anon_sym_LT_EQ] = ACTIONS(5349),
    [anon_sym_LT] = ACTIONS(5349),
    [anon_sym_LT_LT] = ACTIONS(5349),
    [anon_sym_GT_GT] = ACTIONS(5349),
    [anon_sym_SEMI] = ACTIONS(5351),
    [anon_sym___attribute__] = ACTIONS(5349),
    [anon_sym_COLON_COLON] = ACTIONS(5351),
    [anon_sym_LBRACE] = ACTIONS(5351),
    [anon_sym_RBRACE] = ACTIONS(5351),
    [anon_sym_LBRACK] = ACTIONS(5351),
    [anon_sym_RBRACK] = ACTIONS(5351),
    [anon_sym_EQ] = ACTIONS(5349),
    [anon_sym_COLON] = ACTIONS(5349),
    [anon_sym_QMARK] = ACTIONS(5351),
    [anon_sym_STAR_EQ] = ACTIONS(5351),
    [anon_sym_SLASH_EQ] = ACTIONS(5351),
    [anon_sym_PERCENT_EQ] = ACTIONS(5351),
    [anon_sym_PLUS_EQ] = ACTIONS(5351),
    [anon_sym_DASH_EQ] = ACTIONS(5351),
    [anon_sym_LT_LT_EQ] = ACTIONS(5351),
    [anon_sym_GT_GT_EQ] = ACTIONS(5351),
    [anon_sym_AMP_EQ] = ACTIONS(5351),
    [anon_sym_CARET_EQ] = ACTIONS(5351),
    [anon_sym_PIPE_EQ] = ACTIONS(5351),
    [anon_sym_and_eq] = ACTIONS(5349),
    [anon_sym_or_eq] = ACTIONS(5349),
    [anon_sym_xor_eq] = ACTIONS(5349),
    [anon_sym_LT_EQ_GT] = ACTIONS(5351),
    [anon_sym_or] = ACTIONS(5349),
    [anon_sym_and] = ACTIONS(5349),
    [anon_sym_bitor] = ACTIONS(5349),
    [anon_sym_xor] = ACTIONS(5349),
    [anon_sym_bitand] = ACTIONS(5349),
    [anon_sym_not_eq] = ACTIONS(5349),
    [anon_sym_DASH_DASH] = ACTIONS(5351),
    [anon_sym_PLUS_PLUS] = ACTIONS(5351),
    [anon_sym_DOT] = ACTIONS(5349),
    [anon_sym_DOT_STAR] = ACTIONS(5351),
    [anon_sym_DASH_GT] = ACTIONS(5351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5349),
    [anon_sym_decltype] = ACTIONS(5349),
  },
  [2141] = {
    [sym_string_literal] = STATE(2141),
    [sym_raw_string_literal] = STATE(2141),
    [aux_sym_concatenated_string_repeat1] = STATE(2141),
    [sym_identifier] = ACTIONS(5828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5207),
    [anon_sym_COMMA] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(5207),
    [anon_sym_DASH] = ACTIONS(5209),
    [anon_sym_PLUS] = ACTIONS(5209),
    [anon_sym_STAR] = ACTIONS(5209),
    [anon_sym_SLASH] = ACTIONS(5209),
    [anon_sym_PERCENT] = ACTIONS(5209),
    [anon_sym_PIPE_PIPE] = ACTIONS(5207),
    [anon_sym_AMP_AMP] = ACTIONS(5207),
    [anon_sym_PIPE] = ACTIONS(5209),
    [anon_sym_CARET] = ACTIONS(5209),
    [anon_sym_AMP] = ACTIONS(5209),
    [anon_sym_EQ_EQ] = ACTIONS(5207),
    [anon_sym_BANG_EQ] = ACTIONS(5207),
    [anon_sym_GT] = ACTIONS(5209),
    [anon_sym_GT_EQ] = ACTIONS(5209),
    [anon_sym_LT_EQ] = ACTIONS(5209),
    [anon_sym_LT] = ACTIONS(5209),
    [anon_sym_LT_LT] = ACTIONS(5209),
    [anon_sym_GT_GT] = ACTIONS(5209),
    [anon_sym_LBRACK] = ACTIONS(5207),
    [anon_sym_EQ] = ACTIONS(5209),
    [anon_sym_QMARK] = ACTIONS(5207),
    [anon_sym_STAR_EQ] = ACTIONS(5207),
    [anon_sym_SLASH_EQ] = ACTIONS(5207),
    [anon_sym_PERCENT_EQ] = ACTIONS(5207),
    [anon_sym_PLUS_EQ] = ACTIONS(5207),
    [anon_sym_DASH_EQ] = ACTIONS(5207),
    [anon_sym_LT_LT_EQ] = ACTIONS(5207),
    [anon_sym_GT_GT_EQ] = ACTIONS(5209),
    [anon_sym_AMP_EQ] = ACTIONS(5207),
    [anon_sym_CARET_EQ] = ACTIONS(5207),
    [anon_sym_PIPE_EQ] = ACTIONS(5207),
    [anon_sym_and_eq] = ACTIONS(5209),
    [anon_sym_or_eq] = ACTIONS(5209),
    [anon_sym_xor_eq] = ACTIONS(5209),
    [anon_sym_LT_EQ_GT] = ACTIONS(5207),
    [anon_sym_or] = ACTIONS(5209),
    [anon_sym_and] = ACTIONS(5209),
    [anon_sym_bitor] = ACTIONS(5209),
    [anon_sym_xor] = ACTIONS(5209),
    [anon_sym_bitand] = ACTIONS(5209),
    [anon_sym_not_eq] = ACTIONS(5209),
    [anon_sym_DASH_DASH] = ACTIONS(5207),
    [anon_sym_PLUS_PLUS] = ACTIONS(5207),
    [anon_sym_DOT] = ACTIONS(5209),
    [anon_sym_DOT_STAR] = ACTIONS(5207),
    [anon_sym_DASH_GT] = ACTIONS(5207),
    [anon_sym_L_DQUOTE] = ACTIONS(5831),
    [anon_sym_u_DQUOTE] = ACTIONS(5831),
    [anon_sym_U_DQUOTE] = ACTIONS(5831),
    [anon_sym_u8_DQUOTE] = ACTIONS(5831),
    [anon_sym_DQUOTE] = ACTIONS(5831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5207),
    [anon_sym_R_DQUOTE] = ACTIONS(5834),
    [anon_sym_LR_DQUOTE] = ACTIONS(5834),
    [anon_sym_uR_DQUOTE] = ACTIONS(5834),
    [anon_sym_UR_DQUOTE] = ACTIONS(5834),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5834),
    [sym_literal_suffix] = ACTIONS(5209),
  },
  [2142] = {
    [sym_attribute_declaration] = STATE(2188),
    [sym_parameter_list] = STATE(2258),
    [aux_sym_attributed_declarator_repeat1] = STATE(2188),
    [sym_identifier] = ACTIONS(5837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5839),
    [anon_sym_COMMA] = ACTIONS(5839),
    [anon_sym_RPAREN] = ACTIONS(5839),
    [aux_sym_preproc_if_token2] = ACTIONS(5839),
    [aux_sym_preproc_else_token1] = ACTIONS(5839),
    [aux_sym_preproc_elif_token1] = ACTIONS(5837),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5839),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5839),
    [anon_sym_LPAREN2] = ACTIONS(5841),
    [anon_sym_DASH] = ACTIONS(5837),
    [anon_sym_PLUS] = ACTIONS(5837),
    [anon_sym_STAR] = ACTIONS(5837),
    [anon_sym_SLASH] = ACTIONS(5837),
    [anon_sym_PERCENT] = ACTIONS(5837),
    [anon_sym_PIPE_PIPE] = ACTIONS(5839),
    [anon_sym_AMP_AMP] = ACTIONS(5839),
    [anon_sym_PIPE] = ACTIONS(5837),
    [anon_sym_CARET] = ACTIONS(5837),
    [anon_sym_AMP] = ACTIONS(5837),
    [anon_sym_EQ_EQ] = ACTIONS(5839),
    [anon_sym_BANG_EQ] = ACTIONS(5839),
    [anon_sym_GT] = ACTIONS(5837),
    [anon_sym_GT_EQ] = ACTIONS(5839),
    [anon_sym_LT_EQ] = ACTIONS(5837),
    [anon_sym_LT] = ACTIONS(5837),
    [anon_sym_LT_LT] = ACTIONS(5837),
    [anon_sym_GT_GT] = ACTIONS(5837),
    [anon_sym_SEMI] = ACTIONS(5839),
    [anon_sym___attribute__] = ACTIONS(5837),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5843),
    [anon_sym_RBRACE] = ACTIONS(5839),
    [anon_sym_LBRACK] = ACTIONS(5845),
    [anon_sym_RBRACK] = ACTIONS(5839),
    [anon_sym_EQ] = ACTIONS(5837),
    [anon_sym_COLON] = ACTIONS(5839),
    [anon_sym_QMARK] = ACTIONS(5839),
    [anon_sym_STAR_EQ] = ACTIONS(5839),
    [anon_sym_SLASH_EQ] = ACTIONS(5839),
    [anon_sym_PERCENT_EQ] = ACTIONS(5839),
    [anon_sym_PLUS_EQ] = ACTIONS(5839),
    [anon_sym_DASH_EQ] = ACTIONS(5839),
    [anon_sym_LT_LT_EQ] = ACTIONS(5839),
    [anon_sym_GT_GT_EQ] = ACTIONS(5839),
    [anon_sym_AMP_EQ] = ACTIONS(5839),
    [anon_sym_CARET_EQ] = ACTIONS(5839),
    [anon_sym_PIPE_EQ] = ACTIONS(5839),
    [anon_sym_and_eq] = ACTIONS(5837),
    [anon_sym_or_eq] = ACTIONS(5837),
    [anon_sym_xor_eq] = ACTIONS(5837),
    [anon_sym_LT_EQ_GT] = ACTIONS(5839),
    [anon_sym_or] = ACTIONS(5837),
    [anon_sym_and] = ACTIONS(5837),
    [anon_sym_bitor] = ACTIONS(5837),
    [anon_sym_xor] = ACTIONS(5837),
    [anon_sym_bitand] = ACTIONS(5837),
    [anon_sym_not_eq] = ACTIONS(5837),
    [anon_sym_DASH_DASH] = ACTIONS(5839),
    [anon_sym_PLUS_PLUS] = ACTIONS(5839),
    [anon_sym_DOT] = ACTIONS(5837),
    [anon_sym_DOT_STAR] = ACTIONS(5839),
    [anon_sym_DASH_GT] = ACTIONS(5839),
    [sym_comment] = ACTIONS(3),
  },
  [2143] = {
    [sym_string_literal] = STATE(2149),
    [sym_template_argument_list] = STATE(3297),
    [sym_raw_string_literal] = STATE(2149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4132),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(5847),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4124),
    [anon_sym_SLASH_EQ] = ACTIONS(4124),
    [anon_sym_PERCENT_EQ] = ACTIONS(4124),
    [anon_sym_PLUS_EQ] = ACTIONS(4124),
    [anon_sym_DASH_EQ] = ACTIONS(4124),
    [anon_sym_LT_LT_EQ] = ACTIONS(4124),
    [anon_sym_GT_GT_EQ] = ACTIONS(4132),
    [anon_sym_AMP_EQ] = ACTIONS(4124),
    [anon_sym_CARET_EQ] = ACTIONS(4124),
    [anon_sym_PIPE_EQ] = ACTIONS(4124),
    [anon_sym_and_eq] = ACTIONS(4124),
    [anon_sym_or_eq] = ACTIONS(4124),
    [anon_sym_xor_eq] = ACTIONS(4124),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(5850),
    [anon_sym_u_DQUOTE] = ACTIONS(5850),
    [anon_sym_U_DQUOTE] = ACTIONS(5850),
    [anon_sym_u8_DQUOTE] = ACTIONS(5850),
    [anon_sym_DQUOTE] = ACTIONS(5850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4124),
    [anon_sym_R_DQUOTE] = ACTIONS(5852),
    [anon_sym_LR_DQUOTE] = ACTIONS(5852),
    [anon_sym_uR_DQUOTE] = ACTIONS(5852),
    [anon_sym_UR_DQUOTE] = ACTIONS(5852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5852),
  },
  [2144] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5570),
    [anon_sym_COMMA] = ACTIONS(5570),
    [anon_sym_RPAREN] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_STAR] = ACTIONS(5568),
    [anon_sym_SLASH] = ACTIONS(5568),
    [anon_sym_PERCENT] = ACTIONS(5568),
    [anon_sym_PIPE_PIPE] = ACTIONS(5570),
    [anon_sym_AMP_AMP] = ACTIONS(5570),
    [anon_sym_PIPE] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(5568),
    [anon_sym_EQ_EQ] = ACTIONS(5570),
    [anon_sym_BANG_EQ] = ACTIONS(5570),
    [anon_sym_GT] = ACTIONS(5568),
    [anon_sym_GT_EQ] = ACTIONS(5570),
    [anon_sym_LT_EQ] = ACTIONS(5568),
    [anon_sym_LT] = ACTIONS(5568),
    [anon_sym_LT_LT] = ACTIONS(5568),
    [anon_sym_GT_GT] = ACTIONS(5568),
    [anon_sym_SEMI] = ACTIONS(5570),
    [anon_sym_RBRACE] = ACTIONS(5570),
    [anon_sym_LBRACK] = ACTIONS(5570),
    [anon_sym_RBRACK] = ACTIONS(5570),
    [anon_sym_EQ] = ACTIONS(5568),
    [anon_sym_COLON] = ACTIONS(5570),
    [anon_sym_QMARK] = ACTIONS(5570),
    [anon_sym_STAR_EQ] = ACTIONS(5570),
    [anon_sym_SLASH_EQ] = ACTIONS(5570),
    [anon_sym_PERCENT_EQ] = ACTIONS(5570),
    [anon_sym_PLUS_EQ] = ACTIONS(5570),
    [anon_sym_DASH_EQ] = ACTIONS(5570),
    [anon_sym_LT_LT_EQ] = ACTIONS(5570),
    [anon_sym_GT_GT_EQ] = ACTIONS(5570),
    [anon_sym_AMP_EQ] = ACTIONS(5570),
    [anon_sym_CARET_EQ] = ACTIONS(5570),
    [anon_sym_PIPE_EQ] = ACTIONS(5570),
    [anon_sym_and_eq] = ACTIONS(5568),
    [anon_sym_or_eq] = ACTIONS(5568),
    [anon_sym_xor_eq] = ACTIONS(5568),
    [anon_sym_LT_EQ_GT] = ACTIONS(5570),
    [anon_sym_or] = ACTIONS(5568),
    [anon_sym_and] = ACTIONS(5568),
    [anon_sym_bitor] = ACTIONS(5568),
    [anon_sym_xor] = ACTIONS(5568),
    [anon_sym_bitand] = ACTIONS(5568),
    [anon_sym_not_eq] = ACTIONS(5568),
    [anon_sym_DASH_DASH] = ACTIONS(5570),
    [anon_sym_PLUS_PLUS] = ACTIONS(5570),
    [anon_sym_DOT] = ACTIONS(5568),
    [anon_sym_DOT_STAR] = ACTIONS(5570),
    [anon_sym_DASH_GT] = ACTIONS(5570),
    [anon_sym_L_DQUOTE] = ACTIONS(5570),
    [anon_sym_u_DQUOTE] = ACTIONS(5570),
    [anon_sym_U_DQUOTE] = ACTIONS(5570),
    [anon_sym_u8_DQUOTE] = ACTIONS(5570),
    [anon_sym_DQUOTE] = ACTIONS(5570),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5570),
    [anon_sym_LR_DQUOTE] = ACTIONS(5570),
    [anon_sym_uR_DQUOTE] = ACTIONS(5570),
    [anon_sym_UR_DQUOTE] = ACTIONS(5570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5570),
    [sym_literal_suffix] = ACTIONS(5568),
  },
  [2145] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(3687),
    [sym_raw_string_literal] = STATE(2527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(5854),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(5856),
    [anon_sym_SLASH_EQ] = ACTIONS(5856),
    [anon_sym_PERCENT_EQ] = ACTIONS(5856),
    [anon_sym_PLUS_EQ] = ACTIONS(5856),
    [anon_sym_DASH_EQ] = ACTIONS(5856),
    [anon_sym_LT_LT_EQ] = ACTIONS(5856),
    [anon_sym_GT_GT_EQ] = ACTIONS(5856),
    [anon_sym_AMP_EQ] = ACTIONS(5856),
    [anon_sym_CARET_EQ] = ACTIONS(5856),
    [anon_sym_PIPE_EQ] = ACTIONS(5856),
    [anon_sym_and_eq] = ACTIONS(5856),
    [anon_sym_or_eq] = ACTIONS(5856),
    [anon_sym_xor_eq] = ACTIONS(5856),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [2146] = {
    [sym_identifier] = ACTIONS(5858),
    [anon_sym_LPAREN2] = ACTIONS(5860),
    [anon_sym_TILDE] = ACTIONS(5860),
    [anon_sym_STAR] = ACTIONS(5860),
    [anon_sym_AMP_AMP] = ACTIONS(5860),
    [anon_sym_AMP] = ACTIONS(5858),
    [anon_sym___extension__] = ACTIONS(5858),
    [anon_sym_virtual] = ACTIONS(5858),
    [anon_sym_extern] = ACTIONS(5858),
    [anon_sym___attribute__] = ACTIONS(5858),
    [anon_sym_COLON_COLON] = ACTIONS(5860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5860),
    [anon_sym___declspec] = ACTIONS(5858),
    [anon_sym___based] = ACTIONS(5858),
    [anon_sym___cdecl] = ACTIONS(5858),
    [anon_sym___clrcall] = ACTIONS(5858),
    [anon_sym___stdcall] = ACTIONS(5858),
    [anon_sym___fastcall] = ACTIONS(5858),
    [anon_sym___thiscall] = ACTIONS(5858),
    [anon_sym___vectorcall] = ACTIONS(5858),
    [anon_sym_signed] = ACTIONS(5858),
    [anon_sym_unsigned] = ACTIONS(5858),
    [anon_sym_long] = ACTIONS(5858),
    [anon_sym_short] = ACTIONS(5858),
    [anon_sym_LBRACK] = ACTIONS(5858),
    [anon_sym_static] = ACTIONS(5858),
    [anon_sym_register] = ACTIONS(5858),
    [anon_sym_inline] = ACTIONS(5858),
    [anon_sym___inline] = ACTIONS(5858),
    [anon_sym___inline__] = ACTIONS(5858),
    [anon_sym___forceinline] = ACTIONS(5858),
    [anon_sym_thread_local] = ACTIONS(5858),
    [anon_sym___thread] = ACTIONS(5858),
    [anon_sym_const] = ACTIONS(5858),
    [anon_sym_constexpr] = ACTIONS(5858),
    [anon_sym_volatile] = ACTIONS(5858),
    [anon_sym_restrict] = ACTIONS(5858),
    [anon_sym___restrict__] = ACTIONS(5858),
    [anon_sym__Atomic] = ACTIONS(5858),
    [anon_sym__Noreturn] = ACTIONS(5858),
    [anon_sym_noreturn] = ACTIONS(5858),
    [anon_sym__Nonnull] = ACTIONS(5858),
    [anon_sym_mutable] = ACTIONS(5858),
    [anon_sym_constinit] = ACTIONS(5858),
    [anon_sym_consteval] = ACTIONS(5858),
    [anon_sym_PROGMEM] = ACTIONS(5858),
    [anon_sym_alignas] = ACTIONS(5858),
    [anon_sym__Alignas] = ACTIONS(5858),
    [aux_sym_primitive_type_token1] = ACTIONS(5858),
    [anon_sym_byte] = ACTIONS(5858),
    [anon_sym_word] = ACTIONS(5858),
    [anon_sym_enum] = ACTIONS(5858),
    [anon_sym_class] = ACTIONS(5858),
    [anon_sym_struct] = ACTIONS(5858),
    [anon_sym_union] = ACTIONS(5858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5858),
    [anon_sym_decltype] = ACTIONS(5858),
    [anon_sym_explicit] = ACTIONS(5858),
    [anon_sym_typename] = ACTIONS(5858),
    [anon_sym_template] = ACTIONS(5858),
    [anon_sym_operator] = ACTIONS(5858),
    [anon_sym_friend] = ACTIONS(5858),
    [anon_sym_using] = ACTIONS(5858),
    [anon_sym_concept] = ACTIONS(5858),
    [anon_sym_requires] = ACTIONS(5858),
  },
  [2147] = {
    [sym_attribute_specifier] = STATE(2196),
    [sym_identifier] = ACTIONS(5862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5864),
    [anon_sym_COMMA] = ACTIONS(5864),
    [anon_sym_RPAREN] = ACTIONS(5864),
    [aux_sym_preproc_if_token2] = ACTIONS(5864),
    [aux_sym_preproc_else_token1] = ACTIONS(5864),
    [aux_sym_preproc_elif_token1] = ACTIONS(5862),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5864),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5864),
    [anon_sym_LPAREN2] = ACTIONS(5864),
    [anon_sym_DASH] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5862),
    [anon_sym_STAR] = ACTIONS(5862),
    [anon_sym_SLASH] = ACTIONS(5862),
    [anon_sym_PERCENT] = ACTIONS(5862),
    [anon_sym_PIPE_PIPE] = ACTIONS(5864),
    [anon_sym_AMP_AMP] = ACTIONS(5864),
    [anon_sym_PIPE] = ACTIONS(5862),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_AMP] = ACTIONS(5862),
    [anon_sym_EQ_EQ] = ACTIONS(5864),
    [anon_sym_BANG_EQ] = ACTIONS(5864),
    [anon_sym_GT] = ACTIONS(5862),
    [anon_sym_GT_EQ] = ACTIONS(5864),
    [anon_sym_LT_EQ] = ACTIONS(5862),
    [anon_sym_LT] = ACTIONS(5862),
    [anon_sym_LT_LT] = ACTIONS(5862),
    [anon_sym_GT_GT] = ACTIONS(5862),
    [anon_sym_SEMI] = ACTIONS(5864),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5864),
    [anon_sym_RBRACE] = ACTIONS(5864),
    [anon_sym_LBRACK] = ACTIONS(5864),
    [anon_sym_RBRACK] = ACTIONS(5864),
    [anon_sym_EQ] = ACTIONS(5862),
    [anon_sym_COLON] = ACTIONS(5864),
    [anon_sym_QMARK] = ACTIONS(5864),
    [anon_sym_STAR_EQ] = ACTIONS(5864),
    [anon_sym_SLASH_EQ] = ACTIONS(5864),
    [anon_sym_PERCENT_EQ] = ACTIONS(5864),
    [anon_sym_PLUS_EQ] = ACTIONS(5864),
    [anon_sym_DASH_EQ] = ACTIONS(5864),
    [anon_sym_LT_LT_EQ] = ACTIONS(5864),
    [anon_sym_GT_GT_EQ] = ACTIONS(5864),
    [anon_sym_AMP_EQ] = ACTIONS(5864),
    [anon_sym_CARET_EQ] = ACTIONS(5864),
    [anon_sym_PIPE_EQ] = ACTIONS(5864),
    [anon_sym_and_eq] = ACTIONS(5862),
    [anon_sym_or_eq] = ACTIONS(5862),
    [anon_sym_xor_eq] = ACTIONS(5862),
    [anon_sym_LT_EQ_GT] = ACTIONS(5864),
    [anon_sym_or] = ACTIONS(5862),
    [anon_sym_and] = ACTIONS(5862),
    [anon_sym_bitor] = ACTIONS(5862),
    [anon_sym_xor] = ACTIONS(5862),
    [anon_sym_bitand] = ACTIONS(5862),
    [anon_sym_not_eq] = ACTIONS(5862),
    [anon_sym_DASH_DASH] = ACTIONS(5864),
    [anon_sym_PLUS_PLUS] = ACTIONS(5864),
    [anon_sym_DOT] = ACTIONS(5862),
    [anon_sym_DOT_STAR] = ACTIONS(5864),
    [anon_sym_DASH_GT] = ACTIONS(5864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5862),
    [anon_sym_decltype] = ACTIONS(5862),
  },
  [2148] = {
    [sym_attribute_specifier] = STATE(2190),
    [sym_identifier] = ACTIONS(5866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5868),
    [anon_sym_COMMA] = ACTIONS(5868),
    [anon_sym_RPAREN] = ACTIONS(5868),
    [aux_sym_preproc_if_token2] = ACTIONS(5868),
    [aux_sym_preproc_else_token1] = ACTIONS(5868),
    [aux_sym_preproc_elif_token1] = ACTIONS(5866),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5868),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5868),
    [anon_sym_LPAREN2] = ACTIONS(5868),
    [anon_sym_DASH] = ACTIONS(5866),
    [anon_sym_PLUS] = ACTIONS(5866),
    [anon_sym_STAR] = ACTIONS(5866),
    [anon_sym_SLASH] = ACTIONS(5866),
    [anon_sym_PERCENT] = ACTIONS(5866),
    [anon_sym_PIPE_PIPE] = ACTIONS(5868),
    [anon_sym_AMP_AMP] = ACTIONS(5868),
    [anon_sym_PIPE] = ACTIONS(5866),
    [anon_sym_CARET] = ACTIONS(5866),
    [anon_sym_AMP] = ACTIONS(5866),
    [anon_sym_EQ_EQ] = ACTIONS(5868),
    [anon_sym_BANG_EQ] = ACTIONS(5868),
    [anon_sym_GT] = ACTIONS(5866),
    [anon_sym_GT_EQ] = ACTIONS(5868),
    [anon_sym_LT_EQ] = ACTIONS(5866),
    [anon_sym_LT] = ACTIONS(5866),
    [anon_sym_LT_LT] = ACTIONS(5866),
    [anon_sym_GT_GT] = ACTIONS(5866),
    [anon_sym_SEMI] = ACTIONS(5868),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5868),
    [anon_sym_RBRACE] = ACTIONS(5868),
    [anon_sym_LBRACK] = ACTIONS(5868),
    [anon_sym_RBRACK] = ACTIONS(5868),
    [anon_sym_EQ] = ACTIONS(5866),
    [anon_sym_COLON] = ACTIONS(5868),
    [anon_sym_QMARK] = ACTIONS(5868),
    [anon_sym_STAR_EQ] = ACTIONS(5868),
    [anon_sym_SLASH_EQ] = ACTIONS(5868),
    [anon_sym_PERCENT_EQ] = ACTIONS(5868),
    [anon_sym_PLUS_EQ] = ACTIONS(5868),
    [anon_sym_DASH_EQ] = ACTIONS(5868),
    [anon_sym_LT_LT_EQ] = ACTIONS(5868),
    [anon_sym_GT_GT_EQ] = ACTIONS(5868),
    [anon_sym_AMP_EQ] = ACTIONS(5868),
    [anon_sym_CARET_EQ] = ACTIONS(5868),
    [anon_sym_PIPE_EQ] = ACTIONS(5868),
    [anon_sym_and_eq] = ACTIONS(5866),
    [anon_sym_or_eq] = ACTIONS(5866),
    [anon_sym_xor_eq] = ACTIONS(5866),
    [anon_sym_LT_EQ_GT] = ACTIONS(5868),
    [anon_sym_or] = ACTIONS(5866),
    [anon_sym_and] = ACTIONS(5866),
    [anon_sym_bitor] = ACTIONS(5866),
    [anon_sym_xor] = ACTIONS(5866),
    [anon_sym_bitand] = ACTIONS(5866),
    [anon_sym_not_eq] = ACTIONS(5866),
    [anon_sym_DASH_DASH] = ACTIONS(5868),
    [anon_sym_PLUS_PLUS] = ACTIONS(5868),
    [anon_sym_DOT] = ACTIONS(5866),
    [anon_sym_DOT_STAR] = ACTIONS(5868),
    [anon_sym_DASH_GT] = ACTIONS(5868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5866),
    [anon_sym_decltype] = ACTIONS(5866),
  },
  [2149] = {
    [sym_string_literal] = STATE(2180),
    [sym_raw_string_literal] = STATE(2180),
    [aux_sym_concatenated_string_repeat1] = STATE(2180),
    [sym_identifier] = ACTIONS(5870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5200),
    [anon_sym_COMMA] = ACTIONS(5200),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_DASH] = ACTIONS(5202),
    [anon_sym_PLUS] = ACTIONS(5202),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_SLASH] = ACTIONS(5202),
    [anon_sym_PERCENT] = ACTIONS(5202),
    [anon_sym_PIPE_PIPE] = ACTIONS(5200),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_PIPE] = ACTIONS(5202),
    [anon_sym_CARET] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5202),
    [anon_sym_EQ_EQ] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5200),
    [anon_sym_GT] = ACTIONS(5202),
    [anon_sym_GT_EQ] = ACTIONS(5202),
    [anon_sym_LT_EQ] = ACTIONS(5202),
    [anon_sym_LT] = ACTIONS(5202),
    [anon_sym_LT_LT] = ACTIONS(5202),
    [anon_sym_GT_GT] = ACTIONS(5202),
    [anon_sym_LBRACK] = ACTIONS(5200),
    [anon_sym_EQ] = ACTIONS(5202),
    [anon_sym_QMARK] = ACTIONS(5200),
    [anon_sym_STAR_EQ] = ACTIONS(5200),
    [anon_sym_SLASH_EQ] = ACTIONS(5200),
    [anon_sym_PERCENT_EQ] = ACTIONS(5200),
    [anon_sym_PLUS_EQ] = ACTIONS(5200),
    [anon_sym_DASH_EQ] = ACTIONS(5200),
    [anon_sym_LT_LT_EQ] = ACTIONS(5200),
    [anon_sym_GT_GT_EQ] = ACTIONS(5202),
    [anon_sym_AMP_EQ] = ACTIONS(5200),
    [anon_sym_CARET_EQ] = ACTIONS(5200),
    [anon_sym_PIPE_EQ] = ACTIONS(5200),
    [anon_sym_and_eq] = ACTIONS(5202),
    [anon_sym_or_eq] = ACTIONS(5202),
    [anon_sym_xor_eq] = ACTIONS(5202),
    [anon_sym_LT_EQ_GT] = ACTIONS(5200),
    [anon_sym_or] = ACTIONS(5202),
    [anon_sym_and] = ACTIONS(5202),
    [anon_sym_bitor] = ACTIONS(5202),
    [anon_sym_xor] = ACTIONS(5202),
    [anon_sym_bitand] = ACTIONS(5202),
    [anon_sym_not_eq] = ACTIONS(5202),
    [anon_sym_DASH_DASH] = ACTIONS(5200),
    [anon_sym_PLUS_PLUS] = ACTIONS(5200),
    [anon_sym_DOT] = ACTIONS(5202),
    [anon_sym_DOT_STAR] = ACTIONS(5200),
    [anon_sym_DASH_GT] = ACTIONS(5200),
    [anon_sym_L_DQUOTE] = ACTIONS(5850),
    [anon_sym_u_DQUOTE] = ACTIONS(5850),
    [anon_sym_U_DQUOTE] = ACTIONS(5850),
    [anon_sym_u8_DQUOTE] = ACTIONS(5850),
    [anon_sym_DQUOTE] = ACTIONS(5850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5200),
    [anon_sym_R_DQUOTE] = ACTIONS(5852),
    [anon_sym_LR_DQUOTE] = ACTIONS(5852),
    [anon_sym_uR_DQUOTE] = ACTIONS(5852),
    [anon_sym_UR_DQUOTE] = ACTIONS(5852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5852),
    [sym_literal_suffix] = ACTIONS(5202),
  },
  [2150] = {
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_unaligned_ptr_modifier] = STATE(3982),
    [sym_ms_pointer_modifier] = STATE(3854),
    [sym__declarator] = STATE(6099),
    [sym__abstract_declarator] = STATE(6321),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_abstract_parenthesized_declarator] = STATE(5817),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_abstract_pointer_declarator] = STATE(5817),
    [sym_function_declarator] = STATE(5932),
    [sym_abstract_function_declarator] = STATE(5817),
    [sym_array_declarator] = STATE(5932),
    [sym_abstract_array_declarator] = STATE(5817),
    [sym_type_qualifier] = STATE(2702),
    [sym_alignas_qualifier] = STATE(4236),
    [sym_parameter_list] = STATE(2941),
    [sym_decltype] = STATE(8169),
    [sym_reference_declarator] = STATE(5932),
    [sym_abstract_reference_declarator] = STATE(5817),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym__function_declarator_seq] = STATE(5892),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5496),
    [sym_qualified_identifier] = STATE(5932),
    [sym_operator_name] = STATE(5932),
    [aux_sym__type_definition_type_repeat1] = STATE(2702),
    [aux_sym_pointer_declarator_repeat1] = STATE(3854),
    [sym_identifier] = ACTIONS(5539),
    [anon_sym_RPAREN] = ACTIONS(5666),
    [anon_sym_LPAREN2] = ACTIONS(4180),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_AMP] = ACTIONS(4186),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(5872),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2688),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2688),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2688),
    [anon_sym__unaligned] = ACTIONS(2690),
    [anon_sym___unaligned] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym__Nonnull] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_PROGMEM] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym__Alignas] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1829),
  },
  [2151] = {
    [sym_identifier] = ACTIONS(5874),
    [anon_sym_LPAREN2] = ACTIONS(5876),
    [anon_sym_TILDE] = ACTIONS(5876),
    [anon_sym_STAR] = ACTIONS(5876),
    [anon_sym_AMP_AMP] = ACTIONS(5876),
    [anon_sym_AMP] = ACTIONS(5874),
    [anon_sym___extension__] = ACTIONS(5874),
    [anon_sym_virtual] = ACTIONS(5874),
    [anon_sym_extern] = ACTIONS(5874),
    [anon_sym___attribute__] = ACTIONS(5874),
    [anon_sym_COLON_COLON] = ACTIONS(5876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5876),
    [anon_sym___declspec] = ACTIONS(5874),
    [anon_sym___based] = ACTIONS(5874),
    [anon_sym___cdecl] = ACTIONS(5874),
    [anon_sym___clrcall] = ACTIONS(5874),
    [anon_sym___stdcall] = ACTIONS(5874),
    [anon_sym___fastcall] = ACTIONS(5874),
    [anon_sym___thiscall] = ACTIONS(5874),
    [anon_sym___vectorcall] = ACTIONS(5874),
    [anon_sym_signed] = ACTIONS(5874),
    [anon_sym_unsigned] = ACTIONS(5874),
    [anon_sym_long] = ACTIONS(5874),
    [anon_sym_short] = ACTIONS(5874),
    [anon_sym_LBRACK] = ACTIONS(5874),
    [anon_sym_static] = ACTIONS(5874),
    [anon_sym_register] = ACTIONS(5874),
    [anon_sym_inline] = ACTIONS(5874),
    [anon_sym___inline] = ACTIONS(5874),
    [anon_sym___inline__] = ACTIONS(5874),
    [anon_sym___forceinline] = ACTIONS(5874),
    [anon_sym_thread_local] = ACTIONS(5874),
    [anon_sym___thread] = ACTIONS(5874),
    [anon_sym_const] = ACTIONS(5874),
    [anon_sym_constexpr] = ACTIONS(5874),
    [anon_sym_volatile] = ACTIONS(5874),
    [anon_sym_restrict] = ACTIONS(5874),
    [anon_sym___restrict__] = ACTIONS(5874),
    [anon_sym__Atomic] = ACTIONS(5874),
    [anon_sym__Noreturn] = ACTIONS(5874),
    [anon_sym_noreturn] = ACTIONS(5874),
    [anon_sym__Nonnull] = ACTIONS(5874),
    [anon_sym_mutable] = ACTIONS(5874),
    [anon_sym_constinit] = ACTIONS(5874),
    [anon_sym_consteval] = ACTIONS(5874),
    [anon_sym_PROGMEM] = ACTIONS(5874),
    [anon_sym_alignas] = ACTIONS(5874),
    [anon_sym__Alignas] = ACTIONS(5874),
    [aux_sym_primitive_type_token1] = ACTIONS(5874),
    [anon_sym_byte] = ACTIONS(5874),
    [anon_sym_word] = ACTIONS(5874),
    [anon_sym_enum] = ACTIONS(5874),
    [anon_sym_class] = ACTIONS(5874),
    [anon_sym_struct] = ACTIONS(5874),
    [anon_sym_union] = ACTIONS(5874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5874),
    [anon_sym_decltype] = ACTIONS(5874),
    [anon_sym_explicit] = ACTIONS(5874),
    [anon_sym_typename] = ACTIONS(5874),
    [anon_sym_template] = ACTIONS(5874),
    [anon_sym_operator] = ACTIONS(5874),
    [anon_sym_friend] = ACTIONS(5874),
    [anon_sym_using] = ACTIONS(5874),
    [anon_sym_concept] = ACTIONS(5874),
    [anon_sym_requires] = ACTIONS(5874),
  },
  [2152] = {
    [sym_attribute_specifier] = STATE(2262),
    [sym_identifier] = ACTIONS(5878),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5880),
    [anon_sym_COMMA] = ACTIONS(5880),
    [anon_sym_RPAREN] = ACTIONS(5880),
    [aux_sym_preproc_if_token2] = ACTIONS(5880),
    [aux_sym_preproc_else_token1] = ACTIONS(5880),
    [aux_sym_preproc_elif_token1] = ACTIONS(5878),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5880),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5880),
    [anon_sym_LPAREN2] = ACTIONS(5880),
    [anon_sym_DASH] = ACTIONS(5878),
    [anon_sym_PLUS] = ACTIONS(5878),
    [anon_sym_STAR] = ACTIONS(5878),
    [anon_sym_SLASH] = ACTIONS(5878),
    [anon_sym_PERCENT] = ACTIONS(5878),
    [anon_sym_PIPE_PIPE] = ACTIONS(5880),
    [anon_sym_AMP_AMP] = ACTIONS(5880),
    [anon_sym_PIPE] = ACTIONS(5878),
    [anon_sym_CARET] = ACTIONS(5878),
    [anon_sym_AMP] = ACTIONS(5878),
    [anon_sym_EQ_EQ] = ACTIONS(5880),
    [anon_sym_BANG_EQ] = ACTIONS(5880),
    [anon_sym_GT] = ACTIONS(5878),
    [anon_sym_GT_EQ] = ACTIONS(5880),
    [anon_sym_LT_EQ] = ACTIONS(5878),
    [anon_sym_LT] = ACTIONS(5878),
    [anon_sym_LT_LT] = ACTIONS(5878),
    [anon_sym_GT_GT] = ACTIONS(5878),
    [anon_sym_SEMI] = ACTIONS(5880),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5880),
    [anon_sym_RBRACE] = ACTIONS(5880),
    [anon_sym_LBRACK] = ACTIONS(5880),
    [anon_sym_RBRACK] = ACTIONS(5880),
    [anon_sym_EQ] = ACTIONS(5878),
    [anon_sym_COLON] = ACTIONS(5880),
    [anon_sym_QMARK] = ACTIONS(5880),
    [anon_sym_STAR_EQ] = ACTIONS(5880),
    [anon_sym_SLASH_EQ] = ACTIONS(5880),
    [anon_sym_PERCENT_EQ] = ACTIONS(5880),
    [anon_sym_PLUS_EQ] = ACTIONS(5880),
    [anon_sym_DASH_EQ] = ACTIONS(5880),
    [anon_sym_LT_LT_EQ] = ACTIONS(5880),
    [anon_sym_GT_GT_EQ] = ACTIONS(5880),
    [anon_sym_AMP_EQ] = ACTIONS(5880),
    [anon_sym_CARET_EQ] = ACTIONS(5880),
    [anon_sym_PIPE_EQ] = ACTIONS(5880),
    [anon_sym_and_eq] = ACTIONS(5878),
    [anon_sym_or_eq] = ACTIONS(5878),
    [anon_sym_xor_eq] = ACTIONS(5878),
    [anon_sym_LT_EQ_GT] = ACTIONS(5880),
    [anon_sym_or] = ACTIONS(5878),
    [anon_sym_and] = ACTIONS(5878),
    [anon_sym_bitor] = ACTIONS(5878),
    [anon_sym_xor] = ACTIONS(5878),
    [anon_sym_bitand] = ACTIONS(5878),
    [anon_sym_not_eq] = ACTIONS(5878),
    [anon_sym_DASH_DASH] = ACTIONS(5880),
    [anon_sym_PLUS_PLUS] = ACTIONS(5880),
    [anon_sym_DOT] = ACTIONS(5878),
    [anon_sym_DOT_STAR] = ACTIONS(5880),
    [anon_sym_DASH_GT] = ACTIONS(5880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5878),
    [anon_sym_decltype] = ACTIONS(5878),
  },
  [2153] = {
    [sym_attribute_specifier] = STATE(2265),
    [sym_identifier] = ACTIONS(5882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5884),
    [anon_sym_COMMA] = ACTIONS(5884),
    [anon_sym_RPAREN] = ACTIONS(5884),
    [aux_sym_preproc_if_token2] = ACTIONS(5884),
    [aux_sym_preproc_else_token1] = ACTIONS(5884),
    [aux_sym_preproc_elif_token1] = ACTIONS(5882),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5884),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5884),
    [anon_sym_LPAREN2] = ACTIONS(5884),
    [anon_sym_DASH] = ACTIONS(5882),
    [anon_sym_PLUS] = ACTIONS(5882),
    [anon_sym_STAR] = ACTIONS(5882),
    [anon_sym_SLASH] = ACTIONS(5882),
    [anon_sym_PERCENT] = ACTIONS(5882),
    [anon_sym_PIPE_PIPE] = ACTIONS(5884),
    [anon_sym_AMP_AMP] = ACTIONS(5884),
    [anon_sym_PIPE] = ACTIONS(5882),
    [anon_sym_CARET] = ACTIONS(5882),
    [anon_sym_AMP] = ACTIONS(5882),
    [anon_sym_EQ_EQ] = ACTIONS(5884),
    [anon_sym_BANG_EQ] = ACTIONS(5884),
    [anon_sym_GT] = ACTIONS(5882),
    [anon_sym_GT_EQ] = ACTIONS(5884),
    [anon_sym_LT_EQ] = ACTIONS(5882),
    [anon_sym_LT] = ACTIONS(5882),
    [anon_sym_LT_LT] = ACTIONS(5882),
    [anon_sym_GT_GT] = ACTIONS(5882),
    [anon_sym_SEMI] = ACTIONS(5884),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5884),
    [anon_sym_RBRACE] = ACTIONS(5884),
    [anon_sym_LBRACK] = ACTIONS(5884),
    [anon_sym_RBRACK] = ACTIONS(5884),
    [anon_sym_EQ] = ACTIONS(5882),
    [anon_sym_COLON] = ACTIONS(5884),
    [anon_sym_QMARK] = ACTIONS(5884),
    [anon_sym_STAR_EQ] = ACTIONS(5884),
    [anon_sym_SLASH_EQ] = ACTIONS(5884),
    [anon_sym_PERCENT_EQ] = ACTIONS(5884),
    [anon_sym_PLUS_EQ] = ACTIONS(5884),
    [anon_sym_DASH_EQ] = ACTIONS(5884),
    [anon_sym_LT_LT_EQ] = ACTIONS(5884),
    [anon_sym_GT_GT_EQ] = ACTIONS(5884),
    [anon_sym_AMP_EQ] = ACTIONS(5884),
    [anon_sym_CARET_EQ] = ACTIONS(5884),
    [anon_sym_PIPE_EQ] = ACTIONS(5884),
    [anon_sym_and_eq] = ACTIONS(5882),
    [anon_sym_or_eq] = ACTIONS(5882),
    [anon_sym_xor_eq] = ACTIONS(5882),
    [anon_sym_LT_EQ_GT] = ACTIONS(5884),
    [anon_sym_or] = ACTIONS(5882),
    [anon_sym_and] = ACTIONS(5882),
    [anon_sym_bitor] = ACTIONS(5882),
    [anon_sym_xor] = ACTIONS(5882),
    [anon_sym_bitand] = ACTIONS(5882),
    [anon_sym_not_eq] = ACTIONS(5882),
    [anon_sym_DASH_DASH] = ACTIONS(5884),
    [anon_sym_PLUS_PLUS] = ACTIONS(5884),
    [anon_sym_DOT] = ACTIONS(5882),
    [anon_sym_DOT_STAR] = ACTIONS(5884),
    [anon_sym_DASH_GT] = ACTIONS(5884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5882),
    [anon_sym_decltype] = ACTIONS(5882),
  },
  [2154] = {
    [sym_identifier] = ACTIONS(5886),
    [anon_sym_LPAREN2] = ACTIONS(5888),
    [anon_sym_TILDE] = ACTIONS(5888),
    [anon_sym_STAR] = ACTIONS(5888),
    [anon_sym_AMP_AMP] = ACTIONS(5888),
    [anon_sym_AMP] = ACTIONS(5886),
    [anon_sym___extension__] = ACTIONS(5886),
    [anon_sym_virtual] = ACTIONS(5886),
    [anon_sym_extern] = ACTIONS(5886),
    [anon_sym___attribute__] = ACTIONS(5886),
    [anon_sym_COLON_COLON] = ACTIONS(5888),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5888),
    [anon_sym___declspec] = ACTIONS(5886),
    [anon_sym___based] = ACTIONS(5886),
    [anon_sym___cdecl] = ACTIONS(5886),
    [anon_sym___clrcall] = ACTIONS(5886),
    [anon_sym___stdcall] = ACTIONS(5886),
    [anon_sym___fastcall] = ACTIONS(5886),
    [anon_sym___thiscall] = ACTIONS(5886),
    [anon_sym___vectorcall] = ACTIONS(5886),
    [anon_sym_signed] = ACTIONS(5886),
    [anon_sym_unsigned] = ACTIONS(5886),
    [anon_sym_long] = ACTIONS(5886),
    [anon_sym_short] = ACTIONS(5886),
    [anon_sym_LBRACK] = ACTIONS(5886),
    [anon_sym_static] = ACTIONS(5886),
    [anon_sym_register] = ACTIONS(5886),
    [anon_sym_inline] = ACTIONS(5886),
    [anon_sym___inline] = ACTIONS(5886),
    [anon_sym___inline__] = ACTIONS(5886),
    [anon_sym___forceinline] = ACTIONS(5886),
    [anon_sym_thread_local] = ACTIONS(5886),
    [anon_sym___thread] = ACTIONS(5886),
    [anon_sym_const] = ACTIONS(5886),
    [anon_sym_constexpr] = ACTIONS(5886),
    [anon_sym_volatile] = ACTIONS(5886),
    [anon_sym_restrict] = ACTIONS(5886),
    [anon_sym___restrict__] = ACTIONS(5886),
    [anon_sym__Atomic] = ACTIONS(5886),
    [anon_sym__Noreturn] = ACTIONS(5886),
    [anon_sym_noreturn] = ACTIONS(5886),
    [anon_sym__Nonnull] = ACTIONS(5886),
    [anon_sym_mutable] = ACTIONS(5886),
    [anon_sym_constinit] = ACTIONS(5886),
    [anon_sym_consteval] = ACTIONS(5886),
    [anon_sym_PROGMEM] = ACTIONS(5886),
    [anon_sym_alignas] = ACTIONS(5886),
    [anon_sym__Alignas] = ACTIONS(5886),
    [aux_sym_primitive_type_token1] = ACTIONS(5886),
    [anon_sym_byte] = ACTIONS(5886),
    [anon_sym_word] = ACTIONS(5886),
    [anon_sym_enum] = ACTIONS(5886),
    [anon_sym_class] = ACTIONS(5886),
    [anon_sym_struct] = ACTIONS(5886),
    [anon_sym_union] = ACTIONS(5886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5886),
    [anon_sym_decltype] = ACTIONS(5886),
    [anon_sym_explicit] = ACTIONS(5886),
    [anon_sym_typename] = ACTIONS(5886),
    [anon_sym_template] = ACTIONS(5886),
    [anon_sym_operator] = ACTIONS(5886),
    [anon_sym_friend] = ACTIONS(5886),
    [anon_sym_using] = ACTIONS(5886),
    [anon_sym_concept] = ACTIONS(5886),
    [anon_sym_requires] = ACTIONS(5886),
  },
  [2155] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5566),
    [anon_sym_COMMA] = ACTIONS(5566),
    [anon_sym_RPAREN] = ACTIONS(5566),
    [anon_sym_LPAREN2] = ACTIONS(5566),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_STAR] = ACTIONS(5564),
    [anon_sym_SLASH] = ACTIONS(5564),
    [anon_sym_PERCENT] = ACTIONS(5564),
    [anon_sym_PIPE_PIPE] = ACTIONS(5566),
    [anon_sym_AMP_AMP] = ACTIONS(5566),
    [anon_sym_PIPE] = ACTIONS(5564),
    [anon_sym_CARET] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5566),
    [anon_sym_GT] = ACTIONS(5564),
    [anon_sym_GT_EQ] = ACTIONS(5566),
    [anon_sym_LT_EQ] = ACTIONS(5564),
    [anon_sym_LT] = ACTIONS(5564),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_SEMI] = ACTIONS(5566),
    [anon_sym_RBRACE] = ACTIONS(5566),
    [anon_sym_LBRACK] = ACTIONS(5566),
    [anon_sym_RBRACK] = ACTIONS(5566),
    [anon_sym_EQ] = ACTIONS(5564),
    [anon_sym_COLON] = ACTIONS(5566),
    [anon_sym_QMARK] = ACTIONS(5566),
    [anon_sym_STAR_EQ] = ACTIONS(5566),
    [anon_sym_SLASH_EQ] = ACTIONS(5566),
    [anon_sym_PERCENT_EQ] = ACTIONS(5566),
    [anon_sym_PLUS_EQ] = ACTIONS(5566),
    [anon_sym_DASH_EQ] = ACTIONS(5566),
    [anon_sym_LT_LT_EQ] = ACTIONS(5566),
    [anon_sym_GT_GT_EQ] = ACTIONS(5566),
    [anon_sym_AMP_EQ] = ACTIONS(5566),
    [anon_sym_CARET_EQ] = ACTIONS(5566),
    [anon_sym_PIPE_EQ] = ACTIONS(5566),
    [anon_sym_and_eq] = ACTIONS(5564),
    [anon_sym_or_eq] = ACTIONS(5564),
    [anon_sym_xor_eq] = ACTIONS(5564),
    [anon_sym_LT_EQ_GT] = ACTIONS(5566),
    [anon_sym_or] = ACTIONS(5564),
    [anon_sym_and] = ACTIONS(5564),
    [anon_sym_bitor] = ACTIONS(5564),
    [anon_sym_xor] = ACTIONS(5564),
    [anon_sym_bitand] = ACTIONS(5564),
    [anon_sym_not_eq] = ACTIONS(5564),
    [anon_sym_DASH_DASH] = ACTIONS(5566),
    [anon_sym_PLUS_PLUS] = ACTIONS(5566),
    [anon_sym_DOT] = ACTIONS(5564),
    [anon_sym_DOT_STAR] = ACTIONS(5566),
    [anon_sym_DASH_GT] = ACTIONS(5566),
    [anon_sym_L_DQUOTE] = ACTIONS(5566),
    [anon_sym_u_DQUOTE] = ACTIONS(5566),
    [anon_sym_U_DQUOTE] = ACTIONS(5566),
    [anon_sym_u8_DQUOTE] = ACTIONS(5566),
    [anon_sym_DQUOTE] = ACTIONS(5566),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5566),
    [anon_sym_LR_DQUOTE] = ACTIONS(5566),
    [anon_sym_uR_DQUOTE] = ACTIONS(5566),
    [anon_sym_UR_DQUOTE] = ACTIONS(5566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5566),
    [sym_literal_suffix] = ACTIONS(5564),
  },
  [2156] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5559),
    [anon_sym_COMMA] = ACTIONS(5559),
    [anon_sym_RPAREN] = ACTIONS(5559),
    [anon_sym_LPAREN2] = ACTIONS(5559),
    [anon_sym_DASH] = ACTIONS(5557),
    [anon_sym_PLUS] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5557),
    [anon_sym_SLASH] = ACTIONS(5557),
    [anon_sym_PERCENT] = ACTIONS(5557),
    [anon_sym_PIPE_PIPE] = ACTIONS(5559),
    [anon_sym_AMP_AMP] = ACTIONS(5559),
    [anon_sym_PIPE] = ACTIONS(5557),
    [anon_sym_CARET] = ACTIONS(5557),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_EQ_EQ] = ACTIONS(5559),
    [anon_sym_BANG_EQ] = ACTIONS(5559),
    [anon_sym_GT] = ACTIONS(5557),
    [anon_sym_GT_EQ] = ACTIONS(5559),
    [anon_sym_LT_EQ] = ACTIONS(5557),
    [anon_sym_LT] = ACTIONS(5557),
    [anon_sym_LT_LT] = ACTIONS(5557),
    [anon_sym_GT_GT] = ACTIONS(5557),
    [anon_sym_SEMI] = ACTIONS(5559),
    [anon_sym_RBRACE] = ACTIONS(5559),
    [anon_sym_LBRACK] = ACTIONS(5559),
    [anon_sym_RBRACK] = ACTIONS(5559),
    [anon_sym_EQ] = ACTIONS(5557),
    [anon_sym_COLON] = ACTIONS(5559),
    [anon_sym_QMARK] = ACTIONS(5559),
    [anon_sym_STAR_EQ] = ACTIONS(5559),
    [anon_sym_SLASH_EQ] = ACTIONS(5559),
    [anon_sym_PERCENT_EQ] = ACTIONS(5559),
    [anon_sym_PLUS_EQ] = ACTIONS(5559),
    [anon_sym_DASH_EQ] = ACTIONS(5559),
    [anon_sym_LT_LT_EQ] = ACTIONS(5559),
    [anon_sym_GT_GT_EQ] = ACTIONS(5559),
    [anon_sym_AMP_EQ] = ACTIONS(5559),
    [anon_sym_CARET_EQ] = ACTIONS(5559),
    [anon_sym_PIPE_EQ] = ACTIONS(5559),
    [anon_sym_and_eq] = ACTIONS(5557),
    [anon_sym_or_eq] = ACTIONS(5557),
    [anon_sym_xor_eq] = ACTIONS(5557),
    [anon_sym_LT_EQ_GT] = ACTIONS(5559),
    [anon_sym_or] = ACTIONS(5557),
    [anon_sym_and] = ACTIONS(5557),
    [anon_sym_bitor] = ACTIONS(5557),
    [anon_sym_xor] = ACTIONS(5557),
    [anon_sym_bitand] = ACTIONS(5557),
    [anon_sym_not_eq] = ACTIONS(5557),
    [anon_sym_DASH_DASH] = ACTIONS(5559),
    [anon_sym_PLUS_PLUS] = ACTIONS(5559),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_DOT_STAR] = ACTIONS(5559),
    [anon_sym_DASH_GT] = ACTIONS(5559),
    [anon_sym_L_DQUOTE] = ACTIONS(5559),
    [anon_sym_u_DQUOTE] = ACTIONS(5559),
    [anon_sym_U_DQUOTE] = ACTIONS(5559),
    [anon_sym_u8_DQUOTE] = ACTIONS(5559),
    [anon_sym_DQUOTE] = ACTIONS(5559),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5559),
    [anon_sym_LR_DQUOTE] = ACTIONS(5559),
    [anon_sym_uR_DQUOTE] = ACTIONS(5559),
    [anon_sym_UR_DQUOTE] = ACTIONS(5559),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5559),
    [sym_literal_suffix] = ACTIONS(5557),
  },
  [2157] = {
    [sym_attribute_declaration] = STATE(2188),
    [sym_parameter_list] = STATE(2258),
    [aux_sym_attributed_declarator_repeat1] = STATE(2188),
    [sym_identifier] = ACTIONS(5890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5892),
    [anon_sym_COMMA] = ACTIONS(5892),
    [anon_sym_RPAREN] = ACTIONS(5892),
    [aux_sym_preproc_if_token2] = ACTIONS(5892),
    [aux_sym_preproc_else_token1] = ACTIONS(5892),
    [aux_sym_preproc_elif_token1] = ACTIONS(5890),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5892),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5892),
    [anon_sym_LPAREN2] = ACTIONS(5841),
    [anon_sym_DASH] = ACTIONS(5890),
    [anon_sym_PLUS] = ACTIONS(5890),
    [anon_sym_STAR] = ACTIONS(5890),
    [anon_sym_SLASH] = ACTIONS(5890),
    [anon_sym_PERCENT] = ACTIONS(5890),
    [anon_sym_PIPE_PIPE] = ACTIONS(5892),
    [anon_sym_AMP_AMP] = ACTIONS(5892),
    [anon_sym_PIPE] = ACTIONS(5890),
    [anon_sym_CARET] = ACTIONS(5890),
    [anon_sym_AMP] = ACTIONS(5890),
    [anon_sym_EQ_EQ] = ACTIONS(5892),
    [anon_sym_BANG_EQ] = ACTIONS(5892),
    [anon_sym_GT] = ACTIONS(5890),
    [anon_sym_GT_EQ] = ACTIONS(5892),
    [anon_sym_LT_EQ] = ACTIONS(5890),
    [anon_sym_LT] = ACTIONS(5890),
    [anon_sym_LT_LT] = ACTIONS(5890),
    [anon_sym_GT_GT] = ACTIONS(5890),
    [anon_sym_SEMI] = ACTIONS(5892),
    [anon_sym___attribute__] = ACTIONS(5890),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5843),
    [anon_sym_RBRACE] = ACTIONS(5892),
    [anon_sym_LBRACK] = ACTIONS(5845),
    [anon_sym_RBRACK] = ACTIONS(5892),
    [anon_sym_EQ] = ACTIONS(5890),
    [anon_sym_COLON] = ACTIONS(5892),
    [anon_sym_QMARK] = ACTIONS(5892),
    [anon_sym_STAR_EQ] = ACTIONS(5892),
    [anon_sym_SLASH_EQ] = ACTIONS(5892),
    [anon_sym_PERCENT_EQ] = ACTIONS(5892),
    [anon_sym_PLUS_EQ] = ACTIONS(5892),
    [anon_sym_DASH_EQ] = ACTIONS(5892),
    [anon_sym_LT_LT_EQ] = ACTIONS(5892),
    [anon_sym_GT_GT_EQ] = ACTIONS(5892),
    [anon_sym_AMP_EQ] = ACTIONS(5892),
    [anon_sym_CARET_EQ] = ACTIONS(5892),
    [anon_sym_PIPE_EQ] = ACTIONS(5892),
    [anon_sym_and_eq] = ACTIONS(5890),
    [anon_sym_or_eq] = ACTIONS(5890),
    [anon_sym_xor_eq] = ACTIONS(5890),
    [anon_sym_LT_EQ_GT] = ACTIONS(5892),
    [anon_sym_or] = ACTIONS(5890),
    [anon_sym_and] = ACTIONS(5890),
    [anon_sym_bitor] = ACTIONS(5890),
    [anon_sym_xor] = ACTIONS(5890),
    [anon_sym_bitand] = ACTIONS(5890),
    [anon_sym_not_eq] = ACTIONS(5890),
    [anon_sym_DASH_DASH] = ACTIONS(5892),
    [anon_sym_PLUS_PLUS] = ACTIONS(5892),
    [anon_sym_DOT] = ACTIONS(5890),
    [anon_sym_DOT_STAR] = ACTIONS(5892),
    [anon_sym_DASH_GT] = ACTIONS(5892),
    [sym_comment] = ACTIONS(3),
  },
  [2158] = {
    [sym_attribute_specifier] = STATE(2266),
    [sym_identifier] = ACTIONS(5894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5896),
    [anon_sym_COMMA] = ACTIONS(5896),
    [anon_sym_RPAREN] = ACTIONS(5896),
    [aux_sym_preproc_if_token2] = ACTIONS(5896),
    [aux_sym_preproc_else_token1] = ACTIONS(5896),
    [aux_sym_preproc_elif_token1] = ACTIONS(5894),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5896),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5896),
    [anon_sym_LPAREN2] = ACTIONS(5896),
    [anon_sym_DASH] = ACTIONS(5894),
    [anon_sym_PLUS] = ACTIONS(5894),
    [anon_sym_STAR] = ACTIONS(5894),
    [anon_sym_SLASH] = ACTIONS(5894),
    [anon_sym_PERCENT] = ACTIONS(5894),
    [anon_sym_PIPE_PIPE] = ACTIONS(5896),
    [anon_sym_AMP_AMP] = ACTIONS(5896),
    [anon_sym_PIPE] = ACTIONS(5894),
    [anon_sym_CARET] = ACTIONS(5894),
    [anon_sym_AMP] = ACTIONS(5894),
    [anon_sym_EQ_EQ] = ACTIONS(5896),
    [anon_sym_BANG_EQ] = ACTIONS(5896),
    [anon_sym_GT] = ACTIONS(5894),
    [anon_sym_GT_EQ] = ACTIONS(5896),
    [anon_sym_LT_EQ] = ACTIONS(5894),
    [anon_sym_LT] = ACTIONS(5894),
    [anon_sym_LT_LT] = ACTIONS(5894),
    [anon_sym_GT_GT] = ACTIONS(5894),
    [anon_sym_SEMI] = ACTIONS(5896),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5896),
    [anon_sym_RBRACE] = ACTIONS(5896),
    [anon_sym_LBRACK] = ACTIONS(5896),
    [anon_sym_RBRACK] = ACTIONS(5896),
    [anon_sym_EQ] = ACTIONS(5894),
    [anon_sym_COLON] = ACTIONS(5896),
    [anon_sym_QMARK] = ACTIONS(5896),
    [anon_sym_STAR_EQ] = ACTIONS(5896),
    [anon_sym_SLASH_EQ] = ACTIONS(5896),
    [anon_sym_PERCENT_EQ] = ACTIONS(5896),
    [anon_sym_PLUS_EQ] = ACTIONS(5896),
    [anon_sym_DASH_EQ] = ACTIONS(5896),
    [anon_sym_LT_LT_EQ] = ACTIONS(5896),
    [anon_sym_GT_GT_EQ] = ACTIONS(5896),
    [anon_sym_AMP_EQ] = ACTIONS(5896),
    [anon_sym_CARET_EQ] = ACTIONS(5896),
    [anon_sym_PIPE_EQ] = ACTIONS(5896),
    [anon_sym_and_eq] = ACTIONS(5894),
    [anon_sym_or_eq] = ACTIONS(5894),
    [anon_sym_xor_eq] = ACTIONS(5894),
    [anon_sym_LT_EQ_GT] = ACTIONS(5896),
    [anon_sym_or] = ACTIONS(5894),
    [anon_sym_and] = ACTIONS(5894),
    [anon_sym_bitor] = ACTIONS(5894),
    [anon_sym_xor] = ACTIONS(5894),
    [anon_sym_bitand] = ACTIONS(5894),
    [anon_sym_not_eq] = ACTIONS(5894),
    [anon_sym_DASH_DASH] = ACTIONS(5896),
    [anon_sym_PLUS_PLUS] = ACTIONS(5896),
    [anon_sym_DOT] = ACTIONS(5894),
    [anon_sym_DOT_STAR] = ACTIONS(5896),
    [anon_sym_DASH_GT] = ACTIONS(5896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5894),
    [anon_sym_decltype] = ACTIONS(5894),
  },
  [2159] = {
    [sym_template_argument_list] = STATE(2090),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2241),
    [sym_identifier] = ACTIONS(4122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4130),
    [anon_sym_COMMA] = ACTIONS(4130),
    [aux_sym_preproc_if_token2] = ACTIONS(4130),
    [aux_sym_preproc_else_token1] = ACTIONS(4130),
    [aux_sym_preproc_elif_token1] = ACTIONS(4122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4130),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4130),
    [anon_sym_LPAREN2] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4122),
    [anon_sym_STAR] = ACTIONS(4122),
    [anon_sym_SLASH] = ACTIONS(4122),
    [anon_sym_PERCENT] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4130),
    [anon_sym_AMP_AMP] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4122),
    [anon_sym_AMP] = ACTIONS(4122),
    [anon_sym_EQ_EQ] = ACTIONS(4130),
    [anon_sym_BANG_EQ] = ACTIONS(4130),
    [anon_sym_GT] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_LT] = ACTIONS(5696),
    [anon_sym_LT_LT] = ACTIONS(4122),
    [anon_sym_GT_GT] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_signed] = ACTIONS(5806),
    [anon_sym_unsigned] = ACTIONS(5806),
    [anon_sym_long] = ACTIONS(5806),
    [anon_sym_short] = ACTIONS(5806),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_EQ] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4122),
    [anon_sym_or_eq] = ACTIONS(4122),
    [anon_sym_xor_eq] = ACTIONS(4122),
    [anon_sym_LT_EQ_GT] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_bitor] = ACTIONS(4122),
    [anon_sym_xor] = ACTIONS(4122),
    [anon_sym_bitand] = ACTIONS(4122),
    [anon_sym_not_eq] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4130),
    [anon_sym_PLUS_PLUS] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4122),
    [anon_sym_DOT_STAR] = ACTIONS(4130),
    [anon_sym_DASH_GT] = ACTIONS(4130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4122),
    [anon_sym_decltype] = ACTIONS(4122),
  },
  [2160] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5537),
    [anon_sym_COMMA] = ACTIONS(5537),
    [anon_sym_RPAREN] = ACTIONS(5537),
    [anon_sym_LPAREN2] = ACTIONS(5537),
    [anon_sym_DASH] = ACTIONS(5535),
    [anon_sym_PLUS] = ACTIONS(5535),
    [anon_sym_STAR] = ACTIONS(5535),
    [anon_sym_SLASH] = ACTIONS(5535),
    [anon_sym_PERCENT] = ACTIONS(5535),
    [anon_sym_PIPE_PIPE] = ACTIONS(5537),
    [anon_sym_AMP_AMP] = ACTIONS(5537),
    [anon_sym_PIPE] = ACTIONS(5535),
    [anon_sym_CARET] = ACTIONS(5535),
    [anon_sym_AMP] = ACTIONS(5535),
    [anon_sym_EQ_EQ] = ACTIONS(5537),
    [anon_sym_BANG_EQ] = ACTIONS(5537),
    [anon_sym_GT] = ACTIONS(5535),
    [anon_sym_GT_EQ] = ACTIONS(5537),
    [anon_sym_LT_EQ] = ACTIONS(5535),
    [anon_sym_LT] = ACTIONS(5535),
    [anon_sym_LT_LT] = ACTIONS(5535),
    [anon_sym_GT_GT] = ACTIONS(5535),
    [anon_sym_SEMI] = ACTIONS(5537),
    [anon_sym_RBRACE] = ACTIONS(5537),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym_RBRACK] = ACTIONS(5537),
    [anon_sym_EQ] = ACTIONS(5535),
    [anon_sym_COLON] = ACTIONS(5537),
    [anon_sym_QMARK] = ACTIONS(5537),
    [anon_sym_STAR_EQ] = ACTIONS(5537),
    [anon_sym_SLASH_EQ] = ACTIONS(5537),
    [anon_sym_PERCENT_EQ] = ACTIONS(5537),
    [anon_sym_PLUS_EQ] = ACTIONS(5537),
    [anon_sym_DASH_EQ] = ACTIONS(5537),
    [anon_sym_LT_LT_EQ] = ACTIONS(5537),
    [anon_sym_GT_GT_EQ] = ACTIONS(5537),
    [anon_sym_AMP_EQ] = ACTIONS(5537),
    [anon_sym_CARET_EQ] = ACTIONS(5537),
    [anon_sym_PIPE_EQ] = ACTIONS(5537),
    [anon_sym_and_eq] = ACTIONS(5535),
    [anon_sym_or_eq] = ACTIONS(5535),
    [anon_sym_xor_eq] = ACTIONS(5535),
    [anon_sym_LT_EQ_GT] = ACTIONS(5537),
    [anon_sym_or] = ACTIONS(5535),
    [anon_sym_and] = ACTIONS(5535),
    [anon_sym_bitor] = ACTIONS(5535),
    [anon_sym_xor] = ACTIONS(5535),
    [anon_sym_bitand] = ACTIONS(5535),
    [anon_sym_not_eq] = ACTIONS(5535),
    [anon_sym_DASH_DASH] = ACTIONS(5537),
    [anon_sym_PLUS_PLUS] = ACTIONS(5537),
    [anon_sym_DOT] = ACTIONS(5535),
    [anon_sym_DOT_STAR] = ACTIONS(5537),
    [anon_sym_DASH_GT] = ACTIONS(5537),
    [anon_sym_L_DQUOTE] = ACTIONS(5537),
    [anon_sym_u_DQUOTE] = ACTIONS(5537),
    [anon_sym_U_DQUOTE] = ACTIONS(5537),
    [anon_sym_u8_DQUOTE] = ACTIONS(5537),
    [anon_sym_DQUOTE] = ACTIONS(5537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5537),
    [anon_sym_LR_DQUOTE] = ACTIONS(5537),
    [anon_sym_uR_DQUOTE] = ACTIONS(5537),
    [anon_sym_UR_DQUOTE] = ACTIONS(5537),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5537),
    [sym_literal_suffix] = ACTIONS(5535),
  },
  [2161] = {
    [sym_string_literal] = STATE(3419),
    [sym_template_argument_list] = STATE(4315),
    [sym_raw_string_literal] = STATE(3419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4132),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4971),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(4973),
    [anon_sym_SLASH_EQ] = ACTIONS(4973),
    [anon_sym_PERCENT_EQ] = ACTIONS(4973),
    [anon_sym_PLUS_EQ] = ACTIONS(4973),
    [anon_sym_DASH_EQ] = ACTIONS(4973),
    [anon_sym_LT_LT_EQ] = ACTIONS(4973),
    [anon_sym_GT_GT_EQ] = ACTIONS(4971),
    [anon_sym_AMP_EQ] = ACTIONS(4973),
    [anon_sym_CARET_EQ] = ACTIONS(4973),
    [anon_sym_PIPE_EQ] = ACTIONS(4973),
    [anon_sym_and_eq] = ACTIONS(4973),
    [anon_sym_or_eq] = ACTIONS(4973),
    [anon_sym_xor_eq] = ACTIONS(4973),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(4975),
    [anon_sym_u_DQUOTE] = ACTIONS(4975),
    [anon_sym_U_DQUOTE] = ACTIONS(4975),
    [anon_sym_u8_DQUOTE] = ACTIONS(4975),
    [anon_sym_DQUOTE] = ACTIONS(4975),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4124),
    [anon_sym_R_DQUOTE] = ACTIONS(4977),
    [anon_sym_LR_DQUOTE] = ACTIONS(4977),
    [anon_sym_uR_DQUOTE] = ACTIONS(4977),
    [anon_sym_UR_DQUOTE] = ACTIONS(4977),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4977),
  },
  [2162] = {
    [sym_attribute_specifier] = STATE(2256),
    [sym_identifier] = ACTIONS(5898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5900),
    [anon_sym_COMMA] = ACTIONS(5900),
    [anon_sym_RPAREN] = ACTIONS(5900),
    [aux_sym_preproc_if_token2] = ACTIONS(5900),
    [aux_sym_preproc_else_token1] = ACTIONS(5900),
    [aux_sym_preproc_elif_token1] = ACTIONS(5898),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5900),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5900),
    [anon_sym_LPAREN2] = ACTIONS(5900),
    [anon_sym_DASH] = ACTIONS(5898),
    [anon_sym_PLUS] = ACTIONS(5898),
    [anon_sym_STAR] = ACTIONS(5898),
    [anon_sym_SLASH] = ACTIONS(5898),
    [anon_sym_PERCENT] = ACTIONS(5898),
    [anon_sym_PIPE_PIPE] = ACTIONS(5900),
    [anon_sym_AMP_AMP] = ACTIONS(5900),
    [anon_sym_PIPE] = ACTIONS(5898),
    [anon_sym_CARET] = ACTIONS(5898),
    [anon_sym_AMP] = ACTIONS(5898),
    [anon_sym_EQ_EQ] = ACTIONS(5900),
    [anon_sym_BANG_EQ] = ACTIONS(5900),
    [anon_sym_GT] = ACTIONS(5898),
    [anon_sym_GT_EQ] = ACTIONS(5900),
    [anon_sym_LT_EQ] = ACTIONS(5898),
    [anon_sym_LT] = ACTIONS(5898),
    [anon_sym_LT_LT] = ACTIONS(5898),
    [anon_sym_GT_GT] = ACTIONS(5898),
    [anon_sym_SEMI] = ACTIONS(5900),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5900),
    [anon_sym_RBRACE] = ACTIONS(5900),
    [anon_sym_LBRACK] = ACTIONS(5900),
    [anon_sym_RBRACK] = ACTIONS(5900),
    [anon_sym_EQ] = ACTIONS(5898),
    [anon_sym_COLON] = ACTIONS(5900),
    [anon_sym_QMARK] = ACTIONS(5900),
    [anon_sym_STAR_EQ] = ACTIONS(5900),
    [anon_sym_SLASH_EQ] = ACTIONS(5900),
    [anon_sym_PERCENT_EQ] = ACTIONS(5900),
    [anon_sym_PLUS_EQ] = ACTIONS(5900),
    [anon_sym_DASH_EQ] = ACTIONS(5900),
    [anon_sym_LT_LT_EQ] = ACTIONS(5900),
    [anon_sym_GT_GT_EQ] = ACTIONS(5900),
    [anon_sym_AMP_EQ] = ACTIONS(5900),
    [anon_sym_CARET_EQ] = ACTIONS(5900),
    [anon_sym_PIPE_EQ] = ACTIONS(5900),
    [anon_sym_and_eq] = ACTIONS(5898),
    [anon_sym_or_eq] = ACTIONS(5898),
    [anon_sym_xor_eq] = ACTIONS(5898),
    [anon_sym_LT_EQ_GT] = ACTIONS(5900),
    [anon_sym_or] = ACTIONS(5898),
    [anon_sym_and] = ACTIONS(5898),
    [anon_sym_bitor] = ACTIONS(5898),
    [anon_sym_xor] = ACTIONS(5898),
    [anon_sym_bitand] = ACTIONS(5898),
    [anon_sym_not_eq] = ACTIONS(5898),
    [anon_sym_DASH_DASH] = ACTIONS(5900),
    [anon_sym_PLUS_PLUS] = ACTIONS(5900),
    [anon_sym_DOT] = ACTIONS(5898),
    [anon_sym_DOT_STAR] = ACTIONS(5900),
    [anon_sym_DASH_GT] = ACTIONS(5900),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5898),
    [anon_sym_decltype] = ACTIONS(5898),
  },
  [2163] = {
    [sym_attribute_specifier] = STATE(2211),
    [sym_identifier] = ACTIONS(5902),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5904),
    [anon_sym_COMMA] = ACTIONS(5904),
    [anon_sym_RPAREN] = ACTIONS(5904),
    [aux_sym_preproc_if_token2] = ACTIONS(5904),
    [aux_sym_preproc_else_token1] = ACTIONS(5904),
    [aux_sym_preproc_elif_token1] = ACTIONS(5902),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5904),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5904),
    [anon_sym_LPAREN2] = ACTIONS(5904),
    [anon_sym_DASH] = ACTIONS(5902),
    [anon_sym_PLUS] = ACTIONS(5902),
    [anon_sym_STAR] = ACTIONS(5902),
    [anon_sym_SLASH] = ACTIONS(5902),
    [anon_sym_PERCENT] = ACTIONS(5902),
    [anon_sym_PIPE_PIPE] = ACTIONS(5904),
    [anon_sym_AMP_AMP] = ACTIONS(5904),
    [anon_sym_PIPE] = ACTIONS(5902),
    [anon_sym_CARET] = ACTIONS(5902),
    [anon_sym_AMP] = ACTIONS(5902),
    [anon_sym_EQ_EQ] = ACTIONS(5904),
    [anon_sym_BANG_EQ] = ACTIONS(5904),
    [anon_sym_GT] = ACTIONS(5902),
    [anon_sym_GT_EQ] = ACTIONS(5904),
    [anon_sym_LT_EQ] = ACTIONS(5902),
    [anon_sym_LT] = ACTIONS(5902),
    [anon_sym_LT_LT] = ACTIONS(5902),
    [anon_sym_GT_GT] = ACTIONS(5902),
    [anon_sym_SEMI] = ACTIONS(5904),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5904),
    [anon_sym_RBRACE] = ACTIONS(5904),
    [anon_sym_LBRACK] = ACTIONS(5904),
    [anon_sym_RBRACK] = ACTIONS(5904),
    [anon_sym_EQ] = ACTIONS(5902),
    [anon_sym_COLON] = ACTIONS(5904),
    [anon_sym_QMARK] = ACTIONS(5904),
    [anon_sym_STAR_EQ] = ACTIONS(5904),
    [anon_sym_SLASH_EQ] = ACTIONS(5904),
    [anon_sym_PERCENT_EQ] = ACTIONS(5904),
    [anon_sym_PLUS_EQ] = ACTIONS(5904),
    [anon_sym_DASH_EQ] = ACTIONS(5904),
    [anon_sym_LT_LT_EQ] = ACTIONS(5904),
    [anon_sym_GT_GT_EQ] = ACTIONS(5904),
    [anon_sym_AMP_EQ] = ACTIONS(5904),
    [anon_sym_CARET_EQ] = ACTIONS(5904),
    [anon_sym_PIPE_EQ] = ACTIONS(5904),
    [anon_sym_and_eq] = ACTIONS(5902),
    [anon_sym_or_eq] = ACTIONS(5902),
    [anon_sym_xor_eq] = ACTIONS(5902),
    [anon_sym_LT_EQ_GT] = ACTIONS(5904),
    [anon_sym_or] = ACTIONS(5902),
    [anon_sym_and] = ACTIONS(5902),
    [anon_sym_bitor] = ACTIONS(5902),
    [anon_sym_xor] = ACTIONS(5902),
    [anon_sym_bitand] = ACTIONS(5902),
    [anon_sym_not_eq] = ACTIONS(5902),
    [anon_sym_DASH_DASH] = ACTIONS(5904),
    [anon_sym_PLUS_PLUS] = ACTIONS(5904),
    [anon_sym_DOT] = ACTIONS(5902),
    [anon_sym_DOT_STAR] = ACTIONS(5904),
    [anon_sym_DASH_GT] = ACTIONS(5904),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5902),
    [anon_sym_decltype] = ACTIONS(5902),
  },
  [2164] = {
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5339),
    [anon_sym_COMMA] = ACTIONS(5339),
    [anon_sym_RPAREN] = ACTIONS(5339),
    [aux_sym_preproc_if_token2] = ACTIONS(5339),
    [aux_sym_preproc_else_token1] = ACTIONS(5339),
    [aux_sym_preproc_elif_token1] = ACTIONS(5337),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5339),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5339),
    [anon_sym_LPAREN2] = ACTIONS(5339),
    [anon_sym_DASH] = ACTIONS(5337),
    [anon_sym_PLUS] = ACTIONS(5337),
    [anon_sym_STAR] = ACTIONS(5337),
    [anon_sym_SLASH] = ACTIONS(5337),
    [anon_sym_PERCENT] = ACTIONS(5337),
    [anon_sym_PIPE_PIPE] = ACTIONS(5339),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_PIPE] = ACTIONS(5337),
    [anon_sym_CARET] = ACTIONS(5337),
    [anon_sym_AMP] = ACTIONS(5337),
    [anon_sym_EQ_EQ] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5339),
    [anon_sym_GT] = ACTIONS(5337),
    [anon_sym_GT_EQ] = ACTIONS(5339),
    [anon_sym_LT_EQ] = ACTIONS(5337),
    [anon_sym_LT] = ACTIONS(5337),
    [anon_sym_LT_LT] = ACTIONS(5337),
    [anon_sym_GT_GT] = ACTIONS(5337),
    [anon_sym_SEMI] = ACTIONS(5339),
    [anon_sym___attribute__] = ACTIONS(5337),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym_LBRACE] = ACTIONS(5339),
    [anon_sym_RBRACE] = ACTIONS(5339),
    [anon_sym_LBRACK] = ACTIONS(5339),
    [anon_sym_RBRACK] = ACTIONS(5339),
    [anon_sym_EQ] = ACTIONS(5337),
    [anon_sym_COLON] = ACTIONS(5337),
    [anon_sym_QMARK] = ACTIONS(5339),
    [anon_sym_STAR_EQ] = ACTIONS(5339),
    [anon_sym_SLASH_EQ] = ACTIONS(5339),
    [anon_sym_PERCENT_EQ] = ACTIONS(5339),
    [anon_sym_PLUS_EQ] = ACTIONS(5339),
    [anon_sym_DASH_EQ] = ACTIONS(5339),
    [anon_sym_LT_LT_EQ] = ACTIONS(5339),
    [anon_sym_GT_GT_EQ] = ACTIONS(5339),
    [anon_sym_AMP_EQ] = ACTIONS(5339),
    [anon_sym_CARET_EQ] = ACTIONS(5339),
    [anon_sym_PIPE_EQ] = ACTIONS(5339),
    [anon_sym_and_eq] = ACTIONS(5337),
    [anon_sym_or_eq] = ACTIONS(5337),
    [anon_sym_xor_eq] = ACTIONS(5337),
    [anon_sym_LT_EQ_GT] = ACTIONS(5339),
    [anon_sym_or] = ACTIONS(5337),
    [anon_sym_and] = ACTIONS(5337),
    [anon_sym_bitor] = ACTIONS(5337),
    [anon_sym_xor] = ACTIONS(5337),
    [anon_sym_bitand] = ACTIONS(5337),
    [anon_sym_not_eq] = ACTIONS(5337),
    [anon_sym_DASH_DASH] = ACTIONS(5339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5339),
    [anon_sym_DOT] = ACTIONS(5337),
    [anon_sym_DOT_STAR] = ACTIONS(5339),
    [anon_sym_DASH_GT] = ACTIONS(5339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5337),
    [anon_sym_decltype] = ACTIONS(5337),
  },
  [2165] = {
    [sym_attribute_specifier] = STATE(1776),
    [sym_enumerator_list] = STATE(2198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5820),
    [anon_sym_COMMA] = ACTIONS(5820),
    [anon_sym_RPAREN] = ACTIONS(5820),
    [anon_sym_LPAREN2] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5818),
    [anon_sym_STAR] = ACTIONS(5820),
    [anon_sym_SLASH] = ACTIONS(5818),
    [anon_sym_PERCENT] = ACTIONS(5820),
    [anon_sym_PIPE_PIPE] = ACTIONS(5820),
    [anon_sym_AMP_AMP] = ACTIONS(5820),
    [anon_sym_PIPE] = ACTIONS(5818),
    [anon_sym_CARET] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(5818),
    [anon_sym_EQ_EQ] = ACTIONS(5820),
    [anon_sym_BANG_EQ] = ACTIONS(5820),
    [anon_sym_GT] = ACTIONS(5818),
    [anon_sym_GT_EQ] = ACTIONS(5820),
    [anon_sym_LT_EQ] = ACTIONS(5818),
    [anon_sym_LT] = ACTIONS(5818),
    [anon_sym_LT_LT] = ACTIONS(5820),
    [anon_sym_GT_GT] = ACTIONS(5820),
    [anon_sym_SEMI] = ACTIONS(5820),
    [anon_sym___extension__] = ACTIONS(5820),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5906),
    [anon_sym_RBRACE] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [anon_sym_RBRACK] = ACTIONS(5820),
    [anon_sym_const] = ACTIONS(5818),
    [anon_sym_constexpr] = ACTIONS(5820),
    [anon_sym_volatile] = ACTIONS(5820),
    [anon_sym_restrict] = ACTIONS(5820),
    [anon_sym___restrict__] = ACTIONS(5820),
    [anon_sym__Atomic] = ACTIONS(5820),
    [anon_sym__Noreturn] = ACTIONS(5820),
    [anon_sym_noreturn] = ACTIONS(5820),
    [anon_sym__Nonnull] = ACTIONS(5820),
    [anon_sym_mutable] = ACTIONS(5820),
    [anon_sym_constinit] = ACTIONS(5820),
    [anon_sym_consteval] = ACTIONS(5820),
    [anon_sym_PROGMEM] = ACTIONS(5820),
    [anon_sym_alignas] = ACTIONS(5820),
    [anon_sym__Alignas] = ACTIONS(5820),
    [anon_sym_COLON] = ACTIONS(5820),
    [anon_sym_QMARK] = ACTIONS(5820),
    [anon_sym_LT_EQ_GT] = ACTIONS(5820),
    [anon_sym_or] = ACTIONS(5820),
    [anon_sym_and] = ACTIONS(5820),
    [anon_sym_bitor] = ACTIONS(5820),
    [anon_sym_xor] = ACTIONS(5820),
    [anon_sym_bitand] = ACTIONS(5820),
    [anon_sym_not_eq] = ACTIONS(5820),
    [anon_sym_DASH_DASH] = ACTIONS(5820),
    [anon_sym_PLUS_PLUS] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_DOT_STAR] = ACTIONS(5820),
    [anon_sym_DASH_GT] = ACTIONS(5820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5820),
    [anon_sym_decltype] = ACTIONS(5820),
    [anon_sym_final] = ACTIONS(5820),
    [anon_sym_override] = ACTIONS(5820),
    [anon_sym_requires] = ACTIONS(5820),
  },
  [2166] = {
    [sym_attribute_declaration] = STATE(2188),
    [sym_parameter_list] = STATE(2258),
    [aux_sym_attributed_declarator_repeat1] = STATE(2188),
    [sym_identifier] = ACTIONS(5908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5910),
    [anon_sym_COMMA] = ACTIONS(5910),
    [anon_sym_RPAREN] = ACTIONS(5910),
    [aux_sym_preproc_if_token2] = ACTIONS(5910),
    [aux_sym_preproc_else_token1] = ACTIONS(5910),
    [aux_sym_preproc_elif_token1] = ACTIONS(5908),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5910),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5910),
    [anon_sym_LPAREN2] = ACTIONS(5841),
    [anon_sym_DASH] = ACTIONS(5908),
    [anon_sym_PLUS] = ACTIONS(5908),
    [anon_sym_STAR] = ACTIONS(5908),
    [anon_sym_SLASH] = ACTIONS(5908),
    [anon_sym_PERCENT] = ACTIONS(5908),
    [anon_sym_PIPE_PIPE] = ACTIONS(5910),
    [anon_sym_AMP_AMP] = ACTIONS(5910),
    [anon_sym_PIPE] = ACTIONS(5908),
    [anon_sym_CARET] = ACTIONS(5908),
    [anon_sym_AMP] = ACTIONS(5908),
    [anon_sym_EQ_EQ] = ACTIONS(5910),
    [anon_sym_BANG_EQ] = ACTIONS(5910),
    [anon_sym_GT] = ACTIONS(5908),
    [anon_sym_GT_EQ] = ACTIONS(5910),
    [anon_sym_LT_EQ] = ACTIONS(5908),
    [anon_sym_LT] = ACTIONS(5908),
    [anon_sym_LT_LT] = ACTIONS(5908),
    [anon_sym_GT_GT] = ACTIONS(5908),
    [anon_sym_SEMI] = ACTIONS(5910),
    [anon_sym___attribute__] = ACTIONS(5908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5843),
    [anon_sym_RBRACE] = ACTIONS(5910),
    [anon_sym_LBRACK] = ACTIONS(5845),
    [anon_sym_RBRACK] = ACTIONS(5910),
    [anon_sym_EQ] = ACTIONS(5908),
    [anon_sym_COLON] = ACTIONS(5910),
    [anon_sym_QMARK] = ACTIONS(5910),
    [anon_sym_STAR_EQ] = ACTIONS(5910),
    [anon_sym_SLASH_EQ] = ACTIONS(5910),
    [anon_sym_PERCENT_EQ] = ACTIONS(5910),
    [anon_sym_PLUS_EQ] = ACTIONS(5910),
    [anon_sym_DASH_EQ] = ACTIONS(5910),
    [anon_sym_LT_LT_EQ] = ACTIONS(5910),
    [anon_sym_GT_GT_EQ] = ACTIONS(5910),
    [anon_sym_AMP_EQ] = ACTIONS(5910),
    [anon_sym_CARET_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_and_eq] = ACTIONS(5908),
    [anon_sym_or_eq] = ACTIONS(5908),
    [anon_sym_xor_eq] = ACTIONS(5908),
    [anon_sym_LT_EQ_GT] = ACTIONS(5910),
    [anon_sym_or] = ACTIONS(5908),
    [anon_sym_and] = ACTIONS(5908),
    [anon_sym_bitor] = ACTIONS(5908),
    [anon_sym_xor] = ACTIONS(5908),
    [anon_sym_bitand] = ACTIONS(5908),
    [anon_sym_not_eq] = ACTIONS(5908),
    [anon_sym_DASH_DASH] = ACTIONS(5910),
    [anon_sym_PLUS_PLUS] = ACTIONS(5910),
    [anon_sym_DOT] = ACTIONS(5908),
    [anon_sym_DOT_STAR] = ACTIONS(5910),
    [anon_sym_DASH_GT] = ACTIONS(5910),
    [sym_comment] = ACTIONS(3),
  },
  [2167] = {
    [sym_attribute_declaration] = STATE(2188),
    [sym_parameter_list] = STATE(2258),
    [aux_sym_attributed_declarator_repeat1] = STATE(2188),
    [sym_identifier] = ACTIONS(5912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5914),
    [anon_sym_COMMA] = ACTIONS(5914),
    [anon_sym_RPAREN] = ACTIONS(5914),
    [aux_sym_preproc_if_token2] = ACTIONS(5914),
    [aux_sym_preproc_else_token1] = ACTIONS(5914),
    [aux_sym_preproc_elif_token1] = ACTIONS(5912),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5914),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5914),
    [anon_sym_LPAREN2] = ACTIONS(5841),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5912),
    [anon_sym_SLASH] = ACTIONS(5912),
    [anon_sym_PERCENT] = ACTIONS(5912),
    [anon_sym_PIPE_PIPE] = ACTIONS(5914),
    [anon_sym_AMP_AMP] = ACTIONS(5914),
    [anon_sym_PIPE] = ACTIONS(5912),
    [anon_sym_CARET] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(5912),
    [anon_sym_EQ_EQ] = ACTIONS(5914),
    [anon_sym_BANG_EQ] = ACTIONS(5914),
    [anon_sym_GT] = ACTIONS(5912),
    [anon_sym_GT_EQ] = ACTIONS(5914),
    [anon_sym_LT_EQ] = ACTIONS(5912),
    [anon_sym_LT] = ACTIONS(5912),
    [anon_sym_LT_LT] = ACTIONS(5912),
    [anon_sym_GT_GT] = ACTIONS(5912),
    [anon_sym_SEMI] = ACTIONS(5914),
    [anon_sym___attribute__] = ACTIONS(5912),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5843),
    [anon_sym_RBRACE] = ACTIONS(5914),
    [anon_sym_LBRACK] = ACTIONS(5845),
    [anon_sym_RBRACK] = ACTIONS(5914),
    [anon_sym_EQ] = ACTIONS(5912),
    [anon_sym_COLON] = ACTIONS(5914),
    [anon_sym_QMARK] = ACTIONS(5914),
    [anon_sym_STAR_EQ] = ACTIONS(5914),
    [anon_sym_SLASH_EQ] = ACTIONS(5914),
    [anon_sym_PERCENT_EQ] = ACTIONS(5914),
    [anon_sym_PLUS_EQ] = ACTIONS(5914),
    [anon_sym_DASH_EQ] = ACTIONS(5914),
    [anon_sym_LT_LT_EQ] = ACTIONS(5914),
    [anon_sym_GT_GT_EQ] = ACTIONS(5914),
    [anon_sym_AMP_EQ] = ACTIONS(5914),
    [anon_sym_CARET_EQ] = ACTIONS(5914),
    [anon_sym_PIPE_EQ] = ACTIONS(5914),
    [anon_sym_and_eq] = ACTIONS(5912),
    [anon_sym_or_eq] = ACTIONS(5912),
    [anon_sym_xor_eq] = ACTIONS(5912),
    [anon_sym_LT_EQ_GT] = ACTIONS(5914),
    [anon_sym_or] = ACTIONS(5912),
    [anon_sym_and] = ACTIONS(5912),
    [anon_sym_bitor] = ACTIONS(5912),
    [anon_sym_xor] = ACTIONS(5912),
    [anon_sym_bitand] = ACTIONS(5912),
    [anon_sym_not_eq] = ACTIONS(5912),
    [anon_sym_DASH_DASH] = ACTIONS(5914),
    [anon_sym_PLUS_PLUS] = ACTIONS(5914),
    [anon_sym_DOT] = ACTIONS(5912),
    [anon_sym_DOT_STAR] = ACTIONS(5914),
    [anon_sym_DASH_GT] = ACTIONS(5914),
    [sym_comment] = ACTIONS(3),
  },
  [2168] = {
    [sym_attribute_specifier] = STATE(2259),
    [sym_identifier] = ACTIONS(5916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5918),
    [anon_sym_COMMA] = ACTIONS(5918),
    [anon_sym_RPAREN] = ACTIONS(5918),
    [aux_sym_preproc_if_token2] = ACTIONS(5918),
    [aux_sym_preproc_else_token1] = ACTIONS(5918),
    [aux_sym_preproc_elif_token1] = ACTIONS(5916),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5918),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5918),
    [anon_sym_LPAREN2] = ACTIONS(5918),
    [anon_sym_DASH] = ACTIONS(5916),
    [anon_sym_PLUS] = ACTIONS(5916),
    [anon_sym_STAR] = ACTIONS(5916),
    [anon_sym_SLASH] = ACTIONS(5916),
    [anon_sym_PERCENT] = ACTIONS(5916),
    [anon_sym_PIPE_PIPE] = ACTIONS(5918),
    [anon_sym_AMP_AMP] = ACTIONS(5918),
    [anon_sym_PIPE] = ACTIONS(5916),
    [anon_sym_CARET] = ACTIONS(5916),
    [anon_sym_AMP] = ACTIONS(5916),
    [anon_sym_EQ_EQ] = ACTIONS(5918),
    [anon_sym_BANG_EQ] = ACTIONS(5918),
    [anon_sym_GT] = ACTIONS(5916),
    [anon_sym_GT_EQ] = ACTIONS(5918),
    [anon_sym_LT_EQ] = ACTIONS(5916),
    [anon_sym_LT] = ACTIONS(5916),
    [anon_sym_LT_LT] = ACTIONS(5916),
    [anon_sym_GT_GT] = ACTIONS(5916),
    [anon_sym_SEMI] = ACTIONS(5918),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5918),
    [anon_sym_RBRACE] = ACTIONS(5918),
    [anon_sym_LBRACK] = ACTIONS(5918),
    [anon_sym_RBRACK] = ACTIONS(5918),
    [anon_sym_EQ] = ACTIONS(5916),
    [anon_sym_COLON] = ACTIONS(5918),
    [anon_sym_QMARK] = ACTIONS(5918),
    [anon_sym_STAR_EQ] = ACTIONS(5918),
    [anon_sym_SLASH_EQ] = ACTIONS(5918),
    [anon_sym_PERCENT_EQ] = ACTIONS(5918),
    [anon_sym_PLUS_EQ] = ACTIONS(5918),
    [anon_sym_DASH_EQ] = ACTIONS(5918),
    [anon_sym_LT_LT_EQ] = ACTIONS(5918),
    [anon_sym_GT_GT_EQ] = ACTIONS(5918),
    [anon_sym_AMP_EQ] = ACTIONS(5918),
    [anon_sym_CARET_EQ] = ACTIONS(5918),
    [anon_sym_PIPE_EQ] = ACTIONS(5918),
    [anon_sym_and_eq] = ACTIONS(5916),
    [anon_sym_or_eq] = ACTIONS(5916),
    [anon_sym_xor_eq] = ACTIONS(5916),
    [anon_sym_LT_EQ_GT] = ACTIONS(5918),
    [anon_sym_or] = ACTIONS(5916),
    [anon_sym_and] = ACTIONS(5916),
    [anon_sym_bitor] = ACTIONS(5916),
    [anon_sym_xor] = ACTIONS(5916),
    [anon_sym_bitand] = ACTIONS(5916),
    [anon_sym_not_eq] = ACTIONS(5916),
    [anon_sym_DASH_DASH] = ACTIONS(5918),
    [anon_sym_PLUS_PLUS] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(5916),
    [anon_sym_DOT_STAR] = ACTIONS(5918),
    [anon_sym_DASH_GT] = ACTIONS(5918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5916),
    [anon_sym_decltype] = ACTIONS(5916),
  },
  [2169] = {
    [sym_attribute_declaration] = STATE(2188),
    [sym_parameter_list] = STATE(2258),
    [aux_sym_attributed_declarator_repeat1] = STATE(2188),
    [sym_identifier] = ACTIONS(5920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5922),
    [anon_sym_COMMA] = ACTIONS(5922),
    [anon_sym_RPAREN] = ACTIONS(5922),
    [aux_sym_preproc_if_token2] = ACTIONS(5922),
    [aux_sym_preproc_else_token1] = ACTIONS(5922),
    [aux_sym_preproc_elif_token1] = ACTIONS(5920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5922),
    [anon_sym_LPAREN2] = ACTIONS(5841),
    [anon_sym_DASH] = ACTIONS(5920),
    [anon_sym_PLUS] = ACTIONS(5920),
    [anon_sym_STAR] = ACTIONS(5920),
    [anon_sym_SLASH] = ACTIONS(5920),
    [anon_sym_PERCENT] = ACTIONS(5920),
    [anon_sym_PIPE_PIPE] = ACTIONS(5922),
    [anon_sym_AMP_AMP] = ACTIONS(5922),
    [anon_sym_PIPE] = ACTIONS(5920),
    [anon_sym_CARET] = ACTIONS(5920),
    [anon_sym_AMP] = ACTIONS(5920),
    [anon_sym_EQ_EQ] = ACTIONS(5922),
    [anon_sym_BANG_EQ] = ACTIONS(5922),
    [anon_sym_GT] = ACTIONS(5920),
    [anon_sym_GT_EQ] = ACTIONS(5922),
    [anon_sym_LT_EQ] = ACTIONS(5920),
    [anon_sym_LT] = ACTIONS(5920),
    [anon_sym_LT_LT] = ACTIONS(5920),
    [anon_sym_GT_GT] = ACTIONS(5920),
    [anon_sym_SEMI] = ACTIONS(5922),
    [anon_sym___attribute__] = ACTIONS(5920),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5843),
    [anon_sym_RBRACE] = ACTIONS(5922),
    [anon_sym_LBRACK] = ACTIONS(5845),
    [anon_sym_RBRACK] = ACTIONS(5922),
    [anon_sym_EQ] = ACTIONS(5920),
    [anon_sym_COLON] = ACTIONS(5922),
    [anon_sym_QMARK] = ACTIONS(5922),
    [anon_sym_STAR_EQ] = ACTIONS(5922),
    [anon_sym_SLASH_EQ] = ACTIONS(5922),
    [anon_sym_PERCENT_EQ] = ACTIONS(5922),
    [anon_sym_PLUS_EQ] = ACTIONS(5922),
    [anon_sym_DASH_EQ] = ACTIONS(5922),
    [anon_sym_LT_LT_EQ] = ACTIONS(5922),
    [anon_sym_GT_GT_EQ] = ACTIONS(5922),
    [anon_sym_AMP_EQ] = ACTIONS(5922),
    [anon_sym_CARET_EQ] = ACTIONS(5922),
    [anon_sym_PIPE_EQ] = ACTIONS(5922),
    [anon_sym_and_eq] = ACTIONS(5920),
    [anon_sym_or_eq] = ACTIONS(5920),
    [anon_sym_xor_eq] = ACTIONS(5920),
    [anon_sym_LT_EQ_GT] = ACTIONS(5922),
    [anon_sym_or] = ACTIONS(5920),
    [anon_sym_and] = ACTIONS(5920),
    [anon_sym_bitor] = ACTIONS(5920),
    [anon_sym_xor] = ACTIONS(5920),
    [anon_sym_bitand] = ACTIONS(5920),
    [anon_sym_not_eq] = ACTIONS(5920),
    [anon_sym_DASH_DASH] = ACTIONS(5922),
    [anon_sym_PLUS_PLUS] = ACTIONS(5922),
    [anon_sym_DOT] = ACTIONS(5920),
    [anon_sym_DOT_STAR] = ACTIONS(5922),
    [anon_sym_DASH_GT] = ACTIONS(5922),
    [sym_comment] = ACTIONS(3),
  },
  [2170] = {
    [sym_ms_based_modifier] = STATE(8181),
    [sym_ms_unaligned_ptr_modifier] = STATE(3982),
    [sym_ms_pointer_modifier] = STATE(2150),
    [sym__declarator] = STATE(6106),
    [sym__abstract_declarator] = STATE(6292),
    [sym_parenthesized_declarator] = STATE(5932),
    [sym_abstract_parenthesized_declarator] = STATE(5817),
    [sym_attributed_declarator] = STATE(5932),
    [sym_pointer_declarator] = STATE(5932),
    [sym_abstract_pointer_declarator] = STATE(5817),
    [sym_function_declarator] = STATE(5932),
    [sym_abstract_function_declarator] = STATE(5817),
    [sym_array_declarator] = STATE(5932),
    [sym_abstract_array_declarator] = STATE(5817),
    [sym_type_qualifier] = STATE(2694),
    [sym_alignas_qualifier] = STATE(4236),
    [sym_parameter_list] = STATE(2941),
    [sym_decltype] = STATE(8169),
    [sym_reference_declarator] = STATE(5932),
    [sym_abstract_reference_declarator] = STATE(5817),
    [sym_structured_binding_declarator] = STATE(5932),
    [sym__function_declarator_seq] = STATE(5892),
    [sym_template_type] = STATE(8169),
    [sym_template_function] = STATE(5932),
    [sym_destructor_name] = STATE(5932),
    [sym_dependent_type_identifier] = STATE(8169),
    [sym__scope_resolution] = STATE(5496),
    [sym_qualified_identifier] = STATE(5932),
    [sym_operator_name] = STATE(5932),
    [aux_sym__type_definition_type_repeat1] = STATE(2694),
    [aux_sym_pointer_declarator_repeat1] = STATE(2150),
    [sym_identifier] = ACTIONS(5539),
    [anon_sym_RPAREN] = ACTIONS(5687),
    [anon_sym_LPAREN2] = ACTIONS(4180),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_AMP] = ACTIONS(4186),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(5872),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2688),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2688),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2688),
    [anon_sym__unaligned] = ACTIONS(2690),
    [anon_sym___unaligned] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym__Nonnull] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_PROGMEM] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym__Alignas] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1949),
    [anon_sym_template] = ACTIONS(1423),
    [anon_sym_operator] = ACTIONS(1829),
  },
  [2171] = {
    [sym_attribute_specifier] = STATE(1802),
    [sym_enumerator_list] = STATE(2194),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5755),
    [anon_sym_COMMA] = ACTIONS(5755),
    [anon_sym_RPAREN] = ACTIONS(5755),
    [anon_sym_LPAREN2] = ACTIONS(5755),
    [anon_sym_DASH] = ACTIONS(5753),
    [anon_sym_PLUS] = ACTIONS(5753),
    [anon_sym_STAR] = ACTIONS(5755),
    [anon_sym_SLASH] = ACTIONS(5753),
    [anon_sym_PERCENT] = ACTIONS(5755),
    [anon_sym_PIPE_PIPE] = ACTIONS(5755),
    [anon_sym_AMP_AMP] = ACTIONS(5755),
    [anon_sym_PIPE] = ACTIONS(5753),
    [anon_sym_CARET] = ACTIONS(5755),
    [anon_sym_AMP] = ACTIONS(5753),
    [anon_sym_EQ_EQ] = ACTIONS(5755),
    [anon_sym_BANG_EQ] = ACTIONS(5755),
    [anon_sym_GT] = ACTIONS(5753),
    [anon_sym_GT_EQ] = ACTIONS(5755),
    [anon_sym_LT_EQ] = ACTIONS(5753),
    [anon_sym_LT] = ACTIONS(5753),
    [anon_sym_LT_LT] = ACTIONS(5755),
    [anon_sym_GT_GT] = ACTIONS(5755),
    [anon_sym_SEMI] = ACTIONS(5755),
    [anon_sym___extension__] = ACTIONS(5755),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5906),
    [anon_sym_RBRACE] = ACTIONS(5755),
    [anon_sym_LBRACK] = ACTIONS(5755),
    [anon_sym_RBRACK] = ACTIONS(5755),
    [anon_sym_const] = ACTIONS(5753),
    [anon_sym_constexpr] = ACTIONS(5755),
    [anon_sym_volatile] = ACTIONS(5755),
    [anon_sym_restrict] = ACTIONS(5755),
    [anon_sym___restrict__] = ACTIONS(5755),
    [anon_sym__Atomic] = ACTIONS(5755),
    [anon_sym__Noreturn] = ACTIONS(5755),
    [anon_sym_noreturn] = ACTIONS(5755),
    [anon_sym__Nonnull] = ACTIONS(5755),
    [anon_sym_mutable] = ACTIONS(5755),
    [anon_sym_constinit] = ACTIONS(5755),
    [anon_sym_consteval] = ACTIONS(5755),
    [anon_sym_PROGMEM] = ACTIONS(5755),
    [anon_sym_alignas] = ACTIONS(5755),
    [anon_sym__Alignas] = ACTIONS(5755),
    [anon_sym_COLON] = ACTIONS(5755),
    [anon_sym_QMARK] = ACTIONS(5755),
    [anon_sym_LT_EQ_GT] = ACTIONS(5755),
    [anon_sym_or] = ACTIONS(5755),
    [anon_sym_and] = ACTIONS(5755),
    [anon_sym_bitor] = ACTIONS(5755),
    [anon_sym_xor] = ACTIONS(5755),
    [anon_sym_bitand] = ACTIONS(5755),
    [anon_sym_not_eq] = ACTIONS(5755),
    [anon_sym_DASH_DASH] = ACTIONS(5755),
    [anon_sym_PLUS_PLUS] = ACTIONS(5755),
    [anon_sym_DOT] = ACTIONS(5753),
    [anon_sym_DOT_STAR] = ACTIONS(5755),
    [anon_sym_DASH_GT] = ACTIONS(5755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5755),
    [anon_sym_decltype] = ACTIONS(5755),
    [anon_sym_final] = ACTIONS(5755),
    [anon_sym_override] = ACTIONS(5755),
    [anon_sym_requires] = ACTIONS(5755),
  },
  [2172] = {
    [sym_string_literal] = STATE(2527),
    [sym_template_argument_list] = STATE(3687),
    [sym_raw_string_literal] = STATE(2527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4124),
    [anon_sym_COMMA] = ACTIONS(4124),
    [anon_sym_LPAREN2] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4124),
    [anon_sym_BANG_EQ] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4124),
    [anon_sym_LT_EQ] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4124),
    [anon_sym_RBRACK] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(5770),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_STAR_EQ] = ACTIONS(5772),
    [anon_sym_SLASH_EQ] = ACTIONS(5772),
    [anon_sym_PERCENT_EQ] = ACTIONS(5772),
    [anon_sym_PLUS_EQ] = ACTIONS(5772),
    [anon_sym_DASH_EQ] = ACTIONS(5772),
    [anon_sym_LT_LT_EQ] = ACTIONS(5772),
    [anon_sym_GT_GT_EQ] = ACTIONS(5772),
    [anon_sym_AMP_EQ] = ACTIONS(5772),
    [anon_sym_CARET_EQ] = ACTIONS(5772),
    [anon_sym_PIPE_EQ] = ACTIONS(5772),
    [anon_sym_and_eq] = ACTIONS(5772),
    [anon_sym_or_eq] = ACTIONS(5772),
    [anon_sym_xor_eq] = ACTIONS(5772),
    [anon_sym_LT_EQ_GT] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_bitor] = ACTIONS(4124),
    [anon_sym_xor] = ACTIONS(4132),
    [anon_sym_bitand] = ACTIONS(4124),
    [anon_sym_not_eq] = ACTIONS(4124),
    [anon_sym_DASH_DASH] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DOT_STAR] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4124),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
  },
  [2173] = {
    [sym_attribute_specifier] = STATE(2192),
    [sym_identifier] = ACTIONS(5924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5926),
    [anon_sym_COMMA] = ACTIONS(5926),
    [anon_sym_RPAREN] = ACTIONS(5926),
    [aux_sym_preproc_if_token2] = ACTIONS(5926),
    [aux_sym_preproc_else_token1] = ACTIONS(5926),
    [aux_sym_preproc_elif_token1] = ACTIONS(5924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5926),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5926),
    [anon_sym_LPAREN2] = ACTIONS(5926),
    [anon_sym_DASH] = ACTIONS(5924),
    [anon_sym_PLUS] = ACTIONS(5924),
    [anon_sym_STAR] = ACTIONS(5924),
    [anon_sym_SLASH] = ACTIONS(5924),
    [anon_sym_PERCENT] = ACTIONS(5924),
    [anon_sym_PIPE_PIPE] = ACTIONS(5926),
    [anon_sym_AMP_AMP] = ACTIONS(5926),
    [anon_sym_PIPE] = ACTIONS(5924),
    [anon_sym_CARET] = ACTIONS(5924),
    [anon_sym_AMP] = ACTIONS(5924),
    [anon_sym_EQ_EQ] = ACTIONS(5926),
    [anon_sym_BANG_EQ] = ACTIONS(5926),
    [anon_sym_GT] = ACTIONS(5924),
    [anon_sym_GT_EQ] = ACTIONS(5926),
    [anon_sym_LT_EQ] = ACTIONS(5924),
    [anon_sym_LT] = ACTIONS(5924),
    [anon_sym_LT_LT] = ACTIONS(5924),
    [anon_sym_GT_GT] = ACTIONS(5924),
    [anon_sym_SEMI] = ACTIONS(5926),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5926),
    [anon_sym_RBRACE] = ACTIONS(5926),
    [anon_sym_LBRACK] = ACTIONS(5926),
    [anon_sym_RBRACK] = ACTIONS(5926),
    [anon_sym_EQ] = ACTIONS(5924),
    [anon_sym_COLON] = ACTIONS(5926),
    [anon_sym_QMARK] = ACTIONS(5926),
    [anon_sym_STAR_EQ] = ACTIONS(5926),
    [anon_sym_SLASH_EQ] = ACTIONS(5926),
    [anon_sym_PERCENT_EQ] = ACTIONS(5926),
    [anon_sym_PLUS_EQ] = ACTIONS(5926),
    [anon_sym_DASH_EQ] = ACTIONS(5926),
    [anon_sym_LT_LT_EQ] = ACTIONS(5926),
    [anon_sym_GT_GT_EQ] = ACTIONS(5926),
    [anon_sym_AMP_EQ] = ACTIONS(5926),
    [anon_sym_CARET_EQ] = ACTIONS(5926),
    [anon_sym_PIPE_EQ] = ACTIONS(5926),
    [anon_sym_and_eq] = ACTIONS(5924),
    [anon_sym_or_eq] = ACTIONS(5924),
    [anon_sym_xor_eq] = ACTIONS(5924),
    [anon_sym_LT_EQ_GT] = ACTIONS(5926),
    [anon_sym_or] = ACTIONS(5924),
    [anon_sym_and] = ACTIONS(5924),
    [anon_sym_bitor] = ACTIONS(5924),
    [anon_sym_xor] = ACTIONS(5924),
    [anon_sym_bitand] = ACTIONS(5924),
    [anon_sym_not_eq] = ACTIONS(5924),
    [anon_sym_DASH_DASH] = ACTIONS(5926),
    [anon_sym_PLUS_PLUS] = ACTIONS(5926),
    [anon_sym_DOT] = ACTIONS(5924),
    [anon_sym_DOT_STAR] = ACTIONS(5926),
    [anon_sym_DASH_GT] = ACTIONS(5926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5924),
    [anon_sym_decltype] = ACTIONS(5924),
  },
  [2174] = {
    [sym_attribute_specifier] = STATE(2264),
    [sym_identifier] = ACTIONS(5928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5930),
    [anon_sym_COMMA] = ACTIONS(5930),
    [anon_sym_RPAREN] = ACTIONS(5930),
    [aux_sym_preproc_if_token2] = ACTIONS(5930),
    [aux_sym_preproc_else_token1] = ACTIONS(5930),
    [aux_sym_preproc_elif_token1] = ACTIONS(5928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5930),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5930),
    [anon_sym_LPAREN2] = ACTIONS(5930),
    [anon_sym_DASH] = ACTIONS(5928),
    [anon_sym_PLUS] = ACTIONS(5928),
    [anon_sym_STAR] = ACTIONS(5928),
    [anon_sym_SLASH] = ACTIONS(5928),
    [anon_sym_PERCENT] = ACTIONS(5928),
    [anon_sym_PIPE_PIPE] = ACTIONS(5930),
    [anon_sym_AMP_AMP] = ACTIONS(5930),
    [anon_sym_PIPE] = ACTIONS(5928),
    [anon_sym_CARET] = ACTIONS(5928),
    [anon_sym_AMP] = ACTIONS(5928),
    [anon_sym_EQ_EQ] = ACTIONS(5930),
    [anon_sym_BANG_EQ] = ACTIONS(5930),
    [anon_sym_GT] = ACTIONS(5928),
    [anon_sym_GT_EQ] = ACTIONS(5930),
    [anon_sym_LT_EQ] = ACTIONS(5928),
    [anon_sym_LT] = ACTIONS(5928),
    [anon_sym_LT_LT] = ACTIONS(5928),
    [anon_sym_GT_GT] = ACTIONS(5928),
    [anon_sym_SEMI] = ACTIONS(5930),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5930),
    [anon_sym_RBRACE] = ACTIONS(5930),
    [anon_sym_LBRACK] = ACTIONS(5930),
    [anon_sym_RBRACK] = ACTIONS(5930),
    [anon_sym_EQ] = ACTIONS(5928),
    [anon_sym_COLON] = ACTIONS(5930),
    [anon_sym_QMARK] = ACTIONS(5930),
    [anon_sym_STAR_EQ] = ACTIONS(5930),
    [anon_sym_SLASH_EQ] = ACTIONS(5930),
    [anon_sym_PERCENT_EQ] = ACTIONS(5930),
    [anon_sym_PLUS_EQ] = ACTIONS(5930),
    [anon_sym_DASH_EQ] = ACTIONS(5930),
    [anon_sym_LT_LT_EQ] = ACTIONS(5930),
    [anon_sym_GT_GT_EQ] = ACTIONS(5930),
    [anon_sym_AMP_EQ] = ACTIONS(5930),
    [anon_sym_CARET_EQ] = ACTIONS(5930),
    [anon_sym_PIPE_EQ] = ACTIONS(5930),
    [anon_sym_and_eq] = ACTIONS(5928),
    [anon_sym_or_eq] = ACTIONS(5928),
    [anon_sym_xor_eq] = ACTIONS(5928),
    [anon_sym_LT_EQ_GT] = ACTIONS(5930),
    [anon_sym_or] = ACTIONS(5928),
    [anon_sym_and] = ACTIONS(5928),
    [anon_sym_bitor] = ACTIONS(5928),
    [anon_sym_xor] = ACTIONS(5928),
    [anon_sym_bitand] = ACTIONS(5928),
    [anon_sym_not_eq] = ACTIONS(5928),
    [anon_sym_DASH_DASH] = ACTIONS(5930),
    [anon_sym_PLUS_PLUS] = ACTIONS(5930),
    [anon_sym_DOT] = ACTIONS(5928),
    [anon_sym_DOT_STAR] = ACTIONS(5930),
    [anon_sym_DASH_GT] = ACTIONS(5930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5928),
    [anon_sym_decltype] = ACTIONS(5928),
  },
  [2175] = {
    [sym_template_argument_list] = STATE(2090),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2305),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4130),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_LPAREN2] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4122),
    [anon_sym_STAR] = ACTIONS(4122),
    [anon_sym_SLASH] = ACTIONS(4122),
    [anon_sym_PERCENT] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4130),
    [anon_sym_AMP_AMP] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4122),
    [anon_sym_AMP] = ACTIONS(4122),
    [anon_sym_EQ_EQ] = ACTIONS(4130),
    [anon_sym_BANG_EQ] = ACTIONS(4130),
    [anon_sym_GT] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_LT] = ACTIONS(5696),
    [anon_sym_LT_LT] = ACTIONS(4122),
    [anon_sym_GT_GT] = ACTIONS(4122),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym___attribute__] = ACTIONS(4130),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_signed] = ACTIONS(5932),
    [anon_sym_unsigned] = ACTIONS(5932),
    [anon_sym_long] = ACTIONS(5932),
    [anon_sym_short] = ACTIONS(5932),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_RBRACK] = ACTIONS(4130),
    [anon_sym_EQ] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4130),
    [anon_sym_or_eq] = ACTIONS(4130),
    [anon_sym_xor_eq] = ACTIONS(4130),
    [anon_sym_LT_EQ_GT] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_bitor] = ACTIONS(4130),
    [anon_sym_xor] = ACTIONS(4122),
    [anon_sym_bitand] = ACTIONS(4130),
    [anon_sym_not_eq] = ACTIONS(4130),
    [anon_sym_DASH_DASH] = ACTIONS(4130),
    [anon_sym_PLUS_PLUS] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4122),
    [anon_sym_DOT_STAR] = ACTIONS(4130),
    [anon_sym_DASH_GT] = ACTIONS(4130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4130),
    [anon_sym_decltype] = ACTIONS(4130),
  },
  [2176] = {
    [sym_attribute_specifier] = STATE(2181),
    [sym_identifier] = ACTIONS(5934),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5936),
    [anon_sym_COMMA] = ACTIONS(5936),
    [anon_sym_RPAREN] = ACTIONS(5936),
    [aux_sym_preproc_if_token2] = ACTIONS(5936),
    [aux_sym_preproc_else_token1] = ACTIONS(5936),
    [aux_sym_preproc_elif_token1] = ACTIONS(5934),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5936),
    [anon_sym_LPAREN2] = ACTIONS(5936),
    [anon_sym_DASH] = ACTIONS(5934),
    [anon_sym_PLUS] = ACTIONS(5934),
    [anon_sym_STAR] = ACTIONS(5934),
    [anon_sym_SLASH] = ACTIONS(5934),
    [anon_sym_PERCENT] = ACTIONS(5934),
    [anon_sym_PIPE_PIPE] = ACTIONS(5936),
    [anon_sym_AMP_AMP] = ACTIONS(5936),
    [anon_sym_PIPE] = ACTIONS(5934),
    [anon_sym_CARET] = ACTIONS(5934),
    [anon_sym_AMP] = ACTIONS(5934),
    [anon_sym_EQ_EQ] = ACTIONS(5936),
    [anon_sym_BANG_EQ] = ACTIONS(5936),
    [anon_sym_GT] = ACTIONS(5934),
    [anon_sym_GT_EQ] = ACTIONS(5936),
    [anon_sym_LT_EQ] = ACTIONS(5934),
    [anon_sym_LT] = ACTIONS(5934),
    [anon_sym_LT_LT] = ACTIONS(5934),
    [anon_sym_GT_GT] = ACTIONS(5934),
    [anon_sym_SEMI] = ACTIONS(5936),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5936),
    [anon_sym_RBRACE] = ACTIONS(5936),
    [anon_sym_LBRACK] = ACTIONS(5936),
    [anon_sym_RBRACK] = ACTIONS(5936),
    [anon_sym_EQ] = ACTIONS(5934),
    [anon_sym_COLON] = ACTIONS(5936),
    [anon_sym_QMARK] = ACTIONS(5936),
    [anon_sym_STAR_EQ] = ACTIONS(5936),
    [anon_sym_SLASH_EQ] = ACTIONS(5936),
    [anon_sym_PERCENT_EQ] = ACTIONS(5936),
    [anon_sym_PLUS_EQ] = ACTIONS(5936),
    [anon_sym_DASH_EQ] = ACTIONS(5936),
    [anon_sym_LT_LT_EQ] = ACTIONS(5936),
    [anon_sym_GT_GT_EQ] = ACTIONS(5936),
    [anon_sym_AMP_EQ] = ACTIONS(5936),
    [anon_sym_CARET_EQ] = ACTIONS(5936),
    [anon_sym_PIPE_EQ] = ACTIONS(5936),
    [anon_sym_and_eq] = ACTIONS(5934),
    [anon_sym_or_eq] = ACTIONS(5934),
    [anon_sym_xor_eq] = ACTIONS(5934),
    [anon_sym_LT_EQ_GT] = ACTIONS(5936),
    [anon_sym_or] = ACTIONS(5934),
    [anon_sym_and] = ACTIONS(5934),
    [anon_sym_bitor] = ACTIONS(5934),
    [anon_sym_xor] = ACTIONS(5934),
    [anon_sym_bitand] = ACTIONS(5934),
    [anon_sym_not_eq] = ACTIONS(5934),
    [anon_sym_DASH_DASH] = ACTIONS(5936),
    [anon_sym_PLUS_PLUS] = ACTIONS(5936),
    [anon_sym_DOT] = ACTIONS(5934),
    [anon_sym_DOT_STAR] = ACTIONS(5936),
    [anon_sym_DASH_GT] = ACTIONS(5936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5934),
    [anon_sym_decltype] = ACTIONS(5934),
  },
  [2177] = {
    [sym_decltype_auto] = STATE(2215),
    [sym_identifier] = ACTIONS(5357),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5359),
    [anon_sym_COMMA] = ACTIONS(5359),
    [anon_sym_RPAREN] = ACTIONS(5359),
    [aux_sym_preproc_if_token2] = ACTIONS(5359),
    [aux_sym_preproc_else_token1] = ACTIONS(5359),
    [aux_sym_preproc_elif_token1] = ACTIONS(5357),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5359),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5359),
    [anon_sym_LPAREN2] = ACTIONS(5359),
    [anon_sym_DASH] = ACTIONS(5357),
    [anon_sym_PLUS] = ACTIONS(5357),
    [anon_sym_STAR] = ACTIONS(5357),
    [anon_sym_SLASH] = ACTIONS(5357),
    [anon_sym_PERCENT] = ACTIONS(5357),
    [anon_sym_PIPE_PIPE] = ACTIONS(5359),
    [anon_sym_AMP_AMP] = ACTIONS(5359),
    [anon_sym_PIPE] = ACTIONS(5357),
    [anon_sym_CARET] = ACTIONS(5357),
    [anon_sym_AMP] = ACTIONS(5357),
    [anon_sym_EQ_EQ] = ACTIONS(5359),
    [anon_sym_BANG_EQ] = ACTIONS(5359),
    [anon_sym_GT] = ACTIONS(5357),
    [anon_sym_GT_EQ] = ACTIONS(5359),
    [anon_sym_LT_EQ] = ACTIONS(5357),
    [anon_sym_LT] = ACTIONS(5357),
    [anon_sym_LT_LT] = ACTIONS(5357),
    [anon_sym_GT_GT] = ACTIONS(5357),
    [anon_sym_SEMI] = ACTIONS(5359),
    [anon_sym___attribute__] = ACTIONS(5357),
    [anon_sym_LBRACE] = ACTIONS(5359),
    [anon_sym_RBRACE] = ACTIONS(5359),
    [anon_sym_LBRACK] = ACTIONS(5359),
    [anon_sym_RBRACK] = ACTIONS(5359),
    [anon_sym_EQ] = ACTIONS(5357),
    [anon_sym_COLON] = ACTIONS(5359),
    [anon_sym_QMARK] = ACTIONS(5359),
    [anon_sym_STAR_EQ] = ACTIONS(5359),
    [anon_sym_SLASH_EQ] = ACTIONS(5359),
    [anon_sym_PERCENT_EQ] = ACTIONS(5359),
    [anon_sym_PLUS_EQ] = ACTIONS(5359),
    [anon_sym_DASH_EQ] = ACTIONS(5359),
    [anon_sym_LT_LT_EQ] = ACTIONS(5359),
    [anon_sym_GT_GT_EQ] = ACTIONS(5359),
    [anon_sym_AMP_EQ] = ACTIONS(5359),
    [anon_sym_CARET_EQ] = ACTIONS(5359),
    [anon_sym_PIPE_EQ] = ACTIONS(5359),
    [anon_sym_and_eq] = ACTIONS(5357),
    [anon_sym_or_eq] = ACTIONS(5357),
    [anon_sym_xor_eq] = ACTIONS(5357),
    [anon_sym_LT_EQ_GT] = ACTIONS(5359),
    [anon_sym_or] = ACTIONS(5357),
    [anon_sym_and] = ACTIONS(5357),
    [anon_sym_bitor] = ACTIONS(5357),
    [anon_sym_xor] = ACTIONS(5357),
    [anon_sym_bitand] = ACTIONS(5357),
    [anon_sym_not_eq] = ACTIONS(5357),
    [anon_sym_DASH_DASH] = ACTIONS(5359),
    [anon_sym_PLUS_PLUS] = ACTIONS(5359),
    [anon_sym_DOT] = ACTIONS(5357),
    [anon_sym_DOT_STAR] = ACTIONS(5359),
    [anon_sym_DASH_GT] = ACTIONS(5359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5637),
    [anon_sym_decltype] = ACTIONS(5639),
  },
  [2178] = {
    [sym_attribute_specifier] = STATE(2183),
    [sym_identifier] = ACTIONS(5938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5940),
    [anon_sym_COMMA] = ACTIONS(5940),
    [anon_sym_RPAREN] = ACTIONS(5940),
    [aux_sym_preproc_if_token2] = ACTIONS(5940),
    [aux_sym_preproc_else_token1] = ACTIONS(5940),
    [aux_sym_preproc_elif_token1] = ACTIONS(5938),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5940),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5940),
    [anon_sym_LPAREN2] = ACTIONS(5940),
    [anon_sym_DASH] = ACTIONS(5938),
    [anon_sym_PLUS] = ACTIONS(5938),
    [anon_sym_STAR] = ACTIONS(5938),
    [anon_sym_SLASH] = ACTIONS(5938),
    [anon_sym_PERCENT] = ACTIONS(5938),
    [anon_sym_PIPE_PIPE] = ACTIONS(5940),
    [anon_sym_AMP_AMP] = ACTIONS(5940),
    [anon_sym_PIPE] = ACTIONS(5938),
    [anon_sym_CARET] = ACTIONS(5938),
    [anon_sym_AMP] = ACTIONS(5938),
    [anon_sym_EQ_EQ] = ACTIONS(5940),
    [anon_sym_BANG_EQ] = ACTIONS(5940),
    [anon_sym_GT] = ACTIONS(5938),
    [anon_sym_GT_EQ] = ACTIONS(5940),
    [anon_sym_LT_EQ] = ACTIONS(5938),
    [anon_sym_LT] = ACTIONS(5938),
    [anon_sym_LT_LT] = ACTIONS(5938),
    [anon_sym_GT_GT] = ACTIONS(5938),
    [anon_sym_SEMI] = ACTIONS(5940),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACE] = ACTIONS(5940),
    [anon_sym_RBRACE] = ACTIONS(5940),
    [anon_sym_LBRACK] = ACTIONS(5940),
    [anon_sym_RBRACK] = ACTIONS(5940),
    [anon_sym_EQ] = ACTIONS(5938),
    [anon_sym_COLON] = ACTIONS(5940),
    [anon_sym_QMARK] = ACTIONS(5940),
    [anon_sym_STAR_EQ] = ACTIONS(5940),
    [anon_sym_SLASH_EQ] = ACTIONS(5940),
    [anon_sym_PERCENT_EQ] = ACTIONS(5940),
    [anon_sym_PLUS_EQ] = ACTIONS(5940),
    [anon_sym_DASH_EQ] = ACTIONS(5940),
    [anon_sym_LT_LT_EQ] = ACTIONS(5940),
    [anon_sym_GT_GT_EQ] = ACTIONS(5940),
    [anon_sym_AMP_EQ] = ACTIONS(5940),
    [anon_sym_CARET_EQ] = ACTIONS(5940),
    [anon_sym_PIPE_EQ] = ACTIONS(5940),
    [anon_sym_and_eq] = ACTIONS(5938),
    [anon_sym_or_eq] = ACTIONS(5938),
    [anon_sym_xor_eq] = ACTIONS(5938),
    [anon_sym_LT_EQ_GT] = ACTIONS(5940),
    [anon_sym_or] = ACTIONS(5938),
    [anon_sym_and] = ACTIONS(5938),
    [anon_sym_bitor] = ACTIONS(5938),
    [anon_sym_xor] = ACTIONS(5938),
    [anon_sym_bitand] = ACTIONS(5938),
    [anon_sym_not_eq] = ACTIONS(5938),
    [anon_sym_DASH_DASH] = ACTIONS(5940),
    [anon_sym_PLUS_PLUS] = ACTIONS(5940),
    [anon_sym_DOT] = ACTIONS(5938),
    [anon_sym_DOT_STAR] = ACTIONS(5940),
    [anon_sym_DASH_GT] = ACTIONS(5940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5938),
    [anon_sym_decltype] = ACTIONS(5938),
  },
  [2179] = {
    [sym_template_argument_list] = STATE(1578),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2305),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5804),
    [anon_sym_COMMA] = ACTIONS(5804),
    [anon_sym_RPAREN] = ACTIONS(5804),
    [anon_sym_LPAREN2] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5802),
    [anon_sym_PIPE_PIPE] = ACTIONS(5804),
    [anon_sym_AMP_AMP] = ACTIONS(5804),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5804),
    [anon_sym_BANG_EQ] = ACTIONS(5804),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5804),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5802),
    [anon_sym_GT_GT] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5804),
    [anon_sym___attribute__] = ACTIONS(5804),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(5804),
    [anon_sym_RBRACE] = ACTIONS(5804),
    [anon_sym_signed] = ACTIONS(5932),
    [anon_sym_unsigned] = ACTIONS(5932),
    [anon_sym_long] = ACTIONS(5932),
    [anon_sym_short] = ACTIONS(5932),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [anon_sym_RBRACK] = ACTIONS(5804),
    [anon_sym_EQ] = ACTIONS(5802),
    [anon_sym_COLON] = ACTIONS(5802),
    [anon_sym_QMARK] = ACTIONS(5804),
    [anon_sym_STAR_EQ] = ACTIONS(5804),
    [anon_sym_SLASH_EQ] = ACTIONS(5804),
    [anon_sym_PERCENT_EQ] = ACTIONS(5804),
    [anon_sym_PLUS_EQ] = ACTIONS(5804),
    [anon_sym_DASH_EQ] = ACTIONS(5804),
    [anon_sym_LT_LT_EQ] = ACTIONS(5804),
    [anon_sym_GT_GT_EQ] = ACTIONS(5804),
    [anon_sym_AMP_EQ] = ACTIONS(5804),
    [anon_sym_CARET_EQ] = ACTIONS(5804),
    [anon_sym_PIPE_EQ] = ACTIONS(5804),
    [anon_sym_and_eq] = ACTIONS(5804),
    [anon_sym_or_eq] = ACTIONS(5804),
    [anon_sym_xor_eq] = ACTIONS(5804),
    [anon_sym_LT_EQ_GT] = ACTIONS(5804),
    [anon_sym_or] = ACTIONS(5802),
    [anon_sym_and] = ACTIONS(5802),
    [anon_sym_bitor] = ACTIONS(5804),
    [anon_sym_xor] = ACTIONS(5802),
    [anon_sym_bitand] = ACTIONS(5804),
    [anon_sym_not_eq] = ACTIONS(5804),
    [anon_sym_DASH_DASH] = ACTIONS(5804),
    [anon_sym_PLUS_PLUS] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5804),
    [anon_sym_DASH_GT] = ACTIONS(5804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5804),
    [anon_sym_decltype] = ACTIONS(5804),
  },
  [2180] = {
    [sym_string_literal] = STATE(2141),
    [sym_raw_string_literal] = STATE(2141),
    [aux_sym_concatenated_string_repeat1] = STATE(2141),
    [sym_identifier] = ACTIONS(5942),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5194),
    [anon_sym_COMMA] = ACTIONS(5194),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_STAR] = ACTIONS(5196),
    [anon_sym_SLASH] = ACTIONS(5196),
    [anon_sym_PERCENT] = ACTIONS(5196),
    [anon_sym_PIPE_PIPE] = ACTIONS(5194),
    [anon_sym_AMP_AMP] = ACTIONS(5194),
    [anon_sym_PIPE] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5196),
    [anon_sym_AMP] = ACTIONS(5196),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5194),
    [anon_sym_GT] = ACTIONS(5196),
    [anon_sym_GT_EQ] = ACTIONS(5196),
    [anon_sym_LT_EQ] = ACTIONS(5196),
    [anon_sym_LT] = ACTIONS(5196),
    [anon_sym_LT_LT] = ACTIONS(5196),
    [anon_sym_GT_GT] = ACTIONS(5196),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [anon_sym_EQ] = ACTIONS(5196),
    [anon_sym_QMARK] = ACTIONS(5194),
    [anon_sym_STAR_EQ] = ACTIONS(5194),
    [anon_sym_SLASH_EQ] = ACTIONS(5194),
    [anon_sym_PERCENT_EQ] = ACTIONS(5194),
    [anon_sym_PLUS_EQ] = ACTIONS(5194),
    [anon_sym_DASH_EQ] = ACTIONS(5194),
    [anon_sym_LT_LT_EQ] = ACTIONS(5194),
    [anon_sym_GT_GT_EQ] = ACTIONS(5196),
    [anon_sym_AMP_EQ] = ACTIONS(5194),
    [anon_sym_CARET_EQ] = ACTIONS(5194),
    [anon_sym_PIPE_EQ] = ACTIONS(5194),
    [anon_sym_and_eq] = ACTIONS(5196),
    [anon_sym_or_eq] = ACTIONS(5196),
    [anon_sym_xor_eq] = ACTIONS(5196),
    [anon_sym_LT_EQ_GT] = ACTIONS(5194),
    [anon_sym_or] = ACTIONS(5196),
    [anon_sym_and] = ACTIONS(5196),
    [anon_sym_bitor] = ACTIONS(5196),
    [anon_sym_xor] = ACTIONS(5196),
    [anon_sym_bitand] = ACTIONS(5196),
    [anon_sym_not_eq] = ACTIONS(5196),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5196),
    [anon_sym_DOT_STAR] = ACTIONS(5194),
    [anon_sym_DASH_GT] = ACTIONS(5194),
    [anon_sym_L_DQUOTE] = ACTIONS(5850),
    [anon_sym_u_DQUOTE] = ACTIONS(5850),
    [anon_sym_U_DQUOTE] = ACTIONS(5850),
    [anon_sym_u8_DQUOTE] = ACTIONS(5850),
    [anon_sym_DQUOTE] = ACTIONS(5850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5194),
    [anon_sym_R_DQUOTE] = ACTIONS(5852),
    [anon_sym_LR_DQUOTE] = ACTIONS(5852),
    [anon_sym_uR_DQUOTE] = ACTIONS(5852),
    [anon_sym_UR_DQUOTE] = ACTIONS(5852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5852),
    [sym_literal_suffix] = ACTIONS(5196),
  },
  [2181] = {
    [sym_identifier] = ACTIONS(5501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5503),
    [anon_sym_COMMA] = ACTIONS(5503),
    [anon_sym_RPAREN] = ACTIONS(5503),
    [aux_sym_preproc_if_token2] = ACTIONS(5503),
    [aux_sym_preproc_else_token1] = ACTIONS(5503),
    [aux_sym_preproc_elif_token1] = ACTIONS(5501),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5503),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5503),
    [anon_sym_LPAREN2] = ACTIONS(5503),
    [anon_sym_DASH] = ACTIONS(5501),
    [anon_sym_PLUS] = ACTIONS(5501),
    [anon_sym_STAR] = ACTIONS(5501),
    [anon_sym_SLASH] = ACTIONS(5501),
    [anon_sym_PERCENT] = ACTIONS(5501),
    [anon_sym_PIPE_PIPE] = ACTIONS(5503),
    [anon_sym_AMP_AMP] = ACTIONS(5503),
    [anon_sym_PIPE] = ACTIONS(5501),
    [anon_sym_CARET] = ACTIONS(5501),
    [anon_sym_AMP] = ACTIONS(5501),
    [anon_sym_EQ_EQ] = ACTIONS(5503),
    [anon_sym_BANG_EQ] = ACTIONS(5503),
    [anon_sym_GT] = ACTIONS(5501),
    [anon_sym_GT_EQ] = ACTIONS(5503),
    [anon_sym_LT_EQ] = ACTIONS(5501),
    [anon_sym_LT] = ACTIONS(5501),
    [anon_sym_LT_LT] = ACTIONS(5501),
    [anon_sym_GT_GT] = ACTIONS(5501),
    [anon_sym_SEMI] = ACTIONS(5503),
    [anon_sym___attribute__] = ACTIONS(5501),
    [anon_sym_LBRACE] = ACTIONS(5503),
    [anon_sym_RBRACE] = ACTIONS(5503),
    [anon_sym_LBRACK] = ACTIONS(5503),
    [anon_sym_RBRACK] = ACTIONS(5503),
    [anon_sym_EQ] = ACTIONS(5501),
    [anon_sym_COLON] = ACTIONS(5503),
    [anon_sym_QMARK] = ACTIONS(5503),
    [anon_sym_STAR_EQ] = ACTIONS(5503),
    [anon_sym_SLASH_EQ] = ACTIONS(5503),
    [anon_sym_PERCENT_EQ] = ACTIONS(5503),
    [anon_sym_PLUS_EQ] = ACTIONS(5503),
    [anon_sym_DASH_EQ] = ACTIONS(5503),
    [anon_sym_LT_LT_EQ] = ACTIONS(5503),
    [anon_sym_GT_GT_EQ] = ACTIONS(5503),
    [anon_sym_AMP_EQ] = ACTIONS(5503),
    [anon_sym_CARET_EQ] = ACTIONS(5503),
    [anon_sym_PIPE_EQ] = ACTIONS(5503),
    [anon_sym_and_eq] = ACTIONS(5501),
    [anon_sym_or_eq] = ACTIONS(5501),
    [anon_sym_xor_eq] = ACTIONS(5501),
    [anon_sym_LT_EQ_GT] = ACTIONS(5503),
    [anon_sym_or] = ACTIONS(5501),
    [anon_sym_and] = ACTIONS(5501),
    [anon_sym_bitor] = ACTIONS(5501),
    [anon_sym_xor] = ACTIONS(5501),
    [anon_sym_bitand] = ACTIONS(5501),
    [anon_sym_not_eq] = ACTIONS(5501),
    [anon_sym_DASH_DASH] = ACTIONS(5503),
    [anon_sym_PLUS_PLUS] = ACTIONS(5503),
    [anon_sym_DOT] = ACTIONS(5501),
    [anon_sym_DOT_STAR] = ACTIONS(5503),
    [anon_sym_DASH_GT] = ACTIONS(5503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5501),
    [anon_sym_decltype] = ACTIONS(5501),
  },
  [2182] = {
    [sym_identifier] = ACTIONS(5523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5525),
    [anon_sym_COMMA] = ACTIONS(5525),
    [anon_sym_RPAREN] = ACTIONS(5525),
    [aux_sym_preproc_if_token2] = ACTIONS(5525),
    [aux_sym_preproc_else_token1] = ACTIONS(5525),
    [aux_sym_preproc_elif_token1] = ACTIONS(5523),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5525),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5525),
    [anon_sym_LPAREN2] = ACTIONS(5525),
    [anon_sym_DASH] = ACTIONS(5523),
    [anon_sym_PLUS] = ACTIONS(5523),
    [anon_sym_STAR] = ACTIONS(5523),
    [anon_sym_SLASH] = ACTIONS(5523),
    [anon_sym_PERCENT] = ACTIONS(5523),
    [anon_sym_PIPE_PIPE] = ACTIONS(5525),
    [anon_sym_AMP_AMP] = ACTIONS(5525),
    [anon_sym_PIPE] = ACTIONS(5523),
    [anon_sym_CARET] = ACTIONS(5523),
    [anon_sym_AMP] = ACTIONS(5523),
    [anon_sym_EQ_EQ] = ACTIONS(5525),
    [anon_sym_BANG_EQ] = ACTIONS(5525),
    [anon_sym_GT] = ACTIONS(5523),
    [anon_sym_GT_EQ] = ACTIONS(5525),
    [anon_sym_LT_EQ] = ACTIONS(5523),
    [anon_sym_LT] = ACTIONS(5523),
    [anon_sym_LT_LT] = ACTIONS(5523),
    [anon_sym_GT_GT] = ACTIONS(5523),
    [anon_sym_SEMI] = ACTIONS(5525),
    [anon_sym___attribute__] = ACTIONS(5523),
    [anon_sym_LBRACE] = ACTIONS(5525),
    [anon_sym_RBRACE] = ACTIONS(5525),
    [anon_sym_LBRACK] = ACTIONS(5525),
    [anon_sym_RBRACK] = ACTIONS(5525),
    [anon_sym_EQ] = ACTIONS(5523),
    [anon_sym_COLON] = ACTIONS(5525),
    [anon_sym_QMARK] = ACTIONS(5525),
    [anon_sym_STAR_EQ] = ACTIONS(5525),
    [anon_sym_SLASH_EQ] = ACTIONS(5525),
    [anon_sym_PERCENT_EQ] = ACTIONS(5525),
    [anon_sym_PLUS_EQ] = ACTIONS(5525),
    [anon_sym_DASH_EQ] = ACTIONS(5525),
    [anon_sym_LT_LT_EQ] = ACTIONS(5525),
    [anon_sym_GT_GT_EQ] = ACTIONS(5525),
    [anon_sym_AMP_EQ] = ACTIONS(5525),
    [anon_sym_CARET_EQ] = ACTIONS(5525),
    [anon_sym_PIPE_EQ] = ACTIONS(5525),
    [anon_sym_and_eq] = ACTIONS(5523),
    [anon_sym_or_eq] = ACTIONS(5523),
    [anon_sym_xor_eq] = ACTIONS(5523),
    [anon_sym_LT_EQ_GT] = ACTIONS(5525),
    [anon_sym_or] = ACTIONS(5523),
    [anon_sym_and] = ACTIONS(5523),
    [anon_sym_bitor] = ACTIONS(5523),
    [anon_sym_xor] = ACTIONS(5523),
    [anon_sym_bitand] = ACTIONS(5523),
    [anon_sym_not_eq] = ACTIONS(5523),
    [anon_sym_DASH_DASH] = ACTIONS(5525),
    [anon_sym_PLUS_PLUS] = ACTIONS(5525),
    [anon_sym_DOT] = ACTIONS(5523),
    [anon_sym_DOT_STAR] = ACTIONS(5525),
    [anon_sym_DASH_GT] = ACTIONS(5525),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5523),
    [anon_sym_decltype] = ACTIONS(5523),
  },
  [2183] = {
    [sym_identifier] = ACTIONS(5466),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5468),
    [anon_sym_COMMA] = ACTIONS(5468),
    [anon_sym_RPAREN] = ACTIONS(5468),
    [aux_sym_preproc_if_token2] = ACTIONS(5468),
    [aux_sym_preproc_else_token1] = ACTIONS(5468),
    [aux_sym_preproc_elif_token1] = ACTIONS(5466),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5468),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5468),
    [anon_sym_LPAREN2] = ACTIONS(5468),
    [anon_sym_DASH] = ACTIONS(5466),
    [anon_sym_PLUS] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_SLASH] = ACTIONS(5466),
    [anon_sym_PERCENT] = ACTIONS(5466),
    [anon_sym_PIPE_PIPE] = ACTIONS(5468),
    [anon_sym_AMP_AMP] = ACTIONS(5468),
    [anon_sym_PIPE] = ACTIONS(5466),
    [anon_sym_CARET] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5466),
    [anon_sym_EQ_EQ] = ACTIONS(5468),
    [anon_sym_BANG_EQ] = ACTIONS(5468),
    [anon_sym_GT] = ACTIONS(5466),
    [anon_sym_GT_EQ] = ACTIONS(5468),
    [anon_sym_LT_EQ] = ACTIONS(5466),
    [anon_sym_LT] = ACTIONS(5466),
    [anon_sym_LT_LT] = ACTIONS(5466),
    [anon_sym_GT_GT] = ACTIONS(5466),
    [anon_sym_SEMI] = ACTIONS(5468),
    [anon_sym___attribute__] = ACTIONS(5466),
    [anon_sym_LBRACE] = ACTIONS(5468),
    [anon_sym_RBRACE] = ACTIONS(5468),
    [anon_sym_LBRACK] = ACTIONS(5468),
    [anon_sym_RBRACK] = ACTIONS(5468),
    [anon_sym_EQ] = ACTIONS(5466),
    [anon_sym_COLON] = ACTIONS(5468),
    [anon_sym_QMARK] = ACTIONS(5468),
    [anon_sym_STAR_EQ] = ACTIONS(5468),
    [anon_sym_SLASH_EQ] = ACTIONS(5468),
    [anon_sym_PERCENT_EQ] = ACTIONS(5468),
    [anon_sym_PLUS_EQ] = ACTIONS(5468),
    [anon_sym_DASH_EQ] = ACTIONS(5468),
    [anon_sym_LT_LT_EQ] = ACTIONS(5468),
    [anon_sym_GT_GT_EQ] = ACTIONS(5468),
    [anon_sym_AMP_EQ] = ACTIONS(5468),
    [anon_sym_CARET_EQ] = ACTIONS(5468),
    [anon_sym_PIPE_EQ] = ACTIONS(5468),
    [anon_sym_and_eq] = ACTIONS(5466),
    [anon_sym_or_eq] = ACTIONS(5466),
    [anon_sym_xor_eq] = ACTIONS(5466),
    [anon_sym_LT_EQ_GT] = ACTIONS(5468),
    [anon_sym_or] = ACTIONS(5466),
    [anon_sym_and] = ACTIONS(5466),
    [anon_sym_bitor] = ACTIONS(5466),
    [anon_sym_xor] = ACTIONS(5466),
    [anon_sym_bitand] = ACTIONS(5466),
    [anon_sym_not_eq] = ACTIONS(5466),
    [anon_sym_DASH_DASH] = ACTIONS(5468),
    [anon_sym_PLUS_PLUS] = ACTIONS(5468),
    [anon_sym_DOT] = ACTIONS(5466),
    [anon_sym_DOT_STAR] = ACTIONS(5468),
    [anon_sym_DASH_GT] = ACTIONS(5468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5466),
    [anon_sym_decltype] = ACTIONS(5466),
  },
  [2184] = {
    [sym_template_argument_list] = STATE(2299),
    [sym_identifier] = ACTIONS(4921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4914),
    [anon_sym_COMMA] = ACTIONS(4914),
    [anon_sym_RPAREN] = ACTIONS(4914),
    [aux_sym_preproc_if_token2] = ACTIONS(4914),
    [aux_sym_preproc_else_token1] = ACTIONS(4914),
    [aux_sym_preproc_elif_token1] = ACTIONS(4921),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4914),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4914),
    [anon_sym_LPAREN2] = ACTIONS(4914),
    [anon_sym_DASH] = ACTIONS(4921),
    [anon_sym_PLUS] = ACTIONS(4921),
    [anon_sym_STAR] = ACTIONS(4921),
    [anon_sym_SLASH] = ACTIONS(4921),
    [anon_sym_PERCENT] = ACTIONS(4921),
    [anon_sym_PIPE_PIPE] = ACTIONS(4914),
    [anon_sym_AMP_AMP] = ACTIONS(4914),
    [anon_sym_PIPE] = ACTIONS(4921),
    [anon_sym_CARET] = ACTIONS(4921),
    [anon_sym_AMP] = ACTIONS(4921),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_GT] = ACTIONS(4921),
    [anon_sym_GT_EQ] = ACTIONS(4914),
    [anon_sym_LT_EQ] = ACTIONS(4921),
    [anon_sym_LT] = ACTIONS(5581),
    [anon_sym_LT_LT] = ACTIONS(4921),
    [anon_sym_GT_GT] = ACTIONS(4921),
    [anon_sym_SEMI] = ACTIONS(4914),
    [anon_sym___attribute__] = ACTIONS(4921),
    [anon_sym_COLON_COLON] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4919),
    [anon_sym_RBRACE] = ACTIONS(4914),
    [anon_sym_LBRACK] = ACTIONS(4914),
    [anon_sym_RBRACK] = ACTIONS(4914),
    [anon_sym_EQ] = ACTIONS(4921),
    [anon_sym_COLON] = ACTIONS(4921),
    [anon_sym_QMARK] = ACTIONS(4914),
    [anon_sym_STAR_EQ] = ACTIONS(4914),
    [anon_sym_SLASH_EQ] = ACTIONS(4914),
    [anon_sym_PERCENT_EQ] = ACTIONS(4914),
    [anon_sym_PLUS_EQ] = ACTIONS(4914),
    [anon_sym_DASH_EQ] = ACTIONS(4914),
    [anon_sym_LT_LT_EQ] = ACTIONS(4914),
    [anon_sym_GT_GT_EQ] = ACTIONS(4914),
    [anon_sym_AMP_EQ] = ACTIONS(4914),
    [anon_sym_CARET_EQ] = ACTIONS(4914),
    [anon_sym_PIPE_EQ] = ACTIONS(4914),
    [anon_sym_and_eq] = ACTIONS(4921),
    [anon_sym_or_eq] = ACTIONS(4921),
    [anon_sym_xor_eq] = ACTIONS(4921),
    [anon_sym_LT_EQ_GT] = ACTIONS(4914),
    [anon_sym_or] = ACTIONS(4921),
    [anon_sym_and] = ACTIONS(4921),
    [anon_sym_bitor] = ACTIONS(4921),
    [anon_sym_xor] = ACTIONS(4921),
    [anon_sym_bitand] = ACTIONS(4921),
    [anon_sym_not_eq] = ACTIONS(4921),
    [anon_sym_DASH_DASH] = ACTIONS(4914),
    [anon_sym_PLUS_PLUS] = ACTIONS(4914),
    [anon_sym_DOT] = ACTIONS(4921),
    [anon_sym_DOT_STAR] = ACTIONS(4914),
    [anon_sym_DASH_GT] = ACTIONS(4914),
    [sym_comment] = ACTIONS(3),
  },
  [2185] = {
    [sym_identifier] = ACTIONS(5450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5452),
    [anon_sym_COMMA] = ACTIONS(5452),
    [anon_sym_RPAREN] = ACTIONS(5452),
    [aux_sym_preproc_if_token2] = ACTIONS(5452),
    [aux_sym_preproc_else_token1] = ACTIONS(5452),
    [aux_sym_preproc_elif_token1] = ACTIONS(5450),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5452),
    [anon_sym_DASH] = ACTIONS(5450),
    [anon_sym_PLUS] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_SLASH] = ACTIONS(5450),
    [anon_sym_PERCENT] = ACTIONS(5450),
    [anon_sym_PIPE_PIPE] = ACTIONS(5452),
    [anon_sym_AMP_AMP] = ACTIONS(5452),
    [anon_sym_PIPE] = ACTIONS(5450),
    [anon_sym_CARET] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5450),
    [anon_sym_EQ_EQ] = ACTIONS(5452),
    [anon_sym_BANG_EQ] = ACTIONS(5452),
    [anon_sym_GT] = ACTIONS(5450),
    [anon_sym_GT_EQ] = ACTIONS(5452),
    [anon_sym_LT_EQ] = ACTIONS(5450),
    [anon_sym_LT] = ACTIONS(5450),
    [anon_sym_LT_LT] = ACTIONS(5450),
    [anon_sym_GT_GT] = ACTIONS(5450),
    [anon_sym_SEMI] = ACTIONS(5452),
    [anon_sym___attribute__] = ACTIONS(5450),
    [anon_sym_LBRACE] = ACTIONS(5452),
    [anon_sym_RBRACE] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_RBRACK] = ACTIONS(5452),
    [anon_sym_EQ] = ACTIONS(5450),
    [anon_sym_COLON] = ACTIONS(5452),
    [anon_sym_QMARK] = ACTIONS(5452),
    [anon_sym_STAR_EQ] = ACTIONS(5452),
    [anon_sym_SLASH_EQ] = ACTIONS(5452),
    [anon_sym_PERCENT_EQ] = ACTIONS(5452),
    [anon_sym_PLUS_EQ] = ACTIONS(5452),
    [anon_sym_DASH_EQ] = ACTIONS(5452),
    [anon_sym_LT_LT_EQ] = ACTIONS(5452),
    [anon_sym_GT_GT_EQ] = ACTIONS(5452),
    [anon_sym_AMP_EQ] = ACTIONS(5452),
    [anon_sym_CARET_EQ] = ACTIONS(5452),
    [anon_sym_PIPE_EQ] = ACTIONS(5452),
    [anon_sym_and_eq] = ACTIONS(5450),
    [anon_sym_or_eq] = ACTIONS(5450),
    [anon_sym_xor_eq] = ACTIONS(5450),
    [anon_sym_LT_EQ_GT] = ACTIONS(5452),
    [anon_sym_or] = ACTIONS(5450),
    [anon_sym_and] = ACTIONS(5450),
    [anon_sym_bitor] = ACTIONS(5450),
    [anon_sym_xor] = ACTIONS(5450),
    [anon_sym_bitand] = ACTIONS(5450),
    [anon_sym_not_eq] = ACTIONS(5450),
    [anon_sym_DASH_DASH] = ACTIONS(5452),
    [anon_sym_PLUS_PLUS] = ACTIONS(5452),
    [anon_sym_DOT] = ACTIONS(5450),
    [anon_sym_DOT_STAR] = ACTIONS(5452),
    [anon_sym_DASH_GT] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5450),
    [anon_sym_decltype] = ACTIONS(5450),
  },
  [2186] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2186),
    [sym_identifier] = ACTIONS(5163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5165),
    [anon_sym_COMMA] = ACTIONS(5165),
    [aux_sym_preproc_if_token2] = ACTIONS(5165),
    [aux_sym_preproc_else_token1] = ACTIONS(5165),
    [aux_sym_preproc_elif_token1] = ACTIONS(5163),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5165),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5165),
    [anon_sym_LPAREN2] = ACTIONS(5165),
    [anon_sym_DASH] = ACTIONS(5163),
    [anon_sym_PLUS] = ACTIONS(5163),
    [anon_sym_STAR] = ACTIONS(5163),
    [anon_sym_SLASH] = ACTIONS(5163),
    [anon_sym_PERCENT] = ACTIONS(5163),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5165),
    [anon_sym_PIPE] = ACTIONS(5163),
    [anon_sym_CARET] = ACTIONS(5163),
    [anon_sym_AMP] = ACTIONS(5163),
    [anon_sym_EQ_EQ] = ACTIONS(5165),
    [anon_sym_BANG_EQ] = ACTIONS(5165),
    [anon_sym_GT] = ACTIONS(5163),
    [anon_sym_GT_EQ] = ACTIONS(5165),
    [anon_sym_LT_EQ] = ACTIONS(5163),
    [anon_sym_LT] = ACTIONS(5163),
    [anon_sym_LT_LT] = ACTIONS(5163),
    [anon_sym_GT_GT] = ACTIONS(5163),
    [anon_sym___attribute__] = ACTIONS(5163),
    [anon_sym_LBRACE] = ACTIONS(5165),
    [anon_sym_signed] = ACTIONS(5944),
    [anon_sym_unsigned] = ACTIONS(5944),
    [anon_sym_long] = ACTIONS(5944),
    [anon_sym_short] = ACTIONS(5944),
    [anon_sym_LBRACK] = ACTIONS(5165),
    [anon_sym_EQ] = ACTIONS(5163),
    [anon_sym_QMARK] = ACTIONS(5165),
    [anon_sym_STAR_EQ] = ACTIONS(5165),
    [anon_sym_SLASH_EQ] = ACTIONS(5165),
    [anon_sym_PERCENT_EQ] = ACTIONS(5165),
    [anon_sym_PLUS_EQ] = ACTIONS(5165),
    [anon_sym_DASH_EQ] = ACTIONS(5165),
    [anon_sym_LT_LT_EQ] = ACTIONS(5165),
    [anon_sym_GT_GT_EQ] = ACTIONS(5165),
    [anon_sym_AMP_EQ] = ACTIONS(5165),
    [anon_sym_CARET_EQ] = ACTIONS(5165),
    [anon_sym_PIPE_EQ] = ACTIONS(5165),
    [anon_sym_and_eq] = ACTIONS(5163),
    [anon_sym_or_eq] = ACTIONS(5163),
    [anon_sym_xor_eq] = ACTIONS(5163),
    [anon_sym_LT_EQ_GT] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5163),
    [anon_sym_and] = ACTIONS(5163),
    [anon_sym_bitor] = ACTIONS(5163),
    [anon_sym_xor] = ACTIONS(5163),
    [anon_sym_bitand] = ACTIONS(5163),
    [anon_sym_not_eq] = ACTIONS(5163),
    [anon_sym_DASH_DASH] = ACTIONS(5165),
    [anon_sym_PLUS_PLUS] = ACTIONS(5165),
    [anon_sym_DOT] = ACTIONS(5163),
    [anon_sym_DOT_STAR] = ACTIONS(5165),
    [anon_sym_DASH_GT] = ACTIONS(5165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5163),
    [anon_sym_decltype] = ACTIONS(5163),
  },
  [2187] = {
    [sym_identifier] = ACTIONS(5947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5949),
    [anon_sym_COMMA] = ACTIONS(5949),
    [anon_sym_RPAREN] = ACTIONS(5949),
    [aux_sym_preproc_if_token2] = ACTIONS(5949),
    [aux_sym_preproc_else_token1] = ACTIONS(5949),
    [aux_sym_preproc_elif_token1] = ACTIONS(5947),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5949),
    [anon_sym_LPAREN2] = ACTIONS(5949),
    [anon_sym_DASH] = ACTIONS(5947),
    [anon_sym_PLUS] = ACTIONS(5947),
    [anon_sym_STAR] = ACTIONS(5947),
    [anon_sym_SLASH] = ACTIONS(5947),
    [anon_sym_PERCENT] = ACTIONS(5947),
    [anon_sym_PIPE_PIPE] = ACTIONS(5949),
    [anon_sym_AMP_AMP] = ACTIONS(5949),
    [anon_sym_PIPE] = ACTIONS(5947),
    [anon_sym_CARET] = ACTIONS(5947),
    [anon_sym_AMP] = ACTIONS(5947),
    [anon_sym_EQ_EQ] = ACTIONS(5949),
    [anon_sym_BANG_EQ] = ACTIONS(5949),
    [anon_sym_GT] = ACTIONS(5947),
    [anon_sym_GT_EQ] = ACTIONS(5949),
    [anon_sym_LT_EQ] = ACTIONS(5947),
    [anon_sym_LT] = ACTIONS(5947),
    [anon_sym_LT_LT] = ACTIONS(5947),
    [anon_sym_GT_GT] = ACTIONS(5947),
    [anon_sym_SEMI] = ACTIONS(5949),
    [anon_sym___attribute__] = ACTIONS(5947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5949),
    [anon_sym_LBRACE] = ACTIONS(5949),
    [anon_sym_RBRACE] = ACTIONS(5949),
    [anon_sym_LBRACK] = ACTIONS(5947),
    [anon_sym_RBRACK] = ACTIONS(5949),
    [anon_sym_EQ] = ACTIONS(5947),
    [anon_sym_COLON] = ACTIONS(5949),
    [anon_sym_QMARK] = ACTIONS(5949),
    [anon_sym_STAR_EQ] = ACTIONS(5949),
    [anon_sym_SLASH_EQ] = ACTIONS(5949),
    [anon_sym_PERCENT_EQ] = ACTIONS(5949),
    [anon_sym_PLUS_EQ] = ACTIONS(5949),
    [anon_sym_DASH_EQ] = ACTIONS(5949),
    [anon_sym_LT_LT_EQ] = ACTIONS(5949),
    [anon_sym_GT_GT_EQ] = ACTIONS(5949),
    [anon_sym_AMP_EQ] = ACTIONS(5949),
    [anon_sym_CARET_EQ] = ACTIONS(5949),
    [anon_sym_PIPE_EQ] = ACTIONS(5949),
    [anon_sym_and_eq] = ACTIONS(5947),
    [anon_sym_or_eq] = ACTIONS(5947),
    [anon_sym_xor_eq] = ACTIONS(5947),
    [anon_sym_LT_EQ_GT] = ACTIONS(5949),
    [anon_sym_or] = ACTIONS(5947),
    [anon_sym_and] = ACTIONS(5947),
    [anon_sym_bitor] = ACTIONS(5947),
    [anon_sym_xor] = ACTIONS(5947),
    [anon_sym_bitand] = ACTIONS(5947),
    [anon_sym_not_eq] = ACTIONS(5947),
    [anon_sym_DASH_DASH] = ACTIONS(5949),
    [anon_sym_PLUS_PLUS] = ACTIONS(5949),
    [anon_sym_DOT] = ACTIONS(5947),
    [anon_sym_DOT_STAR] = ACTIONS(5949),
    [anon_sym_DASH_GT] = ACTIONS(5949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5947),
  },
  [2188] = {
    [sym_attribute_declaration] = STATE(2199),
    [aux_sym_attributed_declarator_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(5951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5953),
    [anon_sym_COMMA] = ACTIONS(5953),
    [anon_sym_RPAREN] = ACTIONS(5953),
    [aux_sym_preproc_if_token2] = ACTIONS(5953),
    [aux_sym_preproc_else_token1] = ACTIONS(5953),
    [aux_sym_preproc_elif_token1] = ACTIONS(5951),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5953),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5953),
    [anon_sym_LPAREN2] = ACTIONS(5953),
    [anon_sym_DASH] = ACTIONS(5951),
    [anon_sym_PLUS] = ACTIONS(5951),
    [anon_sym_STAR] = ACTIONS(5951),
    [anon_sym_SLASH] = ACTIONS(5951),
    [anon_sym_PERCENT] = ACTIONS(5951),
    [anon_sym_PIPE_PIPE] = ACTIONS(5953),
    [anon_sym_AMP_AMP] = ACTIONS(5953),
    [anon_sym_PIPE] = ACTIONS(5951),
    [anon_sym_CARET] = ACTIONS(5951),
    [anon_sym_AMP] = ACTIONS(5951),
    [anon_sym_EQ_EQ] = ACTIONS(5953),
    [anon_sym_BANG_EQ] = ACTIONS(5953),
    [anon_sym_GT] = ACTIONS(5951),
    [anon_sym_GT_EQ] = ACTIONS(5953),
    [anon_sym_LT_EQ] = ACTIONS(5951),
    [anon_sym_LT] = ACTIONS(5951),
    [anon_sym_LT_LT] = ACTIONS(5951),
    [anon_sym_GT_GT] = ACTIONS(5951),
    [anon_sym_SEMI] = ACTIONS(5953),
    [anon_sym___attribute__] = ACTIONS(5951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5843),
    [anon_sym_RBRACE] = ACTIONS(5953),
    [anon_sym_LBRACK] = ACTIONS(5951),
    [anon_sym_RBRACK] = ACTIONS(5953),
    [anon_sym_EQ] = ACTIONS(5951),
    [anon_sym_COLON] = ACTIONS(5953),
    [anon_sym_QMARK] = ACTIONS(5953),
    [anon_sym_STAR_EQ] = ACTIONS(5953),
    [anon_sym_SLASH_EQ] = ACTIONS(5953),
    [anon_sym_PERCENT_EQ] = ACTIONS(5953),
    [anon_sym_PLUS_EQ] = ACTIONS(5953),
    [anon_sym_DASH_EQ] = ACTIONS(5953),
    [anon_sym_LT_LT_EQ] = ACTIONS(5953),
    [anon_sym_GT_GT_EQ] = ACTIONS(5953),
    [anon_sym_AMP_EQ] = ACTIONS(5953),
    [anon_sym_CARET_EQ] = ACTIONS(5953),
    [anon_sym_PIPE_EQ] = ACTIONS(5953),
    [anon_sym_and_eq] = ACTIONS(5951),
    [anon_sym_or_eq] = ACTIONS(5951),
    [anon_sym_xor_eq] = ACTIONS(5951),
    [anon_sym_LT_EQ_GT] = ACTIONS(5953),
    [anon_sym_or] = ACTIONS(5951),
    [anon_sym_and] = ACTIONS(5951),
    [anon_sym_bitor] = ACTIONS(5951),
    [anon_sym_xor] = ACTIONS(5951),
    [anon_sym_bitand] = ACTIONS(5951),
    [anon_sym_not_eq] = ACTIONS(5951),
    [anon_sym_DASH_DASH] = ACTIONS(5953),
    [anon_sym_PLUS_PLUS] = ACTIONS(5953),
    [anon_sym_DOT] = ACTIONS(5951),
    [anon_sym_DOT_STAR] = ACTIONS(5953),
    [anon_sym_DASH_GT] = ACTIONS(5953),
    [sym_comment] = ACTIONS(3),
  },
  [2189] = {
    [sym_string_literal] = STATE(2115),
    [sym_raw_string_literal] = STATE(2115),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5627),
    [anon_sym_COMMA] = ACTIONS(5627),
    [anon_sym_LPAREN2] = ACTIONS(5627),
    [anon_sym_DASH] = ACTIONS(5625),
    [anon_sym_PLUS] = ACTIONS(5625),
    [anon_sym_STAR] = ACTIONS(5625),
    [anon_sym_SLASH] = ACTIONS(5625),
    [anon_sym_PERCENT] = ACTIONS(5625),
    [anon_sym_PIPE_PIPE] = ACTIONS(5627),
    [anon_sym_AMP_AMP] = ACTIONS(5627),
    [anon_sym_PIPE] = ACTIONS(5625),
    [anon_sym_CARET] = ACTIONS(5625),
    [anon_sym_AMP] = ACTIONS(5625),
    [anon_sym_EQ_EQ] = ACTIONS(5627),
    [anon_sym_BANG_EQ] = ACTIONS(5627),
    [anon_sym_GT] = ACTIONS(5625),
    [anon_sym_GT_EQ] = ACTIONS(5627),
    [anon_sym_LT_EQ] = ACTIONS(5625),
    [anon_sym_LT] = ACTIONS(5625),
    [anon_sym_LT_LT] = ACTIONS(5625),
    [anon_sym_GT_GT] = ACTIONS(5625),
    [anon_sym_SEMI] = ACTIONS(5627),
    [anon_sym___attribute__] = ACTIONS(5625),
    [anon_sym_LBRACK] = ACTIONS(5627),
    [anon_sym_EQ] = ACTIONS(5625),
    [anon_sym_QMARK] = ACTIONS(5627),
    [anon_sym_STAR_EQ] = ACTIONS(5627),
    [anon_sym_SLASH_EQ] = ACTIONS(5627),
    [anon_sym_PERCENT_EQ] = ACTIONS(5627),
    [anon_sym_PLUS_EQ] = ACTIONS(5627),
    [anon_sym_DASH_EQ] = ACTIONS(5627),
    [anon_sym_LT_LT_EQ] = ACTIONS(5627),
    [anon_sym_GT_GT_EQ] = ACTIONS(5627),
    [anon_sym_AMP_EQ] = ACTIONS(5627),
    [anon_sym_CARET_EQ] = ACTIONS(5627),
    [anon_sym_PIPE_EQ] = ACTIONS(5627),
    [anon_sym_and_eq] = ACTIONS(5625),
    [anon_sym_or_eq] = ACTIONS(5625),
    [anon_sym_xor_eq] = ACTIONS(5625),
    [anon_sym_LT_EQ_GT] = ACTIONS(5627),
    [anon_sym_or] = ACTIONS(5625),
    [anon_sym_and] = ACTIONS(5625),
    [anon_sym_bitor] = ACTIONS(5625),
    [anon_sym_xor] = ACTIONS(5625),
    [anon_sym_bitand] = ACTIONS(5625),
    [anon_sym_not_eq] = ACTIONS(5625),
    [anon_sym_DASH_DASH] = ACTIONS(5627),
    [anon_sym_PLUS_PLUS] = ACTIONS(5627),
    [anon_sym_DOT] = ACTIONS(5625),
    [anon_sym_DOT_STAR] = ACTIONS(5627),
    [anon_sym_DASH_GT] = ACTIONS(5627),
    [anon_sym_L_DQUOTE] = ACTIONS(5759),
    [anon_sym_u_DQUOTE] = ACTIONS(5759),
    [anon_sym_U_DQUOTE] = ACTIONS(5759),
    [anon_sym_u8_DQUOTE] = ACTIONS(5759),
    [anon_sym_DQUOTE] = ACTIONS(5759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5761),
    [anon_sym_LR_DQUOTE] = ACTIONS(5761),
    [anon_sym_uR_DQUOTE] = ACTIONS(5761),
    [anon_sym_UR_DQUOTE] = ACTIONS(5761),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5761),
    [sym_literal_suffix] = ACTIONS(5625),
  },
  [2190] = {
    [sym_identifier] = ACTIONS(5512),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5514),
    [anon_sym_COMMA] = ACTIONS(5514),
    [anon_sym_RPAREN] = ACTIONS(5514),
    [aux_sym_preproc_if_token2] = ACTIONS(5514),
    [aux_sym_preproc_else_token1] = ACTIONS(5514),
    [aux_sym_preproc_elif_token1] = ACTIONS(5512),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5514),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5514),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_STAR] = ACTIONS(5512),
    [anon_sym_SLASH] = ACTIONS(5512),
    [anon_sym_PERCENT] = ACTIONS(5512),
    [anon_sym_PIPE_PIPE] = ACTIONS(5514),
    [anon_sym_AMP_AMP] = ACTIONS(5514),
    [anon_sym_PIPE] = ACTIONS(5512),
    [anon_sym_CARET] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(5512),
    [anon_sym_EQ_EQ] = ACTIONS(5514),
    [anon_sym_BANG_EQ] = ACTIONS(5514),
    [anon_sym_GT] = ACTIONS(5512),
    [anon_sym_GT_EQ] = ACTIONS(5514),
    [anon_sym_LT_EQ] = ACTIONS(5512),
    [anon_sym_LT] = ACTIONS(5512),
    [anon_sym_LT_LT] = ACTIONS(5512),
    [anon_sym_GT_GT] = ACTIONS(5512),
    [anon_sym_SEMI] = ACTIONS(5514),
    [anon_sym___attribute__] = ACTIONS(5512),
    [anon_sym_LBRACE] = ACTIONS(5514),
    [anon_sym_RBRACE] = ACTIONS(5514),
    [anon_sym_LBRACK] = ACTIONS(5514),
    [anon_sym_RBRACK] = ACTIONS(5514),
    [anon_sym_EQ] = ACTIONS(5512),
    [anon_sym_COLON] = ACTIONS(5514),
    [anon_sym_QMARK] = ACTIONS(5514),
    [anon_sym_STAR_EQ] = ACTIONS(5514),
    [anon_sym_SLASH_EQ] = ACTIONS(5514),
    [anon_sym_PERCENT_EQ] = ACTIONS(5514),
    [anon_sym_PLUS_EQ] = ACTIONS(5514),
    [anon_sym_DASH_EQ] = ACTIONS(5514),
    [anon_sym_LT_LT_EQ] = ACTIONS(5514),
    [anon_sym_GT_GT_EQ] = ACTIONS(5514),
    [anon_sym_AMP_EQ] = ACTIONS(5514),
    [anon_sym_CARET_EQ] = ACTIONS(5514),
    [anon_sym_PIPE_EQ] = ACTIONS(5514),
    [anon_sym_and_eq] = ACTIONS(5512),
    [anon_sym_or_eq] = ACTIONS(5512),
    [anon_sym_xor_eq] = ACTIONS(5512),
    [anon_sym_LT_EQ_GT] = ACTIONS(5514),
    [anon_sym_or] = ACTIONS(5512),
    [anon_sym_and] = ACTIONS(5512),
    [anon_sym_bitor] = ACTIONS(5512),
    [anon_sym_xor] = ACTIONS(5512),
    [anon_sym_bitand] = ACTIONS(5512),
    [anon_sym_not_eq] = ACTIONS(5512),
    [anon_sym_DASH_DASH] = ACTIONS(5514),
    [anon_sym_PLUS_PLUS] = ACTIONS(5514),
    [anon_sym_DOT] = ACTIONS(5512),
    [anon_sym_DOT_STAR] = ACTIONS(5514),
    [anon_sym_DASH_GT] = ACTIONS(5514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5512),
    [anon_sym_decltype] = ACTIONS(5512),
  },
  [2191] = {
    [sym_attribute_specifier] = STATE(1790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5940),
    [anon_sym_COMMA] = ACTIONS(5940),
    [anon_sym_RPAREN] = ACTIONS(5940),
    [anon_sym_LPAREN2] = ACTIONS(5940),
    [anon_sym_DASH] = ACTIONS(5938),
    [anon_sym_PLUS] = ACTIONS(5938),
    [anon_sym_STAR] = ACTIONS(5940),
    [anon_sym_SLASH] = ACTIONS(5938),
    [anon_sym_PERCENT] = ACTIONS(5940),
    [anon_sym_PIPE_PIPE] = ACTIONS(5940),
    [anon_sym_AMP_AMP] = ACTIONS(5940),
    [anon_sym_PIPE] = ACTIONS(5938),
    [anon_sym_CARET] = ACTIONS(5940),
    [anon_sym_AMP] = ACTIONS(5938),
    [anon_sym_EQ_EQ] = ACTIONS(5940),
    [anon_sym_BANG_EQ] = ACTIONS(5940),
    [anon_sym_GT] = ACTIONS(5938),
    [anon_sym_GT_EQ] = ACTIONS(5940),
    [anon_sym_LT_EQ] = ACTIONS(5938),
    [anon_sym_LT] = ACTIONS(5938),
    [anon_sym_LT_LT] = ACTIONS(5940),
    [anon_sym_GT_GT] = ACTIONS(5940),
    [anon_sym_SEMI] = ACTIONS(5940),
    [anon_sym___extension__] = ACTIONS(5940),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5940),
    [anon_sym_RBRACE] = ACTIONS(5940),
    [anon_sym_LBRACK] = ACTIONS(5940),
    [anon_sym_RBRACK] = ACTIONS(5940),
    [anon_sym_const] = ACTIONS(5938),
    [anon_sym_constexpr] = ACTIONS(5940),
    [anon_sym_volatile] = ACTIONS(5940),
    [anon_sym_restrict] = ACTIONS(5940),
    [anon_sym___restrict__] = ACTIONS(5940),
    [anon_sym__Atomic] = ACTIONS(5940),
    [anon_sym__Noreturn] = ACTIONS(5940),
    [anon_sym_noreturn] = ACTIONS(5940),
    [anon_sym__Nonnull] = ACTIONS(5940),
    [anon_sym_mutable] = ACTIONS(5940),
    [anon_sym_constinit] = ACTIONS(5940),
    [anon_sym_consteval] = ACTIONS(5940),
    [anon_sym_PROGMEM] = ACTIONS(5940),
    [anon_sym_alignas] = ACTIONS(5940),
    [anon_sym__Alignas] = ACTIONS(5940),
    [anon_sym_COLON] = ACTIONS(5940),
    [anon_sym_QMARK] = ACTIONS(5940),
    [anon_sym_LT_EQ_GT] = ACTIONS(5940),
    [anon_sym_or] = ACTIONS(5940),
    [anon_sym_and] = ACTIONS(5940),
    [anon_sym_bitor] = ACTIONS(5940),
    [anon_sym_xor] = ACTIONS(5940),
    [anon_sym_bitand] = ACTIONS(5940),
    [anon_sym_not_eq] = ACTIONS(5940),
    [anon_sym_DASH_DASH] = ACTIONS(5940),
    [anon_sym_PLUS_PLUS] = ACTIONS(5940),
    [anon_sym_DOT] = ACTIONS(5938),
    [anon_sym_DOT_STAR] = ACTIONS(5940),
    [anon_sym_DASH_GT] = ACTIONS(5940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5940),
    [anon_sym_decltype] = ACTIONS(5940),
    [anon_sym_final] = ACTIONS(5940),
    [anon_sym_override] = ACTIONS(5940),
    [anon_sym_requires] = ACTIONS(5940),
  },
  [2192] = {
    [sym_identifier] = ACTIONS(5458),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5460),
    [anon_sym_COMMA] = ACTIONS(5460),
    [anon_sym_RPAREN] = ACTIONS(5460),
    [aux_sym_preproc_if_token2] = ACTIONS(5460),
    [aux_sym_preproc_else_token1] = ACTIONS(5460),
    [aux_sym_preproc_elif_token1] = ACTIONS(5458),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5460),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5460),
    [anon_sym_LPAREN2] = ACTIONS(5460),
    [anon_sym_DASH] = ACTIONS(5458),
    [anon_sym_PLUS] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5458),
    [anon_sym_SLASH] = ACTIONS(5458),
    [anon_sym_PERCENT] = ACTIONS(5458),
    [anon_sym_PIPE_PIPE] = ACTIONS(5460),
    [anon_sym_AMP_AMP] = ACTIONS(5460),
    [anon_sym_PIPE] = ACTIONS(5458),
    [anon_sym_CARET] = ACTIONS(5458),
    [anon_sym_AMP] = ACTIONS(5458),
    [anon_sym_EQ_EQ] = ACTIONS(5460),
    [anon_sym_BANG_EQ] = ACTIONS(5460),
    [anon_sym_GT] = ACTIONS(5458),
    [anon_sym_GT_EQ] = ACTIONS(5460),
    [anon_sym_LT_EQ] = ACTIONS(5458),
    [anon_sym_LT] = ACTIONS(5458),
    [anon_sym_LT_LT] = ACTIONS(5458),
    [anon_sym_GT_GT] = ACTIONS(5458),
    [anon_sym_SEMI] = ACTIONS(5460),
    [anon_sym___attribute__] = ACTIONS(5458),
    [anon_sym_LBRACE] = ACTIONS(5460),
    [anon_sym_RBRACE] = ACTIONS(5460),
    [anon_sym_LBRACK] = ACTIONS(5460),
    [anon_sym_RBRACK] = ACTIONS(5460),
    [anon_sym_EQ] = ACTIONS(5458),
    [anon_sym_COLON] = ACTIONS(5460),
    [anon_sym_QMARK] = ACTIONS(5460),
    [anon_sym_STAR_EQ] = ACTIONS(5460),
    [anon_sym_SLASH_EQ] = ACTIONS(5460),
    [anon_sym_PERCENT_EQ] = ACTIONS(5460),
    [anon_sym_PLUS_EQ] = ACTIONS(5460),
    [anon_sym_DASH_EQ] = ACTIONS(5460),
    [anon_sym_LT_LT_EQ] = ACTIONS(5460),
    [anon_sym_GT_GT_EQ] = ACTIONS(5460),
    [anon_sym_AMP_EQ] = ACTIONS(5460),
    [anon_sym_CARET_EQ] = ACTIONS(5460),
    [anon_sym_PIPE_EQ] = ACTIONS(5460),
    [anon_sym_and_eq] = ACTIONS(5458),
    [anon_sym_or_eq] = ACTIONS(5458),
    [anon_sym_xor_eq] = ACTIONS(5458),
    [anon_sym_LT_EQ_GT] = ACTIONS(5460),
    [anon_sym_or] = ACTIONS(5458),
    [anon_sym_and] = ACTIONS(5458),
    [anon_sym_bitor] = ACTIONS(5458),
    [anon_sym_xor] = ACTIONS(5458),
    [anon_sym_bitand] = ACTIONS(5458),
    [anon_sym_not_eq] = ACTIONS(5458),
    [anon_sym_DASH_DASH] = ACTIONS(5460),
    [anon_sym_PLUS_PLUS] = ACTIONS(5460),
    [anon_sym_DOT] = ACTIONS(5458),
    [anon_sym_DOT_STAR] = ACTIONS(5460),
    [anon_sym_DASH_GT] = ACTIONS(5460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5458),
    [anon_sym_decltype] = ACTIONS(5458),
  },
  [2193] = {
    [sym_attribute_specifier] = STATE(1807),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5868),
    [anon_sym_COMMA] = ACTIONS(5868),
    [anon_sym_RPAREN] = ACTIONS(5868),
    [anon_sym_LPAREN2] = ACTIONS(5868),
    [anon_sym_DASH] = ACTIONS(5866),
    [anon_sym_PLUS] = ACTIONS(5866),
    [anon_sym_STAR] = ACTIONS(5868),
    [anon_sym_SLASH] = ACTIONS(5866),
    [anon_sym_PERCENT] = ACTIONS(5868),
    [anon_sym_PIPE_PIPE] = ACTIONS(5868),
    [anon_sym_AMP_AMP] = ACTIONS(5868),
    [anon_sym_PIPE] = ACTIONS(5866),
    [anon_sym_CARET] = ACTIONS(5868),
    [anon_sym_AMP] = ACTIONS(5866),
    [anon_sym_EQ_EQ] = ACTIONS(5868),
    [anon_sym_BANG_EQ] = ACTIONS(5868),
    [anon_sym_GT] = ACTIONS(5866),
    [anon_sym_GT_EQ] = ACTIONS(5868),
    [anon_sym_LT_EQ] = ACTIONS(5866),
    [anon_sym_LT] = ACTIONS(5866),
    [anon_sym_LT_LT] = ACTIONS(5868),
    [anon_sym_GT_GT] = ACTIONS(5868),
    [anon_sym_SEMI] = ACTIONS(5868),
    [anon_sym___extension__] = ACTIONS(5868),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5868),
    [anon_sym_RBRACE] = ACTIONS(5868),
    [anon_sym_LBRACK] = ACTIONS(5868),
    [anon_sym_RBRACK] = ACTIONS(5868),
    [anon_sym_const] = ACTIONS(5866),
    [anon_sym_constexpr] = ACTIONS(5868),
    [anon_sym_volatile] = ACTIONS(5868),
    [anon_sym_restrict] = ACTIONS(5868),
    [anon_sym___restrict__] = ACTIONS(5868),
    [anon_sym__Atomic] = ACTIONS(5868),
    [anon_sym__Noreturn] = ACTIONS(5868),
    [anon_sym_noreturn] = ACTIONS(5868),
    [anon_sym__Nonnull] = ACTIONS(5868),
    [anon_sym_mutable] = ACTIONS(5868),
    [anon_sym_constinit] = ACTIONS(5868),
    [anon_sym_consteval] = ACTIONS(5868),
    [anon_sym_PROGMEM] = ACTIONS(5868),
    [anon_sym_alignas] = ACTIONS(5868),
    [anon_sym__Alignas] = ACTIONS(5868),
    [anon_sym_COLON] = ACTIONS(5868),
    [anon_sym_QMARK] = ACTIONS(5868),
    [anon_sym_LT_EQ_GT] = ACTIONS(5868),
    [anon_sym_or] = ACTIONS(5868),
    [anon_sym_and] = ACTIONS(5868),
    [anon_sym_bitor] = ACTIONS(5868),
    [anon_sym_xor] = ACTIONS(5868),
    [anon_sym_bitand] = ACTIONS(5868),
    [anon_sym_not_eq] = ACTIONS(5868),
    [anon_sym_DASH_DASH] = ACTIONS(5868),
    [anon_sym_PLUS_PLUS] = ACTIONS(5868),
    [anon_sym_DOT] = ACTIONS(5866),
    [anon_sym_DOT_STAR] = ACTIONS(5868),
    [anon_sym_DASH_GT] = ACTIONS(5868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5868),
    [anon_sym_decltype] = ACTIONS(5868),
    [anon_sym_final] = ACTIONS(5868),
    [anon_sym_override] = ACTIONS(5868),
    [anon_sym_requires] = ACTIONS(5868),
  },
  [2194] = {
    [sym_attribute_specifier] = STATE(1780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5884),
    [anon_sym_COMMA] = ACTIONS(5884),
    [anon_sym_RPAREN] = ACTIONS(5884),
    [anon_sym_LPAREN2] = ACTIONS(5884),
    [anon_sym_DASH] = ACTIONS(5882),
    [anon_sym_PLUS] = ACTIONS(5882),
    [anon_sym_STAR] = ACTIONS(5884),
    [anon_sym_SLASH] = ACTIONS(5882),
    [anon_sym_PERCENT] = ACTIONS(5884),
    [anon_sym_PIPE_PIPE] = ACTIONS(5884),
    [anon_sym_AMP_AMP] = ACTIONS(5884),
    [anon_sym_PIPE] = ACTIONS(5882),
    [anon_sym_CARET] = ACTIONS(5884),
    [anon_sym_AMP] = ACTIONS(5882),
    [anon_sym_EQ_EQ] = ACTIONS(5884),
    [anon_sym_BANG_EQ] = ACTIONS(5884),
    [anon_sym_GT] = ACTIONS(5882),
    [anon_sym_GT_EQ] = ACTIONS(5884),
    [anon_sym_LT_EQ] = ACTIONS(5882),
    [anon_sym_LT] = ACTIONS(5882),
    [anon_sym_LT_LT] = ACTIONS(5884),
    [anon_sym_GT_GT] = ACTIONS(5884),
    [anon_sym_SEMI] = ACTIONS(5884),
    [anon_sym___extension__] = ACTIONS(5884),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5884),
    [anon_sym_RBRACE] = ACTIONS(5884),
    [anon_sym_LBRACK] = ACTIONS(5884),
    [anon_sym_RBRACK] = ACTIONS(5884),
    [anon_sym_const] = ACTIONS(5882),
    [anon_sym_constexpr] = ACTIONS(5884),
    [anon_sym_volatile] = ACTIONS(5884),
    [anon_sym_restrict] = ACTIONS(5884),
    [anon_sym___restrict__] = ACTIONS(5884),
    [anon_sym__Atomic] = ACTIONS(5884),
    [anon_sym__Noreturn] = ACTIONS(5884),
    [anon_sym_noreturn] = ACTIONS(5884),
    [anon_sym__Nonnull] = ACTIONS(5884),
    [anon_sym_mutable] = ACTIONS(5884),
    [anon_sym_constinit] = ACTIONS(5884),
    [anon_sym_consteval] = ACTIONS(5884),
    [anon_sym_PROGMEM] = ACTIONS(5884),
    [anon_sym_alignas] = ACTIONS(5884),
    [anon_sym__Alignas] = ACTIONS(5884),
    [anon_sym_COLON] = ACTIONS(5884),
    [anon_sym_QMARK] = ACTIONS(5884),
    [anon_sym_LT_EQ_GT] = ACTIONS(5884),
    [anon_sym_or] = ACTIONS(5884),
    [anon_sym_and] = ACTIONS(5884),
    [anon_sym_bitor] = ACTIONS(5884),
    [anon_sym_xor] = ACTIONS(5884),
    [anon_sym_bitand] = ACTIONS(5884),
    [anon_sym_not_eq] = ACTIONS(5884),
    [anon_sym_DASH_DASH] = ACTIONS(5884),
    [anon_sym_PLUS_PLUS] = ACTIONS(5884),
    [anon_sym_DOT] = ACTIONS(5882),
    [anon_sym_DOT_STAR] = ACTIONS(5884),
    [anon_sym_DASH_GT] = ACTIONS(5884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5884),
    [anon_sym_decltype] = ACTIONS(5884),
    [anon_sym_final] = ACTIONS(5884),
    [anon_sym_override] = ACTIONS(5884),
    [anon_sym_requires] = ACTIONS(5884),
  },
  [2195] = {
    [sym_identifier] = ACTIONS(5955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5957),
    [anon_sym_COMMA] = ACTIONS(5957),
    [anon_sym_RPAREN] = ACTIONS(5957),
    [aux_sym_preproc_if_token2] = ACTIONS(5957),
    [aux_sym_preproc_else_token1] = ACTIONS(5957),
    [aux_sym_preproc_elif_token1] = ACTIONS(5955),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5957),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5957),
    [anon_sym_LPAREN2] = ACTIONS(5957),
    [anon_sym_DASH] = ACTIONS(5955),
    [anon_sym_PLUS] = ACTIONS(5955),
    [anon_sym_STAR] = ACTIONS(5955),
    [anon_sym_SLASH] = ACTIONS(5955),
    [anon_sym_PERCENT] = ACTIONS(5955),
    [anon_sym_PIPE_PIPE] = ACTIONS(5957),
    [anon_sym_AMP_AMP] = ACTIONS(5957),
    [anon_sym_PIPE] = ACTIONS(5955),
    [anon_sym_CARET] = ACTIONS(5955),
    [anon_sym_AMP] = ACTIONS(5955),
    [anon_sym_EQ_EQ] = ACTIONS(5957),
    [anon_sym_BANG_EQ] = ACTIONS(5957),
    [anon_sym_GT] = ACTIONS(5955),
    [anon_sym_GT_EQ] = ACTIONS(5957),
    [anon_sym_LT_EQ] = ACTIONS(5955),
    [anon_sym_LT] = ACTIONS(5955),
    [anon_sym_LT_LT] = ACTIONS(5955),
    [anon_sym_GT_GT] = ACTIONS(5955),
    [anon_sym_SEMI] = ACTIONS(5957),
    [anon_sym___attribute__] = ACTIONS(5955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5957),
    [anon_sym_LBRACE] = ACTIONS(5957),
    [anon_sym_RBRACE] = ACTIONS(5957),
    [anon_sym_LBRACK] = ACTIONS(5955),
    [anon_sym_RBRACK] = ACTIONS(5957),
    [anon_sym_EQ] = ACTIONS(5955),
    [anon_sym_COLON] = ACTIONS(5957),
    [anon_sym_QMARK] = ACTIONS(5957),
    [anon_sym_STAR_EQ] = ACTIONS(5957),
    [anon_sym_SLASH_EQ] = ACTIONS(5957),
    [anon_sym_PERCENT_EQ] = ACTIONS(5957),
    [anon_sym_PLUS_EQ] = ACTIONS(5957),
    [anon_sym_DASH_EQ] = ACTIONS(5957),
    [anon_sym_LT_LT_EQ] = ACTIONS(5957),
    [anon_sym_GT_GT_EQ] = ACTIONS(5957),
    [anon_sym_AMP_EQ] = ACTIONS(5957),
    [anon_sym_CARET_EQ] = ACTIONS(5957),
    [anon_sym_PIPE_EQ] = ACTIONS(5957),
    [anon_sym_and_eq] = ACTIONS(5955),
    [anon_sym_or_eq] = ACTIONS(5955),
    [anon_sym_xor_eq] = ACTIONS(5955),
    [anon_sym_LT_EQ_GT] = ACTIONS(5957),
    [anon_sym_or] = ACTIONS(5955),
    [anon_sym_and] = ACTIONS(5955),
    [anon_sym_bitor] = ACTIONS(5955),
    [anon_sym_xor] = ACTIONS(5955),
    [anon_sym_bitand] = ACTIONS(5955),
    [anon_sym_not_eq] = ACTIONS(5955),
    [anon_sym_DASH_DASH] = ACTIONS(5957),
    [anon_sym_PLUS_PLUS] = ACTIONS(5957),
    [anon_sym_DOT] = ACTIONS(5955),
    [anon_sym_DOT_STAR] = ACTIONS(5957),
    [anon_sym_DASH_GT] = ACTIONS(5957),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5955),
  },
  [2196] = {
    [sym_identifier] = ACTIONS(5400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5402),
    [anon_sym_COMMA] = ACTIONS(5402),
    [anon_sym_RPAREN] = ACTIONS(5402),
    [aux_sym_preproc_if_token2] = ACTIONS(5402),
    [aux_sym_preproc_else_token1] = ACTIONS(5402),
    [aux_sym_preproc_elif_token1] = ACTIONS(5400),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5402),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5400),
    [anon_sym_PLUS] = ACTIONS(5400),
    [anon_sym_STAR] = ACTIONS(5400),
    [anon_sym_SLASH] = ACTIONS(5400),
    [anon_sym_PERCENT] = ACTIONS(5400),
    [anon_sym_PIPE_PIPE] = ACTIONS(5402),
    [anon_sym_AMP_AMP] = ACTIONS(5402),
    [anon_sym_PIPE] = ACTIONS(5400),
    [anon_sym_CARET] = ACTIONS(5400),
    [anon_sym_AMP] = ACTIONS(5400),
    [anon_sym_EQ_EQ] = ACTIONS(5402),
    [anon_sym_BANG_EQ] = ACTIONS(5402),
    [anon_sym_GT] = ACTIONS(5400),
    [anon_sym_GT_EQ] = ACTIONS(5402),
    [anon_sym_LT_EQ] = ACTIONS(5400),
    [anon_sym_LT] = ACTIONS(5400),
    [anon_sym_LT_LT] = ACTIONS(5400),
    [anon_sym_GT_GT] = ACTIONS(5400),
    [anon_sym_SEMI] = ACTIONS(5402),
    [anon_sym___attribute__] = ACTIONS(5400),
    [anon_sym_LBRACE] = ACTIONS(5402),
    [anon_sym_RBRACE] = ACTIONS(5402),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [anon_sym_RBRACK] = ACTIONS(5402),
    [anon_sym_EQ] = ACTIONS(5400),
    [anon_sym_COLON] = ACTIONS(5402),
    [anon_sym_QMARK] = ACTIONS(5402),
    [anon_sym_STAR_EQ] = ACTIONS(5402),
    [anon_sym_SLASH_EQ] = ACTIONS(5402),
    [anon_sym_PERCENT_EQ] = ACTIONS(5402),
    [anon_sym_PLUS_EQ] = ACTIONS(5402),
    [anon_sym_DASH_EQ] = ACTIONS(5402),
    [anon_sym_LT_LT_EQ] = ACTIONS(5402),
    [anon_sym_GT_GT_EQ] = ACTIONS(5402),
    [anon_sym_AMP_EQ] = ACTIONS(5402),
    [anon_sym_CARET_EQ] = ACTIONS(5402),
    [anon_sym_PIPE_EQ] = ACTIONS(5402),
    [anon_sym_and_eq] = ACTIONS(5400),
    [anon_sym_or_eq] = ACTIONS(5400),
    [anon_sym_xor_eq] = ACTIONS(5400),
    [anon_sym_LT_EQ_GT] = ACTIONS(5402),
    [anon_sym_or] = ACTIONS(5400),
    [anon_sym_and] = ACTIONS(5400),
    [anon_sym_bitor] = ACTIONS(5400),
    [anon_sym_xor] = ACTIONS(5400),
    [anon_sym_bitand] = ACTIONS(5400),
    [anon_sym_not_eq] = ACTIONS(5400),
    [anon_sym_DASH_DASH] = ACTIONS(5402),
    [anon_sym_PLUS_PLUS] = ACTIONS(5402),
    [anon_sym_DOT] = ACTIONS(5400),
    [anon_sym_DOT_STAR] = ACTIONS(5402),
    [anon_sym_DASH_GT] = ACTIONS(5402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5400),
    [anon_sym_decltype] = ACTIONS(5400),
  },
  [2197] = {
    [sym_identifier] = ACTIONS(5384),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5386),
    [anon_sym_COMMA] = ACTIONS(5386),
    [anon_sym_RPAREN] = ACTIONS(5386),
    [aux_sym_preproc_if_token2] = ACTIONS(5386),
    [aux_sym_preproc_else_token1] = ACTIONS(5386),
    [aux_sym_preproc_elif_token1] = ACTIONS(5384),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5386),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5386),
    [anon_sym_LPAREN2] = ACTIONS(5386),
    [anon_sym_DASH] = ACTIONS(5384),
    [anon_sym_PLUS] = ACTIONS(5384),
    [anon_sym_STAR] = ACTIONS(5384),
    [anon_sym_SLASH] = ACTIONS(5384),
    [anon_sym_PERCENT] = ACTIONS(5384),
    [anon_sym_PIPE_PIPE] = ACTIONS(5386),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_PIPE] = ACTIONS(5384),
    [anon_sym_CARET] = ACTIONS(5384),
    [anon_sym_AMP] = ACTIONS(5384),
    [anon_sym_EQ_EQ] = ACTIONS(5386),
    [anon_sym_BANG_EQ] = ACTIONS(5386),
    [anon_sym_GT] = ACTIONS(5384),
    [anon_sym_GT_EQ] = ACTIONS(5386),
    [anon_sym_LT_EQ] = ACTIONS(5384),
    [anon_sym_LT] = ACTIONS(5384),
    [anon_sym_LT_LT] = ACTIONS(5384),
    [anon_sym_GT_GT] = ACTIONS(5384),
    [anon_sym_SEMI] = ACTIONS(5386),
    [anon_sym___attribute__] = ACTIONS(5384),
    [anon_sym_LBRACE] = ACTIONS(5386),
    [anon_sym_RBRACE] = ACTIONS(5386),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_RBRACK] = ACTIONS(5386),
    [anon_sym_EQ] = ACTIONS(5384),
    [anon_sym_COLON] = ACTIONS(5386),
    [anon_sym_QMARK] = ACTIONS(5386),
    [anon_sym_STAR_EQ] = ACTIONS(5386),
    [anon_sym_SLASH_EQ] = ACTIONS(5386),
    [anon_sym_PERCENT_EQ] = ACTIONS(5386),
    [anon_sym_PLUS_EQ] = ACTIONS(5386),
    [anon_sym_DASH_EQ] = ACTIONS(5386),
    [anon_sym_LT_LT_EQ] = ACTIONS(5386),
    [anon_sym_GT_GT_EQ] = ACTIONS(5386),
    [anon_sym_AMP_EQ] = ACTIONS(5386),
    [anon_sym_CARET_EQ] = ACTIONS(5386),
    [anon_sym_PIPE_EQ] = ACTIONS(5386),
    [anon_sym_and_eq] = ACTIONS(5384),
    [anon_sym_or_eq] = ACTIONS(5384),
    [anon_sym_xor_eq] = ACTIONS(5384),
    [anon_sym_LT_EQ_GT] = ACTIONS(5386),
    [anon_sym_or] = ACTIONS(5384),
    [anon_sym_and] = ACTIONS(5384),
    [anon_sym_bitor] = ACTIONS(5384),
    [anon_sym_xor] = ACTIONS(5384),
    [anon_sym_bitand] = ACTIONS(5384),
    [anon_sym_not_eq] = ACTIONS(5384),
    [anon_sym_DASH_DASH] = ACTIONS(5386),
    [anon_sym_PLUS_PLUS] = ACTIONS(5386),
    [anon_sym_DOT] = ACTIONS(5384),
    [anon_sym_DOT_STAR] = ACTIONS(5386),
    [anon_sym_DASH_GT] = ACTIONS(5386),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5384),
    [anon_sym_decltype] = ACTIONS(5384),
  },
  [2198] = {
    [sym_attribute_specifier] = STATE(1801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5900),
    [anon_sym_COMMA] = ACTIONS(5900),
    [anon_sym_RPAREN] = ACTIONS(5900),
    [anon_sym_LPAREN2] = ACTIONS(5900),
    [anon_sym_DASH] = ACTIONS(5898),
    [anon_sym_PLUS] = ACTIONS(5898),
    [anon_sym_STAR] = ACTIONS(5900),
    [anon_sym_SLASH] = ACTIONS(5898),
    [anon_sym_PERCENT] = ACTIONS(5900),
    [anon_sym_PIPE_PIPE] = ACTIONS(5900),
    [anon_sym_AMP_AMP] = ACTIONS(5900),
    [anon_sym_PIPE] = ACTIONS(5898),
    [anon_sym_CARET] = ACTIONS(5900),
    [anon_sym_AMP] = ACTIONS(5898),
    [anon_sym_EQ_EQ] = ACTIONS(5900),
    [anon_sym_BANG_EQ] = ACTIONS(5900),
    [anon_sym_GT] = ACTIONS(5898),
    [anon_sym_GT_EQ] = ACTIONS(5900),
    [anon_sym_LT_EQ] = ACTIONS(5898),
    [anon_sym_LT] = ACTIONS(5898),
    [anon_sym_LT_LT] = ACTIONS(5900),
    [anon_sym_GT_GT] = ACTIONS(5900),
    [anon_sym_SEMI] = ACTIONS(5900),
    [anon_sym___extension__] = ACTIONS(5900),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5900),
    [anon_sym_RBRACE] = ACTIONS(5900),
    [anon_sym_LBRACK] = ACTIONS(5900),
    [anon_sym_RBRACK] = ACTIONS(5900),
    [anon_sym_const] = ACTIONS(5898),
    [anon_sym_constexpr] = ACTIONS(5900),
    [anon_sym_volatile] = ACTIONS(5900),
    [anon_sym_restrict] = ACTIONS(5900),
    [anon_sym___restrict__] = ACTIONS(5900),
    [anon_sym__Atomic] = ACTIONS(5900),
    [anon_sym__Noreturn] = ACTIONS(5900),
    [anon_sym_noreturn] = ACTIONS(5900),
    [anon_sym__Nonnull] = ACTIONS(5900),
    [anon_sym_mutable] = ACTIONS(5900),
    [anon_sym_constinit] = ACTIONS(5900),
    [anon_sym_consteval] = ACTIONS(5900),
    [anon_sym_PROGMEM] = ACTIONS(5900),
    [anon_sym_alignas] = ACTIONS(5900),
    [anon_sym__Alignas] = ACTIONS(5900),
    [anon_sym_COLON] = ACTIONS(5900),
    [anon_sym_QMARK] = ACTIONS(5900),
    [anon_sym_LT_EQ_GT] = ACTIONS(5900),
    [anon_sym_or] = ACTIONS(5900),
    [anon_sym_and] = ACTIONS(5900),
    [anon_sym_bitor] = ACTIONS(5900),
    [anon_sym_xor] = ACTIONS(5900),
    [anon_sym_bitand] = ACTIONS(5900),
    [anon_sym_not_eq] = ACTIONS(5900),
    [anon_sym_DASH_DASH] = ACTIONS(5900),
    [anon_sym_PLUS_PLUS] = ACTIONS(5900),
    [anon_sym_DOT] = ACTIONS(5898),
    [anon_sym_DOT_STAR] = ACTIONS(5900),
    [anon_sym_DASH_GT] = ACTIONS(5900),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5900),
    [anon_sym_decltype] = ACTIONS(5900),
    [anon_sym_final] = ACTIONS(5900),
    [anon_sym_override] = ACTIONS(5900),
    [anon_sym_requires] = ACTIONS(5900),
  },
  [2199] = {
    [sym_attribute_declaration] = STATE(2199),
    [aux_sym_attributed_declarator_repeat1] = STATE(2199),
    [sym_identifier] = ACTIONS(5959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5961),
    [anon_sym_COMMA] = ACTIONS(5961),
    [anon_sym_RPAREN] = ACTIONS(5961),
    [aux_sym_preproc_if_token2] = ACTIONS(5961),
    [aux_sym_preproc_else_token1] = ACTIONS(5961),
    [aux_sym_preproc_elif_token1] = ACTIONS(5959),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5961),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5961),
    [anon_sym_LPAREN2] = ACTIONS(5961),
    [anon_sym_DASH] = ACTIONS(5959),
    [anon_sym_PLUS] = ACTIONS(5959),
    [anon_sym_STAR] = ACTIONS(5959),
    [anon_sym_SLASH] = ACTIONS(5959),
    [anon_sym_PERCENT] = ACTIONS(5959),
    [anon_sym_PIPE_PIPE] = ACTIONS(5961),
    [anon_sym_AMP_AMP] = ACTIONS(5961),
    [anon_sym_PIPE] = ACTIONS(5959),
    [anon_sym_CARET] = ACTIONS(5959),
    [anon_sym_AMP] = ACTIONS(5959),
    [anon_sym_EQ_EQ] = ACTIONS(5961),
    [anon_sym_BANG_EQ] = ACTIONS(5961),
    [anon_sym_GT] = ACTIONS(5959),
    [anon_sym_GT_EQ] = ACTIONS(5961),
    [anon_sym_LT_EQ] = ACTIONS(5959),
    [anon_sym_LT] = ACTIONS(5959),
    [anon_sym_LT_LT] = ACTIONS(5959),
    [anon_sym_GT_GT] = ACTIONS(5959),
    [anon_sym_SEMI] = ACTIONS(5961),
    [anon_sym___attribute__] = ACTIONS(5959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5963),
    [anon_sym_RBRACE] = ACTIONS(5961),
    [anon_sym_LBRACK] = ACTIONS(5959),
    [anon_sym_RBRACK] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(5959),
    [anon_sym_COLON] = ACTIONS(5961),
    [anon_sym_QMARK] = ACTIONS(5961),
    [anon_sym_STAR_EQ] = ACTIONS(5961),
    [anon_sym_SLASH_EQ] = ACTIONS(5961),
    [anon_sym_PERCENT_EQ] = ACTIONS(5961),
    [anon_sym_PLUS_EQ] = ACTIONS(5961),
    [anon_sym_DASH_EQ] = ACTIONS(5961),
    [anon_sym_LT_LT_EQ] = ACTIONS(5961),
    [anon_sym_GT_GT_EQ] = ACTIONS(5961),
    [anon_sym_AMP_EQ] = ACTIONS(5961),
    [anon_sym_CARET_EQ] = ACTIONS(5961),
    [anon_sym_PIPE_EQ] = ACTIONS(5961),
    [anon_sym_and_eq] = ACTIONS(5959),
    [anon_sym_or_eq] = ACTIONS(5959),
    [anon_sym_xor_eq] = ACTIONS(5959),
    [anon_sym_LT_EQ_GT] = ACTIONS(5961),
    [anon_sym_or] = ACTIONS(5959),
    [anon_sym_and] = ACTIONS(5959),
    [anon_sym_bitor] = ACTIONS(5959),
    [anon_sym_xor] = ACTIONS(5959),
    [anon_sym_bitand] = ACTIONS(5959),
    [anon_sym_not_eq] = ACTIONS(5959),
    [anon_sym_DASH_DASH] = ACTIONS(5961),
    [anon_sym_PLUS_PLUS] = ACTIONS(5961),
    [anon_sym_DOT] = ACTIONS(5959),
    [anon_sym_DOT_STAR] = ACTIONS(5961),
    [anon_sym_DASH_GT] = ACTIONS(5961),
    [sym_comment] = ACTIONS(3),
  },
  [2200] = {
    [sym_argument_list] = STATE(2431),
    [sym_initializer_list] = STATE(2431),
    [sym_identifier] = ACTIONS(5966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5968),
    [anon_sym_COMMA] = ACTIONS(5968),
    [anon_sym_RPAREN] = ACTIONS(5968),
    [aux_sym_preproc_if_token2] = ACTIONS(5968),
    [aux_sym_preproc_else_token1] = ACTIONS(5968),
    [aux_sym_preproc_elif_token1] = ACTIONS(5966),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5968),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5968),
    [anon_sym_LPAREN2] = ACTIONS(5633),
    [anon_sym_DASH] = ACTIONS(5966),
    [anon_sym_PLUS] = ACTIONS(5966),
    [anon_sym_STAR] = ACTIONS(5966),
    [anon_sym_SLASH] = ACTIONS(5966),
    [anon_sym_PERCENT] = ACTIONS(5966),
    [anon_sym_PIPE_PIPE] = ACTIONS(5968),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_PIPE] = ACTIONS(5966),
    [anon_sym_CARET] = ACTIONS(5966),
    [anon_sym_AMP] = ACTIONS(5966),
    [anon_sym_EQ_EQ] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5968),
    [anon_sym_GT] = ACTIONS(5966),
    [anon_sym_GT_EQ] = ACTIONS(5968),
    [anon_sym_LT_EQ] = ACTIONS(5966),
    [anon_sym_LT] = ACTIONS(5966),
    [anon_sym_LT_LT] = ACTIONS(5966),
    [anon_sym_GT_GT] = ACTIONS(5966),
    [anon_sym_SEMI] = ACTIONS(5968),
    [anon_sym___attribute__] = ACTIONS(5966),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_RBRACE] = ACTIONS(5968),
    [anon_sym_LBRACK] = ACTIONS(5968),
    [anon_sym_RBRACK] = ACTIONS(5968),
    [anon_sym_EQ] = ACTIONS(5966),
    [anon_sym_COLON] = ACTIONS(5968),
    [anon_sym_QMARK] = ACTIONS(5968),
    [anon_sym_STAR_EQ] = ACTIONS(5968),
    [anon_sym_SLASH_EQ] = ACTIONS(5968),
    [anon_sym_PERCENT_EQ] = ACTIONS(5968),
    [anon_sym_PLUS_EQ] = ACTIONS(5968),
    [anon_sym_DASH_EQ] = ACTIONS(5968),
    [anon_sym_LT_LT_EQ] = ACTIONS(5968),
    [anon_sym_GT_GT_EQ] = ACTIONS(5968),
    [anon_sym_AMP_EQ] = ACTIONS(5968),
    [anon_sym_CARET_EQ] = ACTIONS(5968),
    [anon_sym_PIPE_EQ] = ACTIONS(5968),
    [anon_sym_and_eq] = ACTIONS(5966),
    [anon_sym_or_eq] = ACTIONS(5966),
    [anon_sym_xor_eq] = ACTIONS(5966),
    [anon_sym_LT_EQ_GT] = ACTIONS(5968),
    [anon_sym_or] = ACTIONS(5966),
    [anon_sym_and] = ACTIONS(5966),
    [anon_sym_bitor] = ACTIONS(5966),
    [anon_sym_xor] = ACTIONS(5966),
    [anon_sym_bitand] = ACTIONS(5966),
    [anon_sym_not_eq] = ACTIONS(5966),
    [anon_sym_DASH_DASH] = ACTIONS(5968),
    [anon_sym_PLUS_PLUS] = ACTIONS(5968),
    [anon_sym_DOT] = ACTIONS(5966),
    [anon_sym_DOT_STAR] = ACTIONS(5968),
    [anon_sym_DASH_GT] = ACTIONS(5968),
    [sym_comment] = ACTIONS(3),
  },
  [2201] = {
    [sym_identifier] = ACTIONS(5396),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5398),
    [anon_sym_COMMA] = ACTIONS(5398),
    [anon_sym_RPAREN] = ACTIONS(5398),
    [aux_sym_preproc_if_token2] = ACTIONS(5398),
    [aux_sym_preproc_else_token1] = ACTIONS(5398),
    [aux_sym_preproc_elif_token1] = ACTIONS(5396),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5398),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5398),
    [anon_sym_LPAREN2] = ACTIONS(5398),
    [anon_sym_DASH] = ACTIONS(5396),
    [anon_sym_PLUS] = ACTIONS(5396),
    [anon_sym_STAR] = ACTIONS(5396),
    [anon_sym_SLASH] = ACTIONS(5396),
    [anon_sym_PERCENT] = ACTIONS(5396),
    [anon_sym_PIPE_PIPE] = ACTIONS(5398),
    [anon_sym_AMP_AMP] = ACTIONS(5398),
    [anon_sym_PIPE] = ACTIONS(5396),
    [anon_sym_CARET] = ACTIONS(5396),
    [anon_sym_AMP] = ACTIONS(5396),
    [anon_sym_EQ_EQ] = ACTIONS(5398),
    [anon_sym_BANG_EQ] = ACTIONS(5398),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5398),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_LT_LT] = ACTIONS(5396),
    [anon_sym_GT_GT] = ACTIONS(5396),
    [anon_sym_SEMI] = ACTIONS(5398),
    [anon_sym___attribute__] = ACTIONS(5396),
    [anon_sym_LBRACE] = ACTIONS(5398),
    [anon_sym_RBRACE] = ACTIONS(5398),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [anon_sym_RBRACK] = ACTIONS(5398),
    [anon_sym_EQ] = ACTIONS(5396),
    [anon_sym_COLON] = ACTIONS(5398),
    [anon_sym_QMARK] = ACTIONS(5398),
    [anon_sym_STAR_EQ] = ACTIONS(5398),
    [anon_sym_SLASH_EQ] = ACTIONS(5398),
    [anon_sym_PERCENT_EQ] = ACTIONS(5398),
    [anon_sym_PLUS_EQ] = ACTIONS(5398),
    [anon_sym_DASH_EQ] = ACTIONS(5398),
    [anon_sym_LT_LT_EQ] = ACTIONS(5398),
    [anon_sym_GT_GT_EQ] = ACTIONS(5398),
    [anon_sym_AMP_EQ] = ACTIONS(5398),
    [anon_sym_CARET_EQ] = ACTIONS(5398),
    [anon_sym_PIPE_EQ] = ACTIONS(5398),
    [anon_sym_and_eq] = ACTIONS(5396),
    [anon_sym_or_eq] = ACTIONS(5396),
    [anon_sym_xor_eq] = ACTIONS(5396),
    [anon_sym_LT_EQ_GT] = ACTIONS(5398),
    [anon_sym_or] = ACTIONS(5396),
    [anon_sym_and] = ACTIONS(5396),
    [anon_sym_bitor] = ACTIONS(5396),
    [anon_sym_xor] = ACTIONS(5396),
    [anon_sym_bitand] = ACTIONS(5396),
    [anon_sym_not_eq] = ACTIONS(5396),
    [anon_sym_DASH_DASH] = ACTIONS(5398),
    [anon_sym_PLUS_PLUS] = ACTIONS(5398),
    [anon_sym_DOT] = ACTIONS(5396),
    [anon_sym_DOT_STAR] = ACTIONS(5398),
    [anon_sym_DASH_GT] = ACTIONS(5398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5396),
    [anon_sym_decltype] = ACTIONS(5396),
  },
  [2202] = {
    [sym_attribute_specifier] = STATE(1772),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5864),
    [anon_sym_COMMA] = ACTIONS(5864),
    [anon_sym_RPAREN] = ACTIONS(5864),
    [anon_sym_LPAREN2] = ACTIONS(5864),
    [anon_sym_DASH] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5862),
    [anon_sym_STAR] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5862),
    [anon_sym_PERCENT] = ACTIONS(5864),
    [anon_sym_PIPE_PIPE] = ACTIONS(5864),
    [anon_sym_AMP_AMP] = ACTIONS(5864),
    [anon_sym_PIPE] = ACTIONS(5862),
    [anon_sym_CARET] = ACTIONS(5864),
    [anon_sym_AMP] = ACTIONS(5862),
    [anon_sym_EQ_EQ] = ACTIONS(5864),
    [anon_sym_BANG_EQ] = ACTIONS(5864),
    [anon_sym_GT] = ACTIONS(5862),
    [anon_sym_GT_EQ] = ACTIONS(5864),
    [anon_sym_LT_EQ] = ACTIONS(5862),
    [anon_sym_LT] = ACTIONS(5862),
    [anon_sym_LT_LT] = ACTIONS(5864),
    [anon_sym_GT_GT] = ACTIONS(5864),
    [anon_sym_SEMI] = ACTIONS(5864),
    [anon_sym___extension__] = ACTIONS(5864),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5864),
    [anon_sym_RBRACE] = ACTIONS(5864),
    [anon_sym_LBRACK] = ACTIONS(5864),
    [anon_sym_RBRACK] = ACTIONS(5864),
    [anon_sym_const] = ACTIONS(5862),
    [anon_sym_constexpr] = ACTIONS(5864),
    [anon_sym_volatile] = ACTIONS(5864),
    [anon_sym_restrict] = ACTIONS(5864),
    [anon_sym___restrict__] = ACTIONS(5864),
    [anon_sym__Atomic] = ACTIONS(5864),
    [anon_sym__Noreturn] = ACTIONS(5864),
    [anon_sym_noreturn] = ACTIONS(5864),
    [anon_sym__Nonnull] = ACTIONS(5864),
    [anon_sym_mutable] = ACTIONS(5864),
    [anon_sym_constinit] = ACTIONS(5864),
    [anon_sym_consteval] = ACTIONS(5864),
    [anon_sym_PROGMEM] = ACTIONS(5864),
    [anon_sym_alignas] = ACTIONS(5864),
    [anon_sym__Alignas] = ACTIONS(5864),
    [anon_sym_COLON] = ACTIONS(5864),
    [anon_sym_QMARK] = ACTIONS(5864),
    [anon_sym_LT_EQ_GT] = ACTIONS(5864),
    [anon_sym_or] = ACTIONS(5864),
    [anon_sym_and] = ACTIONS(5864),
    [anon_sym_bitor] = ACTIONS(5864),
    [anon_sym_xor] = ACTIONS(5864),
    [anon_sym_bitand] = ACTIONS(5864),
    [anon_sym_not_eq] = ACTIONS(5864),
    [anon_sym_DASH_DASH] = ACTIONS(5864),
    [anon_sym_PLUS_PLUS] = ACTIONS(5864),
    [anon_sym_DOT] = ACTIONS(5862),
    [anon_sym_DOT_STAR] = ACTIONS(5864),
    [anon_sym_DASH_GT] = ACTIONS(5864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5864),
    [anon_sym_decltype] = ACTIONS(5864),
    [anon_sym_final] = ACTIONS(5864),
    [anon_sym_override] = ACTIONS(5864),
    [anon_sym_requires] = ACTIONS(5864),
  },
  [2203] = {
    [sym_attribute_specifier] = STATE(1800),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5930),
    [anon_sym_COMMA] = ACTIONS(5930),
    [anon_sym_RPAREN] = ACTIONS(5930),
    [anon_sym_LPAREN2] = ACTIONS(5930),
    [anon_sym_DASH] = ACTIONS(5928),
    [anon_sym_PLUS] = ACTIONS(5928),
    [anon_sym_STAR] = ACTIONS(5930),
    [anon_sym_SLASH] = ACTIONS(5928),
    [anon_sym_PERCENT] = ACTIONS(5930),
    [anon_sym_PIPE_PIPE] = ACTIONS(5930),
    [anon_sym_AMP_AMP] = ACTIONS(5930),
    [anon_sym_PIPE] = ACTIONS(5928),
    [anon_sym_CARET] = ACTIONS(5930),
    [anon_sym_AMP] = ACTIONS(5928),
    [anon_sym_EQ_EQ] = ACTIONS(5930),
    [anon_sym_BANG_EQ] = ACTIONS(5930),
    [anon_sym_GT] = ACTIONS(5928),
    [anon_sym_GT_EQ] = ACTIONS(5930),
    [anon_sym_LT_EQ] = ACTIONS(5928),
    [anon_sym_LT] = ACTIONS(5928),
    [anon_sym_LT_LT] = ACTIONS(5930),
    [anon_sym_GT_GT] = ACTIONS(5930),
    [anon_sym_SEMI] = ACTIONS(5930),
    [anon_sym___extension__] = ACTIONS(5930),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5930),
    [anon_sym_RBRACE] = ACTIONS(5930),
    [anon_sym_LBRACK] = ACTIONS(5930),
    [anon_sym_RBRACK] = ACTIONS(5930),
    [anon_sym_const] = ACTIONS(5928),
    [anon_sym_constexpr] = ACTIONS(5930),
    [anon_sym_volatile] = ACTIONS(5930),
    [anon_sym_restrict] = ACTIONS(5930),
    [anon_sym___restrict__] = ACTIONS(5930),
    [anon_sym__Atomic] = ACTIONS(5930),
    [anon_sym__Noreturn] = ACTIONS(5930),
    [anon_sym_noreturn] = ACTIONS(5930),
    [anon_sym__Nonnull] = ACTIONS(5930),
    [anon_sym_mutable] = ACTIONS(5930),
    [anon_sym_constinit] = ACTIONS(5930),
    [anon_sym_consteval] = ACTIONS(5930),
    [anon_sym_PROGMEM] = ACTIONS(5930),
    [anon_sym_alignas] = ACTIONS(5930),
    [anon_sym__Alignas] = ACTIONS(5930),
    [anon_sym_COLON] = ACTIONS(5930),
    [anon_sym_QMARK] = ACTIONS(5930),
    [anon_sym_LT_EQ_GT] = ACTIONS(5930),
    [anon_sym_or] = ACTIONS(5930),
    [anon_sym_and] = ACTIONS(5930),
    [anon_sym_bitor] = ACTIONS(5930),
    [anon_sym_xor] = ACTIONS(5930),
    [anon_sym_bitand] = ACTIONS(5930),
    [anon_sym_not_eq] = ACTIONS(5930),
    [anon_sym_DASH_DASH] = ACTIONS(5930),
    [anon_sym_PLUS_PLUS] = ACTIONS(5930),
    [anon_sym_DOT] = ACTIONS(5928),
    [anon_sym_DOT_STAR] = ACTIONS(5930),
    [anon_sym_DASH_GT] = ACTIONS(5930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5930),
    [anon_sym_decltype] = ACTIONS(5930),
    [anon_sym_final] = ACTIONS(5930),
    [anon_sym_override] = ACTIONS(5930),
    [anon_sym_requires] = ACTIONS(5930),
  },
  [2204] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2063),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5698),
    [anon_sym_COMMA] = ACTIONS(5698),
    [anon_sym_LPAREN2] = ACTIONS(5698),
    [anon_sym_DASH] = ACTIONS(5700),
    [anon_sym_PLUS] = ACTIONS(5700),
    [anon_sym_STAR] = ACTIONS(5698),
    [anon_sym_SLASH] = ACTIONS(5700),
    [anon_sym_PERCENT] = ACTIONS(5698),
    [anon_sym_PIPE_PIPE] = ACTIONS(5698),
    [anon_sym_AMP_AMP] = ACTIONS(5698),
    [anon_sym_PIPE] = ACTIONS(5700),
    [anon_sym_CARET] = ACTIONS(5698),
    [anon_sym_AMP] = ACTIONS(5700),
    [anon_sym_EQ_EQ] = ACTIONS(5698),
    [anon_sym_BANG_EQ] = ACTIONS(5698),
    [anon_sym_GT] = ACTIONS(5700),
    [anon_sym_GT_EQ] = ACTIONS(5700),
    [anon_sym_LT_EQ] = ACTIONS(5700),
    [anon_sym_LT] = ACTIONS(5700),
    [anon_sym_LT_LT] = ACTIONS(5698),
    [anon_sym_GT_GT] = ACTIONS(5700),
    [anon_sym___extension__] = ACTIONS(5698),
    [anon_sym___attribute__] = ACTIONS(5698),
    [anon_sym_LBRACE] = ACTIONS(5698),
    [anon_sym_signed] = ACTIONS(5970),
    [anon_sym_unsigned] = ACTIONS(5970),
    [anon_sym_long] = ACTIONS(5970),
    [anon_sym_short] = ACTIONS(5970),
    [anon_sym_LBRACK] = ACTIONS(5698),
    [anon_sym_const] = ACTIONS(5700),
    [anon_sym_constexpr] = ACTIONS(5698),
    [anon_sym_volatile] = ACTIONS(5698),
    [anon_sym_restrict] = ACTIONS(5698),
    [anon_sym___restrict__] = ACTIONS(5698),
    [anon_sym__Atomic] = ACTIONS(5698),
    [anon_sym__Noreturn] = ACTIONS(5698),
    [anon_sym_noreturn] = ACTIONS(5698),
    [anon_sym__Nonnull] = ACTIONS(5698),
    [anon_sym_mutable] = ACTIONS(5698),
    [anon_sym_constinit] = ACTIONS(5698),
    [anon_sym_consteval] = ACTIONS(5698),
    [anon_sym_PROGMEM] = ACTIONS(5698),
    [anon_sym_alignas] = ACTIONS(5698),
    [anon_sym__Alignas] = ACTIONS(5698),
    [anon_sym_QMARK] = ACTIONS(5698),
    [anon_sym_LT_EQ_GT] = ACTIONS(5698),
    [anon_sym_or] = ACTIONS(5698),
    [anon_sym_and] = ACTIONS(5698),
    [anon_sym_bitor] = ACTIONS(5698),
    [anon_sym_xor] = ACTIONS(5698),
    [anon_sym_bitand] = ACTIONS(5698),
    [anon_sym_not_eq] = ACTIONS(5698),
    [anon_sym_DASH_DASH] = ACTIONS(5698),
    [anon_sym_PLUS_PLUS] = ACTIONS(5698),
    [anon_sym_DOT] = ACTIONS(5700),
    [anon_sym_DOT_STAR] = ACTIONS(5698),
    [anon_sym_DASH_GT] = ACTIONS(5698),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5698),
    [anon_sym_decltype] = ACTIONS(5698),
    [anon_sym_final] = ACTIONS(5698),
    [anon_sym_override] = ACTIONS(5698),
    [anon_sym_GT2] = ACTIONS(5698),
    [anon_sym_requires] = ACTIONS(5698),
  },
  [2205] = {
    [sym_attribute_specifier] = STATE(1767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5880),
    [anon_sym_COMMA] = ACTIONS(5880),
    [anon_sym_RPAREN] = ACTIONS(5880),
    [anon_sym_LPAREN2] = ACTIONS(5880),
    [anon_sym_DASH] = ACTIONS(5878),
    [anon_sym_PLUS] = ACTIONS(5878),
    [anon_sym_STAR] = ACTIONS(5880),
    [anon_sym_SLASH] = ACTIONS(5878),
    [anon_sym_PERCENT] = ACTIONS(5880),
    [anon_sym_PIPE_PIPE] = ACTIONS(5880),
    [anon_sym_AMP_AMP] = ACTIONS(5880),
    [anon_sym_PIPE] = ACTIONS(5878),
    [anon_sym_CARET] = ACTIONS(5880),
    [anon_sym_AMP] = ACTIONS(5878),
    [anon_sym_EQ_EQ] = ACTIONS(5880),
    [anon_sym_BANG_EQ] = ACTIONS(5880),
    [anon_sym_GT] = ACTIONS(5878),
    [anon_sym_GT_EQ] = ACTIONS(5880),
    [anon_sym_LT_EQ] = ACTIONS(5878),
    [anon_sym_LT] = ACTIONS(5878),
    [anon_sym_LT_LT] = ACTIONS(5880),
    [anon_sym_GT_GT] = ACTIONS(5880),
    [anon_sym_SEMI] = ACTIONS(5880),
    [anon_sym___extension__] = ACTIONS(5880),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5880),
    [anon_sym_RBRACE] = ACTIONS(5880),
    [anon_sym_LBRACK] = ACTIONS(5880),
    [anon_sym_RBRACK] = ACTIONS(5880),
    [anon_sym_const] = ACTIONS(5878),
    [anon_sym_constexpr] = ACTIONS(5880),
    [anon_sym_volatile] = ACTIONS(5880),
    [anon_sym_restrict] = ACTIONS(5880),
    [anon_sym___restrict__] = ACTIONS(5880),
    [anon_sym__Atomic] = ACTIONS(5880),
    [anon_sym__Noreturn] = ACTIONS(5880),
    [anon_sym_noreturn] = ACTIONS(5880),
    [anon_sym__Nonnull] = ACTIONS(5880),
    [anon_sym_mutable] = ACTIONS(5880),
    [anon_sym_constinit] = ACTIONS(5880),
    [anon_sym_consteval] = ACTIONS(5880),
    [anon_sym_PROGMEM] = ACTIONS(5880),
    [anon_sym_alignas] = ACTIONS(5880),
    [anon_sym__Alignas] = ACTIONS(5880),
    [anon_sym_COLON] = ACTIONS(5880),
    [anon_sym_QMARK] = ACTIONS(5880),
    [anon_sym_LT_EQ_GT] = ACTIONS(5880),
    [anon_sym_or] = ACTIONS(5880),
    [anon_sym_and] = ACTIONS(5880),
    [anon_sym_bitor] = ACTIONS(5880),
    [anon_sym_xor] = ACTIONS(5880),
    [anon_sym_bitand] = ACTIONS(5880),
    [anon_sym_not_eq] = ACTIONS(5880),
    [anon_sym_DASH_DASH] = ACTIONS(5880),
    [anon_sym_PLUS_PLUS] = ACTIONS(5880),
    [anon_sym_DOT] = ACTIONS(5878),
    [anon_sym_DOT_STAR] = ACTIONS(5880),
    [anon_sym_DASH_GT] = ACTIONS(5880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5880),
    [anon_sym_decltype] = ACTIONS(5880),
    [anon_sym_final] = ACTIONS(5880),
    [anon_sym_override] = ACTIONS(5880),
    [anon_sym_requires] = ACTIONS(5880),
  },
  [2206] = {
    [sym_attribute_specifier] = STATE(1803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5936),
    [anon_sym_COMMA] = ACTIONS(5936),
    [anon_sym_RPAREN] = ACTIONS(5936),
    [anon_sym_LPAREN2] = ACTIONS(5936),
    [anon_sym_DASH] = ACTIONS(5934),
    [anon_sym_PLUS] = ACTIONS(5934),
    [anon_sym_STAR] = ACTIONS(5936),
    [anon_sym_SLASH] = ACTIONS(5934),
    [anon_sym_PERCENT] = ACTIONS(5936),
    [anon_sym_PIPE_PIPE] = ACTIONS(5936),
    [anon_sym_AMP_AMP] = ACTIONS(5936),
    [anon_sym_PIPE] = ACTIONS(5934),
    [anon_sym_CARET] = ACTIONS(5936),
    [anon_sym_AMP] = ACTIONS(5934),
    [anon_sym_EQ_EQ] = ACTIONS(5936),
    [anon_sym_BANG_EQ] = ACTIONS(5936),
    [anon_sym_GT] = ACTIONS(5934),
    [anon_sym_GT_EQ] = ACTIONS(5936),
    [anon_sym_LT_EQ] = ACTIONS(5934),
    [anon_sym_LT] = ACTIONS(5934),
    [anon_sym_LT_LT] = ACTIONS(5936),
    [anon_sym_GT_GT] = ACTIONS(5936),
    [anon_sym_SEMI] = ACTIONS(5936),
    [anon_sym___extension__] = ACTIONS(5936),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5936),
    [anon_sym_RBRACE] = ACTIONS(5936),
    [anon_sym_LBRACK] = ACTIONS(5936),
    [anon_sym_RBRACK] = ACTIONS(5936),
    [anon_sym_const] = ACTIONS(5934),
    [anon_sym_constexpr] = ACTIONS(5936),
    [anon_sym_volatile] = ACTIONS(5936),
    [anon_sym_restrict] = ACTIONS(5936),
    [anon_sym___restrict__] = ACTIONS(5936),
    [anon_sym__Atomic] = ACTIONS(5936),
    [anon_sym__Noreturn] = ACTIONS(5936),
    [anon_sym_noreturn] = ACTIONS(5936),
    [anon_sym__Nonnull] = ACTIONS(5936),
    [anon_sym_mutable] = ACTIONS(5936),
    [anon_sym_constinit] = ACTIONS(5936),
    [anon_sym_consteval] = ACTIONS(5936),
    [anon_sym_PROGMEM] = ACTIONS(5936),
    [anon_sym_alignas] = ACTIONS(5936),
    [anon_sym__Alignas] = ACTIONS(5936),
    [anon_sym_COLON] = ACTIONS(5936),
    [anon_sym_QMARK] = ACTIONS(5936),
    [anon_sym_LT_EQ_GT] = ACTIONS(5936),
    [anon_sym_or] = ACTIONS(5936),
    [anon_sym_and] = ACTIONS(5936),
    [anon_sym_bitor] = ACTIONS(5936),
    [anon_sym_xor] = ACTIONS(5936),
    [anon_sym_bitand] = ACTIONS(5936),
    [anon_sym_not_eq] = ACTIONS(5936),
    [anon_sym_DASH_DASH] = ACTIONS(5936),
    [anon_sym_PLUS_PLUS] = ACTIONS(5936),
    [anon_sym_DOT] = ACTIONS(5934),
    [anon_sym_DOT_STAR] = ACTIONS(5936),
    [anon_sym_DASH_GT] = ACTIONS(5936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5936),
    [anon_sym_decltype] = ACTIONS(5936),
    [anon_sym_final] = ACTIONS(5936),
    [anon_sym_override] = ACTIONS(5936),
    [anon_sym_requires] = ACTIONS(5936),
  },
  [2207] = {
    [sym_identifier] = ACTIONS(5404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5406),
    [anon_sym_COMMA] = ACTIONS(5406),
    [anon_sym_RPAREN] = ACTIONS(5406),
    [aux_sym_preproc_if_token2] = ACTIONS(5406),
    [aux_sym_preproc_else_token1] = ACTIONS(5406),
    [aux_sym_preproc_elif_token1] = ACTIONS(5404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5406),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5406),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_DASH] = ACTIONS(5404),
    [anon_sym_PLUS] = ACTIONS(5404),
    [anon_sym_STAR] = ACTIONS(5404),
    [anon_sym_SLASH] = ACTIONS(5404),
    [anon_sym_PERCENT] = ACTIONS(5404),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_PIPE] = ACTIONS(5404),
    [anon_sym_CARET] = ACTIONS(5404),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5406),
    [anon_sym_GT] = ACTIONS(5404),
    [anon_sym_GT_EQ] = ACTIONS(5406),
    [anon_sym_LT_EQ] = ACTIONS(5404),
    [anon_sym_LT] = ACTIONS(5404),
    [anon_sym_LT_LT] = ACTIONS(5404),
    [anon_sym_GT_GT] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___attribute__] = ACTIONS(5404),
    [anon_sym_LBRACE] = ACTIONS(5406),
    [anon_sym_RBRACE] = ACTIONS(5406),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_RBRACK] = ACTIONS(5406),
    [anon_sym_EQ] = ACTIONS(5404),
    [anon_sym_COLON] = ACTIONS(5406),
    [anon_sym_QMARK] = ACTIONS(5406),
    [anon_sym_STAR_EQ] = ACTIONS(5406),
    [anon_sym_SLASH_EQ] = ACTIONS(5406),
    [anon_sym_PERCENT_EQ] = ACTIONS(5406),
    [anon_sym_PLUS_EQ] = ACTIONS(5406),
    [anon_sym_DASH_EQ] = ACTIONS(5406),
    [anon_sym_LT_LT_EQ] = ACTIONS(5406),
    [anon_sym_GT_GT_EQ] = ACTIONS(5406),
    [anon_sym_AMP_EQ] = ACTIONS(5406),
    [anon_sym_CARET_EQ] = ACTIONS(5406),
    [anon_sym_PIPE_EQ] = ACTIONS(5406),
    [anon_sym_and_eq] = ACTIONS(5404),
    [anon_sym_or_eq] = ACTIONS(5404),
    [anon_sym_xor_eq] = ACTIONS(5404),
    [anon_sym_LT_EQ_GT] = ACTIONS(5406),
    [anon_sym_or] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(5404),
    [anon_sym_bitor] = ACTIONS(5404),
    [anon_sym_xor] = ACTIONS(5404),
    [anon_sym_bitand] = ACTIONS(5404),
    [anon_sym_not_eq] = ACTIONS(5404),
    [anon_sym_DASH_DASH] = ACTIONS(5406),
    [anon_sym_PLUS_PLUS] = ACTIONS(5406),
    [anon_sym_DOT] = ACTIONS(5404),
    [anon_sym_DOT_STAR] = ACTIONS(5406),
    [anon_sym_DASH_GT] = ACTIONS(5406),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
  },
  [2208] = {
    [sym_identifier] = ACTIONS(5972),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5974),
    [anon_sym_COMMA] = ACTIONS(5974),
    [anon_sym_RPAREN] = ACTIONS(5974),
    [aux_sym_preproc_if_token2] = ACTIONS(5974),
    [aux_sym_preproc_else_token1] = ACTIONS(5974),
    [aux_sym_preproc_elif_token1] = ACTIONS(5972),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5974),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5974),
    [anon_sym_LPAREN2] = ACTIONS(5974),
    [anon_sym_DASH] = ACTIONS(5972),
    [anon_sym_PLUS] = ACTIONS(5972),
    [anon_sym_STAR] = ACTIONS(5972),
    [anon_sym_SLASH] = ACTIONS(5972),
    [anon_sym_PERCENT] = ACTIONS(5972),
    [anon_sym_PIPE_PIPE] = ACTIONS(5974),
    [anon_sym_AMP_AMP] = ACTIONS(5974),
    [anon_sym_PIPE] = ACTIONS(5972),
    [anon_sym_CARET] = ACTIONS(5972),
    [anon_sym_AMP] = ACTIONS(5972),
    [anon_sym_EQ_EQ] = ACTIONS(5974),
    [anon_sym_BANG_EQ] = ACTIONS(5974),
    [anon_sym_GT] = ACTIONS(5972),
    [anon_sym_GT_EQ] = ACTIONS(5974),
    [anon_sym_LT_EQ] = ACTIONS(5972),
    [anon_sym_LT] = ACTIONS(5972),
    [anon_sym_LT_LT] = ACTIONS(5972),
    [anon_sym_GT_GT] = ACTIONS(5972),
    [anon_sym_SEMI] = ACTIONS(5974),
    [anon_sym___attribute__] = ACTIONS(5972),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5974),
    [anon_sym_LBRACE] = ACTIONS(5974),
    [anon_sym_RBRACE] = ACTIONS(5974),
    [anon_sym_LBRACK] = ACTIONS(5972),
    [anon_sym_RBRACK] = ACTIONS(5974),
    [anon_sym_EQ] = ACTIONS(5972),
    [anon_sym_COLON] = ACTIONS(5974),
    [anon_sym_QMARK] = ACTIONS(5974),
    [anon_sym_STAR_EQ] = ACTIONS(5974),
    [anon_sym_SLASH_EQ] = ACTIONS(5974),
    [anon_sym_PERCENT_EQ] = ACTIONS(5974),
    [anon_sym_PLUS_EQ] = ACTIONS(5974),
    [anon_sym_DASH_EQ] = ACTIONS(5974),
    [anon_sym_LT_LT_EQ] = ACTIONS(5974),
    [anon_sym_GT_GT_EQ] = ACTIONS(5974),
    [anon_sym_AMP_EQ] = ACTIONS(5974),
    [anon_sym_CARET_EQ] = ACTIONS(5974),
    [anon_sym_PIPE_EQ] = ACTIONS(5974),
    [anon_sym_and_eq] = ACTIONS(5972),
    [anon_sym_or_eq] = ACTIONS(5972),
    [anon_sym_xor_eq] = ACTIONS(5972),
    [anon_sym_LT_EQ_GT] = ACTIONS(5974),
    [anon_sym_or] = ACTIONS(5972),
    [anon_sym_and] = ACTIONS(5972),
    [anon_sym_bitor] = ACTIONS(5972),
    [anon_sym_xor] = ACTIONS(5972),
    [anon_sym_bitand] = ACTIONS(5972),
    [anon_sym_not_eq] = ACTIONS(5972),
    [anon_sym_DASH_DASH] = ACTIONS(5974),
    [anon_sym_PLUS_PLUS] = ACTIONS(5974),
    [anon_sym_DOT] = ACTIONS(5972),
    [anon_sym_DOT_STAR] = ACTIONS(5974),
    [anon_sym_DASH_GT] = ACTIONS(5974),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5972),
  },
  [2209] = {
    [sym_attribute_specifier] = STATE(2636),
    [sym_field_declaration_list] = STATE(2550),
    [sym_virtual_specifier] = STATE(6654),
    [sym_base_class_clause] = STATE(7174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5586),
    [anon_sym_COMMA] = ACTIONS(5586),
    [anon_sym_LPAREN2] = ACTIONS(5586),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_STAR] = ACTIONS(5586),
    [anon_sym_SLASH] = ACTIONS(5584),
    [anon_sym_PERCENT] = ACTIONS(5586),
    [anon_sym_PIPE_PIPE] = ACTIONS(5586),
    [anon_sym_AMP_AMP] = ACTIONS(5586),
    [anon_sym_PIPE] = ACTIONS(5584),
    [anon_sym_CARET] = ACTIONS(5586),
    [anon_sym_AMP] = ACTIONS(5584),
    [anon_sym_EQ_EQ] = ACTIONS(5586),
    [anon_sym_BANG_EQ] = ACTIONS(5586),
    [anon_sym_GT] = ACTIONS(5584),
    [anon_sym_GT_EQ] = ACTIONS(5584),
    [anon_sym_LT_EQ] = ACTIONS(5584),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(5586),
    [anon_sym_GT_GT] = ACTIONS(5584),
    [anon_sym___extension__] = ACTIONS(5586),
    [anon_sym___attribute__] = ACTIONS(5976),
    [anon_sym_LBRACE] = ACTIONS(5978),
    [anon_sym_LBRACK] = ACTIONS(5586),
    [anon_sym_const] = ACTIONS(5584),
    [anon_sym_constexpr] = ACTIONS(5586),
    [anon_sym_volatile] = ACTIONS(5586),
    [anon_sym_restrict] = ACTIONS(5586),
    [anon_sym___restrict__] = ACTIONS(5586),
    [anon_sym__Atomic] = ACTIONS(5586),
    [anon_sym__Noreturn] = ACTIONS(5586),
    [anon_sym_noreturn] = ACTIONS(5586),
    [anon_sym__Nonnull] = ACTIONS(5586),
    [anon_sym_mutable] = ACTIONS(5586),
    [anon_sym_constinit] = ACTIONS(5586),
    [anon_sym_consteval] = ACTIONS(5586),
    [anon_sym_PROGMEM] = ACTIONS(5586),
    [anon_sym_alignas] = ACTIONS(5586),
    [anon_sym__Alignas] = ACTIONS(5586),
    [anon_sym_COLON] = ACTIONS(5592),
    [anon_sym_QMARK] = ACTIONS(5586),
    [anon_sym_LT_EQ_GT] = ACTIONS(5586),
    [anon_sym_or] = ACTIONS(5586),
    [anon_sym_and] = ACTIONS(5586),
    [anon_sym_bitor] = ACTIONS(5586),
    [anon_sym_xor] = ACTIONS(5586),
    [anon_sym_bitand] = ACTIONS(5586),
    [anon_sym_not_eq] = ACTIONS(5586),
    [anon_sym_DASH_DASH] = ACTIONS(5586),
    [anon_sym_PLUS_PLUS] = ACTIONS(5586),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_DOT_STAR] = ACTIONS(5586),
    [anon_sym_DASH_GT] = ACTIONS(5586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5586),
    [anon_sym_decltype] = ACTIONS(5586),
    [anon_sym_final] = ACTIONS(5710),
    [anon_sym_override] = ACTIONS(5710),
    [anon_sym_GT2] = ACTIONS(5586),
    [anon_sym_requires] = ACTIONS(5586),
  },
  [2210] = {
    [sym_identifier] = ACTIONS(5980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5982),
    [anon_sym_COMMA] = ACTIONS(5982),
    [anon_sym_RPAREN] = ACTIONS(5982),
    [aux_sym_preproc_if_token2] = ACTIONS(5982),
    [aux_sym_preproc_else_token1] = ACTIONS(5982),
    [aux_sym_preproc_elif_token1] = ACTIONS(5980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5982),
    [anon_sym_LPAREN2] = ACTIONS(5982),
    [anon_sym_DASH] = ACTIONS(5980),
    [anon_sym_PLUS] = ACTIONS(5980),
    [anon_sym_STAR] = ACTIONS(5980),
    [anon_sym_SLASH] = ACTIONS(5980),
    [anon_sym_PERCENT] = ACTIONS(5980),
    [anon_sym_PIPE_PIPE] = ACTIONS(5982),
    [anon_sym_AMP_AMP] = ACTIONS(5982),
    [anon_sym_PIPE] = ACTIONS(5980),
    [anon_sym_CARET] = ACTIONS(5980),
    [anon_sym_AMP] = ACTIONS(5980),
    [anon_sym_EQ_EQ] = ACTIONS(5982),
    [anon_sym_BANG_EQ] = ACTIONS(5982),
    [anon_sym_GT] = ACTIONS(5980),
    [anon_sym_GT_EQ] = ACTIONS(5982),
    [anon_sym_LT_EQ] = ACTIONS(5980),
    [anon_sym_LT] = ACTIONS(5980),
    [anon_sym_LT_LT] = ACTIONS(5980),
    [anon_sym_GT_GT] = ACTIONS(5980),
    [anon_sym_SEMI] = ACTIONS(5982),
    [anon_sym___attribute__] = ACTIONS(5980),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5982),
    [anon_sym_LBRACE] = ACTIONS(5982),
    [anon_sym_RBRACE] = ACTIONS(5982),
    [anon_sym_LBRACK] = ACTIONS(5980),
    [anon_sym_RBRACK] = ACTIONS(5982),
    [anon_sym_EQ] = ACTIONS(5980),
    [anon_sym_COLON] = ACTIONS(5982),
    [anon_sym_QMARK] = ACTIONS(5982),
    [anon_sym_STAR_EQ] = ACTIONS(5982),
    [anon_sym_SLASH_EQ] = ACTIONS(5982),
    [anon_sym_PERCENT_EQ] = ACTIONS(5982),
    [anon_sym_PLUS_EQ] = ACTIONS(5982),
    [anon_sym_DASH_EQ] = ACTIONS(5982),
    [anon_sym_LT_LT_EQ] = ACTIONS(5982),
    [anon_sym_GT_GT_EQ] = ACTIONS(5982),
    [anon_sym_AMP_EQ] = ACTIONS(5982),
    [anon_sym_CARET_EQ] = ACTIONS(5982),
    [anon_sym_PIPE_EQ] = ACTIONS(5982),
    [anon_sym_and_eq] = ACTIONS(5980),
    [anon_sym_or_eq] = ACTIONS(5980),
    [anon_sym_xor_eq] = ACTIONS(5980),
    [anon_sym_LT_EQ_GT] = ACTIONS(5982),
    [anon_sym_or] = ACTIONS(5980),
    [anon_sym_and] = ACTIONS(5980),
    [anon_sym_bitor] = ACTIONS(5980),
    [anon_sym_xor] = ACTIONS(5980),
    [anon_sym_bitand] = ACTIONS(5980),
    [anon_sym_not_eq] = ACTIONS(5980),
    [anon_sym_DASH_DASH] = ACTIONS(5982),
    [anon_sym_PLUS_PLUS] = ACTIONS(5982),
    [anon_sym_DOT] = ACTIONS(5980),
    [anon_sym_DOT_STAR] = ACTIONS(5982),
    [anon_sym_DASH_GT] = ACTIONS(5982),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5980),
  },
  [2211] = {
    [sym_identifier] = ACTIONS(5420),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5422),
    [anon_sym_COMMA] = ACTIONS(5422),
    [anon_sym_RPAREN] = ACTIONS(5422),
    [aux_sym_preproc_if_token2] = ACTIONS(5422),
    [aux_sym_preproc_else_token1] = ACTIONS(5422),
    [aux_sym_preproc_elif_token1] = ACTIONS(5420),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5422),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5422),
    [anon_sym_LPAREN2] = ACTIONS(5422),
    [anon_sym_DASH] = ACTIONS(5420),
    [anon_sym_PLUS] = ACTIONS(5420),
    [anon_sym_STAR] = ACTIONS(5420),
    [anon_sym_SLASH] = ACTIONS(5420),
    [anon_sym_PERCENT] = ACTIONS(5420),
    [anon_sym_PIPE_PIPE] = ACTIONS(5422),
    [anon_sym_AMP_AMP] = ACTIONS(5422),
    [anon_sym_PIPE] = ACTIONS(5420),
    [anon_sym_CARET] = ACTIONS(5420),
    [anon_sym_AMP] = ACTIONS(5420),
    [anon_sym_EQ_EQ] = ACTIONS(5422),
    [anon_sym_BANG_EQ] = ACTIONS(5422),
    [anon_sym_GT] = ACTIONS(5420),
    [anon_sym_GT_EQ] = ACTIONS(5422),
    [anon_sym_LT_EQ] = ACTIONS(5420),
    [anon_sym_LT] = ACTIONS(5420),
    [anon_sym_LT_LT] = ACTIONS(5420),
    [anon_sym_GT_GT] = ACTIONS(5420),
    [anon_sym_SEMI] = ACTIONS(5422),
    [anon_sym___attribute__] = ACTIONS(5420),
    [anon_sym_LBRACE] = ACTIONS(5422),
    [anon_sym_RBRACE] = ACTIONS(5422),
    [anon_sym_LBRACK] = ACTIONS(5422),
    [anon_sym_RBRACK] = ACTIONS(5422),
    [anon_sym_EQ] = ACTIONS(5420),
    [anon_sym_COLON] = ACTIONS(5422),
    [anon_sym_QMARK] = ACTIONS(5422),
    [anon_sym_STAR_EQ] = ACTIONS(5422),
    [anon_sym_SLASH_EQ] = ACTIONS(5422),
    [anon_sym_PERCENT_EQ] = ACTIONS(5422),
    [anon_sym_PLUS_EQ] = ACTIONS(5422),
    [anon_sym_DASH_EQ] = ACTIONS(5422),
    [anon_sym_LT_LT_EQ] = ACTIONS(5422),
    [anon_sym_GT_GT_EQ] = ACTIONS(5422),
    [anon_sym_AMP_EQ] = ACTIONS(5422),
    [anon_sym_CARET_EQ] = ACTIONS(5422),
    [anon_sym_PIPE_EQ] = ACTIONS(5422),
    [anon_sym_and_eq] = ACTIONS(5420),
    [anon_sym_or_eq] = ACTIONS(5420),
    [anon_sym_xor_eq] = ACTIONS(5420),
    [anon_sym_LT_EQ_GT] = ACTIONS(5422),
    [anon_sym_or] = ACTIONS(5420),
    [anon_sym_and] = ACTIONS(5420),
    [anon_sym_bitor] = ACTIONS(5420),
    [anon_sym_xor] = ACTIONS(5420),
    [anon_sym_bitand] = ACTIONS(5420),
    [anon_sym_not_eq] = ACTIONS(5420),
    [anon_sym_DASH_DASH] = ACTIONS(5422),
    [anon_sym_PLUS_PLUS] = ACTIONS(5422),
    [anon_sym_DOT] = ACTIONS(5420),
    [anon_sym_DOT_STAR] = ACTIONS(5422),
    [anon_sym_DASH_GT] = ACTIONS(5422),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5420),
    [anon_sym_decltype] = ACTIONS(5420),
  },
  [2212] = {
    [sym_identifier] = ACTIONS(5462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5464),
    [anon_sym_COMMA] = ACTIONS(5464),
    [anon_sym_RPAREN] = ACTIONS(5464),
    [aux_sym_preproc_if_token2] = ACTIONS(5464),
    [aux_sym_preproc_else_token1] = ACTIONS(5464),
    [aux_sym_preproc_elif_token1] = ACTIONS(5462),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5464),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5464),
    [anon_sym_LPAREN2] = ACTIONS(5464),
    [anon_sym_DASH] = ACTIONS(5462),
    [anon_sym_PLUS] = ACTIONS(5462),
    [anon_sym_STAR] = ACTIONS(5462),
    [anon_sym_SLASH] = ACTIONS(5462),
    [anon_sym_PERCENT] = ACTIONS(5462),
    [anon_sym_PIPE_PIPE] = ACTIONS(5464),
    [anon_sym_AMP_AMP] = ACTIONS(5464),
    [anon_sym_PIPE] = ACTIONS(5462),
    [anon_sym_CARET] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(5462),
    [anon_sym_EQ_EQ] = ACTIONS(5464),
    [anon_sym_BANG_EQ] = ACTIONS(5464),
    [anon_sym_GT] = ACTIONS(5462),
    [anon_sym_GT_EQ] = ACTIONS(5464),
    [anon_sym_LT_EQ] = ACTIONS(5462),
    [anon_sym_LT] = ACTIONS(5462),
    [anon_sym_LT_LT] = ACTIONS(5462),
    [anon_sym_GT_GT] = ACTIONS(5462),
    [anon_sym_SEMI] = ACTIONS(5464),
    [anon_sym___attribute__] = ACTIONS(5462),
    [anon_sym_LBRACE] = ACTIONS(5464),
    [anon_sym_RBRACE] = ACTIONS(5464),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_RBRACK] = ACTIONS(5464),
    [anon_sym_EQ] = ACTIONS(5462),
    [anon_sym_COLON] = ACTIONS(5464),
    [anon_sym_QMARK] = ACTIONS(5464),
    [anon_sym_STAR_EQ] = ACTIONS(5464),
    [anon_sym_SLASH_EQ] = ACTIONS(5464),
    [anon_sym_PERCENT_EQ] = ACTIONS(5464),
    [anon_sym_PLUS_EQ] = ACTIONS(5464),
    [anon_sym_DASH_EQ] = ACTIONS(5464),
    [anon_sym_LT_LT_EQ] = ACTIONS(5464),
    [anon_sym_GT_GT_EQ] = ACTIONS(5464),
    [anon_sym_AMP_EQ] = ACTIONS(5464),
    [anon_sym_CARET_EQ] = ACTIONS(5464),
    [anon_sym_PIPE_EQ] = ACTIONS(5464),
    [anon_sym_and_eq] = ACTIONS(5462),
    [anon_sym_or_eq] = ACTIONS(5462),
    [anon_sym_xor_eq] = ACTIONS(5462),
    [anon_sym_LT_EQ_GT] = ACTIONS(5464),
    [anon_sym_or] = ACTIONS(5462),
    [anon_sym_and] = ACTIONS(5462),
    [anon_sym_bitor] = ACTIONS(5462),
    [anon_sym_xor] = ACTIONS(5462),
    [anon_sym_bitand] = ACTIONS(5462),
    [anon_sym_not_eq] = ACTIONS(5462),
    [anon_sym_DASH_DASH] = ACTIONS(5464),
    [anon_sym_PLUS_PLUS] = ACTIONS(5464),
    [anon_sym_DOT] = ACTIONS(5462),
    [anon_sym_DOT_STAR] = ACTIONS(5464),
    [anon_sym_DASH_GT] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5462),
    [anon_sym_decltype] = ACTIONS(5462),
  },
  [2213] = {
    [sym_identifier] = ACTIONS(5984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5986),
    [anon_sym_COMMA] = ACTIONS(5986),
    [anon_sym_RPAREN] = ACTIONS(5986),
    [aux_sym_preproc_if_token2] = ACTIONS(5986),
    [aux_sym_preproc_else_token1] = ACTIONS(5986),
    [aux_sym_preproc_elif_token1] = ACTIONS(5984),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5986),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5986),
    [anon_sym_LPAREN2] = ACTIONS(5986),
    [anon_sym_DASH] = ACTIONS(5984),
    [anon_sym_PLUS] = ACTIONS(5984),
    [anon_sym_STAR] = ACTIONS(5984),
    [anon_sym_SLASH] = ACTIONS(5984),
    [anon_sym_PERCENT] = ACTIONS(5984),
    [anon_sym_PIPE_PIPE] = ACTIONS(5986),
    [anon_sym_AMP_AMP] = ACTIONS(5986),
    [anon_sym_PIPE] = ACTIONS(5984),
    [anon_sym_CARET] = ACTIONS(5984),
    [anon_sym_AMP] = ACTIONS(5984),
    [anon_sym_EQ_EQ] = ACTIONS(5986),
    [anon_sym_BANG_EQ] = ACTIONS(5986),
    [anon_sym_GT] = ACTIONS(5984),
    [anon_sym_GT_EQ] = ACTIONS(5986),
    [anon_sym_LT_EQ] = ACTIONS(5984),
    [anon_sym_LT] = ACTIONS(5984),
    [anon_sym_LT_LT] = ACTIONS(5984),
    [anon_sym_GT_GT] = ACTIONS(5984),
    [anon_sym_SEMI] = ACTIONS(5986),
    [anon_sym___attribute__] = ACTIONS(5984),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5986),
    [anon_sym_LBRACE] = ACTIONS(5986),
    [anon_sym_RBRACE] = ACTIONS(5986),
    [anon_sym_LBRACK] = ACTIONS(5984),
    [anon_sym_RBRACK] = ACTIONS(5986),
    [anon_sym_EQ] = ACTIONS(5984),
    [anon_sym_COLON] = ACTIONS(5986),
    [anon_sym_QMARK] = ACTIONS(5986),
    [anon_sym_STAR_EQ] = ACTIONS(5986),
    [anon_sym_SLASH_EQ] = ACTIONS(5986),
    [anon_sym_PERCENT_EQ] = ACTIONS(5986),
    [anon_sym_PLUS_EQ] = ACTIONS(5986),
    [anon_sym_DASH_EQ] = ACTIONS(5986),
    [anon_sym_LT_LT_EQ] = ACTIONS(5986),
    [anon_sym_GT_GT_EQ] = ACTIONS(5986),
    [anon_sym_AMP_EQ] = ACTIONS(5986),
    [anon_sym_CARET_EQ] = ACTIONS(5986),
    [anon_sym_PIPE_EQ] = ACTIONS(5986),
    [anon_sym_and_eq] = ACTIONS(5984),
    [anon_sym_or_eq] = ACTIONS(5984),
    [anon_sym_xor_eq] = ACTIONS(5984),
    [anon_sym_LT_EQ_GT] = ACTIONS(5986),
    [anon_sym_or] = ACTIONS(5984),
    [anon_sym_and] = ACTIONS(5984),
    [anon_sym_bitor] = ACTIONS(5984),
    [anon_sym_xor] = ACTIONS(5984),
    [anon_sym_bitand] = ACTIONS(5984),
    [anon_sym_not_eq] = ACTIONS(5984),
    [anon_sym_DASH_DASH] = ACTIONS(5986),
    [anon_sym_PLUS_PLUS] = ACTIONS(5986),
    [anon_sym_DOT] = ACTIONS(5984),
    [anon_sym_DOT_STAR] = ACTIONS(5986),
    [anon_sym_DASH_GT] = ACTIONS(5986),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5984),
  },
  [2214] = {
    [sym_identifier] = ACTIONS(5988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5990),
    [anon_sym_COMMA] = ACTIONS(5990),
    [anon_sym_RPAREN] = ACTIONS(5990),
    [aux_sym_preproc_if_token2] = ACTIONS(5990),
    [aux_sym_preproc_else_token1] = ACTIONS(5990),
    [aux_sym_preproc_elif_token1] = ACTIONS(5988),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5990),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5990),
    [anon_sym_LPAREN2] = ACTIONS(5990),
    [anon_sym_DASH] = ACTIONS(5988),
    [anon_sym_PLUS] = ACTIONS(5988),
    [anon_sym_STAR] = ACTIONS(5988),
    [anon_sym_SLASH] = ACTIONS(5988),
    [anon_sym_PERCENT] = ACTIONS(5988),
    [anon_sym_PIPE_PIPE] = ACTIONS(5990),
    [anon_sym_AMP_AMP] = ACTIONS(5990),
    [anon_sym_PIPE] = ACTIONS(5988),
    [anon_sym_CARET] = ACTIONS(5988),
    [anon_sym_AMP] = ACTIONS(5988),
    [anon_sym_EQ_EQ] = ACTIONS(5990),
    [anon_sym_BANG_EQ] = ACTIONS(5990),
    [anon_sym_GT] = ACTIONS(5988),
    [anon_sym_GT_EQ] = ACTIONS(5990),
    [anon_sym_LT_EQ] = ACTIONS(5988),
    [anon_sym_LT] = ACTIONS(5988),
    [anon_sym_LT_LT] = ACTIONS(5988),
    [anon_sym_GT_GT] = ACTIONS(5988),
    [anon_sym_SEMI] = ACTIONS(5990),
    [anon_sym___attribute__] = ACTIONS(5988),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5990),
    [anon_sym_LBRACE] = ACTIONS(5990),
    [anon_sym_RBRACE] = ACTIONS(5990),
    [anon_sym_LBRACK] = ACTIONS(5988),
    [anon_sym_RBRACK] = ACTIONS(5990),
    [anon_sym_EQ] = ACTIONS(5988),
    [anon_sym_COLON] = ACTIONS(5990),
    [anon_sym_QMARK] = ACTIONS(5990),
    [anon_sym_STAR_EQ] = ACTIONS(5990),
    [anon_sym_SLASH_EQ] = ACTIONS(5990),
    [anon_sym_PERCENT_EQ] = ACTIONS(5990),
    [anon_sym_PLUS_EQ] = ACTIONS(5990),
    [anon_sym_DASH_EQ] = ACTIONS(5990),
    [anon_sym_LT_LT_EQ] = ACTIONS(5990),
    [anon_sym_GT_GT_EQ] = ACTIONS(5990),
    [anon_sym_AMP_EQ] = ACTIONS(5990),
    [anon_sym_CARET_EQ] = ACTIONS(5990),
    [anon_sym_PIPE_EQ] = ACTIONS(5990),
    [anon_sym_and_eq] = ACTIONS(5988),
    [anon_sym_or_eq] = ACTIONS(5988),
    [anon_sym_xor_eq] = ACTIONS(5988),
    [anon_sym_LT_EQ_GT] = ACTIONS(5990),
    [anon_sym_or] = ACTIONS(5988),
    [anon_sym_and] = ACTIONS(5988),
    [anon_sym_bitor] = ACTIONS(5988),
    [anon_sym_xor] = ACTIONS(5988),
    [anon_sym_bitand] = ACTIONS(5988),
    [anon_sym_not_eq] = ACTIONS(5988),
    [anon_sym_DASH_DASH] = ACTIONS(5990),
    [anon_sym_PLUS_PLUS] = ACTIONS(5990),
    [anon_sym_DOT] = ACTIONS(5988),
    [anon_sym_DOT_STAR] = ACTIONS(5990),
    [anon_sym_DASH_GT] = ACTIONS(5990),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5988),
  },
  [2215] = {
    [sym_identifier] = ACTIONS(5508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5510),
    [anon_sym_COMMA] = ACTIONS(5510),
    [anon_sym_RPAREN] = ACTIONS(5510),
    [aux_sym_preproc_if_token2] = ACTIONS(5510),
    [aux_sym_preproc_else_token1] = ACTIONS(5510),
    [aux_sym_preproc_elif_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5510),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5510),
    [anon_sym_LPAREN2] = ACTIONS(5510),
    [anon_sym_DASH] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5508),
    [anon_sym_STAR] = ACTIONS(5508),
    [anon_sym_SLASH] = ACTIONS(5508),
    [anon_sym_PERCENT] = ACTIONS(5508),
    [anon_sym_PIPE_PIPE] = ACTIONS(5510),
    [anon_sym_AMP_AMP] = ACTIONS(5510),
    [anon_sym_PIPE] = ACTIONS(5508),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_AMP] = ACTIONS(5508),
    [anon_sym_EQ_EQ] = ACTIONS(5510),
    [anon_sym_BANG_EQ] = ACTIONS(5510),
    [anon_sym_GT] = ACTIONS(5508),
    [anon_sym_GT_EQ] = ACTIONS(5510),
    [anon_sym_LT_EQ] = ACTIONS(5508),
    [anon_sym_LT] = ACTIONS(5508),
    [anon_sym_LT_LT] = ACTIONS(5508),
    [anon_sym_GT_GT] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5510),
    [anon_sym___attribute__] = ACTIONS(5508),
    [anon_sym_LBRACE] = ACTIONS(5510),
    [anon_sym_RBRACE] = ACTIONS(5510),
    [anon_sym_LBRACK] = ACTIONS(5510),
    [anon_sym_RBRACK] = ACTIONS(5510),
    [anon_sym_EQ] = ACTIONS(5508),
    [anon_sym_COLON] = ACTIONS(5510),
    [anon_sym_QMARK] = ACTIONS(5510),
    [anon_sym_STAR_EQ] = ACTIONS(5510),
    [anon_sym_SLASH_EQ] = ACTIONS(5510),
    [anon_sym_PERCENT_EQ] = ACTIONS(5510),
    [anon_sym_PLUS_EQ] = ACTIONS(5510),
    [anon_sym_DASH_EQ] = ACTIONS(5510),
    [anon_sym_LT_LT_EQ] = ACTIONS(5510),
    [anon_sym_GT_GT_EQ] = ACTIONS(5510),
    [anon_sym_AMP_EQ] = ACTIONS(5510),
    [anon_sym_CARET_EQ] = ACTIONS(5510),
    [anon_sym_PIPE_EQ] = ACTIONS(5510),
    [anon_sym_and_eq] = ACTIONS(5508),
    [anon_sym_or_eq] = ACTIONS(5508),
    [anon_sym_xor_eq] = ACTIONS(5508),
    [anon_sym_LT_EQ_GT] = ACTIONS(5510),
    [anon_sym_or] = ACTIONS(5508),
    [anon_sym_and] = ACTIONS(5508),
    [anon_sym_bitor] = ACTIONS(5508),
    [anon_sym_xor] = ACTIONS(5508),
    [anon_sym_bitand] = ACTIONS(5508),
    [anon_sym_not_eq] = ACTIONS(5508),
    [anon_sym_DASH_DASH] = ACTIONS(5510),
    [anon_sym_PLUS_PLUS] = ACTIONS(5510),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_DOT_STAR] = ACTIONS(5510),
    [anon_sym_DASH_GT] = ACTIONS(5510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5508),
    [anon_sym_decltype] = ACTIONS(5508),
  },
  [2216] = {
    [sym_identifier] = ACTIONS(5462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5464),
    [anon_sym_COMMA] = ACTIONS(5464),
    [anon_sym_RPAREN] = ACTIONS(5464),
    [aux_sym_preproc_if_token2] = ACTIONS(5464),
    [aux_sym_preproc_else_token1] = ACTIONS(5464),
    [aux_sym_preproc_elif_token1] = ACTIONS(5462),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5464),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5464),
    [anon_sym_LPAREN2] = ACTIONS(5464),
    [anon_sym_DASH] = ACTIONS(5462),
    [anon_sym_PLUS] = ACTIONS(5462),
    [anon_sym_STAR] = ACTIONS(5462),
    [anon_sym_SLASH] = ACTIONS(5462),
    [anon_sym_PERCENT] = ACTIONS(5462),
    [anon_sym_PIPE_PIPE] = ACTIONS(5464),
    [anon_sym_AMP_AMP] = ACTIONS(5464),
    [anon_sym_PIPE] = ACTIONS(5462),
    [anon_sym_CARET] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(5462),
    [anon_sym_EQ_EQ] = ACTIONS(5464),
    [anon_sym_BANG_EQ] = ACTIONS(5464),
    [anon_sym_GT] = ACTIONS(5462),
    [anon_sym_GT_EQ] = ACTIONS(5464),
    [anon_sym_LT_EQ] = ACTIONS(5462),
    [anon_sym_LT] = ACTIONS(5462),
    [anon_sym_LT_LT] = ACTIONS(5462),
    [anon_sym_GT_GT] = ACTIONS(5462),
    [anon_sym_SEMI] = ACTIONS(5464),
    [anon_sym___attribute__] = ACTIONS(5462),
    [anon_sym_LBRACE] = ACTIONS(5464),
    [anon_sym_RBRACE] = ACTIONS(5464),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_RBRACK] = ACTIONS(5464),
    [anon_sym_EQ] = ACTIONS(5462),
    [anon_sym_COLON] = ACTIONS(5464),
    [anon_sym_QMARK] = ACTIONS(5464),
    [anon_sym_STAR_EQ] = ACTIONS(5464),
    [anon_sym_SLASH_EQ] = ACTIONS(5464),
    [anon_sym_PERCENT_EQ] = ACTIONS(5464),
    [anon_sym_PLUS_EQ] = ACTIONS(5464),
    [anon_sym_DASH_EQ] = ACTIONS(5464),
    [anon_sym_LT_LT_EQ] = ACTIONS(5464),
    [anon_sym_GT_GT_EQ] = ACTIONS(5464),
    [anon_sym_AMP_EQ] = ACTIONS(5464),
    [anon_sym_CARET_EQ] = ACTIONS(5464),
    [anon_sym_PIPE_EQ] = ACTIONS(5464),
    [anon_sym_and_eq] = ACTIONS(5462),
    [anon_sym_or_eq] = ACTIONS(5462),
    [anon_sym_xor_eq] = ACTIONS(5462),
    [anon_sym_LT_EQ_GT] = ACTIONS(5464),
    [anon_sym_or] = ACTIONS(5462),
    [anon_sym_and] = ACTIONS(5462),
    [anon_sym_bitor] = ACTIONS(5462),
    [anon_sym_xor] = ACTIONS(5462),
    [anon_sym_bitand] = ACTIONS(5462),
    [anon_sym_not_eq] = ACTIONS(5462),
    [anon_sym_DASH_DASH] = ACTIONS(5464),
    [anon_sym_PLUS_PLUS] = ACTIONS(5464),
    [anon_sym_DOT] = ACTIONS(5462),
    [anon_sym_DOT_STAR] = ACTIONS(5464),
    [anon_sym_DASH_GT] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5462),
    [anon_sym_decltype] = ACTIONS(5462),
  },
  [2217] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5386),
    [anon_sym_COMMA] = ACTIONS(5386),
    [anon_sym_LPAREN2] = ACTIONS(5386),
    [anon_sym_DASH] = ACTIONS(5384),
    [anon_sym_PLUS] = ACTIONS(5384),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_SLASH] = ACTIONS(5384),
    [anon_sym_PERCENT] = ACTIONS(5386),
    [anon_sym_PIPE_PIPE] = ACTIONS(5386),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_PIPE] = ACTIONS(5384),
    [anon_sym_CARET] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(5384),
    [anon_sym_EQ_EQ] = ACTIONS(5386),
    [anon_sym_BANG_EQ] = ACTIONS(5386),
    [anon_sym_GT] = ACTIONS(5384),
    [anon_sym_GT_EQ] = ACTIONS(5384),
    [anon_sym_LT_EQ] = ACTIONS(5384),
    [anon_sym_LT] = ACTIONS(5384),
    [anon_sym_LT_LT] = ACTIONS(5386),
    [anon_sym_GT_GT] = ACTIONS(5384),
    [anon_sym___extension__] = ACTIONS(5386),
    [anon_sym___attribute__] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5386),
    [anon_sym_signed] = ACTIONS(5992),
    [anon_sym_unsigned] = ACTIONS(5992),
    [anon_sym_long] = ACTIONS(5992),
    [anon_sym_short] = ACTIONS(5992),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_const] = ACTIONS(5384),
    [anon_sym_constexpr] = ACTIONS(5386),
    [anon_sym_volatile] = ACTIONS(5386),
    [anon_sym_restrict] = ACTIONS(5386),
    [anon_sym___restrict__] = ACTIONS(5386),
    [anon_sym__Atomic] = ACTIONS(5386),
    [anon_sym__Noreturn] = ACTIONS(5386),
    [anon_sym_noreturn] = ACTIONS(5386),
    [anon_sym__Nonnull] = ACTIONS(5386),
    [anon_sym_mutable] = ACTIONS(5386),
    [anon_sym_constinit] = ACTIONS(5386),
    [anon_sym_consteval] = ACTIONS(5386),
    [anon_sym_PROGMEM] = ACTIONS(5386),
    [anon_sym_alignas] = ACTIONS(5386),
    [anon_sym__Alignas] = ACTIONS(5386),
    [anon_sym_QMARK] = ACTIONS(5386),
    [anon_sym_LT_EQ_GT] = ACTIONS(5386),
    [anon_sym_or] = ACTIONS(5386),
    [anon_sym_and] = ACTIONS(5386),
    [anon_sym_bitor] = ACTIONS(5386),
    [anon_sym_xor] = ACTIONS(5386),
    [anon_sym_bitand] = ACTIONS(5386),
    [anon_sym_not_eq] = ACTIONS(5386),
    [anon_sym_DASH_DASH] = ACTIONS(5386),
    [anon_sym_PLUS_PLUS] = ACTIONS(5386),
    [anon_sym_DOT] = ACTIONS(5384),
    [anon_sym_DOT_STAR] = ACTIONS(5386),
    [anon_sym_DASH_GT] = ACTIONS(5386),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5386),
    [anon_sym_decltype] = ACTIONS(5386),
    [anon_sym_final] = ACTIONS(5386),
    [anon_sym_override] = ACTIONS(5386),
    [anon_sym_GT2] = ACTIONS(5386),
    [anon_sym_requires] = ACTIONS(5386),
  },
  [2218] = {
    [sym_primitive_type] = STATE(2555),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2279),
    [sym_identifier] = ACTIONS(5994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_TILDE] = ACTIONS(5343),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5345),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___extension__] = ACTIONS(5345),
    [anon_sym_virtual] = ACTIONS(5345),
    [anon_sym_extern] = ACTIONS(5345),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5343),
    [anon_sym___declspec] = ACTIONS(5345),
    [anon_sym___based] = ACTIONS(5345),
    [anon_sym___cdecl] = ACTIONS(5345),
    [anon_sym___clrcall] = ACTIONS(5345),
    [anon_sym___stdcall] = ACTIONS(5345),
    [anon_sym___fastcall] = ACTIONS(5345),
    [anon_sym___thiscall] = ACTIONS(5345),
    [anon_sym___vectorcall] = ACTIONS(5345),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(5997),
    [anon_sym_unsigned] = ACTIONS(5997),
    [anon_sym_long] = ACTIONS(5997),
    [anon_sym_short] = ACTIONS(5997),
    [anon_sym_LBRACK] = ACTIONS(5345),
    [anon_sym_static] = ACTIONS(5345),
    [anon_sym_EQ] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5345),
    [anon_sym_inline] = ACTIONS(5345),
    [anon_sym___inline] = ACTIONS(5345),
    [anon_sym___inline__] = ACTIONS(5345),
    [anon_sym___forceinline] = ACTIONS(5345),
    [anon_sym_thread_local] = ACTIONS(5345),
    [anon_sym___thread] = ACTIONS(5345),
    [anon_sym_const] = ACTIONS(5345),
    [anon_sym_constexpr] = ACTIONS(5345),
    [anon_sym_volatile] = ACTIONS(5345),
    [anon_sym_restrict] = ACTIONS(5345),
    [anon_sym___restrict__] = ACTIONS(5345),
    [anon_sym__Atomic] = ACTIONS(5345),
    [anon_sym__Noreturn] = ACTIONS(5345),
    [anon_sym_noreturn] = ACTIONS(5345),
    [anon_sym__Nonnull] = ACTIONS(5345),
    [anon_sym_mutable] = ACTIONS(5345),
    [anon_sym_constinit] = ACTIONS(5345),
    [anon_sym_consteval] = ACTIONS(5345),
    [anon_sym_PROGMEM] = ACTIONS(5345),
    [anon_sym_alignas] = ACTIONS(5345),
    [anon_sym__Alignas] = ACTIONS(5345),
    [aux_sym_primitive_type_token1] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(67),
    [anon_sym_word] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5345),
    [anon_sym_decltype] = ACTIONS(5345),
    [anon_sym_template] = ACTIONS(5345),
    [anon_sym_GT2] = ACTIONS(5343),
    [anon_sym_operator] = ACTIONS(5345),
  },
  [2219] = {
    [sym_primitive_type] = STATE(2601),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2276),
    [sym_identifier] = ACTIONS(5999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_DASH] = ACTIONS(5345),
    [anon_sym_PLUS] = ACTIONS(5345),
    [anon_sym_STAR] = ACTIONS(5345),
    [anon_sym_SLASH] = ACTIONS(5345),
    [anon_sym_PERCENT] = ACTIONS(5345),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_PIPE] = ACTIONS(5345),
    [anon_sym_CARET] = ACTIONS(5345),
    [anon_sym_AMP] = ACTIONS(5345),
    [anon_sym_EQ_EQ] = ACTIONS(5343),
    [anon_sym_BANG_EQ] = ACTIONS(5343),
    [anon_sym_GT] = ACTIONS(5345),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_LT] = ACTIONS(5345),
    [anon_sym_LT_LT] = ACTIONS(5345),
    [anon_sym_GT_GT] = ACTIONS(5345),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(6001),
    [anon_sym_unsigned] = ACTIONS(6001),
    [anon_sym_long] = ACTIONS(6001),
    [anon_sym_short] = ACTIONS(6001),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_EQ] = ACTIONS(5345),
    [aux_sym_primitive_type_token1] = ACTIONS(6003),
    [anon_sym_byte] = ACTIONS(6003),
    [anon_sym_word] = ACTIONS(6003),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_STAR_EQ] = ACTIONS(5343),
    [anon_sym_SLASH_EQ] = ACTIONS(5343),
    [anon_sym_PERCENT_EQ] = ACTIONS(5343),
    [anon_sym_PLUS_EQ] = ACTIONS(5343),
    [anon_sym_DASH_EQ] = ACTIONS(5343),
    [anon_sym_LT_LT_EQ] = ACTIONS(5343),
    [anon_sym_GT_GT_EQ] = ACTIONS(5345),
    [anon_sym_AMP_EQ] = ACTIONS(5343),
    [anon_sym_CARET_EQ] = ACTIONS(5343),
    [anon_sym_PIPE_EQ] = ACTIONS(5343),
    [anon_sym_and_eq] = ACTIONS(5345),
    [anon_sym_or_eq] = ACTIONS(5345),
    [anon_sym_xor_eq] = ACTIONS(5345),
    [anon_sym_LT_EQ_GT] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5345),
    [anon_sym_and] = ACTIONS(5345),
    [anon_sym_bitor] = ACTIONS(5345),
    [anon_sym_xor] = ACTIONS(5345),
    [anon_sym_bitand] = ACTIONS(5345),
    [anon_sym_not_eq] = ACTIONS(5345),
    [anon_sym_DASH_DASH] = ACTIONS(5343),
    [anon_sym_PLUS_PLUS] = ACTIONS(5343),
    [anon_sym_DOT] = ACTIONS(5345),
    [anon_sym_DOT_STAR] = ACTIONS(5343),
    [anon_sym_DASH_GT] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5345),
    [anon_sym_decltype] = ACTIONS(5345),
    [anon_sym_GT2] = ACTIONS(5343),
  },
  [2220] = {
    [sym_identifier] = ACTIONS(5412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5414),
    [anon_sym_COMMA] = ACTIONS(5414),
    [anon_sym_RPAREN] = ACTIONS(5414),
    [aux_sym_preproc_if_token2] = ACTIONS(5414),
    [aux_sym_preproc_else_token1] = ACTIONS(5414),
    [aux_sym_preproc_elif_token1] = ACTIONS(5412),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5414),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_DASH] = ACTIONS(5412),
    [anon_sym_PLUS] = ACTIONS(5412),
    [anon_sym_STAR] = ACTIONS(5412),
    [anon_sym_SLASH] = ACTIONS(5412),
    [anon_sym_PERCENT] = ACTIONS(5412),
    [anon_sym_PIPE_PIPE] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_PIPE] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5412),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_EQ_EQ] = ACTIONS(5414),
    [anon_sym_BANG_EQ] = ACTIONS(5414),
    [anon_sym_GT] = ACTIONS(5412),
    [anon_sym_GT_EQ] = ACTIONS(5414),
    [anon_sym_LT_EQ] = ACTIONS(5412),
    [anon_sym_LT] = ACTIONS(5412),
    [anon_sym_LT_LT] = ACTIONS(5412),
    [anon_sym_GT_GT] = ACTIONS(5412),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___attribute__] = ACTIONS(5412),
    [anon_sym_LBRACE] = ACTIONS(5414),
    [anon_sym_RBRACE] = ACTIONS(5414),
    [anon_sym_LBRACK] = ACTIONS(5414),
    [anon_sym_RBRACK] = ACTIONS(5414),
    [anon_sym_EQ] = ACTIONS(5412),
    [anon_sym_COLON] = ACTIONS(5414),
    [anon_sym_QMARK] = ACTIONS(5414),
    [anon_sym_STAR_EQ] = ACTIONS(5414),
    [anon_sym_SLASH_EQ] = ACTIONS(5414),
    [anon_sym_PERCENT_EQ] = ACTIONS(5414),
    [anon_sym_PLUS_EQ] = ACTIONS(5414),
    [anon_sym_DASH_EQ] = ACTIONS(5414),
    [anon_sym_LT_LT_EQ] = ACTIONS(5414),
    [anon_sym_GT_GT_EQ] = ACTIONS(5414),
    [anon_sym_AMP_EQ] = ACTIONS(5414),
    [anon_sym_CARET_EQ] = ACTIONS(5414),
    [anon_sym_PIPE_EQ] = ACTIONS(5414),
    [anon_sym_and_eq] = ACTIONS(5412),
    [anon_sym_or_eq] = ACTIONS(5412),
    [anon_sym_xor_eq] = ACTIONS(5412),
    [anon_sym_LT_EQ_GT] = ACTIONS(5414),
    [anon_sym_or] = ACTIONS(5412),
    [anon_sym_and] = ACTIONS(5412),
    [anon_sym_bitor] = ACTIONS(5412),
    [anon_sym_xor] = ACTIONS(5412),
    [anon_sym_bitand] = ACTIONS(5412),
    [anon_sym_not_eq] = ACTIONS(5412),
    [anon_sym_DASH_DASH] = ACTIONS(5414),
    [anon_sym_PLUS_PLUS] = ACTIONS(5414),
    [anon_sym_DOT] = ACTIONS(5412),
    [anon_sym_DOT_STAR] = ACTIONS(5414),
    [anon_sym_DASH_GT] = ACTIONS(5414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
  },
  [2221] = {
    [sym_identifier] = ACTIONS(5408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5410),
    [anon_sym_COMMA] = ACTIONS(5410),
    [anon_sym_RPAREN] = ACTIONS(5410),
    [aux_sym_preproc_if_token2] = ACTIONS(5410),
    [aux_sym_preproc_else_token1] = ACTIONS(5410),
    [aux_sym_preproc_elif_token1] = ACTIONS(5408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5410),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5410),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_DASH] = ACTIONS(5408),
    [anon_sym_PLUS] = ACTIONS(5408),
    [anon_sym_STAR] = ACTIONS(5408),
    [anon_sym_SLASH] = ACTIONS(5408),
    [anon_sym_PERCENT] = ACTIONS(5408),
    [anon_sym_PIPE_PIPE] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_PIPE] = ACTIONS(5408),
    [anon_sym_CARET] = ACTIONS(5408),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5410),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_GT] = ACTIONS(5408),
    [anon_sym_GT_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5408),
    [anon_sym_LT] = ACTIONS(5408),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym_LBRACE] = ACTIONS(5410),
    [anon_sym_RBRACE] = ACTIONS(5410),
    [anon_sym_LBRACK] = ACTIONS(5410),
    [anon_sym_RBRACK] = ACTIONS(5410),
    [anon_sym_EQ] = ACTIONS(5408),
    [anon_sym_COLON] = ACTIONS(5410),
    [anon_sym_QMARK] = ACTIONS(5410),
    [anon_sym_STAR_EQ] = ACTIONS(5410),
    [anon_sym_SLASH_EQ] = ACTIONS(5410),
    [anon_sym_PERCENT_EQ] = ACTIONS(5410),
    [anon_sym_PLUS_EQ] = ACTIONS(5410),
    [anon_sym_DASH_EQ] = ACTIONS(5410),
    [anon_sym_LT_LT_EQ] = ACTIONS(5410),
    [anon_sym_GT_GT_EQ] = ACTIONS(5410),
    [anon_sym_AMP_EQ] = ACTIONS(5410),
    [anon_sym_CARET_EQ] = ACTIONS(5410),
    [anon_sym_PIPE_EQ] = ACTIONS(5410),
    [anon_sym_and_eq] = ACTIONS(5408),
    [anon_sym_or_eq] = ACTIONS(5408),
    [anon_sym_xor_eq] = ACTIONS(5408),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_or] = ACTIONS(5408),
    [anon_sym_and] = ACTIONS(5408),
    [anon_sym_bitor] = ACTIONS(5408),
    [anon_sym_xor] = ACTIONS(5408),
    [anon_sym_bitand] = ACTIONS(5408),
    [anon_sym_not_eq] = ACTIONS(5408),
    [anon_sym_DASH_DASH] = ACTIONS(5410),
    [anon_sym_PLUS_PLUS] = ACTIONS(5410),
    [anon_sym_DOT] = ACTIONS(5408),
    [anon_sym_DOT_STAR] = ACTIONS(5410),
    [anon_sym_DASH_GT] = ACTIONS(5410),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
  },
  [2222] = {
    [sym_identifier] = ACTIONS(5424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5426),
    [anon_sym_COMMA] = ACTIONS(5426),
    [anon_sym_RPAREN] = ACTIONS(5426),
    [aux_sym_preproc_if_token2] = ACTIONS(5426),
    [aux_sym_preproc_else_token1] = ACTIONS(5426),
    [aux_sym_preproc_elif_token1] = ACTIONS(5424),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5426),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5426),
    [anon_sym_LPAREN2] = ACTIONS(5426),
    [anon_sym_DASH] = ACTIONS(5424),
    [anon_sym_PLUS] = ACTIONS(5424),
    [anon_sym_STAR] = ACTIONS(5424),
    [anon_sym_SLASH] = ACTIONS(5424),
    [anon_sym_PERCENT] = ACTIONS(5424),
    [anon_sym_PIPE_PIPE] = ACTIONS(5426),
    [anon_sym_AMP_AMP] = ACTIONS(5426),
    [anon_sym_PIPE] = ACTIONS(5424),
    [anon_sym_CARET] = ACTIONS(5424),
    [anon_sym_AMP] = ACTIONS(5424),
    [anon_sym_EQ_EQ] = ACTIONS(5426),
    [anon_sym_BANG_EQ] = ACTIONS(5426),
    [anon_sym_GT] = ACTIONS(5424),
    [anon_sym_GT_EQ] = ACTIONS(5426),
    [anon_sym_LT_EQ] = ACTIONS(5424),
    [anon_sym_LT] = ACTIONS(5424),
    [anon_sym_LT_LT] = ACTIONS(5424),
    [anon_sym_GT_GT] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5426),
    [anon_sym___attribute__] = ACTIONS(5424),
    [anon_sym_LBRACE] = ACTIONS(5426),
    [anon_sym_RBRACE] = ACTIONS(5426),
    [anon_sym_LBRACK] = ACTIONS(5426),
    [anon_sym_RBRACK] = ACTIONS(5426),
    [anon_sym_EQ] = ACTIONS(5424),
    [anon_sym_COLON] = ACTIONS(5426),
    [anon_sym_QMARK] = ACTIONS(5426),
    [anon_sym_STAR_EQ] = ACTIONS(5426),
    [anon_sym_SLASH_EQ] = ACTIONS(5426),
    [anon_sym_PERCENT_EQ] = ACTIONS(5426),
    [anon_sym_PLUS_EQ] = ACTIONS(5426),
    [anon_sym_DASH_EQ] = ACTIONS(5426),
    [anon_sym_LT_LT_EQ] = ACTIONS(5426),
    [anon_sym_GT_GT_EQ] = ACTIONS(5426),
    [anon_sym_AMP_EQ] = ACTIONS(5426),
    [anon_sym_CARET_EQ] = ACTIONS(5426),
    [anon_sym_PIPE_EQ] = ACTIONS(5426),
    [anon_sym_and_eq] = ACTIONS(5424),
    [anon_sym_or_eq] = ACTIONS(5424),
    [anon_sym_xor_eq] = ACTIONS(5424),
    [anon_sym_LT_EQ_GT] = ACTIONS(5426),
    [anon_sym_or] = ACTIONS(5424),
    [anon_sym_and] = ACTIONS(5424),
    [anon_sym_bitor] = ACTIONS(5424),
    [anon_sym_xor] = ACTIONS(5424),
    [anon_sym_bitand] = ACTIONS(5424),
    [anon_sym_not_eq] = ACTIONS(5424),
    [anon_sym_DASH_DASH] = ACTIONS(5426),
    [anon_sym_PLUS_PLUS] = ACTIONS(5426),
    [anon_sym_DOT] = ACTIONS(5424),
    [anon_sym_DOT_STAR] = ACTIONS(5426),
    [anon_sym_DASH_GT] = ACTIONS(5426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5424),
    [anon_sym_decltype] = ACTIONS(5424),
  },
  [2223] = {
    [sym_identifier] = ACTIONS(6005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6007),
    [anon_sym_COMMA] = ACTIONS(6007),
    [anon_sym_RPAREN] = ACTIONS(6007),
    [aux_sym_preproc_if_token2] = ACTIONS(6007),
    [aux_sym_preproc_else_token1] = ACTIONS(6007),
    [aux_sym_preproc_elif_token1] = ACTIONS(6005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6007),
    [anon_sym_LPAREN2] = ACTIONS(6007),
    [anon_sym_DASH] = ACTIONS(6005),
    [anon_sym_PLUS] = ACTIONS(6005),
    [anon_sym_STAR] = ACTIONS(6005),
    [anon_sym_SLASH] = ACTIONS(6005),
    [anon_sym_PERCENT] = ACTIONS(6005),
    [anon_sym_PIPE_PIPE] = ACTIONS(6007),
    [anon_sym_AMP_AMP] = ACTIONS(6007),
    [anon_sym_PIPE] = ACTIONS(6005),
    [anon_sym_CARET] = ACTIONS(6005),
    [anon_sym_AMP] = ACTIONS(6005),
    [anon_sym_EQ_EQ] = ACTIONS(6007),
    [anon_sym_BANG_EQ] = ACTIONS(6007),
    [anon_sym_GT] = ACTIONS(6005),
    [anon_sym_GT_EQ] = ACTIONS(6007),
    [anon_sym_LT_EQ] = ACTIONS(6005),
    [anon_sym_LT] = ACTIONS(6005),
    [anon_sym_LT_LT] = ACTIONS(6005),
    [anon_sym_GT_GT] = ACTIONS(6005),
    [anon_sym_SEMI] = ACTIONS(6007),
    [anon_sym___attribute__] = ACTIONS(6005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6007),
    [anon_sym_LBRACE] = ACTIONS(6007),
    [anon_sym_RBRACE] = ACTIONS(6007),
    [anon_sym_LBRACK] = ACTIONS(6005),
    [anon_sym_RBRACK] = ACTIONS(6007),
    [anon_sym_EQ] = ACTIONS(6005),
    [anon_sym_COLON] = ACTIONS(6007),
    [anon_sym_QMARK] = ACTIONS(6007),
    [anon_sym_STAR_EQ] = ACTIONS(6007),
    [anon_sym_SLASH_EQ] = ACTIONS(6007),
    [anon_sym_PERCENT_EQ] = ACTIONS(6007),
    [anon_sym_PLUS_EQ] = ACTIONS(6007),
    [anon_sym_DASH_EQ] = ACTIONS(6007),
    [anon_sym_LT_LT_EQ] = ACTIONS(6007),
    [anon_sym_GT_GT_EQ] = ACTIONS(6007),
    [anon_sym_AMP_EQ] = ACTIONS(6007),
    [anon_sym_CARET_EQ] = ACTIONS(6007),
    [anon_sym_PIPE_EQ] = ACTIONS(6007),
    [anon_sym_and_eq] = ACTIONS(6005),
    [anon_sym_or_eq] = ACTIONS(6005),
    [anon_sym_xor_eq] = ACTIONS(6005),
    [anon_sym_LT_EQ_GT] = ACTIONS(6007),
    [anon_sym_or] = ACTIONS(6005),
    [anon_sym_and] = ACTIONS(6005),
    [anon_sym_bitor] = ACTIONS(6005),
    [anon_sym_xor] = ACTIONS(6005),
    [anon_sym_bitand] = ACTIONS(6005),
    [anon_sym_not_eq] = ACTIONS(6005),
    [anon_sym_DASH_DASH] = ACTIONS(6007),
    [anon_sym_PLUS_PLUS] = ACTIONS(6007),
    [anon_sym_DOT] = ACTIONS(6005),
    [anon_sym_DOT_STAR] = ACTIONS(6007),
    [anon_sym_DASH_GT] = ACTIONS(6007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6005),
  },
  [2224] = {
    [sym_identifier] = ACTIONS(5392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5394),
    [anon_sym_COMMA] = ACTIONS(5394),
    [anon_sym_RPAREN] = ACTIONS(5394),
    [aux_sym_preproc_if_token2] = ACTIONS(5394),
    [aux_sym_preproc_else_token1] = ACTIONS(5394),
    [aux_sym_preproc_elif_token1] = ACTIONS(5392),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5394),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5394),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5392),
    [anon_sym_PLUS] = ACTIONS(5392),
    [anon_sym_STAR] = ACTIONS(5392),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5392),
    [anon_sym_PIPE_PIPE] = ACTIONS(5394),
    [anon_sym_AMP_AMP] = ACTIONS(5394),
    [anon_sym_PIPE] = ACTIONS(5392),
    [anon_sym_CARET] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_EQ_EQ] = ACTIONS(5394),
    [anon_sym_BANG_EQ] = ACTIONS(5394),
    [anon_sym_GT] = ACTIONS(5392),
    [anon_sym_GT_EQ] = ACTIONS(5394),
    [anon_sym_LT_EQ] = ACTIONS(5392),
    [anon_sym_LT] = ACTIONS(5392),
    [anon_sym_LT_LT] = ACTIONS(5392),
    [anon_sym_GT_GT] = ACTIONS(5392),
    [anon_sym_SEMI] = ACTIONS(5394),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym_LBRACE] = ACTIONS(5394),
    [anon_sym_RBRACE] = ACTIONS(5394),
    [anon_sym_LBRACK] = ACTIONS(5394),
    [anon_sym_RBRACK] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(5392),
    [anon_sym_COLON] = ACTIONS(5394),
    [anon_sym_QMARK] = ACTIONS(5394),
    [anon_sym_STAR_EQ] = ACTIONS(5394),
    [anon_sym_SLASH_EQ] = ACTIONS(5394),
    [anon_sym_PERCENT_EQ] = ACTIONS(5394),
    [anon_sym_PLUS_EQ] = ACTIONS(5394),
    [anon_sym_DASH_EQ] = ACTIONS(5394),
    [anon_sym_LT_LT_EQ] = ACTIONS(5394),
    [anon_sym_GT_GT_EQ] = ACTIONS(5394),
    [anon_sym_AMP_EQ] = ACTIONS(5394),
    [anon_sym_CARET_EQ] = ACTIONS(5394),
    [anon_sym_PIPE_EQ] = ACTIONS(5394),
    [anon_sym_and_eq] = ACTIONS(5392),
    [anon_sym_or_eq] = ACTIONS(5392),
    [anon_sym_xor_eq] = ACTIONS(5392),
    [anon_sym_LT_EQ_GT] = ACTIONS(5394),
    [anon_sym_or] = ACTIONS(5392),
    [anon_sym_and] = ACTIONS(5392),
    [anon_sym_bitor] = ACTIONS(5392),
    [anon_sym_xor] = ACTIONS(5392),
    [anon_sym_bitand] = ACTIONS(5392),
    [anon_sym_not_eq] = ACTIONS(5392),
    [anon_sym_DASH_DASH] = ACTIONS(5394),
    [anon_sym_PLUS_PLUS] = ACTIONS(5394),
    [anon_sym_DOT] = ACTIONS(5392),
    [anon_sym_DOT_STAR] = ACTIONS(5394),
    [anon_sym_DASH_GT] = ACTIONS(5394),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5392),
    [anon_sym_decltype] = ACTIONS(5392),
  },
  [2225] = {
    [sym_identifier] = ACTIONS(5388),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5390),
    [anon_sym_COMMA] = ACTIONS(5390),
    [anon_sym_RPAREN] = ACTIONS(5390),
    [aux_sym_preproc_if_token2] = ACTIONS(5390),
    [aux_sym_preproc_else_token1] = ACTIONS(5390),
    [aux_sym_preproc_elif_token1] = ACTIONS(5388),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5390),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5390),
    [anon_sym_LPAREN2] = ACTIONS(5390),
    [anon_sym_DASH] = ACTIONS(5388),
    [anon_sym_PLUS] = ACTIONS(5388),
    [anon_sym_STAR] = ACTIONS(5388),
    [anon_sym_SLASH] = ACTIONS(5388),
    [anon_sym_PERCENT] = ACTIONS(5388),
    [anon_sym_PIPE_PIPE] = ACTIONS(5390),
    [anon_sym_AMP_AMP] = ACTIONS(5390),
    [anon_sym_PIPE] = ACTIONS(5388),
    [anon_sym_CARET] = ACTIONS(5388),
    [anon_sym_AMP] = ACTIONS(5388),
    [anon_sym_EQ_EQ] = ACTIONS(5390),
    [anon_sym_BANG_EQ] = ACTIONS(5390),
    [anon_sym_GT] = ACTIONS(5388),
    [anon_sym_GT_EQ] = ACTIONS(5390),
    [anon_sym_LT_EQ] = ACTIONS(5388),
    [anon_sym_LT] = ACTIONS(5388),
    [anon_sym_LT_LT] = ACTIONS(5388),
    [anon_sym_GT_GT] = ACTIONS(5388),
    [anon_sym_SEMI] = ACTIONS(5390),
    [anon_sym___attribute__] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(5390),
    [anon_sym_RBRACE] = ACTIONS(5390),
    [anon_sym_LBRACK] = ACTIONS(5390),
    [anon_sym_RBRACK] = ACTIONS(5390),
    [anon_sym_EQ] = ACTIONS(5388),
    [anon_sym_COLON] = ACTIONS(5390),
    [anon_sym_QMARK] = ACTIONS(5390),
    [anon_sym_STAR_EQ] = ACTIONS(5390),
    [anon_sym_SLASH_EQ] = ACTIONS(5390),
    [anon_sym_PERCENT_EQ] = ACTIONS(5390),
    [anon_sym_PLUS_EQ] = ACTIONS(5390),
    [anon_sym_DASH_EQ] = ACTIONS(5390),
    [anon_sym_LT_LT_EQ] = ACTIONS(5390),
    [anon_sym_GT_GT_EQ] = ACTIONS(5390),
    [anon_sym_AMP_EQ] = ACTIONS(5390),
    [anon_sym_CARET_EQ] = ACTIONS(5390),
    [anon_sym_PIPE_EQ] = ACTIONS(5390),
    [anon_sym_and_eq] = ACTIONS(5388),
    [anon_sym_or_eq] = ACTIONS(5388),
    [anon_sym_xor_eq] = ACTIONS(5388),
    [anon_sym_LT_EQ_GT] = ACTIONS(5390),
    [anon_sym_or] = ACTIONS(5388),
    [anon_sym_and] = ACTIONS(5388),
    [anon_sym_bitor] = ACTIONS(5388),
    [anon_sym_xor] = ACTIONS(5388),
    [anon_sym_bitand] = ACTIONS(5388),
    [anon_sym_not_eq] = ACTIONS(5388),
    [anon_sym_DASH_DASH] = ACTIONS(5390),
    [anon_sym_PLUS_PLUS] = ACTIONS(5390),
    [anon_sym_DOT] = ACTIONS(5388),
    [anon_sym_DOT_STAR] = ACTIONS(5390),
    [anon_sym_DASH_GT] = ACTIONS(5390),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5388),
    [anon_sym_decltype] = ACTIONS(5388),
  },
  [2226] = {
    [sym_argument_list] = STATE(2439),
    [sym_initializer_list] = STATE(2439),
    [sym_identifier] = ACTIONS(6009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6011),
    [anon_sym_COMMA] = ACTIONS(6011),
    [anon_sym_RPAREN] = ACTIONS(6011),
    [aux_sym_preproc_if_token2] = ACTIONS(6011),
    [aux_sym_preproc_else_token1] = ACTIONS(6011),
    [aux_sym_preproc_elif_token1] = ACTIONS(6009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6011),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6011),
    [anon_sym_LPAREN2] = ACTIONS(5633),
    [anon_sym_DASH] = ACTIONS(6009),
    [anon_sym_PLUS] = ACTIONS(6009),
    [anon_sym_STAR] = ACTIONS(6009),
    [anon_sym_SLASH] = ACTIONS(6009),
    [anon_sym_PERCENT] = ACTIONS(6009),
    [anon_sym_PIPE_PIPE] = ACTIONS(6011),
    [anon_sym_AMP_AMP] = ACTIONS(6011),
    [anon_sym_PIPE] = ACTIONS(6009),
    [anon_sym_CARET] = ACTIONS(6009),
    [anon_sym_AMP] = ACTIONS(6009),
    [anon_sym_EQ_EQ] = ACTIONS(6011),
    [anon_sym_BANG_EQ] = ACTIONS(6011),
    [anon_sym_GT] = ACTIONS(6009),
    [anon_sym_GT_EQ] = ACTIONS(6011),
    [anon_sym_LT_EQ] = ACTIONS(6009),
    [anon_sym_LT] = ACTIONS(6009),
    [anon_sym_LT_LT] = ACTIONS(6009),
    [anon_sym_GT_GT] = ACTIONS(6009),
    [anon_sym_SEMI] = ACTIONS(6011),
    [anon_sym___attribute__] = ACTIONS(6009),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_RBRACE] = ACTIONS(6011),
    [anon_sym_LBRACK] = ACTIONS(6011),
    [anon_sym_RBRACK] = ACTIONS(6011),
    [anon_sym_EQ] = ACTIONS(6009),
    [anon_sym_COLON] = ACTIONS(6011),
    [anon_sym_QMARK] = ACTIONS(6011),
    [anon_sym_STAR_EQ] = ACTIONS(6011),
    [anon_sym_SLASH_EQ] = ACTIONS(6011),
    [anon_sym_PERCENT_EQ] = ACTIONS(6011),
    [anon_sym_PLUS_EQ] = ACTIONS(6011),
    [anon_sym_DASH_EQ] = ACTIONS(6011),
    [anon_sym_LT_LT_EQ] = ACTIONS(6011),
    [anon_sym_GT_GT_EQ] = ACTIONS(6011),
    [anon_sym_AMP_EQ] = ACTIONS(6011),
    [anon_sym_CARET_EQ] = ACTIONS(6011),
    [anon_sym_PIPE_EQ] = ACTIONS(6011),
    [anon_sym_and_eq] = ACTIONS(6009),
    [anon_sym_or_eq] = ACTIONS(6009),
    [anon_sym_xor_eq] = ACTIONS(6009),
    [anon_sym_LT_EQ_GT] = ACTIONS(6011),
    [anon_sym_or] = ACTIONS(6009),
    [anon_sym_and] = ACTIONS(6009),
    [anon_sym_bitor] = ACTIONS(6009),
    [anon_sym_xor] = ACTIONS(6009),
    [anon_sym_bitand] = ACTIONS(6009),
    [anon_sym_not_eq] = ACTIONS(6009),
    [anon_sym_DASH_DASH] = ACTIONS(6011),
    [anon_sym_PLUS_PLUS] = ACTIONS(6011),
    [anon_sym_DOT] = ACTIONS(6009),
    [anon_sym_DOT_STAR] = ACTIONS(6011),
    [anon_sym_DASH_GT] = ACTIONS(6011),
    [sym_comment] = ACTIONS(3),
  },
  [2227] = {
    [sym_identifier] = ACTIONS(6013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6015),
    [anon_sym_COMMA] = ACTIONS(6015),
    [anon_sym_RPAREN] = ACTIONS(6015),
    [aux_sym_preproc_if_token2] = ACTIONS(6015),
    [aux_sym_preproc_else_token1] = ACTIONS(6015),
    [aux_sym_preproc_elif_token1] = ACTIONS(6013),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6015),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6015),
    [anon_sym_DASH] = ACTIONS(6013),
    [anon_sym_PLUS] = ACTIONS(6013),
    [anon_sym_STAR] = ACTIONS(6013),
    [anon_sym_SLASH] = ACTIONS(6013),
    [anon_sym_PERCENT] = ACTIONS(6013),
    [anon_sym_PIPE_PIPE] = ACTIONS(6015),
    [anon_sym_AMP_AMP] = ACTIONS(6015),
    [anon_sym_PIPE] = ACTIONS(6013),
    [anon_sym_CARET] = ACTIONS(6013),
    [anon_sym_AMP] = ACTIONS(6013),
    [anon_sym_EQ_EQ] = ACTIONS(6015),
    [anon_sym_BANG_EQ] = ACTIONS(6015),
    [anon_sym_GT] = ACTIONS(6013),
    [anon_sym_GT_EQ] = ACTIONS(6015),
    [anon_sym_LT_EQ] = ACTIONS(6013),
    [anon_sym_LT] = ACTIONS(6013),
    [anon_sym_LT_LT] = ACTIONS(6013),
    [anon_sym_GT_GT] = ACTIONS(6013),
    [anon_sym_SEMI] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(6013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6015),
    [anon_sym_LBRACE] = ACTIONS(6015),
    [anon_sym_RBRACE] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(6013),
    [anon_sym_RBRACK] = ACTIONS(6015),
    [anon_sym_EQ] = ACTIONS(6013),
    [anon_sym_COLON] = ACTIONS(6015),
    [anon_sym_QMARK] = ACTIONS(6015),
    [anon_sym_STAR_EQ] = ACTIONS(6015),
    [anon_sym_SLASH_EQ] = ACTIONS(6015),
    [anon_sym_PERCENT_EQ] = ACTIONS(6015),
    [anon_sym_PLUS_EQ] = ACTIONS(6015),
    [anon_sym_DASH_EQ] = ACTIONS(6015),
    [anon_sym_LT_LT_EQ] = ACTIONS(6015),
    [anon_sym_GT_GT_EQ] = ACTIONS(6015),
    [anon_sym_AMP_EQ] = ACTIONS(6015),
    [anon_sym_CARET_EQ] = ACTIONS(6015),
    [anon_sym_PIPE_EQ] = ACTIONS(6015),
    [anon_sym_and_eq] = ACTIONS(6013),
    [anon_sym_or_eq] = ACTIONS(6013),
    [anon_sym_xor_eq] = ACTIONS(6013),
    [anon_sym_LT_EQ_GT] = ACTIONS(6015),
    [anon_sym_or] = ACTIONS(6013),
    [anon_sym_and] = ACTIONS(6013),
    [anon_sym_bitor] = ACTIONS(6013),
    [anon_sym_xor] = ACTIONS(6013),
    [anon_sym_bitand] = ACTIONS(6013),
    [anon_sym_not_eq] = ACTIONS(6013),
    [anon_sym_DASH_DASH] = ACTIONS(6015),
    [anon_sym_PLUS_PLUS] = ACTIONS(6015),
    [anon_sym_DOT] = ACTIONS(6013),
    [anon_sym_DOT_STAR] = ACTIONS(6015),
    [anon_sym_DASH_GT] = ACTIONS(6015),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6013),
  },
  [2228] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2228),
    [sym_identifier] = ACTIONS(5163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5165),
    [anon_sym_COMMA] = ACTIONS(5165),
    [anon_sym_RPAREN] = ACTIONS(5165),
    [anon_sym_LPAREN2] = ACTIONS(5165),
    [anon_sym_DASH] = ACTIONS(5163),
    [anon_sym_PLUS] = ACTIONS(5163),
    [anon_sym_STAR] = ACTIONS(5163),
    [anon_sym_SLASH] = ACTIONS(5163),
    [anon_sym_PERCENT] = ACTIONS(5163),
    [anon_sym_PIPE_PIPE] = ACTIONS(5165),
    [anon_sym_AMP_AMP] = ACTIONS(5165),
    [anon_sym_PIPE] = ACTIONS(5163),
    [anon_sym_CARET] = ACTIONS(5163),
    [anon_sym_AMP] = ACTIONS(5163),
    [anon_sym_EQ_EQ] = ACTIONS(5165),
    [anon_sym_BANG_EQ] = ACTIONS(5165),
    [anon_sym_GT] = ACTIONS(5163),
    [anon_sym_GT_EQ] = ACTIONS(5165),
    [anon_sym_LT_EQ] = ACTIONS(5163),
    [anon_sym_LT] = ACTIONS(5163),
    [anon_sym_LT_LT] = ACTIONS(5163),
    [anon_sym_GT_GT] = ACTIONS(5163),
    [anon_sym___attribute__] = ACTIONS(5163),
    [anon_sym_LBRACE] = ACTIONS(5165),
    [anon_sym_signed] = ACTIONS(6017),
    [anon_sym_unsigned] = ACTIONS(6017),
    [anon_sym_long] = ACTIONS(6017),
    [anon_sym_short] = ACTIONS(6017),
    [anon_sym_LBRACK] = ACTIONS(5165),
    [anon_sym_EQ] = ACTIONS(5163),
    [aux_sym_primitive_type_token1] = ACTIONS(5163),
    [anon_sym_byte] = ACTIONS(5163),
    [anon_sym_word] = ACTIONS(5163),
    [anon_sym_QMARK] = ACTIONS(5165),
    [anon_sym_STAR_EQ] = ACTIONS(5165),
    [anon_sym_SLASH_EQ] = ACTIONS(5165),
    [anon_sym_PERCENT_EQ] = ACTIONS(5165),
    [anon_sym_PLUS_EQ] = ACTIONS(5165),
    [anon_sym_DASH_EQ] = ACTIONS(5165),
    [anon_sym_LT_LT_EQ] = ACTIONS(5165),
    [anon_sym_GT_GT_EQ] = ACTIONS(5165),
    [anon_sym_AMP_EQ] = ACTIONS(5165),
    [anon_sym_CARET_EQ] = ACTIONS(5165),
    [anon_sym_PIPE_EQ] = ACTIONS(5165),
    [anon_sym_and_eq] = ACTIONS(5163),
    [anon_sym_or_eq] = ACTIONS(5163),
    [anon_sym_xor_eq] = ACTIONS(5163),
    [anon_sym_LT_EQ_GT] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5163),
    [anon_sym_and] = ACTIONS(5163),
    [anon_sym_bitor] = ACTIONS(5163),
    [anon_sym_xor] = ACTIONS(5163),
    [anon_sym_bitand] = ACTIONS(5163),
    [anon_sym_not_eq] = ACTIONS(5163),
    [anon_sym_DASH_DASH] = ACTIONS(5165),
    [anon_sym_PLUS_PLUS] = ACTIONS(5165),
    [anon_sym_DOT] = ACTIONS(5163),
    [anon_sym_DOT_STAR] = ACTIONS(5165),
    [anon_sym_DASH_GT] = ACTIONS(5163),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5163),
    [anon_sym_decltype] = ACTIONS(5163),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5165),
  },
  [2229] = {
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5339),
    [anon_sym_COMMA] = ACTIONS(5339),
    [anon_sym_RPAREN] = ACTIONS(5339),
    [aux_sym_preproc_if_token2] = ACTIONS(5339),
    [aux_sym_preproc_else_token1] = ACTIONS(5339),
    [aux_sym_preproc_elif_token1] = ACTIONS(5337),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5339),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5339),
    [anon_sym_LPAREN2] = ACTIONS(5339),
    [anon_sym_DASH] = ACTIONS(5337),
    [anon_sym_PLUS] = ACTIONS(5337),
    [anon_sym_STAR] = ACTIONS(5337),
    [anon_sym_SLASH] = ACTIONS(5337),
    [anon_sym_PERCENT] = ACTIONS(5337),
    [anon_sym_PIPE_PIPE] = ACTIONS(5339),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_PIPE] = ACTIONS(5337),
    [anon_sym_CARET] = ACTIONS(5337),
    [anon_sym_AMP] = ACTIONS(5337),
    [anon_sym_EQ_EQ] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5339),
    [anon_sym_GT] = ACTIONS(5337),
    [anon_sym_GT_EQ] = ACTIONS(5339),
    [anon_sym_LT_EQ] = ACTIONS(5337),
    [anon_sym_LT] = ACTIONS(5337),
    [anon_sym_LT_LT] = ACTIONS(5337),
    [anon_sym_GT_GT] = ACTIONS(5337),
    [anon_sym_SEMI] = ACTIONS(5339),
    [anon_sym___attribute__] = ACTIONS(5337),
    [anon_sym_LBRACE] = ACTIONS(5339),
    [anon_sym_RBRACE] = ACTIONS(5339),
    [anon_sym_LBRACK] = ACTIONS(5339),
    [anon_sym_RBRACK] = ACTIONS(5339),
    [anon_sym_EQ] = ACTIONS(5337),
    [anon_sym_COLON] = ACTIONS(5339),
    [anon_sym_QMARK] = ACTIONS(5339),
    [anon_sym_STAR_EQ] = ACTIONS(5339),
    [anon_sym_SLASH_EQ] = ACTIONS(5339),
    [anon_sym_PERCENT_EQ] = ACTIONS(5339),
    [anon_sym_PLUS_EQ] = ACTIONS(5339),
    [anon_sym_DASH_EQ] = ACTIONS(5339),
    [anon_sym_LT_LT_EQ] = ACTIONS(5339),
    [anon_sym_GT_GT_EQ] = ACTIONS(5339),
    [anon_sym_AMP_EQ] = ACTIONS(5339),
    [anon_sym_CARET_EQ] = ACTIONS(5339),
    [anon_sym_PIPE_EQ] = ACTIONS(5339),
    [anon_sym_and_eq] = ACTIONS(5337),
    [anon_sym_or_eq] = ACTIONS(5337),
    [anon_sym_xor_eq] = ACTIONS(5337),
    [anon_sym_LT_EQ_GT] = ACTIONS(5339),
    [anon_sym_or] = ACTIONS(5337),
    [anon_sym_and] = ACTIONS(5337),
    [anon_sym_bitor] = ACTIONS(5337),
    [anon_sym_xor] = ACTIONS(5337),
    [anon_sym_bitand] = ACTIONS(5337),
    [anon_sym_not_eq] = ACTIONS(5337),
    [anon_sym_DASH_DASH] = ACTIONS(5339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5339),
    [anon_sym_DOT] = ACTIONS(5337),
    [anon_sym_DOT_STAR] = ACTIONS(5339),
    [anon_sym_DASH_GT] = ACTIONS(5339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5337),
    [anon_sym_decltype] = ACTIONS(5337),
  },
  [2230] = {
    [sym_identifier] = ACTIONS(5485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5487),
    [anon_sym_COMMA] = ACTIONS(5487),
    [anon_sym_RPAREN] = ACTIONS(5487),
    [aux_sym_preproc_if_token2] = ACTIONS(5487),
    [aux_sym_preproc_else_token1] = ACTIONS(5487),
    [aux_sym_preproc_elif_token1] = ACTIONS(5485),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5487),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5487),
    [anon_sym_LPAREN2] = ACTIONS(5487),
    [anon_sym_DASH] = ACTIONS(5485),
    [anon_sym_PLUS] = ACTIONS(5485),
    [anon_sym_STAR] = ACTIONS(5485),
    [anon_sym_SLASH] = ACTIONS(5485),
    [anon_sym_PERCENT] = ACTIONS(5485),
    [anon_sym_PIPE_PIPE] = ACTIONS(5487),
    [anon_sym_AMP_AMP] = ACTIONS(5487),
    [anon_sym_PIPE] = ACTIONS(5485),
    [anon_sym_CARET] = ACTIONS(5485),
    [anon_sym_AMP] = ACTIONS(5485),
    [anon_sym_EQ_EQ] = ACTIONS(5487),
    [anon_sym_BANG_EQ] = ACTIONS(5487),
    [anon_sym_GT] = ACTIONS(5485),
    [anon_sym_GT_EQ] = ACTIONS(5487),
    [anon_sym_LT_EQ] = ACTIONS(5485),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(5485),
    [anon_sym_GT_GT] = ACTIONS(5485),
    [anon_sym_SEMI] = ACTIONS(5487),
    [anon_sym___attribute__] = ACTIONS(5485),
    [anon_sym_LBRACE] = ACTIONS(5487),
    [anon_sym_RBRACE] = ACTIONS(5487),
    [anon_sym_LBRACK] = ACTIONS(5487),
    [anon_sym_RBRACK] = ACTIONS(5487),
    [anon_sym_EQ] = ACTIONS(5485),
    [anon_sym_COLON] = ACTIONS(5487),
    [anon_sym_QMARK] = ACTIONS(5487),
    [anon_sym_STAR_EQ] = ACTIONS(5487),
    [anon_sym_SLASH_EQ] = ACTIONS(5487),
    [anon_sym_PERCENT_EQ] = ACTIONS(5487),
    [anon_sym_PLUS_EQ] = ACTIONS(5487),
    [anon_sym_DASH_EQ] = ACTIONS(5487),
    [anon_sym_LT_LT_EQ] = ACTIONS(5487),
    [anon_sym_GT_GT_EQ] = ACTIONS(5487),
    [anon_sym_AMP_EQ] = ACTIONS(5487),
    [anon_sym_CARET_EQ] = ACTIONS(5487),
    [anon_sym_PIPE_EQ] = ACTIONS(5487),
    [anon_sym_and_eq] = ACTIONS(5485),
    [anon_sym_or_eq] = ACTIONS(5485),
    [anon_sym_xor_eq] = ACTIONS(5485),
    [anon_sym_LT_EQ_GT] = ACTIONS(5487),
    [anon_sym_or] = ACTIONS(5485),
    [anon_sym_and] = ACTIONS(5485),
    [anon_sym_bitor] = ACTIONS(5485),
    [anon_sym_xor] = ACTIONS(5485),
    [anon_sym_bitand] = ACTIONS(5485),
    [anon_sym_not_eq] = ACTIONS(5485),
    [anon_sym_DASH_DASH] = ACTIONS(5487),
    [anon_sym_PLUS_PLUS] = ACTIONS(5487),
    [anon_sym_DOT] = ACTIONS(5485),
    [anon_sym_DOT_STAR] = ACTIONS(5487),
    [anon_sym_DASH_GT] = ACTIONS(5487),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5485),
    [anon_sym_decltype] = ACTIONS(5485),
  },
  [2231] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2228),
    [sym_identifier] = ACTIONS(5163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5434),
    [anon_sym_COMMA] = ACTIONS(5434),
    [anon_sym_RPAREN] = ACTIONS(5434),
    [anon_sym_LPAREN2] = ACTIONS(5434),
    [anon_sym_DASH] = ACTIONS(5437),
    [anon_sym_PLUS] = ACTIONS(5437),
    [anon_sym_STAR] = ACTIONS(5437),
    [anon_sym_SLASH] = ACTIONS(5437),
    [anon_sym_PERCENT] = ACTIONS(5437),
    [anon_sym_PIPE_PIPE] = ACTIONS(5434),
    [anon_sym_AMP_AMP] = ACTIONS(5434),
    [anon_sym_PIPE] = ACTIONS(5437),
    [anon_sym_CARET] = ACTIONS(5437),
    [anon_sym_AMP] = ACTIONS(5437),
    [anon_sym_EQ_EQ] = ACTIONS(5434),
    [anon_sym_BANG_EQ] = ACTIONS(5434),
    [anon_sym_GT] = ACTIONS(5437),
    [anon_sym_GT_EQ] = ACTIONS(5434),
    [anon_sym_LT_EQ] = ACTIONS(5437),
    [anon_sym_LT] = ACTIONS(5437),
    [anon_sym_LT_LT] = ACTIONS(5437),
    [anon_sym_GT_GT] = ACTIONS(5437),
    [anon_sym___attribute__] = ACTIONS(5437),
    [anon_sym_LBRACE] = ACTIONS(5434),
    [anon_sym_signed] = ACTIONS(6017),
    [anon_sym_unsigned] = ACTIONS(6017),
    [anon_sym_long] = ACTIONS(6017),
    [anon_sym_short] = ACTIONS(6017),
    [anon_sym_LBRACK] = ACTIONS(5434),
    [anon_sym_EQ] = ACTIONS(5437),
    [aux_sym_primitive_type_token1] = ACTIONS(5163),
    [anon_sym_byte] = ACTIONS(5163),
    [anon_sym_word] = ACTIONS(5163),
    [anon_sym_QMARK] = ACTIONS(5434),
    [anon_sym_STAR_EQ] = ACTIONS(5434),
    [anon_sym_SLASH_EQ] = ACTIONS(5434),
    [anon_sym_PERCENT_EQ] = ACTIONS(5434),
    [anon_sym_PLUS_EQ] = ACTIONS(5434),
    [anon_sym_DASH_EQ] = ACTIONS(5434),
    [anon_sym_LT_LT_EQ] = ACTIONS(5434),
    [anon_sym_GT_GT_EQ] = ACTIONS(5434),
    [anon_sym_AMP_EQ] = ACTIONS(5434),
    [anon_sym_CARET_EQ] = ACTIONS(5434),
    [anon_sym_PIPE_EQ] = ACTIONS(5434),
    [anon_sym_and_eq] = ACTIONS(5437),
    [anon_sym_or_eq] = ACTIONS(5437),
    [anon_sym_xor_eq] = ACTIONS(5437),
    [anon_sym_LT_EQ_GT] = ACTIONS(5434),
    [anon_sym_or] = ACTIONS(5437),
    [anon_sym_and] = ACTIONS(5437),
    [anon_sym_bitor] = ACTIONS(5437),
    [anon_sym_xor] = ACTIONS(5437),
    [anon_sym_bitand] = ACTIONS(5437),
    [anon_sym_not_eq] = ACTIONS(5437),
    [anon_sym_DASH_DASH] = ACTIONS(5434),
    [anon_sym_PLUS_PLUS] = ACTIONS(5434),
    [anon_sym_DOT] = ACTIONS(5437),
    [anon_sym_DOT_STAR] = ACTIONS(5434),
    [anon_sym_DASH_GT] = ACTIONS(5437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5437),
    [anon_sym_decltype] = ACTIONS(5437),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5434),
  },
  [2232] = {
    [sym_identifier] = ACTIONS(5337),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5339),
    [anon_sym_COMMA] = ACTIONS(5339),
    [anon_sym_RPAREN] = ACTIONS(5339),
    [aux_sym_preproc_if_token2] = ACTIONS(5339),
    [aux_sym_preproc_else_token1] = ACTIONS(5339),
    [aux_sym_preproc_elif_token1] = ACTIONS(5337),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5339),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5339),
    [anon_sym_LPAREN2] = ACTIONS(5339),
    [anon_sym_DASH] = ACTIONS(5337),
    [anon_sym_PLUS] = ACTIONS(5337),
    [anon_sym_STAR] = ACTIONS(5337),
    [anon_sym_SLASH] = ACTIONS(5337),
    [anon_sym_PERCENT] = ACTIONS(5337),
    [anon_sym_PIPE_PIPE] = ACTIONS(5339),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_PIPE] = ACTIONS(5337),
    [anon_sym_CARET] = ACTIONS(5337),
    [anon_sym_AMP] = ACTIONS(5337),
    [anon_sym_EQ_EQ] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5339),
    [anon_sym_GT] = ACTIONS(5337),
    [anon_sym_GT_EQ] = ACTIONS(5339),
    [anon_sym_LT_EQ] = ACTIONS(5337),
    [anon_sym_LT] = ACTIONS(5337),
    [anon_sym_LT_LT] = ACTIONS(5337),
    [anon_sym_GT_GT] = ACTIONS(5337),
    [anon_sym_SEMI] = ACTIONS(5339),
    [anon_sym___attribute__] = ACTIONS(5337),
    [anon_sym_LBRACE] = ACTIONS(5339),
    [anon_sym_RBRACE] = ACTIONS(5339),
    [anon_sym_LBRACK] = ACTIONS(5339),
    [anon_sym_RBRACK] = ACTIONS(5339),
    [anon_sym_EQ] = ACTIONS(5337),
    [anon_sym_COLON] = ACTIONS(5339),
    [anon_sym_QMARK] = ACTIONS(5339),
    [anon_sym_STAR_EQ] = ACTIONS(5339),
    [anon_sym_SLASH_EQ] = ACTIONS(5339),
    [anon_sym_PERCENT_EQ] = ACTIONS(5339),
    [anon_sym_PLUS_EQ] = ACTIONS(5339),
    [anon_sym_DASH_EQ] = ACTIONS(5339),
    [anon_sym_LT_LT_EQ] = ACTIONS(5339),
    [anon_sym_GT_GT_EQ] = ACTIONS(5339),
    [anon_sym_AMP_EQ] = ACTIONS(5339),
    [anon_sym_CARET_EQ] = ACTIONS(5339),
    [anon_sym_PIPE_EQ] = ACTIONS(5339),
    [anon_sym_and_eq] = ACTIONS(5337),
    [anon_sym_or_eq] = ACTIONS(5337),
    [anon_sym_xor_eq] = ACTIONS(5337),
    [anon_sym_LT_EQ_GT] = ACTIONS(5339),
    [anon_sym_or] = ACTIONS(5337),
    [anon_sym_and] = ACTIONS(5337),
    [anon_sym_bitor] = ACTIONS(5337),
    [anon_sym_xor] = ACTIONS(5337),
    [anon_sym_bitand] = ACTIONS(5337),
    [anon_sym_not_eq] = ACTIONS(5337),
    [anon_sym_DASH_DASH] = ACTIONS(5339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5339),
    [anon_sym_DOT] = ACTIONS(5337),
    [anon_sym_DOT_STAR] = ACTIONS(5339),
    [anon_sym_DASH_GT] = ACTIONS(5339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5337),
    [anon_sym_decltype] = ACTIONS(5337),
  },
  [2233] = {
    [sym_identifier] = ACTIONS(5531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5533),
    [anon_sym_COMMA] = ACTIONS(5533),
    [anon_sym_RPAREN] = ACTIONS(5533),
    [aux_sym_preproc_if_token2] = ACTIONS(5533),
    [aux_sym_preproc_else_token1] = ACTIONS(5533),
    [aux_sym_preproc_elif_token1] = ACTIONS(5531),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5533),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5533),
    [anon_sym_LPAREN2] = ACTIONS(5533),
    [anon_sym_DASH] = ACTIONS(5531),
    [anon_sym_PLUS] = ACTIONS(5531),
    [anon_sym_STAR] = ACTIONS(5531),
    [anon_sym_SLASH] = ACTIONS(5531),
    [anon_sym_PERCENT] = ACTIONS(5531),
    [anon_sym_PIPE_PIPE] = ACTIONS(5533),
    [anon_sym_AMP_AMP] = ACTIONS(5533),
    [anon_sym_PIPE] = ACTIONS(5531),
    [anon_sym_CARET] = ACTIONS(5531),
    [anon_sym_AMP] = ACTIONS(5531),
    [anon_sym_EQ_EQ] = ACTIONS(5533),
    [anon_sym_BANG_EQ] = ACTIONS(5533),
    [anon_sym_GT] = ACTIONS(5531),
    [anon_sym_GT_EQ] = ACTIONS(5533),
    [anon_sym_LT_EQ] = ACTIONS(5531),
    [anon_sym_LT] = ACTIONS(5531),
    [anon_sym_LT_LT] = ACTIONS(5531),
    [anon_sym_GT_GT] = ACTIONS(5531),
    [anon_sym_SEMI] = ACTIONS(5533),
    [anon_sym___attribute__] = ACTIONS(5531),
    [anon_sym_LBRACE] = ACTIONS(5533),
    [anon_sym_RBRACE] = ACTIONS(5533),
    [anon_sym_LBRACK] = ACTIONS(5533),
    [anon_sym_RBRACK] = ACTIONS(5533),
    [anon_sym_EQ] = ACTIONS(5531),
    [anon_sym_COLON] = ACTIONS(5533),
    [anon_sym_QMARK] = ACTIONS(5533),
    [anon_sym_STAR_EQ] = ACTIONS(5533),
    [anon_sym_SLASH_EQ] = ACTIONS(5533),
    [anon_sym_PERCENT_EQ] = ACTIONS(5533),
    [anon_sym_PLUS_EQ] = ACTIONS(5533),
    [anon_sym_DASH_EQ] = ACTIONS(5533),
    [anon_sym_LT_LT_EQ] = ACTIONS(5533),
    [anon_sym_GT_GT_EQ] = ACTIONS(5533),
    [anon_sym_AMP_EQ] = ACTIONS(5533),
    [anon_sym_CARET_EQ] = ACTIONS(5533),
    [anon_sym_PIPE_EQ] = ACTIONS(5533),
    [anon_sym_and_eq] = ACTIONS(5531),
    [anon_sym_or_eq] = ACTIONS(5531),
    [anon_sym_xor_eq] = ACTIONS(5531),
    [anon_sym_LT_EQ_GT] = ACTIONS(5533),
    [anon_sym_or] = ACTIONS(5531),
    [anon_sym_and] = ACTIONS(5531),
    [anon_sym_bitor] = ACTIONS(5531),
    [anon_sym_xor] = ACTIONS(5531),
    [anon_sym_bitand] = ACTIONS(5531),
    [anon_sym_not_eq] = ACTIONS(5531),
    [anon_sym_DASH_DASH] = ACTIONS(5533),
    [anon_sym_PLUS_PLUS] = ACTIONS(5533),
    [anon_sym_DOT] = ACTIONS(5531),
    [anon_sym_DOT_STAR] = ACTIONS(5533),
    [anon_sym_DASH_GT] = ACTIONS(5533),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5531),
    [anon_sym_decltype] = ACTIONS(5531),
  },
  [2234] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2063),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5607),
    [anon_sym_COMMA] = ACTIONS(5607),
    [anon_sym_LPAREN2] = ACTIONS(5607),
    [anon_sym_DASH] = ACTIONS(5609),
    [anon_sym_PLUS] = ACTIONS(5609),
    [anon_sym_STAR] = ACTIONS(5607),
    [anon_sym_SLASH] = ACTIONS(5609),
    [anon_sym_PERCENT] = ACTIONS(5607),
    [anon_sym_PIPE_PIPE] = ACTIONS(5607),
    [anon_sym_AMP_AMP] = ACTIONS(5607),
    [anon_sym_PIPE] = ACTIONS(5609),
    [anon_sym_CARET] = ACTIONS(5607),
    [anon_sym_AMP] = ACTIONS(5609),
    [anon_sym_EQ_EQ] = ACTIONS(5607),
    [anon_sym_BANG_EQ] = ACTIONS(5607),
    [anon_sym_GT] = ACTIONS(5609),
    [anon_sym_GT_EQ] = ACTIONS(5609),
    [anon_sym_LT_EQ] = ACTIONS(5609),
    [anon_sym_LT] = ACTIONS(5609),
    [anon_sym_LT_LT] = ACTIONS(5607),
    [anon_sym_GT_GT] = ACTIONS(5609),
    [anon_sym___extension__] = ACTIONS(5607),
    [anon_sym___attribute__] = ACTIONS(5607),
    [anon_sym_LBRACE] = ACTIONS(5607),
    [anon_sym_signed] = ACTIONS(5970),
    [anon_sym_unsigned] = ACTIONS(5970),
    [anon_sym_long] = ACTIONS(5970),
    [anon_sym_short] = ACTIONS(5970),
    [anon_sym_LBRACK] = ACTIONS(5607),
    [anon_sym_const] = ACTIONS(5609),
    [anon_sym_constexpr] = ACTIONS(5607),
    [anon_sym_volatile] = ACTIONS(5607),
    [anon_sym_restrict] = ACTIONS(5607),
    [anon_sym___restrict__] = ACTIONS(5607),
    [anon_sym__Atomic] = ACTIONS(5607),
    [anon_sym__Noreturn] = ACTIONS(5607),
    [anon_sym_noreturn] = ACTIONS(5607),
    [anon_sym__Nonnull] = ACTIONS(5607),
    [anon_sym_mutable] = ACTIONS(5607),
    [anon_sym_constinit] = ACTIONS(5607),
    [anon_sym_consteval] = ACTIONS(5607),
    [anon_sym_PROGMEM] = ACTIONS(5607),
    [anon_sym_alignas] = ACTIONS(5607),
    [anon_sym__Alignas] = ACTIONS(5607),
    [anon_sym_QMARK] = ACTIONS(5607),
    [anon_sym_LT_EQ_GT] = ACTIONS(5607),
    [anon_sym_or] = ACTIONS(5607),
    [anon_sym_and] = ACTIONS(5607),
    [anon_sym_bitor] = ACTIONS(5607),
    [anon_sym_xor] = ACTIONS(5607),
    [anon_sym_bitand] = ACTIONS(5607),
    [anon_sym_not_eq] = ACTIONS(5607),
    [anon_sym_DASH_DASH] = ACTIONS(5607),
    [anon_sym_PLUS_PLUS] = ACTIONS(5607),
    [anon_sym_DOT] = ACTIONS(5609),
    [anon_sym_DOT_STAR] = ACTIONS(5607),
    [anon_sym_DASH_GT] = ACTIONS(5607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5607),
    [anon_sym_decltype] = ACTIONS(5607),
    [anon_sym_final] = ACTIONS(5607),
    [anon_sym_override] = ACTIONS(5607),
    [anon_sym_GT2] = ACTIONS(5607),
    [anon_sym_requires] = ACTIONS(5607),
  },
  [2235] = {
    [sym_string_literal] = STATE(2125),
    [sym_raw_string_literal] = STATE(2125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5627),
    [anon_sym_COMMA] = ACTIONS(5627),
    [anon_sym_RPAREN] = ACTIONS(5627),
    [anon_sym_LPAREN2] = ACTIONS(5627),
    [anon_sym_DASH] = ACTIONS(5625),
    [anon_sym_PLUS] = ACTIONS(5625),
    [anon_sym_STAR] = ACTIONS(5625),
    [anon_sym_SLASH] = ACTIONS(5625),
    [anon_sym_PERCENT] = ACTIONS(5625),
    [anon_sym_PIPE_PIPE] = ACTIONS(5627),
    [anon_sym_AMP_AMP] = ACTIONS(5627),
    [anon_sym_PIPE] = ACTIONS(5625),
    [anon_sym_CARET] = ACTIONS(5625),
    [anon_sym_AMP] = ACTIONS(5625),
    [anon_sym_EQ_EQ] = ACTIONS(5627),
    [anon_sym_BANG_EQ] = ACTIONS(5627),
    [anon_sym_GT] = ACTIONS(5625),
    [anon_sym_GT_EQ] = ACTIONS(5627),
    [anon_sym_LT_EQ] = ACTIONS(5625),
    [anon_sym_LT] = ACTIONS(5625),
    [anon_sym_LT_LT] = ACTIONS(5625),
    [anon_sym_GT_GT] = ACTIONS(5625),
    [anon_sym_LBRACK] = ACTIONS(5627),
    [anon_sym_EQ] = ACTIONS(5625),
    [anon_sym_QMARK] = ACTIONS(5627),
    [anon_sym_STAR_EQ] = ACTIONS(5627),
    [anon_sym_SLASH_EQ] = ACTIONS(5627),
    [anon_sym_PERCENT_EQ] = ACTIONS(5627),
    [anon_sym_PLUS_EQ] = ACTIONS(5627),
    [anon_sym_DASH_EQ] = ACTIONS(5627),
    [anon_sym_LT_LT_EQ] = ACTIONS(5627),
    [anon_sym_GT_GT_EQ] = ACTIONS(5627),
    [anon_sym_AMP_EQ] = ACTIONS(5627),
    [anon_sym_CARET_EQ] = ACTIONS(5627),
    [anon_sym_PIPE_EQ] = ACTIONS(5627),
    [anon_sym_and_eq] = ACTIONS(5625),
    [anon_sym_or_eq] = ACTIONS(5625),
    [anon_sym_xor_eq] = ACTIONS(5625),
    [anon_sym_LT_EQ_GT] = ACTIONS(5627),
    [anon_sym_or] = ACTIONS(5625),
    [anon_sym_and] = ACTIONS(5625),
    [anon_sym_bitor] = ACTIONS(5625),
    [anon_sym_xor] = ACTIONS(5625),
    [anon_sym_bitand] = ACTIONS(5625),
    [anon_sym_not_eq] = ACTIONS(5625),
    [anon_sym_DASH_DASH] = ACTIONS(5627),
    [anon_sym_PLUS_PLUS] = ACTIONS(5627),
    [anon_sym_DOT] = ACTIONS(5625),
    [anon_sym_DOT_STAR] = ACTIONS(5627),
    [anon_sym_DASH_GT] = ACTIONS(5625),
    [anon_sym_L_DQUOTE] = ACTIONS(4959),
    [anon_sym_u_DQUOTE] = ACTIONS(4959),
    [anon_sym_U_DQUOTE] = ACTIONS(4959),
    [anon_sym_u8_DQUOTE] = ACTIONS(4959),
    [anon_sym_DQUOTE] = ACTIONS(4959),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4961),
    [anon_sym_LR_DQUOTE] = ACTIONS(4961),
    [anon_sym_uR_DQUOTE] = ACTIONS(4961),
    [anon_sym_UR_DQUOTE] = ACTIONS(4961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4961),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5627),
    [sym_literal_suffix] = ACTIONS(5625),
  },
  [2236] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2242),
    [sym_identifier] = ACTIONS(5384),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5386),
    [anon_sym_COMMA] = ACTIONS(5386),
    [aux_sym_preproc_if_token2] = ACTIONS(5386),
    [aux_sym_preproc_else_token1] = ACTIONS(5386),
    [aux_sym_preproc_elif_token1] = ACTIONS(5384),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5386),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5386),
    [anon_sym_LPAREN2] = ACTIONS(5386),
    [anon_sym_DASH] = ACTIONS(5384),
    [anon_sym_PLUS] = ACTIONS(5384),
    [anon_sym_STAR] = ACTIONS(5384),
    [anon_sym_SLASH] = ACTIONS(5384),
    [anon_sym_PERCENT] = ACTIONS(5384),
    [anon_sym_PIPE_PIPE] = ACTIONS(5386),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_PIPE] = ACTIONS(5384),
    [anon_sym_CARET] = ACTIONS(5384),
    [anon_sym_AMP] = ACTIONS(5384),
    [anon_sym_EQ_EQ] = ACTIONS(5386),
    [anon_sym_BANG_EQ] = ACTIONS(5386),
    [anon_sym_GT] = ACTIONS(5384),
    [anon_sym_GT_EQ] = ACTIONS(5386),
    [anon_sym_LT_EQ] = ACTIONS(5384),
    [anon_sym_LT] = ACTIONS(5384),
    [anon_sym_LT_LT] = ACTIONS(5384),
    [anon_sym_GT_GT] = ACTIONS(5384),
    [anon_sym___attribute__] = ACTIONS(5384),
    [anon_sym_LBRACE] = ACTIONS(5386),
    [anon_sym_signed] = ACTIONS(6020),
    [anon_sym_unsigned] = ACTIONS(6020),
    [anon_sym_long] = ACTIONS(6020),
    [anon_sym_short] = ACTIONS(6020),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_EQ] = ACTIONS(5384),
    [anon_sym_QMARK] = ACTIONS(5386),
    [anon_sym_STAR_EQ] = ACTIONS(5386),
    [anon_sym_SLASH_EQ] = ACTIONS(5386),
    [anon_sym_PERCENT_EQ] = ACTIONS(5386),
    [anon_sym_PLUS_EQ] = ACTIONS(5386),
    [anon_sym_DASH_EQ] = ACTIONS(5386),
    [anon_sym_LT_LT_EQ] = ACTIONS(5386),
    [anon_sym_GT_GT_EQ] = ACTIONS(5386),
    [anon_sym_AMP_EQ] = ACTIONS(5386),
    [anon_sym_CARET_EQ] = ACTIONS(5386),
    [anon_sym_PIPE_EQ] = ACTIONS(5386),
    [anon_sym_and_eq] = ACTIONS(5384),
    [anon_sym_or_eq] = ACTIONS(5384),
    [anon_sym_xor_eq] = ACTIONS(5384),
    [anon_sym_LT_EQ_GT] = ACTIONS(5386),
    [anon_sym_or] = ACTIONS(5384),
    [anon_sym_and] = ACTIONS(5384),
    [anon_sym_bitor] = ACTIONS(5384),
    [anon_sym_xor] = ACTIONS(5384),
    [anon_sym_bitand] = ACTIONS(5384),
    [anon_sym_not_eq] = ACTIONS(5384),
    [anon_sym_DASH_DASH] = ACTIONS(5386),
    [anon_sym_PLUS_PLUS] = ACTIONS(5386),
    [anon_sym_DOT] = ACTIONS(5384),
    [anon_sym_DOT_STAR] = ACTIONS(5386),
    [anon_sym_DASH_GT] = ACTIONS(5386),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5384),
    [anon_sym_decltype] = ACTIONS(5384),
  },
  [2237] = {
    [sym_identifier] = ACTIONS(5481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5483),
    [anon_sym_COMMA] = ACTIONS(5483),
    [anon_sym_RPAREN] = ACTIONS(5483),
    [aux_sym_preproc_if_token2] = ACTIONS(5483),
    [aux_sym_preproc_else_token1] = ACTIONS(5483),
    [aux_sym_preproc_elif_token1] = ACTIONS(5481),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5483),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5483),
    [anon_sym_LPAREN2] = ACTIONS(5483),
    [anon_sym_DASH] = ACTIONS(5481),
    [anon_sym_PLUS] = ACTIONS(5481),
    [anon_sym_STAR] = ACTIONS(5481),
    [anon_sym_SLASH] = ACTIONS(5481),
    [anon_sym_PERCENT] = ACTIONS(5481),
    [anon_sym_PIPE_PIPE] = ACTIONS(5483),
    [anon_sym_AMP_AMP] = ACTIONS(5483),
    [anon_sym_PIPE] = ACTIONS(5481),
    [anon_sym_CARET] = ACTIONS(5481),
    [anon_sym_AMP] = ACTIONS(5481),
    [anon_sym_EQ_EQ] = ACTIONS(5483),
    [anon_sym_BANG_EQ] = ACTIONS(5483),
    [anon_sym_GT] = ACTIONS(5481),
    [anon_sym_GT_EQ] = ACTIONS(5483),
    [anon_sym_LT_EQ] = ACTIONS(5481),
    [anon_sym_LT] = ACTIONS(5481),
    [anon_sym_LT_LT] = ACTIONS(5481),
    [anon_sym_GT_GT] = ACTIONS(5481),
    [anon_sym_SEMI] = ACTIONS(5483),
    [anon_sym___attribute__] = ACTIONS(5481),
    [anon_sym_LBRACE] = ACTIONS(5483),
    [anon_sym_RBRACE] = ACTIONS(5483),
    [anon_sym_LBRACK] = ACTIONS(5483),
    [anon_sym_RBRACK] = ACTIONS(5483),
    [anon_sym_EQ] = ACTIONS(5481),
    [anon_sym_COLON] = ACTIONS(5483),
    [anon_sym_QMARK] = ACTIONS(5483),
    [anon_sym_STAR_EQ] = ACTIONS(5483),
    [anon_sym_SLASH_EQ] = ACTIONS(5483),
    [anon_sym_PERCENT_EQ] = ACTIONS(5483),
    [anon_sym_PLUS_EQ] = ACTIONS(5483),
    [anon_sym_DASH_EQ] = ACTIONS(5483),
    [anon_sym_LT_LT_EQ] = ACTIONS(5483),
    [anon_sym_GT_GT_EQ] = ACTIONS(5483),
    [anon_sym_AMP_EQ] = ACTIONS(5483),
    [anon_sym_CARET_EQ] = ACTIONS(5483),
    [anon_sym_PIPE_EQ] = ACTIONS(5483),
    [anon_sym_and_eq] = ACTIONS(5481),
    [anon_sym_or_eq] = ACTIONS(5481),
    [anon_sym_xor_eq] = ACTIONS(5481),
    [anon_sym_LT_EQ_GT] = ACTIONS(5483),
    [anon_sym_or] = ACTIONS(5481),
    [anon_sym_and] = ACTIONS(5481),
    [anon_sym_bitor] = ACTIONS(5481),
    [anon_sym_xor] = ACTIONS(5481),
    [anon_sym_bitand] = ACTIONS(5481),
    [anon_sym_not_eq] = ACTIONS(5481),
    [anon_sym_DASH_DASH] = ACTIONS(5483),
    [anon_sym_PLUS_PLUS] = ACTIONS(5483),
    [anon_sym_DOT] = ACTIONS(5481),
    [anon_sym_DOT_STAR] = ACTIONS(5483),
    [anon_sym_DASH_GT] = ACTIONS(5483),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5481),
    [anon_sym_decltype] = ACTIONS(5481),
  },
  [2238] = {
    [sym_identifier] = ACTIONS(6022),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6024),
    [anon_sym_COMMA] = ACTIONS(6024),
    [anon_sym_RPAREN] = ACTIONS(6024),
    [aux_sym_preproc_if_token2] = ACTIONS(6024),
    [aux_sym_preproc_else_token1] = ACTIONS(6024),
    [aux_sym_preproc_elif_token1] = ACTIONS(6022),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6024),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6024),
    [anon_sym_LPAREN2] = ACTIONS(6024),
    [anon_sym_DASH] = ACTIONS(6022),
    [anon_sym_PLUS] = ACTIONS(6022),
    [anon_sym_STAR] = ACTIONS(6022),
    [anon_sym_SLASH] = ACTIONS(6022),
    [anon_sym_PERCENT] = ACTIONS(6022),
    [anon_sym_PIPE_PIPE] = ACTIONS(6024),
    [anon_sym_AMP_AMP] = ACTIONS(6024),
    [anon_sym_PIPE] = ACTIONS(6022),
    [anon_sym_CARET] = ACTIONS(6022),
    [anon_sym_AMP] = ACTIONS(6022),
    [anon_sym_EQ_EQ] = ACTIONS(6024),
    [anon_sym_BANG_EQ] = ACTIONS(6024),
    [anon_sym_GT] = ACTIONS(6022),
    [anon_sym_GT_EQ] = ACTIONS(6024),
    [anon_sym_LT_EQ] = ACTIONS(6022),
    [anon_sym_LT] = ACTIONS(6022),
    [anon_sym_LT_LT] = ACTIONS(6022),
    [anon_sym_GT_GT] = ACTIONS(6022),
    [anon_sym_SEMI] = ACTIONS(6024),
    [anon_sym___attribute__] = ACTIONS(6022),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6024),
    [anon_sym_LBRACE] = ACTIONS(6024),
    [anon_sym_RBRACE] = ACTIONS(6024),
    [anon_sym_LBRACK] = ACTIONS(6022),
    [anon_sym_RBRACK] = ACTIONS(6024),
    [anon_sym_EQ] = ACTIONS(6022),
    [anon_sym_COLON] = ACTIONS(6024),
    [anon_sym_QMARK] = ACTIONS(6024),
    [anon_sym_STAR_EQ] = ACTIONS(6024),
    [anon_sym_SLASH_EQ] = ACTIONS(6024),
    [anon_sym_PERCENT_EQ] = ACTIONS(6024),
    [anon_sym_PLUS_EQ] = ACTIONS(6024),
    [anon_sym_DASH_EQ] = ACTIONS(6024),
    [anon_sym_LT_LT_EQ] = ACTIONS(6024),
    [anon_sym_GT_GT_EQ] = ACTIONS(6024),
    [anon_sym_AMP_EQ] = ACTIONS(6024),
    [anon_sym_CARET_EQ] = ACTIONS(6024),
    [anon_sym_PIPE_EQ] = ACTIONS(6024),
    [anon_sym_and_eq] = ACTIONS(6022),
    [anon_sym_or_eq] = ACTIONS(6022),
    [anon_sym_xor_eq] = ACTIONS(6022),
    [anon_sym_LT_EQ_GT] = ACTIONS(6024),
    [anon_sym_or] = ACTIONS(6022),
    [anon_sym_and] = ACTIONS(6022),
    [anon_sym_bitor] = ACTIONS(6022),
    [anon_sym_xor] = ACTIONS(6022),
    [anon_sym_bitand] = ACTIONS(6022),
    [anon_sym_not_eq] = ACTIONS(6022),
    [anon_sym_DASH_DASH] = ACTIONS(6024),
    [anon_sym_PLUS_PLUS] = ACTIONS(6024),
    [anon_sym_DOT] = ACTIONS(6022),
    [anon_sym_DOT_STAR] = ACTIONS(6024),
    [anon_sym_DASH_GT] = ACTIONS(6024),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6022),
  },
  [2239] = {
    [sym_attribute_specifier] = STATE(1784),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5918),
    [anon_sym_COMMA] = ACTIONS(5918),
    [anon_sym_RPAREN] = ACTIONS(5918),
    [anon_sym_LPAREN2] = ACTIONS(5918),
    [anon_sym_DASH] = ACTIONS(5916),
    [anon_sym_PLUS] = ACTIONS(5916),
    [anon_sym_STAR] = ACTIONS(5918),
    [anon_sym_SLASH] = ACTIONS(5916),
    [anon_sym_PERCENT] = ACTIONS(5918),
    [anon_sym_PIPE_PIPE] = ACTIONS(5918),
    [anon_sym_AMP_AMP] = ACTIONS(5918),
    [anon_sym_PIPE] = ACTIONS(5916),
    [anon_sym_CARET] = ACTIONS(5918),
    [anon_sym_AMP] = ACTIONS(5916),
    [anon_sym_EQ_EQ] = ACTIONS(5918),
    [anon_sym_BANG_EQ] = ACTIONS(5918),
    [anon_sym_GT] = ACTIONS(5916),
    [anon_sym_GT_EQ] = ACTIONS(5918),
    [anon_sym_LT_EQ] = ACTIONS(5916),
    [anon_sym_LT] = ACTIONS(5916),
    [anon_sym_LT_LT] = ACTIONS(5918),
    [anon_sym_GT_GT] = ACTIONS(5918),
    [anon_sym_SEMI] = ACTIONS(5918),
    [anon_sym___extension__] = ACTIONS(5918),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5918),
    [anon_sym_RBRACE] = ACTIONS(5918),
    [anon_sym_LBRACK] = ACTIONS(5918),
    [anon_sym_RBRACK] = ACTIONS(5918),
    [anon_sym_const] = ACTIONS(5916),
    [anon_sym_constexpr] = ACTIONS(5918),
    [anon_sym_volatile] = ACTIONS(5918),
    [anon_sym_restrict] = ACTIONS(5918),
    [anon_sym___restrict__] = ACTIONS(5918),
    [anon_sym__Atomic] = ACTIONS(5918),
    [anon_sym__Noreturn] = ACTIONS(5918),
    [anon_sym_noreturn] = ACTIONS(5918),
    [anon_sym__Nonnull] = ACTIONS(5918),
    [anon_sym_mutable] = ACTIONS(5918),
    [anon_sym_constinit] = ACTIONS(5918),
    [anon_sym_consteval] = ACTIONS(5918),
    [anon_sym_PROGMEM] = ACTIONS(5918),
    [anon_sym_alignas] = ACTIONS(5918),
    [anon_sym__Alignas] = ACTIONS(5918),
    [anon_sym_COLON] = ACTIONS(5918),
    [anon_sym_QMARK] = ACTIONS(5918),
    [anon_sym_LT_EQ_GT] = ACTIONS(5918),
    [anon_sym_or] = ACTIONS(5918),
    [anon_sym_and] = ACTIONS(5918),
    [anon_sym_bitor] = ACTIONS(5918),
    [anon_sym_xor] = ACTIONS(5918),
    [anon_sym_bitand] = ACTIONS(5918),
    [anon_sym_not_eq] = ACTIONS(5918),
    [anon_sym_DASH_DASH] = ACTIONS(5918),
    [anon_sym_PLUS_PLUS] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(5916),
    [anon_sym_DOT_STAR] = ACTIONS(5918),
    [anon_sym_DASH_GT] = ACTIONS(5918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5918),
    [anon_sym_decltype] = ACTIONS(5918),
    [anon_sym_final] = ACTIONS(5918),
    [anon_sym_override] = ACTIONS(5918),
    [anon_sym_requires] = ACTIONS(5918),
  },
  [2240] = {
    [sym_identifier] = ACTIONS(5481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5483),
    [anon_sym_COMMA] = ACTIONS(5483),
    [anon_sym_RPAREN] = ACTIONS(5483),
    [aux_sym_preproc_if_token2] = ACTIONS(5483),
    [aux_sym_preproc_else_token1] = ACTIONS(5483),
    [aux_sym_preproc_elif_token1] = ACTIONS(5481),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5483),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5483),
    [anon_sym_LPAREN2] = ACTIONS(5483),
    [anon_sym_DASH] = ACTIONS(5481),
    [anon_sym_PLUS] = ACTIONS(5481),
    [anon_sym_STAR] = ACTIONS(5481),
    [anon_sym_SLASH] = ACTIONS(5481),
    [anon_sym_PERCENT] = ACTIONS(5481),
    [anon_sym_PIPE_PIPE] = ACTIONS(5483),
    [anon_sym_AMP_AMP] = ACTIONS(5483),
    [anon_sym_PIPE] = ACTIONS(5481),
    [anon_sym_CARET] = ACTIONS(5481),
    [anon_sym_AMP] = ACTIONS(5481),
    [anon_sym_EQ_EQ] = ACTIONS(5483),
    [anon_sym_BANG_EQ] = ACTIONS(5483),
    [anon_sym_GT] = ACTIONS(5481),
    [anon_sym_GT_EQ] = ACTIONS(5483),
    [anon_sym_LT_EQ] = ACTIONS(5481),
    [anon_sym_LT] = ACTIONS(5481),
    [anon_sym_LT_LT] = ACTIONS(5481),
    [anon_sym_GT_GT] = ACTIONS(5481),
    [anon_sym_SEMI] = ACTIONS(5483),
    [anon_sym___attribute__] = ACTIONS(5481),
    [anon_sym_LBRACE] = ACTIONS(5483),
    [anon_sym_RBRACE] = ACTIONS(5483),
    [anon_sym_LBRACK] = ACTIONS(5483),
    [anon_sym_RBRACK] = ACTIONS(5483),
    [anon_sym_EQ] = ACTIONS(5481),
    [anon_sym_COLON] = ACTIONS(5483),
    [anon_sym_QMARK] = ACTIONS(5483),
    [anon_sym_STAR_EQ] = ACTIONS(5483),
    [anon_sym_SLASH_EQ] = ACTIONS(5483),
    [anon_sym_PERCENT_EQ] = ACTIONS(5483),
    [anon_sym_PLUS_EQ] = ACTIONS(5483),
    [anon_sym_DASH_EQ] = ACTIONS(5483),
    [anon_sym_LT_LT_EQ] = ACTIONS(5483),
    [anon_sym_GT_GT_EQ] = ACTIONS(5483),
    [anon_sym_AMP_EQ] = ACTIONS(5483),
    [anon_sym_CARET_EQ] = ACTIONS(5483),
    [anon_sym_PIPE_EQ] = ACTIONS(5483),
    [anon_sym_and_eq] = ACTIONS(5481),
    [anon_sym_or_eq] = ACTIONS(5481),
    [anon_sym_xor_eq] = ACTIONS(5481),
    [anon_sym_LT_EQ_GT] = ACTIONS(5483),
    [anon_sym_or] = ACTIONS(5481),
    [anon_sym_and] = ACTIONS(5481),
    [anon_sym_bitor] = ACTIONS(5481),
    [anon_sym_xor] = ACTIONS(5481),
    [anon_sym_bitand] = ACTIONS(5481),
    [anon_sym_not_eq] = ACTIONS(5481),
    [anon_sym_DASH_DASH] = ACTIONS(5483),
    [anon_sym_PLUS_PLUS] = ACTIONS(5483),
    [anon_sym_DOT] = ACTIONS(5481),
    [anon_sym_DOT_STAR] = ACTIONS(5483),
    [anon_sym_DASH_GT] = ACTIONS(5483),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5481),
    [anon_sym_decltype] = ACTIONS(5481),
  },
  [2241] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2186),
    [sym_identifier] = ACTIONS(5680),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [aux_sym_preproc_if_token2] = ACTIONS(5678),
    [aux_sym_preproc_else_token1] = ACTIONS(5678),
    [aux_sym_preproc_elif_token1] = ACTIONS(5680),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5678),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5680),
    [anon_sym_STAR] = ACTIONS(5680),
    [anon_sym_SLASH] = ACTIONS(5680),
    [anon_sym_PERCENT] = ACTIONS(5680),
    [anon_sym_PIPE_PIPE] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_PIPE] = ACTIONS(5680),
    [anon_sym_CARET] = ACTIONS(5680),
    [anon_sym_AMP] = ACTIONS(5680),
    [anon_sym_EQ_EQ] = ACTIONS(5678),
    [anon_sym_BANG_EQ] = ACTIONS(5678),
    [anon_sym_GT] = ACTIONS(5680),
    [anon_sym_GT_EQ] = ACTIONS(5678),
    [anon_sym_LT_EQ] = ACTIONS(5680),
    [anon_sym_LT] = ACTIONS(5680),
    [anon_sym_LT_LT] = ACTIONS(5680),
    [anon_sym_GT_GT] = ACTIONS(5680),
    [anon_sym___attribute__] = ACTIONS(5680),
    [anon_sym_LBRACE] = ACTIONS(5678),
    [anon_sym_signed] = ACTIONS(6026),
    [anon_sym_unsigned] = ACTIONS(6026),
    [anon_sym_long] = ACTIONS(6026),
    [anon_sym_short] = ACTIONS(6026),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [anon_sym_EQ] = ACTIONS(5680),
    [anon_sym_QMARK] = ACTIONS(5678),
    [anon_sym_STAR_EQ] = ACTIONS(5678),
    [anon_sym_SLASH_EQ] = ACTIONS(5678),
    [anon_sym_PERCENT_EQ] = ACTIONS(5678),
    [anon_sym_PLUS_EQ] = ACTIONS(5678),
    [anon_sym_DASH_EQ] = ACTIONS(5678),
    [anon_sym_LT_LT_EQ] = ACTIONS(5678),
    [anon_sym_GT_GT_EQ] = ACTIONS(5678),
    [anon_sym_AMP_EQ] = ACTIONS(5678),
    [anon_sym_CARET_EQ] = ACTIONS(5678),
    [anon_sym_PIPE_EQ] = ACTIONS(5678),
    [anon_sym_and_eq] = ACTIONS(5680),
    [anon_sym_or_eq] = ACTIONS(5680),
    [anon_sym_xor_eq] = ACTIONS(5680),
    [anon_sym_LT_EQ_GT] = ACTIONS(5678),
    [anon_sym_or] = ACTIONS(5680),
    [anon_sym_and] = ACTIONS(5680),
    [anon_sym_bitor] = ACTIONS(5680),
    [anon_sym_xor] = ACTIONS(5680),
    [anon_sym_bitand] = ACTIONS(5680),
    [anon_sym_not_eq] = ACTIONS(5680),
    [anon_sym_DASH_DASH] = ACTIONS(5678),
    [anon_sym_PLUS_PLUS] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5680),
    [anon_sym_DOT_STAR] = ACTIONS(5678),
    [anon_sym_DASH_GT] = ACTIONS(5678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5680),
    [anon_sym_decltype] = ACTIONS(5680),
  },
  [2242] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2186),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5692),
    [anon_sym_COMMA] = ACTIONS(5692),
    [aux_sym_preproc_if_token2] = ACTIONS(5692),
    [aux_sym_preproc_else_token1] = ACTIONS(5692),
    [aux_sym_preproc_elif_token1] = ACTIONS(5694),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_STAR] = ACTIONS(5694),
    [anon_sym_SLASH] = ACTIONS(5694),
    [anon_sym_PERCENT] = ACTIONS(5694),
    [anon_sym_PIPE_PIPE] = ACTIONS(5692),
    [anon_sym_AMP_AMP] = ACTIONS(5692),
    [anon_sym_PIPE] = ACTIONS(5694),
    [anon_sym_CARET] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(5694),
    [anon_sym_EQ_EQ] = ACTIONS(5692),
    [anon_sym_BANG_EQ] = ACTIONS(5692),
    [anon_sym_GT] = ACTIONS(5694),
    [anon_sym_GT_EQ] = ACTIONS(5692),
    [anon_sym_LT_EQ] = ACTIONS(5694),
    [anon_sym_LT] = ACTIONS(5694),
    [anon_sym_LT_LT] = ACTIONS(5694),
    [anon_sym_GT_GT] = ACTIONS(5694),
    [anon_sym___attribute__] = ACTIONS(5694),
    [anon_sym_LBRACE] = ACTIONS(5692),
    [anon_sym_signed] = ACTIONS(6026),
    [anon_sym_unsigned] = ACTIONS(6026),
    [anon_sym_long] = ACTIONS(6026),
    [anon_sym_short] = ACTIONS(6026),
    [anon_sym_LBRACK] = ACTIONS(5692),
    [anon_sym_EQ] = ACTIONS(5694),
    [anon_sym_QMARK] = ACTIONS(5692),
    [anon_sym_STAR_EQ] = ACTIONS(5692),
    [anon_sym_SLASH_EQ] = ACTIONS(5692),
    [anon_sym_PERCENT_EQ] = ACTIONS(5692),
    [anon_sym_PLUS_EQ] = ACTIONS(5692),
    [anon_sym_DASH_EQ] = ACTIONS(5692),
    [anon_sym_LT_LT_EQ] = ACTIONS(5692),
    [anon_sym_GT_GT_EQ] = ACTIONS(5692),
    [anon_sym_AMP_EQ] = ACTIONS(5692),
    [anon_sym_CARET_EQ] = ACTIONS(5692),
    [anon_sym_PIPE_EQ] = ACTIONS(5692),
    [anon_sym_and_eq] = ACTIONS(5694),
    [anon_sym_or_eq] = ACTIONS(5694),
    [anon_sym_xor_eq] = ACTIONS(5694),
    [anon_sym_LT_EQ_GT] = ACTIONS(5692),
    [anon_sym_or] = ACTIONS(5694),
    [anon_sym_and] = ACTIONS(5694),
    [anon_sym_bitor] = ACTIONS(5694),
    [anon_sym_xor] = ACTIONS(5694),
    [anon_sym_bitand] = ACTIONS(5694),
    [anon_sym_not_eq] = ACTIONS(5694),
    [anon_sym_DASH_DASH] = ACTIONS(5692),
    [anon_sym_PLUS_PLUS] = ACTIONS(5692),
    [anon_sym_DOT] = ACTIONS(5694),
    [anon_sym_DOT_STAR] = ACTIONS(5692),
    [anon_sym_DASH_GT] = ACTIONS(5692),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5694),
    [anon_sym_decltype] = ACTIONS(5694),
  },
  [2243] = {
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5378),
    [anon_sym_COMMA] = ACTIONS(5378),
    [anon_sym_RPAREN] = ACTIONS(5378),
    [aux_sym_preproc_if_token2] = ACTIONS(5378),
    [aux_sym_preproc_else_token1] = ACTIONS(5378),
    [aux_sym_preproc_elif_token1] = ACTIONS(5376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5378),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5378),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_DASH] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5376),
    [anon_sym_SLASH] = ACTIONS(5376),
    [anon_sym_PERCENT] = ACTIONS(5376),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_PIPE] = ACTIONS(5376),
    [anon_sym_CARET] = ACTIONS(5376),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_EQ_EQ] = ACTIONS(5378),
    [anon_sym_BANG_EQ] = ACTIONS(5378),
    [anon_sym_GT] = ACTIONS(5376),
    [anon_sym_GT_EQ] = ACTIONS(5378),
    [anon_sym_LT_EQ] = ACTIONS(5376),
    [anon_sym_LT] = ACTIONS(5376),
    [anon_sym_LT_LT] = ACTIONS(5376),
    [anon_sym_GT_GT] = ACTIONS(5376),
    [anon_sym_SEMI] = ACTIONS(5378),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym_LBRACE] = ACTIONS(5378),
    [anon_sym_RBRACE] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5378),
    [anon_sym_RBRACK] = ACTIONS(5378),
    [anon_sym_EQ] = ACTIONS(5376),
    [anon_sym_COLON] = ACTIONS(5378),
    [anon_sym_QMARK] = ACTIONS(5378),
    [anon_sym_STAR_EQ] = ACTIONS(5378),
    [anon_sym_SLASH_EQ] = ACTIONS(5378),
    [anon_sym_PERCENT_EQ] = ACTIONS(5378),
    [anon_sym_PLUS_EQ] = ACTIONS(5378),
    [anon_sym_DASH_EQ] = ACTIONS(5378),
    [anon_sym_LT_LT_EQ] = ACTIONS(5378),
    [anon_sym_GT_GT_EQ] = ACTIONS(5378),
    [anon_sym_AMP_EQ] = ACTIONS(5378),
    [anon_sym_CARET_EQ] = ACTIONS(5378),
    [anon_sym_PIPE_EQ] = ACTIONS(5378),
    [anon_sym_and_eq] = ACTIONS(5376),
    [anon_sym_or_eq] = ACTIONS(5376),
    [anon_sym_xor_eq] = ACTIONS(5376),
    [anon_sym_LT_EQ_GT] = ACTIONS(5378),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [anon_sym_bitor] = ACTIONS(5376),
    [anon_sym_xor] = ACTIONS(5376),
    [anon_sym_bitand] = ACTIONS(5376),
    [anon_sym_not_eq] = ACTIONS(5376),
    [anon_sym_DASH_DASH] = ACTIONS(5378),
    [anon_sym_PLUS_PLUS] = ACTIONS(5378),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_DOT_STAR] = ACTIONS(5378),
    [anon_sym_DASH_GT] = ACTIONS(5378),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
  },
  [2244] = {
    [sym_argument_list] = STATE(2391),
    [sym_initializer_list] = STATE(2391),
    [sym_identifier] = ACTIONS(6028),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6030),
    [anon_sym_COMMA] = ACTIONS(6030),
    [anon_sym_RPAREN] = ACTIONS(6030),
    [aux_sym_preproc_if_token2] = ACTIONS(6030),
    [aux_sym_preproc_else_token1] = ACTIONS(6030),
    [aux_sym_preproc_elif_token1] = ACTIONS(6028),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6030),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6030),
    [anon_sym_LPAREN2] = ACTIONS(5633),
    [anon_sym_DASH] = ACTIONS(6028),
    [anon_sym_PLUS] = ACTIONS(6028),
    [anon_sym_STAR] = ACTIONS(6028),
    [anon_sym_SLASH] = ACTIONS(6028),
    [anon_sym_PERCENT] = ACTIONS(6028),
    [anon_sym_PIPE_PIPE] = ACTIONS(6030),
    [anon_sym_AMP_AMP] = ACTIONS(6030),
    [anon_sym_PIPE] = ACTIONS(6028),
    [anon_sym_CARET] = ACTIONS(6028),
    [anon_sym_AMP] = ACTIONS(6028),
    [anon_sym_EQ_EQ] = ACTIONS(6030),
    [anon_sym_BANG_EQ] = ACTIONS(6030),
    [anon_sym_GT] = ACTIONS(6028),
    [anon_sym_GT_EQ] = ACTIONS(6030),
    [anon_sym_LT_EQ] = ACTIONS(6028),
    [anon_sym_LT] = ACTIONS(6028),
    [anon_sym_LT_LT] = ACTIONS(6028),
    [anon_sym_GT_GT] = ACTIONS(6028),
    [anon_sym_SEMI] = ACTIONS(6030),
    [anon_sym___attribute__] = ACTIONS(6028),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_RBRACE] = ACTIONS(6030),
    [anon_sym_LBRACK] = ACTIONS(6030),
    [anon_sym_RBRACK] = ACTIONS(6030),
    [anon_sym_EQ] = ACTIONS(6028),
    [anon_sym_COLON] = ACTIONS(6030),
    [anon_sym_QMARK] = ACTIONS(6030),
    [anon_sym_STAR_EQ] = ACTIONS(6030),
    [anon_sym_SLASH_EQ] = ACTIONS(6030),
    [anon_sym_PERCENT_EQ] = ACTIONS(6030),
    [anon_sym_PLUS_EQ] = ACTIONS(6030),
    [anon_sym_DASH_EQ] = ACTIONS(6030),
    [anon_sym_LT_LT_EQ] = ACTIONS(6030),
    [anon_sym_GT_GT_EQ] = ACTIONS(6030),
    [anon_sym_AMP_EQ] = ACTIONS(6030),
    [anon_sym_CARET_EQ] = ACTIONS(6030),
    [anon_sym_PIPE_EQ] = ACTIONS(6030),
    [anon_sym_and_eq] = ACTIONS(6028),
    [anon_sym_or_eq] = ACTIONS(6028),
    [anon_sym_xor_eq] = ACTIONS(6028),
    [anon_sym_LT_EQ_GT] = ACTIONS(6030),
    [anon_sym_or] = ACTIONS(6028),
    [anon_sym_and] = ACTIONS(6028),
    [anon_sym_bitor] = ACTIONS(6028),
    [anon_sym_xor] = ACTIONS(6028),
    [anon_sym_bitand] = ACTIONS(6028),
    [anon_sym_not_eq] = ACTIONS(6028),
    [anon_sym_DASH_DASH] = ACTIONS(6030),
    [anon_sym_PLUS_PLUS] = ACTIONS(6030),
    [anon_sym_DOT] = ACTIONS(6028),
    [anon_sym_DOT_STAR] = ACTIONS(6030),
    [anon_sym_DASH_GT] = ACTIONS(6030),
    [sym_comment] = ACTIONS(3),
  },
  [2245] = {
    [sym_attribute_specifier] = STATE(1788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5926),
    [anon_sym_COMMA] = ACTIONS(5926),
    [anon_sym_RPAREN] = ACTIONS(5926),
    [anon_sym_LPAREN2] = ACTIONS(5926),
    [anon_sym_DASH] = ACTIONS(5924),
    [anon_sym_PLUS] = ACTIONS(5924),
    [anon_sym_STAR] = ACTIONS(5926),
    [anon_sym_SLASH] = ACTIONS(5924),
    [anon_sym_PERCENT] = ACTIONS(5926),
    [anon_sym_PIPE_PIPE] = ACTIONS(5926),
    [anon_sym_AMP_AMP] = ACTIONS(5926),
    [anon_sym_PIPE] = ACTIONS(5924),
    [anon_sym_CARET] = ACTIONS(5926),
    [anon_sym_AMP] = ACTIONS(5924),
    [anon_sym_EQ_EQ] = ACTIONS(5926),
    [anon_sym_BANG_EQ] = ACTIONS(5926),
    [anon_sym_GT] = ACTIONS(5924),
    [anon_sym_GT_EQ] = ACTIONS(5926),
    [anon_sym_LT_EQ] = ACTIONS(5924),
    [anon_sym_LT] = ACTIONS(5924),
    [anon_sym_LT_LT] = ACTIONS(5926),
    [anon_sym_GT_GT] = ACTIONS(5926),
    [anon_sym_SEMI] = ACTIONS(5926),
    [anon_sym___extension__] = ACTIONS(5926),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5926),
    [anon_sym_RBRACE] = ACTIONS(5926),
    [anon_sym_LBRACK] = ACTIONS(5926),
    [anon_sym_RBRACK] = ACTIONS(5926),
    [anon_sym_const] = ACTIONS(5924),
    [anon_sym_constexpr] = ACTIONS(5926),
    [anon_sym_volatile] = ACTIONS(5926),
    [anon_sym_restrict] = ACTIONS(5926),
    [anon_sym___restrict__] = ACTIONS(5926),
    [anon_sym__Atomic] = ACTIONS(5926),
    [anon_sym__Noreturn] = ACTIONS(5926),
    [anon_sym_noreturn] = ACTIONS(5926),
    [anon_sym__Nonnull] = ACTIONS(5926),
    [anon_sym_mutable] = ACTIONS(5926),
    [anon_sym_constinit] = ACTIONS(5926),
    [anon_sym_consteval] = ACTIONS(5926),
    [anon_sym_PROGMEM] = ACTIONS(5926),
    [anon_sym_alignas] = ACTIONS(5926),
    [anon_sym__Alignas] = ACTIONS(5926),
    [anon_sym_COLON] = ACTIONS(5926),
    [anon_sym_QMARK] = ACTIONS(5926),
    [anon_sym_LT_EQ_GT] = ACTIONS(5926),
    [anon_sym_or] = ACTIONS(5926),
    [anon_sym_and] = ACTIONS(5926),
    [anon_sym_bitor] = ACTIONS(5926),
    [anon_sym_xor] = ACTIONS(5926),
    [anon_sym_bitand] = ACTIONS(5926),
    [anon_sym_not_eq] = ACTIONS(5926),
    [anon_sym_DASH_DASH] = ACTIONS(5926),
    [anon_sym_PLUS_PLUS] = ACTIONS(5926),
    [anon_sym_DOT] = ACTIONS(5924),
    [anon_sym_DOT_STAR] = ACTIONS(5926),
    [anon_sym_DASH_GT] = ACTIONS(5926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5926),
    [anon_sym_decltype] = ACTIONS(5926),
    [anon_sym_final] = ACTIONS(5926),
    [anon_sym_override] = ACTIONS(5926),
    [anon_sym_requires] = ACTIONS(5926),
  },
  [2246] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2269),
    [sym_identifier] = ACTIONS(5615),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5613),
    [anon_sym_COMMA] = ACTIONS(5613),
    [aux_sym_preproc_if_token2] = ACTIONS(5613),
    [aux_sym_preproc_else_token1] = ACTIONS(5613),
    [aux_sym_preproc_elif_token1] = ACTIONS(5615),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5613),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5613),
    [anon_sym_LPAREN2] = ACTIONS(5613),
    [anon_sym_DASH] = ACTIONS(5615),
    [anon_sym_PLUS] = ACTIONS(5615),
    [anon_sym_STAR] = ACTIONS(5615),
    [anon_sym_SLASH] = ACTIONS(5615),
    [anon_sym_PERCENT] = ACTIONS(5615),
    [anon_sym_PIPE_PIPE] = ACTIONS(5613),
    [anon_sym_AMP_AMP] = ACTIONS(5613),
    [anon_sym_PIPE] = ACTIONS(5615),
    [anon_sym_CARET] = ACTIONS(5615),
    [anon_sym_AMP] = ACTIONS(5615),
    [anon_sym_EQ_EQ] = ACTIONS(5613),
    [anon_sym_BANG_EQ] = ACTIONS(5613),
    [anon_sym_GT] = ACTIONS(5615),
    [anon_sym_GT_EQ] = ACTIONS(5613),
    [anon_sym_LT_EQ] = ACTIONS(5615),
    [anon_sym_LT] = ACTIONS(5615),
    [anon_sym_LT_LT] = ACTIONS(5615),
    [anon_sym_GT_GT] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5615),
    [anon_sym_LBRACE] = ACTIONS(5613),
    [anon_sym_signed] = ACTIONS(6032),
    [anon_sym_unsigned] = ACTIONS(6032),
    [anon_sym_long] = ACTIONS(6032),
    [anon_sym_short] = ACTIONS(6032),
    [anon_sym_LBRACK] = ACTIONS(5613),
    [anon_sym_EQ] = ACTIONS(5615),
    [anon_sym_QMARK] = ACTIONS(5613),
    [anon_sym_STAR_EQ] = ACTIONS(5613),
    [anon_sym_SLASH_EQ] = ACTIONS(5613),
    [anon_sym_PERCENT_EQ] = ACTIONS(5613),
    [anon_sym_PLUS_EQ] = ACTIONS(5613),
    [anon_sym_DASH_EQ] = ACTIONS(5613),
    [anon_sym_LT_LT_EQ] = ACTIONS(5613),
    [anon_sym_GT_GT_EQ] = ACTIONS(5613),
    [anon_sym_AMP_EQ] = ACTIONS(5613),
    [anon_sym_CARET_EQ] = ACTIONS(5613),
    [anon_sym_PIPE_EQ] = ACTIONS(5613),
    [anon_sym_and_eq] = ACTIONS(5615),
    [anon_sym_or_eq] = ACTIONS(5615),
    [anon_sym_xor_eq] = ACTIONS(5615),
    [anon_sym_LT_EQ_GT] = ACTIONS(5613),
    [anon_sym_or] = ACTIONS(5615),
    [anon_sym_and] = ACTIONS(5615),
    [anon_sym_bitor] = ACTIONS(5615),
    [anon_sym_xor] = ACTIONS(5615),
    [anon_sym_bitand] = ACTIONS(5615),
    [anon_sym_not_eq] = ACTIONS(5615),
    [anon_sym_DASH_DASH] = ACTIONS(5613),
    [anon_sym_PLUS_PLUS] = ACTIONS(5613),
    [anon_sym_DOT] = ACTIONS(5615),
    [anon_sym_DOT_STAR] = ACTIONS(5613),
    [anon_sym_DASH_GT] = ACTIONS(5613),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5615),
    [anon_sym_decltype] = ACTIONS(5615),
  },
  [2247] = {
    [sym_attribute_specifier] = STATE(1795),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5896),
    [anon_sym_COMMA] = ACTIONS(5896),
    [anon_sym_RPAREN] = ACTIONS(5896),
    [anon_sym_LPAREN2] = ACTIONS(5896),
    [anon_sym_DASH] = ACTIONS(5894),
    [anon_sym_PLUS] = ACTIONS(5894),
    [anon_sym_STAR] = ACTIONS(5896),
    [anon_sym_SLASH] = ACTIONS(5894),
    [anon_sym_PERCENT] = ACTIONS(5896),
    [anon_sym_PIPE_PIPE] = ACTIONS(5896),
    [anon_sym_AMP_AMP] = ACTIONS(5896),
    [anon_sym_PIPE] = ACTIONS(5894),
    [anon_sym_CARET] = ACTIONS(5896),
    [anon_sym_AMP] = ACTIONS(5894),
    [anon_sym_EQ_EQ] = ACTIONS(5896),
    [anon_sym_BANG_EQ] = ACTIONS(5896),
    [anon_sym_GT] = ACTIONS(5894),
    [anon_sym_GT_EQ] = ACTIONS(5896),
    [anon_sym_LT_EQ] = ACTIONS(5894),
    [anon_sym_LT] = ACTIONS(5894),
    [anon_sym_LT_LT] = ACTIONS(5896),
    [anon_sym_GT_GT] = ACTIONS(5896),
    [anon_sym_SEMI] = ACTIONS(5896),
    [anon_sym___extension__] = ACTIONS(5896),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5896),
    [anon_sym_RBRACE] = ACTIONS(5896),
    [anon_sym_LBRACK] = ACTIONS(5896),
    [anon_sym_RBRACK] = ACTIONS(5896),
    [anon_sym_const] = ACTIONS(5894),
    [anon_sym_constexpr] = ACTIONS(5896),
    [anon_sym_volatile] = ACTIONS(5896),
    [anon_sym_restrict] = ACTIONS(5896),
    [anon_sym___restrict__] = ACTIONS(5896),
    [anon_sym__Atomic] = ACTIONS(5896),
    [anon_sym__Noreturn] = ACTIONS(5896),
    [anon_sym_noreturn] = ACTIONS(5896),
    [anon_sym__Nonnull] = ACTIONS(5896),
    [anon_sym_mutable] = ACTIONS(5896),
    [anon_sym_constinit] = ACTIONS(5896),
    [anon_sym_consteval] = ACTIONS(5896),
    [anon_sym_PROGMEM] = ACTIONS(5896),
    [anon_sym_alignas] = ACTIONS(5896),
    [anon_sym__Alignas] = ACTIONS(5896),
    [anon_sym_COLON] = ACTIONS(5896),
    [anon_sym_QMARK] = ACTIONS(5896),
    [anon_sym_LT_EQ_GT] = ACTIONS(5896),
    [anon_sym_or] = ACTIONS(5896),
    [anon_sym_and] = ACTIONS(5896),
    [anon_sym_bitor] = ACTIONS(5896),
    [anon_sym_xor] = ACTIONS(5896),
    [anon_sym_bitand] = ACTIONS(5896),
    [anon_sym_not_eq] = ACTIONS(5896),
    [anon_sym_DASH_DASH] = ACTIONS(5896),
    [anon_sym_PLUS_PLUS] = ACTIONS(5896),
    [anon_sym_DOT] = ACTIONS(5894),
    [anon_sym_DOT_STAR] = ACTIONS(5896),
    [anon_sym_DASH_GT] = ACTIONS(5896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5896),
    [anon_sym_decltype] = ACTIONS(5896),
    [anon_sym_final] = ACTIONS(5896),
    [anon_sym_override] = ACTIONS(5896),
    [anon_sym_requires] = ACTIONS(5896),
  },
  [2248] = {
    [sym_identifier] = ACTIONS(5416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5418),
    [anon_sym_COMMA] = ACTIONS(5418),
    [anon_sym_RPAREN] = ACTIONS(5418),
    [aux_sym_preproc_if_token2] = ACTIONS(5418),
    [aux_sym_preproc_else_token1] = ACTIONS(5418),
    [aux_sym_preproc_elif_token1] = ACTIONS(5416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5418),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5418),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_DASH] = ACTIONS(5416),
    [anon_sym_PLUS] = ACTIONS(5416),
    [anon_sym_STAR] = ACTIONS(5416),
    [anon_sym_SLASH] = ACTIONS(5416),
    [anon_sym_PERCENT] = ACTIONS(5416),
    [anon_sym_PIPE_PIPE] = ACTIONS(5418),
    [anon_sym_AMP_AMP] = ACTIONS(5418),
    [anon_sym_PIPE] = ACTIONS(5416),
    [anon_sym_CARET] = ACTIONS(5416),
    [anon_sym_AMP] = ACTIONS(5416),
    [anon_sym_EQ_EQ] = ACTIONS(5418),
    [anon_sym_BANG_EQ] = ACTIONS(5418),
    [anon_sym_GT] = ACTIONS(5416),
    [anon_sym_GT_EQ] = ACTIONS(5418),
    [anon_sym_LT_EQ] = ACTIONS(5416),
    [anon_sym_LT] = ACTIONS(5416),
    [anon_sym_LT_LT] = ACTIONS(5416),
    [anon_sym_GT_GT] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(5418),
    [anon_sym___attribute__] = ACTIONS(5416),
    [anon_sym_LBRACE] = ACTIONS(5418),
    [anon_sym_RBRACE] = ACTIONS(5418),
    [anon_sym_LBRACK] = ACTIONS(5418),
    [anon_sym_RBRACK] = ACTIONS(5418),
    [anon_sym_EQ] = ACTIONS(5416),
    [anon_sym_COLON] = ACTIONS(5418),
    [anon_sym_QMARK] = ACTIONS(5418),
    [anon_sym_STAR_EQ] = ACTIONS(5418),
    [anon_sym_SLASH_EQ] = ACTIONS(5418),
    [anon_sym_PERCENT_EQ] = ACTIONS(5418),
    [anon_sym_PLUS_EQ] = ACTIONS(5418),
    [anon_sym_DASH_EQ] = ACTIONS(5418),
    [anon_sym_LT_LT_EQ] = ACTIONS(5418),
    [anon_sym_GT_GT_EQ] = ACTIONS(5418),
    [anon_sym_AMP_EQ] = ACTIONS(5418),
    [anon_sym_CARET_EQ] = ACTIONS(5418),
    [anon_sym_PIPE_EQ] = ACTIONS(5418),
    [anon_sym_and_eq] = ACTIONS(5416),
    [anon_sym_or_eq] = ACTIONS(5416),
    [anon_sym_xor_eq] = ACTIONS(5416),
    [anon_sym_LT_EQ_GT] = ACTIONS(5418),
    [anon_sym_or] = ACTIONS(5416),
    [anon_sym_and] = ACTIONS(5416),
    [anon_sym_bitor] = ACTIONS(5416),
    [anon_sym_xor] = ACTIONS(5416),
    [anon_sym_bitand] = ACTIONS(5416),
    [anon_sym_not_eq] = ACTIONS(5416),
    [anon_sym_DASH_DASH] = ACTIONS(5418),
    [anon_sym_PLUS_PLUS] = ACTIONS(5418),
    [anon_sym_DOT] = ACTIONS(5416),
    [anon_sym_DOT_STAR] = ACTIONS(5418),
    [anon_sym_DASH_GT] = ACTIONS(5418),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5416),
    [anon_sym_decltype] = ACTIONS(5416),
  },
  [2249] = {
    [sym_identifier] = ACTIONS(6034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6036),
    [anon_sym_COMMA] = ACTIONS(6036),
    [anon_sym_RPAREN] = ACTIONS(6036),
    [aux_sym_preproc_if_token2] = ACTIONS(6036),
    [aux_sym_preproc_else_token1] = ACTIONS(6036),
    [aux_sym_preproc_elif_token1] = ACTIONS(6034),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6036),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6036),
    [anon_sym_LPAREN2] = ACTIONS(6036),
    [anon_sym_DASH] = ACTIONS(6034),
    [anon_sym_PLUS] = ACTIONS(6034),
    [anon_sym_STAR] = ACTIONS(6034),
    [anon_sym_SLASH] = ACTIONS(6034),
    [anon_sym_PERCENT] = ACTIONS(6034),
    [anon_sym_PIPE_PIPE] = ACTIONS(6036),
    [anon_sym_AMP_AMP] = ACTIONS(6036),
    [anon_sym_PIPE] = ACTIONS(6034),
    [anon_sym_CARET] = ACTIONS(6034),
    [anon_sym_AMP] = ACTIONS(6034),
    [anon_sym_EQ_EQ] = ACTIONS(6036),
    [anon_sym_BANG_EQ] = ACTIONS(6036),
    [anon_sym_GT] = ACTIONS(6034),
    [anon_sym_GT_EQ] = ACTIONS(6036),
    [anon_sym_LT_EQ] = ACTIONS(6034),
    [anon_sym_LT] = ACTIONS(6034),
    [anon_sym_LT_LT] = ACTIONS(6034),
    [anon_sym_GT_GT] = ACTIONS(6034),
    [anon_sym_SEMI] = ACTIONS(6036),
    [anon_sym___attribute__] = ACTIONS(6034),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6036),
    [anon_sym_LBRACE] = ACTIONS(6036),
    [anon_sym_RBRACE] = ACTIONS(6036),
    [anon_sym_LBRACK] = ACTIONS(6034),
    [anon_sym_RBRACK] = ACTIONS(6036),
    [anon_sym_EQ] = ACTIONS(6034),
    [anon_sym_COLON] = ACTIONS(6036),
    [anon_sym_QMARK] = ACTIONS(6036),
    [anon_sym_STAR_EQ] = ACTIONS(6036),
    [anon_sym_SLASH_EQ] = ACTIONS(6036),
    [anon_sym_PERCENT_EQ] = ACTIONS(6036),
    [anon_sym_PLUS_EQ] = ACTIONS(6036),
    [anon_sym_DASH_EQ] = ACTIONS(6036),
    [anon_sym_LT_LT_EQ] = ACTIONS(6036),
    [anon_sym_GT_GT_EQ] = ACTIONS(6036),
    [anon_sym_AMP_EQ] = ACTIONS(6036),
    [anon_sym_CARET_EQ] = ACTIONS(6036),
    [anon_sym_PIPE_EQ] = ACTIONS(6036),
    [anon_sym_and_eq] = ACTIONS(6034),
    [anon_sym_or_eq] = ACTIONS(6034),
    [anon_sym_xor_eq] = ACTIONS(6034),
    [anon_sym_LT_EQ_GT] = ACTIONS(6036),
    [anon_sym_or] = ACTIONS(6034),
    [anon_sym_and] = ACTIONS(6034),
    [anon_sym_bitor] = ACTIONS(6034),
    [anon_sym_xor] = ACTIONS(6034),
    [anon_sym_bitand] = ACTIONS(6034),
    [anon_sym_not_eq] = ACTIONS(6034),
    [anon_sym_DASH_DASH] = ACTIONS(6036),
    [anon_sym_PLUS_PLUS] = ACTIONS(6036),
    [anon_sym_DOT] = ACTIONS(6034),
    [anon_sym_DOT_STAR] = ACTIONS(6036),
    [anon_sym_DASH_GT] = ACTIONS(6036),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6034),
  },
  [2250] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2063),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5692),
    [anon_sym_COMMA] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_STAR] = ACTIONS(5692),
    [anon_sym_SLASH] = ACTIONS(5694),
    [anon_sym_PERCENT] = ACTIONS(5692),
    [anon_sym_PIPE_PIPE] = ACTIONS(5692),
    [anon_sym_AMP_AMP] = ACTIONS(5692),
    [anon_sym_PIPE] = ACTIONS(5694),
    [anon_sym_CARET] = ACTIONS(5692),
    [anon_sym_AMP] = ACTIONS(5694),
    [anon_sym_EQ_EQ] = ACTIONS(5692),
    [anon_sym_BANG_EQ] = ACTIONS(5692),
    [anon_sym_GT] = ACTIONS(5694),
    [anon_sym_GT_EQ] = ACTIONS(5694),
    [anon_sym_LT_EQ] = ACTIONS(5694),
    [anon_sym_LT] = ACTIONS(5694),
    [anon_sym_LT_LT] = ACTIONS(5692),
    [anon_sym_GT_GT] = ACTIONS(5694),
    [anon_sym___extension__] = ACTIONS(5692),
    [anon_sym___attribute__] = ACTIONS(5692),
    [anon_sym_LBRACE] = ACTIONS(5692),
    [anon_sym_signed] = ACTIONS(5970),
    [anon_sym_unsigned] = ACTIONS(5970),
    [anon_sym_long] = ACTIONS(5970),
    [anon_sym_short] = ACTIONS(5970),
    [anon_sym_LBRACK] = ACTIONS(5692),
    [anon_sym_const] = ACTIONS(5694),
    [anon_sym_constexpr] = ACTIONS(5692),
    [anon_sym_volatile] = ACTIONS(5692),
    [anon_sym_restrict] = ACTIONS(5692),
    [anon_sym___restrict__] = ACTIONS(5692),
    [anon_sym__Atomic] = ACTIONS(5692),
    [anon_sym__Noreturn] = ACTIONS(5692),
    [anon_sym_noreturn] = ACTIONS(5692),
    [anon_sym__Nonnull] = ACTIONS(5692),
    [anon_sym_mutable] = ACTIONS(5692),
    [anon_sym_constinit] = ACTIONS(5692),
    [anon_sym_consteval] = ACTIONS(5692),
    [anon_sym_PROGMEM] = ACTIONS(5692),
    [anon_sym_alignas] = ACTIONS(5692),
    [anon_sym__Alignas] = ACTIONS(5692),
    [anon_sym_QMARK] = ACTIONS(5692),
    [anon_sym_LT_EQ_GT] = ACTIONS(5692),
    [anon_sym_or] = ACTIONS(5692),
    [anon_sym_and] = ACTIONS(5692),
    [anon_sym_bitor] = ACTIONS(5692),
    [anon_sym_xor] = ACTIONS(5692),
    [anon_sym_bitand] = ACTIONS(5692),
    [anon_sym_not_eq] = ACTIONS(5692),
    [anon_sym_DASH_DASH] = ACTIONS(5692),
    [anon_sym_PLUS_PLUS] = ACTIONS(5692),
    [anon_sym_DOT] = ACTIONS(5694),
    [anon_sym_DOT_STAR] = ACTIONS(5692),
    [anon_sym_DASH_GT] = ACTIONS(5692),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5692),
    [anon_sym_decltype] = ACTIONS(5692),
    [anon_sym_final] = ACTIONS(5692),
    [anon_sym_override] = ACTIONS(5692),
    [anon_sym_GT2] = ACTIONS(5692),
    [anon_sym_requires] = ACTIONS(5692),
  },
  [2251] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(5621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5619),
    [anon_sym_COMMA] = ACTIONS(5619),
    [aux_sym_preproc_if_token2] = ACTIONS(5619),
    [aux_sym_preproc_else_token1] = ACTIONS(5619),
    [aux_sym_preproc_elif_token1] = ACTIONS(5621),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5619),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5619),
    [anon_sym_LPAREN2] = ACTIONS(5619),
    [anon_sym_DASH] = ACTIONS(5621),
    [anon_sym_PLUS] = ACTIONS(5621),
    [anon_sym_STAR] = ACTIONS(5621),
    [anon_sym_SLASH] = ACTIONS(5621),
    [anon_sym_PERCENT] = ACTIONS(5621),
    [anon_sym_PIPE_PIPE] = ACTIONS(5619),
    [anon_sym_AMP_AMP] = ACTIONS(5619),
    [anon_sym_PIPE] = ACTIONS(5621),
    [anon_sym_CARET] = ACTIONS(5621),
    [anon_sym_AMP] = ACTIONS(5621),
    [anon_sym_EQ_EQ] = ACTIONS(5619),
    [anon_sym_BANG_EQ] = ACTIONS(5619),
    [anon_sym_GT] = ACTIONS(5621),
    [anon_sym_GT_EQ] = ACTIONS(5619),
    [anon_sym_LT_EQ] = ACTIONS(5621),
    [anon_sym_LT] = ACTIONS(5621),
    [anon_sym_LT_LT] = ACTIONS(5621),
    [anon_sym_GT_GT] = ACTIONS(5621),
    [anon_sym___attribute__] = ACTIONS(5621),
    [anon_sym_LBRACE] = ACTIONS(5619),
    [anon_sym_signed] = ACTIONS(6038),
    [anon_sym_unsigned] = ACTIONS(6038),
    [anon_sym_long] = ACTIONS(6038),
    [anon_sym_short] = ACTIONS(6038),
    [anon_sym_LBRACK] = ACTIONS(5619),
    [anon_sym_EQ] = ACTIONS(5621),
    [anon_sym_QMARK] = ACTIONS(5619),
    [anon_sym_STAR_EQ] = ACTIONS(5619),
    [anon_sym_SLASH_EQ] = ACTIONS(5619),
    [anon_sym_PERCENT_EQ] = ACTIONS(5619),
    [anon_sym_PLUS_EQ] = ACTIONS(5619),
    [anon_sym_DASH_EQ] = ACTIONS(5619),
    [anon_sym_LT_LT_EQ] = ACTIONS(5619),
    [anon_sym_GT_GT_EQ] = ACTIONS(5619),
    [anon_sym_AMP_EQ] = ACTIONS(5619),
    [anon_sym_CARET_EQ] = ACTIONS(5619),
    [anon_sym_PIPE_EQ] = ACTIONS(5619),
    [anon_sym_and_eq] = ACTIONS(5621),
    [anon_sym_or_eq] = ACTIONS(5621),
    [anon_sym_xor_eq] = ACTIONS(5621),
    [anon_sym_LT_EQ_GT] = ACTIONS(5619),
    [anon_sym_or] = ACTIONS(5621),
    [anon_sym_and] = ACTIONS(5621),
    [anon_sym_bitor] = ACTIONS(5621),
    [anon_sym_xor] = ACTIONS(5621),
    [anon_sym_bitand] = ACTIONS(5621),
    [anon_sym_not_eq] = ACTIONS(5621),
    [anon_sym_DASH_DASH] = ACTIONS(5619),
    [anon_sym_PLUS_PLUS] = ACTIONS(5619),
    [anon_sym_DOT] = ACTIONS(5621),
    [anon_sym_DOT_STAR] = ACTIONS(5619),
    [anon_sym_DASH_GT] = ACTIONS(5619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5621),
    [anon_sym_decltype] = ACTIONS(5621),
  },
  [2252] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5619),
    [anon_sym_COMMA] = ACTIONS(5619),
    [anon_sym_LPAREN2] = ACTIONS(5619),
    [anon_sym_DASH] = ACTIONS(5621),
    [anon_sym_PLUS] = ACTIONS(5621),
    [anon_sym_STAR] = ACTIONS(5619),
    [anon_sym_SLASH] = ACTIONS(5621),
    [anon_sym_PERCENT] = ACTIONS(5619),
    [anon_sym_PIPE_PIPE] = ACTIONS(5619),
    [anon_sym_AMP_AMP] = ACTIONS(5619),
    [anon_sym_PIPE] = ACTIONS(5621),
    [anon_sym_CARET] = ACTIONS(5619),
    [anon_sym_AMP] = ACTIONS(5621),
    [anon_sym_EQ_EQ] = ACTIONS(5619),
    [anon_sym_BANG_EQ] = ACTIONS(5619),
    [anon_sym_GT] = ACTIONS(5621),
    [anon_sym_GT_EQ] = ACTIONS(5621),
    [anon_sym_LT_EQ] = ACTIONS(5621),
    [anon_sym_LT] = ACTIONS(5621),
    [anon_sym_LT_LT] = ACTIONS(5619),
    [anon_sym_GT_GT] = ACTIONS(5621),
    [anon_sym___extension__] = ACTIONS(5619),
    [anon_sym___attribute__] = ACTIONS(5619),
    [anon_sym_LBRACE] = ACTIONS(5619),
    [anon_sym_signed] = ACTIONS(6040),
    [anon_sym_unsigned] = ACTIONS(6040),
    [anon_sym_long] = ACTIONS(6040),
    [anon_sym_short] = ACTIONS(6040),
    [anon_sym_LBRACK] = ACTIONS(5619),
    [anon_sym_const] = ACTIONS(5621),
    [anon_sym_constexpr] = ACTIONS(5619),
    [anon_sym_volatile] = ACTIONS(5619),
    [anon_sym_restrict] = ACTIONS(5619),
    [anon_sym___restrict__] = ACTIONS(5619),
    [anon_sym__Atomic] = ACTIONS(5619),
    [anon_sym__Noreturn] = ACTIONS(5619),
    [anon_sym_noreturn] = ACTIONS(5619),
    [anon_sym__Nonnull] = ACTIONS(5619),
    [anon_sym_mutable] = ACTIONS(5619),
    [anon_sym_constinit] = ACTIONS(5619),
    [anon_sym_consteval] = ACTIONS(5619),
    [anon_sym_PROGMEM] = ACTIONS(5619),
    [anon_sym_alignas] = ACTIONS(5619),
    [anon_sym__Alignas] = ACTIONS(5619),
    [anon_sym_QMARK] = ACTIONS(5619),
    [anon_sym_LT_EQ_GT] = ACTIONS(5619),
    [anon_sym_or] = ACTIONS(5619),
    [anon_sym_and] = ACTIONS(5619),
    [anon_sym_bitor] = ACTIONS(5619),
    [anon_sym_xor] = ACTIONS(5619),
    [anon_sym_bitand] = ACTIONS(5619),
    [anon_sym_not_eq] = ACTIONS(5619),
    [anon_sym_DASH_DASH] = ACTIONS(5619),
    [anon_sym_PLUS_PLUS] = ACTIONS(5619),
    [anon_sym_DOT] = ACTIONS(5621),
    [anon_sym_DOT_STAR] = ACTIONS(5619),
    [anon_sym_DASH_GT] = ACTIONS(5619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5619),
    [anon_sym_decltype] = ACTIONS(5619),
    [anon_sym_final] = ACTIONS(5619),
    [anon_sym_override] = ACTIONS(5619),
    [anon_sym_GT2] = ACTIONS(5619),
    [anon_sym_requires] = ACTIONS(5619),
  },
  [2253] = {
    [sym_attribute_specifier] = STATE(1778),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5904),
    [anon_sym_COMMA] = ACTIONS(5904),
    [anon_sym_RPAREN] = ACTIONS(5904),
    [anon_sym_LPAREN2] = ACTIONS(5904),
    [anon_sym_DASH] = ACTIONS(5902),
    [anon_sym_PLUS] = ACTIONS(5902),
    [anon_sym_STAR] = ACTIONS(5904),
    [anon_sym_SLASH] = ACTIONS(5902),
    [anon_sym_PERCENT] = ACTIONS(5904),
    [anon_sym_PIPE_PIPE] = ACTIONS(5904),
    [anon_sym_AMP_AMP] = ACTIONS(5904),
    [anon_sym_PIPE] = ACTIONS(5902),
    [anon_sym_CARET] = ACTIONS(5904),
    [anon_sym_AMP] = ACTIONS(5902),
    [anon_sym_EQ_EQ] = ACTIONS(5904),
    [anon_sym_BANG_EQ] = ACTIONS(5904),
    [anon_sym_GT] = ACTIONS(5902),
    [anon_sym_GT_EQ] = ACTIONS(5904),
    [anon_sym_LT_EQ] = ACTIONS(5902),
    [anon_sym_LT] = ACTIONS(5902),
    [anon_sym_LT_LT] = ACTIONS(5904),
    [anon_sym_GT_GT] = ACTIONS(5904),
    [anon_sym_SEMI] = ACTIONS(5904),
    [anon_sym___extension__] = ACTIONS(5904),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5904),
    [anon_sym_RBRACE] = ACTIONS(5904),
    [anon_sym_LBRACK] = ACTIONS(5904),
    [anon_sym_RBRACK] = ACTIONS(5904),
    [anon_sym_const] = ACTIONS(5902),
    [anon_sym_constexpr] = ACTIONS(5904),
    [anon_sym_volatile] = ACTIONS(5904),
    [anon_sym_restrict] = ACTIONS(5904),
    [anon_sym___restrict__] = ACTIONS(5904),
    [anon_sym__Atomic] = ACTIONS(5904),
    [anon_sym__Noreturn] = ACTIONS(5904),
    [anon_sym_noreturn] = ACTIONS(5904),
    [anon_sym__Nonnull] = ACTIONS(5904),
    [anon_sym_mutable] = ACTIONS(5904),
    [anon_sym_constinit] = ACTIONS(5904),
    [anon_sym_consteval] = ACTIONS(5904),
    [anon_sym_PROGMEM] = ACTIONS(5904),
    [anon_sym_alignas] = ACTIONS(5904),
    [anon_sym__Alignas] = ACTIONS(5904),
    [anon_sym_COLON] = ACTIONS(5904),
    [anon_sym_QMARK] = ACTIONS(5904),
    [anon_sym_LT_EQ_GT] = ACTIONS(5904),
    [anon_sym_or] = ACTIONS(5904),
    [anon_sym_and] = ACTIONS(5904),
    [anon_sym_bitor] = ACTIONS(5904),
    [anon_sym_xor] = ACTIONS(5904),
    [anon_sym_bitand] = ACTIONS(5904),
    [anon_sym_not_eq] = ACTIONS(5904),
    [anon_sym_DASH_DASH] = ACTIONS(5904),
    [anon_sym_PLUS_PLUS] = ACTIONS(5904),
    [anon_sym_DOT] = ACTIONS(5902),
    [anon_sym_DOT_STAR] = ACTIONS(5904),
    [anon_sym_DASH_GT] = ACTIONS(5904),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5904),
    [anon_sym_decltype] = ACTIONS(5904),
    [anon_sym_final] = ACTIONS(5904),
    [anon_sym_override] = ACTIONS(5904),
    [anon_sym_requires] = ACTIONS(5904),
  },
  [2254] = {
    [sym_identifier] = ACTIONS(5497),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5499),
    [anon_sym_COMMA] = ACTIONS(5499),
    [anon_sym_RPAREN] = ACTIONS(5499),
    [aux_sym_preproc_if_token2] = ACTIONS(5499),
    [aux_sym_preproc_else_token1] = ACTIONS(5499),
    [aux_sym_preproc_elif_token1] = ACTIONS(5497),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5499),
    [anon_sym_LPAREN2] = ACTIONS(5499),
    [anon_sym_DASH] = ACTIONS(5497),
    [anon_sym_PLUS] = ACTIONS(5497),
    [anon_sym_STAR] = ACTIONS(5497),
    [anon_sym_SLASH] = ACTIONS(5497),
    [anon_sym_PERCENT] = ACTIONS(5497),
    [anon_sym_PIPE_PIPE] = ACTIONS(5499),
    [anon_sym_AMP_AMP] = ACTIONS(5499),
    [anon_sym_PIPE] = ACTIONS(5497),
    [anon_sym_CARET] = ACTIONS(5497),
    [anon_sym_AMP] = ACTIONS(5497),
    [anon_sym_EQ_EQ] = ACTIONS(5499),
    [anon_sym_BANG_EQ] = ACTIONS(5499),
    [anon_sym_GT] = ACTIONS(5497),
    [anon_sym_GT_EQ] = ACTIONS(5499),
    [anon_sym_LT_EQ] = ACTIONS(5497),
    [anon_sym_LT] = ACTIONS(5497),
    [anon_sym_LT_LT] = ACTIONS(5497),
    [anon_sym_GT_GT] = ACTIONS(5497),
    [anon_sym_SEMI] = ACTIONS(5499),
    [anon_sym___attribute__] = ACTIONS(5497),
    [anon_sym_LBRACE] = ACTIONS(5499),
    [anon_sym_RBRACE] = ACTIONS(5499),
    [anon_sym_LBRACK] = ACTIONS(5499),
    [anon_sym_RBRACK] = ACTIONS(5499),
    [anon_sym_EQ] = ACTIONS(5497),
    [anon_sym_COLON] = ACTIONS(5499),
    [anon_sym_QMARK] = ACTIONS(5499),
    [anon_sym_STAR_EQ] = ACTIONS(5499),
    [anon_sym_SLASH_EQ] = ACTIONS(5499),
    [anon_sym_PERCENT_EQ] = ACTIONS(5499),
    [anon_sym_PLUS_EQ] = ACTIONS(5499),
    [anon_sym_DASH_EQ] = ACTIONS(5499),
    [anon_sym_LT_LT_EQ] = ACTIONS(5499),
    [anon_sym_GT_GT_EQ] = ACTIONS(5499),
    [anon_sym_AMP_EQ] = ACTIONS(5499),
    [anon_sym_CARET_EQ] = ACTIONS(5499),
    [anon_sym_PIPE_EQ] = ACTIONS(5499),
    [anon_sym_and_eq] = ACTIONS(5497),
    [anon_sym_or_eq] = ACTIONS(5497),
    [anon_sym_xor_eq] = ACTIONS(5497),
    [anon_sym_LT_EQ_GT] = ACTIONS(5499),
    [anon_sym_or] = ACTIONS(5497),
    [anon_sym_and] = ACTIONS(5497),
    [anon_sym_bitor] = ACTIONS(5497),
    [anon_sym_xor] = ACTIONS(5497),
    [anon_sym_bitand] = ACTIONS(5497),
    [anon_sym_not_eq] = ACTIONS(5497),
    [anon_sym_DASH_DASH] = ACTIONS(5499),
    [anon_sym_PLUS_PLUS] = ACTIONS(5499),
    [anon_sym_DOT] = ACTIONS(5497),
    [anon_sym_DOT_STAR] = ACTIONS(5499),
    [anon_sym_DASH_GT] = ACTIONS(5499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5497),
    [anon_sym_decltype] = ACTIONS(5497),
  },
  [2255] = {
    [sym_identifier] = ACTIONS(5477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5479),
    [anon_sym_COMMA] = ACTIONS(5479),
    [anon_sym_RPAREN] = ACTIONS(5479),
    [aux_sym_preproc_if_token2] = ACTIONS(5479),
    [aux_sym_preproc_else_token1] = ACTIONS(5479),
    [aux_sym_preproc_elif_token1] = ACTIONS(5477),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5479),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5479),
    [anon_sym_LPAREN2] = ACTIONS(5479),
    [anon_sym_DASH] = ACTIONS(5477),
    [anon_sym_PLUS] = ACTIONS(5477),
    [anon_sym_STAR] = ACTIONS(5477),
    [anon_sym_SLASH] = ACTIONS(5477),
    [anon_sym_PERCENT] = ACTIONS(5477),
    [anon_sym_PIPE_PIPE] = ACTIONS(5479),
    [anon_sym_AMP_AMP] = ACTIONS(5479),
    [anon_sym_PIPE] = ACTIONS(5477),
    [anon_sym_CARET] = ACTIONS(5477),
    [anon_sym_AMP] = ACTIONS(5477),
    [anon_sym_EQ_EQ] = ACTIONS(5479),
    [anon_sym_BANG_EQ] = ACTIONS(5479),
    [anon_sym_GT] = ACTIONS(5477),
    [anon_sym_GT_EQ] = ACTIONS(5479),
    [anon_sym_LT_EQ] = ACTIONS(5477),
    [anon_sym_LT] = ACTIONS(5477),
    [anon_sym_LT_LT] = ACTIONS(5477),
    [anon_sym_GT_GT] = ACTIONS(5477),
    [anon_sym_SEMI] = ACTIONS(5479),
    [anon_sym___attribute__] = ACTIONS(5477),
    [anon_sym_LBRACE] = ACTIONS(5479),
    [anon_sym_RBRACE] = ACTIONS(5479),
    [anon_sym_LBRACK] = ACTIONS(5479),
    [anon_sym_RBRACK] = ACTIONS(5479),
    [anon_sym_EQ] = ACTIONS(5477),
    [anon_sym_COLON] = ACTIONS(5479),
    [anon_sym_QMARK] = ACTIONS(5479),
    [anon_sym_STAR_EQ] = ACTIONS(5479),
    [anon_sym_SLASH_EQ] = ACTIONS(5479),
    [anon_sym_PERCENT_EQ] = ACTIONS(5479),
    [anon_sym_PLUS_EQ] = ACTIONS(5479),
    [anon_sym_DASH_EQ] = ACTIONS(5479),
    [anon_sym_LT_LT_EQ] = ACTIONS(5479),
    [anon_sym_GT_GT_EQ] = ACTIONS(5479),
    [anon_sym_AMP_EQ] = ACTIONS(5479),
    [anon_sym_CARET_EQ] = ACTIONS(5479),
    [anon_sym_PIPE_EQ] = ACTIONS(5479),
    [anon_sym_and_eq] = ACTIONS(5477),
    [anon_sym_or_eq] = ACTIONS(5477),
    [anon_sym_xor_eq] = ACTIONS(5477),
    [anon_sym_LT_EQ_GT] = ACTIONS(5479),
    [anon_sym_or] = ACTIONS(5477),
    [anon_sym_and] = ACTIONS(5477),
    [anon_sym_bitor] = ACTIONS(5477),
    [anon_sym_xor] = ACTIONS(5477),
    [anon_sym_bitand] = ACTIONS(5477),
    [anon_sym_not_eq] = ACTIONS(5477),
    [anon_sym_DASH_DASH] = ACTIONS(5479),
    [anon_sym_PLUS_PLUS] = ACTIONS(5479),
    [anon_sym_DOT] = ACTIONS(5477),
    [anon_sym_DOT_STAR] = ACTIONS(5479),
    [anon_sym_DASH_GT] = ACTIONS(5479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5477),
    [anon_sym_decltype] = ACTIONS(5477),
  },
  [2256] = {
    [sym_identifier] = ACTIONS(5493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5495),
    [anon_sym_COMMA] = ACTIONS(5495),
    [anon_sym_RPAREN] = ACTIONS(5495),
    [aux_sym_preproc_if_token2] = ACTIONS(5495),
    [aux_sym_preproc_else_token1] = ACTIONS(5495),
    [aux_sym_preproc_elif_token1] = ACTIONS(5493),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5495),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5495),
    [anon_sym_LPAREN2] = ACTIONS(5495),
    [anon_sym_DASH] = ACTIONS(5493),
    [anon_sym_PLUS] = ACTIONS(5493),
    [anon_sym_STAR] = ACTIONS(5493),
    [anon_sym_SLASH] = ACTIONS(5493),
    [anon_sym_PERCENT] = ACTIONS(5493),
    [anon_sym_PIPE_PIPE] = ACTIONS(5495),
    [anon_sym_AMP_AMP] = ACTIONS(5495),
    [anon_sym_PIPE] = ACTIONS(5493),
    [anon_sym_CARET] = ACTIONS(5493),
    [anon_sym_AMP] = ACTIONS(5493),
    [anon_sym_EQ_EQ] = ACTIONS(5495),
    [anon_sym_BANG_EQ] = ACTIONS(5495),
    [anon_sym_GT] = ACTIONS(5493),
    [anon_sym_GT_EQ] = ACTIONS(5495),
    [anon_sym_LT_EQ] = ACTIONS(5493),
    [anon_sym_LT] = ACTIONS(5493),
    [anon_sym_LT_LT] = ACTIONS(5493),
    [anon_sym_GT_GT] = ACTIONS(5493),
    [anon_sym_SEMI] = ACTIONS(5495),
    [anon_sym___attribute__] = ACTIONS(5493),
    [anon_sym_LBRACE] = ACTIONS(5495),
    [anon_sym_RBRACE] = ACTIONS(5495),
    [anon_sym_LBRACK] = ACTIONS(5495),
    [anon_sym_RBRACK] = ACTIONS(5495),
    [anon_sym_EQ] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(5495),
    [anon_sym_STAR_EQ] = ACTIONS(5495),
    [anon_sym_SLASH_EQ] = ACTIONS(5495),
    [anon_sym_PERCENT_EQ] = ACTIONS(5495),
    [anon_sym_PLUS_EQ] = ACTIONS(5495),
    [anon_sym_DASH_EQ] = ACTIONS(5495),
    [anon_sym_LT_LT_EQ] = ACTIONS(5495),
    [anon_sym_GT_GT_EQ] = ACTIONS(5495),
    [anon_sym_AMP_EQ] = ACTIONS(5495),
    [anon_sym_CARET_EQ] = ACTIONS(5495),
    [anon_sym_PIPE_EQ] = ACTIONS(5495),
    [anon_sym_and_eq] = ACTIONS(5493),
    [anon_sym_or_eq] = ACTIONS(5493),
    [anon_sym_xor_eq] = ACTIONS(5493),
    [anon_sym_LT_EQ_GT] = ACTIONS(5495),
    [anon_sym_or] = ACTIONS(5493),
    [anon_sym_and] = ACTIONS(5493),
    [anon_sym_bitor] = ACTIONS(5493),
    [anon_sym_xor] = ACTIONS(5493),
    [anon_sym_bitand] = ACTIONS(5493),
    [anon_sym_not_eq] = ACTIONS(5493),
    [anon_sym_DASH_DASH] = ACTIONS(5495),
    [anon_sym_PLUS_PLUS] = ACTIONS(5495),
    [anon_sym_DOT] = ACTIONS(5493),
    [anon_sym_DOT_STAR] = ACTIONS(5495),
    [anon_sym_DASH_GT] = ACTIONS(5495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5493),
    [anon_sym_decltype] = ACTIONS(5493),
  },
  [2257] = {
    [sym_identifier] = ACTIONS(5454),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5456),
    [anon_sym_COMMA] = ACTIONS(5456),
    [anon_sym_RPAREN] = ACTIONS(5456),
    [aux_sym_preproc_if_token2] = ACTIONS(5456),
    [aux_sym_preproc_else_token1] = ACTIONS(5456),
    [aux_sym_preproc_elif_token1] = ACTIONS(5454),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5456),
    [anon_sym_LPAREN2] = ACTIONS(5456),
    [anon_sym_DASH] = ACTIONS(5454),
    [anon_sym_PLUS] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_SLASH] = ACTIONS(5454),
    [anon_sym_PERCENT] = ACTIONS(5454),
    [anon_sym_PIPE_PIPE] = ACTIONS(5456),
    [anon_sym_AMP_AMP] = ACTIONS(5456),
    [anon_sym_PIPE] = ACTIONS(5454),
    [anon_sym_CARET] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5454),
    [anon_sym_EQ_EQ] = ACTIONS(5456),
    [anon_sym_BANG_EQ] = ACTIONS(5456),
    [anon_sym_GT] = ACTIONS(5454),
    [anon_sym_GT_EQ] = ACTIONS(5456),
    [anon_sym_LT_EQ] = ACTIONS(5454),
    [anon_sym_LT] = ACTIONS(5454),
    [anon_sym_LT_LT] = ACTIONS(5454),
    [anon_sym_GT_GT] = ACTIONS(5454),
    [anon_sym_SEMI] = ACTIONS(5456),
    [anon_sym___attribute__] = ACTIONS(5454),
    [anon_sym_LBRACE] = ACTIONS(5456),
    [anon_sym_RBRACE] = ACTIONS(5456),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_RBRACK] = ACTIONS(5456),
    [anon_sym_EQ] = ACTIONS(5454),
    [anon_sym_COLON] = ACTIONS(5456),
    [anon_sym_QMARK] = ACTIONS(5456),
    [anon_sym_STAR_EQ] = ACTIONS(5456),
    [anon_sym_SLASH_EQ] = ACTIONS(5456),
    [anon_sym_PERCENT_EQ] = ACTIONS(5456),
    [anon_sym_PLUS_EQ] = ACTIONS(5456),
    [anon_sym_DASH_EQ] = ACTIONS(5456),
    [anon_sym_LT_LT_EQ] = ACTIONS(5456),
    [anon_sym_GT_GT_EQ] = ACTIONS(5456),
    [anon_sym_AMP_EQ] = ACTIONS(5456),
    [anon_sym_CARET_EQ] = ACTIONS(5456),
    [anon_sym_PIPE_EQ] = ACTIONS(5456),
    [anon_sym_and_eq] = ACTIONS(5454),
    [anon_sym_or_eq] = ACTIONS(5454),
    [anon_sym_xor_eq] = ACTIONS(5454),
    [anon_sym_LT_EQ_GT] = ACTIONS(5456),
    [anon_sym_or] = ACTIONS(5454),
    [anon_sym_and] = ACTIONS(5454),
    [anon_sym_bitor] = ACTIONS(5454),
    [anon_sym_xor] = ACTIONS(5454),
    [anon_sym_bitand] = ACTIONS(5454),
    [anon_sym_not_eq] = ACTIONS(5454),
    [anon_sym_DASH_DASH] = ACTIONS(5456),
    [anon_sym_PLUS_PLUS] = ACTIONS(5456),
    [anon_sym_DOT] = ACTIONS(5454),
    [anon_sym_DOT_STAR] = ACTIONS(5456),
    [anon_sym_DASH_GT] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5454),
    [anon_sym_decltype] = ACTIONS(5454),
  },
  [2258] = {
    [sym_identifier] = ACTIONS(6042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6044),
    [anon_sym_COMMA] = ACTIONS(6044),
    [anon_sym_RPAREN] = ACTIONS(6044),
    [aux_sym_preproc_if_token2] = ACTIONS(6044),
    [aux_sym_preproc_else_token1] = ACTIONS(6044),
    [aux_sym_preproc_elif_token1] = ACTIONS(6042),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6044),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6044),
    [anon_sym_LPAREN2] = ACTIONS(6044),
    [anon_sym_DASH] = ACTIONS(6042),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_STAR] = ACTIONS(6042),
    [anon_sym_SLASH] = ACTIONS(6042),
    [anon_sym_PERCENT] = ACTIONS(6042),
    [anon_sym_PIPE_PIPE] = ACTIONS(6044),
    [anon_sym_AMP_AMP] = ACTIONS(6044),
    [anon_sym_PIPE] = ACTIONS(6042),
    [anon_sym_CARET] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_EQ_EQ] = ACTIONS(6044),
    [anon_sym_BANG_EQ] = ACTIONS(6044),
    [anon_sym_GT] = ACTIONS(6042),
    [anon_sym_GT_EQ] = ACTIONS(6044),
    [anon_sym_LT_EQ] = ACTIONS(6042),
    [anon_sym_LT] = ACTIONS(6042),
    [anon_sym_LT_LT] = ACTIONS(6042),
    [anon_sym_GT_GT] = ACTIONS(6042),
    [anon_sym_SEMI] = ACTIONS(6044),
    [anon_sym___attribute__] = ACTIONS(6042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6044),
    [anon_sym_LBRACE] = ACTIONS(6044),
    [anon_sym_RBRACE] = ACTIONS(6044),
    [anon_sym_LBRACK] = ACTIONS(6042),
    [anon_sym_RBRACK] = ACTIONS(6044),
    [anon_sym_EQ] = ACTIONS(6042),
    [anon_sym_COLON] = ACTIONS(6044),
    [anon_sym_QMARK] = ACTIONS(6044),
    [anon_sym_STAR_EQ] = ACTIONS(6044),
    [anon_sym_SLASH_EQ] = ACTIONS(6044),
    [anon_sym_PERCENT_EQ] = ACTIONS(6044),
    [anon_sym_PLUS_EQ] = ACTIONS(6044),
    [anon_sym_DASH_EQ] = ACTIONS(6044),
    [anon_sym_LT_LT_EQ] = ACTIONS(6044),
    [anon_sym_GT_GT_EQ] = ACTIONS(6044),
    [anon_sym_AMP_EQ] = ACTIONS(6044),
    [anon_sym_CARET_EQ] = ACTIONS(6044),
    [anon_sym_PIPE_EQ] = ACTIONS(6044),
    [anon_sym_and_eq] = ACTIONS(6042),
    [anon_sym_or_eq] = ACTIONS(6042),
    [anon_sym_xor_eq] = ACTIONS(6042),
    [anon_sym_LT_EQ_GT] = ACTIONS(6044),
    [anon_sym_or] = ACTIONS(6042),
    [anon_sym_and] = ACTIONS(6042),
    [anon_sym_bitor] = ACTIONS(6042),
    [anon_sym_xor] = ACTIONS(6042),
    [anon_sym_bitand] = ACTIONS(6042),
    [anon_sym_not_eq] = ACTIONS(6042),
    [anon_sym_DASH_DASH] = ACTIONS(6044),
    [anon_sym_PLUS_PLUS] = ACTIONS(6044),
    [anon_sym_DOT] = ACTIONS(6042),
    [anon_sym_DOT_STAR] = ACTIONS(6044),
    [anon_sym_DASH_GT] = ACTIONS(6044),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6042),
  },
  [2259] = {
    [sym_identifier] = ACTIONS(5444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5446),
    [anon_sym_COMMA] = ACTIONS(5446),
    [anon_sym_RPAREN] = ACTIONS(5446),
    [aux_sym_preproc_if_token2] = ACTIONS(5446),
    [aux_sym_preproc_else_token1] = ACTIONS(5446),
    [aux_sym_preproc_elif_token1] = ACTIONS(5444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5446),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5446),
    [anon_sym_LPAREN2] = ACTIONS(5446),
    [anon_sym_DASH] = ACTIONS(5444),
    [anon_sym_PLUS] = ACTIONS(5444),
    [anon_sym_STAR] = ACTIONS(5444),
    [anon_sym_SLASH] = ACTIONS(5444),
    [anon_sym_PERCENT] = ACTIONS(5444),
    [anon_sym_PIPE_PIPE] = ACTIONS(5446),
    [anon_sym_AMP_AMP] = ACTIONS(5446),
    [anon_sym_PIPE] = ACTIONS(5444),
    [anon_sym_CARET] = ACTIONS(5444),
    [anon_sym_AMP] = ACTIONS(5444),
    [anon_sym_EQ_EQ] = ACTIONS(5446),
    [anon_sym_BANG_EQ] = ACTIONS(5446),
    [anon_sym_GT] = ACTIONS(5444),
    [anon_sym_GT_EQ] = ACTIONS(5446),
    [anon_sym_LT_EQ] = ACTIONS(5444),
    [anon_sym_LT] = ACTIONS(5444),
    [anon_sym_LT_LT] = ACTIONS(5444),
    [anon_sym_GT_GT] = ACTIONS(5444),
    [anon_sym_SEMI] = ACTIONS(5446),
    [anon_sym___attribute__] = ACTIONS(5444),
    [anon_sym_LBRACE] = ACTIONS(5446),
    [anon_sym_RBRACE] = ACTIONS(5446),
    [anon_sym_LBRACK] = ACTIONS(5446),
    [anon_sym_RBRACK] = ACTIONS(5446),
    [anon_sym_EQ] = ACTIONS(5444),
    [anon_sym_COLON] = ACTIONS(5446),
    [anon_sym_QMARK] = ACTIONS(5446),
    [anon_sym_STAR_EQ] = ACTIONS(5446),
    [anon_sym_SLASH_EQ] = ACTIONS(5446),
    [anon_sym_PERCENT_EQ] = ACTIONS(5446),
    [anon_sym_PLUS_EQ] = ACTIONS(5446),
    [anon_sym_DASH_EQ] = ACTIONS(5446),
    [anon_sym_LT_LT_EQ] = ACTIONS(5446),
    [anon_sym_GT_GT_EQ] = ACTIONS(5446),
    [anon_sym_AMP_EQ] = ACTIONS(5446),
    [anon_sym_CARET_EQ] = ACTIONS(5446),
    [anon_sym_PIPE_EQ] = ACTIONS(5446),
    [anon_sym_and_eq] = ACTIONS(5444),
    [anon_sym_or_eq] = ACTIONS(5444),
    [anon_sym_xor_eq] = ACTIONS(5444),
    [anon_sym_LT_EQ_GT] = ACTIONS(5446),
    [anon_sym_or] = ACTIONS(5444),
    [anon_sym_and] = ACTIONS(5444),
    [anon_sym_bitor] = ACTIONS(5444),
    [anon_sym_xor] = ACTIONS(5444),
    [anon_sym_bitand] = ACTIONS(5444),
    [anon_sym_not_eq] = ACTIONS(5444),
    [anon_sym_DASH_DASH] = ACTIONS(5446),
    [anon_sym_PLUS_PLUS] = ACTIONS(5446),
    [anon_sym_DOT] = ACTIONS(5444),
    [anon_sym_DOT_STAR] = ACTIONS(5446),
    [anon_sym_DASH_GT] = ACTIONS(5446),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5444),
    [anon_sym_decltype] = ACTIONS(5444),
  },
  [2260] = {
    [sym_identifier] = ACTIONS(5440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5442),
    [anon_sym_COMMA] = ACTIONS(5442),
    [anon_sym_RPAREN] = ACTIONS(5442),
    [aux_sym_preproc_if_token2] = ACTIONS(5442),
    [aux_sym_preproc_else_token1] = ACTIONS(5442),
    [aux_sym_preproc_elif_token1] = ACTIONS(5440),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5442),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5442),
    [anon_sym_LPAREN2] = ACTIONS(5442),
    [anon_sym_DASH] = ACTIONS(5440),
    [anon_sym_PLUS] = ACTIONS(5440),
    [anon_sym_STAR] = ACTIONS(5440),
    [anon_sym_SLASH] = ACTIONS(5440),
    [anon_sym_PERCENT] = ACTIONS(5440),
    [anon_sym_PIPE_PIPE] = ACTIONS(5442),
    [anon_sym_AMP_AMP] = ACTIONS(5442),
    [anon_sym_PIPE] = ACTIONS(5440),
    [anon_sym_CARET] = ACTIONS(5440),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_EQ_EQ] = ACTIONS(5442),
    [anon_sym_BANG_EQ] = ACTIONS(5442),
    [anon_sym_GT] = ACTIONS(5440),
    [anon_sym_GT_EQ] = ACTIONS(5442),
    [anon_sym_LT_EQ] = ACTIONS(5440),
    [anon_sym_LT] = ACTIONS(5440),
    [anon_sym_LT_LT] = ACTIONS(5440),
    [anon_sym_GT_GT] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym___attribute__] = ACTIONS(5440),
    [anon_sym_LBRACE] = ACTIONS(5442),
    [anon_sym_RBRACE] = ACTIONS(5442),
    [anon_sym_LBRACK] = ACTIONS(5442),
    [anon_sym_RBRACK] = ACTIONS(5442),
    [anon_sym_EQ] = ACTIONS(5440),
    [anon_sym_COLON] = ACTIONS(5442),
    [anon_sym_QMARK] = ACTIONS(5442),
    [anon_sym_STAR_EQ] = ACTIONS(5442),
    [anon_sym_SLASH_EQ] = ACTIONS(5442),
    [anon_sym_PERCENT_EQ] = ACTIONS(5442),
    [anon_sym_PLUS_EQ] = ACTIONS(5442),
    [anon_sym_DASH_EQ] = ACTIONS(5442),
    [anon_sym_LT_LT_EQ] = ACTIONS(5442),
    [anon_sym_GT_GT_EQ] = ACTIONS(5442),
    [anon_sym_AMP_EQ] = ACTIONS(5442),
    [anon_sym_CARET_EQ] = ACTIONS(5442),
    [anon_sym_PIPE_EQ] = ACTIONS(5442),
    [anon_sym_and_eq] = ACTIONS(5440),
    [anon_sym_or_eq] = ACTIONS(5440),
    [anon_sym_xor_eq] = ACTIONS(5440),
    [anon_sym_LT_EQ_GT] = ACTIONS(5442),
    [anon_sym_or] = ACTIONS(5440),
    [anon_sym_and] = ACTIONS(5440),
    [anon_sym_bitor] = ACTIONS(5440),
    [anon_sym_xor] = ACTIONS(5440),
    [anon_sym_bitand] = ACTIONS(5440),
    [anon_sym_not_eq] = ACTIONS(5440),
    [anon_sym_DASH_DASH] = ACTIONS(5442),
    [anon_sym_PLUS_PLUS] = ACTIONS(5442),
    [anon_sym_DOT] = ACTIONS(5440),
    [anon_sym_DOT_STAR] = ACTIONS(5442),
    [anon_sym_DASH_GT] = ACTIONS(5442),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5440),
    [anon_sym_decltype] = ACTIONS(5440),
  },
  [2261] = {
    [sym_argument_list] = STATE(2413),
    [sym_initializer_list] = STATE(2413),
    [sym_identifier] = ACTIONS(6046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6048),
    [anon_sym_COMMA] = ACTIONS(6048),
    [anon_sym_RPAREN] = ACTIONS(6048),
    [aux_sym_preproc_if_token2] = ACTIONS(6048),
    [aux_sym_preproc_else_token1] = ACTIONS(6048),
    [aux_sym_preproc_elif_token1] = ACTIONS(6046),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6048),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6048),
    [anon_sym_LPAREN2] = ACTIONS(5633),
    [anon_sym_DASH] = ACTIONS(6046),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_STAR] = ACTIONS(6046),
    [anon_sym_SLASH] = ACTIONS(6046),
    [anon_sym_PERCENT] = ACTIONS(6046),
    [anon_sym_PIPE_PIPE] = ACTIONS(6048),
    [anon_sym_AMP_AMP] = ACTIONS(6048),
    [anon_sym_PIPE] = ACTIONS(6046),
    [anon_sym_CARET] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_EQ_EQ] = ACTIONS(6048),
    [anon_sym_BANG_EQ] = ACTIONS(6048),
    [anon_sym_GT] = ACTIONS(6046),
    [anon_sym_GT_EQ] = ACTIONS(6048),
    [anon_sym_LT_EQ] = ACTIONS(6046),
    [anon_sym_LT] = ACTIONS(6046),
    [anon_sym_LT_LT] = ACTIONS(6046),
    [anon_sym_GT_GT] = ACTIONS(6046),
    [anon_sym_SEMI] = ACTIONS(6048),
    [anon_sym___attribute__] = ACTIONS(6046),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_RBRACE] = ACTIONS(6048),
    [anon_sym_LBRACK] = ACTIONS(6048),
    [anon_sym_RBRACK] = ACTIONS(6048),
    [anon_sym_EQ] = ACTIONS(6046),
    [anon_sym_COLON] = ACTIONS(6048),
    [anon_sym_QMARK] = ACTIONS(6048),
    [anon_sym_STAR_EQ] = ACTIONS(6048),
    [anon_sym_SLASH_EQ] = ACTIONS(6048),
    [anon_sym_PERCENT_EQ] = ACTIONS(6048),
    [anon_sym_PLUS_EQ] = ACTIONS(6048),
    [anon_sym_DASH_EQ] = ACTIONS(6048),
    [anon_sym_LT_LT_EQ] = ACTIONS(6048),
    [anon_sym_GT_GT_EQ] = ACTIONS(6048),
    [anon_sym_AMP_EQ] = ACTIONS(6048),
    [anon_sym_CARET_EQ] = ACTIONS(6048),
    [anon_sym_PIPE_EQ] = ACTIONS(6048),
    [anon_sym_and_eq] = ACTIONS(6046),
    [anon_sym_or_eq] = ACTIONS(6046),
    [anon_sym_xor_eq] = ACTIONS(6046),
    [anon_sym_LT_EQ_GT] = ACTIONS(6048),
    [anon_sym_or] = ACTIONS(6046),
    [anon_sym_and] = ACTIONS(6046),
    [anon_sym_bitor] = ACTIONS(6046),
    [anon_sym_xor] = ACTIONS(6046),
    [anon_sym_bitand] = ACTIONS(6046),
    [anon_sym_not_eq] = ACTIONS(6046),
    [anon_sym_DASH_DASH] = ACTIONS(6048),
    [anon_sym_PLUS_PLUS] = ACTIONS(6048),
    [anon_sym_DOT] = ACTIONS(6046),
    [anon_sym_DOT_STAR] = ACTIONS(6048),
    [anon_sym_DASH_GT] = ACTIONS(6048),
    [sym_comment] = ACTIONS(3),
  },
  [2262] = {
    [sym_identifier] = ACTIONS(5380),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5382),
    [anon_sym_COMMA] = ACTIONS(5382),
    [anon_sym_RPAREN] = ACTIONS(5382),
    [aux_sym_preproc_if_token2] = ACTIONS(5382),
    [aux_sym_preproc_else_token1] = ACTIONS(5382),
    [aux_sym_preproc_elif_token1] = ACTIONS(5380),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5382),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5382),
    [anon_sym_LPAREN2] = ACTIONS(5382),
    [anon_sym_DASH] = ACTIONS(5380),
    [anon_sym_PLUS] = ACTIONS(5380),
    [anon_sym_STAR] = ACTIONS(5380),
    [anon_sym_SLASH] = ACTIONS(5380),
    [anon_sym_PERCENT] = ACTIONS(5380),
    [anon_sym_PIPE_PIPE] = ACTIONS(5382),
    [anon_sym_AMP_AMP] = ACTIONS(5382),
    [anon_sym_PIPE] = ACTIONS(5380),
    [anon_sym_CARET] = ACTIONS(5380),
    [anon_sym_AMP] = ACTIONS(5380),
    [anon_sym_EQ_EQ] = ACTIONS(5382),
    [anon_sym_BANG_EQ] = ACTIONS(5382),
    [anon_sym_GT] = ACTIONS(5380),
    [anon_sym_GT_EQ] = ACTIONS(5382),
    [anon_sym_LT_EQ] = ACTIONS(5380),
    [anon_sym_LT] = ACTIONS(5380),
    [anon_sym_LT_LT] = ACTIONS(5380),
    [anon_sym_GT_GT] = ACTIONS(5380),
    [anon_sym_SEMI] = ACTIONS(5382),
    [anon_sym___attribute__] = ACTIONS(5380),
    [anon_sym_LBRACE] = ACTIONS(5382),
    [anon_sym_RBRACE] = ACTIONS(5382),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [anon_sym_RBRACK] = ACTIONS(5382),
    [anon_sym_EQ] = ACTIONS(5380),
    [anon_sym_COLON] = ACTIONS(5382),
    [anon_sym_QMARK] = ACTIONS(5382),
    [anon_sym_STAR_EQ] = ACTIONS(5382),
    [anon_sym_SLASH_EQ] = ACTIONS(5382),
    [anon_sym_PERCENT_EQ] = ACTIONS(5382),
    [anon_sym_PLUS_EQ] = ACTIONS(5382),
    [anon_sym_DASH_EQ] = ACTIONS(5382),
    [anon_sym_LT_LT_EQ] = ACTIONS(5382),
    [anon_sym_GT_GT_EQ] = ACTIONS(5382),
    [anon_sym_AMP_EQ] = ACTIONS(5382),
    [anon_sym_CARET_EQ] = ACTIONS(5382),
    [anon_sym_PIPE_EQ] = ACTIONS(5382),
    [anon_sym_and_eq] = ACTIONS(5380),
    [anon_sym_or_eq] = ACTIONS(5380),
    [anon_sym_xor_eq] = ACTIONS(5380),
    [anon_sym_LT_EQ_GT] = ACTIONS(5382),
    [anon_sym_or] = ACTIONS(5380),
    [anon_sym_and] = ACTIONS(5380),
    [anon_sym_bitor] = ACTIONS(5380),
    [anon_sym_xor] = ACTIONS(5380),
    [anon_sym_bitand] = ACTIONS(5380),
    [anon_sym_not_eq] = ACTIONS(5380),
    [anon_sym_DASH_DASH] = ACTIONS(5382),
    [anon_sym_PLUS_PLUS] = ACTIONS(5382),
    [anon_sym_DOT] = ACTIONS(5380),
    [anon_sym_DOT_STAR] = ACTIONS(5382),
    [anon_sym_DASH_GT] = ACTIONS(5382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5380),
    [anon_sym_decltype] = ACTIONS(5380),
  },
  [2263] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2063),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5678),
    [anon_sym_LPAREN2] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5680),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_SLASH] = ACTIONS(5680),
    [anon_sym_PERCENT] = ACTIONS(5678),
    [anon_sym_PIPE_PIPE] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_PIPE] = ACTIONS(5680),
    [anon_sym_CARET] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5680),
    [anon_sym_EQ_EQ] = ACTIONS(5678),
    [anon_sym_BANG_EQ] = ACTIONS(5678),
    [anon_sym_GT] = ACTIONS(5680),
    [anon_sym_GT_EQ] = ACTIONS(5680),
    [anon_sym_LT_EQ] = ACTIONS(5680),
    [anon_sym_LT] = ACTIONS(5680),
    [anon_sym_LT_LT] = ACTIONS(5678),
    [anon_sym_GT_GT] = ACTIONS(5680),
    [anon_sym___extension__] = ACTIONS(5678),
    [anon_sym___attribute__] = ACTIONS(5678),
    [anon_sym_LBRACE] = ACTIONS(5678),
    [anon_sym_signed] = ACTIONS(5970),
    [anon_sym_unsigned] = ACTIONS(5970),
    [anon_sym_long] = ACTIONS(5970),
    [anon_sym_short] = ACTIONS(5970),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [anon_sym_const] = ACTIONS(5680),
    [anon_sym_constexpr] = ACTIONS(5678),
    [anon_sym_volatile] = ACTIONS(5678),
    [anon_sym_restrict] = ACTIONS(5678),
    [anon_sym___restrict__] = ACTIONS(5678),
    [anon_sym__Atomic] = ACTIONS(5678),
    [anon_sym__Noreturn] = ACTIONS(5678),
    [anon_sym_noreturn] = ACTIONS(5678),
    [anon_sym__Nonnull] = ACTIONS(5678),
    [anon_sym_mutable] = ACTIONS(5678),
    [anon_sym_constinit] = ACTIONS(5678),
    [anon_sym_consteval] = ACTIONS(5678),
    [anon_sym_PROGMEM] = ACTIONS(5678),
    [anon_sym_alignas] = ACTIONS(5678),
    [anon_sym__Alignas] = ACTIONS(5678),
    [anon_sym_QMARK] = ACTIONS(5678),
    [anon_sym_LT_EQ_GT] = ACTIONS(5678),
    [anon_sym_or] = ACTIONS(5678),
    [anon_sym_and] = ACTIONS(5678),
    [anon_sym_bitor] = ACTIONS(5678),
    [anon_sym_xor] = ACTIONS(5678),
    [anon_sym_bitand] = ACTIONS(5678),
    [anon_sym_not_eq] = ACTIONS(5678),
    [anon_sym_DASH_DASH] = ACTIONS(5678),
    [anon_sym_PLUS_PLUS] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5680),
    [anon_sym_DOT_STAR] = ACTIONS(5678),
    [anon_sym_DASH_GT] = ACTIONS(5678),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5678),
    [anon_sym_decltype] = ACTIONS(5678),
    [anon_sym_final] = ACTIONS(5678),
    [anon_sym_override] = ACTIONS(5678),
    [anon_sym_GT2] = ACTIONS(5678),
    [anon_sym_requires] = ACTIONS(5678),
  },
  [2264] = {
    [sym_identifier] = ACTIONS(5489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5491),
    [anon_sym_COMMA] = ACTIONS(5491),
    [anon_sym_RPAREN] = ACTIONS(5491),
    [aux_sym_preproc_if_token2] = ACTIONS(5491),
    [aux_sym_preproc_else_token1] = ACTIONS(5491),
    [aux_sym_preproc_elif_token1] = ACTIONS(5489),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5491),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5491),
    [anon_sym_LPAREN2] = ACTIONS(5491),
    [anon_sym_DASH] = ACTIONS(5489),
    [anon_sym_PLUS] = ACTIONS(5489),
    [anon_sym_STAR] = ACTIONS(5489),
    [anon_sym_SLASH] = ACTIONS(5489),
    [anon_sym_PERCENT] = ACTIONS(5489),
    [anon_sym_PIPE_PIPE] = ACTIONS(5491),
    [anon_sym_AMP_AMP] = ACTIONS(5491),
    [anon_sym_PIPE] = ACTIONS(5489),
    [anon_sym_CARET] = ACTIONS(5489),
    [anon_sym_AMP] = ACTIONS(5489),
    [anon_sym_EQ_EQ] = ACTIONS(5491),
    [anon_sym_BANG_EQ] = ACTIONS(5491),
    [anon_sym_GT] = ACTIONS(5489),
    [anon_sym_GT_EQ] = ACTIONS(5491),
    [anon_sym_LT_EQ] = ACTIONS(5489),
    [anon_sym_LT] = ACTIONS(5489),
    [anon_sym_LT_LT] = ACTIONS(5489),
    [anon_sym_GT_GT] = ACTIONS(5489),
    [anon_sym_SEMI] = ACTIONS(5491),
    [anon_sym___attribute__] = ACTIONS(5489),
    [anon_sym_LBRACE] = ACTIONS(5491),
    [anon_sym_RBRACE] = ACTIONS(5491),
    [anon_sym_LBRACK] = ACTIONS(5491),
    [anon_sym_RBRACK] = ACTIONS(5491),
    [anon_sym_EQ] = ACTIONS(5489),
    [anon_sym_COLON] = ACTIONS(5491),
    [anon_sym_QMARK] = ACTIONS(5491),
    [anon_sym_STAR_EQ] = ACTIONS(5491),
    [anon_sym_SLASH_EQ] = ACTIONS(5491),
    [anon_sym_PERCENT_EQ] = ACTIONS(5491),
    [anon_sym_PLUS_EQ] = ACTIONS(5491),
    [anon_sym_DASH_EQ] = ACTIONS(5491),
    [anon_sym_LT_LT_EQ] = ACTIONS(5491),
    [anon_sym_GT_GT_EQ] = ACTIONS(5491),
    [anon_sym_AMP_EQ] = ACTIONS(5491),
    [anon_sym_CARET_EQ] = ACTIONS(5491),
    [anon_sym_PIPE_EQ] = ACTIONS(5491),
    [anon_sym_and_eq] = ACTIONS(5489),
    [anon_sym_or_eq] = ACTIONS(5489),
    [anon_sym_xor_eq] = ACTIONS(5489),
    [anon_sym_LT_EQ_GT] = ACTIONS(5491),
    [anon_sym_or] = ACTIONS(5489),
    [anon_sym_and] = ACTIONS(5489),
    [anon_sym_bitor] = ACTIONS(5489),
    [anon_sym_xor] = ACTIONS(5489),
    [anon_sym_bitand] = ACTIONS(5489),
    [anon_sym_not_eq] = ACTIONS(5489),
    [anon_sym_DASH_DASH] = ACTIONS(5491),
    [anon_sym_PLUS_PLUS] = ACTIONS(5491),
    [anon_sym_DOT] = ACTIONS(5489),
    [anon_sym_DOT_STAR] = ACTIONS(5491),
    [anon_sym_DASH_GT] = ACTIONS(5491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5489),
    [anon_sym_decltype] = ACTIONS(5489),
  },
  [2265] = {
    [sym_identifier] = ACTIONS(5428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5430),
    [anon_sym_COMMA] = ACTIONS(5430),
    [anon_sym_RPAREN] = ACTIONS(5430),
    [aux_sym_preproc_if_token2] = ACTIONS(5430),
    [aux_sym_preproc_else_token1] = ACTIONS(5430),
    [aux_sym_preproc_elif_token1] = ACTIONS(5428),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5430),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5430),
    [anon_sym_LPAREN2] = ACTIONS(5430),
    [anon_sym_DASH] = ACTIONS(5428),
    [anon_sym_PLUS] = ACTIONS(5428),
    [anon_sym_STAR] = ACTIONS(5428),
    [anon_sym_SLASH] = ACTIONS(5428),
    [anon_sym_PERCENT] = ACTIONS(5428),
    [anon_sym_PIPE_PIPE] = ACTIONS(5430),
    [anon_sym_AMP_AMP] = ACTIONS(5430),
    [anon_sym_PIPE] = ACTIONS(5428),
    [anon_sym_CARET] = ACTIONS(5428),
    [anon_sym_AMP] = ACTIONS(5428),
    [anon_sym_EQ_EQ] = ACTIONS(5430),
    [anon_sym_BANG_EQ] = ACTIONS(5430),
    [anon_sym_GT] = ACTIONS(5428),
    [anon_sym_GT_EQ] = ACTIONS(5430),
    [anon_sym_LT_EQ] = ACTIONS(5428),
    [anon_sym_LT] = ACTIONS(5428),
    [anon_sym_LT_LT] = ACTIONS(5428),
    [anon_sym_GT_GT] = ACTIONS(5428),
    [anon_sym_SEMI] = ACTIONS(5430),
    [anon_sym___attribute__] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(5430),
    [anon_sym_RBRACE] = ACTIONS(5430),
    [anon_sym_LBRACK] = ACTIONS(5430),
    [anon_sym_RBRACK] = ACTIONS(5430),
    [anon_sym_EQ] = ACTIONS(5428),
    [anon_sym_COLON] = ACTIONS(5430),
    [anon_sym_QMARK] = ACTIONS(5430),
    [anon_sym_STAR_EQ] = ACTIONS(5430),
    [anon_sym_SLASH_EQ] = ACTIONS(5430),
    [anon_sym_PERCENT_EQ] = ACTIONS(5430),
    [anon_sym_PLUS_EQ] = ACTIONS(5430),
    [anon_sym_DASH_EQ] = ACTIONS(5430),
    [anon_sym_LT_LT_EQ] = ACTIONS(5430),
    [anon_sym_GT_GT_EQ] = ACTIONS(5430),
    [anon_sym_AMP_EQ] = ACTIONS(5430),
    [anon_sym_CARET_EQ] = ACTIONS(5430),
    [anon_sym_PIPE_EQ] = ACTIONS(5430),
    [anon_sym_and_eq] = ACTIONS(5428),
    [anon_sym_or_eq] = ACTIONS(5428),
    [anon_sym_xor_eq] = ACTIONS(5428),
    [anon_sym_LT_EQ_GT] = ACTIONS(5430),
    [anon_sym_or] = ACTIONS(5428),
    [anon_sym_and] = ACTIONS(5428),
    [anon_sym_bitor] = ACTIONS(5428),
    [anon_sym_xor] = ACTIONS(5428),
    [anon_sym_bitand] = ACTIONS(5428),
    [anon_sym_not_eq] = ACTIONS(5428),
    [anon_sym_DASH_DASH] = ACTIONS(5430),
    [anon_sym_PLUS_PLUS] = ACTIONS(5430),
    [anon_sym_DOT] = ACTIONS(5428),
    [anon_sym_DOT_STAR] = ACTIONS(5430),
    [anon_sym_DASH_GT] = ACTIONS(5430),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5428),
    [anon_sym_decltype] = ACTIONS(5428),
  },
  [2266] = {
    [sym_identifier] = ACTIONS(5473),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5475),
    [anon_sym_COMMA] = ACTIONS(5475),
    [anon_sym_RPAREN] = ACTIONS(5475),
    [aux_sym_preproc_if_token2] = ACTIONS(5475),
    [aux_sym_preproc_else_token1] = ACTIONS(5475),
    [aux_sym_preproc_elif_token1] = ACTIONS(5473),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5475),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5475),
    [anon_sym_LPAREN2] = ACTIONS(5475),
    [anon_sym_DASH] = ACTIONS(5473),
    [anon_sym_PLUS] = ACTIONS(5473),
    [anon_sym_STAR] = ACTIONS(5473),
    [anon_sym_SLASH] = ACTIONS(5473),
    [anon_sym_PERCENT] = ACTIONS(5473),
    [anon_sym_PIPE_PIPE] = ACTIONS(5475),
    [anon_sym_AMP_AMP] = ACTIONS(5475),
    [anon_sym_PIPE] = ACTIONS(5473),
    [anon_sym_CARET] = ACTIONS(5473),
    [anon_sym_AMP] = ACTIONS(5473),
    [anon_sym_EQ_EQ] = ACTIONS(5475),
    [anon_sym_BANG_EQ] = ACTIONS(5475),
    [anon_sym_GT] = ACTIONS(5473),
    [anon_sym_GT_EQ] = ACTIONS(5475),
    [anon_sym_LT_EQ] = ACTIONS(5473),
    [anon_sym_LT] = ACTIONS(5473),
    [anon_sym_LT_LT] = ACTIONS(5473),
    [anon_sym_GT_GT] = ACTIONS(5473),
    [anon_sym_SEMI] = ACTIONS(5475),
    [anon_sym___attribute__] = ACTIONS(5473),
    [anon_sym_LBRACE] = ACTIONS(5475),
    [anon_sym_RBRACE] = ACTIONS(5475),
    [anon_sym_LBRACK] = ACTIONS(5475),
    [anon_sym_RBRACK] = ACTIONS(5475),
    [anon_sym_EQ] = ACTIONS(5473),
    [anon_sym_COLON] = ACTIONS(5475),
    [anon_sym_QMARK] = ACTIONS(5475),
    [anon_sym_STAR_EQ] = ACTIONS(5475),
    [anon_sym_SLASH_EQ] = ACTIONS(5475),
    [anon_sym_PERCENT_EQ] = ACTIONS(5475),
    [anon_sym_PLUS_EQ] = ACTIONS(5475),
    [anon_sym_DASH_EQ] = ACTIONS(5475),
    [anon_sym_LT_LT_EQ] = ACTIONS(5475),
    [anon_sym_GT_GT_EQ] = ACTIONS(5475),
    [anon_sym_AMP_EQ] = ACTIONS(5475),
    [anon_sym_CARET_EQ] = ACTIONS(5475),
    [anon_sym_PIPE_EQ] = ACTIONS(5475),
    [anon_sym_and_eq] = ACTIONS(5473),
    [anon_sym_or_eq] = ACTIONS(5473),
    [anon_sym_xor_eq] = ACTIONS(5473),
    [anon_sym_LT_EQ_GT] = ACTIONS(5475),
    [anon_sym_or] = ACTIONS(5473),
    [anon_sym_and] = ACTIONS(5473),
    [anon_sym_bitor] = ACTIONS(5473),
    [anon_sym_xor] = ACTIONS(5473),
    [anon_sym_bitand] = ACTIONS(5473),
    [anon_sym_not_eq] = ACTIONS(5473),
    [anon_sym_DASH_DASH] = ACTIONS(5475),
    [anon_sym_PLUS_PLUS] = ACTIONS(5475),
    [anon_sym_DOT] = ACTIONS(5473),
    [anon_sym_DOT_STAR] = ACTIONS(5475),
    [anon_sym_DASH_GT] = ACTIONS(5475),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5473),
    [anon_sym_decltype] = ACTIONS(5473),
  },
  [2267] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5613),
    [anon_sym_COMMA] = ACTIONS(5613),
    [anon_sym_LPAREN2] = ACTIONS(5613),
    [anon_sym_DASH] = ACTIONS(5615),
    [anon_sym_PLUS] = ACTIONS(5615),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_SLASH] = ACTIONS(5615),
    [anon_sym_PERCENT] = ACTIONS(5613),
    [anon_sym_PIPE_PIPE] = ACTIONS(5613),
    [anon_sym_AMP_AMP] = ACTIONS(5613),
    [anon_sym_PIPE] = ACTIONS(5615),
    [anon_sym_CARET] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5615),
    [anon_sym_EQ_EQ] = ACTIONS(5613),
    [anon_sym_BANG_EQ] = ACTIONS(5613),
    [anon_sym_GT] = ACTIONS(5615),
    [anon_sym_GT_EQ] = ACTIONS(5615),
    [anon_sym_LT_EQ] = ACTIONS(5615),
    [anon_sym_LT] = ACTIONS(5615),
    [anon_sym_LT_LT] = ACTIONS(5613),
    [anon_sym_GT_GT] = ACTIONS(5615),
    [anon_sym___extension__] = ACTIONS(5613),
    [anon_sym___attribute__] = ACTIONS(5613),
    [anon_sym_LBRACE] = ACTIONS(5613),
    [anon_sym_signed] = ACTIONS(6050),
    [anon_sym_unsigned] = ACTIONS(6050),
    [anon_sym_long] = ACTIONS(6050),
    [anon_sym_short] = ACTIONS(6050),
    [anon_sym_LBRACK] = ACTIONS(5613),
    [anon_sym_const] = ACTIONS(5615),
    [anon_sym_constexpr] = ACTIONS(5613),
    [anon_sym_volatile] = ACTIONS(5613),
    [anon_sym_restrict] = ACTIONS(5613),
    [anon_sym___restrict__] = ACTIONS(5613),
    [anon_sym__Atomic] = ACTIONS(5613),
    [anon_sym__Noreturn] = ACTIONS(5613),
    [anon_sym_noreturn] = ACTIONS(5613),
    [anon_sym__Nonnull] = ACTIONS(5613),
    [anon_sym_mutable] = ACTIONS(5613),
    [anon_sym_constinit] = ACTIONS(5613),
    [anon_sym_consteval] = ACTIONS(5613),
    [anon_sym_PROGMEM] = ACTIONS(5613),
    [anon_sym_alignas] = ACTIONS(5613),
    [anon_sym__Alignas] = ACTIONS(5613),
    [anon_sym_QMARK] = ACTIONS(5613),
    [anon_sym_LT_EQ_GT] = ACTIONS(5613),
    [anon_sym_or] = ACTIONS(5613),
    [anon_sym_and] = ACTIONS(5613),
    [anon_sym_bitor] = ACTIONS(5613),
    [anon_sym_xor] = ACTIONS(5613),
    [anon_sym_bitand] = ACTIONS(5613),
    [anon_sym_not_eq] = ACTIONS(5613),
    [anon_sym_DASH_DASH] = ACTIONS(5613),
    [anon_sym_PLUS_PLUS] = ACTIONS(5613),
    [anon_sym_DOT] = ACTIONS(5615),
    [anon_sym_DOT_STAR] = ACTIONS(5613),
    [anon_sym_DASH_GT] = ACTIONS(5613),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5613),
    [anon_sym_decltype] = ACTIONS(5613),
    [anon_sym_final] = ACTIONS(5613),
    [anon_sym_override] = ACTIONS(5613),
    [anon_sym_GT2] = ACTIONS(5613),
    [anon_sym_requires] = ACTIONS(5613),
  },
  [2268] = {
    [sym_identifier] = ACTIONS(5516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5518),
    [anon_sym_COMMA] = ACTIONS(5518),
    [anon_sym_RPAREN] = ACTIONS(5518),
    [aux_sym_preproc_if_token2] = ACTIONS(5518),
    [aux_sym_preproc_else_token1] = ACTIONS(5518),
    [aux_sym_preproc_elif_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5518),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5518),
    [anon_sym_LPAREN2] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5516),
    [anon_sym_PLUS] = ACTIONS(5516),
    [anon_sym_STAR] = ACTIONS(5516),
    [anon_sym_SLASH] = ACTIONS(5516),
    [anon_sym_PERCENT] = ACTIONS(5516),
    [anon_sym_PIPE_PIPE] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5518),
    [anon_sym_PIPE] = ACTIONS(5516),
    [anon_sym_CARET] = ACTIONS(5516),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym_EQ_EQ] = ACTIONS(5518),
    [anon_sym_BANG_EQ] = ACTIONS(5518),
    [anon_sym_GT] = ACTIONS(5516),
    [anon_sym_GT_EQ] = ACTIONS(5518),
    [anon_sym_LT_EQ] = ACTIONS(5516),
    [anon_sym_LT] = ACTIONS(5516),
    [anon_sym_LT_LT] = ACTIONS(5516),
    [anon_sym_GT_GT] = ACTIONS(5516),
    [anon_sym_SEMI] = ACTIONS(5518),
    [anon_sym___attribute__] = ACTIONS(5516),
    [anon_sym_LBRACE] = ACTIONS(5518),
    [anon_sym_RBRACE] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [anon_sym_RBRACK] = ACTIONS(5518),
    [anon_sym_EQ] = ACTIONS(5516),
    [anon_sym_COLON] = ACTIONS(5518),
    [anon_sym_QMARK] = ACTIONS(5518),
    [anon_sym_STAR_EQ] = ACTIONS(5518),
    [anon_sym_SLASH_EQ] = ACTIONS(5518),
    [anon_sym_PERCENT_EQ] = ACTIONS(5518),
    [anon_sym_PLUS_EQ] = ACTIONS(5518),
    [anon_sym_DASH_EQ] = ACTIONS(5518),
    [anon_sym_LT_LT_EQ] = ACTIONS(5518),
    [anon_sym_GT_GT_EQ] = ACTIONS(5518),
    [anon_sym_AMP_EQ] = ACTIONS(5518),
    [anon_sym_CARET_EQ] = ACTIONS(5518),
    [anon_sym_PIPE_EQ] = ACTIONS(5518),
    [anon_sym_and_eq] = ACTIONS(5516),
    [anon_sym_or_eq] = ACTIONS(5516),
    [anon_sym_xor_eq] = ACTIONS(5516),
    [anon_sym_LT_EQ_GT] = ACTIONS(5518),
    [anon_sym_or] = ACTIONS(5516),
    [anon_sym_and] = ACTIONS(5516),
    [anon_sym_bitor] = ACTIONS(5516),
    [anon_sym_xor] = ACTIONS(5516),
    [anon_sym_bitand] = ACTIONS(5516),
    [anon_sym_not_eq] = ACTIONS(5516),
    [anon_sym_DASH_DASH] = ACTIONS(5518),
    [anon_sym_PLUS_PLUS] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5516),
    [anon_sym_DOT_STAR] = ACTIONS(5518),
    [anon_sym_DASH_GT] = ACTIONS(5518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5516),
    [anon_sym_decltype] = ACTIONS(5516),
  },
  [2269] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2186),
    [sym_identifier] = ACTIONS(5609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5607),
    [anon_sym_COMMA] = ACTIONS(5607),
    [aux_sym_preproc_if_token2] = ACTIONS(5607),
    [aux_sym_preproc_else_token1] = ACTIONS(5607),
    [aux_sym_preproc_elif_token1] = ACTIONS(5609),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5607),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5607),
    [anon_sym_LPAREN2] = ACTIONS(5607),
    [anon_sym_DASH] = ACTIONS(5609),
    [anon_sym_PLUS] = ACTIONS(5609),
    [anon_sym_STAR] = ACTIONS(5609),
    [anon_sym_SLASH] = ACTIONS(5609),
    [anon_sym_PERCENT] = ACTIONS(5609),
    [anon_sym_PIPE_PIPE] = ACTIONS(5607),
    [anon_sym_AMP_AMP] = ACTIONS(5607),
    [anon_sym_PIPE] = ACTIONS(5609),
    [anon_sym_CARET] = ACTIONS(5609),
    [anon_sym_AMP] = ACTIONS(5609),
    [anon_sym_EQ_EQ] = ACTIONS(5607),
    [anon_sym_BANG_EQ] = ACTIONS(5607),
    [anon_sym_GT] = ACTIONS(5609),
    [anon_sym_GT_EQ] = ACTIONS(5607),
    [anon_sym_LT_EQ] = ACTIONS(5609),
    [anon_sym_LT] = ACTIONS(5609),
    [anon_sym_LT_LT] = ACTIONS(5609),
    [anon_sym_GT_GT] = ACTIONS(5609),
    [anon_sym___attribute__] = ACTIONS(5609),
    [anon_sym_LBRACE] = ACTIONS(5607),
    [anon_sym_signed] = ACTIONS(6026),
    [anon_sym_unsigned] = ACTIONS(6026),
    [anon_sym_long] = ACTIONS(6026),
    [anon_sym_short] = ACTIONS(6026),
    [anon_sym_LBRACK] = ACTIONS(5607),
    [anon_sym_EQ] = ACTIONS(5609),
    [anon_sym_QMARK] = ACTIONS(5607),
    [anon_sym_STAR_EQ] = ACTIONS(5607),
    [anon_sym_SLASH_EQ] = ACTIONS(5607),
    [anon_sym_PERCENT_EQ] = ACTIONS(5607),
    [anon_sym_PLUS_EQ] = ACTIONS(5607),
    [anon_sym_DASH_EQ] = ACTIONS(5607),
    [anon_sym_LT_LT_EQ] = ACTIONS(5607),
    [anon_sym_GT_GT_EQ] = ACTIONS(5607),
    [anon_sym_AMP_EQ] = ACTIONS(5607),
    [anon_sym_CARET_EQ] = ACTIONS(5607),
    [anon_sym_PIPE_EQ] = ACTIONS(5607),
    [anon_sym_and_eq] = ACTIONS(5609),
    [anon_sym_or_eq] = ACTIONS(5609),
    [anon_sym_xor_eq] = ACTIONS(5609),
    [anon_sym_LT_EQ_GT] = ACTIONS(5607),
    [anon_sym_or] = ACTIONS(5609),
    [anon_sym_and] = ACTIONS(5609),
    [anon_sym_bitor] = ACTIONS(5609),
    [anon_sym_xor] = ACTIONS(5609),
    [anon_sym_bitand] = ACTIONS(5609),
    [anon_sym_not_eq] = ACTIONS(5609),
    [anon_sym_DASH_DASH] = ACTIONS(5607),
    [anon_sym_PLUS_PLUS] = ACTIONS(5607),
    [anon_sym_DOT] = ACTIONS(5609),
    [anon_sym_DOT_STAR] = ACTIONS(5607),
    [anon_sym_DASH_GT] = ACTIONS(5607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5609),
    [anon_sym_decltype] = ACTIONS(5609),
  },
  [2270] = {
    [sym_identifier] = ACTIONS(5481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5483),
    [anon_sym_COMMA] = ACTIONS(5483),
    [anon_sym_RPAREN] = ACTIONS(5483),
    [aux_sym_preproc_if_token2] = ACTIONS(5483),
    [aux_sym_preproc_else_token1] = ACTIONS(5483),
    [aux_sym_preproc_elif_token1] = ACTIONS(5481),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5483),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5483),
    [anon_sym_LPAREN2] = ACTIONS(5483),
    [anon_sym_DASH] = ACTIONS(5481),
    [anon_sym_PLUS] = ACTIONS(5481),
    [anon_sym_STAR] = ACTIONS(5481),
    [anon_sym_SLASH] = ACTIONS(5481),
    [anon_sym_PERCENT] = ACTIONS(5481),
    [anon_sym_PIPE_PIPE] = ACTIONS(5483),
    [anon_sym_AMP_AMP] = ACTIONS(5483),
    [anon_sym_PIPE] = ACTIONS(5481),
    [anon_sym_CARET] = ACTIONS(5481),
    [anon_sym_AMP] = ACTIONS(5481),
    [anon_sym_EQ_EQ] = ACTIONS(5483),
    [anon_sym_BANG_EQ] = ACTIONS(5483),
    [anon_sym_GT] = ACTIONS(5481),
    [anon_sym_GT_EQ] = ACTIONS(5483),
    [anon_sym_LT_EQ] = ACTIONS(5481),
    [anon_sym_LT] = ACTIONS(5481),
    [anon_sym_LT_LT] = ACTIONS(5481),
    [anon_sym_GT_GT] = ACTIONS(5481),
    [anon_sym_SEMI] = ACTIONS(5483),
    [anon_sym___attribute__] = ACTIONS(5481),
    [anon_sym_LBRACE] = ACTIONS(5483),
    [anon_sym_RBRACE] = ACTIONS(5483),
    [anon_sym_LBRACK] = ACTIONS(5483),
    [anon_sym_RBRACK] = ACTIONS(5483),
    [anon_sym_EQ] = ACTIONS(5481),
    [anon_sym_COLON] = ACTIONS(5483),
    [anon_sym_QMARK] = ACTIONS(5483),
    [anon_sym_STAR_EQ] = ACTIONS(5483),
    [anon_sym_SLASH_EQ] = ACTIONS(5483),
    [anon_sym_PERCENT_EQ] = ACTIONS(5483),
    [anon_sym_PLUS_EQ] = ACTIONS(5483),
    [anon_sym_DASH_EQ] = ACTIONS(5483),
    [anon_sym_LT_LT_EQ] = ACTIONS(5483),
    [anon_sym_GT_GT_EQ] = ACTIONS(5483),
    [anon_sym_AMP_EQ] = ACTIONS(5483),
    [anon_sym_CARET_EQ] = ACTIONS(5483),
    [anon_sym_PIPE_EQ] = ACTIONS(5483),
    [anon_sym_and_eq] = ACTIONS(5481),
    [anon_sym_or_eq] = ACTIONS(5481),
    [anon_sym_xor_eq] = ACTIONS(5481),
    [anon_sym_LT_EQ_GT] = ACTIONS(5483),
    [anon_sym_or] = ACTIONS(5481),
    [anon_sym_and] = ACTIONS(5481),
    [anon_sym_bitor] = ACTIONS(5481),
    [anon_sym_xor] = ACTIONS(5481),
    [anon_sym_bitand] = ACTIONS(5481),
    [anon_sym_not_eq] = ACTIONS(5481),
    [anon_sym_DASH_DASH] = ACTIONS(5483),
    [anon_sym_PLUS_PLUS] = ACTIONS(5483),
    [anon_sym_DOT] = ACTIONS(5481),
    [anon_sym_DOT_STAR] = ACTIONS(5483),
    [anon_sym_DASH_GT] = ACTIONS(5483),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5481),
    [anon_sym_decltype] = ACTIONS(5481),
  },
  [2271] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2186),
    [sym_identifier] = ACTIONS(5700),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5698),
    [anon_sym_COMMA] = ACTIONS(5698),
    [aux_sym_preproc_if_token2] = ACTIONS(5698),
    [aux_sym_preproc_else_token1] = ACTIONS(5698),
    [aux_sym_preproc_elif_token1] = ACTIONS(5700),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5698),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5698),
    [anon_sym_LPAREN2] = ACTIONS(5698),
    [anon_sym_DASH] = ACTIONS(5700),
    [anon_sym_PLUS] = ACTIONS(5700),
    [anon_sym_STAR] = ACTIONS(5700),
    [anon_sym_SLASH] = ACTIONS(5700),
    [anon_sym_PERCENT] = ACTIONS(5700),
    [anon_sym_PIPE_PIPE] = ACTIONS(5698),
    [anon_sym_AMP_AMP] = ACTIONS(5698),
    [anon_sym_PIPE] = ACTIONS(5700),
    [anon_sym_CARET] = ACTIONS(5700),
    [anon_sym_AMP] = ACTIONS(5700),
    [anon_sym_EQ_EQ] = ACTIONS(5698),
    [anon_sym_BANG_EQ] = ACTIONS(5698),
    [anon_sym_GT] = ACTIONS(5700),
    [anon_sym_GT_EQ] = ACTIONS(5698),
    [anon_sym_LT_EQ] = ACTIONS(5700),
    [anon_sym_LT] = ACTIONS(5700),
    [anon_sym_LT_LT] = ACTIONS(5700),
    [anon_sym_GT_GT] = ACTIONS(5700),
    [anon_sym___attribute__] = ACTIONS(5700),
    [anon_sym_LBRACE] = ACTIONS(5698),
    [anon_sym_signed] = ACTIONS(6026),
    [anon_sym_unsigned] = ACTIONS(6026),
    [anon_sym_long] = ACTIONS(6026),
    [anon_sym_short] = ACTIONS(6026),
    [anon_sym_LBRACK] = ACTIONS(5698),
    [anon_sym_EQ] = ACTIONS(5700),
    [anon_sym_QMARK] = ACTIONS(5698),
    [anon_sym_STAR_EQ] = ACTIONS(5698),
    [anon_sym_SLASH_EQ] = ACTIONS(5698),
    [anon_sym_PERCENT_EQ] = ACTIONS(5698),
    [anon_sym_PLUS_EQ] = ACTIONS(5698),
    [anon_sym_DASH_EQ] = ACTIONS(5698),
    [anon_sym_LT_LT_EQ] = ACTIONS(5698),
    [anon_sym_GT_GT_EQ] = ACTIONS(5698),
    [anon_sym_AMP_EQ] = ACTIONS(5698),
    [anon_sym_CARET_EQ] = ACTIONS(5698),
    [anon_sym_PIPE_EQ] = ACTIONS(5698),
    [anon_sym_and_eq] = ACTIONS(5700),
    [anon_sym_or_eq] = ACTIONS(5700),
    [anon_sym_xor_eq] = ACTIONS(5700),
    [anon_sym_LT_EQ_GT] = ACTIONS(5698),
    [anon_sym_or] = ACTIONS(5700),
    [anon_sym_and] = ACTIONS(5700),
    [anon_sym_bitor] = ACTIONS(5700),
    [anon_sym_xor] = ACTIONS(5700),
    [anon_sym_bitand] = ACTIONS(5700),
    [anon_sym_not_eq] = ACTIONS(5700),
    [anon_sym_DASH_DASH] = ACTIONS(5698),
    [anon_sym_PLUS_PLUS] = ACTIONS(5698),
    [anon_sym_DOT] = ACTIONS(5700),
    [anon_sym_DOT_STAR] = ACTIONS(5698),
    [anon_sym_DASH_GT] = ACTIONS(5698),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5700),
    [anon_sym_decltype] = ACTIONS(5700),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5537), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [71] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6052), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    ACTIONS(4919), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4912), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1765), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5700), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5698), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1765), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5609), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5607), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [298] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2308), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5163), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(6056), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5434), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5437), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [375] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2274), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6059), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5621), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5619), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6061), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6063), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [523] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5163), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(5596), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5434), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5437), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [600] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6069), 1,
      anon_sym_virtual,
    ACTIONS(6071), 1,
      sym_auto,
    ACTIONS(6073), 1,
      anon_sym_decltype,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(2951), 1,
      sym_alignas_qualifier,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2441), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5545), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6067), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6065), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5541), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5570), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2250), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5992), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5339), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5559), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5566), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2242), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6020), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5339), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5635), 1,
      anon_sym_LBRACK,
    STATE(2336), 1,
      sym_new_declarator,
    ACTIONS(6075), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6077), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5566), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5529), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [1275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5339), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5337), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5537), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [1419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2309), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6079), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5386), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1494] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2149), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5850), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5852), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5627), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5625), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [1571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5559), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [1642] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      anon_sym___attribute__,
    ACTIONS(5757), 1,
      anon_sym_LBRACE,
    ACTIONS(6085), 1,
      anon_sym_COLON,
    STATE(2135), 1,
      sym__enum_base_clause,
    STATE(2158), 1,
      sym_enumerator_list,
    STATE(2243), 1,
      sym_attribute_specifier,
    ACTIONS(6081), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6083), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1725] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6071), 1,
      sym_auto,
    ACTIONS(6073), 1,
      anon_sym_decltype,
    STATE(2315), 1,
      sym_decltype_auto,
    ACTIONS(5359), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5357), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1802] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      anon_sym___attribute__,
    ACTIONS(5757), 1,
      anon_sym_LBRACE,
    ACTIONS(6085), 1,
      anon_sym_COLON,
    STATE(2113), 1,
      sym__enum_base_clause,
    STATE(2176), 1,
      sym_enumerator_list,
    STATE(2201), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6089), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5570), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [1956] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6071), 1,
      sym_auto,
    ACTIONS(6073), 1,
      anon_sym_decltype,
    ACTIONS(6095), 1,
      anon_sym_virtual,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(2951), 1,
      sym_alignas_qualifier,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2468), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5545), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6093), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6091), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5541), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [2051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4938), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4931), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2124] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6097), 1,
      sym_identifier,
    STATE(2300), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6100), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6103), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5209), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5207), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [2203] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6106), 1,
      sym_identifier,
    STATE(2300), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4384), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4386), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5196), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5194), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [2282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6052), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
    ACTIONS(4148), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5601), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [2359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2309), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6079), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5339), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2434] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6108), 1,
      sym_identifier,
    STATE(2301), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4384), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4386), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5202), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5200), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [2513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1765), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5680), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5678), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2588] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6114), 1,
      anon_sym_LT,
    STATE(2278), 1,
      sym_template_argument_list,
    ACTIONS(6110), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6112), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5351), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5349), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2308), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6056), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5165), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5163), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [2811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1765), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5694), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5692), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6121), 1,
      anon_sym_LT,
    STATE(2278), 1,
      sym_template_argument_list,
    ACTIONS(6117), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6119), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2275), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5613), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [3038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5559), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [3108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5452), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5450), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6126), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6128), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5508), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3318] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6132), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [3402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6144), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6144), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5378), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5376), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6146), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6148), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5410), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5408), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5466), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5559), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6144), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5570), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [4032] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6150), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [4114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5412), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5477), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5523), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5529), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3944), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4464] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      sym_identifier,
    STATE(2506), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2690), 1,
      sym_primitive_type,
    ACTIONS(6158), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(6156), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5345), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5343), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [4544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5382), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5380), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3926), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4684] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_field_declaration_list,
    STATE(6616), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5584), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [4770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6164), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6166), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6168), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6170), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5394), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5392), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6172), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6174), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6180), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5495), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5493), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5192] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6182), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6184), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [5276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5390), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5388), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym_LT,
    STATE(2299), 1,
      sym_template_argument_list,
    ACTIONS(6186), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6188), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5424), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5420), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5560] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6193), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6195), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [5644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5499), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5497), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5714] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(2537), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5804), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5802), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [5794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5386), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5384), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5473), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5456), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5454), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [6004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5503), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5501), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [6074] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(2531), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6199), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5804), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [6152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6201), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6203), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5418), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5416), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [6292] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6205), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6207), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [6376] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6209), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6211), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [6460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5570), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [6530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6213), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6215), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6600] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    ACTIONS(6219), 1,
      anon_sym_LBRACE,
    STATE(2793), 1,
      sym_field_declaration_list,
    STATE(2976), 1,
      sym_attribute_specifier,
    STATE(6659), 1,
      sym_virtual_specifier,
    STATE(7376), 1,
      sym_base_class_clause,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5584), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5586), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [6686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5566), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [6756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6221), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6223), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5481), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [6896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5537), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [6966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5406), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5404), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5537), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5460), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5458), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5537), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [7246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5464), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5462), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7316] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6225), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6227), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [7398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5566), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5512), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5402), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5400), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5464), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5462), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5531), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5570), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5481), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5559), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5487), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5485), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [8028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5337), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [8098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5430), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5428), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [8168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5566), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [8238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5491), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5489), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [8308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5398), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5396), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [8378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5444), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [8448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5440), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [8518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5483), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5481), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [8588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6229), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6231), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6172), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6174), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6233), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6235), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5323), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5325), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [8866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6237), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6239), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6243), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6247), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6249), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6251), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6255), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2398), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6257), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5165), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5163), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [9284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6260), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6262), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6264), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [9422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6268), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6270), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5704), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5702), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5323), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5325), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [9631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5112), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5114), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6272), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [9769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4914), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4124), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4914), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4914), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4914), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6276), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6278), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4914), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6280), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6282), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4914), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6284), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [10459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4124), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5124), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5126), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5098), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6288), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6290), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10735] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1581), 1,
      sym_string_literal,
    ACTIONS(6296), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6294), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6292), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [10808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3774), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6300), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5102), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6304), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6308), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1580), 1,
      sym_string_literal,
    ACTIONS(6296), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6294), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6292), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [11226] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    STATE(2563), 1,
      sym_enumerator_list,
    STATE(2631), 1,
      sym_attribute_specifier,
    ACTIONS(5818), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5820), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [11303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5110), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5110), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5110), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6314), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1969), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1967), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5122), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6318), 1,
      anon_sym_and,
    ACTIONS(5724), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5726), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5086), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6322), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5090), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6324), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6326), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6330), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12135] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    STATE(2825), 1,
      sym_field_declaration_list,
    STATE(2994), 1,
      sym_attribute_specifier,
    STATE(6700), 1,
      sym_virtual_specifier,
    STATE(7195), 1,
      sym_base_class_clause,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5584), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5586), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [12220] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6340), 1,
      anon_sym_virtual,
    STATE(2951), 1,
      sym_alignas_qualifier,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2467), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5545), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6338), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6336), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5541), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [12307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6342), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6344), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6346), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6348), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6350), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6352), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6354), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6356), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6360), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6362), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6364), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4900), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [12790] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5757), 1,
      anon_sym_LBRACE,
    ACTIONS(6366), 1,
      anon_sym___attribute__,
    ACTIONS(6368), 1,
      anon_sym_COLON,
    STATE(2113), 1,
      sym__enum_base_clause,
    STATE(2176), 1,
      sym_enumerator_list,
    STATE(2201), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6089), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [12871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2741), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2736), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [12940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4892), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [13009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6372), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5287), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [13147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6376), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4904), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [13285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4908), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [13354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4888), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [13423] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    STATE(2518), 1,
      sym_enumerator_list,
    STATE(2603), 1,
      sym_attribute_specifier,
    ACTIONS(5753), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5755), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4898), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4896), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [13569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5289), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6378), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6380), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4886), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4884), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [13776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6384), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6388), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4929), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [13983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6392), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14052] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 1,
      anon_sym_virtual,
    ACTIONS(6407), 1,
      anon_sym___attribute__,
    ACTIONS(6410), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6413), 1,
      anon_sym___declspec,
    STATE(2951), 1,
      sym_alignas_qualifier,
    ACTIONS(6416), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2467), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6404), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6396), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6394), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(6398), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [14139] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6340), 1,
      anon_sym_virtual,
    STATE(2951), 1,
      sym_alignas_qualifier,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2467), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5545), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6421), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6419), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5541), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [14226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6423), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6425), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6429), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6431), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6433), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1971), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6437), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6435), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [14571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6441), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14640] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5757), 1,
      anon_sym_LBRACE,
    ACTIONS(6366), 1,
      anon_sym___attribute__,
    ACTIONS(6368), 1,
      anon_sym_COLON,
    STATE(2135), 1,
      sym__enum_base_clause,
    STATE(2158), 1,
      sym_enumerator_list,
    STATE(2243), 1,
      sym_attribute_specifier,
    ACTIONS(6081), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6083), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [14721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6423), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6425), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14790] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6318), 1,
      anon_sym_and,
    ACTIONS(6443), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6445), 1,
      anon_sym_or,
    ACTIONS(5712), 25,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5714), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5221), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2860), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5082), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2775), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2770), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [15074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6449), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5566), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [15212] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6451), 1,
      anon_sym_LT,
    STATE(2531), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2568), 1,
      sym_template_argument_list,
    ACTIONS(6199), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4122), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4130), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [15291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5353), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5355), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6453), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6455), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6457), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6459), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2304), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4384), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4386), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5625), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5627), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [15575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5559), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [15644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5355), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5353), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [15715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4929), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4936), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15784] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(6461), 1,
      anon_sym_LPAREN2,
    STATE(2469), 1,
      sym_argument_list,
    STATE(2533), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3838), 1,
      sym_initializer_list,
    ACTIONS(6464), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5339), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5337), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [15865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1577), 1,
      sym_string_literal,
    ACTIONS(6296), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6294), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6292), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [15938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6466), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6468), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6470), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [16076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5537), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [16145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6476), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6480), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5116), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5118), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5106), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5325), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5323), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [16490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5570), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [16559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6484), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5325), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5323), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [16699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5325), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5323), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [16770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5094), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16839] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2398), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5163), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(6257), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5437), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5434), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [16914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1579), 1,
      sym_string_literal,
    ACTIONS(6296), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6294), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6292), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [16987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5128), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5130), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4886), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4898), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4890), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17263] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(2579), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6486), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5804), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [17340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4908), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4910), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4906), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4894), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6488), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6490), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4902), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17685] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    STATE(2650), 1,
      sym_attribute_specifier,
    ACTIONS(5882), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5884), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2519), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6492), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5165), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5163), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [17829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4898), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4896), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4888), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2540), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6495), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5621), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5619), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4908), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4904), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2552), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6497), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5613), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4892), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18313] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      sym_identifier,
    STATE(2554), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3350), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3354), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5202), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5200), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18389] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2228), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6501), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5694), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5692), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    STATE(2639), 1,
      sym_attribute_specifier,
    ACTIONS(5902), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5904), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2533), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6464), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5386), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5384), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [18605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2228), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6501), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5680), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5678), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    STATE(2614), 1,
      sym_attribute_specifier,
    ACTIONS(5894), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5896), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18749] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2519), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6503), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5692), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5694), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [18821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5537), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5323), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5325), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5570), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [19025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2519), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6503), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5678), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5680), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [19097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4900), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6505), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5386), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2228), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6501), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5700), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5698), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19309] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6451), 1,
      anon_sym_LT,
    STATE(2568), 1,
      sym_template_argument_list,
    ACTIONS(5601), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4148), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19383] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6507), 1,
      anon_sym_LT,
    STATE(2568), 1,
      sym_template_argument_list,
    ACTIONS(4912), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4919), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4886), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4884), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19525] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      sym_identifier,
    STATE(2544), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6513), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6516), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5209), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5207), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    STATE(2623), 1,
      sym_attribute_specifier,
    ACTIONS(5916), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5918), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    STATE(2647), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5864), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19745] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4180), 1,
      anon_sym_LPAREN2,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5668), 1,
      anon_sym_STAR,
    ACTIONS(5670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5672), 1,
      anon_sym_AMP,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    STATE(2711), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6047), 1,
      sym__declarator,
    STATE(6074), 1,
      sym__abstract_declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(5666), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [19861] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6519), 1,
      anon_sym_LT,
    STATE(2579), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2629), 1,
      sym_template_argument_list,
    ACTIONS(6486), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4122), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4130), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [19939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2519), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6503), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5698), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5700), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [20011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    STATE(2637), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5868), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    STATE(2621), 1,
      sym_attribute_specifier,
    ACTIONS(5924), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5926), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2228), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6501), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5609), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5607), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2519), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6503), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5607), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5609), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [20299] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6521), 1,
      sym_identifier,
    STATE(2544), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3350), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3354), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5196), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5194), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20375] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2549), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6523), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5619), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5621), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [20447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    STATE(2605), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5936), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    STATE(2607), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5940), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2553), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6525), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5613), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5615), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [20663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5559), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [20731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5566), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [20799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    STATE(2651), 1,
      sym_attribute_specifier,
    ACTIONS(5878), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5880), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20871] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    STATE(2635), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5930), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    STATE(2620), 1,
      sym_attribute_specifier,
    ACTIONS(5898), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5900), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21015] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4180), 1,
      anon_sym_LPAREN2,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5668), 1,
      anon_sym_STAR,
    ACTIONS(5670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5672), 1,
      anon_sym_AMP,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    STATE(2711), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6049), 1,
      sym__declarator,
    STATE(6072), 1,
      sym__abstract_declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6527), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [21131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5337), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5339), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5384), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5386), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5406), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4929), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4936), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [21401] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6519), 1,
      anon_sym_LT,
    STATE(2629), 1,
      sym_template_argument_list,
    ACTIONS(5601), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4148), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [21474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6529), 1,
      anon_sym_LT,
    STATE(2629), 1,
      sym_template_argument_list,
    ACTIONS(4912), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4919), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [21547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5570), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [21614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5426), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21681] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 1,
      sym_auto,
    ACTIONS(6534), 1,
      anon_sym_decltype,
    STATE(2619), 1,
      sym_decltype_auto,
    ACTIONS(5357), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5359), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5353), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5355), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [21823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2597), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6536), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5613), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5289), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [21961] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    ACTIONS(6538), 1,
      anon_sym_LBRACE,
    ACTIONS(6540), 1,
      anon_sym_COLON,
    STATE(2674), 1,
      sym__enum_base_clause,
    STATE(2799), 1,
      sym_enumerator_list,
    STATE(2987), 1,
      sym_attribute_specifier,
    ACTIONS(6081), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6083), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5559), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [22107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2308), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6542), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5680), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5678), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5525), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22245] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      sym_identifier,
    STATE(2602), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2903), 1,
      sym_primitive_type,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(6546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5343), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5345), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [22322] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    ACTIONS(6538), 1,
      anon_sym_LBRACE,
    ACTIONS(6540), 1,
      anon_sym_COLON,
    STATE(2724), 1,
      sym__enum_base_clause,
    STATE(2807), 1,
      sym_enumerator_list,
    STATE(2971), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6089), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5337), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [22468] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    ACTIONS(6550), 1,
      anon_sym_LBRACE,
    STATE(3107), 1,
      sym_field_declaration_list,
    STATE(3352), 1,
      sym_attribute_specifier,
    STATE(6574), 1,
      sym_virtual_specifier,
    STATE(7279), 1,
      sym_base_class_clause,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5584), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5586), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5477), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5479), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2594), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6552), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5386), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5323), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5325), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [22758] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(2683), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6554), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5804), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5452), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6505), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5339), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2533), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6464), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5339), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5337), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [23042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2308), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6542), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5700), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5698), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5566), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [23180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2308), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6542), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5694), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5692), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5516), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [23318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5323), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5325), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [23387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2308), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6542), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5609), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5607), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5537), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [23525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5351), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5529), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [23659] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2592), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6556), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5621), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5619), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23730] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5163), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(5596), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5434), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5437), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [23802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5499), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23868] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6071), 1,
      sym_auto,
    ACTIONS(6073), 1,
      anon_sym_decltype,
    ACTIONS(6095), 1,
      anon_sym_virtual,
    ACTIONS(6558), 1,
      anon_sym_SEMI,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(2951), 1,
      sym_alignas_qualifier,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6093), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2468), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5545), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6091), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5541), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [23960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5503), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5483), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5468), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4929), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4936), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
      anon_sym_DASH_GT_STAR,
  [24224] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6071), 1,
      sym_auto,
    ACTIONS(6073), 1,
      anon_sym_decltype,
    ACTIONS(6095), 1,
      anon_sym_virtual,
    ACTIONS(6560), 1,
      anon_sym_SEMI,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(2951), 1,
      sym_alignas_qualifier,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6093), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2468), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5545), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6091), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5541), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [24316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5378), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24382] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4180), 1,
      anon_sym_LPAREN2,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    ACTIONS(5808), 1,
      anon_sym_STAR,
    ACTIONS(5810), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5812), 1,
      anon_sym_AMP,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6047), 1,
      sym__declarator,
    STATE(6332), 1,
      sym__abstract_declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5666), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [24496] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6071), 1,
      sym_auto,
    ACTIONS(6073), 1,
      anon_sym_decltype,
    ACTIONS(6095), 1,
      anon_sym_virtual,
    ACTIONS(6562), 1,
      anon_sym_SEMI,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(2951), 1,
      sym_alignas_qualifier,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6093), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2468), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5545), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6091), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5541), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [24588] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6071), 1,
      sym_auto,
    ACTIONS(6073), 1,
      anon_sym_decltype,
    ACTIONS(6095), 1,
      anon_sym_virtual,
    ACTIONS(6564), 1,
      anon_sym_SEMI,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(2951), 1,
      sym_alignas_qualifier,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6093), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2468), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5545), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6091), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5541), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [24680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5473), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5475), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24746] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6568), 1,
      anon_sym_LBRACK,
    ACTIONS(6570), 1,
      sym_auto,
    ACTIONS(6572), 1,
      anon_sym_decltype,
    STATE(2912), 1,
      sym_decltype_auto,
    STATE(2974), 1,
      sym_new_declarator,
    STATE(3474), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5651), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5653), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [24828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5339), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5217), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [24960] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    ACTIONS(6574), 1,
      anon_sym_LBRACE,
    ACTIONS(6576), 1,
      anon_sym_COLON,
    STATE(2765), 1,
      sym__enum_base_clause,
    STATE(2843), 1,
      sym_enumerator_list,
    STATE(2995), 1,
      sym_attribute_specifier,
    ACTIONS(6081), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6083), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [25038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5510), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5495), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5460), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5414), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5444), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5446), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5410), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5442), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5394), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5390), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25632] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4180), 1,
      anon_sym_LPAREN2,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    ACTIONS(5739), 1,
      anon_sym_STAR,
    ACTIONS(5741), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5743), 1,
      anon_sym_AMP,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6049), 1,
      sym__declarator,
    STATE(6299), 1,
      sym__abstract_declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6527), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [25746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4929), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4936), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [25812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2594), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6552), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5339), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [25882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5418), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5483), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5323), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5325), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [26082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5464), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5491), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5456), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5514), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5398), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5422), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26478] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6578), 1,
      anon_sym_LT,
    STATE(2608), 1,
      sym_template_argument_list,
    STATE(2683), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6554), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4122), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4130), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26554] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6071), 1,
      sym_auto,
    ACTIONS(6073), 1,
      anon_sym_decltype,
    ACTIONS(6095), 1,
      anon_sym_virtual,
    ACTIONS(6580), 1,
      anon_sym_SEMI,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(2951), 1,
      sym_alignas_qualifier,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6093), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2468), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5545), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6091), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5541), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [26646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6388), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6386), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [26712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5353), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5355), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [26780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5339), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6488), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [26912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5533), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5402), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5518), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5529), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [27176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5430), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5382), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5464), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27374] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6071), 1,
      sym_auto,
    ACTIONS(6073), 1,
      anon_sym_decltype,
    ACTIONS(6095), 1,
      anon_sym_virtual,
    ACTIONS(6582), 1,
      anon_sym_SEMI,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(2951), 1,
      sym_alignas_qualifier,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6093), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2468), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5545), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6091), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5541), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [27466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5323), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5325), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [27534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5323), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5325), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [27600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5289), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [27666] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6071), 1,
      sym_auto,
    ACTIONS(6073), 1,
      anon_sym_decltype,
    ACTIONS(6095), 1,
      anon_sym_virtual,
    ACTIONS(6584), 1,
      anon_sym_SEMI,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(2951), 1,
      sym_alignas_qualifier,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6093), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2468), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5545), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6091), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5541), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [27758] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    ACTIONS(6574), 1,
      anon_sym_LBRACE,
    ACTIONS(6576), 1,
      anon_sym_COLON,
    STATE(2732), 1,
      sym__enum_base_clause,
    STATE(2827), 1,
      sym_enumerator_list,
    STATE(2998), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6089), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [27836] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4180), 1,
      anon_sym_LPAREN2,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    ACTIONS(5739), 1,
      anon_sym_STAR,
    ACTIONS(5741), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5743), 1,
      anon_sym_AMP,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6047), 1,
      sym__declarator,
    STATE(6321), 1,
      sym__abstract_declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5666), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [27950] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4180), 1,
      anon_sym_LPAREN2,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    ACTIONS(5808), 1,
      anon_sym_STAR,
    ACTIONS(5810), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5812), 1,
      anon_sym_AMP,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6049), 1,
      sym__declarator,
    STATE(6328), 1,
      sym__abstract_declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6527), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [28064] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6568), 1,
      anon_sym_LBRACK,
    ACTIONS(6570), 1,
      sym_auto,
    ACTIONS(6572), 1,
      anon_sym_decltype,
    STATE(2912), 1,
      sym_decltype_auto,
    STATE(2914), 1,
      sym_new_declarator,
    STATE(3363), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5660), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5662), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [28146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6586), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [28212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4929), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [28278] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6568), 1,
      anon_sym_LBRACK,
    ACTIONS(6570), 1,
      sym_auto,
    ACTIONS(6572), 1,
      anon_sym_decltype,
    STATE(2912), 1,
      sym_decltype_auto,
    STATE(2934), 1,
      sym_new_declarator,
    STATE(3358), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5629), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5631), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [28360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5485), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5487), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28426] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6568), 1,
      anon_sym_LBRACK,
    ACTIONS(6570), 1,
      sym_auto,
    ACTIONS(6572), 1,
      anon_sym_decltype,
    STATE(2907), 1,
      sym_new_declarator,
    STATE(2912), 1,
      sym_decltype_auto,
    STATE(3329), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5641), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5643), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [28508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6245), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [28574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5483), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28640] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6590), 1,
      anon_sym_SEMI,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_field_declaration_list,
    STATE(6616), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5584), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [28723] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6592), 1,
      anon_sym_SEMI,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_field_declaration_list,
    STATE(6616), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5584), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [28806] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym_SEMI,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_field_declaration_list,
    STATE(6616), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5584), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [28889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5570), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [28954] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(6598), 1,
      anon_sym_LBRACK,
    ACTIONS(6600), 1,
      sym_auto,
    ACTIONS(6602), 1,
      anon_sym_decltype,
    STATE(3090), 1,
      sym_decltype_auto,
    STATE(3171), 1,
      sym_new_declarator,
    STATE(3654), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5641), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5643), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [29035] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    ACTIONS(6538), 1,
      anon_sym_LBRACE,
    STATE(2800), 1,
      sym_enumerator_list,
    STATE(2986), 1,
      sym_attribute_specifier,
    ACTIONS(5818), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5820), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29108] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(6598), 1,
      anon_sym_LBRACK,
    ACTIONS(6600), 1,
      sym_auto,
    ACTIONS(6602), 1,
      anon_sym_decltype,
    STATE(3056), 1,
      sym_new_declarator,
    STATE(3090), 1,
      sym_decltype_auto,
    STATE(3626), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5629), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5631), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [29189] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6604), 1,
      anon_sym_LT,
    STATE(2608), 1,
      sym_template_argument_list,
    ACTIONS(4912), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4919), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5537), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [29325] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6607), 1,
      anon_sym_SEMI,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_field_declaration_list,
    STATE(6616), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5584), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [29408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5559), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [29473] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6609), 1,
      anon_sym_SEMI,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_field_declaration_list,
    STATE(6616), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5584), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [29556] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6578), 1,
      anon_sym_LT,
    STATE(2608), 1,
      sym_template_argument_list,
    ACTIONS(5601), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4148), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29627] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(6598), 1,
      anon_sym_LBRACK,
    ACTIONS(6600), 1,
      sym_auto,
    ACTIONS(6602), 1,
      anon_sym_decltype,
    STATE(3003), 1,
      sym_new_declarator,
    STATE(3090), 1,
      sym_decltype_auto,
    STATE(3589), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5651), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5653), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [29708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2398), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6611), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5680), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5678), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5566), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [29842] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6613), 1,
      anon_sym_SEMI,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_field_declaration_list,
    STATE(6616), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5584), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [29925] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6615), 1,
      anon_sym_SEMI,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_field_declaration_list,
    STATE(6616), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5584), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [30008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2398), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6611), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5694), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5692), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30077] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6644), 1,
      anon_sym_requires,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(4531), 1,
      sym__function_attributes_start,
    STATE(4766), 1,
      sym_ref_qualifier,
    STATE(5590), 1,
      sym__function_attributes_end,
    STATE(5675), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6637), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3904), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4043), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5924), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5051), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [30194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2696), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6647), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5613), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2697), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6649), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5621), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5619), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30332] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    STATE(2348), 1,
      sym_attribute_specifier,
    STATE(2884), 1,
      sym_enumerator_list,
    ACTIONS(5755), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5753), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [30405] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6653), 1,
      anon_sym_SEMI,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_field_declaration_list,
    STATE(6616), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5584), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [30488] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(6598), 1,
      anon_sym_LBRACK,
    ACTIONS(6600), 1,
      sym_auto,
    ACTIONS(6602), 1,
      anon_sym_decltype,
    STATE(3090), 1,
      sym_decltype_auto,
    STATE(3153), 1,
      sym_new_declarator,
    STATE(3558), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5660), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5662), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [30569] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4180), 1,
      anon_sym_LPAREN2,
    ACTIONS(4182), 1,
      anon_sym_STAR,
    ACTIONS(4184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4186), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5666), 1,
      anon_sym_RPAREN,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6099), 1,
      sym__declarator,
    STATE(6321), 1,
      sym__abstract_declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [30682] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(2966), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6655), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5804), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [30757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2398), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6611), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5609), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5607), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2398), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6611), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5700), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5698), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2687), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6657), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5386), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30964] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6659), 1,
      anon_sym_SEMI,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_field_declaration_list,
    STATE(6616), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5584), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [31047] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6661), 1,
      anon_sym_SEMI,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_field_declaration_list,
    STATE(6616), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5584), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [31130] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    STATE(2356), 1,
      sym_attribute_specifier,
    STATE(2886), 1,
      sym_enumerator_list,
    ACTIONS(5820), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5818), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [31203] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4180), 1,
      anon_sym_LPAREN2,
    ACTIONS(4182), 1,
      anon_sym_STAR,
    ACTIONS(4184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4186), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6527), 1,
      anon_sym_RPAREN,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6088), 1,
      sym__declarator,
    STATE(6299), 1,
      sym__abstract_declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [31316] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6671), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6673), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6685), 1,
      anon_sym_GT_EQ,
    ACTIONS(6689), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6691), 1,
      anon_sym_or,
    ACTIONS(6693), 1,
      anon_sym_and,
    ACTIONS(6695), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6675), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6677), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6679), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6681), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6683), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6663), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6665), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31425] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6671), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6673), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6685), 1,
      anon_sym_GT_EQ,
    ACTIONS(6689), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6691), 1,
      anon_sym_or,
    ACTIONS(6693), 1,
      anon_sym_and,
    ACTIONS(6695), 1,
      anon_sym_not_eq,
    ACTIONS(6697), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6699), 1,
      anon_sym_QMARK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6675), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6677), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6679), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6681), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6683), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6453), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6455), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31538] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6673), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6685), 1,
      anon_sym_GT_EQ,
    ACTIONS(6689), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6693), 1,
      anon_sym_and,
    ACTIONS(6695), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6675), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6677), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6679), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6681), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6683), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6195), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31643] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6195), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [31728] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6685), 1,
      anon_sym_GT_EQ,
    ACTIONS(6689), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6695), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6675), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6677), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6679), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6681), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6683), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6195), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31829] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6195), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [31912] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6685), 1,
      anon_sym_GT_EQ,
    ACTIONS(6689), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6695), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6677), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6679), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6681), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6683), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6195), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6703), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6701), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [32076] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6707), 1,
      anon_sym_requires,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(4568), 1,
      sym__function_attributes_start,
    STATE(4769), 1,
      sym_ref_qualifier,
    STATE(5592), 1,
      sym__function_attributes_end,
    STATE(5667), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3904), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4043), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5924), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5038), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [32193] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6685), 1,
      anon_sym_GT_EQ,
    ACTIONS(6689), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6695), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6679), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6681), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6683), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6195), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32290] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6709), 1,
      anon_sym_SEMI,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_field_declaration_list,
    STATE(6616), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5584), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [32373] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6195), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [32454] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6685), 1,
      anon_sym_GT_EQ,
    ACTIONS(6689), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6695), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6681), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6683), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6195), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32549] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6671), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6673), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6685), 1,
      anon_sym_GT_EQ,
    ACTIONS(6689), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6691), 1,
      anon_sym_or,
    ACTIONS(6693), 1,
      anon_sym_and,
    ACTIONS(6695), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6675), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6677), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6679), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6681), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6683), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6711), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6713), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32658] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6685), 1,
      anon_sym_GT_EQ,
    ACTIONS(6689), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6683), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6195), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32749] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6195), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32836] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6671), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6673), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6685), 1,
      anon_sym_GT_EQ,
    ACTIONS(6689), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6691), 1,
      anon_sym_or,
    ACTIONS(6693), 1,
      anon_sym_and,
    ACTIONS(6695), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6675), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6677), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6679), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6681), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6683), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6715), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6717), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32945] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6671), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6673), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6685), 1,
      anon_sym_GT_EQ,
    ACTIONS(6689), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6691), 1,
      anon_sym_or,
    ACTIONS(6693), 1,
      anon_sym_and,
    ACTIONS(6695), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6675), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6677), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6679), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6681), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6683), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6719), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6721), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33054] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6671), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6673), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6685), 1,
      anon_sym_GT_EQ,
    ACTIONS(6689), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6691), 1,
      anon_sym_or,
    ACTIONS(6693), 1,
      anon_sym_and,
    ACTIONS(6695), 1,
      anon_sym_not_eq,
    ACTIONS(6697), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6699), 1,
      anon_sym_QMARK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6675), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6677), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6679), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6681), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6683), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6723), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6725), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33167] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6671), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6673), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6685), 1,
      anon_sym_GT_EQ,
    ACTIONS(6689), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6691), 1,
      anon_sym_or,
    ACTIONS(6693), 1,
      anon_sym_and,
    ACTIONS(6695), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6675), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6677), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6679), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6681), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6683), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6727), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6729), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5323), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5325), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [33341] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    ACTIONS(6538), 1,
      anon_sym_LBRACE,
    STATE(2789), 1,
      sym_enumerator_list,
    STATE(2900), 1,
      sym_attribute_specifier,
    ACTIONS(5753), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5755), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33414] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6731), 1,
      anon_sym_SEMI,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_field_declaration_list,
    STATE(6616), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5584), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [33497] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6733), 1,
      anon_sym_SEMI,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_field_declaration_list,
    STATE(6616), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5584), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [33580] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6735), 1,
      anon_sym_SEMI,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_field_declaration_list,
    STATE(6616), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5584), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [33663] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6671), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6673), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6685), 1,
      anon_sym_GT_EQ,
    ACTIONS(6689), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6691), 1,
      anon_sym_or,
    ACTIONS(6693), 1,
      anon_sym_and,
    ACTIONS(6695), 1,
      anon_sym_not_eq,
    ACTIONS(6697), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6699), 1,
      anon_sym_QMARK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6667), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6675), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6677), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6679), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6681), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6687), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6669), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6683), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6737), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6739), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 1,
      sym_literal_suffix,
    ACTIONS(4132), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4124), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33842] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6106), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2773), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3802), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [33952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6755), 1,
      anon_sym_friend,
    ACTIONS(2518), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [34018] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    ACTIONS(6574), 1,
      anon_sym_LBRACE,
    STATE(2889), 1,
      sym_enumerator_list,
    STATE(3078), 1,
      sym_attribute_specifier,
    ACTIONS(5753), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5755), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34090] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6757), 1,
      anon_sym_STAR,
    ACTIONS(6759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6761), 1,
      anon_sym_AMP,
    ACTIONS(6763), 1,
      anon_sym_COLON_COLON,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5545), 1,
      sym__scope_resolution,
    STATE(5792), 1,
      sym__declarator,
    STATE(7543), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3792), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [34200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6765), 1,
      anon_sym_typedef,
    ACTIONS(2518), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [34266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4906), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4894), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4902), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 1,
      anon_sym_namespace,
    ACTIONS(6294), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6292), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [34524] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4929), 1,
      anon_sym_const,
    ACTIONS(4940), 1,
      anon_sym_AMP,
    ACTIONS(4933), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4938), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4931), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4936), 19,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [34596] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6088), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [34706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    STATE(2920), 1,
      sym_attribute_specifier,
    ACTIONS(5878), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5880), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4908), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4910), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34838] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6769), 1,
      anon_sym_STAR,
    ACTIONS(6771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6773), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(6047), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3795), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [34948] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6099), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2740), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3728), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [35058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6775), 1,
      anon_sym_typedef,
    ACTIONS(2518), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [35124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6480), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [35188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6777), 1,
      anon_sym_friend,
    ACTIONS(2518), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [35254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6779), 1,
      anon_sym_friend,
    ACTIONS(2518), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [35320] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6781), 1,
      anon_sym_STAR,
    ACTIONS(6783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6785), 1,
      anon_sym_AMP,
    ACTIONS(6787), 1,
      anon_sym_COLON_COLON,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5498), 1,
      sym__scope_resolution,
    STATE(6287), 1,
      sym__declarator,
    STATE(7673), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3754), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [35430] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(2537), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2663), 1,
      sym_template_argument_list,
    ACTIONS(4150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4130), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4122), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [35504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6789), 1,
      anon_sym_friend,
    ACTIONS(2518), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [35570] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6757), 1,
      anon_sym_STAR,
    ACTIONS(6759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6761), 1,
      anon_sym_AMP,
    ACTIONS(6763), 1,
      anon_sym_COLON_COLON,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5545), 1,
      sym__scope_resolution,
    STATE(5764), 1,
      sym__declarator,
    STATE(7543), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2733), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3773), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [35680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6791), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6793), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6795), 1,
      anon_sym_friend,
    ACTIONS(2518), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [35810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6797), 1,
      anon_sym_friend,
    ACTIONS(2518), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [35876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4914), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [35940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6799), 1,
      anon_sym_namespace,
    ACTIONS(6294), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6292), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [36006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    STATE(2980), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5930), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4890), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [36138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4898), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [36202] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4148), 1,
      anon_sym_SEMI,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(2537), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2663), 1,
      sym_template_argument_list,
    ACTIONS(4150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4130), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4122), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [36278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6801), 1,
      anon_sym_namespace,
    ACTIONS(6294), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6292), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [36344] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6781), 1,
      anon_sym_STAR,
    ACTIONS(6783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6785), 1,
      anon_sym_AMP,
    ACTIONS(6787), 1,
      anon_sym_COLON_COLON,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5498), 1,
      sym__scope_resolution,
    STATE(6287), 1,
      sym__declarator,
    STATE(7673), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2784), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3754), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [36454] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(6803), 1,
      anon_sym_LBRACK,
    STATE(2537), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3677), 1,
      sym_template_argument_list,
    ACTIONS(4145), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4130), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4122), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [36532] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    ACTIONS(6574), 1,
      anon_sym_LBRACE,
    STATE(2847), 1,
      sym_enumerator_list,
    STATE(3008), 1,
      sym_attribute_specifier,
    ACTIONS(5818), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5820), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [36604] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5752), 1,
      sym__declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2802), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3752), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [36714] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    ACTIONS(6812), 1,
      anon_sym_LBRACE,
    ACTIONS(6814), 1,
      anon_sym_COLON,
    STATE(2917), 1,
      sym__enum_base_clause,
    STATE(2990), 1,
      sym_enumerator_list,
    STATE(3336), 1,
      sym_attribute_specifier,
    ACTIONS(6081), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6083), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36790] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6781), 1,
      anon_sym_STAR,
    ACTIONS(6783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6785), 1,
      anon_sym_AMP,
    ACTIONS(6787), 1,
      anon_sym_COLON_COLON,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5498), 1,
      sym__scope_resolution,
    STATE(6284), 1,
      sym__declarator,
    STATE(7673), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2749), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3741), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [36900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4914), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [36964] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6769), 1,
      anon_sym_STAR,
    ACTIONS(6771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6773), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(6029), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2743), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3793), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [37074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4886), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [37138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4914), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [37202] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6099), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3728), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [37312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6818), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6820), 1,
      anon_sym_namespace,
    ACTIONS(6294), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6292), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [37442] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6824), 1,
      anon_sym___attribute__,
    ACTIONS(6827), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(6836), 1,
      anon_sym_requires,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4625), 1,
      sym__function_attributes_start,
    STATE(4795), 1,
      sym_ref_qualifier,
    STATE(5423), 1,
      sym_trailing_return_type,
    STATE(5508), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3934), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4149), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5578), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5067), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [37558] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6824), 1,
      anon_sym___attribute__,
    ACTIONS(6827), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(6841), 1,
      anon_sym_requires,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4630), 1,
      sym__function_attributes_start,
    STATE(4801), 1,
      sym_ref_qualifier,
    STATE(5437), 1,
      sym_trailing_return_type,
    STATE(5555), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6838), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3934), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4149), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5578), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5071), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [37674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    STATE(2988), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5940), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    STATE(2970), 1,
      sym_attribute_specifier,
    ACTIONS(5916), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5918), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37810] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6757), 1,
      anon_sym_STAR,
    ACTIONS(6759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6761), 1,
      anon_sym_AMP,
    ACTIONS(6763), 1,
      anon_sym_COLON_COLON,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5545), 1,
      sym__scope_resolution,
    STATE(5792), 1,
      sym__declarator,
    STATE(7543), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2781), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3792), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [37920] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6757), 1,
      anon_sym_STAR,
    ACTIONS(6759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6761), 1,
      anon_sym_AMP,
    ACTIONS(6763), 1,
      anon_sym_COLON_COLON,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5545), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__declarator,
    STATE(7543), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3823), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [38030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4914), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [38094] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6769), 1,
      anon_sym_STAR,
    ACTIONS(6771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6773), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(6047), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2803), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3795), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [38204] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6781), 1,
      anon_sym_STAR,
    ACTIONS(6783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6785), 1,
      anon_sym_AMP,
    ACTIONS(6787), 1,
      anon_sym_COLON_COLON,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5498), 1,
      sym__scope_resolution,
    STATE(6251), 1,
      sym__declarator,
    STATE(7673), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [38314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4914), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [38378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    STATE(2953), 1,
      sym_attribute_specifier,
    ACTIONS(5924), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5926), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5323), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5325), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [38512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4914), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [38576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    STATE(2954), 1,
      sym_attribute_specifier,
    ACTIONS(5882), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5884), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2687), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6657), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5339), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38712] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    ACTIONS(6812), 1,
      anon_sym_LBRACE,
    ACTIONS(6814), 1,
      anon_sym_COLON,
    STATE(2942), 1,
      sym__enum_base_clause,
    STATE(3071), 1,
      sym_enumerator_list,
    STATE(3409), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6089), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38788] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5784), 1,
      sym__declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2805), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [38898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    STATE(2911), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5868), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    STATE(2969), 1,
      sym_attribute_specifier,
    ACTIONS(5902), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5904), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6844), 1,
      anon_sym_friend,
    ACTIONS(2518), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [39100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5323), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5325), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [39166] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(3244), 1,
      anon_sym_STAR,
    ACTIONS(3246), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(6106), 1,
      sym__declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2798), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3814), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [39276] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(3244), 1,
      anon_sym_STAR,
    ACTIONS(3246), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(6099), 1,
      sym__declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3749), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [39386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    STATE(2983), 1,
      sym_attribute_specifier,
    ACTIONS(5894), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5896), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    STATE(2933), 1,
      sym_attribute_specifier,
    ACTIONS(5898), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5900), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5353), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5355), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [39588] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5767), 1,
      sym__declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3727), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [39698] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6769), 1,
      anon_sym_STAR,
    ACTIONS(6771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6773), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(6049), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3791), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [39808] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(3244), 1,
      anon_sym_STAR,
    ACTIONS(3246), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(6088), 1,
      sym__declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3780), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [39918] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5752), 1,
      sym__declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3752), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [40028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    STATE(2918), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5864), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6217), 1,
      anon_sym___attribute__,
    STATE(2949), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5936), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4938), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4931), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40230] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(3244), 1,
      anon_sym_STAR,
    ACTIONS(3246), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(6099), 1,
      sym__declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2804), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3749), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [40340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5325), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5323), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [40404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6846), 1,
      anon_sym_typedef,
    ACTIONS(2518), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [40470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5289), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [40534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5529), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40598] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_LPAREN2,
    ACTIONS(6850), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6852), 1,
      anon_sym_LBRACK,
    STATE(3313), 1,
      sym_parameter_list,
    STATE(2928), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5837), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5839), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [40671] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6854), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6860), 1,
      anon_sym___asm,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(6865), 1,
      anon_sym_requires,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(4703), 1,
      sym__function_attributes_start,
    STATE(4870), 1,
      sym_ref_qualifier,
    STATE(5406), 1,
      sym__function_attributes_end,
    STATE(5428), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6838), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6857), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3904), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4043), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5578), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5083), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [40786] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6880), 1,
      anon_sym_GT_EQ,
    ACTIONS(6884), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6886), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6195), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [40883] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_LPAREN2,
    ACTIONS(6850), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6852), 1,
      anon_sym_LBRACK,
    STATE(3313), 1,
      sym_parameter_list,
    STATE(2928), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5890), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5892), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [40956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6791), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6793), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41019] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6880), 1,
      anon_sym_GT_EQ,
    ACTIONS(6884), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6886), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [41114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    STATE(2384), 1,
      sym_attribute_specifier,
    ACTIONS(5930), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5928), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [41181] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6880), 1,
      anon_sym_GT_EQ,
    ACTIONS(6884), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [41272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5477), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5479), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41335] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6880), 1,
      anon_sym_GT_EQ,
    ACTIONS(6884), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [41424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5384), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5386), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    STATE(3035), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5868), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41554] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6854), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(4726), 1,
      sym__function_attributes_start,
    STATE(4878), 1,
      sym_ref_qualifier,
    STATE(5414), 1,
      sym_trailing_return_type,
    STATE(5614), 1,
      sym__function_attributes_end,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3904), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4043), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5578), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5090), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [41669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    STATE(3079), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5936), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41736] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(2663), 1,
      sym_template_argument_list,
    ACTIONS(4919), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4912), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [41805] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6827), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4721), 1,
      sym__function_attributes_start,
    STATE(4873), 1,
      sym_ref_qualifier,
    STATE(5423), 1,
      sym_trailing_return_type,
    STATE(5646), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3934), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4149), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5578), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5100), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [41920] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6827), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(6841), 1,
      anon_sym_requires,
    ACTIONS(6860), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4737), 1,
      sym__function_attributes_start,
    STATE(4879), 1,
      sym_ref_qualifier,
    STATE(5382), 1,
      sym__function_attributes_end,
    STATE(5437), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6838), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6857), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3934), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4149), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5578), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5096), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [42035] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6697), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6737), 1,
      anon_sym_EQ,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6880), 1,
      anon_sym_GT_EQ,
    ACTIONS(6884), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6886), 1,
      anon_sym_bitand,
    ACTIONS(6898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6902), 1,
      anon_sym_PIPE,
    ACTIONS(6904), 1,
      anon_sym_QMARK,
    ACTIONS(6906), 1,
      anon_sym_or,
    ACTIONS(6908), 1,
      anon_sym_and,
    ACTIONS(6910), 1,
      anon_sym_bitor,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6739), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [42148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(2663), 1,
      sym_template_argument_list,
    ACTIONS(4148), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5601), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [42217] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6854), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6860), 1,
      anon_sym___asm,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(4732), 1,
      sym__function_attributes_start,
    STATE(4882), 1,
      sym_ref_qualifier,
    STATE(5414), 1,
      sym_trailing_return_type,
    STATE(5458), 1,
      sym__function_attributes_end,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6857), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3904), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4043), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5578), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5098), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [42332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5577), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(5579), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4124), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4132), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [42399] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6884), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [42484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [42547] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACE,
    ACTIONS(6912), 1,
      anon_sym_LPAREN2,
    ACTIONS(6914), 1,
      anon_sym_LBRACK,
    ACTIONS(6916), 1,
      sym_auto,
    ACTIONS(6918), 1,
      anon_sym_decltype,
    STATE(3351), 1,
      sym_new_declarator,
    STATE(3401), 1,
      sym_decltype_auto,
    STATE(3762), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5641), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5643), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [42626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5426), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42689] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [42770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    STATE(2386), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5916), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [42837] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6854), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6865), 1,
      anon_sym_requires,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(4718), 1,
      sym__function_attributes_start,
    STATE(4877), 1,
      sym_ref_qualifier,
    STATE(5428), 1,
      sym_trailing_return_type,
    STATE(5629), 1,
      sym__function_attributes_end,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6838), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3904), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4043), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5578), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5105), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [42952] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6727), 1,
      anon_sym_EQ,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6880), 1,
      anon_sym_GT_EQ,
    ACTIONS(6884), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6886), 1,
      anon_sym_bitand,
    ACTIONS(6898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6902), 1,
      anon_sym_PIPE,
    ACTIONS(6906), 1,
      anon_sym_or,
    ACTIONS(6908), 1,
      anon_sym_and,
    ACTIONS(6910), 1,
      anon_sym_bitor,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6729), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    STATE(3005), 1,
      sym_attribute_specifier,
    ACTIONS(5894), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5896), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    STATE(2368), 1,
      sym_attribute_specifier,
    ACTIONS(5926), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5924), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [43195] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6453), 1,
      anon_sym_EQ,
    ACTIONS(6697), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6880), 1,
      anon_sym_GT_EQ,
    ACTIONS(6884), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6886), 1,
      anon_sym_bitand,
    ACTIONS(6898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6902), 1,
      anon_sym_PIPE,
    ACTIONS(6904), 1,
      anon_sym_QMARK,
    ACTIONS(6906), 1,
      anon_sym_or,
    ACTIONS(6908), 1,
      anon_sym_and,
    ACTIONS(6910), 1,
      anon_sym_bitor,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6455), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    STATE(3046), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5864), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43375] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    STATE(3055), 1,
      sym_attribute_specifier,
    ACTIONS(5898), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5900), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43442] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6920), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6922), 1,
      anon_sym_COMMA,
    ACTIONS(6924), 1,
      anon_sym_RPAREN,
    ACTIONS(6926), 1,
      anon_sym_DASH,
    ACTIONS(6928), 1,
      anon_sym_PLUS,
    ACTIONS(6930), 1,
      anon_sym_STAR,
    ACTIONS(6932), 1,
      anon_sym_SLASH,
    ACTIONS(6934), 1,
      anon_sym_PERCENT,
    ACTIONS(6936), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6940), 1,
      anon_sym_PIPE,
    ACTIONS(6942), 1,
      anon_sym_CARET,
    ACTIONS(6944), 1,
      anon_sym_AMP,
    ACTIONS(6946), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6948), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6950), 1,
      anon_sym_GT,
    ACTIONS(6952), 1,
      anon_sym_GT_EQ,
    ACTIONS(6954), 1,
      anon_sym_LT_EQ,
    ACTIONS(6956), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_LT_LT,
    ACTIONS(6960), 1,
      anon_sym_GT_GT,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6964), 1,
      anon_sym_EQ,
    ACTIONS(6966), 1,
      anon_sym_QMARK,
    ACTIONS(6968), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6970), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6972), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6974), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6976), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6978), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6980), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6982), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6984), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6986), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6992), 1,
      anon_sym_or,
    ACTIONS(6994), 1,
      anon_sym_and,
    ACTIONS(6996), 1,
      anon_sym_bitor,
    ACTIONS(6998), 1,
      anon_sym_xor,
    ACTIONS(7000), 1,
      anon_sym_bitand,
    ACTIONS(7002), 1,
      anon_sym_not_eq,
    ACTIONS(7008), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT_STAR,
    STATE(1256), 1,
      sym__binary_fold_operator,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    STATE(7659), 1,
      sym__fold_operator,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6988), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43603] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [43686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    STATE(2322), 1,
      sym_attribute_specifier,
    ACTIONS(5940), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5938), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [43753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    STATE(3089), 1,
      sym_attribute_specifier,
    ACTIONS(5878), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5880), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    STATE(2346), 1,
      sym_attribute_specifier,
    ACTIONS(5904), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5902), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [43887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5525), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    STATE(3045), 1,
      sym_attribute_specifier,
    ACTIONS(5924), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5926), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    STATE(2992), 1,
      sym_attribute_specifier,
    ACTIONS(5902), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5904), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    STATE(2333), 1,
      sym_attribute_specifier,
    ACTIONS(5880), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5878), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [44151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    STATE(2351), 1,
      sym_attribute_specifier,
    ACTIONS(5896), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5894), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [44218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    STATE(3031), 1,
      sym_attribute_specifier,
    ACTIONS(5916), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5918), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44285] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [44364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6818), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5406), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5323), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5325), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [44553] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6711), 1,
      anon_sym_EQ,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6880), 1,
      anon_sym_GT_EQ,
    ACTIONS(6884), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6886), 1,
      anon_sym_bitand,
    ACTIONS(6898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6902), 1,
      anon_sym_PIPE,
    ACTIONS(6906), 1,
      anon_sym_or,
    ACTIONS(6908), 1,
      anon_sym_and,
    ACTIONS(6910), 1,
      anon_sym_bitor,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6713), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [44662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    STATE(2353), 1,
      sym_attribute_specifier,
    ACTIONS(5936), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5934), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [44729] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6920), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6922), 1,
      anon_sym_COMMA,
    ACTIONS(6926), 1,
      anon_sym_DASH,
    ACTIONS(6928), 1,
      anon_sym_PLUS,
    ACTIONS(6930), 1,
      anon_sym_STAR,
    ACTIONS(6932), 1,
      anon_sym_SLASH,
    ACTIONS(6934), 1,
      anon_sym_PERCENT,
    ACTIONS(6936), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6940), 1,
      anon_sym_PIPE,
    ACTIONS(6942), 1,
      anon_sym_CARET,
    ACTIONS(6944), 1,
      anon_sym_AMP,
    ACTIONS(6946), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6948), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6950), 1,
      anon_sym_GT,
    ACTIONS(6952), 1,
      anon_sym_GT_EQ,
    ACTIONS(6954), 1,
      anon_sym_LT_EQ,
    ACTIONS(6956), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_LT_LT,
    ACTIONS(6960), 1,
      anon_sym_GT_GT,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6964), 1,
      anon_sym_EQ,
    ACTIONS(6966), 1,
      anon_sym_QMARK,
    ACTIONS(6968), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6970), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6972), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6974), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6976), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6978), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6980), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6982), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6984), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6986), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6992), 1,
      anon_sym_or,
    ACTIONS(6994), 1,
      anon_sym_and,
    ACTIONS(6996), 1,
      anon_sym_bitor,
    ACTIONS(6998), 1,
      anon_sym_xor,
    ACTIONS(7000), 1,
      anon_sym_bitand,
    ACTIONS(7002), 1,
      anon_sym_not_eq,
    ACTIONS(7008), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7012), 1,
      anon_sym_RPAREN,
    STATE(1256), 1,
      sym__binary_fold_operator,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    STATE(7659), 1,
      sym__fold_operator,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6988), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [44890] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4929), 1,
      anon_sym_const,
    ACTIONS(4940), 1,
      anon_sym_AMP,
    ACTIONS(4933), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
    ACTIONS(4938), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4936), 19,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4931), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44961] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_LPAREN2,
    ACTIONS(6850), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6852), 1,
      anon_sym_LBRACK,
    STATE(3313), 1,
      sym_parameter_list,
    STATE(2928), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5920), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5922), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [45034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    STATE(3011), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5930), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45101] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6719), 1,
      anon_sym_EQ,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6880), 1,
      anon_sym_GT_EQ,
    ACTIONS(6884), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6886), 1,
      anon_sym_bitand,
    ACTIONS(6898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6902), 1,
      anon_sym_PIPE,
    ACTIONS(6906), 1,
      anon_sym_or,
    ACTIONS(6908), 1,
      anon_sym_and,
    ACTIONS(6910), 1,
      anon_sym_bitor,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6721), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45210] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6880), 1,
      anon_sym_GT_EQ,
    ACTIONS(6884), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6886), 1,
      anon_sym_bitand,
    ACTIONS(6902), 1,
      anon_sym_PIPE,
    ACTIONS(6910), 1,
      anon_sym_bitor,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6193), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45311] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6880), 1,
      anon_sym_GT_EQ,
    ACTIONS(6884), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6886), 1,
      anon_sym_bitand,
    ACTIONS(6900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6902), 1,
      anon_sym_PIPE,
    ACTIONS(6908), 1,
      anon_sym_and,
    ACTIONS(6910), 1,
      anon_sym_bitor,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6193), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5337), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5339), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5452), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    STATE(2997), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5940), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45611] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACE,
    ACTIONS(6912), 1,
      anon_sym_LPAREN2,
    ACTIONS(6914), 1,
      anon_sym_LBRACK,
    ACTIONS(6916), 1,
      sym_auto,
    ACTIONS(6918), 1,
      anon_sym_decltype,
    STATE(3400), 1,
      sym_new_declarator,
    STATE(3401), 1,
      sym_decltype_auto,
    STATE(3787), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5629), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5631), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [45690] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACE,
    ACTIONS(6912), 1,
      anon_sym_LPAREN2,
    ACTIONS(6914), 1,
      anon_sym_LBRACK,
    ACTIONS(6916), 1,
      sym_auto,
    ACTIONS(6918), 1,
      anon_sym_decltype,
    STATE(3401), 1,
      sym_decltype_auto,
    STATE(3481), 1,
      sym_new_declarator,
    STATE(3807), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5660), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5662), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [45769] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4919), 1,
      anon_sym_LBRACE,
    ACTIONS(4926), 1,
      anon_sym_LT,
    STATE(2808), 1,
      sym_template_argument_list,
    ACTIONS(4921), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4914), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6292), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [45903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 1,
      sym_literal_suffix,
    ACTIONS(4132), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4124), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5351), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46031] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4919), 1,
      anon_sym_LBRACE,
    ACTIONS(4949), 1,
      anon_sym_LT,
    STATE(2960), 1,
      sym_template_argument_list,
    ACTIONS(4921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4914), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [46102] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6697), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6723), 1,
      anon_sym_EQ,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6880), 1,
      anon_sym_GT_EQ,
    ACTIONS(6884), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6886), 1,
      anon_sym_bitand,
    ACTIONS(6898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6902), 1,
      anon_sym_PIPE,
    ACTIONS(6904), 1,
      anon_sym_QMARK,
    ACTIONS(6906), 1,
      anon_sym_or,
    ACTIONS(6908), 1,
      anon_sym_and,
    ACTIONS(6910), 1,
      anon_sym_bitor,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6725), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [46215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3944), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3942), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [46278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    STATE(2382), 1,
      sym_attribute_specifier,
    ACTIONS(5884), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5882), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [46345] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6663), 1,
      anon_sym_EQ,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6880), 1,
      anon_sym_GT_EQ,
    ACTIONS(6884), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6886), 1,
      anon_sym_bitand,
    ACTIONS(6898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6902), 1,
      anon_sym_PIPE,
    ACTIONS(6906), 1,
      anon_sym_or,
    ACTIONS(6908), 1,
      anon_sym_and,
    ACTIONS(6910), 1,
      anon_sym_bitor,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6665), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [46454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    STATE(2341), 1,
      sym_attribute_specifier,
    ACTIONS(5900), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5898), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [46521] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6920), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6922), 1,
      anon_sym_COMMA,
    ACTIONS(6926), 1,
      anon_sym_DASH,
    ACTIONS(6928), 1,
      anon_sym_PLUS,
    ACTIONS(6930), 1,
      anon_sym_STAR,
    ACTIONS(6932), 1,
      anon_sym_SLASH,
    ACTIONS(6934), 1,
      anon_sym_PERCENT,
    ACTIONS(6936), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6940), 1,
      anon_sym_PIPE,
    ACTIONS(6942), 1,
      anon_sym_CARET,
    ACTIONS(6944), 1,
      anon_sym_AMP,
    ACTIONS(6946), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6948), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6950), 1,
      anon_sym_GT,
    ACTIONS(6952), 1,
      anon_sym_GT_EQ,
    ACTIONS(6954), 1,
      anon_sym_LT_EQ,
    ACTIONS(6956), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_LT_LT,
    ACTIONS(6960), 1,
      anon_sym_GT_GT,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6964), 1,
      anon_sym_EQ,
    ACTIONS(6966), 1,
      anon_sym_QMARK,
    ACTIONS(6968), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6970), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6972), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6974), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6976), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6978), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6980), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6982), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6984), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6986), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6992), 1,
      anon_sym_or,
    ACTIONS(6994), 1,
      anon_sym_and,
    ACTIONS(6996), 1,
      anon_sym_bitor,
    ACTIONS(6998), 1,
      anon_sym_xor,
    ACTIONS(7000), 1,
      anon_sym_bitand,
    ACTIONS(7002), 1,
      anon_sym_not_eq,
    ACTIONS(7008), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7014), 1,
      anon_sym_RPAREN,
    STATE(1256), 1,
      sym__binary_fold_operator,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    STATE(7659), 1,
      sym__fold_operator,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6988), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [46682] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6715), 1,
      anon_sym_EQ,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6880), 1,
      anon_sym_GT_EQ,
    ACTIONS(6884), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6886), 1,
      anon_sym_bitand,
    ACTIONS(6898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6902), 1,
      anon_sym_PIPE,
    ACTIONS(6906), 1,
      anon_sym_or,
    ACTIONS(6908), 1,
      anon_sym_and,
    ACTIONS(6910), 1,
      anon_sym_bitor,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6717), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [46791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 1,
      anon_sym___attribute__,
    STATE(3085), 1,
      sym_attribute_specifier,
    ACTIONS(5882), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5884), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46858] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7019), 4,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7021), 5,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_explicit,
      anon_sym_operator,
    ACTIONS(7026), 13,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_auto,
      anon_sym_typename,
    ACTIONS(7016), 31,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
  [46927] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6827), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6860), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4684), 1,
      sym__function_attributes_start,
    STATE(4876), 1,
      sym_ref_qualifier,
    STATE(5412), 1,
      sym__function_attributes_end,
    STATE(5423), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6857), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3934), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4149), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5578), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5094), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [47042] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6827), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(6841), 1,
      anon_sym_requires,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4691), 1,
      sym__function_attributes_start,
    STATE(4885), 1,
      sym_ref_qualifier,
    STATE(5437), 1,
      sym_trailing_return_type,
    STATE(5610), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6838), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3934), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4149), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5578), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5088), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [47157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    STATE(2374), 1,
      sym_attribute_specifier,
    ACTIONS(5864), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5862), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [47224] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACE,
    ACTIONS(6912), 1,
      anon_sym_LPAREN2,
    ACTIONS(6914), 1,
      anon_sym_LBRACK,
    ACTIONS(6916), 1,
      sym_auto,
    ACTIONS(6918), 1,
      anon_sym_decltype,
    STATE(3401), 1,
      sym_decltype_auto,
    STATE(3447), 1,
      sym_new_declarator,
    STATE(3810), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5651), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5653), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47303] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_LPAREN2,
    ACTIONS(6850), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6852), 1,
      anon_sym_LBRACK,
    STATE(3313), 1,
      sym_parameter_list,
    STATE(2928), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5912), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5914), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6586), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [47439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    STATE(2373), 1,
      sym_attribute_specifier,
    ACTIONS(5868), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5866), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [47506] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_LPAREN2,
    ACTIONS(6850), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6852), 1,
      anon_sym_LBRACK,
    STATE(3313), 1,
      sym_parameter_list,
    STATE(2928), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5908), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5910), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 1,
      sym_auto,
    ACTIONS(6572), 1,
      anon_sym_decltype,
    STATE(2912), 1,
      sym_decltype_auto,
    ACTIONS(5357), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5359), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5499), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5355), 1,
      anon_sym_LBRACE,
    ACTIONS(5339), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5337), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [47774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2946), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7028), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5339), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [47840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2977), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7030), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5621), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5619), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [47906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2978), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7032), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5613), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [47972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7038), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7036), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7034), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [48038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7048), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7046), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7044), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7042), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [48104] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    STATE(3472), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6009), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6011), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [48172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5339), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48234] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6600), 1,
      sym_auto,
    ACTIONS(6602), 1,
      anon_sym_decltype,
    STATE(3090), 1,
      sym_decltype_auto,
    ACTIONS(5357), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5359), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [48302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5483), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5514), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5510), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7056), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7054), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7052), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7050), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [48554] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    STATE(3338), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5966), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5968), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [48622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5464), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5485), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5487), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48746] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    ACTIONS(6812), 1,
      anon_sym_LBRACE,
    STATE(3067), 1,
      sym_enumerator_list,
    STATE(3416), 1,
      sym_attribute_specifier,
    ACTIONS(5818), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5820), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5402), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5518), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5382), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49002] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7060), 1,
      anon_sym_RPAREN,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(6842), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [49114] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7064), 1,
      anon_sym_LPAREN2,
    ACTIONS(7066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7068), 1,
      anon_sym_LBRACK,
    STATE(3470), 1,
      sym_parameter_list,
    STATE(3023), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5920), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5922), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [49186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5414), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49248] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4919), 1,
      anon_sym_LBRACE,
    ACTIONS(5470), 1,
      anon_sym_LT,
    STATE(3166), 1,
      sym_template_argument_list,
    ACTIONS(4921), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4914), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49318] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(2537), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2663), 1,
      sym_template_argument_list,
    ACTIONS(4150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4130), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4122), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [49390] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7075), 1,
      anon_sym_virtual,
    ACTIONS(7081), 1,
      anon_sym___attribute__,
    ACTIONS(7084), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7087), 1,
      anon_sym___declspec,
    STATE(1777), 1,
      sym_alignas_qualifier,
    ACTIONS(7090), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2926), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7078), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(7072), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(6394), 16,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [49470] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7100), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7097), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7095), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7093), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [49540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2936), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5951), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5953), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5410), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5337), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5339), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5477), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5479), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5464), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5495), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49918] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    STATE(3370), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6046), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6048), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACE,
    ACTIONS(7103), 1,
      anon_sym_LPAREN2,
    STATE(2533), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3328), 1,
      sym_argument_list,
    STATE(3781), 1,
      sym_initializer_list,
    ACTIONS(6464), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5339), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5337), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [50060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7106), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2936), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5959), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5961), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5390), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50188] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7064), 1,
      anon_sym_LPAREN2,
    ACTIONS(7066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7068), 1,
      anon_sym_LBRACK,
    STATE(3470), 1,
      sym_parameter_list,
    STATE(3023), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5890), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5892), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [50260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5533), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3824), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7109), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3804), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3802), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [50388] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(7113), 1,
      anon_sym_requires,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(4755), 1,
      sym__function_attributes_start,
    STATE(4895), 1,
      sym_ref_qualifier,
    STATE(5731), 1,
      sym__function_attributes_end,
    STATE(5922), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3904), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4043), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5924), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5110), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [50502] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    ACTIONS(6812), 1,
      anon_sym_LBRACE,
    STATE(3012), 1,
      sym_enumerator_list,
    STATE(3486), 1,
      sym_attribute_specifier,
    ACTIONS(5753), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5755), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50572] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6854), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(7117), 1,
      anon_sym_requires,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(4767), 1,
      sym__function_attributes_start,
    STATE(4891), 1,
      sym_ref_qualifier,
    STATE(5661), 1,
      sym__function_attributes_end,
    STATE(5929), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6838), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3904), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4043), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5578), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5116), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [50686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7120), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3828), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3826), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [50752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5525), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7122), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5694), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5692), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [50880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5337), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [50942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5394), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5503), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51066] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(7124), 1,
      anon_sym_COLON,
    STATE(2319), 1,
      sym_attribute_specifier,
    STATE(2701), 1,
      sym__enum_base_clause,
    STATE(2857), 1,
      sym_enumerator_list,
    ACTIONS(6083), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6081), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [51140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2528), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [51202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5452), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5460), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5430), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2946), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7028), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5386), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [51454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5426), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51516] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7064), 1,
      anon_sym_LPAREN2,
    ACTIONS(7066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7068), 1,
      anon_sym_LBRACK,
    STATE(3470), 1,
      sym_parameter_list,
    STATE(3023), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5908), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5910), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [51588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7132), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7130), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7128), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7126), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [51654] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(7124), 1,
      anon_sym_COLON,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2691), 1,
      sym__enum_base_clause,
    STATE(2864), 1,
      sym_enumerator_list,
    ACTIONS(6089), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6087), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [51728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4938), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4931), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2527), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3350), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3354), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5625), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5627), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51860] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(3621), 1,
      sym_field_declaration_list,
    STATE(6497), 1,
      sym_virtual_specifier,
    STATE(7172), 1,
      sym_base_class_clause,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5584), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5586), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [51938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5406), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52000] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(7134), 1,
      anon_sym_requires,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(4764), 1,
      sym__function_attributes_start,
    STATE(4896), 1,
      sym_ref_qualifier,
    STATE(5774), 1,
      sym__function_attributes_end,
    STATE(5902), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6637), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3904), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4043), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5924), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5111), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [52114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5355), 1,
      anon_sym_LBRACE,
    ACTIONS(5339), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5337), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [52180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7122), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5680), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5678), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [52246] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6854), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(7137), 1,
      anon_sym_requires,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(4758), 1,
      sym__function_attributes_start,
    STATE(4894), 1,
      sym_ref_qualifier,
    STATE(5676), 1,
      sym__function_attributes_end,
    STATE(5806), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3904), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4043), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5578), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5107), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [52360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5483), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5422), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5444), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5446), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5398), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5442), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52670] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7064), 1,
      anon_sym_LPAREN2,
    ACTIONS(7066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7068), 1,
      anon_sym_LBRACK,
    STATE(3470), 1,
      sym_parameter_list,
    STATE(3023), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5837), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5839), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [52742] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    STATE(3413), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6028), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6030), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52810] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7139), 1,
      sym_identifier,
    STATE(3073), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3570), 1,
      sym_primitive_type,
    ACTIONS(7144), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7142), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5345), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5343), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5456), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7122), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5700), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5698), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [53010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7122), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5609), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5607), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [53076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5384), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5386), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5491), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5483), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6292), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [53324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5473), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5475), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53386] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7064), 1,
      anon_sym_LPAREN2,
    ACTIONS(7066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7068), 1,
      anon_sym_LBRACK,
    STATE(3470), 1,
      sym_parameter_list,
    STATE(3023), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5912), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5914), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [53458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5351), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5418), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5378), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5468), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5339), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    STATE(3415), 1,
      sym_attribute_specifier,
    ACTIONS(5894), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5896), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5339), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5422), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53955] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7847), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [54064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5456), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5378), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54186] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4618), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7874), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3274), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [54295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5468), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5398), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5390), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54478] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5162), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [54587] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5145), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [54696] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6453), 1,
      anon_sym_EQ,
    ACTIONS(6697), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7166), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7168), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7170), 1,
      anon_sym_PIPE,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7184), 1,
      anon_sym_QMARK,
    ACTIONS(7186), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7188), 1,
      anon_sym_or,
    ACTIONS(7190), 1,
      anon_sym_and,
    ACTIONS(7192), 1,
      anon_sym_bitor,
    ACTIONS(7194), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7172), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7182), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7176), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7178), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6455), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [54807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    STATE(3550), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6028), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6030), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [54874] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6205), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6207), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [54949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5473), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5475), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55010] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [55087] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7883), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [55196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5418), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55257] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7198), 1,
      anon_sym_LT,
    STATE(3205), 1,
      sym_template_argument_list,
    ACTIONS(6110), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6112), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    STATE(3434), 1,
      sym_attribute_specifier,
    ACTIONS(5878), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5880), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5491), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    STATE(3503), 1,
      sym_attribute_specifier,
    ACTIONS(5882), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5884), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55515] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6711), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7168), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7170), 1,
      anon_sym_PIPE,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7186), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7188), 1,
      anon_sym_or,
    ACTIONS(7190), 1,
      anon_sym_and,
    ACTIONS(7192), 1,
      anon_sym_bitor,
    ACTIONS(7194), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7172), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7182), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7176), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7178), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6713), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [55622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5442), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55683] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5166), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [55792] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7760), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [55901] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6663), 1,
      anon_sym_EQ,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7209), 1,
      anon_sym_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP,
    ACTIONS(7219), 1,
      anon_sym_GT_EQ,
    ACTIONS(7223), 1,
      anon_sym_or,
    ACTIONS(7225), 1,
      anon_sym_and,
    ACTIONS(7227), 1,
      anon_sym_bitor,
    ACTIONS(7229), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7215), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6665), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [56008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5518), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56069] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7168), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7170), 1,
      anon_sym_PIPE,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7186), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7190), 1,
      anon_sym_and,
    ACTIONS(7192), 1,
      anon_sym_bitor,
    ACTIONS(7194), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6193), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7172), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7182), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7176), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7178), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56172] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5158), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [56281] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7170), 1,
      anon_sym_PIPE,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7186), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7192), 1,
      anon_sym_bitor,
    ACTIONS(7194), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7172), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7182), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6193), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7176), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7178), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56380] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7698), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [56489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3103), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5951), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5953), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [56554] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6209), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6211), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [56629] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7231), 1,
      sym_identifier,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7239), 1,
      anon_sym_enum,
    ACTIONS(7241), 1,
      anon_sym_class,
    ACTIONS(7243), 1,
      anon_sym_struct,
    ACTIONS(7245), 1,
      anon_sym_union,
    ACTIONS(7247), 1,
      sym_auto,
    ACTIONS(7249), 1,
      anon_sym_decltype,
    ACTIONS(7251), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4048), 1,
      sym_primitive_type,
    STATE(4159), 1,
      sym_type_specifier,
    STATE(4561), 1,
      sym_decltype_auto,
    STATE(5571), 1,
      sym_type_descriptor,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    STATE(3185), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7235), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4560), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [56738] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7845), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [56847] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5159), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [56956] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_EQ,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7209), 1,
      anon_sym_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP,
    ACTIONS(7219), 1,
      anon_sym_GT_EQ,
    ACTIONS(7223), 1,
      anon_sym_or,
    ACTIONS(7225), 1,
      anon_sym_and,
    ACTIONS(7227), 1,
      anon_sym_bitor,
    ACTIONS(7229), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7215), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6721), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [57063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7253), 1,
      anon_sym_LT,
    STATE(2808), 1,
      sym_template_argument_list,
    ACTIONS(6186), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6188), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57128] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6715), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7168), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7170), 1,
      anon_sym_PIPE,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7186), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7188), 1,
      anon_sym_or,
    ACTIONS(7190), 1,
      anon_sym_and,
    ACTIONS(7192), 1,
      anon_sym_bitor,
    ACTIONS(7194), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7172), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7182), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7176), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7178), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6717), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [57235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5444), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5446), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57296] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7933), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [57405] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7186), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7194), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7172), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7182), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7176), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7178), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6195), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [57500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5464), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5514), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57622] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7186), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7194), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7182), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7176), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7178), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [57715] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7256), 1,
      sym_identifier,
    ACTIONS(7258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7260), 1,
      anon_sym_enum,
    ACTIONS(7262), 1,
      anon_sym_class,
    ACTIONS(7264), 1,
      anon_sym_struct,
    ACTIONS(7266), 1,
      anon_sym_union,
    ACTIONS(7268), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2376), 1,
      sym_decltype_auto,
    STATE(2581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(2902), 1,
      sym_primitive_type,
    STATE(3959), 1,
      sym_type_specifier,
    STATE(5571), 1,
      sym_type_descriptor,
    STATE(6220), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    STATE(3221), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3810), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2381), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [57824] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7186), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7182), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7176), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7178), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [57913] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7186), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7182), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7178), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [58000] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7624), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58109] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7625), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58218] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7186), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7182), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [58301] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [58380] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7484), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5460), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5402), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7253), 1,
      anon_sym_LT,
    STATE(1531), 1,
      sym_template_argument_list,
    ACTIONS(6186), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6188), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58676] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6723), 1,
      anon_sym_EQ,
    ACTIONS(6920), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6966), 1,
      anon_sym_QMARK,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7209), 1,
      anon_sym_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP,
    ACTIONS(7219), 1,
      anon_sym_GT_EQ,
    ACTIONS(7223), 1,
      anon_sym_or,
    ACTIONS(7225), 1,
      anon_sym_and,
    ACTIONS(7227), 1,
      anon_sym_bitor,
    ACTIONS(7229), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7215), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6725), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [58787] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5174), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5464), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58957] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5146), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [59066] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7852), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [59175] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6711), 1,
      anon_sym_EQ,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7209), 1,
      anon_sym_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP,
    ACTIONS(7219), 1,
      anon_sym_GT_EQ,
    ACTIONS(7223), 1,
      anon_sym_or,
    ACTIONS(7225), 1,
      anon_sym_and,
    ACTIONS(7227), 1,
      anon_sym_bitor,
    ACTIONS(7229), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7215), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6713), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [59282] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4618), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8013), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3274), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [59391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5495), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59452] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    STATE(3560), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6046), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6048), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [59519] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7070), 1,
      anon_sym_LT,
    ACTIONS(7272), 1,
      anon_sym_EQ,
    STATE(2537), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2663), 1,
      sym_template_argument_list,
    ACTIONS(7270), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4130), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4122), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [59594] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8156), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [59703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5483), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59764] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6225), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6227), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [59837] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6663), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7168), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7170), 1,
      anon_sym_PIPE,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7186), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7188), 1,
      anon_sym_or,
    ACTIONS(7190), 1,
      anon_sym_and,
    ACTIONS(7192), 1,
      anon_sym_bitor,
    ACTIONS(7194), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7172), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7182), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7176), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7178), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6665), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [59944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    STATE(3493), 1,
      sym_attribute_specifier,
    ACTIONS(5916), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5918), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60009] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(8277), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [60118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    STATE(3491), 1,
      sym_attribute_specifier,
    ACTIONS(5924), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5926), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5483), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60244] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7182), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [60325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    STATE(3343), 1,
      sym_attribute_specifier,
    ACTIONS(5898), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5900), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5410), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60451] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7247), 1,
      sym_auto,
    ACTIONS(7249), 1,
      anon_sym_decltype,
    ACTIONS(7274), 1,
      sym_identifier,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7278), 1,
      anon_sym_enum,
    ACTIONS(7280), 1,
      anon_sym_class,
    ACTIONS(7282), 1,
      anon_sym_struct,
    ACTIONS(7284), 1,
      anon_sym_union,
    ACTIONS(7286), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3844), 1,
      sym_type_specifier,
    STATE(4048), 1,
      sym_primitive_type,
    STATE(4561), 1,
      sym_decltype_auto,
    STATE(5571), 1,
      sym_type_descriptor,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    STATE(3314), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7235), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4560), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [60560] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7503), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [60669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    STATE(3485), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5936), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60734] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6453), 1,
      anon_sym_EQ,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6920), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6966), 1,
      anon_sym_QMARK,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7209), 1,
      anon_sym_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP,
    ACTIONS(7219), 1,
      anon_sym_GT_EQ,
    ACTIONS(7223), 1,
      anon_sym_or,
    ACTIONS(7225), 1,
      anon_sym_and,
    ACTIONS(7227), 1,
      anon_sym_bitor,
    ACTIONS(7229), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7215), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6455), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [60845] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1618), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5163), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(5167), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5437), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5434), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60912] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5140), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61021] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_enum,
    ACTIONS(2590), 1,
      anon_sym_class,
    ACTIONS(2592), 1,
      anon_sym_struct,
    ACTIONS(2594), 1,
      anon_sym_union,
    ACTIONS(2620), 1,
      sym_auto,
    ACTIONS(2622), 1,
      anon_sym_decltype,
    ACTIONS(2624), 1,
      anon_sym_typename,
    ACTIONS(7288), 1,
      sym_identifier,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2282), 1,
      sym_primitive_type,
    STATE(2616), 1,
      sym_qualified_type_identifier,
    STATE(2646), 1,
      sym_decltype_auto,
    STATE(4108), 1,
      sym_type_specifier,
    STATE(5834), 1,
      sym_type_descriptor,
    STATE(6210), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2565), 2,
      sym_decltype,
      sym_template_type,
    STATE(3245), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2586), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2584), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2644), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5394), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5339), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5499), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5503), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61374] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8069), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61483] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5165), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61592] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6719), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7168), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7170), 1,
      anon_sym_PIPE,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7186), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7188), 1,
      anon_sym_or,
    ACTIONS(7190), 1,
      anon_sym_and,
    ACTIONS(7192), 1,
      anon_sym_bitor,
    ACTIONS(7194), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7172), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7182), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7176), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7178), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6721), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [61699] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6697), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6723), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7168), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7170), 1,
      anon_sym_PIPE,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7184), 1,
      anon_sym_QMARK,
    ACTIONS(7186), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7188), 1,
      anon_sym_or,
    ACTIONS(7190), 1,
      anon_sym_and,
    ACTIONS(7192), 1,
      anon_sym_bitor,
    ACTIONS(7194), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7172), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7182), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7176), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7178), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6725), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [61810] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(8298), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5430), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61980] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6727), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7168), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7170), 1,
      anon_sym_PIPE,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7186), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7188), 1,
      anon_sym_or,
    ACTIONS(7190), 1,
      anon_sym_and,
    ACTIONS(7192), 1,
      anon_sym_bitor,
    ACTIONS(7194), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7172), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7182), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7176), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7178), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6729), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [62087] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6697), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6737), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7168), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7170), 1,
      anon_sym_PIPE,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_GT_EQ,
    ACTIONS(7184), 1,
      anon_sym_QMARK,
    ACTIONS(7186), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7188), 1,
      anon_sym_or,
    ACTIONS(7190), 1,
      anon_sym_and,
    ACTIONS(7192), 1,
      anon_sym_bitor,
    ACTIONS(7194), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7172), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7182), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7164), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7176), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7178), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6739), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [62198] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [62307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5382), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [62368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5510), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [62429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(2663), 1,
      sym_template_argument_list,
    ACTIONS(4148), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5601), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [62496] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4618), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8055), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3274), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [62605] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7292), 1,
      sym_identifier,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7300), 1,
      anon_sym_enum,
    ACTIONS(7302), 1,
      anon_sym_class,
    ACTIONS(7304), 1,
      anon_sym_struct,
    ACTIONS(7306), 1,
      anon_sym_union,
    ACTIONS(7308), 1,
      sym_auto,
    ACTIONS(7310), 1,
      anon_sym_decltype,
    ACTIONS(7312), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(3917), 1,
      sym_type_specifier,
    STATE(3944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4421), 1,
      sym_primitive_type,
    STATE(4821), 1,
      sym_qualified_type_identifier,
    STATE(4858), 1,
      sym_decltype_auto,
    STATE(5834), 1,
      sym_type_descriptor,
    STATE(6223), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3289), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7298), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7296), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4856), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [62714] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4618), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7643), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3274), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [62823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7314), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6172), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6174), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62886] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6715), 1,
      anon_sym_EQ,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7209), 1,
      anon_sym_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP,
    ACTIONS(7219), 1,
      anon_sym_GT_EQ,
    ACTIONS(7223), 1,
      anon_sym_or,
    ACTIONS(7225), 1,
      anon_sym_and,
    ACTIONS(7227), 1,
      anon_sym_bitor,
    ACTIONS(7229), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7215), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6717), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [62993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5535), 50,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [63054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5533), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5414), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7316), 1,
      anon_sym_LT,
    STATE(2960), 1,
      sym_template_argument_list,
    ACTIONS(6186), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6188), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63241] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8050), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [63350] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5138), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [63459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7319), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3103), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5959), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5961), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63524] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7602), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [63633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    STATE(3424), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5864), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63698] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6182), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6184), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [63773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    STATE(3422), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5868), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63838] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7247), 1,
      sym_auto,
    ACTIONS(7249), 1,
      anon_sym_decltype,
    ACTIONS(7274), 1,
      sym_identifier,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7278), 1,
      anon_sym_enum,
    ACTIONS(7280), 1,
      anon_sym_class,
    ACTIONS(7282), 1,
      anon_sym_struct,
    ACTIONS(7284), 1,
      anon_sym_union,
    ACTIONS(7286), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3960), 1,
      sym_type_specifier,
    STATE(4048), 1,
      sym_primitive_type,
    STATE(4561), 1,
      sym_decltype_auto,
    STATE(5571), 1,
      sym_type_descriptor,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    STATE(3262), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7235), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4560), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [63947] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7183), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [64056] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6727), 1,
      anon_sym_EQ,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7209), 1,
      anon_sym_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP,
    ACTIONS(7219), 1,
      anon_sym_GT_EQ,
    ACTIONS(7223), 1,
      anon_sym_or,
    ACTIONS(7225), 1,
      anon_sym_and,
    ACTIONS(7227), 1,
      anon_sym_bitor,
    ACTIONS(7229), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7215), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6729), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [64163] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    STATE(3408), 1,
      sym_attribute_specifier,
    ACTIONS(5902), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5904), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [64228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7322), 1,
      anon_sym_LT,
    STATE(3205), 1,
      sym_template_argument_list,
    ACTIONS(6117), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6119), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64295] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8008), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [64404] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7533), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [64513] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7256), 1,
      sym_identifier,
    ACTIONS(7258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7260), 1,
      anon_sym_enum,
    ACTIONS(7262), 1,
      anon_sym_class,
    ACTIONS(7264), 1,
      anon_sym_struct,
    ACTIONS(7266), 1,
      anon_sym_union,
    ACTIONS(7268), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2376), 1,
      sym_decltype_auto,
    STATE(2581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(2902), 1,
      sym_primitive_type,
    STATE(3856), 1,
      sym_type_specifier,
    STATE(5571), 1,
      sym_type_descriptor,
    STATE(6220), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    STATE(3273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3810), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2381), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [64622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5483), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64683] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6737), 1,
      anon_sym_EQ,
    ACTIONS(6920), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6966), 1,
      anon_sym_QMARK,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7209), 1,
      anon_sym_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP,
    ACTIONS(7219), 1,
      anon_sym_GT_EQ,
    ACTIONS(7223), 1,
      anon_sym_or,
    ACTIONS(7225), 1,
      anon_sym_and,
    ACTIONS(7227), 1,
      anon_sym_bitor,
    ACTIONS(7229), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7215), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6739), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [64794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(2663), 1,
      sym_template_argument_list,
    ACTIONS(4919), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4912), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [64861] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4249), 1,
      sym_type_specifier,
    STATE(5834), 1,
      sym_type_descriptor,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3292), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [64970] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7591), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65079] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6130), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6132), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [65154] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5143), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65263] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6803), 1,
      anon_sym_LBRACK,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(2537), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3843), 1,
      sym_template_argument_list,
    ACTIONS(4145), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4130), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4122), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [65338] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5147), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65447] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(7327), 1,
      anon_sym_requires,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(4771), 1,
      sym__function_attributes_start,
    STATE(4970), 1,
      sym_ref_qualifier,
    STATE(5860), 1,
      sym__function_attributes_end,
    STATE(6008), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3904), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4043), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5924), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5124), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65560] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7999), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65669] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7973), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65778] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7944), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65887] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4618), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8035), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3274), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65996] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(3800), 1,
      sym_identifier,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3812), 1,
      anon_sym_enum,
    ACTIONS(3814), 1,
      anon_sym_class,
    ACTIONS(3816), 1,
      anon_sym_struct,
    ACTIONS(3818), 1,
      anon_sym_union,
    ACTIONS(3820), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2376), 1,
      sym_decltype_auto,
    STATE(2581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(2902), 1,
      sym_primitive_type,
    STATE(4012), 1,
      sym_type_specifier,
    STATE(5571), 1,
      sym_type_descriptor,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    STATE(3188), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3810), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2381), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [66105] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5152), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [66214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7329), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6172), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6174), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66277] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7616), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [66386] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5153), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [66495] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7712), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [66604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5570), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5568), 50,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [66665] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5154), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [66774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7316), 1,
      anon_sym_LT,
    STATE(1758), 1,
      sym_template_argument_list,
    ACTIONS(6186), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6188), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66839] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(7331), 1,
      anon_sym_requires,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(4859), 1,
      sym__function_attributes_start,
    STATE(5008), 1,
      sym_ref_qualifier,
    STATE(5795), 1,
      sym__function_attributes_end,
    STATE(6006), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6637), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3904), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4043), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5924), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5127), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6617), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [66952] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7685), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [67061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5485), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5487), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [67122] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2527), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3350), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3354), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5625), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5627), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67189] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    STATE(3346), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5930), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym___attribute__,
    STATE(3332), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5940), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7253), 1,
      anon_sym_LT,
    STATE(1541), 1,
      sym_template_argument_list,
    ACTIONS(6186), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6188), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67384] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8030), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [67493] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6150), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [67566] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(5571), 1,
      sym_type_descriptor,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [67675] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5175), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [67784] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5144), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [67893] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [67970] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4618), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(8182), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3274), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [68079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    STATE(3546), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5966), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5968), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [68146] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4618), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8074), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3274), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [68255] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7947), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [68364] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7247), 1,
      sym_auto,
    ACTIONS(7249), 1,
      anon_sym_decltype,
    ACTIONS(7274), 1,
      sym_identifier,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7278), 1,
      anon_sym_enum,
    ACTIONS(7280), 1,
      anon_sym_class,
    ACTIONS(7282), 1,
      anon_sym_struct,
    ACTIONS(7284), 1,
      anon_sym_union,
    ACTIONS(7286), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3876), 1,
      sym_type_specifier,
    STATE(4048), 1,
      sym_primitive_type,
    STATE(4561), 1,
      sym_decltype_auto,
    STATE(5571), 1,
      sym_type_descriptor,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    STATE(3202), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7235), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4560), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [68473] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6193), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [68548] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7209), 1,
      anon_sym_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP,
    ACTIONS(7219), 1,
      anon_sym_GT_EQ,
    ACTIONS(7225), 1,
      anon_sym_and,
    ACTIONS(7227), 1,
      anon_sym_bitor,
    ACTIONS(7229), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(6193), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7215), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [68651] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4393), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(7849), 1,
      sym_type_descriptor,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [68760] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4044), 1,
      sym_type_specifier,
    STATE(5834), 1,
      sym_type_descriptor,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [68869] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7209), 1,
      anon_sym_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP,
    ACTIONS(7219), 1,
      anon_sym_GT_EQ,
    ACTIONS(7227), 1,
      anon_sym_bitor,
    ACTIONS(7229), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6193), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7215), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [68968] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7213), 1,
      anon_sym_AMP,
    ACTIONS(7219), 1,
      anon_sym_GT_EQ,
    ACTIONS(7229), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7215), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6195), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [69063] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7213), 1,
      anon_sym_AMP,
    ACTIONS(7219), 1,
      anon_sym_GT_EQ,
    ACTIONS(7229), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7215), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [69156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 1,
      anon_sym_LBRACK,
    STATE(3294), 1,
      sym_new_declarator,
    ACTIONS(6075), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6077), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69221] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7219), 1,
      anon_sym_GT_EQ,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7215), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [69310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4938), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4931), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69373] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7219), 1,
      anon_sym_GT_EQ,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [69460] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(6990), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [69543] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [69624] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7004), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [69703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    STATE(3590), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6009), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6011), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [69770] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4919), 1,
      anon_sym_LBRACE,
    ACTIONS(5561), 1,
      anon_sym_LT,
    STATE(3297), 1,
      sym_template_argument_list,
    ACTIONS(4921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4914), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [69839] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4711), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(5161), 1,
      sym__type_definition_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(3285), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [69948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6288), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6290), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70008] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6715), 1,
      anon_sym_EQ,
    ACTIONS(7338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_GT_EQ,
    ACTIONS(7356), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7358), 1,
      anon_sym_or,
    ACTIONS(7360), 1,
      anon_sym_and,
    ACTIONS(7362), 1,
      anon_sym_bitor,
    ACTIONS(7364), 1,
      anon_sym_bitand,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7344), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7348), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7350), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6717), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [70114] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7372), 1,
      anon_sym_STAR,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7376), 1,
      anon_sym_AMP,
    ACTIONS(7378), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7386), 1,
      anon_sym___asm,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5657), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7380), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7382), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3265), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3990), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5687), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [70212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6034), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6036), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70272] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7388), 1,
      sym_identifier,
    STATE(3178), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7391), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7394), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5209), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5207), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5728), 1,
      anon_sym_LPAREN2,
    ACTIONS(5731), 1,
      anon_sym_LBRACK,
    ACTIONS(4132), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4124), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5988), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5990), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70466] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    ACTIONS(7399), 1,
      anon_sym_LBRACE,
    STATE(3899), 1,
      sym_field_declaration_list,
    STATE(3935), 1,
      sym_attribute_specifier,
    STATE(6527), 1,
      sym_virtual_specifier,
    STATE(7410), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5584), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5586), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5731), 1,
      anon_sym_LBRACK,
    ACTIONS(5728), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4132), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4124), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7401), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6172), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6174), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5731), 1,
      anon_sym_LBRACK,
    ACTIONS(5728), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4132), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4124), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70736] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7231), 1,
      sym_identifier,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7239), 1,
      anon_sym_enum,
    ACTIONS(7241), 1,
      anon_sym_class,
    ACTIONS(7243), 1,
      anon_sym_struct,
    ACTIONS(7245), 1,
      anon_sym_union,
    ACTIONS(7247), 1,
      sym_auto,
    ACTIONS(7249), 1,
      anon_sym_decltype,
    ACTIONS(7251), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4048), 1,
      sym_primitive_type,
    STATE(4158), 1,
      sym_type_specifier,
    STATE(4561), 1,
      sym_decltype_auto,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7235), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4560), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [70842] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      sym_identifier,
    STATE(3249), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5749), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5751), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5202), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5200), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      sym_literal_suffix,
    ACTIONS(4132), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4124), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70972] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(3800), 1,
      sym_identifier,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3812), 1,
      anon_sym_enum,
    ACTIONS(3814), 1,
      anon_sym_class,
    ACTIONS(3816), 1,
      anon_sym_struct,
    ACTIONS(3818), 1,
      anon_sym_union,
    ACTIONS(3820), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2376), 1,
      sym_decltype_auto,
    STATE(2581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(2902), 1,
      sym_primitive_type,
    STATE(4016), 1,
      sym_type_specifier,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3810), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2381), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [71078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6791), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6793), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71138] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7411), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7415), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7431), 1,
      anon_sym_or,
    ACTIONS(7433), 1,
      anon_sym_and,
    ACTIONS(7435), 1,
      anon_sym_bitor,
    ACTIONS(7437), 1,
      anon_sym_bitand,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(6719), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7417), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7421), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7423), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6721), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [71242] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4059), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [71348] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7008), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7447), 1,
      anon_sym_COMMA,
    ACTIONS(7449), 1,
      anon_sym_RPAREN,
    ACTIONS(7451), 1,
      anon_sym_DASH,
    ACTIONS(7453), 1,
      anon_sym_PLUS,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_SLASH,
    ACTIONS(7459), 1,
      anon_sym_PERCENT,
    ACTIONS(7461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE,
    ACTIONS(7467), 1,
      anon_sym_CARET,
    ACTIONS(7469), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7473), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7475), 1,
      anon_sym_GT,
    ACTIONS(7477), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ,
    ACTIONS(7481), 1,
      anon_sym_LT,
    ACTIONS(7483), 1,
      anon_sym_LT_LT,
    ACTIONS(7485), 1,
      anon_sym_GT_GT,
    ACTIONS(7487), 1,
      anon_sym_EQ,
    ACTIONS(7489), 1,
      anon_sym_QMARK,
    ACTIONS(7491), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7493), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7495), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7497), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7499), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7501), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7503), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7505), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7507), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7509), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_bitor,
    ACTIONS(7519), 1,
      anon_sym_xor,
    ACTIONS(7521), 1,
      anon_sym_bitand,
    ACTIONS(7523), 1,
      anon_sym_not_eq,
    STATE(1256), 1,
      sym__binary_fold_operator,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    STATE(7659), 1,
      sym__fold_operator,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [71504] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6737), 1,
      anon_sym_EQ,
    ACTIONS(7338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_GT_EQ,
    ACTIONS(7356), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7358), 1,
      anon_sym_or,
    ACTIONS(7360), 1,
      anon_sym_and,
    ACTIONS(7362), 1,
      anon_sym_bitor,
    ACTIONS(7364), 1,
      anon_sym_bitand,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7527), 1,
      anon_sym_QMARK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7344), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7348), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7350), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6739), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [71614] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6727), 1,
      anon_sym_EQ,
    ACTIONS(7338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_GT_EQ,
    ACTIONS(7356), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7358), 1,
      anon_sym_or,
    ACTIONS(7360), 1,
      anon_sym_and,
    ACTIONS(7362), 1,
      anon_sym_bitor,
    ACTIONS(7364), 1,
      anon_sym_bitand,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7344), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7348), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7350), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6729), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [71720] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5728), 1,
      anon_sym_LPAREN2,
    ACTIONS(5731), 1,
      anon_sym_LBRACK,
    ACTIONS(4132), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4124), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5525), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71846] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(7529), 1,
      anon_sym_COLON,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2691), 1,
      sym__enum_base_clause,
    STATE(2864), 1,
      sym_enumerator_list,
    ACTIONS(6089), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6087), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [71918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6022), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6024), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_EQ,
    ACTIONS(4160), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4132), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4124), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5949), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6288), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6290), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72162] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7247), 1,
      sym_auto,
    ACTIONS(7249), 1,
      anon_sym_decltype,
    ACTIONS(7274), 1,
      sym_identifier,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7278), 1,
      anon_sym_enum,
    ACTIONS(7280), 1,
      anon_sym_class,
    ACTIONS(7282), 1,
      anon_sym_struct,
    ACTIONS(7284), 1,
      anon_sym_union,
    ACTIONS(7286), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3881), 1,
      sym_type_specifier,
    STATE(4048), 1,
      sym_primitive_type,
    STATE(4561), 1,
      sym_decltype_auto,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7235), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4560), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72268] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6723), 1,
      anon_sym_EQ,
    ACTIONS(7338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_GT_EQ,
    ACTIONS(7356), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7358), 1,
      anon_sym_or,
    ACTIONS(7360), 1,
      anon_sym_and,
    ACTIONS(7362), 1,
      anon_sym_bitor,
    ACTIONS(7364), 1,
      anon_sym_bitand,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7527), 1,
      anon_sym_QMARK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7344), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7348), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7350), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6725), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72378] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6719), 1,
      anon_sym_EQ,
    ACTIONS(7338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_GT_EQ,
    ACTIONS(7356), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7358), 1,
      anon_sym_or,
    ACTIONS(7360), 1,
      anon_sym_and,
    ACTIONS(7362), 1,
      anon_sym_bitor,
    ACTIONS(7364), 1,
      anon_sym_bitand,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7344), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7348), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7350), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6721), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6061), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6063), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6168), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6170), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72606] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7411), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7415), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7431), 1,
      anon_sym_or,
    ACTIONS(7433), 1,
      anon_sym_and,
    ACTIONS(7435), 1,
      anon_sym_bitor,
    ACTIONS(7437), 1,
      anon_sym_bitand,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(7531), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7533), 1,
      anon_sym_QMARK,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(6453), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7417), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7421), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7423), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6455), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [72714] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6182), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6184), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [72788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    ACTIONS(4912), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4919), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [72854] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7008), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7447), 1,
      anon_sym_COMMA,
    ACTIONS(7451), 1,
      anon_sym_DASH,
    ACTIONS(7453), 1,
      anon_sym_PLUS,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_SLASH,
    ACTIONS(7459), 1,
      anon_sym_PERCENT,
    ACTIONS(7461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE,
    ACTIONS(7467), 1,
      anon_sym_CARET,
    ACTIONS(7469), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7473), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7475), 1,
      anon_sym_GT,
    ACTIONS(7477), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ,
    ACTIONS(7481), 1,
      anon_sym_LT,
    ACTIONS(7483), 1,
      anon_sym_LT_LT,
    ACTIONS(7485), 1,
      anon_sym_GT_GT,
    ACTIONS(7487), 1,
      anon_sym_EQ,
    ACTIONS(7489), 1,
      anon_sym_QMARK,
    ACTIONS(7491), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7493), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7495), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7497), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7499), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7501), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7503), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7505), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7507), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7509), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_bitor,
    ACTIONS(7519), 1,
      anon_sym_xor,
    ACTIONS(7521), 1,
      anon_sym_bitand,
    ACTIONS(7523), 1,
      anon_sym_not_eq,
    ACTIONS(7535), 1,
      anon_sym_RPAREN,
    STATE(1256), 1,
      sym__binary_fold_operator,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    STATE(7659), 1,
      sym__fold_operator,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [73010] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7354), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [73090] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7378), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7537), 1,
      anon_sym_STAR,
    ACTIONS(7539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7541), 1,
      anon_sym_AMP,
    ACTIONS(7543), 1,
      anon_sym___asm,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5711), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7380), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7382), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3993), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [73188] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [73266] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7356), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7354), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [73348] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7411), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7415), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7431), 1,
      anon_sym_or,
    ACTIONS(7433), 1,
      anon_sym_and,
    ACTIONS(7435), 1,
      anon_sym_bitor,
    ACTIONS(7437), 1,
      anon_sym_bitand,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(6727), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7417), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7421), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7423), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6729), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [73452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5337), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5339), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 1,
      sym_literal_suffix,
    ACTIONS(4132), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4124), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73576] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_EQ,
    ACTIONS(4955), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5728), 1,
      anon_sym_LPAREN2,
    ACTIONS(5731), 1,
      anon_sym_LBRACK,
    ACTIONS(4160), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4132), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4124), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73646] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7008), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7447), 1,
      anon_sym_COMMA,
    ACTIONS(7451), 1,
      anon_sym_DASH,
    ACTIONS(7453), 1,
      anon_sym_PLUS,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_SLASH,
    ACTIONS(7459), 1,
      anon_sym_PERCENT,
    ACTIONS(7461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE,
    ACTIONS(7467), 1,
      anon_sym_CARET,
    ACTIONS(7469), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7473), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7475), 1,
      anon_sym_GT,
    ACTIONS(7477), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ,
    ACTIONS(7481), 1,
      anon_sym_LT,
    ACTIONS(7483), 1,
      anon_sym_LT_LT,
    ACTIONS(7485), 1,
      anon_sym_GT_GT,
    ACTIONS(7487), 1,
      anon_sym_EQ,
    ACTIONS(7489), 1,
      anon_sym_QMARK,
    ACTIONS(7491), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7493), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7495), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7497), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7499), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7501), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7503), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7505), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7507), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7509), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_bitor,
    ACTIONS(7519), 1,
      anon_sym_xor,
    ACTIONS(7521), 1,
      anon_sym_bitand,
    ACTIONS(7523), 1,
      anon_sym_not_eq,
    ACTIONS(7545), 1,
      anon_sym_RPAREN,
    STATE(1256), 1,
      sym__binary_fold_operator,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    STATE(7659), 1,
      sym__fold_operator,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [73802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4914), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73862] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7256), 1,
      sym_identifier,
    ACTIONS(7258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7260), 1,
      anon_sym_enum,
    ACTIONS(7262), 1,
      anon_sym_class,
    ACTIONS(7264), 1,
      anon_sym_struct,
    ACTIONS(7266), 1,
      anon_sym_union,
    ACTIONS(7268), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2376), 1,
      sym_decltype_auto,
    STATE(2581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(2902), 1,
      sym_primitive_type,
    STATE(3981), 1,
      sym_type_specifier,
    STATE(6220), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3810), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2381), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [73968] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(3557), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7547), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5804), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4914), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74096] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7352), 1,
      anon_sym_GT_EQ,
    ACTIONS(7356), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7354), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7350), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [74182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4914), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74242] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7352), 1,
      anon_sym_GT_EQ,
    ACTIONS(7356), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7354), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7348), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7350), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [74330] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7415), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7433), 1,
      anon_sym_and,
    ACTIONS(7435), 1,
      anon_sym_bitor,
    ACTIONS(7437), 1,
      anon_sym_bitand,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7417), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6193), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7421), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7423), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [74430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5529), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74490] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_GT_EQ,
    ACTIONS(7356), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7364), 1,
      anon_sym_bitand,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7354), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7348), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7350), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [74582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6818), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74642] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_GT_EQ,
    ACTIONS(7356), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7364), 1,
      anon_sym_bitand,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7344), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7348), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7350), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6195), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [74736] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7008), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7447), 1,
      anon_sym_COMMA,
    ACTIONS(7451), 1,
      anon_sym_DASH,
    ACTIONS(7453), 1,
      anon_sym_PLUS,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_SLASH,
    ACTIONS(7459), 1,
      anon_sym_PERCENT,
    ACTIONS(7461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE,
    ACTIONS(7467), 1,
      anon_sym_CARET,
    ACTIONS(7469), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7473), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7475), 1,
      anon_sym_GT,
    ACTIONS(7477), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ,
    ACTIONS(7481), 1,
      anon_sym_LT,
    ACTIONS(7483), 1,
      anon_sym_LT_LT,
    ACTIONS(7485), 1,
      anon_sym_GT_GT,
    ACTIONS(7487), 1,
      anon_sym_EQ,
    ACTIONS(7489), 1,
      anon_sym_QMARK,
    ACTIONS(7491), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7493), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7495), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7497), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7499), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7501), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7503), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7505), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7507), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7509), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_bitor,
    ACTIONS(7519), 1,
      anon_sym_xor,
    ACTIONS(7521), 1,
      anon_sym_bitand,
    ACTIONS(7523), 1,
      anon_sym_not_eq,
    ACTIONS(7549), 1,
      anon_sym_RPAREN,
    STATE(1256), 1,
      sym__binary_fold_operator,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    STATE(7659), 1,
      sym__fold_operator,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [74892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4914), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74952] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7378), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7386), 1,
      anon_sym___asm,
    ACTIONS(7537), 1,
      anon_sym_STAR,
    ACTIONS(7539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7541), 1,
      anon_sym_AMP,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5703), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7380), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7382), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3212), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3995), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5687), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [75050] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7008), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7447), 1,
      anon_sym_COMMA,
    ACTIONS(7451), 1,
      anon_sym_DASH,
    ACTIONS(7453), 1,
      anon_sym_PLUS,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_SLASH,
    ACTIONS(7459), 1,
      anon_sym_PERCENT,
    ACTIONS(7461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE,
    ACTIONS(7467), 1,
      anon_sym_CARET,
    ACTIONS(7469), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7473), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7475), 1,
      anon_sym_GT,
    ACTIONS(7477), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ,
    ACTIONS(7481), 1,
      anon_sym_LT,
    ACTIONS(7483), 1,
      anon_sym_LT_LT,
    ACTIONS(7485), 1,
      anon_sym_GT_GT,
    ACTIONS(7487), 1,
      anon_sym_EQ,
    ACTIONS(7489), 1,
      anon_sym_QMARK,
    ACTIONS(7491), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7493), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7495), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7497), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7499), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7501), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7503), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7505), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7507), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7509), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_bitor,
    ACTIONS(7519), 1,
      anon_sym_xor,
    ACTIONS(7521), 1,
      anon_sym_bitand,
    ACTIONS(7523), 1,
      anon_sym_not_eq,
    ACTIONS(7551), 1,
      anon_sym_RPAREN,
    STATE(1256), 1,
      sym__binary_fold_operator,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    STATE(7659), 1,
      sym__fold_operator,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [75206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5351), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75266] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7553), 1,
      anon_sym_LT,
    STATE(3490), 1,
      sym_template_argument_list,
    ACTIONS(6117), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6119), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75332] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_GT_EQ,
    ACTIONS(7356), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7362), 1,
      anon_sym_bitor,
    ACTIONS(7364), 1,
      anon_sym_bitand,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7344), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6193), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7348), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7350), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [75430] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_GT_EQ,
    ACTIONS(7356), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7360), 1,
      anon_sym_and,
    ACTIONS(7362), 1,
      anon_sym_bitor,
    ACTIONS(7364), 1,
      anon_sym_bitand,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6193), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7344), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7348), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7350), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [75532] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6182), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6184), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [75606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6818), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75666] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(7529), 1,
      anon_sym_COLON,
    STATE(2319), 1,
      sym_attribute_specifier,
    STATE(2701), 1,
      sym__enum_base_clause,
    STATE(2857), 1,
      sym_enumerator_list,
    ACTIONS(6083), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6081), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [75738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4914), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4914), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75858] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_enum,
    ACTIONS(2590), 1,
      anon_sym_class,
    ACTIONS(2592), 1,
      anon_sym_struct,
    ACTIONS(2594), 1,
      anon_sym_union,
    ACTIONS(2620), 1,
      sym_auto,
    ACTIONS(2622), 1,
      anon_sym_decltype,
    ACTIONS(2624), 1,
      anon_sym_typename,
    ACTIONS(7288), 1,
      sym_identifier,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2282), 1,
      sym_primitive_type,
    STATE(2616), 1,
      sym_qualified_type_identifier,
    STATE(2646), 1,
      sym_decltype_auto,
    STATE(4096), 1,
      sym_type_specifier,
    STATE(6210), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2565), 2,
      sym_decltype,
      sym_template_type,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2586), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2584), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2644), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [75964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5406), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6480), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76084] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4291), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [76190] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7556), 1,
      sym_identifier,
    STATE(3178), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5749), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5751), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5196), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5194), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3926), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76318] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_virtual,
    ACTIONS(7571), 1,
      anon_sym___attribute__,
    ACTIONS(7574), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7577), 1,
      anon_sym___declspec,
    ACTIONS(7583), 1,
      anon_sym_explicit,
    STATE(2951), 1,
      sym_alignas_qualifier,
    ACTIONS(7580), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7560), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(7558), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7568), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3251), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_explicit_function_specifier,
      sym__constructor_specifiers,
      aux_sym_operator_cast_definition_repeat1,
    ACTIONS(7562), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [76398] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6697), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6880), 1,
      anon_sym_GT_EQ,
    ACTIONS(6884), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6886), 1,
      anon_sym_bitand,
    ACTIONS(6898), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6900), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6902), 1,
      anon_sym_PIPE,
    ACTIONS(6904), 1,
      anon_sym_QMARK,
    ACTIONS(6906), 1,
      anon_sym_or,
    ACTIONS(6908), 1,
      anon_sym_and,
    ACTIONS(6910), 1,
      anon_sym_bitor,
    ACTIONS(7012), 1,
      anon_sym_RPAREN,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7588), 1,
      anon_sym_EQ,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6872), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6882), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6870), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6876), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6878), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6988), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [76512] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6916), 1,
      sym_auto,
    ACTIONS(6918), 1,
      anon_sym_decltype,
    STATE(3401), 1,
      sym_decltype_auto,
    ACTIONS(5357), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5359), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6172), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6174), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76638] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7070), 1,
      anon_sym_LT,
    ACTIONS(7272), 1,
      anon_sym_EQ,
    STATE(2663), 1,
      sym_template_argument_list,
    ACTIONS(7270), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4148), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5601), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [76708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5384), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5386), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76768] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7008), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7447), 1,
      anon_sym_COMMA,
    ACTIONS(7451), 1,
      anon_sym_DASH,
    ACTIONS(7453), 1,
      anon_sym_PLUS,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_SLASH,
    ACTIONS(7459), 1,
      anon_sym_PERCENT,
    ACTIONS(7461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE,
    ACTIONS(7467), 1,
      anon_sym_CARET,
    ACTIONS(7469), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7473), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7475), 1,
      anon_sym_GT,
    ACTIONS(7477), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ,
    ACTIONS(7481), 1,
      anon_sym_LT,
    ACTIONS(7483), 1,
      anon_sym_LT_LT,
    ACTIONS(7485), 1,
      anon_sym_GT_GT,
    ACTIONS(7487), 1,
      anon_sym_EQ,
    ACTIONS(7489), 1,
      anon_sym_QMARK,
    ACTIONS(7491), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7493), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7495), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7497), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7499), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7501), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7503), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7505), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7507), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7509), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_bitor,
    ACTIONS(7519), 1,
      anon_sym_xor,
    ACTIONS(7521), 1,
      anon_sym_bitand,
    ACTIONS(7523), 1,
      anon_sym_not_eq,
    ACTIONS(7590), 1,
      anon_sym_RPAREN,
    STATE(1256), 1,
      sym__binary_fold_operator,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    STATE(7659), 1,
      sym__fold_operator,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [76924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5955), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5957), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76984] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [77064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5426), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5972), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5974), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77184] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7247), 1,
      sym_auto,
    ACTIONS(7249), 1,
      anon_sym_decltype,
    ACTIONS(7274), 1,
      sym_identifier,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7278), 1,
      anon_sym_enum,
    ACTIONS(7280), 1,
      anon_sym_class,
    ACTIONS(7282), 1,
      anon_sym_struct,
    ACTIONS(7284), 1,
      anon_sym_union,
    ACTIONS(7286), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3940), 1,
      sym_type_specifier,
    STATE(4048), 1,
      sym_primitive_type,
    STATE(4561), 1,
      sym_decltype_auto,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7235), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4560), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [77290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6213), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6215), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77350] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7411), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7415), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7431), 1,
      anon_sym_or,
    ACTIONS(7433), 1,
      anon_sym_and,
    ACTIONS(7435), 1,
      anon_sym_bitor,
    ACTIONS(7437), 1,
      anon_sym_bitand,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(6663), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7417), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7421), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7423), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6665), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [77454] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7372), 1,
      anon_sym_STAR,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7376), 1,
      anon_sym_AMP,
    ACTIONS(7378), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7543), 1,
      anon_sym___asm,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5705), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7380), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7382), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3991), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [77552] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7008), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7447), 1,
      anon_sym_COMMA,
    ACTIONS(7451), 1,
      anon_sym_DASH,
    ACTIONS(7453), 1,
      anon_sym_PLUS,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_SLASH,
    ACTIONS(7459), 1,
      anon_sym_PERCENT,
    ACTIONS(7461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE,
    ACTIONS(7467), 1,
      anon_sym_CARET,
    ACTIONS(7469), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7473), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7475), 1,
      anon_sym_GT,
    ACTIONS(7477), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ,
    ACTIONS(7481), 1,
      anon_sym_LT,
    ACTIONS(7483), 1,
      anon_sym_LT_LT,
    ACTIONS(7485), 1,
      anon_sym_GT_GT,
    ACTIONS(7487), 1,
      anon_sym_EQ,
    ACTIONS(7489), 1,
      anon_sym_QMARK,
    ACTIONS(7491), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7493), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7495), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7497), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7499), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7501), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7503), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7505), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7507), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7509), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_bitor,
    ACTIONS(7519), 1,
      anon_sym_xor,
    ACTIONS(7521), 1,
      anon_sym_bitand,
    ACTIONS(7523), 1,
      anon_sym_not_eq,
    ACTIONS(7592), 1,
      anon_sym_RPAREN,
    STATE(1256), 1,
      sym__binary_fold_operator,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    STATE(7659), 1,
      sym__fold_operator,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [77708] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6193), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [77782] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6132), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [77856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6791), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6793), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5704), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5702), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77976] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6130), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6132), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [78050] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [78126] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7256), 1,
      sym_identifier,
    ACTIONS(7258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7260), 1,
      anon_sym_enum,
    ACTIONS(7262), 1,
      anon_sym_class,
    ACTIONS(7264), 1,
      anon_sym_struct,
    ACTIONS(7266), 1,
      anon_sym_union,
    ACTIONS(7268), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2376), 1,
      sym_decltype_auto,
    STATE(2581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(2902), 1,
      sym_primitive_type,
    STATE(3868), 1,
      sym_type_specifier,
    STATE(6220), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3810), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2381), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [78232] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4676), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [78338] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    ACTIONS(5601), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4148), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [78404] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_EQ,
    ACTIONS(6697), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_GT_EQ,
    ACTIONS(7356), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7358), 1,
      anon_sym_or,
    ACTIONS(7360), 1,
      anon_sym_and,
    ACTIONS(7362), 1,
      anon_sym_bitor,
    ACTIONS(7364), 1,
      anon_sym_bitand,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7527), 1,
      anon_sym_QMARK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7344), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7348), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7350), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6455), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [78514] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6150), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [78586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7594), 1,
      anon_sym_LT,
    STATE(1831), 1,
      sym_template_argument_list,
    ACTIONS(6186), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6188), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78650] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6225), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6227), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [78722] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6711), 1,
      anon_sym_EQ,
    ACTIONS(7338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_GT_EQ,
    ACTIONS(7356), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7358), 1,
      anon_sym_or,
    ACTIONS(7360), 1,
      anon_sym_and,
    ACTIONS(7362), 1,
      anon_sym_bitor,
    ACTIONS(7364), 1,
      anon_sym_bitand,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7344), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7348), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7350), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6713), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [78828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3944), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7594), 1,
      anon_sym_LT,
    STATE(3166), 1,
      sym_template_argument_list,
    ACTIONS(6186), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6188), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78952] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7411), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7415), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7431), 1,
      anon_sym_or,
    ACTIONS(7433), 1,
      anon_sym_and,
    ACTIONS(7435), 1,
      anon_sym_bitor,
    ACTIONS(7437), 1,
      anon_sym_bitand,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(6715), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7417), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7421), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7423), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6717), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [79056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym_LBRACK,
    STATE(3373), 1,
      sym_new_declarator,
    ACTIONS(6075), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6077), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79120] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4709), 1,
      sym_type_specifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [79226] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7008), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7447), 1,
      anon_sym_COMMA,
    ACTIONS(7451), 1,
      anon_sym_DASH,
    ACTIONS(7453), 1,
      anon_sym_PLUS,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_SLASH,
    ACTIONS(7459), 1,
      anon_sym_PERCENT,
    ACTIONS(7461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE,
    ACTIONS(7467), 1,
      anon_sym_CARET,
    ACTIONS(7469), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7473), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7475), 1,
      anon_sym_GT,
    ACTIONS(7477), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ,
    ACTIONS(7481), 1,
      anon_sym_LT,
    ACTIONS(7483), 1,
      anon_sym_LT_LT,
    ACTIONS(7485), 1,
      anon_sym_GT_GT,
    ACTIONS(7487), 1,
      anon_sym_EQ,
    ACTIONS(7489), 1,
      anon_sym_QMARK,
    ACTIONS(7491), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7493), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7495), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7497), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7499), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7501), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7503), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7505), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7507), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7509), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_bitor,
    ACTIONS(7519), 1,
      anon_sym_xor,
    ACTIONS(7521), 1,
      anon_sym_bitand,
    ACTIONS(7523), 1,
      anon_sym_not_eq,
    ACTIONS(7597), 1,
      anon_sym_RPAREN,
    STATE(1256), 1,
      sym__binary_fold_operator,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    STATE(7659), 1,
      sym__fold_operator,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [79382] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6209), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6211), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [79456] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7411), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7415), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7431), 1,
      anon_sym_or,
    ACTIONS(7433), 1,
      anon_sym_and,
    ACTIONS(7435), 1,
      anon_sym_bitor,
    ACTIONS(7437), 1,
      anon_sym_bitand,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(7531), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7533), 1,
      anon_sym_QMARK,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(6723), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7417), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7421), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7423), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6725), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [79564] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7292), 1,
      sym_identifier,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7300), 1,
      anon_sym_enum,
    ACTIONS(7302), 1,
      anon_sym_class,
    ACTIONS(7304), 1,
      anon_sym_struct,
    ACTIONS(7306), 1,
      anon_sym_union,
    ACTIONS(7308), 1,
      sym_auto,
    ACTIONS(7310), 1,
      anon_sym_decltype,
    ACTIONS(7312), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(3919), 1,
      sym_type_specifier,
    STATE(3944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4421), 1,
      sym_primitive_type,
    STATE(4821), 1,
      sym_qualified_type_identifier,
    STATE(4858), 1,
      sym_decltype_auto,
    STATE(6223), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7298), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7296), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4856), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [79670] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6663), 1,
      anon_sym_EQ,
    ACTIONS(7338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_GT_EQ,
    ACTIONS(7356), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7358), 1,
      anon_sym_or,
    ACTIONS(7360), 1,
      anon_sym_and,
    ACTIONS(7362), 1,
      anon_sym_bitor,
    ACTIONS(7364), 1,
      anon_sym_bitand,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7344), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7354), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7336), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7348), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7350), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6665), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [79776] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7411), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7415), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7431), 1,
      anon_sym_or,
    ACTIONS(7433), 1,
      anon_sym_and,
    ACTIONS(7435), 1,
      anon_sym_bitor,
    ACTIONS(7437), 1,
      anon_sym_bitand,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(7531), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7533), 1,
      anon_sym_QMARK,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7417), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7421), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7423), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6739), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [79884] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(4206), 1,
      sym_type_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [79990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6126), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6128), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6164), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6166), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80110] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [80188] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_enum,
    ACTIONS(2590), 1,
      anon_sym_class,
    ACTIONS(2592), 1,
      anon_sym_struct,
    ACTIONS(2594), 1,
      anon_sym_union,
    ACTIONS(2620), 1,
      sym_auto,
    ACTIONS(2622), 1,
      anon_sym_decltype,
    ACTIONS(2624), 1,
      anon_sym_typename,
    ACTIONS(7288), 1,
      sym_identifier,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2282), 1,
      sym_primitive_type,
    STATE(2616), 1,
      sym_qualified_type_identifier,
    STATE(2646), 1,
      sym_decltype_auto,
    STATE(4363), 1,
      sym_type_specifier,
    STATE(6210), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2565), 2,
      sym_decltype,
      sym_template_type,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2586), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2584), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2644), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [80294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4938), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4931), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5704), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5702), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80416] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [80498] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6136), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6205), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6207), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [80572] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7423), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [80656] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6205), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6207), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [80730] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7421), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7423), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [80816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6015), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5452), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6007), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5980), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5982), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5477), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5479), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5984), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5986), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7316), 1,
      anon_sym_LT,
    STATE(1543), 1,
      sym_template_argument_list,
    ACTIONS(6186), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6188), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81240] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6193), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [81314] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7599), 1,
      anon_sym_LT,
    STATE(3490), 1,
      sym_template_argument_list,
    ACTIONS(6110), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6112), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6042), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6044), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81440] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7247), 1,
      sym_auto,
    ACTIONS(7249), 1,
      anon_sym_decltype,
    ACTIONS(7274), 1,
      sym_identifier,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7278), 1,
      anon_sym_enum,
    ACTIONS(7280), 1,
      anon_sym_class,
    ACTIONS(7282), 1,
      anon_sym_struct,
    ACTIONS(7284), 1,
      anon_sym_union,
    ACTIONS(7286), 1,
      anon_sym_typename,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(3824), 1,
      sym_type_specifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4048), 1,
      sym_primitive_type,
    STATE(4561), 1,
      sym_decltype_auto,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7235), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4560), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [81546] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6225), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6227), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [81618] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7411), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7415), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7431), 1,
      anon_sym_or,
    ACTIONS(7433), 1,
      anon_sym_and,
    ACTIONS(7435), 1,
      anon_sym_bitor,
    ACTIONS(7437), 1,
      anon_sym_bitand,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(6711), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7417), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7421), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7423), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6713), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [81722] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [81798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6172), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6174), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81858] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      anon_sym_PIPE,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7435), 1,
      anon_sym_bitor,
    ACTIONS(7437), 1,
      anon_sym_bitand,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7417), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7421), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6193), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7423), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [81954] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7008), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7010), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7447), 1,
      anon_sym_COMMA,
    ACTIONS(7451), 1,
      anon_sym_DASH,
    ACTIONS(7453), 1,
      anon_sym_PLUS,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_SLASH,
    ACTIONS(7459), 1,
      anon_sym_PERCENT,
    ACTIONS(7461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE,
    ACTIONS(7467), 1,
      anon_sym_CARET,
    ACTIONS(7469), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7473), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7475), 1,
      anon_sym_GT,
    ACTIONS(7477), 1,
      anon_sym_GT_EQ,
    ACTIONS(7479), 1,
      anon_sym_LT_EQ,
    ACTIONS(7481), 1,
      anon_sym_LT,
    ACTIONS(7483), 1,
      anon_sym_LT_LT,
    ACTIONS(7485), 1,
      anon_sym_GT_GT,
    ACTIONS(7487), 1,
      anon_sym_EQ,
    ACTIONS(7489), 1,
      anon_sym_QMARK,
    ACTIONS(7491), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7493), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7495), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7497), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7499), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7501), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7503), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7505), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7507), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7509), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_bitor,
    ACTIONS(7519), 1,
      anon_sym_xor,
    ACTIONS(7521), 1,
      anon_sym_bitand,
    ACTIONS(7523), 1,
      anon_sym_not_eq,
    ACTIONS(7602), 1,
      anon_sym_RPAREN,
    STATE(1256), 1,
      sym__binary_fold_operator,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    STATE(7659), 1,
      sym__fold_operator,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [82110] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7437), 1,
      anon_sym_bitand,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7417), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7421), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7423), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6195), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [82202] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6209), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6211), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [82276] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6150), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [82348] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7437), 1,
      anon_sym_bitand,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7407), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7439), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7409), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7421), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7423), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6195), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [82438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6376), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5988), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5990), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82556] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    STATE(2348), 1,
      sym_attribute_specifier,
    STATE(3595), 1,
      sym_enumerator_list,
    ACTIONS(5753), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5755), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [82623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6423), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6425), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6484), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82741] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7378), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7604), 1,
      anon_sym_STAR,
    ACTIONS(7606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7608), 1,
      anon_sym_AMP,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5747), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7380), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7382), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4002), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [82836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7610), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [82895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5468), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6346), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6348), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83013] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4893), 1,
      sym__function_attributes_start,
    STATE(5080), 1,
      sym_ref_qualifier,
    STATE(5922), 1,
      sym_trailing_return_type,
    STATE(6030), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6617), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3934), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4149), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5924), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5164), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [83124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5082), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5378), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1971), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6314), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6350), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6352), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83419] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      sym_identifier,
    STATE(3438), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4975), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4977), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5196), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5194), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6354), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6356), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6304), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5495), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1971), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5483), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5491), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6168), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6170), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5704), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5702), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6201), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6203), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6360), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84076] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACE,
    ACTIONS(6912), 1,
      anon_sym_LPAREN2,
    STATE(3809), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6009), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6011), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5456), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5110), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5098), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5102), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 1,
      anon_sym_EQ,
    ACTIONS(5747), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4132), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4124), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6476), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6466), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6468), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5124), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5126), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5483), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3944), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5483), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6276), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84853] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(2966), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4122), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6655), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4130), 39,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [84922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6300), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5094), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5102), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5110), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1969), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1967), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6280), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6282), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5537), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [85335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6818), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6816), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [85394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6164), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6166), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85453] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    STATE(2356), 1,
      sym_attribute_specifier,
    STATE(3604), 1,
      sym_enumerator_list,
    ACTIONS(5818), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5820), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [85520] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4923), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(3677), 1,
      sym_template_argument_list,
    ACTIONS(4916), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4919), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4912), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [85589] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7620), 1,
      anon_sym_LT,
    STATE(1846), 1,
      sym_template_argument_list,
    STATE(2066), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4957), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4122), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4130), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [85658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5128), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5130), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6268), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6270), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5098), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5110), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6221), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6223), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4914), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4914), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6480), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5110), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5090), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6015), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4914), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4914), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4914), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5566), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [86543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4914), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5984), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5986), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4124), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7622), 1,
      sym_literal_suffix,
    ACTIONS(4124), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4132), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [86781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6322), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6034), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6036), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86899] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6827), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(7626), 1,
      anon_sym_requires,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4890), 1,
      sym__function_attributes_start,
    STATE(5079), 1,
      sym_ref_qualifier,
    STATE(5979), 1,
      sym__function_attributes_end,
    STATE(6073), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6617), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3934), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4149), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5578), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5167), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [87010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5110), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87069] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACE,
    ACTIONS(6912), 1,
      anon_sym_LPAREN2,
    STATE(3808), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6046), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6048), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5510), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7628), 1,
      anon_sym_LT,
    STATE(3297), 1,
      sym_template_argument_list,
    ACTIONS(6186), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6188), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6453), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6455), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6378), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6380), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87374] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7631), 1,
      anon_sym_LT,
    STATE(1846), 1,
      sym_template_argument_list,
    STATE(3557), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7547), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4122), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4130), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5110), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6388), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5422), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5398), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6229), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6231), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7628), 1,
      anon_sym_LT,
    STATE(1859), 1,
      sym_template_argument_list,
    ACTIONS(6186), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6188), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87801] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(2066), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4957), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5804), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [87868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6233), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6235), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5949), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5473), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5475), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [88045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5418), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [88104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6384), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6247), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88222] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7633), 1,
      sym_identifier,
    STATE(3340), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4975), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4977), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5202), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5200), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88289] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6827), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(7635), 1,
      anon_sym_requires,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4897), 1,
      sym__function_attributes_start,
    STATE(5070), 1,
      sym_ref_qualifier,
    STATE(5980), 1,
      sym__function_attributes_end,
    STATE(6109), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6617), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6838), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3934), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4149), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5578), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5169), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [88400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5464), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [88459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5514), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [88518] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7638), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7640), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7642), 1,
      anon_sym_or,
    ACTIONS(7644), 1,
      anon_sym_and,
    ACTIONS(5712), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5714), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5402), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [88644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5082), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5464), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [88762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3774), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6392), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5414), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [88939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5410), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [88998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5529), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7648), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7646), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [89116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5394), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [89175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5382), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [89234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6180), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7253), 1,
      anon_sym_LT,
    STATE(1557), 1,
      sym_template_argument_list,
    ACTIONS(6186), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6188), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6342), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6344), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89415] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7650), 1,
      sym_identifier,
    STATE(3438), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7653), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7656), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5209), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5207), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5485), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5487), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [89541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5390), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [89600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5570), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [89659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6488), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6490), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5518), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [89777] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6627), 1,
      anon_sym_LBRACK,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7134), 1,
      anon_sym_requires,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4899), 1,
      sym__function_attributes_start,
    STATE(5069), 1,
      sym_ref_qualifier,
    STATE(5902), 1,
      sym_trailing_return_type,
    STATE(6010), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6617), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6637), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3934), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4149), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5924), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5150), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [89888] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7378), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7604), 1,
      anon_sym_STAR,
    ACTIONS(7606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7608), 1,
      anon_sym_AMP,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5735), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7380), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7382), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3330), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4024), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5687), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [89983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5124), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5126), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90042] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACE,
    ACTIONS(6912), 1,
      anon_sym_LPAREN2,
    STATE(3725), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6028), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6030), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1969), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1967), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5086), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5339), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [90284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5122), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5221), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2860), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6146), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6148), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7659), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [90520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6372), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6362), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6364), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6429), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4132), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4124), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5116), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5118), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6144), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6144), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6172), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6174), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5112), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5114), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6144), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5116), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5118), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5339), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [91232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5106), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5106), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5533), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [91409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6042), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6044), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5128), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5130), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6330), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6260), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6262), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6324), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6326), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6249), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6251), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6431), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6433), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3926), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6457), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6459), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6449), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6793), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6791), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [92058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACE,
    ACTIONS(6912), 1,
      anon_sym_LPAREN2,
    STATE(3751), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5966), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5968), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6172), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6174), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5090), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6243), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5503), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [92359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5499), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [92418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6441), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7640), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7644), 1,
      anon_sym_and,
    ACTIONS(5724), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5726), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6061), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6063), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5460), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [92719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5122), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5444), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5446), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [92837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5442), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [92896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6308), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6237), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6239), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6126), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6128), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5955), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5957), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6213), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6215), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6423), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6425), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6022), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6024), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6288), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6290), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5430), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [93427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5094), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5559), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [93545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6255), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5112), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5114), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5980), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5982), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4124), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5972), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5974), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6007), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93899] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7665), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7669), 1,
      anon_sym_or,
    ACTIONS(7671), 1,
      anon_sym_and,
    ACTIONS(5712), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5714), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6441), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94023] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6723), 1,
      anon_sym_EQ,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7489), 1,
      anon_sym_QMARK,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    ACTIONS(7683), 1,
      anon_sym_CARET,
    ACTIONS(7685), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_GT_EQ,
    ACTIONS(7695), 1,
      anon_sym_bitor,
    ACTIONS(7697), 1,
      anon_sym_xor,
    ACTIONS(7699), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7677), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7679), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6725), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [94129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6423), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6425), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6449), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6457), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6459), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6201), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6203), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6423), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6425), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94419] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6727), 1,
      anon_sym_EQ,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    ACTIONS(7683), 1,
      anon_sym_CARET,
    ACTIONS(7685), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_GT_EQ,
    ACTIONS(7695), 1,
      anon_sym_bitor,
    ACTIONS(7697), 1,
      anon_sym_xor,
    ACTIONS(7699), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7677), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7679), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6729), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [94521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6221), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6223), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94579] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_STAR,
    ACTIONS(7703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7705), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(5911), 1,
      sym__abstract_declarator,
    ACTIONS(7709), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7711), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3643), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4066), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5687), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [94673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7671), 1,
      anon_sym_and,
    ACTIONS(5724), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5726), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6308), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4938), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4931), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6144), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6144), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6304), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6342), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6344), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6914), 1,
      anon_sym_LBRACK,
    STATE(3695), 1,
      sym_new_declarator,
    ACTIONS(6075), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6077), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6180), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95205] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6737), 1,
      anon_sym_EQ,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7489), 1,
      anon_sym_QMARK,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    ACTIONS(7683), 1,
      anon_sym_CARET,
    ACTIONS(7685), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_GT_EQ,
    ACTIONS(7695), 1,
      anon_sym_bitor,
    ACTIONS(7697), 1,
      anon_sym_xor,
    ACTIONS(7699), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7677), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7679), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6739), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [95311] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3186), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5749), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5751), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5625), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5627), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6237), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6239), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6431), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6433), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6322), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6392), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 1,
      anon_sym_EQ,
    ACTIONS(5772), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4132), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4124), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95669] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7631), 1,
      anon_sym_LT,
    STATE(1846), 1,
      sym_template_argument_list,
    ACTIONS(5601), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4148), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 1,
      anon_sym_EQ,
    ACTIONS(5856), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4132), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4124), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6243), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3542), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7717), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5163), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5165), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6144), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6350), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6352), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6346), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6348), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6314), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5102), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4971), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(4973), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4124), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4132), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [96267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7720), 1,
      anon_sym_LT,
    STATE(1846), 1,
      sym_template_argument_list,
    ACTIONS(4912), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4919), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6233), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6235), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6172), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6174), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6249), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6251), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6268), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6270), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6260), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6262), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96621] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_EQ,
    ACTIONS(4335), 1,
      anon_sym_SEMI,
    ACTIONS(4955), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5728), 1,
      anon_sym_LPAREN2,
    ACTIONS(5731), 1,
      anon_sym_LBRACK,
    ACTIONS(4160), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4124), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4132), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [96691] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_EQ,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    ACTIONS(7683), 1,
      anon_sym_CARET,
    ACTIONS(7685), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_GT_EQ,
    ACTIONS(7695), 1,
      anon_sym_bitor,
    ACTIONS(7697), 1,
      anon_sym_xor,
    ACTIONS(7699), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7677), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7679), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6721), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [96793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3542), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7723), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5680), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5678), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6276), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6278), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4124), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6280), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6282), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    STATE(2351), 1,
      sym_attribute_specifier,
    ACTIONS(5894), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5896), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [97091] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4955), 1,
      anon_sym_SEMI,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(6803), 1,
      anon_sym_LBRACK,
    STATE(2537), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3843), 1,
      sym_template_argument_list,
    ACTIONS(4145), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4130), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4122), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [97165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5124), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5126), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5098), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6247), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4124), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97397] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3542), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7723), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5694), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5692), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97459] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6182), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6184), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [97531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3574), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7725), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5613), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3577), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7727), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5621), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5619), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4902), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym_LT,
    STATE(2013), 1,
      sym_template_argument_list,
    ACTIONS(6186), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6188), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6288), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6290), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3542), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7723), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5609), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5607), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97895] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6195), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [97973] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6195), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [98049] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3542), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7723), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5700), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5698), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98111] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6195), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [98191] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7691), 1,
      anon_sym_GT_EQ,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6195), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [98275] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7691), 1,
      anon_sym_GT_EQ,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6195), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [98361] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7685), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_GT_EQ,
    ACTIONS(7699), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6193), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [98451] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7683), 1,
      anon_sym_CARET,
    ACTIONS(7685), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_GT_EQ,
    ACTIONS(7697), 1,
      anon_sym_xor,
    ACTIONS(7699), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(6193), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [98545] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6193), 1,
      anon_sym_EQ,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    ACTIONS(7683), 1,
      anon_sym_CARET,
    ACTIONS(7685), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_GT_EQ,
    ACTIONS(7695), 1,
      anon_sym_bitor,
    ACTIONS(7697), 1,
      anon_sym_xor,
    ACTIONS(7699), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [98643] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6193), 1,
      anon_sym_EQ,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    ACTIONS(7683), 1,
      anon_sym_CARET,
    ACTIONS(7685), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_GT_EQ,
    ACTIONS(7695), 1,
      anon_sym_bitor,
    ACTIONS(7697), 1,
      anon_sym_xor,
    ACTIONS(7699), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7679), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [98743] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6193), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6195), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [98815] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6193), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6195), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [98889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5122), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6324), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6326), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6330), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5090), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3567), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7729), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5386), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6372), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    STATE(2333), 1,
      sym_attribute_specifier,
    ACTIONS(5878), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5880), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [99361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    STATE(2382), 1,
      sym_attribute_specifier,
    ACTIONS(5882), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5884), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [99423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6376), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99481] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6453), 1,
      anon_sym_EQ,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7489), 1,
      anon_sym_QMARK,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    ACTIONS(7683), 1,
      anon_sym_CARET,
    ACTIONS(7685), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_GT_EQ,
    ACTIONS(7695), 1,
      anon_sym_bitor,
    ACTIONS(7697), 1,
      anon_sym_xor,
    ACTIONS(7699), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7677), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7679), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6455), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [99587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5082), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4894), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6354), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6356), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    STATE(2386), 1,
      sym_attribute_specifier,
    ACTIONS(5916), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5918), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [99823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    STATE(2368), 1,
      sym_attribute_specifier,
    ACTIONS(5924), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5926), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [99885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4906), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    STATE(2341), 1,
      sym_attribute_specifier,
    ACTIONS(5898), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5900), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [100005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6300), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6488), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6490), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3774), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5704), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5702), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6255), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100295] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    STATE(2353), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5936), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [100357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6360), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5112), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5114), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4908), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4910), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4914), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100589] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    STATE(2374), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5864), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [100651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4914), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4914), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4914), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100825] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6663), 1,
      anon_sym_EQ,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    ACTIONS(7683), 1,
      anon_sym_CARET,
    ACTIONS(7685), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_GT_EQ,
    ACTIONS(7695), 1,
      anon_sym_bitor,
    ACTIONS(7697), 1,
      anon_sym_xor,
    ACTIONS(7699), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7677), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7679), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6665), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [100927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4914), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    STATE(2373), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5868), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [101047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4914), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4890), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4898), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4886), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6466), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6468), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6476), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6480), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6362), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6364), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5110), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5110), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5110), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101685] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    STATE(2346), 1,
      sym_attribute_specifier,
    ACTIONS(5902), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5904), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [101747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5116), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5118), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5106), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6146), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6148), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1969), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1967), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    STATE(2384), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5930), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [102041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6388), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102099] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6225), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6227), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [102169] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6711), 1,
      anon_sym_EQ,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    ACTIONS(7683), 1,
      anon_sym_CARET,
    ACTIONS(7685), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_GT_EQ,
    ACTIONS(7695), 1,
      anon_sym_bitor,
    ACTIONS(7697), 1,
      anon_sym_xor,
    ACTIONS(7699), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7677), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7679), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6713), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [102271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1971), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102329] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_STAR,
    ACTIONS(7703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7705), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5808), 1,
      sym__abstract_declarator,
    STATE(5892), 1,
      sym__function_declarator_seq,
    ACTIONS(7709), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7711), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4074), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [102423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5128), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5130), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102481] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6209), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6211), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [102553] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6205), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6207), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [102625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5094), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5221), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2860), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6229), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6231), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102799] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6715), 1,
      anon_sym_EQ,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    ACTIONS(7683), 1,
      anon_sym_CARET,
    ACTIONS(7685), 1,
      anon_sym_AMP,
    ACTIONS(7691), 1,
      anon_sym_GT_EQ,
    ACTIONS(7695), 1,
      anon_sym_bitor,
    ACTIONS(7697), 1,
      anon_sym_xor,
    ACTIONS(7699), 1,
      anon_sym_bitand,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7525), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7673), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7677), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7679), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7693), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7675), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7687), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7689), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6717), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [102901] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    ACTIONS(6962), 1,
      anon_sym_LBRACK,
    ACTIONS(7196), 1,
      anon_sym_DOT_STAR,
    STATE(3479), 1,
      sym_subscript_argument_list,
    STATE(3500), 1,
      sym_argument_list,
    ACTIONS(7006), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6150), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6152), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [102971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6429), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6378), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6380), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6484), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6453), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6455), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6384), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    STATE(2322), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5940), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [103323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5529), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103380] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7731), 1,
      sym_identifier,
    ACTIONS(7733), 1,
      anon_sym_LPAREN2,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2817), 1,
      sym__type_declarator,
    STATE(3177), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8006), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4124), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7745), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7743), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3198), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [103473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4906), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103530] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6057), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3700), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4113), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [103623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4894), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      sym_literal_suffix,
    ACTIONS(4132), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4124), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4902), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103796] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7378), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_STAR,
    ACTIONS(7761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7763), 1,
      anon_sym_AMP,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5947), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7380), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7382), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3683), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5687), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [103889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5289), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3567), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7729), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5339), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104007] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7765), 1,
      anon_sym_STAR,
    ACTIONS(7767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2157), 1,
      sym__type_declarator,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7809), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4103), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7771), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [104100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5323), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5325), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104159] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7773), 1,
      sym_identifier,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(7777), 1,
      anon_sym_STAR,
    ACTIONS(7779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2938), 1,
      sym__type_declarator,
    STATE(3397), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8065), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4084), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7785), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3501), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [104252] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_EQ,
    ACTIONS(4335), 1,
      anon_sym_SEMI,
    ACTIONS(4160), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4124), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4132), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [104315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5323), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5325), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104374] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7787), 1,
      sym_identifier,
    ACTIONS(7789), 1,
      anon_sym_LPAREN2,
    ACTIONS(7791), 1,
      anon_sym_STAR,
    ACTIONS(7793), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7795), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5687), 1,
      sym__type_declarator,
    STATE(5818), 1,
      sym_pointer_type_declarator,
    STATE(7631), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3710), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5821), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [104467] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7765), 1,
      anon_sym_STAR,
    ACTIONS(7767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2167), 1,
      sym__type_declarator,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7809), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3718), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4076), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7771), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [104560] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7378), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7799), 1,
      anon_sym_STAR,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5987), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7380), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7382), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4107), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [104653] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7805), 1,
      anon_sym_LBRACK,
    STATE(3805), 1,
      sym_new_declarator,
    ACTIONS(6075), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6077), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4933), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4936), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4929), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [104775] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    ACTIONS(7809), 1,
      anon_sym_COLON,
    STATE(3847), 1,
      sym__enum_base_clause,
    STATE(3907), 1,
      sym_enumerator_list,
    STATE(3933), 1,
      sym_attribute_specifier,
    ACTIONS(6081), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6083), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4908), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4910), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4890), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4898), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105015] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3419), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4975), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4977), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5625), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5627), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105078] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7378), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_STAR,
    ACTIONS(7761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7763), 1,
      anon_sym_AMP,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5992), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7380), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7382), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [105171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4886), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105228] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7731), 1,
      sym_identifier,
    ACTIONS(7733), 1,
      anon_sym_LPAREN2,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2867), 1,
      sym__type_declarator,
    STATE(3177), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8006), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4093), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7745), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7743), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3198), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [105321] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7731), 1,
      sym_identifier,
    ACTIONS(7733), 1,
      anon_sym_LPAREN2,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2867), 1,
      sym__type_declarator,
    STATE(3177), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8006), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3659), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4093), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7745), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7743), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3198), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [105414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4938), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4931), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105473] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7787), 1,
      sym_identifier,
    ACTIONS(7789), 1,
      anon_sym_LPAREN2,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(7813), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7815), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5818), 1,
      sym_pointer_type_declarator,
    STATE(5878), 1,
      sym__type_declarator,
    STATE(7907), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4081), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5821), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [105566] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7787), 1,
      sym_identifier,
    ACTIONS(7789), 1,
      anon_sym_LPAREN2,
    ACTIONS(7791), 1,
      anon_sym_STAR,
    ACTIONS(7793), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7795), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5685), 1,
      sym__type_declarator,
    STATE(5818), 1,
      sym_pointer_type_declarator,
    STATE(7631), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4120), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5821), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [105659] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7378), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7799), 1,
      anon_sym_STAR,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5978), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7380), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7382), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3675), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4105), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5687), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [105752] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7773), 1,
      sym_identifier,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(7777), 1,
      anon_sym_STAR,
    ACTIONS(7779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2922), 1,
      sym__type_declarator,
    STATE(3397), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8065), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3670), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4079), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7785), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3501), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [105845] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7787), 1,
      sym_identifier,
    ACTIONS(7789), 1,
      anon_sym_LPAREN2,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(7813), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7815), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5818), 1,
      sym_pointer_type_declarator,
    STATE(5833), 1,
      sym__type_declarator,
    STATE(7907), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3704), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4114), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5821), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [105938] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7773), 1,
      sym_identifier,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(7777), 1,
      anon_sym_STAR,
    ACTIONS(7779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2922), 1,
      sym__type_declarator,
    STATE(3397), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8065), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4079), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7785), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3501), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [106031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5566), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [106088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6164), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6166), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5559), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [106202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5353), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5355), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106261] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    ACTIONS(7809), 1,
      anon_sym_COLON,
    STATE(3870), 1,
      sym__enum_base_clause,
    STATE(3880), 1,
      sym_enumerator_list,
    STATE(3954), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6089), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106330] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7817), 1,
      anon_sym_STAR,
    ACTIONS(7819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7821), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6312), 1,
      sym__type_declarator,
    STATE(7840), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4125), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7771), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [106423] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6044), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4109), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [106516] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6044), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3716), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4109), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [106609] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7817), 1,
      anon_sym_STAR,
    ACTIONS(7819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7821), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6309), 1,
      sym__type_declarator,
    STATE(7840), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3699), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4117), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7771), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [106702] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7817), 1,
      anon_sym_STAR,
    ACTIONS(7819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7821), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6309), 1,
      sym__type_declarator,
    STATE(7840), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4117), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7771), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [106795] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7787), 1,
      sym_identifier,
    ACTIONS(7789), 1,
      anon_sym_LPAREN2,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(7813), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7815), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5818), 1,
      sym_pointer_type_declarator,
    STATE(5858), 1,
      sym__type_declarator,
    STATE(7907), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4126), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5821), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [106888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6791), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6793), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106945] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7817), 1,
      anon_sym_STAR,
    ACTIONS(7819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7821), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6324), 1,
      sym__type_declarator,
    STATE(7840), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3703), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4090), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7771), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107038] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7787), 1,
      sym_identifier,
    ACTIONS(7789), 1,
      anon_sym_LPAREN2,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(7813), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7815), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5818), 1,
      sym_pointer_type_declarator,
    STATE(5858), 1,
      sym__type_declarator,
    STATE(7907), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3688), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4126), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5821), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107131] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7731), 1,
      sym_identifier,
    ACTIONS(7733), 1,
      anon_sym_LPAREN2,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2895), 1,
      sym__type_declarator,
    STATE(3177), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8006), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3685), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4092), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7745), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7743), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3198), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5570), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [107281] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7787), 1,
      sym_identifier,
    ACTIONS(7789), 1,
      anon_sym_LPAREN2,
    ACTIONS(7791), 1,
      anon_sym_STAR,
    ACTIONS(7793), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7795), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5718), 1,
      sym__type_declarator,
    STATE(5818), 1,
      sym_pointer_type_declarator,
    STATE(7631), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4115), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5821), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5355), 1,
      anon_sym_SEMI,
    ACTIONS(5339), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5337), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [107435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5355), 1,
      anon_sym_SEMI,
    ACTIONS(5339), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5337), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [107494] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7787), 1,
      sym_identifier,
    ACTIONS(7789), 1,
      anon_sym_LPAREN2,
    ACTIONS(7791), 1,
      anon_sym_STAR,
    ACTIONS(7793), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7795), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5718), 1,
      sym__type_declarator,
    STATE(5818), 1,
      sym_pointer_type_declarator,
    STATE(7631), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3689), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4115), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5821), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6818), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5537), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [107701] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6061), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4106), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107794] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7765), 1,
      anon_sym_STAR,
    ACTIONS(7767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2169), 1,
      sym__type_declarator,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7809), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3668), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4127), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7771), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107887] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7765), 1,
      anon_sym_STAR,
    ACTIONS(7767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2169), 1,
      sym__type_declarator,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7809), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4127), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7771), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107980] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7773), 1,
      sym_identifier,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(7777), 1,
      anon_sym_STAR,
    ACTIONS(7779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2984), 1,
      sym__type_declarator,
    STATE(3397), 1,
      sym_pointer_type_declarator,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8065), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7741), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3693), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4087), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7378), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7785), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3501), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108073] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7620), 1,
      anon_sym_LT,
    STATE(1846), 1,
      sym_template_argument_list,
    ACTIONS(5601), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4148), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [108135] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6065), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6243), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6237), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6239), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6260), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6262), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6233), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6235), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5110), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108509] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5736), 1,
      sym__declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108603] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6088), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108697] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7805), 1,
      anon_sym_LBRACK,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    STATE(3897), 1,
      sym_new_declarator,
    STATE(3952), 1,
      sym_decltype_auto,
    STATE(3852), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5629), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5631), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5110), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108825] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7805), 1,
      anon_sym_LBRACK,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    STATE(3900), 1,
      sym_new_declarator,
    STATE(3952), 1,
      sym_decltype_auto,
    STATE(3848), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5651), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5653), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5110), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5102), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5566), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [109065] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    STATE(2537), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4119), 1,
      sym_template_argument_list,
    ACTIONS(4145), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4130), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4122), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [109135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6346), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6348), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6247), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109247] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5752), 1,
      sym__declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109341] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6193), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6195), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [109411] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7805), 1,
      anon_sym_LBRACK,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    STATE(3890), 1,
      sym_new_declarator,
    STATE(3952), 1,
      sym_decltype_auto,
    STATE(3835), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5660), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5662), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109483] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6781), 1,
      anon_sym_STAR,
    ACTIONS(6783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6785), 1,
      anon_sym_AMP,
    ACTIONS(6787), 1,
      anon_sym_COLON_COLON,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5498), 1,
      sym__scope_resolution,
    STATE(6287), 1,
      sym__declarator,
    STATE(7673), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109577] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6225), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6227), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [109645] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7805), 1,
      anon_sym_LBRACK,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    STATE(3878), 1,
      sym_new_declarator,
    STATE(3952), 1,
      sym_decltype_auto,
    STATE(3866), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5641), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5643), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5221), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2860), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109773] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6150), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [109841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6249), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6251), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109897] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6781), 1,
      anon_sym_STAR,
    ACTIONS(6783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6785), 1,
      anon_sym_AMP,
    ACTIONS(6787), 1,
      anon_sym_COLON_COLON,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5498), 1,
      sym__scope_resolution,
    STATE(6288), 1,
      sym__declarator,
    STATE(7673), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7833), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7835), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5712), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5714), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110051] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(3244), 1,
      anon_sym_STAR,
    ACTIONS(3246), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(6088), 1,
      sym__declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6453), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6455), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6314), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110257] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5767), 1,
      sym__declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5112), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5114), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110407] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6781), 1,
      anon_sym_STAR,
    ACTIONS(6783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6785), 1,
      anon_sym_AMP,
    ACTIONS(6787), 1,
      anon_sym_COLON_COLON,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5498), 1,
      sym__scope_resolution,
    STATE(6251), 1,
      sym__declarator,
    STATE(7673), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6255), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3774), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6346), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6348), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6350), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6352), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110725] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7378), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6024), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7380), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7382), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4141), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5537), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [110873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6360), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6484), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5094), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5128), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5130), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5090), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5323), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5325), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7835), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5724), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5726), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5122), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6260), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6262), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6354), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6356), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111435] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4923), 1,
      anon_sym_LBRACK,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(3843), 1,
      sym_template_argument_list,
    ACTIONS(4916), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4919), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4912), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [111501] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6182), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6184), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [111571] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6757), 1,
      anon_sym_STAR,
    ACTIONS(6759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6761), 1,
      anon_sym_AMP,
    ACTIONS(6763), 1,
      anon_sym_COLON_COLON,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5545), 1,
      sym__scope_resolution,
    STATE(5792), 1,
      sym__declarator,
    STATE(7543), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6378), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6380), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6384), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6388), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5106), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5116), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5118), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1971), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112001] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(3244), 1,
      anon_sym_STAR,
    ACTIONS(3246), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(6065), 1,
      sym__declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6300), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6376), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5559), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [112263] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6209), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6211), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [112333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6392), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6476), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6466), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6468), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5570), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [112557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6229), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6231), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5082), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112669] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6769), 1,
      anon_sym_STAR,
    ACTIONS(6771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6773), 1,
      anon_sym_AMP,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(6059), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112763] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6757), 1,
      anon_sym_STAR,
    ACTIONS(6759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6761), 1,
      anon_sym_AMP,
    ACTIONS(6763), 1,
      anon_sym_COLON_COLON,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5545), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__declarator,
    STATE(7543), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112857] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6769), 1,
      anon_sym_STAR,
    ACTIONS(6771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6773), 1,
      anon_sym_AMP,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(6047), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6429), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113007] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6769), 1,
      anon_sym_STAR,
    ACTIONS(6771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6773), 1,
      anon_sym_AMP,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(6049), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6488), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6490), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6372), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6362), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6364), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6376), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6431), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6433), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113381] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      anon_sym_LT,
    STATE(1846), 1,
      sym_template_argument_list,
    ACTIONS(4912), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4919), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [113443] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6099), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6441), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5570), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [113649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6164), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6166), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5221), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2860), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6276), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6280), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6282), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6330), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6324), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6326), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1969), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1967), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114097] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7378), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6015), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7380), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7382), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3759), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4147), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5687), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114189] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(3244), 1,
      anon_sym_STAR,
    ACTIONS(3246), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(6099), 1,
      sym__declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6268), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6270), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4124), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5124), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5126), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5537), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [114507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5098), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5559), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [114619] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6205), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6207), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [114689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5566), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [114745] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6757), 1,
      anon_sym_STAR,
    ACTIONS(6759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6761), 1,
      anon_sym_AMP,
    ACTIONS(6763), 1,
      anon_sym_COLON_COLON,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5545), 1,
      sym__scope_resolution,
    STATE(5790), 1,
      sym__declarator,
    STATE(7543), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114839] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7537), 1,
      anon_sym_STAR,
    ACTIONS(7539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7541), 1,
      anon_sym_AMP,
    ACTIONS(7848), 1,
      anon_sym___asm,
    ACTIONS(7850), 1,
      sym_auto,
    ACTIONS(7852), 1,
      anon_sym_decltype,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4493), 1,
      sym_decltype_auto,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5709), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3994), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7846), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114928] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7854), 1,
      anon_sym_STAR,
    ACTIONS(7856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7858), 1,
      anon_sym_AMP,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6134), 1,
      sym__abstract_declarator,
    ACTIONS(7709), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7711), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4189), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [115019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6330), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4124), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115129] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    ACTIONS(5906), 1,
      anon_sym_LBRACE,
    ACTIONS(7860), 1,
      anon_sym_COLON,
    STATE(1771), 1,
      sym_attribute_specifier,
    STATE(2171), 1,
      sym__enum_base_clause,
    STATE(2206), 1,
      sym_enumerator_list,
    ACTIONS(6087), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6089), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [115196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6233), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6235), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5559), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [115306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5566), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [115361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3774), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6362), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6364), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6280), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6282), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6276), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6278), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6372), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6255), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6300), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115746] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(7862), 1,
      anon_sym_COLON,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(3327), 1,
      sym__enum_base_clause,
    STATE(3610), 1,
      sym_enumerator_list,
    ACTIONS(6087), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6089), 37,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [115813] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7864), 1,
      sym_identifier,
    STATE(3884), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4050), 1,
      sym_primitive_type,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7866), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5343), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5345), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [115878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5570), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [115933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6314), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115988] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4931), 1,
      anon_sym_SEMI,
    ACTIONS(4940), 1,
      anon_sym_LBRACK,
    ACTIONS(4933), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4936), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
    ACTIONS(4929), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [116049] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7537), 1,
      anon_sym_STAR,
    ACTIONS(7539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7541), 1,
      anon_sym_AMP,
    ACTIONS(7850), 1,
      sym_auto,
    ACTIONS(7852), 1,
      anon_sym_decltype,
    ACTIONS(7870), 1,
      anon_sym___asm,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4493), 1,
      sym_decltype_auto,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5656), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3996), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7868), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [116138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6378), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6380), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6384), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116248] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    STATE(3886), 1,
      sym_enumerator_list,
    STATE(3958), 1,
      sym_attribute_specifier,
    ACTIONS(5818), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5820), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6324), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6326), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6237), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6239), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116421] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    STATE(2352), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_field_declaration_list,
    STATE(6616), 1,
      sym_virtual_specifier,
    STATE(7433), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5584), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [116492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6453), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6455), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6466), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6468), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6441), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116657] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7875), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7872), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7095), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7093), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [116720] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(7862), 1,
      anon_sym_COLON,
    STATE(2319), 1,
      sym_attribute_specifier,
    STATE(3374), 1,
      sym__enum_base_clause,
    STATE(3561), 1,
      sym_enumerator_list,
    ACTIONS(6081), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6083), 37,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [116787] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7372), 1,
      anon_sym_STAR,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7376), 1,
      anon_sym_AMP,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7870), 1,
      anon_sym___asm,
    ACTIONS(7878), 1,
      sym_auto,
    ACTIONS(7880), 1,
      anon_sym_decltype,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5720), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3965), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7868), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [116876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6392), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6360), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6476), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6243), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6354), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6356), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117151] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    ACTIONS(5906), 1,
      anon_sym_LBRACE,
    ACTIONS(7860), 1,
      anon_sym_COLON,
    STATE(1766), 1,
      sym_attribute_specifier,
    STATE(2165), 1,
      sym__enum_base_clause,
    STATE(2247), 1,
      sym_enumerator_list,
    ACTIONS(6081), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6083), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [117218] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(2263), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4969), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5804), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [117281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6268), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6270), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6249), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6251), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6484), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117446] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7854), 1,
      anon_sym_STAR,
    ACTIONS(7856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7858), 1,
      anon_sym_AMP,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6137), 1,
      sym__abstract_declarator,
    ACTIONS(7709), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7711), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3825), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4203), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5687), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [117537] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7372), 1,
      anon_sym_STAR,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7376), 1,
      anon_sym_AMP,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7848), 1,
      anon_sym___asm,
    ACTIONS(7878), 1,
      sym_auto,
    ACTIONS(7880), 1,
      anon_sym_decltype,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5712), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7846), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [117626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6431), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6433), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117681] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    STATE(3906), 1,
      sym_enumerator_list,
    STATE(3973), 1,
      sym_attribute_specifier,
    ACTIONS(5753), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5755), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6229), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6231), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6429), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6350), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6352), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5537), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [117964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2830), 44,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [118018] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7604), 1,
      anon_sym_STAR,
    ACTIONS(7606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7608), 1,
      anon_sym_AMP,
    ACTIONS(7850), 1,
      sym_auto,
    ACTIONS(7852), 1,
      anon_sym_decltype,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4493), 1,
      sym_decltype_auto,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5729), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4038), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7868), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [118104] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7805), 1,
      anon_sym_LBRACK,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(7884), 1,
      sym_auto,
    ACTIONS(7886), 1,
      anon_sym_decltype,
    STATE(1806), 1,
      sym_decltype_auto,
    STATE(4070), 1,
      sym_new_declarator,
    STATE(3866), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5641), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5643), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118174] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(3826), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6009), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6011), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3105), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3103), 44,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [118288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    STATE(3972), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5936), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118346] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7604), 1,
      anon_sym_STAR,
    ACTIONS(7606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7608), 1,
      anon_sym_AMP,
    ACTIONS(7850), 1,
      sym_auto,
    ACTIONS(7852), 1,
      anon_sym_decltype,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4493), 1,
      sym_decltype_auto,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5743), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4018), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7846), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [118432] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7805), 1,
      anon_sym_LBRACK,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(7884), 1,
      sym_auto,
    ACTIONS(7886), 1,
      anon_sym_decltype,
    STATE(1806), 1,
      sym_decltype_auto,
    STATE(4053), 1,
      sym_new_declarator,
    STATE(3848), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5651), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5653), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118502] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7888), 1,
      anon_sym_STAR,
    ACTIONS(7890), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7892), 1,
      anon_sym_AMP,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6163), 1,
      sym__abstract_declarator,
    ACTIONS(7709), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7711), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3895), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4417), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5687), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [118592] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3894), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5163), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(7894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5434), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5437), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [118652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    STATE(3936), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5930), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    STATE(3974), 1,
      sym_attribute_specifier,
    ACTIONS(5898), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5900), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2926), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2924), 44,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [118822] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7897), 1,
      anon_sym_LT,
    STATE(2263), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2490), 1,
      sym_template_argument_list,
    ACTIONS(4969), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4122), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4130), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [118886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    STATE(3948), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5940), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(3842), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5966), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5968), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    STATE(3975), 1,
      sym_attribute_specifier,
    ACTIONS(5924), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5926), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    STATE(3976), 1,
      sym_attribute_specifier,
    ACTIONS(5916), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5918), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2717), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2712), 44,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [119174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3894), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5165), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5163), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [119232] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7888), 1,
      anon_sym_STAR,
    ACTIONS(7890), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7892), 1,
      anon_sym_AMP,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6179), 1,
      sym__abstract_declarator,
    ACTIONS(7709), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7711), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [119322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2922), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2920), 44,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [119376] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(3834), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6046), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6048), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119436] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7805), 1,
      anon_sym_LBRACK,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(7884), 1,
      sym_auto,
    ACTIONS(7886), 1,
      anon_sym_decltype,
    STATE(1806), 1,
      sym_decltype_auto,
    STATE(4062), 1,
      sym_new_declarator,
    STATE(3835), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5660), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5662), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    STATE(3963), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5868), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119564] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(3829), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6028), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6030), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2824), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2822), 44,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [119678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    STATE(3966), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5864), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119736] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7805), 1,
      anon_sym_LBRACK,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(7884), 1,
      sym_auto,
    ACTIONS(7886), 1,
      anon_sym_decltype,
    STATE(1806), 1,
      sym_decltype_auto,
    STATE(4057), 1,
      sym_new_declarator,
    STATE(3852), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5629), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5631), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119806] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    STATE(1777), 1,
      sym_alignas_qualifier,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4061), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5475), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7901), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(7899), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [119874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2950), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2948), 44,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [119928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    STATE(3979), 1,
      sym_attribute_specifier,
    ACTIONS(5882), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5884), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    STATE(3957), 1,
      sym_attribute_specifier,
    ACTIONS(5894), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5896), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    STATE(3980), 1,
      sym_attribute_specifier,
    ACTIONS(5878), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5880), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym___attribute__,
    STATE(3951), 1,
      sym_attribute_specifier,
    ACTIONS(5902), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5904), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5452), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120213] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7897), 1,
      anon_sym_LT,
    STATE(2490), 1,
      sym_template_argument_list,
    ACTIONS(5601), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4148), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [120272] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7378), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7903), 1,
      anon_sym_STAR,
    ACTIONS(7905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7907), 1,
      anon_sym_AMP,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6232), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7380), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7382), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3921), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4586), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5687), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [120361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5525), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120414] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    ACTIONS(4912), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4919), 37,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [120473] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    STATE(3952), 1,
      sym_decltype_auto,
    ACTIONS(5357), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5359), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120532] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7909), 1,
      anon_sym_LT,
    STATE(2490), 1,
      sym_template_argument_list,
    ACTIONS(4912), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4919), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [120591] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_STAR,
    ACTIONS(7703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7705), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7912), 1,
      sym_auto,
    ACTIONS(7914), 1,
      anon_sym_decltype,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(4825), 1,
      sym_decltype_auto,
    STATE(5880), 1,
      sym__abstract_declarator,
    STATE(5892), 1,
      sym__function_declarator_seq,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4055), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7868), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [120676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5477), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5479), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120729] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_STAR,
    ACTIONS(7703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7705), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7912), 1,
      sym_auto,
    ACTIONS(7914), 1,
      anon_sym_decltype,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(4825), 1,
      sym_decltype_auto,
    STATE(5854), 1,
      sym__abstract_declarator,
    STATE(5892), 1,
      sym__function_declarator_seq,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4067), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7846), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [120814] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(2966), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4122), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6655), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4130), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [120877] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7378), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7903), 1,
      anon_sym_STAR,
    ACTIONS(7905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7907), 1,
      anon_sym_AMP,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(3454), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6217), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7380), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7382), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4582), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5666), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [120966] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    ACTIONS(5601), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4148), 37,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [121025] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(4051), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7916), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4122), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4130), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [121088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5351), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121141] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(4051), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7916), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(5804), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [121204] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(59), 1,
      anon_sym___inline,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(7878), 1,
      sym_auto,
    ACTIONS(7880), 1,
      anon_sym_decltype,
    ACTIONS(7918), 1,
      anon_sym_virtual,
    ACTIONS(7922), 1,
      anon_sym___declspec,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2315), 1,
      sym_decltype_auto,
    ACTIONS(6065), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6067), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4072), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7920), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [121285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5406), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121338] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4914), 1,
      anon_sym_SEMI,
    ACTIONS(4923), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(3843), 1,
      sym_template_argument_list,
    ACTIONS(4916), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4919), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4912), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [121403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5384), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5386), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5337), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5339), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121511] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(59), 1,
      anon_sym___inline,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(7878), 1,
      sym_auto,
    ACTIONS(7880), 1,
      anon_sym_decltype,
    ACTIONS(7922), 1,
      anon_sym___declspec,
    ACTIONS(7924), 1,
      anon_sym_virtual,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2315), 1,
      sym_decltype_auto,
    ACTIONS(6091), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6093), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4069), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7920), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [121592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5426), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5378), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121697] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    STATE(4446), 1,
      sym_alignas_qualifier,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4130), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4277), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5527), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7901), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(7899), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [121763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5456), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5491), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5483), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121919] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7805), 1,
      anon_sym_LBRACK,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7884), 1,
      sym_auto,
    ACTIONS(7886), 1,
      anon_sym_decltype,
    STATE(1806), 1,
      sym_decltype_auto,
    STATE(3890), 1,
      sym_new_declarator,
    STATE(3835), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5660), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5662), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5414), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122039] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_STAR,
    ACTIONS(7761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7763), 1,
      anon_sym_AMP,
    ACTIONS(7850), 1,
      sym_auto,
    ACTIONS(7852), 1,
      anon_sym_decltype,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4493), 1,
      sym_decltype_auto,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5964), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4086), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7846), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [122123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5410), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5394), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5390), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122279] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7926), 1,
      sym_identifier,
    STATE(4013), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4166), 1,
      sym_primitive_type,
    ACTIONS(7298), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7928), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5343), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5345), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [122341] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_COLON,
    STATE(2427), 1,
      sym__enum_base_clause,
    STATE(2532), 1,
      sym_enumerator_list,
    STATE(2610), 1,
      sym_attribute_specifier,
    ACTIONS(6081), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6083), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [122405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5483), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5483), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5468), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5339), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5533), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5422), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5510), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122769] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_COLON,
    STATE(2458), 1,
      sym__enum_base_clause,
    STATE(2556), 1,
      sym_enumerator_list,
    STATE(2638), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6089), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [122833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5398), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122885] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7932), 1,
      sym_identifier,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(6290), 1,
      sym__field_declarator,
    STATE(6374), 1,
      sym_operator_name,
    STATE(7948), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4626), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [122971] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7932), 1,
      sym_identifier,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(6290), 1,
      sym__field_declarator,
    STATE(6374), 1,
      sym_operator_name,
    STATE(7948), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3998), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4626), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5473), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5475), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5418), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123161] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7799), 1,
      anon_sym_STAR,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_AMP,
    ACTIONS(7878), 1,
      sym_auto,
    ACTIONS(7880), 1,
      anon_sym_decltype,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5976), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4097), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7868), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123245] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_STAR,
    ACTIONS(7761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7763), 1,
      anon_sym_AMP,
    ACTIONS(7850), 1,
      sym_auto,
    ACTIONS(7852), 1,
      anon_sym_decltype,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4493), 1,
      sym_decltype_auto,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5996), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4123), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7868), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5464), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123381] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(7942), 1,
      anon_sym_COLON,
    STATE(2319), 1,
      sym_attribute_specifier,
    STATE(2701), 1,
      sym__enum_base_clause,
    STATE(2857), 1,
      sym_enumerator_list,
    ACTIONS(6083), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6081), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [123445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5514), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123497] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7944), 1,
      anon_sym_STAR,
    ACTIONS(7946), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7958), 1,
      anon_sym_const,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(4957), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5123), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6275), 1,
      sym__abstract_declarator,
    ACTIONS(7954), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7956), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7960), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4635), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(5666), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7950), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123585] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7372), 1,
      anon_sym_STAR,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7376), 1,
      anon_sym_AMP,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7964), 1,
      anon_sym___asm,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5713), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7962), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5402), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123717] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7932), 1,
      sym_identifier,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(6245), 1,
      sym__field_declarator,
    STATE(6374), 1,
      sym_operator_name,
    STATE(7948), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3955), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4638), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5464), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5485), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5487), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123907] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7966), 1,
      anon_sym_STAR,
    ACTIONS(7968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7970), 1,
      anon_sym_AMP,
    STATE(2711), 1,
      sym_parameter_list,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6074), 1,
      sym__abstract_declarator,
    ACTIONS(7709), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7711), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5666), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123995] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7944), 1,
      anon_sym_STAR,
    ACTIONS(7946), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7958), 1,
      anon_sym_const,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(4957), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5123), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6263), 1,
      sym__abstract_declarator,
    ACTIONS(7954), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7956), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7960), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3964), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4633), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5687), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7950), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [124083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5503), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5499), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5495), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5460), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5444), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5446), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5442), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124395] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_identifier,
    ACTIONS(7974), 1,
      anon_sym_STAR,
    ACTIONS(7976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7978), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5928), 1,
      sym__field_declarator,
    STATE(6011), 1,
      sym_operator_name,
    STATE(8197), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4640), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [124481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5430), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5382), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124585] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7799), 1,
      anon_sym_STAR,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_AMP,
    ACTIONS(7878), 1,
      sym_auto,
    ACTIONS(7880), 1,
      anon_sym_decltype,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5985), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4075), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7846), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [124669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7659), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [124721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7648), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7646), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [124773] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7805), 1,
      anon_sym_LBRACK,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7884), 1,
      sym_auto,
    ACTIONS(7886), 1,
      anon_sym_decltype,
    STATE(1806), 1,
      sym_decltype_auto,
    STATE(3900), 1,
      sym_new_declarator,
    STATE(3848), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5651), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5653), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124841] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7372), 1,
      anon_sym_STAR,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7376), 1,
      anon_sym_AMP,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7982), 1,
      anon_sym___asm,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5704), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7980), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [124921] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7805), 1,
      anon_sym_LBRACK,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7884), 1,
      sym_auto,
    ACTIONS(7886), 1,
      anon_sym_decltype,
    STATE(1806), 1,
      sym_decltype_auto,
    STATE(3878), 1,
      sym_new_declarator,
    STATE(3866), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5641), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5643), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124989] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_identifier,
    ACTIONS(7974), 1,
      anon_sym_STAR,
    ACTIONS(7976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7978), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5816), 1,
      sym__field_declarator,
    STATE(6011), 1,
      sym_operator_name,
    STATE(8197), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3989), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4636), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125075] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7966), 1,
      anon_sym_STAR,
    ACTIONS(7968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7970), 1,
      anon_sym_AMP,
    STATE(2711), 1,
      sym_parameter_list,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6095), 1,
      sym__abstract_declarator,
    ACTIONS(7709), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7711), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3970), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4679), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5687), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125163] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_identifier,
    ACTIONS(7974), 1,
      anon_sym_STAR,
    ACTIONS(7976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7978), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5804), 1,
      sym__field_declarator,
    STATE(6011), 1,
      sym_operator_name,
    STATE(8197), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4621), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125249] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7372), 1,
      anon_sym_STAR,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7376), 1,
      anon_sym_AMP,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7543), 1,
      anon_sym___asm,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5705), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125329] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7372), 1,
      anon_sym_STAR,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7376), 1,
      anon_sym_AMP,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7984), 1,
      anon_sym___asm,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5700), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6527), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125409] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(7942), 1,
      anon_sym_COLON,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(2691), 1,
      sym__enum_base_clause,
    STATE(2864), 1,
      sym_enumerator_list,
    ACTIONS(6089), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6087), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [125473] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7537), 1,
      anon_sym_STAR,
    ACTIONS(7539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7541), 1,
      anon_sym_AMP,
    ACTIONS(7984), 1,
      anon_sym___asm,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5719), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6527), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125553] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7537), 1,
      anon_sym_STAR,
    ACTIONS(7539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7541), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym___asm,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5714), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7980), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125633] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7537), 1,
      anon_sym_STAR,
    ACTIONS(7539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7541), 1,
      anon_sym_AMP,
    ACTIONS(7543), 1,
      anon_sym___asm,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5711), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125713] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7537), 1,
      anon_sym_STAR,
    ACTIONS(7539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7541), 1,
      anon_sym_AMP,
    ACTIONS(7964), 1,
      anon_sym___asm,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5708), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7962), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125793] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_identifier,
    ACTIONS(7974), 1,
      anon_sym_STAR,
    ACTIONS(7976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7978), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5804), 1,
      sym__field_declarator,
    STATE(6011), 1,
      sym_operator_name,
    STATE(8197), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3978), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4621), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125879] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7932), 1,
      sym_identifier,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(6279), 1,
      sym__field_declarator,
    STATE(6374), 1,
      sym_operator_name,
    STATE(7948), 1,
      sym_ms_based_modifier,
    ACTIONS(2690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4623), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125965] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7805), 1,
      anon_sym_LBRACK,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7884), 1,
      sym_auto,
    ACTIONS(7886), 1,
      anon_sym_decltype,
    STATE(1806), 1,
      sym_decltype_auto,
    STATE(3897), 1,
      sym_new_declarator,
    STATE(3852), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5629), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5631), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126033] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    ACTIONS(7994), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7996), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8000), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_GT_EQ,
    ACTIONS(8012), 1,
      anon_sym_QMARK,
    ACTIONS(8014), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8016), 1,
      anon_sym_or,
    ACTIONS(8018), 1,
      anon_sym_and,
    ACTIONS(8020), 1,
      anon_sym_xor,
    ACTIONS(8022), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6453), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7998), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8002), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8004), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8006), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6455), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [126136] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    ACTIONS(7994), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7996), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8000), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_GT_EQ,
    ACTIONS(8012), 1,
      anon_sym_QMARK,
    ACTIONS(8014), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8016), 1,
      anon_sym_or,
    ACTIONS(8018), 1,
      anon_sym_and,
    ACTIONS(8020), 1,
      anon_sym_xor,
    ACTIONS(8022), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6737), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7998), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8002), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8004), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8006), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6739), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [126239] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7604), 1,
      anon_sym_STAR,
    ACTIONS(7606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7608), 1,
      anon_sym_AMP,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5749), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6527), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [126316] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6193), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6195), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [126385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6388), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126436] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    ACTIONS(6532), 1,
      sym_auto,
    ACTIONS(6534), 1,
      anon_sym_decltype,
    ACTIONS(8024), 1,
      anon_sym_LPAREN2,
    ACTIONS(8026), 1,
      anon_sym_LBRACK,
    STATE(2619), 1,
      sym_decltype_auto,
    STATE(4165), 1,
      sym_new_declarator,
    STATE(4666), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5660), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5662), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [126503] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6292), 1,
      sym__abstract_declarator,
    ACTIONS(7709), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7711), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4014), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4705), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5687), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [126590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6488), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6490), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126641] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    ACTIONS(7994), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7996), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8000), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_GT_EQ,
    ACTIONS(8014), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8016), 1,
      anon_sym_or,
    ACTIONS(8018), 1,
      anon_sym_and,
    ACTIONS(8020), 1,
      anon_sym_xor,
    ACTIONS(8022), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6719), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7998), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8002), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8004), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8006), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6721), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [126740] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    ACTIONS(7994), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7996), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8000), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_GT_EQ,
    ACTIONS(8014), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8016), 1,
      anon_sym_or,
    ACTIONS(8018), 1,
      anon_sym_and,
    ACTIONS(8020), 1,
      anon_sym_xor,
    ACTIONS(8022), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6663), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7998), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8002), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8004), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8006), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6665), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [126839] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4180), 1,
      anon_sym_LPAREN2,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    ACTIONS(5808), 1,
      anon_sym_STAR,
    ACTIONS(8028), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8032), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8034), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_EQ,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6174), 1,
      sym__declarator,
    STATE(6372), 1,
      sym__abstract_declarator,
    STATE(6446), 1,
      sym_abstract_reference_declarator,
    STATE(7027), 1,
      sym_variadic_reference_declarator,
    STATE(7033), 1,
      sym_variadic_declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(8030), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [126940] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(4119), 1,
      sym_template_argument_list,
    ACTIONS(4916), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4919), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4912), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [127001] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7878), 1,
      sym_auto,
    ACTIONS(7880), 1,
      anon_sym_decltype,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6014), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4157), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7868), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [127084] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4036), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5163), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(8038), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5434), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5437), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [127141] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6321), 1,
      sym__abstract_declarator,
    ACTIONS(7709), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7711), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4714), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5666), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [127228] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    ACTIONS(7996), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8000), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_GT_EQ,
    ACTIONS(8014), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8018), 1,
      anon_sym_and,
    ACTIONS(8020), 1,
      anon_sym_xor,
    ACTIONS(8022), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7998), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8002), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8004), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6193), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(8006), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [127323] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7878), 1,
      sym_auto,
    ACTIONS(7880), 1,
      anon_sym_decltype,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6022), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4146), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7846), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [127406] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    ACTIONS(7994), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7996), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8000), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_GT_EQ,
    ACTIONS(8012), 1,
      anon_sym_QMARK,
    ACTIONS(8014), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8016), 1,
      anon_sym_or,
    ACTIONS(8018), 1,
      anon_sym_and,
    ACTIONS(8020), 1,
      anon_sym_xor,
    ACTIONS(8022), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6723), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7998), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8002), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8004), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8006), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6725), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [127509] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7604), 1,
      anon_sym_STAR,
    ACTIONS(7606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7608), 1,
      anon_sym_AMP,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5748), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7980), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [127586] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8048), 1,
      anon_sym_const,
    STATE(1777), 1,
      sym_alignas_qualifier,
    ACTIONS(8051), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8043), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8045), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8041), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [127647] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6193), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6195), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [127720] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    ACTIONS(7994), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7996), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8000), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_GT_EQ,
    ACTIONS(8012), 1,
      anon_sym_QMARK,
    ACTIONS(8014), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8016), 1,
      anon_sym_or,
    ACTIONS(8018), 1,
      anon_sym_and,
    ACTIONS(8020), 1,
      anon_sym_xor,
    ACTIONS(8022), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7998), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8002), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8004), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8054), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8006), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8056), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [127823] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6193), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6195), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [127894] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    ACTIONS(8000), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_GT_EQ,
    ACTIONS(8014), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8020), 1,
      anon_sym_xor,
    ACTIONS(8022), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7998), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8002), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8004), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8006), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6195), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [127985] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7604), 1,
      anon_sym_STAR,
    ACTIONS(7606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7608), 1,
      anon_sym_AMP,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5747), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128062] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    ACTIONS(6532), 1,
      sym_auto,
    ACTIONS(6534), 1,
      anon_sym_decltype,
    ACTIONS(8024), 1,
      anon_sym_LPAREN2,
    ACTIONS(8026), 1,
      anon_sym_LBRACK,
    STATE(2619), 1,
      sym_decltype_auto,
    STATE(4179), 1,
      sym_new_declarator,
    STATE(4669), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5651), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5653), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [128129] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    ACTIONS(7994), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7996), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8000), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_GT_EQ,
    ACTIONS(8014), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8016), 1,
      anon_sym_or,
    ACTIONS(8018), 1,
      anon_sym_and,
    ACTIONS(8020), 1,
      anon_sym_xor,
    ACTIONS(8022), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6727), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7998), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8002), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8004), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8006), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6729), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [128228] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4180), 1,
      anon_sym_LPAREN2,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5668), 1,
      anon_sym_STAR,
    ACTIONS(5670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5672), 1,
      anon_sym_AMP,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    ACTIONS(8028), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2711), 1,
      sym_parameter_list,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6031), 1,
      sym__declarator,
    STATE(6093), 1,
      sym__abstract_declarator,
    STATE(6856), 1,
      sym_variadic_declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8058), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [128323] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    ACTIONS(8014), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6193), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6195), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [128398] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    ACTIONS(6532), 1,
      sym_auto,
    ACTIONS(6534), 1,
      anon_sym_decltype,
    ACTIONS(8024), 1,
      anon_sym_LPAREN2,
    ACTIONS(8026), 1,
      anon_sym_LBRACK,
    STATE(2619), 1,
      sym_decltype_auto,
    STATE(4190), 1,
      sym_new_declarator,
    STATE(4682), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5629), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5631), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [128465] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    ACTIONS(8008), 1,
      anon_sym_GT_EQ,
    ACTIONS(8014), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8006), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6195), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [128544] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    ACTIONS(8008), 1,
      anon_sym_GT_EQ,
    ACTIONS(8014), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8022), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8004), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8006), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6195), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [128627] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(8060), 1,
      anon_sym_STAR,
    ACTIONS(8062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8064), 1,
      anon_sym_AMP,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6332), 1,
      sym__abstract_declarator,
    ACTIONS(7709), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7711), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4710), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5666), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128714] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    ACTIONS(8008), 1,
      anon_sym_GT_EQ,
    ACTIONS(8014), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8022), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8002), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8004), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8006), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6195), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [128799] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4180), 1,
      anon_sym_LPAREN2,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    ACTIONS(5739), 1,
      anon_sym_STAR,
    ACTIONS(8028), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8032), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8034), 1,
      anon_sym_AMP,
    ACTIONS(8066), 1,
      anon_sym_EQ,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6183), 1,
      sym__declarator,
    STATE(6351), 1,
      sym__abstract_declarator,
    STATE(6434), 1,
      sym_abstract_reference_declarator,
    STATE(7027), 1,
      sym_variadic_reference_declarator,
    STATE(7033), 1,
      sym_variadic_declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(8030), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [128900] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(8060), 1,
      anon_sym_STAR,
    ACTIONS(8062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8064), 1,
      anon_sym_AMP,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(3982), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6298), 1,
      sym__abstract_declarator,
    ACTIONS(7709), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7711), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4032), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5687), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4036), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8038), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5165), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5163), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [129042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6247), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129093] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7604), 1,
      anon_sym_STAR,
    ACTIONS(7606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7608), 1,
      anon_sym_AMP,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5742), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7962), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [129170] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    ACTIONS(8000), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_GT_EQ,
    ACTIONS(8014), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8020), 1,
      anon_sym_xor,
    ACTIONS(8022), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8002), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8004), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8006), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6193), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6195), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [129259] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    ACTIONS(6532), 1,
      sym_auto,
    ACTIONS(6534), 1,
      anon_sym_decltype,
    ACTIONS(8024), 1,
      anon_sym_LPAREN2,
    ACTIONS(8026), 1,
      anon_sym_LBRACK,
    STATE(2619), 1,
      sym_decltype_auto,
    STATE(4240), 1,
      sym_new_declarator,
    STATE(4616), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5641), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5643), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [129326] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    ACTIONS(7994), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7996), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8000), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_GT_EQ,
    ACTIONS(8014), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8016), 1,
      anon_sym_or,
    ACTIONS(8018), 1,
      anon_sym_and,
    ACTIONS(8020), 1,
      anon_sym_xor,
    ACTIONS(8022), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6715), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7998), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8002), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8004), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8006), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6717), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [129425] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7992), 1,
      anon_sym_SLASH,
    ACTIONS(7994), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7996), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8000), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_GT_EQ,
    ACTIONS(8014), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8016), 1,
      anon_sym_or,
    ACTIONS(8018), 1,
      anon_sym_and,
    ACTIONS(8020), 1,
      anon_sym_xor,
    ACTIONS(8022), 1,
      anon_sym_not_eq,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6711), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7990), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7998), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8002), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8004), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8010), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8006), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6713), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [129524] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    STATE(1777), 1,
      sym_alignas_qualifier,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7901), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(7899), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [129584] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7854), 1,
      anon_sym_STAR,
    ACTIONS(7856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7858), 1,
      anon_sym_AMP,
    ACTIONS(7884), 1,
      sym_auto,
    ACTIONS(7886), 1,
      anon_sym_decltype,
    STATE(1806), 1,
      sym_decltype_auto,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6111), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4264), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7868), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [129666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3894), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5694), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8068), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5692), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [129720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5339), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5337), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [129772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4052), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5615), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5613), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [129826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4045), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5337), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5339), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [129880] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      anon_sym_COLON,
    STATE(2385), 1,
      sym_attribute_specifier,
    STATE(3327), 1,
      sym__enum_base_clause,
    STATE(3610), 1,
      sym_enumerator_list,
    ACTIONS(6087), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6089), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [129942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4054), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5621), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8076), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5619), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [129996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3894), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5680), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8068), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5678), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3894), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5609), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8068), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5607), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130104] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(3829), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6028), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6030), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3894), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5700), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8068), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5698), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130214] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_STAR,
    ACTIONS(7703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7705), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5868), 1,
      sym__abstract_declarator,
    STATE(5892), 1,
      sym__function_declarator_seq,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7962), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [130290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 1,
      sym_literal_suffix,
    ACTIONS(4132), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4124), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130342] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(3834), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6046), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6048), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4045), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5384), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5386), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130452] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7854), 1,
      anon_sym_STAR,
    ACTIONS(7856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7858), 1,
      anon_sym_AMP,
    ACTIONS(7884), 1,
      sym_auto,
    ACTIONS(7886), 1,
      anon_sym_decltype,
    STATE(1806), 1,
      sym_decltype_auto,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6143), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4196), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7846), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [130534] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(4181), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5802), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8078), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5804), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [130594] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    STATE(1777), 1,
      sym_alignas_qualifier,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8082), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8080), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [130654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(3842), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5966), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5968), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8086), 1,
      anon_sym_LPAREN2,
    ACTIONS(8088), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8084), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [130762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6791), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6793), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130812] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(8074), 1,
      anon_sym_COLON,
    STATE(2319), 1,
      sym_attribute_specifier,
    STATE(3374), 1,
      sym__enum_base_clause,
    STATE(3561), 1,
      sym_enumerator_list,
    ACTIONS(6081), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6083), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [130874] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_STAR,
    ACTIONS(7703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7705), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5808), 1,
      sym__abstract_declarator,
    STATE(5892), 1,
      sym__function_declarator_seq,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [130950] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_STAR,
    ACTIONS(7703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7705), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5872), 1,
      sym__abstract_declarator,
    STATE(5892), 1,
      sym__function_declarator_seq,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7980), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8092), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8090), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [131076] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(59), 1,
      anon_sym___inline,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(7922), 1,
      anon_sym___declspec,
    ACTIONS(8094), 1,
      anon_sym_virtual,
    STATE(1777), 1,
      sym_alignas_qualifier,
    ACTIONS(6419), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6421), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4071), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7920), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(3826), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6009), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6011), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131204] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7072), 1,
      anon_sym_const,
    ACTIONS(7078), 1,
      anon_sym___inline,
    ACTIONS(8099), 1,
      anon_sym_virtual,
    ACTIONS(8105), 1,
      anon_sym___attribute__,
    ACTIONS(8108), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8111), 1,
      anon_sym___declspec,
    STATE(1777), 1,
      sym_alignas_qualifier,
    ACTIONS(6394), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(8114), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6396), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4071), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8102), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(8096), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131276] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(59), 1,
      anon_sym___inline,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(7922), 1,
      anon_sym___declspec,
    ACTIONS(8094), 1,
      anon_sym_virtual,
    STATE(1777), 1,
      sym_alignas_qualifier,
    ACTIONS(6336), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6338), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4071), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7920), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6818), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131398] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_STAR,
    ACTIONS(7703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7705), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5802), 1,
      sym__abstract_declarator,
    STATE(5892), 1,
      sym__function_declarator_seq,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6527), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131474] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7799), 1,
      anon_sym_STAR,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5990), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7980), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131549] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7765), 1,
      anon_sym_STAR,
    ACTIONS(7767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2169), 1,
      sym__type_declarator,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(7809), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7771), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131626] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8117), 1,
      anon_sym_LT,
    STATE(4169), 1,
      sym_template_argument_list,
    STATE(4181), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4122), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8078), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4130), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [131685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6791), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6793), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131734] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7773), 1,
      sym_identifier,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(7777), 1,
      anon_sym_STAR,
    ACTIONS(7779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2938), 1,
      sym__type_declarator,
    STATE(3397), 1,
      sym_pointer_type_declarator,
    STATE(8065), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7785), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3501), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131811] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(5666), 1,
      anon_sym_COLON,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7958), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_STAR,
    ACTIONS(8121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8123), 1,
      anon_sym_AMP,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(4957), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5123), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6406), 1,
      sym__abstract_declarator,
    ACTIONS(7954), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7956), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7960), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4840), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7950), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131896] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7787), 1,
      sym_identifier,
    ACTIONS(7789), 1,
      anon_sym_LPAREN2,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(7813), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7815), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(5818), 1,
      sym_pointer_type_declarator,
    STATE(5883), 1,
      sym__type_declarator,
    STATE(7907), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5821), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 1,
      sym_literal_suffix,
    ACTIONS(4132), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4124), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132024] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7787), 1,
      sym_identifier,
    ACTIONS(7789), 1,
      anon_sym_LPAREN2,
    ACTIONS(7791), 1,
      anon_sym_STAR,
    ACTIONS(7793), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7795), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(5718), 1,
      sym__type_declarator,
    STATE(5818), 1,
      sym_pointer_type_declarator,
    STATE(7631), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5821), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [132101] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7773), 1,
      sym_identifier,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(7777), 1,
      anon_sym_STAR,
    ACTIONS(7779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2957), 1,
      sym__type_declarator,
    STATE(3397), 1,
      sym_pointer_type_declarator,
    STATE(8065), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7785), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3501), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [132178] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    STATE(4318), 1,
      sym_field_declaration_list,
    STATE(4529), 1,
      sym_attribute_specifier,
    STATE(6609), 1,
      sym_virtual_specifier,
    STATE(7277), 1,
      sym_base_class_clause,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5584), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5586), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_try,
      anon_sym_requires,
  [132243] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_STAR,
    ACTIONS(7761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7763), 1,
      anon_sym_AMP,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5969), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7980), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [132318] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7773), 1,
      sym_identifier,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(7777), 1,
      anon_sym_STAR,
    ACTIONS(7779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2922), 1,
      sym__type_declarator,
    STATE(3397), 1,
      sym_pointer_type_declarator,
    STATE(8065), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7785), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3501), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [132395] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4180), 1,
      anon_sym_LPAREN2,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5668), 1,
      anon_sym_STAR,
    ACTIONS(5670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5672), 1,
      anon_sym_AMP,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    STATE(2711), 1,
      sym_parameter_list,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6031), 1,
      sym__declarator,
    STATE(6093), 1,
      sym__abstract_declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8058), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [132484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6818), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132533] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7817), 1,
      anon_sym_STAR,
    ACTIONS(7819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7821), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6309), 1,
      sym__type_declarator,
    STATE(7840), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7771), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [132610] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_STAR,
    ACTIONS(7761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7763), 1,
      anon_sym_AMP,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5959), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6527), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [132685] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7731), 1,
      sym_identifier,
    ACTIONS(7733), 1,
      anon_sym_LPAREN2,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2867), 1,
      sym__type_declarator,
    STATE(3177), 1,
      sym_pointer_type_declarator,
    STATE(8006), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7745), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7743), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3198), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [132762] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7731), 1,
      sym_identifier,
    ACTIONS(7733), 1,
      anon_sym_LPAREN2,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2817), 1,
      sym__type_declarator,
    STATE(3177), 1,
      sym_pointer_type_declarator,
    STATE(8006), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7745), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7743), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3198), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [132839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8127), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8129), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5712), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5714), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8129), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5724), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5726), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132943] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(6532), 1,
      sym_auto,
    ACTIONS(6534), 1,
      anon_sym_decltype,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7888), 1,
      anon_sym_STAR,
    ACTIONS(7890), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7892), 1,
      anon_sym_AMP,
    STATE(2619), 1,
      sym_decltype_auto,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6178), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4416), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7846), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [133024] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7799), 1,
      anon_sym_STAR,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5983), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7962), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [133099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8135), 1,
      anon_sym___attribute__,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8133), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8131), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [133152] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1777), 1,
      sym_alignas_qualifier,
    ACTIONS(8138), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8041), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(8048), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8043), 18,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [133209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5529), 37,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [133258] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(5687), 1,
      anon_sym_COLON,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7958), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_STAR,
    ACTIONS(8121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8123), 1,
      anon_sym_AMP,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(4957), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5123), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6416), 1,
      sym__abstract_declarator,
    ACTIONS(7954), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7956), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7960), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4080), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4786), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7950), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [133343] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8143), 1,
      anon_sym_and,
    ACTIONS(5724), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5726), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133396] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7765), 1,
      anon_sym_STAR,
    ACTIONS(7767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2166), 1,
      sym__type_declarator,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(7809), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7771), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [133473] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8117), 1,
      anon_sym_LT,
    STATE(4169), 1,
      sym_template_argument_list,
    ACTIONS(4912), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4919), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133528] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7799), 1,
      anon_sym_STAR,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5987), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [133603] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6042), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [133680] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7799), 1,
      anon_sym_STAR,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5991), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6527), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [133755] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(6532), 1,
      sym_auto,
    ACTIONS(6534), 1,
      anon_sym_decltype,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7888), 1,
      anon_sym_STAR,
    ACTIONS(7890), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7892), 1,
      anon_sym_AMP,
    STATE(2619), 1,
      sym_decltype_auto,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6161), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4418), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7868), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [133836] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6061), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [133913] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8117), 1,
      anon_sym_LT,
    STATE(4169), 1,
      sym_template_argument_list,
    ACTIONS(5601), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4148), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133968] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8157), 1,
      anon_sym_PIPE,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8171), 1,
      anon_sym_SEMI,
    ACTIONS(8173), 1,
      anon_sym_QMARK,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8177), 1,
      anon_sym_bitor,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6410), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7825), 1,
      sym_attribute_specifier,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8153), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8155), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8159), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134071] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_STAR,
    ACTIONS(7761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7763), 1,
      anon_sym_AMP,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5992), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134146] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6044), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134223] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7787), 1,
      sym_identifier,
    ACTIONS(7789), 1,
      anon_sym_LPAREN2,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(7813), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7815), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(5818), 1,
      sym_pointer_type_declarator,
    STATE(5858), 1,
      sym__type_declarator,
    STATE(7907), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5821), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134300] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7787), 1,
      sym_identifier,
    ACTIONS(7789), 1,
      anon_sym_LPAREN2,
    ACTIONS(7791), 1,
      anon_sym_STAR,
    ACTIONS(7793), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7795), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(5685), 1,
      sym__type_declarator,
    STATE(5818), 1,
      sym_pointer_type_declarator,
    STATE(7631), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5821), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134377] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8143), 1,
      anon_sym_and,
    ACTIONS(8181), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8183), 1,
      anon_sym_or,
    ACTIONS(5712), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5714), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134434] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7817), 1,
      anon_sym_STAR,
    ACTIONS(7819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7821), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6312), 1,
      sym__type_declarator,
    STATE(7840), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7771), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134511] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8157), 1,
      anon_sym_PIPE,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8173), 1,
      anon_sym_QMARK,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8177), 1,
      anon_sym_bitor,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    ACTIONS(8185), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6442), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7985), 1,
      sym_attribute_specifier,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8153), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8155), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8159), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 1,
      anon_sym_LBRACK,
    ACTIONS(4933), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4936), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4929), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [134667] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7787), 1,
      sym_identifier,
    ACTIONS(7789), 1,
      anon_sym_LPAREN2,
    ACTIONS(7791), 1,
      anon_sym_STAR,
    ACTIONS(7793), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7795), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(5673), 1,
      sym__type_declarator,
    STATE(5818), 1,
      sym_pointer_type_declarator,
    STATE(7631), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5821), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134744] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8190), 1,
      anon_sym_const,
    STATE(4446), 1,
      sym_alignas_qualifier,
    ACTIONS(8193), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8043), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8187), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8041), 19,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [134803] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8157), 1,
      anon_sym_PIPE,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8173), 1,
      anon_sym_QMARK,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8177), 1,
      anon_sym_bitor,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    ACTIONS(8196), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6425), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7462), 1,
      sym_attribute_specifier,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8153), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8155), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8159), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134906] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_STAR,
    ACTIONS(7761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7763), 1,
      anon_sym_AMP,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5963), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7962), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134981] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7731), 1,
      sym_identifier,
    ACTIONS(7733), 1,
      anon_sym_LPAREN2,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2898), 1,
      sym__type_declarator,
    STATE(3177), 1,
      sym_pointer_type_declarator,
    STATE(8006), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7745), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7743), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3198), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [135058] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7817), 1,
      anon_sym_STAR,
    ACTIONS(7819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7821), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6300), 1,
      sym__type_declarator,
    STATE(7840), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7771), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [135135] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7787), 1,
      sym_identifier,
    ACTIONS(7789), 1,
      anon_sym_LPAREN2,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(7813), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7815), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(5818), 1,
      sym_pointer_type_declarator,
    STATE(5878), 1,
      sym__type_declarator,
    STATE(7907), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5821), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [135212] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7765), 1,
      anon_sym_STAR,
    ACTIONS(7767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2157), 1,
      sym__type_declarator,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(7809), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7771), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [135289] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6193), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [135355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6168), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6170), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [135403] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    STATE(4446), 1,
      sym_alignas_qualifier,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8082), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8080), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [135461] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6455), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [135555] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6717), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [135645] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6193), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [135715] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8230), 1,
      anon_sym_COMMA,
    ACTIONS(8232), 1,
      anon_sym_SEMI,
    ACTIONS(8234), 1,
      anon_sym_RBRACE,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(7055), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135815] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(2066), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5802), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4957), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5804), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [135873] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [135961] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [136047] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6739), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [136141] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6665), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [136231] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6713), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [136321] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6027), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6527), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136395] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6193), 1,
      anon_sym_PIPE,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [136479] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6193), 1,
      anon_sym_PIPE,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [136561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5518), 36,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [136609] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6193), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [136687] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6025), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7980), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136761] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6024), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136835] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6193), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [136911] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    STATE(4446), 1,
      sym_alignas_qualifier,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7901), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(7899), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [136969] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6729), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [137059] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(1787), 1,
      sym_attribute_specifier,
    STATE(4849), 1,
      sym_field_declaration_list,
    STATE(6636), 1,
      sym_virtual_specifier,
    STATE(7224), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5584), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [137123] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6721), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [137213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6213), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6215), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [137261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6126), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6128), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [137309] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6193), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [137377] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6193), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [137449] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6019), 1,
      sym__abstract_declarator,
    ACTIONS(6629), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7962), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6623), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [137523] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7850), 1,
      sym_auto,
    ACTIONS(7852), 1,
      anon_sym_decltype,
    ACTIONS(7903), 1,
      anon_sym_STAR,
    ACTIONS(7905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7907), 1,
      anon_sym_AMP,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4493), 1,
      sym_decltype_auto,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6221), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4585), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7846), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [137603] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7850), 1,
      sym_auto,
    ACTIONS(7852), 1,
      anon_sym_decltype,
    ACTIONS(7903), 1,
      anon_sym_STAR,
    ACTIONS(7905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7907), 1,
      anon_sym_AMP,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(4493), 1,
      sym_decltype_auto,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6233), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4588), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7868), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [137683] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6725), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [137777] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    ACTIONS(8238), 1,
      anon_sym_COLON,
    STATE(4194), 1,
      sym__enum_base_clause,
    STATE(4391), 1,
      sym_enumerator_list,
    STATE(4495), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6089), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [137837] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    ACTIONS(8238), 1,
      anon_sym_COLON,
    STATE(4209), 1,
      sym__enum_base_clause,
    STATE(4298), 1,
      sym_enumerator_list,
    STATE(4544), 1,
      sym_attribute_specifier,
    ACTIONS(6081), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6083), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [137897] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8278), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(6764), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5102), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138041] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    ACTIONS(8024), 1,
      anon_sym_LPAREN2,
    STATE(4658), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5966), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5968), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [138094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4230), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5621), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8280), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5619), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [138145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1971), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4218), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5615), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8282), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5613), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [138243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4929), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4936), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [138290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5124), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5126), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5098), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138384] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8234), 1,
      anon_sym_RBRACE,
    ACTIONS(8284), 1,
      anon_sym_COMMA,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(7055), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138481] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8286), 1,
      anon_sym_COMMA,
    ACTIONS(8288), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6926), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138578] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8290), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(7096), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138675] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8292), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(6943), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5122), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5086), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5090), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138913] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    ACTIONS(8024), 1,
      anon_sym_LPAREN2,
    STATE(4661), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6028), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6030), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [138966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4036), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5694), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8294), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5692), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [139017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4036), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5680), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8294), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5678), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [139068] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8286), 1,
      anon_sym_COMMA,
    ACTIONS(8296), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6925), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139165] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8324), 1,
      anon_sym_RBRACK,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6947), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139262] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8157), 1,
      anon_sym_PIPE,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8177), 1,
      anon_sym_bitor,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8153), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8155), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8159), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6717), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [139351] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    STATE(4728), 1,
      sym_field_declaration_list,
    STATE(4802), 1,
      sym_attribute_specifier,
    STATE(6612), 1,
      sym_virtual_specifier,
    STATE(7269), 1,
      sym_base_class_clause,
    ACTIONS(5584), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5586), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [139414] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8157), 1,
      anon_sym_PIPE,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8177), 1,
      anon_sym_bitor,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8153), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8155), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8159), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6665), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [139503] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4180), 1,
      anon_sym_LPAREN2,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    ACTIONS(5739), 1,
      anon_sym_STAR,
    ACTIONS(5741), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5743), 1,
      anon_sym_AMP,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6031), 1,
      sym__declarator,
    STATE(6342), 1,
      sym__abstract_declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(8058), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [139590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1969), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1967), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [139637] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7854), 1,
      anon_sym_STAR,
    ACTIONS(7856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7858), 1,
      anon_sym_AMP,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6118), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6527), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139710] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    ACTIONS(8024), 1,
      anon_sym_LPAREN2,
    STATE(4667), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6046), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6048), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [139763] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8157), 1,
      anon_sym_PIPE,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8173), 1,
      anon_sym_QMARK,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8177), 1,
      anon_sym_bitor,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8153), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8155), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8159), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8338), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [139856] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8340), 1,
      anon_sym_COMMA,
    ACTIONS(8342), 1,
      anon_sym_RBRACK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6896), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139953] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8157), 1,
      anon_sym_PIPE,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8173), 1,
      anon_sym_QMARK,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8177), 1,
      anon_sym_bitor,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8153), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8155), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8159), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8344), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [140046] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(4438), 1,
      sym_enumerator_list,
    STATE(4482), 1,
      sym_attribute_specifier,
    ACTIONS(5753), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5755), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [140101] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8346), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(6966), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140198] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7854), 1,
      anon_sym_STAR,
    ACTIONS(7856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7858), 1,
      anon_sym_AMP,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6122), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7980), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140271] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(2263), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5802), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4969), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5804), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5116), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5118), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5106), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140422] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8157), 1,
      anon_sym_PIPE,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8173), 1,
      anon_sym_QMARK,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8177), 1,
      anon_sym_bitor,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8153), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8155), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8159), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6739), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1373), 1,
      sym__fold_operator,
    ACTIONS(8350), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(8348), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [140564] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4180), 1,
      anon_sym_LPAREN2,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    ACTIONS(5808), 1,
      anon_sym_STAR,
    ACTIONS(5810), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5812), 1,
      anon_sym_AMP,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6031), 1,
      sym__declarator,
    STATE(6320), 1,
      sym__abstract_declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(8058), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [140651] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7854), 1,
      anon_sym_STAR,
    ACTIONS(7856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7858), 1,
      anon_sym_AMP,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6134), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140724] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8354), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8352), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140819] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(8358), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6991), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140916] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7884), 1,
      sym_auto,
    ACTIONS(7886), 1,
      anon_sym_decltype,
    ACTIONS(7944), 1,
      anon_sym_STAR,
    ACTIONS(7946), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7958), 1,
      anon_sym_const,
    STATE(1806), 1,
      sym_decltype_auto,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(5123), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6267), 1,
      sym__abstract_declarator,
    ACTIONS(7960), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4634), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7846), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7950), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5353), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5355), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [141044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5217), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [141091] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(4412), 1,
      sym_enumerator_list,
    STATE(4455), 1,
      sym_attribute_specifier,
    ACTIONS(5818), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5820), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [141146] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8360), 1,
      anon_sym_RBRACK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6914), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141243] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8286), 1,
      anon_sym_COMMA,
    ACTIONS(8362), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6729), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141340] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(8364), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6791), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141437] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(7037), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5323), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5325), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [141583] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8368), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(6908), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141680] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8370), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(6917), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141777] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8157), 1,
      anon_sym_PIPE,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8173), 1,
      anon_sym_QMARK,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8177), 1,
      anon_sym_bitor,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8153), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8155), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8159), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6455), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4036), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5609), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8294), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5607), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [141921] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8286), 1,
      anon_sym_COMMA,
    ACTIONS(8372), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(7086), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4906), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [142065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4908), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4910), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [142112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4890), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [142159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4898), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [142206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5323), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5325), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [142255] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8374), 1,
      anon_sym_RPAREN,
    ACTIONS(8376), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142352] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8157), 1,
      anon_sym_PIPE,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8177), 1,
      anon_sym_bitor,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8153), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8155), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8159), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6713), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [142441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4886), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [142488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8378), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    ACTIONS(4148), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5601), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [142541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5128), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5130), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4036), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5700), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8294), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5698), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [142639] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8286), 1,
      anon_sym_COMMA,
    ACTIONS(8380), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6826), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4180), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5384), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5386), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [142787] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(8384), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6794), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142884] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8157), 1,
      anon_sym_PIPE,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8177), 1,
      anon_sym_bitor,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8153), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8155), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8159), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6721), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [142973] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8386), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(6988), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2528), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [143117] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8388), 1,
      anon_sym_COMMA,
    ACTIONS(8390), 1,
      anon_sym_RBRACE,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6904), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5094), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [143261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5289), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143308] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    ACTIONS(8024), 1,
      anon_sym_LPAREN2,
    STATE(4670), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6009), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6011), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [143361] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6193), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [143426] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8286), 1,
      anon_sym_COMMA,
    ACTIONS(8392), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(7022), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143523] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8157), 1,
      anon_sym_PIPE,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8177), 1,
      anon_sym_bitor,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8155), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8159), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [143610] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8232), 1,
      anon_sym_SEMI,
    ACTIONS(8394), 1,
      anon_sym_COMMA,
    ACTIONS(8397), 1,
      anon_sym_RBRACE,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143707] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8157), 1,
      anon_sym_PIPE,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8177), 1,
      anon_sym_bitor,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8159), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [143792] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8399), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(7042), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143889] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6193), 1,
      anon_sym_PIPE,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8159), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [143972] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8401), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144067] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7884), 1,
      sym_auto,
    ACTIONS(7886), 1,
      anon_sym_decltype,
    ACTIONS(7944), 1,
      anon_sym_STAR,
    ACTIONS(7946), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7958), 1,
      anon_sym_const,
    STATE(1806), 1,
      sym_decltype_auto,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(5123), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6253), 1,
      sym__abstract_declarator,
    ACTIONS(7960), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7868), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7950), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [144146] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6193), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [144215] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8403), 1,
      anon_sym_RBRACK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6812), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144312] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6193), 1,
      anon_sym_PIPE,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [144393] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8157), 1,
      anon_sym_PIPE,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8177), 1,
      anon_sym_bitor,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8153), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8155), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8159), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6729), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [144482] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(8405), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6899), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144579] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8340), 1,
      anon_sym_COMMA,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_RBRACK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6896), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144676] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8411), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(6958), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144773] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8413), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(7070), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8378), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    ACTIONS(4919), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(4912), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [144923] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8340), 1,
      anon_sym_COMMA,
    ACTIONS(8415), 1,
      anon_sym_RBRACK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6928), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145020] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8401), 1,
      anon_sym_SEMI,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(8420), 1,
      anon_sym_RBRACE,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5110), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [145164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5110), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [145211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5110), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [145258] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7854), 1,
      anon_sym_STAR,
    ACTIONS(7856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7858), 1,
      anon_sym_AMP,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6142), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7962), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [145331] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8422), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(7003), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145428] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6193), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [145505] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(8424), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(7092), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145602] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8426), 1,
      anon_sym_COMMA,
    ACTIONS(8428), 1,
      anon_sym_RBRACE,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6964), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4902), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145746] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6193), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [145821] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8430), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(6784), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145918] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8432), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(7010), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5112), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5114), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [146062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4894), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [146109] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6193), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [146180] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    ACTIONS(8157), 1,
      anon_sym_PIPE,
    ACTIONS(8161), 1,
      anon_sym_AMP,
    ACTIONS(8167), 1,
      anon_sym_GT_EQ,
    ACTIONS(8173), 1,
      anon_sym_QMARK,
    ACTIONS(8175), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8177), 1,
      anon_sym_bitor,
    ACTIONS(8179), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8153), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8155), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8159), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8169), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6725), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8163), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8165), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146273] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8434), 1,
      anon_sym___attribute__,
    STATE(4277), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8133), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8131), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [146324] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8378), 1,
      anon_sym_LT,
    STATE(1846), 1,
      sym_template_argument_list,
    STATE(2066), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4122), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4957), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4130), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [146381] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8151), 1,
      anon_sym_SLASH,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8147), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8149), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6193), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [146448] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8437), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(6848), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5082), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [146592] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8439), 1,
      anon_sym_COMMA,
    ACTIONS(8441), 1,
      anon_sym_RBRACE,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(7093), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146689] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(8443), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6976), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146786] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(8447), 1,
      anon_sym_RBRACE,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6798), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146883] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8449), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(6802), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146980] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8451), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(7030), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147077] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    ACTIONS(8453), 1,
      anon_sym_GT2,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    STATE(7050), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147174] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8455), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_RBRACE,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    STATE(6997), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147271] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6193), 1,
      anon_sym_PIPE,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [147351] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8459), 1,
      anon_sym_COMMA,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8485), 1,
      anon_sym_COLON,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147445] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7884), 1,
      sym_auto,
    ACTIONS(7886), 1,
      anon_sym_decltype,
    STATE(1806), 1,
      sym_decltype_auto,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6327), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4701), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7846), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [147523] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7850), 1,
      sym_auto,
    ACTIONS(7852), 1,
      anon_sym_decltype,
    STATE(4493), 1,
      sym_decltype_auto,
    ACTIONS(5357), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5359), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [147575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    STATE(4496), 1,
      sym_attribute_specifier,
    ACTIONS(5902), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5904), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [147625] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8495), 1,
      anon_sym_COMMA,
    ACTIONS(8497), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147719] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6193), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [147787] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8459), 1,
      anon_sym_COMMA,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8499), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147881] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6225), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6227), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [147939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    STATE(4489), 1,
      sym_attribute_specifier,
    ACTIONS(5894), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5896), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [147989] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6193), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [148055] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6713), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148143] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6209), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6211), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [148203] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8501), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148295] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6193), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [148365] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6717), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148453] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8503), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148547] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8420), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148639] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6150), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6152), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [148697] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6193), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [148771] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8397), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148863] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6193), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [148939] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6193), 1,
      anon_sym_PIPE,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [149019] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8505), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149113] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8459), 1,
      anon_sym_COMMA,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8507), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149207] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8509), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4938), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4931), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [149347] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(6193), 1,
      anon_sym_PIPE,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [149429] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8376), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    STATE(4463), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5868), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [149573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6818), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    STATE(4466), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5864), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [149669] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8511), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149761] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [149845] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8513), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149939] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8401), 1,
      anon_sym_COLON,
    ACTIONS(8459), 1,
      anon_sym_COMMA,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150033] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8515), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150127] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8517), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6791), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6793), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150267] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6665), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150355] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8519), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150447] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8521), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150541] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6665), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [150629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    ACTIONS(8523), 1,
      anon_sym_LBRACE,
    ACTIONS(8525), 1,
      anon_sym_COLON,
    STATE(4619), 1,
      sym__enum_base_clause,
    STATE(4716), 1,
      sym_enumerator_list,
    STATE(4780), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6089), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [150687] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8459), 1,
      anon_sym_COMMA,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8527), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150781] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8529), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150875] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6455), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150967] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8459), 1,
      anon_sym_COMMA,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8531), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151061] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6205), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6207), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [151121] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6193), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [151185] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [151271] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [151357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    STATE(4532), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5930), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [151407] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [151491] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6193), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [151555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    STATE(4549), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5940), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [151605] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8533), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151697] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6717), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [151785] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6721), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [151873] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 1,
      anon_sym_PIPE,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [151955] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 1,
      anon_sym_PIPE,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [152035] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6193), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [152111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5325), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [152157] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8535), 1,
      anon_sym_COMMA,
    ACTIONS(8537), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152251] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6193), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [152325] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6193), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [152395] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8459), 1,
      anon_sym_COMMA,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8539), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152489] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8541), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152581] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8543), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152675] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6193), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [152741] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6193), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6195), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [152805] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6193), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6195), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [152865] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8545), 1,
      anon_sym_COMMA,
    ACTIONS(8547), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152959] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8549), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153053] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(6532), 1,
      sym_auto,
    ACTIONS(6534), 1,
      anon_sym_decltype,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(8060), 1,
      anon_sym_STAR,
    ACTIONS(8062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8064), 1,
      anon_sym_AMP,
    STATE(2619), 1,
      sym_decltype_auto,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6318), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7846), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [153131] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [153217] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [153301] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6713), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [153389] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6193), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [153457] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6193), 1,
      anon_sym_PIPE,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [153539] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6150), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [153597] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8551), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153691] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(6193), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [153767] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    ACTIONS(8523), 1,
      anon_sym_LBRACE,
    ACTIONS(8525), 1,
      anon_sym_COLON,
    STATE(4622), 1,
      sym__enum_base_clause,
    STATE(4741), 1,
      sym_enumerator_list,
    STATE(4810), 1,
      sym_attribute_specifier,
    ACTIONS(6081), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6083), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [153825] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(6193), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [153899] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(6455), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153991] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6721), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [154079] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8553), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154173] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6193), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6195), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [154239] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6725), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154331] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6729), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [154419] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8352), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154511] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6193), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [154581] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8557), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154675] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6455), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    STATE(4567), 1,
      sym_attribute_specifier,
    ACTIONS(5878), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5880), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [154817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5217), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5219), 34,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [154863] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6739), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154955] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8559), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155049] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6193), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [155109] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8459), 1,
      anon_sym_COMMA,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8561), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155203] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6725), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155295] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    STATE(4479), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5936), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [155345] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8459), 1,
      anon_sym_COMMA,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8563), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155439] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7884), 1,
      sym_auto,
    ACTIONS(7886), 1,
      anon_sym_decltype,
    STATE(1806), 1,
      sym_decltype_auto,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6330), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4690), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7868), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [155517] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8459), 1,
      anon_sym_COMMA,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8565), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155611] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6225), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6227), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [155669] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6717), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [155757] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6182), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6184), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [155817] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4180), 1,
      anon_sym_LPAREN2,
    ACTIONS(4182), 1,
      anon_sym_STAR,
    ACTIONS(4184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4186), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8058), 1,
      anon_sym_RPAREN,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6123), 1,
      sym__declarator,
    STATE(6342), 1,
      sym__abstract_declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [155903] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8567), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155995] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6713), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [156083] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6209), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6211), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [156143] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7888), 1,
      anon_sym_STAR,
    ACTIONS(7890), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7892), 1,
      anon_sym_AMP,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6182), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6527), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [156215] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8569), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156309] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8378), 1,
      anon_sym_LT,
    STATE(1846), 1,
      sym_template_argument_list,
    ACTIONS(5601), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4148), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [156361] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8541), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156453] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8541), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156545] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8541), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156637] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8571), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156731] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8573), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5529), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156871] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8575), 1,
      anon_sym_COMMA,
    ACTIONS(8577), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    STATE(4518), 1,
      sym_attribute_specifier,
    ACTIONS(5898), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5900), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [157015] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6665), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [157103] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8232), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5728), 1,
      anon_sym_LPAREN2,
    ACTIONS(5731), 1,
      anon_sym_LBRACK,
    ACTIONS(4132), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4124), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157249] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7888), 1,
      anon_sym_STAR,
    ACTIONS(7890), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7892), 1,
      anon_sym_AMP,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6180), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7980), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [157321] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7888), 1,
      anon_sym_STAR,
    ACTIONS(7890), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7892), 1,
      anon_sym_AMP,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6179), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5666), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [157393] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7888), 1,
      anon_sym_STAR,
    ACTIONS(7890), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7892), 1,
      anon_sym_AMP,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6175), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7962), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [157465] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8579), 1,
      anon_sym_COMMA,
    ACTIONS(8581), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157559] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8583), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157653] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4180), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5337), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5339), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [157703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    STATE(4487), 1,
      sym_attribute_specifier,
    ACTIONS(5924), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5926), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [157753] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8567), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157845] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6729), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [157933] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6193), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6195), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [158005] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8459), 1,
      anon_sym_COMMA,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8585), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    STATE(4498), 1,
      sym_attribute_specifier,
    ACTIONS(5916), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5918), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [158149] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(6725), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158241] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8378), 1,
      anon_sym_LT,
    STATE(1846), 1,
      sym_template_argument_list,
    ACTIONS(4912), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4919), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [158293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8587), 1,
      anon_sym_LT,
    STATE(2490), 1,
      sym_template_argument_list,
    ACTIONS(4912), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4919), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [158345] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6729), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 1,
      sym_literal_suffix,
    ACTIONS(4132), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4124), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158481] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8056), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158573] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8026), 1,
      anon_sym_LBRACK,
    STATE(4605), 1,
      sym_new_declarator,
    ACTIONS(6075), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6077), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [158623] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8459), 1,
      anon_sym_COMMA,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8589), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158717] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8591), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158811] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8240), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8268), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(6739), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    STATE(4566), 1,
      sym_attribute_specifier,
    ACTIONS(5882), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5884), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [158953] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159045] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8593), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159137] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8595), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8587), 1,
      anon_sym_LT,
    STATE(2490), 1,
      sym_template_argument_list,
    ACTIONS(5601), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4148), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [159283] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8597), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159377] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_DOT,
    ACTIONS(8248), 1,
      anon_sym_SLASH,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_LT_LT,
    ACTIONS(8266), 1,
      anon_sym_GT_GT,
    ACTIONS(8270), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8272), 1,
      anon_sym_bitor,
    ACTIONS(8274), 1,
      anon_sym_bitand,
    STATE(3515), 1,
      sym_argument_list,
    STATE(3516), 1,
      sym_subscript_argument_list,
    ACTIONS(7443), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8244), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8246), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8276), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8260), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6721), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8262), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159465] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8459), 1,
      anon_sym_COMMA,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8599), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(2518), 34,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [159605] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7586), 1,
      anon_sym_COMMA,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8601), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159699] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6182), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6184), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [159759] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6205), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6207), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [159819] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8459), 1,
      anon_sym_COMMA,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8603), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159913] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    ACTIONS(8607), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160007] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(6532), 1,
      sym_auto,
    ACTIONS(6534), 1,
      anon_sym_decltype,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(8060), 1,
      anon_sym_STAR,
    ACTIONS(8062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8064), 1,
      anon_sym_AMP,
    STATE(2619), 1,
      sym_decltype_auto,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6301), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4706), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7868), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [160085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5394), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [160130] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5418), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [160266] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8354), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160357] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160448] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8609), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5406), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [160584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5464), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [160629] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8611), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160720] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8613), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5514), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [160856] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8615), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160947] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8617), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5402), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [161083] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(5056), 1,
      sym_ms_call_modifier,
    STATE(5343), 1,
      sym__declarator,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(6868), 1,
      sym_init_declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1783), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [161164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5464), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [161209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5485), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5487), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [161254] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8619), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161345] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8621), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161436] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8623), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161527] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161618] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8625), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161709] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4768), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161800] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5525), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [161936] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8627), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5503), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162072] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8629), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162163] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8631), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5499), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162299] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8633), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162390] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8635), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162481] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162572] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8637), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5460), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162708] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8639), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5473), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5475), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162844] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8641), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162935] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8643), 1,
      anon_sym_RBRACK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5384), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5386), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [163071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5510), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [163116] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8645), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5398), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [163252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5422), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [163297] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4746), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5444), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5446), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [163433] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8647), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6126), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6128), 31,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [163571] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(5059), 1,
      sym_ms_call_modifier,
    STATE(5379), 1,
      sym__declarator,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(7061), 1,
      sym_init_declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1783), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [163652] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8650), 1,
      anon_sym_COMMA,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163743] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8652), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163834] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8654), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163925] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8656), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164016] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8658), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164107] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8660), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164198] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8662), 1,
      anon_sym_RBRACK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5442), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164334] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8664), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5426), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164470] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(5037), 1,
      sym_ms_call_modifier,
    STATE(5279), 1,
      sym__declarator,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(6779), 1,
      sym_init_declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1783), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [164551] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8666), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164642] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8668), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164733] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8670), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164824] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8672), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164915] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8674), 1,
      anon_sym_RBRACE,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5495), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165051] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(4746), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5804), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5802), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [165104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6818), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [165149] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8676), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165240] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8678), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5483), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165376] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8680), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165467] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8682), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165558] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(5036), 1,
      sym_ms_call_modifier,
    STATE(5300), 1,
      sym__declarator,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(7038), 1,
      sym_init_declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1783), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [165639] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8684), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5483), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5456), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165820] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8686), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165911] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8695), 1,
      anon_sym_requires,
    STATE(4747), 1,
      sym_ref_qualifier,
    STATE(5565), 1,
      sym__function_attributes_end,
    STATE(5669), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5020), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [165996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5491), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [166041] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8698), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166132] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8700), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5483), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [166268] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8702), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5477), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5479), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [166404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7622), 1,
      sym_literal_suffix,
    ACTIONS(4132), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4124), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [166451] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(5053), 1,
      sym_ms_call_modifier,
    STATE(5295), 1,
      sym__declarator,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(6818), 1,
      sym_init_declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1783), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [166532] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8704), 1,
      anon_sym_RBRACK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166623] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4680), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166714] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8706), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166805] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8708), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5378), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [166941] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8710), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167032] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8712), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167123] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8714), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167214] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8716), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5468), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5452), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167395] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8718), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5414), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167531] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4727), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5410), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167667] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8720), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167758] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8722), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167849] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8465), 1,
      anon_sym_SLASH,
    ACTIONS(8471), 1,
      anon_sym_PIPE,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8481), 1,
      anon_sym_GT_EQ,
    ACTIONS(8487), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8491), 1,
      anon_sym_bitor,
    ACTIONS(8493), 1,
      anon_sym_bitand,
    ACTIONS(8724), 1,
      anon_sym_COLON,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(7368), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8461), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8463), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8467), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8469), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8473), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8483), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8477), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8479), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5390), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167985] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8726), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5339), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [168121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5533), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [168166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6791), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6793), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168211] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(5906), 1,
      anon_sym_LBRACE,
    ACTIONS(8728), 1,
      anon_sym_COLON,
    STATE(1766), 1,
      sym_attribute_specifier,
    STATE(4700), 1,
      sym__enum_base_clause,
    STATE(4847), 1,
      sym_enumerator_list,
    ACTIONS(6083), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6081), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [168359] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8730), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5430), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [168495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5382), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [168540] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6707), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(4751), 1,
      sym_ref_qualifier,
    STATE(5573), 1,
      sym__function_attributes_end,
    STATE(5723), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5046), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [168625] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8732), 1,
      anon_sym_COMMA,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168716] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(5906), 1,
      anon_sym_LBRACE,
    ACTIONS(8728), 1,
      anon_sym_COLON,
    STATE(1771), 1,
      sym_attribute_specifier,
    STATE(4694), 1,
      sym__enum_base_clause,
    STATE(4852), 1,
      sym_enumerator_list,
    ACTIONS(6089), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6087), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [168773] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8734), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168864] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168955] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169046] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8738), 1,
      anon_sym_COMMA,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169137] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(5015), 1,
      sym_ms_call_modifier,
    STATE(5310), 1,
      sym__declarator,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(6864), 1,
      sym_init_declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1783), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [169218] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169309] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8740), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169400] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169491] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4180), 1,
      anon_sym_LPAREN2,
    ACTIONS(4182), 1,
      anon_sym_STAR,
    ACTIONS(4184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4186), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5676), 1,
      anon_sym_LBRACK,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6291), 1,
      sym__declarator,
    STATE(6441), 1,
      sym__abstract_declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [169574] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1861), 1,
      anon_sym_enum,
    ACTIONS(1863), 1,
      anon_sym_class,
    ACTIONS(1865), 1,
      anon_sym_struct,
    ACTIONS(1867), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_typename,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8742), 1,
      sym_identifier,
    ACTIONS(8744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8748), 1,
      anon_sym_EQ,
    STATE(2218), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2295), 1,
      sym_type_specifier,
    STATE(2376), 1,
      sym_decltype_auto,
    STATE(2591), 1,
      sym_primitive_type,
    STATE(2947), 1,
      sym_qualified_type_identifier,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    ACTIONS(8746), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2381), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [169663] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8750), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169754] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7903), 1,
      anon_sym_STAR,
    ACTIONS(7905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7907), 1,
      anon_sym_AMP,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6209), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6527), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [169825] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8752), 1,
      anon_sym_RBRACK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169916] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8754), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170007] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7903), 1,
      anon_sym_STAR,
    ACTIONS(7905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7907), 1,
      anon_sym_AMP,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6214), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7980), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [170078] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7903), 1,
      anon_sym_STAR,
    ACTIONS(7905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7907), 1,
      anon_sym_AMP,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6217), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5666), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [170149] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(5044), 1,
      sym_ms_call_modifier,
    STATE(5330), 1,
      sym__declarator,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(6738), 1,
      sym_init_declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1783), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [170230] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_const,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7903), 1,
      anon_sym_STAR,
    ACTIONS(7905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7907), 1,
      anon_sym_AMP,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(4446), 1,
      sym_alignas_qualifier,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6222), 1,
      sym__abstract_declarator,
    ACTIONS(6832), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7962), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6822), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [170301] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8756), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170392] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8587), 1,
      anon_sym_LT,
    STATE(2263), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2490), 1,
      sym_template_argument_list,
    ACTIONS(4122), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4969), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4130), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [170447] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8758), 1,
      anon_sym_RBRACK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170538] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8760), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170629] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8762), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170720] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4750), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170811] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8764), 1,
      anon_sym_RBRACK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170902] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4712), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170993] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8766), 1,
      anon_sym_COMMA,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171084] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4748), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171175] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171266] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8770), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171357] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171448] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8772), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171539] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8774), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171630] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8776), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6164), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6166), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171766] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171857] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8778), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171948] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8780), 1,
      anon_sym_COMMA,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172039] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8782), 1,
      anon_sym_RBRACK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172130] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8784), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172221] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    ACTIONS(8786), 1,
      anon_sym_RBRACK,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172312] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8788), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172403] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    ACTIONS(8790), 1,
      anon_sym_SEMI,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172494] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4738), 1,
      anon_sym_RBRACK,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8304), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_PIPE,
    ACTIONS(8314), 1,
      anon_sym_AMP,
    ACTIONS(8320), 1,
      anon_sym_GT_EQ,
    ACTIONS(8326), 1,
      anon_sym_QMARK,
    ACTIONS(8328), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8330), 1,
      anon_sym_bitor,
    ACTIONS(8332), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8300), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8302), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8308), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8312), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8322), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8316), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8318), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6453), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6455), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6484), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6247), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172717] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_COLON,
    ACTIONS(7884), 1,
      sym_auto,
    ACTIONS(7886), 1,
      anon_sym_decltype,
    ACTIONS(7958), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_STAR,
    ACTIONS(8121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8123), 1,
      anon_sym_AMP,
    STATE(1806), 1,
      sym_decltype_auto,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(5123), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6439), 1,
      sym__abstract_declarator,
    ACTIONS(7960), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4828), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7950), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [172793] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    ACTIONS(8523), 1,
      anon_sym_LBRACE,
    STATE(4738), 1,
      sym_enumerator_list,
    STATE(4822), 1,
      sym_attribute_specifier,
    ACTIONS(5753), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5755), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [172845] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(3244), 1,
      anon_sym_STAR,
    ACTIONS(3246), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5042), 1,
      sym_ms_call_modifier,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(6281), 1,
      sym__declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1783), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [172923] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_identifier,
    ACTIONS(7974), 1,
      anon_sym_STAR,
    ACTIONS(7976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7978), 1,
      anon_sym_AMP,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5928), 1,
      sym__field_declarator,
    STATE(6011), 1,
      sym_operator_name,
    STATE(8197), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [172993] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    ACTIONS(8523), 1,
      anon_sym_LBRACE,
    STATE(4698), 1,
      sym_enumerator_list,
    STATE(4777), 1,
      sym_attribute_specifier,
    ACTIONS(5818), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5820), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [173045] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7932), 1,
      sym_identifier,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(6273), 1,
      sym__field_declarator,
    STATE(6374), 1,
      sym_operator_name,
    STATE(7948), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [173115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6488), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6490), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173159] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8792), 1,
      anon_sym___attribute__,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4792), 1,
      sym_ref_qualifier,
    STATE(5462), 1,
      sym_trailing_return_type,
    STATE(5533), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5078), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [173243] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7932), 1,
      sym_identifier,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(6279), 1,
      sym__field_declarator,
    STATE(6374), 1,
      sym_operator_name,
    STATE(7948), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [173313] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(4051), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4122), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(7916), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4130), 24,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [173367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6388), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173411] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5045), 1,
      sym_ms_call_modifier,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6082), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1783), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173489] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8792), 1,
      anon_sym___attribute__,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8801), 1,
      anon_sym_requires,
    STATE(4838), 1,
      sym_ref_qualifier,
    STATE(5396), 1,
      sym_trailing_return_type,
    STATE(5552), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5081), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [173573] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7944), 1,
      anon_sym_STAR,
    ACTIONS(7946), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7958), 1,
      anon_sym_const,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(5123), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6266), 1,
      sym__abstract_declarator,
    ACTIONS(7960), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7962), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7950), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [173643] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5021), 1,
      sym_ms_call_modifier,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6127), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1783), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173721] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7944), 1,
      anon_sym_STAR,
    ACTIONS(7946), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7958), 1,
      anon_sym_const,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(5123), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6275), 1,
      sym__abstract_declarator,
    ACTIONS(7960), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5666), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7950), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [173791] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7944), 1,
      anon_sym_STAR,
    ACTIONS(7946), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7958), 1,
      anon_sym_const,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(5123), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6278), 1,
      sym__abstract_declarator,
    ACTIONS(7960), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7980), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7950), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [173861] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7944), 1,
      anon_sym_STAR,
    ACTIONS(7946), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7958), 1,
      anon_sym_const,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(5123), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6280), 1,
      sym__abstract_declarator,
    ACTIONS(7960), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6527), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7950), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [173931] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_identifier,
    ACTIONS(7974), 1,
      anon_sym_STAR,
    ACTIONS(7976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7978), 1,
      anon_sym_AMP,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5804), 1,
      sym__field_declarator,
    STATE(6011), 1,
      sym_operator_name,
    STATE(8197), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [174001] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5033), 1,
      sym_ms_call_modifier,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6069), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1783), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [174079] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7932), 1,
      sym_identifier,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(6290), 1,
      sym__field_declarator,
    STATE(6374), 1,
      sym_operator_name,
    STATE(7948), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [174149] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5022), 1,
      sym_ms_call_modifier,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6133), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1783), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [174227] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_identifier,
    ACTIONS(7974), 1,
      anon_sym_STAR,
    ACTIONS(7976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7978), 1,
      anon_sym_AMP,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5884), 1,
      sym__field_declarator,
    STATE(6011), 1,
      sym_operator_name,
    STATE(8197), 1,
      sym_ms_based_modifier,
    ACTIONS(2694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2692), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [174297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6427), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6429), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4335), 1,
      anon_sym_SEMI,
    ACTIONS(6741), 1,
      sym_literal_suffix,
    ACTIONS(4132), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4124), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [174389] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5032), 1,
      sym_ms_call_modifier,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6101), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1783), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [174467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6268), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6270), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4124), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6441), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6431), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6433), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6229), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6231), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6392), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6384), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6378), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6380), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174819] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5066), 1,
      sym_ms_call_modifier,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6075), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1783), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [174897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6360), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6354), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6356), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6350), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6352), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8804), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5712), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5714), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6346), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6348), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6314), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175165] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7966), 1,
      anon_sym_STAR,
    ACTIONS(7968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7970), 1,
      anon_sym_AMP,
    STATE(2711), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6072), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6527), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [175235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6300), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6233), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6235), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6237), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6239), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6243), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6249), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6251), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6260), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6262), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6276), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6278), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6280), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6282), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8806), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5724), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5726), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6324), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6326), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6330), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175721] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4335), 1,
      anon_sym_SEMI,
    ACTIONS(4955), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5728), 1,
      anon_sym_LPAREN2,
    ACTIONS(5731), 1,
      anon_sym_LBRACK,
    ACTIONS(4132), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4124), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [175773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3774), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6362), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6364), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6255), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6370), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6372), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175949] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7846), 1,
      anon_sym_COLON,
    ACTIONS(7884), 1,
      sym_auto,
    ACTIONS(7886), 1,
      anon_sym_decltype,
    ACTIONS(7958), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_STAR,
    ACTIONS(8121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8123), 1,
      anon_sym_AMP,
    STATE(1806), 1,
      sym_decltype_auto,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(5123), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6403), 1,
      sym__abstract_declarator,
    ACTIONS(7960), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4862), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7950), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [176025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6376), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [176069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5221), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2860), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [176113] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7966), 1,
      anon_sym_STAR,
    ACTIONS(7968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7970), 1,
      anon_sym_AMP,
    STATE(2711), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6074), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5666), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [176183] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6138), 1,
      anon_sym_DOT,
    ACTIONS(7986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8200), 1,
      anon_sym_SLASH,
    ACTIONS(8208), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP,
    ACTIONS(8218), 1,
      anon_sym_GT_EQ,
    ACTIONS(8222), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8226), 1,
      anon_sym_bitor,
    ACTIONS(8228), 1,
      anon_sym_bitand,
    STATE(2476), 1,
      sym_argument_list,
    STATE(2481), 1,
      sym_subscript_argument_list,
    ACTIONS(6140), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8202), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8204), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8206), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8210), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8220), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8214), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8216), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176271] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5019), 1,
      sym_ms_call_modifier,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6103), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1783), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [176349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6466), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6468), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [176393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6476), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [176437] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8811), 1,
      anon_sym___asm,
    STATE(4886), 1,
      sym_ref_qualifier,
    STATE(5447), 1,
      sym__function_attributes_end,
    STATE(5462), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8808), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5091), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [176520] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8814), 1,
      sym_identifier,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8820), 1,
      anon_sym_enum,
    ACTIONS(8822), 1,
      anon_sym_class,
    ACTIONS(8824), 1,
      anon_sym_struct,
    ACTIONS(8826), 1,
      anon_sym_union,
    ACTIONS(8828), 1,
      sym_auto,
    ACTIONS(8830), 1,
      anon_sym_decltype,
    ACTIONS(8832), 1,
      anon_sym_typename,
    STATE(2139), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2590), 1,
      sym_primitive_type,
    STATE(2664), 1,
      sym_type_specifier,
    STATE(2939), 1,
      sym_decltype_auto,
    STATE(2989), 1,
      sym_qualified_type_identifier,
    STATE(4770), 1,
      sym_argument_list,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2872), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5826), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8818), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2908), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [176605] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(8060), 1,
      anon_sym_STAR,
    ACTIONS(8062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8064), 1,
      anon_sym_AMP,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6297), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7980), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [176674] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8834), 1,
      sym_identifier,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8840), 1,
      anon_sym_enum,
    ACTIONS(8842), 1,
      anon_sym_class,
    ACTIONS(8844), 1,
      anon_sym_struct,
    ACTIONS(8846), 1,
      anon_sym_union,
    ACTIONS(8848), 1,
      sym_auto,
    ACTIONS(8850), 1,
      anon_sym_decltype,
    ACTIONS(8852), 1,
      anon_sym_typename,
    STATE(2332), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2790), 1,
      sym_primitive_type,
    STATE(2875), 1,
      sym_type_specifier,
    STATE(3450), 1,
      sym_qualified_type_identifier,
    STATE(3469), 1,
      sym_decltype_auto,
    STATE(4807), 1,
      sym_argument_list,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(3216), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6158), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8838), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3466), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [176759] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(2620), 1,
      sym_auto,
    ACTIONS(2622), 1,
      anon_sym_decltype,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8854), 1,
      sym_identifier,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8858), 1,
      anon_sym_enum,
    ACTIONS(8860), 1,
      anon_sym_class,
    ACTIONS(8862), 1,
      anon_sym_struct,
    ACTIONS(8864), 1,
      anon_sym_union,
    ACTIONS(8866), 1,
      anon_sym_typename,
    STATE(2014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2282), 1,
      sym_primitive_type,
    STATE(2616), 1,
      sym_qualified_type_identifier,
    STATE(2646), 1,
      sym_decltype_auto,
    STATE(4040), 1,
      sym_type_specifier,
    STATE(4815), 1,
      sym_argument_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2565), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2586), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2584), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2644), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [176844] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8868), 1,
      sym_identifier,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8874), 1,
      anon_sym_enum,
    ACTIONS(8876), 1,
      anon_sym_class,
    ACTIONS(8878), 1,
      anon_sym_struct,
    ACTIONS(8880), 1,
      anon_sym_union,
    ACTIONS(8882), 1,
      sym_auto,
    ACTIONS(8884), 1,
      anon_sym_decltype,
    ACTIONS(8886), 1,
      anon_sym_typename,
    STATE(2055), 1,
      sym_type_specifier,
    STATE(2057), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(2233), 1,
      sym_decltype_auto,
    STATE(2303), 1,
      sym_primitive_type,
    STATE(4783), 1,
      sym_argument_list,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2164), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5649), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8872), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2232), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [176929] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6340), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7962), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [176998] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8801), 1,
      anon_sym_requires,
    STATE(4872), 1,
      sym_ref_qualifier,
    STATE(5396), 1,
      sym_trailing_return_type,
    STATE(5637), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5104), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [177081] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8876), 1,
      anon_sym_class,
    ACTIONS(8878), 1,
      anon_sym_struct,
    ACTIONS(8880), 1,
      anon_sym_union,
    ACTIONS(8882), 1,
      sym_auto,
    ACTIONS(8884), 1,
      anon_sym_decltype,
    ACTIONS(8888), 1,
      sym_identifier,
    ACTIONS(8892), 1,
      anon_sym_enum,
    ACTIONS(8894), 1,
      anon_sym_typename,
    STATE(2055), 1,
      sym_type_specifier,
    STATE(2067), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(2233), 1,
      sym_decltype_auto,
    STATE(2285), 1,
      sym_primitive_type,
    STATE(4782), 1,
      sym_argument_list,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2164), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5649), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8890), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2232), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [177166] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8378), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(4746), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4130), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8896), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4122), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [177219] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(5906), 1,
      anon_sym_LBRACE,
    STATE(1802), 1,
      sym_attribute_specifier,
    STATE(4865), 1,
      sym_enumerator_list,
    ACTIONS(5755), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5753), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [177270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4335), 1,
      anon_sym_SEMI,
    ACTIONS(4132), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4124), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [177315] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8868), 1,
      sym_identifier,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8874), 1,
      anon_sym_enum,
    ACTIONS(8876), 1,
      anon_sym_class,
    ACTIONS(8878), 1,
      anon_sym_struct,
    ACTIONS(8880), 1,
      anon_sym_union,
    ACTIONS(8882), 1,
      sym_auto,
    ACTIONS(8884), 1,
      anon_sym_decltype,
    ACTIONS(8886), 1,
      anon_sym_typename,
    STATE(2056), 1,
      sym_type_specifier,
    STATE(2057), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(2233), 1,
      sym_decltype_auto,
    STATE(2303), 1,
      sym_primitive_type,
    STATE(4819), 1,
      sym_argument_list,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2164), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5649), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8872), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2232), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [177400] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(2620), 1,
      sym_auto,
    ACTIONS(2622), 1,
      anon_sym_decltype,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8854), 1,
      sym_identifier,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8858), 1,
      anon_sym_enum,
    ACTIONS(8860), 1,
      anon_sym_class,
    ACTIONS(8862), 1,
      anon_sym_struct,
    ACTIONS(8864), 1,
      anon_sym_union,
    ACTIONS(8866), 1,
      anon_sym_typename,
    STATE(2014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2282), 1,
      sym_primitive_type,
    STATE(2616), 1,
      sym_qualified_type_identifier,
    STATE(2646), 1,
      sym_decltype_auto,
    STATE(4029), 1,
      sym_type_specifier,
    STATE(4798), 1,
      sym_argument_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2565), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2586), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2584), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2644), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [177485] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    STATE(4827), 1,
      sym_attribute_specifier,
    ACTIONS(5898), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5900), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [177532] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8834), 1,
      sym_identifier,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8840), 1,
      anon_sym_enum,
    ACTIONS(8842), 1,
      anon_sym_class,
    ACTIONS(8844), 1,
      anon_sym_struct,
    ACTIONS(8846), 1,
      anon_sym_union,
    ACTIONS(8848), 1,
      sym_auto,
    ACTIONS(8850), 1,
      anon_sym_decltype,
    ACTIONS(8852), 1,
      anon_sym_typename,
    STATE(2332), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2790), 1,
      sym_primitive_type,
    STATE(2837), 1,
      sym_type_specifier,
    STATE(3450), 1,
      sym_qualified_type_identifier,
    STATE(3469), 1,
      sym_decltype_auto,
    STATE(4811), 1,
      sym_argument_list,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(3216), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6158), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8838), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3466), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [177617] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(5906), 1,
      anon_sym_LBRACE,
    STATE(1776), 1,
      sym_attribute_specifier,
    STATE(4853), 1,
      sym_enumerator_list,
    ACTIONS(5820), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5818), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [177668] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6334), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7980), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [177737] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    ACTIONS(5906), 1,
      anon_sym_LBRACE,
    ACTIONS(8898), 1,
      anon_sym_COLON,
    STATE(1766), 1,
      sym_attribute_specifier,
    STATE(2165), 1,
      sym__enum_base_clause,
    STATE(2247), 1,
      sym_enumerator_list,
    ACTIONS(6081), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6083), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [177792] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8811), 1,
      anon_sym___asm,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8903), 1,
      anon_sym_requires,
    STATE(4887), 1,
      sym_ref_qualifier,
    STATE(5410), 1,
      sym__function_attributes_end,
    STATE(5430), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8808), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5101), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [177875] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    ACTIONS(5906), 1,
      anon_sym_LBRACE,
    ACTIONS(8898), 1,
      anon_sym_COLON,
    STATE(1771), 1,
      sym_attribute_specifier,
    STATE(2171), 1,
      sym__enum_base_clause,
    STATE(2206), 1,
      sym_enumerator_list,
    ACTIONS(6087), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6089), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [177930] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6321), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5666), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [177999] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(8060), 1,
      anon_sym_STAR,
    ACTIONS(8062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8064), 1,
      anon_sym_AMP,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6333), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7962), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [178068] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8906), 1,
      sym_identifier,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8912), 1,
      anon_sym_enum,
    ACTIONS(8914), 1,
      anon_sym_class,
    ACTIONS(8916), 1,
      anon_sym_struct,
    ACTIONS(8918), 1,
      anon_sym_union,
    ACTIONS(8920), 1,
      sym_auto,
    ACTIONS(8922), 1,
      anon_sym_decltype,
    ACTIONS(8924), 1,
      anon_sym_typename,
    STATE(2219), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2630), 1,
      sym_primitive_type,
    STATE(2675), 1,
      sym_type_specifier,
    STATE(3077), 1,
      sym_qualified_type_identifier,
    STATE(3098), 1,
      sym_decltype_auto,
    STATE(4820), 1,
      sym_argument_list,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2930), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6003), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8910), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2991), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [178153] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8906), 1,
      sym_identifier,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8912), 1,
      anon_sym_enum,
    ACTIONS(8914), 1,
      anon_sym_class,
    ACTIONS(8916), 1,
      anon_sym_struct,
    ACTIONS(8918), 1,
      anon_sym_union,
    ACTIONS(8920), 1,
      sym_auto,
    ACTIONS(8922), 1,
      anon_sym_decltype,
    ACTIONS(8924), 1,
      anon_sym_typename,
    STATE(2219), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2630), 1,
      sym_primitive_type,
    STATE(2673), 1,
      sym_type_specifier,
    STATE(3077), 1,
      sym_qualified_type_identifier,
    STATE(3098), 1,
      sym_decltype_auto,
    STATE(4793), 1,
      sym_argument_list,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2930), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6003), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8910), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2991), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [178238] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      sym_auto,
    ACTIONS(5363), 1,
      anon_sym_decltype,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1806), 1,
      sym_decltype_auto,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4880), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8928), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8926), 10,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [178295] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(8060), 1,
      anon_sym_STAR,
    ACTIONS(8062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8064), 1,
      anon_sym_AMP,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6328), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6527), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [178364] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      sym_auto,
    ACTIONS(5363), 1,
      anon_sym_decltype,
    STATE(1777), 1,
      sym_alignas_qualifier,
    STATE(1806), 1,
      sym_decltype_auto,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4883), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8932), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8930), 10,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [178421] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4236), 1,
      sym_alignas_qualifier,
    ACTIONS(8937), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8043), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(8041), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8934), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [178472] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8043), 1,
      anon_sym_AMP,
    ACTIONS(8934), 1,
      anon_sym_const,
    STATE(4236), 1,
      sym_alignas_qualifier,
    ACTIONS(8943), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8940), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8041), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178525] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6299), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6527), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [178594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    STATE(4843), 1,
      sym_attribute_specifier,
    ACTIONS(5924), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5926), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    STATE(4816), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5936), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178688] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8946), 1,
      sym_identifier,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8952), 1,
      anon_sym_enum,
    ACTIONS(8954), 1,
      anon_sym_class,
    ACTIONS(8956), 1,
      anon_sym_struct,
    ACTIONS(8958), 1,
      anon_sym_union,
    ACTIONS(8960), 1,
      sym_auto,
    ACTIONS(8962), 1,
      anon_sym_decltype,
    ACTIONS(8964), 1,
      anon_sym_typename,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2975), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3667), 1,
      sym_primitive_type,
    STATE(3743), 1,
      sym_type_specifier,
    STATE(3950), 1,
      sym_decltype_auto,
    STATE(4812), 1,
      sym_argument_list,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(3930), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7144), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8950), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3949), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [178773] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8903), 1,
      anon_sym_requires,
    STATE(4871), 1,
      sym_ref_qualifier,
    STATE(5430), 1,
      sym_trailing_return_type,
    STATE(5620), 1,
      sym__function_attributes_end,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5085), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [178856] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8966), 1,
      sym_identifier,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8970), 1,
      anon_sym_enum,
    ACTIONS(8972), 1,
      anon_sym_class,
    ACTIONS(8974), 1,
      anon_sym_struct,
    ACTIONS(8976), 1,
      anon_sym_union,
    ACTIONS(8978), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(3986), 1,
      sym_type_specifier,
    STATE(4855), 1,
      sym_argument_list,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [178941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    STATE(4845), 1,
      sym_attribute_specifier,
    ACTIONS(5916), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5918), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178988] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4869), 1,
      sym_ref_qualifier,
    STATE(5462), 1,
      sym_trailing_return_type,
    STATE(5625), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5106), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [179071] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(8060), 1,
      anon_sym_STAR,
    ACTIONS(8062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8064), 1,
      anon_sym_AMP,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(4236), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6332), 1,
      sym__abstract_declarator,
    ACTIONS(7715), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5666), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7707), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [179140] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8966), 1,
      sym_identifier,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8970), 1,
      anon_sym_enum,
    ACTIONS(8972), 1,
      anon_sym_class,
    ACTIONS(8974), 1,
      anon_sym_struct,
    ACTIONS(8976), 1,
      anon_sym_union,
    ACTIONS(8978), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(3999), 1,
      sym_type_specifier,
    STATE(4779), 1,
      sym_argument_list,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [179225] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8876), 1,
      anon_sym_class,
    ACTIONS(8878), 1,
      anon_sym_struct,
    ACTIONS(8880), 1,
      anon_sym_union,
    ACTIONS(8882), 1,
      sym_auto,
    ACTIONS(8884), 1,
      anon_sym_decltype,
    ACTIONS(8888), 1,
      sym_identifier,
    ACTIONS(8892), 1,
      anon_sym_enum,
    ACTIONS(8894), 1,
      anon_sym_typename,
    STATE(2056), 1,
      sym_type_specifier,
    STATE(2067), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(2233), 1,
      sym_decltype_auto,
    STATE(2285), 1,
      sym_primitive_type,
    STATE(4791), 1,
      sym_argument_list,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2164), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5649), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8890), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2232), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [179310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    STATE(4772), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5864), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179357] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4875), 1,
      sym_ref_qualifier,
    STATE(5448), 1,
      sym_trailing_return_type,
    STATE(5613), 1,
      sym__function_attributes_end,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5089), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [179440] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8966), 1,
      sym_identifier,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8970), 1,
      anon_sym_enum,
    ACTIONS(8972), 1,
      anon_sym_class,
    ACTIONS(8974), 1,
      anon_sym_struct,
    ACTIONS(8976), 1,
      anon_sym_union,
    ACTIONS(8978), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(3877), 1,
      sym_type_specifier,
    STATE(4831), 1,
      sym_argument_list,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [179525] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    STATE(4774), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5868), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179572] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8814), 1,
      sym_identifier,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8820), 1,
      anon_sym_enum,
    ACTIONS(8822), 1,
      anon_sym_class,
    ACTIONS(8824), 1,
      anon_sym_struct,
    ACTIONS(8826), 1,
      anon_sym_union,
    ACTIONS(8828), 1,
      sym_auto,
    ACTIONS(8830), 1,
      anon_sym_decltype,
    ACTIONS(8832), 1,
      anon_sym_typename,
    STATE(2139), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2590), 1,
      sym_primitive_type,
    STATE(2666), 1,
      sym_type_specifier,
    STATE(2939), 1,
      sym_decltype_auto,
    STATE(2989), 1,
      sym_qualified_type_identifier,
    STATE(4826), 1,
      sym_argument_list,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2872), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5826), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8818), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2908), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [179657] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8946), 1,
      sym_identifier,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8952), 1,
      anon_sym_enum,
    ACTIONS(8954), 1,
      anon_sym_class,
    ACTIONS(8956), 1,
      anon_sym_struct,
    ACTIONS(8958), 1,
      anon_sym_union,
    ACTIONS(8960), 1,
      sym_auto,
    ACTIONS(8962), 1,
      anon_sym_decltype,
    ACTIONS(8964), 1,
      anon_sym_typename,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2975), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3667), 1,
      sym_primitive_type,
    STATE(3729), 1,
      sym_type_specifier,
    STATE(3950), 1,
      sym_decltype_auto,
    STATE(4809), 1,
      sym_argument_list,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(3930), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7144), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8950), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3949), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [179742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    STATE(4813), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5940), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179789] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8811), 1,
      anon_sym___asm,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4884), 1,
      sym_ref_qualifier,
    STATE(5446), 1,
      sym__function_attributes_end,
    STATE(5448), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8808), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5103), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [179872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    STATE(4814), 1,
      sym_attribute_specifier,
    ACTIONS(5878), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5880), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179919] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(8980), 1,
      anon_sym_COLON,
    STATE(2427), 1,
      sym__enum_base_clause,
    STATE(2532), 1,
      sym_enumerator_list,
    STATE(2610), 1,
      sym_attribute_specifier,
    ACTIONS(6081), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6083), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [179974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    STATE(4804), 1,
      sym_attribute_specifier,
    ACTIONS(5928), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5930), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180021] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8982), 1,
      sym_identifier,
    STATE(4753), 1,
      sym_primitive_type,
    STATE(4754), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8988), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(5343), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8985), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5345), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [180074] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8801), 1,
      anon_sym_requires,
    ACTIONS(8811), 1,
      anon_sym___asm,
    STATE(4867), 1,
      sym_ref_qualifier,
    STATE(5396), 1,
      sym_trailing_return_type,
    STATE(5476), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8808), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5097), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [180157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    STATE(4794), 1,
      sym_attribute_specifier,
    ACTIONS(5882), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5884), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    STATE(4781), 1,
      sym_attribute_specifier,
    ACTIONS(5902), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5904), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180251] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym___attribute__,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(8980), 1,
      anon_sym_COLON,
    STATE(2458), 1,
      sym__enum_base_clause,
    STATE(2556), 1,
      sym_enumerator_list,
    STATE(2638), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6089), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [180306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8334), 1,
      anon_sym___attribute__,
    STATE(4778), 1,
      sym_attribute_specifier,
    ACTIONS(5894), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5896), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180353] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(8966), 1,
      sym_identifier,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8970), 1,
      anon_sym_enum,
    ACTIONS(8972), 1,
      anon_sym_class,
    ACTIONS(8974), 1,
      anon_sym_struct,
    ACTIONS(8976), 1,
      anon_sym_union,
    ACTIONS(8978), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(3903), 1,
      sym_type_specifier,
    STATE(4773), 1,
      sym_argument_list,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5477), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5479), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180480] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7912), 1,
      sym_auto,
    ACTIONS(7914), 1,
      anon_sym_decltype,
    STATE(4825), 1,
      sym_decltype_auto,
    ACTIONS(5357), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5359), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5525), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5678), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8991), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5680), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [180616] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9001), 1,
      anon_sym_requires,
    STATE(5595), 1,
      sym__function_attributes_end,
    STATE(5664), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8998), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5014), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [180692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4760), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5613), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [180738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5452), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180780] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    STATE(2250), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3519), 1,
      sym_argument_list,
    STATE(4660), 1,
      sym_initializer_list,
    ACTIONS(5337), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5992), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5339), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [180834] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6707), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    STATE(5570), 1,
      sym__function_attributes_end,
    STATE(5686), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5061), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [180910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5384), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5386), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4761), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5619), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9010), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5621), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [180998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5434), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9013), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5437), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [181044] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(4889), 1,
      sym_ref_qualifier,
    STATE(5782), 1,
      sym__function_attributes_end,
    STATE(5825), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5115), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [181126] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8748), 1,
      anon_sym_EQ,
    ACTIONS(9017), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5380), 1,
      sym_ms_declspec_modifier,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8746), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5296), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5028), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [181216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5426), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181258] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(7137), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4898), 1,
      sym_ref_qualifier,
    STATE(5701), 1,
      sym__function_attributes_end,
    STATE(5888), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5112), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [181340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5351), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5607), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9019), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5609), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [181428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5698), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9022), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5700), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [181474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4768), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5386), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5384), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [181518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5406), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181560] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(9025), 1,
      anon_sym_requires,
    STATE(4892), 1,
      sym_ref_qualifier,
    STATE(5786), 1,
      sym__function_attributes_end,
    STATE(5918), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5113), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [181642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5337), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5339), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181686] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8695), 1,
      anon_sym_requires,
    STATE(5565), 1,
      sym__function_attributes_end,
    STATE(5669), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5020), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [181762] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9028), 1,
      anon_sym_requires,
    STATE(4888), 1,
      sym_ref_qualifier,
    STATE(5697), 1,
      sym__function_attributes_end,
    STATE(5936), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5118), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [181844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5692), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9031), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5694), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [181890] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6707), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(5573), 1,
      sym__function_attributes_end,
    STATE(5723), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5046), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [181966] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8814), 1,
      sym_identifier,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8820), 1,
      anon_sym_enum,
    ACTIONS(8822), 1,
      anon_sym_class,
    ACTIONS(8824), 1,
      anon_sym_struct,
    ACTIONS(8826), 1,
      anon_sym_union,
    ACTIONS(8828), 1,
      sym_auto,
    ACTIONS(8830), 1,
      anon_sym_decltype,
    ACTIONS(8832), 1,
      anon_sym_typename,
    STATE(2139), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2590), 1,
      sym_primitive_type,
    STATE(2661), 1,
      sym_type_specifier,
    STATE(2939), 1,
      sym_decltype_auto,
    STATE(2989), 1,
      sym_qualified_type_identifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2872), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5826), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8818), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2908), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182045] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(7327), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(4988), 1,
      sym_ref_qualifier,
    STATE(5862), 1,
      sym__function_attributes_end,
    STATE(6005), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5131), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [182126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5402), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182167] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(8966), 1,
      sym_identifier,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8970), 1,
      anon_sym_enum,
    ACTIONS(8972), 1,
      anon_sym_class,
    ACTIONS(8974), 1,
      anon_sym_struct,
    ACTIONS(8976), 1,
      anon_sym_union,
    ACTIONS(8978), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(3898), 1,
      sym_type_specifier,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5514), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5464), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182328] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8834), 1,
      sym_identifier,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8840), 1,
      anon_sym_enum,
    ACTIONS(8842), 1,
      anon_sym_class,
    ACTIONS(8844), 1,
      anon_sym_struct,
    ACTIONS(8846), 1,
      anon_sym_union,
    ACTIONS(8848), 1,
      sym_auto,
    ACTIONS(8850), 1,
      anon_sym_decltype,
    ACTIONS(8852), 1,
      anon_sym_typename,
    STATE(2332), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2790), 1,
      sym_primitive_type,
    STATE(3253), 1,
      sym_type_specifier,
    STATE(3450), 1,
      sym_qualified_type_identifier,
    STATE(3469), 1,
      sym_decltype_auto,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(3216), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6158), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8838), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3466), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5418), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5473), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5475), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182489] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(8966), 1,
      sym_identifier,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8970), 1,
      anon_sym_enum,
    ACTIONS(8972), 1,
      anon_sym_class,
    ACTIONS(8974), 1,
      anon_sym_struct,
    ACTIONS(8976), 1,
      anon_sym_union,
    ACTIONS(8978), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(3938), 1,
      sym_type_specifier,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5398), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5422), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182650] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8876), 1,
      anon_sym_class,
    ACTIONS(8878), 1,
      anon_sym_struct,
    ACTIONS(8880), 1,
      anon_sym_union,
    ACTIONS(8882), 1,
      sym_auto,
    ACTIONS(8884), 1,
      anon_sym_decltype,
    ACTIONS(8888), 1,
      sym_identifier,
    ACTIONS(8892), 1,
      anon_sym_enum,
    ACTIONS(8894), 1,
      anon_sym_typename,
    STATE(2061), 1,
      sym_type_specifier,
    STATE(2067), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(2233), 1,
      sym_decltype_auto,
    STATE(2285), 1,
      sym_primitive_type,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2164), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5649), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8890), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2232), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182729] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8868), 1,
      sym_identifier,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8874), 1,
      anon_sym_enum,
    ACTIONS(8876), 1,
      anon_sym_class,
    ACTIONS(8878), 1,
      anon_sym_struct,
    ACTIONS(8880), 1,
      anon_sym_union,
    ACTIONS(8882), 1,
      sym_auto,
    ACTIONS(8884), 1,
      anon_sym_decltype,
    ACTIONS(8886), 1,
      anon_sym_typename,
    STATE(2057), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2061), 1,
      sym_type_specifier,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(2233), 1,
      sym_decltype_auto,
    STATE(2303), 1,
      sym_primitive_type,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2164), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5649), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8872), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2232), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5518), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182849] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    ACTIONS(9034), 1,
      anon_sym_COLON,
    STATE(4194), 1,
      sym__enum_base_clause,
    STATE(4391), 1,
      sym_enumerator_list,
    STATE(4495), 1,
      sym_attribute_specifier,
    ACTIONS(6087), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6089), 24,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [182902] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(5666), 1,
      anon_sym_COLON,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7958), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_STAR,
    ACTIONS(8121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8123), 1,
      anon_sym_AMP,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(5123), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6406), 1,
      sym__abstract_declarator,
    ACTIONS(7960), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7950), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [182969] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(8966), 1,
      sym_identifier,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8970), 1,
      anon_sym_enum,
    ACTIONS(8972), 1,
      anon_sym_class,
    ACTIONS(8974), 1,
      anon_sym_struct,
    ACTIONS(8976), 1,
      anon_sym_union,
    ACTIONS(8978), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1755), 1,
      sym_type_specifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [183048] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7292), 1,
      sym_identifier,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7300), 1,
      anon_sym_enum,
    ACTIONS(7302), 1,
      anon_sym_class,
    ACTIONS(7304), 1,
      anon_sym_struct,
    ACTIONS(7306), 1,
      anon_sym_union,
    ACTIONS(7308), 1,
      sym_auto,
    ACTIONS(7310), 1,
      anon_sym_decltype,
    ACTIONS(7312), 1,
      anon_sym_typename,
    STATE(3944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4421), 1,
      sym_primitive_type,
    STATE(4744), 1,
      sym_type_specifier,
    STATE(4821), 1,
      sym_qualified_type_identifier,
    STATE(4858), 1,
      sym_decltype_auto,
    STATE(6223), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(4765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7298), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7296), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4856), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [183127] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8906), 1,
      sym_identifier,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8912), 1,
      anon_sym_enum,
    ACTIONS(8914), 1,
      anon_sym_class,
    ACTIONS(8916), 1,
      anon_sym_struct,
    ACTIONS(8918), 1,
      anon_sym_union,
    ACTIONS(8920), 1,
      sym_auto,
    ACTIONS(8922), 1,
      anon_sym_decltype,
    ACTIONS(8924), 1,
      anon_sym_typename,
    STATE(2219), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2630), 1,
      sym_primitive_type,
    STATE(2909), 1,
      sym_type_specifier,
    STATE(3077), 1,
      sym_qualified_type_identifier,
    STATE(3098), 1,
      sym_decltype_auto,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2930), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6003), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8910), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2991), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [183206] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    ACTIONS(9034), 1,
      anon_sym_COLON,
    STATE(4209), 1,
      sym__enum_base_clause,
    STATE(4298), 1,
      sym_enumerator_list,
    STATE(4544), 1,
      sym_attribute_specifier,
    ACTIONS(6081), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6083), 24,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [183259] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8876), 1,
      anon_sym_class,
    ACTIONS(8878), 1,
      anon_sym_struct,
    ACTIONS(8880), 1,
      anon_sym_union,
    ACTIONS(8882), 1,
      sym_auto,
    ACTIONS(8884), 1,
      anon_sym_decltype,
    ACTIONS(8888), 1,
      sym_identifier,
    ACTIONS(8892), 1,
      anon_sym_enum,
    ACTIONS(8894), 1,
      anon_sym_typename,
    STATE(2058), 1,
      sym_type_specifier,
    STATE(2067), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(2233), 1,
      sym_decltype_auto,
    STATE(2285), 1,
      sym_primitive_type,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2164), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5649), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8890), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2232), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [183338] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym___attribute__,
    ACTIONS(9039), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5453), 1,
      sym_trailing_return_type,
    STATE(5556), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5082), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [183413] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8906), 1,
      sym_identifier,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8912), 1,
      anon_sym_enum,
    ACTIONS(8914), 1,
      anon_sym_class,
    ACTIONS(8916), 1,
      anon_sym_struct,
    ACTIONS(8918), 1,
      anon_sym_union,
    ACTIONS(8920), 1,
      sym_auto,
    ACTIONS(8922), 1,
      anon_sym_decltype,
    ACTIONS(8924), 1,
      anon_sym_typename,
    STATE(2219), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2630), 1,
      sym_primitive_type,
    STATE(2682), 1,
      sym_type_specifier,
    STATE(3077), 1,
      sym_qualified_type_identifier,
    STATE(3098), 1,
      sym_decltype_auto,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2930), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6003), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8910), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2991), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [183492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5430), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183533] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8792), 1,
      anon_sym___attribute__,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5462), 1,
      sym_trailing_return_type,
    STATE(5533), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5078), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [183608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5483), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5483), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183690] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(2620), 1,
      sym_auto,
    ACTIONS(2622), 1,
      anon_sym_decltype,
    ACTIONS(8854), 1,
      sym_identifier,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8858), 1,
      anon_sym_enum,
    ACTIONS(8860), 1,
      anon_sym_class,
    ACTIONS(8862), 1,
      anon_sym_struct,
    ACTIONS(8864), 1,
      anon_sym_union,
    ACTIONS(8866), 1,
      anon_sym_typename,
    STATE(2014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2282), 1,
      sym_primitive_type,
    STATE(2616), 1,
      sym_qualified_type_identifier,
    STATE(2646), 1,
      sym_decltype_auto,
    STATE(4005), 1,
      sym_type_specifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2565), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2586), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2584), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2644), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [183769] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1861), 1,
      anon_sym_enum,
    ACTIONS(1863), 1,
      anon_sym_class,
    ACTIONS(1865), 1,
      anon_sym_struct,
    ACTIONS(1867), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_typename,
    ACTIONS(4870), 1,
      sym_identifier,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
    STATE(2218), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2295), 1,
      sym_type_specifier,
    STATE(2376), 1,
      sym_decltype_auto,
    STATE(2591), 1,
      sym_primitive_type,
    STATE(2947), 1,
      sym_qualified_type_identifier,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2381), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [183848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5464), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183889] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8792), 1,
      anon_sym___attribute__,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8801), 1,
      anon_sym_requires,
    STATE(5396), 1,
      sym_trailing_return_type,
    STATE(5552), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5081), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [183964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5456), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184005] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8814), 1,
      sym_identifier,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8820), 1,
      anon_sym_enum,
    ACTIONS(8822), 1,
      anon_sym_class,
    ACTIONS(8824), 1,
      anon_sym_struct,
    ACTIONS(8826), 1,
      anon_sym_union,
    ACTIONS(8828), 1,
      sym_auto,
    ACTIONS(8830), 1,
      anon_sym_decltype,
    ACTIONS(8832), 1,
      anon_sym_typename,
    STATE(2139), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2590), 1,
      sym_primitive_type,
    STATE(2899), 1,
      sym_type_specifier,
    STATE(2939), 1,
      sym_decltype_auto,
    STATE(2989), 1,
      sym_qualified_type_identifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2872), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5826), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8818), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2908), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [184084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5491), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5483), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5485), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5487), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184207] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8834), 1,
      sym_identifier,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8840), 1,
      anon_sym_enum,
    ACTIONS(8842), 1,
      anon_sym_class,
    ACTIONS(8844), 1,
      anon_sym_struct,
    ACTIONS(8846), 1,
      anon_sym_union,
    ACTIONS(8848), 1,
      sym_auto,
    ACTIONS(8850), 1,
      anon_sym_decltype,
    ACTIONS(8852), 1,
      anon_sym_typename,
    STATE(2332), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2790), 1,
      sym_primitive_type,
    STATE(2876), 1,
      sym_type_specifier,
    STATE(3450), 1,
      sym_qualified_type_identifier,
    STATE(3469), 1,
      sym_decltype_auto,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(3216), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6158), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8838), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3466), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [184286] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(2588), 1,
      anon_sym_enum,
    ACTIONS(2590), 1,
      anon_sym_class,
    ACTIONS(2592), 1,
      anon_sym_struct,
    ACTIONS(2594), 1,
      anon_sym_union,
    ACTIONS(2620), 1,
      sym_auto,
    ACTIONS(2622), 1,
      anon_sym_decltype,
    ACTIONS(2624), 1,
      anon_sym_typename,
    ACTIONS(7288), 1,
      sym_identifier,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    STATE(2014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2282), 1,
      sym_primitive_type,
    STATE(2573), 1,
      sym_type_specifier,
    STATE(2616), 1,
      sym_qualified_type_identifier,
    STATE(2646), 1,
      sym_decltype_auto,
    STATE(6210), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2565), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2586), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2584), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2644), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [184365] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8946), 1,
      sym_identifier,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8952), 1,
      anon_sym_enum,
    ACTIONS(8954), 1,
      anon_sym_class,
    ACTIONS(8956), 1,
      anon_sym_struct,
    ACTIONS(8958), 1,
      anon_sym_union,
    ACTIONS(8960), 1,
      sym_auto,
    ACTIONS(8962), 1,
      anon_sym_decltype,
    ACTIONS(8964), 1,
      anon_sym_typename,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2975), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3667), 1,
      sym_primitive_type,
    STATE(3740), 1,
      sym_type_specifier,
    STATE(3950), 1,
      sym_decltype_auto,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(3930), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7144), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8950), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3949), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [184444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5378), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184485] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8834), 1,
      sym_identifier,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8840), 1,
      anon_sym_enum,
    ACTIONS(8842), 1,
      anon_sym_class,
    ACTIONS(8844), 1,
      anon_sym_struct,
    ACTIONS(8846), 1,
      anon_sym_union,
    ACTIONS(8848), 1,
      sym_auto,
    ACTIONS(8850), 1,
      anon_sym_decltype,
    ACTIONS(8852), 1,
      anon_sym_typename,
    STATE(2332), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2790), 1,
      sym_primitive_type,
    STATE(2894), 1,
      sym_type_specifier,
    STATE(3450), 1,
      sym_qualified_type_identifier,
    STATE(3469), 1,
      sym_decltype_auto,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(3216), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6158), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8838), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3466), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [184564] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8946), 1,
      sym_identifier,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8952), 1,
      anon_sym_enum,
    ACTIONS(8954), 1,
      anon_sym_class,
    ACTIONS(8956), 1,
      anon_sym_struct,
    ACTIONS(8958), 1,
      anon_sym_union,
    ACTIONS(8960), 1,
      sym_auto,
    ACTIONS(8962), 1,
      anon_sym_decltype,
    ACTIONS(8964), 1,
      anon_sym_typename,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2975), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3667), 1,
      sym_primitive_type,
    STATE(3731), 1,
      sym_type_specifier,
    STATE(3950), 1,
      sym_decltype_auto,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(3930), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7144), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8950), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3949), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [184643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5468), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5382), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184725] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(2620), 1,
      sym_auto,
    ACTIONS(2622), 1,
      anon_sym_decltype,
    ACTIONS(8854), 1,
      sym_identifier,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8858), 1,
      anon_sym_enum,
    ACTIONS(8860), 1,
      anon_sym_class,
    ACTIONS(8862), 1,
      anon_sym_struct,
    ACTIONS(8864), 1,
      anon_sym_union,
    ACTIONS(8866), 1,
      anon_sym_typename,
    STATE(2014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2282), 1,
      sym_primitive_type,
    STATE(2616), 1,
      sym_qualified_type_identifier,
    STATE(2646), 1,
      sym_decltype_auto,
    STATE(4025), 1,
      sym_type_specifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2565), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2586), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2584), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2644), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [184804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5503), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184845] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8876), 1,
      anon_sym_class,
    ACTIONS(8878), 1,
      anon_sym_struct,
    ACTIONS(8880), 1,
      anon_sym_union,
    ACTIONS(8882), 1,
      sym_auto,
    ACTIONS(8884), 1,
      anon_sym_decltype,
    ACTIONS(8888), 1,
      sym_identifier,
    ACTIONS(8892), 1,
      anon_sym_enum,
    ACTIONS(8894), 1,
      anon_sym_typename,
    STATE(2067), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2177), 1,
      sym_type_specifier,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(2233), 1,
      sym_decltype_auto,
    STATE(2285), 1,
      sym_primitive_type,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2164), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5649), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8890), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2232), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [184924] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(2620), 1,
      sym_auto,
    ACTIONS(2622), 1,
      anon_sym_decltype,
    ACTIONS(8854), 1,
      sym_identifier,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8858), 1,
      anon_sym_enum,
    ACTIONS(8860), 1,
      anon_sym_class,
    ACTIONS(8862), 1,
      anon_sym_struct,
    ACTIONS(8864), 1,
      anon_sym_union,
    ACTIONS(8866), 1,
      anon_sym_typename,
    STATE(2014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2282), 1,
      sym_primitive_type,
    STATE(2573), 1,
      sym_type_specifier,
    STATE(2616), 1,
      sym_qualified_type_identifier,
    STATE(2646), 1,
      sym_decltype_auto,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2565), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2586), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2584), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2644), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185003] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8868), 1,
      sym_identifier,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8874), 1,
      anon_sym_enum,
    ACTIONS(8876), 1,
      anon_sym_class,
    ACTIONS(8878), 1,
      anon_sym_struct,
    ACTIONS(8880), 1,
      anon_sym_union,
    ACTIONS(8882), 1,
      sym_auto,
    ACTIONS(8884), 1,
      anon_sym_decltype,
    ACTIONS(8886), 1,
      anon_sym_typename,
    STATE(2057), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2058), 1,
      sym_type_specifier,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(2233), 1,
      sym_decltype_auto,
    STATE(2303), 1,
      sym_primitive_type,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2164), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5649), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8872), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2232), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185082] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8906), 1,
      sym_identifier,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8912), 1,
      anon_sym_enum,
    ACTIONS(8914), 1,
      anon_sym_class,
    ACTIONS(8916), 1,
      anon_sym_struct,
    ACTIONS(8918), 1,
      anon_sym_union,
    ACTIONS(8920), 1,
      sym_auto,
    ACTIONS(8922), 1,
      anon_sym_decltype,
    ACTIONS(8924), 1,
      anon_sym_typename,
    STATE(2219), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2630), 1,
      sym_primitive_type,
    STATE(2693), 1,
      sym_type_specifier,
    STATE(3077), 1,
      sym_qualified_type_identifier,
    STATE(3098), 1,
      sym_decltype_auto,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2930), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(6003), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8910), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2991), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5339), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5499), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185243] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7256), 1,
      sym_identifier,
    ACTIONS(7258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7260), 1,
      anon_sym_enum,
    ACTIONS(7262), 1,
      anon_sym_class,
    ACTIONS(7264), 1,
      anon_sym_struct,
    ACTIONS(7266), 1,
      anon_sym_union,
    ACTIONS(7268), 1,
      anon_sym_typename,
    STATE(2295), 1,
      sym_type_specifier,
    STATE(2376), 1,
      sym_decltype_auto,
    STATE(2581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(2902), 1,
      sym_primitive_type,
    STATE(6220), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3810), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2381), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185322] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8868), 1,
      sym_identifier,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8874), 1,
      anon_sym_enum,
    ACTIONS(8876), 1,
      anon_sym_class,
    ACTIONS(8878), 1,
      anon_sym_struct,
    ACTIONS(8880), 1,
      anon_sym_union,
    ACTIONS(8882), 1,
      sym_auto,
    ACTIONS(8884), 1,
      anon_sym_decltype,
    ACTIONS(8886), 1,
      anon_sym_typename,
    STATE(2057), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2177), 1,
      sym_type_specifier,
    STATE(2229), 1,
      sym_qualified_type_identifier,
    STATE(2233), 1,
      sym_decltype_auto,
    STATE(2303), 1,
      sym_primitive_type,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2164), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5649), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8872), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2232), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5510), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185442] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8814), 1,
      sym_identifier,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8820), 1,
      anon_sym_enum,
    ACTIONS(8822), 1,
      anon_sym_class,
    ACTIONS(8824), 1,
      anon_sym_struct,
    ACTIONS(8826), 1,
      anon_sym_union,
    ACTIONS(8828), 1,
      sym_auto,
    ACTIONS(8830), 1,
      anon_sym_decltype,
    ACTIONS(8832), 1,
      anon_sym_typename,
    STATE(2139), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2590), 1,
      sym_primitive_type,
    STATE(2615), 1,
      sym_type_specifier,
    STATE(2939), 1,
      sym_decltype_auto,
    STATE(2989), 1,
      sym_qualified_type_identifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2872), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5826), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8818), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2908), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5495), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185562] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7958), 1,
      anon_sym_const,
    ACTIONS(7962), 1,
      anon_sym_COLON,
    ACTIONS(8119), 1,
      anon_sym_STAR,
    ACTIONS(8121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8123), 1,
      anon_sym_AMP,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(5123), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6402), 1,
      sym__abstract_declarator,
    ACTIONS(7960), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7950), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [185629] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7247), 1,
      sym_auto,
    ACTIONS(7249), 1,
      anon_sym_decltype,
    ACTIONS(7274), 1,
      sym_identifier,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7278), 1,
      anon_sym_enum,
    ACTIONS(7280), 1,
      anon_sym_class,
    ACTIONS(7282), 1,
      anon_sym_struct,
    ACTIONS(7284), 1,
      anon_sym_union,
    ACTIONS(7286), 1,
      anon_sym_typename,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4048), 1,
      sym_primitive_type,
    STATE(4292), 1,
      sym_type_specifier,
    STATE(4561), 1,
      sym_decltype_auto,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7235), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4560), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185708] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(8946), 1,
      sym_identifier,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8952), 1,
      anon_sym_enum,
    ACTIONS(8954), 1,
      anon_sym_class,
    ACTIONS(8956), 1,
      anon_sym_struct,
    ACTIONS(8958), 1,
      anon_sym_union,
    ACTIONS(8960), 1,
      sym_auto,
    ACTIONS(8962), 1,
      anon_sym_decltype,
    ACTIONS(8964), 1,
      anon_sym_typename,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2975), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3667), 1,
      sym_primitive_type,
    STATE(3915), 1,
      sym_type_specifier,
    STATE(3950), 1,
      sym_decltype_auto,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(3930), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7144), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8950), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3949), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185787] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(8966), 1,
      sym_identifier,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8970), 1,
      anon_sym_enum,
    ACTIONS(8972), 1,
      anon_sym_class,
    ACTIONS(8974), 1,
      anon_sym_struct,
    ACTIONS(8976), 1,
      anon_sym_union,
    ACTIONS(8978), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(3882), 1,
      sym_type_specifier,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5414), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5410), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5394), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185989] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(3800), 1,
      sym_identifier,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3812), 1,
      anon_sym_enum,
    ACTIONS(3814), 1,
      anon_sym_class,
    ACTIONS(3816), 1,
      anon_sym_struct,
    ACTIONS(3818), 1,
      anon_sym_union,
    ACTIONS(3820), 1,
      anon_sym_typename,
    STATE(2295), 1,
      sym_type_specifier,
    STATE(2376), 1,
      sym_decltype_auto,
    STATE(2581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(2902), 1,
      sym_primitive_type,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3810), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2381), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9042), 1,
      sym_ms_restrict_modifier,
    STATE(4957), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7093), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9045), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9048), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4836), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7095), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [186119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5390), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186160] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym___attribute__,
    ACTIONS(9039), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_requires,
    STATE(5385), 1,
      sym_trailing_return_type,
    STATE(5550), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5073), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [186235] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7256), 1,
      sym_identifier,
    ACTIONS(7258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7260), 1,
      anon_sym_enum,
    ACTIONS(7262), 1,
      anon_sym_class,
    ACTIONS(7264), 1,
      anon_sym_struct,
    ACTIONS(7266), 1,
      anon_sym_union,
    ACTIONS(7268), 1,
      anon_sym_typename,
    STATE(2376), 1,
      sym_decltype_auto,
    STATE(2581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(2902), 1,
      sym_primitive_type,
    STATE(6220), 1,
      sym__scope_resolution,
    STATE(6443), 1,
      sym_type_specifier,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3810), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2381), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186314] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(6527), 1,
      anon_sym_COLON,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7958), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_STAR,
    ACTIONS(8121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8123), 1,
      anon_sym_AMP,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(5123), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6411), 1,
      sym__abstract_declarator,
    ACTIONS(7960), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7950), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [186381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1790), 1,
      sym_attribute_specifier,
    ACTIONS(5940), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5938), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [186426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1800), 1,
      sym_attribute_specifier,
    ACTIONS(5930), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5928), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [186471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5460), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186512] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1791), 1,
      anon_sym_enum,
    ACTIONS(1793), 1,
      anon_sym_class,
    ACTIONS(1795), 1,
      anon_sym_struct,
    ACTIONS(1797), 1,
      anon_sym_union,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(1827), 1,
      anon_sym_typename,
    ACTIONS(7058), 1,
      sym_identifier,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1755), 1,
      sym_type_specifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5444), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5446), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1778), 1,
      sym_attribute_specifier,
    ACTIONS(5904), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5902), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [186677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1795), 1,
      sym_attribute_specifier,
    ACTIONS(5896), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5894), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [186722] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7256), 1,
      sym_identifier,
    ACTIONS(7258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7260), 1,
      anon_sym_enum,
    ACTIONS(7262), 1,
      anon_sym_class,
    ACTIONS(7264), 1,
      anon_sym_struct,
    ACTIONS(7266), 1,
      anon_sym_union,
    ACTIONS(7268), 1,
      anon_sym_typename,
    STATE(2376), 1,
      sym_decltype_auto,
    STATE(2581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(2902), 1,
      sym_primitive_type,
    STATE(6220), 1,
      sym__scope_resolution,
    STATE(6450), 1,
      sym_type_specifier,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3810), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2381), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1807), 1,
      sym_attribute_specifier,
    ACTIONS(5868), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5866), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [186846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1772), 1,
      sym_attribute_specifier,
    ACTIONS(5864), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5862), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [186891] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(3260), 1,
      anon_sym_enum,
    ACTIONS(3262), 1,
      anon_sym_class,
    ACTIONS(3264), 1,
      anon_sym_struct,
    ACTIONS(3266), 1,
      anon_sym_union,
    ACTIONS(3268), 1,
      anon_sym_typename,
    ACTIONS(4982), 1,
      sym_identifier,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    STATE(2218), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2295), 1,
      sym_type_specifier,
    STATE(2376), 1,
      sym_decltype_auto,
    STATE(2591), 1,
      sym_primitive_type,
    STATE(2947), 1,
      sym_qualified_type_identifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2381), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1803), 1,
      sym_attribute_specifier,
    ACTIONS(5936), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5934), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [187015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1801), 1,
      sym_attribute_specifier,
    ACTIONS(5900), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5898), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [187060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1788), 1,
      sym_attribute_specifier,
    ACTIONS(5926), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5924), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [187105] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(8966), 1,
      sym_identifier,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8970), 1,
      anon_sym_enum,
    ACTIONS(8972), 1,
      anon_sym_class,
    ACTIONS(8974), 1,
      anon_sym_struct,
    ACTIONS(8976), 1,
      anon_sym_union,
    ACTIONS(8978), 1,
      anon_sym_typename,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2011), 1,
      sym_qualified_type_identifier,
    STATE(2062), 1,
      sym_primitive_type,
    STATE(3984), 1,
      sym_type_specifier,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5339), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1784), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5916), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [187270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5533), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187311] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(9057), 1,
      anon_sym_requires,
    STATE(4977), 1,
      sym_ref_qualifier,
    STATE(5910), 1,
      sym__function_attributes_end,
    STATE(6046), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5120), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [187392] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1823), 1,
      sym_auto,
    ACTIONS(1825), 1,
      anon_sym_decltype,
    ACTIONS(7146), 1,
      sym_identifier,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7152), 1,
      anon_sym_enum,
    ACTIONS(7154), 1,
      anon_sym_class,
    ACTIONS(7156), 1,
      anon_sym_struct,
    ACTIONS(7158), 1,
      anon_sym_union,
    ACTIONS(7160), 1,
      anon_sym_typename,
    STATE(1755), 1,
      sym_type_specifier,
    STATE(1817), 1,
      sym_decltype_auto,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4881), 1,
      sym_primitive_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(1731), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1814), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187471] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_enum,
    ACTIONS(71), 1,
      anon_sym_class,
    ACTIONS(73), 1,
      anon_sym_struct,
    ACTIONS(75), 1,
      anon_sym_union,
    ACTIONS(123), 1,
      sym_auto,
    ACTIONS(125), 1,
      anon_sym_decltype,
    ACTIONS(129), 1,
      anon_sym_typename,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(4982), 1,
      sym_identifier,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    STATE(2218), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2295), 1,
      sym_type_specifier,
    STATE(2376), 1,
      sym_decltype_auto,
    STATE(2591), 1,
      sym_primitive_type,
    STATE(2947), 1,
      sym_qualified_type_identifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2381), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187550] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7958), 1,
      anon_sym_const,
    ACTIONS(7980), 1,
      anon_sym_COLON,
    ACTIONS(8119), 1,
      anon_sym_STAR,
    ACTIONS(8121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8123), 1,
      anon_sym_AMP,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(5123), 1,
      sym_alignas_qualifier,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6408), 1,
      sym__abstract_declarator,
    ACTIONS(7960), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7950), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [187617] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(7231), 1,
      sym_identifier,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7239), 1,
      anon_sym_enum,
    ACTIONS(7241), 1,
      anon_sym_class,
    ACTIONS(7243), 1,
      anon_sym_struct,
    ACTIONS(7245), 1,
      anon_sym_union,
    ACTIONS(7247), 1,
      sym_auto,
    ACTIONS(7249), 1,
      anon_sym_decltype,
    ACTIONS(7251), 1,
      anon_sym_typename,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4048), 1,
      sym_primitive_type,
    STATE(4292), 1,
      sym_type_specifier,
    STATE(4561), 1,
      sym_decltype_auto,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_dependent_type_identifier,
    STATE(2289), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7235), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4560), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5442), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1780), 1,
      sym_attribute_specifier,
    ACTIONS(5884), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [187782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1767), 1,
      sym_attribute_specifier,
    ACTIONS(5880), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5878), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [187827] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9039), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym___asm,
    STATE(5385), 1,
      sym_trailing_return_type,
    STATE(5477), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5092), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [187901] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(6461), 1,
      anon_sym_LPAREN2,
    STATE(2070), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2469), 1,
      sym_argument_list,
    STATE(3838), 1,
      sym_initializer_list,
    ACTIONS(5337), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5658), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5339), 21,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [187953] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9039), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5453), 1,
      sym_trailing_return_type,
    STATE(5641), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5102), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [188027] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8811), 1,
      anon_sym___asm,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8903), 1,
      anon_sym_requires,
    STATE(5410), 1,
      sym__function_attributes_end,
    STATE(5430), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8808), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5101), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [188101] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9069), 1,
      anon_sym_requires,
    STATE(5431), 1,
      sym_trailing_return_type,
    STATE(5623), 1,
      sym__function_attributes_end,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5093), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [188175] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9039), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_requires,
    STATE(5385), 1,
      sym_trailing_return_type,
    STATE(5627), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5095), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [188249] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5462), 1,
      sym_trailing_return_type,
    STATE(5625), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5106), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [188323] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_LBRACE,
    ACTIONS(7103), 1,
      anon_sym_LPAREN2,
    STATE(2070), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3328), 1,
      sym_argument_list,
    STATE(3365), 1,
      sym_initializer_list,
    ACTIONS(5337), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5658), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5339), 21,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [188375] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9066), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5457), 1,
      sym_trailing_return_type,
    STATE(5612), 1,
      sym__function_attributes_end,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5086), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [188449] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8811), 1,
      anon_sym___asm,
    STATE(5447), 1,
      sym__function_attributes_end,
    STATE(5462), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8808), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5091), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [188523] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8903), 1,
      anon_sym_requires,
    STATE(5430), 1,
      sym_trailing_return_type,
    STATE(5620), 1,
      sym__function_attributes_end,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5085), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [188597] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5448), 1,
      sym_trailing_return_type,
    STATE(5613), 1,
      sym__function_attributes_end,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5089), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [188671] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8801), 1,
      anon_sym_requires,
    ACTIONS(8811), 1,
      anon_sym___asm,
    STATE(5396), 1,
      sym_trailing_return_type,
    STATE(5476), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8808), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5097), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [188745] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1777), 1,
      sym_alignas_qualifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9074), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9072), 10,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [188793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4768), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5339), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9076), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5337), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [188837] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8811), 1,
      anon_sym___asm,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5446), 1,
      sym__function_attributes_end,
    STATE(5448), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8808), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5103), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [188911] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1777), 1,
      sym_alignas_qualifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9081), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9079), 10,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(63), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [188959] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9063), 1,
      anon_sym___asm,
    ACTIONS(9066), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5438), 1,
      sym__function_attributes_end,
    STATE(5457), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5099), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [189033] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8801), 1,
      anon_sym_requires,
    STATE(5396), 1,
      sym_trailing_return_type,
    STATE(5637), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5104), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [189107] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9039), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9063), 1,
      anon_sym___asm,
    STATE(5453), 1,
      sym_trailing_return_type,
    STATE(5455), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5084), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [189181] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9063), 1,
      anon_sym___asm,
    ACTIONS(9066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9069), 1,
      anon_sym_requires,
    STATE(5425), 1,
      sym__function_attributes_end,
    STATE(5431), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5087), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [189255] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9083), 1,
      anon_sym_requires,
    STATE(5695), 1,
      sym__function_attributes_end,
    STATE(5935), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5117), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [189328] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    STATE(5781), 1,
      sym__function_attributes_end,
    STATE(5843), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5109), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [189401] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(7626), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5075), 1,
      sym_ref_qualifier,
    STATE(5957), 1,
      sym__function_attributes_end,
    STATE(6076), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8688), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5168), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [189480] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9028), 1,
      anon_sym_requires,
    STATE(5697), 1,
      sym__function_attributes_end,
    STATE(5936), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5118), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [189553] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9086), 1,
      anon_sym_requires,
    STATE(5788), 1,
      sym__function_attributes_end,
    STATE(5923), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8998), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5114), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [189626] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(5072), 1,
      sym_ref_qualifier,
    STATE(5825), 1,
      sym_trailing_return_type,
    STATE(6026), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8688), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5156), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [189705] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(7137), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5701), 1,
      sym__function_attributes_end,
    STATE(5888), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5112), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [189778] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(5782), 1,
      sym__function_attributes_end,
    STATE(5825), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5115), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [189851] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(9025), 1,
      anon_sym_requires,
    STATE(5786), 1,
      sym__function_attributes_end,
    STATE(5918), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5113), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [189924] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9089), 1,
      anon_sym_requires,
    STATE(5068), 1,
      sym_ref_qualifier,
    STATE(5945), 1,
      sym__function_attributes_end,
    STATE(6114), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8688), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5163), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [190003] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(7137), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9066), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5662), 1,
      sym__function_attributes_end,
    STATE(5798), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5108), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [190076] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6621), 1,
      anon_sym_AMP,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(9025), 1,
      anon_sym_requires,
    STATE(5076), 1,
      sym_ref_qualifier,
    STATE(5918), 1,
      sym_trailing_return_type,
    STATE(6055), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8688), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5148), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [190155] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(5326), 1,
      sym_ms_declspec_modifier,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5324), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5063), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190235] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2685), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190315] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2725), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190395] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1769), 1,
      sym__class_declaration,
    STATE(1770), 1,
      sym__class_declaration_item,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(5297), 1,
      sym_ms_declspec_modifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5304), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5065), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190475] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190555] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    ACTIONS(9098), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5361), 1,
      sym_ms_declspec_modifier,
    STATE(6235), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3850), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5360), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5041), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190635] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2699), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190715] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2699), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190795] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1770), 1,
      sym__class_declaration_item,
    STATE(1774), 1,
      sym__class_declaration,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(5297), 1,
      sym_ms_declspec_modifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5304), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5065), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190875] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2725), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190955] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2699), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191035] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2671), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191115] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5589), 1,
      sym__declarator,
    STATE(6955), 1,
      sym_init_declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191185] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2671), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191265] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2671), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191345] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6219), 1,
      anon_sym_LBRACE,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2574), 1,
      sym_template_type,
    STATE(2758), 1,
      sym_field_declaration_list,
    STATE(2937), 1,
      sym__class_declaration,
    STATE(2948), 1,
      sym__class_declaration_item,
    STATE(5308), 1,
      sym_ms_declspec_modifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6492), 1,
      sym_virtual_specifier,
    STATE(7327), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5306), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5047), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191425] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6219), 1,
      anon_sym_LBRACE,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2574), 1,
      sym_template_type,
    STATE(2758), 1,
      sym_field_declaration_list,
    STATE(2929), 1,
      sym__class_declaration,
    STATE(2948), 1,
      sym__class_declaration_item,
    STATE(5308), 1,
      sym_ms_declspec_modifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6492), 1,
      sym_virtual_specifier,
    STATE(7327), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5306), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5047), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191505] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    ACTIONS(9098), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5361), 1,
      sym_ms_declspec_modifier,
    STATE(6235), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3850), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5360), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5041), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191585] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(5307), 1,
      sym_ms_declspec_modifier,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5287), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5025), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191665] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(5307), 1,
      sym_ms_declspec_modifier,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5287), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5025), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191745] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(5307), 1,
      sym_ms_declspec_modifier,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5287), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5025), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191825] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5572), 1,
      sym__declarator,
    STATE(7061), 1,
      sym_init_declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191895] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    ACTIONS(9098), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5361), 1,
      sym_ms_declspec_modifier,
    STATE(6235), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3850), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5360), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5041), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191975] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4453), 1,
      sym__class_declaration_item,
    STATE(4554), 1,
      sym__class_declaration,
    STATE(5291), 1,
      sym_ms_declspec_modifier,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5029), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192055] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2727), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192135] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6219), 1,
      anon_sym_LBRACE,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2574), 1,
      sym_template_type,
    STATE(2758), 1,
      sym_field_declaration_list,
    STATE(2923), 1,
      sym__class_declaration,
    STATE(2948), 1,
      sym__class_declaration_item,
    STATE(5308), 1,
      sym_ms_declspec_modifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6492), 1,
      sym_virtual_specifier,
    STATE(7327), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5306), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5047), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192215] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4453), 1,
      sym__class_declaration_item,
    STATE(4552), 1,
      sym__class_declaration,
    STATE(5291), 1,
      sym_ms_declspec_modifier,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5029), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192295] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1770), 1,
      sym__class_declaration_item,
    STATE(1775), 1,
      sym__class_declaration,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(5297), 1,
      sym_ms_declspec_modifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5304), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5065), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192375] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5600), 1,
      sym__declarator,
    STATE(6779), 1,
      sym_init_declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192445] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9104), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5380), 1,
      sym_ms_declspec_modifier,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5296), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5028), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192525] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9104), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5380), 1,
      sym_ms_declspec_modifier,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5296), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5028), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192605] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2727), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192685] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2727), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192765] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4453), 1,
      sym__class_declaration_item,
    STATE(4558), 1,
      sym__class_declaration,
    STATE(5291), 1,
      sym_ms_declspec_modifier,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5029), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192845] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192925] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2626), 1,
      sym__class_declaration_item,
    STATE(2627), 1,
      sym__class_declaration,
    STATE(5364), 1,
      sym_ms_declspec_modifier,
    STATE(6210), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5350), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5013), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193005] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2725), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193085] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7399), 1,
      anon_sym_LBRACE,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9108), 1,
      sym_identifier,
    STATE(3697), 1,
      sym_template_type,
    STATE(3885), 1,
      sym_field_declaration_list,
    STATE(3939), 1,
      sym__class_declaration,
    STATE(3942), 1,
      sym__class_declaration_item,
    STATE(5349), 1,
      sym_ms_declspec_modifier,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(6553), 1,
      sym_virtual_specifier,
    STATE(7385), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3181), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5348), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5024), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193165] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2670), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193245] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7399), 1,
      anon_sym_LBRACE,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9108), 1,
      sym_identifier,
    STATE(3697), 1,
      sym_template_type,
    STATE(3885), 1,
      sym_field_declaration_list,
    STATE(3941), 1,
      sym__class_declaration,
    STATE(3942), 1,
      sym__class_declaration_item,
    STATE(5349), 1,
      sym_ms_declspec_modifier,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(6553), 1,
      sym_virtual_specifier,
    STATE(7385), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3181), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5348), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5024), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193325] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2670), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193405] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7399), 1,
      anon_sym_LBRACE,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9108), 1,
      sym_identifier,
    STATE(3697), 1,
      sym_template_type,
    STATE(3885), 1,
      sym_field_declaration_list,
    STATE(3942), 1,
      sym__class_declaration_item,
    STATE(3943), 1,
      sym__class_declaration,
    STATE(5349), 1,
      sym_ms_declspec_modifier,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(6553), 1,
      sym_virtual_specifier,
    STATE(7385), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3181), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5348), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5024), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193485] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2670), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193565] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2624), 1,
      sym__class_declaration,
    STATE(2626), 1,
      sym__class_declaration_item,
    STATE(5364), 1,
      sym_ms_declspec_modifier,
    STATE(6210), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5350), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5013), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193645] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9104), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5380), 1,
      sym_ms_declspec_modifier,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5296), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5028), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193725] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2622), 1,
      sym__class_declaration,
    STATE(2626), 1,
      sym__class_declaration_item,
    STATE(5364), 1,
      sym_ms_declspec_modifier,
    STATE(6210), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5350), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5013), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193805] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2685), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193885] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5576), 1,
      sym__declarator,
    STATE(6818), 1,
      sym_init_declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193955] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5601), 1,
      sym__declarator,
    STATE(6955), 1,
      sym_init_declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [194025] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    ACTIONS(9110), 1,
      sym_identifier,
    STATE(4207), 1,
      sym_template_type,
    STATE(4735), 1,
      sym_field_declaration_list,
    STATE(4832), 1,
      sym__class_declaration,
    STATE(4834), 1,
      sym__class_declaration_item,
    STATE(5319), 1,
      sym_ms_declspec_modifier,
    STATE(6223), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4185), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5321), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5049), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194105] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2626), 1,
      sym__class_declaration_item,
    STATE(2627), 1,
      sym__class_declaration,
    STATE(5371), 1,
      sym_ms_declspec_modifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5374), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5060), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194185] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    ACTIONS(9110), 1,
      sym_identifier,
    STATE(4207), 1,
      sym_template_type,
    STATE(4735), 1,
      sym_field_declaration_list,
    STATE(4833), 1,
      sym__class_declaration,
    STATE(4834), 1,
      sym__class_declaration_item,
    STATE(5319), 1,
      sym_ms_declspec_modifier,
    STATE(6223), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4185), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5321), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5049), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194265] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5608), 1,
      sym__declarator,
    STATE(7349), 1,
      sym_init_declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [194335] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2624), 1,
      sym__class_declaration,
    STATE(2626), 1,
      sym__class_declaration_item,
    STATE(5371), 1,
      sym_ms_declspec_modifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5374), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5060), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194415] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2622), 1,
      sym__class_declaration,
    STATE(2626), 1,
      sym__class_declaration_item,
    STATE(5371), 1,
      sym_ms_declspec_modifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5374), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5060), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194495] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2685), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194575] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    ACTIONS(9110), 1,
      sym_identifier,
    STATE(4207), 1,
      sym_template_type,
    STATE(4735), 1,
      sym_field_declaration_list,
    STATE(4834), 1,
      sym__class_declaration_item,
    STATE(4837), 1,
      sym__class_declaration,
    STATE(5319), 1,
      sym_ms_declspec_modifier,
    STATE(6223), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4185), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5321), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5049), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7659), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7661), 27,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [194693] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5590), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9114), 1,
      sym_identifier,
    STATE(2086), 1,
      sym_template_type,
    STATE(2174), 1,
      sym_field_declaration_list,
    STATE(2220), 1,
      sym__class_declaration,
    STATE(2224), 1,
      sym__class_declaration_item,
    STATE(5283), 1,
      sym_ms_declspec_modifier,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(6493), 1,
      sym_virtual_specifier,
    STATE(7378), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5011), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194773] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7648), 27,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [194891] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5590), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9114), 1,
      sym_identifier,
    STATE(2086), 1,
      sym_template_type,
    STATE(2174), 1,
      sym_field_declaration_list,
    STATE(2221), 1,
      sym__class_declaration,
    STATE(2224), 1,
      sym__class_declaration_item,
    STATE(5283), 1,
      sym_ms_declspec_modifier,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(6493), 1,
      sym_virtual_specifier,
    STATE(7378), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5011), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194971] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2680), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195051] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2678), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195131] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2680), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195211] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2680), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195291] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5590), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9114), 1,
      sym_identifier,
    STATE(2086), 1,
      sym_template_type,
    STATE(2174), 1,
      sym_field_declaration_list,
    STATE(2224), 1,
      sym__class_declaration_item,
    STATE(2225), 1,
      sym__class_declaration,
    STATE(5283), 1,
      sym_ms_declspec_modifier,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(6493), 1,
      sym_virtual_specifier,
    STATE(7378), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5011), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195371] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2678), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195451] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9116), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1769), 1,
      sym__class_declaration,
    STATE(1770), 1,
      sym__class_declaration_item,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(5293), 1,
      sym_ms_declspec_modifier,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5299), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5035), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195531] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6757), 1,
      anon_sym_STAR,
    ACTIONS(6759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6761), 1,
      anon_sym_AMP,
    ACTIONS(6763), 1,
      anon_sym_COLON_COLON,
    STATE(5506), 1,
      sym__declarator,
    STATE(5545), 1,
      sym__scope_resolution,
    STATE(6955), 1,
      sym_init_declarator,
    STATE(7543), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [195601] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(7327), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(5862), 1,
      sym__function_attributes_end,
    STATE(6005), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5131), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [195673] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9116), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1770), 1,
      sym__class_declaration_item,
    STATE(1774), 1,
      sym__class_declaration,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(5293), 1,
      sym_ms_declspec_modifier,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5299), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5035), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195753] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2686), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195833] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9116), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1770), 1,
      sym__class_declaration_item,
    STATE(1775), 1,
      sym__class_declaration,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(5293), 1,
      sym_ms_declspec_modifier,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5299), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5035), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195913] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2686), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195993] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(5326), 1,
      sym_ms_declspec_modifier,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5324), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5063), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196073] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2678), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196153] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9118), 1,
      anon_sym_requires,
    STATE(5905), 1,
      sym__function_attributes_end,
    STATE(6043), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8998), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5129), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [196225] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(5326), 1,
      sym_ms_declspec_modifier,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5324), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5063), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196305] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2686), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196385] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6550), 1,
      anon_sym_LBRACE,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9121), 1,
      sym_identifier,
    STATE(2801), 1,
      sym_template_type,
    STATE(3143), 1,
      sym_field_declaration_list,
    STATE(3433), 1,
      sym__class_declaration_item,
    STATE(3440), 1,
      sym__class_declaration,
    STATE(5351), 1,
      sym_ms_declspec_modifier,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7218), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2584), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5352), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5023), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196465] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6550), 1,
      anon_sym_LBRACE,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9121), 1,
      sym_identifier,
    STATE(2801), 1,
      sym_template_type,
    STATE(3143), 1,
      sym_field_declaration_list,
    STATE(3430), 1,
      sym__class_declaration,
    STATE(3433), 1,
      sym__class_declaration_item,
    STATE(5351), 1,
      sym_ms_declspec_modifier,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7218), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2584), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5352), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5023), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196545] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6550), 1,
      anon_sym_LBRACE,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9121), 1,
      sym_identifier,
    STATE(2801), 1,
      sym_template_type,
    STATE(3143), 1,
      sym_field_declaration_list,
    STATE(3429), 1,
      sym__class_declaration,
    STATE(3433), 1,
      sym__class_declaration_item,
    STATE(5351), 1,
      sym_ms_declspec_modifier,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7218), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2584), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5352), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5023), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196625] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2700), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196705] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2700), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196785] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9123), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1769), 1,
      sym__class_declaration,
    STATE(1770), 1,
      sym__class_declaration_item,
    STATE(4842), 1,
      sym_field_declaration_list,
    STATE(5373), 1,
      sym_ms_declspec_modifier,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(6607), 1,
      sym_virtual_specifier,
    STATE(7225), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4151), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5012), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196865] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9123), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1770), 1,
      sym__class_declaration_item,
    STATE(1774), 1,
      sym__class_declaration,
    STATE(4842), 1,
      sym_field_declaration_list,
    STATE(5373), 1,
      sym_ms_declspec_modifier,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(6607), 1,
      sym_virtual_specifier,
    STATE(7225), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4151), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5012), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196945] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9123), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1770), 1,
      sym__class_declaration_item,
    STATE(1775), 1,
      sym__class_declaration,
    STATE(4842), 1,
      sym_field_declaration_list,
    STATE(5373), 1,
      sym_ms_declspec_modifier,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(6607), 1,
      sym_virtual_specifier,
    STATE(7225), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4151), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5012), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197025] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(7327), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    STATE(5863), 1,
      sym__function_attributes_end,
    STATE(6058), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5133), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8994), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [197097] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2700), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197177] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9125), 1,
      sym_identifier,
    STATE(2643), 1,
      sym_template_type,
    STATE(2868), 1,
      sym_field_declaration_list,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3099), 1,
      sym__class_declaration,
    STATE(5346), 1,
      sym_ms_declspec_modifier,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(6713), 1,
      sym_virtual_specifier,
    STATE(7165), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2440), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5345), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5027), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197257] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2692), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197337] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9125), 1,
      sym_identifier,
    STATE(2643), 1,
      sym_template_type,
    STATE(2868), 1,
      sym_field_declaration_list,
    STATE(3068), 1,
      sym__class_declaration,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(5346), 1,
      sym_ms_declspec_modifier,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(6713), 1,
      sym_virtual_specifier,
    STATE(7165), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2440), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5345), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5027), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197417] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5584), 1,
      sym__declarator,
    STATE(6868), 1,
      sym_init_declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197487] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2726), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197567] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9125), 1,
      sym_identifier,
    STATE(2643), 1,
      sym_template_type,
    STATE(2868), 1,
      sym_field_declaration_list,
    STATE(2999), 1,
      sym__class_declaration,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(5346), 1,
      sym_ms_declspec_modifier,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(6713), 1,
      sym_virtual_specifier,
    STATE(7165), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2440), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5345), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5027), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197647] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2726), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197727] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2669), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197807] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2726), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197887] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2713), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197967] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2713), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198047] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2713), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198127] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4453), 1,
      sym__class_declaration_item,
    STATE(4558), 1,
      sym__class_declaration,
    STATE(5329), 1,
      sym_ms_declspec_modifier,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5331), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5050), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198207] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2692), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198287] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2343), 1,
      sym__class_declaration,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2692), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198367] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2321), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2669), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198447] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2327), 1,
      sym__class_declaration,
    STATE(2338), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5309), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2669), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198527] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4453), 1,
      sym__class_declaration_item,
    STATE(4552), 1,
      sym__class_declaration,
    STATE(5329), 1,
      sym_ms_declspec_modifier,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5331), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5050), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198607] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(9057), 1,
      anon_sym_requires,
    STATE(5910), 1,
      sym__function_attributes_end,
    STATE(6046), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5120), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8688), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [198679] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4453), 1,
      sym__class_declaration_item,
    STATE(4554), 1,
      sym__class_declaration,
    STATE(5329), 1,
      sym_ms_declspec_modifier,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5331), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5050), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198759] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(5190), 1,
      sym_ms_call_modifier,
    STATE(6317), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [198820] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5590), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9114), 1,
      sym_identifier,
    STATE(2086), 1,
      sym_template_type,
    STATE(2174), 1,
      sym_field_declaration_list,
    STATE(2237), 1,
      sym__class_declaration_item,
    STATE(5318), 1,
      sym_ms_declspec_modifier,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(6493), 1,
      sym_virtual_specifier,
    STATE(7378), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5317), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198897] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9123), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1809), 1,
      sym__class_declaration_item,
    STATE(4842), 1,
      sym_field_declaration_list,
    STATE(5367), 1,
      sym_ms_declspec_modifier,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(6607), 1,
      sym_virtual_specifier,
    STATE(7225), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4151), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5368), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198974] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2668), 1,
      sym__class_declaration_item,
    STATE(5322), 1,
      sym_ms_declspec_modifier,
    STATE(6210), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5338), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199051] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9134), 1,
      anon_sym_requires,
    STATE(5597), 1,
      sym__function_attributes_end,
    STATE(5659), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9131), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [199116] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6104), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199183] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6769), 1,
      anon_sym_STAR,
    ACTIONS(6771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6773), 1,
      anon_sym_AMP,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(6031), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199250] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_STAR,
    ACTIONS(6808), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6810), 1,
      anon_sym_AMP,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5789), 1,
      sym__declarator,
    STATE(8299), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199317] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6757), 1,
      anon_sym_STAR,
    ACTIONS(6759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6761), 1,
      anon_sym_AMP,
    ACTIONS(6763), 1,
      anon_sym_COLON_COLON,
    STATE(5545), 1,
      sym__scope_resolution,
    STATE(5768), 1,
      sym__declarator,
    STATE(7543), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199384] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6090), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199451] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9001), 1,
      anon_sym_requires,
    STATE(5595), 1,
      sym__function_attributes_end,
    STATE(5664), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8998), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [199516] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6135), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199583] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6077), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199650] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6550), 1,
      anon_sym_LBRACE,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9121), 1,
      sym_identifier,
    STATE(2801), 1,
      sym_template_type,
    STATE(3143), 1,
      sym_field_declaration_list,
    STATE(3362), 1,
      sym__class_declaration_item,
    STATE(5354), 1,
      sym_ms_declspec_modifier,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7218), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2584), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5353), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199727] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7399), 1,
      anon_sym_LBRACE,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9108), 1,
      sym_identifier,
    STATE(3697), 1,
      sym_template_type,
    STATE(3885), 1,
      sym_field_declaration_list,
    STATE(3946), 1,
      sym__class_declaration_item,
    STATE(5333), 1,
      sym_ms_declspec_modifier,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(6553), 1,
      sym_virtual_specifier,
    STATE(7385), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3181), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5335), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199804] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(5313), 1,
      sym_ms_declspec_modifier,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5312), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199881] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5320), 1,
      sym_ms_declspec_modifier,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5347), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199958] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9125), 1,
      sym_identifier,
    STATE(2643), 1,
      sym_template_type,
    STATE(2868), 1,
      sym_field_declaration_list,
    STATE(3116), 1,
      sym__class_declaration_item,
    STATE(5332), 1,
      sym_ms_declspec_modifier,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(6713), 1,
      sym_virtual_specifier,
    STATE(7165), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2440), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200035] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9104), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5285), 1,
      sym_ms_declspec_modifier,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5276), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200112] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4523), 1,
      sym__class_declaration_item,
    STATE(5340), 1,
      sym_ms_declspec_modifier,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5339), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200189] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(3244), 1,
      anon_sym_STAR,
    ACTIONS(3246), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(6262), 1,
      sym__declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200256] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(3244), 1,
      anon_sym_STAR,
    ACTIONS(3246), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(6254), 1,
      sym__declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200323] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6145), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200390] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6130), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200457] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6123), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200524] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9116), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1809), 1,
      sym__class_declaration_item,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(5369), 1,
      sym_ms_declspec_modifier,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5370), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200601] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6091), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200668] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6107), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200735] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(6707), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(5573), 1,
      sym__function_attributes_end,
    STATE(5723), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200800] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(5233), 1,
      sym_ms_call_modifier,
    STATE(6315), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [200861] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5664), 1,
      sym_identifier,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6769), 1,
      anon_sym_STAR,
    ACTIONS(6771), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6773), 1,
      anon_sym_AMP,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(6162), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200928] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    ACTIONS(9098), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(5302), 1,
      sym_ms_declspec_modifier,
    STATE(6235), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3850), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5305), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201005] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(3244), 1,
      anon_sym_STAR,
    ACTIONS(3246), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(6291), 1,
      sym__declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201072] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(3244), 1,
      anon_sym_STAR,
    ACTIONS(3246), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(6123), 1,
      sym__declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201139] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6071), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201206] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6063), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201273] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(6707), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    STATE(5570), 1,
      sym__function_attributes_end,
    STATE(5686), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [201338] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6219), 1,
      anon_sym_LBRACE,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2574), 1,
      sym_template_type,
    STATE(2758), 1,
      sym_field_declaration_list,
    STATE(2910), 1,
      sym__class_declaration_item,
    STATE(5281), 1,
      sym_ms_declspec_modifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6492), 1,
      sym_virtual_specifier,
    STATE(7327), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5282), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201415] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6781), 1,
      anon_sym_STAR,
    ACTIONS(6783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6785), 1,
      anon_sym_AMP,
    ACTIONS(6787), 1,
      anon_sym_COLON_COLON,
    STATE(5498), 1,
      sym__scope_resolution,
    STATE(6283), 1,
      sym__declarator,
    STATE(7673), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201482] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    ACTIONS(9110), 1,
      sym_identifier,
    STATE(4207), 1,
      sym_template_type,
    STATE(4735), 1,
      sym_field_declaration_list,
    STATE(4796), 1,
      sym__class_declaration_item,
    STATE(5325), 1,
      sym_ms_declspec_modifier,
    STATE(6223), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4185), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201559] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4523), 1,
      sym__class_declaration_item,
    STATE(5314), 1,
      sym_ms_declspec_modifier,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5315), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201636] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8695), 1,
      anon_sym_requires,
    STATE(5565), 1,
      sym__function_attributes_end,
    STATE(5669), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [201701] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(5212), 1,
      sym_ms_call_modifier,
    STATE(6336), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [201762] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6110), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201829] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9137), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5961), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5959), 16,
      anon_sym_virtual,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [201870] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(3244), 1,
      anon_sym_STAR,
    ACTIONS(3246), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(6256), 1,
      sym__declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201937] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6064), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [202004] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(5255), 1,
      sym_ms_call_modifier,
    STATE(6306), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [202065] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(3244), 1,
      anon_sym_STAR,
    ACTIONS(3246), 1,
      anon_sym_AMP,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(6276), 1,
      sym__declarator,
    STATE(8181), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [202132] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6068), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [202199] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2668), 1,
      sym__class_declaration_item,
    STATE(5376), 1,
      sym_ms_declspec_modifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202276] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(6707), 1,
      anon_sym_requires,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    STATE(5581), 1,
      sym__function_attributes_end,
    STATE(5678), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [202341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5355), 1,
      anon_sym_LBRACE,
    ACTIONS(5337), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5339), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [202382] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2364), 1,
      sym__class_declaration_item,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(5278), 1,
      sym_ms_declspec_modifier,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202459] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5539), 1,
      sym_identifier,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    ACTIONS(6781), 1,
      anon_sym_STAR,
    ACTIONS(6783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6785), 1,
      anon_sym_AMP,
    ACTIONS(6787), 1,
      anon_sym_COLON_COLON,
    STATE(5498), 1,
      sym__scope_resolution,
    STATE(6246), 1,
      sym__declarator,
    STATE(7673), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [202526] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5547), 1,
      anon_sym___attribute__,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5553), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1809), 1,
      sym__class_declaration_item,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(5289), 1,
      sym_ms_declspec_modifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5555), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5341), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202603] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3240), 1,
      anon_sym_LPAREN2,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6743), 1,
      sym_identifier,
    ACTIONS(6745), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6749), 1,
      anon_sym_AMP,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6753), 1,
      anon_sym_LBRACK,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(6119), 1,
      sym__declarator,
    STATE(7877), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5932), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [202670] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8792), 1,
      anon_sym___attribute__,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5462), 1,
      sym_trailing_return_type,
    STATE(5533), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202734] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9039), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9140), 1,
      anon_sym_requires,
    STATE(5999), 1,
      sym__function_attributes_end,
    STATE(6129), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8994), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5173), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [202804] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(9025), 1,
      anon_sym_requires,
    STATE(5918), 1,
      sym_trailing_return_type,
    STATE(6055), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8688), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5148), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [202874] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9089), 1,
      anon_sym_requires,
    STATE(5945), 1,
      sym__function_attributes_end,
    STATE(6114), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8688), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5163), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [202944] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8792), 1,
      anon_sym___attribute__,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8801), 1,
      anon_sym_requires,
    STATE(5396), 1,
      sym_trailing_return_type,
    STATE(5552), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [203008] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    STATE(5843), 1,
      sym_trailing_return_type,
    STATE(6021), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8994), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5172), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [203078] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9143), 1,
      anon_sym___attribute__,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9152), 1,
      anon_sym_requires,
    STATE(5409), 1,
      sym_trailing_return_type,
    STATE(5543), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [203142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5355), 1,
      anon_sym_LBRACE,
    ACTIONS(5337), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5339), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [203180] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(7626), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9039), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5994), 1,
      sym__function_attributes_end,
    STATE(6078), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8994), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5155), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [203250] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9086), 1,
      anon_sym_requires,
    STATE(5923), 1,
      sym_trailing_return_type,
    STATE(6045), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8994), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8998), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5141), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [203320] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8043), 1,
      anon_sym_AMP,
    ACTIONS(9158), 1,
      anon_sym_const,
    STATE(5123), 1,
      sym_alignas_qualifier,
    ACTIONS(9161), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8041), 8,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(9155), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [203366] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym___attribute__,
    ACTIONS(9039), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5453), 1,
      sym_trailing_return_type,
    STATE(5556), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [203430] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(7626), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5957), 1,
      sym__function_attributes_end,
    STATE(6076), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8688), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5168), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [203500] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6640), 1,
      anon_sym_noexcept,
    ACTIONS(6642), 1,
      anon_sym_throw,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(5825), 1,
      sym_trailing_return_type,
    STATE(6026), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8688), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5156), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [203570] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym___attribute__,
    ACTIONS(9039), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_requires,
    STATE(5385), 1,
      sym_trailing_return_type,
    STATE(5550), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [203634] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9143), 1,
      anon_sym___attribute__,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5459), 1,
      sym_trailing_return_type,
    STATE(5525), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [203698] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8811), 1,
      anon_sym___asm,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8903), 1,
      anon_sym_requires,
    STATE(5410), 1,
      sym__function_attributes_end,
    STATE(5430), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8808), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [203761] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9167), 1,
      anon_sym___asm,
    STATE(5459), 1,
      sym_trailing_return_type,
    STATE(5465), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9164), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [203824] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9069), 1,
      anon_sym_requires,
    STATE(5431), 1,
      sym_trailing_return_type,
    STATE(5623), 1,
      sym__function_attributes_end,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [203887] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5461), 1,
      sym_trailing_return_type,
    STATE(5611), 1,
      sym__function_attributes_end,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [203950] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9167), 1,
      anon_sym___asm,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9173), 1,
      anon_sym_requires,
    STATE(5381), 1,
      sym__function_attributes_end,
    STATE(5432), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9164), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [204013] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8801), 1,
      anon_sym_requires,
    STATE(5396), 1,
      sym_trailing_return_type,
    STATE(5637), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [204076] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9066), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5457), 1,
      sym_trailing_return_type,
    STATE(5612), 1,
      sym__function_attributes_end,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [204139] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5448), 1,
      sym_trailing_return_type,
    STATE(5613), 1,
      sym__function_attributes_end,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [204202] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9039), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9063), 1,
      anon_sym___asm,
    STATE(5453), 1,
      sym_trailing_return_type,
    STATE(5455), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [204265] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9152), 1,
      anon_sym_requires,
    ACTIONS(9167), 1,
      anon_sym___asm,
    STATE(5409), 1,
      sym_trailing_return_type,
    STATE(5484), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9164), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [204328] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9173), 1,
      anon_sym_requires,
    STATE(5432), 1,
      sym_trailing_return_type,
    STATE(5626), 1,
      sym__function_attributes_end,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [204391] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8811), 1,
      anon_sym___asm,
    STATE(5447), 1,
      sym__function_attributes_end,
    STATE(5462), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8808), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [204454] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9152), 1,
      anon_sym_requires,
    STATE(5409), 1,
      sym_trailing_return_type,
    STATE(5650), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [204517] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8801), 1,
      anon_sym_requires,
    ACTIONS(8811), 1,
      anon_sym___asm,
    STATE(5396), 1,
      sym_trailing_return_type,
    STATE(5476), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8808), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [204580] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9039), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym___asm,
    STATE(5385), 1,
      sym_trailing_return_type,
    STATE(5477), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [204643] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8811), 1,
      anon_sym___asm,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5446), 1,
      sym__function_attributes_end,
    STATE(5448), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8808), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [204706] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9167), 1,
      anon_sym___asm,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5383), 1,
      sym__function_attributes_end,
    STATE(5461), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9164), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [204769] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5462), 1,
      sym_trailing_return_type,
    STATE(5625), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [204832] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9063), 1,
      anon_sym___asm,
    ACTIONS(9066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9069), 1,
      anon_sym_requires,
    STATE(5425), 1,
      sym__function_attributes_end,
    STATE(5431), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [204895] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5459), 1,
      sym_trailing_return_type,
    STATE(5618), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [204958] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9063), 1,
      anon_sym___asm,
    ACTIONS(9066), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5438), 1,
      sym__function_attributes_end,
    STATE(5457), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9060), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [205021] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9039), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_requires,
    STATE(5385), 1,
      sym_trailing_return_type,
    STATE(5627), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [205084] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8903), 1,
      anon_sym_requires,
    STATE(5430), 1,
      sym_trailing_return_type,
    STATE(5620), 1,
      sym__function_attributes_end,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [205147] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9039), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5453), 1,
      sym_trailing_return_type,
    STATE(5641), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [205210] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(7137), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5701), 1,
      sym__function_attributes_end,
    STATE(5888), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [205272] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(7137), 1,
      anon_sym_requires,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5677), 1,
      sym__function_attributes_end,
    STATE(5807), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [205334] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    STATE(5732), 1,
      sym__function_attributes_end,
    STATE(5907), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [205396] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(5782), 1,
      sym__function_attributes_end,
    STATE(5825), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [205458] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(9025), 1,
      anon_sym_requires,
    STATE(5786), 1,
      sym__function_attributes_end,
    STATE(5918), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [205520] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(7137), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9066), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5662), 1,
      sym__function_attributes_end,
    STATE(5798), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [205582] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9086), 1,
      anon_sym_requires,
    STATE(5788), 1,
      sym__function_attributes_end,
    STATE(5923), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8998), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [205644] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9176), 1,
      anon_sym_requires,
    STATE(5755), 1,
      sym__function_attributes_end,
    STATE(5926), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9131), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [205706] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    STATE(5781), 1,
      sym__function_attributes_end,
    STATE(5843), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [205768] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9028), 1,
      anon_sym_requires,
    STATE(5697), 1,
      sym__function_attributes_end,
    STATE(5936), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [205830] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9179), 1,
      anon_sym_requires,
    STATE(5690), 1,
      sym__function_attributes_end,
    STATE(5934), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [205892] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9083), 1,
      anon_sym_requires,
    STATE(5695), 1,
      sym__function_attributes_end,
    STATE(5935), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [205954] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9114), 1,
      sym_identifier,
    ACTIONS(9182), 1,
      anon_sym_LPAREN2,
    ACTIONS(9184), 1,
      anon_sym_LBRACE,
    ACTIONS(9188), 1,
      anon_sym_requires,
    STATE(2086), 1,
      sym_template_type,
    STATE(2479), 1,
      sym_requirement_seq,
    STATE(5645), 1,
      sym_lambda_capture_specifier,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(7350), 1,
      sym_requires_parameter_list,
    ACTIONS(9186), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2477), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206015] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9118), 1,
      anon_sym_requires,
    STATE(5905), 1,
      sym__function_attributes_end,
    STATE(6043), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8998), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [206076] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      sym_identifier,
    ACTIONS(9190), 1,
      anon_sym_LPAREN2,
    ACTIONS(9192), 1,
      anon_sym_LBRACE,
    ACTIONS(9196), 1,
      anon_sym_requires,
    STATE(2484), 1,
      sym_template_type,
    STATE(4281), 1,
      sym_requirement_seq,
    STATE(5643), 1,
      sym_lambda_capture_specifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7367), 1,
      sym_requires_parameter_list,
    ACTIONS(9194), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4656), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206137] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7537), 1,
      anon_sym_STAR,
    ACTIONS(7539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7541), 1,
      anon_sym_AMP,
    ACTIONS(9198), 1,
      anon_sym___asm,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5706), 1,
      sym__abstract_declarator,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8058), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [206188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(2518), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [206221] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(7327), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(5862), 1,
      sym__function_attributes_end,
    STATE(6005), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [206282] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(9200), 1,
      anon_sym_LPAREN2,
    ACTIONS(9202), 1,
      anon_sym_LBRACE,
    ACTIONS(9206), 1,
      anon_sym_requires,
    STATE(2574), 1,
      sym_template_type,
    STATE(3425), 1,
      sym_requirement_seq,
    STATE(5647), 1,
      sym_lambda_capture_specifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(7202), 1,
      sym_requires_parameter_list,
    ACTIONS(9204), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3423), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206343] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9108), 1,
      sym_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN2,
    ACTIONS(9210), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_requires,
    STATE(3335), 1,
      sym_requirement_seq,
    STATE(3697), 1,
      sym_template_type,
    STATE(5607), 1,
      sym_lambda_capture_specifier,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(7262), 1,
      sym_requires_parameter_list,
    ACTIONS(9212), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4116), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206404] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(9057), 1,
      anon_sym_requires,
    STATE(5910), 1,
      sym__function_attributes_end,
    STATE(6046), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [206465] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9116), 1,
      sym_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN2,
    ACTIONS(9210), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_requires,
    STATE(1747), 1,
      sym_template_type,
    STATE(3335), 1,
      sym_requirement_seq,
    STATE(5607), 1,
      sym_lambda_capture_specifier,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(7262), 1,
      sym_requires_parameter_list,
    ACTIONS(9216), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4094), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206526] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9218), 1,
      anon_sym_requires,
    STATE(5901), 1,
      sym__function_attributes_end,
    STATE(6038), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9131), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [206587] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9125), 1,
      sym_identifier,
    ACTIONS(9221), 1,
      anon_sym_LPAREN2,
    ACTIONS(9223), 1,
      anon_sym_LBRACE,
    ACTIONS(9227), 1,
      anon_sym_requires,
    STATE(2643), 1,
      sym_template_type,
    STATE(3598), 1,
      sym_requirement_seq,
    STATE(5655), 1,
      sym_lambda_capture_specifier,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(7236), 1,
      sym_requires_parameter_list,
    ACTIONS(9225), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3512), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206648] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(7327), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    STATE(5863), 1,
      sym__function_attributes_end,
    STATE(6058), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [206709] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9121), 1,
      sym_identifier,
    ACTIONS(9229), 1,
      anon_sym_LPAREN2,
    ACTIONS(9231), 1,
      anon_sym_LBRACE,
    ACTIONS(9235), 1,
      anon_sym_requires,
    STATE(2801), 1,
      sym_template_type,
    STATE(3790), 1,
      sym_requirement_seq,
    STATE(5640), 1,
      sym_lambda_capture_specifier,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(7201), 1,
      sym_requires_parameter_list,
    ACTIONS(9233), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3748), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206770] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(7327), 1,
      anon_sym_requires,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    STATE(5866), 1,
      sym__function_attributes_end,
    STATE(6053), 1,
      sym_trailing_return_type,
    STATE(6353), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5171), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5434), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [206831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5217), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5219), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [206864] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7372), 1,
      anon_sym_STAR,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7376), 1,
      anon_sym_AMP,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(9198), 1,
      anon_sym___asm,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5715), 1,
      sym__abstract_declarator,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8058), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206915] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7932), 1,
      sym_identifier,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(5635), 1,
      sym_ms_call_modifier,
    STATE(6274), 1,
      sym__field_declarator,
    STATE(6374), 1,
      sym_operator_name,
    STATE(7948), 1,
      sym_ms_based_modifier,
    ACTIONS(1783), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [206969] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7604), 1,
      anon_sym_STAR,
    ACTIONS(7606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7608), 1,
      anon_sym_AMP,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5738), 1,
      sym__abstract_declarator,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8058), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207017] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6595), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [207070] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(9239), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5415), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9237), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [207109] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6628), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [207162] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9176), 1,
      anon_sym_requires,
    STATE(5926), 1,
      sym_trailing_return_type,
    STATE(6035), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9127), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9131), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
  [207221] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9243), 1,
      anon_sym_RPAREN,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5290), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [207268] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6641), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [207321] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6516), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [207374] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6556), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [207427] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6593), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [207480] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6495), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [207533] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9086), 1,
      anon_sym_requires,
    STATE(5923), 1,
      sym_trailing_return_type,
    STATE(6045), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8994), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8998), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
  [207592] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9261), 1,
      anon_sym_SEMI,
    ACTIONS(9263), 1,
      anon_sym_LBRACE,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    ACTIONS(9267), 1,
      anon_sym_EQ,
    ACTIONS(9269), 1,
      anon_sym_COLON,
    ACTIONS(9271), 1,
      anon_sym_try,
    STATE(1698), 1,
      sym_try_statement,
    STATE(1699), 1,
      sym_pure_virtual_clause,
    STATE(1700), 1,
      sym_delete_method_clause,
    STATE(1701), 1,
      sym_default_method_clause,
    STATE(1702), 1,
      sym_compound_statement,
    STATE(2776), 1,
      sym_parameter_list,
    STATE(6148), 1,
      sym__function_declarator_seq,
    STATE(6421), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6422), 1,
      sym_initializer_list,
    STATE(6423), 1,
      sym_bitfield_clause,
    STATE(7856), 1,
      sym_attribute_specifier,
    STATE(6016), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [207663] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(9025), 1,
      anon_sym_requires,
    STATE(5918), 1,
      sym_trailing_return_type,
    STATE(6055), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8688), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
  [207722] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    ACTIONS(9269), 1,
      anon_sym_COLON,
    ACTIONS(9273), 1,
      anon_sym_SEMI,
    ACTIONS(9275), 1,
      anon_sym_LBRACE,
    ACTIONS(9277), 1,
      anon_sym_EQ,
    ACTIONS(9279), 1,
      anon_sym_try,
    STATE(1920), 1,
      sym_compound_statement,
    STATE(1929), 1,
      sym_default_method_clause,
    STATE(1931), 1,
      sym_delete_method_clause,
    STATE(1936), 1,
      sym_pure_virtual_clause,
    STATE(1937), 1,
      sym_try_statement,
    STATE(2776), 1,
      sym_parameter_list,
    STATE(6148), 1,
      sym__function_declarator_seq,
    STATE(6431), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6432), 1,
      sym_initializer_list,
    STATE(6433), 1,
      sym_bitfield_clause,
    STATE(7489), 1,
      sym_attribute_specifier,
    STATE(6016), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [207793] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6702), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [207846] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6669), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [207899] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6617), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [207952] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(7626), 1,
      anon_sym_requires,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5981), 1,
      sym__function_attributes_end,
    STATE(6079), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9127), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
  [208011] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    STATE(5843), 1,
      sym_trailing_return_type,
    STATE(6021), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8994), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
  [208070] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    ACTIONS(9269), 1,
      anon_sym_COLON,
    ACTIONS(9281), 1,
      anon_sym_SEMI,
    ACTIONS(9283), 1,
      anon_sym_LBRACE,
    ACTIONS(9285), 1,
      anon_sym_EQ,
    ACTIONS(9287), 1,
      anon_sym_try,
    STATE(1872), 1,
      sym_pure_virtual_clause,
    STATE(1883), 1,
      sym_try_statement,
    STATE(1951), 1,
      sym_compound_statement,
    STATE(1954), 1,
      sym_default_method_clause,
    STATE(1955), 1,
      sym_delete_method_clause,
    STATE(2776), 1,
      sym_parameter_list,
    STATE(6148), 1,
      sym__function_declarator_seq,
    STATE(6436), 1,
      sym_bitfield_clause,
    STATE(6438), 1,
      sym_initializer_list,
    STATE(6449), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7516), 1,
      sym_attribute_specifier,
    STATE(6016), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [208141] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6608), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [208194] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6680), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [208247] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9289), 1,
      anon_sym_RPAREN,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5362), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [208294] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6708), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [208347] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6691), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [208400] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9039), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9140), 1,
      anon_sym_requires,
    STATE(5999), 1,
      sym__function_attributes_end,
    STATE(6129), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8994), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
  [208459] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(5825), 1,
      sym_trailing_return_type,
    STATE(6026), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8688), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
  [208518] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6474), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [208571] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6517), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [208624] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(7626), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5957), 1,
      sym__function_attributes_end,
    STATE(6076), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8688), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
  [208683] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(7626), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9039), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5994), 1,
      sym__function_attributes_end,
    STATE(6078), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8994), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
  [208742] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8795), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9089), 1,
      anon_sym_requires,
    STATE(5945), 1,
      sym__function_attributes_end,
    STATE(6114), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8688), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
  [208801] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9291), 1,
      anon_sym_RPAREN,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5298), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [208848] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(9295), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5475), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9293), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [208887] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    STATE(5907), 1,
      sym_trailing_return_type,
    STATE(6020), 1,
      sym__function_attributes_end,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9127), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
  [208946] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym___asm,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9146), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9297), 1,
      anon_sym_requires,
    STATE(5998), 1,
      sym__function_attributes_end,
    STATE(6116), 1,
      sym_trailing_return_type,
    STATE(6390), 1,
      sym_gnu_asm_expression,
    ACTIONS(6631), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9127), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5342), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
  [209005] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6579), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [209058] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6164), 1,
      sym__type_declarator,
    STATE(6600), 1,
      sym__type_definition_declarators,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [209111] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7701), 1,
      anon_sym_STAR,
    ACTIONS(7703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7705), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(5885), 1,
      sym__abstract_declarator,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8058), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [209158] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5401), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [209202] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9108), 1,
      sym_identifier,
    ACTIONS(9214), 1,
      anon_sym_requires,
    ACTIONS(9300), 1,
      anon_sym_LPAREN2,
    STATE(3697), 1,
      sym_template_type,
    STATE(5607), 1,
      sym_lambda_capture_specifier,
    STATE(6225), 1,
      sym__scope_resolution,
    ACTIONS(9302), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4102), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209254] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5492), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [209298] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5531), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [209342] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5513), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [209386] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5520), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [209430] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(133), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(3954), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(9320), 1,
      sym_identifier,
    ACTIONS(9322), 1,
      anon_sym_template,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_template_function,
    STATE(2769), 1,
      sym_operator_name,
    STATE(2772), 1,
      sym_qualified_identifier,
    STATE(2782), 1,
      sym_dependent_identifier,
    STATE(2785), 1,
      sym_destructor_name,
    STATE(2788), 1,
      sym_pointer_type_declarator,
    STATE(5183), 1,
      sym__scope_resolution,
    STATE(6689), 1,
      sym_qualified_operator_cast_identifier,
    STATE(6712), 1,
      sym_operator_cast,
    STATE(7629), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [209500] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5535), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [209544] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5510), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [209588] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7765), 1,
      anon_sym_STAR,
    ACTIONS(7767), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    STATE(2142), 1,
      sym__type_declarator,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(7809), 1,
      sym_ms_based_modifier,
    ACTIONS(7771), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [209638] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5536), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [209682] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5532), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [209726] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5505), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [209770] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6339), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [209820] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(9214), 1,
      anon_sym_requires,
    ACTIONS(9300), 1,
      anon_sym_LPAREN2,
    ACTIONS(9324), 1,
      sym_identifier,
    ACTIONS(9326), 1,
      anon_sym_COLON_COLON,
    STATE(1747), 1,
      sym_template_type,
    STATE(5607), 1,
      sym_lambda_capture_specifier,
    STATE(6202), 1,
      sym__scope_resolution,
    ACTIONS(9328), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5931), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209872] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5436), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [209916] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5435), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [209960] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9114), 1,
      sym_identifier,
    ACTIONS(9188), 1,
      anon_sym_requires,
    ACTIONS(9330), 1,
      anon_sym_LPAREN2,
    STATE(2086), 1,
      sym_template_type,
    STATE(5645), 1,
      sym_lambda_capture_specifier,
    STATE(6236), 1,
      sym__scope_resolution,
    ACTIONS(9332), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2434), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [210012] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5522), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [210056] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9114), 1,
      sym_identifier,
    ACTIONS(9188), 1,
      anon_sym_requires,
    ACTIONS(9330), 1,
      anon_sym_LPAREN2,
    STATE(2086), 1,
      sym_template_type,
    STATE(5645), 1,
      sym_lambda_capture_specifier,
    STATE(6236), 1,
      sym__scope_resolution,
    ACTIONS(9334), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2433), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [210108] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    ACTIONS(9336), 1,
      anon_sym_LPAREN2,
    ACTIONS(9340), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5603), 1,
      sym_lambda_capture_specifier,
    STATE(6195), 1,
      sym__scope_resolution,
    ACTIONS(9338), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5387), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [210160] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5560), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [210204] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(133), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(3254), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(9342), 1,
      sym_identifier,
    ACTIONS(9344), 1,
      anon_sym_template,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_template_function,
    STATE(2769), 1,
      sym_operator_name,
    STATE(2772), 1,
      sym_qualified_identifier,
    STATE(2782), 1,
      sym_dependent_identifier,
    STATE(2785), 1,
      sym_destructor_name,
    STATE(2788), 1,
      sym_pointer_type_declarator,
    STATE(5199), 1,
      sym__scope_resolution,
    STATE(6689), 1,
      sym_qualified_operator_cast_identifier,
    STATE(6712), 1,
      sym_operator_cast,
    STATE(7629), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [210274] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5487), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [210318] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7731), 1,
      sym_identifier,
    ACTIONS(7733), 1,
      anon_sym_LPAREN2,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(7737), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7739), 1,
      anon_sym_AMP,
    STATE(2814), 1,
      sym__type_declarator,
    STATE(3177), 1,
      sym_pointer_type_declarator,
    STATE(8006), 1,
      sym_ms_based_modifier,
    ACTIONS(7745), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7743), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3198), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [210368] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    ACTIONS(9346), 1,
      anon_sym_LPAREN2,
    ACTIONS(9350), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5652), 1,
      sym_lambda_capture_specifier,
    STATE(6211), 1,
      sym__scope_resolution,
    ACTIONS(9348), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5855), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [210420] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    ACTIONS(9346), 1,
      anon_sym_LPAREN2,
    ACTIONS(9350), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5652), 1,
      sym_lambda_capture_specifier,
    STATE(6211), 1,
      sym__scope_resolution,
    ACTIONS(9352), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5930), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [210472] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    ACTIONS(9346), 1,
      anon_sym_LPAREN2,
    ACTIONS(9350), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5652), 1,
      sym_lambda_capture_specifier,
    STATE(6211), 1,
      sym__scope_resolution,
    ACTIONS(9354), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1608), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [210524] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5429), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [210568] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    ACTIONS(9336), 1,
      anon_sym_LPAREN2,
    ACTIONS(9340), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5603), 1,
      sym_lambda_capture_specifier,
    STATE(6195), 1,
      sym__scope_resolution,
    ACTIONS(9356), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5400), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [210620] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7787), 1,
      sym_identifier,
    ACTIONS(7789), 1,
      anon_sym_LPAREN2,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(7813), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7815), 1,
      anon_sym_AMP,
    STATE(5818), 1,
      sym_pointer_type_declarator,
    STATE(5837), 1,
      sym__type_declarator,
    STATE(7907), 1,
      sym_ms_based_modifier,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5821), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [210670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9360), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9358), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [210700] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5418), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [210744] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5501), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [210788] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5523), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [210832] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6319), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [210882] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7799), 1,
      anon_sym_STAR,
    ACTIONS(7801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7803), 1,
      anon_sym_AMP,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5982), 1,
      sym__abstract_declarator,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8058), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [210928] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5517), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [210972] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7817), 1,
      anon_sym_STAR,
    ACTIONS(7819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7821), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6316), 1,
      sym__type_declarator,
    STATE(7840), 1,
      sym_ms_based_modifier,
    ACTIONS(7771), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [211022] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5551), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [211066] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      sym_identifier,
    ACTIONS(9196), 1,
      anon_sym_requires,
    ACTIONS(9362), 1,
      anon_sym_LPAREN2,
    STATE(2484), 1,
      sym_template_type,
    STATE(5643), 1,
      sym_lambda_capture_specifier,
    STATE(6203), 1,
      sym__scope_resolution,
    ACTIONS(9364), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4176), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [211118] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      sym_identifier,
    ACTIONS(9196), 1,
      anon_sym_requires,
    ACTIONS(9362), 1,
      anon_sym_LPAREN2,
    STATE(2484), 1,
      sym_template_type,
    STATE(5643), 1,
      sym_lambda_capture_specifier,
    STATE(6203), 1,
      sym__scope_resolution,
    ACTIONS(9366), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4668), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [211170] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5404), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [211214] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6213), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [211264] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    ACTIONS(9336), 1,
      anon_sym_LPAREN2,
    ACTIONS(9340), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5603), 1,
      sym_lambda_capture_specifier,
    STATE(6227), 1,
      sym__scope_resolution,
    ACTIONS(9368), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6112), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [211316] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5397), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [211360] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5393), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [211404] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LPAREN2,
    ACTIONS(9350), 1,
      anon_sym_requires,
    ACTIONS(9370), 1,
      sym_identifier,
    ACTIONS(9372), 1,
      anon_sym_COLON_COLON,
    STATE(2099), 1,
      sym_template_type,
    STATE(5634), 1,
      sym_lambda_capture_specifier,
    STATE(6199), 1,
      sym__scope_resolution,
    ACTIONS(9374), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2078), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [211456] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5389), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [211500] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(9214), 1,
      anon_sym_requires,
    ACTIONS(9300), 1,
      anon_sym_LPAREN2,
    ACTIONS(9324), 1,
      sym_identifier,
    ACTIONS(9326), 1,
      anon_sym_COLON_COLON,
    STATE(1747), 1,
      sym_template_type,
    STATE(5607), 1,
      sym_lambda_capture_specifier,
    STATE(6202), 1,
      sym__scope_resolution,
    ACTIONS(9376), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3451), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [211552] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5386), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [211596] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7773), 1,
      sym_identifier,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(7777), 1,
      anon_sym_STAR,
    ACTIONS(7779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    STATE(2973), 1,
      sym__type_declarator,
    STATE(3397), 1,
      sym_pointer_type_declarator,
    STATE(8065), 1,
      sym_ms_based_modifier,
    ACTIONS(7785), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3501), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [211646] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5547), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [211690] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LPAREN2,
    ACTIONS(9350), 1,
      anon_sym_requires,
    ACTIONS(9370), 1,
      sym_identifier,
    ACTIONS(9372), 1,
      anon_sym_COLON_COLON,
    STATE(2099), 1,
      sym_template_type,
    STATE(5634), 1,
      sym_lambda_capture_specifier,
    STATE(6199), 1,
      sym__scope_resolution,
    ACTIONS(9378), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2087), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [211742] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(9214), 1,
      anon_sym_requires,
    ACTIONS(9300), 1,
      anon_sym_LPAREN2,
    ACTIONS(9324), 1,
      sym_identifier,
    ACTIONS(9326), 1,
      anon_sym_COLON_COLON,
    STATE(1747), 1,
      sym_template_type,
    STATE(5607), 1,
      sym_lambda_capture_specifier,
    STATE(6202), 1,
      sym__scope_resolution,
    ACTIONS(9380), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5897), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [211794] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5544), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [211838] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6294), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [211888] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LPAREN2,
    ACTIONS(9350), 1,
      anon_sym_requires,
    ACTIONS(9370), 1,
      sym_identifier,
    ACTIONS(9372), 1,
      anon_sym_COLON_COLON,
    STATE(2099), 1,
      sym_template_type,
    STATE(5634), 1,
      sym_lambda_capture_specifier,
    STATE(6199), 1,
      sym__scope_resolution,
    ACTIONS(9354), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1608), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [211940] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(9206), 1,
      anon_sym_requires,
    ACTIONS(9382), 1,
      anon_sym_LPAREN2,
    STATE(2574), 1,
      sym_template_type,
    STATE(5647), 1,
      sym_lambda_capture_specifier,
    STATE(6201), 1,
      sym__scope_resolution,
    ACTIONS(9384), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3489), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [211992] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6040), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [212042] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5557), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [212086] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5504), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [212130] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9110), 1,
      sym_identifier,
    ACTIONS(9386), 1,
      anon_sym_LPAREN2,
    ACTIONS(9390), 1,
      anon_sym_requires,
    STATE(4207), 1,
      sym_template_type,
    STATE(5617), 1,
      sym_lambda_capture_specifier,
    STATE(6223), 1,
      sym__scope_resolution,
    ACTIONS(9388), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5671), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [212182] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    ACTIONS(9214), 1,
      anon_sym_requires,
    ACTIONS(9300), 1,
      anon_sym_LPAREN2,
    STATE(1747), 1,
      sym_template_type,
    STATE(5607), 1,
      sym_lambda_capture_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    ACTIONS(9392), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6242), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [212234] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7765), 1,
      anon_sym_STAR,
    ACTIONS(9394), 1,
      sym_identifier,
    ACTIONS(9396), 1,
      anon_sym_TILDE,
    ACTIONS(9398), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9400), 1,
      anon_sym_template,
    ACTIONS(9402), 1,
      anon_sym_operator,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_template_function,
    STATE(2769), 1,
      sym_operator_name,
    STATE(2772), 1,
      sym_qualified_identifier,
    STATE(2782), 1,
      sym_dependent_identifier,
    STATE(2785), 1,
      sym_destructor_name,
    STATE(2788), 1,
      sym_pointer_type_declarator,
    STATE(5241), 1,
      sym__scope_resolution,
    STATE(6689), 1,
      sym_qualified_operator_cast_identifier,
    STATE(6712), 1,
      sym_operator_cast,
    STATE(7809), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [212304] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      sym_identifier,
    ACTIONS(9196), 1,
      anon_sym_requires,
    ACTIONS(9362), 1,
      anon_sym_LPAREN2,
    STATE(2484), 1,
      sym_template_type,
    STATE(5643), 1,
      sym_lambda_capture_specifier,
    STATE(6210), 1,
      sym__scope_resolution,
    ACTIONS(9364), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4176), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [212356] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      sym_identifier,
    ACTIONS(9196), 1,
      anon_sym_requires,
    ACTIONS(9362), 1,
      anon_sym_LPAREN2,
    STATE(2484), 1,
      sym_template_type,
    STATE(5643), 1,
      sym_lambda_capture_specifier,
    STATE(6210), 1,
      sym__scope_resolution,
    ACTIONS(9404), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6028), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [212408] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_STAR,
    ACTIONS(7761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7763), 1,
      anon_sym_AMP,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(5949), 1,
      sym__abstract_declarator,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8058), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [212454] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5490), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [212498] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    ACTIONS(9346), 1,
      anon_sym_LPAREN2,
    ACTIONS(9350), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5652), 1,
      sym_lambda_capture_specifier,
    STATE(6220), 1,
      sym__scope_resolution,
    ACTIONS(9354), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1608), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [212550] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9121), 1,
      sym_identifier,
    ACTIONS(9235), 1,
      anon_sym_requires,
    ACTIONS(9406), 1,
      anon_sym_LPAREN2,
    STATE(2801), 1,
      sym_template_type,
    STATE(5640), 1,
      sym_lambda_capture_specifier,
    STATE(6191), 1,
      sym__scope_resolution,
    ACTIONS(9408), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3768), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [212602] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5493), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [212646] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5494), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [212690] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9121), 1,
      sym_identifier,
    ACTIONS(9235), 1,
      anon_sym_requires,
    ACTIONS(9406), 1,
      anon_sym_LPAREN2,
    STATE(2801), 1,
      sym_template_type,
    STATE(5640), 1,
      sym_lambda_capture_specifier,
    STATE(6191), 1,
      sym__scope_resolution,
    ACTIONS(9410), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3767), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [212742] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    ACTIONS(9346), 1,
      anon_sym_LPAREN2,
    ACTIONS(9350), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5652), 1,
      sym_lambda_capture_specifier,
    STATE(6220), 1,
      sym__scope_resolution,
    ACTIONS(9412), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5485), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [212794] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5549), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [212838] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5516), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [212882] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(9206), 1,
      anon_sym_requires,
    ACTIONS(9382), 1,
      anon_sym_LPAREN2,
    STATE(2574), 1,
      sym_template_type,
    STATE(5647), 1,
      sym_lambda_capture_specifier,
    STATE(6201), 1,
      sym__scope_resolution,
    ACTIONS(9414), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3492), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [212934] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7747), 1,
      sym_identifier,
    ACTIONS(7749), 1,
      anon_sym_LPAREN2,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(7753), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7755), 1,
      anon_sym_AMP,
    STATE(2249), 1,
      sym_pointer_type_declarator,
    STATE(6337), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2238), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [212984] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    ACTIONS(9336), 1,
      anon_sym_LPAREN2,
    ACTIONS(9340), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5603), 1,
      sym_lambda_capture_specifier,
    STATE(6195), 1,
      sym__scope_resolution,
    ACTIONS(9416), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5399), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213036] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5500), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [213080] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7787), 1,
      sym_identifier,
    ACTIONS(7789), 1,
      anon_sym_LPAREN2,
    ACTIONS(7791), 1,
      anon_sym_STAR,
    ACTIONS(7793), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7795), 1,
      anon_sym_AMP,
    STATE(5698), 1,
      sym__type_declarator,
    STATE(5818), 1,
      sym_pointer_type_declarator,
    STATE(7631), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7797), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5821), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [213130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9420), 1,
      anon_sym_LPAREN2,
    STATE(5468), 1,
      sym_preproc_argument_list,
    ACTIONS(9422), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9418), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [213164] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      sym_identifier,
    ACTIONS(9196), 1,
      anon_sym_requires,
    ACTIONS(9362), 1,
      anon_sym_LPAREN2,
    STATE(2484), 1,
      sym_template_type,
    STATE(5643), 1,
      sym_lambda_capture_specifier,
    STATE(6210), 1,
      sym__scope_resolution,
    ACTIONS(9424), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213216] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9245), 1,
      anon_sym_LPAREN2,
    ACTIONS(9247), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9255), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9257), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5472), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [213260] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9116), 1,
      sym_identifier,
    ACTIONS(9214), 1,
      anon_sym_requires,
    ACTIONS(9300), 1,
      anon_sym_LPAREN2,
    STATE(1747), 1,
      sym_template_type,
    STATE(5607), 1,
      sym_lambda_capture_specifier,
    STATE(6239), 1,
      sym__scope_resolution,
    ACTIONS(9376), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3451), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213312] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5548), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [213356] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    ACTIONS(9214), 1,
      anon_sym_requires,
    ACTIONS(9300), 1,
      anon_sym_LPAREN2,
    STATE(1747), 1,
      sym_template_type,
    STATE(5607), 1,
      sym_lambda_capture_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    ACTIONS(9426), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6228), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213408] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    ACTIONS(9346), 1,
      anon_sym_LPAREN2,
    ACTIONS(9350), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5652), 1,
      sym_lambda_capture_specifier,
    STATE(6220), 1,
      sym__scope_resolution,
    ACTIONS(9428), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5473), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213460] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9116), 1,
      sym_identifier,
    ACTIONS(9214), 1,
      anon_sym_requires,
    ACTIONS(9300), 1,
      anon_sym_LPAREN2,
    STATE(1747), 1,
      sym_template_type,
    STATE(5607), 1,
      sym_lambda_capture_specifier,
    STATE(6239), 1,
      sym__scope_resolution,
    ACTIONS(9430), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4095), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213512] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    ACTIONS(9336), 1,
      anon_sym_LPAREN2,
    ACTIONS(9340), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5603), 1,
      sym_lambda_capture_specifier,
    STATE(6227), 1,
      sym__scope_resolution,
    ACTIONS(9356), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5400), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213564] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9110), 1,
      sym_identifier,
    ACTIONS(9386), 1,
      anon_sym_LPAREN2,
    ACTIONS(9390), 1,
      anon_sym_requires,
    STATE(4207), 1,
      sym_template_type,
    STATE(5617), 1,
      sym_lambda_capture_specifier,
    STATE(6223), 1,
      sym__scope_resolution,
    ACTIONS(9432), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5693), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213616] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    ACTIONS(9336), 1,
      anon_sym_LPAREN2,
    ACTIONS(9340), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5603), 1,
      sym_lambda_capture_specifier,
    STATE(6227), 1,
      sym__scope_resolution,
    ACTIONS(9434), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6070), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213668] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9125), 1,
      sym_identifier,
    ACTIONS(9227), 1,
      anon_sym_requires,
    ACTIONS(9436), 1,
      anon_sym_LPAREN2,
    STATE(2643), 1,
      sym_template_type,
    STATE(5655), 1,
      sym_lambda_capture_specifier,
    STATE(6208), 1,
      sym__scope_resolution,
    ACTIONS(9438), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3588), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213720] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9110), 1,
      sym_identifier,
    ACTIONS(9386), 1,
      anon_sym_LPAREN2,
    ACTIONS(9390), 1,
      anon_sym_requires,
    STATE(4207), 1,
      sym_template_type,
    STATE(5617), 1,
      sym_lambda_capture_specifier,
    STATE(6223), 1,
      sym__scope_resolution,
    ACTIONS(9440), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5680), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213772] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9125), 1,
      sym_identifier,
    ACTIONS(9227), 1,
      anon_sym_requires,
    ACTIONS(9436), 1,
      anon_sym_LPAREN2,
    STATE(2643), 1,
      sym_template_type,
    STATE(5655), 1,
      sym_lambda_capture_specifier,
    STATE(6208), 1,
      sym__scope_resolution,
    ACTIONS(9442), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3523), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213824] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(9306), 1,
      anon_sym_LPAREN2,
    ACTIONS(9308), 1,
      anon_sym_defined,
    ACTIONS(9314), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9316), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9310), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9312), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9318), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5529), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [213868] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9108), 1,
      sym_identifier,
    ACTIONS(9214), 1,
      anon_sym_requires,
    ACTIONS(9300), 1,
      anon_sym_LPAREN2,
    STATE(3697), 1,
      sym_template_type,
    STATE(5607), 1,
      sym_lambda_capture_specifier,
    STATE(6225), 1,
      sym__scope_resolution,
    ACTIONS(9376), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3451), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213920] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(1965), 1,
      anon_sym_LBRACK,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    ACTIONS(9214), 1,
      anon_sym_requires,
    ACTIONS(9300), 1,
      anon_sym_LPAREN2,
    STATE(1747), 1,
      sym_template_type,
    STATE(5607), 1,
      sym_lambda_capture_specifier,
    STATE(6200), 1,
      sym__scope_resolution,
    ACTIONS(9376), 2,
      sym_true,
      sym_false,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3451), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [213972] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9104), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2370), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214031] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2370), 1,
      sym__class_declaration_item,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214090] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2375), 1,
      sym__class_declaration_item,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5377), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214149] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_LPAREN2,
    ACTIONS(9448), 1,
      anon_sym_SEMI,
    ACTIONS(9450), 1,
      anon_sym_LBRACE,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 1,
      anon_sym_EQ,
    ACTIONS(9458), 1,
      anon_sym_try,
    STATE(566), 1,
      sym_compound_statement,
    STATE(567), 1,
      sym_try_statement,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(6775), 1,
      sym_gnu_asm_expression,
    STATE(6778), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9456), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7155), 2,
      sym_argument_list,
      sym_initializer_list,
  [214210] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6219), 1,
      anon_sym_LBRACE,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2574), 1,
      sym_template_type,
    STATE(2758), 1,
      sym_field_declaration_list,
    STATE(2972), 1,
      sym__class_declaration_item,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6492), 1,
      sym_virtual_specifier,
    STATE(7327), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214269] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6219), 1,
      anon_sym_LBRACE,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2574), 1,
      sym_template_type,
    STATE(2758), 1,
      sym_field_declaration_list,
    STATE(2915), 1,
      sym__class_declaration_item,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6492), 1,
      sym_virtual_specifier,
    STATE(7327), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214328] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6219), 1,
      anon_sym_LBRACE,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2574), 1,
      sym_template_type,
    STATE(2758), 1,
      sym_field_declaration_list,
    STATE(2932), 1,
      sym__class_declaration_item,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6492), 1,
      sym_virtual_specifier,
    STATE(7327), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214387] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5590), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9114), 1,
      sym_identifier,
    STATE(2086), 1,
      sym_template_type,
    STATE(2174), 1,
      sym_field_declaration_list,
    STATE(2270), 1,
      sym__class_declaration_item,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(6493), 1,
      sym_virtual_specifier,
    STATE(7378), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5317), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214446] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5590), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9114), 1,
      sym_identifier,
    STATE(2086), 1,
      sym_template_type,
    STATE(2174), 1,
      sym_field_declaration_list,
    STATE(2240), 1,
      sym__class_declaration_item,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(6493), 1,
      sym_virtual_specifier,
    STATE(7378), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214505] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9104), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2375), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5363), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214564] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7399), 1,
      anon_sym_LBRACE,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9108), 1,
      sym_identifier,
    STATE(3697), 1,
      sym_template_type,
    STATE(3885), 1,
      sym_field_declaration_list,
    STATE(3977), 1,
      sym__class_declaration_item,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(6553), 1,
      sym_virtual_specifier,
    STATE(7385), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3181), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214623] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2378), 1,
      sym__class_declaration_item,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214682] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4509), 1,
      sym__class_declaration_item,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214741] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1789), 1,
      sym__class_declaration_item,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5334), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214800] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9460), 1,
      anon_sym_COMMA,
    ACTIONS(9462), 1,
      anon_sym_RPAREN,
    ACTIONS(9468), 1,
      anon_sym_SLASH,
    ACTIONS(9470), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9474), 1,
      anon_sym_PIPE,
    ACTIONS(9476), 1,
      anon_sym_CARET,
    ACTIONS(9478), 1,
      anon_sym_AMP,
    STATE(6935), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9466), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9482), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214855] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4535), 1,
      sym__class_declaration_item,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5339), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214914] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2387), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214973] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9116), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1797), 1,
      sym__class_declaration_item,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5370), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215032] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4528), 1,
      sym__class_declaration_item,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215091] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(1911), 1,
      anon_sym_LBRACE,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 1,
      anon_sym_EQ,
    ACTIONS(9488), 1,
      anon_sym_SEMI,
    ACTIONS(9490), 1,
      anon_sym_try,
    STATE(690), 1,
      sym_compound_statement,
    STATE(693), 1,
      sym_try_statement,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(7079), 1,
      sym_gnu_asm_expression,
    STATE(7080), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9456), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7155), 2,
      sym_argument_list,
      sym_initializer_list,
  [215152] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9104), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2378), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215211] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1797), 1,
      sym__class_declaration_item,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5341), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215270] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9460), 1,
      anon_sym_COMMA,
    ACTIONS(9468), 1,
      anon_sym_SLASH,
    ACTIONS(9470), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9474), 1,
      anon_sym_PIPE,
    ACTIONS(9476), 1,
      anon_sym_CARET,
    ACTIONS(9478), 1,
      anon_sym_AMP,
    ACTIONS(9492), 1,
      anon_sym_RPAREN,
    STATE(6915), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9466), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9482), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [215325] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9116), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1808), 1,
      sym__class_declaration_item,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215384] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9287), 1,
      anon_sym_try,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 1,
      anon_sym_EQ,
    ACTIONS(9494), 1,
      anon_sym_SEMI,
    ACTIONS(9496), 1,
      anon_sym_LBRACE,
    STATE(1947), 1,
      sym_try_statement,
    STATE(1948), 1,
      sym_compound_statement,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(6994), 1,
      aux_sym_declaration_repeat1,
    STATE(6995), 1,
      sym_gnu_asm_expression,
    ACTIONS(9456), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7155), 2,
      sym_argument_list,
      sym_initializer_list,
  [215445] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2625), 1,
      sym__class_declaration_item,
    STATE(6210), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215504] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    ACTIONS(9098), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2375), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(6235), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3850), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5359), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215563] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6017), 1,
      sym__abstract_declarator,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8058), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [215608] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1808), 1,
      sym__class_declaration_item,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215667] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    ACTIONS(9098), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2370), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(6235), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3850), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215726] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6219), 1,
      anon_sym_LBRACE,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2574), 1,
      sym_template_type,
    STATE(2758), 1,
      sym_field_declaration_list,
    STATE(2968), 1,
      sym__class_declaration_item,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6492), 1,
      sym_virtual_specifier,
    STATE(7327), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215785] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2388), 1,
      sym__class_declaration_item,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5312), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215844] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6219), 1,
      anon_sym_LBRACE,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2574), 1,
      sym_template_type,
    STATE(2758), 1,
      sym_field_declaration_list,
    STATE(2981), 1,
      sym__class_declaration_item,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(6492), 1,
      sym_virtual_specifier,
    STATE(7327), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5282), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215903] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2388), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5347), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215962] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9271), 1,
      anon_sym_try,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 1,
      anon_sym_EQ,
    ACTIONS(9498), 1,
      anon_sym_SEMI,
    ACTIONS(9500), 1,
      anon_sym_LBRACE,
    STATE(1726), 1,
      sym_compound_statement,
    STATE(1727), 1,
      sym_try_statement,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(6808), 1,
      aux_sym_declaration_repeat1,
    STATE(6810), 1,
      sym_gnu_asm_expression,
    ACTIONS(9456), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7155), 2,
      sym_argument_list,
      sym_initializer_list,
  [216023] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2378), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216082] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2370), 1,
      sym__class_declaration_item,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216141] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2375), 1,
      sym__class_declaration_item,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5365), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216200] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4468), 1,
      sym__class_declaration_item,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5288), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216259] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4460), 1,
      sym__class_declaration_item,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216318] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9125), 1,
      sym_identifier,
    STATE(2643), 1,
      sym_template_type,
    STATE(2868), 1,
      sym_field_declaration_list,
    STATE(3014), 1,
      sym__class_declaration_item,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(6713), 1,
      sym_virtual_specifier,
    STATE(7165), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2440), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216377] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5590), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9114), 1,
      sym_identifier,
    STATE(2086), 1,
      sym_template_type,
    STATE(2174), 1,
      sym_field_declaration_list,
    STATE(2216), 1,
      sym__class_declaration_item,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(6493), 1,
      sym_virtual_specifier,
    STATE(7378), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216436] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5590), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9114), 1,
      sym_identifier,
    STATE(2086), 1,
      sym_template_type,
    STATE(2174), 1,
      sym_field_declaration_list,
    STATE(2212), 1,
      sym__class_declaration_item,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(6493), 1,
      sym_virtual_specifier,
    STATE(7378), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5328), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216495] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    ACTIONS(9110), 1,
      sym_identifier,
    STATE(4207), 1,
      sym_template_type,
    STATE(4735), 1,
      sym_field_declaration_list,
    STATE(4805), 1,
      sym__class_declaration_item,
    STATE(6223), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4185), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216554] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2375), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216613] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    ACTIONS(9110), 1,
      sym_identifier,
    STATE(4207), 1,
      sym_template_type,
    STATE(4735), 1,
      sym_field_declaration_list,
    STATE(4797), 1,
      sym__class_declaration_item,
    STATE(6223), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4185), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216672] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2652), 1,
      sym__class_declaration_item,
    STATE(6210), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5301), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216731] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    ACTIONS(9110), 1,
      sym_identifier,
    STATE(4207), 1,
      sym_template_type,
    STATE(4735), 1,
      sym_field_declaration_list,
    STATE(4775), 1,
      sym__class_declaration_item,
    STATE(6223), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4185), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216790] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2378), 1,
      sym__class_declaration_item,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216849] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    ACTIONS(9110), 1,
      sym_identifier,
    STATE(4207), 1,
      sym_template_type,
    STATE(4735), 1,
      sym_field_declaration_list,
    STATE(4800), 1,
      sym__class_declaration_item,
    STATE(6223), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4185), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5327), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216908] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2388), 1,
      sym__class_declaration_item,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [216967] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    ACTIONS(9110), 1,
      sym_identifier,
    STATE(4207), 1,
      sym_template_type,
    STATE(4735), 1,
      sym_field_declaration_list,
    STATE(4864), 1,
      sym__class_declaration_item,
    STATE(6223), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7256), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4185), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217026] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5590), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9114), 1,
      sym_identifier,
    STATE(2086), 1,
      sym_template_type,
    STATE(2174), 1,
      sym_field_declaration_list,
    STATE(2260), 1,
      sym__class_declaration_item,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(6493), 1,
      sym_virtual_specifier,
    STATE(7378), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217085] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4535), 1,
      sym__class_declaration_item,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5315), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217144] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9279), 1,
      anon_sym_try,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 1,
      anon_sym_EQ,
    ACTIONS(9502), 1,
      anon_sym_SEMI,
    ACTIONS(9504), 1,
      anon_sym_LBRACE,
    STATE(2039), 1,
      sym_try_statement,
    STATE(2043), 1,
      sym_compound_statement,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(6751), 1,
      sym_gnu_asm_expression,
    STATE(6752), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9456), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7155), 2,
      sym_argument_list,
      sym_initializer_list,
  [217205] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4528), 1,
      sym__class_declaration_item,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217264] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9125), 1,
      sym_identifier,
    STATE(2643), 1,
      sym_template_type,
    STATE(2868), 1,
      sym_field_declaration_list,
    STATE(3050), 1,
      sym__class_declaration_item,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(6713), 1,
      sym_virtual_specifier,
    STATE(7165), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2440), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5316), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217323] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7399), 1,
      anon_sym_LBRACE,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9108), 1,
      sym_identifier,
    STATE(3697), 1,
      sym_template_type,
    STATE(3885), 1,
      sym_field_declaration_list,
    STATE(3968), 1,
      sym__class_declaration_item,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(6553), 1,
      sym_virtual_specifier,
    STATE(7385), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3181), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5286), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217382] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1783), 1,
      sym__class_declaration_item,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217441] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7399), 1,
      anon_sym_LBRACE,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9108), 1,
      sym_identifier,
    STATE(3697), 1,
      sym_template_type,
    STATE(3885), 1,
      sym_field_declaration_list,
    STATE(3961), 1,
      sym__class_declaration_item,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(6553), 1,
      sym_virtual_specifier,
    STATE(7385), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3181), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217500] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9125), 1,
      sym_identifier,
    STATE(2643), 1,
      sym_template_type,
    STATE(2868), 1,
      sym_field_declaration_list,
    STATE(3034), 1,
      sym__class_declaration_item,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(6713), 1,
      sym_virtual_specifier,
    STATE(7165), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2440), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217559] = 5,
    ACTIONS(9418), 1,
      anon_sym_LF,
    ACTIONS(9506), 1,
      anon_sym_LPAREN2,
    ACTIONS(9508), 1,
      sym_comment,
    STATE(5497), 1,
      sym_preproc_argument_list,
    ACTIONS(9422), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [217592] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2634), 1,
      sym__class_declaration_item,
    STATE(6210), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217651] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4460), 1,
      sym__class_declaration_item,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217710] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4468), 1,
      sym__class_declaration_item,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5355), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217769] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1798), 1,
      sym__class_declaration_item,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9295), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4277), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5527), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9293), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217865] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 1,
      anon_sym_EQ,
    ACTIONS(9510), 1,
      anon_sym_SEMI,
    ACTIONS(9512), 1,
      anon_sym_LBRACE,
    ACTIONS(9514), 1,
      anon_sym_try,
    STATE(317), 1,
      sym_compound_statement,
    STATE(318), 1,
      sym_try_statement,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(6886), 1,
      sym_gnu_asm_expression,
    STATE(6887), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9456), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7155), 2,
      sym_argument_list,
      sym_initializer_list,
  [217926] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9116), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1783), 1,
      sym__class_declaration_item,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [217985] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9125), 1,
      sym_identifier,
    STATE(2643), 1,
      sym_template_type,
    STATE(2868), 1,
      sym_field_declaration_list,
    STATE(3059), 1,
      sym__class_declaration_item,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(6713), 1,
      sym_virtual_specifier,
    STATE(7165), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2440), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218044] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9125), 1,
      sym_identifier,
    STATE(2643), 1,
      sym_template_type,
    STATE(2868), 1,
      sym_field_declaration_list,
    STATE(3065), 1,
      sym__class_declaration_item,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(6713), 1,
      sym_virtual_specifier,
    STATE(7165), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2440), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218103] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2370), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218162] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7399), 1,
      anon_sym_LBRACE,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9108), 1,
      sym_identifier,
    STATE(3697), 1,
      sym_template_type,
    STATE(3885), 1,
      sym_field_declaration_list,
    STATE(3947), 1,
      sym__class_declaration_item,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(6553), 1,
      sym_virtual_specifier,
    STATE(7385), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3181), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218221] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7399), 1,
      anon_sym_LBRACE,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9108), 1,
      sym_identifier,
    STATE(3697), 1,
      sym_template_type,
    STATE(3885), 1,
      sym_field_declaration_list,
    STATE(3937), 1,
      sym__class_declaration_item,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(6553), 1,
      sym_virtual_specifier,
    STATE(7385), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3181), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5335), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218280] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2606), 1,
      sym__class_declaration_item,
    STATE(6210), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218339] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6550), 1,
      anon_sym_LBRACE,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9121), 1,
      sym_identifier,
    STATE(2801), 1,
      sym_template_type,
    STATE(3143), 1,
      sym_field_declaration_list,
    STATE(3345), 1,
      sym__class_declaration_item,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7218), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2584), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5353), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218398] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6550), 1,
      anon_sym_LBRACE,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9121), 1,
      sym_identifier,
    STATE(2801), 1,
      sym_template_type,
    STATE(3143), 1,
      sym_field_declaration_list,
    STATE(3360), 1,
      sym__class_declaration_item,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7218), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2584), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218457] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6550), 1,
      anon_sym_LBRACE,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9121), 1,
      sym_identifier,
    STATE(2801), 1,
      sym_template_type,
    STATE(3143), 1,
      sym_field_declaration_list,
    STATE(3421), 1,
      sym__class_declaration_item,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7218), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2584), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218516] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6550), 1,
      anon_sym_LBRACE,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9121), 1,
      sym_identifier,
    STATE(2801), 1,
      sym_template_type,
    STATE(3143), 1,
      sym_field_declaration_list,
    STATE(3426), 1,
      sym__class_declaration_item,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7218), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2584), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218575] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4341), 1,
      sym_field_declaration_list,
    STATE(4509), 1,
      sym__class_declaration_item,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym_virtual_specifier,
    STATE(7354), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4085), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218634] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(6550), 1,
      anon_sym_LBRACE,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9121), 1,
      sym_identifier,
    STATE(2801), 1,
      sym_template_type,
    STATE(3143), 1,
      sym_field_declaration_list,
    STATE(3494), 1,
      sym__class_declaration_item,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7218), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2584), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218693] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9239), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4277), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5524), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9237), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [218730] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9123), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1783), 1,
      sym__class_declaration_item,
    STATE(4842), 1,
      sym_field_declaration_list,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(6607), 1,
      sym_virtual_specifier,
    STATE(7225), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4151), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218789] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    ACTIONS(9098), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2387), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(6235), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3850), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218848] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    ACTIONS(9098), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2378), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(6235), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3850), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218907] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9094), 1,
      sym_identifier,
    ACTIONS(9098), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2388), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(6235), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3850), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5305), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [218966] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9460), 1,
      anon_sym_COMMA,
    ACTIONS(9468), 1,
      anon_sym_SLASH,
    ACTIONS(9470), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9474), 1,
      anon_sym_PIPE,
    ACTIONS(9476), 1,
      anon_sym_CARET,
    ACTIONS(9478), 1,
      anon_sym_AMP,
    ACTIONS(9516), 1,
      anon_sym_RPAREN,
    STATE(6814), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9466), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9482), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [219021] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9104), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2387), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219080] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2632), 1,
      sym__class_declaration_item,
    STATE(6210), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5338), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219139] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2387), 1,
      sym__class_declaration_item,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219198] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(133), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(9518), 1,
      sym_identifier,
    ACTIONS(9520), 1,
      anon_sym_template,
    STATE(2756), 1,
      sym_template_function,
    STATE(2769), 1,
      sym_operator_name,
    STATE(2772), 1,
      sym_qualified_identifier,
    STATE(2782), 1,
      sym_dependent_identifier,
    STATE(2785), 1,
      sym_destructor_name,
    STATE(2788), 1,
      sym_pointer_type_declarator,
    STATE(5366), 1,
      sym__scope_resolution,
    STATE(6689), 1,
      sym_qualified_operator_cast_identifier,
    STATE(6712), 1,
      sym_operator_cast,
    STATE(7629), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [219261] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9123), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1789), 1,
      sym__class_declaration_item,
    STATE(4842), 1,
      sym_field_declaration_list,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(6607), 1,
      sym_virtual_specifier,
    STATE(7225), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4151), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5358), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219320] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9123), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1798), 1,
      sym__class_declaration_item,
    STATE(4842), 1,
      sym_field_declaration_list,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(6607), 1,
      sym_virtual_specifier,
    STATE(7225), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4151), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219379] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9116), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1789), 1,
      sym__class_declaration_item,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219438] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9116), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1798), 1,
      sym__class_declaration_item,
    STATE(2203), 1,
      sym_field_declaration_list,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(6706), 1,
      sym_virtual_specifier,
    STATE(7187), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219497] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2632), 1,
      sym__class_declaration_item,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219556] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9123), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1808), 1,
      sym__class_declaration_item,
    STATE(4842), 1,
      sym_field_declaration_list,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(6607), 1,
      sym_virtual_specifier,
    STATE(7225), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4151), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219615] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9123), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(1797), 1,
      sym__class_declaration_item,
    STATE(4842), 1,
      sym_field_declaration_list,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(6607), 1,
      sym_virtual_specifier,
    STATE(7225), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4151), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5368), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219674] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2606), 1,
      sym__class_declaration_item,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219733] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2625), 1,
      sym__class_declaration_item,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219792] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2652), 1,
      sym__class_declaration_item,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5375), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219851] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2387), 1,
      sym__class_declaration_item,
    STATE(3638), 1,
      sym_field_declaration_list,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(6457), 1,
      sym_virtual_specifier,
    STATE(7178), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219910] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2562), 1,
      sym_field_declaration_list,
    STATE(2634), 1,
      sym__class_declaration_item,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6569), 1,
      sym_virtual_specifier,
    STATE(7212), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [219969] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 1,
      anon_sym_EQ,
    ACTIONS(9522), 1,
      anon_sym_SEMI,
    ACTIONS(9524), 1,
      anon_sym_LBRACE,
    ACTIONS(9526), 1,
      anon_sym_try,
    STATE(534), 1,
      sym_try_statement,
    STATE(536), 1,
      sym_compound_statement,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(7077), 1,
      sym_gnu_asm_expression,
    STATE(7083), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9456), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7155), 2,
      sym_argument_list,
      sym_initializer_list,
  [220030] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    ACTIONS(6162), 1,
      anon_sym_COLON,
    ACTIONS(9104), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2388), 1,
      sym__class_declaration_item,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(6651), 1,
      sym_virtual_specifier,
    STATE(7217), 1,
      sym_base_class_clause,
    ACTIONS(5594), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5276), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [220089] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(9535), 1,
      anon_sym_requires,
    STATE(5433), 1,
      sym_trailing_return_type,
    ACTIONS(9530), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220129] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    ACTIONS(8801), 1,
      anon_sym_requires,
    STATE(5396), 1,
      sym_trailing_return_type,
    ACTIONS(8690), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [220169] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    STATE(5471), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9530), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9540), 1,
      anon_sym_LPAREN2,
    ACTIONS(9542), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9538), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220239] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9152), 1,
      anon_sym_requires,
    ACTIONS(9129), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9468), 1,
      anon_sym_SLASH,
    ACTIONS(9466), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9546), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9544), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [220307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5724), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9548), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5726), 16,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5082), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9546), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9544), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [220393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5112), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5114), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220421] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7765), 1,
      anon_sym_STAR,
    ACTIONS(9396), 1,
      anon_sym_TILDE,
    ACTIONS(9550), 1,
      sym_identifier,
    ACTIONS(9552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9554), 1,
      anon_sym_template,
    ACTIONS(9556), 1,
      anon_sym_operator,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_template_function,
    STATE(2769), 1,
      sym_operator_name,
    STATE(2772), 1,
      sym_qualified_identifier,
    STATE(2782), 1,
      sym_dependent_identifier,
    STATE(2785), 1,
      sym_destructor_name,
    STATE(2788), 1,
      sym_pointer_type_declarator,
    STATE(5391), 1,
      sym__scope_resolution,
    STATE(7809), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [220485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5110), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220513] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9468), 1,
      anon_sym_SLASH,
    ACTIONS(9472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9474), 1,
      anon_sym_PIPE,
    ACTIONS(9476), 1,
      anon_sym_CARET,
    ACTIONS(9478), 1,
      anon_sym_AMP,
    ACTIONS(9464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9466), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9482), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9544), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [220561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5110), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5110), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220617] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9054), 1,
      anon_sym_requires,
    ACTIONS(8996), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220653] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9468), 1,
      anon_sym_SLASH,
    ACTIONS(9474), 1,
      anon_sym_PIPE,
    ACTIONS(9476), 1,
      anon_sym_CARET,
    ACTIONS(9478), 1,
      anon_sym_AMP,
    ACTIONS(9464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9466), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9482), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9544), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [220699] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7765), 1,
      anon_sym_STAR,
    ACTIONS(9558), 1,
      sym_identifier,
    ACTIONS(9560), 1,
      anon_sym_TILDE,
    ACTIONS(9562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9564), 1,
      anon_sym_template,
    ACTIONS(9566), 1,
      anon_sym_operator,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(2406), 1,
      sym_pointer_type_declarator,
    STATE(2408), 1,
      sym_template_function,
    STATE(2409), 1,
      sym_destructor_name,
    STATE(2410), 1,
      sym_dependent_identifier,
    STATE(2412), 1,
      sym_qualified_identifier,
    STATE(2414), 1,
      sym_operator_name,
    STATE(5398), 1,
      sym__scope_resolution,
    STATE(7809), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [220763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9548), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9568), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5714), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5122), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220823] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9468), 1,
      anon_sym_SLASH,
    ACTIONS(9476), 1,
      anon_sym_CARET,
    ACTIONS(9478), 1,
      anon_sym_AMP,
    ACTIONS(9546), 1,
      anon_sym_PIPE,
    ACTIONS(9464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9466), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9482), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9544), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [220869] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(9570), 1,
      sym_identifier,
    ACTIONS(9572), 1,
      anon_sym_TILDE,
    ACTIONS(9574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9576), 1,
      anon_sym_template,
    ACTIONS(9578), 1,
      anon_sym_operator,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(3220), 1,
      sym_pointer_type_declarator,
    STATE(3223), 1,
      sym_template_function,
    STATE(3225), 1,
      sym_destructor_name,
    STATE(3233), 1,
      sym_dependent_identifier,
    STATE(3243), 1,
      sym_qualified_identifier,
    STATE(3244), 1,
      sym_operator_name,
    STATE(5402), 1,
      sym__scope_resolution,
    STATE(8006), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [220933] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(9580), 1,
      sym_identifier,
    ACTIONS(9582), 1,
      anon_sym_TILDE,
    ACTIONS(9584), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9586), 1,
      anon_sym_template,
    ACTIONS(9588), 1,
      anon_sym_operator,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(3382), 1,
      sym_operator_name,
    STATE(3383), 1,
      sym_qualified_identifier,
    STATE(3388), 1,
      sym_dependent_identifier,
    STATE(3389), 1,
      sym_destructor_name,
    STATE(3390), 1,
      sym_template_function,
    STATE(3392), 1,
      sym_pointer_type_declarator,
    STATE(5403), 1,
      sym__scope_resolution,
    STATE(8006), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [220997] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9468), 1,
      anon_sym_SLASH,
    ACTIONS(9478), 1,
      anon_sym_AMP,
    ACTIONS(9546), 1,
      anon_sym_PIPE,
    ACTIONS(9464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9466), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9482), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9544), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [221041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9592), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9590), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [221069] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(8903), 1,
      anon_sym_requires,
    STATE(5430), 1,
      sym_trailing_return_type,
    ACTIONS(8690), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [221109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5094), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221137] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_identifier,
    ACTIONS(7974), 1,
      anon_sym_STAR,
    ACTIONS(7976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7978), 1,
      anon_sym_AMP,
    ACTIONS(9594), 1,
      anon_sym_SEMI,
    STATE(5157), 1,
      sym__field_declarator,
    STATE(6011), 1,
      sym_operator_name,
    STATE(8191), 1,
      sym_attribute_specifier,
    STATE(8197), 1,
      sym_ms_based_modifier,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [221189] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9596), 1,
      anon_sym_requires,
    ACTIONS(9530), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [221225] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(9069), 1,
      anon_sym_requires,
    STATE(5431), 1,
      sym_trailing_return_type,
    ACTIONS(8996), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [221265] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9606), 1,
      anon_sym_requires,
    ACTIONS(9601), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9603), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5575), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9599), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [221301] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    STATE(5462), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8690), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [221341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5128), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5130), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221369] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8690), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [221405] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9611), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9609), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1969), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(1967), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5106), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221493] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9468), 1,
      anon_sym_SLASH,
    ACTIONS(9464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9466), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9482), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9546), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9544), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [221535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9615), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9613), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [221563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5116), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5118), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221591] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7777), 1,
      anon_sym_STAR,
    ACTIONS(9617), 1,
      sym_identifier,
    ACTIONS(9619), 1,
      anon_sym_TILDE,
    ACTIONS(9621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9623), 1,
      anon_sym_template,
    ACTIONS(9625), 1,
      anon_sym_operator,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(3614), 1,
      sym_pointer_type_declarator,
    STATE(3616), 1,
      sym_template_function,
    STATE(3617), 1,
      sym_destructor_name,
    STATE(3618), 1,
      sym_dependent_identifier,
    STATE(3620), 1,
      sym_qualified_identifier,
    STATE(3622), 1,
      sym_operator_name,
    STATE(5421), 1,
      sym__scope_resolution,
    STATE(8065), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [221655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6791), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6793), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [221683] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8690), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [221719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9629), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9627), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221747] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(9173), 1,
      anon_sym_requires,
    STATE(5432), 1,
      sym_trailing_return_type,
    ACTIONS(9129), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [221787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5086), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221815] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7765), 1,
      anon_sym_STAR,
    ACTIONS(9560), 1,
      anon_sym_TILDE,
    ACTIONS(9566), 1,
      anon_sym_operator,
    ACTIONS(9631), 1,
      sym_identifier,
    ACTIONS(9633), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9635), 1,
      anon_sym_template,
    STATE(1703), 1,
      sym_dependent_type_identifier,
    STATE(1708), 1,
      sym_template_type,
    STATE(1791), 1,
      sym_qualified_type_identifier,
    STATE(2406), 1,
      sym_pointer_type_declarator,
    STATE(2408), 1,
      sym_template_function,
    STATE(2409), 1,
      sym_destructor_name,
    STATE(2410), 1,
      sym_dependent_identifier,
    STATE(2412), 1,
      sym_qualified_identifier,
    STATE(2414), 1,
      sym_operator_name,
    STATE(5427), 1,
      sym__scope_resolution,
    STATE(7809), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [221879] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8903), 1,
      anon_sym_requires,
    ACTIONS(8690), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [221915] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9468), 1,
      anon_sym_SLASH,
    ACTIONS(9464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9466), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9482), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9546), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9544), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [221955] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9069), 1,
      anon_sym_requires,
    ACTIONS(8996), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [221991] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9173), 1,
      anon_sym_requires,
    ACTIONS(9129), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222027] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9535), 1,
      anon_sym_requires,
    ACTIONS(9530), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222063] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9637), 1,
      anon_sym_requires,
    ACTIONS(9601), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9603), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5575), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9599), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9295), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9293), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222131] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9468), 1,
      anon_sym_SLASH,
    ACTIONS(9464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9466), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9546), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9544), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [222167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9468), 1,
      anon_sym_SLASH,
    ACTIONS(9464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9466), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9546), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9544), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222201] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8801), 1,
      anon_sym_requires,
    ACTIONS(8690), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [222237] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    STATE(5461), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9129), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [222277] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7765), 1,
      anon_sym_STAR,
    ACTIONS(9560), 1,
      anon_sym_TILDE,
    ACTIONS(9566), 1,
      anon_sym_operator,
    ACTIONS(9640), 1,
      sym_identifier,
    ACTIONS(9642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9644), 1,
      anon_sym_template,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(2406), 1,
      sym_pointer_type_declarator,
    STATE(2408), 1,
      sym_template_function,
    STATE(2409), 1,
      sym_destructor_name,
    STATE(2410), 1,
      sym_dependent_identifier,
    STATE(2412), 1,
      sym_qualified_identifier,
    STATE(2414), 1,
      sym_operator_name,
    STATE(5439), 1,
      sym__scope_resolution,
    STATE(7809), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [222341] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_identifier,
    ACTIONS(7974), 1,
      anon_sym_STAR,
    ACTIONS(7976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7978), 1,
      anon_sym_AMP,
    ACTIONS(9646), 1,
      anon_sym_SEMI,
    STATE(5149), 1,
      sym__field_declarator,
    STATE(6011), 1,
      sym_operator_name,
    STATE(7901), 1,
      sym_attribute_specifier,
    STATE(8197), 1,
      sym_ms_based_modifier,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [222393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5098), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5124), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5126), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9650), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9648), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5090), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9654), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5479), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9652), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222537] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    STATE(5457), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8996), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [222577] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    STATE(5453), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8996), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [222617] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8996), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9658), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9656), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9662), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9660), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222709] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_identifier,
    ACTIONS(7974), 1,
      anon_sym_STAR,
    ACTIONS(7976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7978), 1,
      anon_sym_AMP,
    ACTIONS(9664), 1,
      anon_sym_SEMI,
    STATE(5151), 1,
      sym__field_declarator,
    STATE(6011), 1,
      sym_operator_name,
    STATE(7519), 1,
      sym_attribute_specifier,
    STATE(8197), 1,
      sym_ms_based_modifier,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [222761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5102), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222789] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9129), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [222825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9668), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9666), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222853] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    STATE(5459), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9129), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [222893] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(9582), 1,
      anon_sym_TILDE,
    ACTIONS(9588), 1,
      anon_sym_operator,
    ACTIONS(9670), 1,
      sym_identifier,
    ACTIONS(9672), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9674), 1,
      anon_sym_template,
    STATE(1703), 1,
      sym_dependent_type_identifier,
    STATE(1708), 1,
      sym_template_type,
    STATE(1791), 1,
      sym_qualified_type_identifier,
    STATE(3382), 1,
      sym_operator_name,
    STATE(3383), 1,
      sym_qualified_identifier,
    STATE(3388), 1,
      sym_dependent_identifier,
    STATE(3389), 1,
      sym_destructor_name,
    STATE(3390), 1,
      sym_template_function,
    STATE(3392), 1,
      sym_pointer_type_declarator,
    STATE(5456), 1,
      sym__scope_resolution,
    STATE(8006), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [222957] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9129), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222993] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6863), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    STATE(5448), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8690), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [223033] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9530), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [223069] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7777), 1,
      anon_sym_STAR,
    ACTIONS(9619), 1,
      anon_sym_TILDE,
    ACTIONS(9625), 1,
      anon_sym_operator,
    ACTIONS(9676), 1,
      sym_identifier,
    ACTIONS(9678), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9680), 1,
      anon_sym_template,
    STATE(2392), 1,
      sym_dependent_type_identifier,
    STATE(2403), 1,
      sym_template_type,
    STATE(2535), 1,
      sym_qualified_type_identifier,
    STATE(3614), 1,
      sym_pointer_type_declarator,
    STATE(3616), 1,
      sym_template_function,
    STATE(3617), 1,
      sym_destructor_name,
    STATE(3618), 1,
      sym_dependent_identifier,
    STATE(3620), 1,
      sym_qualified_identifier,
    STATE(3622), 1,
      sym_operator_name,
    STATE(5460), 1,
      sym__scope_resolution,
    STATE(8065), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [223133] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9530), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [223169] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8996), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [223205] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(9682), 1,
      sym_identifier,
    ACTIONS(9684), 1,
      anon_sym_template,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_template_function,
    STATE(2769), 1,
      sym_operator_name,
    STATE(2772), 1,
      sym_qualified_identifier,
    STATE(2782), 1,
      sym_dependent_identifier,
    STATE(2785), 1,
      sym_destructor_name,
    STATE(2788), 1,
      sym_pointer_type_declarator,
    STATE(5463), 1,
      sym__scope_resolution,
    STATE(7629), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [223269] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(9582), 1,
      anon_sym_TILDE,
    ACTIONS(9588), 1,
      anon_sym_operator,
    ACTIONS(9686), 1,
      sym_identifier,
    ACTIONS(9688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9690), 1,
      anon_sym_template,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(3382), 1,
      sym_operator_name,
    STATE(3383), 1,
      sym_qualified_identifier,
    STATE(3388), 1,
      sym_dependent_identifier,
    STATE(3389), 1,
      sym_destructor_name,
    STATE(3390), 1,
      sym_template_function,
    STATE(3392), 1,
      sym_pointer_type_declarator,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(8006), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [223333] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    STATE(5470), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9530), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [223373] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7735), 1,
      anon_sym_STAR,
    ACTIONS(9572), 1,
      anon_sym_TILDE,
    ACTIONS(9578), 1,
      anon_sym_operator,
    ACTIONS(9692), 1,
      sym_identifier,
    ACTIONS(9694), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9696), 1,
      anon_sym_template,
    STATE(1703), 1,
      sym_dependent_type_identifier,
    STATE(1708), 1,
      sym_template_type,
    STATE(1791), 1,
      sym_qualified_type_identifier,
    STATE(3220), 1,
      sym_pointer_type_declarator,
    STATE(3223), 1,
      sym_template_function,
    STATE(3225), 1,
      sym_destructor_name,
    STATE(3233), 1,
      sym_dependent_identifier,
    STATE(3243), 1,
      sym_qualified_identifier,
    STATE(3244), 1,
      sym_operator_name,
    STATE(5466), 1,
      sym__scope_resolution,
    STATE(8006), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [223437] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7765), 1,
      anon_sym_STAR,
    ACTIONS(9560), 1,
      anon_sym_TILDE,
    ACTIONS(9566), 1,
      anon_sym_operator,
    ACTIONS(9698), 1,
      sym_identifier,
    ACTIONS(9700), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9702), 1,
      anon_sym_template,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(2406), 1,
      sym_pointer_type_declarator,
    STATE(2408), 1,
      sym_template_function,
    STATE(2409), 1,
      sym_destructor_name,
    STATE(2410), 1,
      sym_dependent_identifier,
    STATE(2412), 1,
      sym_qualified_identifier,
    STATE(2414), 1,
      sym_operator_name,
    STATE(5467), 1,
      sym__scope_resolution,
    STATE(7809), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [223501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9706), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9704), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223529] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7854), 1,
      anon_sym_STAR,
    ACTIONS(7856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7858), 1,
      anon_sym_AMP,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6138), 1,
      sym__abstract_declarator,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8058), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [223573] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9601), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5575), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9599), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [223609] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9601), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5575), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9599), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [223645] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9468), 1,
      anon_sym_SLASH,
    ACTIONS(9470), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9474), 1,
      anon_sym_PIPE,
    ACTIONS(9476), 1,
      anon_sym_CARET,
    ACTIONS(9478), 1,
      anon_sym_AMP,
    ACTIONS(9464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9466), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9482), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9708), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [223695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9710), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9712), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5714), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6818), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9239), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9237), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223787] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    ACTIONS(9054), 1,
      anon_sym_requires,
    STATE(5385), 1,
      sym_trailing_return_type,
    ACTIONS(8996), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [223827] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    ACTIONS(9152), 1,
      anon_sym_requires,
    STATE(5409), 1,
      sym_trailing_return_type,
    ACTIONS(9129), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [223867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9716), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9714), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9720), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9722), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5479), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9718), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9725), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9731), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9729), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9735), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9733), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224011] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(4947), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(9737), 1,
      sym_identifier,
    ACTIONS(9739), 1,
      anon_sym_template,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_template_function,
    STATE(2769), 1,
      sym_operator_name,
    STATE(2772), 1,
      sym_qualified_identifier,
    STATE(2782), 1,
      sym_dependent_identifier,
    STATE(2785), 1,
      sym_destructor_name,
    STATE(2788), 1,
      sym_pointer_type_declarator,
    STATE(5483), 1,
      sym__scope_resolution,
    STATE(7629), 1,
      sym_ms_based_modifier,
    STATE(8169), 1,
      sym_decltype,
  [224075] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6896), 1,
      anon_sym_DASH_GT,
    ACTIONS(9596), 1,
      anon_sym_requires,
    STATE(5411), 1,
      sym_trailing_return_type,
    ACTIONS(9530), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [224115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5724), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9712), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5726), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(1971), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [224173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9743), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9741), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [224201] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9745), 1,
      sym_identifier,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2060), 1,
      sym_primitive_type,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(1768), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [224246] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9747), 1,
      sym_identifier,
    STATE(2014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2217), 1,
      sym_primitive_type,
    STATE(6210), 1,
      sym__scope_resolution,
    STATE(2566), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(2586), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2584), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [224291] = 12,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9749), 1,
      anon_sym_LF,
    ACTIONS(9755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9759), 1,
      anon_sym_PIPE,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224336] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7791), 1,
      anon_sym_STAR,
    ACTIONS(9771), 1,
      sym_identifier,
    ACTIONS(9773), 1,
      anon_sym_template,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(5835), 1,
      sym_pointer_type_declarator,
    STATE(5841), 1,
      sym_template_function,
    STATE(5842), 1,
      sym_destructor_name,
    STATE(5844), 1,
      sym_dependent_identifier,
    STATE(5847), 1,
      sym_qualified_identifier,
    STATE(5849), 1,
      sym_operator_name,
    STATE(7631), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [224393] = 6,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9546), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224426] = 12,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LF,
    ACTIONS(9546), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9759), 1,
      anon_sym_PIPE,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224471] = 12,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9759), 1,
      anon_sym_PIPE,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9775), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224516] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7888), 1,
      anon_sym_STAR,
    ACTIONS(7890), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7892), 1,
      anon_sym_AMP,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6150), 1,
      sym__abstract_declarator,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8058), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [224559] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(5872), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(9518), 1,
      sym_identifier,
    ACTIONS(9520), 1,
      anon_sym_template,
    STATE(2756), 1,
      sym_template_function,
    STATE(2769), 1,
      sym_operator_name,
    STATE(2772), 1,
      sym_qualified_identifier,
    STATE(2782), 1,
      sym_dependent_identifier,
    STATE(2785), 1,
      sym_destructor_name,
    STATE(2788), 1,
      sym_pointer_type_declarator,
    STATE(5496), 1,
      sym__scope_resolution,
    STATE(7629), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [224616] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9704), 1,
      anon_sym_LF,
    ACTIONS(9706), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [224643] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      anon_sym_STAR,
    ACTIONS(9518), 1,
      sym_identifier,
    ACTIONS(9520), 1,
      anon_sym_template,
    STATE(2756), 1,
      sym_template_function,
    STATE(2769), 1,
      sym_operator_name,
    STATE(2772), 1,
      sym_qualified_identifier,
    STATE(2782), 1,
      sym_dependent_identifier,
    STATE(2785), 1,
      sym_destructor_name,
    STATE(2788), 1,
      sym_pointer_type_declarator,
    STATE(5498), 1,
      sym__scope_resolution,
    STATE(7840), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [224700] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6751), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(9777), 1,
      sym_identifier,
    ACTIONS(9779), 1,
      anon_sym_template,
    STATE(2756), 1,
      sym_template_function,
    STATE(2769), 1,
      sym_operator_name,
    STATE(2772), 1,
      sym_qualified_identifier,
    STATE(2782), 1,
      sym_dependent_identifier,
    STATE(2785), 1,
      sym_destructor_name,
    STATE(2788), 1,
      sym_pointer_type_declarator,
    STATE(5499), 1,
      sym__scope_resolution,
    STATE(7629), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [224757] = 12,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9759), 1,
      anon_sym_PIPE,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9781), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224802] = 10,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LF,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9546), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224843] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9783), 1,
      sym_identifier,
    STATE(2975), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3592), 1,
      sym_primitive_type,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(3929), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(7144), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8950), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [224888] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9785), 1,
      sym_identifier,
    STATE(3944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4232), 1,
      sym_primitive_type,
    STATE(6223), 1,
      sym__scope_resolution,
    STATE(4752), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(7298), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7296), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [224933] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9468), 1,
      anon_sym_SLASH,
    ACTIONS(9470), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9474), 1,
      anon_sym_PIPE,
    ACTIONS(9476), 1,
      anon_sym_CARET,
    ACTIONS(9478), 1,
      anon_sym_AMP,
    ACTIONS(9787), 1,
      anon_sym_RPAREN,
    ACTIONS(9464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9466), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9482), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [224982] = 9,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LF,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9546), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [225021] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 1,
      anon_sym_EQ,
    ACTIONS(9789), 1,
      anon_sym_SEMI,
    ACTIONS(9791), 1,
      anon_sym_COLON,
    STATE(2891), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(6978), 1,
      sym_gnu_asm_expression,
    STATE(6980), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9456), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5986), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7155), 2,
      sym_argument_list,
      sym_initializer_list,
  [225076] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9793), 1,
      sym_identifier,
    STATE(2218), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2530), 1,
      sym_primitive_type,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(2350), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225121] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(5462), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [225160] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9795), 1,
      sym_identifier,
    STATE(2139), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2539), 1,
      sym_primitive_type,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(2824), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(5826), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8818), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225205] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9468), 1,
      anon_sym_SLASH,
    ACTIONS(9470), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9474), 1,
      anon_sym_PIPE,
    ACTIONS(9476), 1,
      anon_sym_CARET,
    ACTIONS(9478), 1,
      anon_sym_AMP,
    ACTIONS(9797), 1,
      anon_sym_RPAREN,
    ACTIONS(9464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9466), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9482), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9486), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [225254] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9590), 1,
      anon_sym_LF,
    ACTIONS(9592), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [225281] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9799), 1,
      sym_identifier,
    STATE(2057), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2291), 1,
      sym_primitive_type,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(2197), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(5649), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8872), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225326] = 12,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9759), 1,
      anon_sym_PIPE,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9801), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [225371] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9803), 1,
      sym_identifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4058), 1,
      sym_primitive_type,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(4492), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7235), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9295), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5540), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9293), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [225447] = 12,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9759), 1,
      anon_sym_PIPE,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9805), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [225492] = 11,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LF,
    ACTIONS(9759), 1,
      anon_sym_PIPE,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9546), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [225535] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9807), 1,
      sym_identifier,
    STATE(2014), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2217), 1,
      sym_primitive_type,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(2566), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(2586), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2584), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225580] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9809), 1,
      sym_identifier,
    STATE(2067), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2236), 1,
      sym_primitive_type,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(2197), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(5649), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8890), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225625] = 12,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9759), 1,
      anon_sym_PIPE,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9811), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [225670] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9813), 1,
      sym_identifier,
    STATE(2219), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2586), 1,
      sym_primitive_type,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(2979), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(6003), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8910), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225715] = 12,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9759), 1,
      anon_sym_PIPE,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9815), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [225760] = 12,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9759), 1,
      anon_sym_PIPE,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9817), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [225805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9611), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5540), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9609), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [225836] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    STATE(5470), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [225875] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9819), 1,
      sym_identifier,
    STATE(2581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2955), 1,
      sym_primitive_type,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(2350), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3810), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [225920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9239), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5540), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9237), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [225951] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9729), 1,
      anon_sym_LF,
    ACTIONS(9731), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [225978] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9546), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [226009] = 3,
    ACTIONS(6818), 1,
      anon_sym_LF,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(6816), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [226036] = 7,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9546), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [226071] = 8,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9546), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [226108] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    STATE(5453), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [226147] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9819), 1,
      sym_identifier,
    STATE(2581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2955), 1,
      sym_primitive_type,
    STATE(6220), 1,
      sym__scope_resolution,
    STATE(2350), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3810), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [226192] = 12,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9759), 1,
      anon_sym_PIPE,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9821), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [226237] = 12,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9759), 1,
      anon_sym_PIPE,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9823), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [226282] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9660), 1,
      anon_sym_LF,
    ACTIONS(9662), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [226309] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9656), 1,
      anon_sym_LF,
    ACTIONS(9658), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [226336] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9825), 1,
      sym_identifier,
    STATE(4736), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4762), 1,
      sym_primitive_type,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(1768), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [226381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9827), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5959), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5540), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5961), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [226412] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9793), 1,
      sym_identifier,
    STATE(2218), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2530), 1,
      sym_primitive_type,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(2350), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(67), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [226457] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9803), 1,
      sym_identifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4058), 1,
      sym_primitive_type,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(4492), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(7237), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7235), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [226502] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(9596), 1,
      anon_sym_requires,
    STATE(5411), 1,
      sym_trailing_return_type,
    ACTIONS(9532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [226541] = 12,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9759), 1,
      anon_sym_PIPE,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9830), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [226586] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(6763), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(9771), 1,
      sym_identifier,
    ACTIONS(9773), 1,
      anon_sym_template,
    STATE(5545), 1,
      sym__scope_resolution,
    STATE(5835), 1,
      sym_pointer_type_declarator,
    STATE(5841), 1,
      sym_template_function,
    STATE(5842), 1,
      sym_destructor_name,
    STATE(5844), 1,
      sym_dependent_identifier,
    STATE(5847), 1,
      sym_qualified_identifier,
    STATE(5849), 1,
      sym_operator_name,
    STATE(7907), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [226643] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9613), 1,
      anon_sym_LF,
    ACTIONS(9615), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [226670] = 12,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9759), 1,
      anon_sym_PIPE,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9832), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [226715] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LF,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9546), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [226744] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LF,
    ACTIONS(9546), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [226771] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9152), 1,
      anon_sym_requires,
    STATE(5409), 1,
      sym_trailing_return_type,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [226810] = 12,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9759), 1,
      anon_sym_PIPE,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9834), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [226855] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_requires,
    STATE(5385), 1,
      sym_trailing_return_type,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [226894] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9836), 1,
      sym_identifier,
    STATE(2332), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2698), 1,
      sym_primitive_type,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(3256), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(6158), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8838), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [226939] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3242), 1,
      anon_sym_TILDE,
    ACTIONS(7751), 1,
      anon_sym_STAR,
    ACTIONS(9838), 1,
      sym_identifier,
    ACTIONS(9840), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9842), 1,
      anon_sym_template,
    STATE(2756), 1,
      sym_template_function,
    STATE(2769), 1,
      sym_operator_name,
    STATE(2772), 1,
      sym_qualified_identifier,
    STATE(2782), 1,
      sym_dependent_identifier,
    STATE(2785), 1,
      sym_destructor_name,
    STATE(2788), 1,
      sym_pointer_type_declarator,
    STATE(5554), 1,
      sym__scope_resolution,
    STATE(7629), 1,
      sym_ms_based_modifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [226996] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8801), 1,
      anon_sym_requires,
    STATE(5396), 1,
      sym_trailing_return_type,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [227035] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6834), 1,
      anon_sym_DASH_GT,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    STATE(5459), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [227074] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9741), 1,
      anon_sym_LF,
    ACTIONS(9743), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [227101] = 3,
    ACTIONS(6793), 1,
      anon_sym_LF,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(6791), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [227128] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9725), 1,
      anon_sym_LF,
    ACTIONS(9727), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [227155] = 12,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9759), 1,
      anon_sym_PIPE,
    ACTIONS(9761), 1,
      anon_sym_CARET,
    ACTIONS(9763), 1,
      anon_sym_AMP,
    ACTIONS(9844), 1,
      anon_sym_LF,
    ACTIONS(9751), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9753), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [227200] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9846), 1,
      sym_identifier,
    STATE(1734), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2060), 1,
      sym_primitive_type,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(1768), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(1789), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [227245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8996), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8994), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9850), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9848), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9854), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9852), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227323] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(9001), 1,
      anon_sym_requires,
    STATE(5664), 1,
      sym_trailing_return_type,
    ACTIONS(8998), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227359] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9102), 1,
      sym_identifier,
    ACTIONS(9856), 1,
      anon_sym_virtual,
    STATE(2138), 1,
      sym_template_type,
    STATE(6097), 1,
      sym_access_specifier,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(5567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6580), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9858), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [227407] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9102), 1,
      sym_identifier,
    ACTIONS(9860), 1,
      anon_sym_virtual,
    STATE(2138), 1,
      sym_template_type,
    STATE(6096), 1,
      sym_access_specifier,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6547), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9858), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [227455] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9102), 1,
      sym_identifier,
    ACTIONS(9862), 1,
      anon_sym_virtual,
    STATE(2138), 1,
      sym_template_type,
    STATE(6124), 1,
      sym_access_specifier,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(5574), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6885), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9858), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [227503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9866), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9864), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227529] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(6707), 1,
      anon_sym_requires,
    STATE(5678), 1,
      sym_trailing_return_type,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9870), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9868), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227591] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 1,
      anon_sym_EQ,
    ACTIONS(9522), 1,
      anon_sym_SEMI,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(7077), 1,
      sym_gnu_asm_expression,
    STATE(7083), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9456), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7155), 2,
      sym_argument_list,
      sym_initializer_list,
  [227643] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(6707), 1,
      anon_sym_requires,
    STATE(5686), 1,
      sym_trailing_return_type,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227679] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9102), 1,
      sym_identifier,
    ACTIONS(9872), 1,
      anon_sym_virtual,
    STATE(2138), 1,
      sym_template_type,
    STATE(6066), 1,
      sym_access_specifier,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(5054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9858), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [227727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9876), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9874), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227753] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 1,
      anon_sym_EQ,
    ACTIONS(9488), 1,
      anon_sym_SEMI,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(7079), 1,
      sym_gnu_asm_expression,
    STATE(7080), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9456), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7155), 2,
      sym_argument_list,
      sym_initializer_list,
  [227805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9880), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9878), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8690), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8688), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9884), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9882), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9888), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9886), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227909] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(6707), 1,
      anon_sym_requires,
    STATE(5668), 1,
      sym_trailing_return_type,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5919), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9892), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9890), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9129), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9127), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227997] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 1,
      anon_sym_EQ,
    ACTIONS(9510), 1,
      anon_sym_SEMI,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(6886), 1,
      sym_gnu_asm_expression,
    STATE(6887), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9456), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7155), 2,
      sym_argument_list,
      sym_initializer_list,
  [228049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9896), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9894), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9900), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9898), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9904), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9902), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9601), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9599), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228153] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 1,
      anon_sym_EQ,
    ACTIONS(9789), 1,
      anon_sym_SEMI,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(6978), 1,
      sym_gnu_asm_expression,
    STATE(6980), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9456), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7155), 2,
      sym_argument_list,
      sym_initializer_list,
  [228205] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(8695), 1,
      anon_sym_requires,
    STATE(5669), 1,
      sym_trailing_return_type,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9908), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9906), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228267] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(6707), 1,
      anon_sym_requires,
    STATE(5723), 1,
      sym_trailing_return_type,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9530), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9528), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228329] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7370), 1,
      anon_sym_LPAREN2,
    ACTIONS(7384), 1,
      anon_sym_LBRACK,
    ACTIONS(7903), 1,
      anon_sym_STAR,
    ACTIONS(7905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7907), 1,
      anon_sym_AMP,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(5587), 1,
      sym__function_declarator_seq,
    STATE(6189), 1,
      sym__abstract_declarator,
    ACTIONS(8058), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5586), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228371] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(9134), 1,
      anon_sym_requires,
    STATE(5659), 1,
      sym_trailing_return_type,
    ACTIONS(9131), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9912), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9910), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228433] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_DASH_GT,
    ACTIONS(9917), 1,
      anon_sym_requires,
    STATE(5710), 1,
      sym_trailing_return_type,
    ACTIONS(9914), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5919), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9922), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9920), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9926), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9924), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228521] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_LPAREN2,
    ACTIONS(9448), 1,
      anon_sym_SEMI,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 1,
      anon_sym_EQ,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(6775), 1,
      sym_gnu_asm_expression,
    STATE(6778), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9456), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7155), 2,
      sym_argument_list,
      sym_initializer_list,
  [228573] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9789), 1,
      anon_sym_SEMI,
    ACTIONS(9928), 1,
      anon_sym_EQ,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(6873), 1,
      sym_initializer_list,
    STATE(6978), 1,
      sym_gnu_asm_expression,
    STATE(6980), 1,
      aux_sym_declaration_repeat1,
    STATE(7155), 1,
      sym_argument_list,
    ACTIONS(9456), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [228627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3926), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228652] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9930), 1,
      anon_sym_LT,
    ACTIONS(9932), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5390), 1,
      sym_compound_statement,
    STATE(5631), 1,
      sym_template_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(6698), 1,
      sym_abstract_function_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228701] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9934), 1,
      anon_sym_LBRACE,
    ACTIONS(9936), 1,
      anon_sym_requires,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(3459), 1,
      sym_compound_statement,
    STATE(5770), 1,
      sym_requires_clause,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6581), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228750] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9938), 1,
      sym_identifier,
    ACTIONS(5200), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5624), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9940), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9942), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [228781] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9936), 1,
      anon_sym_requires,
    ACTIONS(9944), 1,
      anon_sym_LBRACE,
    STATE(1607), 1,
      sym_compound_statement,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5760), 1,
      sym_requires_clause,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6637), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228830] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9930), 1,
      anon_sym_LT,
    ACTIONS(9934), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(3507), 1,
      sym_compound_statement,
    STATE(5604), 1,
      sym_template_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(6677), 1,
      sym_abstract_function_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228879] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(9446), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 1,
      anon_sym_EQ,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(7309), 1,
      sym_gnu_asm_expression,
    ACTIONS(9456), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9946), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7155), 2,
      sym_argument_list,
      sym_initializer_list,
  [228926] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_identifier,
    ACTIONS(7974), 1,
      anon_sym_STAR,
    ACTIONS(7976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7978), 1,
      anon_sym_AMP,
    STATE(5794), 1,
      sym__field_declarator,
    STATE(6011), 1,
      sym_operator_name,
    STATE(8197), 1,
      sym_ms_based_modifier,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [228969] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8801), 1,
      anon_sym_requires,
    STATE(5396), 1,
      sym_trailing_return_type,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [229006] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    STATE(5471), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [229043] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    STATE(5461), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [229080] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    STATE(5457), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [229117] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(6890), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(5448), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [229154] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5601), 1,
      anon_sym_COLON,
    ACTIONS(8378), 1,
      anon_sym_LT,
    STATE(2608), 1,
      sym_template_argument_list,
    ACTIONS(4148), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [229185] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9936), 1,
      anon_sym_requires,
    ACTIONS(9948), 1,
      anon_sym_LBRACE,
    STATE(2498), 1,
      sym_compound_statement,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5725), 1,
      sym_requires_clause,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6510), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [229234] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9930), 1,
      anon_sym_LT,
    ACTIONS(9950), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5653), 1,
      sym_template_parameter_list,
    STATE(5670), 1,
      sym_compound_statement,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6536), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [229283] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    STATE(5470), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [229320] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9936), 1,
      anon_sym_requires,
    ACTIONS(9952), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(3778), 1,
      sym_compound_statement,
    STATE(5751), 1,
      sym_requires_clause,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6611), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [229369] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9069), 1,
      anon_sym_requires,
    STATE(5431), 1,
      sym_trailing_return_type,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [229406] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(5777), 1,
      sym_template_argument_list,
    ACTIONS(7829), 3,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4955), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229437] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(5777), 1,
      sym_template_argument_list,
    ACTIONS(4921), 3,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4914), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229468] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9173), 1,
      anon_sym_requires,
    STATE(5432), 1,
      sym_trailing_return_type,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [229505] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9954), 1,
      sym_identifier,
    ACTIONS(5194), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5648), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9940), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9942), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [229536] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    STATE(5453), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [229573] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(9535), 1,
      anon_sym_requires,
    STATE(5433), 1,
      sym_trailing_return_type,
    ACTIONS(9532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [229610] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9152), 1,
      anon_sym_requires,
    STATE(5409), 1,
      sym_trailing_return_type,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [229647] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9936), 1,
      anon_sym_requires,
    ACTIONS(9956), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(4198), 1,
      sym_compound_statement,
    STATE(5756), 1,
      sym_requires_clause,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(6714), 1,
      sym_abstract_function_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [229696] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6888), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8903), 1,
      anon_sym_requires,
    STATE(5430), 1,
      sym_trailing_return_type,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [229733] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9936), 1,
      anon_sym_requires,
    ACTIONS(9958), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(3465), 1,
      sym_compound_statement,
    STATE(5771), 1,
      sym_requires_clause,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6489), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [229782] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9932), 1,
      anon_sym_LBRACE,
    ACTIONS(9936), 1,
      anon_sym_requires,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5420), 1,
      sym_compound_statement,
    STATE(5785), 1,
      sym_requires_clause,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6671), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [229831] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_identifier,
    ACTIONS(7974), 1,
      anon_sym_STAR,
    ACTIONS(7976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7978), 1,
      anon_sym_AMP,
    STATE(5797), 1,
      sym__field_declarator,
    STATE(6011), 1,
      sym_operator_name,
    STATE(8197), 1,
      sym_ms_based_modifier,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [229874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9960), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6172), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6174), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229901] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9930), 1,
      anon_sym_LT,
    ACTIONS(9944), 1,
      anon_sym_LBRACE,
    STATE(1605), 1,
      sym_compound_statement,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5606), 1,
      sym_template_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6588), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [229950] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7932), 1,
      sym_identifier,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(6244), 1,
      sym__field_declarator,
    STATE(6374), 1,
      sym_operator_name,
    STATE(7948), 1,
      sym_ms_based_modifier,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [229993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3944), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230018] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_requires,
    STATE(5385), 1,
      sym_trailing_return_type,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [230055] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    ACTIONS(9964), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6653), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230088] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9936), 1,
      anon_sym_requires,
    ACTIONS(9966), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(3634), 1,
      sym_compound_statement,
    STATE(5773), 1,
      sym_requires_clause,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6469), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230137] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9930), 1,
      anon_sym_LT,
    ACTIONS(9952), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(3753), 1,
      sym_compound_statement,
    STATE(5619), 1,
      sym_template_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(6690), 1,
      sym_abstract_function_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230186] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    STATE(5459), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [230223] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(7932), 1,
      sym_identifier,
    ACTIONS(7934), 1,
      anon_sym_LPAREN2,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(6282), 1,
      sym__field_declarator,
    STATE(6374), 1,
      sym_operator_name,
    STATE(7948), 1,
      sym_ms_based_modifier,
    STATE(6149), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [230266] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9930), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(4273), 1,
      sym_compound_statement,
    STATE(5628), 1,
      sym_template_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6486), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230315] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7966), 1,
      anon_sym_STAR,
    ACTIONS(7968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7970), 1,
      anon_sym_AMP,
    STATE(2711), 1,
      sym_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6093), 1,
      sym__abstract_declarator,
    ACTIONS(8058), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230356] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9930), 1,
      anon_sym_LT,
    ACTIONS(9948), 1,
      anon_sym_LBRACE,
    STATE(2404), 1,
      sym_compound_statement,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5616), 1,
      sym_template_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6571), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230405] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_requires,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(5462), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [230442] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9930), 1,
      anon_sym_LT,
    ACTIONS(9958), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(3463), 1,
      sym_compound_statement,
    STATE(5630), 1,
      sym_template_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6559), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9968), 1,
      sym_identifier,
    ACTIONS(5207), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5648), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9971), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9974), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4912), 1,
      anon_sym_COLON,
    ACTIONS(8378), 1,
      anon_sym_LT,
    STATE(2608), 1,
      sym_template_argument_list,
    ACTIONS(4919), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [230553] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(9596), 1,
      anon_sym_requires,
    STATE(5411), 1,
      sym_trailing_return_type,
    ACTIONS(9532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [230590] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7944), 1,
      anon_sym_STAR,
    ACTIONS(7946), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6264), 1,
      sym__abstract_declarator,
    ACTIONS(8058), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230631] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9930), 1,
      anon_sym_LT,
    STATE(1605), 1,
      sym_compound_statement,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5654), 1,
      sym_template_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6621), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230680] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9936), 1,
      anon_sym_requires,
    ACTIONS(9950), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5717), 1,
      sym_compound_statement,
    STATE(5763), 1,
      sym_requires_clause,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6523), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230729] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9936), 1,
      anon_sym_requires,
    STATE(1607), 1,
      sym_compound_statement,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5727), 1,
      sym_requires_clause,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6603), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230778] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9930), 1,
      anon_sym_LT,
    ACTIONS(9966), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(3612), 1,
      sym_compound_statement,
    STATE(5639), 1,
      sym_template_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6643), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230827] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    ACTIONS(9981), 1,
      anon_sym___asm,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(9977), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [230859] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    ACTIONS(9985), 1,
      anon_sym___asm,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(9983), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230913] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9917), 1,
      anon_sym_requires,
    ACTIONS(9914), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5919), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9987), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5660), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9718), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230969] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(9028), 1,
      anon_sym_requires,
    STATE(5936), 1,
      sym_trailing_return_type,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [231005] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(7137), 1,
      anon_sym_requires,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    STATE(5807), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [231041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231063] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9134), 1,
      anon_sym_requires,
    ACTIONS(9131), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [231093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231137] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6707), 1,
      anon_sym_requires,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [231167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6707), 1,
      anon_sym_requires,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5921), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9599), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [231197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9001), 1,
      anon_sym_requires,
    ACTIONS(8998), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [231227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9990), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9992), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5714), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5082), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231297] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5908), 1,
      anon_sym___asm,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9994), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym_parameter_list,
    STATE(5737), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5910), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231331] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6342), 1,
      sym__abstract_declarator,
    ACTIONS(8058), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231371] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_requires,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [231401] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(7137), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(5888), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [231437] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(7137), 1,
      anon_sym_requires,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    STATE(5810), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [231473] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6707), 1,
      anon_sym_requires,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5919), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [231503] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(8060), 1,
      anon_sym_STAR,
    ACTIONS(8062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8064), 1,
      anon_sym_AMP,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6320), 1,
      sym__abstract_declarator,
    ACTIONS(8058), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5122), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231565] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9582), 1,
      anon_sym_TILDE,
    ACTIONS(9996), 1,
      sym_identifier,
    ACTIONS(9998), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10001), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10003), 1,
      anon_sym_template,
    STATE(5941), 1,
      sym__scope_resolution,
    STATE(7389), 1,
      sym_operator_name,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3495), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [231607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5090), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1967), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231673] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5890), 1,
      anon_sym___asm,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9994), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym_parameter_list,
    STATE(5737), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5892), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231707] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6707), 1,
      anon_sym_requires,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [231737] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5912), 1,
      anon_sym___asm,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9994), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym_parameter_list,
    STATE(5737), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5914), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1971), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10005), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5959), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5689), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5961), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231821] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(10008), 1,
      anon_sym_requires,
    STATE(5933), 1,
      sym_trailing_return_type,
    ACTIONS(9532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [231857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5660), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9652), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5102), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9992), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5726), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(5777), 1,
      sym_template_argument_list,
    ACTIONS(6186), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6188), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231957] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9179), 1,
      anon_sym_requires,
    STATE(5934), 1,
      sym_trailing_return_type,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [231993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5130), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232015] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9083), 1,
      anon_sym_requires,
    STATE(5935), 1,
      sym_trailing_return_type,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [232051] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5837), 1,
      anon_sym___asm,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9994), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym_parameter_list,
    STATE(5737), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5839), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [232085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5106), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232107] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    ACTIONS(10013), 1,
      anon_sym___asm,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10011), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232139] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(7137), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    STATE(5798), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [232175] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10017), 1,
      anon_sym___attribute__,
    ACTIONS(10022), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(10020), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(5702), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(10015), 7,
      anon_sym___declspec,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [232205] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    ACTIONS(9985), 1,
      anon_sym___asm,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(9983), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [232237] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    ACTIONS(10027), 1,
      anon_sym___asm,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10025), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232269] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    ACTIONS(10031), 1,
      anon_sym___asm,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10029), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232301] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    ACTIONS(10035), 1,
      anon_sym___asm,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10033), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [232333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5094), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232355] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym___asm,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10037), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [232387] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    ACTIONS(10043), 1,
      anon_sym___asm,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10041), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [232419] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_requires,
    ACTIONS(10045), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5921), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9599), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232449] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    ACTIONS(10031), 1,
      anon_sym___asm,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10029), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [232481] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    ACTIONS(10043), 1,
      anon_sym___asm,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10041), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232513] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 1,
      anon_sym___asm,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10037), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232545] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    ACTIONS(10027), 1,
      anon_sym___asm,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10025), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [232577] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    ACTIONS(10035), 1,
      anon_sym___asm,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10033), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6288), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6290), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [232633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5118), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232655] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5920), 1,
      anon_sym___asm,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9994), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym_parameter_list,
    STATE(5737), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5922), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [232689] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    ACTIONS(10013), 1,
      anon_sym___asm,
    STATE(2830), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10011), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [232721] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    ACTIONS(9981), 1,
      anon_sym___asm,
    STATE(2815), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(9977), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6172), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6174), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [232777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232799] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6707), 1,
      anon_sym_requires,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232829] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6975), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232858] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9948), 1,
      anon_sym_LBRACE,
    STATE(2417), 1,
      sym_compound_statement,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6543), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [232901] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6979), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232930] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(1609), 1,
      sym_compound_statement,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6597), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [232973] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10051), 1,
      sym_identifier,
    ACTIONS(10053), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10055), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10057), 1,
      aux_sym_preproc_elif_token1,
    STATE(6102), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6120), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6331), 1,
      sym_enumerator,
    ACTIONS(10059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7750), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7751), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [233012] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(9977), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233041] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6724), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233070] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(7113), 1,
      anon_sym_requires,
    STATE(5825), 1,
      sym_trailing_return_type,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [233103] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(7113), 1,
      anon_sym_requires,
    STATE(5920), 1,
      sym_trailing_return_type,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5919), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [233136] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7600), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233165] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10063), 1,
      anon_sym___asm,
    STATE(2891), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5986), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10061), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [233200] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(9983), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233229] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10067), 1,
      anon_sym___asm,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10065), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [233264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5951), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5689), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5953), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [233291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10033), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233320] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6772), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233349] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7663), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233378] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6880), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233407] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10037), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233436] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10041), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233465] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10051), 1,
      sym_identifier,
    ACTIONS(10055), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10057), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10069), 1,
      aux_sym_preproc_if_token2,
    STATE(6083), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6094), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6331), 1,
      sym_enumerator,
    ACTIONS(10059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7449), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7451), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [233504] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7886), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233533] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6785), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10029), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233591] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10025), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2777), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10011), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10073), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5689), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10071), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [233676] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9952), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(3817), 1,
      sym_compound_statement,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6558), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [233719] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10077), 1,
      anon_sym___asm,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10075), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [233754] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6827), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7043), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233812] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(10079), 1,
      anon_sym_requires,
    STATE(5913), 1,
      sym_trailing_return_type,
    ACTIONS(9914), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5919), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [233845] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9956), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(4170), 1,
      sym_compound_statement,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(6687), 1,
      sym_abstract_function_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [233888] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7001), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6800), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5605), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5627), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(9940), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9942), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233973] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9944), 1,
      anon_sym_LBRACE,
    STATE(1609), 1,
      sym_compound_statement,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6663), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [234016] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9560), 1,
      anon_sym_TILDE,
    ACTIONS(10082), 1,
      sym_identifier,
    ACTIONS(10084), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10086), 1,
      anon_sym_template,
    STATE(5995), 1,
      sym__scope_resolution,
    STATE(7372), 1,
      sym_operator_name,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2425), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [234055] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6959), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234084] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5658), 1,
      sym_compound_statement,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6521), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [234127] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10090), 1,
      anon_sym___asm,
    STATE(2891), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5986), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10088), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [234162] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10051), 1,
      sym_identifier,
    ACTIONS(10055), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10057), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10092), 1,
      aux_sym_preproc_if_token2,
    STATE(6113), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6125), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6331), 1,
      sym_enumerator,
    ACTIONS(10059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8087), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8089), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [234201] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6999), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234230] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10063), 1,
      anon_sym___asm,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10061), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [234265] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10096), 1,
      anon_sym___asm,
    STATE(2891), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5986), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10094), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [234300] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9560), 1,
      anon_sym_TILDE,
    ACTIONS(10082), 1,
      sym_identifier,
    ACTIONS(10098), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10100), 1,
      anon_sym_template,
    STATE(5961), 1,
      sym__scope_resolution,
    STATE(7237), 1,
      sym_operator_name,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2425), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [234339] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9934), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(3446), 1,
      sym_compound_statement,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(6685), 1,
      sym_abstract_function_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [234382] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9958), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(3359), 1,
      sym_compound_statement,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6586), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [234425] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10051), 1,
      sym_identifier,
    ACTIONS(10055), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10057), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10102), 1,
      aux_sym_preproc_if_token2,
    STATE(6121), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6128), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6331), 1,
      sym_enumerator,
    ACTIONS(10059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7977), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7979), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [234464] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9966), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(3563), 1,
      sym_compound_statement,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6499), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [234507] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(9025), 1,
      anon_sym_requires,
    STATE(5918), 1,
      sym_trailing_return_type,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [234540] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7095), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234569] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9619), 1,
      anon_sym_TILDE,
    ACTIONS(10104), 1,
      sym_identifier,
    ACTIONS(10106), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10108), 1,
      anon_sym_template,
    STATE(5948), 1,
      sym__scope_resolution,
    STATE(7316), 1,
      sym_operator_name,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3524), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [234608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4938), 3,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4931), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [234633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7074), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234662] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7714), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7753), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234720] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(7113), 1,
      anon_sym_requires,
    STATE(5907), 1,
      sym_trailing_return_type,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [234753] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(7113), 1,
      anon_sym_requires,
    STATE(5843), 1,
      sym_trailing_return_type,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [234786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6906), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234815] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10090), 1,
      anon_sym___asm,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10088), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [234850] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(9932), 1,
      anon_sym_LBRACE,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5442), 1,
      sym_compound_statement,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6667), 1,
      sym_abstract_function_declarator,
    STATE(6675), 1,
      sym__abstract_declarator,
    STATE(5817), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [234893] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(9086), 1,
      anon_sym_requires,
    STATE(5923), 1,
      sym_trailing_return_type,
    ACTIONS(8998), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [234926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7500), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234955] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_requires,
    STATE(5926), 1,
      sym_trailing_return_type,
    ACTIONS(9131), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [234988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10096), 1,
      anon_sym___asm,
    STATE(2833), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10094), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [235023] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10067), 1,
      anon_sym___asm,
    STATE(2891), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5986), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10065), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [235058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9962), 1,
      sym_identifier,
    STATE(5759), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7703), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [235087] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10077), 1,
      anon_sym___asm,
    STATE(2891), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5986), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10075), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [235122] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9582), 1,
      anon_sym_TILDE,
    ACTIONS(9996), 1,
      sym_identifier,
    ACTIONS(10001), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10003), 1,
      anon_sym_template,
    STATE(5941), 1,
      sym__scope_resolution,
    STATE(7389), 1,
      sym_operator_name,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3495), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [235161] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    ACTIONS(9269), 1,
      anon_sym_COLON,
    ACTIONS(10112), 1,
      anon_sym_EQ,
    STATE(2776), 1,
      sym_parameter_list,
    STATE(6148), 1,
      sym__function_declarator_seq,
    STATE(6761), 1,
      sym_initializer_list,
    STATE(6762), 1,
      sym_bitfield_clause,
    STATE(6016), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10110), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [235204] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(9057), 1,
      anon_sym_requires,
    STATE(6046), 1,
      sym_trailing_return_type,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [235236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5984), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5986), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235258] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    STATE(2776), 1,
      sym_parameter_list,
    STATE(6148), 1,
      sym__function_declarator_seq,
    STATE(6016), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10114), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235290] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym_requires,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [235320] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9108), 1,
      sym_identifier,
    STATE(3697), 1,
      sym_template_type,
    STATE(3889), 1,
      sym_enumerator_list,
    STATE(6225), 1,
      sym__scope_resolution,
    ACTIONS(10116), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3678), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 1,
      sym_identifier,
    ACTIONS(5537), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [235382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5955), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5957), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235404] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10011), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235432] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10120), 1,
      anon_sym_SEMI,
    ACTIONS(10122), 1,
      anon_sym_EQ,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10126), 1,
      anon_sym_try,
    STATE(685), 1,
      sym_compound_statement,
    STATE(7267), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(694), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235470] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    STATE(2776), 1,
      sym_parameter_list,
    STATE(6148), 1,
      sym__function_declarator_seq,
    STATE(6016), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10128), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235502] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10130), 1,
      anon_sym_SEMI,
    ACTIONS(10132), 1,
      anon_sym_EQ,
    ACTIONS(10134), 1,
      anon_sym_try,
    STATE(540), 1,
      sym_compound_statement,
    STATE(7203), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(541), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235540] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [235570] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym_requires,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [235600] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10029), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235628] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10136), 1,
      anon_sym_SEMI,
    ACTIONS(10138), 1,
      anon_sym_LBRACE,
    ACTIONS(10140), 1,
      anon_sym_EQ,
    ACTIONS(10142), 1,
      anon_sym_try,
    STATE(2047), 1,
      sym_compound_statement,
    STATE(7361), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2048), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235666] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym_requires,
    ACTIONS(9601), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5575), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9599), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [235696] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(9094), 1,
      sym_identifier,
    ACTIONS(9098), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2850), 1,
      sym_enumerator_list,
    STATE(6235), 1,
      sym__scope_resolution,
    ACTIONS(10144), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235736] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2850), 1,
      sym_enumerator_list,
    STATE(6219), 1,
      sym__scope_resolution,
    ACTIONS(10146), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2950), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10150), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10148), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9848), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235818] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8523), 1,
      anon_sym_LBRACE,
    ACTIONS(9110), 1,
      sym_identifier,
    STATE(4207), 1,
      sym_template_type,
    STATE(4731), 1,
      sym_enumerator_list,
    STATE(6223), 1,
      sym__scope_resolution,
    ACTIONS(10152), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4372), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235858] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    STATE(2776), 1,
      sym_parameter_list,
    STATE(6148), 1,
      sym__function_declarator_seq,
    STATE(6016), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10154), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9898), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6034), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6036), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235932] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(6157), 1,
      sym_access_specifier,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(6547), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9858), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [235970] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(9104), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2850), 1,
      sym_enumerator_list,
    STATE(6192), 1,
      sym__scope_resolution,
    ACTIONS(10156), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3242), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6022), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6024), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5949), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5988), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5990), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236076] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10158), 1,
      anon_sym_SEMI,
    ACTIONS(10160), 1,
      anon_sym_LBRACE,
    ACTIONS(10162), 1,
      anon_sym_EQ,
    ACTIONS(10164), 1,
      anon_sym_try,
    STATE(1740), 1,
      sym_compound_statement,
    STATE(7326), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1742), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [236114] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [236142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9906), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10168), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10166), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8994), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236204] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2557), 1,
      sym_enumerator_list,
    STATE(6210), 1,
      sym__scope_resolution,
    ACTIONS(10170), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4734), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236244] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10172), 1,
      anon_sym_SEMI,
    ACTIONS(10174), 1,
      anon_sym_LBRACE,
    ACTIONS(10176), 1,
      anon_sym_EQ,
    ACTIONS(10178), 1,
      anon_sym_try,
    STATE(1967), 1,
      sym_compound_statement,
    STATE(7250), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1960), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [236282] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10138), 1,
      anon_sym_LBRACE,
    ACTIONS(10140), 1,
      anon_sym_EQ,
    ACTIONS(10142), 1,
      anon_sym_try,
    ACTIONS(10180), 1,
      anon_sym_SEMI,
    STATE(1918), 1,
      sym_compound_statement,
    STATE(7311), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1957), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [236320] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_COLON,
    ACTIONS(8119), 1,
      anon_sym_STAR,
    ACTIONS(8121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8123), 1,
      anon_sym_AMP,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6420), 1,
      sym__abstract_declarator,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [236358] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 1,
      anon_sym___asm,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9994), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym_parameter_list,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5914), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [236390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9868), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4914), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236432] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10182), 1,
      anon_sym_SEMI,
    ACTIONS(10184), 1,
      anon_sym_EQ,
    ACTIONS(10186), 1,
      anon_sym_try,
    STATE(657), 1,
      sym_compound_statement,
    STATE(7194), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(656), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [236470] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5837), 1,
      anon_sym___asm,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9994), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym_parameter_list,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5839), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [236502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 1,
      sym_identifier,
    ACTIONS(5570), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [236524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9882), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9127), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4914), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4914), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236608] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [236636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4914), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10190), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10188), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 1,
      sym_identifier,
    ACTIONS(5566), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [236702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4914), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9852), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4914), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236766] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(3657), 1,
      sym_enumerator_list,
    STATE(6227), 1,
      sym__scope_resolution,
    ACTIONS(10192), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3855), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236806] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(3657), 1,
      sym_enumerator_list,
    STATE(6195), 1,
      sym__scope_resolution,
    ACTIONS(10194), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4065), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5704), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5702), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9890), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236888] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10041), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5724), 1,
      anon_sym_LBRACK,
    ACTIONS(10196), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5726), 11,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236940] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10184), 1,
      anon_sym_EQ,
    ACTIONS(10186), 1,
      anon_sym_try,
    ACTIONS(10198), 1,
      anon_sym_SEMI,
    STATE(646), 1,
      sym_compound_statement,
    STATE(7213), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(644), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [236978] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10200), 1,
      anon_sym_SEMI,
    ACTIONS(10202), 1,
      anon_sym_EQ,
    ACTIONS(10204), 1,
      anon_sym_try,
    STATE(322), 1,
      sym_compound_statement,
    STATE(7391), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(323), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [237016] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5920), 1,
      anon_sym___asm,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9994), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym_parameter_list,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5922), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6480), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237070] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(7327), 1,
      anon_sym_requires,
    STATE(6005), 1,
      sym_trailing_return_type,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [237102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5972), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5974), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237124] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(7327), 1,
      anon_sym_requires,
    STATE(6058), 1,
      sym_trailing_return_type,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [237156] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(7327), 1,
      anon_sym_requires,
    STATE(6053), 1,
      sym_trailing_return_type,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [237188] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4344), 1,
      sym_enumerator_list,
    STATE(6195), 1,
      sym__scope_resolution,
    ACTIONS(10206), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4162), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10210), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10208), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237250] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(7327), 1,
      anon_sym_requires,
    STATE(6050), 1,
      sym_trailing_return_type,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5919), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [237282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10214), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10212), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237304] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10037), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6007), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237354] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(6812), 1,
      anon_sym_LBRACE,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9121), 1,
      sym_identifier,
    STATE(2801), 1,
      sym_template_type,
    STATE(3144), 1,
      sym_enumerator_list,
    STATE(6191), 1,
      sym__scope_resolution,
    ACTIONS(10216), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2767), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6015), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10025), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237444] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10174), 1,
      anon_sym_LBRACE,
    ACTIONS(10176), 1,
      anon_sym_EQ,
    ACTIONS(10178), 1,
      anon_sym_try,
    ACTIONS(10218), 1,
      anon_sym_SEMI,
    STATE(1939), 1,
      sym_compound_statement,
    STATE(7335), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1911), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [237482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10222), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10220), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237504] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5757), 1,
      anon_sym_LBRACE,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9114), 1,
      sym_identifier,
    STATE(2086), 1,
      sym_template_type,
    STATE(2178), 1,
      sym_enumerator_list,
    STATE(6236), 1,
      sym__scope_resolution,
    ACTIONS(10224), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2475), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10228), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10226), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237566] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10122), 1,
      anon_sym_EQ,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10126), 1,
      anon_sym_try,
    ACTIONS(10230), 1,
      anon_sym_SEMI,
    STATE(682), 1,
      sym_compound_statement,
    STATE(7278), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(702), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [237604] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 1,
      anon_sym___asm,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9994), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym_parameter_list,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5892), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237636] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4344), 1,
      sym_enumerator_list,
    STATE(6227), 1,
      sym__scope_resolution,
    ACTIONS(10232), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4790), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237676] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(9977), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237704] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5757), 1,
      anon_sym_LBRACE,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9114), 1,
      sym_identifier,
    STATE(2086), 1,
      sym_template_type,
    STATE(2178), 1,
      sym_enumerator_list,
    STATE(6236), 1,
      sym__scope_resolution,
    ACTIONS(10234), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2294), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237744] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10132), 1,
      anon_sym_EQ,
    ACTIONS(10134), 1,
      anon_sym_try,
    ACTIONS(10236), 1,
      anon_sym_SEMI,
    STATE(569), 1,
      sym_compound_statement,
    STATE(7241), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(572), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [237782] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 1,
      anon_sym___asm,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9994), 1,
      anon_sym_LBRACK,
    STATE(5914), 1,
      sym_parameter_list,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5910), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237814] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    STATE(2776), 1,
      sym_parameter_list,
    STATE(6148), 1,
      sym__function_declarator_seq,
    STATE(6016), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10238), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [237846] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10033), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237874] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5906), 1,
      anon_sym_LBRACE,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9116), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(2191), 1,
      sym_enumerator_list,
    STATE(6239), 1,
      sym__scope_resolution,
    ACTIONS(10240), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3862), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9924), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237934] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [237964] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5906), 1,
      anon_sym_LBRACE,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9123), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(4841), 1,
      sym_enumerator_list,
    STATE(6215), 1,
      sym__scope_resolution,
    ACTIONS(10242), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4564), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9920), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10246), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10244), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9902), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5980), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5982), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9864), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238108] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5906), 1,
      anon_sym_LBRACE,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(2191), 1,
      sym_enumerator_list,
    STATE(6200), 1,
      sym__scope_resolution,
    ACTIONS(10248), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4702), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9910), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10250), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5726), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [238190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238230] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(6154), 1,
      sym_access_specifier,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(6823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9858), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [238268] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(10252), 1,
      anon_sym_requires,
    STATE(6001), 1,
      sym_trailing_return_type,
    ACTIONS(9914), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5919), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [238300] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      anon_sym_requires,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [238328] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10160), 1,
      anon_sym_LBRACE,
    ACTIONS(10162), 1,
      anon_sym_EQ,
    ACTIONS(10164), 1,
      anon_sym_try,
    ACTIONS(10255), 1,
      anon_sym_SEMI,
    STATE(1694), 1,
      sym_compound_statement,
    STATE(7238), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1695), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238366] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2557), 1,
      sym_enumerator_list,
    STATE(6203), 1,
      sym__scope_resolution,
    ACTIONS(10257), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3945), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238406] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(9218), 1,
      anon_sym_requires,
    STATE(6038), 1,
      sym_trailing_return_type,
    ACTIONS(9131), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [238438] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(6574), 1,
      anon_sym_LBRACE,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9125), 1,
      sym_identifier,
    STATE(2643), 1,
      sym_template_type,
    STATE(2874), 1,
      sym_enumerator_list,
    STATE(6208), 1,
      sym__scope_resolution,
    ACTIONS(10259), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2618), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5919), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [238506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10263), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10261), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9894), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238548] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7325), 1,
      anon_sym_DASH_GT,
    ACTIONS(9118), 1,
      anon_sym_requires,
    STATE(6043), 1,
      sym_trailing_return_type,
    ACTIONS(8998), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [238580] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(9983), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9528), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10265), 1,
      anon_sym_requires,
    ACTIONS(10045), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5921), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9599), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [238656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6042), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6044), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238678] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(6158), 1,
      sym_access_specifier,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(6756), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9858), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [238716] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(6538), 1,
      anon_sym_LBRACE,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2574), 1,
      sym_template_type,
    STATE(2778), 1,
      sym_enumerator_list,
    STATE(6201), 1,
      sym__scope_resolution,
    ACTIONS(10268), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2577), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238756] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10202), 1,
      anon_sym_EQ,
    ACTIONS(10204), 1,
      anon_sym_try,
    ACTIONS(10270), 1,
      anon_sym_SEMI,
    STATE(336), 1,
      sym_compound_statement,
    STATE(7353), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(338), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9086), 1,
      anon_sym_requires,
    ACTIONS(8998), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [238822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9599), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238842] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5921), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9599), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [238870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9874), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238890] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [238918] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9176), 1,
      anon_sym_requires,
    ACTIONS(9131), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [238946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8688), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 1,
      sym_identifier,
    ACTIONS(5559), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [238988] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10079), 1,
      anon_sym_requires,
    ACTIONS(9914), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5919), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [239016] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(6156), 1,
      sym_access_specifier,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(6479), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9858), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [239054] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    STATE(2776), 1,
      sym_parameter_list,
    STATE(6148), 1,
      sym__function_declarator_seq,
    STATE(6016), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10272), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [239086] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(9028), 1,
      anon_sym_requires,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [239116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym_LBRACK,
    ACTIONS(10196), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10274), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5714), 9,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10250), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10276), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5714), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [239166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7829), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4955), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [239188] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9601), 1,
      anon_sym_LBRACK,
    ACTIONS(10278), 1,
      anon_sym_requires,
    ACTIONS(9603), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5575), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9599), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [239218] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(10008), 1,
      anon_sym_requires,
    ACTIONS(9532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [239248] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9179), 1,
      anon_sym_requires,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [239278] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9083), 1,
      anon_sym_requires,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [239308] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(10281), 1,
      sym_identifier,
    ACTIONS(10283), 1,
      anon_sym_COLON_COLON,
    STATE(5955), 1,
      sym__scope_resolution,
    STATE(7062), 1,
      sym_field_initializer,
    STATE(7229), 1,
      sym_operator_name,
    STATE(6471), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [239345] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10291), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7337), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7644), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6136), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239378] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10293), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7240), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7922), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6136), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239411] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10295), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7301), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7728), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6136), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239444] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(10001), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10003), 1,
      anon_sym_template,
    ACTIONS(10297), 1,
      sym_identifier,
    STATE(3460), 1,
      sym_qualified_field_identifier,
    STATE(3461), 1,
      sym_dependent_field_identifier,
    STATE(3464), 1,
      sym_template_method,
    STATE(5941), 1,
      sym__scope_resolution,
    STATE(7389), 1,
      sym_operator_name,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [239483] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6441), 1,
      sym__abstract_declarator,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [239518] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10299), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7136), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8254), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6136), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239551] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10301), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7266), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7819), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5967), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239584] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9140), 1,
      anon_sym_requires,
    STATE(6129), 1,
      sym_trailing_return_type,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [239617] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10303), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7298), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7735), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5939), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239650] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(9983), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239677] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(10106), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10108), 1,
      anon_sym_template,
    ACTIONS(10305), 1,
      sym_identifier,
    STATE(3526), 1,
      sym_template_method,
    STATE(3527), 1,
      sym_dependent_field_identifier,
    STATE(3543), 1,
      sym_qualified_field_identifier,
    STATE(5948), 1,
      sym__scope_resolution,
    STATE(7316), 1,
      sym_operator_name,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [239716] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10033), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239743] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10184), 1,
      anon_sym_EQ,
    ACTIONS(10186), 1,
      anon_sym_try,
    STATE(646), 1,
      sym_compound_statement,
    STATE(7213), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(644), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [239778] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10132), 1,
      anon_sym_EQ,
    ACTIONS(10134), 1,
      anon_sym_try,
    STATE(540), 1,
      sym_compound_statement,
    STATE(7203), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(541), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [239813] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10307), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7398), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7545), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5962), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239846] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10309), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7265), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7771), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5938), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239879] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10202), 1,
      anon_sym_EQ,
    ACTIONS(10204), 1,
      anon_sym_try,
    STATE(336), 1,
      sym_compound_statement,
    STATE(7353), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(338), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [239914] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(10283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10311), 1,
      sym_identifier,
    ACTIONS(10313), 1,
      anon_sym_template,
    STATE(2317), 1,
      sym_qualified_field_identifier,
    STATE(2318), 1,
      sym_dependent_field_identifier,
    STATE(2324), 1,
      sym_template_method,
    STATE(5955), 1,
      sym__scope_resolution,
    STATE(7229), 1,
      sym_operator_name,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [239953] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10315), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7246), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7905), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6136), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(7626), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    STATE(6078), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [240019] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10317), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7375), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7605), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5988), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [240052] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10011), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240079] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    ACTIONS(7966), 1,
      anon_sym_STAR,
    ACTIONS(7968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7970), 1,
      anon_sym_AMP,
    STATE(2711), 1,
      sym_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6261), 1,
      sym__abstract_declarator,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [240114] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(10098), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10100), 1,
      anon_sym_template,
    ACTIONS(10319), 1,
      sym_identifier,
    STATE(2317), 1,
      sym_qualified_field_identifier,
    STATE(2318), 1,
      sym_dependent_field_identifier,
    STATE(2324), 1,
      sym_template_method,
    STATE(5961), 1,
      sym__scope_resolution,
    STATE(7237), 1,
      sym_operator_name,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [240153] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10321), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7444), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7495), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6136), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [240186] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10037), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240213] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10041), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240240] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10132), 1,
      anon_sym_EQ,
    ACTIONS(10134), 1,
      anon_sym_try,
    STATE(569), 1,
      sym_compound_statement,
    STATE(7241), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(572), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [240275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5951), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5540), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5953), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [240300] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10323), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7299), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7727), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6136), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [240333] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    ACTIONS(4874), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4878), 1,
      anon_sym_AMP,
    ACTIONS(7713), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5892), 1,
      sym__function_declarator_seq,
    STATE(6396), 1,
      sym__abstract_declarator,
    STATE(5817), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [240368] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10025), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240395] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10202), 1,
      anon_sym_EQ,
    ACTIONS(10204), 1,
      anon_sym_try,
    STATE(322), 1,
      sym_compound_statement,
    STATE(7391), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(323), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [240430] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10325), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7216), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7969), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5956), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [240463] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10327), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7343), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7651), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5940), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [240496] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10329), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7176), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8140), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5943), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [240529] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(10281), 1,
      sym_identifier,
    ACTIONS(10283), 1,
      anon_sym_COLON_COLON,
    STATE(5955), 1,
      sym__scope_resolution,
    STATE(7229), 1,
      sym_operator_name,
    STATE(7295), 1,
      sym_field_initializer,
    STATE(6471), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [240566] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10331), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7427), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7508), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5989), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [240599] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(9977), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240626] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10122), 1,
      anon_sym_EQ,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10126), 1,
      anon_sym_try,
    STATE(685), 1,
      sym_compound_statement,
    STATE(7267), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(694), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [240661] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(9983), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240688] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(7626), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    STATE(6076), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [240721] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(9089), 1,
      anon_sym_requires,
    STATE(6114), 1,
      sym_trailing_return_type,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [240754] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(7626), 1,
      anon_sym_requires,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    STATE(6081), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [240787] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10033), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240814] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10037), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240841] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10184), 1,
      anon_sym_EQ,
    ACTIONS(10186), 1,
      anon_sym_try,
    STATE(657), 1,
      sym_compound_statement,
    STATE(7194), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(656), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [240876] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10041), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10073), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5540), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10071), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [240928] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10029), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240955] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10333), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7415), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7521), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6136), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [240988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10335), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7161), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8184), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6136), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [241021] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10025), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [241048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2841), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10011), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [241075] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10029), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [241102] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10337), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7209), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7983), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6136), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [241135] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(7626), 1,
      anon_sym_requires,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    STATE(6079), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241168] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(10084), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10086), 1,
      anon_sym_template,
    ACTIONS(10319), 1,
      sym_identifier,
    STATE(2317), 1,
      sym_qualified_field_identifier,
    STATE(2318), 1,
      sym_dependent_field_identifier,
    STATE(2324), 1,
      sym_template_method,
    STATE(5995), 1,
      sym__scope_resolution,
    STATE(7372), 1,
      sym_operator_name,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241207] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2892), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(9977), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [241234] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    ACTIONS(10122), 1,
      anon_sym_EQ,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    ACTIONS(10126), 1,
      anon_sym_try,
    STATE(682), 1,
      sym_compound_statement,
    STATE(7278), 1,
      sym_field_initializer_list,
    ACTIONS(4955), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(702), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [241269] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(10339), 1,
      anon_sym_requires,
    STATE(6087), 1,
      sym_trailing_return_type,
    ACTIONS(9532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7624), 1,
      anon_sym_DASH_GT,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9297), 1,
      anon_sym_requires,
    STATE(6116), 1,
      sym_trailing_return_type,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241335] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10342), 1,
      anon_sym_RBRACE,
    ACTIONS(10289), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7186), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8051), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5993), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [241368] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10344), 1,
      anon_sym_requires,
    ACTIONS(10045), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5921), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9599), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [241394] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5757), 1,
      anon_sym_LBRACE,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9114), 1,
      sym_identifier,
    STATE(2086), 1,
      sym_template_type,
    STATE(2163), 1,
      sym_enumerator_list,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(2449), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241430] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5757), 1,
      anon_sym_LBRACE,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9114), 1,
      sym_identifier,
    STATE(2086), 1,
      sym_template_type,
    STATE(2163), 1,
      sym_enumerator_list,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(2296), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241466] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(9094), 1,
      sym_identifier,
    ACTIONS(9098), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2852), 1,
      sym_enumerator_list,
    STATE(6235), 1,
      sym__scope_resolution,
    STATE(3992), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7327), 1,
      anon_sym_requires,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [241528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9057), 1,
      anon_sym_requires,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [241554] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(9104), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2852), 1,
      sym_enumerator_list,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(3197), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7327), 1,
      anon_sym_requires,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [241616] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5906), 1,
      anon_sym_LBRACE,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9096), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(2253), 1,
      sym_enumerator_list,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(4704), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241652] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(9025), 1,
      anon_sym_requires,
    STATE(5918), 1,
      sym_trailing_return_type,
    ACTIONS(8692), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [241682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10349), 1,
      anon_sym_LT,
    ACTIONS(10351), 1,
      anon_sym_LBRACK,
    STATE(6140), 1,
      sym_template_argument_list,
    ACTIONS(10347), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241706] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(9094), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2852), 1,
      sym_enumerator_list,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(2959), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10349), 1,
      anon_sym_LT,
    ACTIONS(10355), 1,
      anon_sym_LBRACK,
    STATE(6117), 1,
      sym_template_argument_list,
    ACTIONS(10353), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241766] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(9977), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [241792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(9983), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [241818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10359), 1,
      anon_sym_LBRACK,
    STATE(5540), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10357), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241842] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10033), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [241868] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5906), 1,
      anon_sym_LBRACE,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9116), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(2253), 1,
      sym_enumerator_list,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(3828), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241904] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10037), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [241930] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    STATE(5920), 1,
      sym_trailing_return_type,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5919), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [241960] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    STATE(5907), 1,
      sym_trailing_return_type,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [241990] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10041), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [242016] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(3633), 1,
      sym_enumerator_list,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(3839), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242052] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10029), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [242078] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10025), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [242104] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    STATE(5843), 1,
      sym_trailing_return_type,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [242134] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(2943), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10011), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [242160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10361), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5726), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [242180] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    STATE(2826), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10088), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [242210] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      anon_sym_requires,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    STATE(5825), 1,
      sym_trailing_return_type,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5828), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [242240] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    STATE(2826), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10094), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [242270] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4293), 1,
      sym_enumerator_list,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(4785), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242306] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(6538), 1,
      anon_sym_LBRACE,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(2574), 1,
      sym_template_type,
    STATE(2794), 1,
      sym_enumerator_list,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(2582), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242342] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9108), 1,
      sym_identifier,
    STATE(3697), 1,
      sym_template_type,
    STATE(3909), 1,
      sym_enumerator_list,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(3698), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242378] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(10079), 1,
      anon_sym_requires,
    STATE(5913), 1,
      sym_trailing_return_type,
    ACTIONS(9914), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5919), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [242408] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8523), 1,
      anon_sym_LBRACE,
    ACTIONS(9110), 1,
      sym_identifier,
    STATE(4207), 1,
      sym_template_type,
    STATE(4739), 1,
      sym_enumerator_list,
    STATE(6223), 1,
      sym__scope_resolution,
    STATE(4332), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242444] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(6651), 1,
      anon_sym_LBRACE,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(3633), 1,
      sym_enumerator_list,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(4049), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242480] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10252), 1,
      anon_sym_requires,
    ACTIONS(9914), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5919), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [242506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7610), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7612), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
  [242526] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5839), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [242554] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(6574), 1,
      anon_sym_LBRACE,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9125), 1,
      sym_identifier,
    STATE(2643), 1,
      sym_template_type,
    STATE(2855), 1,
      sym_enumerator_list,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(2658), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242590] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5910), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [242618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      anon_sym_requires,
    ACTIONS(9131), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [242644] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5922), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [242672] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_requires,
    STATE(5926), 1,
      sym_trailing_return_type,
    ACTIONS(9131), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [242702] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9118), 1,
      anon_sym_requires,
    ACTIONS(8998), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [242728] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    STATE(2826), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10075), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [242758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5605), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9940), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9942), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [242780] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    STATE(2826), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10061), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [242810] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7327), 1,
      anon_sym_requires,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5921), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9599), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [242836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10361), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10363), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5714), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [242858] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(5906), 1,
      anon_sym_LBRACE,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9123), 1,
      sym_identifier,
    STATE(1747), 1,
      sym_template_type,
    STATE(4846), 1,
      sym_enumerator_list,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(4570), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242894] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7327), 1,
      anon_sym_requires,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5919), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [242920] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2529), 1,
      sym_enumerator_list,
    STATE(6210), 1,
      sym__scope_resolution,
    STATE(4740), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242956] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_DASH_GT,
    ACTIONS(9086), 1,
      anon_sym_requires,
    STATE(5923), 1,
      sym_trailing_return_type,
    ACTIONS(8998), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5840), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [242986] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    ACTIONS(9092), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4293), 1,
      sym_enumerator_list,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(4161), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243022] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5914), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [243050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7327), 1,
      anon_sym_requires,
    ACTIONS(6705), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5691), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5912), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [243076] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    STATE(2826), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10065), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [243106] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(6310), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2529), 1,
      sym_enumerator_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(3953), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243142] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5892), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [243170] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(6812), 1,
      anon_sym_LBRACE,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9121), 1,
      sym_identifier,
    STATE(2801), 1,
      sym_template_type,
    STATE(3111), 1,
      sym_enumerator_list,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(2791), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243206] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_try,
    STATE(718), 1,
      sym_try_statement,
    STATE(738), 1,
      sym_compound_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243241] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9514), 1,
      anon_sym_try,
    STATE(376), 1,
      sym_try_statement,
    STATE(377), 1,
      sym_compound_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243276] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10065), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [243305] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    ACTIONS(10365), 1,
      anon_sym_virtual,
    STATE(2138), 1,
      sym_template_type,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(6756), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10369), 1,
      anon_sym_LBRACK,
    ACTIONS(10367), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243357] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9526), 1,
      anon_sym_try,
    STATE(675), 1,
      sym_try_statement,
    STATE(676), 1,
      sym_compound_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243392] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9279), 1,
      anon_sym_try,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10174), 1,
      anon_sym_LBRACE,
    STATE(1912), 1,
      sym_try_statement,
    STATE(1913), 1,
      sym_compound_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5724), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5726), 8,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243448] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9279), 1,
      anon_sym_try,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10174), 1,
      anon_sym_LBRACE,
    STATE(1863), 1,
      sym_compound_statement,
    STATE(1916), 1,
      sym_try_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2711), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10011), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243508] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7626), 1,
      anon_sym_requires,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [243535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2711), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10029), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243560] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9287), 1,
      anon_sym_try,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10138), 1,
      anon_sym_LBRACE,
    STATE(1924), 1,
      sym_try_statement,
    STATE(1925), 1,
      sym_compound_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243595] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7626), 1,
      anon_sym_requires,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [243622] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9458), 1,
      anon_sym_try,
    STATE(620), 1,
      sym_compound_statement,
    STATE(622), 1,
      sym_try_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243657] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7626), 1,
      anon_sym_requires,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [243684] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7626), 1,
      anon_sym_requires,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [243711] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9840), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10373), 1,
      sym_identifier,
    STATE(5554), 1,
      sym__scope_resolution,
    STATE(7875), 1,
      sym_qualified_identifier,
    ACTIONS(10375), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [243742] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7626), 1,
      anon_sym_requires,
    ACTIONS(9601), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5575), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9599), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [243769] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_try,
    STATE(714), 1,
      sym_compound_statement,
    STATE(715), 1,
      sym_try_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243804] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10377), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10379), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10381), 1,
      aux_sym_preproc_elif_token1,
    STATE(6270), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7770), 1,
      sym_enumerator,
    ACTIONS(10383), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7762), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [243835] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9840), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(5554), 1,
      sym__scope_resolution,
    STATE(7646), 1,
      sym_qualified_identifier,
    ACTIONS(10387), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [243866] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9840), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10389), 1,
      sym_identifier,
    STATE(5554), 1,
      sym__scope_resolution,
    STATE(7645), 1,
      sym_qualified_identifier,
    ACTIONS(10391), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [243897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10395), 1,
      anon_sym_LBRACK,
    ACTIONS(10393), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243916] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9601), 1,
      anon_sym_LBRACK,
    ACTIONS(10397), 1,
      anon_sym_requires,
    ACTIONS(9603), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5575), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9599), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [243943] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10061), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [243972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10402), 1,
      anon_sym_LBRACK,
    ACTIONS(10400), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243991] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9271), 1,
      anon_sym_try,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10160), 1,
      anon_sym_LBRACE,
    STATE(1721), 1,
      sym_try_statement,
    STATE(1723), 1,
      sym_compound_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244026] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9287), 1,
      anon_sym_try,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10138), 1,
      anon_sym_LBRACE,
    STATE(1926), 1,
      sym_try_statement,
    STATE(1927), 1,
      sym_compound_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244061] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9840), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10404), 1,
      sym_identifier,
    STATE(5554), 1,
      sym__scope_resolution,
    STATE(7950), 1,
      sym_qualified_identifier,
    ACTIONS(10406), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [244092] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2711), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10033), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244117] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10051), 1,
      sym_identifier,
    ACTIONS(10408), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10410), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10412), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10414), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6252), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7775), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [244146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2711), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(9983), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244171] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    ACTIONS(10416), 1,
      anon_sym_virtual,
    STATE(2138), 1,
      sym_template_type,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(6479), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244204] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    ACTIONS(10418), 1,
      anon_sym_virtual,
    STATE(2138), 1,
      sym_template_type,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(6547), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244237] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10051), 1,
      sym_identifier,
    ACTIONS(10410), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10412), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10420), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10414), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6113), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8089), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [244266] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10075), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [244295] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10051), 1,
      sym_identifier,
    ACTIONS(10410), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10412), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10422), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10414), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6128), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7979), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [244324] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9526), 1,
      anon_sym_try,
    STATE(532), 1,
      sym_compound_statement,
    STATE(674), 1,
      sym_try_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244359] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10381), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10424), 1,
      aux_sym_preproc_if_token2,
    STATE(6270), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7770), 1,
      sym_enumerator,
    ACTIONS(10383), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7964), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [244390] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9271), 1,
      anon_sym_try,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10160), 1,
      anon_sym_LBRACE,
    STATE(1756), 1,
      sym_try_statement,
    STATE(1757), 1,
      sym_compound_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244425] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9271), 1,
      anon_sym_try,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10160), 1,
      anon_sym_LBRACE,
    STATE(1763), 1,
      sym_try_statement,
    STATE(1764), 1,
      sym_compound_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244460] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10092), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10381), 1,
      aux_sym_preproc_elif_token1,
    STATE(6125), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7770), 1,
      sym_enumerator,
    ACTIONS(10383), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8087), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [244491] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10088), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [244520] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9458), 1,
      anon_sym_try,
    STATE(594), 1,
      sym_compound_statement,
    STATE(595), 1,
      sym_try_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5951), 1,
      anon_sym_LBRACK,
    STATE(5689), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5953), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [244578] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(9089), 1,
      anon_sym_requires,
    ACTIONS(8798), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5562), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8688), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [244605] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_try,
    STATE(710), 1,
      sym_compound_statement,
    STATE(712), 1,
      sym_try_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(9977), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10426), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5714), 6,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244688] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10051), 1,
      sym_identifier,
    ACTIONS(10410), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10412), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10428), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10414), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6252), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8178), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [244717] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    ACTIONS(9140), 1,
      anon_sym_requires,
    ACTIONS(9051), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5583), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8994), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [244744] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9840), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10430), 1,
      sym_identifier,
    STATE(5554), 1,
      sym__scope_resolution,
    STATE(8022), 1,
      sym_qualified_identifier,
    ACTIONS(10432), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [244775] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(10339), 1,
      anon_sym_requires,
    ACTIONS(9532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5588), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9528), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [244802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 1,
      anon_sym_LBRACK,
    ACTIONS(6063), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10011), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244846] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9287), 1,
      anon_sym_try,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10138), 1,
      anon_sym_LBRACE,
    STATE(1892), 1,
      sym_try_statement,
    STATE(1893), 1,
      sym_compound_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244881] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10051), 1,
      sym_identifier,
    ACTIONS(10410), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10412), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10434), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10414), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6252), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7968), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [244910] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10381), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_if_token2,
    STATE(6270), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7770), 1,
      sym_enumerator,
    ACTIONS(10383), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8128), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [244941] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10025), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244966] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10094), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [244995] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    ACTIONS(10438), 1,
      anon_sym_virtual,
    STATE(2138), 1,
      sym_template_type,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(6823), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245028] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10381), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token2,
    STATE(6270), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7770), 1,
      sym_enumerator,
    ACTIONS(10383), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8177), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [245059] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9840), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10442), 1,
      sym_identifier,
    STATE(5554), 1,
      sym__scope_resolution,
    STATE(8031), 1,
      sym_qualified_identifier,
    ACTIONS(10444), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [245090] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9514), 1,
      anon_sym_try,
    STATE(349), 1,
      sym_try_statement,
    STATE(365), 1,
      sym_compound_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245125] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10051), 1,
      sym_identifier,
    ACTIONS(10410), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10412), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10446), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10414), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6252), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8130), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [245154] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9129), 1,
      anon_sym_LBRACK,
    ACTIONS(9297), 1,
      anon_sym_requires,
    ACTIONS(9149), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5445), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9127), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [245181] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9279), 1,
      anon_sym_try,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10174), 1,
      anon_sym_LBRACE,
    STATE(1935), 1,
      sym_compound_statement,
    STATE(1944), 1,
      sym_try_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245216] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10102), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10381), 1,
      aux_sym_preproc_elif_token1,
    STATE(6121), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7770), 1,
      sym_enumerator,
    ACTIONS(10383), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7977), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [245247] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10381), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10448), 1,
      aux_sym_preproc_if_token2,
    STATE(6102), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7770), 1,
      sym_enumerator,
    ACTIONS(10383), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7750), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [245278] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9458), 1,
      anon_sym_try,
    STATE(597), 1,
      sym_compound_statement,
    STATE(598), 1,
      sym_try_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245313] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10029), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245338] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9514), 1,
      anon_sym_try,
    STATE(324), 1,
      sym_try_statement,
    STATE(325), 1,
      sym_compound_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245373] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10450), 1,
      sym_identifier,
    ACTIONS(10453), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10459), 1,
      sym_preproc_directive,
    ACTIONS(10462), 1,
      anon_sym_RBRACE,
    ACTIONS(10456), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7468), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(6136), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [245402] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(9983), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10033), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10466), 1,
      anon_sym_LBRACK,
    ACTIONS(10464), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6146), 1,
      anon_sym_LBRACK,
    ACTIONS(6148), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10470), 1,
      anon_sym_LBRACK,
    ACTIONS(10468), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10037), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245534] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2964), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10041), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10474), 1,
      anon_sym_LBRACK,
    ACTIONS(10472), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245578] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(9526), 1,
      anon_sym_try,
    STATE(664), 1,
      sym_try_statement,
    STATE(665), 1,
      sym_compound_statement,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245613] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9840), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10476), 1,
      sym_identifier,
    STATE(5554), 1,
      sym__scope_resolution,
    STATE(7618), 1,
      sym_qualified_identifier,
    ACTIONS(10478), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [245644] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10381), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10480), 1,
      aux_sym_preproc_if_token2,
    STATE(6083), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7770), 1,
      sym_enumerator,
    ACTIONS(10383), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7449), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [245675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10484), 1,
      anon_sym_LBRACK,
    ACTIONS(10482), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10351), 1,
      anon_sym_LBRACK,
    ACTIONS(10347), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245713] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10033), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [245737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10490), 1,
      anon_sym_delete,
    ACTIONS(10492), 1,
      anon_sym_new,
    ACTIONS(10488), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10486), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [245759] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10494), 1,
      anon_sym_delete,
    ACTIONS(10496), 1,
      anon_sym_new,
    ACTIONS(10488), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10486), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [245781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10498), 1,
      anon_sym_delete,
    ACTIONS(10500), 1,
      anon_sym_new,
    ACTIONS(10488), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10486), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [245803] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(6756), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10504), 1,
      anon_sym_LBRACK,
    STATE(6464), 1,
      sym_gnu_asm_output_operand,
    STATE(7654), 1,
      sym_string_literal,
    ACTIONS(10502), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [245857] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(6619), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245887] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(6479), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245917] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9102), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(6734), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10506), 1,
      anon_sym_delete,
    ACTIONS(10508), 1,
      anon_sym_new,
    ACTIONS(10488), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10486), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [245969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4908), 1,
      anon_sym_LBRACK,
    ACTIONS(4910), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245987] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(9977), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [246011] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10510), 1,
      anon_sym_EQ,
    STATE(2826), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(7848), 1,
      sym_initializer_list,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246043] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(9983), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [246067] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10512), 1,
      anon_sym_COMMA,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6534), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(10514), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(6108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LBRACK,
    ACTIONS(4902), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10518), 1,
      anon_sym_LBRACK,
    STATE(6554), 1,
      sym_gnu_asm_input_operand,
    STATE(7898), 1,
      sym_string_literal,
    ACTIONS(10516), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [246157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 1,
      anon_sym_delete,
    ACTIONS(10522), 1,
      anon_sym_new,
    ACTIONS(10488), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10486), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [246179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10524), 1,
      anon_sym_delete,
    ACTIONS(10526), 1,
      anon_sym_new,
    ACTIONS(10488), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10486), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [246201] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(10528), 1,
      sym_identifier,
    ACTIONS(10530), 1,
      anon_sym_COLON_COLON,
    STATE(2489), 1,
      sym_template_type,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(2473), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8169), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10496), 1,
      anon_sym_new,
    ACTIONS(10532), 1,
      anon_sym_delete,
    ACTIONS(10488), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10486), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [246253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10534), 1,
      anon_sym_delete,
    ACTIONS(10536), 1,
      anon_sym_new,
    ACTIONS(10488), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10486), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [246275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LBRACK,
    ACTIONS(4894), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246293] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10540), 1,
      anon_sym_EQ,
    STATE(2826), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10037), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [246347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10500), 1,
      anon_sym_new,
    ACTIONS(10542), 1,
      anon_sym_delete,
    ACTIONS(10488), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10486), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [246369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10544), 1,
      anon_sym_delete,
    ACTIONS(10546), 1,
      anon_sym_new,
    ACTIONS(10488), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10486), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [246391] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10041), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [246415] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10029), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [246439] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10025), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [246463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 1,
      anon_sym_LBRACK,
    ACTIONS(4886), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246481] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3139), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10011), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [246505] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10548), 1,
      anon_sym_EQ,
    STATE(2826), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10508), 1,
      anon_sym_new,
    ACTIONS(10550), 1,
      anon_sym_delete,
    ACTIONS(10488), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10486), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [246557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 1,
      anon_sym_LBRACK,
    ACTIONS(4898), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 1,
      anon_sym_LBRACK,
    ACTIONS(4890), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10552), 1,
      anon_sym_delete,
    ACTIONS(10554), 1,
      anon_sym_new,
    ACTIONS(10488), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10486), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [246615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10508), 1,
      anon_sym_new,
    ACTIONS(10556), 1,
      anon_sym_delete,
    ACTIONS(10488), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10486), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [246637] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10033), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246660] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_LBRACE,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10558), 1,
      sym_identifier,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    STATE(539), 1,
      sym_declaration_list,
    STATE(6293), 1,
      sym_attribute_declaration,
    STATE(7197), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [246691] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(8836), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10564), 1,
      sym_identifier,
    ACTIONS(10566), 1,
      anon_sym_template,
    STATE(2787), 1,
      sym_template_type,
    STATE(2796), 1,
      sym_dependent_type_identifier,
    STATE(2862), 1,
      sym_qualified_type_identifier,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [246722] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4880), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10568), 1,
      sym_identifier,
    ACTIONS(10570), 1,
      anon_sym_template,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(6192), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [246753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10574), 1,
      anon_sym_AMP,
    ACTIONS(10576), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10572), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [246772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(2808), 1,
      sym_template_argument_list,
    ACTIONS(4921), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4914), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [246795] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10578), 1,
      sym_identifier,
    ACTIONS(10580), 1,
      anon_sym_template,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(2810), 1,
      sym_qualified_type_identifier,
    STATE(6195), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [246826] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9840), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10582), 1,
      sym_identifier,
    STATE(5554), 1,
      sym__scope_resolution,
    STATE(8046), 1,
      sym_qualified_identifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [246853] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(10530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10584), 1,
      sym_identifier,
    ACTIONS(10586), 1,
      anon_sym_template,
    STATE(2500), 1,
      sym_qualified_type_identifier,
    STATE(2503), 1,
      sym_dependent_type_identifier,
    STATE(2504), 1,
      sym_template_type,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [246884] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(2808), 1,
      sym_template_argument_list,
    ACTIONS(7829), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4955), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [246907] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10588), 1,
      sym_identifier,
    ACTIONS(10590), 1,
      anon_sym_template,
    STATE(2073), 1,
      sym_template_type,
    STATE(2080), 1,
      sym_dependent_type_identifier,
    STATE(2103), 1,
      sym_qualified_type_identifier,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [246938] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7062), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10592), 1,
      sym_identifier,
    ACTIONS(10594), 1,
      anon_sym_template,
    STATE(1703), 1,
      sym_dependent_type_identifier,
    STATE(1708), 1,
      sym_template_type,
    STATE(1791), 1,
      sym_qualified_type_identifier,
    STATE(6200), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [246969] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(8816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10596), 1,
      sym_identifier,
    ACTIONS(10598), 1,
      anon_sym_template,
    STATE(2587), 1,
      sym_dependent_type_identifier,
    STATE(2596), 1,
      sym_template_type,
    STATE(2655), 1,
      sym_qualified_type_identifier,
    STATE(6201), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [247000] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9326), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10600), 1,
      sym_identifier,
    ACTIONS(10602), 1,
      anon_sym_template,
    STATE(1703), 1,
      sym_dependent_type_identifier,
    STATE(1708), 1,
      sym_template_type,
    STATE(1791), 1,
      sym_qualified_type_identifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [247031] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(8856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10604), 1,
      sym_identifier,
    ACTIONS(10606), 1,
      anon_sym_template,
    STATE(2392), 1,
      sym_dependent_type_identifier,
    STATE(2403), 1,
      sym_template_type,
    STATE(2535), 1,
      sym_qualified_type_identifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [247062] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9840), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10608), 1,
      sym_identifier,
    STATE(5554), 1,
      sym__scope_resolution,
    STATE(7671), 1,
      sym_qualified_identifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [247089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10610), 1,
      sym_identifier,
    ACTIONS(10614), 1,
      sym_system_lib_string,
    STATE(7706), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10612), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [247110] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4986), 1,
      anon_sym_LBRACE,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10616), 1,
      sym_identifier,
    STATE(307), 1,
      sym_declaration_list,
    STATE(6295), 1,
      sym_attribute_declaration,
    STATE(7374), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [247141] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10618), 1,
      sym_identifier,
    STATE(553), 1,
      sym_declaration_list,
    STATE(6314), 1,
      sym_attribute_declaration,
    STATE(7345), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [247172] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(8908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10620), 1,
      sym_identifier,
    ACTIONS(10622), 1,
      anon_sym_template,
    STATE(2633), 1,
      sym_template_type,
    STATE(2654), 1,
      sym_dependent_type_identifier,
    STATE(2723), 1,
      sym_qualified_type_identifier,
    STATE(6208), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [247203] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10011), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247226] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10606), 1,
      anon_sym_template,
    ACTIONS(10624), 1,
      sym_identifier,
    STATE(2392), 1,
      sym_dependent_type_identifier,
    STATE(2403), 1,
      sym_template_type,
    STATE(2535), 1,
      sym_qualified_type_identifier,
    STATE(6210), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [247257] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(3808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10626), 1,
      sym_identifier,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(6211), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [247288] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9840), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10628), 1,
      sym_identifier,
    STATE(5554), 1,
      sym__scope_resolution,
    STATE(7737), 1,
      sym_qualified_identifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [247315] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10630), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [247340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10025), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247363] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7148), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10632), 1,
      sym_identifier,
    ACTIONS(10634), 1,
      anon_sym_template,
    STATE(1703), 1,
      sym_dependent_type_identifier,
    STATE(1708), 1,
      sym_template_type,
    STATE(1791), 1,
      sym_qualified_type_identifier,
    STATE(6215), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [247394] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9840), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10636), 1,
      sym_identifier,
    STATE(5554), 1,
      sym__scope_resolution,
    STATE(7579), 1,
      sym_qualified_identifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [247421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10029), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10638), 1,
      sym_identifier,
    ACTIONS(10640), 1,
      sym_system_lib_string,
    STATE(7541), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10612), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [247465] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(4984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10642), 1,
      sym_identifier,
    ACTIONS(10644), 1,
      anon_sym_template,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(6219), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [247496] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10578), 1,
      sym_identifier,
    ACTIONS(10580), 1,
      anon_sym_template,
    STATE(2107), 1,
      sym_qualified_type_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(6220), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [247527] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10041), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(10037), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247573] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7294), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10646), 1,
      sym_identifier,
    ACTIONS(10648), 1,
      anon_sym_template,
    STATE(4214), 1,
      sym_template_type,
    STATE(4224), 1,
      sym_dependent_type_identifier,
    STATE(4351), 1,
      sym_qualified_type_identifier,
    STATE(6223), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [247604] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 1,
      anon_sym_LBRACE,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10650), 1,
      sym_identifier,
    STATE(732), 1,
      sym_declaration_list,
    STATE(6302), 1,
      sym_attribute_declaration,
    STATE(7255), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [247635] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(8948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10652), 1,
      sym_identifier,
    ACTIONS(10654), 1,
      anon_sym_template,
    STATE(3669), 1,
      sym_dependent_type_identifier,
    STATE(3672), 1,
      sym_template_type,
    STATE(3766), 1,
      sym_qualified_type_identifier,
    STATE(6225), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [247666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10656), 1,
      sym_identifier,
    ACTIONS(10658), 1,
      sym_system_lib_string,
    STATE(8135), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10612), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [247687] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10626), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(2810), 1,
      sym_qualified_type_identifier,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [247718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5724), 1,
      anon_sym_AMP,
    ACTIONS(10660), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5726), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
  [247737] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 1,
      anon_sym_LBRACE,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10662), 1,
      sym_identifier,
    STATE(720), 1,
      sym_declaration_list,
    STATE(6322), 1,
      sym_attribute_declaration,
    STATE(7401), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [247768] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4986), 1,
      anon_sym_LBRACE,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10664), 1,
      sym_identifier,
    STATE(367), 1,
      sym_declaration_list,
    STATE(6310), 1,
      sym_attribute_declaration,
    STATE(7342), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [247799] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10666), 1,
      sym_identifier,
    STATE(599), 1,
      sym_declaration_list,
    STATE(6296), 1,
      sym_attribute_declaration,
    STATE(7370), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [247830] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(9983), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247853] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9979), 1,
      anon_sym_LBRACK,
    STATE(3420), 1,
      sym_parameter_list,
    STATE(5596), 1,
      sym__function_declarator_seq,
    ACTIONS(9977), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247876] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_LBRACE,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10668), 1,
      sym_identifier,
    STATE(550), 1,
      sym_declaration_list,
    STATE(6304), 1,
      sym_attribute_declaration,
    STATE(7215), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [247907] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9098), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10642), 1,
      sym_identifier,
    ACTIONS(10644), 1,
      anon_sym_template,
    STATE(2136), 1,
      sym_dependent_type_identifier,
    STATE(2137), 1,
      sym_template_type,
    STATE(2810), 1,
      sym_qualified_type_identifier,
    STATE(6235), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [247938] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(8870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10670), 1,
      sym_identifier,
    ACTIONS(10672), 1,
      anon_sym_template,
    STATE(2102), 1,
      sym_dependent_type_identifier,
    STATE(2105), 1,
      sym_template_type,
    STATE(2123), 1,
      sym_qualified_type_identifier,
    STATE(6236), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [247969] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9840), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10674), 1,
      sym_identifier,
    STATE(5554), 1,
      sym__scope_resolution,
    STATE(7937), 1,
      sym_qualified_identifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [247996] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9840), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10676), 1,
      sym_identifier,
    STATE(5554), 1,
      sym__scope_resolution,
    STATE(7853), 1,
      sym_qualified_identifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [248023] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(8968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10594), 1,
      anon_sym_template,
    ACTIONS(10678), 1,
      sym_identifier,
    STATE(1703), 1,
      sym_dependent_type_identifier,
    STATE(1708), 1,
      sym_template_type,
    STATE(1791), 1,
      sym_qualified_type_identifier,
    STATE(6239), 1,
      sym__scope_resolution,
    STATE(8169), 1,
      sym_decltype,
  [248054] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_template,
    ACTIONS(1949), 1,
      anon_sym_decltype,
    ACTIONS(9840), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10680), 1,
      sym_identifier,
    STATE(5554), 1,
      sym__scope_resolution,
    STATE(8132), 1,
      sym_qualified_identifier,
    STATE(8169), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [248081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10682), 1,
      sym_identifier,
    ACTIONS(10684), 1,
      sym_system_lib_string,
    STATE(8165), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10612), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [248102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym_AMP,
    ACTIONS(10660), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10686), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5714), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [248123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10518), 1,
      anon_sym_LBRACK,
    STATE(6727), 1,
      sym_gnu_asm_input_operand,
    STATE(7898), 1,
      sym_string_literal,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [248143] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    ACTIONS(10688), 1,
      anon_sym_RPAREN,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(6148), 1,
      sym__function_declarator_seq,
    STATE(6385), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248169] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    ACTIONS(10154), 1,
      anon_sym_RPAREN,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(6148), 1,
      sym__function_declarator_seq,
    STATE(6385), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248195] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10690), 1,
      anon_sym_COLON,
    STATE(3398), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5986), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248221] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(10692), 1,
      anon_sym_SEMI,
    ACTIONS(10694), 1,
      anon_sym_EQ,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(6455), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248247] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(10696), 1,
      anon_sym_SEMI,
    ACTIONS(10698), 1,
      anon_sym_EQ,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(6606), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10702), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10704), 1,
      anon_sym_EQ,
    ACTIONS(10700), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [248291] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(10706), 1,
      anon_sym_SEMI,
    ACTIONS(10708), 1,
      anon_sym_EQ,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(6465), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248317] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10061), 1,
      anon_sym_COLON,
    STATE(3398), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5986), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248343] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10710), 1,
      sym_identifier,
    ACTIONS(10715), 1,
      aux_sym_preproc_elif_token1,
    STATE(6252), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(10713), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [248363] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(9977), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248385] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10717), 1,
      anon_sym_SEMI,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248411] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(10719), 1,
      anon_sym_SEMI,
    ACTIONS(10721), 1,
      anon_sym_EQ,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(6614), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248437] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10723), 1,
      anon_sym_SEMI,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248463] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(10725), 1,
      anon_sym_SEMI,
    ACTIONS(10727), 1,
      anon_sym_EQ,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(6674), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10731), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10729), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [248505] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(10733), 1,
      anon_sym_SEMI,
    ACTIONS(10735), 1,
      anon_sym_EQ,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(6530), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10504), 1,
      anon_sym_LBRACK,
    STATE(6745), 1,
      sym_gnu_asm_output_operand,
    STATE(7654), 1,
      sym_string_literal,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [248551] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2711), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10737), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [248573] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10739), 1,
      anon_sym_SEMI,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248599] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(9983), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248621] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10033), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248643] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10741), 1,
      anon_sym_SEMI,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248669] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10037), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10041), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6186), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(2808), 1,
      sym_template_argument_list,
    ACTIONS(6188), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [248733] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10743), 1,
      anon_sym_SEMI,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10745), 1,
      sym_identifier,
    ACTIONS(10750), 1,
      aux_sym_preproc_elif_token1,
    STATE(6270), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7770), 1,
      sym_enumerator,
    ACTIONS(10748), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [248781] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10752), 1,
      anon_sym_SEMI,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248807] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(10754), 1,
      anon_sym_SEMI,
    ACTIONS(10756), 1,
      anon_sym_EQ,
    STATE(1578), 1,
      sym_template_argument_list,
    STATE(6506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248833] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    ACTIONS(10238), 1,
      anon_sym_RPAREN,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(6148), 1,
      sym__function_declarator_seq,
    STATE(6385), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248859] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    ACTIONS(10758), 1,
      anon_sym_RPAREN,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(6148), 1,
      sym__function_declarator_seq,
    STATE(6385), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248885] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10029), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248907] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10760), 1,
      anon_sym_SEMI,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248933] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(5777), 1,
      sym_template_argument_list,
    ACTIONS(4914), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [248955] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10025), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248977] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    ACTIONS(10272), 1,
      anon_sym_RPAREN,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(6148), 1,
      sym__function_declarator_seq,
    STATE(6385), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3444), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10011), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [249025] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10762), 1,
      anon_sym_RPAREN,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249051] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    ACTIONS(10114), 1,
      anon_sym_RPAREN,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(6148), 1,
      sym__function_declarator_seq,
    STATE(6385), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249077] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_COLON,
    STATE(3398), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5986), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249103] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10088), 1,
      anon_sym_COLON,
    STATE(3398), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5986), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(7829), 1,
      anon_sym_LBRACK,
    STATE(5777), 1,
      sym_template_argument_list,
    ACTIONS(4955), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [249151] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10764), 1,
      anon_sym_SEMI,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249177] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10075), 1,
      anon_sym_COLON,
    STATE(3398), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5986), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249203] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10065), 1,
      anon_sym_COLON,
    STATE(3398), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5986), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10768), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10766), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [249245] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9265), 1,
      anon_sym_LBRACK,
    ACTIONS(10128), 1,
      anon_sym_RPAREN,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(6148), 1,
      sym__function_declarator_seq,
    STATE(6385), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249271] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    ACTIONS(10770), 1,
      anon_sym_RPAREN,
    STATE(2967), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249297] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(9983), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [249318] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_LBRACE,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10668), 1,
      sym_identifier,
    STATE(550), 1,
      sym_declaration_list,
    STATE(7215), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [249343] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249366] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4986), 1,
      anon_sym_LBRACE,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10774), 1,
      sym_identifier,
    STATE(341), 1,
      sym_declaration_list,
    STATE(7414), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [249391] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10618), 1,
      sym_identifier,
    STATE(553), 1,
      sym_declaration_list,
    STATE(7345), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [249416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10025), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [249437] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(9983), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [249458] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10011), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [249479] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(5910), 1,
      anon_sym_COLON,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6362), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(9977), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [249523] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 1,
      anon_sym_LBRACE,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10662), 1,
      sym_identifier,
    STATE(720), 1,
      sym_declaration_list,
    STATE(7401), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [249548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10778), 1,
      anon_sym_AMP,
    ACTIONS(10776), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [249563] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_LBRACE,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10780), 1,
      sym_identifier,
    STATE(583), 1,
      sym_declaration_list,
    STATE(7245), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [249588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6186), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(5777), 1,
      sym_template_argument_list,
    ACTIONS(6188), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [249607] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10782), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10786), 1,
      anon_sym_AMP,
    ACTIONS(10784), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [249645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10790), 1,
      anon_sym_AMP,
    ACTIONS(10788), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [249660] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(5922), 1,
      anon_sym_COLON,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6362), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249683] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4986), 1,
      anon_sym_LBRACE,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10616), 1,
      sym_identifier,
    STATE(307), 1,
      sym_declaration_list,
    STATE(7374), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [249708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_AMP,
    ACTIONS(4448), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [249723] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(5892), 1,
      anon_sym_COLON,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6362), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10792), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_EQ,
    ACTIONS(10796), 1,
      anon_sym_DOT,
    STATE(6338), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [249765] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10798), 1,
      sym_identifier,
    STATE(610), 1,
      sym_declaration_list,
    STATE(7302), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [249790] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10800), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249813] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5839), 1,
      anon_sym_COLON,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6362), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249836] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10802), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249859] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10041), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [249880] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10804), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249903] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10033), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [249924] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10029), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [249945] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 1,
      anon_sym_LBRACE,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10806), 1,
      sym_identifier,
    STATE(699), 1,
      sym_declaration_list,
    STATE(7200), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [249970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10574), 1,
      anon_sym_AMP,
    ACTIONS(10572), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [249985] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(5914), 1,
      anon_sym_COLON,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6362), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 1,
      anon_sym_AMP,
    ACTIONS(5888), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [250023] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9452), 1,
      anon_sym_LBRACK,
    STATE(2829), 1,
      sym_parameter_list,
    STATE(5908), 1,
      sym__function_declarator_seq,
    STATE(5750), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250046] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10041), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [250067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10011), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [250088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5876), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [250103] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(9977), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [250124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10810), 1,
      anon_sym_COMMA,
    ACTIONS(10812), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10808), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [250141] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10029), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [250162] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10037), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [250183] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10025), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [250204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 1,
      anon_sym_AMP,
    ACTIONS(5860), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [250219] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10814), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250242] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10816), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    ACTIONS(10821), 1,
      anon_sym_EQ,
    ACTIONS(10823), 1,
      anon_sym_DOT,
    STATE(6338), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [250284] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5845), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10826), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_parameter_list,
    STATE(6108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10037), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [250328] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(2278), 1,
      sym_template_argument_list,
    STATE(6954), 2,
      sym_argument_list,
      sym_initializer_list,
  [250351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10033), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [250372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10828), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10830), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [250386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9279), 1,
      anon_sym_try,
    ACTIONS(10174), 1,
      anon_sym_LBRACE,
    ACTIONS(10832), 1,
      anon_sym_SEMI,
    ACTIONS(10834), 1,
      anon_sym_EQ,
    STATE(1895), 2,
      sym_compound_statement,
      sym_try_statement,
  [250406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10836), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10838), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [250420] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9271), 1,
      anon_sym_try,
    ACTIONS(10160), 1,
      anon_sym_LBRACE,
    ACTIONS(10840), 1,
      anon_sym_SEMI,
    ACTIONS(10842), 1,
      anon_sym_EQ,
    STATE(1681), 2,
      sym_compound_statement,
      sym_try_statement,
  [250440] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9287), 1,
      anon_sym_try,
    ACTIONS(10138), 1,
      anon_sym_LBRACE,
    ACTIONS(10844), 1,
      anon_sym_SEMI,
    ACTIONS(10846), 1,
      anon_sym_EQ,
    STATE(1984), 2,
      sym_compound_statement,
      sym_try_statement,
  [250460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10750), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10748), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [250474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(9458), 1,
      anon_sym_try,
    ACTIONS(10848), 1,
      anon_sym_SEMI,
    ACTIONS(10850), 1,
      anon_sym_EQ,
    STATE(544), 2,
      sym_compound_statement,
      sym_try_statement,
  [250494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10828), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10830), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [250508] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [250528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9279), 1,
      anon_sym_try,
    ACTIONS(10174), 1,
      anon_sym_LBRACE,
    ACTIONS(10852), 1,
      anon_sym_SEMI,
    ACTIONS(10854), 1,
      anon_sym_EQ,
    STATE(1900), 2,
      sym_compound_statement,
      sym_try_statement,
  [250548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    STATE(5139), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5475), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10856), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10858), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [250580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10860), 1,
      anon_sym_LPAREN2,
    STATE(6386), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10862), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [250596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10856), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10858), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [250610] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    ACTIONS(9458), 1,
      anon_sym_try,
    ACTIONS(10864), 1,
      anon_sym_SEMI,
    ACTIONS(10866), 1,
      anon_sym_EQ,
    STATE(574), 2,
      sym_compound_statement,
      sym_try_statement,
  [250630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10868), 1,
      anon_sym_LPAREN2,
    STATE(6395), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10862), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [250646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10870), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10872), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [250660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10874), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10876), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [250674] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    ACTIONS(9526), 1,
      anon_sym_try,
    ACTIONS(10878), 1,
      anon_sym_SEMI,
    ACTIONS(10880), 1,
      anon_sym_EQ,
    STATE(642), 2,
      sym_compound_statement,
      sym_try_statement,
  [250694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5951), 1,
      anon_sym_LBRACK,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5953), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5540), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6186), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(3843), 1,
      sym_template_argument_list,
    ACTIONS(6188), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [250730] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9271), 1,
      anon_sym_try,
    ACTIONS(10160), 1,
      anon_sym_LBRACE,
    ACTIONS(10882), 1,
      anon_sym_SEMI,
    ACTIONS(10884), 1,
      anon_sym_EQ,
    STATE(1748), 2,
      sym_compound_statement,
      sym_try_statement,
  [250750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8189), 1,
      sym_string_literal,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [250764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10886), 1,
      anon_sym_LPAREN2,
    STATE(6392), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10862), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [250780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10888), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10890), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [250794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10892), 1,
      anon_sym_LPAREN2,
    STATE(6358), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10862), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [250810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8167), 1,
      sym_string_literal,
    ACTIONS(117), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [250824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10462), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10894), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [250838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6186), 1,
      anon_sym_LBRACK,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(3843), 1,
      sym_template_argument_list,
    ACTIONS(6188), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [250856] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3125), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
    ACTIONS(10538), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [250876] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(10355), 1,
      anon_sym_LBRACK,
    STATE(6117), 1,
      sym_template_argument_list,
    ACTIONS(10353), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [250894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(10351), 1,
      anon_sym_LBRACK,
    STATE(6140), 1,
      sym_template_argument_list,
    ACTIONS(10347), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [250912] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9514), 1,
      anon_sym_try,
    ACTIONS(10896), 1,
      anon_sym_SEMI,
    ACTIONS(10898), 1,
      anon_sym_EQ,
    STATE(346), 2,
      sym_compound_statement,
      sym_try_statement,
  [250932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10900), 1,
      anon_sym_LPAREN2,
    STATE(6384), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10862), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [250948] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9514), 1,
      anon_sym_try,
    ACTIONS(10902), 1,
      anon_sym_SEMI,
    ACTIONS(10904), 1,
      anon_sym_EQ,
    STATE(329), 2,
      sym_compound_statement,
      sym_try_statement,
  [250968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10906), 1,
      anon_sym_LPAREN2,
    STATE(6395), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10862), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [250984] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9490), 1,
      anon_sym_try,
    ACTIONS(10908), 1,
      anon_sym_SEMI,
    ACTIONS(10910), 1,
      anon_sym_EQ,
    STATE(737), 2,
      sym_compound_statement,
      sym_try_statement,
  [251004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10912), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10914), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [251018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10916), 1,
      anon_sym_LPAREN2,
    STATE(6378), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10862), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [251034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10918), 1,
      anon_sym_LPAREN2,
    STATE(6394), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10862), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [251050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9490), 1,
      anon_sym_try,
    ACTIONS(10920), 1,
      anon_sym_SEMI,
    ACTIONS(10922), 1,
      anon_sym_EQ,
    STATE(730), 2,
      sym_compound_statement,
      sym_try_statement,
  [251070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10924), 1,
      anon_sym_LPAREN2,
    STATE(6395), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10862), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [251086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10359), 1,
      anon_sym_LBRACK,
    ACTIONS(10357), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5689), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10926), 1,
      anon_sym_LPAREN2,
    STATE(6395), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10862), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [251120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9287), 1,
      anon_sym_try,
    ACTIONS(10138), 1,
      anon_sym_LBRACE,
    ACTIONS(10928), 1,
      anon_sym_SEMI,
    ACTIONS(10930), 1,
      anon_sym_EQ,
    STATE(2046), 2,
      sym_compound_statement,
      sym_try_statement,
  [251140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10932), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10934), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [251154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10936), 1,
      anon_sym_LPAREN2,
    STATE(6395), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10862), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [251170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6892), 1,
      anon_sym___attribute__,
    ACTIONS(7614), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5357), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5527), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10938), 1,
      anon_sym_LPAREN2,
    STATE(6389), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10862), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [251204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10940), 1,
      anon_sym_LPAREN2,
    STATE(6395), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10862), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [251220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    ACTIONS(9526), 1,
      anon_sym_try,
    ACTIONS(10942), 1,
      anon_sym_SEMI,
    ACTIONS(10944), 1,
      anon_sym_EQ,
    STATE(654), 2,
      sym_compound_statement,
      sym_try_statement,
  [251240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10946), 1,
      anon_sym_LPAREN2,
    STATE(6395), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10862), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [251256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10948), 1,
      anon_sym_LPAREN2,
    STATE(6395), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10950), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [251272] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    ACTIONS(10953), 1,
      anon_sym_RPAREN,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
  [251291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    ACTIONS(10955), 1,
      anon_sym_RPAREN,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
  [251310] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10957), 1,
      sym_identifier,
    STATE(7060), 1,
      sym__namespace_specifier,
    STATE(7198), 1,
      sym_nested_namespace_specifier,
  [251329] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(10959), 1,
      anon_sym_SEMI,
    STATE(6710), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7995), 1,
      sym_attribute_specifier,
  [251348] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(10961), 1,
      anon_sym_SEMI,
    STATE(6710), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7991), 1,
      sym_attribute_specifier,
  [251367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(10963), 1,
      anon_sym_SEMI,
    STATE(6435), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7986), 1,
      sym_attribute_specifier,
  [251386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10037), 1,
      anon_sym_COLON,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
  [251405] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10041), 1,
      anon_sym_COLON,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
  [251424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10965), 1,
      sym_identifier,
    STATE(7887), 1,
      sym__namespace_specifier,
    STATE(7900), 1,
      sym_nested_namespace_specifier,
  [251443] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10967), 1,
      sym_identifier,
    STATE(7884), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [251462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10029), 1,
      anon_sym_COLON,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
  [251481] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(10957), 1,
      sym_identifier,
    STATE(7024), 1,
      sym__namespace_specifier,
    STATE(7252), 1,
      sym_nested_namespace_specifier,
  [251500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10025), 1,
      anon_sym_COLON,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
  [251519] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(10969), 1,
      anon_sym_SEMI,
    STATE(6710), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7816), 1,
      sym_attribute_specifier,
  [251538] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(10971), 1,
      anon_sym_SEMI,
    STATE(6710), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7818), 1,
      sym_attribute_specifier,
  [251557] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10011), 1,
      anon_sym_COLON,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
  [251576] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(10973), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(3531), 1,
      sym_template_method,
    STATE(7316), 1,
      sym_operator_name,
  [251595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(10975), 1,
      anon_sym_SEMI,
    STATE(6710), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7821), 1,
      sym_attribute_specifier,
  [251614] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(10977), 1,
      anon_sym_SEMI,
    STATE(6710), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7822), 1,
      sym_attribute_specifier,
  [251633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(10979), 1,
      anon_sym_SEMI,
    STATE(6409), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7823), 1,
      sym_attribute_specifier,
  [251652] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9983), 1,
      anon_sym_COLON,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
  [251671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10981), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(7322), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [251684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10983), 4,
      anon_sym_virtual,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
  [251697] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10051), 1,
      sym_identifier,
    ACTIONS(10987), 1,
      aux_sym_preproc_if_token2,
    STATE(6331), 1,
      sym_enumerator,
    STATE(6655), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6656), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [251716] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10033), 1,
      anon_sym_COLON,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
  [251735] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(10989), 1,
      anon_sym_SEMI,
    STATE(6710), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7839), 1,
      sym_attribute_specifier,
  [251754] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(10991), 1,
      anon_sym_SEMI,
    STATE(6413), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7841), 1,
      sym_attribute_specifier,
  [251773] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(10993), 1,
      anon_sym_SEMI,
    STATE(6414), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7842), 1,
      sym_attribute_specifier,
  [251792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(10995), 1,
      anon_sym_SEMI,
    STATE(6710), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7455), 1,
      sym_attribute_specifier,
  [251811] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_SEMI,
    STATE(6710), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7456), 1,
      sym_attribute_specifier,
  [251830] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(10999), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(2340), 1,
      sym_template_method,
    STATE(7372), 1,
      sym_operator_name,
  [251849] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(11001), 1,
      anon_sym_SEMI,
    STATE(6710), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7459), 1,
      sym_attribute_specifier,
  [251868] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(11003), 1,
      anon_sym_SEMI,
    STATE(6710), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7460), 1,
      sym_attribute_specifier,
  [251887] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(11005), 1,
      anon_sym_SEMI,
    STATE(6424), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7461), 1,
      sym_attribute_specifier,
  [251906] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(11007), 1,
      sym_identifier,
    STATE(7504), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [251925] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(11009), 1,
      anon_sym_SEMI,
    STATE(6710), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7472), 1,
      sym_attribute_specifier,
  [251944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(11011), 1,
      anon_sym_SEMI,
    STATE(6427), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7473), 1,
      sym_attribute_specifier,
  [251963] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(11013), 1,
      anon_sym_SEMI,
    STATE(6428), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7474), 1,
      sym_attribute_specifier,
  [251982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11015), 1,
      anon_sym_EQ,
    ACTIONS(9898), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251995] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(11017), 1,
      anon_sym_SEMI,
    STATE(6710), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8225), 1,
      sym_attribute_specifier,
  [252014] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(11019), 1,
      anon_sym_SEMI,
    STATE(6400), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7772), 1,
      sym_attribute_specifier,
  [252033] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    ACTIONS(11021), 1,
      anon_sym_RPAREN,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
  [252052] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(11023), 1,
      anon_sym_SEMI,
    STATE(6399), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7802), 1,
      sym_attribute_specifier,
  [252071] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(9977), 1,
      anon_sym_COLON,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(3334), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
  [252090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6186), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(3677), 1,
      sym_template_argument_list,
    ACTIONS(6188), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [252107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    ACTIONS(11025), 1,
      anon_sym_RPAREN,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
  [252126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(11027), 1,
      anon_sym_SEMI,
    STATE(6710), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8154), 1,
      sym_attribute_specifier,
  [252145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7878), 1,
      sym_auto,
    ACTIONS(7880), 1,
      anon_sym_decltype,
    STATE(2315), 1,
      sym_decltype_auto,
    ACTIONS(11029), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [252162] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(10999), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(2340), 1,
      sym_template_method,
    STATE(7237), 1,
      sym_operator_name,
  [252181] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(11031), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(2340), 1,
      sym_template_method,
    STATE(7229), 1,
      sym_operator_name,
  [252200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11033), 1,
      anon_sym_EQ,
    ACTIONS(9898), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [252213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6186), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(4119), 1,
      sym_template_argument_list,
    ACTIONS(6188), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [252230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(2278), 1,
      sym_template_argument_list,
    ACTIONS(6112), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [252247] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(8145), 1,
      anon_sym_COMMA,
    ACTIONS(11035), 1,
      anon_sym_SEMI,
    STATE(6710), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7803), 1,
      sym_attribute_specifier,
  [252266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7878), 1,
      sym_auto,
    ACTIONS(7880), 1,
      anon_sym_decltype,
    STATE(2315), 1,
      sym_decltype_auto,
    ACTIONS(11037), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [252283] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_inline,
    ACTIONS(11039), 1,
      sym_identifier,
    STATE(7759), 1,
      sym_nested_namespace_specifier,
    STATE(7887), 1,
      sym__namespace_specifier,
  [252302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8748), 1,
      anon_sym_EQ,
    ACTIONS(11041), 1,
      sym_identifier,
    ACTIONS(8746), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [252319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    ACTIONS(11045), 1,
      anon_sym_COLON_COLON,
    STATE(7381), 1,
      sym_argument_list,
    ACTIONS(11043), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [252336] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_operator,
    ACTIONS(11047), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(3435), 1,
      sym_template_method,
    STATE(7389), 1,
      sym_operator_name,
  [252355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11049), 1,
      anon_sym_EQ,
    STATE(5689), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252369] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11051), 1,
      anon_sym_DQUOTE,
    ACTIONS(11053), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11055), 1,
      sym_escape_sequence,
    STATE(6662), 1,
      aux_sym_string_literal_repeat1,
  [252385] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    STATE(3615), 1,
      sym_field_declaration_list,
    STATE(7171), 1,
      sym_base_class_clause,
  [252401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10727), 1,
      anon_sym_EQ,
    STATE(6674), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    STATE(3519), 1,
      sym_argument_list,
    STATE(3605), 1,
      sym_initializer_list,
  [252431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4986), 1,
      anon_sym_LBRACE,
    ACTIONS(11057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11059), 1,
      anon_sym_EQ,
    STATE(313), 1,
      sym_declaration_list,
  [252447] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11061), 1,
      anon_sym_DQUOTE,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [252463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9192), 1,
      anon_sym_LBRACE,
    ACTIONS(11067), 1,
      anon_sym_LPAREN2,
    STATE(4281), 1,
      sym_requirement_seq,
    STATE(7367), 1,
      sym_requires_parameter_list,
  [252479] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11069), 1,
      anon_sym_DQUOTE,
    ACTIONS(11071), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11073), 1,
      sym_escape_sequence,
    STATE(6542), 1,
      aux_sym_string_literal_repeat1,
  [252495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11075), 1,
      anon_sym_COMMA,
    STATE(6565), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11077), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [252509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11079), 1,
      anon_sym_EQ,
    STATE(5689), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11083), 1,
      anon_sym_GT2,
    STATE(7051), 1,
      aux_sym_template_argument_list_repeat1,
  [252539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    ACTIONS(6596), 1,
      anon_sym_LPAREN2,
    STATE(3519), 1,
      sym_argument_list,
    STATE(4660), 1,
      sym_initializer_list,
  [252555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(11085), 1,
      anon_sym_SEMI,
    STATE(1578), 1,
      sym_template_argument_list,
  [252571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 1,
      anon_sym_LBRACE,
    STATE(3564), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252585] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11087), 1,
      anon_sym_SQUOTE,
    STATE(6696), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11089), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(6949), 2,
      sym_argument_list,
      sym_initializer_list,
  [252613] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11091), 1,
      anon_sym_DQUOTE,
    ACTIONS(11093), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11095), 1,
      sym_escape_sequence,
    STATE(6461), 1,
      aux_sym_string_literal_repeat1,
  [252629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(11097), 1,
      sym_identifier,
    STATE(818), 1,
      sym_template_parameter_list,
    STATE(2124), 1,
      sym_template_type,
  [252645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11099), 1,
      anon_sym_SEMI,
    STATE(6502), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11101), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11103), 1,
      anon_sym___except,
    ACTIONS(11105), 1,
      anon_sym___finally,
    STATE(468), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [252687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    STATE(3328), 1,
      sym_argument_list,
    STATE(3781), 1,
      sym_initializer_list,
  [252703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10708), 1,
      anon_sym_EQ,
    STATE(6465), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11107), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11111), 1,
      anon_sym_LBRACE,
    STATE(6830), 1,
      aux_sym_base_class_clause_repeat1,
  [252733] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11113), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [252749] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11115), 1,
      anon_sym_DQUOTE,
    ACTIONS(11117), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11119), 1,
      sym_escape_sequence,
    STATE(6488), 1,
      aux_sym_string_literal_repeat1,
  [252765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11121), 1,
      anon_sym_GT2,
    STATE(6967), 1,
      aux_sym_template_argument_list_repeat1,
  [252781] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11123), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11125), 1,
      anon_sym_LPAREN,
    ACTIONS(11127), 1,
      sym_preproc_arg,
    STATE(7205), 1,
      sym_preproc_params,
  [252797] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11129), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [252813] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11131), 1,
      anon_sym_SQUOTE,
    STATE(6696), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11089), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LBRACE,
    STATE(4199), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    STATE(2469), 1,
      sym_argument_list,
    STATE(3838), 1,
      sym_initializer_list,
  [252857] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11133), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [252873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9958), 1,
      anon_sym_LBRACE,
    STATE(3379), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252887] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11135), 1,
      anon_sym_DQUOTE,
    ACTIONS(11137), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11139), 1,
      sym_escape_sequence,
    STATE(6484), 1,
      aux_sym_string_literal_repeat1,
  [252903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    STATE(6985), 1,
      sym_compound_statement,
    STATE(7382), 1,
      sym_field_initializer_list,
  [252919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(6219), 1,
      anon_sym_LBRACE,
    STATE(2806), 1,
      sym_field_declaration_list,
    STATE(7379), 1,
      sym_base_class_clause,
  [252935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 1,
      anon_sym_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    STATE(2147), 1,
      sym_field_declaration_list,
    STATE(7340), 1,
      sym_base_class_clause,
  [252951] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11125), 1,
      anon_sym_LPAREN,
    ACTIONS(11141), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11143), 1,
      sym_preproc_arg,
    STATE(7251), 1,
      sym_preproc_params,
  [252967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11145), 1,
      anon_sym_SEMI,
    STATE(6658), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11147), 1,
      sym_identifier,
    ACTIONS(11149), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [252993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    STATE(3602), 1,
      sym_field_declaration_list,
    STATE(7170), 1,
      sym_base_class_clause,
  [253009] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11151), 1,
      anon_sym_GT2,
    STATE(7071), 1,
      aux_sym_template_argument_list_repeat1,
  [253025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 1,
      anon_sym_LBRACE,
    STATE(3547), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253039] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 1,
      anon_sym_LBRACE,
    ACTIONS(11057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11153), 1,
      anon_sym_EQ,
    STATE(689), 1,
      sym_declaration_list,
  [253055] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11155), 1,
      anon_sym_DQUOTE,
    ACTIONS(11157), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11159), 1,
      sym_escape_sequence,
    STATE(6512), 1,
      aux_sym_string_literal_repeat1,
  [253071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11161), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11163), 1,
      anon_sym_GT2,
    STATE(6944), 1,
      aux_sym_template_argument_list_repeat1,
  [253101] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11165), 1,
      anon_sym_DQUOTE,
    ACTIONS(11167), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11169), 1,
      sym_escape_sequence,
    STATE(6648), 1,
      aux_sym_string_literal_repeat1,
  [253117] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11171), 1,
      anon_sym_DQUOTE,
    ACTIONS(11173), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11175), 1,
      sym_escape_sequence,
    STATE(6705), 1,
      aux_sym_string_literal_repeat1,
  [253133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11177), 1,
      anon_sym_EQ,
    STATE(5689), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [253147] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11179), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [253163] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11181), 1,
      anon_sym_SQUOTE,
    STATE(6696), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11089), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [253177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1925), 1,
      anon_sym_LBRACE,
    ACTIONS(5633), 1,
      anon_sym_LPAREN2,
    STATE(2422), 1,
      sym_initializer_list,
    STATE(2469), 1,
      sym_argument_list,
  [253193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9948), 1,
      anon_sym_LBRACE,
    STATE(2418), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11183), 1,
      anon_sym_COMMA,
    STATE(6511), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11186), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [253221] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11188), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [253237] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11190), 1,
      anon_sym_DQUOTE,
    ACTIONS(11192), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11194), 1,
      sym_escape_sequence,
    STATE(6507), 1,
      aux_sym_string_literal_repeat1,
  [253253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    STATE(6891), 1,
      sym_compound_statement,
    STATE(7441), 1,
      sym_field_initializer_list,
  [253269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_LBRACE,
    ACTIONS(6566), 1,
      anon_sym_LPAREN2,
    STATE(3328), 1,
      sym_argument_list,
    STATE(3365), 1,
      sym_initializer_list,
  [253285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11196), 1,
      anon_sym_SEMI,
    STATE(6592), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11198), 1,
      anon_sym_SEMI,
    STATE(6549), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11200), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253327] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11202), 1,
      anon_sym_DQUOTE,
    ACTIONS(11204), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11206), 1,
      sym_escape_sequence,
    STATE(6531), 1,
      aux_sym_string_literal_repeat1,
  [253343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11208), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9950), 1,
      anon_sym_LBRACE,
    STATE(5692), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    STATE(6981), 1,
      sym_compound_statement,
    STATE(7315), 1,
      sym_field_initializer_list,
  [253387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9950), 1,
      anon_sym_LBRACE,
    STATE(5684), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253401] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11125), 1,
      anon_sym_LPAREN,
    ACTIONS(11210), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11212), 1,
      sym_preproc_arg,
    STATE(7355), 1,
      sym_preproc_params,
  [253417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11214), 1,
      anon_sym_GT2,
    STATE(6918), 1,
      aux_sym_template_argument_list_repeat1,
  [253433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(11097), 1,
      sym_identifier,
    STATE(814), 1,
      sym_template_parameter_list,
    STATE(2124), 1,
      sym_template_type,
  [253449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(7399), 1,
      anon_sym_LBRACE,
    STATE(3891), 1,
      sym_field_declaration_list,
    STATE(7439), 1,
      sym_base_class_clause,
  [253465] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11125), 1,
      anon_sym_LPAREN,
    ACTIONS(11216), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11218), 1,
      sym_preproc_arg,
    STATE(7189), 1,
      sym_preproc_params,
  [253481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11220), 1,
      anon_sym_GT2,
    STATE(6989), 1,
      aux_sym_template_argument_list_repeat1,
  [253497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11222), 1,
      anon_sym_EQ,
    STATE(5689), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [253511] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11224), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [253527] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11125), 1,
      anon_sym_LPAREN,
    ACTIONS(11226), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11228), 1,
      sym_preproc_arg,
    STATE(7358), 1,
      sym_preproc_params,
  [253543] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11230), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [253559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10512), 1,
      anon_sym_COMMA,
    STATE(6511), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11232), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [253573] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(11234), 1,
      anon_sym_SEMI,
    STATE(1578), 1,
      sym_template_argument_list,
  [253589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9950), 1,
      anon_sym_LBRACE,
    STATE(5699), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(11097), 1,
      sym_identifier,
    STATE(813), 1,
      sym_template_parameter_list,
    STATE(2124), 1,
      sym_template_type,
  [253619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9184), 1,
      anon_sym_LBRACE,
    ACTIONS(11067), 1,
      anon_sym_LPAREN2,
    STATE(2479), 1,
      sym_requirement_seq,
    STATE(7350), 1,
      sym_requires_parameter_list,
  [253635] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11236), 1,
      anon_sym_GT2,
    STATE(6957), 1,
      aux_sym_template_argument_list_repeat1,
  [253651] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11238), 1,
      anon_sym_SQUOTE,
    STATE(6696), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11089), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [253665] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11240), 1,
      anon_sym_SQUOTE,
    STATE(6696), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11089), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [253679] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11242), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [253695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9948), 1,
      anon_sym_LBRACE,
    STATE(2423), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11244), 1,
      anon_sym_SEMI,
    ACTIONS(11246), 1,
      anon_sym_DASH_GT,
    ACTIONS(11248), 1,
      anon_sym_noexcept,
    STATE(7921), 1,
      sym_trailing_return_type,
  [253725] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_DQUOTE,
    ACTIONS(11252), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11254), 1,
      sym_escape_sequence,
    STATE(6573), 1,
      aux_sym_string_literal_repeat1,
  [253741] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11256), 1,
      anon_sym_DQUOTE,
    ACTIONS(11258), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11260), 1,
      sym_escape_sequence,
    STATE(6480), 1,
      aux_sym_string_literal_repeat1,
  [253757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11262), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11264), 1,
      anon_sym_LBRACE,
    STATE(6894), 1,
      aux_sym_base_class_clause_repeat1,
  [253773] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11266), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [253789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11268), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11270), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253817] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11125), 1,
      anon_sym_LPAREN,
    ACTIONS(11272), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11274), 1,
      sym_preproc_arg,
    STATE(7330), 1,
      sym_preproc_params,
  [253833] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11276), 1,
      anon_sym_SQUOTE,
    STATE(6696), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11089), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [253847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(7399), 1,
      anon_sym_LBRACE,
    STATE(3902), 1,
      sym_field_declaration_list,
    STATE(7416), 1,
      sym_base_class_clause,
  [253863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11278), 1,
      anon_sym_COMMA,
    STATE(6652), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11280), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [253877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(6550), 1,
      anon_sym_LBRACE,
    STATE(3105), 1,
      sym_field_declaration_list,
    STATE(7287), 1,
      sym_base_class_clause,
  [253893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11282), 1,
      anon_sym_SEMI,
    STATE(6672), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253907] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11125), 1,
      anon_sym_LPAREN,
    ACTIONS(11284), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11286), 1,
      sym_preproc_arg,
    STATE(7281), 1,
      sym_preproc_params,
  [253923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9952), 1,
      anon_sym_LBRACE,
    STATE(3733), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9958), 1,
      anon_sym_LBRACE,
    STATE(3468), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(11097), 1,
      sym_identifier,
    STATE(817), 1,
      sym_template_parameter_list,
    STATE(2124), 1,
      sym_template_type,
  [253967] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11288), 1,
      anon_sym_DQUOTE,
    ACTIONS(11290), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11292), 1,
      sym_escape_sequence,
    STATE(6567), 1,
      aux_sym_string_literal_repeat1,
  [253983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    STATE(7088), 1,
      sym_compound_statement,
    STATE(7339), 1,
      sym_field_initializer_list,
  [253999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym___except,
    ACTIONS(11296), 1,
      anon_sym___finally,
    STATE(489), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [254013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(11298), 1,
      anon_sym_SEMI,
    STATE(1578), 1,
      sym_template_argument_list,
  [254029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11075), 1,
      anon_sym_COMMA,
    STATE(6634), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11300), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [254043] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11302), 1,
      anon_sym_DQUOTE,
    ACTIONS(11304), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11306), 1,
      sym_escape_sequence,
    STATE(6548), 1,
      aux_sym_string_literal_repeat1,
  [254059] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11308), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [254075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10721), 1,
      anon_sym_EQ,
    STATE(6614), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    STATE(2546), 1,
      sym_field_declaration_list,
    STATE(7173), 1,
      sym_base_class_clause,
  [254105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    STATE(4320), 1,
      sym_field_declaration_list,
    STATE(7273), 1,
      sym_base_class_clause,
  [254121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9948), 1,
      anon_sym_LBRACE,
    STATE(2499), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254135] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11310), 1,
      anon_sym_SQUOTE,
    STATE(6696), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11089), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [254149] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11312), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [254165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(6550), 1,
      anon_sym_LBRACE,
    STATE(3064), 1,
      sym_field_declaration_list,
    STATE(7348), 1,
      sym_base_class_clause,
  [254181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11314), 1,
      anon_sym_COMMA,
    STATE(6575), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11317), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [254195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 1,
      anon_sym_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    STATE(2173), 1,
      sym_field_declaration_list,
    STATE(7297), 1,
      sym_base_class_clause,
  [254211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11319), 1,
      anon_sym_COMMA,
    STATE(6635), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11321), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [254225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(11097), 1,
      sym_identifier,
    STATE(819), 1,
      sym_template_parameter_list,
    STATE(2124), 1,
      sym_template_type,
  [254241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11323), 1,
      anon_sym_SEMI,
    STATE(6584), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11325), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11327), 1,
      anon_sym_LBRACE,
    STATE(7087), 1,
      aux_sym_base_class_clause_repeat1,
  [254271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9934), 1,
      anon_sym_LBRACE,
    STATE(3354), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11067), 1,
      anon_sym_LPAREN2,
    ACTIONS(11329), 1,
      anon_sym_LBRACE,
    STATE(5388), 1,
      sym_requirement_seq,
    STATE(7169), 1,
      sym_requires_parameter_list,
  [254301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4914), 1,
      anon_sym_SEMI,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(1758), 1,
      sym_template_argument_list,
  [254317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11331), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10756), 1,
      anon_sym_EQ,
    STATE(6506), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9958), 1,
      anon_sym_LBRACE,
    STATE(3367), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    STATE(6801), 1,
      sym_compound_statement,
    STATE(7291), 1,
      sym_field_initializer_list,
  [254375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9944), 1,
      anon_sym_LBRACE,
    STATE(1603), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11333), 1,
      anon_sym_EQ,
    STATE(6694), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LBRACE,
    ACTIONS(11067), 1,
      anon_sym_LPAREN2,
    STATE(3425), 1,
      sym_requirement_seq,
    STATE(7202), 1,
      sym_requires_parameter_list,
  [254419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11335), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11337), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11339), 1,
      anon_sym_SEMI,
    STATE(6550), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9210), 1,
      anon_sym_LBRACE,
    ACTIONS(11067), 1,
      anon_sym_LPAREN2,
    STATE(3335), 1,
      sym_requirement_seq,
    STATE(7262), 1,
      sym_requires_parameter_list,
  [254477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11341), 1,
      anon_sym_SEMI,
    STATE(6642), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11343), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(1602), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11345), 1,
      anon_sym_GT2,
    STATE(7011), 1,
      aux_sym_template_argument_list_repeat1,
  [254535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11347), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11349), 1,
      anon_sym_SEMI,
    STATE(6596), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11351), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [254573] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    ACTIONS(11057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11353), 1,
      anon_sym_EQ,
    STATE(563), 1,
      sym_declaration_list,
  [254589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(1601), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11355), 1,
      anon_sym_GT2,
    STATE(6803), 1,
      aux_sym_template_argument_list_repeat1,
  [254619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(7418), 1,
      sym_argument_list,
    ACTIONS(11357), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [254633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11359), 1,
      anon_sym_EQ,
    STATE(5689), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(4850), 1,
      sym_field_declaration_list,
    STATE(7223), 1,
      sym_base_class_clause,
  [254663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11361), 1,
      anon_sym_SEMI,
    STATE(6518), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    STATE(4422), 1,
      sym_field_declaration_list,
    STATE(7239), 1,
      sym_base_class_clause,
  [254693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11363), 1,
      anon_sym_GT2,
    STATE(6849), 1,
      aux_sym_template_argument_list_repeat1,
  [254709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9952), 1,
      anon_sym_LBRACE,
    STATE(3819), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    STATE(4715), 1,
      sym_field_declaration_list,
    STATE(7307), 1,
      sym_base_class_clause,
  [254739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(11097), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(6417), 1,
      sym_template_parameter_list,
  [254755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11365), 1,
      anon_sym_EQ,
    STATE(5689), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11367), 1,
      anon_sym_GT2,
    STATE(6783), 1,
      aux_sym_template_argument_list_repeat1,
  [254785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    STATE(2844), 1,
      sym_field_declaration_list,
    STATE(7158), 1,
      sym_base_class_clause,
  [254801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11369), 1,
      anon_sym_SEMI,
    STATE(6599), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11371), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [254831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11373), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11375), 1,
      anon_sym_LBRACE,
    STATE(6759), 1,
      aux_sym_base_class_clause_repeat1,
  [254847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(11377), 1,
      anon_sym_SEMI,
    STATE(1578), 1,
      sym_template_argument_list,
  [254863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(1603), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11067), 1,
      anon_sym_LPAREN2,
    ACTIONS(11379), 1,
      anon_sym_LBRACE,
    STATE(5672), 1,
      sym_requirement_seq,
    STATE(7259), 1,
      sym_requires_parameter_list,
  [254893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_LBRACE,
    ACTIONS(11057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11381), 1,
      anon_sym_EQ,
    STATE(556), 1,
      sym_declaration_list,
  [254909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10694), 1,
      anon_sym_EQ,
    STATE(6455), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254923] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11383), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [254939] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11385), 1,
      anon_sym_SQUOTE,
    STATE(6696), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11089), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [254953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    STATE(4725), 1,
      sym_field_declaration_list,
    STATE(7270), 1,
      sym_base_class_clause,
  [254969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11387), 1,
      anon_sym_SEMI,
    STATE(6475), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(11389), 1,
      anon_sym_SEMI,
    STATE(1578), 1,
      sym_template_argument_list,
  [254999] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11391), 1,
      anon_sym_DQUOTE,
    ACTIONS(11393), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11395), 1,
      sym_escape_sequence,
    STATE(6633), 1,
      aux_sym_string_literal_repeat1,
  [255015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    STATE(6787), 1,
      sym_compound_statement,
    STATE(7206), 1,
      sym_field_initializer_list,
  [255031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(11397), 1,
      anon_sym_SEMI,
    STATE(1578), 1,
      sym_template_argument_list,
  [255047] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11399), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [255063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11401), 1,
      anon_sym_COMMA,
    STATE(6634), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11404), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [255077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11406), 1,
      anon_sym_COMMA,
    STATE(6635), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11409), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [255091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(4854), 1,
      sym_field_declaration_list,
    STATE(7221), 1,
      sym_base_class_clause,
  [255107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9944), 1,
      anon_sym_LBRACE,
    STATE(1601), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [255121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(2245), 1,
      sym_field_declaration_list,
    STATE(7247), 1,
      sym_base_class_clause,
  [255137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11411), 1,
      anon_sym_EQ,
    STATE(5689), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255151] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11413), 1,
      anon_sym_DQUOTE,
    ACTIONS(11415), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11417), 1,
      sym_escape_sequence,
    STATE(6625), 1,
      aux_sym_string_literal_repeat1,
  [255167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11419), 1,
      anon_sym_SEMI,
    STATE(6665), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [255181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11421), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [255195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9966), 1,
      anon_sym_LBRACE,
    STATE(3635), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [255209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11423), 1,
      anon_sym___except,
    ACTIONS(11425), 1,
      anon_sym___finally,
    STATE(293), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [255223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10124), 1,
      anon_sym_COLON,
    STATE(7035), 1,
      sym_compound_statement,
    STATE(7392), 1,
      sym_field_initializer_list,
  [255239] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11427), 1,
      anon_sym_GT2,
    STATE(7099), 1,
      aux_sym_template_argument_list_repeat1,
  [255255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10698), 1,
      anon_sym_EQ,
    STATE(6606), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255269] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11429), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [255285] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11431), 1,
      anon_sym_SQUOTE,
    STATE(6696), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11089), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [255299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11433), 1,
      anon_sym_GT2,
    STATE(7031), 1,
      aux_sym_template_argument_list_repeat1,
  [255315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    STATE(2893), 1,
      sym_field_declaration_list,
    STATE(7107), 1,
      sym_base_class_clause,
  [255331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11278), 1,
      anon_sym_COMMA,
    STATE(6575), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11435), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [255345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11319), 1,
      anon_sym_COMMA,
    STATE(6577), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11437), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [255359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    STATE(2551), 1,
      sym_field_declaration_list,
    STATE(7132), 1,
      sym_base_class_clause,
  [255375] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(11439), 1,
      aux_sym_preproc_if_token2,
    STATE(6270), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7770), 1,
      sym_enumerator,
  [255391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10051), 1,
      sym_identifier,
    ACTIONS(11441), 1,
      aux_sym_preproc_if_token2,
    STATE(6252), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [255405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11443), 1,
      anon_sym_EQ,
    STATE(6639), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11445), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [255433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(6219), 1,
      anon_sym_LBRACE,
    STATE(2786), 1,
      sym_field_declaration_list,
    STATE(7426), 1,
      sym_base_class_clause,
  [255449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11447), 1,
      anon_sym___except,
    ACTIONS(11449), 1,
      anon_sym___finally,
    STATE(468), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [255463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11451), 1,
      anon_sym_GT2,
    STATE(7040), 1,
      aux_sym_template_argument_list_repeat1,
  [255479] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11453), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [255495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9944), 1,
      anon_sym_LBRACE,
    STATE(1602), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [255509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10987), 1,
      aux_sym_preproc_if_token2,
    STATE(6655), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7770), 1,
      sym_enumerator,
  [255525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11455), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [255539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11457), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [255553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9932), 1,
      anon_sym_LBRACE,
    STATE(5452), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [255567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11459), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [255581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11461), 1,
      anon_sym_SEMI,
    STATE(6666), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [255595] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11463), 1,
      anon_sym_SQUOTE,
    STATE(6696), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11089), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [255609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9932), 1,
      anon_sym_LBRACE,
    STATE(5441), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [255623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11465), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [255637] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11467), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [255653] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11469), 1,
      anon_sym_EQ,
    STATE(5689), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_LBRACK,
    STATE(2941), 1,
      sym_parameter_list,
    STATE(5896), 1,
      sym__function_declarator_seq,
  [255683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11471), 1,
      anon_sym___except,
    ACTIONS(11473), 1,
      anon_sym___finally,
    STATE(854), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [255697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9934), 1,
      anon_sym_LBRACE,
    STATE(3467), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [255711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(11097), 1,
      sym_identifier,
    STATE(816), 1,
      sym_template_parameter_list,
    STATE(2124), 1,
      sym_template_type,
  [255727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(11475), 1,
      anon_sym_SEMI,
    STATE(1578), 1,
      sym_template_argument_list,
  [255743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11477), 1,
      anon_sym_SEMI,
    STATE(6591), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [255757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10051), 1,
      sym_identifier,
    ACTIONS(11479), 1,
      aux_sym_preproc_if_token2,
    STATE(6656), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [255771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11481), 1,
      anon_sym_SEMI,
    STATE(4098), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [255785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9231), 1,
      anon_sym_LBRACE,
    ACTIONS(11067), 1,
      anon_sym_LPAREN2,
    STATE(3790), 1,
      sym_requirement_seq,
    STATE(7201), 1,
      sym_requires_parameter_list,
  [255801] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11483), 1,
      anon_sym_SQUOTE,
    STATE(6696), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11089), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [255815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9934), 1,
      anon_sym_LBRACE,
    STATE(3355), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [255829] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      anon_sym_LBRACE,
    ACTIONS(11067), 1,
      anon_sym_LPAREN2,
    STATE(3598), 1,
      sym_requirement_seq,
    STATE(7236), 1,
      sym_requires_parameter_list,
  [255845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LBRACE,
    STATE(4164), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [255859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11485), 1,
      anon_sym_GT2,
    STATE(6765), 1,
      aux_sym_template_argument_list_repeat1,
  [255875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11487), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [255885] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9952), 1,
      anon_sym_LBRACE,
    STATE(3777), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [255899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11489), 1,
      anon_sym_SEMI,
    STATE(6682), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [255913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(11097), 1,
      sym_identifier,
    STATE(815), 1,
      sym_template_parameter_list,
    STATE(2124), 1,
      sym_template_type,
  [255929] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11491), 1,
      anon_sym_DQUOTE,
    ACTIONS(11493), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11496), 1,
      sym_escape_sequence,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [255945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11499), 1,
      anon_sym_EQ,
    STATE(5689), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [255959] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11501), 1,
      anon_sym_DQUOTE,
    ACTIONS(11503), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11505), 1,
      sym_escape_sequence,
    STATE(6673), 1,
      aux_sym_string_literal_repeat1,
  [255975] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11507), 1,
      anon_sym_SQUOTE,
    STATE(6696), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11509), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [255989] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11512), 1,
      anon_sym_DQUOTE,
    ACTIONS(11514), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11516), 1,
      sym_escape_sequence,
    STATE(6703), 1,
      aux_sym_string_literal_repeat1,
  [256005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9932), 1,
      anon_sym_LBRACE,
    STATE(5417), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [256019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10735), 1,
      anon_sym_EQ,
    STATE(6530), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [256033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    STATE(2854), 1,
      sym_field_declaration_list,
    STATE(7210), 1,
      sym_base_class_clause,
  [256049] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11518), 1,
      anon_sym_DQUOTE,
    ACTIONS(11520), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11522), 1,
      sym_escape_sequence,
    STATE(6533), 1,
      aux_sym_string_literal_repeat1,
  [256065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11524), 1,
      anon_sym_SEMI,
    STATE(6668), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [256079] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11526), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [256095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11528), 1,
      anon_sym___except,
    ACTIONS(11530), 1,
      anon_sym___finally,
    STATE(450), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [256109] = 5,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11063), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11065), 1,
      sym_escape_sequence,
    ACTIONS(11532), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym_string_literal_repeat1,
  [256125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(2202), 1,
      sym_field_declaration_list,
    STATE(7222), 1,
      sym_base_class_clause,
  [256141] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11534), 1,
      anon_sym_SQUOTE,
    STATE(6696), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11089), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [256155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym___attribute__,
    ACTIONS(11536), 1,
      anon_sym_SEMI,
    STATE(6520), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [256169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11538), 1,
      anon_sym_GT2,
    STATE(6909), 1,
      aux_sym_template_argument_list_repeat1,
  [256185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11540), 1,
      anon_sym_COMMA,
    STATE(6710), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(11543), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [256199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11067), 1,
      anon_sym_LPAREN2,
    ACTIONS(11545), 1,
      anon_sym_LBRACE,
    STATE(1597), 1,
      sym_requirement_seq,
    STATE(7336), 1,
      sym_requires_parameter_list,
  [256215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11487), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [256225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    STATE(2846), 1,
      sym_field_declaration_list,
    STATE(7196), 1,
      sym_base_class_clause,
  [256241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LBRACE,
    STATE(4171), 1,
      sym_compound_statement,
    ACTIONS(9898), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [256255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 1,
      anon_sym_while,
    ACTIONS(11547), 1,
      anon_sym_else,
    STATE(429), 1,
      sym_else_clause,
  [256268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7272), 1,
      anon_sym_EQ,
    ACTIONS(7270), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [256279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    ACTIONS(11551), 1,
      anon_sym_constexpr,
    STATE(180), 1,
      sym_condition_clause,
  [256292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11553), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [256301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11555), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [256310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11557), 1,
      anon_sym_RPAREN,
    ACTIONS(11559), 1,
      anon_sym_COLON,
    STATE(8199), 1,
      sym_gnu_asm_goto_list,
  [256323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11561), 1,
      anon_sym_COMMA,
    ACTIONS(11564), 1,
      anon_sym_RPAREN,
    STATE(6721), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [256336] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    STATE(6540), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11566), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [256347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11568), 1,
      anon_sym_COMMA,
    ACTIONS(11570), 1,
      anon_sym_RPAREN,
    STATE(6721), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [256360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11572), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [256369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11574), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [256378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11576), 1,
      anon_sym_COMMA,
    ACTIONS(11579), 1,
      anon_sym_RPAREN,
    STATE(6726), 1,
      aux_sym_generic_expression_repeat1,
  [256391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11581), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [256400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11568), 1,
      anon_sym_COMMA,
    ACTIONS(11583), 1,
      anon_sym_RPAREN,
    STATE(6723), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [256413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8286), 1,
      anon_sym_COMMA,
    ACTIONS(11585), 1,
      anon_sym_RPAREN,
    STATE(6726), 1,
      aux_sym_generic_expression_repeat1,
  [256426] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11587), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11589), 1,
      anon_sym_LPAREN2,
    STATE(7767), 1,
      sym_preproc_argument_list,
  [256439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11591), 1,
      anon_sym_LBRACE,
    STATE(6882), 1,
      aux_sym_base_class_clause_repeat1,
  [256452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8401), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [256461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6743), 1,
      aux_sym_attribute_declaration_repeat1,
  [256474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11597), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11599), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [256485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    ACTIONS(11601), 1,
      anon_sym_constexpr,
    STATE(172), 1,
      sym_condition_clause,
  [256498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11603), 1,
      anon_sym_catch,
    STATE(1781), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8344), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [256518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11605), 1,
      anon_sym_SEMI,
    STATE(6753), 1,
      aux_sym_declaration_repeat1,
  [256531] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11589), 1,
      anon_sym_LPAREN2,
    ACTIONS(11607), 1,
      aux_sym_preproc_include_token2,
    STATE(7767), 1,
      sym_preproc_argument_list,
  [256544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11609), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(3384), 1,
      sym_template_function,
  [256557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_COMMA,
    ACTIONS(11611), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6763), 1,
      aux_sym_attribute_declaration_repeat1,
  [256570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11613), 1,
      anon_sym_COMMA,
    ACTIONS(11616), 1,
      anon_sym_RPAREN,
    STATE(6742), 1,
      aux_sym_throw_specifier_repeat1,
  [256583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_COMMA,
    ACTIONS(11618), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7021), 1,
      aux_sym_attribute_declaration_repeat1,
  [256596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_COLON,
    ACTIONS(11620), 1,
      anon_sym_RPAREN,
    STATE(8176), 1,
      sym_gnu_asm_goto_list,
  [256609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11622), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [256618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11624), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [256627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_COMMA,
    ACTIONS(11626), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6883), 1,
      aux_sym_attribute_declaration_repeat1,
  [256640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11628), 1,
      anon_sym_catch,
    STATE(358), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11630), 1,
      anon_sym_GT2,
    STATE(6766), 1,
      aux_sym_template_argument_list_repeat1,
  [256664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11632), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [256673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11634), 1,
      anon_sym_SEMI,
    STATE(6770), 1,
      aux_sym_declaration_repeat1,
  [256686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11636), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [256699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11638), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [256712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11640), 1,
      anon_sym_LBRACE,
    STATE(6731), 1,
      aux_sym_base_class_clause_repeat1,
  [256725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11642), 1,
      anon_sym_RPAREN,
    ACTIONS(11644), 1,
      anon_sym_COLON,
    STATE(6757), 1,
      sym_gnu_asm_clobber_list,
  [256738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11648), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [256749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_COLON,
    ACTIONS(11650), 1,
      anon_sym_RPAREN,
    STATE(8200), 1,
      sym_gnu_asm_goto_list,
  [256762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11652), 1,
      sym_identifier,
    STATE(1683), 1,
      sym_template_type,
    STATE(3247), 1,
      sym_template_function,
  [256775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11640), 1,
      anon_sym_LBRACE,
    STATE(6882), 1,
      aux_sym_base_class_clause_repeat1,
  [256788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11654), 1,
      anon_sym_RPAREN,
    ACTIONS(11656), 1,
      anon_sym_COLON,
    STATE(6793), 1,
      sym_gnu_asm_input_operand_list,
  [256801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11658), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [256810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11660), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [256819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_COMMA,
    ACTIONS(11662), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7021), 1,
      aux_sym_attribute_declaration_repeat1,
  [256832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11664), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [256845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11666), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [256858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11668), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [256871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(8384), 1,
      anon_sym_RPAREN,
    STATE(6794), 1,
      aux_sym_argument_list_repeat1,
  [256884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_LBRACE,
    ACTIONS(11057), 1,
      anon_sym_COLON_COLON,
    STATE(581), 1,
      sym_declaration_list,
  [256897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2702), 1,
      anon_sym_while,
    ACTIONS(11547), 1,
      anon_sym_else,
    STATE(498), 1,
      sym_else_clause,
  [256910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11670), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [256923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(8447), 1,
      anon_sym_RBRACE,
    STATE(6798), 1,
      aux_sym_initializer_list_repeat1,
  [256936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11672), 1,
      anon_sym_RPAREN,
    ACTIONS(11674), 1,
      anon_sym_COLON,
    STATE(6799), 1,
      sym_gnu_asm_output_operand_list,
  [256949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11676), 1,
      anon_sym_GT2,
    STATE(6804), 1,
      aux_sym_template_argument_list_repeat1,
  [256962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11678), 1,
      anon_sym_COMMA,
    ACTIONS(11680), 1,
      anon_sym_GT2,
    STATE(6805), 1,
      aux_sym_template_parameter_list_repeat1,
  [256975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11682), 1,
      anon_sym_SEMI,
    STATE(6806), 1,
      aux_sym_declaration_repeat1,
  [256988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11603), 1,
      anon_sym_catch,
    STATE(1816), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11684), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [257012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11686), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [257025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11688), 1,
      anon_sym_SEMI,
    STATE(6792), 1,
      aux_sym_declaration_repeat1,
  [257038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11690), 1,
      anon_sym_COMMA,
    ACTIONS(11692), 1,
      anon_sym_RPAREN,
    STATE(6809), 1,
      aux_sym_parameter_list_repeat1,
  [257051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11694), 1,
      anon_sym_COMMA,
    ACTIONS(11696), 1,
      anon_sym_RPAREN,
    STATE(6742), 1,
      aux_sym_throw_specifier_repeat1,
  [257064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11698), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [257077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11700), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [257090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11702), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [257103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_COLON,
    ACTIONS(11704), 1,
      anon_sym_RPAREN,
    STATE(6760), 1,
      sym_gnu_asm_output_operand_list,
  [257116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11656), 1,
      anon_sym_COLON,
    ACTIONS(11706), 1,
      anon_sym_RPAREN,
    STATE(6755), 1,
      sym_gnu_asm_input_operand_list,
  [257129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11628), 1,
      anon_sym_catch,
    STATE(403), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(8403), 1,
      anon_sym_RBRACK,
    STATE(6812), 1,
      aux_sym_subscript_argument_list_repeat1,
  [257153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_catch,
    STATE(348), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11246), 1,
      anon_sym_DASH_GT,
    ACTIONS(11710), 1,
      anon_sym_SEMI,
    STATE(8075), 1,
      sym_trailing_return_type,
  [257177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(11712), 1,
      anon_sym_RPAREN,
    STATE(6929), 1,
      aux_sym_argument_list_repeat1,
  [257190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11714), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [257203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_COLON,
    ACTIONS(11716), 1,
      anon_sym_RPAREN,
    STATE(6720), 1,
      sym_gnu_asm_clobber_list,
  [257216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(11718), 1,
      anon_sym_RPAREN,
    STATE(6929), 1,
      aux_sym_argument_list_repeat1,
  [257229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_LBRACE,
    ACTIONS(11057), 1,
      anon_sym_COLON_COLON,
    STATE(612), 1,
      sym_declaration_list,
  [257242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_COLON,
    ACTIONS(11720), 1,
      anon_sym_RPAREN,
    STATE(6744), 1,
      sym_gnu_asm_clobber_list,
  [257255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_COLON,
    ACTIONS(11722), 1,
      anon_sym_RPAREN,
    STATE(8066), 1,
      sym_gnu_asm_goto_list,
  [257268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4367), 1,
      anon_sym_RBRACE,
    ACTIONS(11724), 1,
      anon_sym_COMMA,
    STATE(6870), 1,
      aux_sym_initializer_list_repeat1,
  [257281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11656), 1,
      anon_sym_COLON,
    ACTIONS(11726), 1,
      anon_sym_RPAREN,
    STATE(6815), 1,
      sym_gnu_asm_input_operand_list,
  [257294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_COLON,
    ACTIONS(11728), 1,
      anon_sym_RPAREN,
    STATE(6816), 1,
      sym_gnu_asm_output_operand_list,
  [257307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11603), 1,
      anon_sym_catch,
    STATE(1793), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11730), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [257331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11732), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [257344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11734), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [257357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11678), 1,
      anon_sym_COMMA,
    ACTIONS(11736), 1,
      anon_sym_GT2,
    STATE(6854), 1,
      aux_sym_template_parameter_list_repeat1,
  [257370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11738), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [257383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11740), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [257396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11742), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [257409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11690), 1,
      anon_sym_COMMA,
    ACTIONS(11744), 1,
      anon_sym_RPAREN,
    STATE(6845), 1,
      aux_sym_parameter_list_repeat1,
  [257422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11746), 1,
      anon_sym_SEMI,
    STATE(6777), 1,
      aux_sym_declaration_repeat1,
  [257435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11628), 1,
      anon_sym_catch,
    STATE(389), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(11748), 1,
      anon_sym_RBRACK,
    STATE(6840), 1,
      aux_sym_subscript_argument_list_repeat1,
  [257459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10576), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [257468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9460), 1,
      anon_sym_COMMA,
    ACTIONS(11750), 1,
      anon_sym_RPAREN,
    STATE(6839), 1,
      aux_sym_preproc_argument_list_repeat1,
  [257481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_COLON,
    ACTIONS(11752), 1,
      anon_sym_RPAREN,
    STATE(6820), 1,
      sym_gnu_asm_clobber_list,
  [257494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11656), 1,
      anon_sym_COLON,
    ACTIONS(11754), 1,
      anon_sym_RPAREN,
    STATE(6822), 1,
      sym_gnu_asm_input_operand_list,
  [257507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11756), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(3247), 1,
      sym_template_function,
  [257520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11758), 1,
      anon_sym_SEMI,
    STATE(7081), 1,
      aux_sym_declaration_repeat1,
  [257533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11760), 1,
      anon_sym_default,
    ACTIONS(11762), 1,
      anon_sym_delete,
    ACTIONS(11764), 1,
      aux_sym_pure_virtual_clause_token1,
  [257546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_COLON,
    ACTIONS(11766), 1,
      anon_sym_RPAREN,
    STATE(7820), 1,
      sym_gnu_asm_goto_list,
  [257559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11768), 1,
      anon_sym_COMMA,
    ACTIONS(11770), 1,
      anon_sym_RPAREN,
    STATE(6932), 1,
      aux_sym_preproc_params_repeat1,
  [257572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_COLON,
    ACTIONS(11772), 1,
      anon_sym_RPAREN,
    STATE(6824), 1,
      sym_gnu_asm_clobber_list,
  [257585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11774), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11776), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [257596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_COLON,
    ACTIONS(11778), 1,
      anon_sym_RPAREN,
    STATE(7814), 1,
      sym_gnu_asm_goto_list,
  [257609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11780), 1,
      anon_sym_GT2,
    STATE(6782), 1,
      aux_sym_template_argument_list_repeat1,
  [257622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8286), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_RPAREN,
    STATE(6726), 1,
      aux_sym_generic_expression_repeat1,
  [257635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_COLON,
    ACTIONS(11784), 1,
      anon_sym_RPAREN,
    STATE(6786), 1,
      sym_gnu_asm_output_operand_list,
  [257648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11375), 1,
      anon_sym_LBRACE,
    STATE(6759), 1,
      aux_sym_base_class_clause_repeat1,
  [257661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11786), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(2746), 1,
      sym_template_function,
  [257674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11375), 1,
      anon_sym_LBRACE,
    STATE(6882), 1,
      aux_sym_base_class_clause_repeat1,
  [257687] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    STATE(6485), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11788), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257698] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    STATE(6508), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11790), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11792), 1,
      anon_sym_GT2,
    STATE(6850), 1,
      aux_sym_template_argument_list_repeat1,
  [257722] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    STATE(6552), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11794), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257733] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    STATE(6626), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11796), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11800), 1,
      anon_sym_RPAREN,
    ACTIONS(11798), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [257755] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    STATE(6670), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11802), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11804), 1,
      anon_sym_COMMA,
    ACTIONS(11807), 1,
      anon_sym_RPAREN,
    STATE(6838), 1,
      aux_sym_preproc_params_repeat1,
  [257779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9708), 1,
      anon_sym_RPAREN,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    STATE(6839), 1,
      aux_sym_preproc_argument_list_repeat1,
  [257792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8533), 1,
      anon_sym_RBRACK,
    ACTIONS(11812), 1,
      anon_sym_COMMA,
    STATE(6840), 1,
      aux_sym_subscript_argument_list_repeat1,
  [257805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11815), 1,
      anon_sym_COMMA,
    ACTIONS(11818), 1,
      anon_sym_LBRACE,
    STATE(6841), 1,
      aux_sym_field_initializer_list_repeat1,
  [257818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11694), 1,
      anon_sym_COMMA,
    ACTIONS(11820), 1,
      anon_sym_RPAREN,
    STATE(6781), 1,
      aux_sym_throw_specifier_repeat1,
  [257831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(8364), 1,
      anon_sym_RPAREN,
    STATE(6791), 1,
      aux_sym_argument_list_repeat1,
  [257844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11822), 1,
      anon_sym_default,
    ACTIONS(11824), 1,
      anon_sym_delete,
    ACTIONS(11826), 1,
      aux_sym_pure_virtual_clause_token1,
  [257857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11828), 1,
      anon_sym_COMMA,
    ACTIONS(11831), 1,
      anon_sym_RPAREN,
    STATE(6845), 1,
      aux_sym_parameter_list_repeat1,
  [257870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    ACTIONS(11833), 1,
      anon_sym_constexpr,
    STATE(164), 1,
      sym_condition_clause,
  [257883] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    STATE(6572), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11835), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11837), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [257907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11839), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [257920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11841), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [257933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11843), 1,
      anon_sym_COMMA,
    ACTIONS(11846), 1,
      anon_sym_RPAREN,
    STATE(6851), 1,
      aux_sym_requires_parameter_list_repeat1,
  [257946] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11589), 1,
      anon_sym_LPAREN2,
    ACTIONS(11848), 1,
      aux_sym_preproc_include_token2,
    STATE(7767), 1,
      sym_preproc_argument_list,
  [257959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_COMMA,
    ACTIONS(11850), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7021), 1,
      aux_sym_attribute_declaration_repeat1,
  [257972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11852), 1,
      anon_sym_COMMA,
    ACTIONS(11855), 1,
      anon_sym_GT2,
    STATE(6854), 1,
      aux_sym_template_parameter_list_repeat1,
  [257985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11857), 1,
      anon_sym_default,
    ACTIONS(11859), 1,
      anon_sym_delete,
    ACTIONS(11861), 1,
      aux_sym_pure_virtual_clause_token1,
  [257998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11863), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [258007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11865), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [258016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_COMMA,
    ACTIONS(11867), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6874), 1,
      aux_sym_attribute_declaration_repeat1,
  [258029] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    STATE(6707), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11869), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11871), 1,
      anon_sym_COMMA,
    ACTIONS(11874), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [258053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11876), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(5859), 1,
      sym_template_function,
  [258066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11878), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [258077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11656), 1,
      anon_sym_COLON,
    ACTIONS(11880), 1,
      anon_sym_RPAREN,
    STATE(6796), 1,
      sym_gnu_asm_input_operand_list,
  [258090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11882), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [258103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_COLON,
    ACTIONS(11884), 1,
      anon_sym_RPAREN,
    STATE(6797), 1,
      sym_gnu_asm_clobber_list,
  [258116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11886), 1,
      anon_sym_catch,
    STATE(225), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5765), 1,
      anon_sym_COMMA,
    ACTIONS(11888), 1,
      anon_sym_RBRACK,
    STATE(6895), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [258140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11890), 1,
      anon_sym_SEMI,
    STATE(6888), 1,
      aux_sym_declaration_repeat1,
  [258153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11892), 1,
      anon_sym_catch,
    STATE(1620), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8420), 1,
      anon_sym_RBRACE,
    ACTIONS(11894), 1,
      anon_sym_COMMA,
    STATE(6870), 1,
      aux_sym_initializer_list_repeat1,
  [258177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11897), 1,
      anon_sym_default,
    ACTIONS(11899), 1,
      anon_sym_delete,
    ACTIONS(11901), 1,
      aux_sym_pure_virtual_clause_token1,
  [258190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11903), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(2497), 1,
      sym_template_function,
  [258203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11907), 1,
      anon_sym_RPAREN,
    ACTIONS(11905), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [258214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_COMMA,
    ACTIONS(11909), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7021), 1,
      aux_sym_attribute_declaration_repeat1,
  [258227] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(8405), 1,
      anon_sym_RPAREN,
    STATE(6899), 1,
      aux_sym_argument_list_repeat1,
  [258240] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    STATE(6541), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11911), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258251] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_COMMA,
    ACTIONS(11913), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6853), 1,
      aux_sym_attribute_declaration_repeat1,
  [258264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4986), 1,
      anon_sym_LBRACE,
    ACTIONS(11057), 1,
      anon_sym_COLON_COLON,
    STATE(339), 1,
      sym_declaration_list,
  [258277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8388), 1,
      anon_sym_COMMA,
    ACTIONS(8390), 1,
      anon_sym_RBRACE,
    STATE(6904), 1,
      aux_sym_initializer_list_repeat1,
  [258290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_COLON,
    ACTIONS(11915), 1,
      anon_sym_RPAREN,
    STATE(6905), 1,
      sym_gnu_asm_output_operand_list,
  [258303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11917), 1,
      anon_sym_GT2,
    STATE(6910), 1,
      aux_sym_template_argument_list_repeat1,
  [258316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11919), 1,
      anon_sym_COMMA,
    ACTIONS(11922), 1,
      anon_sym_LBRACE,
    STATE(6882), 1,
      aux_sym_base_class_clause_repeat1,
  [258329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_COMMA,
    ACTIONS(11924), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7021), 1,
      aux_sym_attribute_declaration_repeat1,
  [258342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(8366), 1,
      anon_sym_RPAREN,
    STATE(7037), 1,
      aux_sym_argument_list_repeat1,
  [258355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11926), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11922), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [258366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11928), 1,
      anon_sym_SEMI,
    STATE(6911), 1,
      aux_sym_declaration_repeat1,
  [258379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11930), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [258392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11932), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [258405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11690), 1,
      anon_sym_COMMA,
    ACTIONS(11934), 1,
      anon_sym_RPAREN,
    STATE(6912), 1,
      aux_sym_parameter_list_repeat1,
  [258418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11936), 1,
      anon_sym_default,
    ACTIONS(11938), 1,
      anon_sym_delete,
    ACTIONS(11940), 1,
      aux_sym_pure_virtual_clause_token1,
  [258431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11886), 1,
      anon_sym_catch,
    STATE(238), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11942), 1,
      sym_identifier,
    STATE(1683), 1,
      sym_template_type,
    STATE(3384), 1,
      sym_template_function,
  [258455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(8360), 1,
      anon_sym_RBRACK,
    STATE(6914), 1,
      aux_sym_subscript_argument_list_repeat1,
  [258468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11111), 1,
      anon_sym_LBRACE,
    STATE(6882), 1,
      aux_sym_base_class_clause_repeat1,
  [258481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5765), 1,
      anon_sym_COMMA,
    ACTIONS(11944), 1,
      anon_sym_RBRACK,
    STATE(7047), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [258494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8340), 1,
      anon_sym_COMMA,
    ACTIONS(11946), 1,
      anon_sym_RBRACK,
    STATE(7023), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [258507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 1,
      anon_sym_LBRACE,
    ACTIONS(11057), 1,
      anon_sym_COLON_COLON,
    STATE(700), 1,
      sym_declaration_list,
  [258520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11111), 1,
      anon_sym_LBRACE,
    STATE(6830), 1,
      aux_sym_base_class_clause_repeat1,
  [258533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(11948), 1,
      anon_sym_RPAREN,
    STATE(6929), 1,
      aux_sym_argument_list_repeat1,
  [258546] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    STATE(6684), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11950), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    ACTIONS(11952), 1,
      anon_sym_constexpr,
    STATE(198), 1,
      sym_condition_clause,
  [258570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4986), 1,
      anon_sym_LBRACE,
    ACTIONS(11057), 1,
      anon_sym_COLON_COLON,
    STATE(374), 1,
      sym_declaration_list,
  [258583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11954), 1,
      anon_sym_EQ,
    ACTIONS(10700), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [258594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4361), 1,
      anon_sym_RBRACE,
    ACTIONS(11956), 1,
      anon_sym_COMMA,
    STATE(6870), 1,
      aux_sym_initializer_list_repeat1,
  [258607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11656), 1,
      anon_sym_COLON,
    ACTIONS(11958), 1,
      anon_sym_RPAREN,
    STATE(6916), 1,
      sym_gnu_asm_input_operand_list,
  [258620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_COLON,
    ACTIONS(11960), 1,
      anon_sym_RPAREN,
    STATE(6920), 1,
      sym_gnu_asm_output_operand_list,
  [258633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11962), 1,
      anon_sym_GT2,
    STATE(6919), 1,
      aux_sym_template_argument_list_repeat1,
  [258646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11964), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [258659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11966), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [258672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11968), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [258685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(11970), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [258698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11690), 1,
      anon_sym_COMMA,
    ACTIONS(11972), 1,
      anon_sym_RPAREN,
    STATE(6845), 1,
      aux_sym_parameter_list_repeat1,
  [258711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11886), 1,
      anon_sym_catch,
    STATE(237), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(11974), 1,
      anon_sym_RBRACK,
    STATE(6840), 1,
      aux_sym_subscript_argument_list_repeat1,
  [258735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9460), 1,
      anon_sym_COMMA,
    ACTIONS(11976), 1,
      anon_sym_RPAREN,
    STATE(6839), 1,
      aux_sym_preproc_argument_list_repeat1,
  [258748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_COLON,
    ACTIONS(11978), 1,
      anon_sym_RPAREN,
    STATE(6921), 1,
      sym_gnu_asm_clobber_list,
  [258761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11980), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [258774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11982), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [258787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(11984), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [258800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11656), 1,
      anon_sym_COLON,
    ACTIONS(11986), 1,
      anon_sym_RPAREN,
    STATE(6922), 1,
      sym_gnu_asm_input_operand_list,
  [258813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_COLON,
    ACTIONS(11988), 1,
      anon_sym_RPAREN,
    STATE(7458), 1,
      sym_gnu_asm_goto_list,
  [258826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_COLON,
    ACTIONS(11990), 1,
      anon_sym_RPAREN,
    STATE(6924), 1,
      sym_gnu_asm_clobber_list,
  [258839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11992), 1,
      anon_sym_default,
    ACTIONS(11994), 1,
      anon_sym_delete,
    ACTIONS(11996), 1,
      aux_sym_pure_virtual_clause_token1,
  [258852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_COLON,
    ACTIONS(11998), 1,
      anon_sym_RPAREN,
    STATE(7453), 1,
      sym_gnu_asm_goto_list,
  [258865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8286), 1,
      anon_sym_COMMA,
    ACTIONS(12000), 1,
      anon_sym_RPAREN,
    STATE(6726), 1,
      aux_sym_generic_expression_repeat1,
  [258878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8286), 1,
      anon_sym_COMMA,
    ACTIONS(12002), 1,
      anon_sym_RPAREN,
    STATE(6726), 1,
      aux_sym_generic_expression_repeat1,
  [258891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_COLON,
    ACTIONS(12004), 1,
      anon_sym_RPAREN,
    STATE(7454), 1,
      sym_gnu_asm_goto_list,
  [258904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8340), 1,
      anon_sym_COMMA,
    ACTIONS(12006), 1,
      anon_sym_RBRACK,
    STATE(7023), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [258917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_RPAREN,
    ACTIONS(12008), 1,
      anon_sym_COMMA,
    STATE(6929), 1,
      aux_sym_argument_list_repeat1,
  [258930] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    STATE(6470), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12011), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    ACTIONS(12013), 1,
      anon_sym_constexpr,
    STATE(208), 1,
      sym_condition_clause,
  [258954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11768), 1,
      anon_sym_COMMA,
    ACTIONS(12015), 1,
      anon_sym_RPAREN,
    STATE(6838), 1,
      aux_sym_preproc_params_repeat1,
  [258967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_COLON,
    ACTIONS(12017), 1,
      anon_sym_RPAREN,
    STATE(6927), 1,
      sym_gnu_asm_clobber_list,
  [258980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_COLON,
    ACTIONS(12019), 1,
      anon_sym_RPAREN,
    STATE(7506), 1,
      sym_gnu_asm_goto_list,
  [258993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9460), 1,
      anon_sym_COMMA,
    ACTIONS(12021), 1,
      anon_sym_RPAREN,
    STATE(6839), 1,
      aux_sym_preproc_argument_list_repeat1,
  [259006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11656), 1,
      anon_sym_COLON,
    ACTIONS(12023), 1,
      anon_sym_RPAREN,
    STATE(6933), 1,
      sym_gnu_asm_input_operand_list,
  [259019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12025), 1,
      sym_identifier,
    STATE(1683), 1,
      sym_template_type,
    STATE(2497), 1,
      sym_template_function,
  [259032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6188), 1,
      anon_sym_SEMI,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(1758), 1,
      sym_template_argument_list,
  [259045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(8324), 1,
      anon_sym_RBRACK,
    STATE(6947), 1,
      aux_sym_subscript_argument_list_repeat1,
  [259058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_COLON,
    ACTIONS(12027), 1,
      anon_sym_RPAREN,
    STATE(6934), 1,
      sym_gnu_asm_clobber_list,
  [259071] = 4,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11589), 1,
      anon_sym_LPAREN2,
    ACTIONS(12029), 1,
      aux_sym_preproc_include_token2,
    STATE(7767), 1,
      sym_preproc_argument_list,
  [259084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12031), 1,
      anon_sym_GT2,
    STATE(6945), 1,
      aux_sym_template_argument_list_repeat1,
  [259097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12033), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12035), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12037), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8234), 1,
      anon_sym_RBRACE,
    ACTIONS(8284), 1,
      anon_sym_COMMA,
    STATE(7055), 1,
      aux_sym_initializer_list_repeat1,
  [259149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8298), 1,
      anon_sym_COMMA,
    ACTIONS(12039), 1,
      anon_sym_RBRACK,
    STATE(6840), 1,
      aux_sym_subscript_argument_list_repeat1,
  [259162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_catch,
    STATE(561), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [259173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12043), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [259184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11892), 1,
      anon_sym_catch,
    STATE(1622), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [259195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12045), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [259208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12047), 1,
      anon_sym_COMMA,
    ACTIONS(12049), 1,
      anon_sym_LBRACE,
    STATE(6841), 1,
      aux_sym_field_initializer_list_repeat1,
  [259221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_COMMA,
    ACTIONS(12051), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6971), 1,
      aux_sym_attribute_declaration_repeat1,
  [259234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12053), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12055), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [259245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12057), 1,
      anon_sym_SEMI,
    STATE(6982), 1,
      aux_sym_declaration_repeat1,
  [259258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12059), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12061), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12063), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_COLON,
    ACTIONS(12065), 1,
      anon_sym_RPAREN,
    STATE(6936), 1,
      sym_gnu_asm_output_operand_list,
  [259310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11656), 1,
      anon_sym_COLON,
    ACTIONS(12067), 1,
      anon_sym_RPAREN,
    STATE(6940), 1,
      sym_gnu_asm_input_operand_list,
  [259323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12069), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(2746), 1,
      sym_template_function,
  [259336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11690), 1,
      anon_sym_COMMA,
    ACTIONS(12071), 1,
      anon_sym_RPAREN,
    STATE(6845), 1,
      aux_sym_parameter_list_repeat1,
  [259349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12073), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(2746), 1,
      sym_template_function,
  [259362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4373), 1,
      anon_sym_RBRACE,
    ACTIONS(12075), 1,
      anon_sym_COMMA,
    STATE(6870), 1,
      aux_sym_initializer_list_repeat1,
  [259375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12077), 1,
      anon_sym_GT2,
    STATE(6968), 1,
      aux_sym_template_argument_list_repeat1,
  [259388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12079), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12081), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12083), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12085), 1,
      anon_sym_COMMA,
    ACTIONS(12088), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [259440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12090), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [259453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_COMMA,
    ACTIONS(12092), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7021), 1,
      aux_sym_attribute_declaration_repeat1,
  [259466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(8358), 1,
      anon_sym_RPAREN,
    STATE(6991), 1,
      aux_sym_argument_list_repeat1,
  [259479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    ACTIONS(11057), 1,
      anon_sym_COLON_COLON,
    STATE(609), 1,
      sym_declaration_list,
  [259492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8455), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_RBRACE,
    STATE(6997), 1,
      aux_sym_initializer_list_repeat1,
  [259505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_COLON,
    ACTIONS(12094), 1,
      anon_sym_RPAREN,
    STATE(7000), 1,
      sym_gnu_asm_output_operand_list,
  [259518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(12096), 1,
      anon_sym_RPAREN,
    STATE(6929), 1,
      aux_sym_argument_list_repeat1,
  [259531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12098), 1,
      anon_sym_GT2,
    STATE(7006), 1,
      aux_sym_template_argument_list_repeat1,
  [259544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12100), 1,
      anon_sym_SEMI,
    STATE(7007), 1,
      aux_sym_declaration_repeat1,
  [259557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_COLON,
    ACTIONS(12102), 1,
      anon_sym_RPAREN,
    STATE(7045), 1,
      sym_gnu_asm_output_operand_list,
  [259570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12104), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [259583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11892), 1,
      anon_sym_catch,
    STATE(1624), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [259594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12106), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [259607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(2497), 1,
      sym_template_function,
  [259620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11690), 1,
      anon_sym_COMMA,
    ACTIONS(12110), 1,
      anon_sym_RPAREN,
    STATE(7041), 1,
      aux_sym_parameter_list_repeat1,
  [259633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12112), 1,
      anon_sym_catch,
    STATE(1785), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [259644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12114), 1,
      anon_sym_catch,
    STATE(347), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [259655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12116), 1,
      anon_sym_GT2,
    STATE(6990), 1,
      aux_sym_template_argument_list_repeat1,
  [259668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12118), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12120), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12122), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(12124), 1,
      anon_sym_RPAREN,
    STATE(6929), 1,
      aux_sym_argument_list_repeat1,
  [259720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    ACTIONS(11057), 1,
      anon_sym_COLON_COLON,
    STATE(670), 1,
      sym_declaration_list,
  [259733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12126), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [259746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12128), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [259759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12130), 1,
      anon_sym_SEMI,
    STATE(6951), 1,
      aux_sym_declaration_repeat1,
  [259772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12134), 1,
      anon_sym_RPAREN,
    STATE(6851), 1,
      aux_sym_requires_parameter_list_repeat1,
  [259785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4359), 1,
      anon_sym_RBRACE,
    ACTIONS(12136), 1,
      anon_sym_COMMA,
    STATE(6870), 1,
      aux_sym_initializer_list_repeat1,
  [259798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12138), 1,
      anon_sym_GT2,
    STATE(6956), 1,
      aux_sym_template_argument_list_repeat1,
  [259811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_COLON,
    ACTIONS(12140), 1,
      anon_sym_RPAREN,
    STATE(6960), 1,
      sym_gnu_asm_output_operand_list,
  [259824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11656), 1,
      anon_sym_COLON,
    ACTIONS(12142), 1,
      anon_sym_RPAREN,
    STATE(7014), 1,
      sym_gnu_asm_input_operand_list,
  [259837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_COLON,
    ACTIONS(12144), 1,
      anon_sym_RPAREN,
    STATE(7015), 1,
      sym_gnu_asm_output_operand_list,
  [259850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8426), 1,
      anon_sym_COMMA,
    ACTIONS(8428), 1,
      anon_sym_RBRACE,
    STATE(6964), 1,
      aux_sym_initializer_list_repeat1,
  [259863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12146), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12148), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12150), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(3628), 1,
      sym_template_function,
  [259902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12152), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12154), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [259928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12112), 1,
      anon_sym_catch,
    STATE(1794), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [259939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12156), 1,
      anon_sym_GT2,
    STATE(7012), 1,
      aux_sym_template_argument_list_repeat1,
  [259952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12158), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259965] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12160), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259978] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12162), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [259991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12164), 1,
      anon_sym_GT2,
    STATE(7039), 1,
      aux_sym_template_argument_list_repeat1,
  [260004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_COLON,
    ACTIONS(12166), 1,
      anon_sym_RPAREN,
    STATE(7016), 1,
      sym_gnu_asm_clobber_list,
  [260017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11656), 1,
      anon_sym_COLON,
    ACTIONS(12168), 1,
      anon_sym_RPAREN,
    STATE(7019), 1,
      sym_gnu_asm_input_operand_list,
  [260030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_COLON,
    ACTIONS(12170), 1,
      anon_sym_RPAREN,
    STATE(7872), 1,
      sym_gnu_asm_goto_list,
  [260043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(8443), 1,
      anon_sym_RPAREN,
    STATE(6976), 1,
      aux_sym_argument_list_repeat1,
  [260056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_COMMA,
    ACTIONS(12172), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7021), 1,
      aux_sym_attribute_declaration_repeat1,
  [260069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_COLON,
    ACTIONS(12174), 1,
      anon_sym_RPAREN,
    STATE(7020), 1,
      sym_gnu_asm_clobber_list,
  [260082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_COLON,
    ACTIONS(12176), 1,
      anon_sym_RPAREN,
    STATE(7896), 1,
      sym_gnu_asm_goto_list,
  [260095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12178), 1,
      anon_sym_COMMA,
    ACTIONS(12181), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7021), 1,
      aux_sym_attribute_declaration_repeat1,
  [260108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8286), 1,
      anon_sym_COMMA,
    ACTIONS(12183), 1,
      anon_sym_RPAREN,
    STATE(6726), 1,
      aux_sym_generic_expression_repeat1,
  [260121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8509), 1,
      anon_sym_RBRACK,
    ACTIONS(12185), 1,
      anon_sym_COMMA,
    STATE(7023), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [260134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12190), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12188), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [260145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11678), 1,
      anon_sym_COMMA,
    ACTIONS(12192), 1,
      anon_sym_GT2,
    STATE(6854), 1,
      aux_sym_template_parameter_list_repeat1,
  [260158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12194), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(2746), 1,
      sym_template_function,
  [260171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12196), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [260180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12198), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(2746), 1,
      sym_template_function,
  [260193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12200), 1,
      anon_sym_GT2,
    STATE(7032), 1,
      aux_sym_template_argument_list_repeat1,
  [260206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12202), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [260219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12204), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [260232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12206), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [260245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12196), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [260254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12208), 1,
      sym_identifier,
    ACTIONS(12210), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [260265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_catch,
    STATE(630), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [260276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11678), 1,
      anon_sym_COMMA,
    ACTIONS(12212), 1,
      anon_sym_GT2,
    STATE(7025), 1,
      aux_sym_template_parameter_list_repeat1,
  [260289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(12214), 1,
      anon_sym_RPAREN,
    STATE(6929), 1,
      aux_sym_argument_list_repeat1,
  [260302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12216), 1,
      anon_sym_SEMI,
    STATE(6993), 1,
      aux_sym_declaration_repeat1,
  [260315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12218), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [260328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12220), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [260341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11690), 1,
      anon_sym_COMMA,
    ACTIONS(12222), 1,
      anon_sym_RPAREN,
    STATE(6845), 1,
      aux_sym_parameter_list_repeat1,
  [260354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12224), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [260367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_COLON,
    ACTIONS(12226), 1,
      anon_sym_RPAREN,
    STATE(6863), 1,
      sym_gnu_asm_output_operand_list,
  [260380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12228), 1,
      anon_sym_catch,
    STATE(831), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [260391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11656), 1,
      anon_sym_COLON,
    ACTIONS(12230), 1,
      anon_sym_RPAREN,
    STATE(6865), 1,
      sym_gnu_asm_input_operand_list,
  [260404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12232), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(3384), 1,
      sym_template_function,
  [260417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12234), 1,
      anon_sym_COMMA,
    ACTIONS(12237), 1,
      anon_sym_RBRACK,
    STATE(7047), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [260430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_COMMA,
    ACTIONS(12239), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7065), 1,
      aux_sym_attribute_declaration_repeat1,
  [260443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12241), 1,
      anon_sym_GT2,
    STATE(7052), 1,
      aux_sym_template_argument_list_repeat1,
  [260456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12243), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [260469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12245), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [260482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12247), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [260495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11264), 1,
      anon_sym_LBRACE,
    STATE(6894), 1,
      aux_sym_base_class_clause_repeat1,
  [260508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11057), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [260517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4196), 1,
      anon_sym_RBRACE,
    ACTIONS(12249), 1,
      anon_sym_COMMA,
    STATE(6870), 1,
      aux_sym_initializer_list_repeat1,
  [260530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12251), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [260539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 1,
      anon_sym_LBRACE,
    ACTIONS(11057), 1,
      anon_sym_COLON_COLON,
    STATE(721), 1,
      sym_declaration_list,
  [260552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_COMMA,
    ACTIONS(12253), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7018), 1,
      aux_sym_attribute_declaration_repeat1,
  [260565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12112), 1,
      anon_sym_catch,
    STATE(1815), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [260576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12190), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12255), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [260587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12257), 1,
      anon_sym_SEMI,
    STATE(7091), 1,
      aux_sym_declaration_repeat1,
  [260600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12047), 1,
      anon_sym_COMMA,
    ACTIONS(12259), 1,
      anon_sym_LBRACE,
    STATE(6952), 1,
      aux_sym_field_initializer_list_repeat1,
  [260613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12261), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [260622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(2746), 1,
      sym_template_function,
  [260635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_COMMA,
    ACTIONS(12265), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7021), 1,
      aux_sym_attribute_declaration_repeat1,
  [260648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(2746), 1,
      sym_template_function,
  [260661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(8424), 1,
      anon_sym_RPAREN,
    STATE(7092), 1,
      aux_sym_argument_list_repeat1,
  [260674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8439), 1,
      anon_sym_COMMA,
    ACTIONS(8441), 1,
      anon_sym_RBRACE,
    STATE(7093), 1,
      aux_sym_initializer_list_repeat1,
  [260687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12269), 1,
      anon_sym_GT2,
    STATE(7072), 1,
      aux_sym_template_argument_list_repeat1,
  [260700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12271), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [260713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12273), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [260726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12275), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [260739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12277), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(2746), 1,
      sym_template_function,
  [260752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_COLON,
    ACTIONS(12279), 1,
      anon_sym_RPAREN,
    STATE(7094), 1,
      sym_gnu_asm_output_operand_list,
  [260765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12281), 1,
      anon_sym_RPAREN,
    STATE(6996), 1,
      aux_sym_requires_parameter_list_repeat1,
  [260778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12283), 1,
      anon_sym_GT2,
    STATE(7101), 1,
      aux_sym_template_argument_list_repeat1,
  [260791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12285), 1,
      anon_sym_SEMI,
    STATE(7102), 1,
      aux_sym_declaration_repeat1,
  [260804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12287), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(3628), 1,
      sym_template_function,
  [260817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12289), 1,
      anon_sym_SEMI,
    STATE(6970), 1,
      aux_sym_declaration_repeat1,
  [260830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12291), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [260843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12293), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [260856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12295), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(2497), 1,
      sym_template_function,
  [260869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12297), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [260882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12299), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(2746), 1,
      sym_template_function,
  [260895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12301), 1,
      anon_sym_default,
    ACTIONS(12303), 1,
      anon_sym_delete,
    ACTIONS(12305), 1,
      aux_sym_pure_virtual_clause_token1,
  [260908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8286), 1,
      anon_sym_COMMA,
    ACTIONS(12307), 1,
      anon_sym_RPAREN,
    STATE(6726), 1,
      aux_sym_generic_expression_repeat1,
  [260921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11264), 1,
      anon_sym_LBRACE,
    STATE(6882), 1,
      aux_sym_base_class_clause_repeat1,
  [260934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12114), 1,
      anon_sym_catch,
    STATE(399), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [260945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11690), 1,
      anon_sym_COMMA,
    ACTIONS(12309), 1,
      anon_sym_RPAREN,
    STATE(6962), 1,
      aux_sym_parameter_list_repeat1,
  [260958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_COLON,
    ACTIONS(12311), 1,
      anon_sym_RPAREN,
    STATE(8218), 1,
      sym_gnu_asm_goto_list,
  [260971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12313), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [260984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8356), 1,
      anon_sym_COMMA,
    ACTIONS(12315), 1,
      anon_sym_RPAREN,
    STATE(6929), 1,
      aux_sym_argument_list_repeat1,
  [260997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4369), 1,
      anon_sym_RBRACE,
    ACTIONS(12317), 1,
      anon_sym_COMMA,
    STATE(6870), 1,
      aux_sym_initializer_list_repeat1,
  [261010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11656), 1,
      anon_sym_COLON,
    ACTIONS(12319), 1,
      anon_sym_RPAREN,
    STATE(7106), 1,
      sym_gnu_asm_input_operand_list,
  [261023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_COLON,
    ACTIONS(12321), 1,
      anon_sym_RPAREN,
    STATE(7105), 1,
      sym_gnu_asm_output_operand_list,
  [261036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12323), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [261049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_COLON,
    ACTIONS(12325), 1,
      anon_sym_RPAREN,
    STATE(7090), 1,
      sym_gnu_asm_clobber_list,
  [261062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    ACTIONS(12327), 1,
      anon_sym_constexpr,
    STATE(174), 1,
      sym_condition_clause,
  [261075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12329), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [261088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_COLON,
    ACTIONS(12331), 1,
      anon_sym_RPAREN,
    STATE(8268), 1,
      sym_gnu_asm_goto_list,
  [261101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(12333), 1,
      anon_sym_GT2,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
  [261114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9444), 1,
      anon_sym_COMMA,
    ACTIONS(12335), 1,
      anon_sym_SEMI,
    STATE(6969), 1,
      aux_sym_declaration_repeat1,
  [261127] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    STATE(6649), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12337), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [261138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12114), 1,
      anon_sym_catch,
    STATE(391), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [261149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11656), 1,
      anon_sym_COLON,
    ACTIONS(12339), 1,
      anon_sym_RPAREN,
    STATE(7097), 1,
      sym_gnu_asm_input_operand_list,
  [261162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_COLON,
    ACTIONS(12341), 1,
      anon_sym_RPAREN,
    STATE(7100), 1,
      sym_gnu_asm_clobber_list,
  [261175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    STATE(2840), 1,
      sym_field_declaration_list,
  [261185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_compound_statement,
  [261195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12343), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
  [261205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10138), 1,
      anon_sym_LBRACE,
    STATE(1857), 1,
      sym_compound_statement,
  [261215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(211), 1,
      sym_condition_clause,
  [261225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(7190), 1,
      sym_condition_clause,
  [261235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [261243] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12345), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12347), 1,
      sym_preproc_arg,
  [261253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6231), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [261261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [261269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [261277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [261285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [261293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6239), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [261301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12349), 1,
      anon_sym_LPAREN2,
    ACTIONS(12351), 1,
      sym_raw_string_delimiter,
  [261311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12353), 1,
      anon_sym_LPAREN2,
    ACTIONS(12355), 1,
      sym_raw_string_delimiter,
  [261321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12357), 1,
      anon_sym_LPAREN2,
    ACTIONS(12359), 1,
      sym_raw_string_delimiter,
  [261331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(7978), 1,
      sym_argument_list,
  [261341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12361), 1,
      anon_sym_LPAREN2,
    ACTIONS(12363), 1,
      sym_raw_string_delimiter,
  [261351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12365), 1,
      anon_sym_LPAREN2,
    ACTIONS(12367), 1,
      sym_raw_string_delimiter,
  [261361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12369), 1,
      anon_sym_LPAREN2,
    ACTIONS(12371), 1,
      sym_raw_string_delimiter,
  [261371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6704), 1,
      sym_compound_statement,
  [261381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12373), 1,
      anon_sym_LPAREN2,
    ACTIONS(12375), 1,
      sym_raw_string_delimiter,
  [261391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [261399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      anon_sym_LPAREN2,
    ACTIONS(12379), 1,
      sym_raw_string_delimiter,
  [261409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    STATE(2561), 1,
      sym_field_declaration_list,
  [261419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12381), 1,
      anon_sym_LPAREN2,
    ACTIONS(12383), 1,
      sym_raw_string_delimiter,
  [261429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12385), 1,
      anon_sym_LPAREN2,
    ACTIONS(12387), 1,
      sym_raw_string_delimiter,
  [261439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(191), 1,
      sym_condition_clause,
  [261449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
    ACTIONS(12391), 1,
      anon_sym_RBRACE,
  [261459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    STATE(437), 1,
      sym_compound_statement,
  [261469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12393), 1,
      sym_identifier,
    STATE(6741), 1,
      sym_attribute,
  [261479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12395), 1,
      anon_sym_LPAREN2,
    ACTIONS(12397), 1,
      sym_raw_string_delimiter,
  [261489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [261497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12399), 1,
      anon_sym_LPAREN2,
    ACTIONS(12401), 1,
      sym_raw_string_delimiter,
  [261507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12393), 1,
      sym_identifier,
    STATE(6747), 1,
      sym_attribute,
  [261517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(8036), 1,
      sym_argument_list,
  [261527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12403), 1,
      anon_sym_LPAREN2,
    ACTIONS(12405), 1,
      sym_raw_string_delimiter,
  [261537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6364), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [261545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [261553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12407), 1,
      anon_sym_LPAREN2,
    ACTIONS(12409), 1,
      sym_raw_string_delimiter,
  [261563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(7231), 1,
      sym_condition_clause,
  [261573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(165), 1,
      sym_condition_clause,
  [261583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12411), 1,
      anon_sym_LPAREN2,
    ACTIONS(12413), 1,
      sym_raw_string_delimiter,
  [261593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12415), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [261601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6789), 1,
      sym_compound_statement,
  [261611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12417), 1,
      anon_sym_LPAREN2,
    ACTIONS(12419), 1,
      sym_raw_string_delimiter,
  [261621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12421), 1,
      sym_identifier,
    STATE(2453), 1,
      sym_template_type,
  [261631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11905), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [261639] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12423), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12425), 1,
      sym_preproc_arg,
  [261649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12427), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [261657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    STATE(2856), 1,
      sym_field_declaration_list,
  [261667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
    STATE(3838), 1,
      sym_initializer_list,
  [261677] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12429), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12431), 1,
      sym_preproc_arg,
  [261687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
    ACTIONS(12433), 1,
      anon_sym_RBRACE,
  [261697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    STATE(3605), 1,
      sym_initializer_list,
  [261707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12435), 1,
      sym_identifier,
    ACTIONS(12437), 1,
      anon_sym_LPAREN2,
  [261717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11599), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [261725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    STATE(2846), 1,
      sym_field_declaration_list,
  [261735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(171), 1,
      sym_condition_clause,
  [261745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11097), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
  [261755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11648), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [261763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11329), 1,
      anon_sym_LBRACE,
    STATE(5413), 1,
      sym_requirement_seq,
  [261773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    STATE(3594), 1,
      sym_field_declaration_list,
  [261783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    STATE(3601), 1,
      sym_field_declaration_list,
  [261793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    STATE(3602), 1,
      sym_field_declaration_list,
  [261803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    STATE(2545), 1,
      sym_field_declaration_list,
  [261813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    STATE(2551), 1,
      sym_field_declaration_list,
  [261823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_LBRACE,
    STATE(3365), 1,
      sym_initializer_list,
  [261833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10299), 1,
      anon_sym_RBRACE,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
  [261843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12439), 1,
      sym_identifier,
    ACTIONS(12441), 1,
      anon_sym_LPAREN2,
  [261853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    STATE(3615), 1,
      sym_field_declaration_list,
  [261863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12443), 1,
      sym_identifier,
    STATE(1683), 1,
      sym_template_type,
  [261873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12445), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_template_type,
  [261883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12447), 1,
      anon_sym_LPAREN2,
    ACTIONS(12449), 1,
      sym_raw_string_delimiter,
  [261893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8587), 1,
      anon_sym_LT,
    STATE(2490), 1,
      sym_template_argument_list,
  [261903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11616), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [261911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12451), 1,
      anon_sym_LT,
    STATE(2568), 1,
      sym_template_argument_list,
  [261921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_LPAREN2,
    STATE(7899), 1,
      sym_parenthesized_expression,
  [261931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10337), 1,
      anon_sym_RBRACE,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
  [261941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(2202), 1,
      sym_field_declaration_list,
  [261951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(197), 1,
      sym_condition_clause,
  [261961] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12455), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12457), 1,
      sym_preproc_arg,
  [261971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    STATE(425), 1,
      sym_compound_statement,
  [261981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(7253), 1,
      sym_parameter_list,
  [261991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12459), 1,
      sym_identifier,
    ACTIONS(12461), 1,
      anon_sym_RPAREN,
  [262001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(7613), 1,
      sym_argument_list,
  [262011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    STATE(647), 1,
      sym_compound_statement,
  [262021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    STATE(2854), 1,
      sym_field_declaration_list,
  [262031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    STATE(2858), 1,
      sym_field_declaration_list,
  [262041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_LBRACE,
    STATE(557), 1,
      sym_declaration_list,
  [262051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [262059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6476), 1,
      sym_compound_statement,
  [262069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 1,
      anon_sym_LBRACE,
    STATE(703), 1,
      sym_declaration_list,
  [262079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9231), 1,
      anon_sym_LBRACE,
    STATE(3764), 1,
      sym_requirement_seq,
  [262089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_LBRACE,
    STATE(3377), 1,
      sym_requirement_seq,
  [262099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    STATE(568), 1,
      sym_compound_statement,
  [262109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [262117] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12463), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12465), 1,
      sym_preproc_arg,
  [262127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6811), 1,
      sym_compound_statement,
  [262137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8342), 1,
      anon_sym_RBRACK,
    ACTIONS(12467), 1,
      anon_sym_COMMA,
  [262147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8378), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
  [262157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
    ACTIONS(12469), 1,
      anon_sym_RBRACE,
  [262167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    STATE(2851), 1,
      sym_field_declaration_list,
  [262177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(861), 1,
      sym_compound_statement,
  [262187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5978), 1,
      anon_sym_LBRACE,
    STATE(2546), 1,
      sym_field_declaration_list,
  [262197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    STATE(533), 1,
      sym_compound_statement,
  [262207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10174), 1,
      anon_sym_LBRACE,
    STATE(1861), 1,
      sym_compound_statement,
  [262217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_LBRACE,
    STATE(584), 1,
      sym_declaration_list,
  [262227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10315), 1,
      anon_sym_RBRACE,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
  [262237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    STATE(2893), 1,
      sym_field_declaration_list,
  [262247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym_LBRACE,
    STATE(3105), 1,
      sym_field_declaration_list,
  [262257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(2245), 1,
      sym_field_declaration_list,
  [262267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(7248), 1,
      sym_parameter_list,
  [262277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(4866), 1,
      sym_field_declaration_list,
  [262287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(2239), 1,
      sym_field_declaration_list,
  [262297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(4857), 1,
      sym_field_declaration_list,
  [262307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(4854), 1,
      sym_field_declaration_list,
  [262317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(4850), 1,
      sym_field_declaration_list,
  [262327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_LPAREN2,
    STATE(7271), 1,
      sym_parenthesized_expression,
  [262337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(190), 1,
      sym_condition_clause,
  [262347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    STATE(473), 1,
      sym_compound_statement,
  [262357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(2320), 1,
      sym_template_argument_list,
  [262367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12471), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
  [262377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(504), 1,
      sym_compound_statement,
  [262387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12473), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [262395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10160), 1,
      anon_sym_LBRACE,
    STATE(1645), 1,
      sym_compound_statement,
  [262405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACE,
    STATE(3781), 1,
      sym_initializer_list,
  [262415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_LPAREN2,
    STATE(7406), 1,
      sym_parenthesized_expression,
  [262425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      anon_sym_LBRACE,
    STATE(3644), 1,
      sym_requirement_seq,
  [262435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12475), 1,
      anon_sym_LT,
    STATE(2320), 1,
      sym_template_argument_list,
  [262445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10160), 1,
      anon_sym_LBRACE,
    STATE(1657), 1,
      sym_compound_statement,
  [262455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    STATE(4384), 1,
      sym_field_declaration_list,
  [262465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
    ACTIONS(12477), 1,
      anon_sym_RBRACE,
  [262475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    STATE(604), 1,
      sym_compound_statement,
  [262485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12479), 1,
      sym_identifier,
    STATE(2656), 1,
      sym_template_type,
  [262495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(473), 1,
      sym_compound_statement,
  [262505] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12481), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12483), 1,
      sym_preproc_arg,
  [262515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_LBRACE,
    STATE(613), 1,
      sym_declaration_list,
  [262525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
    ACTIONS(12485), 1,
      anon_sym_RBRACE,
  [262535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(2205), 1,
      sym_field_declaration_list,
  [262545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(412), 1,
      sym_compound_statement,
  [262555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12487), 1,
      anon_sym_SEMI,
  [262565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10174), 1,
      anon_sym_LBRACE,
    STATE(1875), 1,
      sym_compound_statement,
  [262575] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12489), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12491), 1,
      sym_preproc_arg,
  [262585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12188), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [262593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    STATE(405), 1,
      sym_compound_statement,
  [262603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12493), 1,
      anon_sym_SEMI,
  [262613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 1,
      anon_sym_LBRACE,
    STATE(697), 1,
      sym_declaration_list,
  [262623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    STATE(4725), 1,
      sym_field_declaration_list,
  [262633] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12495), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12497), 1,
      sym_preproc_arg,
  [262643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12451), 1,
      anon_sym_LT,
    STATE(3205), 1,
      sym_template_argument_list,
  [262653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11379), 1,
      anon_sym_LBRACE,
    STATE(5696), 1,
      sym_requirement_seq,
  [262663] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12499), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12501), 1,
      sym_preproc_arg,
  [262673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12181), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [262681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9210), 1,
      anon_sym_LBRACE,
    STATE(3471), 1,
      sym_requirement_seq,
  [262691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12503), 1,
      anon_sym_LT,
    STATE(2608), 1,
      sym_template_argument_list,
  [262701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11776), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [262709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10291), 1,
      anon_sym_RBRACE,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
  [262719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10323), 1,
      anon_sym_RBRACE,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
  [262729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(684), 1,
      sym_compound_statement,
  [262739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6660), 1,
      sym_compound_statement,
  [262749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    STATE(4715), 1,
      sym_field_declaration_list,
  [262759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    STATE(4720), 1,
      sym_field_declaration_list,
  [262769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(421), 1,
      sym_compound_statement,
  [262779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(298), 1,
      sym_compound_statement,
  [262789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    STATE(4427), 1,
      sym_field_declaration_list,
  [262799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(7556), 1,
      sym_argument_list,
  [262809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(7837), 1,
      sym_argument_list,
  [262819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12505), 1,
      anon_sym_LT,
    STATE(3490), 1,
      sym_template_argument_list,
  [262829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    STATE(4422), 1,
      sym_field_declaration_list,
  [262839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(683), 1,
      sym_compound_statement,
  [262849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym_LBRACE,
    STATE(3064), 1,
      sym_field_declaration_list,
  [262859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(7214), 1,
      sym_parameter_list,
  [262869] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12507), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12509), 1,
      sym_preproc_arg,
  [262879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(8081), 1,
      sym_argument_list,
  [262889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6736), 1,
      sym_compound_statement,
  [262899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12511), 1,
      anon_sym_SEMI,
  [262909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    STATE(416), 1,
      sym_compound_statement,
  [262919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12513), 1,
      anon_sym_LT,
    STATE(1846), 1,
      sym_template_argument_list,
  [262929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym_LBRACE,
    STATE(3062), 1,
      sym_field_declaration_list,
  [262939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12393), 1,
      sym_identifier,
    STATE(6733), 1,
      sym_attribute,
  [262949] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12515), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12517), 1,
      sym_preproc_arg,
  [262959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11807), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [262967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6776), 1,
      sym_compound_statement,
  [262977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8533), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [262985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(7233), 1,
      sym_parameter_list,
  [262995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12519), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [263003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11818), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [263011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12521), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [263019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 1,
      anon_sym_LBRACE,
    STATE(2152), 1,
      sym_field_declaration_list,
  [263029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10293), 1,
      anon_sym_RBRACE,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
  [263039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
    ACTIONS(12523), 1,
      anon_sym_RBRACE,
  [263049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(193), 1,
      sym_condition_clause,
  [263059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
    ACTIONS(12525), 1,
      anon_sym_RBRACE,
  [263069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    STATE(669), 1,
      sym_declaration_list,
  [263079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(7680), 1,
      sym_argument_list,
  [263089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(276), 1,
      sym_compound_statement,
  [263099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11831), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [263107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6869), 1,
      sym_compound_statement,
  [263117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    STATE(4733), 1,
      sym_field_declaration_list,
  [263127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12393), 1,
      sym_identifier,
    STATE(6877), 1,
      sym_attribute,
  [263137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [263145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1925), 1,
      anon_sym_LBRACE,
    STATE(2422), 1,
      sym_initializer_list,
  [263155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10138), 1,
      anon_sym_LBRACE,
    STATE(2023), 1,
      sym_compound_statement,
  [263165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11846), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [263173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6748), 1,
      sym_compound_statement,
  [263183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_LPAREN2,
    STATE(7396), 1,
      sym_parenthesized_expression,
  [263193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6950), 1,
      sym_compound_statement,
  [263203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12505), 1,
      anon_sym_LT,
    STATE(3636), 1,
      sym_template_argument_list,
  [263213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12529), 1,
      sym_identifier,
    STATE(2576), 1,
      sym_template_type,
  [263223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(7363), 1,
      sym_parameter_list,
  [263233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
  [263243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11855), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [263251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8117), 1,
      anon_sym_LT,
    STATE(4169), 1,
      sym_template_argument_list,
  [263261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12531), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [263269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(2663), 1,
      sym_template_argument_list,
  [263279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(7879), 1,
      sym_argument_list,
  [263289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12533), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [263297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10160), 1,
      anon_sym_LBRACE,
    STATE(1746), 1,
      sym_compound_statement,
  [263307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6219), 1,
      anon_sym_LBRACE,
    STATE(2806), 1,
      sym_field_declaration_list,
  [263317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(184), 1,
      sym_condition_clause,
  [263327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7044), 1,
      sym_compound_statement,
  [263337] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12535), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12537), 1,
      sym_preproc_arg,
  [263347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12393), 1,
      sym_identifier,
    STATE(7058), 1,
      sym_attribute,
  [263357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(290), 1,
      sym_compound_statement,
  [263367] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12539), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12541), 1,
      sym_preproc_arg,
  [263377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(840), 1,
      sym_compound_statement,
  [263387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10174), 1,
      anon_sym_LBRACE,
    STATE(2036), 1,
      sym_compound_statement,
  [263397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11545), 1,
      anon_sym_LBRACE,
    STATE(1610), 1,
      sym_requirement_seq,
  [263407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
    ACTIONS(12543), 1,
      anon_sym_RBRACE,
  [263417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_LPAREN2,
    STATE(7108), 1,
      sym_parenthesized_expression,
  [263427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7104), 1,
      sym_compound_statement,
  [263437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 1,
      anon_sym_LBRACE,
    STATE(2168), 1,
      sym_field_declaration_list,
  [263447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 1,
      anon_sym_LBRACE,
    STATE(2173), 1,
      sym_field_declaration_list,
  [263457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4986), 1,
      anon_sym_LBRACE,
    STATE(314), 1,
      sym_declaration_list,
  [263467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10295), 1,
      anon_sym_RBRACE,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
  [263477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(7110), 1,
      sym_parameter_list,
  [263487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    STATE(611), 1,
      sym_declaration_list,
  [263497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_LPAREN2,
    STATE(8258), 1,
      sym_parenthesized_expression,
  [263507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8501), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [263515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      anon_sym_LBRACE,
    STATE(3010), 1,
      sym_field_declaration_list,
  [263525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9946), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [263533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9184), 1,
      anon_sym_LBRACE,
    STATE(2508), 1,
      sym_requirement_seq,
  [263543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8378), 1,
      anon_sym_LT,
    STATE(1846), 1,
      sym_template_argument_list,
  [263553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8352), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [263561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(319), 1,
      sym_compound_statement,
  [263571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8125), 1,
      anon_sym_LBRACE,
    STATE(4320), 1,
      sym_field_declaration_list,
  [263581] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12545), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12547), 1,
      sym_preproc_arg,
  [263591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8420), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [263599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12549), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [263607] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12551), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12553), 1,
      sym_preproc_arg,
  [263617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6676), 1,
      sym_compound_statement,
  [263627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12505), 1,
      anon_sym_LT,
    STATE(2629), 1,
      sym_template_argument_list,
  [263637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10138), 1,
      anon_sym_LBRACE,
    STATE(1894), 1,
      sym_compound_statement,
  [263647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(8127), 1,
      sym_argument_list,
  [263657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(839), 1,
      sym_compound_statement,
  [263667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12555), 1,
      sym_identifier,
    STATE(1683), 1,
      sym_template_type,
  [263677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(2663), 1,
      sym_template_argument_list,
  [263687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12557), 1,
      sym_identifier,
    STATE(4239), 1,
      sym_template_type,
  [263697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9192), 1,
      anon_sym_LBRACE,
    STATE(4229), 1,
      sym_requirement_seq,
  [263707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7059), 1,
      sym_compound_statement,
  [263717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
  [263727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4988), 1,
      anon_sym_LBRACE,
    STATE(558), 1,
      sym_declaration_list,
  [263737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(7211), 1,
      sym_condition_clause,
  [263747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12559), 1,
      anon_sym_LT,
    STATE(2320), 1,
      sym_template_argument_list,
  [263757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12393), 1,
      sym_identifier,
    STATE(7048), 1,
      sym_attribute,
  [263767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4986), 1,
      anon_sym_LBRACE,
    STATE(342), 1,
      sym_declaration_list,
  [263777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10333), 1,
      anon_sym_RBRACE,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
  [263787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6219), 1,
      anon_sym_LBRACE,
    STATE(2786), 1,
      sym_field_declaration_list,
  [263797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    STATE(526), 1,
      sym_compound_statement,
  [263807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 1,
      anon_sym_LBRACE,
    STATE(2147), 1,
      sym_field_declaration_list,
  [263817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6219), 1,
      anon_sym_LBRACE,
    STATE(2779), 1,
      sym_field_declaration_list,
  [263827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_LPAREN2,
    STATE(7272), 1,
      sym_parenthesized_expression,
  [263837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12561), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [263845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7008), 1,
      sym_compound_statement,
  [263855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12393), 1,
      sym_identifier,
    STATE(7261), 1,
      sym_attribute,
  [263865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12475), 1,
      anon_sym_LT,
    STATE(2090), 1,
      sym_template_argument_list,
  [263875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7399), 1,
      anon_sym_LBRACE,
    STATE(3902), 1,
      sym_field_declaration_list,
  [263885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12563), 1,
      sym_identifier,
    STATE(2812), 1,
      sym_template_type,
  [263895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(7285), 1,
      sym_parameter_list,
  [263905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_LPAREN2,
    STATE(7736), 1,
      sym_parenthesized_expression,
  [263915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12451), 1,
      anon_sym_LT,
    STATE(3453), 1,
      sym_template_argument_list,
  [263925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6052), 1,
      anon_sym_LT,
    STATE(2465), 1,
      sym_template_argument_list,
  [263935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(362), 1,
      sym_compound_statement,
  [263945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6948), 1,
      sym_compound_statement,
  [263955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(199), 1,
      sym_condition_clause,
  [263965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6563), 1,
      sym_compound_statement,
  [263975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(7639), 1,
      sym_argument_list,
  [263985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(860), 1,
      sym_compound_statement,
  [263995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12565), 1,
      sym_identifier,
    STATE(2083), 1,
      sym_template_type,
  [264005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10321), 1,
      anon_sym_RBRACE,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
  [264015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12475), 1,
      anon_sym_LT,
    STATE(2278), 1,
      sym_template_argument_list,
  [264025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12567), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
  [264035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 1,
      anon_sym_LBRACE,
    STATE(698), 1,
      sym_declaration_list,
  [264045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8397), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [264053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    STATE(4660), 1,
      sym_initializer_list,
  [264063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6986), 1,
      sym_compound_statement,
  [264073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(200), 1,
      sym_condition_clause,
  [264083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_LBRACE,
    STATE(421), 1,
      sym_compound_statement,
  [264093] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12569), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12571), 1,
      sym_preproc_arg,
  [264103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8378), 1,
      anon_sym_LT,
    STATE(2608), 1,
      sym_template_argument_list,
  [264113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(7377), 1,
      sym_condition_clause,
  [264123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7399), 1,
      anon_sym_LBRACE,
    STATE(3891), 1,
      sym_field_declaration_list,
  [264133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12573), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [264141] = 3,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12575), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12577), 1,
      sym_preproc_arg,
  [264151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12393), 1,
      sym_identifier,
    STATE(6953), 1,
      sym_attribute,
  [264161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4986), 1,
      anon_sym_LBRACE,
    STATE(371), 1,
      sym_declaration_list,
  [264171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
    ACTIONS(12579), 1,
      anon_sym_RBRACE,
  [264181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7399), 1,
      anon_sym_LBRACE,
    STATE(3892), 1,
      sym_field_declaration_list,
  [264191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(1578), 1,
      sym_template_argument_list,
  [264201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12581), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [264209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_LPAREN2,
    STATE(8062), 1,
      sym_parenthesized_expression,
  [264219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12393), 1,
      sym_identifier,
    STATE(6858), 1,
      sym_attribute,
  [264229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [264237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12583), 1,
      sym_identifier,
    STATE(1683), 1,
      sym_template_type,
  [264247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(7332), 1,
      sym_condition_clause,
  [264257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(472), 1,
      sym_compound_statement,
  [264267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(168), 1,
      sym_condition_clause,
  [264277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6219), 1,
      anon_sym_LBRACE,
    STATE(2741), 1,
      sym_field_declaration_list,
  [264287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10335), 1,
      anon_sym_RBRACE,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
  [264297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8374), 1,
      anon_sym_RPAREN,
    ACTIONS(8376), 1,
      anon_sym_SEMI,
  [264307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6866), 1,
      sym_compound_statement,
  [264317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12585), 1,
      sym_identifier,
    STATE(3666), 1,
      sym_template_type,
  [264327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(247), 1,
      sym_compound_statement,
  [264337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12587), 1,
      anon_sym_SEMI,
  [264347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 1,
      anon_sym_LBRACE,
    STATE(2844), 1,
      sym_field_declaration_list,
  [264357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      anon_sym_LPAREN2,
    STATE(7431), 1,
      sym_parameter_list,
  [264367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(441), 1,
      sym_compound_statement,
  [264377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12589), 1,
      sym_identifier,
    STATE(2124), 1,
      sym_template_type,
  [264387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_LPAREN2,
    STATE(7435), 1,
      sym_parenthesized_expression,
  [264397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_LPAREN2,
    STATE(7517), 1,
      sym_parenthesized_expression,
  [264407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7399), 1,
      anon_sym_LBRACE,
    STATE(3908), 1,
      sym_field_declaration_list,
  [264417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(2278), 1,
      sym_template_argument_list,
  [264427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6913), 1,
      sym_compound_statement,
  [264437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_LPAREN2,
    STATE(7621), 1,
      sym_argument_list,
  [264447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6644), 1,
      sym_compound_statement,
  [264457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
    ACTIONS(12591), 1,
      anon_sym_RBRACE,
  [264467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      anon_sym_LPAREN2,
    STATE(210), 1,
      sym_condition_clause,
  [264477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12593), 1,
      sym_raw_string_delimiter,
  [264484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12595), 1,
      anon_sym_RPAREN,
  [264491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12597), 1,
      sym_identifier,
  [264498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12599), 1,
      aux_sym_preproc_if_token2,
  [264505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12601), 1,
      sym_identifier,
  [264512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12603), 1,
      aux_sym_preproc_if_token2,
  [264519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12605), 1,
      sym_identifier,
  [264526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12607), 1,
      anon_sym_RPAREN,
  [264533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12609), 1,
      anon_sym_RPAREN,
  [264540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12611), 1,
      anon_sym_SEMI,
  [264547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12613), 1,
      anon_sym_SEMI,
  [264554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_PIPE,
  [264561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12617), 1,
      anon_sym_RPAREN,
  [264568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12619), 1,
      anon_sym_SEMI,
  [264575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12621), 1,
      anon_sym_SEMI,
  [264582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12623), 1,
      anon_sym_SEMI,
  [264589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12625), 1,
      anon_sym_SEMI,
  [264596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      aux_sym_preproc_if_token2,
  [264603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12629), 1,
      anon_sym_RPAREN,
  [264610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12631), 1,
      anon_sym_DQUOTE,
  [264617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12633), 1,
      anon_sym_LPAREN2,
  [264624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_SEMI,
  [264631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
  [264638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12637), 1,
      anon_sym_DQUOTE,
  [264645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_DASH_GT_STAR,
  [264652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12639), 1,
      sym_identifier,
  [264659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12641), 1,
      anon_sym_SEMI,
  [264666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12643), 1,
      anon_sym_SEMI,
  [264673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12645), 1,
      anon_sym_SEMI,
  [264680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12647), 1,
      anon_sym_RPAREN,
  [264687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12649), 1,
      anon_sym_RPAREN,
  [264694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12651), 1,
      sym_identifier,
  [264701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12653), 1,
      sym_identifier,
  [264708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12655), 1,
      aux_sym_preproc_if_token2,
  [264715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12657), 1,
      anon_sym_COLON,
  [264722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12659), 1,
      aux_sym_preproc_if_token2,
  [264729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12661), 1,
      aux_sym_preproc_if_token2,
  [264736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12663), 1,
      anon_sym_RPAREN,
  [264743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12665), 1,
      anon_sym_SEMI,
  [264750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12667), 1,
      anon_sym_DQUOTE,
  [264757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10985), 1,
      anon_sym_COLON,
  [264764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12669), 1,
      anon_sym_RPAREN,
  [264771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6659), 1,
      anon_sym_SEMI,
  [264778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12671), 1,
      anon_sym_SEMI,
  [264785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6661), 1,
      anon_sym_SEMI,
  [264792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12673), 1,
      aux_sym_preproc_if_token2,
  [264799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12675), 1,
      aux_sym_preproc_if_token2,
  [264806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12677), 1,
      sym_identifier,
  [264813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12679), 1,
      sym_identifier,
  [264820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12591), 1,
      anon_sym_RBRACE,
  [264827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_DOT_STAR,
  [264834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_not_eq,
  [264841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8589), 1,
      anon_sym_COLON,
  [264848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12681), 1,
      anon_sym_DQUOTE,
  [264855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12683), 1,
      anon_sym_RPAREN,
  [264862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12685), 1,
      sym_raw_string_delimiter,
  [264869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12687), 1,
      anon_sym_SEMI,
  [264876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12689), 1,
      anon_sym_SEMI,
  [264883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12691), 1,
      anon_sym_SEMI,
  [264890] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9590), 1,
      aux_sym_preproc_include_token2,
  [264897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12693), 1,
      anon_sym_RPAREN,
  [264904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_bitand,
  [264911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10335), 1,
      anon_sym_RBRACE,
  [264918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12695), 1,
      anon_sym_SEMI,
  [264925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12697), 1,
      sym_auto,
  [264932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12699), 1,
      anon_sym_RPAREN,
  [264939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_xor,
  [264946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_bitor,
  [264953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12701), 1,
      anon_sym_RPAREN,
  [264960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12703), 1,
      anon_sym_RPAREN,
  [264967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12705), 1,
      anon_sym_SEMI,
  [264974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12707), 1,
      anon_sym_SEMI,
  [264981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12709), 1,
      anon_sym_DQUOTE,
  [264988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12711), 1,
      anon_sym_SEMI,
  [264995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12713), 1,
      sym_identifier,
  [265002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12579), 1,
      anon_sym_RBRACE,
  [265009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8374), 1,
      anon_sym_RPAREN,
  [265016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12715), 1,
      anon_sym_SEMI,
  [265023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12717), 1,
      aux_sym_preproc_if_token2,
  [265030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12719), 1,
      sym_identifier,
  [265037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12721), 1,
      sym_identifier,
  [265044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12723), 1,
      sym_identifier,
  [265051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12725), 1,
      sym_identifier,
  [265058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12727), 1,
      sym_identifier,
  [265065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12729), 1,
      aux_sym_preproc_if_token2,
  [265072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8585), 1,
      anon_sym_COLON,
  [265079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_and,
  [265086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12731), 1,
      anon_sym_SEMI,
  [265093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8619), 1,
      anon_sym_RPAREN,
  [265100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12733), 1,
      sym_identifier,
  [265107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12735), 1,
      sym_identifier,
  [265114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_or,
  [265121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12737), 1,
      sym_identifier,
  [265128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12739), 1,
      anon_sym_SEMI,
  [265135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12741), 1,
      anon_sym_SEMI,
  [265142] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12029), 1,
      aux_sym_preproc_include_token2,
  [265149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_PIPE_EQ,
  [265156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12743), 1,
      anon_sym_STAR,
  [265163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12745), 1,
      aux_sym_preproc_if_token2,
  [265170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10321), 1,
      anon_sym_RBRACE,
  [265177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12747), 1,
      anon_sym_RPAREN,
  [265184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12749), 1,
      anon_sym_RPAREN,
  [265191] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12751), 1,
      aux_sym_preproc_include_token2,
  [265198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12753), 1,
      aux_sym_preproc_if_token2,
  [265205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8583), 1,
      anon_sym_SEMI,
  [265212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12755), 1,
      anon_sym_RPAREN,
  [265219] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12757), 1,
      aux_sym_preproc_include_token2,
  [265226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12759), 1,
      anon_sym_RPAREN,
  [265233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8234), 1,
      anon_sym_RBRACE,
  [265240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12761), 1,
      sym_identifier,
  [265247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12763), 1,
      anon_sym_RPAREN,
  [265254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8485), 1,
      anon_sym_COLON,
  [265261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12765), 1,
      anon_sym_RPAREN,
  [265268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12767), 1,
      sym_auto,
  [265275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_CARET_EQ,
  [265282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12769), 1,
      anon_sym_DQUOTE,
  [265289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_AMP_EQ,
  [265296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12771), 1,
      anon_sym_SEMI,
  [265303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12773), 1,
      anon_sym_LPAREN2,
  [265310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12775), 1,
      anon_sym_DOT_DOT_DOT,
  [265317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12778), 1,
      anon_sym_SEMI,
  [265324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12780), 1,
      anon_sym_SEMI,
  [265331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_GT_GT_EQ,
  [265338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_LT_LT_EQ,
  [265345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_DASH_EQ,
  [265352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12782), 1,
      anon_sym_RPAREN,
  [265359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12784), 1,
      anon_sym_RPAREN,
  [265366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12786), 1,
      anon_sym_RPAREN,
  [265373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12788), 1,
      sym_identifier,
  [265380] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12790), 1,
      aux_sym_preproc_include_token2,
  [265387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12792), 1,
      anon_sym_RPAREN,
  [265394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_DQUOTE,
  [265401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6709), 1,
      anon_sym_SEMI,
  [265408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11085), 1,
      anon_sym_SEMI,
  [265415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_RPAREN,
  [265422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12798), 1,
      anon_sym_RPAREN,
  [265429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12800), 1,
      anon_sym_RPAREN,
  [265436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12802), 1,
      anon_sym_RPAREN,
  [265443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12804), 1,
      sym_identifier,
  [265450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12806), 1,
      anon_sym_RPAREN,
  [265457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12808), 1,
      anon_sym_DQUOTE,
  [265464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      anon_sym_SEMI,
  [265471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12812), 1,
      anon_sym_RPAREN,
  [265478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12814), 1,
      anon_sym_SEMI,
  [265485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12816), 1,
      anon_sym_RPAREN,
  [265492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12818), 1,
      anon_sym_RPAREN,
  [265499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12820), 1,
      anon_sym_RPAREN,
  [265506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12822), 1,
      sym_identifier,
  [265513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12824), 1,
      sym_identifier,
  [265520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_PLUS_EQ,
  [265527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8390), 1,
      anon_sym_RBRACE,
  [265534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12826), 1,
      anon_sym_RPAREN,
  [265541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12828), 1,
      anon_sym_RPAREN,
  [265548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8591), 1,
      anon_sym_SEMI,
  [265555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12830), 1,
      anon_sym_RPAREN,
  [265562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12832), 1,
      sym_raw_string_delimiter,
  [265569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12834), 1,
      anon_sym_SEMI,
  [265576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12836), 1,
      anon_sym_COLON,
  [265583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8521), 1,
      anon_sym_RPAREN,
  [265590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10333), 1,
      anon_sym_RBRACE,
  [265597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_SEMI,
  [265604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8682), 1,
      anon_sym_RPAREN,
  [265611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12838), 1,
      anon_sym_SEMI,
  [265618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12840), 1,
      sym_identifier,
  [265625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_PERCENT_EQ,
  [265632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 1,
      sym_identifier,
  [265639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12842), 1,
      anon_sym_COLON,
  [265646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12844), 1,
      anon_sym_RPAREN,
  [265653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12846), 1,
      sym_identifier,
  [265660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_SLASH_EQ,
  [265667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12848), 1,
      anon_sym_RPAREN,
  [265674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12850), 1,
      anon_sym_RPAREN,
  [265681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10696), 1,
      anon_sym_SEMI,
  [265688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_RPAREN,
  [265695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12852), 1,
      anon_sym_STAR,
  [265702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12854), 1,
      anon_sym_RPAREN,
  [265709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_STAR_EQ,
  [265716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12856), 1,
      anon_sym_RPAREN,
  [265723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12858), 1,
      anon_sym_RPAREN,
  [265730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12860), 1,
      anon_sym_COMMA,
  [265737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12862), 1,
      aux_sym_preproc_if_token2,
  [265744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12864), 1,
      anon_sym_RPAREN,
  [265751] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12866), 1,
      aux_sym_preproc_include_token2,
  [265758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12868), 1,
      anon_sym_STAR,
  [265765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8740), 1,
      anon_sym_RPAREN,
  [265772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12870), 1,
      anon_sym_STAR,
  [265779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12872), 1,
      anon_sym_DQUOTE,
  [265786] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12874), 1,
      aux_sym_preproc_include_token2,
  [265793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_EQ,
  [265800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12876), 1,
      anon_sym_LPAREN2,
  [265807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12878), 1,
      anon_sym_DQUOTE,
  [265814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_GT_GT,
  [265821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12880), 1,
      aux_sym_preproc_if_token2,
  [265828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12882), 1,
      anon_sym_RPAREN,
  [265835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12884), 1,
      anon_sym_RPAREN,
  [265842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12886), 1,
      anon_sym_SEMI,
  [265849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12888), 1,
      sym_identifier,
  [265856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12890), 1,
      anon_sym_COLON,
  [265863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12543), 1,
      anon_sym_RBRACE,
  [265870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10733), 1,
      anon_sym_SEMI,
  [265877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10692), 1,
      anon_sym_SEMI,
  [265884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8656), 1,
      anon_sym_RPAREN,
  [265891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12892), 1,
      anon_sym_RPAREN,
  [265898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12894), 1,
      sym_identifier,
  [265905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_LT_LT,
  [265912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10295), 1,
      anon_sym_RBRACE,
  [265919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7314), 1,
      sym_identifier,
  [265926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4501), 1,
      anon_sym_DOT_DOT_DOT,
  [265933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12896), 1,
      anon_sym_LPAREN2,
  [265940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8457), 1,
      anon_sym_RBRACE,
  [265947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12898), 1,
      anon_sym_RPAREN,
  [265954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12900), 1,
      sym_identifier,
  [265961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12902), 1,
      anon_sym_SEMI,
  [265968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12904), 1,
      anon_sym_DOT_DOT_DOT,
  [265975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8551), 1,
      anon_sym_SEMI,
  [265982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_LT,
  [265989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12906), 1,
      anon_sym_RPAREN,
  [265996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12908), 1,
      anon_sym_RPAREN,
  [266003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12910), 1,
      sym_raw_string_delimiter,
  [266010] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12912), 1,
      aux_sym_preproc_include_token2,
  [266017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12914), 1,
      sym_identifier,
  [266024] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12916), 1,
      aux_sym_preproc_include_token2,
  [266031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12918), 1,
      anon_sym_RPAREN,
  [266038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4484), 1,
      anon_sym_DOT_DOT_DOT,
  [266045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4454), 1,
      anon_sym_DOT_DOT_DOT,
  [266052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11389), 1,
      anon_sym_SEMI,
  [266059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_DOT_DOT_DOT,
  [266066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12920), 1,
      anon_sym_STAR,
  [266073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      anon_sym_DOT_DOT_DOT,
  [266080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8543), 1,
      anon_sym_SEMI,
  [266087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12922), 1,
      anon_sym_SEMI,
  [266094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8539), 1,
      anon_sym_COLON,
  [266101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12924), 1,
      sym_auto,
  [266108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12926), 1,
      anon_sym_SEMI,
  [266115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12928), 1,
      anon_sym_RPAREN,
  [266122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12930), 1,
      sym_identifier,
  [266129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12932), 1,
      anon_sym_DQUOTE,
  [266136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 1,
      anon_sym_DOT_DOT_DOT,
  [266143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12934), 1,
      anon_sym_RPAREN,
  [266150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12936), 1,
      anon_sym_SEMI,
  [266157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12938), 1,
      anon_sym_RPAREN,
  [266164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12940), 1,
      anon_sym_LPAREN2,
  [266171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4544), 1,
      anon_sym_DOT_DOT_DOT,
  [266178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12942), 1,
      anon_sym_RPAREN,
  [266185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12944), 1,
      aux_sym_preproc_if_token2,
  [266192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12946), 1,
      anon_sym_RPAREN,
  [266199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12948), 1,
      sym_identifier,
  [266206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12950), 1,
      sym_identifier,
  [266213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12952), 1,
      anon_sym_RPAREN,
  [266220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12954), 1,
      anon_sym_SEMI,
  [266227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_LT_EQ,
  [266234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7014), 1,
      anon_sym_RPAREN,
  [266241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12956), 1,
      anon_sym_SEMI,
  [266248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12958), 1,
      anon_sym_RPAREN,
  [266255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4719), 1,
      anon_sym_SEMI,
  [266262] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12960), 1,
      aux_sym_preproc_include_token2,
  [266269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12962), 1,
      anon_sym_SEMI,
  [266276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12964), 1,
      anon_sym_RPAREN,
  [266283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym_SEMI,
  [266290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12966), 1,
      anon_sym_DQUOTE,
  [266297] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11848), 1,
      aux_sym_preproc_include_token2,
  [266304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12968), 1,
      sym_auto,
  [266311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12970), 1,
      sym_identifier,
  [266318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8499), 1,
      anon_sym_COLON,
  [266325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4547), 1,
      anon_sym_DOT_DOT_DOT,
  [266332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12972), 1,
      anon_sym_LBRACE,
  [266339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12974), 1,
      anon_sym_SEMI,
  [266346] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(12976), 1,
      aux_sym_preproc_include_token2,
  [266353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12978), 1,
      anon_sym_RPAREN,
  [266360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12980), 1,
      sym_raw_string_delimiter,
  [266367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8515), 1,
      anon_sym_SEMI,
  [266374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12982), 1,
      sym_identifier,
  [266381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12984), 1,
      aux_sym_preproc_if_token2,
  [266388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_DOT_DOT_DOT,
  [266395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12986), 1,
      aux_sym_preproc_if_token2,
  [266402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12988), 1,
      anon_sym_SEMI,
  [266409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12990), 1,
      anon_sym_SEMI,
  [266416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12992), 1,
      anon_sym_SEMI,
  [266423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12994), 1,
      anon_sym_DQUOTE,
  [266430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12996), 1,
      anon_sym_DQUOTE,
  [266437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12998), 1,
      anon_sym_COLON,
  [266444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12523), 1,
      anon_sym_RBRACE,
  [266451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12525), 1,
      anon_sym_RBRACE,
  [266458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13000), 1,
      anon_sym_RBRACE,
  [266465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_GT_EQ,
  [266472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4535), 1,
      anon_sym_DOT_DOT_DOT,
  [266479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13002), 1,
      anon_sym_LPAREN2,
  [266486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13004), 1,
      anon_sym_SEMI,
  [266493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4603), 1,
      anon_sym_DOT_DOT_DOT,
  [266500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10293), 1,
      anon_sym_RBRACE,
  [266507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13006), 1,
      anon_sym_SEMI,
  [266514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11234), 1,
      anon_sym_SEMI,
  [266521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 1,
      anon_sym_LBRACE,
  [266528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8565), 1,
      anon_sym_COLON,
  [266535] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9613), 1,
      aux_sym_preproc_include_token2,
  [266542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13010), 1,
      anon_sym_RPAREN,
  [266549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_GT,
  [266556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13012), 1,
      anon_sym_RPAREN,
  [266563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13014), 1,
      anon_sym_RPAREN,
  [266570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13016), 1,
      anon_sym_RPAREN,
  [266577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13018), 1,
      sym_auto,
  [266584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13020), 1,
      aux_sym_preproc_if_token2,
  [266591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13022), 1,
      sym_identifier,
  [266598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13024), 1,
      aux_sym_preproc_if_token2,
  [266605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13026), 1,
      aux_sym_preproc_if_token2,
  [266612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13028), 1,
      aux_sym_preproc_if_token2,
  [266619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13030), 1,
      anon_sym_RBRACE,
  [266626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13032), 1,
      anon_sym_RPAREN,
  [266633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13034), 1,
      sym_raw_string_delimiter,
  [266640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13036), 1,
      anon_sym_RPAREN,
  [266647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_BANG_EQ,
  [266654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8428), 1,
      anon_sym_RBRACE,
  [266661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13038), 1,
      sym_identifier,
  [266668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13040), 1,
      anon_sym_SEMI,
  [266675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13042), 1,
      anon_sym_SEMI,
  [266682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13044), 1,
      anon_sym_LPAREN2,
  [266689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13046), 1,
      aux_sym_preproc_if_token2,
  [266696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13048), 1,
      anon_sym_SEMI,
  [266703] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(13050), 1,
      aux_sym_preproc_include_token2,
  [266710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13052), 1,
      anon_sym_RPAREN,
  [266717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13054), 1,
      anon_sym_DQUOTE,
  [266724] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9704), 1,
      aux_sym_preproc_include_token2,
  [266731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13056), 1,
      sym_raw_string_delimiter,
  [266738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 1,
      anon_sym_DOT_DOT_DOT,
  [266745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10810), 1,
      anon_sym_COMMA,
  [266752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10291), 1,
      anon_sym_RBRACE,
  [266759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13058), 1,
      anon_sym_SEMI,
  [266766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13060), 1,
      anon_sym_LPAREN2,
  [266773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13062), 1,
      sym_identifier,
  [266780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13064), 1,
      aux_sym_preproc_if_token2,
  [266787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13066), 1,
      anon_sym_RPAREN,
  [266794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13068), 1,
      aux_sym_preproc_if_token2,
  [266801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13070), 1,
      sym_raw_string_delimiter,
  [266808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13072), 1,
      anon_sym_RPAREN,
  [266815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13074), 1,
      aux_sym_preproc_if_token2,
  [266822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13076), 1,
      aux_sym_preproc_if_token2,
  [266829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_LPAREN2,
  [266836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13080), 1,
      anon_sym_RPAREN,
  [266843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13082), 1,
      sym_raw_string_delimiter,
  [266850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13084), 1,
      anon_sym_DQUOTE,
  [266857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13086), 1,
      anon_sym_RPAREN,
  [266864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13088), 1,
      sym_raw_string_delimiter,
  [266871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13090), 1,
      anon_sym_RPAREN,
  [266878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13092), 1,
      anon_sym_RPAREN,
  [266885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      sym_raw_string_delimiter,
  [266892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13096), 1,
      anon_sym_RPAREN,
  [266899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13098), 1,
      sym_raw_string_delimiter,
  [266906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13100), 1,
      anon_sym_RPAREN,
  [266913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13102), 1,
      sym_raw_string_delimiter,
  [266920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13104), 1,
      anon_sym_RPAREN,
  [266927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13106), 1,
      sym_raw_string_delimiter,
  [266934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13108), 1,
      anon_sym_RPAREN,
  [266941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13110), 1,
      sym_raw_string_delimiter,
  [266948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13112), 1,
      anon_sym_RPAREN,
  [266955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13114), 1,
      sym_raw_string_delimiter,
  [266962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13116), 1,
      anon_sym_RPAREN,
  [266969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_SEMI,
  [266976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13120), 1,
      anon_sym_SEMI,
  [266983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13122), 1,
      anon_sym_LPAREN2,
  [266990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13124), 1,
      anon_sym_RPAREN,
  [266997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13126), 1,
      anon_sym_LPAREN2,
  [267004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13128), 1,
      anon_sym_LPAREN2,
  [267011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13130), 1,
      anon_sym_LPAREN2,
  [267018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13132), 1,
      anon_sym_STAR,
  [267025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6731), 1,
      anon_sym_SEMI,
  [267032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13134), 1,
      anon_sym_LPAREN2,
  [267039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13136), 1,
      anon_sym_SEMI,
  [267046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13138), 1,
      anon_sym_LPAREN2,
  [267053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13140), 1,
      anon_sym_RPAREN,
  [267060] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(9729), 1,
      aux_sym_preproc_include_token2,
  [267067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13142), 1,
      anon_sym_SEMI,
  [267074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13144), 1,
      anon_sym_RPAREN,
  [267081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13146), 1,
      anon_sym_SEMI,
  [267088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10323), 1,
      anon_sym_RBRACE,
  [267095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13148), 1,
      anon_sym_RPAREN,
  [267102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13150), 1,
      anon_sym_SEMI,
  [267109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13152), 1,
      anon_sym_SEMI,
  [267116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13154), 1,
      anon_sym_SEMI,
  [267123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13156), 1,
      anon_sym_RPAREN,
  [267130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13158), 1,
      anon_sym_SEMI,
  [267137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13160), 1,
      aux_sym_preproc_if_token2,
  [267144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13162), 1,
      anon_sym_DQUOTE,
  [267151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13164), 1,
      anon_sym_while,
  [267158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13166), 1,
      anon_sym_LPAREN2,
  [267165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13168), 1,
      anon_sym_LPAREN2,
  [267172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13170), 1,
      anon_sym_SEMI,
  [267179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13172), 1,
      anon_sym_DQUOTE,
  [267186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13174), 1,
      anon_sym_DQUOTE,
  [267193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13176), 1,
      anon_sym_RPAREN,
  [267200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13178), 1,
      anon_sym_EQ,
  [267207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13180), 1,
      sym_raw_string_content,
  [267214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13182), 1,
      anon_sym_RPAREN,
  [267221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_EQ_EQ,
  [267228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13184), 1,
      anon_sym_SEMI,
  [267235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13186), 1,
      anon_sym_STAR,
  [267242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13188), 1,
      anon_sym_SEMI,
  [267249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13190), 1,
      anon_sym_SEMI,
  [267256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13192), 1,
      anon_sym_RPAREN,
  [267263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13194), 1,
      aux_sym_preproc_if_token2,
  [267270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13196), 1,
      anon_sym_SEMI,
  [267277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13198), 1,
      aux_sym_preproc_if_token2,
  [267284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13200), 1,
      anon_sym_SEMI,
  [267291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11907), 1,
      anon_sym_RPAREN,
  [267298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13202), 1,
      anon_sym_SEMI,
  [267305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13204), 1,
      sym_identifier,
  [267312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13206), 1,
      anon_sym_RPAREN,
  [267319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13208), 1,
      anon_sym_COMMA,
  [267326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11377), 1,
      anon_sym_SEMI,
  [267333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_AMP,
  [267340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13210), 1,
      anon_sym_RPAREN,
  [267347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13212), 1,
      anon_sym_SEMI,
  [267354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_COLON,
  [267361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8569), 1,
      anon_sym_RPAREN,
  [267368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6653), 1,
      anon_sym_SEMI,
  [267375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13214), 1,
      aux_sym_preproc_if_token2,
  [267382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8513), 1,
      anon_sym_RPAREN,
  [267389] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(13216), 1,
      aux_sym_preproc_include_token2,
  [267396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8718), 1,
      anon_sym_RPAREN,
  [267403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13218), 1,
      sym_raw_string_content,
  [267410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13220), 1,
      anon_sym_LPAREN2,
  [267417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13222), 1,
      aux_sym_preproc_if_token2,
  [267424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8712), 1,
      anon_sym_RPAREN,
  [267431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8597), 1,
      anon_sym_RPAREN,
  [267438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13224), 1,
      anon_sym_RPAREN,
  [267445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13226), 1,
      anon_sym_SEMI,
  [267452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13228), 1,
      anon_sym_DQUOTE,
  [267459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13230), 1,
      anon_sym_RPAREN,
  [267466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13232), 1,
      anon_sym_EQ,
  [267473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13234), 1,
      anon_sym_COLON,
  [267480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10725), 1,
      anon_sym_SEMI,
  [267487] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(13236), 1,
      aux_sym_preproc_include_token2,
  [267494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13238), 1,
      anon_sym_STAR,
  [267501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13240), 1,
      anon_sym_RBRACK,
  [267508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13242), 1,
      anon_sym_RPAREN,
  [267515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13244), 1,
      anon_sym_DQUOTE,
  [267522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13246), 1,
      anon_sym_SEMI,
  [267529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13248), 1,
      sym_auto,
  [267536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13250), 1,
      anon_sym_SEMI,
  [267543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13252), 1,
      anon_sym_SEMI,
  [267550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13254), 1,
      sym_raw_string_delimiter,
  [267557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13256), 1,
      anon_sym_RPAREN,
  [267564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12190), 1,
      anon_sym_COLON_COLON,
  [267571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13258), 1,
      anon_sym_SEMI,
  [267578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13260), 1,
      sym_identifier,
  [267585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13262), 1,
      aux_sym_preproc_if_token2,
  [267592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4792), 1,
      anon_sym_SEMI,
  [267599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13264), 1,
      anon_sym_SEMI,
  [267606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13266), 1,
      sym_auto,
  [267613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COLON,
  [267620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13268), 1,
      anon_sym_RPAREN,
  [267627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13270), 1,
      anon_sym_RPAREN,
  [267634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13272), 1,
      sym_identifier,
  [267641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13274), 1,
      anon_sym_LPAREN2,
  [267648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13276), 1,
      anon_sym_SEMI,
  [267655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13278), 1,
      anon_sym_SEMI,
  [267662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13280), 1,
      anon_sym_SEMI,
  [267669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13282), 1,
      anon_sym_SEMI,
  [267676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13284), 1,
      anon_sym_RPAREN,
  [267683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13286), 1,
      anon_sym_RPAREN,
  [267690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12485), 1,
      anon_sym_RBRACE,
  [267697] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(13288), 1,
      aux_sym_preproc_include_token2,
  [267704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13290), 1,
      anon_sym_STAR,
  [267711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13292), 1,
      anon_sym_RPAREN,
  [267718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13294), 1,
      anon_sym_DQUOTE,
  [267725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13296), 1,
      anon_sym_RPAREN,
  [267732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13298), 1,
      anon_sym_COLON,
  [267739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_SEMI,
  [267746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13302), 1,
      aux_sym_preproc_if_token2,
  [267753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13304), 1,
      anon_sym_DQUOTE,
  [267760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13306), 1,
      aux_sym_preproc_if_token2,
  [267767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13308), 1,
      anon_sym_RPAREN,
  [267774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      sym_identifier,
  [267781] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(13312), 1,
      aux_sym_preproc_include_token2,
  [267788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13314), 1,
      anon_sym_SEMI,
  [267795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13316), 1,
      anon_sym_RPAREN,
  [267802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11710), 1,
      anon_sym_SEMI,
  [267809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12477), 1,
      anon_sym_RBRACE,
  [267816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym_COLON,
  [267823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9960), 1,
      sym_identifier,
  [267830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13318), 1,
      anon_sym_SEMI,
  [267837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13320), 1,
      sym_auto,
  [267844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13322), 1,
      anon_sym_SEMI,
  [267851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13324), 1,
      anon_sym_DQUOTE,
  [267858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13326), 1,
      anon_sym_SEMI,
  [267865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13328), 1,
      anon_sym_SEMI,
  [267872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13330), 1,
      anon_sym_SEMI,
  [267879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13332), 1,
      sym_identifier,
  [267886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13334), 1,
      anon_sym_SEMI,
  [267893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13336), 1,
      anon_sym_SEMI,
  [267900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13338), 1,
      anon_sym_DQUOTE,
  [267907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6592), 1,
      anon_sym_SEMI,
  [267914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11298), 1,
      anon_sym_SEMI,
  [267921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13340), 1,
      aux_sym_preproc_if_token2,
  [267928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13342), 1,
      anon_sym_DQUOTE,
  [267935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13344), 1,
      anon_sym_LPAREN2,
  [267942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13346), 1,
      anon_sym_SEMI,
  [267949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13348), 1,
      anon_sym_RPAREN,
  [267956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8505), 1,
      anon_sym_SEMI,
  [267963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13350), 1,
      anon_sym_SEMI,
  [267970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_AMP_AMP,
  [267977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13352), 1,
      anon_sym_while,
  [267984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13354), 1,
      anon_sym_RPAREN,
  [267991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13356), 1,
      anon_sym_STAR,
  [267998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13358), 1,
      anon_sym_RPAREN,
  [268005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10706), 1,
      anon_sym_SEMI,
  [268012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_CARET,
  [268019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8447), 1,
      anon_sym_RBRACE,
  [268026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13360), 1,
      anon_sym_RPAREN,
  [268033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13362), 1,
      anon_sym_RPAREN,
  [268040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13364), 1,
      anon_sym_RBRACE,
  [268047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13366), 1,
      anon_sym_RPAREN,
  [268054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13368), 1,
      anon_sym_DQUOTE,
  [268061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13370), 1,
      anon_sym_RPAREN,
  [268068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13372), 1,
      anon_sym_RPAREN,
  [268075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      anon_sym_RPAREN,
  [268082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      sym_identifier,
  [268089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13376), 1,
      sym_identifier,
  [268096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13378), 1,
      sym_identifier,
  [268103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13380), 1,
      aux_sym_preproc_if_token2,
  [268110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13382), 1,
      anon_sym_RPAREN,
  [268117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13384), 1,
      anon_sym_RBRACE,
  [268124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13386), 1,
      anon_sym_COLON,
  [268131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13388), 1,
      aux_sym_preproc_if_token2,
  [268138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10315), 1,
      anon_sym_RBRACE,
  [268145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13390), 1,
      anon_sym_DQUOTE,
  [268152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8676), 1,
      anon_sym_RPAREN,
  [268159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      anon_sym_DQUOTE,
  [268166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13394), 1,
      anon_sym_SEMI,
  [268173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13396), 1,
      anon_sym_SEMI,
  [268180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13398), 1,
      anon_sym_RPAREN,
  [268187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8503), 1,
      anon_sym_SEMI,
  [268194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13400), 1,
      aux_sym_preproc_if_token2,
  [268201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13402), 1,
      anon_sym_RPAREN,
  [268208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13404), 1,
      aux_sym_preproc_if_token2,
  [268215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13406), 1,
      anon_sym_RBRACE,
  [268222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13408), 1,
      aux_sym_preproc_if_token2,
  [268229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13410), 1,
      aux_sym_preproc_if_token2,
  [268236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12469), 1,
      anon_sym_RBRACE,
  [268243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8376), 1,
      anon_sym_SEMI,
  [268250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13412), 1,
      anon_sym_SEMI,
  [268257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13414), 1,
      anon_sym_SEMI,
  [268264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13416), 1,
      anon_sym_LPAREN2,
  [268271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13418), 1,
      anon_sym_LPAREN2,
  [268278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13420), 1,
      anon_sym_LPAREN2,
  [268285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13422), 1,
      anon_sym_LPAREN2,
  [268292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13424), 1,
      anon_sym_SEMI,
  [268299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13426), 1,
      anon_sym_LPAREN2,
  [268306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym_SEMI,
  [268313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13428), 1,
      anon_sym_RPAREN,
  [268320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13430), 1,
      anon_sym_SEMI,
  [268327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13432), 1,
      anon_sym_SEMI,
  [268334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13434), 1,
      aux_sym_preproc_if_token2,
  [268341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13436), 1,
      anon_sym_while,
  [268348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13438), 1,
      anon_sym_SEMI,
  [268355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13440), 1,
      anon_sym_LPAREN2,
  [268362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8549), 1,
      anon_sym_SEMI,
  [268369] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(13442), 1,
      aux_sym_preproc_include_token2,
  [268376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7401), 1,
      sym_identifier,
  [268383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13444), 1,
      anon_sym_EQ,
  [268390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13446), 1,
      sym_raw_string_content,
  [268397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13448), 1,
      anon_sym_STAR,
  [268404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13450), 1,
      anon_sym_RPAREN,
  [268411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13452), 1,
      anon_sym_COMMA,
  [268418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_PIPE_PIPE,
  [268425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8603), 1,
      anon_sym_COLON,
  [268432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13454), 1,
      sym_auto,
  [268439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13456), 1,
      anon_sym_RPAREN,
  [268446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13458), 1,
      anon_sym_COLON,
  [268453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13460), 1,
      sym_identifier,
  [268460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8571), 1,
      anon_sym_RPAREN,
  [268467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13462), 1,
      anon_sym_LPAREN2,
  [268474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13464), 1,
      anon_sym_LPAREN2,
  [268481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13466), 1,
      anon_sym_LPAREN2,
  [268488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7329), 1,
      sym_identifier,
  [268495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13468), 1,
      anon_sym_LPAREN2,
  [268502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8232), 1,
      anon_sym_SEMI,
  [268509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10754), 1,
      anon_sym_SEMI,
  [268516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13470), 1,
      anon_sym_while,
  [268523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13472), 1,
      anon_sym_SEMI,
  [268530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13474), 1,
      anon_sym_LPAREN2,
  [268537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8609), 1,
      anon_sym_RPAREN,
  [268544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8553), 1,
      anon_sym_SEMI,
  [268551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13476), 1,
      anon_sym_EQ,
  [268558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13478), 1,
      sym_raw_string_content,
  [268565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13480), 1,
      anon_sym_COMMA,
  [268572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10719), 1,
      anon_sym_SEMI,
  [268579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13482), 1,
      anon_sym_RPAREN,
  [268586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13484), 1,
      anon_sym_RPAREN,
  [268593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13486), 1,
      anon_sym_RPAREN,
  [268600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13488), 1,
      anon_sym_COLON,
  [268607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_STAR,
  [268614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13492), 1,
      anon_sym_LPAREN2,
  [268621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13494), 1,
      anon_sym_LPAREN2,
  [268628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13496), 1,
      anon_sym_LPAREN2,
  [268635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13498), 1,
      anon_sym_RPAREN,
  [268642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13500), 1,
      anon_sym_LPAREN2,
  [268649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13502), 1,
      sym_identifier,
  [268656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13504), 1,
      anon_sym_RPAREN,
  [268663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13506), 1,
      anon_sym_while,
  [268670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13508), 1,
      anon_sym_LPAREN2,
  [268677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11397), 1,
      anon_sym_SEMI,
  [268684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13510), 1,
      anon_sym_RPAREN,
  [268691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13512), 1,
      anon_sym_EQ,
  [268698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13514), 1,
      sym_raw_string_content,
  [268705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13516), 1,
      anon_sym_COMMA,
  [268712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10337), 1,
      anon_sym_RBRACE,
  [268719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13518), 1,
      anon_sym_RPAREN,
  [268726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13520), 1,
      anon_sym_RBRACK,
  [268733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13522), 1,
      anon_sym_RPAREN,
  [268740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13524), 1,
      anon_sym_COLON,
  [268747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13526), 1,
      anon_sym_SEMI,
  [268754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13528), 1,
      anon_sym_LPAREN2,
  [268761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13530), 1,
      anon_sym_LPAREN2,
  [268768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13532), 1,
      anon_sym_LPAREN2,
  [268775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8595), 1,
      anon_sym_SEMI,
  [268782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13534), 1,
      anon_sym_LPAREN2,
  [268789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13536), 1,
      anon_sym_SEMI,
  [268796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13538), 1,
      anon_sym_RPAREN,
  [268803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
  [268810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13542), 1,
      anon_sym_STAR,
  [268817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13544), 1,
      anon_sym_RPAREN,
  [268824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13546), 1,
      anon_sym_EQ,
  [268831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13548), 1,
      sym_raw_string_content,
  [268838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13550), 1,
      anon_sym_COMMA,
  [268845] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(13552), 1,
      aux_sym_preproc_include_token2,
  [268852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13554), 1,
      sym_identifier,
  [268859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13556), 1,
      anon_sym_RPAREN,
  [268866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13558), 1,
      anon_sym_RPAREN,
  [268873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13560), 1,
      anon_sym_COLON,
  [268880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13562), 1,
      anon_sym_SEMI,
  [268887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13564), 1,
      anon_sym_LPAREN2,
  [268894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13566), 1,
      anon_sym_RPAREN,
  [268901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13568), 1,
      anon_sym_LPAREN2,
  [268908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8573), 1,
      anon_sym_SEMI,
  [268915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13570), 1,
      anon_sym_SEMI,
  [268922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13572), 1,
      anon_sym_RPAREN,
  [268929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8559), 1,
      anon_sym_RPAREN,
  [268936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13574), 1,
      anon_sym_EQ,
  [268943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13576), 1,
      sym_raw_string_content,
  [268950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13578), 1,
      sym_identifier,
  [268957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13580), 1,
      anon_sym_RBRACE,
  [268964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13582), 1,
      aux_sym_preproc_if_token2,
  [268971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13584), 1,
      anon_sym_RPAREN,
  [268978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13586), 1,
      aux_sym_preproc_if_token2,
  [268985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13588), 1,
      anon_sym_LPAREN2,
  [268992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13590), 1,
      anon_sym_LPAREN2,
  [268999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13592), 1,
      anon_sym_RPAREN,
  [269006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13594), 1,
      sym_raw_string_content,
  [269013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13596), 1,
      anon_sym_RPAREN,
  [269020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13598), 1,
      anon_sym_RPAREN,
  [269027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13600), 1,
      anon_sym_RPAREN,
  [269034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13602), 1,
      anon_sym_RPAREN,
  [269041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13604), 1,
      anon_sym_LPAREN2,
  [269048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13606), 1,
      anon_sym_LPAREN2,
  [269055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13608), 1,
      sym_identifier,
  [269062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13610), 1,
      sym_raw_string_content,
  [269069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13612), 1,
      anon_sym_RPAREN,
  [269076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13614), 1,
      anon_sym_RPAREN,
  [269083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13616), 1,
      anon_sym_LPAREN2,
  [269090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13618), 1,
      anon_sym_LPAREN2,
  [269097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13620), 1,
      sym_raw_string_content,
  [269104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13622), 1,
      anon_sym_RPAREN,
  [269111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13624), 1,
      sym_raw_string_content,
  [269118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13626), 1,
      anon_sym_RPAREN,
  [269125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13628), 1,
      sym_raw_string_content,
  [269132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13630), 1,
      anon_sym_RPAREN,
  [269139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13632), 1,
      sym_raw_string_content,
  [269146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13634), 1,
      anon_sym_RPAREN,
  [269153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13636), 1,
      sym_raw_string_content,
  [269160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13638), 1,
      anon_sym_RPAREN,
  [269167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13640), 1,
      sym_raw_string_content,
  [269174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13642), 1,
      anon_sym_RPAREN,
  [269181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13644), 1,
      sym_raw_string_content,
  [269188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13646), 1,
      anon_sym_RPAREN,
  [269195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13648), 1,
      sym_raw_string_content,
  [269202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13650), 1,
      anon_sym_RPAREN,
  [269209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      sym_identifier,
  [269216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym_RPAREN,
  [269223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13654), 1,
      anon_sym_LPAREN2,
  [269230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13656), 1,
      anon_sym_LPAREN2,
  [269237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13658), 1,
      sym_identifier,
  [269244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13660), 1,
      anon_sym_RPAREN,
  [269251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13662), 1,
      aux_sym_preproc_if_token2,
  [269258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13664), 1,
      anon_sym_RPAREN,
  [269265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13666), 1,
      aux_sym_preproc_if_token2,
  [269272] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(13668), 1,
      aux_sym_preproc_include_token2,
  [269279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11475), 1,
      anon_sym_SEMI,
  [269286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13670), 1,
      sym_identifier,
  [269293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13672), 1,
      aux_sym_preproc_if_token2,
  [269300] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11607), 1,
      aux_sym_preproc_include_token2,
  [269307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8631), 1,
      anon_sym_RPAREN,
  [269314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13674), 1,
      aux_sym_preproc_if_token2,
  [269321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13676), 1,
      anon_sym_LPAREN2,
  [269328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13678), 1,
      aux_sym_preproc_if_token2,
  [269335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10299), 1,
      anon_sym_RBRACE,
  [269342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8441), 1,
      anon_sym_RBRACE,
  [269349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13680), 1,
      sym_identifier,
  [269356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      sym_raw_string_content,
  [269363] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(13684), 1,
      aux_sym_preproc_include_token2,
  [269370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13686), 1,
      anon_sym_RPAREN,
  [269377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13688), 1,
      anon_sym_RPAREN,
  [269384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13690), 1,
      anon_sym_RPAREN,
  [269391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13692), 1,
      anon_sym_RPAREN,
  [269398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13694), 1,
      anon_sym_RPAREN,
  [269405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13696), 1,
      sym_raw_string_content,
  [269412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13698), 1,
      anon_sym_SEMI,
  [269419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7012), 1,
      anon_sym_RPAREN,
  [269426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13700), 1,
      anon_sym_SEMI,
  [269433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13702), 1,
      anon_sym_SEMI,
  [269440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13704), 1,
      sym_identifier,
  [269447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13706), 1,
      anon_sym_RPAREN,
  [269454] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(13708), 1,
      aux_sym_preproc_include_token2,
  [269461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13710), 1,
      anon_sym_COLON,
  [269468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13712), 1,
      anon_sym_DQUOTE,
  [269475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13714), 1,
      anon_sym_RPAREN,
  [269482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13716), 1,
      anon_sym_DQUOTE,
  [269489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_COMMA,
  [269496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_DASH,
  [269503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13718), 1,
      anon_sym_RPAREN,
  [269510] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(11587), 1,
      aux_sym_preproc_include_token2,
  [269517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13720), 1,
      anon_sym_RPAREN,
  [269524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13722), 1,
      anon_sym_LPAREN2,
  [269531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13724), 1,
      anon_sym_RPAREN,
  [269538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      anon_sym_COLON_COLON,
  [269545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13726), 1,
      anon_sym_LBRACE,
  [269552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13728), 1,
      anon_sym_RPAREN,
  [269559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13730), 1,
      anon_sym_RPAREN,
  [269566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13732), 1,
      anon_sym_RPAREN,
  [269573] = 2,
    ACTIONS(5537), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9508), 1,
      sym_comment,
  [269580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8507), 1,
      anon_sym_COLON,
  [269587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13734), 1,
      anon_sym_RPAREN,
  [269594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13736), 1,
      aux_sym_preproc_if_token2,
  [269601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13738), 1,
      aux_sym_preproc_if_token2,
  [269608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13740), 1,
      aux_sym_preproc_if_token2,
  [269615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13742), 1,
      anon_sym_RPAREN,
  [269622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13744), 1,
      anon_sym_STAR,
  [269629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13746), 1,
      anon_sym_COLON,
  [269636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13748), 1,
      ts_builtin_sym_end,
  [269643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12433), 1,
      anon_sym_RBRACE,
  [269650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13750), 1,
      sym_identifier,
  [269657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13752), 1,
      anon_sym_SEMI,
  [269664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13754), 1,
      sym_identifier,
  [269671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13756), 1,
      anon_sym_LPAREN2,
  [269678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13758), 1,
      anon_sym_LPAREN2,
  [269685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_PLUS,
  [269692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13760), 1,
      anon_sym_SEMI,
  [269699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_STAR,
  [269706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13762), 1,
      sym_identifier,
  [269713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13764), 1,
      anon_sym_LPAREN2,
  [269720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13766), 1,
      anon_sym_SLASH,
  [269727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13768), 1,
      anon_sym_RPAREN,
  [269734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13770), 1,
      anon_sym_STAR,
  [269741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_PERCENT,
  [269748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13772), 1,
      anon_sym_RPAREN,
  [269755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13774), 1,
      anon_sym_RPAREN,
  [269762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13776), 1,
      anon_sym_LPAREN2,
  [269769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13778), 1,
      anon_sym_LPAREN2,
  [269776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13780), 1,
      anon_sym_LPAREN2,
  [269783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13782), 1,
      anon_sym_DQUOTE,
  [269790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8599), 1,
      anon_sym_COLON,
  [269797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13784), 1,
      sym_identifier,
  [269804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      anon_sym_SEMI,
  [269811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13788), 1,
      anon_sym_LPAREN2,
  [269818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13790), 1,
      anon_sym_LPAREN2,
  [269825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13792), 1,
      sym_identifier,
  [269832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13794), 1,
      anon_sym_LPAREN2,
  [269839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13796), 1,
      anon_sym_SEMI,
  [269846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13798), 1,
      anon_sym_LPAREN2,
  [269853] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(13800), 1,
      aux_sym_preproc_include_token2,
  [269860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13802), 1,
      sym_identifier,
  [269867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13804), 1,
      sym_raw_string_content,
  [269874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13806), 1,
      anon_sym_COLON,
  [269881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13808), 1,
      anon_sym_RPAREN,
  [269888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13810), 1,
      anon_sym_SEMI,
  [269895] = 2,
    ACTIONS(5570), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9508), 1,
      sym_comment,
  [269902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13812), 1,
      anon_sym_LPAREN2,
  [269909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13814), 1,
      anon_sym_LPAREN2,
  [269916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13816), 1,
      sym_identifier,
  [269923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13818), 1,
      sym_identifier,
  [269930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13820), 1,
      anon_sym_SEMI,
  [269937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13822), 1,
      sym_identifier,
  [269944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13824), 1,
      sym_raw_string_content,
  [269951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13826), 1,
      anon_sym_SEMI,
  [269958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13828), 1,
      anon_sym_SEMI,
  [269965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13830), 1,
      anon_sym_LPAREN2,
  [269972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13832), 1,
      anon_sym_LPAREN2,
  [269979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13834), 1,
      sym_identifier,
  [269986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13836), 1,
      anon_sym_SEMI,
  [269993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13838), 1,
      sym_identifier,
  [270000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13840), 1,
      sym_identifier,
  [270007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13842), 1,
      sym_raw_string_content,
  [270014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13844), 1,
      anon_sym_LPAREN2,
  [270021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13846), 1,
      sym_auto,
  [270028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13848), 1,
      anon_sym_LPAREN2,
  [270035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13850), 1,
      sym_identifier,
  [270042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8561), 1,
      anon_sym_COLON,
  [270049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13852), 1,
      anon_sym_SEMI,
  [270056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13854), 1,
      sym_identifier,
  [270063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13856), 1,
      sym_raw_string_content,
  [270070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13858), 1,
      anon_sym_LPAREN2,
  [270077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13860), 1,
      anon_sym_LPAREN2,
  [270084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13862), 1,
      sym_identifier,
  [270091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13864), 1,
      anon_sym_SEMI,
  [270098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13866), 1,
      sym_identifier,
  [270105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13868), 1,
      sym_raw_string_content,
  [270112] = 2,
    ACTIONS(9508), 1,
      sym_comment,
    ACTIONS(13870), 1,
      aux_sym_preproc_include_token2,
  [270119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13872), 1,
      sym_identifier,
  [270126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13874), 1,
      sym_raw_string_content,
  [270133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12391), 1,
      anon_sym_RBRACE,
  [270140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13876), 1,
      sym_raw_string_content,
  [270147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13878), 1,
      anon_sym_SEMI,
  [270154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13880), 1,
      sym_raw_string_content,
  [270161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13882), 1,
      anon_sym_SEMI,
  [270168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13884), 1,
      sym_raw_string_content,
  [270175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13886), 1,
      anon_sym_LPAREN2,
  [270182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13888), 1,
      sym_raw_string_content,
  [270189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13890), 1,
      sym_identifier,
  [270196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13892), 1,
      sym_raw_string_content,
  [270203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13894), 1,
      anon_sym_SEMI,
  [270210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13896), 1,
      sym_raw_string_content,
  [270217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13898), 1,
      anon_sym_RPAREN,
  [270224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13900), 1,
      sym_raw_string_content,
  [270231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13902), 1,
      anon_sym_RPAREN,
  [270238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13904), 1,
      sym_raw_string_content,
  [270245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13906), 1,
      anon_sym_DQUOTE,
  [270252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13908), 1,
      sym_raw_string_content,
  [270259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13910), 1,
      anon_sym_LPAREN2,
  [270266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13912), 1,
      anon_sym_LPAREN2,
  [270273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13914), 1,
      anon_sym_SEMI,
  [270280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13916), 1,
      anon_sym_LPAREN2,
  [270287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13918), 1,
      anon_sym_LPAREN2,
  [270294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13920), 1,
      anon_sym_SEMI,
  [270301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13922), 1,
      anon_sym_LPAREN2,
  [270308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13924), 1,
      anon_sym_LPAREN2,
  [270315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13926), 1,
      anon_sym_SEMI,
  [270322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13928), 1,
      anon_sym_LPAREN2,
  [270329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13930), 1,
      anon_sym_LPAREN2,
  [270336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13932), 1,
      anon_sym_DQUOTE,
  [270343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13934), 1,
      anon_sym_LPAREN2,
  [270350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13936), 1,
      anon_sym_LPAREN2,
  [270357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13938), 1,
      sym_identifier,
  [270364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13940), 1,
      anon_sym_LPAREN2,
  [270371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13942), 1,
      anon_sym_LPAREN2,
  [270378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13944), 1,
      anon_sym_LPAREN2,
  [270385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13946), 1,
      anon_sym_LPAREN2,
  [270392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13948), 1,
      anon_sym_LPAREN2,
  [270399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13950), 1,
      anon_sym_LPAREN2,
  [270406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13952), 1,
      anon_sym_LPAREN2,
  [270413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13954), 1,
      anon_sym_LPAREN2,
  [270420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13956), 1,
      anon_sym_LPAREN2,
  [270427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13958), 1,
      anon_sym_LPAREN2,
  [270434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13960), 1,
      anon_sym_LPAREN2,
  [270441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13962), 1,
      anon_sym_SEMI,
  [270448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13964), 1,
      anon_sym_STAR,
  [270455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13966), 1,
      sym_identifier,
  [270462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 1,
      anon_sym_SEMI,
  [270469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13968), 1,
      sym_identifier,
  [270476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13970), 1,
      anon_sym_LPAREN2,
  [270483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13972), 1,
      anon_sym_LPAREN2,
  [270490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13974), 1,
      anon_sym_LPAREN2,
  [270497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13976), 1,
      anon_sym_LPAREN2,
  [270504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13978), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2272)] = 0,
  [SMALL_STATE(2273)] = 71,
  [SMALL_STATE(2274)] = 148,
  [SMALL_STATE(2275)] = 223,
  [SMALL_STATE(2276)] = 298,
  [SMALL_STATE(2277)] = 375,
  [SMALL_STATE(2278)] = 450,
  [SMALL_STATE(2279)] = 523,
  [SMALL_STATE(2280)] = 600,
  [SMALL_STATE(2281)] = 695,
  [SMALL_STATE(2282)] = 766,
  [SMALL_STATE(2283)] = 841,
  [SMALL_STATE(2284)] = 912,
  [SMALL_STATE(2285)] = 983,
  [SMALL_STATE(2286)] = 1058,
  [SMALL_STATE(2287)] = 1133,
  [SMALL_STATE(2288)] = 1204,
  [SMALL_STATE(2289)] = 1275,
  [SMALL_STATE(2290)] = 1348,
  [SMALL_STATE(2291)] = 1419,
  [SMALL_STATE(2292)] = 1494,
  [SMALL_STATE(2293)] = 1571,
  [SMALL_STATE(2294)] = 1642,
  [SMALL_STATE(2295)] = 1725,
  [SMALL_STATE(2296)] = 1802,
  [SMALL_STATE(2297)] = 1885,
  [SMALL_STATE(2298)] = 1956,
  [SMALL_STATE(2299)] = 2051,
  [SMALL_STATE(2300)] = 2124,
  [SMALL_STATE(2301)] = 2203,
  [SMALL_STATE(2302)] = 2282,
  [SMALL_STATE(2303)] = 2359,
  [SMALL_STATE(2304)] = 2434,
  [SMALL_STATE(2305)] = 2513,
  [SMALL_STATE(2306)] = 2588,
  [SMALL_STATE(2307)] = 2665,
  [SMALL_STATE(2308)] = 2736,
  [SMALL_STATE(2309)] = 2811,
  [SMALL_STATE(2310)] = 2886,
  [SMALL_STATE(2311)] = 2963,
  [SMALL_STATE(2312)] = 3038,
  [SMALL_STATE(2313)] = 3108,
  [SMALL_STATE(2314)] = 3178,
  [SMALL_STATE(2315)] = 3248,
  [SMALL_STATE(2316)] = 3318,
  [SMALL_STATE(2317)] = 3402,
  [SMALL_STATE(2318)] = 3472,
  [SMALL_STATE(2319)] = 3542,
  [SMALL_STATE(2320)] = 3612,
  [SMALL_STATE(2321)] = 3682,
  [SMALL_STATE(2322)] = 3752,
  [SMALL_STATE(2323)] = 3822,
  [SMALL_STATE(2324)] = 3892,
  [SMALL_STATE(2325)] = 3962,
  [SMALL_STATE(2326)] = 4032,
  [SMALL_STATE(2327)] = 4114,
  [SMALL_STATE(2328)] = 4184,
  [SMALL_STATE(2329)] = 4254,
  [SMALL_STATE(2330)] = 4324,
  [SMALL_STATE(2331)] = 4394,
  [SMALL_STATE(2332)] = 4464,
  [SMALL_STATE(2333)] = 4544,
  [SMALL_STATE(2334)] = 4614,
  [SMALL_STATE(2335)] = 4684,
  [SMALL_STATE(2336)] = 4770,
  [SMALL_STATE(2337)] = 4840,
  [SMALL_STATE(2338)] = 4910,
  [SMALL_STATE(2339)] = 4980,
  [SMALL_STATE(2340)] = 5052,
  [SMALL_STATE(2341)] = 5122,
  [SMALL_STATE(2342)] = 5192,
  [SMALL_STATE(2343)] = 5276,
  [SMALL_STATE(2344)] = 5346,
  [SMALL_STATE(2345)] = 5420,
  [SMALL_STATE(2346)] = 5490,
  [SMALL_STATE(2347)] = 5560,
  [SMALL_STATE(2348)] = 5644,
  [SMALL_STATE(2349)] = 5714,
  [SMALL_STATE(2350)] = 5794,
  [SMALL_STATE(2351)] = 5864,
  [SMALL_STATE(2352)] = 5934,
  [SMALL_STATE(2353)] = 6004,
  [SMALL_STATE(2354)] = 6074,
  [SMALL_STATE(2355)] = 6152,
  [SMALL_STATE(2356)] = 6222,
  [SMALL_STATE(2357)] = 6292,
  [SMALL_STATE(2358)] = 6376,
  [SMALL_STATE(2359)] = 6460,
  [SMALL_STATE(2360)] = 6530,
  [SMALL_STATE(2361)] = 6600,
  [SMALL_STATE(2362)] = 6686,
  [SMALL_STATE(2363)] = 6756,
  [SMALL_STATE(2364)] = 6826,
  [SMALL_STATE(2365)] = 6896,
  [SMALL_STATE(2366)] = 6966,
  [SMALL_STATE(2367)] = 7036,
  [SMALL_STATE(2368)] = 7106,
  [SMALL_STATE(2369)] = 7176,
  [SMALL_STATE(2370)] = 7246,
  [SMALL_STATE(2371)] = 7316,
  [SMALL_STATE(2372)] = 7398,
  [SMALL_STATE(2373)] = 7468,
  [SMALL_STATE(2374)] = 7538,
  [SMALL_STATE(2375)] = 7608,
  [SMALL_STATE(2376)] = 7678,
  [SMALL_STATE(2377)] = 7748,
  [SMALL_STATE(2378)] = 7818,
  [SMALL_STATE(2379)] = 7888,
  [SMALL_STATE(2380)] = 7958,
  [SMALL_STATE(2381)] = 8028,
  [SMALL_STATE(2382)] = 8098,
  [SMALL_STATE(2383)] = 8168,
  [SMALL_STATE(2384)] = 8238,
  [SMALL_STATE(2385)] = 8308,
  [SMALL_STATE(2386)] = 8378,
  [SMALL_STATE(2387)] = 8448,
  [SMALL_STATE(2388)] = 8518,
  [SMALL_STATE(2389)] = 8588,
  [SMALL_STATE(2390)] = 8657,
  [SMALL_STATE(2391)] = 8726,
  [SMALL_STATE(2392)] = 8795,
  [SMALL_STATE(2393)] = 8866,
  [SMALL_STATE(2394)] = 8935,
  [SMALL_STATE(2395)] = 9004,
  [SMALL_STATE(2396)] = 9073,
  [SMALL_STATE(2397)] = 9142,
  [SMALL_STATE(2398)] = 9211,
  [SMALL_STATE(2399)] = 9284,
  [SMALL_STATE(2400)] = 9353,
  [SMALL_STATE(2401)] = 9422,
  [SMALL_STATE(2402)] = 9491,
  [SMALL_STATE(2403)] = 9560,
  [SMALL_STATE(2404)] = 9631,
  [SMALL_STATE(2405)] = 9700,
  [SMALL_STATE(2406)] = 9769,
  [SMALL_STATE(2407)] = 9838,
  [SMALL_STATE(2408)] = 9907,
  [SMALL_STATE(2409)] = 9976,
  [SMALL_STATE(2410)] = 10045,
  [SMALL_STATE(2411)] = 10114,
  [SMALL_STATE(2412)] = 10183,
  [SMALL_STATE(2413)] = 10252,
  [SMALL_STATE(2414)] = 10321,
  [SMALL_STATE(2415)] = 10390,
  [SMALL_STATE(2416)] = 10459,
  [SMALL_STATE(2417)] = 10528,
  [SMALL_STATE(2418)] = 10597,
  [SMALL_STATE(2419)] = 10666,
  [SMALL_STATE(2420)] = 10735,
  [SMALL_STATE(2421)] = 10808,
  [SMALL_STATE(2422)] = 10877,
  [SMALL_STATE(2423)] = 10946,
  [SMALL_STATE(2424)] = 11015,
  [SMALL_STATE(2425)] = 11084,
  [SMALL_STATE(2426)] = 11153,
  [SMALL_STATE(2427)] = 11226,
  [SMALL_STATE(2428)] = 11303,
  [SMALL_STATE(2429)] = 11372,
  [SMALL_STATE(2430)] = 11441,
  [SMALL_STATE(2431)] = 11510,
  [SMALL_STATE(2432)] = 11579,
  [SMALL_STATE(2433)] = 11648,
  [SMALL_STATE(2434)] = 11717,
  [SMALL_STATE(2435)] = 11790,
  [SMALL_STATE(2436)] = 11859,
  [SMALL_STATE(2437)] = 11928,
  [SMALL_STATE(2438)] = 11997,
  [SMALL_STATE(2439)] = 12066,
  [SMALL_STATE(2440)] = 12135,
  [SMALL_STATE(2441)] = 12220,
  [SMALL_STATE(2442)] = 12307,
  [SMALL_STATE(2443)] = 12376,
  [SMALL_STATE(2444)] = 12445,
  [SMALL_STATE(2445)] = 12514,
  [SMALL_STATE(2446)] = 12583,
  [SMALL_STATE(2447)] = 12652,
  [SMALL_STATE(2448)] = 12721,
  [SMALL_STATE(2449)] = 12790,
  [SMALL_STATE(2450)] = 12871,
  [SMALL_STATE(2451)] = 12940,
  [SMALL_STATE(2452)] = 13009,
  [SMALL_STATE(2453)] = 13078,
  [SMALL_STATE(2454)] = 13147,
  [SMALL_STATE(2455)] = 13216,
  [SMALL_STATE(2456)] = 13285,
  [SMALL_STATE(2457)] = 13354,
  [SMALL_STATE(2458)] = 13423,
  [SMALL_STATE(2459)] = 13500,
  [SMALL_STATE(2460)] = 13569,
  [SMALL_STATE(2461)] = 13638,
  [SMALL_STATE(2462)] = 13707,
  [SMALL_STATE(2463)] = 13776,
  [SMALL_STATE(2464)] = 13845,
  [SMALL_STATE(2465)] = 13914,
  [SMALL_STATE(2466)] = 13983,
  [SMALL_STATE(2467)] = 14052,
  [SMALL_STATE(2468)] = 14139,
  [SMALL_STATE(2469)] = 14226,
  [SMALL_STATE(2470)] = 14295,
  [SMALL_STATE(2471)] = 14364,
  [SMALL_STATE(2472)] = 14433,
  [SMALL_STATE(2473)] = 14502,
  [SMALL_STATE(2474)] = 14571,
  [SMALL_STATE(2475)] = 14640,
  [SMALL_STATE(2476)] = 14721,
  [SMALL_STATE(2477)] = 14790,
  [SMALL_STATE(2478)] = 14867,
  [SMALL_STATE(2479)] = 14936,
  [SMALL_STATE(2480)] = 15005,
  [SMALL_STATE(2481)] = 15074,
  [SMALL_STATE(2482)] = 15143,
  [SMALL_STATE(2483)] = 15212,
  [SMALL_STATE(2484)] = 15291,
  [SMALL_STATE(2485)] = 15362,
  [SMALL_STATE(2486)] = 15431,
  [SMALL_STATE(2487)] = 15500,
  [SMALL_STATE(2488)] = 15575,
  [SMALL_STATE(2489)] = 15644,
  [SMALL_STATE(2490)] = 15715,
  [SMALL_STATE(2491)] = 15784,
  [SMALL_STATE(2492)] = 15865,
  [SMALL_STATE(2493)] = 15938,
  [SMALL_STATE(2494)] = 16007,
  [SMALL_STATE(2495)] = 16076,
  [SMALL_STATE(2496)] = 16145,
  [SMALL_STATE(2497)] = 16214,
  [SMALL_STATE(2498)] = 16283,
  [SMALL_STATE(2499)] = 16352,
  [SMALL_STATE(2500)] = 16421,
  [SMALL_STATE(2501)] = 16490,
  [SMALL_STATE(2502)] = 16559,
  [SMALL_STATE(2503)] = 16628,
  [SMALL_STATE(2504)] = 16699,
  [SMALL_STATE(2505)] = 16770,
  [SMALL_STATE(2506)] = 16839,
  [SMALL_STATE(2507)] = 16914,
  [SMALL_STATE(2508)] = 16987,
  [SMALL_STATE(2509)] = 17056,
  [SMALL_STATE(2510)] = 17125,
  [SMALL_STATE(2511)] = 17194,
  [SMALL_STATE(2512)] = 17263,
  [SMALL_STATE(2513)] = 17340,
  [SMALL_STATE(2514)] = 17409,
  [SMALL_STATE(2515)] = 17478,
  [SMALL_STATE(2516)] = 17547,
  [SMALL_STATE(2517)] = 17616,
  [SMALL_STATE(2518)] = 17685,
  [SMALL_STATE(2519)] = 17757,
  [SMALL_STATE(2520)] = 17829,
  [SMALL_STATE(2521)] = 17897,
  [SMALL_STATE(2522)] = 17965,
  [SMALL_STATE(2523)] = 18037,
  [SMALL_STATE(2524)] = 18105,
  [SMALL_STATE(2525)] = 18173,
  [SMALL_STATE(2526)] = 18245,
  [SMALL_STATE(2527)] = 18313,
  [SMALL_STATE(2528)] = 18389,
  [SMALL_STATE(2529)] = 18461,
  [SMALL_STATE(2530)] = 18533,
  [SMALL_STATE(2531)] = 18605,
  [SMALL_STATE(2532)] = 18677,
  [SMALL_STATE(2533)] = 18749,
  [SMALL_STATE(2534)] = 18821,
  [SMALL_STATE(2535)] = 18889,
  [SMALL_STATE(2536)] = 18957,
  [SMALL_STATE(2537)] = 19025,
  [SMALL_STATE(2538)] = 19097,
  [SMALL_STATE(2539)] = 19165,
  [SMALL_STATE(2540)] = 19237,
  [SMALL_STATE(2541)] = 19309,
  [SMALL_STATE(2542)] = 19383,
  [SMALL_STATE(2543)] = 19457,
  [SMALL_STATE(2544)] = 19525,
  [SMALL_STATE(2545)] = 19601,
  [SMALL_STATE(2546)] = 19673,
  [SMALL_STATE(2547)] = 19745,
  [SMALL_STATE(2548)] = 19861,
  [SMALL_STATE(2549)] = 19939,
  [SMALL_STATE(2550)] = 20011,
  [SMALL_STATE(2551)] = 20083,
  [SMALL_STATE(2552)] = 20155,
  [SMALL_STATE(2553)] = 20227,
  [SMALL_STATE(2554)] = 20299,
  [SMALL_STATE(2555)] = 20375,
  [SMALL_STATE(2556)] = 20447,
  [SMALL_STATE(2557)] = 20519,
  [SMALL_STATE(2558)] = 20591,
  [SMALL_STATE(2559)] = 20663,
  [SMALL_STATE(2560)] = 20731,
  [SMALL_STATE(2561)] = 20799,
  [SMALL_STATE(2562)] = 20871,
  [SMALL_STATE(2563)] = 20943,
  [SMALL_STATE(2564)] = 21015,
  [SMALL_STATE(2565)] = 21131,
  [SMALL_STATE(2566)] = 21200,
  [SMALL_STATE(2567)] = 21267,
  [SMALL_STATE(2568)] = 21334,
  [SMALL_STATE(2569)] = 21401,
  [SMALL_STATE(2570)] = 21474,
  [SMALL_STATE(2571)] = 21547,
  [SMALL_STATE(2572)] = 21614,
  [SMALL_STATE(2573)] = 21681,
  [SMALL_STATE(2574)] = 21754,
  [SMALL_STATE(2575)] = 21823,
  [SMALL_STATE(2576)] = 21894,
  [SMALL_STATE(2577)] = 21961,
  [SMALL_STATE(2578)] = 22040,
  [SMALL_STATE(2579)] = 22107,
  [SMALL_STATE(2580)] = 22178,
  [SMALL_STATE(2581)] = 22245,
  [SMALL_STATE(2582)] = 22322,
  [SMALL_STATE(2583)] = 22401,
  [SMALL_STATE(2584)] = 22468,
  [SMALL_STATE(2585)] = 22551,
  [SMALL_STATE(2586)] = 22618,
  [SMALL_STATE(2587)] = 22689,
  [SMALL_STATE(2588)] = 22758,
  [SMALL_STATE(2589)] = 22833,
  [SMALL_STATE(2590)] = 22900,
  [SMALL_STATE(2591)] = 22971,
  [SMALL_STATE(2592)] = 23042,
  [SMALL_STATE(2593)] = 23113,
  [SMALL_STATE(2594)] = 23180,
  [SMALL_STATE(2595)] = 23251,
  [SMALL_STATE(2596)] = 23318,
  [SMALL_STATE(2597)] = 23387,
  [SMALL_STATE(2598)] = 23458,
  [SMALL_STATE(2599)] = 23525,
  [SMALL_STATE(2600)] = 23592,
  [SMALL_STATE(2601)] = 23659,
  [SMALL_STATE(2602)] = 23730,
  [SMALL_STATE(2603)] = 23802,
  [SMALL_STATE(2604)] = 23868,
  [SMALL_STATE(2605)] = 23960,
  [SMALL_STATE(2606)] = 24026,
  [SMALL_STATE(2607)] = 24092,
  [SMALL_STATE(2608)] = 24158,
  [SMALL_STATE(2609)] = 24224,
  [SMALL_STATE(2610)] = 24316,
  [SMALL_STATE(2611)] = 24382,
  [SMALL_STATE(2612)] = 24496,
  [SMALL_STATE(2613)] = 24588,
  [SMALL_STATE(2614)] = 24680,
  [SMALL_STATE(2615)] = 24746,
  [SMALL_STATE(2616)] = 24828,
  [SMALL_STATE(2617)] = 24894,
  [SMALL_STATE(2618)] = 24960,
  [SMALL_STATE(2619)] = 25038,
  [SMALL_STATE(2620)] = 25104,
  [SMALL_STATE(2621)] = 25170,
  [SMALL_STATE(2622)] = 25236,
  [SMALL_STATE(2623)] = 25302,
  [SMALL_STATE(2624)] = 25368,
  [SMALL_STATE(2625)] = 25434,
  [SMALL_STATE(2626)] = 25500,
  [SMALL_STATE(2627)] = 25566,
  [SMALL_STATE(2628)] = 25632,
  [SMALL_STATE(2629)] = 25746,
  [SMALL_STATE(2630)] = 25812,
  [SMALL_STATE(2631)] = 25882,
  [SMALL_STATE(2632)] = 25948,
  [SMALL_STATE(2633)] = 26014,
  [SMALL_STATE(2634)] = 26082,
  [SMALL_STATE(2635)] = 26148,
  [SMALL_STATE(2636)] = 26214,
  [SMALL_STATE(2637)] = 26280,
  [SMALL_STATE(2638)] = 26346,
  [SMALL_STATE(2639)] = 26412,
  [SMALL_STATE(2640)] = 26478,
  [SMALL_STATE(2641)] = 26554,
  [SMALL_STATE(2642)] = 26646,
  [SMALL_STATE(2643)] = 26712,
  [SMALL_STATE(2644)] = 26780,
  [SMALL_STATE(2645)] = 26846,
  [SMALL_STATE(2646)] = 26912,
  [SMALL_STATE(2647)] = 26978,
  [SMALL_STATE(2648)] = 27044,
  [SMALL_STATE(2649)] = 27110,
  [SMALL_STATE(2650)] = 27176,
  [SMALL_STATE(2651)] = 27242,
  [SMALL_STATE(2652)] = 27308,
  [SMALL_STATE(2653)] = 27374,
  [SMALL_STATE(2654)] = 27466,
  [SMALL_STATE(2655)] = 27534,
  [SMALL_STATE(2656)] = 27600,
  [SMALL_STATE(2657)] = 27666,
  [SMALL_STATE(2658)] = 27758,
  [SMALL_STATE(2659)] = 27836,
  [SMALL_STATE(2660)] = 27950,
  [SMALL_STATE(2661)] = 28064,
  [SMALL_STATE(2662)] = 28146,
  [SMALL_STATE(2663)] = 28212,
  [SMALL_STATE(2664)] = 28278,
  [SMALL_STATE(2665)] = 28360,
  [SMALL_STATE(2666)] = 28426,
  [SMALL_STATE(2667)] = 28508,
  [SMALL_STATE(2668)] = 28574,
  [SMALL_STATE(2669)] = 28640,
  [SMALL_STATE(2670)] = 28723,
  [SMALL_STATE(2671)] = 28806,
  [SMALL_STATE(2672)] = 28889,
  [SMALL_STATE(2673)] = 28954,
  [SMALL_STATE(2674)] = 29035,
  [SMALL_STATE(2675)] = 29108,
  [SMALL_STATE(2676)] = 29189,
  [SMALL_STATE(2677)] = 29260,
  [SMALL_STATE(2678)] = 29325,
  [SMALL_STATE(2679)] = 29408,
  [SMALL_STATE(2680)] = 29473,
  [SMALL_STATE(2681)] = 29556,
  [SMALL_STATE(2682)] = 29627,
  [SMALL_STATE(2683)] = 29708,
  [SMALL_STATE(2684)] = 29777,
  [SMALL_STATE(2685)] = 29842,
  [SMALL_STATE(2686)] = 29925,
  [SMALL_STATE(2687)] = 30008,
  [SMALL_STATE(2688)] = 30077,
  [SMALL_STATE(2689)] = 30194,
  [SMALL_STATE(2690)] = 30263,
  [SMALL_STATE(2691)] = 30332,
  [SMALL_STATE(2692)] = 30405,
  [SMALL_STATE(2693)] = 30488,
  [SMALL_STATE(2694)] = 30569,
  [SMALL_STATE(2695)] = 30682,
  [SMALL_STATE(2696)] = 30757,
  [SMALL_STATE(2697)] = 30826,
  [SMALL_STATE(2698)] = 30895,
  [SMALL_STATE(2699)] = 30964,
  [SMALL_STATE(2700)] = 31047,
  [SMALL_STATE(2701)] = 31130,
  [SMALL_STATE(2702)] = 31203,
  [SMALL_STATE(2703)] = 31316,
  [SMALL_STATE(2704)] = 31425,
  [SMALL_STATE(2705)] = 31538,
  [SMALL_STATE(2706)] = 31643,
  [SMALL_STATE(2707)] = 31728,
  [SMALL_STATE(2708)] = 31829,
  [SMALL_STATE(2709)] = 31912,
  [SMALL_STATE(2710)] = 32011,
  [SMALL_STATE(2711)] = 32076,
  [SMALL_STATE(2712)] = 32193,
  [SMALL_STATE(2713)] = 32290,
  [SMALL_STATE(2714)] = 32373,
  [SMALL_STATE(2715)] = 32454,
  [SMALL_STATE(2716)] = 32549,
  [SMALL_STATE(2717)] = 32658,
  [SMALL_STATE(2718)] = 32749,
  [SMALL_STATE(2719)] = 32836,
  [SMALL_STATE(2720)] = 32945,
  [SMALL_STATE(2721)] = 33054,
  [SMALL_STATE(2722)] = 33167,
  [SMALL_STATE(2723)] = 33276,
  [SMALL_STATE(2724)] = 33341,
  [SMALL_STATE(2725)] = 33414,
  [SMALL_STATE(2726)] = 33497,
  [SMALL_STATE(2727)] = 33580,
  [SMALL_STATE(2728)] = 33663,
  [SMALL_STATE(2729)] = 33776,
  [SMALL_STATE(2730)] = 33842,
  [SMALL_STATE(2731)] = 33952,
  [SMALL_STATE(2732)] = 34018,
  [SMALL_STATE(2733)] = 34090,
  [SMALL_STATE(2734)] = 34200,
  [SMALL_STATE(2735)] = 34266,
  [SMALL_STATE(2736)] = 34330,
  [SMALL_STATE(2737)] = 34394,
  [SMALL_STATE(2738)] = 34458,
  [SMALL_STATE(2739)] = 34524,
  [SMALL_STATE(2740)] = 34596,
  [SMALL_STATE(2741)] = 34706,
  [SMALL_STATE(2742)] = 34774,
  [SMALL_STATE(2743)] = 34838,
  [SMALL_STATE(2744)] = 34948,
  [SMALL_STATE(2745)] = 35058,
  [SMALL_STATE(2746)] = 35124,
  [SMALL_STATE(2747)] = 35188,
  [SMALL_STATE(2748)] = 35254,
  [SMALL_STATE(2749)] = 35320,
  [SMALL_STATE(2750)] = 35430,
  [SMALL_STATE(2751)] = 35504,
  [SMALL_STATE(2752)] = 35570,
  [SMALL_STATE(2753)] = 35680,
  [SMALL_STATE(2754)] = 35744,
  [SMALL_STATE(2755)] = 35810,
  [SMALL_STATE(2756)] = 35876,
  [SMALL_STATE(2757)] = 35940,
  [SMALL_STATE(2758)] = 36006,
  [SMALL_STATE(2759)] = 36074,
  [SMALL_STATE(2760)] = 36138,
  [SMALL_STATE(2761)] = 36202,
  [SMALL_STATE(2762)] = 36278,
  [SMALL_STATE(2763)] = 36344,
  [SMALL_STATE(2764)] = 36454,
  [SMALL_STATE(2765)] = 36532,
  [SMALL_STATE(2766)] = 36604,
  [SMALL_STATE(2767)] = 36714,
  [SMALL_STATE(2768)] = 36790,
  [SMALL_STATE(2769)] = 36900,
  [SMALL_STATE(2770)] = 36964,
  [SMALL_STATE(2771)] = 37074,
  [SMALL_STATE(2772)] = 37138,
  [SMALL_STATE(2773)] = 37202,
  [SMALL_STATE(2774)] = 37312,
  [SMALL_STATE(2775)] = 37376,
  [SMALL_STATE(2776)] = 37442,
  [SMALL_STATE(2777)] = 37558,
  [SMALL_STATE(2778)] = 37674,
  [SMALL_STATE(2779)] = 37742,
  [SMALL_STATE(2780)] = 37810,
  [SMALL_STATE(2781)] = 37920,
  [SMALL_STATE(2782)] = 38030,
  [SMALL_STATE(2783)] = 38094,
  [SMALL_STATE(2784)] = 38204,
  [SMALL_STATE(2785)] = 38314,
  [SMALL_STATE(2786)] = 38378,
  [SMALL_STATE(2787)] = 38446,
  [SMALL_STATE(2788)] = 38512,
  [SMALL_STATE(2789)] = 38576,
  [SMALL_STATE(2790)] = 38644,
  [SMALL_STATE(2791)] = 38712,
  [SMALL_STATE(2792)] = 38788,
  [SMALL_STATE(2793)] = 38898,
  [SMALL_STATE(2794)] = 38966,
  [SMALL_STATE(2795)] = 39034,
  [SMALL_STATE(2796)] = 39100,
  [SMALL_STATE(2797)] = 39166,
  [SMALL_STATE(2798)] = 39276,
  [SMALL_STATE(2799)] = 39386,
  [SMALL_STATE(2800)] = 39454,
  [SMALL_STATE(2801)] = 39522,
  [SMALL_STATE(2802)] = 39588,
  [SMALL_STATE(2803)] = 39698,
  [SMALL_STATE(2804)] = 39808,
  [SMALL_STATE(2805)] = 39918,
  [SMALL_STATE(2806)] = 40028,
  [SMALL_STATE(2807)] = 40096,
  [SMALL_STATE(2808)] = 40164,
  [SMALL_STATE(2809)] = 40230,
  [SMALL_STATE(2810)] = 40340,
  [SMALL_STATE(2811)] = 40404,
  [SMALL_STATE(2812)] = 40470,
  [SMALL_STATE(2813)] = 40534,
  [SMALL_STATE(2814)] = 40598,
  [SMALL_STATE(2815)] = 40671,
  [SMALL_STATE(2816)] = 40786,
  [SMALL_STATE(2817)] = 40883,
  [SMALL_STATE(2818)] = 40956,
  [SMALL_STATE(2819)] = 41019,
  [SMALL_STATE(2820)] = 41114,
  [SMALL_STATE(2821)] = 41181,
  [SMALL_STATE(2822)] = 41272,
  [SMALL_STATE(2823)] = 41335,
  [SMALL_STATE(2824)] = 41424,
  [SMALL_STATE(2825)] = 41487,
  [SMALL_STATE(2826)] = 41554,
  [SMALL_STATE(2827)] = 41669,
  [SMALL_STATE(2828)] = 41736,
  [SMALL_STATE(2829)] = 41805,
  [SMALL_STATE(2830)] = 41920,
  [SMALL_STATE(2831)] = 42035,
  [SMALL_STATE(2832)] = 42148,
  [SMALL_STATE(2833)] = 42217,
  [SMALL_STATE(2834)] = 42332,
  [SMALL_STATE(2835)] = 42399,
  [SMALL_STATE(2836)] = 42484,
  [SMALL_STATE(2837)] = 42547,
  [SMALL_STATE(2838)] = 42626,
  [SMALL_STATE(2839)] = 42689,
  [SMALL_STATE(2840)] = 42770,
  [SMALL_STATE(2841)] = 42837,
  [SMALL_STATE(2842)] = 42952,
  [SMALL_STATE(2843)] = 43061,
  [SMALL_STATE(2844)] = 43128,
  [SMALL_STATE(2845)] = 43195,
  [SMALL_STATE(2846)] = 43308,
  [SMALL_STATE(2847)] = 43375,
  [SMALL_STATE(2848)] = 43442,
  [SMALL_STATE(2849)] = 43603,
  [SMALL_STATE(2850)] = 43686,
  [SMALL_STATE(2851)] = 43753,
  [SMALL_STATE(2852)] = 43820,
  [SMALL_STATE(2853)] = 43887,
  [SMALL_STATE(2854)] = 43950,
  [SMALL_STATE(2855)] = 44017,
  [SMALL_STATE(2856)] = 44084,
  [SMALL_STATE(2857)] = 44151,
  [SMALL_STATE(2858)] = 44218,
  [SMALL_STATE(2859)] = 44285,
  [SMALL_STATE(2860)] = 44364,
  [SMALL_STATE(2861)] = 44427,
  [SMALL_STATE(2862)] = 44490,
  [SMALL_STATE(2863)] = 44553,
  [SMALL_STATE(2864)] = 44662,
  [SMALL_STATE(2865)] = 44729,
  [SMALL_STATE(2866)] = 44890,
  [SMALL_STATE(2867)] = 44961,
  [SMALL_STATE(2868)] = 45034,
  [SMALL_STATE(2869)] = 45101,
  [SMALL_STATE(2870)] = 45210,
  [SMALL_STATE(2871)] = 45311,
  [SMALL_STATE(2872)] = 45416,
  [SMALL_STATE(2873)] = 45481,
  [SMALL_STATE(2874)] = 45544,
  [SMALL_STATE(2875)] = 45611,
  [SMALL_STATE(2876)] = 45690,
  [SMALL_STATE(2877)] = 45769,
  [SMALL_STATE(2878)] = 45840,
  [SMALL_STATE(2879)] = 45903,
  [SMALL_STATE(2880)] = 45968,
  [SMALL_STATE(2881)] = 46031,
  [SMALL_STATE(2882)] = 46102,
  [SMALL_STATE(2883)] = 46215,
  [SMALL_STATE(2884)] = 46278,
  [SMALL_STATE(2885)] = 46345,
  [SMALL_STATE(2886)] = 46454,
  [SMALL_STATE(2887)] = 46521,
  [SMALL_STATE(2888)] = 46682,
  [SMALL_STATE(2889)] = 46791,
  [SMALL_STATE(2890)] = 46858,
  [SMALL_STATE(2891)] = 46927,
  [SMALL_STATE(2892)] = 47042,
  [SMALL_STATE(2893)] = 47157,
  [SMALL_STATE(2894)] = 47224,
  [SMALL_STATE(2895)] = 47303,
  [SMALL_STATE(2896)] = 47376,
  [SMALL_STATE(2897)] = 47439,
  [SMALL_STATE(2898)] = 47506,
  [SMALL_STATE(2899)] = 47579,
  [SMALL_STATE(2900)] = 47648,
  [SMALL_STATE(2901)] = 47710,
  [SMALL_STATE(2902)] = 47774,
  [SMALL_STATE(2903)] = 47840,
  [SMALL_STATE(2904)] = 47906,
  [SMALL_STATE(2905)] = 47972,
  [SMALL_STATE(2906)] = 48038,
  [SMALL_STATE(2907)] = 48104,
  [SMALL_STATE(2908)] = 48172,
  [SMALL_STATE(2909)] = 48234,
  [SMALL_STATE(2910)] = 48302,
  [SMALL_STATE(2911)] = 48364,
  [SMALL_STATE(2912)] = 48426,
  [SMALL_STATE(2913)] = 48488,
  [SMALL_STATE(2914)] = 48554,
  [SMALL_STATE(2915)] = 48622,
  [SMALL_STATE(2916)] = 48684,
  [SMALL_STATE(2917)] = 48746,
  [SMALL_STATE(2918)] = 48816,
  [SMALL_STATE(2919)] = 48878,
  [SMALL_STATE(2920)] = 48940,
  [SMALL_STATE(2921)] = 49002,
  [SMALL_STATE(2922)] = 49114,
  [SMALL_STATE(2923)] = 49186,
  [SMALL_STATE(2924)] = 49248,
  [SMALL_STATE(2925)] = 49318,
  [SMALL_STATE(2926)] = 49390,
  [SMALL_STATE(2927)] = 49470,
  [SMALL_STATE(2928)] = 49540,
  [SMALL_STATE(2929)] = 49606,
  [SMALL_STATE(2930)] = 49668,
  [SMALL_STATE(2931)] = 49732,
  [SMALL_STATE(2932)] = 49794,
  [SMALL_STATE(2933)] = 49856,
  [SMALL_STATE(2934)] = 49918,
  [SMALL_STATE(2935)] = 49986,
  [SMALL_STATE(2936)] = 50060,
  [SMALL_STATE(2937)] = 50126,
  [SMALL_STATE(2938)] = 50188,
  [SMALL_STATE(2939)] = 50260,
  [SMALL_STATE(2940)] = 50322,
  [SMALL_STATE(2941)] = 50388,
  [SMALL_STATE(2942)] = 50502,
  [SMALL_STATE(2943)] = 50572,
  [SMALL_STATE(2944)] = 50686,
  [SMALL_STATE(2945)] = 50752,
  [SMALL_STATE(2946)] = 50814,
  [SMALL_STATE(2947)] = 50880,
  [SMALL_STATE(2948)] = 50942,
  [SMALL_STATE(2949)] = 51004,
  [SMALL_STATE(2950)] = 51066,
  [SMALL_STATE(2951)] = 51140,
  [SMALL_STATE(2952)] = 51202,
  [SMALL_STATE(2953)] = 51264,
  [SMALL_STATE(2954)] = 51326,
  [SMALL_STATE(2955)] = 51388,
  [SMALL_STATE(2956)] = 51454,
  [SMALL_STATE(2957)] = 51516,
  [SMALL_STATE(2958)] = 51588,
  [SMALL_STATE(2959)] = 51654,
  [SMALL_STATE(2960)] = 51728,
  [SMALL_STATE(2961)] = 51792,
  [SMALL_STATE(2962)] = 51860,
  [SMALL_STATE(2963)] = 51938,
  [SMALL_STATE(2964)] = 52000,
  [SMALL_STATE(2965)] = 52114,
  [SMALL_STATE(2966)] = 52180,
  [SMALL_STATE(2967)] = 52246,
  [SMALL_STATE(2968)] = 52360,
  [SMALL_STATE(2969)] = 52422,
  [SMALL_STATE(2970)] = 52484,
  [SMALL_STATE(2971)] = 52546,
  [SMALL_STATE(2972)] = 52608,
  [SMALL_STATE(2973)] = 52670,
  [SMALL_STATE(2974)] = 52742,
  [SMALL_STATE(2975)] = 52810,
  [SMALL_STATE(2976)] = 52882,
  [SMALL_STATE(2977)] = 52944,
  [SMALL_STATE(2978)] = 53010,
  [SMALL_STATE(2979)] = 53076,
  [SMALL_STATE(2980)] = 53138,
  [SMALL_STATE(2981)] = 53200,
  [SMALL_STATE(2982)] = 53262,
  [SMALL_STATE(2983)] = 53324,
  [SMALL_STATE(2984)] = 53386,
  [SMALL_STATE(2985)] = 53458,
  [SMALL_STATE(2986)] = 53520,
  [SMALL_STATE(2987)] = 53582,
  [SMALL_STATE(2988)] = 53644,
  [SMALL_STATE(2989)] = 53706,
  [SMALL_STATE(2990)] = 53768,
  [SMALL_STATE(2991)] = 53833,
  [SMALL_STATE(2992)] = 53894,
  [SMALL_STATE(2993)] = 53955,
  [SMALL_STATE(2994)] = 54064,
  [SMALL_STATE(2995)] = 54125,
  [SMALL_STATE(2996)] = 54186,
  [SMALL_STATE(2997)] = 54295,
  [SMALL_STATE(2998)] = 54356,
  [SMALL_STATE(2999)] = 54417,
  [SMALL_STATE(3000)] = 54478,
  [SMALL_STATE(3001)] = 54587,
  [SMALL_STATE(3002)] = 54696,
  [SMALL_STATE(3003)] = 54807,
  [SMALL_STATE(3004)] = 54874,
  [SMALL_STATE(3005)] = 54949,
  [SMALL_STATE(3006)] = 55010,
  [SMALL_STATE(3007)] = 55087,
  [SMALL_STATE(3008)] = 55196,
  [SMALL_STATE(3009)] = 55257,
  [SMALL_STATE(3010)] = 55324,
  [SMALL_STATE(3011)] = 55389,
  [SMALL_STATE(3012)] = 55450,
  [SMALL_STATE(3013)] = 55515,
  [SMALL_STATE(3014)] = 55622,
  [SMALL_STATE(3015)] = 55683,
  [SMALL_STATE(3016)] = 55792,
  [SMALL_STATE(3017)] = 55901,
  [SMALL_STATE(3018)] = 56008,
  [SMALL_STATE(3019)] = 56069,
  [SMALL_STATE(3020)] = 56172,
  [SMALL_STATE(3021)] = 56281,
  [SMALL_STATE(3022)] = 56380,
  [SMALL_STATE(3023)] = 56489,
  [SMALL_STATE(3024)] = 56554,
  [SMALL_STATE(3025)] = 56629,
  [SMALL_STATE(3026)] = 56738,
  [SMALL_STATE(3027)] = 56847,
  [SMALL_STATE(3028)] = 56956,
  [SMALL_STATE(3029)] = 57063,
  [SMALL_STATE(3030)] = 57128,
  [SMALL_STATE(3031)] = 57235,
  [SMALL_STATE(3032)] = 57296,
  [SMALL_STATE(3033)] = 57405,
  [SMALL_STATE(3034)] = 57500,
  [SMALL_STATE(3035)] = 57561,
  [SMALL_STATE(3036)] = 57622,
  [SMALL_STATE(3037)] = 57715,
  [SMALL_STATE(3038)] = 57824,
  [SMALL_STATE(3039)] = 57913,
  [SMALL_STATE(3040)] = 58000,
  [SMALL_STATE(3041)] = 58109,
  [SMALL_STATE(3042)] = 58218,
  [SMALL_STATE(3043)] = 58301,
  [SMALL_STATE(3044)] = 58380,
  [SMALL_STATE(3045)] = 58489,
  [SMALL_STATE(3046)] = 58550,
  [SMALL_STATE(3047)] = 58611,
  [SMALL_STATE(3048)] = 58676,
  [SMALL_STATE(3049)] = 58787,
  [SMALL_STATE(3050)] = 58896,
  [SMALL_STATE(3051)] = 58957,
  [SMALL_STATE(3052)] = 59066,
  [SMALL_STATE(3053)] = 59175,
  [SMALL_STATE(3054)] = 59282,
  [SMALL_STATE(3055)] = 59391,
  [SMALL_STATE(3056)] = 59452,
  [SMALL_STATE(3057)] = 59519,
  [SMALL_STATE(3058)] = 59594,
  [SMALL_STATE(3059)] = 59703,
  [SMALL_STATE(3060)] = 59764,
  [SMALL_STATE(3061)] = 59837,
  [SMALL_STATE(3062)] = 59944,
  [SMALL_STATE(3063)] = 60009,
  [SMALL_STATE(3064)] = 60118,
  [SMALL_STATE(3065)] = 60183,
  [SMALL_STATE(3066)] = 60244,
  [SMALL_STATE(3067)] = 60325,
  [SMALL_STATE(3068)] = 60390,
  [SMALL_STATE(3069)] = 60451,
  [SMALL_STATE(3070)] = 60560,
  [SMALL_STATE(3071)] = 60669,
  [SMALL_STATE(3072)] = 60734,
  [SMALL_STATE(3073)] = 60845,
  [SMALL_STATE(3074)] = 60912,
  [SMALL_STATE(3075)] = 61021,
  [SMALL_STATE(3076)] = 61130,
  [SMALL_STATE(3077)] = 61191,
  [SMALL_STATE(3078)] = 61252,
  [SMALL_STATE(3079)] = 61313,
  [SMALL_STATE(3080)] = 61374,
  [SMALL_STATE(3081)] = 61483,
  [SMALL_STATE(3082)] = 61592,
  [SMALL_STATE(3083)] = 61699,
  [SMALL_STATE(3084)] = 61810,
  [SMALL_STATE(3085)] = 61919,
  [SMALL_STATE(3086)] = 61980,
  [SMALL_STATE(3087)] = 62087,
  [SMALL_STATE(3088)] = 62198,
  [SMALL_STATE(3089)] = 62307,
  [SMALL_STATE(3090)] = 62368,
  [SMALL_STATE(3091)] = 62429,
  [SMALL_STATE(3092)] = 62496,
  [SMALL_STATE(3093)] = 62605,
  [SMALL_STATE(3094)] = 62714,
  [SMALL_STATE(3095)] = 62823,
  [SMALL_STATE(3096)] = 62886,
  [SMALL_STATE(3097)] = 62993,
  [SMALL_STATE(3098)] = 63054,
  [SMALL_STATE(3099)] = 63115,
  [SMALL_STATE(3100)] = 63176,
  [SMALL_STATE(3101)] = 63241,
  [SMALL_STATE(3102)] = 63350,
  [SMALL_STATE(3103)] = 63459,
  [SMALL_STATE(3104)] = 63524,
  [SMALL_STATE(3105)] = 63633,
  [SMALL_STATE(3106)] = 63698,
  [SMALL_STATE(3107)] = 63773,
  [SMALL_STATE(3108)] = 63838,
  [SMALL_STATE(3109)] = 63947,
  [SMALL_STATE(3110)] = 64056,
  [SMALL_STATE(3111)] = 64163,
  [SMALL_STATE(3112)] = 64228,
  [SMALL_STATE(3113)] = 64295,
  [SMALL_STATE(3114)] = 64404,
  [SMALL_STATE(3115)] = 64513,
  [SMALL_STATE(3116)] = 64622,
  [SMALL_STATE(3117)] = 64683,
  [SMALL_STATE(3118)] = 64794,
  [SMALL_STATE(3119)] = 64861,
  [SMALL_STATE(3120)] = 64970,
  [SMALL_STATE(3121)] = 65079,
  [SMALL_STATE(3122)] = 65154,
  [SMALL_STATE(3123)] = 65263,
  [SMALL_STATE(3124)] = 65338,
  [SMALL_STATE(3125)] = 65447,
  [SMALL_STATE(3126)] = 65560,
  [SMALL_STATE(3127)] = 65669,
  [SMALL_STATE(3128)] = 65778,
  [SMALL_STATE(3129)] = 65887,
  [SMALL_STATE(3130)] = 65996,
  [SMALL_STATE(3131)] = 66105,
  [SMALL_STATE(3132)] = 66214,
  [SMALL_STATE(3133)] = 66277,
  [SMALL_STATE(3134)] = 66386,
  [SMALL_STATE(3135)] = 66495,
  [SMALL_STATE(3136)] = 66604,
  [SMALL_STATE(3137)] = 66665,
  [SMALL_STATE(3138)] = 66774,
  [SMALL_STATE(3139)] = 66839,
  [SMALL_STATE(3140)] = 66952,
  [SMALL_STATE(3141)] = 67061,
  [SMALL_STATE(3142)] = 67122,
  [SMALL_STATE(3143)] = 67189,
  [SMALL_STATE(3144)] = 67254,
  [SMALL_STATE(3145)] = 67319,
  [SMALL_STATE(3146)] = 67384,
  [SMALL_STATE(3147)] = 67493,
  [SMALL_STATE(3148)] = 67566,
  [SMALL_STATE(3149)] = 67675,
  [SMALL_STATE(3150)] = 67784,
  [SMALL_STATE(3151)] = 67893,
  [SMALL_STATE(3152)] = 67970,
  [SMALL_STATE(3153)] = 68079,
  [SMALL_STATE(3154)] = 68146,
  [SMALL_STATE(3155)] = 68255,
  [SMALL_STATE(3156)] = 68364,
  [SMALL_STATE(3157)] = 68473,
  [SMALL_STATE(3158)] = 68548,
  [SMALL_STATE(3159)] = 68651,
  [SMALL_STATE(3160)] = 68760,
  [SMALL_STATE(3161)] = 68869,
  [SMALL_STATE(3162)] = 68968,
  [SMALL_STATE(3163)] = 69063,
  [SMALL_STATE(3164)] = 69156,
  [SMALL_STATE(3165)] = 69221,
  [SMALL_STATE(3166)] = 69310,
  [SMALL_STATE(3167)] = 69373,
  [SMALL_STATE(3168)] = 69460,
  [SMALL_STATE(3169)] = 69543,
  [SMALL_STATE(3170)] = 69624,
  [SMALL_STATE(3171)] = 69703,
  [SMALL_STATE(3172)] = 69770,
  [SMALL_STATE(3173)] = 69839,
  [SMALL_STATE(3174)] = 69948,
  [SMALL_STATE(3175)] = 70008,
  [SMALL_STATE(3176)] = 70114,
  [SMALL_STATE(3177)] = 70212,
  [SMALL_STATE(3178)] = 70272,
  [SMALL_STATE(3179)] = 70340,
  [SMALL_STATE(3180)] = 70406,
  [SMALL_STATE(3181)] = 70466,
  [SMALL_STATE(3182)] = 70542,
  [SMALL_STATE(3183)] = 70608,
  [SMALL_STATE(3184)] = 70670,
  [SMALL_STATE(3185)] = 70736,
  [SMALL_STATE(3186)] = 70842,
  [SMALL_STATE(3187)] = 70910,
  [SMALL_STATE(3188)] = 70972,
  [SMALL_STATE(3189)] = 71078,
  [SMALL_STATE(3190)] = 71138,
  [SMALL_STATE(3191)] = 71242,
  [SMALL_STATE(3192)] = 71348,
  [SMALL_STATE(3193)] = 71504,
  [SMALL_STATE(3194)] = 71614,
  [SMALL_STATE(3195)] = 71720,
  [SMALL_STATE(3196)] = 71786,
  [SMALL_STATE(3197)] = 71846,
  [SMALL_STATE(3198)] = 71918,
  [SMALL_STATE(3199)] = 71978,
  [SMALL_STATE(3200)] = 72042,
  [SMALL_STATE(3201)] = 72102,
  [SMALL_STATE(3202)] = 72162,
  [SMALL_STATE(3203)] = 72268,
  [SMALL_STATE(3204)] = 72378,
  [SMALL_STATE(3205)] = 72484,
  [SMALL_STATE(3206)] = 72546,
  [SMALL_STATE(3207)] = 72606,
  [SMALL_STATE(3208)] = 72714,
  [SMALL_STATE(3209)] = 72788,
  [SMALL_STATE(3210)] = 72854,
  [SMALL_STATE(3211)] = 73010,
  [SMALL_STATE(3212)] = 73090,
  [SMALL_STATE(3213)] = 73188,
  [SMALL_STATE(3214)] = 73266,
  [SMALL_STATE(3215)] = 73348,
  [SMALL_STATE(3216)] = 73452,
  [SMALL_STATE(3217)] = 73514,
  [SMALL_STATE(3218)] = 73576,
  [SMALL_STATE(3219)] = 73646,
  [SMALL_STATE(3220)] = 73802,
  [SMALL_STATE(3221)] = 73862,
  [SMALL_STATE(3222)] = 73968,
  [SMALL_STATE(3223)] = 74036,
  [SMALL_STATE(3224)] = 74096,
  [SMALL_STATE(3225)] = 74182,
  [SMALL_STATE(3226)] = 74242,
  [SMALL_STATE(3227)] = 74330,
  [SMALL_STATE(3228)] = 74430,
  [SMALL_STATE(3229)] = 74490,
  [SMALL_STATE(3230)] = 74582,
  [SMALL_STATE(3231)] = 74642,
  [SMALL_STATE(3232)] = 74736,
  [SMALL_STATE(3233)] = 74892,
  [SMALL_STATE(3234)] = 74952,
  [SMALL_STATE(3235)] = 75050,
  [SMALL_STATE(3236)] = 75206,
  [SMALL_STATE(3237)] = 75266,
  [SMALL_STATE(3238)] = 75332,
  [SMALL_STATE(3239)] = 75430,
  [SMALL_STATE(3240)] = 75532,
  [SMALL_STATE(3241)] = 75606,
  [SMALL_STATE(3242)] = 75666,
  [SMALL_STATE(3243)] = 75738,
  [SMALL_STATE(3244)] = 75798,
  [SMALL_STATE(3245)] = 75858,
  [SMALL_STATE(3246)] = 75964,
  [SMALL_STATE(3247)] = 76024,
  [SMALL_STATE(3248)] = 76084,
  [SMALL_STATE(3249)] = 76190,
  [SMALL_STATE(3250)] = 76258,
  [SMALL_STATE(3251)] = 76318,
  [SMALL_STATE(3252)] = 76398,
  [SMALL_STATE(3253)] = 76512,
  [SMALL_STATE(3254)] = 76578,
  [SMALL_STATE(3255)] = 76638,
  [SMALL_STATE(3256)] = 76708,
  [SMALL_STATE(3257)] = 76768,
  [SMALL_STATE(3258)] = 76924,
  [SMALL_STATE(3259)] = 76984,
  [SMALL_STATE(3260)] = 77064,
  [SMALL_STATE(3261)] = 77124,
  [SMALL_STATE(3262)] = 77184,
  [SMALL_STATE(3263)] = 77290,
  [SMALL_STATE(3264)] = 77350,
  [SMALL_STATE(3265)] = 77454,
  [SMALL_STATE(3266)] = 77552,
  [SMALL_STATE(3267)] = 77708,
  [SMALL_STATE(3268)] = 77782,
  [SMALL_STATE(3269)] = 77856,
  [SMALL_STATE(3270)] = 77916,
  [SMALL_STATE(3271)] = 77976,
  [SMALL_STATE(3272)] = 78050,
  [SMALL_STATE(3273)] = 78126,
  [SMALL_STATE(3274)] = 78232,
  [SMALL_STATE(3275)] = 78338,
  [SMALL_STATE(3276)] = 78404,
  [SMALL_STATE(3277)] = 78514,
  [SMALL_STATE(3278)] = 78586,
  [SMALL_STATE(3279)] = 78650,
  [SMALL_STATE(3280)] = 78722,
  [SMALL_STATE(3281)] = 78828,
  [SMALL_STATE(3282)] = 78888,
  [SMALL_STATE(3283)] = 78952,
  [SMALL_STATE(3284)] = 79056,
  [SMALL_STATE(3285)] = 79120,
  [SMALL_STATE(3286)] = 79226,
  [SMALL_STATE(3287)] = 79382,
  [SMALL_STATE(3288)] = 79456,
  [SMALL_STATE(3289)] = 79564,
  [SMALL_STATE(3290)] = 79670,
  [SMALL_STATE(3291)] = 79776,
  [SMALL_STATE(3292)] = 79884,
  [SMALL_STATE(3293)] = 79990,
  [SMALL_STATE(3294)] = 80050,
  [SMALL_STATE(3295)] = 80110,
  [SMALL_STATE(3296)] = 80188,
  [SMALL_STATE(3297)] = 80294,
  [SMALL_STATE(3298)] = 80356,
  [SMALL_STATE(3299)] = 80416,
  [SMALL_STATE(3300)] = 80498,
  [SMALL_STATE(3301)] = 80572,
  [SMALL_STATE(3302)] = 80656,
  [SMALL_STATE(3303)] = 80730,
  [SMALL_STATE(3304)] = 80816,
  [SMALL_STATE(3305)] = 80876,
  [SMALL_STATE(3306)] = 80936,
  [SMALL_STATE(3307)] = 80996,
  [SMALL_STATE(3308)] = 81056,
  [SMALL_STATE(3309)] = 81116,
  [SMALL_STATE(3310)] = 81176,
  [SMALL_STATE(3311)] = 81240,
  [SMALL_STATE(3312)] = 81314,
  [SMALL_STATE(3313)] = 81380,
  [SMALL_STATE(3314)] = 81440,
  [SMALL_STATE(3315)] = 81546,
  [SMALL_STATE(3316)] = 81618,
  [SMALL_STATE(3317)] = 81722,
  [SMALL_STATE(3318)] = 81798,
  [SMALL_STATE(3319)] = 81858,
  [SMALL_STATE(3320)] = 81954,
  [SMALL_STATE(3321)] = 82110,
  [SMALL_STATE(3322)] = 82202,
  [SMALL_STATE(3323)] = 82276,
  [SMALL_STATE(3324)] = 82348,
  [SMALL_STATE(3325)] = 82438,
  [SMALL_STATE(3326)] = 82497,
  [SMALL_STATE(3327)] = 82556,
  [SMALL_STATE(3328)] = 82623,
  [SMALL_STATE(3329)] = 82682,
  [SMALL_STATE(3330)] = 82741,
  [SMALL_STATE(3331)] = 82836,
  [SMALL_STATE(3332)] = 82895,
  [SMALL_STATE(3333)] = 82954,
  [SMALL_STATE(3334)] = 83013,
  [SMALL_STATE(3335)] = 83124,
  [SMALL_STATE(3336)] = 83183,
  [SMALL_STATE(3337)] = 83242,
  [SMALL_STATE(3338)] = 83301,
  [SMALL_STATE(3339)] = 83360,
  [SMALL_STATE(3340)] = 83419,
  [SMALL_STATE(3341)] = 83486,
  [SMALL_STATE(3342)] = 83545,
  [SMALL_STATE(3343)] = 83604,
  [SMALL_STATE(3344)] = 83663,
  [SMALL_STATE(3345)] = 83722,
  [SMALL_STATE(3346)] = 83781,
  [SMALL_STATE(3347)] = 83840,
  [SMALL_STATE(3348)] = 83899,
  [SMALL_STATE(3349)] = 83958,
  [SMALL_STATE(3350)] = 84017,
  [SMALL_STATE(3351)] = 84076,
  [SMALL_STATE(3352)] = 84141,
  [SMALL_STATE(3353)] = 84200,
  [SMALL_STATE(3354)] = 84259,
  [SMALL_STATE(3355)] = 84318,
  [SMALL_STATE(3356)] = 84377,
  [SMALL_STATE(3357)] = 84440,
  [SMALL_STATE(3358)] = 84499,
  [SMALL_STATE(3359)] = 84558,
  [SMALL_STATE(3360)] = 84617,
  [SMALL_STATE(3361)] = 84676,
  [SMALL_STATE(3362)] = 84735,
  [SMALL_STATE(3363)] = 84794,
  [SMALL_STATE(3364)] = 84853,
  [SMALL_STATE(3365)] = 84922,
  [SMALL_STATE(3366)] = 84981,
  [SMALL_STATE(3367)] = 85040,
  [SMALL_STATE(3368)] = 85099,
  [SMALL_STATE(3369)] = 85158,
  [SMALL_STATE(3370)] = 85217,
  [SMALL_STATE(3371)] = 85276,
  [SMALL_STATE(3372)] = 85335,
  [SMALL_STATE(3373)] = 85394,
  [SMALL_STATE(3374)] = 85453,
  [SMALL_STATE(3375)] = 85520,
  [SMALL_STATE(3376)] = 85589,
  [SMALL_STATE(3377)] = 85658,
  [SMALL_STATE(3378)] = 85717,
  [SMALL_STATE(3379)] = 85776,
  [SMALL_STATE(3380)] = 85835,
  [SMALL_STATE(3381)] = 85894,
  [SMALL_STATE(3382)] = 85953,
  [SMALL_STATE(3383)] = 86012,
  [SMALL_STATE(3384)] = 86071,
  [SMALL_STATE(3385)] = 86130,
  [SMALL_STATE(3386)] = 86189,
  [SMALL_STATE(3387)] = 86248,
  [SMALL_STATE(3388)] = 86307,
  [SMALL_STATE(3389)] = 86366,
  [SMALL_STATE(3390)] = 86425,
  [SMALL_STATE(3391)] = 86484,
  [SMALL_STATE(3392)] = 86543,
  [SMALL_STATE(3393)] = 86602,
  [SMALL_STATE(3394)] = 86661,
  [SMALL_STATE(3395)] = 86720,
  [SMALL_STATE(3396)] = 86781,
  [SMALL_STATE(3397)] = 86840,
  [SMALL_STATE(3398)] = 86899,
  [SMALL_STATE(3399)] = 87010,
  [SMALL_STATE(3400)] = 87069,
  [SMALL_STATE(3401)] = 87134,
  [SMALL_STATE(3402)] = 87193,
  [SMALL_STATE(3403)] = 87256,
  [SMALL_STATE(3404)] = 87315,
  [SMALL_STATE(3405)] = 87374,
  [SMALL_STATE(3406)] = 87443,
  [SMALL_STATE(3407)] = 87502,
  [SMALL_STATE(3408)] = 87561,
  [SMALL_STATE(3409)] = 87620,
  [SMALL_STATE(3410)] = 87679,
  [SMALL_STATE(3411)] = 87738,
  [SMALL_STATE(3412)] = 87801,
  [SMALL_STATE(3413)] = 87868,
  [SMALL_STATE(3414)] = 87927,
  [SMALL_STATE(3415)] = 87986,
  [SMALL_STATE(3416)] = 88045,
  [SMALL_STATE(3417)] = 88104,
  [SMALL_STATE(3418)] = 88163,
  [SMALL_STATE(3419)] = 88222,
  [SMALL_STATE(3420)] = 88289,
  [SMALL_STATE(3421)] = 88400,
  [SMALL_STATE(3422)] = 88459,
  [SMALL_STATE(3423)] = 88518,
  [SMALL_STATE(3424)] = 88585,
  [SMALL_STATE(3425)] = 88644,
  [SMALL_STATE(3426)] = 88703,
  [SMALL_STATE(3427)] = 88762,
  [SMALL_STATE(3428)] = 88821,
  [SMALL_STATE(3429)] = 88880,
  [SMALL_STATE(3430)] = 88939,
  [SMALL_STATE(3431)] = 88998,
  [SMALL_STATE(3432)] = 89057,
  [SMALL_STATE(3433)] = 89116,
  [SMALL_STATE(3434)] = 89175,
  [SMALL_STATE(3435)] = 89234,
  [SMALL_STATE(3436)] = 89293,
  [SMALL_STATE(3437)] = 89356,
  [SMALL_STATE(3438)] = 89415,
  [SMALL_STATE(3439)] = 89482,
  [SMALL_STATE(3440)] = 89541,
  [SMALL_STATE(3441)] = 89600,
  [SMALL_STATE(3442)] = 89659,
  [SMALL_STATE(3443)] = 89718,
  [SMALL_STATE(3444)] = 89777,
  [SMALL_STATE(3445)] = 89888,
  [SMALL_STATE(3446)] = 89983,
  [SMALL_STATE(3447)] = 90042,
  [SMALL_STATE(3448)] = 90107,
  [SMALL_STATE(3449)] = 90166,
  [SMALL_STATE(3450)] = 90225,
  [SMALL_STATE(3451)] = 90284,
  [SMALL_STATE(3452)] = 90343,
  [SMALL_STATE(3453)] = 90402,
  [SMALL_STATE(3454)] = 90461,
  [SMALL_STATE(3455)] = 90520,
  [SMALL_STATE(3456)] = 90579,
  [SMALL_STATE(3457)] = 90638,
  [SMALL_STATE(3458)] = 90697,
  [SMALL_STATE(3459)] = 90758,
  [SMALL_STATE(3460)] = 90817,
  [SMALL_STATE(3461)] = 90876,
  [SMALL_STATE(3462)] = 90935,
  [SMALL_STATE(3463)] = 90996,
  [SMALL_STATE(3464)] = 91055,
  [SMALL_STATE(3465)] = 91114,
  [SMALL_STATE(3466)] = 91173,
  [SMALL_STATE(3467)] = 91232,
  [SMALL_STATE(3468)] = 91291,
  [SMALL_STATE(3469)] = 91350,
  [SMALL_STATE(3470)] = 91409,
  [SMALL_STATE(3471)] = 91468,
  [SMALL_STATE(3472)] = 91527,
  [SMALL_STATE(3473)] = 91586,
  [SMALL_STATE(3474)] = 91645,
  [SMALL_STATE(3475)] = 91704,
  [SMALL_STATE(3476)] = 91763,
  [SMALL_STATE(3477)] = 91822,
  [SMALL_STATE(3478)] = 91881,
  [SMALL_STATE(3479)] = 91940,
  [SMALL_STATE(3480)] = 91999,
  [SMALL_STATE(3481)] = 92058,
  [SMALL_STATE(3482)] = 92123,
  [SMALL_STATE(3483)] = 92182,
  [SMALL_STATE(3484)] = 92241,
  [SMALL_STATE(3485)] = 92300,
  [SMALL_STATE(3486)] = 92359,
  [SMALL_STATE(3487)] = 92418,
  [SMALL_STATE(3488)] = 92477,
  [SMALL_STATE(3489)] = 92536,
  [SMALL_STATE(3490)] = 92599,
  [SMALL_STATE(3491)] = 92660,
  [SMALL_STATE(3492)] = 92719,
  [SMALL_STATE(3493)] = 92778,
  [SMALL_STATE(3494)] = 92837,
  [SMALL_STATE(3495)] = 92896,
  [SMALL_STATE(3496)] = 92955,
  [SMALL_STATE(3497)] = 93014,
  [SMALL_STATE(3498)] = 93073,
  [SMALL_STATE(3499)] = 93132,
  [SMALL_STATE(3500)] = 93191,
  [SMALL_STATE(3501)] = 93250,
  [SMALL_STATE(3502)] = 93309,
  [SMALL_STATE(3503)] = 93368,
  [SMALL_STATE(3504)] = 93427,
  [SMALL_STATE(3505)] = 93486,
  [SMALL_STATE(3506)] = 93545,
  [SMALL_STATE(3507)] = 93604,
  [SMALL_STATE(3508)] = 93663,
  [SMALL_STATE(3509)] = 93722,
  [SMALL_STATE(3510)] = 93781,
  [SMALL_STATE(3511)] = 93840,
  [SMALL_STATE(3512)] = 93899,
  [SMALL_STATE(3513)] = 93965,
  [SMALL_STATE(3514)] = 94023,
  [SMALL_STATE(3515)] = 94129,
  [SMALL_STATE(3516)] = 94187,
  [SMALL_STATE(3517)] = 94245,
  [SMALL_STATE(3518)] = 94303,
  [SMALL_STATE(3519)] = 94361,
  [SMALL_STATE(3520)] = 94419,
  [SMALL_STATE(3521)] = 94521,
  [SMALL_STATE(3522)] = 94579,
  [SMALL_STATE(3523)] = 94673,
  [SMALL_STATE(3524)] = 94735,
  [SMALL_STATE(3525)] = 94793,
  [SMALL_STATE(3526)] = 94853,
  [SMALL_STATE(3527)] = 94911,
  [SMALL_STATE(3528)] = 94969,
  [SMALL_STATE(3529)] = 95027,
  [SMALL_STATE(3530)] = 95085,
  [SMALL_STATE(3531)] = 95147,
  [SMALL_STATE(3532)] = 95205,
  [SMALL_STATE(3533)] = 95311,
  [SMALL_STATE(3534)] = 95375,
  [SMALL_STATE(3535)] = 95433,
  [SMALL_STATE(3536)] = 95491,
  [SMALL_STATE(3537)] = 95549,
  [SMALL_STATE(3538)] = 95607,
  [SMALL_STATE(3539)] = 95669,
  [SMALL_STATE(3540)] = 95733,
  [SMALL_STATE(3541)] = 95795,
  [SMALL_STATE(3542)] = 95853,
  [SMALL_STATE(3543)] = 95915,
  [SMALL_STATE(3544)] = 95973,
  [SMALL_STATE(3545)] = 96031,
  [SMALL_STATE(3546)] = 96089,
  [SMALL_STATE(3547)] = 96147,
  [SMALL_STATE(3548)] = 96205,
  [SMALL_STATE(3549)] = 96267,
  [SMALL_STATE(3550)] = 96331,
  [SMALL_STATE(3551)] = 96389,
  [SMALL_STATE(3552)] = 96447,
  [SMALL_STATE(3553)] = 96505,
  [SMALL_STATE(3554)] = 96563,
  [SMALL_STATE(3555)] = 96621,
  [SMALL_STATE(3556)] = 96691,
  [SMALL_STATE(3557)] = 96793,
  [SMALL_STATE(3558)] = 96855,
  [SMALL_STATE(3559)] = 96913,
  [SMALL_STATE(3560)] = 96971,
  [SMALL_STATE(3561)] = 97029,
  [SMALL_STATE(3562)] = 97091,
  [SMALL_STATE(3563)] = 97165,
  [SMALL_STATE(3564)] = 97223,
  [SMALL_STATE(3565)] = 97281,
  [SMALL_STATE(3566)] = 97339,
  [SMALL_STATE(3567)] = 97397,
  [SMALL_STATE(3568)] = 97459,
  [SMALL_STATE(3569)] = 97531,
  [SMALL_STATE(3570)] = 97593,
  [SMALL_STATE(3571)] = 97655,
  [SMALL_STATE(3572)] = 97713,
  [SMALL_STATE(3573)] = 97775,
  [SMALL_STATE(3574)] = 97833,
  [SMALL_STATE(3575)] = 97895,
  [SMALL_STATE(3576)] = 97973,
  [SMALL_STATE(3577)] = 98049,
  [SMALL_STATE(3578)] = 98111,
  [SMALL_STATE(3579)] = 98191,
  [SMALL_STATE(3580)] = 98275,
  [SMALL_STATE(3581)] = 98361,
  [SMALL_STATE(3582)] = 98451,
  [SMALL_STATE(3583)] = 98545,
  [SMALL_STATE(3584)] = 98643,
  [SMALL_STATE(3585)] = 98743,
  [SMALL_STATE(3586)] = 98815,
  [SMALL_STATE(3587)] = 98889,
  [SMALL_STATE(3588)] = 98947,
  [SMALL_STATE(3589)] = 99005,
  [SMALL_STATE(3590)] = 99063,
  [SMALL_STATE(3591)] = 99121,
  [SMALL_STATE(3592)] = 99179,
  [SMALL_STATE(3593)] = 99241,
  [SMALL_STATE(3594)] = 99299,
  [SMALL_STATE(3595)] = 99361,
  [SMALL_STATE(3596)] = 99423,
  [SMALL_STATE(3597)] = 99481,
  [SMALL_STATE(3598)] = 99587,
  [SMALL_STATE(3599)] = 99645,
  [SMALL_STATE(3600)] = 99703,
  [SMALL_STATE(3601)] = 99761,
  [SMALL_STATE(3602)] = 99823,
  [SMALL_STATE(3603)] = 99885,
  [SMALL_STATE(3604)] = 99943,
  [SMALL_STATE(3605)] = 100005,
  [SMALL_STATE(3606)] = 100063,
  [SMALL_STATE(3607)] = 100121,
  [SMALL_STATE(3608)] = 100179,
  [SMALL_STATE(3609)] = 100237,
  [SMALL_STATE(3610)] = 100295,
  [SMALL_STATE(3611)] = 100357,
  [SMALL_STATE(3612)] = 100415,
  [SMALL_STATE(3613)] = 100473,
  [SMALL_STATE(3614)] = 100531,
  [SMALL_STATE(3615)] = 100589,
  [SMALL_STATE(3616)] = 100651,
  [SMALL_STATE(3617)] = 100709,
  [SMALL_STATE(3618)] = 100767,
  [SMALL_STATE(3619)] = 100825,
  [SMALL_STATE(3620)] = 100927,
  [SMALL_STATE(3621)] = 100985,
  [SMALL_STATE(3622)] = 101047,
  [SMALL_STATE(3623)] = 101105,
  [SMALL_STATE(3624)] = 101163,
  [SMALL_STATE(3625)] = 101221,
  [SMALL_STATE(3626)] = 101279,
  [SMALL_STATE(3627)] = 101337,
  [SMALL_STATE(3628)] = 101395,
  [SMALL_STATE(3629)] = 101453,
  [SMALL_STATE(3630)] = 101511,
  [SMALL_STATE(3631)] = 101569,
  [SMALL_STATE(3632)] = 101627,
  [SMALL_STATE(3633)] = 101685,
  [SMALL_STATE(3634)] = 101747,
  [SMALL_STATE(3635)] = 101805,
  [SMALL_STATE(3636)] = 101863,
  [SMALL_STATE(3637)] = 101921,
  [SMALL_STATE(3638)] = 101979,
  [SMALL_STATE(3639)] = 102041,
  [SMALL_STATE(3640)] = 102099,
  [SMALL_STATE(3641)] = 102169,
  [SMALL_STATE(3642)] = 102271,
  [SMALL_STATE(3643)] = 102329,
  [SMALL_STATE(3644)] = 102423,
  [SMALL_STATE(3645)] = 102481,
  [SMALL_STATE(3646)] = 102553,
  [SMALL_STATE(3647)] = 102625,
  [SMALL_STATE(3648)] = 102683,
  [SMALL_STATE(3649)] = 102741,
  [SMALL_STATE(3650)] = 102799,
  [SMALL_STATE(3651)] = 102901,
  [SMALL_STATE(3652)] = 102971,
  [SMALL_STATE(3653)] = 103029,
  [SMALL_STATE(3654)] = 103087,
  [SMALL_STATE(3655)] = 103145,
  [SMALL_STATE(3656)] = 103203,
  [SMALL_STATE(3657)] = 103261,
  [SMALL_STATE(3658)] = 103323,
  [SMALL_STATE(3659)] = 103380,
  [SMALL_STATE(3660)] = 103473,
  [SMALL_STATE(3661)] = 103530,
  [SMALL_STATE(3662)] = 103623,
  [SMALL_STATE(3663)] = 103680,
  [SMALL_STATE(3664)] = 103739,
  [SMALL_STATE(3665)] = 103796,
  [SMALL_STATE(3666)] = 103889,
  [SMALL_STATE(3667)] = 103946,
  [SMALL_STATE(3668)] = 104007,
  [SMALL_STATE(3669)] = 104100,
  [SMALL_STATE(3670)] = 104159,
  [SMALL_STATE(3671)] = 104252,
  [SMALL_STATE(3672)] = 104315,
  [SMALL_STATE(3673)] = 104374,
  [SMALL_STATE(3674)] = 104467,
  [SMALL_STATE(3675)] = 104560,
  [SMALL_STATE(3676)] = 104653,
  [SMALL_STATE(3677)] = 104714,
  [SMALL_STATE(3678)] = 104775,
  [SMALL_STATE(3679)] = 104844,
  [SMALL_STATE(3680)] = 104901,
  [SMALL_STATE(3681)] = 104958,
  [SMALL_STATE(3682)] = 105015,
  [SMALL_STATE(3683)] = 105078,
  [SMALL_STATE(3684)] = 105171,
  [SMALL_STATE(3685)] = 105228,
  [SMALL_STATE(3686)] = 105321,
  [SMALL_STATE(3687)] = 105414,
  [SMALL_STATE(3688)] = 105473,
  [SMALL_STATE(3689)] = 105566,
  [SMALL_STATE(3690)] = 105659,
  [SMALL_STATE(3691)] = 105752,
  [SMALL_STATE(3692)] = 105845,
  [SMALL_STATE(3693)] = 105938,
  [SMALL_STATE(3694)] = 106031,
  [SMALL_STATE(3695)] = 106088,
  [SMALL_STATE(3696)] = 106145,
  [SMALL_STATE(3697)] = 106202,
  [SMALL_STATE(3698)] = 106261,
  [SMALL_STATE(3699)] = 106330,
  [SMALL_STATE(3700)] = 106423,
  [SMALL_STATE(3701)] = 106516,
  [SMALL_STATE(3702)] = 106609,
  [SMALL_STATE(3703)] = 106702,
  [SMALL_STATE(3704)] = 106795,
  [SMALL_STATE(3705)] = 106888,
  [SMALL_STATE(3706)] = 106945,
  [SMALL_STATE(3707)] = 107038,
  [SMALL_STATE(3708)] = 107131,
  [SMALL_STATE(3709)] = 107224,
  [SMALL_STATE(3710)] = 107281,
  [SMALL_STATE(3711)] = 107374,
  [SMALL_STATE(3712)] = 107435,
  [SMALL_STATE(3713)] = 107494,
  [SMALL_STATE(3714)] = 107587,
  [SMALL_STATE(3715)] = 107644,
  [SMALL_STATE(3716)] = 107701,
  [SMALL_STATE(3717)] = 107794,
  [SMALL_STATE(3718)] = 107887,
  [SMALL_STATE(3719)] = 107980,
  [SMALL_STATE(3720)] = 108073,
  [SMALL_STATE(3721)] = 108135,
  [SMALL_STATE(3722)] = 108229,
  [SMALL_STATE(3723)] = 108285,
  [SMALL_STATE(3724)] = 108341,
  [SMALL_STATE(3725)] = 108397,
  [SMALL_STATE(3726)] = 108453,
  [SMALL_STATE(3727)] = 108509,
  [SMALL_STATE(3728)] = 108603,
  [SMALL_STATE(3729)] = 108697,
  [SMALL_STATE(3730)] = 108769,
  [SMALL_STATE(3731)] = 108825,
  [SMALL_STATE(3732)] = 108897,
  [SMALL_STATE(3733)] = 108953,
  [SMALL_STATE(3734)] = 109009,
  [SMALL_STATE(3735)] = 109065,
  [SMALL_STATE(3736)] = 109135,
  [SMALL_STATE(3737)] = 109191,
  [SMALL_STATE(3738)] = 109247,
  [SMALL_STATE(3739)] = 109341,
  [SMALL_STATE(3740)] = 109411,
  [SMALL_STATE(3741)] = 109483,
  [SMALL_STATE(3742)] = 109577,
  [SMALL_STATE(3743)] = 109645,
  [SMALL_STATE(3744)] = 109717,
  [SMALL_STATE(3745)] = 109773,
  [SMALL_STATE(3746)] = 109841,
  [SMALL_STATE(3747)] = 109897,
  [SMALL_STATE(3748)] = 109991,
  [SMALL_STATE(3749)] = 110051,
  [SMALL_STATE(3750)] = 110145,
  [SMALL_STATE(3751)] = 110201,
  [SMALL_STATE(3752)] = 110257,
  [SMALL_STATE(3753)] = 110351,
  [SMALL_STATE(3754)] = 110407,
  [SMALL_STATE(3755)] = 110501,
  [SMALL_STATE(3756)] = 110557,
  [SMALL_STATE(3757)] = 110613,
  [SMALL_STATE(3758)] = 110669,
  [SMALL_STATE(3759)] = 110725,
  [SMALL_STATE(3760)] = 110817,
  [SMALL_STATE(3761)] = 110873,
  [SMALL_STATE(3762)] = 110929,
  [SMALL_STATE(3763)] = 110985,
  [SMALL_STATE(3764)] = 111041,
  [SMALL_STATE(3765)] = 111097,
  [SMALL_STATE(3766)] = 111153,
  [SMALL_STATE(3767)] = 111209,
  [SMALL_STATE(3768)] = 111267,
  [SMALL_STATE(3769)] = 111323,
  [SMALL_STATE(3770)] = 111379,
  [SMALL_STATE(3771)] = 111435,
  [SMALL_STATE(3772)] = 111501,
  [SMALL_STATE(3773)] = 111571,
  [SMALL_STATE(3774)] = 111665,
  [SMALL_STATE(3775)] = 111721,
  [SMALL_STATE(3776)] = 111777,
  [SMALL_STATE(3777)] = 111833,
  [SMALL_STATE(3778)] = 111889,
  [SMALL_STATE(3779)] = 111945,
  [SMALL_STATE(3780)] = 112001,
  [SMALL_STATE(3781)] = 112095,
  [SMALL_STATE(3782)] = 112151,
  [SMALL_STATE(3783)] = 112207,
  [SMALL_STATE(3784)] = 112263,
  [SMALL_STATE(3785)] = 112333,
  [SMALL_STATE(3786)] = 112389,
  [SMALL_STATE(3787)] = 112445,
  [SMALL_STATE(3788)] = 112501,
  [SMALL_STATE(3789)] = 112557,
  [SMALL_STATE(3790)] = 112613,
  [SMALL_STATE(3791)] = 112669,
  [SMALL_STATE(3792)] = 112763,
  [SMALL_STATE(3793)] = 112857,
  [SMALL_STATE(3794)] = 112951,
  [SMALL_STATE(3795)] = 113007,
  [SMALL_STATE(3796)] = 113101,
  [SMALL_STATE(3797)] = 113157,
  [SMALL_STATE(3798)] = 113213,
  [SMALL_STATE(3799)] = 113269,
  [SMALL_STATE(3800)] = 113325,
  [SMALL_STATE(3801)] = 113381,
  [SMALL_STATE(3802)] = 113443,
  [SMALL_STATE(3803)] = 113537,
  [SMALL_STATE(3804)] = 113593,
  [SMALL_STATE(3805)] = 113649,
  [SMALL_STATE(3806)] = 113705,
  [SMALL_STATE(3807)] = 113761,
  [SMALL_STATE(3808)] = 113817,
  [SMALL_STATE(3809)] = 113873,
  [SMALL_STATE(3810)] = 113929,
  [SMALL_STATE(3811)] = 113985,
  [SMALL_STATE(3812)] = 114041,
  [SMALL_STATE(3813)] = 114097,
  [SMALL_STATE(3814)] = 114189,
  [SMALL_STATE(3815)] = 114283,
  [SMALL_STATE(3816)] = 114339,
  [SMALL_STATE(3817)] = 114395,
  [SMALL_STATE(3818)] = 114451,
  [SMALL_STATE(3819)] = 114507,
  [SMALL_STATE(3820)] = 114563,
  [SMALL_STATE(3821)] = 114619,
  [SMALL_STATE(3822)] = 114689,
  [SMALL_STATE(3823)] = 114745,
  [SMALL_STATE(3824)] = 114839,
  [SMALL_STATE(3825)] = 114928,
  [SMALL_STATE(3826)] = 115019,
  [SMALL_STATE(3827)] = 115074,
  [SMALL_STATE(3828)] = 115129,
  [SMALL_STATE(3829)] = 115196,
  [SMALL_STATE(3830)] = 115251,
  [SMALL_STATE(3831)] = 115306,
  [SMALL_STATE(3832)] = 115361,
  [SMALL_STATE(3833)] = 115416,
  [SMALL_STATE(3834)] = 115471,
  [SMALL_STATE(3835)] = 115526,
  [SMALL_STATE(3836)] = 115581,
  [SMALL_STATE(3837)] = 115636,
  [SMALL_STATE(3838)] = 115691,
  [SMALL_STATE(3839)] = 115746,
  [SMALL_STATE(3840)] = 115813,
  [SMALL_STATE(3841)] = 115878,
  [SMALL_STATE(3842)] = 115933,
  [SMALL_STATE(3843)] = 115988,
  [SMALL_STATE(3844)] = 116049,
  [SMALL_STATE(3845)] = 116138,
  [SMALL_STATE(3846)] = 116193,
  [SMALL_STATE(3847)] = 116248,
  [SMALL_STATE(3848)] = 116311,
  [SMALL_STATE(3849)] = 116366,
  [SMALL_STATE(3850)] = 116421,
  [SMALL_STATE(3851)] = 116492,
  [SMALL_STATE(3852)] = 116547,
  [SMALL_STATE(3853)] = 116602,
  [SMALL_STATE(3854)] = 116657,
  [SMALL_STATE(3855)] = 116720,
  [SMALL_STATE(3856)] = 116787,
  [SMALL_STATE(3857)] = 116876,
  [SMALL_STATE(3858)] = 116931,
  [SMALL_STATE(3859)] = 116986,
  [SMALL_STATE(3860)] = 117041,
  [SMALL_STATE(3861)] = 117096,
  [SMALL_STATE(3862)] = 117151,
  [SMALL_STATE(3863)] = 117218,
  [SMALL_STATE(3864)] = 117281,
  [SMALL_STATE(3865)] = 117336,
  [SMALL_STATE(3866)] = 117391,
  [SMALL_STATE(3867)] = 117446,
  [SMALL_STATE(3868)] = 117537,
  [SMALL_STATE(3869)] = 117626,
  [SMALL_STATE(3870)] = 117681,
  [SMALL_STATE(3871)] = 117744,
  [SMALL_STATE(3872)] = 117799,
  [SMALL_STATE(3873)] = 117854,
  [SMALL_STATE(3874)] = 117909,
  [SMALL_STATE(3875)] = 117964,
  [SMALL_STATE(3876)] = 118018,
  [SMALL_STATE(3877)] = 118104,
  [SMALL_STATE(3878)] = 118174,
  [SMALL_STATE(3879)] = 118234,
  [SMALL_STATE(3880)] = 118288,
  [SMALL_STATE(3881)] = 118346,
  [SMALL_STATE(3882)] = 118432,
  [SMALL_STATE(3883)] = 118502,
  [SMALL_STATE(3884)] = 118592,
  [SMALL_STATE(3885)] = 118652,
  [SMALL_STATE(3886)] = 118710,
  [SMALL_STATE(3887)] = 118768,
  [SMALL_STATE(3888)] = 118822,
  [SMALL_STATE(3889)] = 118886,
  [SMALL_STATE(3890)] = 118944,
  [SMALL_STATE(3891)] = 119004,
  [SMALL_STATE(3892)] = 119062,
  [SMALL_STATE(3893)] = 119120,
  [SMALL_STATE(3894)] = 119174,
  [SMALL_STATE(3895)] = 119232,
  [SMALL_STATE(3896)] = 119322,
  [SMALL_STATE(3897)] = 119376,
  [SMALL_STATE(3898)] = 119436,
  [SMALL_STATE(3899)] = 119506,
  [SMALL_STATE(3900)] = 119564,
  [SMALL_STATE(3901)] = 119624,
  [SMALL_STATE(3902)] = 119678,
  [SMALL_STATE(3903)] = 119736,
  [SMALL_STATE(3904)] = 119806,
  [SMALL_STATE(3905)] = 119874,
  [SMALL_STATE(3906)] = 119928,
  [SMALL_STATE(3907)] = 119986,
  [SMALL_STATE(3908)] = 120044,
  [SMALL_STATE(3909)] = 120102,
  [SMALL_STATE(3910)] = 120160,
  [SMALL_STATE(3911)] = 120213,
  [SMALL_STATE(3912)] = 120272,
  [SMALL_STATE(3913)] = 120361,
  [SMALL_STATE(3914)] = 120414,
  [SMALL_STATE(3915)] = 120473,
  [SMALL_STATE(3916)] = 120532,
  [SMALL_STATE(3917)] = 120591,
  [SMALL_STATE(3918)] = 120676,
  [SMALL_STATE(3919)] = 120729,
  [SMALL_STATE(3920)] = 120814,
  [SMALL_STATE(3921)] = 120877,
  [SMALL_STATE(3922)] = 120966,
  [SMALL_STATE(3923)] = 121025,
  [SMALL_STATE(3924)] = 121088,
  [SMALL_STATE(3925)] = 121141,
  [SMALL_STATE(3926)] = 121204,
  [SMALL_STATE(3927)] = 121285,
  [SMALL_STATE(3928)] = 121338,
  [SMALL_STATE(3929)] = 121403,
  [SMALL_STATE(3930)] = 121456,
  [SMALL_STATE(3931)] = 121511,
  [SMALL_STATE(3932)] = 121592,
  [SMALL_STATE(3933)] = 121645,
  [SMALL_STATE(3934)] = 121697,
  [SMALL_STATE(3935)] = 121763,
  [SMALL_STATE(3936)] = 121815,
  [SMALL_STATE(3937)] = 121867,
  [SMALL_STATE(3938)] = 121919,
  [SMALL_STATE(3939)] = 121987,
  [SMALL_STATE(3940)] = 122039,
  [SMALL_STATE(3941)] = 122123,
  [SMALL_STATE(3942)] = 122175,
  [SMALL_STATE(3943)] = 122227,
  [SMALL_STATE(3944)] = 122279,
  [SMALL_STATE(3945)] = 122341,
  [SMALL_STATE(3946)] = 122405,
  [SMALL_STATE(3947)] = 122457,
  [SMALL_STATE(3948)] = 122509,
  [SMALL_STATE(3949)] = 122561,
  [SMALL_STATE(3950)] = 122613,
  [SMALL_STATE(3951)] = 122665,
  [SMALL_STATE(3952)] = 122717,
  [SMALL_STATE(3953)] = 122769,
  [SMALL_STATE(3954)] = 122833,
  [SMALL_STATE(3955)] = 122885,
  [SMALL_STATE(3956)] = 122971,
  [SMALL_STATE(3957)] = 123057,
  [SMALL_STATE(3958)] = 123109,
  [SMALL_STATE(3959)] = 123161,
  [SMALL_STATE(3960)] = 123245,
  [SMALL_STATE(3961)] = 123329,
  [SMALL_STATE(3962)] = 123381,
  [SMALL_STATE(3963)] = 123445,
  [SMALL_STATE(3964)] = 123497,
  [SMALL_STATE(3965)] = 123585,
  [SMALL_STATE(3966)] = 123665,
  [SMALL_STATE(3967)] = 123717,
  [SMALL_STATE(3968)] = 123803,
  [SMALL_STATE(3969)] = 123855,
  [SMALL_STATE(3970)] = 123907,
  [SMALL_STATE(3971)] = 123995,
  [SMALL_STATE(3972)] = 124083,
  [SMALL_STATE(3973)] = 124135,
  [SMALL_STATE(3974)] = 124187,
  [SMALL_STATE(3975)] = 124239,
  [SMALL_STATE(3976)] = 124291,
  [SMALL_STATE(3977)] = 124343,
  [SMALL_STATE(3978)] = 124395,
  [SMALL_STATE(3979)] = 124481,
  [SMALL_STATE(3980)] = 124533,
  [SMALL_STATE(3981)] = 124585,
  [SMALL_STATE(3982)] = 124669,
  [SMALL_STATE(3983)] = 124721,
  [SMALL_STATE(3984)] = 124773,
  [SMALL_STATE(3985)] = 124841,
  [SMALL_STATE(3986)] = 124921,
  [SMALL_STATE(3987)] = 124989,
  [SMALL_STATE(3988)] = 125075,
  [SMALL_STATE(3989)] = 125163,
  [SMALL_STATE(3990)] = 125249,
  [SMALL_STATE(3991)] = 125329,
  [SMALL_STATE(3992)] = 125409,
  [SMALL_STATE(3993)] = 125473,
  [SMALL_STATE(3994)] = 125553,
  [SMALL_STATE(3995)] = 125633,
  [SMALL_STATE(3996)] = 125713,
  [SMALL_STATE(3997)] = 125793,
  [SMALL_STATE(3998)] = 125879,
  [SMALL_STATE(3999)] = 125965,
  [SMALL_STATE(4000)] = 126033,
  [SMALL_STATE(4001)] = 126136,
  [SMALL_STATE(4002)] = 126239,
  [SMALL_STATE(4003)] = 126316,
  [SMALL_STATE(4004)] = 126385,
  [SMALL_STATE(4005)] = 126436,
  [SMALL_STATE(4006)] = 126503,
  [SMALL_STATE(4007)] = 126590,
  [SMALL_STATE(4008)] = 126641,
  [SMALL_STATE(4009)] = 126740,
  [SMALL_STATE(4010)] = 126839,
  [SMALL_STATE(4011)] = 126940,
  [SMALL_STATE(4012)] = 127001,
  [SMALL_STATE(4013)] = 127084,
  [SMALL_STATE(4014)] = 127141,
  [SMALL_STATE(4015)] = 127228,
  [SMALL_STATE(4016)] = 127323,
  [SMALL_STATE(4017)] = 127406,
  [SMALL_STATE(4018)] = 127509,
  [SMALL_STATE(4019)] = 127586,
  [SMALL_STATE(4020)] = 127647,
  [SMALL_STATE(4021)] = 127720,
  [SMALL_STATE(4022)] = 127823,
  [SMALL_STATE(4023)] = 127894,
  [SMALL_STATE(4024)] = 127985,
  [SMALL_STATE(4025)] = 128062,
  [SMALL_STATE(4026)] = 128129,
  [SMALL_STATE(4027)] = 128228,
  [SMALL_STATE(4028)] = 128323,
  [SMALL_STATE(4029)] = 128398,
  [SMALL_STATE(4030)] = 128465,
  [SMALL_STATE(4031)] = 128544,
  [SMALL_STATE(4032)] = 128627,
  [SMALL_STATE(4033)] = 128714,
  [SMALL_STATE(4034)] = 128799,
  [SMALL_STATE(4035)] = 128900,
  [SMALL_STATE(4036)] = 128987,
  [SMALL_STATE(4037)] = 129042,
  [SMALL_STATE(4038)] = 129093,
  [SMALL_STATE(4039)] = 129170,
  [SMALL_STATE(4040)] = 129259,
  [SMALL_STATE(4041)] = 129326,
  [SMALL_STATE(4042)] = 129425,
  [SMALL_STATE(4043)] = 129524,
  [SMALL_STATE(4044)] = 129584,
  [SMALL_STATE(4045)] = 129666,
  [SMALL_STATE(4046)] = 129720,
  [SMALL_STATE(4047)] = 129772,
  [SMALL_STATE(4048)] = 129826,
  [SMALL_STATE(4049)] = 129880,
  [SMALL_STATE(4050)] = 129942,
  [SMALL_STATE(4051)] = 129996,
  [SMALL_STATE(4052)] = 130050,
  [SMALL_STATE(4053)] = 130104,
  [SMALL_STATE(4054)] = 130160,
  [SMALL_STATE(4055)] = 130214,
  [SMALL_STATE(4056)] = 130290,
  [SMALL_STATE(4057)] = 130342,
  [SMALL_STATE(4058)] = 130398,
  [SMALL_STATE(4059)] = 130452,
  [SMALL_STATE(4060)] = 130534,
  [SMALL_STATE(4061)] = 130594,
  [SMALL_STATE(4062)] = 130654,
  [SMALL_STATE(4063)] = 130710,
  [SMALL_STATE(4064)] = 130762,
  [SMALL_STATE(4065)] = 130812,
  [SMALL_STATE(4066)] = 130874,
  [SMALL_STATE(4067)] = 130950,
  [SMALL_STATE(4068)] = 131026,
  [SMALL_STATE(4069)] = 131076,
  [SMALL_STATE(4070)] = 131148,
  [SMALL_STATE(4071)] = 131204,
  [SMALL_STATE(4072)] = 131276,
  [SMALL_STATE(4073)] = 131348,
  [SMALL_STATE(4074)] = 131398,
  [SMALL_STATE(4075)] = 131474,
  [SMALL_STATE(4076)] = 131549,
  [SMALL_STATE(4077)] = 131626,
  [SMALL_STATE(4078)] = 131685,
  [SMALL_STATE(4079)] = 131734,
  [SMALL_STATE(4080)] = 131811,
  [SMALL_STATE(4081)] = 131896,
  [SMALL_STATE(4082)] = 131973,
  [SMALL_STATE(4083)] = 132024,
  [SMALL_STATE(4084)] = 132101,
  [SMALL_STATE(4085)] = 132178,
  [SMALL_STATE(4086)] = 132243,
  [SMALL_STATE(4087)] = 132318,
  [SMALL_STATE(4088)] = 132395,
  [SMALL_STATE(4089)] = 132484,
  [SMALL_STATE(4090)] = 132533,
  [SMALL_STATE(4091)] = 132610,
  [SMALL_STATE(4092)] = 132685,
  [SMALL_STATE(4093)] = 132762,
  [SMALL_STATE(4094)] = 132839,
  [SMALL_STATE(4095)] = 132892,
  [SMALL_STATE(4096)] = 132943,
  [SMALL_STATE(4097)] = 133024,
  [SMALL_STATE(4098)] = 133099,
  [SMALL_STATE(4099)] = 133152,
  [SMALL_STATE(4100)] = 133209,
  [SMALL_STATE(4101)] = 133258,
  [SMALL_STATE(4102)] = 133343,
  [SMALL_STATE(4103)] = 133396,
  [SMALL_STATE(4104)] = 133473,
  [SMALL_STATE(4105)] = 133528,
  [SMALL_STATE(4106)] = 133603,
  [SMALL_STATE(4107)] = 133680,
  [SMALL_STATE(4108)] = 133755,
  [SMALL_STATE(4109)] = 133836,
  [SMALL_STATE(4110)] = 133913,
  [SMALL_STATE(4111)] = 133968,
  [SMALL_STATE(4112)] = 134071,
  [SMALL_STATE(4113)] = 134146,
  [SMALL_STATE(4114)] = 134223,
  [SMALL_STATE(4115)] = 134300,
  [SMALL_STATE(4116)] = 134377,
  [SMALL_STATE(4117)] = 134434,
  [SMALL_STATE(4118)] = 134511,
  [SMALL_STATE(4119)] = 134614,
  [SMALL_STATE(4120)] = 134667,
  [SMALL_STATE(4121)] = 134744,
  [SMALL_STATE(4122)] = 134803,
  [SMALL_STATE(4123)] = 134906,
  [SMALL_STATE(4124)] = 134981,
  [SMALL_STATE(4125)] = 135058,
  [SMALL_STATE(4126)] = 135135,
  [SMALL_STATE(4127)] = 135212,
  [SMALL_STATE(4128)] = 135289,
  [SMALL_STATE(4129)] = 135355,
  [SMALL_STATE(4130)] = 135403,
  [SMALL_STATE(4131)] = 135461,
  [SMALL_STATE(4132)] = 135555,
  [SMALL_STATE(4133)] = 135645,
  [SMALL_STATE(4134)] = 135715,
  [SMALL_STATE(4135)] = 135815,
  [SMALL_STATE(4136)] = 135873,
  [SMALL_STATE(4137)] = 135961,
  [SMALL_STATE(4138)] = 136047,
  [SMALL_STATE(4139)] = 136141,
  [SMALL_STATE(4140)] = 136231,
  [SMALL_STATE(4141)] = 136321,
  [SMALL_STATE(4142)] = 136395,
  [SMALL_STATE(4143)] = 136479,
  [SMALL_STATE(4144)] = 136561,
  [SMALL_STATE(4145)] = 136609,
  [SMALL_STATE(4146)] = 136687,
  [SMALL_STATE(4147)] = 136761,
  [SMALL_STATE(4148)] = 136835,
  [SMALL_STATE(4149)] = 136911,
  [SMALL_STATE(4150)] = 136969,
  [SMALL_STATE(4151)] = 137059,
  [SMALL_STATE(4152)] = 137123,
  [SMALL_STATE(4153)] = 137213,
  [SMALL_STATE(4154)] = 137261,
  [SMALL_STATE(4155)] = 137309,
  [SMALL_STATE(4156)] = 137377,
  [SMALL_STATE(4157)] = 137449,
  [SMALL_STATE(4158)] = 137523,
  [SMALL_STATE(4159)] = 137603,
  [SMALL_STATE(4160)] = 137683,
  [SMALL_STATE(4161)] = 137777,
  [SMALL_STATE(4162)] = 137837,
  [SMALL_STATE(4163)] = 137897,
  [SMALL_STATE(4164)] = 137994,
  [SMALL_STATE(4165)] = 138041,
  [SMALL_STATE(4166)] = 138094,
  [SMALL_STATE(4167)] = 138145,
  [SMALL_STATE(4168)] = 138192,
  [SMALL_STATE(4169)] = 138243,
  [SMALL_STATE(4170)] = 138290,
  [SMALL_STATE(4171)] = 138337,
  [SMALL_STATE(4172)] = 138384,
  [SMALL_STATE(4173)] = 138481,
  [SMALL_STATE(4174)] = 138578,
  [SMALL_STATE(4175)] = 138675,
  [SMALL_STATE(4176)] = 138772,
  [SMALL_STATE(4177)] = 138819,
  [SMALL_STATE(4178)] = 138866,
  [SMALL_STATE(4179)] = 138913,
  [SMALL_STATE(4180)] = 138966,
  [SMALL_STATE(4181)] = 139017,
  [SMALL_STATE(4182)] = 139068,
  [SMALL_STATE(4183)] = 139165,
  [SMALL_STATE(4184)] = 139262,
  [SMALL_STATE(4185)] = 139351,
  [SMALL_STATE(4186)] = 139414,
  [SMALL_STATE(4187)] = 139503,
  [SMALL_STATE(4188)] = 139590,
  [SMALL_STATE(4189)] = 139637,
  [SMALL_STATE(4190)] = 139710,
  [SMALL_STATE(4191)] = 139763,
  [SMALL_STATE(4192)] = 139856,
  [SMALL_STATE(4193)] = 139953,
  [SMALL_STATE(4194)] = 140046,
  [SMALL_STATE(4195)] = 140101,
  [SMALL_STATE(4196)] = 140198,
  [SMALL_STATE(4197)] = 140271,
  [SMALL_STATE(4198)] = 140328,
  [SMALL_STATE(4199)] = 140375,
  [SMALL_STATE(4200)] = 140422,
  [SMALL_STATE(4201)] = 140515,
  [SMALL_STATE(4202)] = 140564,
  [SMALL_STATE(4203)] = 140651,
  [SMALL_STATE(4204)] = 140724,
  [SMALL_STATE(4205)] = 140819,
  [SMALL_STATE(4206)] = 140916,
  [SMALL_STATE(4207)] = 140995,
  [SMALL_STATE(4208)] = 141044,
  [SMALL_STATE(4209)] = 141091,
  [SMALL_STATE(4210)] = 141146,
  [SMALL_STATE(4211)] = 141243,
  [SMALL_STATE(4212)] = 141340,
  [SMALL_STATE(4213)] = 141437,
  [SMALL_STATE(4214)] = 141534,
  [SMALL_STATE(4215)] = 141583,
  [SMALL_STATE(4216)] = 141680,
  [SMALL_STATE(4217)] = 141777,
  [SMALL_STATE(4218)] = 141870,
  [SMALL_STATE(4219)] = 141921,
  [SMALL_STATE(4220)] = 142018,
  [SMALL_STATE(4221)] = 142065,
  [SMALL_STATE(4222)] = 142112,
  [SMALL_STATE(4223)] = 142159,
  [SMALL_STATE(4224)] = 142206,
  [SMALL_STATE(4225)] = 142255,
  [SMALL_STATE(4226)] = 142352,
  [SMALL_STATE(4227)] = 142441,
  [SMALL_STATE(4228)] = 142488,
  [SMALL_STATE(4229)] = 142541,
  [SMALL_STATE(4230)] = 142588,
  [SMALL_STATE(4231)] = 142639,
  [SMALL_STATE(4232)] = 142736,
  [SMALL_STATE(4233)] = 142787,
  [SMALL_STATE(4234)] = 142884,
  [SMALL_STATE(4235)] = 142973,
  [SMALL_STATE(4236)] = 143070,
  [SMALL_STATE(4237)] = 143117,
  [SMALL_STATE(4238)] = 143214,
  [SMALL_STATE(4239)] = 143261,
  [SMALL_STATE(4240)] = 143308,
  [SMALL_STATE(4241)] = 143361,
  [SMALL_STATE(4242)] = 143426,
  [SMALL_STATE(4243)] = 143523,
  [SMALL_STATE(4244)] = 143610,
  [SMALL_STATE(4245)] = 143707,
  [SMALL_STATE(4246)] = 143792,
  [SMALL_STATE(4247)] = 143889,
  [SMALL_STATE(4248)] = 143972,
  [SMALL_STATE(4249)] = 144067,
  [SMALL_STATE(4250)] = 144146,
  [SMALL_STATE(4251)] = 144215,
  [SMALL_STATE(4252)] = 144312,
  [SMALL_STATE(4253)] = 144393,
  [SMALL_STATE(4254)] = 144482,
  [SMALL_STATE(4255)] = 144579,
  [SMALL_STATE(4256)] = 144676,
  [SMALL_STATE(4257)] = 144773,
  [SMALL_STATE(4258)] = 144870,
  [SMALL_STATE(4259)] = 144923,
  [SMALL_STATE(4260)] = 145020,
  [SMALL_STATE(4261)] = 145117,
  [SMALL_STATE(4262)] = 145164,
  [SMALL_STATE(4263)] = 145211,
  [SMALL_STATE(4264)] = 145258,
  [SMALL_STATE(4265)] = 145331,
  [SMALL_STATE(4266)] = 145428,
  [SMALL_STATE(4267)] = 145505,
  [SMALL_STATE(4268)] = 145602,
  [SMALL_STATE(4269)] = 145699,
  [SMALL_STATE(4270)] = 145746,
  [SMALL_STATE(4271)] = 145821,
  [SMALL_STATE(4272)] = 145918,
  [SMALL_STATE(4273)] = 146015,
  [SMALL_STATE(4274)] = 146062,
  [SMALL_STATE(4275)] = 146109,
  [SMALL_STATE(4276)] = 146180,
  [SMALL_STATE(4277)] = 146273,
  [SMALL_STATE(4278)] = 146324,
  [SMALL_STATE(4279)] = 146381,
  [SMALL_STATE(4280)] = 146448,
  [SMALL_STATE(4281)] = 146545,
  [SMALL_STATE(4282)] = 146592,
  [SMALL_STATE(4283)] = 146689,
  [SMALL_STATE(4284)] = 146786,
  [SMALL_STATE(4285)] = 146883,
  [SMALL_STATE(4286)] = 146980,
  [SMALL_STATE(4287)] = 147077,
  [SMALL_STATE(4288)] = 147174,
  [SMALL_STATE(4289)] = 147271,
  [SMALL_STATE(4290)] = 147351,
  [SMALL_STATE(4291)] = 147445,
  [SMALL_STATE(4292)] = 147523,
  [SMALL_STATE(4293)] = 147575,
  [SMALL_STATE(4294)] = 147625,
  [SMALL_STATE(4295)] = 147719,
  [SMALL_STATE(4296)] = 147787,
  [SMALL_STATE(4297)] = 147881,
  [SMALL_STATE(4298)] = 147939,
  [SMALL_STATE(4299)] = 147989,
  [SMALL_STATE(4300)] = 148055,
  [SMALL_STATE(4301)] = 148143,
  [SMALL_STATE(4302)] = 148203,
  [SMALL_STATE(4303)] = 148295,
  [SMALL_STATE(4304)] = 148365,
  [SMALL_STATE(4305)] = 148453,
  [SMALL_STATE(4306)] = 148547,
  [SMALL_STATE(4307)] = 148639,
  [SMALL_STATE(4308)] = 148697,
  [SMALL_STATE(4309)] = 148771,
  [SMALL_STATE(4310)] = 148863,
  [SMALL_STATE(4311)] = 148939,
  [SMALL_STATE(4312)] = 149019,
  [SMALL_STATE(4313)] = 149113,
  [SMALL_STATE(4314)] = 149207,
  [SMALL_STATE(4315)] = 149299,
  [SMALL_STATE(4316)] = 149347,
  [SMALL_STATE(4317)] = 149429,
  [SMALL_STATE(4318)] = 149523,
  [SMALL_STATE(4319)] = 149573,
  [SMALL_STATE(4320)] = 149619,
  [SMALL_STATE(4321)] = 149669,
  [SMALL_STATE(4322)] = 149761,
  [SMALL_STATE(4323)] = 149845,
  [SMALL_STATE(4324)] = 149939,
  [SMALL_STATE(4325)] = 150033,
  [SMALL_STATE(4326)] = 150127,
  [SMALL_STATE(4327)] = 150221,
  [SMALL_STATE(4328)] = 150267,
  [SMALL_STATE(4329)] = 150355,
  [SMALL_STATE(4330)] = 150447,
  [SMALL_STATE(4331)] = 150541,
  [SMALL_STATE(4332)] = 150629,
  [SMALL_STATE(4333)] = 150687,
  [SMALL_STATE(4334)] = 150781,
  [SMALL_STATE(4335)] = 150875,
  [SMALL_STATE(4336)] = 150967,
  [SMALL_STATE(4337)] = 151061,
  [SMALL_STATE(4338)] = 151121,
  [SMALL_STATE(4339)] = 151185,
  [SMALL_STATE(4340)] = 151271,
  [SMALL_STATE(4341)] = 151357,
  [SMALL_STATE(4342)] = 151407,
  [SMALL_STATE(4343)] = 151491,
  [SMALL_STATE(4344)] = 151555,
  [SMALL_STATE(4345)] = 151605,
  [SMALL_STATE(4346)] = 151697,
  [SMALL_STATE(4347)] = 151785,
  [SMALL_STATE(4348)] = 151873,
  [SMALL_STATE(4349)] = 151955,
  [SMALL_STATE(4350)] = 152035,
  [SMALL_STATE(4351)] = 152111,
  [SMALL_STATE(4352)] = 152157,
  [SMALL_STATE(4353)] = 152251,
  [SMALL_STATE(4354)] = 152325,
  [SMALL_STATE(4355)] = 152395,
  [SMALL_STATE(4356)] = 152489,
  [SMALL_STATE(4357)] = 152581,
  [SMALL_STATE(4358)] = 152675,
  [SMALL_STATE(4359)] = 152741,
  [SMALL_STATE(4360)] = 152805,
  [SMALL_STATE(4361)] = 152865,
  [SMALL_STATE(4362)] = 152959,
  [SMALL_STATE(4363)] = 153053,
  [SMALL_STATE(4364)] = 153131,
  [SMALL_STATE(4365)] = 153217,
  [SMALL_STATE(4366)] = 153301,
  [SMALL_STATE(4367)] = 153389,
  [SMALL_STATE(4368)] = 153457,
  [SMALL_STATE(4369)] = 153539,
  [SMALL_STATE(4370)] = 153597,
  [SMALL_STATE(4371)] = 153691,
  [SMALL_STATE(4372)] = 153767,
  [SMALL_STATE(4373)] = 153825,
  [SMALL_STATE(4374)] = 153899,
  [SMALL_STATE(4375)] = 153991,
  [SMALL_STATE(4376)] = 154079,
  [SMALL_STATE(4377)] = 154173,
  [SMALL_STATE(4378)] = 154239,
  [SMALL_STATE(4379)] = 154331,
  [SMALL_STATE(4380)] = 154419,
  [SMALL_STATE(4381)] = 154511,
  [SMALL_STATE(4382)] = 154581,
  [SMALL_STATE(4383)] = 154675,
  [SMALL_STATE(4384)] = 154767,
  [SMALL_STATE(4385)] = 154817,
  [SMALL_STATE(4386)] = 154863,
  [SMALL_STATE(4387)] = 154955,
  [SMALL_STATE(4388)] = 155049,
  [SMALL_STATE(4389)] = 155109,
  [SMALL_STATE(4390)] = 155203,
  [SMALL_STATE(4391)] = 155295,
  [SMALL_STATE(4392)] = 155345,
  [SMALL_STATE(4393)] = 155439,
  [SMALL_STATE(4394)] = 155517,
  [SMALL_STATE(4395)] = 155611,
  [SMALL_STATE(4396)] = 155669,
  [SMALL_STATE(4397)] = 155757,
  [SMALL_STATE(4398)] = 155817,
  [SMALL_STATE(4399)] = 155903,
  [SMALL_STATE(4400)] = 155995,
  [SMALL_STATE(4401)] = 156083,
  [SMALL_STATE(4402)] = 156143,
  [SMALL_STATE(4403)] = 156215,
  [SMALL_STATE(4404)] = 156309,
  [SMALL_STATE(4405)] = 156361,
  [SMALL_STATE(4406)] = 156453,
  [SMALL_STATE(4407)] = 156545,
  [SMALL_STATE(4408)] = 156637,
  [SMALL_STATE(4409)] = 156731,
  [SMALL_STATE(4410)] = 156825,
  [SMALL_STATE(4411)] = 156871,
  [SMALL_STATE(4412)] = 156965,
  [SMALL_STATE(4413)] = 157015,
  [SMALL_STATE(4414)] = 157103,
  [SMALL_STATE(4415)] = 157197,
  [SMALL_STATE(4416)] = 157249,
  [SMALL_STATE(4417)] = 157321,
  [SMALL_STATE(4418)] = 157393,
  [SMALL_STATE(4419)] = 157465,
  [SMALL_STATE(4420)] = 157559,
  [SMALL_STATE(4421)] = 157653,
  [SMALL_STATE(4422)] = 157703,
  [SMALL_STATE(4423)] = 157753,
  [SMALL_STATE(4424)] = 157845,
  [SMALL_STATE(4425)] = 157933,
  [SMALL_STATE(4426)] = 158005,
  [SMALL_STATE(4427)] = 158099,
  [SMALL_STATE(4428)] = 158149,
  [SMALL_STATE(4429)] = 158241,
  [SMALL_STATE(4430)] = 158293,
  [SMALL_STATE(4431)] = 158345,
  [SMALL_STATE(4432)] = 158433,
  [SMALL_STATE(4433)] = 158481,
  [SMALL_STATE(4434)] = 158573,
  [SMALL_STATE(4435)] = 158623,
  [SMALL_STATE(4436)] = 158717,
  [SMALL_STATE(4437)] = 158811,
  [SMALL_STATE(4438)] = 158903,
  [SMALL_STATE(4439)] = 158953,
  [SMALL_STATE(4440)] = 159045,
  [SMALL_STATE(4441)] = 159137,
  [SMALL_STATE(4442)] = 159231,
  [SMALL_STATE(4443)] = 159283,
  [SMALL_STATE(4444)] = 159377,
  [SMALL_STATE(4445)] = 159465,
  [SMALL_STATE(4446)] = 159559,
  [SMALL_STATE(4447)] = 159605,
  [SMALL_STATE(4448)] = 159699,
  [SMALL_STATE(4449)] = 159759,
  [SMALL_STATE(4450)] = 159819,
  [SMALL_STATE(4451)] = 159913,
  [SMALL_STATE(4452)] = 160007,
  [SMALL_STATE(4453)] = 160085,
  [SMALL_STATE(4454)] = 160130,
  [SMALL_STATE(4455)] = 160221,
  [SMALL_STATE(4456)] = 160266,
  [SMALL_STATE(4457)] = 160357,
  [SMALL_STATE(4458)] = 160448,
  [SMALL_STATE(4459)] = 160539,
  [SMALL_STATE(4460)] = 160584,
  [SMALL_STATE(4461)] = 160629,
  [SMALL_STATE(4462)] = 160720,
  [SMALL_STATE(4463)] = 160811,
  [SMALL_STATE(4464)] = 160856,
  [SMALL_STATE(4465)] = 160947,
  [SMALL_STATE(4466)] = 161038,
  [SMALL_STATE(4467)] = 161083,
  [SMALL_STATE(4468)] = 161164,
  [SMALL_STATE(4469)] = 161209,
  [SMALL_STATE(4470)] = 161254,
  [SMALL_STATE(4471)] = 161345,
  [SMALL_STATE(4472)] = 161436,
  [SMALL_STATE(4473)] = 161527,
  [SMALL_STATE(4474)] = 161618,
  [SMALL_STATE(4475)] = 161709,
  [SMALL_STATE(4476)] = 161800,
  [SMALL_STATE(4477)] = 161891,
  [SMALL_STATE(4478)] = 161936,
  [SMALL_STATE(4479)] = 162027,
  [SMALL_STATE(4480)] = 162072,
  [SMALL_STATE(4481)] = 162163,
  [SMALL_STATE(4482)] = 162254,
  [SMALL_STATE(4483)] = 162299,
  [SMALL_STATE(4484)] = 162390,
  [SMALL_STATE(4485)] = 162481,
  [SMALL_STATE(4486)] = 162572,
  [SMALL_STATE(4487)] = 162663,
  [SMALL_STATE(4488)] = 162708,
  [SMALL_STATE(4489)] = 162799,
  [SMALL_STATE(4490)] = 162844,
  [SMALL_STATE(4491)] = 162935,
  [SMALL_STATE(4492)] = 163026,
  [SMALL_STATE(4493)] = 163071,
  [SMALL_STATE(4494)] = 163116,
  [SMALL_STATE(4495)] = 163207,
  [SMALL_STATE(4496)] = 163252,
  [SMALL_STATE(4497)] = 163297,
  [SMALL_STATE(4498)] = 163388,
  [SMALL_STATE(4499)] = 163433,
  [SMALL_STATE(4500)] = 163524,
  [SMALL_STATE(4501)] = 163571,
  [SMALL_STATE(4502)] = 163652,
  [SMALL_STATE(4503)] = 163743,
  [SMALL_STATE(4504)] = 163834,
  [SMALL_STATE(4505)] = 163925,
  [SMALL_STATE(4506)] = 164016,
  [SMALL_STATE(4507)] = 164107,
  [SMALL_STATE(4508)] = 164198,
  [SMALL_STATE(4509)] = 164289,
  [SMALL_STATE(4510)] = 164334,
  [SMALL_STATE(4511)] = 164425,
  [SMALL_STATE(4512)] = 164470,
  [SMALL_STATE(4513)] = 164551,
  [SMALL_STATE(4514)] = 164642,
  [SMALL_STATE(4515)] = 164733,
  [SMALL_STATE(4516)] = 164824,
  [SMALL_STATE(4517)] = 164915,
  [SMALL_STATE(4518)] = 165006,
  [SMALL_STATE(4519)] = 165051,
  [SMALL_STATE(4520)] = 165104,
  [SMALL_STATE(4521)] = 165149,
  [SMALL_STATE(4522)] = 165240,
  [SMALL_STATE(4523)] = 165331,
  [SMALL_STATE(4524)] = 165376,
  [SMALL_STATE(4525)] = 165467,
  [SMALL_STATE(4526)] = 165558,
  [SMALL_STATE(4527)] = 165639,
  [SMALL_STATE(4528)] = 165730,
  [SMALL_STATE(4529)] = 165775,
  [SMALL_STATE(4530)] = 165820,
  [SMALL_STATE(4531)] = 165911,
  [SMALL_STATE(4532)] = 165996,
  [SMALL_STATE(4533)] = 166041,
  [SMALL_STATE(4534)] = 166132,
  [SMALL_STATE(4535)] = 166223,
  [SMALL_STATE(4536)] = 166268,
  [SMALL_STATE(4537)] = 166359,
  [SMALL_STATE(4538)] = 166404,
  [SMALL_STATE(4539)] = 166451,
  [SMALL_STATE(4540)] = 166532,
  [SMALL_STATE(4541)] = 166623,
  [SMALL_STATE(4542)] = 166714,
  [SMALL_STATE(4543)] = 166805,
  [SMALL_STATE(4544)] = 166896,
  [SMALL_STATE(4545)] = 166941,
  [SMALL_STATE(4546)] = 167032,
  [SMALL_STATE(4547)] = 167123,
  [SMALL_STATE(4548)] = 167214,
  [SMALL_STATE(4549)] = 167305,
  [SMALL_STATE(4550)] = 167350,
  [SMALL_STATE(4551)] = 167395,
  [SMALL_STATE(4552)] = 167486,
  [SMALL_STATE(4553)] = 167531,
  [SMALL_STATE(4554)] = 167622,
  [SMALL_STATE(4555)] = 167667,
  [SMALL_STATE(4556)] = 167758,
  [SMALL_STATE(4557)] = 167849,
  [SMALL_STATE(4558)] = 167940,
  [SMALL_STATE(4559)] = 167985,
  [SMALL_STATE(4560)] = 168076,
  [SMALL_STATE(4561)] = 168121,
  [SMALL_STATE(4562)] = 168166,
  [SMALL_STATE(4563)] = 168211,
  [SMALL_STATE(4564)] = 168302,
  [SMALL_STATE(4565)] = 168359,
  [SMALL_STATE(4566)] = 168450,
  [SMALL_STATE(4567)] = 168495,
  [SMALL_STATE(4568)] = 168540,
  [SMALL_STATE(4569)] = 168625,
  [SMALL_STATE(4570)] = 168716,
  [SMALL_STATE(4571)] = 168773,
  [SMALL_STATE(4572)] = 168864,
  [SMALL_STATE(4573)] = 168955,
  [SMALL_STATE(4574)] = 169046,
  [SMALL_STATE(4575)] = 169137,
  [SMALL_STATE(4576)] = 169218,
  [SMALL_STATE(4577)] = 169309,
  [SMALL_STATE(4578)] = 169400,
  [SMALL_STATE(4579)] = 169491,
  [SMALL_STATE(4580)] = 169574,
  [SMALL_STATE(4581)] = 169663,
  [SMALL_STATE(4582)] = 169754,
  [SMALL_STATE(4583)] = 169825,
  [SMALL_STATE(4584)] = 169916,
  [SMALL_STATE(4585)] = 170007,
  [SMALL_STATE(4586)] = 170078,
  [SMALL_STATE(4587)] = 170149,
  [SMALL_STATE(4588)] = 170230,
  [SMALL_STATE(4589)] = 170301,
  [SMALL_STATE(4590)] = 170392,
  [SMALL_STATE(4591)] = 170447,
  [SMALL_STATE(4592)] = 170538,
  [SMALL_STATE(4593)] = 170629,
  [SMALL_STATE(4594)] = 170720,
  [SMALL_STATE(4595)] = 170811,
  [SMALL_STATE(4596)] = 170902,
  [SMALL_STATE(4597)] = 170993,
  [SMALL_STATE(4598)] = 171084,
  [SMALL_STATE(4599)] = 171175,
  [SMALL_STATE(4600)] = 171266,
  [SMALL_STATE(4601)] = 171357,
  [SMALL_STATE(4602)] = 171448,
  [SMALL_STATE(4603)] = 171539,
  [SMALL_STATE(4604)] = 171630,
  [SMALL_STATE(4605)] = 171721,
  [SMALL_STATE(4606)] = 171766,
  [SMALL_STATE(4607)] = 171857,
  [SMALL_STATE(4608)] = 171948,
  [SMALL_STATE(4609)] = 172039,
  [SMALL_STATE(4610)] = 172130,
  [SMALL_STATE(4611)] = 172221,
  [SMALL_STATE(4612)] = 172312,
  [SMALL_STATE(4613)] = 172403,
  [SMALL_STATE(4614)] = 172494,
  [SMALL_STATE(4615)] = 172585,
  [SMALL_STATE(4616)] = 172629,
  [SMALL_STATE(4617)] = 172673,
  [SMALL_STATE(4618)] = 172717,
  [SMALL_STATE(4619)] = 172793,
  [SMALL_STATE(4620)] = 172845,
  [SMALL_STATE(4621)] = 172923,
  [SMALL_STATE(4622)] = 172993,
  [SMALL_STATE(4623)] = 173045,
  [SMALL_STATE(4624)] = 173115,
  [SMALL_STATE(4625)] = 173159,
  [SMALL_STATE(4626)] = 173243,
  [SMALL_STATE(4627)] = 173313,
  [SMALL_STATE(4628)] = 173367,
  [SMALL_STATE(4629)] = 173411,
  [SMALL_STATE(4630)] = 173489,
  [SMALL_STATE(4631)] = 173573,
  [SMALL_STATE(4632)] = 173643,
  [SMALL_STATE(4633)] = 173721,
  [SMALL_STATE(4634)] = 173791,
  [SMALL_STATE(4635)] = 173861,
  [SMALL_STATE(4636)] = 173931,
  [SMALL_STATE(4637)] = 174001,
  [SMALL_STATE(4638)] = 174079,
  [SMALL_STATE(4639)] = 174149,
  [SMALL_STATE(4640)] = 174227,
  [SMALL_STATE(4641)] = 174297,
  [SMALL_STATE(4642)] = 174341,
  [SMALL_STATE(4643)] = 174389,
  [SMALL_STATE(4644)] = 174467,
  [SMALL_STATE(4645)] = 174511,
  [SMALL_STATE(4646)] = 174555,
  [SMALL_STATE(4647)] = 174599,
  [SMALL_STATE(4648)] = 174643,
  [SMALL_STATE(4649)] = 174687,
  [SMALL_STATE(4650)] = 174731,
  [SMALL_STATE(4651)] = 174775,
  [SMALL_STATE(4652)] = 174819,
  [SMALL_STATE(4653)] = 174897,
  [SMALL_STATE(4654)] = 174941,
  [SMALL_STATE(4655)] = 174985,
  [SMALL_STATE(4656)] = 175029,
  [SMALL_STATE(4657)] = 175077,
  [SMALL_STATE(4658)] = 175121,
  [SMALL_STATE(4659)] = 175165,
  [SMALL_STATE(4660)] = 175235,
  [SMALL_STATE(4661)] = 175279,
  [SMALL_STATE(4662)] = 175323,
  [SMALL_STATE(4663)] = 175367,
  [SMALL_STATE(4664)] = 175411,
  [SMALL_STATE(4665)] = 175455,
  [SMALL_STATE(4666)] = 175499,
  [SMALL_STATE(4667)] = 175543,
  [SMALL_STATE(4668)] = 175587,
  [SMALL_STATE(4669)] = 175633,
  [SMALL_STATE(4670)] = 175677,
  [SMALL_STATE(4671)] = 175721,
  [SMALL_STATE(4672)] = 175773,
  [SMALL_STATE(4673)] = 175817,
  [SMALL_STATE(4674)] = 175861,
  [SMALL_STATE(4675)] = 175905,
  [SMALL_STATE(4676)] = 175949,
  [SMALL_STATE(4677)] = 176025,
  [SMALL_STATE(4678)] = 176069,
  [SMALL_STATE(4679)] = 176113,
  [SMALL_STATE(4680)] = 176183,
  [SMALL_STATE(4681)] = 176271,
  [SMALL_STATE(4682)] = 176349,
  [SMALL_STATE(4683)] = 176393,
  [SMALL_STATE(4684)] = 176437,
  [SMALL_STATE(4685)] = 176520,
  [SMALL_STATE(4686)] = 176605,
  [SMALL_STATE(4687)] = 176674,
  [SMALL_STATE(4688)] = 176759,
  [SMALL_STATE(4689)] = 176844,
  [SMALL_STATE(4690)] = 176929,
  [SMALL_STATE(4691)] = 176998,
  [SMALL_STATE(4692)] = 177081,
  [SMALL_STATE(4693)] = 177166,
  [SMALL_STATE(4694)] = 177219,
  [SMALL_STATE(4695)] = 177270,
  [SMALL_STATE(4696)] = 177315,
  [SMALL_STATE(4697)] = 177400,
  [SMALL_STATE(4698)] = 177485,
  [SMALL_STATE(4699)] = 177532,
  [SMALL_STATE(4700)] = 177617,
  [SMALL_STATE(4701)] = 177668,
  [SMALL_STATE(4702)] = 177737,
  [SMALL_STATE(4703)] = 177792,
  [SMALL_STATE(4704)] = 177875,
  [SMALL_STATE(4705)] = 177930,
  [SMALL_STATE(4706)] = 177999,
  [SMALL_STATE(4707)] = 178068,
  [SMALL_STATE(4708)] = 178153,
  [SMALL_STATE(4709)] = 178238,
  [SMALL_STATE(4710)] = 178295,
  [SMALL_STATE(4711)] = 178364,
  [SMALL_STATE(4712)] = 178421,
  [SMALL_STATE(4713)] = 178472,
  [SMALL_STATE(4714)] = 178525,
  [SMALL_STATE(4715)] = 178594,
  [SMALL_STATE(4716)] = 178641,
  [SMALL_STATE(4717)] = 178688,
  [SMALL_STATE(4718)] = 178773,
  [SMALL_STATE(4719)] = 178856,
  [SMALL_STATE(4720)] = 178941,
  [SMALL_STATE(4721)] = 178988,
  [SMALL_STATE(4722)] = 179071,
  [SMALL_STATE(4723)] = 179140,
  [SMALL_STATE(4724)] = 179225,
  [SMALL_STATE(4725)] = 179310,
  [SMALL_STATE(4726)] = 179357,
  [SMALL_STATE(4727)] = 179440,
  [SMALL_STATE(4728)] = 179525,
  [SMALL_STATE(4729)] = 179572,
  [SMALL_STATE(4730)] = 179657,
  [SMALL_STATE(4731)] = 179742,
  [SMALL_STATE(4732)] = 179789,
  [SMALL_STATE(4733)] = 179872,
  [SMALL_STATE(4734)] = 179919,
  [SMALL_STATE(4735)] = 179974,
  [SMALL_STATE(4736)] = 180021,
  [SMALL_STATE(4737)] = 180074,
  [SMALL_STATE(4738)] = 180157,
  [SMALL_STATE(4739)] = 180204,
  [SMALL_STATE(4740)] = 180251,
  [SMALL_STATE(4741)] = 180306,
  [SMALL_STATE(4742)] = 180353,
  [SMALL_STATE(4743)] = 180438,
  [SMALL_STATE(4744)] = 180480,
  [SMALL_STATE(4745)] = 180528,
  [SMALL_STATE(4746)] = 180570,
  [SMALL_STATE(4747)] = 180616,
  [SMALL_STATE(4748)] = 180692,
  [SMALL_STATE(4749)] = 180738,
  [SMALL_STATE(4750)] = 180780,
  [SMALL_STATE(4751)] = 180834,
  [SMALL_STATE(4752)] = 180910,
  [SMALL_STATE(4753)] = 180952,
  [SMALL_STATE(4754)] = 180998,
  [SMALL_STATE(4755)] = 181044,
  [SMALL_STATE(4756)] = 181126,
  [SMALL_STATE(4757)] = 181216,
  [SMALL_STATE(4758)] = 181258,
  [SMALL_STATE(4759)] = 181340,
  [SMALL_STATE(4760)] = 181382,
  [SMALL_STATE(4761)] = 181428,
  [SMALL_STATE(4762)] = 181474,
  [SMALL_STATE(4763)] = 181518,
  [SMALL_STATE(4764)] = 181560,
  [SMALL_STATE(4765)] = 181642,
  [SMALL_STATE(4766)] = 181686,
  [SMALL_STATE(4767)] = 181762,
  [SMALL_STATE(4768)] = 181844,
  [SMALL_STATE(4769)] = 181890,
  [SMALL_STATE(4770)] = 181966,
  [SMALL_STATE(4771)] = 182045,
  [SMALL_STATE(4772)] = 182126,
  [SMALL_STATE(4773)] = 182167,
  [SMALL_STATE(4774)] = 182246,
  [SMALL_STATE(4775)] = 182287,
  [SMALL_STATE(4776)] = 182328,
  [SMALL_STATE(4777)] = 182407,
  [SMALL_STATE(4778)] = 182448,
  [SMALL_STATE(4779)] = 182489,
  [SMALL_STATE(4780)] = 182568,
  [SMALL_STATE(4781)] = 182609,
  [SMALL_STATE(4782)] = 182650,
  [SMALL_STATE(4783)] = 182729,
  [SMALL_STATE(4784)] = 182808,
  [SMALL_STATE(4785)] = 182849,
  [SMALL_STATE(4786)] = 182902,
  [SMALL_STATE(4787)] = 182969,
  [SMALL_STATE(4788)] = 183048,
  [SMALL_STATE(4789)] = 183127,
  [SMALL_STATE(4790)] = 183206,
  [SMALL_STATE(4791)] = 183259,
  [SMALL_STATE(4792)] = 183338,
  [SMALL_STATE(4793)] = 183413,
  [SMALL_STATE(4794)] = 183492,
  [SMALL_STATE(4795)] = 183533,
  [SMALL_STATE(4796)] = 183608,
  [SMALL_STATE(4797)] = 183649,
  [SMALL_STATE(4798)] = 183690,
  [SMALL_STATE(4799)] = 183769,
  [SMALL_STATE(4800)] = 183848,
  [SMALL_STATE(4801)] = 183889,
  [SMALL_STATE(4802)] = 183964,
  [SMALL_STATE(4803)] = 184005,
  [SMALL_STATE(4804)] = 184084,
  [SMALL_STATE(4805)] = 184125,
  [SMALL_STATE(4806)] = 184166,
  [SMALL_STATE(4807)] = 184207,
  [SMALL_STATE(4808)] = 184286,
  [SMALL_STATE(4809)] = 184365,
  [SMALL_STATE(4810)] = 184444,
  [SMALL_STATE(4811)] = 184485,
  [SMALL_STATE(4812)] = 184564,
  [SMALL_STATE(4813)] = 184643,
  [SMALL_STATE(4814)] = 184684,
  [SMALL_STATE(4815)] = 184725,
  [SMALL_STATE(4816)] = 184804,
  [SMALL_STATE(4817)] = 184845,
  [SMALL_STATE(4818)] = 184924,
  [SMALL_STATE(4819)] = 185003,
  [SMALL_STATE(4820)] = 185082,
  [SMALL_STATE(4821)] = 185161,
  [SMALL_STATE(4822)] = 185202,
  [SMALL_STATE(4823)] = 185243,
  [SMALL_STATE(4824)] = 185322,
  [SMALL_STATE(4825)] = 185401,
  [SMALL_STATE(4826)] = 185442,
  [SMALL_STATE(4827)] = 185521,
  [SMALL_STATE(4828)] = 185562,
  [SMALL_STATE(4829)] = 185629,
  [SMALL_STATE(4830)] = 185708,
  [SMALL_STATE(4831)] = 185787,
  [SMALL_STATE(4832)] = 185866,
  [SMALL_STATE(4833)] = 185907,
  [SMALL_STATE(4834)] = 185948,
  [SMALL_STATE(4835)] = 185989,
  [SMALL_STATE(4836)] = 186068,
  [SMALL_STATE(4837)] = 186119,
  [SMALL_STATE(4838)] = 186160,
  [SMALL_STATE(4839)] = 186235,
  [SMALL_STATE(4840)] = 186314,
  [SMALL_STATE(4841)] = 186381,
  [SMALL_STATE(4842)] = 186426,
  [SMALL_STATE(4843)] = 186471,
  [SMALL_STATE(4844)] = 186512,
  [SMALL_STATE(4845)] = 186591,
  [SMALL_STATE(4846)] = 186632,
  [SMALL_STATE(4847)] = 186677,
  [SMALL_STATE(4848)] = 186722,
  [SMALL_STATE(4849)] = 186801,
  [SMALL_STATE(4850)] = 186846,
  [SMALL_STATE(4851)] = 186891,
  [SMALL_STATE(4852)] = 186970,
  [SMALL_STATE(4853)] = 187015,
  [SMALL_STATE(4854)] = 187060,
  [SMALL_STATE(4855)] = 187105,
  [SMALL_STATE(4856)] = 187184,
  [SMALL_STATE(4857)] = 187225,
  [SMALL_STATE(4858)] = 187270,
  [SMALL_STATE(4859)] = 187311,
  [SMALL_STATE(4860)] = 187392,
  [SMALL_STATE(4861)] = 187471,
  [SMALL_STATE(4862)] = 187550,
  [SMALL_STATE(4863)] = 187617,
  [SMALL_STATE(4864)] = 187696,
  [SMALL_STATE(4865)] = 187737,
  [SMALL_STATE(4866)] = 187782,
  [SMALL_STATE(4867)] = 187827,
  [SMALL_STATE(4868)] = 187901,
  [SMALL_STATE(4869)] = 187953,
  [SMALL_STATE(4870)] = 188027,
  [SMALL_STATE(4871)] = 188101,
  [SMALL_STATE(4872)] = 188175,
  [SMALL_STATE(4873)] = 188249,
  [SMALL_STATE(4874)] = 188323,
  [SMALL_STATE(4875)] = 188375,
  [SMALL_STATE(4876)] = 188449,
  [SMALL_STATE(4877)] = 188523,
  [SMALL_STATE(4878)] = 188597,
  [SMALL_STATE(4879)] = 188671,
  [SMALL_STATE(4880)] = 188745,
  [SMALL_STATE(4881)] = 188793,
  [SMALL_STATE(4882)] = 188837,
  [SMALL_STATE(4883)] = 188911,
  [SMALL_STATE(4884)] = 188959,
  [SMALL_STATE(4885)] = 189033,
  [SMALL_STATE(4886)] = 189107,
  [SMALL_STATE(4887)] = 189181,
  [SMALL_STATE(4888)] = 189255,
  [SMALL_STATE(4889)] = 189328,
  [SMALL_STATE(4890)] = 189401,
  [SMALL_STATE(4891)] = 189480,
  [SMALL_STATE(4892)] = 189553,
  [SMALL_STATE(4893)] = 189626,
  [SMALL_STATE(4894)] = 189705,
  [SMALL_STATE(4895)] = 189778,
  [SMALL_STATE(4896)] = 189851,
  [SMALL_STATE(4897)] = 189924,
  [SMALL_STATE(4898)] = 190003,
  [SMALL_STATE(4899)] = 190076,
  [SMALL_STATE(4900)] = 190155,
  [SMALL_STATE(4901)] = 190235,
  [SMALL_STATE(4902)] = 190315,
  [SMALL_STATE(4903)] = 190395,
  [SMALL_STATE(4904)] = 190475,
  [SMALL_STATE(4905)] = 190555,
  [SMALL_STATE(4906)] = 190635,
  [SMALL_STATE(4907)] = 190715,
  [SMALL_STATE(4908)] = 190795,
  [SMALL_STATE(4909)] = 190875,
  [SMALL_STATE(4910)] = 190955,
  [SMALL_STATE(4911)] = 191035,
  [SMALL_STATE(4912)] = 191115,
  [SMALL_STATE(4913)] = 191185,
  [SMALL_STATE(4914)] = 191265,
  [SMALL_STATE(4915)] = 191345,
  [SMALL_STATE(4916)] = 191425,
  [SMALL_STATE(4917)] = 191505,
  [SMALL_STATE(4918)] = 191585,
  [SMALL_STATE(4919)] = 191665,
  [SMALL_STATE(4920)] = 191745,
  [SMALL_STATE(4921)] = 191825,
  [SMALL_STATE(4922)] = 191895,
  [SMALL_STATE(4923)] = 191975,
  [SMALL_STATE(4924)] = 192055,
  [SMALL_STATE(4925)] = 192135,
  [SMALL_STATE(4926)] = 192215,
  [SMALL_STATE(4927)] = 192295,
  [SMALL_STATE(4928)] = 192375,
  [SMALL_STATE(4929)] = 192445,
  [SMALL_STATE(4930)] = 192525,
  [SMALL_STATE(4931)] = 192605,
  [SMALL_STATE(4932)] = 192685,
  [SMALL_STATE(4933)] = 192765,
  [SMALL_STATE(4934)] = 192845,
  [SMALL_STATE(4935)] = 192925,
  [SMALL_STATE(4936)] = 193005,
  [SMALL_STATE(4937)] = 193085,
  [SMALL_STATE(4938)] = 193165,
  [SMALL_STATE(4939)] = 193245,
  [SMALL_STATE(4940)] = 193325,
  [SMALL_STATE(4941)] = 193405,
  [SMALL_STATE(4942)] = 193485,
  [SMALL_STATE(4943)] = 193565,
  [SMALL_STATE(4944)] = 193645,
  [SMALL_STATE(4945)] = 193725,
  [SMALL_STATE(4946)] = 193805,
  [SMALL_STATE(4947)] = 193885,
  [SMALL_STATE(4948)] = 193955,
  [SMALL_STATE(4949)] = 194025,
  [SMALL_STATE(4950)] = 194105,
  [SMALL_STATE(4951)] = 194185,
  [SMALL_STATE(4952)] = 194265,
  [SMALL_STATE(4953)] = 194335,
  [SMALL_STATE(4954)] = 194415,
  [SMALL_STATE(4955)] = 194495,
  [SMALL_STATE(4956)] = 194575,
  [SMALL_STATE(4957)] = 194655,
  [SMALL_STATE(4958)] = 194693,
  [SMALL_STATE(4959)] = 194773,
  [SMALL_STATE(4960)] = 194853,
  [SMALL_STATE(4961)] = 194891,
  [SMALL_STATE(4962)] = 194971,
  [SMALL_STATE(4963)] = 195051,
  [SMALL_STATE(4964)] = 195131,
  [SMALL_STATE(4965)] = 195211,
  [SMALL_STATE(4966)] = 195291,
  [SMALL_STATE(4967)] = 195371,
  [SMALL_STATE(4968)] = 195451,
  [SMALL_STATE(4969)] = 195531,
  [SMALL_STATE(4970)] = 195601,
  [SMALL_STATE(4971)] = 195673,
  [SMALL_STATE(4972)] = 195753,
  [SMALL_STATE(4973)] = 195833,
  [SMALL_STATE(4974)] = 195913,
  [SMALL_STATE(4975)] = 195993,
  [SMALL_STATE(4976)] = 196073,
  [SMALL_STATE(4977)] = 196153,
  [SMALL_STATE(4978)] = 196225,
  [SMALL_STATE(4979)] = 196305,
  [SMALL_STATE(4980)] = 196385,
  [SMALL_STATE(4981)] = 196465,
  [SMALL_STATE(4982)] = 196545,
  [SMALL_STATE(4983)] = 196625,
  [SMALL_STATE(4984)] = 196705,
  [SMALL_STATE(4985)] = 196785,
  [SMALL_STATE(4986)] = 196865,
  [SMALL_STATE(4987)] = 196945,
  [SMALL_STATE(4988)] = 197025,
  [SMALL_STATE(4989)] = 197097,
  [SMALL_STATE(4990)] = 197177,
  [SMALL_STATE(4991)] = 197257,
  [SMALL_STATE(4992)] = 197337,
  [SMALL_STATE(4993)] = 197417,
  [SMALL_STATE(4994)] = 197487,
  [SMALL_STATE(4995)] = 197567,
  [SMALL_STATE(4996)] = 197647,
  [SMALL_STATE(4997)] = 197727,
  [SMALL_STATE(4998)] = 197807,
  [SMALL_STATE(4999)] = 197887,
  [SMALL_STATE(5000)] = 197967,
  [SMALL_STATE(5001)] = 198047,
  [SMALL_STATE(5002)] = 198127,
  [SMALL_STATE(5003)] = 198207,
  [SMALL_STATE(5004)] = 198287,
  [SMALL_STATE(5005)] = 198367,
  [SMALL_STATE(5006)] = 198447,
  [SMALL_STATE(5007)] = 198527,
  [SMALL_STATE(5008)] = 198607,
  [SMALL_STATE(5009)] = 198679,
  [SMALL_STATE(5010)] = 198759,
  [SMALL_STATE(5011)] = 198820,
  [SMALL_STATE(5012)] = 198897,
  [SMALL_STATE(5013)] = 198974,
  [SMALL_STATE(5014)] = 199051,
  [SMALL_STATE(5015)] = 199116,
  [SMALL_STATE(5016)] = 199183,
  [SMALL_STATE(5017)] = 199250,
  [SMALL_STATE(5018)] = 199317,
  [SMALL_STATE(5019)] = 199384,
  [SMALL_STATE(5020)] = 199451,
  [SMALL_STATE(5021)] = 199516,
  [SMALL_STATE(5022)] = 199583,
  [SMALL_STATE(5023)] = 199650,
  [SMALL_STATE(5024)] = 199727,
  [SMALL_STATE(5025)] = 199804,
  [SMALL_STATE(5026)] = 199881,
  [SMALL_STATE(5027)] = 199958,
  [SMALL_STATE(5028)] = 200035,
  [SMALL_STATE(5029)] = 200112,
  [SMALL_STATE(5030)] = 200189,
  [SMALL_STATE(5031)] = 200256,
  [SMALL_STATE(5032)] = 200323,
  [SMALL_STATE(5033)] = 200390,
  [SMALL_STATE(5034)] = 200457,
  [SMALL_STATE(5035)] = 200524,
  [SMALL_STATE(5036)] = 200601,
  [SMALL_STATE(5037)] = 200668,
  [SMALL_STATE(5038)] = 200735,
  [SMALL_STATE(5039)] = 200800,
  [SMALL_STATE(5040)] = 200861,
  [SMALL_STATE(5041)] = 200928,
  [SMALL_STATE(5042)] = 201005,
  [SMALL_STATE(5043)] = 201072,
  [SMALL_STATE(5044)] = 201139,
  [SMALL_STATE(5045)] = 201206,
  [SMALL_STATE(5046)] = 201273,
  [SMALL_STATE(5047)] = 201338,
  [SMALL_STATE(5048)] = 201415,
  [SMALL_STATE(5049)] = 201482,
  [SMALL_STATE(5050)] = 201559,
  [SMALL_STATE(5051)] = 201636,
  [SMALL_STATE(5052)] = 201701,
  [SMALL_STATE(5053)] = 201762,
  [SMALL_STATE(5054)] = 201829,
  [SMALL_STATE(5055)] = 201870,
  [SMALL_STATE(5056)] = 201937,
  [SMALL_STATE(5057)] = 202004,
  [SMALL_STATE(5058)] = 202065,
  [SMALL_STATE(5059)] = 202132,
  [SMALL_STATE(5060)] = 202199,
  [SMALL_STATE(5061)] = 202276,
  [SMALL_STATE(5062)] = 202341,
  [SMALL_STATE(5063)] = 202382,
  [SMALL_STATE(5064)] = 202459,
  [SMALL_STATE(5065)] = 202526,
  [SMALL_STATE(5066)] = 202603,
  [SMALL_STATE(5067)] = 202670,
  [SMALL_STATE(5068)] = 202734,
  [SMALL_STATE(5069)] = 202804,
  [SMALL_STATE(5070)] = 202874,
  [SMALL_STATE(5071)] = 202944,
  [SMALL_STATE(5072)] = 203008,
  [SMALL_STATE(5073)] = 203078,
  [SMALL_STATE(5074)] = 203142,
  [SMALL_STATE(5075)] = 203180,
  [SMALL_STATE(5076)] = 203250,
  [SMALL_STATE(5077)] = 203320,
  [SMALL_STATE(5078)] = 203366,
  [SMALL_STATE(5079)] = 203430,
  [SMALL_STATE(5080)] = 203500,
  [SMALL_STATE(5081)] = 203570,
  [SMALL_STATE(5082)] = 203634,
  [SMALL_STATE(5083)] = 203698,
  [SMALL_STATE(5084)] = 203761,
  [SMALL_STATE(5085)] = 203824,
  [SMALL_STATE(5086)] = 203887,
  [SMALL_STATE(5087)] = 203950,
  [SMALL_STATE(5088)] = 204013,
  [SMALL_STATE(5089)] = 204076,
  [SMALL_STATE(5090)] = 204139,
  [SMALL_STATE(5091)] = 204202,
  [SMALL_STATE(5092)] = 204265,
  [SMALL_STATE(5093)] = 204328,
  [SMALL_STATE(5094)] = 204391,
  [SMALL_STATE(5095)] = 204454,
  [SMALL_STATE(5096)] = 204517,
  [SMALL_STATE(5097)] = 204580,
  [SMALL_STATE(5098)] = 204643,
  [SMALL_STATE(5099)] = 204706,
  [SMALL_STATE(5100)] = 204769,
  [SMALL_STATE(5101)] = 204832,
  [SMALL_STATE(5102)] = 204895,
  [SMALL_STATE(5103)] = 204958,
  [SMALL_STATE(5104)] = 205021,
  [SMALL_STATE(5105)] = 205084,
  [SMALL_STATE(5106)] = 205147,
  [SMALL_STATE(5107)] = 205210,
  [SMALL_STATE(5108)] = 205272,
  [SMALL_STATE(5109)] = 205334,
  [SMALL_STATE(5110)] = 205396,
  [SMALL_STATE(5111)] = 205458,
  [SMALL_STATE(5112)] = 205520,
  [SMALL_STATE(5113)] = 205582,
  [SMALL_STATE(5114)] = 205644,
  [SMALL_STATE(5115)] = 205706,
  [SMALL_STATE(5116)] = 205768,
  [SMALL_STATE(5117)] = 205830,
  [SMALL_STATE(5118)] = 205892,
  [SMALL_STATE(5119)] = 205954,
  [SMALL_STATE(5120)] = 206015,
  [SMALL_STATE(5121)] = 206076,
  [SMALL_STATE(5122)] = 206137,
  [SMALL_STATE(5123)] = 206188,
  [SMALL_STATE(5124)] = 206221,
  [SMALL_STATE(5125)] = 206282,
  [SMALL_STATE(5126)] = 206343,
  [SMALL_STATE(5127)] = 206404,
  [SMALL_STATE(5128)] = 206465,
  [SMALL_STATE(5129)] = 206526,
  [SMALL_STATE(5130)] = 206587,
  [SMALL_STATE(5131)] = 206648,
  [SMALL_STATE(5132)] = 206709,
  [SMALL_STATE(5133)] = 206770,
  [SMALL_STATE(5134)] = 206831,
  [SMALL_STATE(5135)] = 206864,
  [SMALL_STATE(5136)] = 206915,
  [SMALL_STATE(5137)] = 206969,
  [SMALL_STATE(5138)] = 207017,
  [SMALL_STATE(5139)] = 207070,
  [SMALL_STATE(5140)] = 207109,
  [SMALL_STATE(5141)] = 207162,
  [SMALL_STATE(5142)] = 207221,
  [SMALL_STATE(5143)] = 207268,
  [SMALL_STATE(5144)] = 207321,
  [SMALL_STATE(5145)] = 207374,
  [SMALL_STATE(5146)] = 207427,
  [SMALL_STATE(5147)] = 207480,
  [SMALL_STATE(5148)] = 207533,
  [SMALL_STATE(5149)] = 207592,
  [SMALL_STATE(5150)] = 207663,
  [SMALL_STATE(5151)] = 207722,
  [SMALL_STATE(5152)] = 207793,
  [SMALL_STATE(5153)] = 207846,
  [SMALL_STATE(5154)] = 207899,
  [SMALL_STATE(5155)] = 207952,
  [SMALL_STATE(5156)] = 208011,
  [SMALL_STATE(5157)] = 208070,
  [SMALL_STATE(5158)] = 208141,
  [SMALL_STATE(5159)] = 208194,
  [SMALL_STATE(5160)] = 208247,
  [SMALL_STATE(5161)] = 208294,
  [SMALL_STATE(5162)] = 208347,
  [SMALL_STATE(5163)] = 208400,
  [SMALL_STATE(5164)] = 208459,
  [SMALL_STATE(5165)] = 208518,
  [SMALL_STATE(5166)] = 208571,
  [SMALL_STATE(5167)] = 208624,
  [SMALL_STATE(5168)] = 208683,
  [SMALL_STATE(5169)] = 208742,
  [SMALL_STATE(5170)] = 208801,
  [SMALL_STATE(5171)] = 208848,
  [SMALL_STATE(5172)] = 208887,
  [SMALL_STATE(5173)] = 208946,
  [SMALL_STATE(5174)] = 209005,
  [SMALL_STATE(5175)] = 209058,
  [SMALL_STATE(5176)] = 209111,
  [SMALL_STATE(5177)] = 209158,
  [SMALL_STATE(5178)] = 209202,
  [SMALL_STATE(5179)] = 209254,
  [SMALL_STATE(5180)] = 209298,
  [SMALL_STATE(5181)] = 209342,
  [SMALL_STATE(5182)] = 209386,
  [SMALL_STATE(5183)] = 209430,
  [SMALL_STATE(5184)] = 209500,
  [SMALL_STATE(5185)] = 209544,
  [SMALL_STATE(5186)] = 209588,
  [SMALL_STATE(5187)] = 209638,
  [SMALL_STATE(5188)] = 209682,
  [SMALL_STATE(5189)] = 209726,
  [SMALL_STATE(5190)] = 209770,
  [SMALL_STATE(5191)] = 209820,
  [SMALL_STATE(5192)] = 209872,
  [SMALL_STATE(5193)] = 209916,
  [SMALL_STATE(5194)] = 209960,
  [SMALL_STATE(5195)] = 210012,
  [SMALL_STATE(5196)] = 210056,
  [SMALL_STATE(5197)] = 210108,
  [SMALL_STATE(5198)] = 210160,
  [SMALL_STATE(5199)] = 210204,
  [SMALL_STATE(5200)] = 210274,
  [SMALL_STATE(5201)] = 210318,
  [SMALL_STATE(5202)] = 210368,
  [SMALL_STATE(5203)] = 210420,
  [SMALL_STATE(5204)] = 210472,
  [SMALL_STATE(5205)] = 210524,
  [SMALL_STATE(5206)] = 210568,
  [SMALL_STATE(5207)] = 210620,
  [SMALL_STATE(5208)] = 210670,
  [SMALL_STATE(5209)] = 210700,
  [SMALL_STATE(5210)] = 210744,
  [SMALL_STATE(5211)] = 210788,
  [SMALL_STATE(5212)] = 210832,
  [SMALL_STATE(5213)] = 210882,
  [SMALL_STATE(5214)] = 210928,
  [SMALL_STATE(5215)] = 210972,
  [SMALL_STATE(5216)] = 211022,
  [SMALL_STATE(5217)] = 211066,
  [SMALL_STATE(5218)] = 211118,
  [SMALL_STATE(5219)] = 211170,
  [SMALL_STATE(5220)] = 211214,
  [SMALL_STATE(5221)] = 211264,
  [SMALL_STATE(5222)] = 211316,
  [SMALL_STATE(5223)] = 211360,
  [SMALL_STATE(5224)] = 211404,
  [SMALL_STATE(5225)] = 211456,
  [SMALL_STATE(5226)] = 211500,
  [SMALL_STATE(5227)] = 211552,
  [SMALL_STATE(5228)] = 211596,
  [SMALL_STATE(5229)] = 211646,
  [SMALL_STATE(5230)] = 211690,
  [SMALL_STATE(5231)] = 211742,
  [SMALL_STATE(5232)] = 211794,
  [SMALL_STATE(5233)] = 211838,
  [SMALL_STATE(5234)] = 211888,
  [SMALL_STATE(5235)] = 211940,
  [SMALL_STATE(5236)] = 211992,
  [SMALL_STATE(5237)] = 212042,
  [SMALL_STATE(5238)] = 212086,
  [SMALL_STATE(5239)] = 212130,
  [SMALL_STATE(5240)] = 212182,
  [SMALL_STATE(5241)] = 212234,
  [SMALL_STATE(5242)] = 212304,
  [SMALL_STATE(5243)] = 212356,
  [SMALL_STATE(5244)] = 212408,
  [SMALL_STATE(5245)] = 212454,
  [SMALL_STATE(5246)] = 212498,
  [SMALL_STATE(5247)] = 212550,
  [SMALL_STATE(5248)] = 212602,
  [SMALL_STATE(5249)] = 212646,
  [SMALL_STATE(5250)] = 212690,
  [SMALL_STATE(5251)] = 212742,
  [SMALL_STATE(5252)] = 212794,
  [SMALL_STATE(5253)] = 212838,
  [SMALL_STATE(5254)] = 212882,
  [SMALL_STATE(5255)] = 212934,
  [SMALL_STATE(5256)] = 212984,
  [SMALL_STATE(5257)] = 213036,
  [SMALL_STATE(5258)] = 213080,
  [SMALL_STATE(5259)] = 213130,
  [SMALL_STATE(5260)] = 213164,
  [SMALL_STATE(5261)] = 213216,
  [SMALL_STATE(5262)] = 213260,
  [SMALL_STATE(5263)] = 213312,
  [SMALL_STATE(5264)] = 213356,
  [SMALL_STATE(5265)] = 213408,
  [SMALL_STATE(5266)] = 213460,
  [SMALL_STATE(5267)] = 213512,
  [SMALL_STATE(5268)] = 213564,
  [SMALL_STATE(5269)] = 213616,
  [SMALL_STATE(5270)] = 213668,
  [SMALL_STATE(5271)] = 213720,
  [SMALL_STATE(5272)] = 213772,
  [SMALL_STATE(5273)] = 213824,
  [SMALL_STATE(5274)] = 213868,
  [SMALL_STATE(5275)] = 213920,
  [SMALL_STATE(5276)] = 213972,
  [SMALL_STATE(5277)] = 214031,
  [SMALL_STATE(5278)] = 214090,
  [SMALL_STATE(5279)] = 214149,
  [SMALL_STATE(5280)] = 214210,
  [SMALL_STATE(5281)] = 214269,
  [SMALL_STATE(5282)] = 214328,
  [SMALL_STATE(5283)] = 214387,
  [SMALL_STATE(5284)] = 214446,
  [SMALL_STATE(5285)] = 214505,
  [SMALL_STATE(5286)] = 214564,
  [SMALL_STATE(5287)] = 214623,
  [SMALL_STATE(5288)] = 214682,
  [SMALL_STATE(5289)] = 214741,
  [SMALL_STATE(5290)] = 214800,
  [SMALL_STATE(5291)] = 214855,
  [SMALL_STATE(5292)] = 214914,
  [SMALL_STATE(5293)] = 214973,
  [SMALL_STATE(5294)] = 215032,
  [SMALL_STATE(5295)] = 215091,
  [SMALL_STATE(5296)] = 215152,
  [SMALL_STATE(5297)] = 215211,
  [SMALL_STATE(5298)] = 215270,
  [SMALL_STATE(5299)] = 215325,
  [SMALL_STATE(5300)] = 215384,
  [SMALL_STATE(5301)] = 215445,
  [SMALL_STATE(5302)] = 215504,
  [SMALL_STATE(5303)] = 215563,
  [SMALL_STATE(5304)] = 215608,
  [SMALL_STATE(5305)] = 215667,
  [SMALL_STATE(5306)] = 215726,
  [SMALL_STATE(5307)] = 215785,
  [SMALL_STATE(5308)] = 215844,
  [SMALL_STATE(5309)] = 215903,
  [SMALL_STATE(5310)] = 215962,
  [SMALL_STATE(5311)] = 216023,
  [SMALL_STATE(5312)] = 216082,
  [SMALL_STATE(5313)] = 216141,
  [SMALL_STATE(5314)] = 216200,
  [SMALL_STATE(5315)] = 216259,
  [SMALL_STATE(5316)] = 216318,
  [SMALL_STATE(5317)] = 216377,
  [SMALL_STATE(5318)] = 216436,
  [SMALL_STATE(5319)] = 216495,
  [SMALL_STATE(5320)] = 216554,
  [SMALL_STATE(5321)] = 216613,
  [SMALL_STATE(5322)] = 216672,
  [SMALL_STATE(5323)] = 216731,
  [SMALL_STATE(5324)] = 216790,
  [SMALL_STATE(5325)] = 216849,
  [SMALL_STATE(5326)] = 216908,
  [SMALL_STATE(5327)] = 216967,
  [SMALL_STATE(5328)] = 217026,
  [SMALL_STATE(5329)] = 217085,
  [SMALL_STATE(5330)] = 217144,
  [SMALL_STATE(5331)] = 217205,
  [SMALL_STATE(5332)] = 217264,
  [SMALL_STATE(5333)] = 217323,
  [SMALL_STATE(5334)] = 217382,
  [SMALL_STATE(5335)] = 217441,
  [SMALL_STATE(5336)] = 217500,
  [SMALL_STATE(5337)] = 217559,
  [SMALL_STATE(5338)] = 217592,
  [SMALL_STATE(5339)] = 217651,
  [SMALL_STATE(5340)] = 217710,
  [SMALL_STATE(5341)] = 217769,
  [SMALL_STATE(5342)] = 217828,
  [SMALL_STATE(5343)] = 217865,
  [SMALL_STATE(5344)] = 217926,
  [SMALL_STATE(5345)] = 217985,
  [SMALL_STATE(5346)] = 218044,
  [SMALL_STATE(5347)] = 218103,
  [SMALL_STATE(5348)] = 218162,
  [SMALL_STATE(5349)] = 218221,
  [SMALL_STATE(5350)] = 218280,
  [SMALL_STATE(5351)] = 218339,
  [SMALL_STATE(5352)] = 218398,
  [SMALL_STATE(5353)] = 218457,
  [SMALL_STATE(5354)] = 218516,
  [SMALL_STATE(5355)] = 218575,
  [SMALL_STATE(5356)] = 218634,
  [SMALL_STATE(5357)] = 218693,
  [SMALL_STATE(5358)] = 218730,
  [SMALL_STATE(5359)] = 218789,
  [SMALL_STATE(5360)] = 218848,
  [SMALL_STATE(5361)] = 218907,
  [SMALL_STATE(5362)] = 218966,
  [SMALL_STATE(5363)] = 219021,
  [SMALL_STATE(5364)] = 219080,
  [SMALL_STATE(5365)] = 219139,
  [SMALL_STATE(5366)] = 219198,
  [SMALL_STATE(5367)] = 219261,
  [SMALL_STATE(5368)] = 219320,
  [SMALL_STATE(5369)] = 219379,
  [SMALL_STATE(5370)] = 219438,
  [SMALL_STATE(5371)] = 219497,
  [SMALL_STATE(5372)] = 219556,
  [SMALL_STATE(5373)] = 219615,
  [SMALL_STATE(5374)] = 219674,
  [SMALL_STATE(5375)] = 219733,
  [SMALL_STATE(5376)] = 219792,
  [SMALL_STATE(5377)] = 219851,
  [SMALL_STATE(5378)] = 219910,
  [SMALL_STATE(5379)] = 219969,
  [SMALL_STATE(5380)] = 220030,
  [SMALL_STATE(5381)] = 220089,
  [SMALL_STATE(5382)] = 220129,
  [SMALL_STATE(5383)] = 220169,
  [SMALL_STATE(5384)] = 220209,
  [SMALL_STATE(5385)] = 220239,
  [SMALL_STATE(5386)] = 220275,
  [SMALL_STATE(5387)] = 220307,
  [SMALL_STATE(5388)] = 220337,
  [SMALL_STATE(5389)] = 220365,
  [SMALL_STATE(5390)] = 220393,
  [SMALL_STATE(5391)] = 220421,
  [SMALL_STATE(5392)] = 220485,
  [SMALL_STATE(5393)] = 220513,
  [SMALL_STATE(5394)] = 220561,
  [SMALL_STATE(5395)] = 220589,
  [SMALL_STATE(5396)] = 220617,
  [SMALL_STATE(5397)] = 220653,
  [SMALL_STATE(5398)] = 220699,
  [SMALL_STATE(5399)] = 220763,
  [SMALL_STATE(5400)] = 220795,
  [SMALL_STATE(5401)] = 220823,
  [SMALL_STATE(5402)] = 220869,
  [SMALL_STATE(5403)] = 220933,
  [SMALL_STATE(5404)] = 220997,
  [SMALL_STATE(5405)] = 221041,
  [SMALL_STATE(5406)] = 221069,
  [SMALL_STATE(5407)] = 221109,
  [SMALL_STATE(5408)] = 221137,
  [SMALL_STATE(5409)] = 221189,
  [SMALL_STATE(5410)] = 221225,
  [SMALL_STATE(5411)] = 221265,
  [SMALL_STATE(5412)] = 221301,
  [SMALL_STATE(5413)] = 221341,
  [SMALL_STATE(5414)] = 221369,
  [SMALL_STATE(5415)] = 221405,
  [SMALL_STATE(5416)] = 221437,
  [SMALL_STATE(5417)] = 221465,
  [SMALL_STATE(5418)] = 221493,
  [SMALL_STATE(5419)] = 221535,
  [SMALL_STATE(5420)] = 221563,
  [SMALL_STATE(5421)] = 221591,
  [SMALL_STATE(5422)] = 221655,
  [SMALL_STATE(5423)] = 221683,
  [SMALL_STATE(5424)] = 221719,
  [SMALL_STATE(5425)] = 221747,
  [SMALL_STATE(5426)] = 221787,
  [SMALL_STATE(5427)] = 221815,
  [SMALL_STATE(5428)] = 221879,
  [SMALL_STATE(5429)] = 221915,
  [SMALL_STATE(5430)] = 221955,
  [SMALL_STATE(5431)] = 221991,
  [SMALL_STATE(5432)] = 222027,
  [SMALL_STATE(5433)] = 222063,
  [SMALL_STATE(5434)] = 222099,
  [SMALL_STATE(5435)] = 222131,
  [SMALL_STATE(5436)] = 222167,
  [SMALL_STATE(5437)] = 222201,
  [SMALL_STATE(5438)] = 222237,
  [SMALL_STATE(5439)] = 222277,
  [SMALL_STATE(5440)] = 222341,
  [SMALL_STATE(5441)] = 222393,
  [SMALL_STATE(5442)] = 222421,
  [SMALL_STATE(5443)] = 222449,
  [SMALL_STATE(5444)] = 222477,
  [SMALL_STATE(5445)] = 222505,
  [SMALL_STATE(5446)] = 222537,
  [SMALL_STATE(5447)] = 222577,
  [SMALL_STATE(5448)] = 222617,
  [SMALL_STATE(5449)] = 222653,
  [SMALL_STATE(5450)] = 222681,
  [SMALL_STATE(5451)] = 222709,
  [SMALL_STATE(5452)] = 222761,
  [SMALL_STATE(5453)] = 222789,
  [SMALL_STATE(5454)] = 222825,
  [SMALL_STATE(5455)] = 222853,
  [SMALL_STATE(5456)] = 222893,
  [SMALL_STATE(5457)] = 222957,
  [SMALL_STATE(5458)] = 222993,
  [SMALL_STATE(5459)] = 223033,
  [SMALL_STATE(5460)] = 223069,
  [SMALL_STATE(5461)] = 223133,
  [SMALL_STATE(5462)] = 223169,
  [SMALL_STATE(5463)] = 223205,
  [SMALL_STATE(5464)] = 223269,
  [SMALL_STATE(5465)] = 223333,
  [SMALL_STATE(5466)] = 223373,
  [SMALL_STATE(5467)] = 223437,
  [SMALL_STATE(5468)] = 223501,
  [SMALL_STATE(5469)] = 223529,
  [SMALL_STATE(5470)] = 223573,
  [SMALL_STATE(5471)] = 223609,
  [SMALL_STATE(5472)] = 223645,
  [SMALL_STATE(5473)] = 223695,
  [SMALL_STATE(5474)] = 223727,
  [SMALL_STATE(5475)] = 223755,
  [SMALL_STATE(5476)] = 223787,
  [SMALL_STATE(5477)] = 223827,
  [SMALL_STATE(5478)] = 223867,
  [SMALL_STATE(5479)] = 223895,
  [SMALL_STATE(5480)] = 223927,
  [SMALL_STATE(5481)] = 223955,
  [SMALL_STATE(5482)] = 223983,
  [SMALL_STATE(5483)] = 224011,
  [SMALL_STATE(5484)] = 224075,
  [SMALL_STATE(5485)] = 224115,
  [SMALL_STATE(5486)] = 224145,
  [SMALL_STATE(5487)] = 224173,
  [SMALL_STATE(5488)] = 224201,
  [SMALL_STATE(5489)] = 224246,
  [SMALL_STATE(5490)] = 224291,
  [SMALL_STATE(5491)] = 224336,
  [SMALL_STATE(5492)] = 224393,
  [SMALL_STATE(5493)] = 224426,
  [SMALL_STATE(5494)] = 224471,
  [SMALL_STATE(5495)] = 224516,
  [SMALL_STATE(5496)] = 224559,
  [SMALL_STATE(5497)] = 224616,
  [SMALL_STATE(5498)] = 224643,
  [SMALL_STATE(5499)] = 224700,
  [SMALL_STATE(5500)] = 224757,
  [SMALL_STATE(5501)] = 224802,
  [SMALL_STATE(5502)] = 224843,
  [SMALL_STATE(5503)] = 224888,
  [SMALL_STATE(5504)] = 224933,
  [SMALL_STATE(5505)] = 224982,
  [SMALL_STATE(5506)] = 225021,
  [SMALL_STATE(5507)] = 225076,
  [SMALL_STATE(5508)] = 225121,
  [SMALL_STATE(5509)] = 225160,
  [SMALL_STATE(5510)] = 225205,
  [SMALL_STATE(5511)] = 225254,
  [SMALL_STATE(5512)] = 225281,
  [SMALL_STATE(5513)] = 225326,
  [SMALL_STATE(5514)] = 225371,
  [SMALL_STATE(5515)] = 225416,
  [SMALL_STATE(5516)] = 225447,
  [SMALL_STATE(5517)] = 225492,
  [SMALL_STATE(5518)] = 225535,
  [SMALL_STATE(5519)] = 225580,
  [SMALL_STATE(5520)] = 225625,
  [SMALL_STATE(5521)] = 225670,
  [SMALL_STATE(5522)] = 225715,
  [SMALL_STATE(5523)] = 225760,
  [SMALL_STATE(5524)] = 225805,
  [SMALL_STATE(5525)] = 225836,
  [SMALL_STATE(5526)] = 225875,
  [SMALL_STATE(5527)] = 225920,
  [SMALL_STATE(5528)] = 225951,
  [SMALL_STATE(5529)] = 225978,
  [SMALL_STATE(5530)] = 226009,
  [SMALL_STATE(5531)] = 226036,
  [SMALL_STATE(5532)] = 226071,
  [SMALL_STATE(5533)] = 226108,
  [SMALL_STATE(5534)] = 226147,
  [SMALL_STATE(5535)] = 226192,
  [SMALL_STATE(5536)] = 226237,
  [SMALL_STATE(5537)] = 226282,
  [SMALL_STATE(5538)] = 226309,
  [SMALL_STATE(5539)] = 226336,
  [SMALL_STATE(5540)] = 226381,
  [SMALL_STATE(5541)] = 226412,
  [SMALL_STATE(5542)] = 226457,
  [SMALL_STATE(5543)] = 226502,
  [SMALL_STATE(5544)] = 226541,
  [SMALL_STATE(5545)] = 226586,
  [SMALL_STATE(5546)] = 226643,
  [SMALL_STATE(5547)] = 226670,
  [SMALL_STATE(5548)] = 226715,
  [SMALL_STATE(5549)] = 226744,
  [SMALL_STATE(5550)] = 226771,
  [SMALL_STATE(5551)] = 226810,
  [SMALL_STATE(5552)] = 226855,
  [SMALL_STATE(5553)] = 226894,
  [SMALL_STATE(5554)] = 226939,
  [SMALL_STATE(5555)] = 226996,
  [SMALL_STATE(5556)] = 227035,
  [SMALL_STATE(5557)] = 227074,
  [SMALL_STATE(5558)] = 227101,
  [SMALL_STATE(5559)] = 227128,
  [SMALL_STATE(5560)] = 227155,
  [SMALL_STATE(5561)] = 227200,
  [SMALL_STATE(5562)] = 227245,
  [SMALL_STATE(5563)] = 227271,
  [SMALL_STATE(5564)] = 227297,
  [SMALL_STATE(5565)] = 227323,
  [SMALL_STATE(5566)] = 227359,
  [SMALL_STATE(5567)] = 227407,
  [SMALL_STATE(5568)] = 227455,
  [SMALL_STATE(5569)] = 227503,
  [SMALL_STATE(5570)] = 227529,
  [SMALL_STATE(5571)] = 227565,
  [SMALL_STATE(5572)] = 227591,
  [SMALL_STATE(5573)] = 227643,
  [SMALL_STATE(5574)] = 227679,
  [SMALL_STATE(5575)] = 227727,
  [SMALL_STATE(5576)] = 227753,
  [SMALL_STATE(5577)] = 227805,
  [SMALL_STATE(5578)] = 227831,
  [SMALL_STATE(5579)] = 227857,
  [SMALL_STATE(5580)] = 227883,
  [SMALL_STATE(5581)] = 227909,
  [SMALL_STATE(5582)] = 227945,
  [SMALL_STATE(5583)] = 227971,
  [SMALL_STATE(5584)] = 227997,
  [SMALL_STATE(5585)] = 228049,
  [SMALL_STATE(5586)] = 228075,
  [SMALL_STATE(5587)] = 228101,
  [SMALL_STATE(5588)] = 228127,
  [SMALL_STATE(5589)] = 228153,
  [SMALL_STATE(5590)] = 228205,
  [SMALL_STATE(5591)] = 228241,
  [SMALL_STATE(5592)] = 228267,
  [SMALL_STATE(5593)] = 228303,
  [SMALL_STATE(5594)] = 228329,
  [SMALL_STATE(5595)] = 228371,
  [SMALL_STATE(5596)] = 228407,
  [SMALL_STATE(5597)] = 228433,
  [SMALL_STATE(5598)] = 228469,
  [SMALL_STATE(5599)] = 228495,
  [SMALL_STATE(5600)] = 228521,
  [SMALL_STATE(5601)] = 228573,
  [SMALL_STATE(5602)] = 228627,
  [SMALL_STATE(5603)] = 228652,
  [SMALL_STATE(5604)] = 228701,
  [SMALL_STATE(5605)] = 228750,
  [SMALL_STATE(5606)] = 228781,
  [SMALL_STATE(5607)] = 228830,
  [SMALL_STATE(5608)] = 228879,
  [SMALL_STATE(5609)] = 228926,
  [SMALL_STATE(5610)] = 228969,
  [SMALL_STATE(5611)] = 229006,
  [SMALL_STATE(5612)] = 229043,
  [SMALL_STATE(5613)] = 229080,
  [SMALL_STATE(5614)] = 229117,
  [SMALL_STATE(5615)] = 229154,
  [SMALL_STATE(5616)] = 229185,
  [SMALL_STATE(5617)] = 229234,
  [SMALL_STATE(5618)] = 229283,
  [SMALL_STATE(5619)] = 229320,
  [SMALL_STATE(5620)] = 229369,
  [SMALL_STATE(5621)] = 229406,
  [SMALL_STATE(5622)] = 229437,
  [SMALL_STATE(5623)] = 229468,
  [SMALL_STATE(5624)] = 229505,
  [SMALL_STATE(5625)] = 229536,
  [SMALL_STATE(5626)] = 229573,
  [SMALL_STATE(5627)] = 229610,
  [SMALL_STATE(5628)] = 229647,
  [SMALL_STATE(5629)] = 229696,
  [SMALL_STATE(5630)] = 229733,
  [SMALL_STATE(5631)] = 229782,
  [SMALL_STATE(5632)] = 229831,
  [SMALL_STATE(5633)] = 229874,
  [SMALL_STATE(5634)] = 229901,
  [SMALL_STATE(5635)] = 229950,
  [SMALL_STATE(5636)] = 229993,
  [SMALL_STATE(5637)] = 230018,
  [SMALL_STATE(5638)] = 230055,
  [SMALL_STATE(5639)] = 230088,
  [SMALL_STATE(5640)] = 230137,
  [SMALL_STATE(5641)] = 230186,
  [SMALL_STATE(5642)] = 230223,
  [SMALL_STATE(5643)] = 230266,
  [SMALL_STATE(5644)] = 230315,
  [SMALL_STATE(5645)] = 230356,
  [SMALL_STATE(5646)] = 230405,
  [SMALL_STATE(5647)] = 230442,
  [SMALL_STATE(5648)] = 230491,
  [SMALL_STATE(5649)] = 230522,
  [SMALL_STATE(5650)] = 230553,
  [SMALL_STATE(5651)] = 230590,
  [SMALL_STATE(5652)] = 230631,
  [SMALL_STATE(5653)] = 230680,
  [SMALL_STATE(5654)] = 230729,
  [SMALL_STATE(5655)] = 230778,
  [SMALL_STATE(5656)] = 230827,
  [SMALL_STATE(5657)] = 230859,
  [SMALL_STATE(5658)] = 230891,
  [SMALL_STATE(5659)] = 230913,
  [SMALL_STATE(5660)] = 230943,
  [SMALL_STATE(5661)] = 230969,
  [SMALL_STATE(5662)] = 231005,
  [SMALL_STATE(5663)] = 231041,
  [SMALL_STATE(5664)] = 231063,
  [SMALL_STATE(5665)] = 231093,
  [SMALL_STATE(5666)] = 231115,
  [SMALL_STATE(5667)] = 231137,
  [SMALL_STATE(5668)] = 231167,
  [SMALL_STATE(5669)] = 231197,
  [SMALL_STATE(5670)] = 231227,
  [SMALL_STATE(5671)] = 231249,
  [SMALL_STATE(5672)] = 231275,
  [SMALL_STATE(5673)] = 231297,
  [SMALL_STATE(5674)] = 231331,
  [SMALL_STATE(5675)] = 231371,
  [SMALL_STATE(5676)] = 231401,
  [SMALL_STATE(5677)] = 231437,
  [SMALL_STATE(5678)] = 231473,
  [SMALL_STATE(5679)] = 231503,
  [SMALL_STATE(5680)] = 231543,
  [SMALL_STATE(5681)] = 231565,
  [SMALL_STATE(5682)] = 231607,
  [SMALL_STATE(5683)] = 231629,
  [SMALL_STATE(5684)] = 231651,
  [SMALL_STATE(5685)] = 231673,
  [SMALL_STATE(5686)] = 231707,
  [SMALL_STATE(5687)] = 231737,
  [SMALL_STATE(5688)] = 231771,
  [SMALL_STATE(5689)] = 231793,
  [SMALL_STATE(5690)] = 231821,
  [SMALL_STATE(5691)] = 231857,
  [SMALL_STATE(5692)] = 231883,
  [SMALL_STATE(5693)] = 231905,
  [SMALL_STATE(5694)] = 231929,
  [SMALL_STATE(5695)] = 231957,
  [SMALL_STATE(5696)] = 231993,
  [SMALL_STATE(5697)] = 232015,
  [SMALL_STATE(5698)] = 232051,
  [SMALL_STATE(5699)] = 232085,
  [SMALL_STATE(5700)] = 232107,
  [SMALL_STATE(5701)] = 232139,
  [SMALL_STATE(5702)] = 232175,
  [SMALL_STATE(5703)] = 232205,
  [SMALL_STATE(5704)] = 232237,
  [SMALL_STATE(5705)] = 232269,
  [SMALL_STATE(5706)] = 232301,
  [SMALL_STATE(5707)] = 232333,
  [SMALL_STATE(5708)] = 232355,
  [SMALL_STATE(5709)] = 232387,
  [SMALL_STATE(5710)] = 232419,
  [SMALL_STATE(5711)] = 232449,
  [SMALL_STATE(5712)] = 232481,
  [SMALL_STATE(5713)] = 232513,
  [SMALL_STATE(5714)] = 232545,
  [SMALL_STATE(5715)] = 232577,
  [SMALL_STATE(5716)] = 232609,
  [SMALL_STATE(5717)] = 232633,
  [SMALL_STATE(5718)] = 232655,
  [SMALL_STATE(5719)] = 232689,
  [SMALL_STATE(5720)] = 232721,
  [SMALL_STATE(5721)] = 232753,
  [SMALL_STATE(5722)] = 232777,
  [SMALL_STATE(5723)] = 232799,
  [SMALL_STATE(5724)] = 232829,
  [SMALL_STATE(5725)] = 232858,
  [SMALL_STATE(5726)] = 232901,
  [SMALL_STATE(5727)] = 232930,
  [SMALL_STATE(5728)] = 232973,
  [SMALL_STATE(5729)] = 233012,
  [SMALL_STATE(5730)] = 233041,
  [SMALL_STATE(5731)] = 233070,
  [SMALL_STATE(5732)] = 233103,
  [SMALL_STATE(5733)] = 233136,
  [SMALL_STATE(5734)] = 233165,
  [SMALL_STATE(5735)] = 233200,
  [SMALL_STATE(5736)] = 233229,
  [SMALL_STATE(5737)] = 233264,
  [SMALL_STATE(5738)] = 233291,
  [SMALL_STATE(5739)] = 233320,
  [SMALL_STATE(5740)] = 233349,
  [SMALL_STATE(5741)] = 233378,
  [SMALL_STATE(5742)] = 233407,
  [SMALL_STATE(5743)] = 233436,
  [SMALL_STATE(5744)] = 233465,
  [SMALL_STATE(5745)] = 233504,
  [SMALL_STATE(5746)] = 233533,
  [SMALL_STATE(5747)] = 233562,
  [SMALL_STATE(5748)] = 233591,
  [SMALL_STATE(5749)] = 233620,
  [SMALL_STATE(5750)] = 233649,
  [SMALL_STATE(5751)] = 233676,
  [SMALL_STATE(5752)] = 233719,
  [SMALL_STATE(5753)] = 233754,
  [SMALL_STATE(5754)] = 233783,
  [SMALL_STATE(5755)] = 233812,
  [SMALL_STATE(5756)] = 233845,
  [SMALL_STATE(5757)] = 233888,
  [SMALL_STATE(5758)] = 233917,
  [SMALL_STATE(5759)] = 233946,
  [SMALL_STATE(5760)] = 233973,
  [SMALL_STATE(5761)] = 234016,
  [SMALL_STATE(5762)] = 234055,
  [SMALL_STATE(5763)] = 234084,
  [SMALL_STATE(5764)] = 234127,
  [SMALL_STATE(5765)] = 234162,
  [SMALL_STATE(5766)] = 234201,
  [SMALL_STATE(5767)] = 234230,
  [SMALL_STATE(5768)] = 234265,
  [SMALL_STATE(5769)] = 234300,
  [SMALL_STATE(5770)] = 234339,
  [SMALL_STATE(5771)] = 234382,
  [SMALL_STATE(5772)] = 234425,
  [SMALL_STATE(5773)] = 234464,
  [SMALL_STATE(5774)] = 234507,
  [SMALL_STATE(5775)] = 234540,
  [SMALL_STATE(5776)] = 234569,
  [SMALL_STATE(5777)] = 234608,
  [SMALL_STATE(5778)] = 234633,
  [SMALL_STATE(5779)] = 234662,
  [SMALL_STATE(5780)] = 234691,
  [SMALL_STATE(5781)] = 234720,
  [SMALL_STATE(5782)] = 234753,
  [SMALL_STATE(5783)] = 234786,
  [SMALL_STATE(5784)] = 234815,
  [SMALL_STATE(5785)] = 234850,
  [SMALL_STATE(5786)] = 234893,
  [SMALL_STATE(5787)] = 234926,
  [SMALL_STATE(5788)] = 234955,
  [SMALL_STATE(5789)] = 234988,
  [SMALL_STATE(5790)] = 235023,
  [SMALL_STATE(5791)] = 235058,
  [SMALL_STATE(5792)] = 235087,
  [SMALL_STATE(5793)] = 235122,
  [SMALL_STATE(5794)] = 235161,
  [SMALL_STATE(5795)] = 235204,
  [SMALL_STATE(5796)] = 235236,
  [SMALL_STATE(5797)] = 235258,
  [SMALL_STATE(5798)] = 235290,
  [SMALL_STATE(5799)] = 235320,
  [SMALL_STATE(5800)] = 235360,
  [SMALL_STATE(5801)] = 235382,
  [SMALL_STATE(5802)] = 235404,
  [SMALL_STATE(5803)] = 235432,
  [SMALL_STATE(5804)] = 235470,
  [SMALL_STATE(5805)] = 235502,
  [SMALL_STATE(5806)] = 235540,
  [SMALL_STATE(5807)] = 235570,
  [SMALL_STATE(5808)] = 235600,
  [SMALL_STATE(5809)] = 235628,
  [SMALL_STATE(5810)] = 235666,
  [SMALL_STATE(5811)] = 235696,
  [SMALL_STATE(5812)] = 235736,
  [SMALL_STATE(5813)] = 235776,
  [SMALL_STATE(5814)] = 235798,
  [SMALL_STATE(5815)] = 235818,
  [SMALL_STATE(5816)] = 235858,
  [SMALL_STATE(5817)] = 235890,
  [SMALL_STATE(5818)] = 235910,
  [SMALL_STATE(5819)] = 235932,
  [SMALL_STATE(5820)] = 235970,
  [SMALL_STATE(5821)] = 236010,
  [SMALL_STATE(5822)] = 236032,
  [SMALL_STATE(5823)] = 236054,
  [SMALL_STATE(5824)] = 236076,
  [SMALL_STATE(5825)] = 236114,
  [SMALL_STATE(5826)] = 236142,
  [SMALL_STATE(5827)] = 236162,
  [SMALL_STATE(5828)] = 236184,
  [SMALL_STATE(5829)] = 236204,
  [SMALL_STATE(5830)] = 236244,
  [SMALL_STATE(5831)] = 236282,
  [SMALL_STATE(5832)] = 236320,
  [SMALL_STATE(5833)] = 236358,
  [SMALL_STATE(5834)] = 236390,
  [SMALL_STATE(5835)] = 236410,
  [SMALL_STATE(5836)] = 236432,
  [SMALL_STATE(5837)] = 236470,
  [SMALL_STATE(5838)] = 236502,
  [SMALL_STATE(5839)] = 236524,
  [SMALL_STATE(5840)] = 236544,
  [SMALL_STATE(5841)] = 236564,
  [SMALL_STATE(5842)] = 236586,
  [SMALL_STATE(5843)] = 236608,
  [SMALL_STATE(5844)] = 236636,
  [SMALL_STATE(5845)] = 236658,
  [SMALL_STATE(5846)] = 236680,
  [SMALL_STATE(5847)] = 236702,
  [SMALL_STATE(5848)] = 236724,
  [SMALL_STATE(5849)] = 236744,
  [SMALL_STATE(5850)] = 236766,
  [SMALL_STATE(5851)] = 236806,
  [SMALL_STATE(5852)] = 236846,
  [SMALL_STATE(5853)] = 236868,
  [SMALL_STATE(5854)] = 236888,
  [SMALL_STATE(5855)] = 236916,
  [SMALL_STATE(5856)] = 236940,
  [SMALL_STATE(5857)] = 236978,
  [SMALL_STATE(5858)] = 237016,
  [SMALL_STATE(5859)] = 237048,
  [SMALL_STATE(5860)] = 237070,
  [SMALL_STATE(5861)] = 237102,
  [SMALL_STATE(5862)] = 237124,
  [SMALL_STATE(5863)] = 237156,
  [SMALL_STATE(5864)] = 237188,
  [SMALL_STATE(5865)] = 237228,
  [SMALL_STATE(5866)] = 237250,
  [SMALL_STATE(5867)] = 237282,
  [SMALL_STATE(5868)] = 237304,
  [SMALL_STATE(5869)] = 237332,
  [SMALL_STATE(5870)] = 237354,
  [SMALL_STATE(5871)] = 237394,
  [SMALL_STATE(5872)] = 237416,
  [SMALL_STATE(5873)] = 237444,
  [SMALL_STATE(5874)] = 237482,
  [SMALL_STATE(5875)] = 237504,
  [SMALL_STATE(5876)] = 237544,
  [SMALL_STATE(5877)] = 237566,
  [SMALL_STATE(5878)] = 237604,
  [SMALL_STATE(5879)] = 237636,
  [SMALL_STATE(5880)] = 237676,
  [SMALL_STATE(5881)] = 237704,
  [SMALL_STATE(5882)] = 237744,
  [SMALL_STATE(5883)] = 237782,
  [SMALL_STATE(5884)] = 237814,
  [SMALL_STATE(5885)] = 237846,
  [SMALL_STATE(5886)] = 237874,
  [SMALL_STATE(5887)] = 237914,
  [SMALL_STATE(5888)] = 237934,
  [SMALL_STATE(5889)] = 237964,
  [SMALL_STATE(5890)] = 238004,
  [SMALL_STATE(5891)] = 238024,
  [SMALL_STATE(5892)] = 238046,
  [SMALL_STATE(5893)] = 238066,
  [SMALL_STATE(5894)] = 238088,
  [SMALL_STATE(5895)] = 238108,
  [SMALL_STATE(5896)] = 238148,
  [SMALL_STATE(5897)] = 238168,
  [SMALL_STATE(5898)] = 238190,
  [SMALL_STATE(5899)] = 238210,
  [SMALL_STATE(5900)] = 238230,
  [SMALL_STATE(5901)] = 238268,
  [SMALL_STATE(5902)] = 238300,
  [SMALL_STATE(5903)] = 238328,
  [SMALL_STATE(5904)] = 238366,
  [SMALL_STATE(5905)] = 238406,
  [SMALL_STATE(5906)] = 238438,
  [SMALL_STATE(5907)] = 238478,
  [SMALL_STATE(5908)] = 238506,
  [SMALL_STATE(5909)] = 238528,
  [SMALL_STATE(5910)] = 238548,
  [SMALL_STATE(5911)] = 238580,
  [SMALL_STATE(5912)] = 238608,
  [SMALL_STATE(5913)] = 238628,
  [SMALL_STATE(5914)] = 238656,
  [SMALL_STATE(5915)] = 238678,
  [SMALL_STATE(5916)] = 238716,
  [SMALL_STATE(5917)] = 238756,
  [SMALL_STATE(5918)] = 238794,
  [SMALL_STATE(5919)] = 238822,
  [SMALL_STATE(5920)] = 238842,
  [SMALL_STATE(5921)] = 238870,
  [SMALL_STATE(5922)] = 238890,
  [SMALL_STATE(5923)] = 238918,
  [SMALL_STATE(5924)] = 238946,
  [SMALL_STATE(5925)] = 238966,
  [SMALL_STATE(5926)] = 238988,
  [SMALL_STATE(5927)] = 239016,
  [SMALL_STATE(5928)] = 239054,
  [SMALL_STATE(5929)] = 239086,
  [SMALL_STATE(5930)] = 239116,
  [SMALL_STATE(5931)] = 239142,
  [SMALL_STATE(5932)] = 239166,
  [SMALL_STATE(5933)] = 239188,
  [SMALL_STATE(5934)] = 239218,
  [SMALL_STATE(5935)] = 239248,
  [SMALL_STATE(5936)] = 239278,
  [SMALL_STATE(5937)] = 239308,
  [SMALL_STATE(5938)] = 239345,
  [SMALL_STATE(5939)] = 239378,
  [SMALL_STATE(5940)] = 239411,
  [SMALL_STATE(5941)] = 239444,
  [SMALL_STATE(5942)] = 239483,
  [SMALL_STATE(5943)] = 239518,
  [SMALL_STATE(5944)] = 239551,
  [SMALL_STATE(5945)] = 239584,
  [SMALL_STATE(5946)] = 239617,
  [SMALL_STATE(5947)] = 239650,
  [SMALL_STATE(5948)] = 239677,
  [SMALL_STATE(5949)] = 239716,
  [SMALL_STATE(5950)] = 239743,
  [SMALL_STATE(5951)] = 239778,
  [SMALL_STATE(5952)] = 239813,
  [SMALL_STATE(5953)] = 239846,
  [SMALL_STATE(5954)] = 239879,
  [SMALL_STATE(5955)] = 239914,
  [SMALL_STATE(5956)] = 239953,
  [SMALL_STATE(5957)] = 239986,
  [SMALL_STATE(5958)] = 240019,
  [SMALL_STATE(5959)] = 240052,
  [SMALL_STATE(5960)] = 240079,
  [SMALL_STATE(5961)] = 240114,
  [SMALL_STATE(5962)] = 240153,
  [SMALL_STATE(5963)] = 240186,
  [SMALL_STATE(5964)] = 240213,
  [SMALL_STATE(5965)] = 240240,
  [SMALL_STATE(5966)] = 240275,
  [SMALL_STATE(5967)] = 240300,
  [SMALL_STATE(5968)] = 240333,
  [SMALL_STATE(5969)] = 240368,
  [SMALL_STATE(5970)] = 240395,
  [SMALL_STATE(5971)] = 240430,
  [SMALL_STATE(5972)] = 240463,
  [SMALL_STATE(5973)] = 240496,
  [SMALL_STATE(5974)] = 240529,
  [SMALL_STATE(5975)] = 240566,
  [SMALL_STATE(5976)] = 240599,
  [SMALL_STATE(5977)] = 240626,
  [SMALL_STATE(5978)] = 240661,
  [SMALL_STATE(5979)] = 240688,
  [SMALL_STATE(5980)] = 240721,
  [SMALL_STATE(5981)] = 240754,
  [SMALL_STATE(5982)] = 240787,
  [SMALL_STATE(5983)] = 240814,
  [SMALL_STATE(5984)] = 240841,
  [SMALL_STATE(5985)] = 240876,
  [SMALL_STATE(5986)] = 240903,
  [SMALL_STATE(5987)] = 240928,
  [SMALL_STATE(5988)] = 240955,
  [SMALL_STATE(5989)] = 240988,
  [SMALL_STATE(5990)] = 241021,
  [SMALL_STATE(5991)] = 241048,
  [SMALL_STATE(5992)] = 241075,
  [SMALL_STATE(5993)] = 241102,
  [SMALL_STATE(5994)] = 241135,
  [SMALL_STATE(5995)] = 241168,
  [SMALL_STATE(5996)] = 241207,
  [SMALL_STATE(5997)] = 241234,
  [SMALL_STATE(5998)] = 241269,
  [SMALL_STATE(5999)] = 241302,
  [SMALL_STATE(6000)] = 241335,
  [SMALL_STATE(6001)] = 241368,
  [SMALL_STATE(6002)] = 241394,
  [SMALL_STATE(6003)] = 241430,
  [SMALL_STATE(6004)] = 241466,
  [SMALL_STATE(6005)] = 241502,
  [SMALL_STATE(6006)] = 241528,
  [SMALL_STATE(6007)] = 241554,
  [SMALL_STATE(6008)] = 241590,
  [SMALL_STATE(6009)] = 241616,
  [SMALL_STATE(6010)] = 241652,
  [SMALL_STATE(6011)] = 241682,
  [SMALL_STATE(6012)] = 241706,
  [SMALL_STATE(6013)] = 241742,
  [SMALL_STATE(6014)] = 241766,
  [SMALL_STATE(6015)] = 241792,
  [SMALL_STATE(6016)] = 241818,
  [SMALL_STATE(6017)] = 241842,
  [SMALL_STATE(6018)] = 241868,
  [SMALL_STATE(6019)] = 241904,
  [SMALL_STATE(6020)] = 241930,
  [SMALL_STATE(6021)] = 241960,
  [SMALL_STATE(6022)] = 241990,
  [SMALL_STATE(6023)] = 242016,
  [SMALL_STATE(6024)] = 242052,
  [SMALL_STATE(6025)] = 242078,
  [SMALL_STATE(6026)] = 242104,
  [SMALL_STATE(6027)] = 242134,
  [SMALL_STATE(6028)] = 242160,
  [SMALL_STATE(6029)] = 242180,
  [SMALL_STATE(6030)] = 242210,
  [SMALL_STATE(6031)] = 242240,
  [SMALL_STATE(6032)] = 242270,
  [SMALL_STATE(6033)] = 242306,
  [SMALL_STATE(6034)] = 242342,
  [SMALL_STATE(6035)] = 242378,
  [SMALL_STATE(6036)] = 242408,
  [SMALL_STATE(6037)] = 242444,
  [SMALL_STATE(6038)] = 242480,
  [SMALL_STATE(6039)] = 242506,
  [SMALL_STATE(6040)] = 242526,
  [SMALL_STATE(6041)] = 242554,
  [SMALL_STATE(6042)] = 242590,
  [SMALL_STATE(6043)] = 242618,
  [SMALL_STATE(6044)] = 242644,
  [SMALL_STATE(6045)] = 242672,
  [SMALL_STATE(6046)] = 242702,
  [SMALL_STATE(6047)] = 242728,
  [SMALL_STATE(6048)] = 242758,
  [SMALL_STATE(6049)] = 242780,
  [SMALL_STATE(6050)] = 242810,
  [SMALL_STATE(6051)] = 242836,
  [SMALL_STATE(6052)] = 242858,
  [SMALL_STATE(6053)] = 242894,
  [SMALL_STATE(6054)] = 242920,
  [SMALL_STATE(6055)] = 242956,
  [SMALL_STATE(6056)] = 242986,
  [SMALL_STATE(6057)] = 243022,
  [SMALL_STATE(6058)] = 243050,
  [SMALL_STATE(6059)] = 243076,
  [SMALL_STATE(6060)] = 243106,
  [SMALL_STATE(6061)] = 243142,
  [SMALL_STATE(6062)] = 243170,
  [SMALL_STATE(6063)] = 243206,
  [SMALL_STATE(6064)] = 243241,
  [SMALL_STATE(6065)] = 243276,
  [SMALL_STATE(6066)] = 243305,
  [SMALL_STATE(6067)] = 243338,
  [SMALL_STATE(6068)] = 243357,
  [SMALL_STATE(6069)] = 243392,
  [SMALL_STATE(6070)] = 243427,
  [SMALL_STATE(6071)] = 243448,
  [SMALL_STATE(6072)] = 243483,
  [SMALL_STATE(6073)] = 243508,
  [SMALL_STATE(6074)] = 243535,
  [SMALL_STATE(6075)] = 243560,
  [SMALL_STATE(6076)] = 243595,
  [SMALL_STATE(6077)] = 243622,
  [SMALL_STATE(6078)] = 243657,
  [SMALL_STATE(6079)] = 243684,
  [SMALL_STATE(6080)] = 243711,
  [SMALL_STATE(6081)] = 243742,
  [SMALL_STATE(6082)] = 243769,
  [SMALL_STATE(6083)] = 243804,
  [SMALL_STATE(6084)] = 243835,
  [SMALL_STATE(6085)] = 243866,
  [SMALL_STATE(6086)] = 243897,
  [SMALL_STATE(6087)] = 243916,
  [SMALL_STATE(6088)] = 243943,
  [SMALL_STATE(6089)] = 243972,
  [SMALL_STATE(6090)] = 243991,
  [SMALL_STATE(6091)] = 244026,
  [SMALL_STATE(6092)] = 244061,
  [SMALL_STATE(6093)] = 244092,
  [SMALL_STATE(6094)] = 244117,
  [SMALL_STATE(6095)] = 244146,
  [SMALL_STATE(6096)] = 244171,
  [SMALL_STATE(6097)] = 244204,
  [SMALL_STATE(6098)] = 244237,
  [SMALL_STATE(6099)] = 244266,
  [SMALL_STATE(6100)] = 244295,
  [SMALL_STATE(6101)] = 244324,
  [SMALL_STATE(6102)] = 244359,
  [SMALL_STATE(6103)] = 244390,
  [SMALL_STATE(6104)] = 244425,
  [SMALL_STATE(6105)] = 244460,
  [SMALL_STATE(6106)] = 244491,
  [SMALL_STATE(6107)] = 244520,
  [SMALL_STATE(6108)] = 244555,
  [SMALL_STATE(6109)] = 244578,
  [SMALL_STATE(6110)] = 244605,
  [SMALL_STATE(6111)] = 244640,
  [SMALL_STATE(6112)] = 244665,
  [SMALL_STATE(6113)] = 244688,
  [SMALL_STATE(6114)] = 244717,
  [SMALL_STATE(6115)] = 244744,
  [SMALL_STATE(6116)] = 244775,
  [SMALL_STATE(6117)] = 244802,
  [SMALL_STATE(6118)] = 244821,
  [SMALL_STATE(6119)] = 244846,
  [SMALL_STATE(6120)] = 244881,
  [SMALL_STATE(6121)] = 244910,
  [SMALL_STATE(6122)] = 244941,
  [SMALL_STATE(6123)] = 244966,
  [SMALL_STATE(6124)] = 244995,
  [SMALL_STATE(6125)] = 245028,
  [SMALL_STATE(6126)] = 245059,
  [SMALL_STATE(6127)] = 245090,
  [SMALL_STATE(6128)] = 245125,
  [SMALL_STATE(6129)] = 245154,
  [SMALL_STATE(6130)] = 245181,
  [SMALL_STATE(6131)] = 245216,
  [SMALL_STATE(6132)] = 245247,
  [SMALL_STATE(6133)] = 245278,
  [SMALL_STATE(6134)] = 245313,
  [SMALL_STATE(6135)] = 245338,
  [SMALL_STATE(6136)] = 245373,
  [SMALL_STATE(6137)] = 245402,
  [SMALL_STATE(6138)] = 245427,
  [SMALL_STATE(6139)] = 245452,
  [SMALL_STATE(6140)] = 245471,
  [SMALL_STATE(6141)] = 245490,
  [SMALL_STATE(6142)] = 245509,
  [SMALL_STATE(6143)] = 245534,
  [SMALL_STATE(6144)] = 245559,
  [SMALL_STATE(6145)] = 245578,
  [SMALL_STATE(6146)] = 245613,
  [SMALL_STATE(6147)] = 245644,
  [SMALL_STATE(6148)] = 245675,
  [SMALL_STATE(6149)] = 245694,
  [SMALL_STATE(6150)] = 245713,
  [SMALL_STATE(6151)] = 245737,
  [SMALL_STATE(6152)] = 245759,
  [SMALL_STATE(6153)] = 245781,
  [SMALL_STATE(6154)] = 245803,
  [SMALL_STATE(6155)] = 245833,
  [SMALL_STATE(6156)] = 245857,
  [SMALL_STATE(6157)] = 245887,
  [SMALL_STATE(6158)] = 245917,
  [SMALL_STATE(6159)] = 245947,
  [SMALL_STATE(6160)] = 245969,
  [SMALL_STATE(6161)] = 245987,
  [SMALL_STATE(6162)] = 246011,
  [SMALL_STATE(6163)] = 246043,
  [SMALL_STATE(6164)] = 246067,
  [SMALL_STATE(6165)] = 246097,
  [SMALL_STATE(6166)] = 246115,
  [SMALL_STATE(6167)] = 246133,
  [SMALL_STATE(6168)] = 246157,
  [SMALL_STATE(6169)] = 246179,
  [SMALL_STATE(6170)] = 246201,
  [SMALL_STATE(6171)] = 246231,
  [SMALL_STATE(6172)] = 246253,
  [SMALL_STATE(6173)] = 246275,
  [SMALL_STATE(6174)] = 246293,
  [SMALL_STATE(6175)] = 246323,
  [SMALL_STATE(6176)] = 246347,
  [SMALL_STATE(6177)] = 246369,
  [SMALL_STATE(6178)] = 246391,
  [SMALL_STATE(6179)] = 246415,
  [SMALL_STATE(6180)] = 246439,
  [SMALL_STATE(6181)] = 246463,
  [SMALL_STATE(6182)] = 246481,
  [SMALL_STATE(6183)] = 246505,
  [SMALL_STATE(6184)] = 246535,
  [SMALL_STATE(6185)] = 246557,
  [SMALL_STATE(6186)] = 246575,
  [SMALL_STATE(6187)] = 246593,
  [SMALL_STATE(6188)] = 246615,
  [SMALL_STATE(6189)] = 246637,
  [SMALL_STATE(6190)] = 246660,
  [SMALL_STATE(6191)] = 246691,
  [SMALL_STATE(6192)] = 246722,
  [SMALL_STATE(6193)] = 246753,
  [SMALL_STATE(6194)] = 246772,
  [SMALL_STATE(6195)] = 246795,
  [SMALL_STATE(6196)] = 246826,
  [SMALL_STATE(6197)] = 246853,
  [SMALL_STATE(6198)] = 246884,
  [SMALL_STATE(6199)] = 246907,
  [SMALL_STATE(6200)] = 246938,
  [SMALL_STATE(6201)] = 246969,
  [SMALL_STATE(6202)] = 247000,
  [SMALL_STATE(6203)] = 247031,
  [SMALL_STATE(6204)] = 247062,
  [SMALL_STATE(6205)] = 247089,
  [SMALL_STATE(6206)] = 247110,
  [SMALL_STATE(6207)] = 247141,
  [SMALL_STATE(6208)] = 247172,
  [SMALL_STATE(6209)] = 247203,
  [SMALL_STATE(6210)] = 247226,
  [SMALL_STATE(6211)] = 247257,
  [SMALL_STATE(6212)] = 247288,
  [SMALL_STATE(6213)] = 247315,
  [SMALL_STATE(6214)] = 247340,
  [SMALL_STATE(6215)] = 247363,
  [SMALL_STATE(6216)] = 247394,
  [SMALL_STATE(6217)] = 247421,
  [SMALL_STATE(6218)] = 247444,
  [SMALL_STATE(6219)] = 247465,
  [SMALL_STATE(6220)] = 247496,
  [SMALL_STATE(6221)] = 247527,
  [SMALL_STATE(6222)] = 247550,
  [SMALL_STATE(6223)] = 247573,
  [SMALL_STATE(6224)] = 247604,
  [SMALL_STATE(6225)] = 247635,
  [SMALL_STATE(6226)] = 247666,
  [SMALL_STATE(6227)] = 247687,
  [SMALL_STATE(6228)] = 247718,
  [SMALL_STATE(6229)] = 247737,
  [SMALL_STATE(6230)] = 247768,
  [SMALL_STATE(6231)] = 247799,
  [SMALL_STATE(6232)] = 247830,
  [SMALL_STATE(6233)] = 247853,
  [SMALL_STATE(6234)] = 247876,
  [SMALL_STATE(6235)] = 247907,
  [SMALL_STATE(6236)] = 247938,
  [SMALL_STATE(6237)] = 247969,
  [SMALL_STATE(6238)] = 247996,
  [SMALL_STATE(6239)] = 248023,
  [SMALL_STATE(6240)] = 248054,
  [SMALL_STATE(6241)] = 248081,
  [SMALL_STATE(6242)] = 248102,
  [SMALL_STATE(6243)] = 248123,
  [SMALL_STATE(6244)] = 248143,
  [SMALL_STATE(6245)] = 248169,
  [SMALL_STATE(6246)] = 248195,
  [SMALL_STATE(6247)] = 248221,
  [SMALL_STATE(6248)] = 248247,
  [SMALL_STATE(6249)] = 248273,
  [SMALL_STATE(6250)] = 248291,
  [SMALL_STATE(6251)] = 248317,
  [SMALL_STATE(6252)] = 248343,
  [SMALL_STATE(6253)] = 248363,
  [SMALL_STATE(6254)] = 248385,
  [SMALL_STATE(6255)] = 248411,
  [SMALL_STATE(6256)] = 248437,
  [SMALL_STATE(6257)] = 248463,
  [SMALL_STATE(6258)] = 248489,
  [SMALL_STATE(6259)] = 248505,
  [SMALL_STATE(6260)] = 248531,
  [SMALL_STATE(6261)] = 248551,
  [SMALL_STATE(6262)] = 248573,
  [SMALL_STATE(6263)] = 248599,
  [SMALL_STATE(6264)] = 248621,
  [SMALL_STATE(6265)] = 248643,
  [SMALL_STATE(6266)] = 248669,
  [SMALL_STATE(6267)] = 248691,
  [SMALL_STATE(6268)] = 248713,
  [SMALL_STATE(6269)] = 248733,
  [SMALL_STATE(6270)] = 248759,
  [SMALL_STATE(6271)] = 248781,
  [SMALL_STATE(6272)] = 248807,
  [SMALL_STATE(6273)] = 248833,
  [SMALL_STATE(6274)] = 248859,
  [SMALL_STATE(6275)] = 248885,
  [SMALL_STATE(6276)] = 248907,
  [SMALL_STATE(6277)] = 248933,
  [SMALL_STATE(6278)] = 248955,
  [SMALL_STATE(6279)] = 248977,
  [SMALL_STATE(6280)] = 249003,
  [SMALL_STATE(6281)] = 249025,
  [SMALL_STATE(6282)] = 249051,
  [SMALL_STATE(6283)] = 249077,
  [SMALL_STATE(6284)] = 249103,
  [SMALL_STATE(6285)] = 249129,
  [SMALL_STATE(6286)] = 249151,
  [SMALL_STATE(6287)] = 249177,
  [SMALL_STATE(6288)] = 249203,
  [SMALL_STATE(6289)] = 249229,
  [SMALL_STATE(6290)] = 249245,
  [SMALL_STATE(6291)] = 249271,
  [SMALL_STATE(6292)] = 249297,
  [SMALL_STATE(6293)] = 249318,
  [SMALL_STATE(6294)] = 249343,
  [SMALL_STATE(6295)] = 249366,
  [SMALL_STATE(6296)] = 249391,
  [SMALL_STATE(6297)] = 249416,
  [SMALL_STATE(6298)] = 249437,
  [SMALL_STATE(6299)] = 249458,
  [SMALL_STATE(6300)] = 249479,
  [SMALL_STATE(6301)] = 249502,
  [SMALL_STATE(6302)] = 249523,
  [SMALL_STATE(6303)] = 249548,
  [SMALL_STATE(6304)] = 249563,
  [SMALL_STATE(6305)] = 249588,
  [SMALL_STATE(6306)] = 249607,
  [SMALL_STATE(6307)] = 249630,
  [SMALL_STATE(6308)] = 249645,
  [SMALL_STATE(6309)] = 249660,
  [SMALL_STATE(6310)] = 249683,
  [SMALL_STATE(6311)] = 249708,
  [SMALL_STATE(6312)] = 249723,
  [SMALL_STATE(6313)] = 249746,
  [SMALL_STATE(6314)] = 249765,
  [SMALL_STATE(6315)] = 249790,
  [SMALL_STATE(6316)] = 249813,
  [SMALL_STATE(6317)] = 249836,
  [SMALL_STATE(6318)] = 249859,
  [SMALL_STATE(6319)] = 249880,
  [SMALL_STATE(6320)] = 249903,
  [SMALL_STATE(6321)] = 249924,
  [SMALL_STATE(6322)] = 249945,
  [SMALL_STATE(6323)] = 249970,
  [SMALL_STATE(6324)] = 249985,
  [SMALL_STATE(6325)] = 250008,
  [SMALL_STATE(6326)] = 250023,
  [SMALL_STATE(6327)] = 250046,
  [SMALL_STATE(6328)] = 250067,
  [SMALL_STATE(6329)] = 250088,
  [SMALL_STATE(6330)] = 250103,
  [SMALL_STATE(6331)] = 250124,
  [SMALL_STATE(6332)] = 250141,
  [SMALL_STATE(6333)] = 250162,
  [SMALL_STATE(6334)] = 250183,
  [SMALL_STATE(6335)] = 250204,
  [SMALL_STATE(6336)] = 250219,
  [SMALL_STATE(6337)] = 250242,
  [SMALL_STATE(6338)] = 250265,
  [SMALL_STATE(6339)] = 250284,
  [SMALL_STATE(6340)] = 250307,
  [SMALL_STATE(6341)] = 250328,
  [SMALL_STATE(6342)] = 250351,
  [SMALL_STATE(6343)] = 250372,
  [SMALL_STATE(6344)] = 250386,
  [SMALL_STATE(6345)] = 250406,
  [SMALL_STATE(6346)] = 250420,
  [SMALL_STATE(6347)] = 250440,
  [SMALL_STATE(6348)] = 250460,
  [SMALL_STATE(6349)] = 250474,
  [SMALL_STATE(6350)] = 250494,
  [SMALL_STATE(6351)] = 250508,
  [SMALL_STATE(6352)] = 250528,
  [SMALL_STATE(6353)] = 250548,
  [SMALL_STATE(6354)] = 250566,
  [SMALL_STATE(6355)] = 250580,
  [SMALL_STATE(6356)] = 250596,
  [SMALL_STATE(6357)] = 250610,
  [SMALL_STATE(6358)] = 250630,
  [SMALL_STATE(6359)] = 250646,
  [SMALL_STATE(6360)] = 250660,
  [SMALL_STATE(6361)] = 250674,
  [SMALL_STATE(6362)] = 250694,
  [SMALL_STATE(6363)] = 250712,
  [SMALL_STATE(6364)] = 250730,
  [SMALL_STATE(6365)] = 250750,
  [SMALL_STATE(6366)] = 250764,
  [SMALL_STATE(6367)] = 250780,
  [SMALL_STATE(6368)] = 250794,
  [SMALL_STATE(6369)] = 250810,
  [SMALL_STATE(6370)] = 250824,
  [SMALL_STATE(6371)] = 250838,
  [SMALL_STATE(6372)] = 250856,
  [SMALL_STATE(6373)] = 250876,
  [SMALL_STATE(6374)] = 250894,
  [SMALL_STATE(6375)] = 250912,
  [SMALL_STATE(6376)] = 250932,
  [SMALL_STATE(6377)] = 250948,
  [SMALL_STATE(6378)] = 250968,
  [SMALL_STATE(6379)] = 250984,
  [SMALL_STATE(6380)] = 251004,
  [SMALL_STATE(6381)] = 251018,
  [SMALL_STATE(6382)] = 251034,
  [SMALL_STATE(6383)] = 251050,
  [SMALL_STATE(6384)] = 251070,
  [SMALL_STATE(6385)] = 251086,
  [SMALL_STATE(6386)] = 251104,
  [SMALL_STATE(6387)] = 251120,
  [SMALL_STATE(6388)] = 251140,
  [SMALL_STATE(6389)] = 251154,
  [SMALL_STATE(6390)] = 251170,
  [SMALL_STATE(6391)] = 251188,
  [SMALL_STATE(6392)] = 251204,
  [SMALL_STATE(6393)] = 251220,
  [SMALL_STATE(6394)] = 251240,
  [SMALL_STATE(6395)] = 251256,
  [SMALL_STATE(6396)] = 251272,
  [SMALL_STATE(6397)] = 251291,
  [SMALL_STATE(6398)] = 251310,
  [SMALL_STATE(6399)] = 251329,
  [SMALL_STATE(6400)] = 251348,
  [SMALL_STATE(6401)] = 251367,
  [SMALL_STATE(6402)] = 251386,
  [SMALL_STATE(6403)] = 251405,
  [SMALL_STATE(6404)] = 251424,
  [SMALL_STATE(6405)] = 251443,
  [SMALL_STATE(6406)] = 251462,
  [SMALL_STATE(6407)] = 251481,
  [SMALL_STATE(6408)] = 251500,
  [SMALL_STATE(6409)] = 251519,
  [SMALL_STATE(6410)] = 251538,
  [SMALL_STATE(6411)] = 251557,
  [SMALL_STATE(6412)] = 251576,
  [SMALL_STATE(6413)] = 251595,
  [SMALL_STATE(6414)] = 251614,
  [SMALL_STATE(6415)] = 251633,
  [SMALL_STATE(6416)] = 251652,
  [SMALL_STATE(6417)] = 251671,
  [SMALL_STATE(6418)] = 251684,
  [SMALL_STATE(6419)] = 251697,
  [SMALL_STATE(6420)] = 251716,
  [SMALL_STATE(6421)] = 251735,
  [SMALL_STATE(6422)] = 251754,
  [SMALL_STATE(6423)] = 251773,
  [SMALL_STATE(6424)] = 251792,
  [SMALL_STATE(6425)] = 251811,
  [SMALL_STATE(6426)] = 251830,
  [SMALL_STATE(6427)] = 251849,
  [SMALL_STATE(6428)] = 251868,
  [SMALL_STATE(6429)] = 251887,
  [SMALL_STATE(6430)] = 251906,
  [SMALL_STATE(6431)] = 251925,
  [SMALL_STATE(6432)] = 251944,
  [SMALL_STATE(6433)] = 251963,
  [SMALL_STATE(6434)] = 251982,
  [SMALL_STATE(6435)] = 251995,
  [SMALL_STATE(6436)] = 252014,
  [SMALL_STATE(6437)] = 252033,
  [SMALL_STATE(6438)] = 252052,
  [SMALL_STATE(6439)] = 252071,
  [SMALL_STATE(6440)] = 252090,
  [SMALL_STATE(6441)] = 252107,
  [SMALL_STATE(6442)] = 252126,
  [SMALL_STATE(6443)] = 252145,
  [SMALL_STATE(6444)] = 252162,
  [SMALL_STATE(6445)] = 252181,
  [SMALL_STATE(6446)] = 252200,
  [SMALL_STATE(6447)] = 252213,
  [SMALL_STATE(6448)] = 252230,
  [SMALL_STATE(6449)] = 252247,
  [SMALL_STATE(6450)] = 252266,
  [SMALL_STATE(6451)] = 252283,
  [SMALL_STATE(6452)] = 252302,
  [SMALL_STATE(6453)] = 252319,
  [SMALL_STATE(6454)] = 252336,
  [SMALL_STATE(6455)] = 252355,
  [SMALL_STATE(6456)] = 252369,
  [SMALL_STATE(6457)] = 252385,
  [SMALL_STATE(6458)] = 252401,
  [SMALL_STATE(6459)] = 252415,
  [SMALL_STATE(6460)] = 252431,
  [SMALL_STATE(6461)] = 252447,
  [SMALL_STATE(6462)] = 252463,
  [SMALL_STATE(6463)] = 252479,
  [SMALL_STATE(6464)] = 252495,
  [SMALL_STATE(6465)] = 252509,
  [SMALL_STATE(6466)] = 252523,
  [SMALL_STATE(6467)] = 252539,
  [SMALL_STATE(6468)] = 252555,
  [SMALL_STATE(6469)] = 252571,
  [SMALL_STATE(6470)] = 252585,
  [SMALL_STATE(6471)] = 252599,
  [SMALL_STATE(6472)] = 252613,
  [SMALL_STATE(6473)] = 252629,
  [SMALL_STATE(6474)] = 252645,
  [SMALL_STATE(6475)] = 252659,
  [SMALL_STATE(6476)] = 252673,
  [SMALL_STATE(6477)] = 252687,
  [SMALL_STATE(6478)] = 252703,
  [SMALL_STATE(6479)] = 252717,
  [SMALL_STATE(6480)] = 252733,
  [SMALL_STATE(6481)] = 252749,
  [SMALL_STATE(6482)] = 252765,
  [SMALL_STATE(6483)] = 252781,
  [SMALL_STATE(6484)] = 252797,
  [SMALL_STATE(6485)] = 252813,
  [SMALL_STATE(6486)] = 252827,
  [SMALL_STATE(6487)] = 252841,
  [SMALL_STATE(6488)] = 252857,
  [SMALL_STATE(6489)] = 252873,
  [SMALL_STATE(6490)] = 252887,
  [SMALL_STATE(6491)] = 252903,
  [SMALL_STATE(6492)] = 252919,
  [SMALL_STATE(6493)] = 252935,
  [SMALL_STATE(6494)] = 252951,
  [SMALL_STATE(6495)] = 252967,
  [SMALL_STATE(6496)] = 252981,
  [SMALL_STATE(6497)] = 252993,
  [SMALL_STATE(6498)] = 253009,
  [SMALL_STATE(6499)] = 253025,
  [SMALL_STATE(6500)] = 253039,
  [SMALL_STATE(6501)] = 253055,
  [SMALL_STATE(6502)] = 253071,
  [SMALL_STATE(6503)] = 253085,
  [SMALL_STATE(6504)] = 253101,
  [SMALL_STATE(6505)] = 253117,
  [SMALL_STATE(6506)] = 253133,
  [SMALL_STATE(6507)] = 253147,
  [SMALL_STATE(6508)] = 253163,
  [SMALL_STATE(6509)] = 253177,
  [SMALL_STATE(6510)] = 253193,
  [SMALL_STATE(6511)] = 253207,
  [SMALL_STATE(6512)] = 253221,
  [SMALL_STATE(6513)] = 253237,
  [SMALL_STATE(6514)] = 253253,
  [SMALL_STATE(6515)] = 253269,
  [SMALL_STATE(6516)] = 253285,
  [SMALL_STATE(6517)] = 253299,
  [SMALL_STATE(6518)] = 253313,
  [SMALL_STATE(6519)] = 253327,
  [SMALL_STATE(6520)] = 253343,
  [SMALL_STATE(6521)] = 253357,
  [SMALL_STATE(6522)] = 253371,
  [SMALL_STATE(6523)] = 253387,
  [SMALL_STATE(6524)] = 253401,
  [SMALL_STATE(6525)] = 253417,
  [SMALL_STATE(6526)] = 253433,
  [SMALL_STATE(6527)] = 253449,
  [SMALL_STATE(6528)] = 253465,
  [SMALL_STATE(6529)] = 253481,
  [SMALL_STATE(6530)] = 253497,
  [SMALL_STATE(6531)] = 253511,
  [SMALL_STATE(6532)] = 253527,
  [SMALL_STATE(6533)] = 253543,
  [SMALL_STATE(6534)] = 253559,
  [SMALL_STATE(6535)] = 253573,
  [SMALL_STATE(6536)] = 253589,
  [SMALL_STATE(6537)] = 253603,
  [SMALL_STATE(6538)] = 253619,
  [SMALL_STATE(6539)] = 253635,
  [SMALL_STATE(6540)] = 253651,
  [SMALL_STATE(6541)] = 253665,
  [SMALL_STATE(6542)] = 253679,
  [SMALL_STATE(6543)] = 253695,
  [SMALL_STATE(6544)] = 253709,
  [SMALL_STATE(6545)] = 253725,
  [SMALL_STATE(6546)] = 253741,
  [SMALL_STATE(6547)] = 253757,
  [SMALL_STATE(6548)] = 253773,
  [SMALL_STATE(6549)] = 253789,
  [SMALL_STATE(6550)] = 253803,
  [SMALL_STATE(6551)] = 253817,
  [SMALL_STATE(6552)] = 253833,
  [SMALL_STATE(6553)] = 253847,
  [SMALL_STATE(6554)] = 253863,
  [SMALL_STATE(6555)] = 253877,
  [SMALL_STATE(6556)] = 253893,
  [SMALL_STATE(6557)] = 253907,
  [SMALL_STATE(6558)] = 253923,
  [SMALL_STATE(6559)] = 253937,
  [SMALL_STATE(6560)] = 253951,
  [SMALL_STATE(6561)] = 253967,
  [SMALL_STATE(6562)] = 253983,
  [SMALL_STATE(6563)] = 253999,
  [SMALL_STATE(6564)] = 254013,
  [SMALL_STATE(6565)] = 254029,
  [SMALL_STATE(6566)] = 254043,
  [SMALL_STATE(6567)] = 254059,
  [SMALL_STATE(6568)] = 254075,
  [SMALL_STATE(6569)] = 254089,
  [SMALL_STATE(6570)] = 254105,
  [SMALL_STATE(6571)] = 254121,
  [SMALL_STATE(6572)] = 254135,
  [SMALL_STATE(6573)] = 254149,
  [SMALL_STATE(6574)] = 254165,
  [SMALL_STATE(6575)] = 254181,
  [SMALL_STATE(6576)] = 254195,
  [SMALL_STATE(6577)] = 254211,
  [SMALL_STATE(6578)] = 254225,
  [SMALL_STATE(6579)] = 254241,
  [SMALL_STATE(6580)] = 254255,
  [SMALL_STATE(6581)] = 254271,
  [SMALL_STATE(6582)] = 254285,
  [SMALL_STATE(6583)] = 254301,
  [SMALL_STATE(6584)] = 254317,
  [SMALL_STATE(6585)] = 254331,
  [SMALL_STATE(6586)] = 254345,
  [SMALL_STATE(6587)] = 254359,
  [SMALL_STATE(6588)] = 254375,
  [SMALL_STATE(6589)] = 254389,
  [SMALL_STATE(6590)] = 254403,
  [SMALL_STATE(6591)] = 254419,
  [SMALL_STATE(6592)] = 254433,
  [SMALL_STATE(6593)] = 254447,
  [SMALL_STATE(6594)] = 254461,
  [SMALL_STATE(6595)] = 254477,
  [SMALL_STATE(6596)] = 254491,
  [SMALL_STATE(6597)] = 254505,
  [SMALL_STATE(6598)] = 254519,
  [SMALL_STATE(6599)] = 254535,
  [SMALL_STATE(6600)] = 254549,
  [SMALL_STATE(6601)] = 254563,
  [SMALL_STATE(6602)] = 254573,
  [SMALL_STATE(6603)] = 254589,
  [SMALL_STATE(6604)] = 254603,
  [SMALL_STATE(6605)] = 254619,
  [SMALL_STATE(6606)] = 254633,
  [SMALL_STATE(6607)] = 254647,
  [SMALL_STATE(6608)] = 254663,
  [SMALL_STATE(6609)] = 254677,
  [SMALL_STATE(6610)] = 254693,
  [SMALL_STATE(6611)] = 254709,
  [SMALL_STATE(6612)] = 254723,
  [SMALL_STATE(6613)] = 254739,
  [SMALL_STATE(6614)] = 254755,
  [SMALL_STATE(6615)] = 254769,
  [SMALL_STATE(6616)] = 254785,
  [SMALL_STATE(6617)] = 254801,
  [SMALL_STATE(6618)] = 254815,
  [SMALL_STATE(6619)] = 254831,
  [SMALL_STATE(6620)] = 254847,
  [SMALL_STATE(6621)] = 254863,
  [SMALL_STATE(6622)] = 254877,
  [SMALL_STATE(6623)] = 254893,
  [SMALL_STATE(6624)] = 254909,
  [SMALL_STATE(6625)] = 254923,
  [SMALL_STATE(6626)] = 254939,
  [SMALL_STATE(6627)] = 254953,
  [SMALL_STATE(6628)] = 254969,
  [SMALL_STATE(6629)] = 254983,
  [SMALL_STATE(6630)] = 254999,
  [SMALL_STATE(6631)] = 255015,
  [SMALL_STATE(6632)] = 255031,
  [SMALL_STATE(6633)] = 255047,
  [SMALL_STATE(6634)] = 255063,
  [SMALL_STATE(6635)] = 255077,
  [SMALL_STATE(6636)] = 255091,
  [SMALL_STATE(6637)] = 255107,
  [SMALL_STATE(6638)] = 255121,
  [SMALL_STATE(6639)] = 255137,
  [SMALL_STATE(6640)] = 255151,
  [SMALL_STATE(6641)] = 255167,
  [SMALL_STATE(6642)] = 255181,
  [SMALL_STATE(6643)] = 255195,
  [SMALL_STATE(6644)] = 255209,
  [SMALL_STATE(6645)] = 255223,
  [SMALL_STATE(6646)] = 255239,
  [SMALL_STATE(6647)] = 255255,
  [SMALL_STATE(6648)] = 255269,
  [SMALL_STATE(6649)] = 255285,
  [SMALL_STATE(6650)] = 255299,
  [SMALL_STATE(6651)] = 255315,
  [SMALL_STATE(6652)] = 255331,
  [SMALL_STATE(6653)] = 255345,
  [SMALL_STATE(6654)] = 255359,
  [SMALL_STATE(6655)] = 255375,
  [SMALL_STATE(6656)] = 255391,
  [SMALL_STATE(6657)] = 255405,
  [SMALL_STATE(6658)] = 255419,
  [SMALL_STATE(6659)] = 255433,
  [SMALL_STATE(6660)] = 255449,
  [SMALL_STATE(6661)] = 255463,
  [SMALL_STATE(6662)] = 255479,
  [SMALL_STATE(6663)] = 255495,
  [SMALL_STATE(6664)] = 255509,
  [SMALL_STATE(6665)] = 255525,
  [SMALL_STATE(6666)] = 255539,
  [SMALL_STATE(6667)] = 255553,
  [SMALL_STATE(6668)] = 255567,
  [SMALL_STATE(6669)] = 255581,
  [SMALL_STATE(6670)] = 255595,
  [SMALL_STATE(6671)] = 255609,
  [SMALL_STATE(6672)] = 255623,
  [SMALL_STATE(6673)] = 255637,
  [SMALL_STATE(6674)] = 255653,
  [SMALL_STATE(6675)] = 255667,
  [SMALL_STATE(6676)] = 255683,
  [SMALL_STATE(6677)] = 255697,
  [SMALL_STATE(6678)] = 255711,
  [SMALL_STATE(6679)] = 255727,
  [SMALL_STATE(6680)] = 255743,
  [SMALL_STATE(6681)] = 255757,
  [SMALL_STATE(6682)] = 255771,
  [SMALL_STATE(6683)] = 255785,
  [SMALL_STATE(6684)] = 255801,
  [SMALL_STATE(6685)] = 255815,
  [SMALL_STATE(6686)] = 255829,
  [SMALL_STATE(6687)] = 255845,
  [SMALL_STATE(6688)] = 255859,
  [SMALL_STATE(6689)] = 255875,
  [SMALL_STATE(6690)] = 255885,
  [SMALL_STATE(6691)] = 255899,
  [SMALL_STATE(6692)] = 255913,
  [SMALL_STATE(6693)] = 255929,
  [SMALL_STATE(6694)] = 255945,
  [SMALL_STATE(6695)] = 255959,
  [SMALL_STATE(6696)] = 255975,
  [SMALL_STATE(6697)] = 255989,
  [SMALL_STATE(6698)] = 256005,
  [SMALL_STATE(6699)] = 256019,
  [SMALL_STATE(6700)] = 256033,
  [SMALL_STATE(6701)] = 256049,
  [SMALL_STATE(6702)] = 256065,
  [SMALL_STATE(6703)] = 256079,
  [SMALL_STATE(6704)] = 256095,
  [SMALL_STATE(6705)] = 256109,
  [SMALL_STATE(6706)] = 256125,
  [SMALL_STATE(6707)] = 256141,
  [SMALL_STATE(6708)] = 256155,
  [SMALL_STATE(6709)] = 256169,
  [SMALL_STATE(6710)] = 256185,
  [SMALL_STATE(6711)] = 256199,
  [SMALL_STATE(6712)] = 256215,
  [SMALL_STATE(6713)] = 256225,
  [SMALL_STATE(6714)] = 256241,
  [SMALL_STATE(6715)] = 256255,
  [SMALL_STATE(6716)] = 256268,
  [SMALL_STATE(6717)] = 256279,
  [SMALL_STATE(6718)] = 256292,
  [SMALL_STATE(6719)] = 256301,
  [SMALL_STATE(6720)] = 256310,
  [SMALL_STATE(6721)] = 256323,
  [SMALL_STATE(6722)] = 256336,
  [SMALL_STATE(6723)] = 256347,
  [SMALL_STATE(6724)] = 256360,
  [SMALL_STATE(6725)] = 256369,
  [SMALL_STATE(6726)] = 256378,
  [SMALL_STATE(6727)] = 256391,
  [SMALL_STATE(6728)] = 256400,
  [SMALL_STATE(6729)] = 256413,
  [SMALL_STATE(6730)] = 256426,
  [SMALL_STATE(6731)] = 256439,
  [SMALL_STATE(6732)] = 256452,
  [SMALL_STATE(6733)] = 256461,
  [SMALL_STATE(6734)] = 256474,
  [SMALL_STATE(6735)] = 256485,
  [SMALL_STATE(6736)] = 256498,
  [SMALL_STATE(6737)] = 256509,
  [SMALL_STATE(6738)] = 256518,
  [SMALL_STATE(6739)] = 256531,
  [SMALL_STATE(6740)] = 256544,
  [SMALL_STATE(6741)] = 256557,
  [SMALL_STATE(6742)] = 256570,
  [SMALL_STATE(6743)] = 256583,
  [SMALL_STATE(6744)] = 256596,
  [SMALL_STATE(6745)] = 256609,
  [SMALL_STATE(6746)] = 256618,
  [SMALL_STATE(6747)] = 256627,
  [SMALL_STATE(6748)] = 256640,
  [SMALL_STATE(6749)] = 256651,
  [SMALL_STATE(6750)] = 256664,
  [SMALL_STATE(6751)] = 256673,
  [SMALL_STATE(6752)] = 256686,
  [SMALL_STATE(6753)] = 256699,
  [SMALL_STATE(6754)] = 256712,
  [SMALL_STATE(6755)] = 256725,
  [SMALL_STATE(6756)] = 256738,
  [SMALL_STATE(6757)] = 256749,
  [SMALL_STATE(6758)] = 256762,
  [SMALL_STATE(6759)] = 256775,
  [SMALL_STATE(6760)] = 256788,
  [SMALL_STATE(6761)] = 256801,
  [SMALL_STATE(6762)] = 256810,
  [SMALL_STATE(6763)] = 256819,
  [SMALL_STATE(6764)] = 256832,
  [SMALL_STATE(6765)] = 256845,
  [SMALL_STATE(6766)] = 256858,
  [SMALL_STATE(6767)] = 256871,
  [SMALL_STATE(6768)] = 256884,
  [SMALL_STATE(6769)] = 256897,
  [SMALL_STATE(6770)] = 256910,
  [SMALL_STATE(6771)] = 256923,
  [SMALL_STATE(6772)] = 256936,
  [SMALL_STATE(6773)] = 256949,
  [SMALL_STATE(6774)] = 256962,
  [SMALL_STATE(6775)] = 256975,
  [SMALL_STATE(6776)] = 256988,
  [SMALL_STATE(6777)] = 256999,
  [SMALL_STATE(6778)] = 257012,
  [SMALL_STATE(6779)] = 257025,
  [SMALL_STATE(6780)] = 257038,
  [SMALL_STATE(6781)] = 257051,
  [SMALL_STATE(6782)] = 257064,
  [SMALL_STATE(6783)] = 257077,
  [SMALL_STATE(6784)] = 257090,
  [SMALL_STATE(6785)] = 257103,
  [SMALL_STATE(6786)] = 257116,
  [SMALL_STATE(6787)] = 257129,
  [SMALL_STATE(6788)] = 257140,
  [SMALL_STATE(6789)] = 257153,
  [SMALL_STATE(6790)] = 257164,
  [SMALL_STATE(6791)] = 257177,
  [SMALL_STATE(6792)] = 257190,
  [SMALL_STATE(6793)] = 257203,
  [SMALL_STATE(6794)] = 257216,
  [SMALL_STATE(6795)] = 257229,
  [SMALL_STATE(6796)] = 257242,
  [SMALL_STATE(6797)] = 257255,
  [SMALL_STATE(6798)] = 257268,
  [SMALL_STATE(6799)] = 257281,
  [SMALL_STATE(6800)] = 257294,
  [SMALL_STATE(6801)] = 257307,
  [SMALL_STATE(6802)] = 257318,
  [SMALL_STATE(6803)] = 257331,
  [SMALL_STATE(6804)] = 257344,
  [SMALL_STATE(6805)] = 257357,
  [SMALL_STATE(6806)] = 257370,
  [SMALL_STATE(6807)] = 257383,
  [SMALL_STATE(6808)] = 257396,
  [SMALL_STATE(6809)] = 257409,
  [SMALL_STATE(6810)] = 257422,
  [SMALL_STATE(6811)] = 257435,
  [SMALL_STATE(6812)] = 257446,
  [SMALL_STATE(6813)] = 257459,
  [SMALL_STATE(6814)] = 257468,
  [SMALL_STATE(6815)] = 257481,
  [SMALL_STATE(6816)] = 257494,
  [SMALL_STATE(6817)] = 257507,
  [SMALL_STATE(6818)] = 257520,
  [SMALL_STATE(6819)] = 257533,
  [SMALL_STATE(6820)] = 257546,
  [SMALL_STATE(6821)] = 257559,
  [SMALL_STATE(6822)] = 257572,
  [SMALL_STATE(6823)] = 257585,
  [SMALL_STATE(6824)] = 257596,
  [SMALL_STATE(6825)] = 257609,
  [SMALL_STATE(6826)] = 257622,
  [SMALL_STATE(6827)] = 257635,
  [SMALL_STATE(6828)] = 257648,
  [SMALL_STATE(6829)] = 257661,
  [SMALL_STATE(6830)] = 257674,
  [SMALL_STATE(6831)] = 257687,
  [SMALL_STATE(6832)] = 257698,
  [SMALL_STATE(6833)] = 257709,
  [SMALL_STATE(6834)] = 257722,
  [SMALL_STATE(6835)] = 257733,
  [SMALL_STATE(6836)] = 257744,
  [SMALL_STATE(6837)] = 257755,
  [SMALL_STATE(6838)] = 257766,
  [SMALL_STATE(6839)] = 257779,
  [SMALL_STATE(6840)] = 257792,
  [SMALL_STATE(6841)] = 257805,
  [SMALL_STATE(6842)] = 257818,
  [SMALL_STATE(6843)] = 257831,
  [SMALL_STATE(6844)] = 257844,
  [SMALL_STATE(6845)] = 257857,
  [SMALL_STATE(6846)] = 257870,
  [SMALL_STATE(6847)] = 257883,
  [SMALL_STATE(6848)] = 257894,
  [SMALL_STATE(6849)] = 257907,
  [SMALL_STATE(6850)] = 257920,
  [SMALL_STATE(6851)] = 257933,
  [SMALL_STATE(6852)] = 257946,
  [SMALL_STATE(6853)] = 257959,
  [SMALL_STATE(6854)] = 257972,
  [SMALL_STATE(6855)] = 257985,
  [SMALL_STATE(6856)] = 257998,
  [SMALL_STATE(6857)] = 258007,
  [SMALL_STATE(6858)] = 258016,
  [SMALL_STATE(6859)] = 258029,
  [SMALL_STATE(6860)] = 258040,
  [SMALL_STATE(6861)] = 258053,
  [SMALL_STATE(6862)] = 258066,
  [SMALL_STATE(6863)] = 258077,
  [SMALL_STATE(6864)] = 258090,
  [SMALL_STATE(6865)] = 258103,
  [SMALL_STATE(6866)] = 258116,
  [SMALL_STATE(6867)] = 258127,
  [SMALL_STATE(6868)] = 258140,
  [SMALL_STATE(6869)] = 258153,
  [SMALL_STATE(6870)] = 258164,
  [SMALL_STATE(6871)] = 258177,
  [SMALL_STATE(6872)] = 258190,
  [SMALL_STATE(6873)] = 258203,
  [SMALL_STATE(6874)] = 258214,
  [SMALL_STATE(6875)] = 258227,
  [SMALL_STATE(6876)] = 258240,
  [SMALL_STATE(6877)] = 258251,
  [SMALL_STATE(6878)] = 258264,
  [SMALL_STATE(6879)] = 258277,
  [SMALL_STATE(6880)] = 258290,
  [SMALL_STATE(6881)] = 258303,
  [SMALL_STATE(6882)] = 258316,
  [SMALL_STATE(6883)] = 258329,
  [SMALL_STATE(6884)] = 258342,
  [SMALL_STATE(6885)] = 258355,
  [SMALL_STATE(6886)] = 258366,
  [SMALL_STATE(6887)] = 258379,
  [SMALL_STATE(6888)] = 258392,
  [SMALL_STATE(6889)] = 258405,
  [SMALL_STATE(6890)] = 258418,
  [SMALL_STATE(6891)] = 258431,
  [SMALL_STATE(6892)] = 258442,
  [SMALL_STATE(6893)] = 258455,
  [SMALL_STATE(6894)] = 258468,
  [SMALL_STATE(6895)] = 258481,
  [SMALL_STATE(6896)] = 258494,
  [SMALL_STATE(6897)] = 258507,
  [SMALL_STATE(6898)] = 258520,
  [SMALL_STATE(6899)] = 258533,
  [SMALL_STATE(6900)] = 258546,
  [SMALL_STATE(6901)] = 258557,
  [SMALL_STATE(6902)] = 258570,
  [SMALL_STATE(6903)] = 258583,
  [SMALL_STATE(6904)] = 258594,
  [SMALL_STATE(6905)] = 258607,
  [SMALL_STATE(6906)] = 258620,
  [SMALL_STATE(6907)] = 258633,
  [SMALL_STATE(6908)] = 258646,
  [SMALL_STATE(6909)] = 258659,
  [SMALL_STATE(6910)] = 258672,
  [SMALL_STATE(6911)] = 258685,
  [SMALL_STATE(6912)] = 258698,
  [SMALL_STATE(6913)] = 258711,
  [SMALL_STATE(6914)] = 258722,
  [SMALL_STATE(6915)] = 258735,
  [SMALL_STATE(6916)] = 258748,
  [SMALL_STATE(6917)] = 258761,
  [SMALL_STATE(6918)] = 258774,
  [SMALL_STATE(6919)] = 258787,
  [SMALL_STATE(6920)] = 258800,
  [SMALL_STATE(6921)] = 258813,
  [SMALL_STATE(6922)] = 258826,
  [SMALL_STATE(6923)] = 258839,
  [SMALL_STATE(6924)] = 258852,
  [SMALL_STATE(6925)] = 258865,
  [SMALL_STATE(6926)] = 258878,
  [SMALL_STATE(6927)] = 258891,
  [SMALL_STATE(6928)] = 258904,
  [SMALL_STATE(6929)] = 258917,
  [SMALL_STATE(6930)] = 258930,
  [SMALL_STATE(6931)] = 258941,
  [SMALL_STATE(6932)] = 258954,
  [SMALL_STATE(6933)] = 258967,
  [SMALL_STATE(6934)] = 258980,
  [SMALL_STATE(6935)] = 258993,
  [SMALL_STATE(6936)] = 259006,
  [SMALL_STATE(6937)] = 259019,
  [SMALL_STATE(6938)] = 259032,
  [SMALL_STATE(6939)] = 259045,
  [SMALL_STATE(6940)] = 259058,
  [SMALL_STATE(6941)] = 259071,
  [SMALL_STATE(6942)] = 259084,
  [SMALL_STATE(6943)] = 259097,
  [SMALL_STATE(6944)] = 259110,
  [SMALL_STATE(6945)] = 259123,
  [SMALL_STATE(6946)] = 259136,
  [SMALL_STATE(6947)] = 259149,
  [SMALL_STATE(6948)] = 259162,
  [SMALL_STATE(6949)] = 259173,
  [SMALL_STATE(6950)] = 259184,
  [SMALL_STATE(6951)] = 259195,
  [SMALL_STATE(6952)] = 259208,
  [SMALL_STATE(6953)] = 259221,
  [SMALL_STATE(6954)] = 259234,
  [SMALL_STATE(6955)] = 259245,
  [SMALL_STATE(6956)] = 259258,
  [SMALL_STATE(6957)] = 259271,
  [SMALL_STATE(6958)] = 259284,
  [SMALL_STATE(6959)] = 259297,
  [SMALL_STATE(6960)] = 259310,
  [SMALL_STATE(6961)] = 259323,
  [SMALL_STATE(6962)] = 259336,
  [SMALL_STATE(6963)] = 259349,
  [SMALL_STATE(6964)] = 259362,
  [SMALL_STATE(6965)] = 259375,
  [SMALL_STATE(6966)] = 259388,
  [SMALL_STATE(6967)] = 259401,
  [SMALL_STATE(6968)] = 259414,
  [SMALL_STATE(6969)] = 259427,
  [SMALL_STATE(6970)] = 259440,
  [SMALL_STATE(6971)] = 259453,
  [SMALL_STATE(6972)] = 259466,
  [SMALL_STATE(6973)] = 259479,
  [SMALL_STATE(6974)] = 259492,
  [SMALL_STATE(6975)] = 259505,
  [SMALL_STATE(6976)] = 259518,
  [SMALL_STATE(6977)] = 259531,
  [SMALL_STATE(6978)] = 259544,
  [SMALL_STATE(6979)] = 259557,
  [SMALL_STATE(6980)] = 259570,
  [SMALL_STATE(6981)] = 259583,
  [SMALL_STATE(6982)] = 259594,
  [SMALL_STATE(6983)] = 259607,
  [SMALL_STATE(6984)] = 259620,
  [SMALL_STATE(6985)] = 259633,
  [SMALL_STATE(6986)] = 259644,
  [SMALL_STATE(6987)] = 259655,
  [SMALL_STATE(6988)] = 259668,
  [SMALL_STATE(6989)] = 259681,
  [SMALL_STATE(6990)] = 259694,
  [SMALL_STATE(6991)] = 259707,
  [SMALL_STATE(6992)] = 259720,
  [SMALL_STATE(6993)] = 259733,
  [SMALL_STATE(6994)] = 259746,
  [SMALL_STATE(6995)] = 259759,
  [SMALL_STATE(6996)] = 259772,
  [SMALL_STATE(6997)] = 259785,
  [SMALL_STATE(6998)] = 259798,
  [SMALL_STATE(6999)] = 259811,
  [SMALL_STATE(7000)] = 259824,
  [SMALL_STATE(7001)] = 259837,
  [SMALL_STATE(7002)] = 259850,
  [SMALL_STATE(7003)] = 259863,
  [SMALL_STATE(7004)] = 259876,
  [SMALL_STATE(7005)] = 259889,
  [SMALL_STATE(7006)] = 259902,
  [SMALL_STATE(7007)] = 259915,
  [SMALL_STATE(7008)] = 259928,
  [SMALL_STATE(7009)] = 259939,
  [SMALL_STATE(7010)] = 259952,
  [SMALL_STATE(7011)] = 259965,
  [SMALL_STATE(7012)] = 259978,
  [SMALL_STATE(7013)] = 259991,
  [SMALL_STATE(7014)] = 260004,
  [SMALL_STATE(7015)] = 260017,
  [SMALL_STATE(7016)] = 260030,
  [SMALL_STATE(7017)] = 260043,
  [SMALL_STATE(7018)] = 260056,
  [SMALL_STATE(7019)] = 260069,
  [SMALL_STATE(7020)] = 260082,
  [SMALL_STATE(7021)] = 260095,
  [SMALL_STATE(7022)] = 260108,
  [SMALL_STATE(7023)] = 260121,
  [SMALL_STATE(7024)] = 260134,
  [SMALL_STATE(7025)] = 260145,
  [SMALL_STATE(7026)] = 260158,
  [SMALL_STATE(7027)] = 260171,
  [SMALL_STATE(7028)] = 260180,
  [SMALL_STATE(7029)] = 260193,
  [SMALL_STATE(7030)] = 260206,
  [SMALL_STATE(7031)] = 260219,
  [SMALL_STATE(7032)] = 260232,
  [SMALL_STATE(7033)] = 260245,
  [SMALL_STATE(7034)] = 260254,
  [SMALL_STATE(7035)] = 260265,
  [SMALL_STATE(7036)] = 260276,
  [SMALL_STATE(7037)] = 260289,
  [SMALL_STATE(7038)] = 260302,
  [SMALL_STATE(7039)] = 260315,
  [SMALL_STATE(7040)] = 260328,
  [SMALL_STATE(7041)] = 260341,
  [SMALL_STATE(7042)] = 260354,
  [SMALL_STATE(7043)] = 260367,
  [SMALL_STATE(7044)] = 260380,
  [SMALL_STATE(7045)] = 260391,
  [SMALL_STATE(7046)] = 260404,
  [SMALL_STATE(7047)] = 260417,
  [SMALL_STATE(7048)] = 260430,
  [SMALL_STATE(7049)] = 260443,
  [SMALL_STATE(7050)] = 260456,
  [SMALL_STATE(7051)] = 260469,
  [SMALL_STATE(7052)] = 260482,
  [SMALL_STATE(7053)] = 260495,
  [SMALL_STATE(7054)] = 260508,
  [SMALL_STATE(7055)] = 260517,
  [SMALL_STATE(7056)] = 260530,
  [SMALL_STATE(7057)] = 260539,
  [SMALL_STATE(7058)] = 260552,
  [SMALL_STATE(7059)] = 260565,
  [SMALL_STATE(7060)] = 260576,
  [SMALL_STATE(7061)] = 260587,
  [SMALL_STATE(7062)] = 260600,
  [SMALL_STATE(7063)] = 260613,
  [SMALL_STATE(7064)] = 260622,
  [SMALL_STATE(7065)] = 260635,
  [SMALL_STATE(7066)] = 260648,
  [SMALL_STATE(7067)] = 260661,
  [SMALL_STATE(7068)] = 260674,
  [SMALL_STATE(7069)] = 260687,
  [SMALL_STATE(7070)] = 260700,
  [SMALL_STATE(7071)] = 260713,
  [SMALL_STATE(7072)] = 260726,
  [SMALL_STATE(7073)] = 260739,
  [SMALL_STATE(7074)] = 260752,
  [SMALL_STATE(7075)] = 260765,
  [SMALL_STATE(7076)] = 260778,
  [SMALL_STATE(7077)] = 260791,
  [SMALL_STATE(7078)] = 260804,
  [SMALL_STATE(7079)] = 260817,
  [SMALL_STATE(7080)] = 260830,
  [SMALL_STATE(7081)] = 260843,
  [SMALL_STATE(7082)] = 260856,
  [SMALL_STATE(7083)] = 260869,
  [SMALL_STATE(7084)] = 260882,
  [SMALL_STATE(7085)] = 260895,
  [SMALL_STATE(7086)] = 260908,
  [SMALL_STATE(7087)] = 260921,
  [SMALL_STATE(7088)] = 260934,
  [SMALL_STATE(7089)] = 260945,
  [SMALL_STATE(7090)] = 260958,
  [SMALL_STATE(7091)] = 260971,
  [SMALL_STATE(7092)] = 260984,
  [SMALL_STATE(7093)] = 260997,
  [SMALL_STATE(7094)] = 261010,
  [SMALL_STATE(7095)] = 261023,
  [SMALL_STATE(7096)] = 261036,
  [SMALL_STATE(7097)] = 261049,
  [SMALL_STATE(7098)] = 261062,
  [SMALL_STATE(7099)] = 261075,
  [SMALL_STATE(7100)] = 261088,
  [SMALL_STATE(7101)] = 261101,
  [SMALL_STATE(7102)] = 261114,
  [SMALL_STATE(7103)] = 261127,
  [SMALL_STATE(7104)] = 261138,
  [SMALL_STATE(7105)] = 261149,
  [SMALL_STATE(7106)] = 261162,
  [SMALL_STATE(7107)] = 261175,
  [SMALL_STATE(7108)] = 261185,
  [SMALL_STATE(7109)] = 261195,
  [SMALL_STATE(7110)] = 261205,
  [SMALL_STATE(7111)] = 261215,
  [SMALL_STATE(7112)] = 261225,
  [SMALL_STATE(7113)] = 261235,
  [SMALL_STATE(7114)] = 261243,
  [SMALL_STATE(7115)] = 261253,
  [SMALL_STATE(7116)] = 261261,
  [SMALL_STATE(7117)] = 261269,
  [SMALL_STATE(7118)] = 261277,
  [SMALL_STATE(7119)] = 261285,
  [SMALL_STATE(7120)] = 261293,
  [SMALL_STATE(7121)] = 261301,
  [SMALL_STATE(7122)] = 261311,
  [SMALL_STATE(7123)] = 261321,
  [SMALL_STATE(7124)] = 261331,
  [SMALL_STATE(7125)] = 261341,
  [SMALL_STATE(7126)] = 261351,
  [SMALL_STATE(7127)] = 261361,
  [SMALL_STATE(7128)] = 261371,
  [SMALL_STATE(7129)] = 261381,
  [SMALL_STATE(7130)] = 261391,
  [SMALL_STATE(7131)] = 261399,
  [SMALL_STATE(7132)] = 261409,
  [SMALL_STATE(7133)] = 261419,
  [SMALL_STATE(7134)] = 261429,
  [SMALL_STATE(7135)] = 261439,
  [SMALL_STATE(7136)] = 261449,
  [SMALL_STATE(7137)] = 261459,
  [SMALL_STATE(7138)] = 261469,
  [SMALL_STATE(7139)] = 261479,
  [SMALL_STATE(7140)] = 261489,
  [SMALL_STATE(7141)] = 261497,
  [SMALL_STATE(7142)] = 261507,
  [SMALL_STATE(7143)] = 261517,
  [SMALL_STATE(7144)] = 261527,
  [SMALL_STATE(7145)] = 261537,
  [SMALL_STATE(7146)] = 261545,
  [SMALL_STATE(7147)] = 261553,
  [SMALL_STATE(7148)] = 261563,
  [SMALL_STATE(7149)] = 261573,
  [SMALL_STATE(7150)] = 261583,
  [SMALL_STATE(7151)] = 261593,
  [SMALL_STATE(7152)] = 261601,
  [SMALL_STATE(7153)] = 261611,
  [SMALL_STATE(7154)] = 261621,
  [SMALL_STATE(7155)] = 261631,
  [SMALL_STATE(7156)] = 261639,
  [SMALL_STATE(7157)] = 261649,
  [SMALL_STATE(7158)] = 261657,
  [SMALL_STATE(7159)] = 261667,
  [SMALL_STATE(7160)] = 261677,
  [SMALL_STATE(7161)] = 261687,
  [SMALL_STATE(7162)] = 261697,
  [SMALL_STATE(7163)] = 261707,
  [SMALL_STATE(7164)] = 261717,
  [SMALL_STATE(7165)] = 261725,
  [SMALL_STATE(7166)] = 261735,
  [SMALL_STATE(7167)] = 261745,
  [SMALL_STATE(7168)] = 261755,
  [SMALL_STATE(7169)] = 261763,
  [SMALL_STATE(7170)] = 261773,
  [SMALL_STATE(7171)] = 261783,
  [SMALL_STATE(7172)] = 261793,
  [SMALL_STATE(7173)] = 261803,
  [SMALL_STATE(7174)] = 261813,
  [SMALL_STATE(7175)] = 261823,
  [SMALL_STATE(7176)] = 261833,
  [SMALL_STATE(7177)] = 261843,
  [SMALL_STATE(7178)] = 261853,
  [SMALL_STATE(7179)] = 261863,
  [SMALL_STATE(7180)] = 261873,
  [SMALL_STATE(7181)] = 261883,
  [SMALL_STATE(7182)] = 261893,
  [SMALL_STATE(7183)] = 261903,
  [SMALL_STATE(7184)] = 261911,
  [SMALL_STATE(7185)] = 261921,
  [SMALL_STATE(7186)] = 261931,
  [SMALL_STATE(7187)] = 261941,
  [SMALL_STATE(7188)] = 261951,
  [SMALL_STATE(7189)] = 261961,
  [SMALL_STATE(7190)] = 261971,
  [SMALL_STATE(7191)] = 261981,
  [SMALL_STATE(7192)] = 261991,
  [SMALL_STATE(7193)] = 262001,
  [SMALL_STATE(7194)] = 262011,
  [SMALL_STATE(7195)] = 262021,
  [SMALL_STATE(7196)] = 262031,
  [SMALL_STATE(7197)] = 262041,
  [SMALL_STATE(7198)] = 262051,
  [SMALL_STATE(7199)] = 262059,
  [SMALL_STATE(7200)] = 262069,
  [SMALL_STATE(7201)] = 262079,
  [SMALL_STATE(7202)] = 262089,
  [SMALL_STATE(7203)] = 262099,
  [SMALL_STATE(7204)] = 262109,
  [SMALL_STATE(7205)] = 262117,
  [SMALL_STATE(7206)] = 262127,
  [SMALL_STATE(7207)] = 262137,
  [SMALL_STATE(7208)] = 262147,
  [SMALL_STATE(7209)] = 262157,
  [SMALL_STATE(7210)] = 262167,
  [SMALL_STATE(7211)] = 262177,
  [SMALL_STATE(7212)] = 262187,
  [SMALL_STATE(7213)] = 262197,
  [SMALL_STATE(7214)] = 262207,
  [SMALL_STATE(7215)] = 262217,
  [SMALL_STATE(7216)] = 262227,
  [SMALL_STATE(7217)] = 262237,
  [SMALL_STATE(7218)] = 262247,
  [SMALL_STATE(7219)] = 262257,
  [SMALL_STATE(7220)] = 262267,
  [SMALL_STATE(7221)] = 262277,
  [SMALL_STATE(7222)] = 262287,
  [SMALL_STATE(7223)] = 262297,
  [SMALL_STATE(7224)] = 262307,
  [SMALL_STATE(7225)] = 262317,
  [SMALL_STATE(7226)] = 262327,
  [SMALL_STATE(7227)] = 262337,
  [SMALL_STATE(7228)] = 262347,
  [SMALL_STATE(7229)] = 262357,
  [SMALL_STATE(7230)] = 262367,
  [SMALL_STATE(7231)] = 262377,
  [SMALL_STATE(7232)] = 262387,
  [SMALL_STATE(7233)] = 262395,
  [SMALL_STATE(7234)] = 262405,
  [SMALL_STATE(7235)] = 262415,
  [SMALL_STATE(7236)] = 262425,
  [SMALL_STATE(7237)] = 262435,
  [SMALL_STATE(7238)] = 262445,
  [SMALL_STATE(7239)] = 262455,
  [SMALL_STATE(7240)] = 262465,
  [SMALL_STATE(7241)] = 262475,
  [SMALL_STATE(7242)] = 262485,
  [SMALL_STATE(7243)] = 262495,
  [SMALL_STATE(7244)] = 262505,
  [SMALL_STATE(7245)] = 262515,
  [SMALL_STATE(7246)] = 262525,
  [SMALL_STATE(7247)] = 262535,
  [SMALL_STATE(7248)] = 262545,
  [SMALL_STATE(7249)] = 262555,
  [SMALL_STATE(7250)] = 262565,
  [SMALL_STATE(7251)] = 262575,
  [SMALL_STATE(7252)] = 262585,
  [SMALL_STATE(7253)] = 262593,
  [SMALL_STATE(7254)] = 262603,
  [SMALL_STATE(7255)] = 262613,
  [SMALL_STATE(7256)] = 262623,
  [SMALL_STATE(7257)] = 262633,
  [SMALL_STATE(7258)] = 262643,
  [SMALL_STATE(7259)] = 262653,
  [SMALL_STATE(7260)] = 262663,
  [SMALL_STATE(7261)] = 262673,
  [SMALL_STATE(7262)] = 262681,
  [SMALL_STATE(7263)] = 262691,
  [SMALL_STATE(7264)] = 262701,
  [SMALL_STATE(7265)] = 262709,
  [SMALL_STATE(7266)] = 262719,
  [SMALL_STATE(7267)] = 262729,
  [SMALL_STATE(7268)] = 262739,
  [SMALL_STATE(7269)] = 262749,
  [SMALL_STATE(7270)] = 262759,
  [SMALL_STATE(7271)] = 262769,
  [SMALL_STATE(7272)] = 262779,
  [SMALL_STATE(7273)] = 262789,
  [SMALL_STATE(7274)] = 262799,
  [SMALL_STATE(7275)] = 262809,
  [SMALL_STATE(7276)] = 262819,
  [SMALL_STATE(7277)] = 262829,
  [SMALL_STATE(7278)] = 262839,
  [SMALL_STATE(7279)] = 262849,
  [SMALL_STATE(7280)] = 262859,
  [SMALL_STATE(7281)] = 262869,
  [SMALL_STATE(7282)] = 262879,
  [SMALL_STATE(7283)] = 262889,
  [SMALL_STATE(7284)] = 262899,
  [SMALL_STATE(7285)] = 262909,
  [SMALL_STATE(7286)] = 262919,
  [SMALL_STATE(7287)] = 262929,
  [SMALL_STATE(7288)] = 262939,
  [SMALL_STATE(7289)] = 262949,
  [SMALL_STATE(7290)] = 262959,
  [SMALL_STATE(7291)] = 262967,
  [SMALL_STATE(7292)] = 262977,
  [SMALL_STATE(7293)] = 262985,
  [SMALL_STATE(7294)] = 262995,
  [SMALL_STATE(7295)] = 263003,
  [SMALL_STATE(7296)] = 263011,
  [SMALL_STATE(7297)] = 263019,
  [SMALL_STATE(7298)] = 263029,
  [SMALL_STATE(7299)] = 263039,
  [SMALL_STATE(7300)] = 263049,
  [SMALL_STATE(7301)] = 263059,
  [SMALL_STATE(7302)] = 263069,
  [SMALL_STATE(7303)] = 263079,
  [SMALL_STATE(7304)] = 263089,
  [SMALL_STATE(7305)] = 263099,
  [SMALL_STATE(7306)] = 263107,
  [SMALL_STATE(7307)] = 263117,
  [SMALL_STATE(7308)] = 263127,
  [SMALL_STATE(7309)] = 263137,
  [SMALL_STATE(7310)] = 263145,
  [SMALL_STATE(7311)] = 263155,
  [SMALL_STATE(7312)] = 263165,
  [SMALL_STATE(7313)] = 263173,
  [SMALL_STATE(7314)] = 263183,
  [SMALL_STATE(7315)] = 263193,
  [SMALL_STATE(7316)] = 263203,
  [SMALL_STATE(7317)] = 263213,
  [SMALL_STATE(7318)] = 263223,
  [SMALL_STATE(7319)] = 263233,
  [SMALL_STATE(7320)] = 263243,
  [SMALL_STATE(7321)] = 263251,
  [SMALL_STATE(7322)] = 263261,
  [SMALL_STATE(7323)] = 263269,
  [SMALL_STATE(7324)] = 263279,
  [SMALL_STATE(7325)] = 263289,
  [SMALL_STATE(7326)] = 263297,
  [SMALL_STATE(7327)] = 263307,
  [SMALL_STATE(7328)] = 263317,
  [SMALL_STATE(7329)] = 263327,
  [SMALL_STATE(7330)] = 263337,
  [SMALL_STATE(7331)] = 263347,
  [SMALL_STATE(7332)] = 263357,
  [SMALL_STATE(7333)] = 263367,
  [SMALL_STATE(7334)] = 263377,
  [SMALL_STATE(7335)] = 263387,
  [SMALL_STATE(7336)] = 263397,
  [SMALL_STATE(7337)] = 263407,
  [SMALL_STATE(7338)] = 263417,
  [SMALL_STATE(7339)] = 263427,
  [SMALL_STATE(7340)] = 263437,
  [SMALL_STATE(7341)] = 263447,
  [SMALL_STATE(7342)] = 263457,
  [SMALL_STATE(7343)] = 263467,
  [SMALL_STATE(7344)] = 263477,
  [SMALL_STATE(7345)] = 263487,
  [SMALL_STATE(7346)] = 263497,
  [SMALL_STATE(7347)] = 263507,
  [SMALL_STATE(7348)] = 263515,
  [SMALL_STATE(7349)] = 263525,
  [SMALL_STATE(7350)] = 263533,
  [SMALL_STATE(7351)] = 263543,
  [SMALL_STATE(7352)] = 263553,
  [SMALL_STATE(7353)] = 263561,
  [SMALL_STATE(7354)] = 263571,
  [SMALL_STATE(7355)] = 263581,
  [SMALL_STATE(7356)] = 263591,
  [SMALL_STATE(7357)] = 263599,
  [SMALL_STATE(7358)] = 263607,
  [SMALL_STATE(7359)] = 263617,
  [SMALL_STATE(7360)] = 263627,
  [SMALL_STATE(7361)] = 263637,
  [SMALL_STATE(7362)] = 263647,
  [SMALL_STATE(7363)] = 263657,
  [SMALL_STATE(7364)] = 263667,
  [SMALL_STATE(7365)] = 263677,
  [SMALL_STATE(7366)] = 263687,
  [SMALL_STATE(7367)] = 263697,
  [SMALL_STATE(7368)] = 263707,
  [SMALL_STATE(7369)] = 263717,
  [SMALL_STATE(7370)] = 263727,
  [SMALL_STATE(7371)] = 263737,
  [SMALL_STATE(7372)] = 263747,
  [SMALL_STATE(7373)] = 263757,
  [SMALL_STATE(7374)] = 263767,
  [SMALL_STATE(7375)] = 263777,
  [SMALL_STATE(7376)] = 263787,
  [SMALL_STATE(7377)] = 263797,
  [SMALL_STATE(7378)] = 263807,
  [SMALL_STATE(7379)] = 263817,
  [SMALL_STATE(7380)] = 263827,
  [SMALL_STATE(7381)] = 263837,
  [SMALL_STATE(7382)] = 263845,
  [SMALL_STATE(7383)] = 263855,
  [SMALL_STATE(7384)] = 263865,
  [SMALL_STATE(7385)] = 263875,
  [SMALL_STATE(7386)] = 263885,
  [SMALL_STATE(7387)] = 263895,
  [SMALL_STATE(7388)] = 263905,
  [SMALL_STATE(7389)] = 263915,
  [SMALL_STATE(7390)] = 263925,
  [SMALL_STATE(7391)] = 263935,
  [SMALL_STATE(7392)] = 263945,
  [SMALL_STATE(7393)] = 263955,
  [SMALL_STATE(7394)] = 263965,
  [SMALL_STATE(7395)] = 263975,
  [SMALL_STATE(7396)] = 263985,
  [SMALL_STATE(7397)] = 263995,
  [SMALL_STATE(7398)] = 264005,
  [SMALL_STATE(7399)] = 264015,
  [SMALL_STATE(7400)] = 264025,
  [SMALL_STATE(7401)] = 264035,
  [SMALL_STATE(7402)] = 264045,
  [SMALL_STATE(7403)] = 264053,
  [SMALL_STATE(7404)] = 264063,
  [SMALL_STATE(7405)] = 264073,
  [SMALL_STATE(7406)] = 264083,
  [SMALL_STATE(7407)] = 264093,
  [SMALL_STATE(7408)] = 264103,
  [SMALL_STATE(7409)] = 264113,
  [SMALL_STATE(7410)] = 264123,
  [SMALL_STATE(7411)] = 264133,
  [SMALL_STATE(7412)] = 264141,
  [SMALL_STATE(7413)] = 264151,
  [SMALL_STATE(7414)] = 264161,
  [SMALL_STATE(7415)] = 264171,
  [SMALL_STATE(7416)] = 264181,
  [SMALL_STATE(7417)] = 264191,
  [SMALL_STATE(7418)] = 264201,
  [SMALL_STATE(7419)] = 264209,
  [SMALL_STATE(7420)] = 264219,
  [SMALL_STATE(7421)] = 264229,
  [SMALL_STATE(7422)] = 264237,
  [SMALL_STATE(7423)] = 264247,
  [SMALL_STATE(7424)] = 264257,
  [SMALL_STATE(7425)] = 264267,
  [SMALL_STATE(7426)] = 264277,
  [SMALL_STATE(7427)] = 264287,
  [SMALL_STATE(7428)] = 264297,
  [SMALL_STATE(7429)] = 264307,
  [SMALL_STATE(7430)] = 264317,
  [SMALL_STATE(7431)] = 264327,
  [SMALL_STATE(7432)] = 264337,
  [SMALL_STATE(7433)] = 264347,
  [SMALL_STATE(7434)] = 264357,
  [SMALL_STATE(7435)] = 264367,
  [SMALL_STATE(7436)] = 264377,
  [SMALL_STATE(7437)] = 264387,
  [SMALL_STATE(7438)] = 264397,
  [SMALL_STATE(7439)] = 264407,
  [SMALL_STATE(7440)] = 264417,
  [SMALL_STATE(7441)] = 264427,
  [SMALL_STATE(7442)] = 264437,
  [SMALL_STATE(7443)] = 264447,
  [SMALL_STATE(7444)] = 264457,
  [SMALL_STATE(7445)] = 264467,
  [SMALL_STATE(7446)] = 264477,
  [SMALL_STATE(7447)] = 264484,
  [SMALL_STATE(7448)] = 264491,
  [SMALL_STATE(7449)] = 264498,
  [SMALL_STATE(7450)] = 264505,
  [SMALL_STATE(7451)] = 264512,
  [SMALL_STATE(7452)] = 264519,
  [SMALL_STATE(7453)] = 264526,
  [SMALL_STATE(7454)] = 264533,
  [SMALL_STATE(7455)] = 264540,
  [SMALL_STATE(7456)] = 264547,
  [SMALL_STATE(7457)] = 264554,
  [SMALL_STATE(7458)] = 264561,
  [SMALL_STATE(7459)] = 264568,
  [SMALL_STATE(7460)] = 264575,
  [SMALL_STATE(7461)] = 264582,
  [SMALL_STATE(7462)] = 264589,
  [SMALL_STATE(7463)] = 264596,
  [SMALL_STATE(7464)] = 264603,
  [SMALL_STATE(7465)] = 264610,
  [SMALL_STATE(7466)] = 264617,
  [SMALL_STATE(7467)] = 264624,
  [SMALL_STATE(7468)] = 264631,
  [SMALL_STATE(7469)] = 264638,
  [SMALL_STATE(7470)] = 264645,
  [SMALL_STATE(7471)] = 264652,
  [SMALL_STATE(7472)] = 264659,
  [SMALL_STATE(7473)] = 264666,
  [SMALL_STATE(7474)] = 264673,
  [SMALL_STATE(7475)] = 264680,
  [SMALL_STATE(7476)] = 264687,
  [SMALL_STATE(7477)] = 264694,
  [SMALL_STATE(7478)] = 264701,
  [SMALL_STATE(7479)] = 264708,
  [SMALL_STATE(7480)] = 264715,
  [SMALL_STATE(7481)] = 264722,
  [SMALL_STATE(7482)] = 264729,
  [SMALL_STATE(7483)] = 264736,
  [SMALL_STATE(7484)] = 264743,
  [SMALL_STATE(7485)] = 264750,
  [SMALL_STATE(7486)] = 264757,
  [SMALL_STATE(7487)] = 264764,
  [SMALL_STATE(7488)] = 264771,
  [SMALL_STATE(7489)] = 264778,
  [SMALL_STATE(7490)] = 264785,
  [SMALL_STATE(7491)] = 264792,
  [SMALL_STATE(7492)] = 264799,
  [SMALL_STATE(7493)] = 264806,
  [SMALL_STATE(7494)] = 264813,
  [SMALL_STATE(7495)] = 264820,
  [SMALL_STATE(7496)] = 264827,
  [SMALL_STATE(7497)] = 264834,
  [SMALL_STATE(7498)] = 264841,
  [SMALL_STATE(7499)] = 264848,
  [SMALL_STATE(7500)] = 264855,
  [SMALL_STATE(7501)] = 264862,
  [SMALL_STATE(7502)] = 264869,
  [SMALL_STATE(7503)] = 264876,
  [SMALL_STATE(7504)] = 264883,
  [SMALL_STATE(7505)] = 264890,
  [SMALL_STATE(7506)] = 264897,
  [SMALL_STATE(7507)] = 264904,
  [SMALL_STATE(7508)] = 264911,
  [SMALL_STATE(7509)] = 264918,
  [SMALL_STATE(7510)] = 264925,
  [SMALL_STATE(7511)] = 264932,
  [SMALL_STATE(7512)] = 264939,
  [SMALL_STATE(7513)] = 264946,
  [SMALL_STATE(7514)] = 264953,
  [SMALL_STATE(7515)] = 264960,
  [SMALL_STATE(7516)] = 264967,
  [SMALL_STATE(7517)] = 264974,
  [SMALL_STATE(7518)] = 264981,
  [SMALL_STATE(7519)] = 264988,
  [SMALL_STATE(7520)] = 264995,
  [SMALL_STATE(7521)] = 265002,
  [SMALL_STATE(7522)] = 265009,
  [SMALL_STATE(7523)] = 265016,
  [SMALL_STATE(7524)] = 265023,
  [SMALL_STATE(7525)] = 265030,
  [SMALL_STATE(7526)] = 265037,
  [SMALL_STATE(7527)] = 265044,
  [SMALL_STATE(7528)] = 265051,
  [SMALL_STATE(7529)] = 265058,
  [SMALL_STATE(7530)] = 265065,
  [SMALL_STATE(7531)] = 265072,
  [SMALL_STATE(7532)] = 265079,
  [SMALL_STATE(7533)] = 265086,
  [SMALL_STATE(7534)] = 265093,
  [SMALL_STATE(7535)] = 265100,
  [SMALL_STATE(7536)] = 265107,
  [SMALL_STATE(7537)] = 265114,
  [SMALL_STATE(7538)] = 265121,
  [SMALL_STATE(7539)] = 265128,
  [SMALL_STATE(7540)] = 265135,
  [SMALL_STATE(7541)] = 265142,
  [SMALL_STATE(7542)] = 265149,
  [SMALL_STATE(7543)] = 265156,
  [SMALL_STATE(7544)] = 265163,
  [SMALL_STATE(7545)] = 265170,
  [SMALL_STATE(7546)] = 265177,
  [SMALL_STATE(7547)] = 265184,
  [SMALL_STATE(7548)] = 265191,
  [SMALL_STATE(7549)] = 265198,
  [SMALL_STATE(7550)] = 265205,
  [SMALL_STATE(7551)] = 265212,
  [SMALL_STATE(7552)] = 265219,
  [SMALL_STATE(7553)] = 265226,
  [SMALL_STATE(7554)] = 265233,
  [SMALL_STATE(7555)] = 265240,
  [SMALL_STATE(7556)] = 265247,
  [SMALL_STATE(7557)] = 265254,
  [SMALL_STATE(7558)] = 265261,
  [SMALL_STATE(7559)] = 265268,
  [SMALL_STATE(7560)] = 265275,
  [SMALL_STATE(7561)] = 265282,
  [SMALL_STATE(7562)] = 265289,
  [SMALL_STATE(7563)] = 265296,
  [SMALL_STATE(7564)] = 265303,
  [SMALL_STATE(7565)] = 265310,
  [SMALL_STATE(7566)] = 265317,
  [SMALL_STATE(7567)] = 265324,
  [SMALL_STATE(7568)] = 265331,
  [SMALL_STATE(7569)] = 265338,
  [SMALL_STATE(7570)] = 265345,
  [SMALL_STATE(7571)] = 265352,
  [SMALL_STATE(7572)] = 265359,
  [SMALL_STATE(7573)] = 265366,
  [SMALL_STATE(7574)] = 265373,
  [SMALL_STATE(7575)] = 265380,
  [SMALL_STATE(7576)] = 265387,
  [SMALL_STATE(7577)] = 265394,
  [SMALL_STATE(7578)] = 265401,
  [SMALL_STATE(7579)] = 265408,
  [SMALL_STATE(7580)] = 265415,
  [SMALL_STATE(7581)] = 265422,
  [SMALL_STATE(7582)] = 265429,
  [SMALL_STATE(7583)] = 265436,
  [SMALL_STATE(7584)] = 265443,
  [SMALL_STATE(7585)] = 265450,
  [SMALL_STATE(7586)] = 265457,
  [SMALL_STATE(7587)] = 265464,
  [SMALL_STATE(7588)] = 265471,
  [SMALL_STATE(7589)] = 265478,
  [SMALL_STATE(7590)] = 265485,
  [SMALL_STATE(7591)] = 265492,
  [SMALL_STATE(7592)] = 265499,
  [SMALL_STATE(7593)] = 265506,
  [SMALL_STATE(7594)] = 265513,
  [SMALL_STATE(7595)] = 265520,
  [SMALL_STATE(7596)] = 265527,
  [SMALL_STATE(7597)] = 265534,
  [SMALL_STATE(7598)] = 265541,
  [SMALL_STATE(7599)] = 265548,
  [SMALL_STATE(7600)] = 265555,
  [SMALL_STATE(7601)] = 265562,
  [SMALL_STATE(7602)] = 265569,
  [SMALL_STATE(7603)] = 265576,
  [SMALL_STATE(7604)] = 265583,
  [SMALL_STATE(7605)] = 265590,
  [SMALL_STATE(7606)] = 265597,
  [SMALL_STATE(7607)] = 265604,
  [SMALL_STATE(7608)] = 265611,
  [SMALL_STATE(7609)] = 265618,
  [SMALL_STATE(7610)] = 265625,
  [SMALL_STATE(7611)] = 265632,
  [SMALL_STATE(7612)] = 265639,
  [SMALL_STATE(7613)] = 265646,
  [SMALL_STATE(7614)] = 265653,
  [SMALL_STATE(7615)] = 265660,
  [SMALL_STATE(7616)] = 265667,
  [SMALL_STATE(7617)] = 265674,
  [SMALL_STATE(7618)] = 265681,
  [SMALL_STATE(7619)] = 265688,
  [SMALL_STATE(7620)] = 265695,
  [SMALL_STATE(7621)] = 265702,
  [SMALL_STATE(7622)] = 265709,
  [SMALL_STATE(7623)] = 265716,
  [SMALL_STATE(7624)] = 265723,
  [SMALL_STATE(7625)] = 265730,
  [SMALL_STATE(7626)] = 265737,
  [SMALL_STATE(7627)] = 265744,
  [SMALL_STATE(7628)] = 265751,
  [SMALL_STATE(7629)] = 265758,
  [SMALL_STATE(7630)] = 265765,
  [SMALL_STATE(7631)] = 265772,
  [SMALL_STATE(7632)] = 265779,
  [SMALL_STATE(7633)] = 265786,
  [SMALL_STATE(7634)] = 265793,
  [SMALL_STATE(7635)] = 265800,
  [SMALL_STATE(7636)] = 265807,
  [SMALL_STATE(7637)] = 265814,
  [SMALL_STATE(7638)] = 265821,
  [SMALL_STATE(7639)] = 265828,
  [SMALL_STATE(7640)] = 265835,
  [SMALL_STATE(7641)] = 265842,
  [SMALL_STATE(7642)] = 265849,
  [SMALL_STATE(7643)] = 265856,
  [SMALL_STATE(7644)] = 265863,
  [SMALL_STATE(7645)] = 265870,
  [SMALL_STATE(7646)] = 265877,
  [SMALL_STATE(7647)] = 265884,
  [SMALL_STATE(7648)] = 265891,
  [SMALL_STATE(7649)] = 265898,
  [SMALL_STATE(7650)] = 265905,
  [SMALL_STATE(7651)] = 265912,
  [SMALL_STATE(7652)] = 265919,
  [SMALL_STATE(7653)] = 265926,
  [SMALL_STATE(7654)] = 265933,
  [SMALL_STATE(7655)] = 265940,
  [SMALL_STATE(7656)] = 265947,
  [SMALL_STATE(7657)] = 265954,
  [SMALL_STATE(7658)] = 265961,
  [SMALL_STATE(7659)] = 265968,
  [SMALL_STATE(7660)] = 265975,
  [SMALL_STATE(7661)] = 265982,
  [SMALL_STATE(7662)] = 265989,
  [SMALL_STATE(7663)] = 265996,
  [SMALL_STATE(7664)] = 266003,
  [SMALL_STATE(7665)] = 266010,
  [SMALL_STATE(7666)] = 266017,
  [SMALL_STATE(7667)] = 266024,
  [SMALL_STATE(7668)] = 266031,
  [SMALL_STATE(7669)] = 266038,
  [SMALL_STATE(7670)] = 266045,
  [SMALL_STATE(7671)] = 266052,
  [SMALL_STATE(7672)] = 266059,
  [SMALL_STATE(7673)] = 266066,
  [SMALL_STATE(7674)] = 266073,
  [SMALL_STATE(7675)] = 266080,
  [SMALL_STATE(7676)] = 266087,
  [SMALL_STATE(7677)] = 266094,
  [SMALL_STATE(7678)] = 266101,
  [SMALL_STATE(7679)] = 266108,
  [SMALL_STATE(7680)] = 266115,
  [SMALL_STATE(7681)] = 266122,
  [SMALL_STATE(7682)] = 266129,
  [SMALL_STATE(7683)] = 266136,
  [SMALL_STATE(7684)] = 266143,
  [SMALL_STATE(7685)] = 266150,
  [SMALL_STATE(7686)] = 266157,
  [SMALL_STATE(7687)] = 266164,
  [SMALL_STATE(7688)] = 266171,
  [SMALL_STATE(7689)] = 266178,
  [SMALL_STATE(7690)] = 266185,
  [SMALL_STATE(7691)] = 266192,
  [SMALL_STATE(7692)] = 266199,
  [SMALL_STATE(7693)] = 266206,
  [SMALL_STATE(7694)] = 266213,
  [SMALL_STATE(7695)] = 266220,
  [SMALL_STATE(7696)] = 266227,
  [SMALL_STATE(7697)] = 266234,
  [SMALL_STATE(7698)] = 266241,
  [SMALL_STATE(7699)] = 266248,
  [SMALL_STATE(7700)] = 266255,
  [SMALL_STATE(7701)] = 266262,
  [SMALL_STATE(7702)] = 266269,
  [SMALL_STATE(7703)] = 266276,
  [SMALL_STATE(7704)] = 266283,
  [SMALL_STATE(7705)] = 266290,
  [SMALL_STATE(7706)] = 266297,
  [SMALL_STATE(7707)] = 266304,
  [SMALL_STATE(7708)] = 266311,
  [SMALL_STATE(7709)] = 266318,
  [SMALL_STATE(7710)] = 266325,
  [SMALL_STATE(7711)] = 266332,
  [SMALL_STATE(7712)] = 266339,
  [SMALL_STATE(7713)] = 266346,
  [SMALL_STATE(7714)] = 266353,
  [SMALL_STATE(7715)] = 266360,
  [SMALL_STATE(7716)] = 266367,
  [SMALL_STATE(7717)] = 266374,
  [SMALL_STATE(7718)] = 266381,
  [SMALL_STATE(7719)] = 266388,
  [SMALL_STATE(7720)] = 266395,
  [SMALL_STATE(7721)] = 266402,
  [SMALL_STATE(7722)] = 266409,
  [SMALL_STATE(7723)] = 266416,
  [SMALL_STATE(7724)] = 266423,
  [SMALL_STATE(7725)] = 266430,
  [SMALL_STATE(7726)] = 266437,
  [SMALL_STATE(7727)] = 266444,
  [SMALL_STATE(7728)] = 266451,
  [SMALL_STATE(7729)] = 266458,
  [SMALL_STATE(7730)] = 266465,
  [SMALL_STATE(7731)] = 266472,
  [SMALL_STATE(7732)] = 266479,
  [SMALL_STATE(7733)] = 266486,
  [SMALL_STATE(7734)] = 266493,
  [SMALL_STATE(7735)] = 266500,
  [SMALL_STATE(7736)] = 266507,
  [SMALL_STATE(7737)] = 266514,
  [SMALL_STATE(7738)] = 266521,
  [SMALL_STATE(7739)] = 266528,
  [SMALL_STATE(7740)] = 266535,
  [SMALL_STATE(7741)] = 266542,
  [SMALL_STATE(7742)] = 266549,
  [SMALL_STATE(7743)] = 266556,
  [SMALL_STATE(7744)] = 266563,
  [SMALL_STATE(7745)] = 266570,
  [SMALL_STATE(7746)] = 266577,
  [SMALL_STATE(7747)] = 266584,
  [SMALL_STATE(7748)] = 266591,
  [SMALL_STATE(7749)] = 266598,
  [SMALL_STATE(7750)] = 266605,
  [SMALL_STATE(7751)] = 266612,
  [SMALL_STATE(7752)] = 266619,
  [SMALL_STATE(7753)] = 266626,
  [SMALL_STATE(7754)] = 266633,
  [SMALL_STATE(7755)] = 266640,
  [SMALL_STATE(7756)] = 266647,
  [SMALL_STATE(7757)] = 266654,
  [SMALL_STATE(7758)] = 266661,
  [SMALL_STATE(7759)] = 266668,
  [SMALL_STATE(7760)] = 266675,
  [SMALL_STATE(7761)] = 266682,
  [SMALL_STATE(7762)] = 266689,
  [SMALL_STATE(7763)] = 266696,
  [SMALL_STATE(7764)] = 266703,
  [SMALL_STATE(7765)] = 266710,
  [SMALL_STATE(7766)] = 266717,
  [SMALL_STATE(7767)] = 266724,
  [SMALL_STATE(7768)] = 266731,
  [SMALL_STATE(7769)] = 266738,
  [SMALL_STATE(7770)] = 266745,
  [SMALL_STATE(7771)] = 266752,
  [SMALL_STATE(7772)] = 266759,
  [SMALL_STATE(7773)] = 266766,
  [SMALL_STATE(7774)] = 266773,
  [SMALL_STATE(7775)] = 266780,
  [SMALL_STATE(7776)] = 266787,
  [SMALL_STATE(7777)] = 266794,
  [SMALL_STATE(7778)] = 266801,
  [SMALL_STATE(7779)] = 266808,
  [SMALL_STATE(7780)] = 266815,
  [SMALL_STATE(7781)] = 266822,
  [SMALL_STATE(7782)] = 266829,
  [SMALL_STATE(7783)] = 266836,
  [SMALL_STATE(7784)] = 266843,
  [SMALL_STATE(7785)] = 266850,
  [SMALL_STATE(7786)] = 266857,
  [SMALL_STATE(7787)] = 266864,
  [SMALL_STATE(7788)] = 266871,
  [SMALL_STATE(7789)] = 266878,
  [SMALL_STATE(7790)] = 266885,
  [SMALL_STATE(7791)] = 266892,
  [SMALL_STATE(7792)] = 266899,
  [SMALL_STATE(7793)] = 266906,
  [SMALL_STATE(7794)] = 266913,
  [SMALL_STATE(7795)] = 266920,
  [SMALL_STATE(7796)] = 266927,
  [SMALL_STATE(7797)] = 266934,
  [SMALL_STATE(7798)] = 266941,
  [SMALL_STATE(7799)] = 266948,
  [SMALL_STATE(7800)] = 266955,
  [SMALL_STATE(7801)] = 266962,
  [SMALL_STATE(7802)] = 266969,
  [SMALL_STATE(7803)] = 266976,
  [SMALL_STATE(7804)] = 266983,
  [SMALL_STATE(7805)] = 266990,
  [SMALL_STATE(7806)] = 266997,
  [SMALL_STATE(7807)] = 267004,
  [SMALL_STATE(7808)] = 267011,
  [SMALL_STATE(7809)] = 267018,
  [SMALL_STATE(7810)] = 267025,
  [SMALL_STATE(7811)] = 267032,
  [SMALL_STATE(7812)] = 267039,
  [SMALL_STATE(7813)] = 267046,
  [SMALL_STATE(7814)] = 267053,
  [SMALL_STATE(7815)] = 267060,
  [SMALL_STATE(7816)] = 267067,
  [SMALL_STATE(7817)] = 267074,
  [SMALL_STATE(7818)] = 267081,
  [SMALL_STATE(7819)] = 267088,
  [SMALL_STATE(7820)] = 267095,
  [SMALL_STATE(7821)] = 267102,
  [SMALL_STATE(7822)] = 267109,
  [SMALL_STATE(7823)] = 267116,
  [SMALL_STATE(7824)] = 267123,
  [SMALL_STATE(7825)] = 267130,
  [SMALL_STATE(7826)] = 267137,
  [SMALL_STATE(7827)] = 267144,
  [SMALL_STATE(7828)] = 267151,
  [SMALL_STATE(7829)] = 267158,
  [SMALL_STATE(7830)] = 267165,
  [SMALL_STATE(7831)] = 267172,
  [SMALL_STATE(7832)] = 267179,
  [SMALL_STATE(7833)] = 267186,
  [SMALL_STATE(7834)] = 267193,
  [SMALL_STATE(7835)] = 267200,
  [SMALL_STATE(7836)] = 267207,
  [SMALL_STATE(7837)] = 267214,
  [SMALL_STATE(7838)] = 267221,
  [SMALL_STATE(7839)] = 267228,
  [SMALL_STATE(7840)] = 267235,
  [SMALL_STATE(7841)] = 267242,
  [SMALL_STATE(7842)] = 267249,
  [SMALL_STATE(7843)] = 267256,
  [SMALL_STATE(7844)] = 267263,
  [SMALL_STATE(7845)] = 267270,
  [SMALL_STATE(7846)] = 267277,
  [SMALL_STATE(7847)] = 267284,
  [SMALL_STATE(7848)] = 267291,
  [SMALL_STATE(7849)] = 267298,
  [SMALL_STATE(7850)] = 267305,
  [SMALL_STATE(7851)] = 267312,
  [SMALL_STATE(7852)] = 267319,
  [SMALL_STATE(7853)] = 267326,
  [SMALL_STATE(7854)] = 267333,
  [SMALL_STATE(7855)] = 267340,
  [SMALL_STATE(7856)] = 267347,
  [SMALL_STATE(7857)] = 267354,
  [SMALL_STATE(7858)] = 267361,
  [SMALL_STATE(7859)] = 267368,
  [SMALL_STATE(7860)] = 267375,
  [SMALL_STATE(7861)] = 267382,
  [SMALL_STATE(7862)] = 267389,
  [SMALL_STATE(7863)] = 267396,
  [SMALL_STATE(7864)] = 267403,
  [SMALL_STATE(7865)] = 267410,
  [SMALL_STATE(7866)] = 267417,
  [SMALL_STATE(7867)] = 267424,
  [SMALL_STATE(7868)] = 267431,
  [SMALL_STATE(7869)] = 267438,
  [SMALL_STATE(7870)] = 267445,
  [SMALL_STATE(7871)] = 267452,
  [SMALL_STATE(7872)] = 267459,
  [SMALL_STATE(7873)] = 267466,
  [SMALL_STATE(7874)] = 267473,
  [SMALL_STATE(7875)] = 267480,
  [SMALL_STATE(7876)] = 267487,
  [SMALL_STATE(7877)] = 267494,
  [SMALL_STATE(7878)] = 267501,
  [SMALL_STATE(7879)] = 267508,
  [SMALL_STATE(7880)] = 267515,
  [SMALL_STATE(7881)] = 267522,
  [SMALL_STATE(7882)] = 267529,
  [SMALL_STATE(7883)] = 267536,
  [SMALL_STATE(7884)] = 267543,
  [SMALL_STATE(7885)] = 267550,
  [SMALL_STATE(7886)] = 267557,
  [SMALL_STATE(7887)] = 267564,
  [SMALL_STATE(7888)] = 267571,
  [SMALL_STATE(7889)] = 267578,
  [SMALL_STATE(7890)] = 267585,
  [SMALL_STATE(7891)] = 267592,
  [SMALL_STATE(7892)] = 267599,
  [SMALL_STATE(7893)] = 267606,
  [SMALL_STATE(7894)] = 267613,
  [SMALL_STATE(7895)] = 267620,
  [SMALL_STATE(7896)] = 267627,
  [SMALL_STATE(7897)] = 267634,
  [SMALL_STATE(7898)] = 267641,
  [SMALL_STATE(7899)] = 267648,
  [SMALL_STATE(7900)] = 267655,
  [SMALL_STATE(7901)] = 267662,
  [SMALL_STATE(7902)] = 267669,
  [SMALL_STATE(7903)] = 267676,
  [SMALL_STATE(7904)] = 267683,
  [SMALL_STATE(7905)] = 267690,
  [SMALL_STATE(7906)] = 267697,
  [SMALL_STATE(7907)] = 267704,
  [SMALL_STATE(7908)] = 267711,
  [SMALL_STATE(7909)] = 267718,
  [SMALL_STATE(7910)] = 267725,
  [SMALL_STATE(7911)] = 267732,
  [SMALL_STATE(7912)] = 267739,
  [SMALL_STATE(7913)] = 267746,
  [SMALL_STATE(7914)] = 267753,
  [SMALL_STATE(7915)] = 267760,
  [SMALL_STATE(7916)] = 267767,
  [SMALL_STATE(7917)] = 267774,
  [SMALL_STATE(7918)] = 267781,
  [SMALL_STATE(7919)] = 267788,
  [SMALL_STATE(7920)] = 267795,
  [SMALL_STATE(7921)] = 267802,
  [SMALL_STATE(7922)] = 267809,
  [SMALL_STATE(7923)] = 267816,
  [SMALL_STATE(7924)] = 267823,
  [SMALL_STATE(7925)] = 267830,
  [SMALL_STATE(7926)] = 267837,
  [SMALL_STATE(7927)] = 267844,
  [SMALL_STATE(7928)] = 267851,
  [SMALL_STATE(7929)] = 267858,
  [SMALL_STATE(7930)] = 267865,
  [SMALL_STATE(7931)] = 267872,
  [SMALL_STATE(7932)] = 267879,
  [SMALL_STATE(7933)] = 267886,
  [SMALL_STATE(7934)] = 267893,
  [SMALL_STATE(7935)] = 267900,
  [SMALL_STATE(7936)] = 267907,
  [SMALL_STATE(7937)] = 267914,
  [SMALL_STATE(7938)] = 267921,
  [SMALL_STATE(7939)] = 267928,
  [SMALL_STATE(7940)] = 267935,
  [SMALL_STATE(7941)] = 267942,
  [SMALL_STATE(7942)] = 267949,
  [SMALL_STATE(7943)] = 267956,
  [SMALL_STATE(7944)] = 267963,
  [SMALL_STATE(7945)] = 267970,
  [SMALL_STATE(7946)] = 267977,
  [SMALL_STATE(7947)] = 267984,
  [SMALL_STATE(7948)] = 267991,
  [SMALL_STATE(7949)] = 267998,
  [SMALL_STATE(7950)] = 268005,
  [SMALL_STATE(7951)] = 268012,
  [SMALL_STATE(7952)] = 268019,
  [SMALL_STATE(7953)] = 268026,
  [SMALL_STATE(7954)] = 268033,
  [SMALL_STATE(7955)] = 268040,
  [SMALL_STATE(7956)] = 268047,
  [SMALL_STATE(7957)] = 268054,
  [SMALL_STATE(7958)] = 268061,
  [SMALL_STATE(7959)] = 268068,
  [SMALL_STATE(7960)] = 268075,
  [SMALL_STATE(7961)] = 268082,
  [SMALL_STATE(7962)] = 268089,
  [SMALL_STATE(7963)] = 268096,
  [SMALL_STATE(7964)] = 268103,
  [SMALL_STATE(7965)] = 268110,
  [SMALL_STATE(7966)] = 268117,
  [SMALL_STATE(7967)] = 268124,
  [SMALL_STATE(7968)] = 268131,
  [SMALL_STATE(7969)] = 268138,
  [SMALL_STATE(7970)] = 268145,
  [SMALL_STATE(7971)] = 268152,
  [SMALL_STATE(7972)] = 268159,
  [SMALL_STATE(7973)] = 268166,
  [SMALL_STATE(7974)] = 268173,
  [SMALL_STATE(7975)] = 268180,
  [SMALL_STATE(7976)] = 268187,
  [SMALL_STATE(7977)] = 268194,
  [SMALL_STATE(7978)] = 268201,
  [SMALL_STATE(7979)] = 268208,
  [SMALL_STATE(7980)] = 268215,
  [SMALL_STATE(7981)] = 268222,
  [SMALL_STATE(7982)] = 268229,
  [SMALL_STATE(7983)] = 268236,
  [SMALL_STATE(7984)] = 268243,
  [SMALL_STATE(7985)] = 268250,
  [SMALL_STATE(7986)] = 268257,
  [SMALL_STATE(7987)] = 268264,
  [SMALL_STATE(7988)] = 268271,
  [SMALL_STATE(7989)] = 268278,
  [SMALL_STATE(7990)] = 268285,
  [SMALL_STATE(7991)] = 268292,
  [SMALL_STATE(7992)] = 268299,
  [SMALL_STATE(7993)] = 268306,
  [SMALL_STATE(7994)] = 268313,
  [SMALL_STATE(7995)] = 268320,
  [SMALL_STATE(7996)] = 268327,
  [SMALL_STATE(7997)] = 268334,
  [SMALL_STATE(7998)] = 268341,
  [SMALL_STATE(7999)] = 268348,
  [SMALL_STATE(8000)] = 268355,
  [SMALL_STATE(8001)] = 268362,
  [SMALL_STATE(8002)] = 268369,
  [SMALL_STATE(8003)] = 268376,
  [SMALL_STATE(8004)] = 268383,
  [SMALL_STATE(8005)] = 268390,
  [SMALL_STATE(8006)] = 268397,
  [SMALL_STATE(8007)] = 268404,
  [SMALL_STATE(8008)] = 268411,
  [SMALL_STATE(8009)] = 268418,
  [SMALL_STATE(8010)] = 268425,
  [SMALL_STATE(8011)] = 268432,
  [SMALL_STATE(8012)] = 268439,
  [SMALL_STATE(8013)] = 268446,
  [SMALL_STATE(8014)] = 268453,
  [SMALL_STATE(8015)] = 268460,
  [SMALL_STATE(8016)] = 268467,
  [SMALL_STATE(8017)] = 268474,
  [SMALL_STATE(8018)] = 268481,
  [SMALL_STATE(8019)] = 268488,
  [SMALL_STATE(8020)] = 268495,
  [SMALL_STATE(8021)] = 268502,
  [SMALL_STATE(8022)] = 268509,
  [SMALL_STATE(8023)] = 268516,
  [SMALL_STATE(8024)] = 268523,
  [SMALL_STATE(8025)] = 268530,
  [SMALL_STATE(8026)] = 268537,
  [SMALL_STATE(8027)] = 268544,
  [SMALL_STATE(8028)] = 268551,
  [SMALL_STATE(8029)] = 268558,
  [SMALL_STATE(8030)] = 268565,
  [SMALL_STATE(8031)] = 268572,
  [SMALL_STATE(8032)] = 268579,
  [SMALL_STATE(8033)] = 268586,
  [SMALL_STATE(8034)] = 268593,
  [SMALL_STATE(8035)] = 268600,
  [SMALL_STATE(8036)] = 268607,
  [SMALL_STATE(8037)] = 268614,
  [SMALL_STATE(8038)] = 268621,
  [SMALL_STATE(8039)] = 268628,
  [SMALL_STATE(8040)] = 268635,
  [SMALL_STATE(8041)] = 268642,
  [SMALL_STATE(8042)] = 268649,
  [SMALL_STATE(8043)] = 268656,
  [SMALL_STATE(8044)] = 268663,
  [SMALL_STATE(8045)] = 268670,
  [SMALL_STATE(8046)] = 268677,
  [SMALL_STATE(8047)] = 268684,
  [SMALL_STATE(8048)] = 268691,
  [SMALL_STATE(8049)] = 268698,
  [SMALL_STATE(8050)] = 268705,
  [SMALL_STATE(8051)] = 268712,
  [SMALL_STATE(8052)] = 268719,
  [SMALL_STATE(8053)] = 268726,
  [SMALL_STATE(8054)] = 268733,
  [SMALL_STATE(8055)] = 268740,
  [SMALL_STATE(8056)] = 268747,
  [SMALL_STATE(8057)] = 268754,
  [SMALL_STATE(8058)] = 268761,
  [SMALL_STATE(8059)] = 268768,
  [SMALL_STATE(8060)] = 268775,
  [SMALL_STATE(8061)] = 268782,
  [SMALL_STATE(8062)] = 268789,
  [SMALL_STATE(8063)] = 268796,
  [SMALL_STATE(8064)] = 268803,
  [SMALL_STATE(8065)] = 268810,
  [SMALL_STATE(8066)] = 268817,
  [SMALL_STATE(8067)] = 268824,
  [SMALL_STATE(8068)] = 268831,
  [SMALL_STATE(8069)] = 268838,
  [SMALL_STATE(8070)] = 268845,
  [SMALL_STATE(8071)] = 268852,
  [SMALL_STATE(8072)] = 268859,
  [SMALL_STATE(8073)] = 268866,
  [SMALL_STATE(8074)] = 268873,
  [SMALL_STATE(8075)] = 268880,
  [SMALL_STATE(8076)] = 268887,
  [SMALL_STATE(8077)] = 268894,
  [SMALL_STATE(8078)] = 268901,
  [SMALL_STATE(8079)] = 268908,
  [SMALL_STATE(8080)] = 268915,
  [SMALL_STATE(8081)] = 268922,
  [SMALL_STATE(8082)] = 268929,
  [SMALL_STATE(8083)] = 268936,
  [SMALL_STATE(8084)] = 268943,
  [SMALL_STATE(8085)] = 268950,
  [SMALL_STATE(8086)] = 268957,
  [SMALL_STATE(8087)] = 268964,
  [SMALL_STATE(8088)] = 268971,
  [SMALL_STATE(8089)] = 268978,
  [SMALL_STATE(8090)] = 268985,
  [SMALL_STATE(8091)] = 268992,
  [SMALL_STATE(8092)] = 268999,
  [SMALL_STATE(8093)] = 269006,
  [SMALL_STATE(8094)] = 269013,
  [SMALL_STATE(8095)] = 269020,
  [SMALL_STATE(8096)] = 269027,
  [SMALL_STATE(8097)] = 269034,
  [SMALL_STATE(8098)] = 269041,
  [SMALL_STATE(8099)] = 269048,
  [SMALL_STATE(8100)] = 269055,
  [SMALL_STATE(8101)] = 269062,
  [SMALL_STATE(8102)] = 269069,
  [SMALL_STATE(8103)] = 269076,
  [SMALL_STATE(8104)] = 269083,
  [SMALL_STATE(8105)] = 269090,
  [SMALL_STATE(8106)] = 269097,
  [SMALL_STATE(8107)] = 269104,
  [SMALL_STATE(8108)] = 269111,
  [SMALL_STATE(8109)] = 269118,
  [SMALL_STATE(8110)] = 269125,
  [SMALL_STATE(8111)] = 269132,
  [SMALL_STATE(8112)] = 269139,
  [SMALL_STATE(8113)] = 269146,
  [SMALL_STATE(8114)] = 269153,
  [SMALL_STATE(8115)] = 269160,
  [SMALL_STATE(8116)] = 269167,
  [SMALL_STATE(8117)] = 269174,
  [SMALL_STATE(8118)] = 269181,
  [SMALL_STATE(8119)] = 269188,
  [SMALL_STATE(8120)] = 269195,
  [SMALL_STATE(8121)] = 269202,
  [SMALL_STATE(8122)] = 269209,
  [SMALL_STATE(8123)] = 269216,
  [SMALL_STATE(8124)] = 269223,
  [SMALL_STATE(8125)] = 269230,
  [SMALL_STATE(8126)] = 269237,
  [SMALL_STATE(8127)] = 269244,
  [SMALL_STATE(8128)] = 269251,
  [SMALL_STATE(8129)] = 269258,
  [SMALL_STATE(8130)] = 269265,
  [SMALL_STATE(8131)] = 269272,
  [SMALL_STATE(8132)] = 269279,
  [SMALL_STATE(8133)] = 269286,
  [SMALL_STATE(8134)] = 269293,
  [SMALL_STATE(8135)] = 269300,
  [SMALL_STATE(8136)] = 269307,
  [SMALL_STATE(8137)] = 269314,
  [SMALL_STATE(8138)] = 269321,
  [SMALL_STATE(8139)] = 269328,
  [SMALL_STATE(8140)] = 269335,
  [SMALL_STATE(8141)] = 269342,
  [SMALL_STATE(8142)] = 269349,
  [SMALL_STATE(8143)] = 269356,
  [SMALL_STATE(8144)] = 269363,
  [SMALL_STATE(8145)] = 269370,
  [SMALL_STATE(8146)] = 269377,
  [SMALL_STATE(8147)] = 269384,
  [SMALL_STATE(8148)] = 269391,
  [SMALL_STATE(8149)] = 269398,
  [SMALL_STATE(8150)] = 269405,
  [SMALL_STATE(8151)] = 269412,
  [SMALL_STATE(8152)] = 269419,
  [SMALL_STATE(8153)] = 269426,
  [SMALL_STATE(8154)] = 269433,
  [SMALL_STATE(8155)] = 269440,
  [SMALL_STATE(8156)] = 269447,
  [SMALL_STATE(8157)] = 269454,
  [SMALL_STATE(8158)] = 269461,
  [SMALL_STATE(8159)] = 269468,
  [SMALL_STATE(8160)] = 269475,
  [SMALL_STATE(8161)] = 269482,
  [SMALL_STATE(8162)] = 269489,
  [SMALL_STATE(8163)] = 269496,
  [SMALL_STATE(8164)] = 269503,
  [SMALL_STATE(8165)] = 269510,
  [SMALL_STATE(8166)] = 269517,
  [SMALL_STATE(8167)] = 269524,
  [SMALL_STATE(8168)] = 269531,
  [SMALL_STATE(8169)] = 269538,
  [SMALL_STATE(8170)] = 269545,
  [SMALL_STATE(8171)] = 269552,
  [SMALL_STATE(8172)] = 269559,
  [SMALL_STATE(8173)] = 269566,
  [SMALL_STATE(8174)] = 269573,
  [SMALL_STATE(8175)] = 269580,
  [SMALL_STATE(8176)] = 269587,
  [SMALL_STATE(8177)] = 269594,
  [SMALL_STATE(8178)] = 269601,
  [SMALL_STATE(8179)] = 269608,
  [SMALL_STATE(8180)] = 269615,
  [SMALL_STATE(8181)] = 269622,
  [SMALL_STATE(8182)] = 269629,
  [SMALL_STATE(8183)] = 269636,
  [SMALL_STATE(8184)] = 269643,
  [SMALL_STATE(8185)] = 269650,
  [SMALL_STATE(8186)] = 269657,
  [SMALL_STATE(8187)] = 269664,
  [SMALL_STATE(8188)] = 269671,
  [SMALL_STATE(8189)] = 269678,
  [SMALL_STATE(8190)] = 269685,
  [SMALL_STATE(8191)] = 269692,
  [SMALL_STATE(8192)] = 269699,
  [SMALL_STATE(8193)] = 269706,
  [SMALL_STATE(8194)] = 269713,
  [SMALL_STATE(8195)] = 269720,
  [SMALL_STATE(8196)] = 269727,
  [SMALL_STATE(8197)] = 269734,
  [SMALL_STATE(8198)] = 269741,
  [SMALL_STATE(8199)] = 269748,
  [SMALL_STATE(8200)] = 269755,
  [SMALL_STATE(8201)] = 269762,
  [SMALL_STATE(8202)] = 269769,
  [SMALL_STATE(8203)] = 269776,
  [SMALL_STATE(8204)] = 269783,
  [SMALL_STATE(8205)] = 269790,
  [SMALL_STATE(8206)] = 269797,
  [SMALL_STATE(8207)] = 269804,
  [SMALL_STATE(8208)] = 269811,
  [SMALL_STATE(8209)] = 269818,
  [SMALL_STATE(8210)] = 269825,
  [SMALL_STATE(8211)] = 269832,
  [SMALL_STATE(8212)] = 269839,
  [SMALL_STATE(8213)] = 269846,
  [SMALL_STATE(8214)] = 269853,
  [SMALL_STATE(8215)] = 269860,
  [SMALL_STATE(8216)] = 269867,
  [SMALL_STATE(8217)] = 269874,
  [SMALL_STATE(8218)] = 269881,
  [SMALL_STATE(8219)] = 269888,
  [SMALL_STATE(8220)] = 269895,
  [SMALL_STATE(8221)] = 269902,
  [SMALL_STATE(8222)] = 269909,
  [SMALL_STATE(8223)] = 269916,
  [SMALL_STATE(8224)] = 269923,
  [SMALL_STATE(8225)] = 269930,
  [SMALL_STATE(8226)] = 269937,
  [SMALL_STATE(8227)] = 269944,
  [SMALL_STATE(8228)] = 269951,
  [SMALL_STATE(8229)] = 269958,
  [SMALL_STATE(8230)] = 269965,
  [SMALL_STATE(8231)] = 269972,
  [SMALL_STATE(8232)] = 269979,
  [SMALL_STATE(8233)] = 269986,
  [SMALL_STATE(8234)] = 269993,
  [SMALL_STATE(8235)] = 270000,
  [SMALL_STATE(8236)] = 270007,
  [SMALL_STATE(8237)] = 270014,
  [SMALL_STATE(8238)] = 270021,
  [SMALL_STATE(8239)] = 270028,
  [SMALL_STATE(8240)] = 270035,
  [SMALL_STATE(8241)] = 270042,
  [SMALL_STATE(8242)] = 270049,
  [SMALL_STATE(8243)] = 270056,
  [SMALL_STATE(8244)] = 270063,
  [SMALL_STATE(8245)] = 270070,
  [SMALL_STATE(8246)] = 270077,
  [SMALL_STATE(8247)] = 270084,
  [SMALL_STATE(8248)] = 270091,
  [SMALL_STATE(8249)] = 270098,
  [SMALL_STATE(8250)] = 270105,
  [SMALL_STATE(8251)] = 270112,
  [SMALL_STATE(8252)] = 270119,
  [SMALL_STATE(8253)] = 270126,
  [SMALL_STATE(8254)] = 270133,
  [SMALL_STATE(8255)] = 270140,
  [SMALL_STATE(8256)] = 270147,
  [SMALL_STATE(8257)] = 270154,
  [SMALL_STATE(8258)] = 270161,
  [SMALL_STATE(8259)] = 270168,
  [SMALL_STATE(8260)] = 270175,
  [SMALL_STATE(8261)] = 270182,
  [SMALL_STATE(8262)] = 270189,
  [SMALL_STATE(8263)] = 270196,
  [SMALL_STATE(8264)] = 270203,
  [SMALL_STATE(8265)] = 270210,
  [SMALL_STATE(8266)] = 270217,
  [SMALL_STATE(8267)] = 270224,
  [SMALL_STATE(8268)] = 270231,
  [SMALL_STATE(8269)] = 270238,
  [SMALL_STATE(8270)] = 270245,
  [SMALL_STATE(8271)] = 270252,
  [SMALL_STATE(8272)] = 270259,
  [SMALL_STATE(8273)] = 270266,
  [SMALL_STATE(8274)] = 270273,
  [SMALL_STATE(8275)] = 270280,
  [SMALL_STATE(8276)] = 270287,
  [SMALL_STATE(8277)] = 270294,
  [SMALL_STATE(8278)] = 270301,
  [SMALL_STATE(8279)] = 270308,
  [SMALL_STATE(8280)] = 270315,
  [SMALL_STATE(8281)] = 270322,
  [SMALL_STATE(8282)] = 270329,
  [SMALL_STATE(8283)] = 270336,
  [SMALL_STATE(8284)] = 270343,
  [SMALL_STATE(8285)] = 270350,
  [SMALL_STATE(8286)] = 270357,
  [SMALL_STATE(8287)] = 270364,
  [SMALL_STATE(8288)] = 270371,
  [SMALL_STATE(8289)] = 270378,
  [SMALL_STATE(8290)] = 270385,
  [SMALL_STATE(8291)] = 270392,
  [SMALL_STATE(8292)] = 270399,
  [SMALL_STATE(8293)] = 270406,
  [SMALL_STATE(8294)] = 270413,
  [SMALL_STATE(8295)] = 270420,
  [SMALL_STATE(8296)] = 270427,
  [SMALL_STATE(8297)] = 270434,
  [SMALL_STATE(8298)] = 270441,
  [SMALL_STATE(8299)] = 270448,
  [SMALL_STATE(8300)] = 270455,
  [SMALL_STATE(8301)] = 270462,
  [SMALL_STATE(8302)] = 270469,
  [SMALL_STATE(8303)] = 270476,
  [SMALL_STATE(8304)] = 270483,
  [SMALL_STATE(8305)] = 270490,
  [SMALL_STATE(8306)] = 270497,
  [SMALL_STATE(8307)] = 270504,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6241),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8302),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5249),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8300),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7114),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8245),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8237),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7143),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8230),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5812),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4934),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4904),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4959),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6717),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7148),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8217),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7149),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8213),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8212),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8207),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8206),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8203),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8202),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8201),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6366),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4078),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4695),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3864),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8194),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4063),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7152),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6224),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6080),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8188),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8187),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4727),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5128),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6226),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8224),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5187),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8234),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7160),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3173),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6735),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7112),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8158),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7166),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7808),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8153),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8151),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8286),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7199),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8024),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7555),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3827),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7313),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6190),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6126),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8125),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8126),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6205),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7528),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5211),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7525),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5184),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7692),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7333),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7098),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7423),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7612),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7111),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8124),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7722),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7721),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7520),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7443),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7676),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7429),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6230),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6084),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8209),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8210),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 8),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 78),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 8),
  [367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 78),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(882),
  [376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6205),
  [379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7528),
  [382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5211),
  [385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7525),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7333),
  [393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(115),
  [396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1241),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(253),
  [408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5043),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(834),
  [414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(260),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3020),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2890),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2492),
  [429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8245),
  [432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6153),
  [435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7142),
  [438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8237),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7143),
  [444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3331),
  [447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(53),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2218),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(978),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2878),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2757),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8230),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2134),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5812),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4934),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4904),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4959),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7098),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7423),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1458),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7612),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7111),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(176),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8124),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(936),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7722),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7721),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7520),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7443),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7676),
  [522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1439),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1161),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8203),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8202),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8201),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6366),
  [540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4078),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4078),
  [546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6722),
  [549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6701),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3827),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3864),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2376),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8194),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4063),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4861),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1534),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(789),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7429),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1489),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1117),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6230),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6084),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8209),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8210),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1118),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1351),
  [603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7153),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1453),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4727),
  [612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5128),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(883),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6226),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8224),
  [642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5187),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8234),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7160),
  [651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(507),
  [654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(222),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3173),
  [660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2420),
  [663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(71),
  [666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2775),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6735),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7112),
  [677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1498),
  [680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8158),
  [683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7166),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(177),
  [689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7808),
  [692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(935),
  [695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8153),
  [698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8151),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8286),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7199),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8024),
  [710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1537),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7313),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1180),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6190),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6126),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8125),
  [728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8126),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1184),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6218),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7609),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5182),
  [765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7527),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7244),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6931),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7409),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7911),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7425),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8208),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7539),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7540),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7536),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7394),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7589),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7404),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6231),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6115),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8231),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8223),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(881),
  [840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6218),
  [843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7609),
  [846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5182),
  [849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7527),
  [852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7244),
  [855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(482),
  [858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(220),
  [861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3102),
  [864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2507),
  [867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(61),
  [870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2762),
  [873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6931),
  [876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7409),
  [879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1228),
  [882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7911),
  [885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7425),
  [888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8208),
  [894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(943),
  [897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7539),
  [900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7540),
  [903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7536),
  [906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7394),
  [909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7589),
  [912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1536),
  [915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7404),
  [918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1151),
  [921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6231),
  [924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6115),
  [927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8231),
  [930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8223),
  [933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1150),
  [936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1187),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(905),
  [986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6241),
  [989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8302),
  [992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5249),
  [995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8300),
  [998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7114),
  [1001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(115),
  [1004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [1007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1241),
  [1010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [1013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(253),
  [1016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5043),
  [1019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(834),
  [1022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(219),
  [1025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3049),
  [1028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2890),
  [1031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2426),
  [1034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8245),
  [1037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6153),
  [1040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7142),
  [1043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8237),
  [1046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7143),
  [1049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3331),
  [1052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(70),
  [1055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2218),
  [1058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(978),
  [1061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2878),
  [1064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2738),
  [1067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [1070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8230),
  [1073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2134),
  [1076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5812),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4934),
  [1082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4904),
  [1085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4959),
  [1088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6717),
  [1091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7148),
  [1094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1369),
  [1097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8217),
  [1100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7149),
  [1103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [1106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8213),
  [1109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(954),
  [1112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8212),
  [1115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8207),
  [1118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8206),
  [1121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1439),
  [1124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1161),
  [1127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8203),
  [1130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8202),
  [1133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8201),
  [1136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6366),
  [1139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4078),
  [1142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4078),
  [1145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6722),
  [1148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6701),
  [1151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4695),
  [1154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3864),
  [1157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2376),
  [1160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8194),
  [1163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4063),
  [1166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4861),
  [1169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1535),
  [1172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(789),
  [1175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7152),
  [1178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1489),
  [1181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1126),
  [1184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6224),
  [1187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6080),
  [1190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8188),
  [1193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8187),
  [1196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1080),
  [1199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1460),
  [1202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7153),
  [1205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1453),
  [1208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4727),
  [1211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5128),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [1216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(926),
  [1219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(140),
  [1224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [1227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [1230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1278),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1278),
  [1238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(260),
  [1241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(273),
  [1244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3020),
  [1247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1856),
  [1250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2878),
  [1253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8245),
  [1256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6153),
  [1259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7420),
  [1262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8237),
  [1265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(53),
  [1268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2218),
  [1271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(985),
  [1274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [1277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8230),
  [1280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2134),
  [1283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5812),
  [1286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4934),
  [1289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4904),
  [1292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4959),
  [1295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7098),
  [1298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7423),
  [1301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7111),
  [1304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(176),
  [1307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8124),
  [1310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(936),
  [1313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7722),
  [1316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7721),
  [1319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7520),
  [1322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7443),
  [1325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7676),
  [1328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1439),
  [1331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1161),
  [1334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8203),
  [1337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8202),
  [1340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8201),
  [1343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6366),
  [1346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4078),
  [1349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4078),
  [1352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6722),
  [1355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6701),
  [1358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3827),
  [1361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3864),
  [1364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2376),
  [1367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8194),
  [1370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4861),
  [1373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7167),
  [1376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7429),
  [1379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1489),
  [1382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1117),
  [1385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1118),
  [1388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1351),
  [1391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7153),
  [1394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1453),
  [1397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4727),
  [1400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5128),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [1411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7167),
  [1425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 12),
  [1427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 12),
  [1429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 12),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 12),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7128),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8080),
  [1455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(927),
  [1458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(503),
  [1461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(285),
  [1464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3049),
  [1467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(70),
  [1470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6717),
  [1473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7148),
  [1476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7149),
  [1479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [1482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8213),
  [1485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(954),
  [1488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8212),
  [1491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8207),
  [1494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8206),
  [1497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7128),
  [1500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8080),
  [1503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7152),
  [1506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1126),
  [1509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1080),
  [1512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1460),
  [1515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(925),
  [1518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(507),
  [1521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(275),
  [1524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3173),
  [1527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(71),
  [1530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6735),
  [1533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7112),
  [1536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7166),
  [1539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(177),
  [1542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7808),
  [1545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(935),
  [1548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8153),
  [1551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8151),
  [1554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8286),
  [1557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7199),
  [1560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8024),
  [1563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7313),
  [1566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1180),
  [1569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1184),
  [1572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [1575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(930),
  [1578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(482),
  [1581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(289),
  [1584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3102),
  [1587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(61),
  [1590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6931),
  [1593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7409),
  [1596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7425),
  [1599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [1602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8208),
  [1605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(943),
  [1608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7539),
  [1611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7540),
  [1614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7536),
  [1617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7394),
  [1620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7589),
  [1623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7404),
  [1626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1151),
  [1629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1150),
  [1632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1187),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6846),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7726),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7300),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7989),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7268),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6901),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7371),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7405),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8221),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7919),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7927),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7614),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7359),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7974),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7329),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [1691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(931),
  [1694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(880),
  [1697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(279),
  [1700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3027),
  [1703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(46),
  [1706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6901),
  [1709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7371),
  [1712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7405),
  [1715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(206),
  [1718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8221),
  [1721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(951),
  [1724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7919),
  [1727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7927),
  [1730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7614),
  [1733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7359),
  [1736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7974),
  [1739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7329),
  [1742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1183),
  [1745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1082),
  [1748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1227),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8142),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6039),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5895),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4903),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4927),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7811),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8272),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8303),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6381),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3189),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3394),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7813),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4844),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2944),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4729),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5125),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7450),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5820),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4930),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4944),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8039),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8281),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8306),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6355),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3705),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4799),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4699),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5132),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7990),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8275),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8304),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6382),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8138),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4724),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5119),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2818),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4696),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [2017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2132),
  [2020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(140),
  [2023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1240),
  [2026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1240),
  [2029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1278),
  [2032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(507),
  [2035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1271),
  [2038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6153),
  [2041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7420),
  [2044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(70),
  [2047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(985),
  [2050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2134),
  [2053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6846),
  [2056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7148),
  [2059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1346),
  [2062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7726),
  [2065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7300),
  [2068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(179),
  [2071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7989),
  [2074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(954),
  [2077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8212),
  [2080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8207),
  [2083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8206),
  [2086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7268),
  [2089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8024),
  [2092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1439),
  [2095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1161),
  [2098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8203),
  [2101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8202),
  [2104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8201),
  [2107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6366),
  [2110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4078),
  [2113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4078),
  [2116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6722),
  [2119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6701),
  [2122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3827),
  [2125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3864),
  [2128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8138),
  [2131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7167),
  [2134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7152),
  [2137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1489),
  [2140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1126),
  [2143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1080),
  [2146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1460),
  [2149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7153),
  [2152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1453),
  [2155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4727),
  [2158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5128),
  [2161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2130),
  [2164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(71),
  [2167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6735),
  [2170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7112),
  [2173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1498),
  [2176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8158),
  [2179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7166),
  [2182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(177),
  [2185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7808),
  [2188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(935),
  [2191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8153),
  [2194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8151),
  [2197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8286),
  [2200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7199),
  [2203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7313),
  [2206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1180),
  [2209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1184),
  [2212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1503),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [2221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2121),
  [2224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(482),
  [2227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(61),
  [2230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6931),
  [2233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7409),
  [2236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1228),
  [2239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7911),
  [2242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7425),
  [2245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(186),
  [2248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8208),
  [2251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(943),
  [2254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7539),
  [2257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7540),
  [2260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7536),
  [2263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7394),
  [2266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7589),
  [2269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7404),
  [2272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1151),
  [2275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1150),
  [2278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1187),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [2307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2112),
  [2310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(260),
  [2313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(53),
  [2316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7098),
  [2319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7423),
  [2322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1458),
  [2325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7612),
  [2328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7111),
  [2331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(176),
  [2334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8124),
  [2337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(936),
  [2340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7722),
  [2343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7721),
  [2346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7520),
  [2349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7443),
  [2352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7676),
  [2355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7429),
  [2358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1117),
  [2361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1118),
  [2364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1351),
  [2367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2111),
  [2370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(880),
  [2373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(46),
  [2376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6901),
  [2379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7371),
  [2382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7405),
  [2385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(206),
  [2388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8221),
  [2391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(951),
  [2394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7919),
  [2397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7927),
  [2400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7614),
  [2403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7359),
  [2406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7974),
  [2409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7329),
  [2412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1183),
  [2415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1082),
  [2418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1227),
  [2421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2127),
  [2424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(503),
  [2427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6717),
  [2430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1369),
  [2433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8217),
  [2436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7149),
  [2439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8213),
  [2442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7128),
  [2445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8080),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8059),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8284),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8307),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6391),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [2472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3480),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3559),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4708),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5130),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [2496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [2506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2084),
  [2509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(140),
  [2512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1240),
  [2515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1278),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1278),
  [2523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1271),
  [2526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [2528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6153),
  [2533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(985),
  [2536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2134),
  [2539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8138),
  [2542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7167),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [2551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7434),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 7),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 7),
  [2568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7434),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [2580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [2584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [2586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [2588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5829),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4935),
  [2592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4945),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [2600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8018),
  [2602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8278),
  [2604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8305),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6376),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [2610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4562),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [2616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4645),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4644),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8041),
  [2624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4688),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5121),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [2658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 3, 0, 7),
  [2664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 3, 0, 7),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [2678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 102),
  [2680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 102),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [2684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7807),
  [2696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 159),
  [2698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 159),
  [2700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(2084),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(1271),
  [2712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0),
  [2714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(6153),
  [2717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0),
  [2719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(2134),
  [2722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(8138),
  [2725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7167),
  [2728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(2084),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [2733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(1271),
  [2736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(6153),
  [2741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(2134),
  [2746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(8138),
  [2749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7167),
  [2752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [2762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(2084),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [2767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(1271),
  [2770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(6153),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(2134),
  [2780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(8138),
  [2783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7167),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 143),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 143),
  [2790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 66),
  [2792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 66),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [2798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [2800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [2802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 114),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 114),
  [2818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 113),
  [2820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 113),
  [2822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 131),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 131),
  [2826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 85),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 85),
  [2834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 7),
  [2836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 7),
  [2838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [2844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 144),
  [2854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 144),
  [2856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 148),
  [2858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 148),
  [2860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_range_loop, 5, 0, 149),
  [2864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range_loop, 5, 0, 149),
  [2866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [2876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 7),
  [2882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 7),
  [2884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 167),
  [2890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 167),
  [2892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 177),
  [2902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 177),
  [2904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 131),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 131),
  [2924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 85),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 85),
  [2928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concept_definition, 5, 0, 8),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concept_definition, 5, 0, 8),
  [2932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [2936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 7, 0, 204),
  [2938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 7, 0, 204),
  [2940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 6, 0, 193),
  [2950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 6, 0, 193),
  [2952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [2954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [2956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [2960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [2962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [2964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [2970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [2972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 67),
  [2974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 67),
  [2976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [2978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [2980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 175),
  [2982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 175),
  [2984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 5, 0, 174),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 5, 0, 174),
  [2988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 75),
  [2990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 75),
  [2992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [2996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 169),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 169),
  [3000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [3002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [3004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [3008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [3012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 3, 0, 75),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 3, 0, 75),
  [3016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 76),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 76),
  [3020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 77),
  [3022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 77),
  [3024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 78),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 78),
  [3028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [3032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 79),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 79),
  [3036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 8),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 8),
  [3040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 23),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 23),
  [3044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7387),
  [3047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 24),
  [3049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 24),
  [3051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 92),
  [3053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 92),
  [3055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7220),
  [3058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [3062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [3064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [3066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 2, 0, 24),
  [3068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 2, 0, 24),
  [3070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [3074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 2, 0, 23),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 2, 0, 23),
  [3078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7387),
  [3080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7220),
  [3082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 116),
  [3084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 116),
  [3086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2117),
  [3089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1514),
  [3092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6172),
  [3095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 5, 0, 0),
  [3097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 5, 0, 0),
  [3099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 5, 0, 163),
  [3101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 5, 0, 163),
  [3103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 5, 0, 162),
  [3105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 5, 0, 162),
  [3107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [3109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [3111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 161),
  [3113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 161),
  [3115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 160),
  [3117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 160),
  [3119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [3121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7191),
  [3125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 24),
  [3127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 24),
  [3129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [3131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [3133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 4, 0, 121),
  [3135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 4, 0, 121),
  [3137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [3139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [3141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [3143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [3145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [3148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [3151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 8),
  [3153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 8),
  [3155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 7),
  [3157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 7),
  [3159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7191),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 8),
  [3164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 8),
  [3166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [3168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [3170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 136),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 136),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [3176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [3178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [3180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [3182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 135),
  [3184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 135),
  [3186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [3188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [3190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 111),
  [3192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 111),
  [3194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [3196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [3198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [3200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [3202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [3204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [3206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [3208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [3210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [3212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [3214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [3216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [3218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 78),
  [3220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 78),
  [3222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3735),
  [3224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7666),
  [3226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5253),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [3230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8133),
  [3232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [3234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5181),
  [3236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7478),
  [3238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7156),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5043),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [3250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [3252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3131),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [3256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8100),
  [3258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [3260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5811),
  [3262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [3264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [3266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4905),
  [3268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4851),
  [3270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6473),
  [3272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7486),
  [3276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6092),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8239),
  [3280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 8),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [3286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [3290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [3292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 8),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 78),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 78),
  [3312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [3328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [3330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [3346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4064),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4717),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5126),
  [3362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3735),
  [3365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7666),
  [3368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5253),
  [3371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8133),
  [3376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7156),
  [3379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4620),
  [3382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8122),
  [3385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2797),
  [3388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5043),
  [3391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5043),
  [3394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(586),
  [3397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2734),
  [3400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3131),
  [3403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2890),
  [3406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2878),
  [3409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8245),
  [3412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5199),
  [3415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7413),
  [3418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8237),
  [3421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7143),
  [3424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2218),
  [3427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8100),
  [3430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [3433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2747),
  [3436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8230),
  [3439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2134),
  [3442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5811),
  [3445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4922),
  [3448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4917),
  [3451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4905),
  [3454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2376),
  [3457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8194),
  [3460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4063),
  [3463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4851),
  [3466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6473),
  [3469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(789),
  [3472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1584),
  [3475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7486),
  [3478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6092),
  [3481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8239),
  [3484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [3494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [3500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [3508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [3512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4327),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [3518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [3522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 69),
  [3526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 69),
  [3528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 23),
  [3536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 23),
  [3538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 5, 0, 125),
  [3540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 5, 0, 125),
  [3542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 75),
  [3544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 75),
  [3546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7526),
  [3548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5198),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7494),
  [3552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7407),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [3562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6560),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6146),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8222),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [3584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [3586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [3604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7717),
  [3607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5195),
  [3610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7471),
  [3613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7257),
  [3616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(768),
  [3619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2811),
  [3622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3137),
  [3625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2755),
  [3628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6526),
  [3631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1595),
  [3634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6085),
  [3637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8246),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [3644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7717),
  [3646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5195),
  [3648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7471),
  [3652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7257),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [3656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6526),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [3666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6085),
  [3668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8246),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [3696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4719),
  [3700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [3712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [3714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [3720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [3728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7526),
  [3731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5198),
  [3734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7494),
  [3737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7407),
  [3740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [3743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2745),
  [3746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3001),
  [3749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2748),
  [3754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6560),
  [3757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1589),
  [3760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6146),
  [3763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8222),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [3774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [3778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [3782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2161),
  [3785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1493),
  [3788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6151),
  [3791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2122),
  [3794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1322),
  [3797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6177),
  [3800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3364),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [3804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [3810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5850),
  [3814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4920),
  [3816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4919),
  [3818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [3820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4835),
  [3822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [3828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5721),
  [3830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5633),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [3834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [3838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [3840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [3844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [3846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8017),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [3850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [3868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [3894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5909),
  [3924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [3942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [3952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6537),
  [3960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [3962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8243),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5224),
  [3966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8252),
  [3968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8247),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [3972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6692),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7850),
  [3978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6678),
  [3982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8215),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8235),
  [3988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8232),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8249),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8240),
  [3994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6578),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [4000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8226),
  [4002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1629),
  [4005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(156),
  [4008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1377),
  [4011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1415),
  [4014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6184),
  [4017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(985),
  [4020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(137),
  [4023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1335),
  [4026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1201),
  [4029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1201),
  [4032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2172),
  [4035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(144),
  [4038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1211),
  [4041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1211),
  [4044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1518),
  [4047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6171),
  [4050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1189),
  [4053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1177),
  [4056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8203),
  [4059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8202),
  [4062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8201),
  [4065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6366),
  [4068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4078),
  [4071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4078),
  [4074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6722),
  [4077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6701),
  [4080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(3827),
  [4083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(3864),
  [4086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1246),
  [4089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7153),
  [4092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1250),
  [4095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4719),
  [4098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5128),
  [4101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [4113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [4115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7318),
  [4117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7318),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [4122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [4124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [4126] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [4132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [4134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(241),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [4145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [4148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 1),
  [4150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [4152] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [4162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6170),
  [4176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [4186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4398),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [4190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [4194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [4224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2084),
  [4227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(140),
  [4230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [4233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [4236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1278),
  [4239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2480),
  [4242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1271),
  [4245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6153),
  [4248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1409),
  [4251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0),
  [4253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(985),
  [4256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2134),
  [4259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1439),
  [4262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1161),
  [4265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8203),
  [4268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8202),
  [4271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8201),
  [4274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6366),
  [4277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4078),
  [4280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4078),
  [4283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6722),
  [4286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6701),
  [4289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3827),
  [4292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3864),
  [4295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8138),
  [4298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6170),
  [4301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7167),
  [4304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1489),
  [4307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7153),
  [4310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1453),
  [4313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4727),
  [4316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5128),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7952),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [4337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [4377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [4379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(239),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [4404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7888),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [4410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7892),
  [4412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7695),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [4416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7702),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7723),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [4422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7679),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [4448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [4454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7562),
  [4457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7568),
  [4460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7569),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [4477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7570),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [4484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7560),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [4501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7542),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [4532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7622),
  [4535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7634),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [4544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7595),
  [4547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7610),
  [4550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7615),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [4561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [4575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 0),
  [4577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 104),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [4583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 78),
  [4585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_default_capture, 1, 0, 0),
  [4587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 186),
  [4589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 147),
  [4591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 104),
  [4593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [4595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8162),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [4620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7457),
  [4623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7532),
  [4626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7497),
  [4629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7512),
  [4632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7945),
  [4635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7513),
  [4638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8009),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7668),
  [4643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8198),
  [4646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8195),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [4651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8192),
  [4654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8190),
  [4657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7537),
  [4660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7637),
  [4663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8163),
  [4666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7650),
  [4669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7661),
  [4672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7756),
  [4675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7585),
  [4677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7507),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7696),
  [4691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7730),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [4696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7854),
  [4699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7742),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7743),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8173),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [4714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7838),
  [4717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7834),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [4731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7951),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8033),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5894),
  [4770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7779),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [4788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7942),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7843),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [4812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7511),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [4828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [4834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [4870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [4878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5674),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [4884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(232),
  [4929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 14),
  [4931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_function, 2, 0, 15),
  [4933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 14), REDUCE(sym_template_function, 2, 0, 15),
  [4936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 14),
  [4938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_function, 2, 0, 15),
  [4940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 14), REDUCE(sym_template_function, 2, 0, 15),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [4949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(235),
  [4952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(235),
  [4955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [4963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(242),
  [4966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(243),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [4979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(240),
  [4982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [4996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4997),
  [4998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5005),
  [5000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5006),
  [5002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4998),
  [5004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4996),
  [5006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4994),
  [5008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4962),
  [5010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4964),
  [5012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4965),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4911),
  [5016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [5018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [5020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4932),
  [5022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4931),
  [5024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4924),
  [5026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4963),
  [5028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4967),
  [5030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4976),
  [5032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4946),
  [5036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4955),
  [5038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4910),
  [5040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [5042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [5044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5001),
  [5046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5000),
  [5048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4999),
  [5050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4972),
  [5052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4974),
  [5054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4979),
  [5056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5004),
  [5058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5003),
  [5060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4991),
  [5062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4983),
  [5064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [5066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4989),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [5070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4909),
  [5072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4902),
  [5074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4942),
  [5076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4940),
  [5078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4938),
  [5080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 2, 0, 19),
  [5082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 2, 0, 19),
  [5084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [5086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [5088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [5090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [5092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [5094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [5096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [5098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [5100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, 0, 173),
  [5102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, 0, 173),
  [5104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [5110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [5112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [5114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [5116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [5122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [5124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [5126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [5128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [5130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [5132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4756),
  [5134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4580),
  [5136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6613),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [5142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 3, 0, 12),
  [5144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 3, 0, 12),
  [5146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 4, 0, 142),
  [5148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 4, 0, 142),
  [5150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [5152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [5154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1640),
  [5157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1617),
  [5160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8017),
  [5163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1618),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [5174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7293),
  [5176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7293),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [5187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(244),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [5192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [5194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [5196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [5198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [5200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [5202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [5204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1650),
  [5207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [5209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [5211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6695),
  [5214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7141),
  [5217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [5219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [5221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [5223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 8),
  [5225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 8),
  [5227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, 0, 206),
  [5229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, 0, 206),
  [5231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 196),
  [5233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 196),
  [5235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 195),
  [5237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 195),
  [5239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 206),
  [5241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 206),
  [5243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 192),
  [5245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 192),
  [5247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 175),
  [5249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 175),
  [5251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 179),
  [5253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 179),
  [5255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 196),
  [5257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 196),
  [5259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 178),
  [5261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 178),
  [5263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 195),
  [5265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 195),
  [5267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 192),
  [5273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 192),
  [5275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 78),
  [5281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 78),
  [5283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [5289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [5291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 179),
  [5293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 179),
  [5295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 178),
  [5297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 178),
  [5299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 8),
  [5305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 8),
  [5307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 79),
  [5309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 79),
  [5311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 78),
  [5313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 78),
  [5315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [5325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [5329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [5343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [5349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype, 4, 0, 0),
  [5351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype, 4, 0, 0),
  [5353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 0),
  [5355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 0),
  [5357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [5363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8211),
  [5365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1765),
  [5376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 8),
  [5378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 8),
  [5380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 5, 0, 139),
  [5382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 5, 0, 139),
  [5384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_specifier, 2, 0, 10),
  [5390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_specifier, 2, 0, 10),
  [5392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 1, 0, 11),
  [5394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 1, 0, 11),
  [5396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 7),
  [5402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 7),
  [5404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 10),
  [5410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 10),
  [5412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 10),
  [5414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 10),
  [5416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 138),
  [5430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 138),
  [5432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7280),
  [5434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 4, 0, 140),
  [5442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 4, 0, 140),
  [5444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7344),
  [5450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 101),
  [5460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 101),
  [5462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 3, 0, 100),
  [5464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 3, 0, 100),
  [5466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 7),
  [5468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 7),
  [5470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(242),
  [5473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [5479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [5481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 2, 0, 10),
  [5483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 2, 0, 10),
  [5485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 98),
  [5495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 98),
  [5497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 95),
  [5499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 95),
  [5501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 94),
  [5503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 94),
  [5505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7280),
  [5508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 25),
  [5510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 25),
  [5512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7344),
  [5523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [5529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [5531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [5537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [5539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6198),
  [5541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2951),
  [5543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3251),
  [5545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [5547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7804),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [5553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7806),
  [5555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7988),
  [5557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 7, 0, 205),
  [5559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 7, 0, 205),
  [5561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(231),
  [5564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [5566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [5568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [5570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [5572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [5574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(236),
  [5577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [5579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [5581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(244),
  [5584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8057),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [5594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5579),
  [5596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1862),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [5601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 1),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [5605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [5607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [5613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [5619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 18),
  [5621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 18),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [5625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [5627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [5629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [5635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [5637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [5639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7564),
  [5641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 18),
  [5643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 18),
  [5645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [5647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [5649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [5651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2063),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [5660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 90),
  [5662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 90),
  [5664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5621),
  [5666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [5672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4088),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [5678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 16),
  [5680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 16),
  [5682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2246),
  [5685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [5687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [5689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(244),
  [5692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [5698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 18),
  [5700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 18),
  [5702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8016),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [5712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_clause, 2, 0, 20),
  [5714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_clause, 2, 0, 20),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [5720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5230),
  [5722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5234),
  [5724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [5726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [5728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [5731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [5734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(232),
  [5737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [5739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [5741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [5743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [5745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [5747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [5749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [5753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 95),
  [5755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 95),
  [5757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [5759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [5761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [5763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [5765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [5767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(5845),
  [5770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [5774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(229),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [5779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(7538),
  [5782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2119),
  [5785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6545),
  [5788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7144),
  [5791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2120),
  [5794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6519),
  [5797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7121),
  [5800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [5802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 96),
  [5804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 96),
  [5806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [5812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [5814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [5816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [5818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [5824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [5826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [5828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2141),
  [5831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6630),
  [5834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7126),
  [5837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [5839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [5841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [5843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [5845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [5847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(231),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [5854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [5858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [5860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [5862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 7),
  [5864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 7),
  [5866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [5874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [5876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [5878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 139),
  [5880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 139),
  [5882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 138),
  [5884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 138),
  [5886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, 1, 84),
  [5892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 84),
  [5894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [5896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [5898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 98),
  [5900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 98),
  [5902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [5904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [5908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, 1, 168),
  [5910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 168),
  [5912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 101),
  [5926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 101),
  [5928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 9),
  [5930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 9),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [5934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 94),
  [5936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 94),
  [5938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 7),
  [5940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 7),
  [5942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [5944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2186),
  [5947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [5949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [5951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [5953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [5955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 170),
  [5957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 170),
  [5959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [5961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [5963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7331),
  [5966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 134),
  [5968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 134),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [5972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 24),
  [5974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 24),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [5980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 24),
  [5982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 24),
  [5984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [5986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [5988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [5990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [5994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2558),
  [5997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [5999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [6001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [6005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 117),
  [6007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 117),
  [6009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 62),
  [6011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 62),
  [6013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [6015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [6017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2228),
  [6020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [6022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [6024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [6026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [6028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 110),
  [6030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 110),
  [6032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [6034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [6036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [6038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [6042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 86),
  [6044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 86),
  [6046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 89),
  [6048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 89),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [6056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2308),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [6061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 118),
  [6063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 118),
  [6065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 18),
  [6067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 18),
  [6069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [6071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [6073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7829),
  [6075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 3, 0, 164),
  [6077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 3, 0, 164),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [6081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 8),
  [6083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 8),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [6087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [6093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [6095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [6097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2300),
  [6100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6561),
  [6103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7127),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [6108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [6110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119),
  [6112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119),
  [6114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119), SHIFT(244),
  [6117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70),
  [6119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 1, 70),
  [6121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(244),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [6126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [6138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5769),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [6142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [6144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [6146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 15),
  [6148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 15),
  [6150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [6156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [6158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [6162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5566),
  [6164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 4, 0, 164),
  [6166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 4, 0, 164),
  [6168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [6178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 83),
  [6184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 83),
  [6186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(244),
  [6193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [6195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [6201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 12),
  [6211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 12),
  [6213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [6221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 210),
  [6231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 210),
  [6233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 165),
  [6235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 165),
  [6237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 155),
  [6239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 155),
  [6241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 154),
  [6243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 154),
  [6245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [6247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [6249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 5, 0, 152),
  [6251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 5, 0, 152),
  [6253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2398),
  [6260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement, 1, 0, 64),
  [6266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement, 1, 0, 64),
  [6268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [6270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [6272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 132),
  [6282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 132),
  [6284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [6298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 2, 0, 27),
  [6300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 2, 0, 27),
  [6302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 71),
  [6308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 71),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [6312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 6, 0, 176),
  [6314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 6, 0, 176),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5196),
  [6320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 109),
  [6326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 109),
  [6328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 108),
  [6330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 108),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [6336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 18),
  [6338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 18),
  [6340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [6342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [6348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [6350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 187),
  [6352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 187),
  [6354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 189),
  [6356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 189),
  [6358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 190),
  [6360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 190),
  [6362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 106),
  [6364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 106),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [6370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [6372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [6374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [6376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [6378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 202),
  [6380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 202),
  [6382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 203),
  [6384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 203),
  [6386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [6388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [6390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2951),
  [6401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2467),
  [6404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2982),
  [6407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7804),
  [6410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7138),
  [6413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7806),
  [6416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7988),
  [6419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 26),
  [6425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 26),
  [6427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 211),
  [6429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 211),
  [6431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 214),
  [6441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 214),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [6445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5194),
  [6447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [6449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [6451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [6453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [6455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [6457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(953),
  [6464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [6466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 88),
  [6468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 88),
  [6470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 83),
  [6476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 83),
  [6478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [6480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [6482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [6488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [6490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [6492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2519),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [6499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [6503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [6507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(242),
  [6510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2544),
  [6513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6505),
  [6516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7147),
  [6519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [6521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [6523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [6525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [6527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [6529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(231),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [6534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [6536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [6538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [6542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [6544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [6546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [6548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [6560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [6570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [6574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [6576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [6578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [6582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [6586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [6592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [6602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [6604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(229),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [6617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [6621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5208),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [6627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 21),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8230),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [6633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6368),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [6637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5839),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [6644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5239),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [6663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [6669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [6675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [6677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [6679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [6683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [6687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [6691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [6693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [6695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [6701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_fold_operator, 3, 0, 129),
  [6703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold_operator, 3, 0, 129),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [6711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [6717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [6719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 120),
  [6725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 120),
  [6727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [6737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 171),
  [6739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 171),
  [6741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [6743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6285),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [6749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5034),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [6755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [6761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [6765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [6767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6229),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [6773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5016),
  [6775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [6777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [6779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [6785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5048),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [6789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [6791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_literal, 1, 0, 0),
  [6793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_literal, 1, 0, 0),
  [6795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [6797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [6799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6206),
  [6801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6207),
  [6803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [6810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5017),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [6816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6234),
  [6822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [6824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(7987),
  [6827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(7373),
  [6830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4446),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [6838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5579),
  [6841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5256),
  [6844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [6846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [6852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [6854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(7138),
  [6857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(6368),
  [6860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(6368),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [6865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5265),
  [6868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [6870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [6872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [6874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [6878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [6882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [6890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7987),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [6896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [6902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [6906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [6908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [6910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [6914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [6918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [6926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [6928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [6930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [6932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [6934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [6938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [6940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [6942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [6944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [6950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [6954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [6956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [6958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [6960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [6964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [6992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [6994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [6998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [7006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5793),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [7016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [7021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [7023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [7036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [7044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7961),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [7052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3482),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [7058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4278),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [7068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [7072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [7075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2926),
  [7078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2878),
  [7081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8245),
  [7084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7413),
  [7087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8237),
  [7090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8230),
  [7093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3454),
  [7100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3432),
  [7103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(949),
  [7106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7308),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [7117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5203),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [7124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5507),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [7128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3318),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [7134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5191),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [7139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3569),
  [7142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [7144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3658),
  [7146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4693),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6215),
  [7150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4736),
  [7152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5889),
  [7154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4985),
  [7156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4986),
  [7158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4987),
  [7160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4860),
  [7162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [7164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [7170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [7172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [7174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [7178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [7182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [7184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [7186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [7188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [7190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [7198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119), SHIFT(242),
  [7201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [7203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [7209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [7211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [7213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [7217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [7221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [7223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [7225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [7231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4627),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [7235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3840),
  [7237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4100),
  [7239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5879),
  [7241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4933),
  [7243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4923),
  [7245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4926),
  [7247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4561),
  [7249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8078),
  [7251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4863),
  [7253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(232),
  [7256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3920),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [7260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5851),
  [7262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4978),
  [7264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4975),
  [7266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [7268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4823),
  [7270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, 0, 107),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [7274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3923),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [7278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5864),
  [7280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5002),
  [7282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5009),
  [7284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5007),
  [7286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [7288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4590),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [7292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4077),
  [7294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3944),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4410),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5815),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4956),
  [7304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4951),
  [7306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4949),
  [7308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [7310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8099),
  [7312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [7316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(235),
  [7319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7288),
  [7322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(242),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [7331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5260),
  [7334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [7336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [7342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [7344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [7346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [7350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [7354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [7358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [7360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [7366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5761),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [7376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5135),
  [7378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [7380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [7382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [7384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [7386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [7388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3178),
  [7391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6501),
  [7394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7122),
  [7397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8016),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [7403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3249),
  [7405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [7407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [7415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [7417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [7419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [7423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [7425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [7431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [7433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [7437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [7441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5776),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [7451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [7453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [7455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [7457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [7459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [7465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [7467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [7469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [7475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [7479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [7481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [7483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [7485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [7487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7731),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [7529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5541),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [7541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5122),
  [7543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [7547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [7553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(231),
  [7556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3178),
  [7558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2951),
  [7565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3251),
  [7568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2982),
  [7571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7804),
  [7574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7138),
  [7577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7806),
  [7580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7988),
  [7583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4063),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [7588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [7594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(242),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [7599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119), SHIFT(231),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [7608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5137),
  [7610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [7618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3438),
  [7620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [7622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [7628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(231),
  [7631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [7633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3340),
  [7635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5221),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [7642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5235),
  [7644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5254),
  [7646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3438),
  [7653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6472),
  [7656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7129),
  [7659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [7669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5272),
  [7671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5270),
  [7673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [7675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [7681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [7683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [7685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [7689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [7693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [7705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5176),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [7717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3542),
  [7720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(236),
  [7723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3542),
  [7725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3574),
  [7727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [7729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [7731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [7739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5201),
  [7741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [7743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3180),
  [7745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3228),
  [7747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [7755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5236),
  [7757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [7763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5244),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [7769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5186),
  [7771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [7773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3414),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [7781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5228),
  [7783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3326),
  [7785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [7787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5822),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [7795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5258),
  [7797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5823),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [7803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5213),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5952),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [7815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5207),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [7821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5215),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [7825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3952),
  [7827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7782),
  [7829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [7841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5303),
  [7843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(240),
  [7846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 18),
  [7848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 18),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [7854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [7858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5469),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [7864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [7866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3884),
  [7868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [7870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [7872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3982),
  [7875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3983),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7829),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8211),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [7892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5495),
  [7894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3894),
  [7897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [7899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [7901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [7907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5594),
  [7909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(243),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [7914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [7916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [7918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [7924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [7926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [7928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4013),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [7932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6373),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [7940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5642),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [7948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5651),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [7952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4957),
  [7954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [7958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5123),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [7962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [7964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [7970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5644),
  [7972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6013),
  [7974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [7978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5632),
  [7980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 18),
  [7982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 18),
  [7984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [7988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [7992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [7994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [7996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [7998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [8002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [8006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [8016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [8018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [8020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [8022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [8028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [8030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 56),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [8034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [8038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4036),
  [8041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [8043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [8045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [8048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [8051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8230),
  [8054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 137),
  [8056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 137),
  [8058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [8062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5679),
  [8064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5679),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [8074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [8076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [8078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [8080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [8088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [8090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [8092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [8096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [8099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4071),
  [8102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2878),
  [8105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8245),
  [8108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7142),
  [8111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8237),
  [8114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8230),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [8123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5832),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [8131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8245),
  [8138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8230),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [8143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5274),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [8147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [8151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [8157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [8161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [8165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [8183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5178),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [8187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4446),
  [8190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4446),
  [8193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8038),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [8200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [8202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [8208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [8212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [8216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [8244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [8248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [8254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [8258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [8262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [8266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [8300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [8304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [8310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [8314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [8318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8104),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [8338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [8344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 4, 0, 174),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [8350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [8352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 112),
  [8354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 4, 0, 181),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [8394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 150), SHIFT(1121),
  [8397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 150),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [8401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 81),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [8417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT(1121),
  [8420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [8434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7987),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [8461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [8465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [8471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [8475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [8479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8280),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [8501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 151),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [8509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0),
  [8511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 1, 0),
  [8513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 183),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [8517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 146),
  [8519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [8521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 145),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [8533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [8541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 4, 0, 192),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [8567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 3, 0, 158),
  [8569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 182),
  [8571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 1, 197),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [8593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [8597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 185),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [8609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 5, 0, 198),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [8647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym_argument_list, 2, 0, 0),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [8688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21),
  [8690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 21),
  [8692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5839),
  [8695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5239),
  [8698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold, 3, 0, 82),
  [8700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_left_fold, 3, 0, 54),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [8718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 4, 0, 184),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [8740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression_lhs, 3, 0, 54),
  [8742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [8746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1, 0, 0),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [8772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [8792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(7987),
  [8795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(7373),
  [8798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5579),
  [8801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5256),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [8808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(6368),
  [8811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(6368),
  [8814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [8818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [8820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5916),
  [8822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [8824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4916),
  [8826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [8828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [8830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7992),
  [8832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [8834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [8838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [8840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5870),
  [8842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4980),
  [8844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [8846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4982),
  [8848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [8850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8061),
  [8852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4776),
  [8854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3888),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [8858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5904),
  [8860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4950),
  [8862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4953),
  [8864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4954),
  [8866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4818),
  [8868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [8872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [8874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5875),
  [8876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [8878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [8880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4958),
  [8882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [8884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8020),
  [8886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [8888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [8890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [8892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5881),
  [8894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4817),
  [8896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4746),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [8900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(7138),
  [8903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5265),
  [8906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [8910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [8912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5906),
  [8914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4995),
  [8916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4992),
  [8918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4990),
  [8920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [8922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8091),
  [8924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4789),
  [8926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 18),
  [8928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 18),
  [8930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [8932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [8934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4236),
  [8937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7807),
  [8940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4236),
  [8943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7807),
  [8946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [8950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [8952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5799),
  [8954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4941),
  [8956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4939),
  [8958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [8960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3950),
  [8962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8105),
  [8964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [8966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [8970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5886),
  [8972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4968),
  [8974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4971),
  [8976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4973),
  [8978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [8982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4748),
  [8985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4754),
  [8988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1813),
  [8991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 16), SHIFT(1862),
  [8994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21),
  [8996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 21),
  [8998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5839),
  [9001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5239),
  [9004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36), SHIFT(4760),
  [9007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(942),
  [9010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 18), SHIFT(4761),
  [9013] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(1862),
  [9017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3255),
  [9019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36), SHIFT(1862),
  [9022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 18), SHIFT(1862),
  [9025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5191),
  [9028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5203),
  [9031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2), SHIFT(1862),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [9036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(7987),
  [9039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(7373),
  [9042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4957),
  [9045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4957),
  [9048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4960),
  [9051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5579),
  [9054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5256),
  [9057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5260),
  [9060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(6368),
  [9063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(6368),
  [9066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(7138),
  [9069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5265),
  [9072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 18),
  [9074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 18),
  [9076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(4768),
  [9079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5203),
  [9086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5191),
  [9089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5221),
  [9092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3922),
  [9094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [9096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4404),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [9100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [9102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3275),
  [9104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [9106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4442),
  [9108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [9110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [9112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3911),
  [9114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [9116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [9118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5260),
  [9121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [9123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4228),
  [9125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [9127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21),
  [9129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 21),
  [9131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5839),
  [9134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5239),
  [9137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7138),
  [9140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5221),
  [9143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(7987),
  [9146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(7373),
  [9149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5579),
  [9152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5256),
  [9155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5123),
  [9158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5123),
  [9161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8058),
  [9164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(6368),
  [9167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(6368),
  [9170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(7138),
  [9173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5265),
  [9176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5191),
  [9179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5203),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [9186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [9188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6538),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [9192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [9194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4656),
  [9196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6462),
  [9198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [9200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [9204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [9206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6590),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [9212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4116),
  [9214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6594),
  [9216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4094),
  [9218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5260),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [9225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [9227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6686),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [9233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [9235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6683),
  [9237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [9239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [9241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [9247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7177),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [9251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5200),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [9255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5422),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [9265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [9293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [9295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [9297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5221),
  [9300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [9302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4102),
  [9304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5337),
  [9306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [9308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7163),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [9312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5237),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [9316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5558),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [9320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [9322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7026),
  [9324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5615),
  [9326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [9328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5931),
  [9330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [9332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [9334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [9336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [9338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5387),
  [9340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6582),
  [9342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4011),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6961),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [9348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5855),
  [9350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6711),
  [9352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5930),
  [9354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [9356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [9358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [9364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4176),
  [9366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4668),
  [9368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6112),
  [9370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [9374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [9376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [9378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [9380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5897),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [9384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [9388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5671),
  [9390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6622),
  [9392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6242),
  [9394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [9400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6829),
  [9402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [9404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6028),
  [9406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [9408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [9410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [9412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5485),
  [9414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [9416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5399),
  [9418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [9422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6051),
  [9426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6228),
  [9428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5473),
  [9430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4095),
  [9432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5693),
  [9434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6070),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [9438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [9440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5680),
  [9442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [9452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [9456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6366),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [9468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5225),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [9474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5177),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [9478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5209),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [9482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5193),
  [9484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [9488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [9490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [9496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [9498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [9500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [9506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5160),
  [9508] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [9512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [9516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [9518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6194),
  [9520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6963),
  [9522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [9524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [9526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [9528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21),
  [9530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 5, 0, 21),
  [9532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5579),
  [9535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5265),
  [9538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [9542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [9546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [9550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [9554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7073),
  [9556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2940),
  [9558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [9564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6983),
  [9566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2905),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [9570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [9572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [9574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [9576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6817),
  [9578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [9580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7963),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [9586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7046),
  [9588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [9590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [9596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5256),
  [9599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21),
  [9601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 6, 0, 21),
  [9603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5579),
  [9606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5256),
  [9609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [9615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [9617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3172),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [9623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7078),
  [9625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [9627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [9635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6937),
  [9637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5265),
  [9640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [9644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7082),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [9648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [9654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [9656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [9658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [9660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [9662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [9666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [9674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6892),
  [9676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [9680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7005),
  [9682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3771),
  [9684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7084),
  [9686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [9690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6740),
  [9692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [9696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6758),
  [9698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [9702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6872),
  [9704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 26),
  [9706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 26),
  [9708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [9714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5579),
  [9725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [9727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [9729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [9731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [9733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [9739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7064),
  [9741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [9743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [9745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [9747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [9751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5263),
  [9753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5252),
  [9755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5248),
  [9757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5214),
  [9759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5210),
  [9761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5189),
  [9763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5188),
  [9765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5180),
  [9767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5179),
  [9769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5273),
  [9771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5622),
  [9773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6861),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [9777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6277),
  [9779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7066),
  [9781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [9783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3222),
  [9785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [9793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [9795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [9799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [9803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3925),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [9807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [9809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [9811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [9813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [9819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [9825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [9827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7373),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [9836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [9838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6583),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [9842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7028),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [9846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [9848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [9850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [9852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 170),
  [9854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, 0, 170),
  [9856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5819),
  [9858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6418),
  [9860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5927),
  [9862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5900),
  [9864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 117),
  [9866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 117),
  [9868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [9870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [9872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5915),
  [9874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 7, 0, 21),
  [9876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 7, 0, 21),
  [9878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 172),
  [9880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 172),
  [9882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [9884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [9886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [9888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [9890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 24),
  [9892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 24),
  [9894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [9896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [9898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [9900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [9902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [9904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [9906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 122),
  [9908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 122),
  [9910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 22),
  [9912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, 0, 22),
  [9914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5839),
  [9917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5239),
  [9920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [9922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [9924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 24),
  [9926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 24),
  [9928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [9930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [9932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [9934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [9936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [9938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5624),
  [9940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [9942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [9944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [9946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 5),
  [9948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [9952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [9954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5648),
  [9956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [9962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6048),
  [9964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [9968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5648),
  [9971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6513),
  [9974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7133),
  [9977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [9979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [9981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [9983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [9985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [9987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5839),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [9994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [9996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [9998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7496),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [10003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6454),
  [10005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7142),
  [10008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5203),
  [10011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 84),
  [10013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 84),
  [10015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7804),
  [10020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7988),
  [10025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 130),
  [10027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 4, 0, 130),
  [10029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [10031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [10033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [10035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [10037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 80),
  [10039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 80),
  [10041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [10043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [10045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5839),
  [10048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5239),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [10057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5257),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [10061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 84),
  [10063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 4, 1, 84),
  [10065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 168),
  [10067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 5, 1, 168),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [10071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [10077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [10079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5191),
  [10082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [10086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6426),
  [10088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [10090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [10092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 78),
  [10094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [10096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [10100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6444),
  [10102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 8),
  [10104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3237),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [10108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6412),
  [10110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 5),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [10114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_field_declarator, 2, 1, 0),
  [10116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6034),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [10128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 41),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [10144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6004),
  [10146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6012),
  [10148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [10150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [10152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6036),
  [10154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 5),
  [10156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6007),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [10166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 24),
  [10168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 24),
  [10170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6054),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [10184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [10188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6023),
  [10194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6037),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [10206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6056),
  [10208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [10210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [10212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6062),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [10220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 117),
  [10222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 117),
  [10224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [10226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 24),
  [10228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 24),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [10232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6032),
  [10234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6003),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [10238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 168),
  [10240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6018),
  [10242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6052),
  [10244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 170),
  [10246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 170),
  [10248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6009),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [10252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5260),
  [10255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [10257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6060),
  [10259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6041),
  [10261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 1, 22),
  [10263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 1, 22),
  [10265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5191),
  [10268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6033),
  [10270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [10272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 84),
  [10274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [10276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [10278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5203),
  [10281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6341),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [10287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5232),
  [10289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7529),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [10295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [10297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [10299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [10305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [10307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [10309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [10311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6448),
  [10313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6445),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [10319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [10321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [10323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [10335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [10337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [10339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5221),
  [10342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [10344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5260),
  [10347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [10351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 99),
  [10355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 99),
  [10357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [10365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6158),
  [10367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 24),
  [10369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 24),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [10373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6257),
  [10375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6240),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6367),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [10381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5229),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [10385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6247),
  [10387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6216),
  [10389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6259),
  [10391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6238),
  [10393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5221),
  [10400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 170),
  [10402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 170),
  [10404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6250),
  [10406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6212),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [10410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [10412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5216),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [10416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6156),
  [10418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6157),
  [10420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 78),
  [10422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 8),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [10428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 78),
  [10430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6272),
  [10432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6196),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [10436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 8),
  [10438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6154),
  [10440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 78),
  [10442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6255),
  [10444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6237),
  [10446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 8),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [10450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6903),
  [10453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5245),
  [10456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7452),
  [10459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7114),
  [10462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [10464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 117),
  [10470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 117),
  [10472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 24),
  [10474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 24),
  [10476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6248),
  [10478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6204),
  [10480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [10482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 1, 22),
  [10484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 1, 22),
  [10486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [10492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4697),
  [10494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [10496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4723),
  [10498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [10500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4742),
  [10502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [10504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [10506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [10508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4689),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [10514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 24),
  [10516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [10520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [10522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4730),
  [10524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [10526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4707),
  [10528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [10532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [10534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [10536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4687),
  [10538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 66),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [10542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [10544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [10546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4685),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [10550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [10552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [10554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4692),
  [10556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [10558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6623),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6398),
  [10562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7917),
  [10564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [10566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7386),
  [10568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [10570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7436),
  [10572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [10574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [10576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [10578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3914),
  [10580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7400),
  [10582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6632),
  [10584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [10586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7154),
  [10588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [10590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7180),
  [10592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4429),
  [10594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7364),
  [10596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [10598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7317),
  [10600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5649),
  [10602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7422),
  [10604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3916),
  [10606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7230),
  [10608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6629),
  [10610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6852),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [10616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6878),
  [10618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6973),
  [10620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [10622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7242),
  [10624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4430),
  [10626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3209),
  [10628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6535),
  [10630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 5),
  [10632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4258),
  [10634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7179),
  [10636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6468),
  [10638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6941),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [10642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [10644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7109),
  [10646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4104),
  [10648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7366),
  [10650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6500),
  [10652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [10654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7430),
  [10656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6739),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [10662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6897),
  [10664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6460),
  [10666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6602),
  [10668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6768),
  [10670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [10672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7397),
  [10674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6564),
  [10676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6620),
  [10678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [10680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6679),
  [10682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6730),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [10690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [10694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [10698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [10700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 6),
  [10702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 6),
  [10704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [10710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(6249),
  [10713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [10715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [10717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [10719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [10721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [10727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [10729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 13),
  [10731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 13),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [10737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast, 3, 0, 58),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [10745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6903),
  [10748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [10750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [10752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [10754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [10756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [10758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [10760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [10766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [10768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [10772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [10774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6902),
  [10776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [10778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [10780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6795),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [10784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [10786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [10788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [10790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [10798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6992),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [10806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7057),
  [10808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [10812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [10816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [10818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [10821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [10823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(7555),
  [10826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [10828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 78),
  [10830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 78),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [10836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [10838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [10856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 8),
  [10858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 8),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [10864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [10870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 79),
  [10872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 79),
  [10874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 175),
  [10876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 175),
  [10878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [10888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 8),
  [10890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 8),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [10894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [10896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5724),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [10906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [10912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 78),
  [10914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 78),
  [10916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [10926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [10932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [10934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [10938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [10940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [10942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [10944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [10946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [10948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [10950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(6601),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [10957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7054),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [10963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [10965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7249),
  [10967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7254),
  [10969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [10973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7276),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [10979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [10983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [10985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [10987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [10989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [10993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [10995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [10997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [10999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7399),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [11003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [11007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7432),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [11017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [11021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [11023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [11029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 4, 0, 191),
  [11031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7440),
  [11033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [11035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [11037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 3, 0, 157),
  [11039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7284),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [11043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 6),
  [11045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [11047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7258),
  [11049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [11051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [11053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [11055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6662),
  [11057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 1, 0, 17),
  [11059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [11061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [11063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [11065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6693),
  [11067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [11069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [11071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [11073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6542),
  [11075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [11077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 153),
  [11079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [11081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [11083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [11085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [11087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3230),
  [11089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6696),
  [11091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [11093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [11095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6461),
  [11097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [11099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [11101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [11103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [11105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [11107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [11109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [11111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 4, 0, 0),
  [11113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [11115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [11117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [11119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6488),
  [11121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [11123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [11125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [11127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8002),
  [11129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [11131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [11133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [11135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [11139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6484),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [11143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7906),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [11147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6857),
  [11149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 1, 0, 0),
  [11151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [11153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [11155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [11159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6512),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [11163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [11165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8220),
  [11167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [11169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6648),
  [11171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [11175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6705),
  [11177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [11179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5800),
  [11181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3241),
  [11183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115), SHIFT_REPEAT(5220),
  [11186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115),
  [11188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [11190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5838),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [11194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6507),
  [11196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [11202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [11206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6531),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [11212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7633),
  [11214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [11218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8070),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [11224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [11226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [11228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7628),
  [11230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3371),
  [11232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 87),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [11238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [11240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5474),
  [11242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [11250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [11254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6573),
  [11256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [11260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6480),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [11264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 3, 0, 0),
  [11266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [11274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7667),
  [11276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [11280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 153),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [11286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7764),
  [11288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [11292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6567),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [11300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 188),
  [11302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [11306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6548),
  [11308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [11310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [11312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [11314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 200), SHIFT_REPEAT(6243),
  [11317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 200),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [11321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 208),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [11325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [11327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 2, 0, 0),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [11343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [11351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [11357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 91),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [11361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [11375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 5, 0, 0),
  [11377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [11379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [11383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3874),
  [11385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [11391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [11395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6633),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [11399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [11401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 200), SHIFT_REPEAT(6260),
  [11404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 200),
  [11406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 212), SHIFT_REPEAT(5730),
  [11409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 212),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [11413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3841),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [11417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6625),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [11421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [11425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [11429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8174),
  [11431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5530),
  [11433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [11435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 188),
  [11437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 201),
  [11439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [11441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [11443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [11445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [11453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [11463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3372),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [11467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7314),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [11479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [11481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [11483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [11487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_operator_cast_identifier, 2, 0, 34),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [11491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [11493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6693),
  [11496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6693),
  [11499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [11501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [11505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6673),
  [11507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [11509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6696),
  [11512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3804),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [11516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6703),
  [11518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [11522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6533),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [11526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3818),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [11532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [11534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4520),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [11540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 180), SHIFT_REPEAT(5609),
  [11543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 180),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [11549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [11551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7227),
  [11553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 216),
  [11555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 216),
  [11557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [11559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [11561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 215), SHIFT_REPEAT(8193),
  [11564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 215),
  [11566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6540),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8193),
  [11570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 213),
  [11572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 201),
  [11574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 207),
  [11576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3152),
  [11579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [11581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 153),
  [11583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 209),
  [11585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [11587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [11589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5142),
  [11591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 7, 0, 0),
  [11593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [11595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [11597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [11599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 5, 0, 0),
  [11601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [11603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [11605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [11607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [11609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [11611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [11613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3109),
  [11616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [11622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 153),
  [11624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 207),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [11632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 199),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [11640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 6, 0, 0),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [11648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 4, 0, 0),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [11658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 194),
  [11660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 5),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [11676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [11678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [11684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [11702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [11706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [11708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [11710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [11712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [11714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [11718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [11720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [11722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [11724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [11728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [11730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [11746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [11748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [11750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [11754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [11756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [11762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8248),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8242),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [11770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [11776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 3, 0, 0),
  [11778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [11782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [11784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [11786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [11788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6485),
  [11790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6508),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [11794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6552),
  [11796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6626),
  [11798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [11800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [11802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6670),
  [11804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(7411),
  [11807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [11809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5261),
  [11812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1056),
  [11815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5974),
  [11818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0),
  [11820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [11824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [11828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1634),
  [11831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [11833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [11835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6572),
  [11837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [11841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [11843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1641),
  [11846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [11850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [11852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1614),
  [11855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0),
  [11857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [11859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [11861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7679),
  [11863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_reference_declarator, 2, 0, 0),
  [11865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 2, 0, 0),
  [11867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [11869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6707),
  [11871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(254),
  [11874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0),
  [11876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5694),
  [11878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 3, 0),
  [11880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [11882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [11884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [11886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [11888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [11890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [11892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [11894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(924),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8233),
  [11903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [11905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 2, 0, 68),
  [11907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 3, 0, 141),
  [11909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [11911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6541),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [11915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [11917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [11919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(5568),
  [11922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0),
  [11924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [11926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [11928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [11930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [11932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [11934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [11936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [11938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [11944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [11946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [11948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [11950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6684),
  [11952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [11954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [11956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [11958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [11960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [11962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [11964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [11966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [11968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [11970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [11972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [11976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [11978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [11980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [11982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [11984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [11986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [11988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [11996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [11998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [12002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [12008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1021),
  [12011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6470),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [12025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [12027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [12029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [12031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [12037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [12041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [12043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 0),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [12047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [12049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3, 0, 0),
  [12051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [12055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 99),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [12059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [12063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [12065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [12069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [12077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [12079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [12085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 115), SHIFT_REPEAT(4952),
  [12088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 115),
  [12090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [12094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [12100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [12162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [12168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [12170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [12172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [12178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7383),
  [12181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [12183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [12185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1419),
  [12188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 3, 0, 0),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [12196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, 0, 66),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [12204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [12208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [12210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 2, 0, 0),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [12218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [12220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [12226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [12228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [12230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [12232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [12234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7538),
  [12237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [12243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [12247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [12251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 105),
  [12253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [12255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 2, 0, 0),
  [12257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [12259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2, 0, 0),
  [12261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 2, 0, 59),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6363),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [12267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [12273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [12275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [12277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [12281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [12283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [12285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [12289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [12291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [12295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [12299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [12301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [12303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [12311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [12315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [12319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [12323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [12331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [12335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [12337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6649),
  [12339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [12341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [12343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7365),
  [12345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [12347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8157),
  [12349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8120),
  [12351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [12353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [12355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [12357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [12359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [12363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8294),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8112),
  [12367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8110),
  [12371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8292),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8106),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8290),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [12385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [12387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8288),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [12391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [12393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6453),
  [12395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [12399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8285),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8276),
  [12415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 209),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [12419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [12423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [12425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8144),
  [12427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 6, 0, 0),
  [12429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [12431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8131),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [12435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [12437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [12455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [12457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8251),
  [12459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [12461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [12463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [12465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7862),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [12473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack_expansion, 2, 0, 28),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [12477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [12481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [12483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8214),
  [12485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [12491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7665),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [12497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7575),
  [12499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [12501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [12509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7876),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [12513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [12515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [12517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [12519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 0),
  [12521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 99),
  [12523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [12527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, 0, 166),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [12531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_template_parameter_declaration, 3, 0, 57),
  [12533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 3, 0, 156),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [12537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7918),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [12541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7701),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [12547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7713),
  [12549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 2, 0),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [12553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7552),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [12561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 6),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [12571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7548),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [12575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [12581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 91),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [12629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_right_fold, 3, 0, 54),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [12651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [12673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [12675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [12677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [12679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [12681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [12691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [12697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [12701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [12703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [12705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [12707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [12709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [12711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [12713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [12715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [12717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 79),
  [12719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [12721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [12723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [12725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [12727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [12729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [12731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [12733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [12735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [12741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [12747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [12749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [12751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [12753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [12755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [12771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [12773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [12775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7470),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [12806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [12808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [12812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [12818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [12820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [12826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [12844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [12852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [12862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [12864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [12866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [12868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [12870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [12872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [12874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [12876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [12884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [12888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [12890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [12892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8283),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [12896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [12898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [12900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [12902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [12904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [12906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [12908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [12910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8270),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [12922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [12968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7668),
  [12970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [12972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 4, 0, 0),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [12994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [13000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 8),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [13006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [13008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 3, 0, 0),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7935),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [13018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [13020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 127),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [13024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 128),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7955),
  [13030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 79),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [13052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7957),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [13056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [13058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [13060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [13062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7636),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [13098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [13100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7832),
  [13102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [13104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [13106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [13108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [13110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8159),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [13122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8262),
  [13128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [13130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [13134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [13136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [13138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [13156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [13158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [13160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [13162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [13164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [13166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [13168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [13170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [13172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [13178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [13180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8043),
  [13182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [13184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [13186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [13188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [13190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [13192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [13194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [13196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [13198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [13200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [13202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [13206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [13208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7932),
  [13210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [13212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [13214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [13216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [13218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [13220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [13222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [13224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [13226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [13228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [13230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [13236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [13238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [13240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [13242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [13244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [13246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [13248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [13250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [13252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [13254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [13256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [13258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [13260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8052),
  [13262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [13264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [13266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [13270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [13274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [13276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [13278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [13280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [13282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [13284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [13286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [13288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [13290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [13292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [13294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [13296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [13298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [13300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [13302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [13304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [13306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [13308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [13310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [13312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [13314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [13316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [13318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [13322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [13324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [13328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [13330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [13332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [13334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [13336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [13338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [13340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 175),
  [13342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [13344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [13346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [13350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [13352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [13356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [13358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [13360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [13362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [13364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 127),
  [13366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [13370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [13374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [13376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [13378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [13380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [13384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 78),
  [13386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [13390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [13392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [13394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [13398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [13400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 79),
  [13402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [13404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 79),
  [13406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 128),
  [13408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [13410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 79),
  [13412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [13414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [13418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [13424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [13426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [13428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [13448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [13450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [13470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [13480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [13482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [13484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [13486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [13488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [13490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [13492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [13496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [13498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [13500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [13502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [13504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [13506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [13508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [13510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [13512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [13514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [13516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [13518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [13520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [13522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [13524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [13526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [13528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [13530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [13532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [13534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [13536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [13538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [13540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [13542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [13544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [13546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [13548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7699),
  [13550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [13552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [13554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [13556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [13558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [13560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [13562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [13564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [13566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [13568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [13570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [13572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [13574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [13576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [13578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [13580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 175),
  [13582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 127),
  [13584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [13586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 127),
  [13588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [13594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [13596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [13598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [13600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [13602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [13604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [13606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [13608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [13612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [13614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [13616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [13618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [13620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [13622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [13632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [13634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [13636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [13638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [13640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [13642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [13644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [13646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [13648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [13650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [13652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [13654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [13656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [13658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7835),
  [13660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [13662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 128),
  [13664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [13666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 128),
  [13668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [13670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [13672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [13674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 127),
  [13676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [13678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 128),
  [13680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [13682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [13684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [13686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [13688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [13690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [13692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [13694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [13696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [13698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [13700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [13702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [13704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [13706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [13708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [13710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [13712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [13714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [13716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [13718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [13720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [13722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8185),
  [13724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [13726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 2, 0, 0),
  [13728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [13730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [13732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [13734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [13736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 175),
  [13738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 175),
  [13740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 175),
  [13742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [13744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [13746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [13748] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [13750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [13752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [13754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [13756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [13758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [13760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [13762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [13764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [13766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [13768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [13770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [13772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [13774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [13776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [13778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [13780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [13782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [13784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [13786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [13788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [13790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [13792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [13794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7926),
  [13796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [13798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [13800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [13802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [13804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [13806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [13808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [13810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [13812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [13814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [13816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [13818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [13820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [13822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [13824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [13826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [13828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [13830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [13832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [13834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [13836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [13838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [13840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [13842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [13844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [13846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8173),
  [13848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [13850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [13852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [13854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [13856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [13858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7193),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [13862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [13864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [13866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [13868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [13870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [13872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [13874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [13876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [13878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [13880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [13882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8109),
  [13886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [13888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8111),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [13892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [13894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [13896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [13898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [13900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [13902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [13904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [13906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [13908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8121),
  [13910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [13912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8143),
  [13914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [13916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [13918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8216),
  [13920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [13922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [13924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [13926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [13930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [13932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [13934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [13936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8244),
  [13938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [13940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [13944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [13946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8257),
  [13948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [13950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8261),
  [13952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [13954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8265),
  [13956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [13960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8271),
  [13962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [13966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [13972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [13974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [13976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [13978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_arduino_external_scanner_create(void);
void tree_sitter_arduino_external_scanner_destroy(void *);
bool tree_sitter_arduino_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_arduino_external_scanner_serialize(void *, char *);
void tree_sitter_arduino_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_arduino(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_arduino_external_scanner_create,
      tree_sitter_arduino_external_scanner_destroy,
      tree_sitter_arduino_external_scanner_scan,
      tree_sitter_arduino_external_scanner_serialize,
      tree_sitter_arduino_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
